diff -pruN 1.21.2-1/NOTICE 1.21.3-1/NOTICE
--- 1.21.2-1/NOTICE	2023-08-14 16:16:42.000000000 +0000
+++ 1.21.3-1/NOTICE	2024-06-26 20:00:35.000000000 +0000
@@ -1,4 +1,4 @@
-Copyright (C) 1985-2023 by the Massachusetts Institute of Technology.
+Copyright (C) 1985-2024 by the Massachusetts Institute of Technology.
 
 All rights reserved.
 
diff -pruN 1.21.2-1/README 1.21.3-1/README
--- 1.21.2-1/README	2023-08-14 16:16:42.000000000 +0000
+++ 1.21.3-1/README	2024-06-26 20:00:35.000000000 +0000
@@ -6,7 +6,7 @@
 Copyright and Other Notices
 ---------------------------
 
-Copyright (C) 1985-2023 by the Massachusetts Institute of Technology
+Copyright (C) 1985-2024 by the Massachusetts Institute of Technology
 and its contributors.  All rights reserved.
 
 Please see the file named NOTICE for additional notices.
@@ -97,6 +97,30 @@ removed.
 Beginning with the krb5-1.18 release, all support for single-DES
 encryption types has been removed.
 
+Major changes in 1.21.3 (2024-06-26)
+------------------------------------
+
+This is a bug fix release.
+
+* Fix vulnerabilities in GSS message token handling [CVE-2024-37370,
+  CVE-2024-37371].
+
+* Fix a potential bad pointer free in krb5_cccol_have_contents().
+
+* Fix a memory leak in the macOS ccache type.
+
+krb5-1.21.2 changes by ticket ID
+--------------------------------
+
+9102    Eliminate sim_client include of getopt.h
+9103    segfault trying to free a garbage pointer
+9104    Work around Doxygen 1.9.7 change
+9107    In PKINIT, check for null PKCS7 enveloped fields
+9109    memory leak on macos
+9115    Fix leak in KDC NDR encoding
+9125    Formatting error in realm_config.rst
+9128    Fix vulnerabilities in GSS message token handling
+
 Major changes in 1.21.2 (2023-08-14)
 ------------------------------------
 
@@ -324,6 +348,7 @@ reports, suggestions, and valuable resou
     Michael Calmer
     Andrea Campi
     Julien Chaffraix
+    Jacob Champion
     Puran Chand
     Ravi Channavajhala
     Srinivas Cheruku
@@ -454,6 +479,7 @@ reports, suggestions, and valuable resou
     Mantas Mikulėnas
     Markus Moeller
     Kyle Moffett
+    Jon Moore
     Paul Moore
     Keiichi Mori
     Michael Morony
@@ -506,6 +532,7 @@ reports, suggestions, and valuable resou
     Richard Silverman
     Cel Skeggs
     Simo Sorce
+    Anthony Sottile
     Michael Spang
     Michael Ströder
     Bjørn Tore Sund
diff -pruN 1.21.2-1/debian/changelog 1.21.3-1/debian/changelog
--- 1.21.2-1/debian/changelog	2024-06-14 22:39:28.000000000 +0000
+++ 1.21.3-1/debian/changelog	2024-06-27 17:54:54.000000000 +0000
@@ -1,3 +1,16 @@
+krb5 (1.21.3-1) unstable; urgency=high
+
+  * New Upstream version
+    -     CVE-2024-37370: an unauthenticated attacker can modify the
+    extra count in an RFC 4121 GSS token, causing the token to appear
+    truncated.
+    - CVE-2024-37371: an attacker can cause invalid memory reads by
+    sending an invalid GSS token.
+  * Drop doxygen work around patch: applied upstream
+  * Fix Python 3.12 tests: replace ssl.wrap_socket, Closes: #1067610
+
+ -- Sam Hartman <hartmans@debian.org>  Thu, 27 Jun 2024 11:54:54 -0600
+
 krb5 (1.21.2-1) unstable; urgency=medium
 
   [ Debian Janitor ]
diff -pruN 1.21.2-1/debian/patches/0012-Replace-ssl.wrap_socket-for-tests.patch 1.21.3-1/debian/patches/0012-Replace-ssl.wrap_socket-for-tests.patch
--- 1.21.2-1/debian/patches/0012-Replace-ssl.wrap_socket-for-tests.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/debian/patches/0012-Replace-ssl.wrap_socket-for-tests.patch	2024-06-27 17:24:06.000000000 +0000
@@ -0,0 +1,60 @@
+From: Julien Rische <jrische@redhat.com>
+Date: Wed, 19 Jul 2023 13:43:17 +0200
+Subject: Replace ssl.wrap_socket() for tests
+
+The ssl.wrap_socket() function was deprecated in Python 3.7 and is
+removed in Python 3.12.  The ssl.SSLContext.wrap_socket() method
+replaces it.
+
+Bump the required Python version for tests to 3.4 for
+ssl.create_default_context().
+
+[ghudson@mit.edu: changed minimum Python version]
+
+(cherry picked from commit 0ceab6c363e65fb21d3312a663f2b9b569ecc415)
+---
+ src/configure.ac             | 9 ++++-----
+ src/util/wsgiref-kdcproxy.py | 4 +++-
+ 2 files changed, 7 insertions(+), 6 deletions(-)
+
+diff --git a/src/configure.ac b/src/configure.ac
+index 77be7a2..ca57e8a 100644
+--- a/src/configure.ac
++++ b/src/configure.ac
+@@ -1157,10 +1157,9 @@ AC_SUBST(PKINIT)
+ # for lib/apputils
+ AC_REPLACE_FUNCS(daemon)
+ 
+-# For Python tests.  Python version 3.2.4 is required as prior
+-# versions do not accept string input to subprocess.Popen.communicate
+-# when universal_newlines is set.
+-PYTHON_MINVERSION=3.2.4
++# For Python tests.  Python version 3.4 is required for
++# ssl.create_default_context().
++PYTHON_MINVERSION=3.4
+ AC_SUBST(PYTHON_MINVERSION)
+ AC_CHECK_PROG(PYTHON,python3,python3)
+ if test x"$PYTHON" = x; then
+@@ -1168,7 +1167,7 @@ if test x"$PYTHON" = x; then
+ fi
+ HAVE_PYTHON=no
+ if test x"$PYTHON" != x; then
+-	wantver="(sys.hexversion >= 0x30204F0)"
++	wantver="(sys.hexversion >= 0x30400F0)"
+ 	if "$PYTHON" -c "import sys; sys.exit(not $wantver and 1 or 0)"; then
+ 		HAVE_PYTHON=yes
+ 	fi
+diff --git a/src/util/wsgiref-kdcproxy.py b/src/util/wsgiref-kdcproxy.py
+index 5875969..d1d10d7 100755
+--- a/src/util/wsgiref-kdcproxy.py
++++ b/src/util/wsgiref-kdcproxy.py
+@@ -14,6 +14,8 @@ else:
+     pem = '*'
+ 
+ server = make_server('localhost', port, kdcproxy.Application())
+-server.socket = ssl.wrap_socket(server.socket, certfile=pem, server_side=True)
++sslctx = ssl.create_default_context(purpose=ssl.Purpose.CLIENT_AUTH)
++sslctx.load_cert_chain(certfile=pem)
++server.socket = sslctx.wrap_socket(server.socket, server_side=True)
+ os.write(sys.stdout.fileno(), b'proxy server ready\n')
+ server.serve_forever()
diff -pruN 1.21.2-1/debian/patches/series 1.21.3-1/debian/patches/series
--- 1.21.2-1/debian/patches/series	2024-06-14 22:39:28.000000000 +0000
+++ 1.21.3-1/debian/patches/series	2024-06-27 17:24:06.000000000 +0000
@@ -7,6 +7,6 @@ debian-local/0006-Add-substpdf-target.pa
 debian-local/0007-Fix-pkg-config-library-include-paths.patch
 debian-local/0008-Use-isystem-for-include-paths.patch
 0009-Add-.gitignore.patch
-upstream/0011-Work-around-Doxygen-1.9.7-change.patch
 0011-Allow-kpropd-to-bind-even-if-only-loopback-is-config.patch
 0012-Skip-keyring-tests-if-keyring-blocked-by-seccomp.patch
+0012-Replace-ssl.wrap_socket-for-tests.patch
diff -pruN 1.21.2-1/debian/patches/upstream/0011-Work-around-Doxygen-1.9.7-change.patch 1.21.3-1/debian/patches/upstream/0011-Work-around-Doxygen-1.9.7-change.patch
--- 1.21.2-1/debian/patches/upstream/0011-Work-around-Doxygen-1.9.7-change.patch	2024-06-14 22:39:28.000000000 +0000
+++ 1.21.3-1/debian/patches/upstream/0011-Work-around-Doxygen-1.9.7-change.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,421 +0,0 @@
-From: Greg Hudson <ghudson@mit.edu>
-Date: Wed, 13 Sep 2023 17:57:01 -0400
-Subject: Work around Doxygen 1.9.7 change
-
-Doxygen 1.9.7 avoids duplicating member definitions in the XML
-documents for groups and header files (doxygen/doxygen#9797).  This
-change breaks the current Doxygen-REST bridge, which expects to find
-memberdef elements in krb5_8hin.xml.  To work around this problem,
-remove the @group and @ref declarations in krb5.hin; they were not
-translated into REST as it was.
-
-Also remove a deprecated setting in Doxyfile.
-
-ticket: 9104 (new)
-tags: pullup
-target_version: 1.21-next
-target_version: 1.20-next
-
-(cherry picked from commit 18ec1ae0dc59d9423600b3db3548d2b624d4e3db)
----
- src/doc/Doxyfile.in       |  1 -
- src/include/krb5/krb5.hin | 93 ++++++++++++++++-------------------------------
- 2 files changed, 32 insertions(+), 62 deletions(-)
-
-diff --git a/src/doc/Doxyfile.in b/src/doc/Doxyfile.in
-index c225864..aeaae64 100644
---- a/src/doc/Doxyfile.in
-+++ b/src/doc/Doxyfile.in
-@@ -11,6 +11,5 @@ GENERATE_HTML          = NO
- GENERATE_LATEX         = NO
- GENERATE_XML           = YES
- PREDEFINED             = KRB5_DEPRECATED KRB5_OLD_CRYPTO
--CLASS_DIAGRAMS         = NO
- CASE_SENSE_NAMES       = NO
- QUIET                  = YES
-diff --git a/src/include/krb5/krb5.hin b/src/include/krb5/krb5.hin
-index 9c76780..4e09ed3 100644
---- a/src/include/krb5/krb5.hin
-+++ b/src/include/krb5/krb5.hin
-@@ -52,10 +52,6 @@
- #ifndef KRB5_GENERAL__
- #define KRB5_GENERAL__
- 
--/** @defgroup KRB5_H krb5 library API
-- * @{
-- */
--
-  /* By default, do not expose deprecated interfaces. */
- #ifndef KRB5_DEPRECATED
- #define KRB5_DEPRECATED 0
-@@ -410,7 +406,7 @@ typedef struct _krb5_enc_data {
-  * structures before calling into an iov API.
-  */
- typedef struct _krb5_crypto_iov {
--    krb5_cryptotype flags; /**< @ref KRB5_CRYPTO_TYPE type of the iov */
-+    krb5_cryptotype flags; /**< iov type (see KRB5_CRYPTO_TYPE macros) */
-     krb5_data data;
- } krb5_crypto_iov;
- 
-@@ -500,7 +496,7 @@ enum {
-  *
-  * @param [in]     context      Library context
-  * @param [in]     key          Encryption key
-- * @param [in]     usage        Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage        Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in,out] cipher_state Cipher state; specify NULL if not needed
-  * @param [in]     input        Data to be encrypted
-  * @param [out]    output       Encrypted data
-@@ -528,7 +524,7 @@ krb5_c_encrypt(krb5_context context, const krb5_keyblock *key,
-  *
-  * @param [in]     context      Library context
-  * @param [in]     key          Encryption key
-- * @param [in]     usage        Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage        Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in,out] cipher_state Cipher state; specify NULL if not needed
-  * @param [in]     input        Encrypted data
-  * @param [out]    output       Decrypted data
-@@ -601,7 +597,7 @@ krb5_c_keylengths(krb5_context context, krb5_enctype enctype,
-  *
-  * @param [in]  context         Library context
-  * @param [in]  key             Key
-- * @param [in]  usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]  usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [out] new_state       New cipher state
-  *
-  * @retval 0 Success; otherwise - Kerberos error codes
-@@ -854,7 +850,7 @@ krb5_c_enctype_compare(krb5_context context, krb5_enctype e1, krb5_enctype e2,
-  * @param [in]  context         Library context
-  * @param [in]  cksumtype       Checksum type (0 for mandatory type)
-  * @param [in]  key             Encryption key for a keyed checksum
-- * @param [in]  usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]  usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in]  input           Input data
-  * @param [out] cksum           Generated checksum
-  *
-@@ -936,9 +932,6 @@ krb5_error_code KRB5_CALLCONV
- krb5_c_keyed_checksum_types(krb5_context context, krb5_enctype enctype,
-                             unsigned int *count, krb5_cksumtype **cksumtypes);
- 
--/** @defgroup KRB5_KEYUSAGE KRB5_KEYUSAGE
-- * @{
-- */
- #define KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS          1
- #define KRB5_KEYUSAGE_KDC_REP_TICKET            2
- #define KRB5_KEYUSAGE_AS_REP_ENCPART            3
-@@ -969,15 +962,15 @@ krb5_c_keyed_checksum_types(krb5_context context, krb5_enctype enctype,
- 
- /* Defined in Integrating SAM Mechanisms with Kerberos draft */
- #define KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM    25
--/** Note conflict with @ref KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST */
-+/* Note conflict with KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST */
- #define KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID  26
--/** Note conflict with @ref KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY */
-+/* Note conflict with KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY */
- #define KRB5_KEYUSAGE_PA_SAM_RESPONSE           27
- 
- /* Defined in [MS-SFU] */
--/** Note conflict with @ref KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID */
-+/* Note conflict with KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID */
- #define KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST  26
--/** Note conflict with @ref KRB5_KEYUSAGE_PA_SAM_RESPONSE */
-+/* Note conflict with KRB5_KEYUSAGE_PA_SAM_RESPONSE */
- #define KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY    27
- 
- /* unused */
-@@ -1002,7 +995,6 @@ krb5_c_keyed_checksum_types(krb5_context context, krb5_enctype enctype,
-  * implementation. */
- #define KRB5_KEYUSAGE_PA_FX_COOKIE 513  /**< Used for encrypted FAST cookies */
- #define KRB5_KEYUSAGE_PA_AS_FRESHNESS 514  /**< Used for freshness tokens */
--/** @} */ /* end of KRB5_KEYUSAGE group */
- 
- /**
-  * Verify that a specified encryption type is a valid Kerberos encryption type.
-@@ -1046,9 +1038,6 @@ krb5_boolean KRB5_CALLCONV
- krb5_c_is_keyed_cksum(krb5_cksumtype ctype);
- 
- /* AEAD APIs */
--/** @defgroup KRB5_CRYPTO_TYPE KRB5_CRYPTO_TYPE
-- * @{
-- */
- #define KRB5_CRYPTO_TYPE_EMPTY      0   /**< [in] ignored */
- #define KRB5_CRYPTO_TYPE_HEADER     1   /**< [out] header */
- #define KRB5_CRYPTO_TYPE_DATA       2   /**< [in, out] plaintext */
-@@ -1059,7 +1048,6 @@ krb5_c_is_keyed_cksum(krb5_cksumtype ctype);
- #define KRB5_CRYPTO_TYPE_STREAM     7   /**< [in] entire message without
-                                            decomposing the structure into
-                                            header, data and trailer buffers */
--/** @} */ /* end of KRB5_CRYPTO_TYPE group */
- 
- /**
-  * Fill in a checksum element in IOV array (operates on keyblock)
-@@ -1067,7 +1055,7 @@ krb5_c_is_keyed_cksum(krb5_cksumtype ctype);
-  * @param [in]     context         Library context
-  * @param [in]     cksumtype       Checksum type (0 for mandatory type)
-  * @param [in]     key             Encryption key for a keyed checksum
-- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in,out] data            IOV array
-  * @param [in]     num_data        Size of @a data
-  *
-@@ -1093,7 +1081,7 @@ krb5_c_make_checksum_iov(krb5_context context, krb5_cksumtype cksumtype,
-  * @param [in]     context         Library context
-  * @param [in]     cksumtype       Checksum type (0 for mandatory type)
-  * @param [in]     key             Encryption key for a keyed checksum
-- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in]     data            IOV array
-  * @param [in]     num_data        Size of @a data
-  * @param [out]    valid           Non-zero for success, zero for failure
-@@ -1120,7 +1108,7 @@ krb5_c_verify_checksum_iov(krb5_context context, krb5_cksumtype cksumtype,
-  *
-  * @param [in]     context         Library context
-  * @param [in]     keyblock        Encryption key
-- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in]     cipher_state    Cipher state; specify NULL if not needed
-  * @param [in,out] data            IOV array. Modified in-place.
-  * @param [in]     num_data        Size of @a data
-@@ -1155,7 +1143,7 @@ krb5_c_encrypt_iov(krb5_context context, const krb5_keyblock *keyblock,
-  *
-  * @param [in]     context         Library context
-  * @param [in]     keyblock        Encryption key
-- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in]     cipher_state    Cipher state; specify NULL if not needed
-  * @param [in,out] data            IOV array. Modified in-place.
-  * @param [in]     num_data        Size of @a data
-@@ -1190,7 +1178,7 @@ krb5_c_decrypt_iov(krb5_context context, const krb5_keyblock *keyblock,
-  *
-  * @param [in]  context      Library context
-  * @param [in]  enctype      Encryption type
-- * @param [in]  type         Type field (See @ref KRB5_CRYPTO_TYPE types)
-+ * @param [in]  type         Type field (See KRB5_CRYPTO_TYPE macros)
-  * @param [out] size         Length of the @a type specific to @a enctype
-  *
-  * @retval 0 Success; otherwise - Kerberos error codes
-@@ -1273,7 +1261,7 @@ krb5_k_key_enctype(krb5_context context, krb5_key key);
-  *
-  * @param [in]     context      Library context
-  * @param [in]     key          Encryption key
-- * @param [in]     usage        Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage        Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in,out] cipher_state Cipher state; specify NULL if not needed
-  * @param [in]     input        Data to be encrypted
-  * @param [out]    output       Encrypted data
-@@ -1301,7 +1289,7 @@ krb5_k_encrypt(krb5_context context, krb5_key key, krb5_keyusage usage,
-  *
-  * @param [in]     context         Library context
-  * @param [in]     key             Encryption key
-- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in]     cipher_state    Cipher state; specify NULL if not needed
-  * @param [in,out] data            IOV array. Modified in-place.
-  * @param [in]     num_data        Size of @a data
-@@ -1336,7 +1324,7 @@ krb5_k_encrypt_iov(krb5_context context, krb5_key key, krb5_keyusage usage,
-  *
-  * @param [in]     context      Library context
-  * @param [in]     key          Encryption key
-- * @param [in]     usage        Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage        Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in,out] cipher_state Cipher state; specify NULL if not needed
-  * @param [in]     input        Encrypted data
-  * @param [out]    output       Decrypted data
-@@ -1365,7 +1353,7 @@ krb5_k_decrypt(krb5_context context, krb5_key key, krb5_keyusage usage,
-  *
-  * @param [in]     context         Library context
-  * @param [in]     key             Encryption key
-- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in]     cipher_state    Cipher state; specify NULL if not needed
-  * @param [in,out] data            IOV array. Modified in-place.
-  * @param [in]     num_data        Size of @a data
-@@ -1400,7 +1388,7 @@ krb5_k_decrypt_iov(krb5_context context, krb5_key key, krb5_keyusage usage,
-  * @param [in]  context         Library context
-  * @param [in]  cksumtype       Checksum type (0 for mandatory type)
-  * @param [in]  key             Encryption key for a keyed checksum
-- * @param [in]  usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]  usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in]  input           Input data
-  * @param [out] cksum           Generated checksum
-  *
-@@ -1430,7 +1418,7 @@ krb5_k_make_checksum(krb5_context context, krb5_cksumtype cksumtype,
-  * @param [in]     context         Library context
-  * @param [in]     cksumtype       Checksum type (0 for mandatory type)
-  * @param [in]     key             Encryption key for a keyed checksum
-- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in,out] data            IOV array
-  * @param [in]     num_data        Size of @a data
-  *
-@@ -1484,7 +1472,7 @@ krb5_k_verify_checksum(krb5_context context, krb5_key key, krb5_keyusage usage,
-  * @param [in]     context         Library context
-  * @param [in]     cksumtype       Checksum type (0 for mandatory type)
-  * @param [in]     key             Encryption key for a keyed checksum
-- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
-+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
-  * @param [in]     data            IOV array
-  * @param [in]     num_data        Size of @a data
-  * @param [out]    valid           Non-zero for success, zero for failure
-@@ -1662,11 +1650,9 @@ krb5_verify_checksum(krb5_context context, krb5_cksumtype ctype,
- 
- /* definitions for ap_options fields */
- 
--/** @defgroup AP_OPTS AP_OPTS
-- *
-+/*
-  * ap_options are 32 bits; each host is responsible to put the 4 bytes
-  * representing these bits into net order before transmission
-- * @{
-  */
- #define AP_OPTS_RESERVED           0x80000000
- #define AP_OPTS_USE_SESSION_KEY    0x40000000 /**< Use session key */
-@@ -1707,7 +1693,6 @@ krb5_verify_checksum(krb5_context context, krb5_cksumtype ctype,
- 
- 
- #define AP_OPTS_WIRE_MASK               0xfffffff0
--/** @} */ /* end of AP_OPTS group */
- 
- /* definitions for ad_type fields. */
- #define AD_TYPE_RESERVED        0x8000
-@@ -1863,9 +1848,6 @@ krb5_verify_checksum(krb5_context context, krb5_cksumtype ctype,
- 
- /* authorization data types. See RFC 4120 section 5.2.6 */
- 
--/** @defgroup KRB5_AUTHDATA KRB5_AUTHDATA
-- * @{
-- */
- #define KRB5_AUTHDATA_IF_RELEVANT   1
- #define KRB5_AUTHDATA_KDC_ISSUED    4
- #define KRB5_AUTHDATA_AND_OR        5
-@@ -1880,7 +1862,6 @@ krb5_verify_checksum(krb5_context context, krb5_cksumtype ctype,
- #define KRB5_AUTHDATA_FX_ARMOR 71
- #define KRB5_AUTHDATA_AUTH_INDICATOR 97
- #define KRB5_AUTHDATA_AP_OPTIONS 143
--/** @} */ /* end of KRB5_AUTHDATA group */
- 
- /* password change constants */
- #define KRB5_KPASSWD_SUCCESS            0  /**< Success */
-@@ -2190,9 +2171,6 @@ typedef struct _krb5_pa_pac_req {
-  * begin "safepriv.h"
-  */
- 
--/** @defgroup KRB5_AUTH_CONTEXT KRB5_AUTH_CONTEXT
-- * @{
-- */
- /** Prevent replays with timestamps and replay cache. */
- #define KRB5_AUTH_CONTEXT_DO_TIME       0x00000001
- /** Save timestamps for application. */
-@@ -2203,7 +2181,6 @@ typedef struct _krb5_pa_pac_req {
- #define KRB5_AUTH_CONTEXT_RET_SEQUENCE  0x00000008
- #define KRB5_AUTH_CONTEXT_PERMIT_ALL    0x00000010
- #define KRB5_AUTH_CONTEXT_USE_SUBKEY    0x00000020
--/** @} */ /* end of KRB5_AUTH_CONTEXT group */
- 
- /**
-  * Replay data.
-@@ -3033,9 +3010,6 @@ krb5_server_decrypt_ticket_keytab(krb5_context context, const krb5_keytab kt,
- void KRB5_CALLCONV
- krb5_free_tgt_creds(krb5_context context, krb5_creds **tgts);
- 
--/** @defgroup KRB5_GC  KRB5_GC
-- * @{
-- */
- #define KRB5_GC_USER_USER    1  /**< Want user-user ticket */
- #define KRB5_GC_CACHED       2  /**< Want cached ticket only */
- #define KRB5_GC_CANONICALIZE 4  /**< Set canonicalize KDC option */
-@@ -3043,7 +3017,6 @@ krb5_free_tgt_creds(krb5_context context, krb5_creds **tgts);
- #define KRB5_GC_FORWARDABLE             16  /**< Acquire forwardable tickets */
- #define KRB5_GC_NO_TRANSIT_CHECK        32  /**< Disable transited check */
- #define KRB5_GC_CONSTRAINED_DELEGATION  64  /**< Constrained delegation */
--/** @} */ /* end of KRB5_GC group */
- 
- /**
-  * Get an additional ticket.
-@@ -3142,7 +3115,7 @@ krb5_get_credentials_renew(krb5_context context, krb5_flags options,
-  *
-  * @param [in]     context        Library context
-  * @param [in,out] auth_context   Pre-existing or newly created auth context
-- * @param [in]     ap_req_options @ref AP_OPTS options
-+ * @param [in]     ap_req_options Options (see AP_OPTS macros)
-  * @param [in]     service        Service name, or NULL to use @c "host"
-  * @param [in]     hostname       Host name, or NULL to use local hostname
-  * @param [in]     in_data        Application data to be checksummed in the
-@@ -3170,7 +3143,7 @@ krb5_mk_req(krb5_context context, krb5_auth_context *auth_context,
-  *
-  * @param [in]     context        Library context
-  * @param [in,out] auth_context   Pre-existing or newly created auth context
-- * @param [in]     ap_req_options @ref AP_OPTS options
-+ * @param [in]     ap_req_options Options (see AP_OPTS macros)
-  * @param [in]     in_data        Application data to be checksummed in the
-  *                                authenticator, or NULL
-  * @param [in]     in_creds       Credentials for the service with valid ticket
-@@ -5279,7 +5252,7 @@ krb5_kt_read_service_key(krb5_context context, krb5_pointer keyprocarg,
-  *
-  * Fields in @a auth_context specify the checksum type, the keyblock that
-  * can be used to seed the checksum, full addresses (host and port) for
-- * the sender and receiver, and @ref KRB5_AUTH_CONTEXT flags.
-+ * the sender and receiver, and KRB5_AUTH_CONTEXT flags.
-  *
-  * The local address in @a auth_context must be set, and is used to form the
-  * sender address used in the KRB-SAFE message.  The remote address is
-@@ -5367,7 +5340,7 @@ krb5_mk_priv(krb5_context context, krb5_auth_context auth_context,
-  *                                with the receiver's application version
-  * @param [in]     client         Client principal
-  * @param [in]     server         Server principal
-- * @param [in]     ap_req_options @ref AP_OPTS options
-+ * @param [in]     ap_req_options Options (see AP_OPTS macros)
-  * @param [in]     in_data        Data to be sent to the server
-  * @param [in]     in_creds       Input credentials, or NULL to use @a ccache
-  * @param [in]     ccache         Credential cache
-@@ -6608,13 +6581,13 @@ krb5_prompter_posix(krb5_context context, void *data, const char *name,
- /**
-  * A container for a set of preauthentication questions and answers
-  *
-- * A responder context is supplied by the krb5 authentication system to a @ref
-+ * A responder context is supplied by the krb5 authentication system to a
-  * krb5_responder_fn callback.  It contains a list of questions and can receive
-  * answers.  Questions contained in a responder context can be listed using
-  * krb5_responder_list_questions(), retrieved using
-  * krb5_responder_get_challenge(), or answered using
-- * krb5_responder_set_answer().  The form of a question's challenge and
-- * answer depend on the question name.
-+ * krb5_responder_set_answer().  The form of a question's challenge and answer
-+ * depend on the question name.
-  *
-  * @version New in 1.11
-  */
-@@ -7527,7 +7500,7 @@ typedef struct _krb5_tkt_creds_context *krb5_tkt_creds_context;
-  * @param[in]  context          Library context
-  * @param[in]  ccache           Credential cache handle
-  * @param[in]  creds            Input credentials
-- * @param[in]  options          @ref KRB5_GC options for this request.
-+ * @param[in]  options          Options (see KRB5_GC macros)
-  * @param[out] ctx              New TGS request context
-  *
-  * This function prepares to obtain credentials matching @a creds, either by
-@@ -8064,7 +8037,7 @@ krb5_clear_error_message(krb5_context ctx);
-  * Unwrap authorization data.
-  *
-  * @param [in]  context         Library context
-- * @param [in]  type            @ref KRB5_AUTHDATA type of @a container
-+ * @param [in]  type            Container type (see KRB5_AUTHDATA macros)
-  * @param [in]  container       Authorization data to be decoded
-  * @param [out] authdata        List of decoded authorization data
-  *
-@@ -8081,7 +8054,7 @@ krb5_decode_authdata_container(krb5_context context,
-  * Wrap authorization data in a container.
-  *
-  * @param [in]  context         Library context
-- * @param [in]  type            @ref KRB5_AUTHDATA type of @a container
-+ * @param [in]  type            Container type (see KRB5_AUTHDATA macros)
-  * @param [in]  authdata        List of authorization data to be encoded
-  * @param [out] container       List of encoded authorization data
-  *
-@@ -8614,6 +8587,4 @@ KRB5INT_END_DECLS
- 
- #undef KRB5_ATTR_DEPRECATED
- 
--/** @} */ /* end of KRB5_H group */
--
- #endif /* KRB5_GENERAL__ */
diff -pruN 1.21.2-1/doc/admin/realm_config.rst 1.21.3-1/doc/admin/realm_config.rst
--- 1.21.2-1/doc/admin/realm_config.rst	2023-08-14 16:16:42.000000000 +0000
+++ 1.21.3-1/doc/admin/realm_config.rst	2024-06-26 20:00:35.000000000 +0000
@@ -156,7 +156,8 @@ _kerberos-master._udp
 
     If you have only one KDC, or for whatever reason there is no
     accessible KDC that would get database changes faster than the
-    others, you do not need to define this entry.  _kerberos-adm._tcp
+    others, you do not need to define this entry.
+_kerberos-adm._tcp
     This should list port 749 on your primary KDC.  Support for it is
     not complete at this time, but it will eventually be used by the
     :ref:`kadmin(1)` program and related utilities.  For now, you will
diff -pruN 1.21.2-1/doc/conf.py 1.21.3-1/doc/conf.py
--- 1.21.2-1/doc/conf.py	2023-08-14 16:16:42.000000000 +0000
+++ 1.21.3-1/doc/conf.py	2024-06-26 20:00:35.000000000 +0000
@@ -45,7 +45,7 @@ else:
 
 # General information about the project.
 project = u'MIT Kerberos'
-copyright = u'1985-2023, MIT'
+copyright = u'1985-2024, MIT'
 
 # The version info for the project you're documenting, acts as replacement for
 # |version| and |release|, also used in various other places throughout the
diff -pruN 1.21.2-1/doc/copyright.rst 1.21.3-1/doc/copyright.rst
--- 1.21.2-1/doc/copyright.rst	2023-08-14 16:16:42.000000000 +0000
+++ 1.21.3-1/doc/copyright.rst	2024-06-26 20:00:35.000000000 +0000
@@ -1,7 +1,7 @@
 Copyright
 =========
 
-Copyright |copy| 1985-2023 by the Massachusetts Institute of
+Copyright |copy| 1985-2024 by the Massachusetts Institute of
 Technology and its contributors.  All rights reserved.
 
 See :ref:`mitK5license` for additional copyright and license
diff -pruN 1.21.2-1/doc/html/.buildinfo 1.21.3-1/doc/html/.buildinfo
--- 1.21.2-1/doc/html/.buildinfo	2023-08-14 16:24:20.000000000 +0000
+++ 1.21.3-1/doc/html/.buildinfo	2024-06-26 20:01:31.000000000 +0000
@@ -1,4 +1,4 @@
 # Sphinx build info version 1
 # This file hashes the configuration used when building these files. When it is not found, a full rebuild will be done.
-config: 843ce36390960f2757117b09c16a0df0
+config: 9ca503a4e24138fa47d4451ee9426bb5
 tags: 645f666f9bcd5a90fca523b33c5a78b7
diff -pruN 1.21.2-1/doc/html/_sources/admin/realm_config.rst.txt 1.21.3-1/doc/html/_sources/admin/realm_config.rst.txt
--- 1.21.2-1/doc/html/_sources/admin/realm_config.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/admin/realm_config.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -156,7 +156,8 @@ _kerberos-master._udp
 
     If you have only one KDC, or for whatever reason there is no
     accessible KDC that would get database changes faster than the
-    others, you do not need to define this entry.  _kerberos-adm._tcp
+    others, you do not need to define this entry.
+_kerberos-adm._tcp
     This should list port 749 on your primary KDC.  Support for it is
     not complete at this time, but it will eventually be used by the
     :ref:`kadmin(1)` program and related utilities.  For now, you will
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_425_conv_principal.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_425_conv_principal.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_425_conv_principal.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_425_conv_principal.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -40,7 +40,7 @@ This function builds a *princ* from V4 s
 
 
 
-Use :c:func:`krb5_free_principal()` to free *princ* when it is no longer needed.
+Use krb5_free_principal() to free *princ* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_anonymous_principal.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_anonymous_principal.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_anonymous_principal.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_anonymous_principal.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -39,7 +39,7 @@ This function returns constant storage t
 ..
 
 .. seealso::
-         :data:`KRB5_ANONYMOUS_PRINCSTR` 
+         #KRB5_ANONYMOUS_PRINCSTR
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_anonymous_realm.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_anonymous_realm.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_anonymous_realm.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_anonymous_realm.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -39,7 +39,7 @@ This function returns constant storage t
 ..
 
 .. seealso::
-         :data:`KRB5_ANONYMOUS_REALMSTR` 
+         #KRB5_ANONYMOUS_REALMSTR
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_appdefault_boolean.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_appdefault_boolean.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_appdefault_boolean.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_appdefault_boolean.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -49,7 +49,7 @@ This function gets the application defau
 ..
 
 .. seealso::
-         :c:func:`krb5_appdefault_string()` 
+         krb5_appdefault_string()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_appdefault_string.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_appdefault_string.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_appdefault_string.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_appdefault_string.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -49,7 +49,7 @@ This function gets the application defau
 ..
 
 .. seealso::
-         :c:func:`krb5_appdefault_boolean()` 
+         krb5_appdefault_boolean()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_free.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_free.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_free.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_free.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -30,7 +30,7 @@ krb5_auth_con_free -  Free a krb5_auth_c
 
 
 
-This function frees an auth context allocated by :c:func:`krb5_auth_con_init()` .
+This function frees an auth context allocated by krb5_auth_con_init().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_genaddrs.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_genaddrs.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_genaddrs.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_genaddrs.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -40,16 +40,16 @@ This function sets the local and/or remo
 
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR` Generate local address.
+	 - #KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR Generate local address.
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR` Generate remote address.
+	 - #KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR Generate remote address.
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR` Generate local address and port.
+	 - #KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR Generate local address and port.
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR` Generate remote address and port.
+	 - #KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR Generate remote address and port.
  
  
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getauthenticator.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getauthenticator.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getauthenticator.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getauthenticator.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_getauthenticator -  Retrie
 
 
 
-Use :c:func:`krb5_free_authenticator()` to free *authenticator* when it is no longer needed.
+Use krb5_free_authenticator() to free *authenticator* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getflags.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getflags.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getflags.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getflags.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,16 +34,16 @@ krb5_auth_con_getflags -  Retrieve flags
 
 Valid values for *flags* are: 
  
-	 - :data:`KRB5_AUTH_CONTEXT_DO_TIME` Use timestamps
+	 - #KRB5_AUTH_CONTEXT_DO_TIME Use timestamps
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_RET_TIME` Save timestamps
+	 - #KRB5_AUTH_CONTEXT_RET_TIME Save timestamps
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` Use sequence numbers
+	 - #KRB5_AUTH_CONTEXT_DO_SEQUENCE Use sequence numbers
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` Save sequence numbers
+	 - #KRB5_AUTH_CONTEXT_RET_SEQUENCE Save sequence numbers
  
  
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getkey.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getkey.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getkey.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getkey.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_getkey -  Retrieve the ses
 
 
 
-This function creates a keyblock containing the session key from *auth_context* . Use :c:func:`krb5_free_keyblock()` to free *keyblock* when it is no longer needed
+This function creates a keyblock containing the session key from *auth_context* . Use krb5_free_keyblock() to free *keyblock* when it is no longer needed
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getkey_k.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getkey_k.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getkey_k.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getkey_k.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_getkey_k -  Retrieve the s
 
 
 
-This function sets *key* to the session key from *auth_context* . Use :c:func:`krb5_k_free_key()` to release *key* when it is no longer needed.
+This function sets *key* to the session key from *auth_context* . Use krb5_k_free_key() to release *key* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getlocalseqnumber.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getlocalseqnumber.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getlocalseqnumber.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getlocalseqnumber.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_getlocalseqnumber -  Retri
 
 
 
-Retrieve the local sequence number from *auth_context* and return it in *seqnumber* . The :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` flag must be set in *auth_context* for this function to be useful.
+Retrieve the local sequence number from *auth_context* and return it in *seqnumber* . The #KRB5_AUTH_CONTEXT_DO_SEQUENCE flag must be set in *auth_context* for this function to be useful.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getlocalsubkey.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getlocalsubkey.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getlocalsubkey.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getlocalsubkey.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -24,7 +24,7 @@ krb5_auth_con_getlocalsubkey
 ..
 
 
-DEPRECATED Replaced by krb5_auth_con_getsendsubkey() . 
+DEPRECATED Replaced by krb5_auth_con_getsendsubkey(). 
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getrecvsubkey.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getrecvsubkey.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getrecvsubkey.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getrecvsubkey.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_getrecvsubkey -  Retrieve
 
 
 
-This function creates a keyblock containing the receiving subkey from *auth_context* . Use :c:func:`krb5_free_keyblock()` to free *keyblock* when it is no longer needed.
+This function creates a keyblock containing the receiving subkey from *auth_context* . Use krb5_free_keyblock() to free *keyblock* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getrecvsubkey_k.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getrecvsubkey_k.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getrecvsubkey_k.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getrecvsubkey_k.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_getrecvsubkey_k -  Retriev
 
 
 
-This function sets *key* to the receiving subkey from *auth_context* . Use :c:func:`krb5_k_free_key()` to release *key* when it is no longer needed.
+This function sets *key* to the receiving subkey from *auth_context* . Use krb5_k_free_key() to release *key* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getremoteseqnumber.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getremoteseqnumber.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getremoteseqnumber.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getremoteseqnumber.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_getremoteseqnumber -  Retr
 
 
 
-Retrieve the remote sequence number from *auth_context* and return it in *seqnumber* . The :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` flag must be set in *auth_context* for this function to be useful.
+Retrieve the remote sequence number from *auth_context* and return it in *seqnumber* . The #KRB5_AUTH_CONTEXT_DO_SEQUENCE flag must be set in *auth_context* for this function to be useful.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getremotesubkey.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getremotesubkey.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getremotesubkey.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getremotesubkey.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -24,7 +24,7 @@ krb5_auth_con_getremotesubkey
 ..
 
 
-DEPRECATED Replaced by krb5_auth_con_getrecvsubkey() . 
+DEPRECATED Replaced by krb5_auth_con_getrecvsubkey(). 
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getsendsubkey.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getsendsubkey.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getsendsubkey.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getsendsubkey.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_getsendsubkey -  Retrieve
 
 
 
-This function creates a keyblock containing the send subkey from *auth_context* . Use :c:func:`krb5_free_keyblock()` to free *keyblock* when it is no longer needed.
+This function creates a keyblock containing the send subkey from *auth_context* . Use krb5_free_keyblock() to free *keyblock* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getsendsubkey_k.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getsendsubkey_k.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getsendsubkey_k.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_getsendsubkey_k.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_getsendsubkey_k -  Retriev
 
 
 
-This function sets *key* to the send subkey from *auth_context* . Use :c:func:`krb5_k_free_key()` to release *key* when it is no longer needed.
+This function sets *key* to the send subkey from *auth_context* . Use krb5_k_free_key() to release *key* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_init.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_init.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_init.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_init.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,11 +34,11 @@ This function creates an authentication
 
 
 
-By default, flags for the context are set to enable the use of the replay cache ( :data:`KRB5_AUTH_CONTEXT_DO_TIME` ), but not sequence numbers. Use :c:func:`krb5_auth_con_setflags()` to change the flags.
+By default, flags for the context are set to enable the use of the replay cache (#KRB5_AUTH_CONTEXT_DO_TIME), but not sequence numbers. Use krb5_auth_con_setflags() to change the flags.
 
 
 
-The allocated *auth_context* must be freed with :c:func:`krb5_auth_con_free()` when it is no longer needed.
+The allocated *auth_context* must be freed with krb5_auth_con_free() when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_initivector.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_initivector.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_initivector.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_initivector.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -30,7 +30,7 @@ krb5_auth_con_initivector -  Cause an au
 
 
 
-Prepare *auth_context* to use cipher state when :c:func:`krb5_mk_priv()` or :c:func:`krb5_rd_priv()` encrypt or decrypt data.
+Prepare *auth_context* to use cipher state when krb5_mk_priv() or krb5_rd_priv() encrypt or decrypt data.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_set_checksum_func.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_set_checksum_func.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_set_checksum_func.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_set_checksum_func.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ krb5_auth_con_set_checksum_func -  Set a
 
 
 
-Set a callback to obtain checksum data in :c:func:`krb5_mk_req()` . The callback will be invoked after the subkey and local sequence number are stored in *auth_context* .
+Set a callback to obtain checksum data in krb5_mk_req(). The callback will be invoked after the subkey and local sequence number are stored in *auth_context* .
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_set_req_cksumtype.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_set_req_cksumtype.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_set_req_cksumtype.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_set_req_cksumtype.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_auth_con_set_req_cksumtype -  Set c
 
 
 
-This function sets the checksum type in *auth_context* to be used by :c:func:`krb5_mk_req()` for the authenticator checksum.
+This function sets the checksum type in *auth_context* to be used by krb5_mk_req() for the authenticator checksum.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setaddrs.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setaddrs.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setaddrs.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setaddrs.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -48,7 +48,7 @@ This function releases the storage assig
 ..
 
 .. seealso::
-         :c:func:`krb5_auth_con_genaddrs()` 
+         krb5_auth_con_genaddrs()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setflags.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setflags.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setflags.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setflags.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,16 +34,16 @@ krb5_auth_con_setflags -  Set a flags fi
 
 Valid values for *flags* are: 
  
-	 - :data:`KRB5_AUTH_CONTEXT_DO_TIME` Use timestamps
+	 - #KRB5_AUTH_CONTEXT_DO_TIME Use timestamps
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_RET_TIME` Save timestamps
+	 - #KRB5_AUTH_CONTEXT_RET_TIME Save timestamps
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` Use sequence numbers
+	 - #KRB5_AUTH_CONTEXT_DO_SEQUENCE Use sequence numbers
  
  
-	 - :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` Save sequence numbers
+	 - #KRB5_AUTH_CONTEXT_RET_SEQUENCE Save sequence numbers
  
  
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setports.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setports.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setports.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_auth_con_setports.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -48,7 +48,7 @@ This function releases the storage assig
 ..
 
 .. seealso::
-         :c:func:`krb5_auth_con_genaddrs()` 
+         krb5_auth_con_genaddrs()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_build_principal.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_build_principal.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_build_principal.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_build_principal.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,7 +37,7 @@ krb5_build_principal -  Build a principa
 
 
 
-Call :c:func:`krb5_free_principal()` to free *princ* when it is no longer needed.
+Call krb5_free_principal() to free *princ* when it is no longer needed.
 
 
 
@@ -65,7 +65,7 @@ Beginning with release 1.20, the name ty
 
 .. note::
 
-	 :c:func:`krb5_build_principal()` and :c:func:`krb5_build_principal_alloc_va()` perform the same task. :c:func:`krb5_build_principal()` takes variadic arguments. :c:func:`krb5_build_principal_alloc_va()` takes a pre-computed *varargs* pointer.
+	 krb5_build_principal() and krb5_build_principal_alloc_va() perform the same task. krb5_build_principal() takes variadic arguments. krb5_build_principal_alloc_va() takes a pre-computed *varargs* pointer.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_alloc_va.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_alloc_va.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_alloc_va.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_alloc_va.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -39,11 +39,11 @@ krb5_build_principal_alloc_va -  Build a
 
 
 
-Similar to :c:func:`krb5_build_principal()` , this function builds a principal name, but its name components are specified as a va_list.
+Similar to krb5_build_principal(), this function builds a principal name, but its name components are specified as a va_list.
 
 
 
-Use :c:func:`krb5_free_principal()` to deallocate *princ* when it is no longer needed.
+Use krb5_free_principal() to deallocate *princ* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_ext.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_ext.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_ext.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_ext.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,7 +37,7 @@ krb5_build_principal_ext -  Build a prin
 
 
 
-This function creates a principal from a length-counted string and a variable-length list of length-counted components. The list of components ends with the first 0 length argument (so it is not possible to specify an empty component with this function). Call :c:func:`krb5_free_principal()` to free allocated memory for principal when it is no longer needed.
+This function creates a principal from a length-counted string and a variable-length list of length-counted components. The list of components ends with the first 0 length argument (so it is not possible to specify an empty component with this function). Call krb5_free_principal() to free allocated memory for principal when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_va.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_va.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_va.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_build_principal_va.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -28,7 +28,7 @@ krb5_build_principal_va
 ..
 
 
-DEPRECATED Replaced by krb5_build_principal_alloc_va() . 
+DEPRECATED Replaced by krb5_build_principal_alloc_va(). 
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_crypto_length.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_crypto_length.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_crypto_length.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_crypto_length.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_c_crypto_length -  Return a length
 
 	          **[in]** **enctype** - Encryption type
 
-	          **[in]** **type** - Type field (See :data:`KRB5_CRYPTO_TYPE` types)
+	          **[in]** **type** - Type field (See KRB5_CRYPTO_TYPE macros)
 
 	          **[out]** **size** - Length of the *type* specific to *enctype*
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_crypto_length_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_crypto_length_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_crypto_length_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_crypto_length_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ krb5_c_crypto_length_iov -  Fill in leng
 
 
 
-Padding is set to the actual padding required based on the provided *data* buffers. Typically this API is used after setting up the data buffers and :data:`KRB5_CRYPTO_TYPE_SIGN_ONLY` buffers, but before actually allocating header, trailer and padding.
+Padding is set to the actual padding required based on the provided *data* buffers. Typically this API is used after setting up the data buffers and #KRB5_CRYPTO_TYPE_SIGN_ONLY buffers, but before actually allocating header, trailer and padding.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_decrypt.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_decrypt.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_decrypt.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_decrypt.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_c_decrypt -  Decrypt data using a k
 
 	          **[in]** **key** - Encryption key
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[inout]** **cipher_state** - Cipher state; specify NULL if not needed
 
@@ -58,7 +58,7 @@ This function decrypts the data block *i
 
 .. note::
 
-	 The caller must initialize *output* and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let :c:func:`krb5_c_decrypt()` trim *output->length* . For some enctypes, the resulting *output->length* may include padding bytes.
+	 The caller must initialize *output* and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let krb5_c_decrypt() trim *output->length* . For some enctypes, the resulting *output->length* may include padding bytes.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_decrypt_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_decrypt_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_decrypt_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_decrypt_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_c_decrypt_iov -  Decrypt data in pl
 
 	          **[in]** **keyblock** - Encryption key
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[in]** **cipher_state** - Cipher state; specify NULL if not needed
 
@@ -52,7 +52,7 @@ This function decrypts the data block *d
 ..
 
 .. seealso::
-         :c:func:`krb5_c_decrypt_iov()` 
+         krb5_c_decrypt_iov()
  
 
 
@@ -61,7 +61,7 @@ This function decrypts the data block *d
 
 .. note::
 
-	 On return from a :c:func:`krb5_c_decrypt_iov()` call, the *data->length* in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
+	 On return from a krb5_c_decrypt_iov() call, the *data->length* in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_encrypt.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_encrypt.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_encrypt.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_encrypt.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_c_encrypt -  Encrypt data using a k
 
 	          **[in]** **key** - Encryption key
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[inout]** **cipher_state** - Cipher state; specify NULL if not needed
 
@@ -38,7 +38,7 @@ krb5_c_encrypt -  Encrypt data using a k
 
 
 
-This function encrypts the data block *input* and stores the output into *output* . The actual encryption key will be derived from *key* and *usage* if key derivation is specified for the encryption type. If non-null, *cipher_state* specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation.
+This function encrypts the data block *input* and stores the outputinto *output* . The actual encryption key will be derived from *key* and *usage* if key derivation is specified for the encryption type. If non-null, *cipher_state* specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation.
 
 
 
@@ -58,7 +58,7 @@ This function encrypts the data block *i
 
 .. note::
 
-	 The caller must initialize *output* and allocate at least enough space for the result (using :c:func:`krb5_c_encrypt_length()` to determine the amount of space needed). *output->length* will be set to the actual length of the ciphertext.
+	 The caller must initialize *output* and allocate at least enough space for the result (using krb5_c_encrypt_length() to determine the amount of space needed). *output->length* will be set to the actual length of the ciphertext.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_encrypt_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_encrypt_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_encrypt_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_encrypt_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_c_encrypt_iov -  Encrypt data in pl
 
 	          **[in]** **keyblock** - Encryption key
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[in]** **cipher_state** - Cipher state; specify NULL if not needed
 
@@ -52,7 +52,7 @@ This function encrypts the data block *d
 ..
 
 .. seealso::
-         :c:func:`krb5_c_decrypt_iov()` 
+         krb5_c_decrypt_iov()
  
 
 
@@ -61,7 +61,7 @@ This function encrypts the data block *d
 
 .. note::
 
-	 On return from a :c:func:`krb5_c_encrypt_iov()` call, the *data->length* in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
+	 On return from a krb5_c_encrypt_iov() call, the *data->length* in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_free_state.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_free_state.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_free_state.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_free_state.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -1,5 +1,5 @@
-krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state() . 
-=======================================================================================
+krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state(). 
+======================================================================================
 
 ..
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_init_state.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_init_state.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_init_state.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_init_state.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_c_init_state -  Initialize a new ci
 
 	          **[in]** **key** - Key
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[out]** **new_state** - New cipher state
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_keyed_checksum_types.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_keyed_checksum_types.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_keyed_checksum_types.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_keyed_checksum_types.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ krb5_c_keyed_checksum_types -  Return a
 
 
 
-Use :c:func:`krb5_free_cksumtypes()` to free *cksumtypes* when it is no longer needed.
+Use krb5_free_cksumtypes() to free *cksumtypes* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_make_checksum.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_make_checksum.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_make_checksum.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_make_checksum.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ krb5_c_make_checksum -  Compute a checks
 
 	          **[in]** **key** - Encryption key for a keyed checksum
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[in]** **input** - Input data
 
@@ -38,7 +38,7 @@ krb5_c_make_checksum -  Compute a checks
 
 
 
-This function computes a checksum of type *cksumtype* over *input* , using *key* if the checksum type is a keyed checksum. If *cksumtype* is 0 and *key* is non-null, the checksum type will be the mandatory-to-implement checksum type for the key's encryption type. The actual checksum key will be derived from *key* and *usage* if key derivation is specified for the checksum type. The newly created *cksum* must be released by calling :c:func:`krb5_free_checksum_contents()` when it is no longer needed.
+This function computes a checksum of type *cksumtype* over *input* , using *key* if the checksum type is a keyed checksum. If *cksumtype* is 0 and *key* is non-null, the checksum type will be the mandatory-to-implement checksum type for the key's encryption type. The actual checksum key will be derived from *key* and *usage* if key derivation is specified for the checksum type. The newly created *cksum* must be released by calling krb5_free_checksum_contents() when it is no longer needed.
 
 
 
@@ -52,7 +52,7 @@ This function computes a checksum of typ
 ..
 
 .. seealso::
-         :c:func:`krb5_c_verify_checksum()` 
+         krb5_c_verify_checksum()
  
 
 
@@ -61,7 +61,7 @@ This function computes a checksum of typ
 
 .. note::
 
-	 This function is similar to :c:func:`krb5_k_make_checksum()` , but operates on keyblock *key* .
+	 This function is similar to krb5_k_make_checksum(), but operates on keyblock *key* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_make_checksum_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_make_checksum_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_make_checksum_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_make_checksum_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ krb5_c_make_checksum_iov -  Fill in a ch
 
 	          **[in]** **key** - Encryption key for a keyed checksum
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[inout]** **data** - IOV array
 
@@ -38,7 +38,7 @@ krb5_c_make_checksum_iov -  Fill in a ch
 
 
 
-Create a checksum in the :data:`KRB5_CRYPTO_TYPE_CHECKSUM` element over :data:`KRB5_CRYPTO_TYPE_DATA` and :data:`KRB5_CRYPTO_TYPE_SIGN_ONLY` chunks in *data* . Only the :data:`KRB5_CRYPTO_TYPE_CHECKSUM` region is modified.
+Create a checksum in the #KRB5_CRYPTO_TYPE_CHECKSUM element over #KRB5_CRYPTO_TYPE_DATA and #KRB5_CRYPTO_TYPE_SIGN_ONLY chunks in *data* . Only the #KRB5_CRYPTO_TYPE_CHECKSUM region is modified.
 
 
 
@@ -52,7 +52,7 @@ Create a checksum in the :data:`KRB5_CRY
 ..
 
 .. seealso::
-         :c:func:`krb5_c_verify_checksum_iov()` 
+         krb5_c_verify_checksum_iov()
  
 
 
@@ -61,7 +61,7 @@ Create a checksum in the :data:`KRB5_CRY
 
 .. note::
 
-	 This function is similar to :c:func:`krb5_k_make_checksum_iov()` , but operates on keyblock *key* .
+	 This function is similar to krb5_k_make_checksum_iov(), but operates on keyblock *key* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_make_random_key.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_make_random_key.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_make_random_key.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_make_random_key.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_c_make_random_key -  Generate an en
 
 
 
-Use :c:func:`krb5_free_keyblock_contents()` to free *k5_random_key* when no longer needed.
+Use krb5_free_keyblock_contents() to free *k5_random_key* when no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_prf.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_prf.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_prf.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_prf.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ krb5_c_prf -  Generate enctype-specific
 
 
 
-This function selects a pseudo-random function based on *keyblock* and computes its value over *input* , placing the result into *output* . The caller must preinitialize *output* and allocate space for the result, using :c:func:`krb5_c_prf_length()` to determine the required length.
+This function selects a pseudo-random function based on *keyblock* and computes its value over *input* , placing the result into *output* . The caller must preinitialize *output* and allocate space for the result, using krb5_c_prf_length() to determine the required length.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_random_to_key.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_random_to_key.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_random_to_key.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_random_to_key.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -48,7 +48,7 @@ This function takes random input data *r
 ..
 
 .. seealso::
-         :c:func:`krb5_c_keylengths()` 
+         krb5_c_keylengths()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_string_to_key.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_string_to_key.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_string_to_key.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_string_to_key.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -36,7 +36,7 @@ krb5_c_string_to_key -  Convert a string
 
 
 
-This function converts *string* to a *key* of encryption type *enctype* , using the specified *salt* . The newly created *key* must be released by calling :c:func:`krb5_free_keyblock_contents()` when it is no longer needed.
+This function converts *string* to a *key* of encryption type *enctype* , using the specified *salt* . The newly created *key* must be released by calling krb5_free_keyblock_contents() when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_string_to_key_with_params.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_string_to_key_with_params.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_string_to_key_with_params.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_string_to_key_with_params.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -38,7 +38,7 @@ krb5_c_string_to_key_with_params -  Conv
 
 
 
-This function is similar to :c:func:`krb5_c_string_to_key()` , but also takes parameters which may affect the algorithm in an enctype-dependent way. The newly created *key* must be released by calling :c:func:`krb5_free_keyblock_contents()` when it is no longer needed.
+This function is similar to krb5_c_string_to_key(), but also takes parameters which may affect the algorithm in an enctype-dependent way. The newly created *key* must be released by calling krb5_free_keyblock_contents() when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_verify_checksum.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_verify_checksum.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_verify_checksum.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_verify_checksum.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -58,7 +58,7 @@ This function verifies that *cksum* is a
 
 .. note::
 
-	 This function is similar to :c:func:`krb5_k_verify_checksum()` , but operates on keyblock *key* .
+	 This function is similar to krb5_k_verify_checksum(), but operates on keyblock *key* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_verify_checksum_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_verify_checksum_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_c_verify_checksum_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_c_verify_checksum_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ krb5_c_verify_checksum_iov -  Validate a
 
 	          **[in]** **key** - Encryption key for a keyed checksum
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[in]** **data** - IOV array
 
@@ -40,7 +40,7 @@ krb5_c_verify_checksum_iov -  Validate a
 
 
 
-Confirm that the checksum in the :data:`KRB5_CRYPTO_TYPE_CHECKSUM` element is a valid checksum of the :data:`KRB5_CRYPTO_TYPE_DATA` and :data:`KRB5_CRYPTO_TYPE_SIGN_ONLY` regions in the iov.
+Confirm that the checksum in the #KRB5_CRYPTO_TYPE_CHECKSUM element is a valid checksum of the #KRB5_CRYPTO_TYPE_DATA and #KRB5_CRYPTO_TYPE_SIGN_ONLY regions in the iov.
 
 
 
@@ -54,7 +54,7 @@ Confirm that the checksum in the :data:`
 ..
 
 .. seealso::
-         :c:func:`krb5_c_make_checksum_iov()` 
+         krb5_c_make_checksum_iov()
  
 
 
@@ -63,7 +63,7 @@ Confirm that the checksum in the :data:`
 
 .. note::
 
-	 This function is similar to :c:func:`krb5_k_verify_checksum_iov()` , but operates on keyblock *key* .
+	 This function is similar to krb5_k_verify_checksum_iov(), but operates on keyblock *key* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_default.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_default.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_default.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_default.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -35,7 +35,7 @@ krb5_cc_default -  Resolve the default c
 
 
 
-Create a handle to the default credential cache as given by :c:func:`krb5_cc_default_name()` .
+Create a handle to the default credential cache as given by krb5_cc_default_name().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_default_name.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_default_name.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_default_name.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_default_name.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -28,11 +28,11 @@ krb5_cc_default_name -  Return the name
 
 
 
-Return a pointer to the default credential cache name for *context* , as determined by a prior call to :c:func:`krb5_cc_set_default_name()` , by the KRB5CCNAME environment variable, by the default_ccache_name profile variable, or by the operating system or build-time default value. The returned value must not be modified or freed by the caller. The returned value becomes invalid when *context* is destroyed :c:func:`krb5_free_context()` or if a subsequent call to :c:func:`krb5_cc_set_default_name()` is made on *context* .
+Return a pointer to the default credential cache name for *context* , as determined by a prior call to krb5_cc_set_default_name(), by the KRB5CCNAME environment variable, by the default_ccache_name profile variable, or by the operating system or build-time default value. The returned value must not be modified or freed by the caller. The returned value becomes invalid when *context* is destroyed krb5_free_context() or if a subsequent call to krb5_cc_set_default_name() is made on *context* .
 
 
 
-The default credential cache name is cached in *context* between calls to this function, so if the value of KRB5CCNAME changes in the process environment after the first call to this function on, that change will not be reflected in later calls with the same context. The caller can invoke :c:func:`krb5_cc_set_default_name()` with a NULL value of *name* to clear the cached value and force the default name to be recomputed.
+The default credential cache name is cached in *context* between calls to this function, so if the value of KRB5CCNAME changes in the process environment after the first call to this function on, that change will not be reflected in later calls with the same context. The caller can invoke krb5_cc_set_default_name() with a NULL value of *name* to clear the cached value and force the default name to be recomputed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_end_seq_get.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_end_seq_get.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_end_seq_get.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_end_seq_get.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -46,7 +46,7 @@ This function finishes processing creden
 ..
 
 .. seealso::
-         :c:func:`krb5_cc_start_seq_get()` , :c:func:`krb5_cc_next_cred()` 
+         krb5_cc_start_seq_get(), krb5_cc_next_cred()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_config.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_config.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_config.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_config.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -39,7 +39,7 @@ krb5_cc_get_config -  Get a configuratio
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *data* when it is no longer needed.
+Use krb5_free_data_contents() to free *data* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_full_name.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_full_name.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_full_name.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_full_name.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -29,7 +29,7 @@ krb5_cc_get_full_name -  Retrieve the fu
 
 
 
-Use :c:func:`krb5_free_string()` to free *fullname_out* when it is no longer needed.
+Use krb5_free_string() to free *fullname_out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_name.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_name.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_name.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_name.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -45,7 +45,7 @@ krb5_cc_get_name -  Retrieve the name, b
 
 .. warning::
 
-	 Returns the name of the credential cache. The result is an alias into *cache* and should not be freed or modified by the caller. This name does not include the cache type, so should not be used as input to :c:func:`krb5_cc_resolve()` .
+	 Returns the name of the credential cache. The result is an alias into *cache* and should not be freed or modified by the caller. This name does not include the cache type, so should not be used as input to krb5_cc_resolve().
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_principal.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_principal.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_principal.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_get_principal.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -35,11 +35,11 @@ krb5_cc_get_principal -  Get the default
 
 
 
-Returns the default client principal of a credential cache as set by :c:func:`krb5_cc_initialize()` .
+Returns the default client principal of a credential cache as set by krb5_cc_initialize().
 
 
 
-Use :c:func:`krb5_free_principal()` to free *principal* when it is no longer needed.
+Use krb5_free_principal() to free *principal* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_next_cred.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_next_cred.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_next_cred.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_next_cred.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -38,7 +38,7 @@ This function fills in *creds* with the
 
 
 
-Use :c:func:`krb5_free_cred_contents()` to free *creds* when it is no longer needed.
+Use krb5_free_cred_contents() to free *creds* when it is no longer needed.
 
 
 
@@ -52,7 +52,7 @@ Use :c:func:`krb5_free_cred_contents()`
 ..
 
 .. seealso::
-         :c:func:`krb5_cc_start_seq_get()` , krb5_end_seq_get()
+         krb5_cc_start_seq_get(), krb5_end_seq_get()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_remove_cred.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_remove_cred.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_remove_cred.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_remove_cred.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,7 +37,7 @@ krb5_cc_remove_cred -  Remove credential
 
 
 
-This function accepts the same flag values as :c:func:`krb5_cc_retrieve_cred()` .
+This function accepts the same flag values as krb5_cc_retrieve_cred().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_retrieve_cred.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_retrieve_cred.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_retrieve_cred.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_retrieve_cred.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -46,36 +46,36 @@ Valid values for *flags* are:
 
  
  
-	 - :data:`KRB5_TC_MATCH_TIMES` The requested lifetime must be at least as great as in *mcreds* .
+	 - #KRB5_TC_MATCH_TIMES The requested lifetime must be at least as great as in *mcreds* .
  
  
-	 - :data:`KRB5_TC_MATCH_IS_SKEY` The *is_skey* field much match exactly.
+	 - #KRB5_TC_MATCH_IS_SKEY The *is_skey* field much match exactly.
  
  
-	 - :data:`KRB5_TC_MATCH_FLAGS` Flags set in *mcreds* must be set.
+	 - #KRB5_TC_MATCH_FLAGS Flags set in *mcreds* must be set.
  
  
-	 - :data:`KRB5_TC_MATCH_TIMES_EXACT` The requested lifetime must match exactly.
+	 - #KRB5_TC_MATCH_TIMES_EXACT The requested lifetime must match exactly.
  
  
-	 - :data:`KRB5_TC_MATCH_FLAGS_EXACT` Flags must match exactly.
+	 - #KRB5_TC_MATCH_FLAGS_EXACT Flags must match exactly.
  
  
-	 - :data:`KRB5_TC_MATCH_AUTHDATA` The authorization data must match.
+	 - #KRB5_TC_MATCH_AUTHDATA The authorization data must match.
  
  
-	 - :data:`KRB5_TC_MATCH_SRV_NAMEONLY` Only the name portion of the principal name must match, not the realm.
+	 - #KRB5_TC_MATCH_SRV_NAMEONLY Only the name portion of the principal name must match, not the realm.
  
  
-	 - :data:`KRB5_TC_MATCH_2ND_TKT` The second tickets must match.
+	 - #KRB5_TC_MATCH_2ND_TKT The second tickets must match.
  
  
-	 - :data:`KRB5_TC_MATCH_KTYPE` The encryption key types must match.
+	 - #KRB5_TC_MATCH_KTYPE The encryption key types must match.
  
  
-	 - :data:`KRB5_TC_SUPPORTED_KTYPES` Check all matching entries that have any supported encryption type and return the one with the encryption type listed earliest.
+	 - #KRB5_TC_SUPPORTED_KTYPES Check all matching entries that have any supported encryption type and return the one with the encryption type listed earliest.
  
- Use :c:func:`krb5_free_cred_contents()` to free *creds* when it is no longer needed.
+ Use krb5_free_cred_contents() to free *creds* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_select.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_select.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_select.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_select.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -38,7 +38,7 @@ Select a cache within the collection con
 
 
 
-Use :c:func:`krb5_cc_close()` to release *cache_out* when it is no longer needed. Use :c:func:`krb5_free_principal()` to release *princ_out* when it is no longer needed. Note that *princ_out* is set in some error conditions.
+Use krb5_cc_close() to release *cache_out* when it is no longer needed. Use krb5_free_principal() to release *princ_out* when it is no longer needed. Note that *princ_out* is set in some error conditions.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_set_default_name.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_set_default_name.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_set_default_name.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_set_default_name.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -38,7 +38,7 @@ Set the default credential cache name to
 
 
 
-Calls to this function invalidate the result of any previous calls to :c:func:`krb5_cc_default_name()` using *context* .
+Calls to this function invalidate the result of any previous calls to krb5_cc_default_name() using *context* .
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_start_seq_get.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_start_seq_get.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cc_start_seq_get.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cc_start_seq_get.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_cc_start_seq_get -  Prepare to sequ
 
 
 
- :c:func:`krb5_cc_end_seq_get()` must be called to complete the retrieve operation.
+krb5_cc_end_seq_get() must be called to complete the retrieve operation.
 
 
 
@@ -52,7 +52,7 @@ krb5_cc_start_seq_get -  Prepare to sequ
 
 .. note::
 
-	 If the cache represented by *cache* is modified between the time of the call to this function and the time of the final :c:func:`krb5_cc_end_seq_get()` , these changes may not be reflected in the results of :c:func:`krb5_cc_next_cred()` calls.
+	 If the cache represented by *cache* is modified between the time of the call to this function and the time of the final krb5_cc_end_seq_get(), these changes may not be reflected in the results of krb5_cc_next_cred() calls.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_free.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_free.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_free.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_free.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -40,7 +40,7 @@ krb5_cccol_cursor_free -  Free a credent
 ..
 
 .. seealso::
-         :c:func:`krb5_cccol_cursor_new()` , :c:func:`krb5_cccol_cursor_next()` 
+         krb5_cccol_cursor_new(), krb5_cccol_cursor_next()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_new.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_new.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_new.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_new.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ Get a new cache iteration *cursor* that
 
 
 
-Use :c:func:`krb5_cccol_cursor_free()` to release *cursor* when it is no longer needed.
+Use krb5_cccol_cursor_free() to release *cursor* when it is no longer needed.
 
 
 
@@ -48,7 +48,7 @@ Use :c:func:`krb5_cccol_cursor_free()` t
 ..
 
 .. seealso::
-         :c:func:`krb5_cccol_cursor_next()` 
+         krb5_cccol_cursor_next()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_next.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_next.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_next.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_cccol_cursor_next.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_cccol_cursor_next -  Get the next c
 
 
 
-Use :c:func:`krb5_cc_close()` to close *ccache* when it is no longer needed.
+Use krb5_cc_close() to close *ccache* when it is no longer needed.
 
 
 
@@ -46,7 +46,7 @@ Use :c:func:`krb5_cc_close()` to close *
 ..
 
 .. seealso::
-         :c:func:`krb5_cccol_cursor_new()` , :c:func:`krb5_cccol_cursor_free()` 
+         krb5_cccol_cursor_new(), krb5_cccol_cursor_free()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_change_password.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_change_password.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_change_password.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_change_password.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -48,19 +48,19 @@ The possible values of the output *resul
 
  
  
-	 - :data:`KRB5_KPASSWD_SUCCESS` (0) - success
+	 - #KRB5_KPASSWD_SUCCESS (0) - success
  
  
-	 - :data:`KRB5_KPASSWD_MALFORMED` (1) - Malformed request error
+	 - #KRB5_KPASSWD_MALFORMED (1) - Malformed request error
  
  
-	 - :data:`KRB5_KPASSWD_HARDERROR` (2) - Server error
+	 - #KRB5_KPASSWD_HARDERROR (2) - Server error
  
  
-	 - :data:`KRB5_KPASSWD_AUTHERROR` (3) - Authentication error
+	 - #KRB5_KPASSWD_AUTHERROR (3) - Authentication error
  
  
-	 - :data:`KRB5_KPASSWD_SOFTERROR` (4) - Password change rejected
+	 - #KRB5_KPASSWD_SOFTERROR (4) - Password change rejected
  
  
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_chpw_message.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_chpw_message.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_chpw_message.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_chpw_message.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -35,11 +35,11 @@ krb5_chpw_message -  Get a result messag
 
 
 
-This function processes the *server_string* returned in the *result_string* parameter of :c:func:`krb5_change_password()` , :c:func:`krb5_set_password()` , and related functions, and returns a displayable string. If *server_string* contains Active Directory structured policy information, it will be converted into human-readable text.
+This function processes the *server_string* returned in the *result_string* parameter of krb5_change_password(), krb5_set_password(), and related functions, and returns a displayable string. If *server_string* contains Active Directory structured policy information, it will be converted into human-readable text.
 
 
 
-Use :c:func:`krb5_free_string()` to free *message_out* when it is no longer needed.
+Use krb5_free_string() to free *message_out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_addresses.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_addresses.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_addresses.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_addresses.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_addresses -  Copy an array of
 
 
 
-This function creates a new address array containing a copy of *inaddr* . Use :c:func:`krb5_free_addresses()` to free *outaddr* when it is no longer needed.
+This function creates a new address array containing a copy of *inaddr* . Use krb5_free_addresses() to free *outaddr* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_authdata.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_authdata.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_authdata.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_authdata.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_authdata -  Copy an authorizat
 
 
 
-This function creates a new authorization data list containing a copy of *in_authdat* , which must be null-terminated. Use :c:func:`krb5_free_authdata()` to free *out* when it is no longer needed.
+This function creates a new authorization data list containing a copy of *in_authdat* , which must be null-terminated. Use krb5_free_authdata() to free *out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_authenticator.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_authenticator.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_authenticator.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_authenticator.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_authenticator -  Copy a krb5_a
 
 
 
-This function creates a new krb5_authenticator structure with the content of *authfrom* . Use :c:func:`krb5_free_authenticator()` to free *authto* when it is no longer needed.
+This function creates a new krb5_authenticator structure with the content of *authfrom* . Use krb5_free_authenticator() to free *authto* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_checksum.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_checksum.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_checksum.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_checksum.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_checksum -  Copy a krb5_checks
 
 
 
-This function creates a new krb5_checksum structure with the contents of *ckfrom* . Use :c:func:`krb5_free_checksum()` to free *ckto* when it is no longer needed.
+This function creates a new krb5_checksum structure with the contents of *ckfrom* . Use krb5_free_checksum() to free *ckto* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_context.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_context.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_context.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_context.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -33,7 +33,7 @@ krb5_copy_context -  Copy a krb5_context
 
 
 
-The newly created context must be released by calling :c:func:`krb5_free_context()` when it is no longer needed.
+The newly created context must be released by calling krb5_free_context() when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_creds.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_creds.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_creds.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_creds.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_creds -  Copy a krb5_creds str
 
 
 
-This function creates a new credential with the contents of *incred* . Use :c:func:`krb5_free_creds()` to free *outcred* when it is no longer needed.
+This function creates a new credential with the contents of *incred* . Use krb5_free_creds() to free *outcred* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_data -  Copy a krb5_data objec
 
 
 
-This function creates a new krb5_data object with the contents of *indata* . Use :c:func:`krb5_free_data()` to free *outdata* when it is no longer needed.
+This function creates a new krb5_data object with the contents of *indata* . Use krb5_free_data() to free *outdata* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_keyblock.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_keyblock.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_keyblock.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_keyblock.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_keyblock -  Copy a keyblock.
 
 
 
-This function creates a new keyblock with the same contents as *from* . Use :c:func:`krb5_free_keyblock()` to free *to* when it is no longer needed.
+This function creates a new keyblock with the same contents as *from* . Use krb5_free_keyblock() to free *to* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_keyblock_contents.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_keyblock_contents.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_keyblock_contents.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_keyblock_contents.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_keyblock_contents -  Copy the
 
 
 
-This function copies the contents of *from* to *to* . Use :c:func:`krb5_free_keyblock_contents()` to free *to* when it is no longer needed.
+This function copies the contents of *from* to *to* . Use krb5_free_keyblock_contents() to free *to* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_principal.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_principal.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_principal.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_principal.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_principal -  Copy a principal.
 
 
 
-This function creates a new principal structure with the contents of *inprinc* . Use :c:func:`krb5_free_principal()` to free *outprinc* when it is no longer needed.
+This function creates a new principal structure with the contents of *inprinc* . Use krb5_free_principal() to free *outprinc* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_ticket.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_ticket.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_copy_ticket.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_copy_ticket.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_copy_ticket -  Copy a krb5_ticket s
 
 
 
-This function creates a new krb5_ticket structure containing the contents of *from* . Use :c:func:`krb5_free_ticket()` to free *pto* when it is no longer needed.
+This function creates a new krb5_ticket structure containing the contents of *from* . Use krb5_free_ticket() to free *pto* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_decode_authdata_container.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_decode_authdata_container.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_decode_authdata_container.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_decode_authdata_container.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -12,7 +12,7 @@ krb5_decode_authdata_container -  Unwrap
 
 	          **[in]** **context** - Library context
 
-	          **[in]** **type** - :data:`KRB5_AUTHDATA` type of *container*
+	          **[in]** **type** - Container type (see KRB5_AUTHDATA macros)
 
 	          **[in]** **container** - Authorization data to be decoded
 
@@ -44,7 +44,7 @@ krb5_decode_authdata_container -  Unwrap
 ..
 
 .. seealso::
-         :c:func:`krb5_encode_authdata_container()` 
+         krb5_encode_authdata_container()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_encode_authdata_container.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_encode_authdata_container.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_encode_authdata_container.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_encode_authdata_container.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -12,7 +12,7 @@ krb5_encode_authdata_container -  Wrap a
 
 	          **[in]** **context** - Library context
 
-	          **[in]** **type** - :data:`KRB5_AUTHDATA` type of *container*
+	          **[in]** **type** - Container type (see KRB5_AUTHDATA macros)
 
 	          **[in]** **authdata** - List of authorization data to be encoded
 
@@ -48,7 +48,7 @@ The result is returned in *container* as
 ..
 
 .. seealso::
-         :c:func:`krb5_decode_authdata_container()` 
+         krb5_decode_authdata_container()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_expand_hostname.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_expand_hostname.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_expand_hostname.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_expand_hostname.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -29,7 +29,7 @@ krb5_expand_hostname -  Canonicalize a h
 
 
 
-This function canonicalizes orig_hostname, possibly using name service lookups if configuration permits. Use :c:func:`krb5_free_string()` to free *canonhost_out* when it is no longer needed.
+This function canonicalizes orig_hostname, possibly using name service lookups if configuration permits. Use krb5_free_string() to free *canonhost_out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_find_authdata.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_find_authdata.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_find_authdata.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_find_authdata.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -33,7 +33,7 @@ krb5_find_authdata -  Find authorization
 
 
 
-This function searches *ticket_authdata* and *ap_req_authdata* for elements of type *ad_type* . Either input list may be NULL, in which case it will not be searched; otherwise, the input lists must be terminated by NULL entries. This function will search inside AD-IF-RELEVANT containers if found in either list. Use :c:func:`krb5_free_authdata()` to free *results* when it is no longer needed.
+This function searches *ticket_authdata* and *ap_req_authdata* for elements of type *ad_type* . Either input list may be NULL, in which case it will not be searched; otherwise, the input lists must be terminated by NULL entries. This function will search inside AD-IF-RELEVANT containers if found in either list. Use krb5_free_authdata() to free *results* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_context.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_context.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_context.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_context.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -25,7 +25,7 @@ krb5_free_context -  Free a krb5 library
 
 
 
-This function frees a *context* that was created by :c:func:`krb5_init_context()` or :c:func:`krb5_init_secure_context()` .
+This function frees a *context* that was created by krb5_init_context() or krb5_init_secure_context().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_default_realm.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_default_realm.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_default_realm.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_default_realm.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -1,5 +1,5 @@
-krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm() . 
-==============================================================================================
+krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm(). 
+=============================================================================================
 
 ..
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_error.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_error.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_error.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_error.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -1,5 +1,5 @@
-krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth() . 
-=====================================================================================
+krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth(). 
+====================================================================================
 
 ..
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_error_message.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_error_message.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_error_message.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_error_message.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -1,5 +1,5 @@
-krb5_free_error_message -  Free an error message generated by krb5_get_error_message() . 
-=========================================================================================
+krb5_free_error_message -  Free an error message generated by krb5_get_error_message(). 
+========================================================================================
 
 ..
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_host_realm.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_host_realm.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_free_host_realm.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_free_host_realm.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -1,5 +1,5 @@
-krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm() . 
-=============================================================================
+krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm(). 
+============================================================================
 
 ..
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_fwd_tgt_creds.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_fwd_tgt_creds.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_fwd_tgt_creds.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_fwd_tgt_creds.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -49,7 +49,7 @@ krb5_fwd_tgt_creds -  Get a forwarded TG
 
 
 
-Get a TGT for use at the remote host *rhost* and format it into a KRB-CRED message. If *rhost* is NULL and *server* is of type :data:`KRB5_NT_SRV_HST` , the second component of *server* will be used.
+Get a TGT for use at the remote host *rhost* and format it into a KRB-CRED message. If *rhost* is NULL and *server* is of type #KRB5_NT_SRV_HST, the second component of *server* will be used.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_credentials.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_credentials.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_credentials.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_credentials.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -45,10 +45,10 @@ Use *ccache* or a TGS exchange to get a
 
 Valid values for *options* are: 
  
-	 - :data:`KRB5_GC_CACHED` Search only credential cache for the ticket
+	 - #KRB5_GC_CACHED Search only credential cache for the ticket
  
  
-	 - :data:`KRB5_GC_USER_USER` Return a user to user authentication ticket
+	 - #KRB5_GC_USER_USER Return a user to user authentication ticket
  
  *in_creds* must be non-null. *in_creds->client* and *in_creds->server* must be filled in to specify the client and the server respectively. If any authorization data needs to be requested for the service ticket (such as restrictions on how the ticket can be used), specify it in *in_creds->authdata* ; otherwise set *in_creds->authdata* to NULL. The session key type is specified in *in_creds->keyblock.enctype* , if it is nonzero.
 
@@ -62,7 +62,7 @@ Any returned ticket and intermediate tic
 
 
 
-Use :c:func:`krb5_free_creds()` to free *out_creds* when it is no longer needed.
+Use krb5_free_creds() to free *out_creds* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_default_realm.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_default_realm.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_default_realm.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_default_realm.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,7 +37,7 @@ Retrieves the default realm to be used i
 
 
 
-Use :c:func:`krb5_free_default_realm()` to free *lrealm* when it is no longer needed.
+Use krb5_free_default_realm() to free *lrealm* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_error_message.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_error_message.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_error_message.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_error_message.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -27,7 +27,7 @@ krb5_get_error_message -  Get the (possi
 
 
 
-The behavior of :c:func:`krb5_get_error_message()` is only defined the first time it is called after a failed call to a krb5 function using the same context, and only when the error code passed in is the same as that returned by the krb5 function.
+The behavior of krb5_get_error_message() is only defined the first time it is called after a failed call to a krb5 function using the same context, and only when the error code passed in is the same as that returned by the krb5 function.
 
 
 
@@ -35,7 +35,7 @@ This function never returns NULL, so its
 
 
 
-The string returned by this function must be freed using :c:func:`krb5_free_error_message()` 
+The string returned by this function must be freed using krb5_free_error_message()
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_etype_info.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_etype_info.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_etype_info.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_etype_info.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -45,11 +45,11 @@ Send an initial ticket request for *prin
 
 
 
- *opt* may be used to specify options which affect the initial request, such as request encryption types or a FAST armor cache (see :c:func:`krb5_get_init_creds_opt_set_etype_list()` and :c:func:`krb5_get_init_creds_opt_set_fast_ccache_name()` ).
+ *opt* may be used to specify options which affect the initial request, such as request encryption types or a FAST armor cache (see krb5_get_init_creds_opt_set_etype_list() and krb5_get_init_creds_opt_set_fast_ccache_name()).
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *salt_out* and *s2kparams_out* when they are no longer needed.
+Use krb5_free_data_contents() to free *salt_out* and *s2kparams_out* when they are no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_fallback_host_realm.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_fallback_host_realm.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_fallback_host_realm.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_fallback_host_realm.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,7 +37,7 @@ If *host* is NULL, the local host's real
 
 
 
-Use :c:func:`krb5_free_host_realm()` to release *realmsp* when it is no longer needed.
+Use krb5_free_host_realm() to release *realmsp* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_host_realm.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_host_realm.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_host_realm.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_host_realm.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -44,7 +44,7 @@ If *host* is NULL, the local host's real
 
 
 
-Use :c:func:`krb5_free_host_realm()` to release *realmsp* when it is no longer needed.
+Use krb5_free_host_realm() to release *realmsp* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_in_tkt_with_keytab.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_in_tkt_with_keytab.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_in_tkt_with_keytab.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_in_tkt_with_keytab.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -36,7 +36,7 @@ krb5_get_in_tkt_with_keytab
 ..
 
 
-DEPRECATED Replaced by krb5_get_init_creds_keytab() . 
+DEPRECATED Replaced by krb5_get_init_creds_keytab(). 
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_in_tkt_with_password.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_in_tkt_with_password.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_in_tkt_with_password.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_in_tkt_with_password.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -36,7 +36,7 @@ krb5_get_in_tkt_with_password
 ..
 
 
-DEPRECATED Replaced by krb5_get_init_creds_password() . 
+DEPRECATED Replaced by krb5_get_init_creds_password(). 
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_alloc.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_alloc.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_alloc.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_alloc.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -30,7 +30,7 @@ krb5_get_init_creds_opt_alloc -  Allocat
 
 
 
-This function is the preferred way to create an options structure for getting initial credentials, and is required to make use of certain options. Use :c:func:`krb5_get_init_creds_opt_free()` to free *opt* when it is no longer needed.
+This function is the preferred way to create an options structure for getting initial credentials, and is required to make use of certain options. Use krb5_get_init_creds_opt_free() to free *opt* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_free.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_free.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_free.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_free.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,7 +37,7 @@ krb5_get_init_creds_opt_free -  Free ini
 ..
 
 .. seealso::
-         :c:func:`krb5_get_init_creds_opt_alloc()` 
+         krb5_get_init_creds_opt_alloc()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -27,7 +27,7 @@ krb5_get_init_creds_opt_set_change_passw
 
 
 
-This flag is on by default. It controls whether :c:func:`krb5_get_init_creds_password()` will react to an expired-password error by prompting for a new password and attempting to change the old one.
+This flag is on by default. It controls whether krb5_get_init_creds_password() will react to an expired-password error by prompting for a new password and attempting to change the old one.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -66,7 +66,7 @@ Note that *cb* may be invoked even if cr
 
 .. warning::
 
-	 Setting an expire callback with this API will cause :c:func:`krb5_get_init_creds_password()` not to send password expiry warnings to the prompter, as it ordinarily may.
+	 Setting an expire callback with this API will cause krb5_get_init_creds_password() not to send password expiry warnings to the prompter, as it ordinarily may.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -29,7 +29,7 @@ krb5_get_init_creds_opt_set_fast_ccache
 
 
 
-This function is similar to :c:func:`krb5_get_init_creds_opt_set_fast_ccache_name()` , but uses a credential cache handle instead of a name.
+This function is similar to krb5_get_init_creds_opt_set_fast_ccache_name(), but uses a credential cache handle instead of a name.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -33,7 +33,7 @@ Sets the location of a credential cache
 
 
 
-In version 1.7, setting an armor ccache requires that FAST be used for the exchange. In version 1.8 or later, setting the armor ccache causes FAST to be used if the KDC supports it; :c:func:`krb5_get_init_creds_opt_set_fast_flags()` must be used to require that FAST be used.
+In version 1.7, setting an armor ccache requires that FAST be used for the exchange. In version 1.8 or later, setting the armor ccache causes FAST to be used if the KDC supports it; krb5_get_init_creds_opt_set_fast_flags() must be used to require that FAST be used.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ krb5_get_init_creds_opt_set_fast_flags -
 
 The following flag values are valid: 
  
-	 - :data:`KRB5_FAST_REQUIRED` - Require FAST to be used
+	 - #KRB5_FAST_REQUIRED - Require FAST to be used
  
  
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -29,7 +29,7 @@ krb5_get_init_creds_opt_set_preauth_list
 
 
 
-This function can be used to perform optimistic preauthentication when getting initial credentials, in combination with :c:func:`krb5_get_init_creds_opt_set_salt()` and :c:func:`krb5_get_init_creds_opt_set_pa()` .
+This function can be used to perform optimistic preauthentication when getting initial credentials, in combination with krb5_get_init_creds_opt_set_salt() and krb5_get_init_creds_opt_set_pa().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_permitted_enctypes.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_permitted_enctypes.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_permitted_enctypes.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_permitted_enctypes.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -30,11 +30,11 @@ krb5_get_permitted_enctypes -  Return a
 
 
 
-This function returns the list of encryption types permitted for session keys within *context* , as determined by configuration or by a previous call to :c:func:`krb5_set_default_tgs_enctypes()` .
+This function returns the list of encryption types permitted for session keys within *context* , as determined by configuration or by a previous call to krb5_set_default_tgs_enctypes().
 
 
 
-Use :c:func:`krb5_free_enctypes()` to free *ktypes* when it is no longer needed.
+Use krb5_free_enctypes() to free *ktypes* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_prompt_types.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_prompt_types.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_get_prompt_types.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_get_prompt_types.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -18,7 +18,7 @@ krb5_get_prompt_types -  Get prompt type
 
 
 :return:
-         -  Pointer to an array of prompt types corresponding to the prompter's prompts arguments. Each type has one of the following values: KRB5_PROMPT_TYPE_PASSWORD KRB5_PROMPT_TYPE_NEW_PASSWORD KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN KRB5_PROMPT_TYPE_PREAUTH 
+         -  Pointer to an array of prompt types corresponding to the prompter's prompts arguments. Each type has one of the following values: #KRB5_PROMPT_TYPE_PASSWORD #KRB5_PROMPT_TYPE_NEW_PASSWORD #KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN #KRB5_PROMPT_TYPE_PREAUTH 
 
 ..
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_context.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_context.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_context.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_context.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -31,7 +31,7 @@ krb5_init_context -  Create a krb5 libra
 
 
 
-The *context* must be released by calling :c:func:`krb5_free_context()` when it is no longer needed.
+The *context* must be released by calling krb5_free_context() when it is no longer needed.
 
 
 
@@ -50,7 +50,7 @@ The *context* must be released by callin
 
 .. warning::
 
-	 Any program or module that needs the Kerberos code to not trust the environment must use :c:func:`krb5_init_secure_context()` , or clean out the environment.
+	 Any program or module that needs the Kerberos code to not trust the environment must use krb5_init_secure_context(), or clean out the environment.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_context_profile.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_context_profile.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_context_profile.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_context_profile.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -35,10 +35,10 @@ Create a context structure, optionally u
 
  
  
-	 - :data:`KRB5_INIT_CONTEXT_SECURE` Ignore environment variables
+	 - #KRB5_INIT_CONTEXT_SECURE Ignore environment variables
  
  
-	 - :data:`KRB5_INIT_CONTEXT_KDC` Use KDC configuration if creating profile
+	 - #KRB5_INIT_CONTEXT_KDC Use KDC configuration if creating profile
  
  
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_free.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_free.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_free.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_free.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -27,7 +27,7 @@ krb5_init_creds_free -  Free an initial
 
 
 
- *context* must be the same as the one passed to :c:func:`krb5_init_creds_init()` for this initial credentials context.
+ *context* must be the same as the one passed to krb5_init_creds_init() for this initial credentials context.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -30,11 +30,11 @@ krb5_init_creds_get -  Acquire credentia
 
 
 
-This function synchronously obtains credentials using a context created by :c:func:`krb5_init_creds_init()` . On successful return, the credentials can be retrieved with :c:func:`krb5_init_creds_get_creds()` .
+This function synchronously obtains credentials using a context created by krb5_init_creds_init(). On successful return, the credentials can be retrieved with krb5_init_creds_get_creds().
 
 
 
- *context* must be the same as the one passed to :c:func:`krb5_init_creds_init()` for this initial credentials context.
+ *context* must be the same as the one passed to krb5_init_creds_init() for this initial credentials context.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get_creds.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get_creds.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get_creds.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get_creds.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_init_creds_get_creds -  Retrieve ac
 
 
 
-This function copies the acquired initial credentials from *ctx* into *creds* , after the successful completion of :c:func:`krb5_init_creds_get()` or :c:func:`krb5_init_creds_step()` . Use :c:func:`krb5_free_cred_contents()` to free *creds* when it is no longer needed.
+This function copies the acquired initial credentials from *ctx* into *creds* , after the successful completion of krb5_init_creds_get() or krb5_init_creds_step(). Use krb5_free_cred_contents() to free *creds* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get_times.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get_times.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get_times.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_get_times.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_init_creds_get_times -  Retrieve ti
 
 
 
-The initial credentials context must have completed obtaining credentials via either :c:func:`krb5_init_creds_get()` or :c:func:`krb5_init_creds_step()` .
+The initial credentials context must have completed obtaining credentials via either krb5_init_creds_get() or krb5_init_creds_step().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_init.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_init.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_init.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_init.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -40,11 +40,11 @@ krb5_init_creds_init -  Create a context
 
 
 
-This function creates a new context for acquiring initial credentials. Use :c:func:`krb5_init_creds_free()` to free *ctx* when it is no longer needed.
+This function creates a new context for acquiring initial credentials. Use krb5_init_creds_free() to free *ctx* when it is no longer needed.
 
 
 
-Any subsequent calls to :c:func:`krb5_init_creds_step()` , :c:func:`krb5_init_creds_get()` , or :c:func:`krb5_init_creds_free()` for this initial credentials context must use the same *context* argument as the one passed to this function.
+Any subsequent calls to krb5_init_creds_step(), krb5_init_creds_get(), or krb5_init_creds_free() for this initial credentials context must use the same *context* argument as the one passed to this function.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_step.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_step.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_step.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_creds_step.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -42,7 +42,7 @@ This function constructs the next KDC re
 
 
 
-If more requests are needed, *flags* will be set to :data:`KRB5_INIT_CREDS_STEP_FLAG_CONTINUE` and the next request will be placed in *out* . If no more requests are needed, *flags* will not contain :data:`KRB5_INIT_CREDS_STEP_FLAG_CONTINUE` and *out* will be empty.
+If more requests are needed, *flags* will be set to #KRB5_INIT_CREDS_STEP_FLAG_CONTINUE and the next request will be placed in *out* . If no more requests are needed, *flags* will not contain #KRB5_INIT_CREDS_STEP_FLAG_CONTINUE and *out* will be empty.
 
 
 
@@ -50,7 +50,7 @@ If this function returns **KRB5KRB_ERR_R
 
 
 
- *context* must be the same as the one passed to :c:func:`krb5_init_creds_init()` for this initial credentials context.
+ *context* must be the same as the one passed to krb5_init_creds_init() for this initial credentials context.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_keyblock.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_keyblock.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_keyblock.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_keyblock.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ krb5_init_keyblock -  Initialize an empt
 
 
 
-Initialize a new keyblock and allocate storage for the contents of the key. It is legal to pass in a length of 0, in which case contents are left unallocated. Use :c:func:`krb5_free_keyblock()` to free *out* when it is no longer needed.
+Initialize a new keyblock and allocate storage for the contents of the key. It is legal to pass in a length of 0, in which case contents are left unallocated. Use krb5_free_keyblock() to free *out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_secure_context.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_secure_context.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_init_secure_context.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_init_secure_context.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -35,7 +35,7 @@ Create a context structure, using only s
 
 
 
-The *context* must be released by calling :c:func:`krb5_free_context()` when it is no longer needed.
+The *context* must be released by calling krb5_free_context() when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_is_config_principal.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_is_config_principal.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_is_config_principal.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_is_config_principal.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -20,7 +20,7 @@ krb5_is_config_principal -  Test whether
 
 
 :return:
-         -  TRUE if the principal is a configuration principal (generated part of krb5_cc_set_config() ); FALSE otherwise. 
+         -  TRUE if the principal is a configuration principal (generated part of krb5_cc_set_config()); FALSE otherwise. 
 
 ..
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_create_key.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_create_key.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_create_key.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_create_key.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_k_create_key -  Create a krb5_key f
 
 
 
-The reference count on a key *out* is set to 1. Use :c:func:`krb5_k_free_key()` to free *out* when it is no longer needed.
+The reference count on a key *out* is set to 1. Use krb5_k_free_key() to free *out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_decrypt.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_decrypt.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_decrypt.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_decrypt.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_k_decrypt -  Decrypt data using a k
 
 	          **[in]** **key** - Encryption key
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[inout]** **cipher_state** - Cipher state; specify NULL if not needed
 
@@ -58,7 +58,7 @@ This function decrypts the data block *i
 
 .. note::
 
-	 The caller must initialize *output* and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let :c:func:`krb5_c_decrypt()` trim *output->length* . For some enctypes, the resulting *output->length* may include padding bytes.
+	 The caller must initialize *output* and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let krb5_c_decrypt() trim *output->length* . For some enctypes, the resulting *output->length* may include padding bytes.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_decrypt_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_decrypt_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_decrypt_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_decrypt_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_k_decrypt_iov -  Decrypt data in pl
 
 	          **[in]** **key** - Encryption key
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[in]** **cipher_state** - Cipher state; specify NULL if not needed
 
@@ -52,7 +52,7 @@ This function decrypts the data block *d
 ..
 
 .. seealso::
-         :c:func:`krb5_k_encrypt_iov()` 
+         krb5_k_encrypt_iov()
  
 
 
@@ -61,7 +61,7 @@ This function decrypts the data block *d
 
 .. note::
 
-	 On return from a :c:func:`krb5_c_decrypt_iov()` call, the *data->length* in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
+	 On return from a krb5_c_decrypt_iov() call, the *data->length* in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_encrypt.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_encrypt.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_encrypt.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_encrypt.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_k_encrypt -  Encrypt data using a k
 
 	          **[in]** **key** - Encryption key
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[inout]** **cipher_state** - Cipher state; specify NULL if not needed
 
@@ -58,7 +58,7 @@ This function encrypts the data block *i
 
 .. note::
 
-	 The caller must initialize *output* and allocate at least enough space for the result (using :c:func:`krb5_c_encrypt_length()` to determine the amount of space needed). *output->length* will be set to the actual length of the ciphertext.
+	 The caller must initialize *output* and allocate at least enough space for the result (using krb5_c_encrypt_length() to determine the amount of space needed). *output->length* will be set to the actual length of the ciphertext.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_encrypt_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_encrypt_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_encrypt_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_encrypt_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_k_encrypt_iov -  Encrypt data in pl
 
 	          **[in]** **key** - Encryption key
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[in]** **cipher_state** - Cipher state; specify NULL if not needed
 
@@ -52,7 +52,7 @@ This function encrypts the data block *d
 ..
 
 .. seealso::
-         :c:func:`krb5_k_decrypt_iov()` 
+         krb5_k_decrypt_iov()
  
 
 
@@ -61,7 +61,7 @@ This function encrypts the data block *d
 
 .. note::
 
-	 On return from a :c:func:`krb5_c_encrypt_iov()` call, the *data->length* in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
+	 On return from a krb5_c_encrypt_iov() call, the *data->length* in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_make_checksum.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_make_checksum.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_make_checksum.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_make_checksum.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ krb5_k_make_checksum -  Compute a checks
 
 	          **[in]** **key** - Encryption key for a keyed checksum
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[in]** **input** - Input data
 
@@ -38,7 +38,7 @@ krb5_k_make_checksum -  Compute a checks
 
 
 
-This function computes a checksum of type *cksumtype* over *input* , using *key* if the checksum type is a keyed checksum. If *cksumtype* is 0 and *key* is non-null, the checksum type will be the mandatory-to-implement checksum type for the key's encryption type. The actual checksum key will be derived from *key* and *usage* if key derivation is specified for the checksum type. The newly created *cksum* must be released by calling :c:func:`krb5_free_checksum_contents()` when it is no longer needed.
+This function computes a checksum of type *cksumtype* over *input* , using *key* if the checksum type is a keyed checksum. If *cksumtype* is 0 and *key* is non-null, the checksum type will be the mandatory-to-implement checksum type for the key's encryption type. The actual checksum key will be derived from *key* and *usage* if key derivation is specified for the checksum type. The newly created *cksum* must be released by calling krb5_free_checksum_contents() when it is no longer needed.
 
 
 
@@ -52,7 +52,7 @@ This function computes a checksum of typ
 ..
 
 .. seealso::
-         :c:func:`krb5_c_verify_checksum()` 
+         krb5_c_verify_checksum()
  
 
 
@@ -61,7 +61,7 @@ This function computes a checksum of typ
 
 .. note::
 
-	 This function is similar to :c:func:`krb5_c_make_checksum()` , but operates on opaque *key* .
+	 This function is similar to krb5_c_make_checksum(), but operates on opaque *key* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_make_checksum_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_make_checksum_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_make_checksum_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_make_checksum_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ krb5_k_make_checksum_iov -  Fill in a ch
 
 	          **[in]** **key** - Encryption key for a keyed checksum
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[inout]** **data** - IOV array
 
@@ -38,7 +38,7 @@ krb5_k_make_checksum_iov -  Fill in a ch
 
 
 
-Create a checksum in the :data:`KRB5_CRYPTO_TYPE_CHECKSUM` element over :data:`KRB5_CRYPTO_TYPE_DATA` and :data:`KRB5_CRYPTO_TYPE_SIGN_ONLY` chunks in *data* . Only the :data:`KRB5_CRYPTO_TYPE_CHECKSUM` region is modified.
+Create a checksum in the #KRB5_CRYPTO_TYPE_CHECKSUM element over #KRB5_CRYPTO_TYPE_DATA and #KRB5_CRYPTO_TYPE_SIGN_ONLY chunks in *data* . Only the #KRB5_CRYPTO_TYPE_CHECKSUM region is modified.
 
 
 
@@ -52,7 +52,7 @@ Create a checksum in the :data:`KRB5_CRY
 ..
 
 .. seealso::
-         :c:func:`krb5_k_verify_checksum_iov()` 
+         krb5_k_verify_checksum_iov()
  
 
 
@@ -61,7 +61,7 @@ Create a checksum in the :data:`KRB5_CRY
 
 .. note::
 
-	 This function is similar to :c:func:`krb5_c_make_checksum_iov()` , but operates on opaque *key* .
+	 This function is similar to krb5_c_make_checksum_iov(), but operates on opaque *key* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_prf.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_prf.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_prf.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_prf.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -54,7 +54,7 @@ This function selects a pseudo-random fu
 
 .. note::
 
-	 This function is similar to :c:func:`krb5_c_prf()` , but operates on opaque *key* .
+	 This function is similar to krb5_c_prf(), but operates on opaque *key* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_verify_checksum.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_verify_checksum.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_verify_checksum.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_verify_checksum.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -58,7 +58,7 @@ This function verifies that *cksum* is a
 
 .. note::
 
-	 This function is similar to :c:func:`krb5_c_verify_checksum()` , but operates on opaque *key* .
+	 This function is similar to krb5_c_verify_checksum(), but operates on opaque *key* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_verify_checksum_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_verify_checksum_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_k_verify_checksum_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_k_verify_checksum_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ krb5_k_verify_checksum_iov -  Validate a
 
 	          **[in]** **key** - Encryption key for a keyed checksum
 
-	          **[in]** **usage** - Key usage (see :data:`KRB5_KEYUSAGE` types)
+	          **[in]** **usage** - Key usage (see KRB5_KEYUSAGE macros)
 
 	          **[in]** **data** - IOV array
 
@@ -40,7 +40,7 @@ krb5_k_verify_checksum_iov -  Validate a
 
 
 
-Confirm that the checksum in the :data:`KRB5_CRYPTO_TYPE_CHECKSUM` element is a valid checksum of the :data:`KRB5_CRYPTO_TYPE_DATA` and :data:`KRB5_CRYPTO_TYPE_SIGN_ONLY` regions in the iov.
+Confirm that the checksum in the #KRB5_CRYPTO_TYPE_CHECKSUM element is a valid checksum of the #KRB5_CRYPTO_TYPE_DATA and #KRB5_CRYPTO_TYPE_SIGN_ONLY regions in the iov.
 
 
 
@@ -54,7 +54,7 @@ Confirm that the checksum in the :data:`
 ..
 
 .. seealso::
-         :c:func:`krb5_k_make_checksum_iov()` 
+         krb5_k_make_checksum_iov()
  
 
 
@@ -63,7 +63,7 @@ Confirm that the checksum in the :data:`
 
 .. note::
 
-	 This function is similar to :c:func:`krb5_c_verify_checksum_iov()` , but operates on opaque *key* .
+	 This function is similar to krb5_c_verify_checksum_iov(), but operates on opaque *key* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kdc_verify_ticket.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kdc_verify_ticket.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kdc_verify_ticket.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kdc_verify_ticket.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -62,7 +62,7 @@ If no PAC is present in *enc_tkt* , set
 
 .. note::
 
-	 This function does not validate the PAC_CLIENT_INFO buffer. If a specific value is expected, the caller can make a separate call to :c:func:`krb5_pac_verify_ext()` with a principal but no keys.
+	 This function does not validate the PAC_CLIENT_INFO buffer. If a specific value is expected, the caller can make a separate call to krb5_pac_verify_ext() with a principal but no keys.
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_end_seq_get.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_end_seq_get.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_end_seq_get.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_end_seq_get.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -35,7 +35,7 @@ krb5_kt_end_seq_get -  Release a keytab
 
 
 
-This function should be called to release the cursor created by :c:func:`krb5_kt_start_seq_get()` .
+This function should be called to release the cursor created by krb5_kt_start_seq_get().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_get_entry.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_get_entry.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_get_entry.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_get_entry.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -43,7 +43,7 @@ Retrieve an entry from a key table which
 
 
 
-Use :c:func:`krb5_free_keytab_entry_contents()` to free *entry* when it is no longer needed.
+Use krb5_free_keytab_entry_contents() to free *entry* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_next_entry.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_next_entry.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_next_entry.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_next_entry.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -38,7 +38,7 @@ krb5_kt_next_entry -  Retrieve the next
 
 
 
-Return the next sequential entry in *keytab* and advance *cursor* . Callers must release the returned entry with :c:func:`krb5_kt_free_entry()` .
+Return the next sequential entry in *keytab* and advance *cursor* . Callers must release the returned entry with krb5_kt_free_entry().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_read_service_key.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_read_service_key.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_read_service_key.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_read_service_key.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -49,7 +49,7 @@ The default key table is used, unless *k
 
 
 
-Use :c:func:`krb5_free_keyblock()` to free *key* when it is no longer needed.
+Use krb5_free_keyblock() to free *key* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_resolve.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_resolve.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_resolve.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_resolve.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -35,7 +35,7 @@ krb5_kt_resolve -  Get a handle for a ke
 
 
 
-Resolve the key table name *name* and set *ktid* to a handle identifying the key table. Use :c:func:`krb5_kt_close()` to free *ktid* when it is no longer needed.
+Resolve the key table name *name* and set *ktid* to a handle identifying the key table. Use krb5_kt_close() to free *ktid* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_start_seq_get.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_start_seq_get.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_kt_start_seq_get.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_kt_start_seq_get.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -35,7 +35,7 @@ krb5_kt_start_seq_get -  Start a sequent
 
 
 
-Prepare to read sequentially every key in the specified key table. Use :c:func:`krb5_kt_end_seq_get()` to release the cursor when it is no longer needed.
+Prepare to read sequentially every key in the specified key table. Use krb5_kt_end_seq_get() to release the cursor when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_marshal_credentials.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_marshal_credentials.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_marshal_credentials.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_marshal_credentials.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -36,7 +36,7 @@ Serialize *creds* in the format used by
 
 
 
-Use :c:func:`krb5_free_data()` to free *data_out* when it is no longer needed.
+Use krb5_free_data() to free *data_out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_merge_authdata.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_merge_authdata.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_merge_authdata.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_merge_authdata.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ krb5_merge_authdata -  Merge two authori
 
 
 
-Merge two authdata arrays, such as the array from a ticket and authenticator. Use :c:func:`krb5_free_authdata()` to free *outauthdat* when it is no longer needed.
+Merge two authdata arrays, such as the array from a ticket and authenticator. Use krb5_free_authdata() to free *outauthdat* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_1cred.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_1cred.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_1cred.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_1cred.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -41,7 +41,7 @@ krb5_mk_1cred -  Format a KRB-CRED messa
 
 
 
-This is a convenience function that calls :c:func:`krb5_mk_ncred()` with a single set of credentials.
+This is a convenience function that calls krb5_mk_ncred() with a single set of credentials.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_error.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_error.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_error.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_error.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_mk_error -  Format and encode a KRB
 
 
 
-This function creates a **KRB_ERROR** message in *enc_err* . Use :c:func:`krb5_free_data_contents()` to free *enc_err* when it is no longer needed.
+This function creates a **KRB_ERROR** message in *enc_err* . Use krb5_free_data_contents() to free *enc_err* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_ncred.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_ncred.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_ncred.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_ncred.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -41,7 +41,7 @@ krb5_mk_ncred -  Format a KRB-CRED messa
 
 
 
-This function takes an array of credentials *creds* and formats a **KRB-CRED** message *der_out* to pass to :c:func:`krb5_rd_cred()` .
+This function takes an array of credentials *creds* and formats a **KRB-CRED** message *der_out* to pass to krb5_rd_cred().
 
 
 
@@ -49,15 +49,15 @@ The local and remote addresses in *auth_
 
 
 
-If the :data:`KRB5_AUTH_CONTEXT_DO_TIME` flag is set in *auth_context* , an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If :data:`KRB5_AUTH_CONTEXT_DO_TIME` is not set, no replay cache is used. If :data:`KRB5_AUTH_CONTEXT_RET_TIME` is set in *auth_context* , the timestamp used for the KRB-CRED message is stored in *rdata_out* .
+If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in *auth_context* , an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If #KRB5_AUTH_CONTEXT_DO_TIME is not set, no replay cache is used. If #KRB5_AUTH_CONTEXT_RET_TIME is set in *auth_context* , the timestamp used for the KRB-CRED message is stored in *rdata_out* .
 
 
 
-If either :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` is set, the *auth_context* local sequence number is included in the KRB-CRED message and then incremented. If :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` is set, the sequence number used is stored in *rdata_out* .
+If either #KRB5_AUTH_CONTEXT_DO_SEQUENCE or #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the *auth_context* local sequence number is included in the KRB-CRED message and then incremented. If #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the sequence number used is stored in *rdata_out* .
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *der_out* when it is no longer needed.
+Use krb5_free_data_contents() to free *der_out* when it is no longer needed.
 
 
 
@@ -81,7 +81,7 @@ The message will be encrypted using the
 
 .. note::
 
-	 The *rdata_out* argument is required if the :data:`KRB5_AUTH_CONTEXT_RET_TIME` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` flag is set in *auth_context* .
+	 The *rdata_out* argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in *auth_context* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_priv.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_priv.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_priv.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_priv.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -36,7 +36,7 @@ krb5_mk_priv -  Format a KRB-PRIV messag
 
 
 
-This function is similar to :c:func:`krb5_mk_safe()` , but the message is encrypted and integrity-protected, not just integrity-protected.
+This function is similar to krb5_mk_safe(), but the message is encrypted and integrity-protected, not just integrity-protected.
 
 
 
@@ -44,15 +44,15 @@ The local address in *auth_context* must
 
 
 
-If the :data:`KRB5_AUTH_CONTEXT_DO_TIME` flag is set in *auth_context* , a timestamp is included in the KRB-PRIV message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If :data:`KRB5_AUTH_CONTEXT_DO_TIME` is not set, no replay cache is used. If :data:`KRB5_AUTH_CONTEXT_RET_TIME` is set in *auth_context* , a timestamp is included in the KRB-PRIV message and is stored in *rdata_out* .
+If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in *auth_context* , a timestamp is included in the KRB-PRIV message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If #KRB5_AUTH_CONTEXT_DO_TIME is not set, no replay cache is used. If #KRB5_AUTH_CONTEXT_RET_TIME is set in *auth_context* , a timestamp is included in the KRB-PRIV message and is stored in *rdata_out* .
 
 
 
-If either :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` is set, the *auth_context* local sequence number is included in the KRB-PRIV message and then incremented. If :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` is set, the sequence number used is stored in *rdata_out* .
+If either #KRB5_AUTH_CONTEXT_DO_SEQUENCE or #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the *auth_context* local sequence number is included in the KRB-PRIV message and then incremented. If #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the sequence number used is stored in *rdata_out* .
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *der_out* when it is no longer needed.
+Use krb5_free_data_contents() to free *der_out* when it is no longer needed.
 
 
 
@@ -72,7 +72,7 @@ Use :c:func:`krb5_free_data_contents()`
 
 .. note::
 
-	 The *rdata_out* argument is required if the :data:`KRB5_AUTH_CONTEXT_RET_TIME` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` flag is set in *auth_context* .
+	 The *rdata_out* argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in *auth_context* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_rep.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_rep.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_rep.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_rep.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -36,11 +36,11 @@ This function fills in *outbuf* with an
 
 
 
-If the flags in *auth_context* indicate that a sequence number should be used (either :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` ) and the local sequence number in *auth_context* is 0, a new number will be generated with krb5_generate_seq_number().
+If the flags in *auth_context* indicate that a sequence number should be used (either #KRB5_AUTH_CONTEXT_DO_SEQUENCE or #KRB5_AUTH_CONTEXT_RET_SEQUENCE) and the local sequence number in *auth_context* is 0, a new number will be generated with krb5_generate_seq_number().
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *outbuf* when it is no longer needed.
+Use krb5_free_data_contents() to free *outbuf* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_rep_dce.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_rep_dce.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_rep_dce.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_rep_dce.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_mk_rep_dce -  Format and encrypt a
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *outbuf* when it is no longer needed.
+Use krb5_free_data_contents() to free *outbuf* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_req.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_req.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_req.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_req.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_mk_req -  Create a KRB_AP_REQ messa
 
 	          **[inout]** **auth_context** - Pre-existing or newly created auth context
 
-	          **[in]** **ap_req_options** - :data:`AP_OPTS` options
+	          **[in]** **ap_req_options** - Options (see AP_OPTS macros)
 
 	          **[in]** **service** - Service name, or NULL to use **"host"**
 
@@ -42,11 +42,11 @@ krb5_mk_req -  Create a KRB_AP_REQ messa
 
 
 
-This function is similar to :c:func:`krb5_mk_req_extended()` except that it uses a given *hostname* , *service* , and *ccache* to construct a service principal name and obtain credentials.
+This function is similar to krb5_mk_req_extended() except that it uses a given *hostname* , *service* , and *ccache* to construct a service principal name and obtain credentials.
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *outbuf* when it is no longer needed.
+Use krb5_free_data_contents() to free *outbuf* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_req_extended.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_req_extended.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_req_extended.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_req_extended.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ krb5_mk_req_extended -  Create a KRB_AP_
 
 	          **[inout]** **auth_context** - Pre-existing or newly created auth context
 
-	          **[in]** **ap_req_options** - :data:`AP_OPTS` options
+	          **[in]** **ap_req_options** - Options (see AP_OPTS macros)
 
 	          **[in]** **in_data** - Application data to be checksummed in the authenticator, or NULL
 
@@ -40,15 +40,15 @@ krb5_mk_req_extended -  Create a KRB_AP_
 
 Valid *ap_req_options* are: 
  
-	 - :data:`AP_OPTS_USE_SESSION_KEY` - Use the session key when creating the request used for user to user authentication.
+	 - #AP_OPTS_USE_SESSION_KEY - Use the session key when creating the request used for user to user authentication.
  
  
-	 - :data:`AP_OPTS_MUTUAL_REQUIRED` - Request a mutual authentication packet from the receiver.
+	 - #AP_OPTS_MUTUAL_REQUIRED - Request a mutual authentication packet from the receiver.
  
  
-	 - :data:`AP_OPTS_USE_SUBKEY` - Generate a subsession key from the current session key obtained from the credentials.
+	 - #AP_OPTS_USE_SUBKEY - Generate a subsession key from the current session key obtained from the credentials.
  
- This function creates a KRB_AP_REQ message using supplied credentials *in_creds* . *auth_context* may point to an existing auth context or to NULL, in which case a new one will be created. If *in_data* is non-null, a checksum of it will be included in the authenticator contained in the KRB_AP_REQ message. Use :c:func:`krb5_free_data_contents()` to free *outbuf* when it is no longer needed.
+ This function creates a KRB_AP_REQ message using supplied credentials *in_creds* . *auth_context* may point to an existing auth context or to NULL, in which case a new one will be created. If *in_data* is non-null, a checksum of it will be included in the authenticator contained in the KRB_AP_REQ message. Use krb5_free_data_contents() to free *outbuf* when it is no longer needed.
 
 
 
@@ -66,7 +66,7 @@ On successful return, the authenticator
 ..
 
 .. seealso::
-         :c:func:`krb5_mk_req()` 
+         krb5_mk_req()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_safe.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_safe.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_mk_safe.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_mk_safe.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -40,7 +40,7 @@ This function creates an integrity prote
 
 
 
-Fields in *auth_context* specify the checksum type, the keyblock that can be used to seed the checksum, full addresses (host and port) for the sender and receiver, and :data:`KRB5_AUTH_CONTEXT` flags.
+Fields in *auth_context* specify the checksum type, the keyblock that can be used to seed the checksum, full addresses (host and port) for the sender and receiver, and KRB5_AUTH_CONTEXT flags.
 
 
 
@@ -48,15 +48,15 @@ The local address in *auth_context* must
 
 
 
-If the :data:`KRB5_AUTH_CONTEXT_DO_TIME` flag is set in *auth_context* , a timestamp is included in the KRB-SAFE message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If :data:`KRB5_AUTH_CONTEXT_DO_TIME` is not set, no replay cache is used. If :data:`KRB5_AUTH_CONTEXT_RET_TIME` is set in *auth_context* , a timestamp is included in the KRB-SAFE message and is stored in *rdata_out* .
+If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in *auth_context* , a timestamp is included in the KRB-SAFE message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If #KRB5_AUTH_CONTEXT_DO_TIME is not set, no replay cache is used. If #KRB5_AUTH_CONTEXT_RET_TIME is set in *auth_context* , a timestamp is included in the KRB-SAFE message and is stored in *rdata_out* .
 
 
 
-If either :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` is set, the *auth_context* local sequence number is included in the KRB-SAFE message and then incremented. If :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` is set, the sequence number used is stored in *rdata_out* .
+If either #KRB5_AUTH_CONTEXT_DO_SEQUENCE or #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the *auth_context* local sequence number is included in the KRB-SAFE message and then incremented. If #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the sequence number used is stored in *rdata_out* .
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *der_out* when it is no longer needed.
+Use krb5_free_data_contents() to free *der_out* when it is no longer needed.
 
 
 
@@ -76,7 +76,7 @@ Use :c:func:`krb5_free_data_contents()`
 
 .. note::
 
-	 The *rdata_out* argument is required if the :data:`KRB5_AUTH_CONTEXT_RET_TIME` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` flag is set in *auth_context* .
+	 The *rdata_out* argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in *auth_context* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_os_localaddr.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_os_localaddr.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_os_localaddr.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_os_localaddr.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -30,7 +30,7 @@ krb5_os_localaddr -  Return all interfac
 
 
 
-Use :c:func:`krb5_free_addresses()` to free *addr* when it is no longer needed.
+Use krb5_free_addresses() to free *addr* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_add_buffer.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_add_buffer.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_add_buffer.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_add_buffer.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -40,25 +40,25 @@ This function adds a buffer of type *typ
 
 The valid values of *type* is one of the following: 
  
-	 - :data:`KRB5_PAC_LOGON_INFO` - Logon information
+	 - #KRB5_PAC_LOGON_INFO - Logon information
  
  
-	 - :data:`KRB5_PAC_CREDENTIALS_INFO` - Credentials information
+	 - #KRB5_PAC_CREDENTIALS_INFO - Credentials information
  
  
-	 - :data:`KRB5_PAC_SERVER_CHECKSUM` - Server checksum
+	 - #KRB5_PAC_SERVER_CHECKSUM - Server checksum
  
  
-	 - :data:`KRB5_PAC_PRIVSVR_CHECKSUM` - KDC checksum
+	 - #KRB5_PAC_PRIVSVR_CHECKSUM - KDC checksum
  
  
-	 - :data:`KRB5_PAC_CLIENT_INFO` - Client name and ticket information
+	 - #KRB5_PAC_CLIENT_INFO - Client name and ticket information
  
  
-	 - :data:`KRB5_PAC_DELEGATION_INFO` - Constrained delegation information
+	 - #KRB5_PAC_DELEGATION_INFO - Constrained delegation information
  
  
-	 - :data:`KRB5_PAC_UPN_DNS_INFO` - User principal name and DNS information
+	 - #KRB5_PAC_UPN_DNS_INFO - User principal name and DNS information
  
  
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_get_buffer.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_get_buffer.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_get_buffer.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_get_buffer.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ krb5_pac_get_buffer -  Retrieve a buffer
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *data* when it is no longer needed.
+Use krb5_free_data_contents() to free *data* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_init.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_init.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_init.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_init.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -30,7 +30,7 @@ krb5_pac_init -  Create an empty Privile
 
 
 
-Use :c:func:`krb5_pac_free()` to free *pac* when it is no longer needed.
+Use krb5_pac_free() to free *pac* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_parse.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_parse.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_parse.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_parse.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -34,7 +34,7 @@ krb5_pac_parse -  Unparse an encoded PAC
 
 
 
-Use :c:func:`krb5_pac_free()` to free *pac* when it is no longer needed.
+Use krb5_pac_free() to free *pac* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_verify_ext.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_verify_ext.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_pac_verify_ext.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_pac_verify_ext.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,7 +37,7 @@ krb5_pac_verify_ext -  Verify a PAC, pos
 
 
 
-This function is similar to :c:func:`krb5_pac_verify()` , but adds a parameter *with_realm* . If *with_realm* is true, the PAC_CLIENT_INFO field is expected to include the realm of *principal* as well as the name. This flag is necessary to verify PACs in cross-realm S4U2Self referral TGTs.
+This function is similar to krb5_pac_verify(), but adds a parameter *with_realm* . If *with_realm* is true, the PAC_CLIENT_INFO field is expected to include the realm of *principal* as well as the name. This flag is necessary to verify PACs in cross-realm S4U2Self referral TGTs.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_parse_name.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_parse_name.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_parse_name.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_parse_name.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -51,7 +51,7 @@ Beginning with release 1.20, the name ty
 
 
 
-Use :c:func:`krb5_free_principal()` to free *principal_out* when it is no longer needed.
+Use krb5_free_principal() to free *principal_out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_parse_name_flags.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_parse_name_flags.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_parse_name_flags.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_parse_name_flags.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,28 +37,28 @@ krb5_parse_name_flags -  Convert a strin
 
 
 
-Similar to :c:func:`krb5_parse_name()` , this function converts a single-string representation of a principal name to a krb5_principal structure.
+Similar to krb5_parse_name(), this function converts a single-string representation of a principal name to a krb5_principal structure.
 
 
 
 The following flags are valid: 
  
-	 - :data:`KRB5_PRINCIPAL_PARSE_NO_REALM` - no realm must be present in *name* 
+	 - #KRB5_PRINCIPAL_PARSE_NO_REALM - no realm must be present in *name* 
  
  
-	 - :data:`KRB5_PRINCIPAL_PARSE_REQUIRE_REALM` - realm must be present in *name* 
+	 - #KRB5_PRINCIPAL_PARSE_REQUIRE_REALM - realm must be present in *name* 
  
  
-	 - :data:`KRB5_PRINCIPAL_PARSE_ENTERPRISE` - create single-component enterprise principal
+	 - #KRB5_PRINCIPAL_PARSE_ENTERPRISE - create single-component enterprise principal
  
  
-	 - :data:`KRB5_PRINCIPAL_PARSE_IGNORE_REALM` - ignore realm if present in *name* 
+	 - #KRB5_PRINCIPAL_PARSE_IGNORE_REALM - ignore realm if present in *name* 
  
  If **KRB5_PRINCIPAL_PARSE_NO_REALM** or **KRB5_PRINCIPAL_PARSE_IGNORE_REALM** is specified in *flags* , the realm of the new principal will be empty. Otherwise, the default realm for *context* will be used if *name* does not specify a realm.
 
 
 
-Use :c:func:`krb5_free_principal()` to free *principal_out* when it is no longer needed.
+Use krb5_free_principal() to free *principal_out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_principal_compare_any_realm.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_principal_compare_any_realm.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_principal_compare_any_realm.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_principal_compare_any_realm.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_principal_compare_any_realm -  Comp
 
 
 
-Similar to :c:func:`krb5_principal_compare()` , but do not compare the realm components of the principals.
+Similar to krb5_principal_compare(), but do not compare the realm components of the principals.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_principal_compare_flags.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_principal_compare_flags.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_principal_compare_flags.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_principal_compare_flags.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -36,16 +36,16 @@ krb5_principal_compare_flags -  Compare
 
 Valid flags are: 
  
-	 - :data:`KRB5_PRINCIPAL_COMPARE_IGNORE_REALM` - ignore realm component
+	 - #KRB5_PRINCIPAL_COMPARE_IGNORE_REALM - ignore realm component
  
  
-	 - :data:`KRB5_PRINCIPAL_COMPARE_ENTERPRISE` - UPNs as real principals
+	 - #KRB5_PRINCIPAL_COMPARE_ENTERPRISE - UPNs as real principals
  
  
-	 - :data:`KRB5_PRINCIPAL_COMPARE_CASEFOLD` case-insensitive
+	 - #KRB5_PRINCIPAL_COMPARE_CASEFOLD case-insensitive
  
  
-	 - :data:`KRB5_PRINCIPAL_COMPARE_UTF8` - treat principals as UTF-8
+	 - #KRB5_PRINCIPAL_COMPARE_UTF8 - treat principals as UTF-8
  
  
 
@@ -57,7 +57,7 @@ Valid flags are:
 ..
 
 .. seealso::
-         :c:func:`krb5_principal_compare()` 
+         krb5_principal_compare()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_prompter_posix.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_prompter_posix.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_prompter_posix.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_prompter_posix.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -41,7 +41,7 @@ krb5_prompter_posix -  Prompt user for p
 
 
 
-This function is intended to be used as a prompter callback for :c:func:`krb5_get_init_creds_password()` or :c:func:`krb5_init_creds_init()` .
+This function is intended to be used as a prompter callback for krb5_get_init_creds_password() or krb5_init_creds_init().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_cred.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_cred.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_cred.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_cred.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -40,7 +40,7 @@ krb5_rd_cred -  Read and validate a KRB-
 
 
 
-Use :c:func:`krb5_free_tgt_creds()` to free *creds_out* when it is no longer needed.
+Use krb5_free_tgt_creds() to free *creds_out* when it is no longer needed.
 
 
 
@@ -60,7 +60,7 @@ Use :c:func:`krb5_free_tgt_creds()` to f
 
 .. note::
 
-	 The *rdata_out* argument is required if the :data:`KRB5_AUTH_CONTEXT_RET_TIME` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` flag is set in *auth_context* .`
+	 The *rdata_out* argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in *auth_context* .`
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_error.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_error.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_error.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_error.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_rd_error -  Decode a KRB-ERROR mess
 
 
 
-This function processes **KRB-ERROR** message *enc_errbuf* and returns an allocated structure *dec_error* containing the error message. Use :c:func:`krb5_free_error()` to free *dec_error* when it is no longer needed.
+This function processes **KRB-ERROR** message *enc_errbuf* and returns an allocated structure *dec_error* containing the error message. Use krb5_free_error() to free *dec_error* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_priv.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_priv.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_priv.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_priv.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -44,15 +44,15 @@ If *auth_context* has a remote address s
 
 
 
-If the :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` flag is set in *auth_context* , the sequence number of the KRB-PRIV message is checked against the remote sequence number field of *auth_context* . Otherwise, the sequence number is not used.
+If the #KRB5_AUTH_CONTEXT_DO_SEQUENCE flag is set in *auth_context* , the sequence number of the KRB-PRIV message is checked against the remote sequence number field of *auth_context* . Otherwise, the sequence number is not used.
 
 
 
-If the :data:`KRB5_AUTH_CONTEXT_DO_TIME` flag is set in *auth_context* , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.
+If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in *auth_context* , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *userdata_out* when it is no longer needed.
+Use krb5_free_data_contents() to free *userdata_out* when it is no longer needed.
 
 
 
@@ -72,7 +72,7 @@ Use :c:func:`krb5_free_data_contents()`
 
 .. note::
 
-	 The *rdata_out* argument is required if the :data:`KRB5_AUTH_CONTEXT_RET_TIME` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` flag is set in *auth_context* .
+	 The *rdata_out* argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in *auth_context* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_rep.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_rep.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_rep.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_rep.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -38,7 +38,7 @@ This function parses, decrypts and verif
 
 
 
-Use :c:func:`krb5_free_ap_rep_enc_part()` to free *repl* when it is no longer needed.
+Use krb5_free_ap_rep_enc_part() to free *repl* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_req.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_req.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_req.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_req.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -44,11 +44,11 @@ This function parses, decrypts and verif
 
 
 
-If a keyblock was specified in *auth_context* using :c:func:`krb5_auth_con_setuseruserkey()` , that key is used to decrypt the ticket in AP-REQ message and *keytab* is ignored. In this case, *server* should be specified as a complete principal name to allow for proper transited-path checking and replay cache selection.
+If a keyblock was specified in *auth_context* using krb5_auth_con_setuseruserkey(), that key is used to decrypt the ticket in AP-REQ message and *keytab* is ignored. In this case, *server* should be specified as a complete principal name to allow for proper transited-path checking and replay cache selection.
 
 
 
-Otherwise, the decryption key is obtained from *keytab* , or from the default keytab if it is NULL. In this case, *server* may be a complete principal name, a matching principal (see :c:func:`krb5_sname_match()` ), or NULL to match any principal name. The keys tried against the encrypted part of the ticket are determined as follows:
+Otherwise, the decryption key is obtained from *keytab* , or from the default keytab if it is NULL. In this case, *server* may be a complete principal name, a matching principal (see krb5_sname_match()), or NULL to match any principal name. The keys tried against the encrypted part of the ticket are determined as follows:
 
 
 
@@ -82,11 +82,11 @@ Various other checks are performed on th
 
 
 
-On success the authenticator, subkey, and remote sequence number of the request are stored in *auth_context* . If the :data:`AP_OPTS_MUTUAL_REQUIRED` bit is set, the local sequence number is XORed with the remote sequence number in the request.
+On success the authenticator, subkey, and remote sequence number of the request are stored in *auth_context* . If the #AP_OPTS_MUTUAL_REQUIRED bit is set, the local sequence number is XORed with the remote sequence number in the request.
 
 
 
-Use :c:func:`krb5_free_ticket()` to free *ticket* when it is no longer needed.
+Use krb5_free_ticket() to free *ticket* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_safe.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_safe.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_rd_safe.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_rd_safe.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -44,15 +44,15 @@ If *auth_context* has a remote address s
 
 
 
-If the :data:`KRB5_AUTH_CONTEXT_DO_SEQUENCE` flag is set in *auth_context* , the sequence number of the KRB-SAFE message is checked against the remote sequence number field of *auth_context* . Otherwise, the sequence number is not used.
+If the #KRB5_AUTH_CONTEXT_DO_SEQUENCE flag is set in *auth_context* , the sequence number of the KRB-SAFE message is checked against the remote sequence number field of *auth_context* . Otherwise, the sequence number is not used.
 
 
 
-If the :data:`KRB5_AUTH_CONTEXT_DO_TIME` flag is set in *auth_context* , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.
+If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in *auth_context* , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.
 
 
 
-Use :c:func:`krb5_free_data_contents()` to free *userdata_out* when it is no longer needed.
+Use krb5_free_data_contents() to free *userdata_out* when it is no longer needed.
 
 
 
@@ -72,7 +72,7 @@ Use :c:func:`krb5_free_data_contents()`
 
 .. note::
 
-	 The *rdata_out* argument is required if the :data:`KRB5_AUTH_CONTEXT_RET_TIME` or :data:`KRB5_AUTH_CONTEXT_RET_SEQUENCE` flag is set in *auth_context* .
+	 The *rdata_out* argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in *auth_context* .
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_recvauth.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_recvauth.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_recvauth.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_recvauth.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -46,7 +46,7 @@ This function performs the server side o
 
 
 
-Use :c:func:`krb5_free_ticket()` to free *ticket* when it is no longer needed.
+Use krb5_free_ticket() to free *ticket* when it is no longer needed.
 
 
 
@@ -60,7 +60,7 @@ Use :c:func:`krb5_free_ticket()` to free
 ..
 
 .. seealso::
-         :c:func:`krb5_sendauth()` 
+         krb5_sendauth()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_recvauth_version.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_recvauth_version.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_recvauth_version.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_recvauth_version.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -42,7 +42,7 @@ krb5_recvauth_version -  Server function
 
 
 
-This function is similar to :c:func:`krb5_recvauth()` with the additional output information place into *version* .
+This function is similar to krb5_recvauth() with the additional output information place into *version* .
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_list_questions.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_list_questions.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_list_questions.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_list_questions.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -27,7 +27,7 @@ krb5_responder_list_questions -  List th
 
 
 
-Return a pointer to a null-terminated list of question names which are present in *rctx* . The pointer is an alias, valid only as long as the lifetime of *rctx* , and should not be modified or freed by the caller. A question's challenge can be retrieved using :c:func:`krb5_responder_get_challenge()` and answered using :c:func:`krb5_responder_set_answer()` .
+Return a pointer to a null-terminated list of question names which are present in *rctx* . The pointer is an alias, valid only as long as the lifetime of *rctx* , and should not be modified or freed by the caller. A question's challenge can be retrieved using krb5_responder_get_challenge() and answered using krb5_responder_set_answer().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_otp_challenge_free.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_otp_challenge_free.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_otp_challenge_free.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_otp_challenge_free.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -1,5 +1,5 @@
-krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge() . 
-=====================================================================================================
+krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge(). 
+====================================================================================================
 
 ..
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_otp_get_challenge.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_otp_get_challenge.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_otp_get_challenge.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_otp_get_challenge.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -33,7 +33,7 @@ A convenience function which parses the
 
 
 
-The returned value must be passed to :c:func:`krb5_responder_otp_challenge_free()` to be freed.
+The returned value must be passed to krb5_responder_otp_challenge_free() to be freed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_pkinit_challenge_free.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_pkinit_challenge_free.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_pkinit_challenge_free.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_pkinit_challenge_free.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -1,5 +1,5 @@
-krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge() . 
-===========================================================================================================
+krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge(). 
+==========================================================================================================
 
 ..
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_pkinit_get_challenge.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_pkinit_get_challenge.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_responder_pkinit_get_challenge.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_responder_pkinit_get_challenge.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -33,7 +33,7 @@ A convenience function which parses the
 
 
 
-The returned value must be passed to :c:func:`krb5_responder_pkinit_challenge_free()` to be freed.
+The returned value must be passed to krb5_responder_pkinit_challenge_free() to be freed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_sendauth.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_sendauth.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_sendauth.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_sendauth.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -22,7 +22,7 @@ krb5_sendauth -  Client function for sen
 
 	          **[in]** **server** - Server principal
 
-	          **[in]** **ap_req_options** - :data:`AP_OPTS` options
+	          **[in]** **ap_req_options** - Options (see AP_OPTS macros)
 
 	          **[in]** **in_data** - Data to be sent to the server
 
@@ -32,7 +32,7 @@ krb5_sendauth -  Client function for sen
 
 	          **[out]** **error** - If non-null, contains KRB_ERROR message returned from server
 
-	          **[out]** **rep_result** - If non-null and *ap_req_options* is :data:`AP_OPTS_MUTUAL_REQUIRED` , contains the result of mutual authentication exchange
+	          **[out]** **rep_result** - If non-null and *ap_req_options* is #AP_OPTS_MUTUAL_REQUIRED, contains the result of mutual authentication exchange
 
 	          **[out]** **out_creds** - If non-null, the retrieved credentials
 
@@ -62,11 +62,11 @@ Credentials may be specified in three wa
 
  
  
-	 - If *in_creds* is NULL, credentials are obtained with :c:func:`krb5_get_credentials()` using the principals *client* and *server* . *server* must be non-null; *client* may NULL to use the default principal of *ccache* .
+	 - If *in_creds* is NULL, credentials are obtained with krb5_get_credentials() using the principals *client* and *server* . *server* must be non-null; *client* may NULL to use the default principal of *ccache* .
  
  
  
-	 - If *in_creds* is non-null, but does not contain a ticket, credentials for the exchange are obtained with :c:func:`krb5_get_credentials()` using *in_creds* . In this case, the values of *client* and *server* are unused.
+	 - If *in_creds* is non-null, but does not contain a ticket, credentials for the exchange are obtained with krb5_get_credentials() using *in_creds* . In this case, the values of *client* and *server* are unused.
  
  
  
@@ -76,7 +76,7 @@ Credentials may be specified in three wa
 
 
 
-Use :c:func:`krb5_free_creds()` to free *out_creds* , :c:func:`krb5_free_ap_rep_enc_part()` to free *rep_result* , and :c:func:`krb5_free_error()` to free *error* when they are no longer needed.
+Use krb5_free_creds() to free *out_creds* , krb5_free_ap_rep_enc_part() to free *rep_result* , and krb5_free_error() to free *error* when they are no longer needed.
 
 
 
@@ -90,7 +90,7 @@ Use :c:func:`krb5_free_creds()` to free
 ..
 
 .. seealso::
-         :c:func:`krb5_recvauth()` 
+         krb5_recvauth()
  
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_set_kdc_recv_hook.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_set_kdc_recv_hook.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_set_kdc_recv_hook.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_set_kdc_recv_hook.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -29,7 +29,7 @@ krb5_set_kdc_recv_hook -  Set a KDC post
 
 
 
- *recv_hook* will be called after a reply is received from a KDC during a call to a library function such as :c:func:`krb5_get_credentials()` . The hook function may inspect or override the reply. This hook will not be executed if the pre-send hook returns a synthetic reply.
+ *recv_hook* will be called after a reply is received from a KDC during a call to a library function such as krb5_get_credentials(). The hook function may inspect or override the reply. This hook will not be executed if the pre-send hook returns a synthetic reply.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_set_kdc_send_hook.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_set_kdc_send_hook.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_set_kdc_send_hook.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_set_kdc_send_hook.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -29,7 +29,7 @@ krb5_set_kdc_send_hook -  Set a KDC pre-
 
 
 
- *send_hook* will be called before messages are sent to KDCs by library functions such as :c:func:`krb5_get_credentials()` . The hook function may inspect, override, or synthesize its own reply to the message.
+ *send_hook* will be called before messages are sent to KDCs by library functions such as krb5_get_credentials(). The hook function may inspect, override, or synthesize its own reply to the message.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_set_password.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_set_password.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_set_password.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_set_password.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -29,7 +29,7 @@ krb5_set_password -  Set a password for
 
 
 :retval:
-         -   0   Success and result_code is set to KRB5_KPASSWD_SUCCESS .
+         -   0   Success and result_code is set to #KRB5_KPASSWD_SUCCESS.
 
 
 :return:
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_sname_to_principal.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_sname_to_principal.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_sname_to_principal.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_sname_to_principal.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -39,7 +39,7 @@ krb5_sname_to_principal -  Generate a fu
 
 
 
-This function converts a *hostname* and *sname* into *krb5_principal* structure *ret_princ* . The returned principal will be of the form *sname\/hostname@REALM* where REALM is determined by :c:func:`krb5_get_host_realm()` . In some cases this may be the referral (empty) realm.
+This function converts a *hostname* and *sname* into *krb5_principal* structure *ret_princ* . The returned principal will be of the form *sname\/hostname@REALM* where REALM is determined by krb5_get_host_realm(). In some cases this may be the referral (empty) realm.
 
 
 
@@ -49,11 +49,11 @@ The *type* can be one of the following:
 
  
  
-	 - :data:`KRB5_NT_SRV_HST` canonicalizes the host name before looking up the realm and generating the principal.
+	 - #KRB5_NT_SRV_HST canonicalizes the host name before looking up the realm and generating the principal.
  
  
  
-	 - :data:`KRB5_NT_UNKNOWN` accepts the hostname as given, and does not canonicalize it.
+	 - #KRB5_NT_UNKNOWN accepts the hostname as given, and does not canonicalize it.
  
  Use krb5_free_principal to free *ret_princ* when it is no longer needed.
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -30,7 +30,7 @@ krb5_tkt_creds_get -  Synchronously obta
 
 
 
-This function synchronously obtains credentials using a context created by :c:func:`krb5_tkt_creds_init()` . On successful return, the credentials can be retrieved with :c:func:`krb5_tkt_creds_get_creds()` .
+This function synchronously obtains credentials using a context created by krb5_tkt_creds_init(). On successful return, the credentials can be retrieved with krb5_tkt_creds_get_creds().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get_creds.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get_creds.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get_creds.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get_creds.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_tkt_creds_get_creds -  Retrieve acq
 
 
 
-This function copies the acquired initial credentials from *ctx* into *creds* , after the successful completion of :c:func:`krb5_tkt_creds_get()` or :c:func:`krb5_tkt_creds_step()` . Use :c:func:`krb5_free_cred_contents()` to free *creds* when it is no longer needed.
+This function copies the acquired initial credentials from *ctx* into *creds* , after the successful completion of krb5_tkt_creds_get() or krb5_tkt_creds_step(). Use krb5_free_cred_contents() to free *creds* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get_times.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get_times.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get_times.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_get_times.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -32,7 +32,7 @@ krb5_tkt_creds_get_times -  Retrieve tic
 
 
 
-The TGS request context must have completed obtaining credentials via either :c:func:`krb5_tkt_creds_get()` or :c:func:`krb5_tkt_creds_step()` .
+The TGS request context must have completed obtaining credentials via either krb5_tkt_creds_get() or krb5_tkt_creds_step().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_init.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_init.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_init.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_init.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ krb5_tkt_creds_init -  Create a context
 
 	          **[in]** **creds** - Input credentials
 
-	          **[in]** **options** - :data:`KRB5_GC` options for this request.
+	          **[in]** **options** - Options (see KRB5_GC macros)
 
 	          **[out]** **ctx** - New TGS request context
 
@@ -40,11 +40,11 @@ This function prepares to obtain credent
 
 
 
-The resulting TGS acquisition context can be used asynchronously with :c:func:`krb5_tkt_creds_step()` or synchronously with :c:func:`krb5_tkt_creds_get()` . See also :c:func:`krb5_get_credentials()` for synchronous use.
+The resulting TGS acquisition context can be used asynchronously with krb5_tkt_creds_step() or synchronously with krb5_tkt_creds_get(). See also krb5_get_credentials() for synchronous use.
 
 
 
-Use :c:func:`krb5_tkt_creds_free()` to free *ctx* when it is no longer needed.
+Use krb5_tkt_creds_free() to free *ctx* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_step.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_step.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_step.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_tkt_creds_step.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -42,7 +42,7 @@ This function constructs the next KDC re
 
 
 
-If more requests are needed, *flags* will be set to :data:`KRB5_TKT_CREDS_STEP_FLAG_CONTINUE` and the next request will be placed in *out* . If no more requests are needed, *flags* will not contain :data:`KRB5_TKT_CREDS_STEP_FLAG_CONTINUE` and *out* will be empty.
+If more requests are needed, *flags* will be set to #KRB5_TKT_CREDS_STEP_FLAG_CONTINUE and the next request will be placed in *out* . If no more requests are needed, *flags* will not contain #KRB5_TKT_CREDS_STEP_FLAG_CONTINUE and *out* will be empty.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_unmarshal_credentials.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_unmarshal_credentials.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_unmarshal_credentials.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_unmarshal_credentials.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -36,7 +36,7 @@ Deserialize *data* to credentials in the
 
 
 
-Use :c:func:`krb5_free_creds()` to free *creds_out* when it is no longer needed.
+Use krb5_free_creds() to free *creds_out* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -35,11 +35,11 @@ krb5_unparse_name -  Convert a krb5_prin
 
 
 
-The resulting string representation uses the format and quoting conventions described for :c:func:`krb5_parse_name()` .
+The resulting string representation uses the format and quoting conventions described for krb5_parse_name().
 
 
 
-Use :c:func:`krb5_free_unparsed_name()` to free *name* when it is no longer needed.
+Use krb5_free_unparsed_name() to free *name* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name_ext.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name_ext.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name_ext.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name_ext.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,11 +37,11 @@ krb5_unparse_name_ext -  Convert krb5_pr
 
 
 
-This function is similar to :c:func:`krb5_unparse_name()` , but allows the use of an existing buffer for the result. If size is not NULL, then *name* must point to either NULL or an existing buffer of at least the size pointed to by *size* . The buffer will be allocated or resized if necessary, with the new pointer stored into *name* . Whether or not the buffer is resized, the necessary space for the result, including null terminator, will be stored into *size* .
+This function is similar to krb5_unparse_name(), but allows the use of an existing buffer for the result. If size is not NULL, then *name* must point to either NULL or an existing buffer of at least the size pointed to by *size* . The buffer will be allocated or resized if necessary, with the new pointer stored into *name* . Whether or not the buffer is resized, the necessary space for the result, including null terminator, will be stored into *size* .
 
 
 
-If size is NULL, this function behaves exactly as :c:func:`krb5_unparse_name()` .
+If size is NULL, this function behaves exactly as krb5_unparse_name().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name_flags.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name_flags.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name_flags.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_unparse_name_flags.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -37,21 +37,21 @@ krb5_unparse_name_flags -  Convert krb5_
 
 
 
-Similar to :c:func:`krb5_unparse_name()` , this function converts a krb5_principal structure to a string representation.
+Similar to krb5_unparse_name(), this function converts a krb5_principal structure to a string representation.
 
 
 
 The following flags are valid: 
  
-	 - :data:`KRB5_PRINCIPAL_UNPARSE_SHORT` - omit realm if it is the local realm
+	 - #KRB5_PRINCIPAL_UNPARSE_SHORT - omit realm if it is the local realm
  
  
-	 - :data:`KRB5_PRINCIPAL_UNPARSE_NO_REALM` - omit realm
+	 - #KRB5_PRINCIPAL_UNPARSE_NO_REALM - omit realm
  
  
-	 - :data:`KRB5_PRINCIPAL_UNPARSE_DISPLAY` - do not quote special characters
+	 - #KRB5_PRINCIPAL_UNPARSE_DISPLAY - do not quote special characters
  
- Use :c:func:`krb5_free_unparsed_name()` to free *name* when it is no longer needed.
+ Use krb5_free_unparsed_name() to free *name* when it is no longer needed.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_verify_init_creds.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_verify_init_creds.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_verify_init_creds.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_verify_init_creds.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -42,7 +42,7 @@ This function attempts to verify that *c
 
 
 
-If the specified keytab does not exist, or is empty, or cannot be read, or does not contain an entry for *server* , then credential verification may be skipped unless configuration demands that it succeed. The caller can control this behavior by providing a verification options structure; see :c:func:`krb5_verify_init_creds_opt_init()` and :c:func:`krb5_verify_init_creds_opt_set_ap_req_nofail()` .
+If the specified keytab does not exist, or is empty, or cannot be read, or does not contain an entry for *server* , then credential verification may be skipped unless configuration demands that it succeed. The caller can control this behavior by providing a verification options structure; see krb5_verify_init_creds_opt_init() and krb5_verify_init_creds_opt_set_ap_req_nofail().
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -27,11 +27,11 @@ krb5_verify_init_creds_opt_set_ap_req_no
 
 
 
-This function determines how :c:func:`krb5_verify_init_creds()` behaves if no keytab information is available. If *ap_req_nofail* is **FALSE** , verification will be skipped in this case and :c:func:`krb5_verify_init_creds()` will return successfully. If *ap_req_nofail* is **TRUE** , :c:func:`krb5_verify_init_creds()` will not return successfully unless verification can be performed.
+This function determines how krb5_verify_init_creds() behaves if no keytab information is available. If *ap_req_nofail* is **FALSE** , verification will be skipped in this case and krb5_verify_init_creds() will return successfully. If *ap_req_nofail* is **TRUE** , krb5_verify_init_creds() will not return successfully unless verification can be performed.
 
 
 
-If this function is not used, the behavior of :c:func:`krb5_verify_init_creds()` is determined through configuration.
+If this function is not used, the behavior of krb5_verify_init_creds() is determined through configuration.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_vprepend_error_message.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_vprepend_error_message.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_vprepend_error_message.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_vprepend_error_message.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -31,7 +31,7 @@ krb5_vprepend_error_message -  Add a pre
 
 
 
-This function is similar to :c:func:`krb5_prepend_error_message()` , but uses a va_list instead of variadic arguments.
+This function is similar to krb5_prepend_error_message(), but uses a va_list instead of variadic arguments.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_vwrap_error_message.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_vwrap_error_message.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/api/krb5_vwrap_error_message.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/api/krb5_vwrap_error_message.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -33,7 +33,7 @@ krb5_vwrap_error_message -  Add a prefix
 
 
 
-This function is similar to :c:func:`krb5_wrap_error_message()` , but uses a va_list instead of variadic arguments.
+This function is similar to krb5_wrap_error_message(), but uses a va_list instead of variadic arguments.
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -9,7 +9,6 @@ KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY
 .. data:: KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY
 ..
 
-Note conflict with :c:data:`KRB5_KEYUSAGE_PA_SAM_RESPONSE` .
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -9,7 +9,6 @@ KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST
 .. data:: KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST
 ..
 
-Note conflict with :c:data:`KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID` .
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -9,7 +9,6 @@ KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID
 .. data:: KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID
 ..
 
-Note conflict with :c:data:`KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST` .
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -9,7 +9,6 @@ KRB5_KEYUSAGE_PA_SAM_RESPONSE
 .. data:: KRB5_KEYUSAGE_PA_SAM_RESPONSE
 ..
 
-Note conflict with :c:data:`KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY` .
 
 
 
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -30,7 +30,6 @@ The OTP responder question is asked when
       ]
     }
 
-
 The answer to the question MUST be JSON formatted:
 ::
 
@@ -40,9 +39,8 @@ The answer to the question MUST be JSON
       "pin":       <string (optional)>,
     }
 
-
 For more detail, please see RFC 6560.
-
+ 
 
 ================================== ======================
 ``KRB5_RESPONDER_QUESTION_OTP``       ``"otp"``
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -12,7 +12,7 @@ KRB5_RESPONDER_QUESTION_PASSWORD
 Long-term password responder question.
 
 This question is asked when the long-term password is needed. It has no challenge and the response is simply the password string.
-
+ 
 
 ======================================= ======================
 ``KRB5_RESPONDER_QUESTION_PASSWORD``       ``"password"``
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -19,7 +19,6 @@ The PKINIT responder question is asked w
         ...
     }
 
-
 The answer to the question MUST be JSON formatted:
 ::
 
@@ -28,8 +27,7 @@ The answer to the question MUST be JSON
         ...
     }
 
-
-
+  
 
 ===================================== ======================
 ``KRB5_RESPONDER_QUESTION_PKINIT``       ``"pkinit"``
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/macros/krb5_princ_component.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/macros/krb5_princ_component.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/macros/krb5_princ_component.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/macros/krb5_princ_component.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -13,5 +13,5 @@ krb5_princ_component
 
 
 ============================================== ======================
-``krb5_princ_component (context, princ, i)``       ``(((i) < krb5_princ_size(context, princ)) ? (princ)->data + (i) : NULL)``
+``krb5_princ_component (context, princ, i)``       ``    (((i) < krb5_princ_size(context, princ)) ? (princ)->data + (i) : NULL)``
 ============================================== ======================
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_address.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_address.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_address.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_address.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Structure for address.
 Declaration
 ------------
 
-typedef struct _krb5_address  krb5_address
+typedef struct _krb5_address krb5_address
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ap_rep.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ap_rep.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ap_rep.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ap_rep.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ The server's response to a client's requ
 Declaration
 ------------
 
-typedef struct _krb5_ap_rep  krb5_ap_rep
+typedef struct _krb5_ap_rep krb5_ap_rep
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ap_rep_enc_part.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ap_rep_enc_part.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ap_rep_enc_part.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ap_rep_enc_part.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Cleartext that is encrypted and put into
 Declaration
 ------------
 
-typedef struct _krb5_ap_rep_enc_part  krb5_ap_rep_enc_part
+typedef struct _krb5_ap_rep_enc_part krb5_ap_rep_enc_part
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ap_req.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ap_req.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ap_req.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ap_req.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Authentication header.
 Declaration
 ------------
 
-typedef struct _krb5_ap_req  krb5_ap_req
+typedef struct _krb5_ap_req krb5_ap_req
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_authdata.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_authdata.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_authdata.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_authdata.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Structure for auth data.
 Declaration
 ------------
 
-typedef struct _krb5_authdata  krb5_authdata
+typedef struct _krb5_authdata krb5_authdata
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_authenticator.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_authenticator.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_authenticator.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_authenticator.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ The C representation of an unencrypted a
 Declaration
 ------------
 
-typedef struct _krb5_authenticator  krb5_authenticator
+typedef struct _krb5_authenticator krb5_authenticator
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_checksum.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_checksum.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_checksum.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_checksum.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_checksum
 Declaration
 ------------
 
-typedef struct _krb5_checksum  krb5_checksum
+typedef struct _krb5_checksum krb5_checksum
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_cred.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_cred.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_cred.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_cred.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Credentials data structure.
 Declaration
 ------------
 
-typedef struct _krb5_cred  krb5_cred
+typedef struct _krb5_cred krb5_cred
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_cred_enc_part.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_cred_enc_part.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_cred_enc_part.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_cred_enc_part.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Cleartext credentials information.
 Declaration
 ------------
 
-typedef struct _krb5_cred_enc_part  krb5_cred_enc_part
+typedef struct _krb5_cred_enc_part krb5_cred_enc_part
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_cred_info.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_cred_info.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_cred_info.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_cred_info.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Credentials information inserted into *E
 Declaration
 ------------
 
-typedef struct _krb5_cred_info  krb5_cred_info
+typedef struct _krb5_cred_info krb5_cred_info
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_creds.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_creds.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_creds.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_creds.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Credentials structure including ticket,
 Declaration
 ------------
 
-typedef struct _krb5_creds  krb5_creds
+typedef struct _krb5_creds krb5_creds
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_crypto_iov.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_crypto_iov.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_crypto_iov.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_crypto_iov.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ The *flags* member describes the type of
 Declaration
 ------------
 
-typedef struct _krb5_crypto_iov  krb5_crypto_iov
+typedef struct _krb5_crypto_iov krb5_crypto_iov
 
 
 Members
@@ -25,7 +25,7 @@ Members
 
 .. c:member:: krb5_cryptotype	krb5_crypto_iov.flags
 
-                                             :c:data:`KRB5_CRYPTO_TYPE` type of the iov
+                                             iov type (see KRB5_CRYPTO_TYPE macros)
                                              
 
 .. c:member:: krb5_data	krb5_crypto_iov.data
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_data
 Declaration
 ------------
 
-typedef struct _krb5_data  krb5_data
+typedef struct _krb5_data krb5_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_enc_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_enc_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_enc_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_enc_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_enc_data
 Declaration
 ------------
 
-typedef struct _krb5_enc_data  krb5_enc_data
+typedef struct _krb5_enc_data krb5_enc_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_enc_kdc_rep_part.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_enc_kdc_rep_part.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_enc_kdc_rep_part.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_enc_kdc_rep_part.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ This is the cleartext message that is en
 Declaration
 ------------
 
-typedef struct _krb5_enc_kdc_rep_part  krb5_enc_kdc_rep_part
+typedef struct _krb5_enc_kdc_rep_part krb5_enc_kdc_rep_part
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_enc_tkt_part.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_enc_tkt_part.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_enc_tkt_part.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_enc_tkt_part.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Encrypted part of ticket.
 Declaration
 ------------
 
-typedef struct _krb5_enc_tkt_part  krb5_enc_tkt_part
+typedef struct _krb5_enc_tkt_part krb5_enc_tkt_part
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_encrypt_block.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_encrypt_block.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_encrypt_block.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_encrypt_block.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_encrypt_block
 Declaration
 ------------
 
-typedef struct _krb5_encrypt_block  krb5_encrypt_block
+typedef struct _krb5_encrypt_block krb5_encrypt_block
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_error.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_error.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_error.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_error.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Error message structure.
 Declaration
 ------------
 
-typedef struct _krb5_error  krb5_error
+typedef struct _krb5_error krb5_error
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_error_code.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_error_code.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_error_code.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_error_code.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -11,7 +11,7 @@ krb5_error_code
 
 Used to convey an operation status.
 
-The value 0 indicates success; any other values are com_err codes. Use :c:func:`krb5_get_error_message()` to obtain a string describing the error.
+The value 0 indicates success; any other values are com_err codes. Use krb5_get_error_message() to obtain a string describing the error.
 
 Declaration
 ------------
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_get_init_creds_opt.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_get_init_creds_opt.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_get_init_creds_opt.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_get_init_creds_opt.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Store options for *_krb5_get_init_creds*
 Declaration
 ------------
 
-typedef struct _krb5_get_init_creds_opt  krb5_get_init_creds_opt
+typedef struct _krb5_get_init_creds_opt krb5_get_init_creds_opt
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_gic_opt_pa_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_gic_opt_pa_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_gic_opt_pa_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_gic_opt_pa_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Generic preauth option attribute/value p
 Declaration
 ------------
 
-typedef struct _krb5_gic_opt_pa_data  krb5_gic_opt_pa_data
+typedef struct _krb5_gic_opt_pa_data krb5_gic_opt_pa_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_kdc_rep.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_kdc_rep.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_kdc_rep.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_kdc_rep.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Representation of the *KDC-REP* protocol
 Declaration
 ------------
 
-typedef struct _krb5_kdc_rep  krb5_kdc_rep
+typedef struct _krb5_kdc_rep krb5_kdc_rep
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_kdc_req.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_kdc_req.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_kdc_req.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_kdc_req.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ C representation of KDC-REQ protocol mes
 Declaration
 ------------
 
-typedef struct _krb5_kdc_req  krb5_kdc_req
+typedef struct _krb5_kdc_req krb5_kdc_req
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_keyblock.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_keyblock.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_keyblock.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_keyblock.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Exposed contents of a key.
 Declaration
 ------------
 
-typedef struct _krb5_keyblock  krb5_keyblock
+typedef struct _krb5_keyblock krb5_keyblock
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_keytab_entry.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_keytab_entry.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_keytab_entry.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_keytab_entry.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ A key table entry.
 Declaration
 ------------
 
-typedef struct krb5_keytab_entry_st  krb5_keytab_entry
+typedef struct krb5_keytab_entry_st krb5_keytab_entry
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_last_req_entry.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_last_req_entry.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_last_req_entry.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_last_req_entry.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Last request entry.
 Declaration
 ------------
 
-typedef struct _krb5_last_req_entry  krb5_last_req_entry
+typedef struct _krb5_last_req_entry krb5_last_req_entry
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pa_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pa_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pa_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pa_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Pre-authentication data.
 Declaration
 ------------
 
-typedef struct _krb5_pa_data  krb5_pa_data
+typedef struct _krb5_pa_data krb5_pa_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pa_pac_req.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pa_pac_req.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pa_pac_req.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pa_pac_req.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_pa_pac_req
 Declaration
 ------------
 
-typedef struct _krb5_pa_pac_req  krb5_pa_pac_req
+typedef struct _krb5_pa_pac_req krb5_pa_pac_req
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pa_server_referral_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pa_server_referral_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pa_server_referral_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pa_server_referral_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_pa_server_referral_data
 Declaration
 ------------
 
-typedef struct _krb5_pa_server_referral_data  krb5_pa_server_referral_data
+typedef struct _krb5_pa_server_referral_data krb5_pa_server_referral_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pa_svr_referral_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pa_svr_referral_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pa_svr_referral_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pa_svr_referral_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_pa_svr_referral_data
 Declaration
 ------------
 
-typedef struct _krb5_pa_svr_referral_data  krb5_pa_svr_referral_data
+typedef struct _krb5_pa_svr_referral_data krb5_pa_svr_referral_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_post_recv_fn.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_post_recv_fn.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_post_recv_fn.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_post_recv_fn.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -12,7 +12,7 @@ krb5_post_recv_fn
 Hook function for inspecting or overriding KDC replies.
 
 If *code* is non-zero, KDC communication failed and *reply* should be ignored. The hook function may return *code* or a different error code, or may synthesize a reply by setting *new_reply_out* and return successfully.
-The hook function should use :c:func:`krb5_copy_data()` to construct the value for *new_reply_out* , to ensure that it can be freed correctly by the library.
+The hook function should use krb5_copy_data() to construct the value for *new_reply_out* , to ensure that it can be freed correctly by the library.
 
 Declaration
 ------------
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pre_send_fn.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pre_send_fn.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pre_send_fn.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pre_send_fn.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -14,7 +14,7 @@ Hook function for inspecting or modifyin
 If the hook function sets *new_reply_out* , *message* will not be sent to the KDC, and the given reply will used instead.
 If the hook function sets *new_message_out* , the given message will be sent to the KDC in place of *message* .
 If the hook function returns successfully without setting either output, *message* will be sent to the KDC normally.
-The hook function should use :c:func:`krb5_copy_data()` to construct the value for *new_message_out* or *reply_out* , to ensure that it can be freed correctly by the library.
+The hook function should use krb5_copy_data() to construct the value for *new_message_out* or *reply_out* , to ensure that it can be freed correctly by the library.
 
 Declaration
 ------------
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_principal_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_principal_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_principal_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_principal_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_principal_data
 Declaration
 ------------
 
-typedef struct krb5_principal_data  krb5_principal_data
+typedef struct krb5_principal_data krb5_principal_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_prompt.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_prompt.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_prompt.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_prompt.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Text for prompt used in prompter callbac
 Declaration
 ------------
 
-typedef struct _krb5_prompt  krb5_prompt
+typedef struct _krb5_prompt krb5_prompt
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pwd_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pwd_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_pwd_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_pwd_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_pwd_data
 Declaration
 ------------
 
-typedef struct _krb5_pwd_data  krb5_pwd_data
+typedef struct _krb5_pwd_data krb5_pwd_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_replay_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_replay_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_replay_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_replay_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -11,12 +11,12 @@ krb5_replay_data
 
 Replay data.
 
-Sequence number and timestamp information output by :c:func:`krb5_rd_priv()` and :c:func:`krb5_rd_safe()` .
+Sequence number and timestamp information output by krb5_rd_priv() and krb5_rd_safe().
 
 Declaration
 ------------
 
-typedef struct krb5_replay_data  krb5_replay_data
+typedef struct krb5_replay_data krb5_replay_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_context.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_context.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_context.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_context.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -11,8 +11,8 @@ krb5_responder_context
 
 A container for a set of preauthentication questions and answers.
 
-A responder context is supplied by the krb5 authentication system to a :c:type:`krb5_responder_fn` callback. It contains a list of questions and can receive answers. Questions contained in a responder context can be listed using :c:func:`krb5_responder_list_questions()` , retrieved using :c:func:`krb5_responder_get_challenge()` , or answered using :c:func:`krb5_responder_set_answer()` . The form of a question's challenge and answer depend on the question name.
-
+A responder context is supplied by the krb5 authentication system to a krb5_responder_fn callback. It contains a list of questions and can receive answers. Questions contained in a responder context can be listed using krb5_responder_list_questions(), retrieved using krb5_responder_get_challenge(), or answered using krb5_responder_set_answer(). The form of a question's challenge and answer depend on the question name.
+ 
 
 Declaration
 ------------
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_otp_challenge.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_otp_challenge.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_otp_challenge.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_otp_challenge.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_responder_otp_challenge
 Declaration
 ------------
 
-typedef struct _krb5_responder_otp_challenge  krb5_responder_otp_challenge
+typedef struct _krb5_responder_otp_challenge krb5_responder_otp_challenge
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_otp_tokeninfo.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_otp_tokeninfo.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_otp_tokeninfo.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_otp_tokeninfo.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_responder_otp_tokeninfo
 Declaration
 ------------
 
-typedef struct _krb5_responder_otp_tokeninfo  krb5_responder_otp_tokeninfo
+typedef struct _krb5_responder_otp_tokeninfo krb5_responder_otp_tokeninfo
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_pkinit_challenge.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_pkinit_challenge.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_pkinit_challenge.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_pkinit_challenge.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_responder_pkinit_challenge
 Declaration
 ------------
 
-typedef struct _krb5_responder_pkinit_challenge  krb5_responder_pkinit_challenge
+typedef struct _krb5_responder_pkinit_challenge krb5_responder_pkinit_challenge
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_pkinit_identity.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_pkinit_identity.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_responder_pkinit_identity.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_responder_pkinit_identity.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_responder_pkinit_identity
 Declaration
 ------------
 
-typedef struct _krb5_responder_pkinit_identity  krb5_responder_pkinit_identity
+typedef struct _krb5_responder_pkinit_identity krb5_responder_pkinit_identity
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_response.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_response.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_response.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_response.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_response
 Declaration
 ------------
 
-typedef struct _krb5_response  krb5_response
+typedef struct _krb5_response krb5_response
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ticket.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ticket.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ticket.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ticket.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ The C representation of the ticket messa
 Declaration
 ------------
 
-typedef struct _krb5_ticket  krb5_ticket
+typedef struct _krb5_ticket krb5_ticket
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ticket_times.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ticket_times.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_ticket_times.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_ticket_times.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Ticket start time, end time, and renewal
 Declaration
 ------------
 
-typedef struct _krb5_ticket_times  krb5_ticket_times
+typedef struct _krb5_ticket_times krb5_ticket_times
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_tkt_authent.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_tkt_authent.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_tkt_authent.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_tkt_authent.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Ticket authentication data.
 Declaration
 ------------
 
-typedef struct _krb5_tkt_authent  krb5_tkt_authent
+typedef struct _krb5_tkt_authent krb5_tkt_authent
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_trace_info.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_trace_info.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_trace_info.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_trace_info.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Currently, it only contains the formatte
 Declaration
 ------------
 
-typedef struct _krb5_trace_info  krb5_trace_info
+typedef struct _krb5_trace_info krb5_trace_info
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_transited.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_transited.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_transited.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_transited.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -16,7 +16,7 @@ Structure for transited encoding.
 Declaration
 ------------
 
-typedef struct _krb5_transited  krb5_transited
+typedef struct _krb5_transited krb5_transited
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_typed_data.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_typed_data.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_typed_data.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_typed_data.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_typed_data
 Declaration
 ------------
 
-typedef struct _krb5_typed_data  krb5_typed_data
+typedef struct _krb5_typed_data krb5_typed_data
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_verify_init_creds_opt.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_verify_init_creds_opt.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/krb5_verify_init_creds_opt.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/krb5_verify_init_creds_opt.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ krb5_verify_init_creds_opt
 Declaration
 ------------
 
-typedef struct _krb5_verify_init_creds_opt  krb5_verify_init_creds_opt
+typedef struct _krb5_verify_init_creds_opt krb5_verify_init_creds_opt
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/appdev/refs/types/passwd_phrase_element.rst.txt 1.21.3-1/doc/html/_sources/appdev/refs/types/passwd_phrase_element.rst.txt
--- 1.21.2-1/doc/html/_sources/appdev/refs/types/passwd_phrase_element.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/appdev/refs/types/passwd_phrase_element.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -15,7 +15,7 @@ passwd_phrase_element
 Declaration
 ------------
 
-typedef struct _passwd_phrase_element  passwd_phrase_element
+typedef struct _passwd_phrase_element passwd_phrase_element
 
 
 Members
diff -pruN 1.21.2-1/doc/html/_sources/copyright.rst.txt 1.21.3-1/doc/html/_sources/copyright.rst.txt
--- 1.21.2-1/doc/html/_sources/copyright.rst.txt	2023-08-14 16:16:53.000000000 +0000
+++ 1.21.3-1/doc/html/_sources/copyright.rst.txt	2024-06-26 20:00:37.000000000 +0000
@@ -1,7 +1,7 @@
 Copyright
 =========
 
-Copyright |copy| 1985-2023 by the Massachusetts Institute of
+Copyright |copy| 1985-2024 by the Massachusetts Institute of
 Technology and its contributors.  All rights reserved.
 
 See :ref:`mitK5license` for additional copyright and license
diff -pruN 1.21.2-1/doc/html/_static/agogo.css 1.21.3-1/doc/html/_static/agogo.css
--- 1.21.2-1/doc/html/_static/agogo.css	2023-08-14 16:24:20.000000000 +0000
+++ 1.21.3-1/doc/html/_static/agogo.css	2024-06-26 20:01:31.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Sphinx stylesheet -- agogo theme.
  *
- * :copyright: Copyright 2007-2018 by the Sphinx team, see AUTHORS.
+ * :copyright: Copyright 2007-2021 by the Sphinx team, see AUTHORS.
  * :license: BSD, see LICENSE for details.
  *
  */
@@ -203,7 +203,6 @@ div.document .section:first-child {
 
 div.document div.highlight {
   padding: 3px;
-  background-color: #eeeeec;
   border-top: 2px solid #dddddd;
   border-bottom: 2px solid #dddddd;
   margin-top: .8em;
@@ -363,19 +362,25 @@ div.footer .left {
 
 /* Styles copied from basic theme */
 
-img.align-left, .figure.align-left, object.align-left {
+img.align-left, figure.align-left, .figure.align-left, object.align-left {
     clear: left;
     float: left;
     margin-right: 1em;
 }
 
-img.align-right, .figure.align-right, object.align-right {
+img.align-right, figure.align-right, .figure.align-right, object.align-right {
     clear: right;
     float: right;
     margin-left: 1em;
 }
 
-img.align-center, .figure.align-center, object.align-center {
+img.align-center, figure.align-center, .figure.align-center, object.align-center {
+  display: block;
+  margin-left: auto;
+  margin-right: auto;
+}
+
+img.align-default, figure.align-default, .figure.align-default {
   display: block;
   margin-left: auto;
   margin-right: auto;
@@ -400,11 +405,13 @@ table caption span.caption-number {
 table caption span.caption-text {
 }
 
-div.figure p.caption span.caption-number {
+div.figure p.caption span.caption-number,
+figcaption span.caption-number {
     font-style: italic;
 }
 
-div.figure p.caption span.caption-text {
+div.figure p.caption span.caption-text,
+figcaption span.caption-text {
 }
 
 /* -- search page ----------------------------------------------------------- */
Binary files 1.21.2-1/doc/html/_static/ajax-loader.gif and 1.21.3-1/doc/html/_static/ajax-loader.gif differ
diff -pruN 1.21.2-1/doc/html/_static/basic.css 1.21.3-1/doc/html/_static/basic.css
--- 1.21.2-1/doc/html/_static/basic.css	2023-08-14 16:24:20.000000000 +0000
+++ 1.21.3-1/doc/html/_static/basic.css	2024-06-26 20:01:31.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Sphinx stylesheet -- basic theme.
  *
- * :copyright: Copyright 2007-2018 by the Sphinx team, see AUTHORS.
+ * :copyright: Copyright 2007-2021 by the Sphinx team, see AUTHORS.
  * :license: BSD, see LICENSE for details.
  *
  */
@@ -15,6 +15,12 @@ div.clearer {
     clear: both;
 }
 
+div.section::after {
+    display: block;
+    content: '';
+    clear: left;
+}
+
 /* -- relbar ---------------------------------------------------------------- */
 
 div.related {
@@ -49,7 +55,7 @@ div.sphinxsidebarwrapper {
 
 div.sphinxsidebar {
     float: left;
-    width: 0px;
+    width: 20%;
     margin-left: -100%;
     font-size: 90%;
     word-wrap: break-word;
@@ -81,10 +87,26 @@ div.sphinxsidebar input {
     font-size: 1em;
 }
 
+div.sphinxsidebar #searchbox form.search {
+    overflow: hidden;
+}
+
 div.sphinxsidebar #searchbox input[type="text"] {
-    width: 170px;
+    float: left;
+    width: 80%;
+    padding: 0.25em;
+    box-sizing: border-box;
+}
+
+div.sphinxsidebar #searchbox input[type="submit"] {
+    float: left;
+    width: 20%;
+    border-left: none;
+    padding: 0.25em;
+    box-sizing: border-box;
 }
 
+
 img {
     border: 0;
     max-width: 100%;
@@ -108,7 +130,7 @@ ul.search li a {
     font-weight: bold;
 }
 
-ul.search li div.context {
+ul.search li p.context {
     color: #888;
     margin: 2px 0 0 30px;
     text-align: left;
@@ -199,6 +221,11 @@ table.modindextable td {
 
 /* -- general body styles --------------------------------------------------- */
 
+div.body {
+    min-width: 450px;
+    max-width: 800px;
+}
+
 div.body p, div.body dd, div.body li, div.body blockquote {
     -moz-hyphens: auto;
     -ms-hyphens: auto;
@@ -210,6 +237,16 @@ a.headerlink {
     visibility: hidden;
 }
 
+a.brackets:before,
+span.brackets > a:before{
+    content: "[";
+}
+
+a.brackets:after,
+span.brackets > a:after {
+    content: "]";
+}
+
 h1:hover > a.headerlink,
 h2:hover > a.headerlink,
 h3:hover > a.headerlink,
@@ -240,19 +277,25 @@ p.rubric {
     font-weight: bold;
 }
 
-img.align-left, .figure.align-left, object.align-left {
+img.align-left, figure.align-left, .figure.align-left, object.align-left {
     clear: left;
     float: left;
     margin-right: 1em;
 }
 
-img.align-right, .figure.align-right, object.align-right {
+img.align-right, figure.align-right, .figure.align-right, object.align-right {
     clear: right;
     float: right;
     margin-left: 1em;
 }
 
-img.align-center, .figure.align-center, object.align-center {
+img.align-center, figure.align-center, .figure.align-center, object.align-center {
+  display: block;
+  margin-left: auto;
+  margin-right: auto;
+}
+
+img.align-default, figure.align-default, .figure.align-default {
   display: block;
   margin-left: auto;
   margin-right: auto;
@@ -266,30 +309,41 @@ img.align-center, .figure.align-center,
     text-align: center;
 }
 
+.align-default {
+    text-align: center;
+}
+
 .align-right {
     text-align: right;
 }
 
 /* -- sidebars -------------------------------------------------------------- */
 
-div.sidebar {
+div.sidebar,
+aside.sidebar {
     margin: 0 0 0.5em 1em;
     border: 1px solid #ddb;
-    padding: 7px 7px 0 7px;
+    padding: 7px;
     background-color: #ffe;
     width: 40%;
     float: right;
+    clear: right;
+    overflow-x: auto;
 }
 
 p.sidebar-title {
     font-weight: bold;
 }
 
+div.admonition, div.topic, blockquote {
+    clear: left;
+}
+
 /* -- topics ---------------------------------------------------------------- */
 
 div.topic {
     border: 1px solid #ccc;
-    padding: 7px 7px 0 7px;
+    padding: 7px;
     margin: 10px 0 10px 0;
 }
 
@@ -311,10 +365,6 @@ div.admonition dt {
     font-weight: bold;
 }
 
-div.admonition dl {
-    margin-bottom: 0;
-}
-
 p.admonition-title {
     margin: 0px 10px 5px 0px;
     font-weight: bold;
@@ -325,9 +375,30 @@ div.body p.centered {
     margin-top: 25px;
 }
 
+/* -- content of sidebars/topics/admonitions -------------------------------- */
+
+div.sidebar > :last-child,
+aside.sidebar > :last-child,
+div.topic > :last-child,
+div.admonition > :last-child {
+    margin-bottom: 0;
+}
+
+div.sidebar::after,
+aside.sidebar::after,
+div.topic::after,
+div.admonition::after,
+blockquote::after {
+    display: block;
+    content: '';
+    clear: both;
+}
+
 /* -- tables ---------------------------------------------------------------- */
 
 table.docutils {
+    margin-top: 10px;
+    margin-bottom: 10px;
     border: 0;
     border-collapse: collapse;
 }
@@ -337,6 +408,11 @@ table.align-center {
     margin-right: auto;
 }
 
+table.align-default {
+    margin-left: auto;
+    margin-right: auto;
+}
+
 table caption span.caption-number {
     font-style: italic;
 }
@@ -370,22 +446,34 @@ table.citation td {
     border-bottom: none;
 }
 
+th > :first-child,
+td > :first-child {
+    margin-top: 0px;
+}
+
+th > :last-child,
+td > :last-child {
+    margin-bottom: 0px;
+}
+
 /* -- figures --------------------------------------------------------------- */
 
-div.figure {
+div.figure, figure {
     margin: 0.5em;
     padding: 0.5em;
 }
 
-div.figure p.caption {
+div.figure p.caption, figcaption {
     padding: 0.3em;
 }
 
-div.figure p.caption span.caption-number {
+div.figure p.caption span.caption-number,
+figcaption span.caption-number {
     font-style: italic;
 }
 
-div.figure p.caption span.caption-text {
+div.figure p.caption span.caption-text,
+figcaption span.caption-text {
 }
 
 /* -- field list styles ----------------------------------------------------- */
@@ -410,6 +498,74 @@ table.field-list td, table.field-list th
     hyphens: manual;
 }
 
+/* -- hlist styles ---------------------------------------------------------- */
+
+table.hlist {
+    margin: 1em 0;
+}
+
+table.hlist td {
+    vertical-align: top;
+}
+
+/* -- object description styles --------------------------------------------- */
+
+.sig {
+	font-family: 'Consolas', 'Menlo', 'DejaVu Sans Mono', 'Bitstream Vera Sans Mono', monospace;
+}
+
+.sig-name, code.descname {
+    background-color: transparent;
+    font-weight: bold;
+}
+
+.sig-name {
+	font-size: 1.1em;
+}
+
+code.descname {
+    font-size: 1.2em;
+}
+
+.sig-prename, code.descclassname {
+    background-color: transparent;
+}
+
+.optional {
+    font-size: 1.3em;
+}
+
+.sig-paren {
+    font-size: larger;
+}
+
+.sig-param.n {
+	font-style: italic;
+}
+
+/* C++ specific styling */
+
+.sig-inline.c-texpr,
+.sig-inline.cpp-texpr {
+	font-family: unset;
+}
+
+.sig.c   .k, .sig.c   .kt,
+.sig.cpp .k, .sig.cpp .kt {
+	color: #0033B3;
+}
+
+.sig.c   .m,
+.sig.cpp .m {
+	color: #1750EB;
+}
+
+.sig.c   .s, .sig.c   .sc,
+.sig.cpp .s, .sig.cpp .sc {
+	color: #067D17;
+}
+
+
 /* -- other body styles ----------------------------------------------------- */
 
 ol.arabic {
@@ -432,11 +588,78 @@ ol.upperroman {
     list-style: upper-roman;
 }
 
+:not(li) > ol > li:first-child > :first-child,
+:not(li) > ul > li:first-child > :first-child {
+    margin-top: 0px;
+}
+
+:not(li) > ol > li:last-child > :last-child,
+:not(li) > ul > li:last-child > :last-child {
+    margin-bottom: 0px;
+}
+
+ol.simple ol p,
+ol.simple ul p,
+ul.simple ol p,
+ul.simple ul p {
+    margin-top: 0;
+}
+
+ol.simple > li:not(:first-child) > p,
+ul.simple > li:not(:first-child) > p {
+    margin-top: 0;
+}
+
+ol.simple p,
+ul.simple p {
+    margin-bottom: 0;
+}
+
+dl.footnote > dt,
+dl.citation > dt {
+    float: left;
+    margin-right: 0.5em;
+}
+
+dl.footnote > dd,
+dl.citation > dd {
+    margin-bottom: 0em;
+}
+
+dl.footnote > dd:after,
+dl.citation > dd:after {
+    content: "";
+    clear: both;
+}
+
+dl.field-list {
+    display: grid;
+    grid-template-columns: fit-content(30%) auto;
+}
+
+dl.field-list > dt {
+    font-weight: bold;
+    word-break: break-word;
+    padding-left: 0.5em;
+    padding-right: 5px;
+}
+
+dl.field-list > dt:after {
+    content: ":";
+}
+
+dl.field-list > dd {
+    padding-left: 0.5em;
+    margin-top: 0em;
+    margin-left: 0em;
+    margin-bottom: 0em;
+}
+
 dl {
     margin-bottom: 15px;
 }
 
-dd p {
+dd > :first-child {
     margin-top: 0px;
 }
 
@@ -450,6 +673,11 @@ dd {
     margin-left: 30px;
 }
 
+dl > dd:last-child,
+dl > dd:last-child > :last-child {
+    margin-bottom: 0;
+}
+
 dt:target, span.highlighted {
     background-color: #fbe54e;
 }
@@ -463,14 +691,6 @@ dl.glossary dt {
     font-size: 1.1em;
 }
 
-.optional {
-    font-size: 1.3em;
-}
-
-.sig-paren {
-    font-size: larger;
-}
-
 .versionmodified {
     font-style: italic;
 }
@@ -509,6 +729,13 @@ dl.glossary dt {
     font-style: oblique;
 }
 
+.classifier:before {
+    font-style: normal;
+    margin: 0 0.5em;
+    content: ":";
+    display: inline-block;
+}
+
 abbr, acronym {
     border-bottom: dotted 1px;
     cursor: help;
@@ -521,6 +748,10 @@ pre {
     overflow-y: hidden;  /* fixes display issues on Chrome browsers */
 }
 
+pre, div[class*="highlight-"] {
+    clear: both;
+}
+
 span.pre {
     -moz-hyphens: none;
     -ms-hyphens: none;
@@ -528,22 +759,57 @@ span.pre {
     hyphens: none;
 }
 
+div[class*="highlight-"] {
+    margin: 1em 0;
+}
+
 td.linenos pre {
-    padding: 5px 0px;
     border: 0;
     background-color: transparent;
     color: #aaa;
 }
 
 table.highlighttable {
-    margin-left: 0.5em;
+    display: block;
+}
+
+table.highlighttable tbody {
+    display: block;
+}
+
+table.highlighttable tr {
+    display: flex;
 }
 
 table.highlighttable td {
-    padding: 0 0.5em 0 0.5em;
+    margin: 0;
+    padding: 0;
+}
+
+table.highlighttable td.linenos {
+    padding-right: 0.5em;
+}
+
+table.highlighttable td.code {
+    flex: 1;
+    overflow: hidden;
+}
+
+.highlight .hll {
+    display: block;
+}
+
+div.highlight pre,
+table.highlighttable pre {
+    margin: 0;
+}
+
+div.code-block-caption + div {
+    margin-top: 0;
 }
 
 div.code-block-caption {
+    margin-top: 1em;
     padding: 2px 5px;
     font-size: small;
 }
@@ -552,8 +818,14 @@ div.code-block-caption code {
     background-color: transparent;
 }
 
-div.code-block-caption + div > div.highlight > pre {
-    margin-top: 0;
+table.highlighttable td.linenos,
+span.linenos,
+div.highlight span.gp {  /* gp: Generic.Prompt */
+  user-select: none;
+  -webkit-user-select: text; /* Safari fallback only */
+  -webkit-user-select: none; /* Chrome/Safari */
+  -moz-user-select: none; /* Firefox */
+  -ms-user-select: none; /* IE10+ */
 }
 
 div.code-block-caption span.caption-number {
@@ -565,21 +837,7 @@ div.code-block-caption span.caption-text
 }
 
 div.literal-block-wrapper {
-    padding: 1em 1em 0;
-}
-
-div.literal-block-wrapper div.highlight {
-    margin: 0;
-}
-
-code.descname {
-    background-color: transparent;
-    font-weight: bold;
-    font-size: 1.2em;
-}
-
-code.descclassname {
-    background-color: transparent;
+    margin: 1em 0;
 }
 
 code.xref, a code {
@@ -620,8 +878,7 @@ span.eqno {
 }
 
 span.eqno a.headerlink {
-    position: relative;
-    left: 0px;
+    position: absolute;
     z-index: 1;
 }
 
Binary files 1.21.2-1/doc/html/_static/comment-bright.png and 1.21.3-1/doc/html/_static/comment-bright.png differ
Binary files 1.21.2-1/doc/html/_static/comment-close.png and 1.21.3-1/doc/html/_static/comment-close.png differ
Binary files 1.21.2-1/doc/html/_static/comment.png and 1.21.3-1/doc/html/_static/comment.png differ
diff -pruN 1.21.2-1/doc/html/_static/doctools.js 1.21.3-1/doc/html/_static/doctools.js
--- 1.21.2-1/doc/html/_static/doctools.js	2023-08-14 16:24:20.000000000 +0000
+++ 1.21.3-1/doc/html/_static/doctools.js	2021-11-17 15:50:47.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Sphinx JavaScript utilities for all documentation.
  *
- * :copyright: Copyright 2007-2018 by the Sphinx team, see AUTHORS.
+ * :copyright: Copyright 2007-2021 by the Sphinx team, see AUTHORS.
  * :license: BSD, see LICENSE for details.
  *
  */
@@ -29,9 +29,14 @@ if (!window.console || !console.firebug)
 
 /**
  * small helper function to urldecode strings
+ *
+ * See https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/decodeURIComponent#Decoding_query_parameters_from_a_URL
  */
 jQuery.urldecode = function(x) {
-  return decodeURIComponent(x).replace(/\+/g, ' ');
+  if (!x) {
+    return x
+  }
+  return decodeURIComponent(x.replace(/\+/g, ' '));
 };
 
 /**
@@ -70,7 +75,9 @@ jQuery.fn.highlightText = function(text,
     if (node.nodeType === 3) {
       var val = node.nodeValue;
       var pos = val.toLowerCase().indexOf(text);
-      if (pos >= 0 && !jQuery(node.parentNode).hasClass(className)) {
+      if (pos >= 0 &&
+          !jQuery(node.parentNode).hasClass(className) &&
+          !jQuery(node.parentNode).hasClass("nohighlight")) {
         var span;
         var isInSVG = jQuery(node).closest("body, svg, foreignObject").is("svg");
         if (isInSVG) {
@@ -85,14 +92,13 @@ jQuery.fn.highlightText = function(text,
           node.nextSibling));
         node.nodeValue = val.substr(0, pos);
         if (isInSVG) {
-          var bbox = span.getBBox();
           var rect = document.createElementNS("http://www.w3.org/2000/svg", "rect");
-       	  rect.x.baseVal.value = bbox.x;
+          var bbox = node.parentElement.getBBox();
+          rect.x.baseVal.value = bbox.x;
           rect.y.baseVal.value = bbox.y;
           rect.width.baseVal.value = bbox.width;
           rect.height.baseVal.value = bbox.height;
           rect.setAttribute('class', className);
-          var parentOfText = node.parentNode.parentNode;
           addItems.push({
               "parent": node.parentNode,
               "target": rect});
@@ -148,7 +154,9 @@ var Documentation = {
     this.fixFirefoxAnchorBug();
     this.highlightSearchWords();
     this.initIndexTable();
-    
+    if (DOCUMENTATION_OPTIONS.NAVIGATION_WITH_KEYS) {
+      this.initOnKeyListeners();
+    }
   },
 
   /**
@@ -280,10 +288,12 @@ var Documentation = {
   },
 
   initOnKeyListeners: function() {
-    $(document).keyup(function(event) {
+    $(document).keydown(function(event) {
       var activeElementType = document.activeElement.tagName;
-      // don't navigate when in search box or textarea
-      if (activeElementType !== 'TEXTAREA' && activeElementType !== 'INPUT' && activeElementType !== 'SELECT') {
+      // don't navigate when in search box, textarea, dropdown or button
+      if (activeElementType !== 'TEXTAREA' && activeElementType !== 'INPUT' && activeElementType !== 'SELECT'
+          && activeElementType !== 'BUTTON' && !event.altKey && !event.ctrlKey && !event.metaKey
+          && !event.shiftKey) {
         switch (event.keyCode) {
           case 37: // left
             var prevHref = $('link[rel="prev"]').prop('href');
@@ -291,12 +301,14 @@ var Documentation = {
               window.location.href = prevHref;
               return false;
             }
+            break;
           case 39: // right
             var nextHref = $('link[rel="next"]').prop('href');
             if (nextHref) {
               window.location.href = nextHref;
               return false;
             }
+            break;
         }
       }
     });
@@ -308,4 +320,4 @@ _ = Documentation.gettext;
 
 $(document).ready(function() {
   Documentation.init();
-});
\ No newline at end of file
+});
diff -pruN 1.21.2-1/doc/html/_static/documentation_options.js 1.21.3-1/doc/html/_static/documentation_options.js
--- 1.21.2-1/doc/html/_static/documentation_options.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/html/_static/documentation_options.js	2024-06-26 20:01:31.000000000 +0000
@@ -0,0 +1,12 @@
+var DOCUMENTATION_OPTIONS = {
+    URL_ROOT: document.getElementById("documentation_options").getAttribute('data-url_root'),
+    VERSION: '1.21.3',
+    LANGUAGE: 'None',
+    COLLAPSE_INDEX: false,
+    BUILDER: 'html',
+    FILE_SUFFIX: '.html',
+    LINK_SUFFIX: '.html',
+    HAS_SOURCE: true,
+    SOURCELINK_SUFFIX: '.txt',
+    NAVIGATION_WITH_KEYS: false
+};
\ No newline at end of file
Binary files 1.21.2-1/doc/html/_static/down-pressed.png and 1.21.3-1/doc/html/_static/down-pressed.png differ
Binary files 1.21.2-1/doc/html/_static/down.png and 1.21.3-1/doc/html/_static/down.png differ
diff -pruN 1.21.2-1/doc/html/_static/jquery.js 1.21.3-1/doc/html/_static/jquery.js
--- 1.21.2-1/doc/html/_static/jquery.js	2017-09-03 00:14:01.000000000 +0000
+++ 1.21.3-1/doc/html/_static/jquery.js	2022-02-21 10:29:39.000000000 +0000
@@ -1,15 +1,13 @@
 /*!
- * jQuery JavaScript Library v3.2.1
+ * jQuery JavaScript Library v3.6.0
  * https://jquery.com/
  *
  * Includes Sizzle.js
  * https://sizzlejs.com/
  *
- * Copyright JS Foundation and other contributors
+ * Copyright OpenJS Foundation and other contributors
  * Released under the MIT license
  * https://jquery.org/license
- *
- * Date: 2017-09-03T00:14Z
  */
 ( function( global, factory ) {
 
@@ -43,17 +41,20 @@
 // throw exceptions when non-strict code (e.g., ASP.NET 4.5) accesses strict mode
 // arguments.callee.caller (trac-13335). But as of jQuery 3.0 (2016), strict mode should be common
 // enough that all such attempts are guarded in a try block.
-
+"use strict";
 
 var arr = [];
 
-var document = window.document;
-
 var getProto = Object.getPrototypeOf;
 
 var slice = arr.slice;
 
-var concat = arr.concat;
+var flat = arr.flat ? function( array ) {
+	return arr.flat.call( array );
+} : function( array ) {
+	return arr.concat.apply( [], array );
+};
+
 
 var push = arr.push;
 
@@ -71,16 +72,76 @@ var ObjectFunctionString = fnToString.ca
 
 var support = {};
 
+var isFunction = function isFunction( obj ) {
+
+		// Support: Chrome <=57, Firefox <=52
+		// In some browsers, typeof returns "function" for HTML <object> elements
+		// (i.e., `typeof document.createElement( "object" ) === "function"`).
+		// We don't want to classify *any* DOM node as a function.
+		// Support: QtWeb <=3.8.5, WebKit <=534.34, wkhtmltopdf tool <=0.12.5
+		// Plus for old WebKit, typeof returns "function" for HTML collections
+		// (e.g., `typeof document.getElementsByTagName("div") === "function"`). (gh-4756)
+		return typeof obj === "function" && typeof obj.nodeType !== "number" &&
+			typeof obj.item !== "function";
+	};
+
 
+var isWindow = function isWindow( obj ) {
+		return obj != null && obj === obj.window;
+	};
+
+
+var document = window.document;
+
+
+
+	var preservedScriptAttributes = {
+		type: true,
+		src: true,
+		nonce: true,
+		noModule: true
+	};
 
-	function DOMEval( code, doc ) {
+	function DOMEval( code, node, doc ) {
 		doc = doc || document;
 
-		var script = doc.createElement( "script" );
+		var i, val,
+			script = doc.createElement( "script" );
 
 		script.text = code;
+		if ( node ) {
+			for ( i in preservedScriptAttributes ) {
+
+				// Support: Firefox 64+, Edge 18+
+				// Some browsers don't support the "nonce" property on scripts.
+				// On the other hand, just using `getAttribute` is not enough as
+				// the `nonce` attribute is reset to an empty string whenever it
+				// becomes browsing-context connected.
+				// See https://github.com/whatwg/html/issues/2369
+				// See https://html.spec.whatwg.org/#nonce-attributes
+				// The `node.getAttribute` check was added for the sake of
+				// `jQuery.globalEval` so that it can fake a nonce-containing node
+				// via an object.
+				val = node[ i ] || node.getAttribute && node.getAttribute( i );
+				if ( val ) {
+					script.setAttribute( i, val );
+				}
+			}
+		}
 		doc.head.appendChild( script ).parentNode.removeChild( script );
 	}
+
+
+function toType( obj ) {
+	if ( obj == null ) {
+		return obj + "";
+	}
+
+	// Support: Android <=2.3 only (functionish RegExp)
+	return typeof obj === "object" || typeof obj === "function" ?
+		class2type[ toString.call( obj ) ] || "object" :
+		typeof obj;
+}
 /* global Symbol */
 // Defining this global in .eslintrc.json would create a danger of using the global
 // unguarded in another place, it seems safer to define global only for this module
@@ -88,7 +149,7 @@ var support = {};
 
 
 var
-	version = "3.2.1",
+	version = "3.6.0",
 
 	// Define a local copy of jQuery
 	jQuery = function( selector, context ) {
@@ -96,19 +157,6 @@ var
 		// The jQuery object is actually just the init constructor 'enhanced'
 		// Need init if jQuery is called (just allow error to be thrown if not included)
 		return new jQuery.fn.init( selector, context );
-	},
-
-	// Support: Android <=4.0 only
-	// Make sure we trim BOM and NBSP
-	rtrim = /^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,
-
-	// Matches dashed string for camelizing
-	rmsPrefix = /^-ms-/,
-	rdashAlpha = /-([a-z])/g,
-
-	// Used by jQuery.camelCase as callback to replace()
-	fcamelCase = function( all, letter ) {
-		return letter.toUpperCase();
 	};
 
 jQuery.fn = jQuery.prototype = {
@@ -175,6 +223,18 @@ jQuery.fn = jQuery.prototype = {
 		return this.eq( -1 );
 	},
 
+	even: function() {
+		return this.pushStack( jQuery.grep( this, function( _elem, i ) {
+			return ( i + 1 ) % 2;
+		} ) );
+	},
+
+	odd: function() {
+		return this.pushStack( jQuery.grep( this, function( _elem, i ) {
+			return i % 2;
+		} ) );
+	},
+
 	eq: function( i ) {
 		var len = this.length,
 			j = +i + ( i < 0 ? len : 0 );
@@ -209,7 +269,7 @@ jQuery.extend = jQuery.fn.extend = funct
 	}
 
 	// Handle case when target is a string or something (possible in deep copy)
-	if ( typeof target !== "object" && !jQuery.isFunction( target ) ) {
+	if ( typeof target !== "object" && !isFunction( target ) ) {
 		target = {};
 	}
 
@@ -226,25 +286,28 @@ jQuery.extend = jQuery.fn.extend = funct
 
 			// Extend the base object
 			for ( name in options ) {
-				src = target[ name ];
 				copy = options[ name ];
 
+				// Prevent Object.prototype pollution
 				// Prevent never-ending loop
-				if ( target === copy ) {
+				if ( name === "__proto__" || target === copy ) {
 					continue;
 				}
 
 				// Recurse if we're merging plain objects or arrays
 				if ( deep && copy && ( jQuery.isPlainObject( copy ) ||
 					( copyIsArray = Array.isArray( copy ) ) ) ) {
+					src = target[ name ];
 
-					if ( copyIsArray ) {
-						copyIsArray = false;
-						clone = src && Array.isArray( src ) ? src : [];
-
+					// Ensure proper type for the source value
+					if ( copyIsArray && !Array.isArray( src ) ) {
+						clone = [];
+					} else if ( !copyIsArray && !jQuery.isPlainObject( src ) ) {
+						clone = {};
 					} else {
-						clone = src && jQuery.isPlainObject( src ) ? src : {};
+						clone = src;
 					}
+					copyIsArray = false;
 
 					// Never move original objects, clone them
 					target[ name ] = jQuery.extend( deep, clone, copy );
@@ -275,28 +338,6 @@ jQuery.extend( {
 
 	noop: function() {},
 
-	isFunction: function( obj ) {
-		return jQuery.type( obj ) === "function";
-	},
-
-	isWindow: function( obj ) {
-		return obj != null && obj === obj.window;
-	},
-
-	isNumeric: function( obj ) {
-
-		// As of jQuery 3.0, isNumeric is limited to
-		// strings and numbers (primitives or objects)
-		// that can be coerced to finite numbers (gh-2662)
-		var type = jQuery.type( obj );
-		return ( type === "number" || type === "string" ) &&
-
-			// parseFloat NaNs numeric-cast false positives ("")
-			// ...but misinterprets leading-number strings, particularly hex literals ("0x...")
-			// subtraction forces infinities to NaN
-			!isNaN( obj - parseFloat( obj ) );
-	},
-
 	isPlainObject: function( obj ) {
 		var proto, Ctor;
 
@@ -319,9 +360,6 @@ jQuery.extend( {
 	},
 
 	isEmptyObject: function( obj ) {
-
-		/* eslint-disable no-unused-vars */
-		// See https://github.com/eslint/eslint/issues/6125
 		var name;
 
 		for ( name in obj ) {
@@ -330,27 +368,10 @@ jQuery.extend( {
 		return true;
 	},
 
-	type: function( obj ) {
-		if ( obj == null ) {
-			return obj + "";
-		}
-
-		// Support: Android <=2.3 only (functionish RegExp)
-		return typeof obj === "object" || typeof obj === "function" ?
-			class2type[ toString.call( obj ) ] || "object" :
-			typeof obj;
-	},
-
-	// Evaluates a script in a global context
-	globalEval: function( code ) {
-		DOMEval( code );
-	},
-
-	// Convert dashed to camelCase; used by the css and data modules
-	// Support: IE <=9 - 11, Edge 12 - 13
-	// Microsoft forgot to hump their vendor prefix (#9572)
-	camelCase: function( string ) {
-		return string.replace( rmsPrefix, "ms-" ).replace( rdashAlpha, fcamelCase );
+	// Evaluates a script in a provided context; falls back to the global one
+	// if not specified.
+	globalEval: function( code, options, doc ) {
+		DOMEval( code, { nonce: options && options.nonce }, doc );
 	},
 
 	each: function( obj, callback ) {
@@ -374,13 +395,6 @@ jQuery.extend( {
 		return obj;
 	},
 
-	// Support: Android <=4.0 only
-	trim: function( text ) {
-		return text == null ?
-			"" :
-			( text + "" ).replace( rtrim, "" );
-	},
-
 	// results is for internal usage only
 	makeArray: function( arr, results ) {
 		var ret = results || [];
@@ -389,7 +403,7 @@ jQuery.extend( {
 			if ( isArrayLike( Object( arr ) ) ) {
 				jQuery.merge( ret,
 					typeof arr === "string" ?
-					[ arr ] : arr
+						[ arr ] : arr
 				);
 			} else {
 				push.call( ret, arr );
@@ -467,43 +481,12 @@ jQuery.extend( {
 		}
 
 		// Flatten any nested arrays
-		return concat.apply( [], ret );
+		return flat( ret );
 	},
 
 	// A global GUID counter for objects
 	guid: 1,
 
-	// Bind a function to a context, optionally partially applying any
-	// arguments.
-	proxy: function( fn, context ) {
-		var tmp, args, proxy;
-
-		if ( typeof context === "string" ) {
-			tmp = fn[ context ];
-			context = fn;
-			fn = tmp;
-		}
-
-		// Quick check to determine if target is callable, in the spec
-		// this throws a TypeError, but we will just return undefined.
-		if ( !jQuery.isFunction( fn ) ) {
-			return undefined;
-		}
-
-		// Simulated bind
-		args = slice.call( arguments, 2 );
-		proxy = function() {
-			return fn.apply( context || this, args.concat( slice.call( arguments ) ) );
-		};
-
-		// Set the guid of unique handler to the same of original handler, so it can be removed
-		proxy.guid = fn.guid = fn.guid || jQuery.guid++;
-
-		return proxy;
-	},
-
-	now: Date.now,
-
 	// jQuery.support is not used in Core but other projects attach their
 	// properties to it so it needs to exist.
 	support: support
@@ -515,9 +498,9 @@ if ( typeof Symbol === "function" ) {
 
 // Populate the class2type map
 jQuery.each( "Boolean Number String Function Array Date RegExp Object Error Symbol".split( " " ),
-function( i, name ) {
-	class2type[ "[object " + name + "]" ] = name.toLowerCase();
-} );
+	function( _i, name ) {
+		class2type[ "[object " + name + "]" ] = name.toLowerCase();
+	} );
 
 function isArrayLike( obj ) {
 
@@ -526,9 +509,9 @@ function isArrayLike( obj ) {
 	// hasOwn isn't used here due to false negatives
 	// regarding Nodelist length in IE
 	var length = !!obj && "length" in obj && obj.length,
-		type = jQuery.type( obj );
+		type = toType( obj );
 
-	if ( type === "function" || jQuery.isWindow( obj ) ) {
+	if ( isFunction( obj ) || isWindow( obj ) ) {
 		return false;
 	}
 
@@ -537,17 +520,16 @@ function isArrayLike( obj ) {
 }
 var Sizzle =
 /*!
- * Sizzle CSS Selector Engine v2.3.3
+ * Sizzle CSS Selector Engine v2.3.6
  * https://sizzlejs.com/
  *
- * Copyright jQuery Foundation and other contributors
+ * Copyright JS Foundation and other contributors
  * Released under the MIT license
- * http://jquery.org/license
+ * https://js.foundation/
  *
- * Date: 2016-08-08
+ * Date: 2021-02-16
  */
-(function( window ) {
-
+( function( window ) {
 var i,
 	support,
 	Expr,
@@ -578,6 +560,7 @@ var i,
 	classCache = createCache(),
 	tokenCache = createCache(),
 	compilerCache = createCache(),
+	nonnativeSelectorCache = createCache(),
 	sortOrder = function( a, b ) {
 		if ( a === b ) {
 			hasDuplicate = true;
@@ -586,61 +569,71 @@ var i,
 	},
 
 	// Instance methods
-	hasOwn = ({}).hasOwnProperty,
+	hasOwn = ( {} ).hasOwnProperty,
 	arr = [],
 	pop = arr.pop,
-	push_native = arr.push,
+	pushNative = arr.push,
 	push = arr.push,
 	slice = arr.slice,
+
 	// Use a stripped-down indexOf as it's faster than native
 	// https://jsperf.com/thor-indexof-vs-for/5
 	indexOf = function( list, elem ) {
 		var i = 0,
 			len = list.length;
 		for ( ; i < len; i++ ) {
-			if ( list[i] === elem ) {
+			if ( list[ i ] === elem ) {
 				return i;
 			}
 		}
 		return -1;
 	},
 
-	booleans = "checked|selected|async|autofocus|autoplay|controls|defer|disabled|hidden|ismap|loop|multiple|open|readonly|required|scoped",
+	booleans = "checked|selected|async|autofocus|autoplay|controls|defer|disabled|hidden|" +
+		"ismap|loop|multiple|open|readonly|required|scoped",
 
 	// Regular expressions
 
 	// http://www.w3.org/TR/css3-selectors/#whitespace
 	whitespace = "[\\x20\\t\\r\\n\\f]",
 
-	// http://www.w3.org/TR/CSS21/syndata.html#value-def-identifier
-	identifier = "(?:\\\\.|[\\w-]|[^\0-\\xa0])+",
+	// https://www.w3.org/TR/css-syntax-3/#ident-token-diagram
+	identifier = "(?:\\\\[\\da-fA-F]{1,6}" + whitespace +
+		"?|\\\\[^\\r\\n\\f]|[\\w-]|[^\0-\\x7f])+",
 
 	// Attribute selectors: http://www.w3.org/TR/selectors/#attribute-selectors
 	attributes = "\\[" + whitespace + "*(" + identifier + ")(?:" + whitespace +
+
 		// Operator (capture 2)
 		"*([*^$|!~]?=)" + whitespace +
-		// "Attribute values must be CSS identifiers [capture 5] or strings [capture 3 or capture 4]"
-		"*(?:'((?:\\\\.|[^\\\\'])*)'|\"((?:\\\\.|[^\\\\\"])*)\"|(" + identifier + "))|)" + whitespace +
-		"*\\]",
+
+		// "Attribute values must be CSS identifiers [capture 5]
+		// or strings [capture 3 or capture 4]"
+		"*(?:'((?:\\\\.|[^\\\\'])*)'|\"((?:\\\\.|[^\\\\\"])*)\"|(" + identifier + "))|)" +
+		whitespace + "*\\]",
 
 	pseudos = ":(" + identifier + ")(?:\\((" +
+
 		// To reduce the number of selectors needing tokenize in the preFilter, prefer arguments:
 		// 1. quoted (capture 3; capture 4 or capture 5)
 		"('((?:\\\\.|[^\\\\'])*)'|\"((?:\\\\.|[^\\\\\"])*)\")|" +
+
 		// 2. simple (capture 6)
 		"((?:\\\\.|[^\\\\()[\\]]|" + attributes + ")*)|" +
+
 		// 3. anything else (capture 2)
 		".*" +
 		")\\)|)",
 
 	// Leading and non-escaped trailing whitespace, capturing some non-whitespace characters preceding the latter
 	rwhitespace = new RegExp( whitespace + "+", "g" ),
-	rtrim = new RegExp( "^" + whitespace + "+|((?:^|[^\\\\])(?:\\\\.)*)" + whitespace + "+$", "g" ),
+	rtrim = new RegExp( "^" + whitespace + "+|((?:^|[^\\\\])(?:\\\\.)*)" +
+		whitespace + "+$", "g" ),
 
 	rcomma = new RegExp( "^" + whitespace + "*," + whitespace + "*" ),
-	rcombinators = new RegExp( "^" + whitespace + "*([>+~]|" + whitespace + ")" + whitespace + "*" ),
-
-	rattributeQuotes = new RegExp( "=" + whitespace + "*([^\\]'\"]*?)" + whitespace + "*\\]", "g" ),
+	rcombinators = new RegExp( "^" + whitespace + "*([>+~]|" + whitespace + ")" + whitespace +
+		"*" ),
+	rdescend = new RegExp( whitespace + "|>" ),
 
 	rpseudo = new RegExp( pseudos ),
 	ridentifier = new RegExp( "^" + identifier + "$" ),
@@ -651,16 +644,19 @@ var i,
 		"TAG": new RegExp( "^(" + identifier + "|[*])" ),
 		"ATTR": new RegExp( "^" + attributes ),
 		"PSEUDO": new RegExp( "^" + pseudos ),
-		"CHILD": new RegExp( "^:(only|first|last|nth|nth-last)-(child|of-type)(?:\\(" + whitespace +
-			"*(even|odd|(([+-]|)(\\d*)n|)" + whitespace + "*(?:([+-]|)" + whitespace +
-			"*(\\d+)|))" + whitespace + "*\\)|)", "i" ),
+		"CHILD": new RegExp( "^:(only|first|last|nth|nth-last)-(child|of-type)(?:\\(" +
+			whitespace + "*(even|odd|(([+-]|)(\\d*)n|)" + whitespace + "*(?:([+-]|)" +
+			whitespace + "*(\\d+)|))" + whitespace + "*\\)|)", "i" ),
 		"bool": new RegExp( "^(?:" + booleans + ")$", "i" ),
+
 		// For use in libraries implementing .is()
 		// We use this for POS matching in `select`
-		"needsContext": new RegExp( "^" + whitespace + "*[>+~]|:(even|odd|eq|gt|lt|nth|first|last)(?:\\(" +
-			whitespace + "*((?:-\\d)?\\d*)" + whitespace + "*\\)|)(?=[^-]|$)", "i" )
+		"needsContext": new RegExp( "^" + whitespace +
+			"*[>+~]|:(even|odd|eq|gt|lt|nth|first|last)(?:\\(" + whitespace +
+			"*((?:-\\d)?\\d*)" + whitespace + "*\\)|)(?=[^-]|$)", "i" )
 	},
 
+	rhtml = /HTML$/i,
 	rinputs = /^(?:input|select|textarea|button)$/i,
 	rheader = /^h\d$/i,
 
@@ -673,18 +669,21 @@ var i,
 
 	// CSS escapes
 	// http://www.w3.org/TR/CSS21/syndata.html#escaped-characters
-	runescape = new RegExp( "\\\\([\\da-f]{1,6}" + whitespace + "?|(" + whitespace + ")|.)", "ig" ),
-	funescape = function( _, escaped, escapedWhitespace ) {
-		var high = "0x" + escaped - 0x10000;
-		// NaN means non-codepoint
-		// Support: Firefox<24
-		// Workaround erroneous numeric interpretation of +"0x"
-		return high !== high || escapedWhitespace ?
-			escaped :
+	runescape = new RegExp( "\\\\[\\da-fA-F]{1,6}" + whitespace + "?|\\\\([^\\r\\n\\f])", "g" ),
+	funescape = function( escape, nonHex ) {
+		var high = "0x" + escape.slice( 1 ) - 0x10000;
+
+		return nonHex ?
+
+			// Strip the backslash prefix from a non-hex escape sequence
+			nonHex :
+
+			// Replace a hexadecimal escape sequence with the encoded Unicode code point
+			// Support: IE <=11+
+			// For values outside the Basic Multilingual Plane (BMP), manually construct a
+			// surrogate pair
 			high < 0 ?
-				// BMP codepoint
 				String.fromCharCode( high + 0x10000 ) :
-				// Supplemental Plane codepoint (surrogate pair)
 				String.fromCharCode( high >> 10 | 0xD800, high & 0x3FF | 0xDC00 );
 	},
 
@@ -700,7 +699,8 @@ var i,
 			}
 
 			// Control characters and (dependent upon position) numbers get escaped as code points
-			return ch.slice( 0, -1 ) + "\\" + ch.charCodeAt( ch.length - 1 ).toString( 16 ) + " ";
+			return ch.slice( 0, -1 ) + "\\" +
+				ch.charCodeAt( ch.length - 1 ).toString( 16 ) + " ";
 		}
 
 		// Other potentially-special ASCII characters get backslash-escaped
@@ -715,9 +715,9 @@ var i,
 		setDocument();
 	},
 
-	disabledAncestor = addCombinator(
+	inDisabledFieldset = addCombinator(
 		function( elem ) {
-			return elem.disabled === true && ("form" in elem || "label" in elem);
+			return elem.disabled === true && elem.nodeName.toLowerCase() === "fieldset";
 		},
 		{ dir: "parentNode", next: "legend" }
 	);
@@ -725,18 +725,20 @@ var i,
 // Optimize for push.apply( _, NodeList )
 try {
 	push.apply(
-		(arr = slice.call( preferredDoc.childNodes )),
+		( arr = slice.call( preferredDoc.childNodes ) ),
 		preferredDoc.childNodes
 	);
+
 	// Support: Android<4.0
 	// Detect silently failing push.apply
+	// eslint-disable-next-line no-unused-expressions
 	arr[ preferredDoc.childNodes.length ].nodeType;
 } catch ( e ) {
 	push = { apply: arr.length ?
 
 		// Leverage slice if possible
 		function( target, els ) {
-			push_native.apply( target, slice.call(els) );
+			pushNative.apply( target, slice.call( els ) );
 		} :
 
 		// Support: IE<9
@@ -744,8 +746,9 @@ try {
 		function( target, els ) {
 			var j = target.length,
 				i = 0;
+
 			// Can't trust NodeList.length
-			while ( (target[j++] = els[i++]) ) {}
+			while ( ( target[ j++ ] = els[ i++ ] ) ) {}
 			target.length = j - 1;
 		}
 	};
@@ -769,24 +772,21 @@ function Sizzle( selector, context, resu
 
 	// Try to shortcut find operations (as opposed to filters) in HTML documents
 	if ( !seed ) {
-
-		if ( ( context ? context.ownerDocument || context : preferredDoc ) !== document ) {
-			setDocument( context );
-		}
+		setDocument( context );
 		context = context || document;
 
 		if ( documentIsHTML ) {
 
 			// If the selector is sufficiently simple, try using a "get*By*" DOM method
 			// (excepting DocumentFragment context, where the methods don't exist)
-			if ( nodeType !== 11 && (match = rquickExpr.exec( selector )) ) {
+			if ( nodeType !== 11 && ( match = rquickExpr.exec( selector ) ) ) {
 
 				// ID selector
-				if ( (m = match[1]) ) {
+				if ( ( m = match[ 1 ] ) ) {
 
 					// Document context
 					if ( nodeType === 9 ) {
-						if ( (elem = context.getElementById( m )) ) {
+						if ( ( elem = context.getElementById( m ) ) ) {
 
 							// Support: IE, Opera, Webkit
 							// TODO: identify versions
@@ -805,7 +805,7 @@ function Sizzle( selector, context, resu
 						// Support: IE, Opera, Webkit
 						// TODO: identify versions
 						// getElementById can match elements by name instead of ID
-						if ( newContext && (elem = newContext.getElementById( m )) &&
+						if ( newContext && ( elem = newContext.getElementById( m ) ) &&
 							contains( context, elem ) &&
 							elem.id === m ) {
 
@@ -815,12 +815,12 @@ function Sizzle( selector, context, resu
 					}
 
 				// Type selector
-				} else if ( match[2] ) {
+				} else if ( match[ 2 ] ) {
 					push.apply( results, context.getElementsByTagName( selector ) );
 					return results;
 
 				// Class selector
-				} else if ( (m = match[3]) && support.getElementsByClassName &&
+				} else if ( ( m = match[ 3 ] ) && support.getElementsByClassName &&
 					context.getElementsByClassName ) {
 
 					push.apply( results, context.getElementsByClassName( m ) );
@@ -830,50 +830,62 @@ function Sizzle( selector, context, resu
 
 			// Take advantage of querySelectorAll
 			if ( support.qsa &&
-				!compilerCache[ selector + " " ] &&
-				(!rbuggyQSA || !rbuggyQSA.test( selector )) ) {
+				!nonnativeSelectorCache[ selector + " " ] &&
+				( !rbuggyQSA || !rbuggyQSA.test( selector ) ) &&
 
-				if ( nodeType !== 1 ) {
-					newContext = context;
-					newSelector = selector;
-
-				// qSA looks outside Element context, which is not what we want
-				// Thanks to Andrew Dupont for this workaround technique
-				// Support: IE <=8
+				// Support: IE 8 only
 				// Exclude object elements
-				} else if ( context.nodeName.toLowerCase() !== "object" ) {
+				( nodeType !== 1 || context.nodeName.toLowerCase() !== "object" ) ) {
 
-					// Capture the context ID, setting it first if necessary
-					if ( (nid = context.getAttribute( "id" )) ) {
-						nid = nid.replace( rcssescape, fcssescape );
-					} else {
-						context.setAttribute( "id", (nid = expando) );
+				newSelector = selector;
+				newContext = context;
+
+				// qSA considers elements outside a scoping root when evaluating child or
+				// descendant combinators, which is not what we want.
+				// In such cases, we work around the behavior by prefixing every selector in the
+				// list with an ID selector referencing the scope context.
+				// The technique has to be used as well when a leading combinator is used
+				// as such selectors are not recognized by querySelectorAll.
+				// Thanks to Andrew Dupont for this technique.
+				if ( nodeType === 1 &&
+					( rdescend.test( selector ) || rcombinators.test( selector ) ) ) {
+
+					// Expand context for sibling selectors
+					newContext = rsibling.test( selector ) && testContext( context.parentNode ) ||
+						context;
+
+					// We can use :scope instead of the ID hack if the browser
+					// supports it & if we're not changing the context.
+					if ( newContext !== context || !support.scope ) {
+
+						// Capture the context ID, setting it first if necessary
+						if ( ( nid = context.getAttribute( "id" ) ) ) {
+							nid = nid.replace( rcssescape, fcssescape );
+						} else {
+							context.setAttribute( "id", ( nid = expando ) );
+						}
 					}
 
 					// Prefix every selector in the list
 					groups = tokenize( selector );
 					i = groups.length;
 					while ( i-- ) {
-						groups[i] = "#" + nid + " " + toSelector( groups[i] );
+						groups[ i ] = ( nid ? "#" + nid : ":scope" ) + " " +
+							toSelector( groups[ i ] );
 					}
 					newSelector = groups.join( "," );
-
-					// Expand context for sibling selectors
-					newContext = rsibling.test( selector ) && testContext( context.parentNode ) ||
-						context;
 				}
 
-				if ( newSelector ) {
-					try {
-						push.apply( results,
-							newContext.querySelectorAll( newSelector )
-						);
-						return results;
-					} catch ( qsaError ) {
-					} finally {
-						if ( nid === expando ) {
-							context.removeAttribute( "id" );
-						}
+				try {
+					push.apply( results,
+						newContext.querySelectorAll( newSelector )
+					);
+					return results;
+				} catch ( qsaError ) {
+					nonnativeSelectorCache( selector, true );
+				} finally {
+					if ( nid === expando ) {
+						context.removeAttribute( "id" );
 					}
 				}
 			}
@@ -894,12 +906,14 @@ function createCache() {
 	var keys = [];
 
 	function cache( key, value ) {
+
 		// Use (key + " ") to avoid collision with native prototype properties (see Issue #157)
 		if ( keys.push( key + " " ) > Expr.cacheLength ) {
+
 			// Only keep the most recent entries
 			delete cache[ keys.shift() ];
 		}
-		return (cache[ key + " " ] = value);
+		return ( cache[ key + " " ] = value );
 	}
 	return cache;
 }
@@ -918,17 +932,19 @@ function markFunction( fn ) {
  * @param {Function} fn Passed the created element and returns a boolean result
  */
 function assert( fn ) {
-	var el = document.createElement("fieldset");
+	var el = document.createElement( "fieldset" );
 
 	try {
 		return !!fn( el );
-	} catch (e) {
+	} catch ( e ) {
 		return false;
 	} finally {
+
 		// Remove from its parent by default
 		if ( el.parentNode ) {
 			el.parentNode.removeChild( el );
 		}
+
 		// release memory in IE
 		el = null;
 	}
@@ -940,11 +956,11 @@ function assert( fn ) {
  * @param {Function} handler The method that will be applied
  */
 function addHandle( attrs, handler ) {
-	var arr = attrs.split("|"),
+	var arr = attrs.split( "|" ),
 		i = arr.length;
 
 	while ( i-- ) {
-		Expr.attrHandle[ arr[i] ] = handler;
+		Expr.attrHandle[ arr[ i ] ] = handler;
 	}
 }
 
@@ -966,7 +982,7 @@ function siblingCheck( a, b ) {
 
 	// Check if b follows a
 	if ( cur ) {
-		while ( (cur = cur.nextSibling) ) {
+		while ( ( cur = cur.nextSibling ) ) {
 			if ( cur === b ) {
 				return -1;
 			}
@@ -994,7 +1010,7 @@ function createInputPseudo( type ) {
 function createButtonPseudo( type ) {
 	return function( elem ) {
 		var name = elem.nodeName.toLowerCase();
-		return (name === "input" || name === "button") && elem.type === type;
+		return ( name === "input" || name === "button" ) && elem.type === type;
 	};
 }
 
@@ -1037,7 +1053,7 @@ function createDisabledPseudo( disabled
 					// Where there is no isDisabled, check manually
 					/* jshint -W018 */
 					elem.isDisabled !== !disabled &&
-						disabledAncestor( elem ) === disabled;
+					inDisabledFieldset( elem ) === disabled;
 			}
 
 			return elem.disabled === disabled;
@@ -1059,21 +1075,21 @@ function createDisabledPseudo( disabled
  * @param {Function} fn
  */
 function createPositionalPseudo( fn ) {
-	return markFunction(function( argument ) {
+	return markFunction( function( argument ) {
 		argument = +argument;
-		return markFunction(function( seed, matches ) {
+		return markFunction( function( seed, matches ) {
 			var j,
 				matchIndexes = fn( [], seed.length, argument ),
 				i = matchIndexes.length;
 
 			// Match elements found at the specified indexes
 			while ( i-- ) {
-				if ( seed[ (j = matchIndexes[i]) ] ) {
-					seed[j] = !(matches[j] = seed[j]);
+				if ( seed[ ( j = matchIndexes[ i ] ) ] ) {
+					seed[ j ] = !( matches[ j ] = seed[ j ] );
 				}
 			}
-		});
-	});
+		} );
+	} );
 }
 
 /**
@@ -1094,10 +1110,13 @@ support = Sizzle.support = {};
  * @returns {Boolean} True iff elem is a non-HTML XML node
  */
 isXML = Sizzle.isXML = function( elem ) {
-	// documentElement is verified for cases where it doesn't yet exist
-	// (such as loading iframes in IE - #4833)
-	var documentElement = elem && (elem.ownerDocument || elem).documentElement;
-	return documentElement ? documentElement.nodeName !== "HTML" : false;
+	var namespace = elem && elem.namespaceURI,
+		docElem = elem && ( elem.ownerDocument || elem ).documentElement;
+
+	// Support: IE <=8
+	// Assume HTML when documentElement doesn't yet exist, such as inside loading iframes
+	// https://bugs.jquery.com/ticket/4833
+	return !rhtml.test( namespace || docElem && docElem.nodeName || "HTML" );
 };
 
 /**
@@ -1110,7 +1129,11 @@ setDocument = Sizzle.setDocument = funct
 		doc = node ? node.ownerDocument || node : preferredDoc;
 
 	// Return early if doc is invalid or already selected
-	if ( doc === document || doc.nodeType !== 9 || !doc.documentElement ) {
+	// Support: IE 11+, Edge 17 - 18+
+	// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+	// two documents; shallow comparisons work.
+	// eslint-disable-next-line eqeqeq
+	if ( doc == document || doc.nodeType !== 9 || !doc.documentElement ) {
 		return document;
 	}
 
@@ -1119,10 +1142,14 @@ setDocument = Sizzle.setDocument = funct
 	docElem = document.documentElement;
 	documentIsHTML = !isXML( document );
 
-	// Support: IE 9-11, Edge
+	// Support: IE 9 - 11+, Edge 12 - 18+
 	// Accessing iframe documents after unload throws "permission denied" errors (jQuery #13936)
-	if ( preferredDoc !== document &&
-		(subWindow = document.defaultView) && subWindow.top !== subWindow ) {
+	// Support: IE 11+, Edge 17 - 18+
+	// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+	// two documents; shallow comparisons work.
+	// eslint-disable-next-line eqeqeq
+	if ( preferredDoc != document &&
+		( subWindow = document.defaultView ) && subWindow.top !== subWindow ) {
 
 		// Support: IE 11, Edge
 		if ( subWindow.addEventListener ) {
@@ -1134,25 +1161,36 @@ setDocument = Sizzle.setDocument = funct
 		}
 	}
 
+	// Support: IE 8 - 11+, Edge 12 - 18+, Chrome <=16 - 25 only, Firefox <=3.6 - 31 only,
+	// Safari 4 - 5 only, Opera <=11.6 - 12.x only
+	// IE/Edge & older browsers don't support the :scope pseudo-class.
+	// Support: Safari 6.0 only
+	// Safari 6.0 supports :scope but it's an alias of :root there.
+	support.scope = assert( function( el ) {
+		docElem.appendChild( el ).appendChild( document.createElement( "div" ) );
+		return typeof el.querySelectorAll !== "undefined" &&
+			!el.querySelectorAll( ":scope fieldset div" ).length;
+	} );
+
 	/* Attributes
 	---------------------------------------------------------------------- */
 
 	// Support: IE<8
 	// Verify that getAttribute really returns attributes and not properties
 	// (excepting IE8 booleans)
-	support.attributes = assert(function( el ) {
+	support.attributes = assert( function( el ) {
 		el.className = "i";
-		return !el.getAttribute("className");
-	});
+		return !el.getAttribute( "className" );
+	} );
 
 	/* getElement(s)By*
 	---------------------------------------------------------------------- */
 
 	// Check if getElementsByTagName("*") returns only elements
-	support.getElementsByTagName = assert(function( el ) {
-		el.appendChild( document.createComment("") );
-		return !el.getElementsByTagName("*").length;
-	});
+	support.getElementsByTagName = assert( function( el ) {
+		el.appendChild( document.createComment( "" ) );
+		return !el.getElementsByTagName( "*" ).length;
+	} );
 
 	// Support: IE<9
 	support.getElementsByClassName = rnative.test( document.getElementsByClassName );
@@ -1161,38 +1199,38 @@ setDocument = Sizzle.setDocument = funct
 	// Check if getElementById returns elements by name
 	// The broken getElementById methods don't pick up programmatically-set names,
 	// so use a roundabout getElementsByName test
-	support.getById = assert(function( el ) {
+	support.getById = assert( function( el ) {
 		docElem.appendChild( el ).id = expando;
 		return !document.getElementsByName || !document.getElementsByName( expando ).length;
-	});
+	} );
 
 	// ID filter and find
 	if ( support.getById ) {
-		Expr.filter["ID"] = function( id ) {
+		Expr.filter[ "ID" ] = function( id ) {
 			var attrId = id.replace( runescape, funescape );
 			return function( elem ) {
-				return elem.getAttribute("id") === attrId;
+				return elem.getAttribute( "id" ) === attrId;
 			};
 		};
-		Expr.find["ID"] = function( id, context ) {
+		Expr.find[ "ID" ] = function( id, context ) {
 			if ( typeof context.getElementById !== "undefined" && documentIsHTML ) {
 				var elem = context.getElementById( id );
 				return elem ? [ elem ] : [];
 			}
 		};
 	} else {
-		Expr.filter["ID"] =  function( id ) {
+		Expr.filter[ "ID" ] =  function( id ) {
 			var attrId = id.replace( runescape, funescape );
 			return function( elem ) {
 				var node = typeof elem.getAttributeNode !== "undefined" &&
-					elem.getAttributeNode("id");
+					elem.getAttributeNode( "id" );
 				return node && node.value === attrId;
 			};
 		};
 
 		// Support: IE 6 - 7 only
 		// getElementById is not reliable as a find shortcut
-		Expr.find["ID"] = function( id, context ) {
+		Expr.find[ "ID" ] = function( id, context ) {
 			if ( typeof context.getElementById !== "undefined" && documentIsHTML ) {
 				var node, i, elems,
 					elem = context.getElementById( id );
@@ -1200,7 +1238,7 @@ setDocument = Sizzle.setDocument = funct
 				if ( elem ) {
 
 					// Verify the id attribute
-					node = elem.getAttributeNode("id");
+					node = elem.getAttributeNode( "id" );
 					if ( node && node.value === id ) {
 						return [ elem ];
 					}
@@ -1208,8 +1246,8 @@ setDocument = Sizzle.setDocument = funct
 					// Fall back on getElementsByName
 					elems = context.getElementsByName( id );
 					i = 0;
-					while ( (elem = elems[i++]) ) {
-						node = elem.getAttributeNode("id");
+					while ( ( elem = elems[ i++ ] ) ) {
+						node = elem.getAttributeNode( "id" );
 						if ( node && node.value === id ) {
 							return [ elem ];
 						}
@@ -1222,7 +1260,7 @@ setDocument = Sizzle.setDocument = funct
 	}
 
 	// Tag
-	Expr.find["TAG"] = support.getElementsByTagName ?
+	Expr.find[ "TAG" ] = support.getElementsByTagName ?
 		function( tag, context ) {
 			if ( typeof context.getElementsByTagName !== "undefined" ) {
 				return context.getElementsByTagName( tag );
@@ -1237,12 +1275,13 @@ setDocument = Sizzle.setDocument = funct
 			var elem,
 				tmp = [],
 				i = 0,
+
 				// By happy coincidence, a (broken) gEBTN appears on DocumentFragment nodes too
 				results = context.getElementsByTagName( tag );
 
 			// Filter out possible comments
 			if ( tag === "*" ) {
-				while ( (elem = results[i++]) ) {
+				while ( ( elem = results[ i++ ] ) ) {
 					if ( elem.nodeType === 1 ) {
 						tmp.push( elem );
 					}
@@ -1254,7 +1293,7 @@ setDocument = Sizzle.setDocument = funct
 		};
 
 	// Class
-	Expr.find["CLASS"] = support.getElementsByClassName && function( className, context ) {
+	Expr.find[ "CLASS" ] = support.getElementsByClassName && function( className, context ) {
 		if ( typeof context.getElementsByClassName !== "undefined" && documentIsHTML ) {
 			return context.getElementsByClassName( className );
 		}
@@ -1275,10 +1314,14 @@ setDocument = Sizzle.setDocument = funct
 	// See https://bugs.jquery.com/ticket/13378
 	rbuggyQSA = [];
 
-	if ( (support.qsa = rnative.test( document.querySelectorAll )) ) {
+	if ( ( support.qsa = rnative.test( document.querySelectorAll ) ) ) {
+
 		// Build QSA regex
 		// Regex strategy adopted from Diego Perini
-		assert(function( el ) {
+		assert( function( el ) {
+
+			var input;
+
 			// Select is set to empty string on purpose
 			// This is to test IE's treatment of not explicitly
 			// setting a boolean content attribute,
@@ -1292,78 +1335,98 @@ setDocument = Sizzle.setDocument = funct
 			// Nothing should be selected when empty strings follow ^= or $= or *=
 			// The test attribute must be unknown in Opera but "safe" for WinRT
 			// https://msdn.microsoft.com/en-us/library/ie/hh465388.aspx#attribute_section
-			if ( el.querySelectorAll("[msallowcapture^='']").length ) {
+			if ( el.querySelectorAll( "[msallowcapture^='']" ).length ) {
 				rbuggyQSA.push( "[*^$]=" + whitespace + "*(?:''|\"\")" );
 			}
 
 			// Support: IE8
 			// Boolean attributes and "value" are not treated correctly
-			if ( !el.querySelectorAll("[selected]").length ) {
+			if ( !el.querySelectorAll( "[selected]" ).length ) {
 				rbuggyQSA.push( "\\[" + whitespace + "*(?:value|" + booleans + ")" );
 			}
 
 			// Support: Chrome<29, Android<4.4, Safari<7.0+, iOS<7.0+, PhantomJS<1.9.8+
 			if ( !el.querySelectorAll( "[id~=" + expando + "-]" ).length ) {
-				rbuggyQSA.push("~=");
+				rbuggyQSA.push( "~=" );
+			}
+
+			// Support: IE 11+, Edge 15 - 18+
+			// IE 11/Edge don't find elements on a `[name='']` query in some cases.
+			// Adding a temporary attribute to the document before the selection works
+			// around the issue.
+			// Interestingly, IE 10 & older don't seem to have the issue.
+			input = document.createElement( "input" );
+			input.setAttribute( "name", "" );
+			el.appendChild( input );
+			if ( !el.querySelectorAll( "[name='']" ).length ) {
+				rbuggyQSA.push( "\\[" + whitespace + "*name" + whitespace + "*=" +
+					whitespace + "*(?:''|\"\")" );
 			}
 
 			// Webkit/Opera - :checked should return selected option elements
 			// http://www.w3.org/TR/2011/REC-css3-selectors-20110929/#checked
 			// IE8 throws error here and will not see later tests
-			if ( !el.querySelectorAll(":checked").length ) {
-				rbuggyQSA.push(":checked");
+			if ( !el.querySelectorAll( ":checked" ).length ) {
+				rbuggyQSA.push( ":checked" );
 			}
 
 			// Support: Safari 8+, iOS 8+
 			// https://bugs.webkit.org/show_bug.cgi?id=136851
 			// In-page `selector#id sibling-combinator selector` fails
 			if ( !el.querySelectorAll( "a#" + expando + "+*" ).length ) {
-				rbuggyQSA.push(".#.+[+~]");
+				rbuggyQSA.push( ".#.+[+~]" );
 			}
-		});
 
-		assert(function( el ) {
+			// Support: Firefox <=3.6 - 5 only
+			// Old Firefox doesn't throw on a badly-escaped identifier.
+			el.querySelectorAll( "\\\f" );
+			rbuggyQSA.push( "[\\r\\n\\f]" );
+		} );
+
+		assert( function( el ) {
 			el.innerHTML = "<a href='' disabled='disabled'></a>" +
 				"<select disabled='disabled'><option/></select>";
 
 			// Support: Windows 8 Native Apps
 			// The type and name attributes are restricted during .innerHTML assignment
-			var input = document.createElement("input");
+			var input = document.createElement( "input" );
 			input.setAttribute( "type", "hidden" );
 			el.appendChild( input ).setAttribute( "name", "D" );
 
 			// Support: IE8
 			// Enforce case-sensitivity of name attribute
-			if ( el.querySelectorAll("[name=d]").length ) {
+			if ( el.querySelectorAll( "[name=d]" ).length ) {
 				rbuggyQSA.push( "name" + whitespace + "*[*^$|!~]?=" );
 			}
 
 			// FF 3.5 - :enabled/:disabled and hidden elements (hidden elements are still enabled)
 			// IE8 throws error here and will not see later tests
-			if ( el.querySelectorAll(":enabled").length !== 2 ) {
+			if ( el.querySelectorAll( ":enabled" ).length !== 2 ) {
 				rbuggyQSA.push( ":enabled", ":disabled" );
 			}
 
 			// Support: IE9-11+
 			// IE's :disabled selector does not pick up the children of disabled fieldsets
 			docElem.appendChild( el ).disabled = true;
-			if ( el.querySelectorAll(":disabled").length !== 2 ) {
+			if ( el.querySelectorAll( ":disabled" ).length !== 2 ) {
 				rbuggyQSA.push( ":enabled", ":disabled" );
 			}
 
+			// Support: Opera 10 - 11 only
 			// Opera 10-11 does not throw on post-comma invalid pseudos
-			el.querySelectorAll("*,:x");
-			rbuggyQSA.push(",.*:");
-		});
+			el.querySelectorAll( "*,:x" );
+			rbuggyQSA.push( ",.*:" );
+		} );
 	}
 
-	if ( (support.matchesSelector = rnative.test( (matches = docElem.matches ||
+	if ( ( support.matchesSelector = rnative.test( ( matches = docElem.matches ||
 		docElem.webkitMatchesSelector ||
 		docElem.mozMatchesSelector ||
 		docElem.oMatchesSelector ||
-		docElem.msMatchesSelector) )) ) {
+		docElem.msMatchesSelector ) ) ) ) {
+
+		assert( function( el ) {
 
-		assert(function( el ) {
 			// Check to see if it's possible to do matchesSelector
 			// on a disconnected node (IE 9)
 			support.disconnectedMatch = matches.call( el, "*" );
@@ -1372,11 +1435,11 @@ setDocument = Sizzle.setDocument = funct
 			// Gecko does not error, returns false instead
 			matches.call( el, "[s!='']:x" );
 			rbuggyMatches.push( "!=", pseudos );
-		});
+		} );
 	}
 
-	rbuggyQSA = rbuggyQSA.length && new RegExp( rbuggyQSA.join("|") );
-	rbuggyMatches = rbuggyMatches.length && new RegExp( rbuggyMatches.join("|") );
+	rbuggyQSA = rbuggyQSA.length && new RegExp( rbuggyQSA.join( "|" ) );
+	rbuggyMatches = rbuggyMatches.length && new RegExp( rbuggyMatches.join( "|" ) );
 
 	/* Contains
 	---------------------------------------------------------------------- */
@@ -1393,11 +1456,11 @@ setDocument = Sizzle.setDocument = funct
 				adown.contains ?
 					adown.contains( bup ) :
 					a.compareDocumentPosition && a.compareDocumentPosition( bup ) & 16
-			));
+			) );
 		} :
 		function( a, b ) {
 			if ( b ) {
-				while ( (b = b.parentNode) ) {
+				while ( ( b = b.parentNode ) ) {
 					if ( b === a ) {
 						return true;
 					}
@@ -1426,7 +1489,11 @@ setDocument = Sizzle.setDocument = funct
 		}
 
 		// Calculate position if both inputs belong to the same document
-		compare = ( a.ownerDocument || a ) === ( b.ownerDocument || b ) ?
+		// Support: IE 11+, Edge 17 - 18+
+		// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+		// two documents; shallow comparisons work.
+		// eslint-disable-next-line eqeqeq
+		compare = ( a.ownerDocument || a ) == ( b.ownerDocument || b ) ?
 			a.compareDocumentPosition( b ) :
 
 			// Otherwise we know they are disconnected
@@ -1434,13 +1501,24 @@ setDocument = Sizzle.setDocument = funct
 
 		// Disconnected nodes
 		if ( compare & 1 ||
-			(!support.sortDetached && b.compareDocumentPosition( a ) === compare) ) {
+			( !support.sortDetached && b.compareDocumentPosition( a ) === compare ) ) {
 
 			// Choose the first element that is related to our preferred document
-			if ( a === document || a.ownerDocument === preferredDoc && contains(preferredDoc, a) ) {
+			// Support: IE 11+, Edge 17 - 18+
+			// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+			// two documents; shallow comparisons work.
+			// eslint-disable-next-line eqeqeq
+			if ( a == document || a.ownerDocument == preferredDoc &&
+				contains( preferredDoc, a ) ) {
 				return -1;
 			}
-			if ( b === document || b.ownerDocument === preferredDoc && contains(preferredDoc, b) ) {
+
+			// Support: IE 11+, Edge 17 - 18+
+			// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+			// two documents; shallow comparisons work.
+			// eslint-disable-next-line eqeqeq
+			if ( b == document || b.ownerDocument == preferredDoc &&
+				contains( preferredDoc, b ) ) {
 				return 1;
 			}
 
@@ -1453,6 +1531,7 @@ setDocument = Sizzle.setDocument = funct
 		return compare & 4 ? -1 : 1;
 	} :
 	function( a, b ) {
+
 		// Exit early if the nodes are identical
 		if ( a === b ) {
 			hasDuplicate = true;
@@ -1468,8 +1547,14 @@ setDocument = Sizzle.setDocument = funct
 
 		// Parentless nodes are either documents or disconnected
 		if ( !aup || !bup ) {
-			return a === document ? -1 :
-				b === document ? 1 :
+
+			// Support: IE 11+, Edge 17 - 18+
+			// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+			// two documents; shallow comparisons work.
+			/* eslint-disable eqeqeq */
+			return a == document ? -1 :
+				b == document ? 1 :
+				/* eslint-enable eqeqeq */
 				aup ? -1 :
 				bup ? 1 :
 				sortInput ?
@@ -1483,26 +1568,32 @@ setDocument = Sizzle.setDocument = funct
 
 		// Otherwise we need full lists of their ancestors for comparison
 		cur = a;
-		while ( (cur = cur.parentNode) ) {
+		while ( ( cur = cur.parentNode ) ) {
 			ap.unshift( cur );
 		}
 		cur = b;
-		while ( (cur = cur.parentNode) ) {
+		while ( ( cur = cur.parentNode ) ) {
 			bp.unshift( cur );
 		}
 
 		// Walk down the tree looking for a discrepancy
-		while ( ap[i] === bp[i] ) {
+		while ( ap[ i ] === bp[ i ] ) {
 			i++;
 		}
 
 		return i ?
+
 			// Do a sibling check if the nodes have a common ancestor
-			siblingCheck( ap[i], bp[i] ) :
+			siblingCheck( ap[ i ], bp[ i ] ) :
 
 			// Otherwise nodes in our document sort first
-			ap[i] === preferredDoc ? -1 :
-			bp[i] === preferredDoc ? 1 :
+			// Support: IE 11+, Edge 17 - 18+
+			// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+			// two documents; shallow comparisons work.
+			/* eslint-disable eqeqeq */
+			ap[ i ] == preferredDoc ? -1 :
+			bp[ i ] == preferredDoc ? 1 :
+			/* eslint-enable eqeqeq */
 			0;
 	};
 
@@ -1514,16 +1605,10 @@ Sizzle.matches = function( expr, element
 };
 
 Sizzle.matchesSelector = function( elem, expr ) {
-	// Set document vars if needed
-	if ( ( elem.ownerDocument || elem ) !== document ) {
-		setDocument( elem );
-	}
-
-	// Make sure that attribute selectors are quoted
-	expr = expr.replace( rattributeQuotes, "='$1']" );
+	setDocument( elem );
 
 	if ( support.matchesSelector && documentIsHTML &&
-		!compilerCache[ expr + " " ] &&
+		!nonnativeSelectorCache[ expr + " " ] &&
 		( !rbuggyMatches || !rbuggyMatches.test( expr ) ) &&
 		( !rbuggyQSA     || !rbuggyQSA.test( expr ) ) ) {
 
@@ -1532,32 +1617,46 @@ Sizzle.matchesSelector = function( elem,
 
 			// IE 9's matchesSelector returns false on disconnected nodes
 			if ( ret || support.disconnectedMatch ||
-					// As well, disconnected nodes are said to be in a document
-					// fragment in IE 9
-					elem.document && elem.document.nodeType !== 11 ) {
+
+				// As well, disconnected nodes are said to be in a document
+				// fragment in IE 9
+				elem.document && elem.document.nodeType !== 11 ) {
 				return ret;
 			}
-		} catch (e) {}
+		} catch ( e ) {
+			nonnativeSelectorCache( expr, true );
+		}
 	}
 
 	return Sizzle( expr, document, null, [ elem ] ).length > 0;
 };
 
 Sizzle.contains = function( context, elem ) {
+
 	// Set document vars if needed
-	if ( ( context.ownerDocument || context ) !== document ) {
+	// Support: IE 11+, Edge 17 - 18+
+	// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+	// two documents; shallow comparisons work.
+	// eslint-disable-next-line eqeqeq
+	if ( ( context.ownerDocument || context ) != document ) {
 		setDocument( context );
 	}
 	return contains( context, elem );
 };
 
 Sizzle.attr = function( elem, name ) {
+
 	// Set document vars if needed
-	if ( ( elem.ownerDocument || elem ) !== document ) {
+	// Support: IE 11+, Edge 17 - 18+
+	// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+	// two documents; shallow comparisons work.
+	// eslint-disable-next-line eqeqeq
+	if ( ( elem.ownerDocument || elem ) != document ) {
 		setDocument( elem );
 	}
 
 	var fn = Expr.attrHandle[ name.toLowerCase() ],
+
 		// Don't get fooled by Object.prototype properties (jQuery #13807)
 		val = fn && hasOwn.call( Expr.attrHandle, name.toLowerCase() ) ?
 			fn( elem, name, !documentIsHTML ) :
@@ -1567,13 +1666,13 @@ Sizzle.attr = function( elem, name ) {
 		val :
 		support.attributes || !documentIsHTML ?
 			elem.getAttribute( name ) :
-			(val = elem.getAttributeNode(name)) && val.specified ?
+			( val = elem.getAttributeNode( name ) ) && val.specified ?
 				val.value :
 				null;
 };
 
 Sizzle.escape = function( sel ) {
-	return (sel + "").replace( rcssescape, fcssescape );
+	return ( sel + "" ).replace( rcssescape, fcssescape );
 };
 
 Sizzle.error = function( msg ) {
@@ -1596,7 +1695,7 @@ Sizzle.uniqueSort = function( results )
 	results.sort( sortOrder );
 
 	if ( hasDuplicate ) {
-		while ( (elem = results[i++]) ) {
+		while ( ( elem = results[ i++ ] ) ) {
 			if ( elem === results[ i ] ) {
 				j = duplicates.push( i );
 			}
@@ -1624,17 +1723,21 @@ getText = Sizzle.getText = function( ele
 		nodeType = elem.nodeType;
 
 	if ( !nodeType ) {
+
 		// If no nodeType, this is expected to be an array
-		while ( (node = elem[i++]) ) {
+		while ( ( node = elem[ i++ ] ) ) {
+
 			// Do not traverse comment nodes
 			ret += getText( node );
 		}
 	} else if ( nodeType === 1 || nodeType === 9 || nodeType === 11 ) {
+
 		// Use textContent for elements
 		// innerText usage removed for consistency of new lines (jQuery #11153)
 		if ( typeof elem.textContent === "string" ) {
 			return elem.textContent;
 		} else {
+
 			// Traverse its children
 			for ( elem = elem.firstChild; elem; elem = elem.nextSibling ) {
 				ret += getText( elem );
@@ -1643,6 +1746,7 @@ getText = Sizzle.getText = function( ele
 	} else if ( nodeType === 3 || nodeType === 4 ) {
 		return elem.nodeValue;
 	}
+
 	// Do not include comment or processing instruction nodes
 
 	return ret;
@@ -1670,19 +1774,21 @@ Expr = Sizzle.selectors = {
 
 	preFilter: {
 		"ATTR": function( match ) {
-			match[1] = match[1].replace( runescape, funescape );
+			match[ 1 ] = match[ 1 ].replace( runescape, funescape );
 
 			// Move the given value to match[3] whether quoted or unquoted
-			match[3] = ( match[3] || match[4] || match[5] || "" ).replace( runescape, funescape );
+			match[ 3 ] = ( match[ 3 ] || match[ 4 ] ||
+				match[ 5 ] || "" ).replace( runescape, funescape );
 
-			if ( match[2] === "~=" ) {
-				match[3] = " " + match[3] + " ";
+			if ( match[ 2 ] === "~=" ) {
+				match[ 3 ] = " " + match[ 3 ] + " ";
 			}
 
 			return match.slice( 0, 4 );
 		},
 
 		"CHILD": function( match ) {
+
 			/* matches from matchExpr["CHILD"]
 				1 type (only|nth|...)
 				2 what (child|of-type)
@@ -1693,22 +1799,25 @@ Expr = Sizzle.selectors = {
 				7 sign of y-component
 				8 y of y-component
 			*/
-			match[1] = match[1].toLowerCase();
+			match[ 1 ] = match[ 1 ].toLowerCase();
+
+			if ( match[ 1 ].slice( 0, 3 ) === "nth" ) {
 
-			if ( match[1].slice( 0, 3 ) === "nth" ) {
 				// nth-* requires argument
-				if ( !match[3] ) {
-					Sizzle.error( match[0] );
+				if ( !match[ 3 ] ) {
+					Sizzle.error( match[ 0 ] );
 				}
 
 				// numeric x and y parameters for Expr.filter.CHILD
 				// remember that false/true cast respectively to 0/1
-				match[4] = +( match[4] ? match[5] + (match[6] || 1) : 2 * ( match[3] === "even" || match[3] === "odd" ) );
-				match[5] = +( ( match[7] + match[8] ) || match[3] === "odd" );
-
-			// other types prohibit arguments
-			} else if ( match[3] ) {
-				Sizzle.error( match[0] );
+				match[ 4 ] = +( match[ 4 ] ?
+					match[ 5 ] + ( match[ 6 ] || 1 ) :
+					2 * ( match[ 3 ] === "even" || match[ 3 ] === "odd" ) );
+				match[ 5 ] = +( ( match[ 7 ] + match[ 8 ] ) || match[ 3 ] === "odd" );
+
+				// other types prohibit arguments
+			} else if ( match[ 3 ] ) {
+				Sizzle.error( match[ 0 ] );
 			}
 
 			return match;
@@ -1716,26 +1825,28 @@ Expr = Sizzle.selectors = {
 
 		"PSEUDO": function( match ) {
 			var excess,
-				unquoted = !match[6] && match[2];
+				unquoted = !match[ 6 ] && match[ 2 ];
 
-			if ( matchExpr["CHILD"].test( match[0] ) ) {
+			if ( matchExpr[ "CHILD" ].test( match[ 0 ] ) ) {
 				return null;
 			}
 
 			// Accept quoted arguments as-is
-			if ( match[3] ) {
-				match[2] = match[4] || match[5] || "";
+			if ( match[ 3 ] ) {
+				match[ 2 ] = match[ 4 ] || match[ 5 ] || "";
 
 			// Strip excess characters from unquoted arguments
 			} else if ( unquoted && rpseudo.test( unquoted ) &&
+
 				// Get excess from tokenize (recursively)
-				(excess = tokenize( unquoted, true )) &&
+				( excess = tokenize( unquoted, true ) ) &&
+
 				// advance to the next closing parenthesis
-				(excess = unquoted.indexOf( ")", unquoted.length - excess ) - unquoted.length) ) {
+				( excess = unquoted.indexOf( ")", unquoted.length - excess ) - unquoted.length ) ) {
 
 				// excess is a negative index
-				match[0] = match[0].slice( 0, excess );
-				match[2] = unquoted.slice( 0, excess );
+				match[ 0 ] = match[ 0 ].slice( 0, excess );
+				match[ 2 ] = unquoted.slice( 0, excess );
 			}
 
 			// Return only captures needed by the pseudo filter method (type and argument)
@@ -1748,7 +1859,9 @@ Expr = Sizzle.selectors = {
 		"TAG": function( nodeNameSelector ) {
 			var nodeName = nodeNameSelector.replace( runescape, funescape ).toLowerCase();
 			return nodeNameSelector === "*" ?
-				function() { return true; } :
+				function() {
+					return true;
+				} :
 				function( elem ) {
 					return elem.nodeName && elem.nodeName.toLowerCase() === nodeName;
 				};
@@ -1758,10 +1871,16 @@ Expr = Sizzle.selectors = {
 			var pattern = classCache[ className + " " ];
 
 			return pattern ||
-				(pattern = new RegExp( "(^|" + whitespace + ")" + className + "(" + whitespace + "|$)" )) &&
-				classCache( className, function( elem ) {
-					return pattern.test( typeof elem.className === "string" && elem.className || typeof elem.getAttribute !== "undefined" && elem.getAttribute("class") || "" );
-				});
+				( pattern = new RegExp( "(^|" + whitespace +
+					")" + className + "(" + whitespace + "|$)" ) ) && classCache(
+						className, function( elem ) {
+							return pattern.test(
+								typeof elem.className === "string" && elem.className ||
+								typeof elem.getAttribute !== "undefined" &&
+									elem.getAttribute( "class" ) ||
+								""
+							);
+				} );
 		},
 
 		"ATTR": function( name, operator, check ) {
@@ -1777,6 +1896,8 @@ Expr = Sizzle.selectors = {
 
 				result += "";
 
+				/* eslint-disable max-len */
+
 				return operator === "=" ? result === check :
 					operator === "!=" ? result !== check :
 					operator === "^=" ? check && result.indexOf( check ) === 0 :
@@ -1785,10 +1906,12 @@ Expr = Sizzle.selectors = {
 					operator === "~=" ? ( " " + result.replace( rwhitespace, " " ) + " " ).indexOf( check ) > -1 :
 					operator === "|=" ? result === check || result.slice( 0, check.length + 1 ) === check + "-" :
 					false;
+				/* eslint-enable max-len */
+
 			};
 		},
 
-		"CHILD": function( type, what, argument, first, last ) {
+		"CHILD": function( type, what, _argument, first, last ) {
 			var simple = type.slice( 0, 3 ) !== "nth",
 				forward = type.slice( -4 ) !== "last",
 				ofType = what === "of-type";
@@ -1800,7 +1923,7 @@ Expr = Sizzle.selectors = {
 					return !!elem.parentNode;
 				} :
 
-				function( elem, context, xml ) {
+				function( elem, _context, xml ) {
 					var cache, uniqueCache, outerCache, node, nodeIndex, start,
 						dir = simple !== forward ? "nextSibling" : "previousSibling",
 						parent = elem.parentNode,
@@ -1814,7 +1937,7 @@ Expr = Sizzle.selectors = {
 						if ( simple ) {
 							while ( dir ) {
 								node = elem;
-								while ( (node = node[ dir ]) ) {
+								while ( ( node = node[ dir ] ) ) {
 									if ( ofType ?
 										node.nodeName.toLowerCase() === name :
 										node.nodeType === 1 ) {
@@ -1822,6 +1945,7 @@ Expr = Sizzle.selectors = {
 										return false;
 									}
 								}
+
 								// Reverse direction for :only-* (if we haven't yet done so)
 								start = dir = type === "only" && !start && "nextSibling";
 							}
@@ -1837,22 +1961,22 @@ Expr = Sizzle.selectors = {
 
 							// ...in a gzip-friendly way
 							node = parent;
-							outerCache = node[ expando ] || (node[ expando ] = {});
+							outerCache = node[ expando ] || ( node[ expando ] = {} );
 
 							// Support: IE <9 only
 							// Defend against cloned attroperties (jQuery gh-1709)
 							uniqueCache = outerCache[ node.uniqueID ] ||
-								(outerCache[ node.uniqueID ] = {});
+								( outerCache[ node.uniqueID ] = {} );
 
 							cache = uniqueCache[ type ] || [];
 							nodeIndex = cache[ 0 ] === dirruns && cache[ 1 ];
 							diff = nodeIndex && cache[ 2 ];
 							node = nodeIndex && parent.childNodes[ nodeIndex ];
 
-							while ( (node = ++nodeIndex && node && node[ dir ] ||
+							while ( ( node = ++nodeIndex && node && node[ dir ] ||
 
 								// Fallback to seeking `elem` from the start
-								(diff = nodeIndex = 0) || start.pop()) ) {
+								( diff = nodeIndex = 0 ) || start.pop() ) ) {
 
 								// When found, cache indexes on `parent` and break
 								if ( node.nodeType === 1 && ++diff && node === elem ) {
@@ -1862,16 +1986,18 @@ Expr = Sizzle.selectors = {
 							}
 
 						} else {
+
 							// Use previously-cached element index if available
 							if ( useCache ) {
+
 								// ...in a gzip-friendly way
 								node = elem;
-								outerCache = node[ expando ] || (node[ expando ] = {});
+								outerCache = node[ expando ] || ( node[ expando ] = {} );
 
 								// Support: IE <9 only
 								// Defend against cloned attroperties (jQuery gh-1709)
 								uniqueCache = outerCache[ node.uniqueID ] ||
-									(outerCache[ node.uniqueID ] = {});
+									( outerCache[ node.uniqueID ] = {} );
 
 								cache = uniqueCache[ type ] || [];
 								nodeIndex = cache[ 0 ] === dirruns && cache[ 1 ];
@@ -1881,9 +2007,10 @@ Expr = Sizzle.selectors = {
 							// xml :nth-child(...)
 							// or :nth-last-child(...) or :nth(-last)?-of-type(...)
 							if ( diff === false ) {
+
 								// Use the same loop as above to seek `elem` from the start
-								while ( (node = ++nodeIndex && node && node[ dir ] ||
-									(diff = nodeIndex = 0) || start.pop()) ) {
+								while ( ( node = ++nodeIndex && node && node[ dir ] ||
+									( diff = nodeIndex = 0 ) || start.pop() ) ) {
 
 									if ( ( ofType ?
 										node.nodeName.toLowerCase() === name :
@@ -1892,12 +2019,13 @@ Expr = Sizzle.selectors = {
 
 										// Cache the index of each encountered element
 										if ( useCache ) {
-											outerCache = node[ expando ] || (node[ expando ] = {});
+											outerCache = node[ expando ] ||
+												( node[ expando ] = {} );
 
 											// Support: IE <9 only
 											// Defend against cloned attroperties (jQuery gh-1709)
 											uniqueCache = outerCache[ node.uniqueID ] ||
-												(outerCache[ node.uniqueID ] = {});
+												( outerCache[ node.uniqueID ] = {} );
 
 											uniqueCache[ type ] = [ dirruns, diff ];
 										}
@@ -1918,6 +2046,7 @@ Expr = Sizzle.selectors = {
 		},
 
 		"PSEUDO": function( pseudo, argument ) {
+
 			// pseudo-class names are case-insensitive
 			// http://www.w3.org/TR/selectors/#pseudo-classes
 			// Prioritize by case sensitivity in case custom pseudos are added with uppercase letters
@@ -1937,15 +2066,15 @@ Expr = Sizzle.selectors = {
 			if ( fn.length > 1 ) {
 				args = [ pseudo, pseudo, "", argument ];
 				return Expr.setFilters.hasOwnProperty( pseudo.toLowerCase() ) ?
-					markFunction(function( seed, matches ) {
+					markFunction( function( seed, matches ) {
 						var idx,
 							matched = fn( seed, argument ),
 							i = matched.length;
 						while ( i-- ) {
-							idx = indexOf( seed, matched[i] );
-							seed[ idx ] = !( matches[ idx ] = matched[i] );
+							idx = indexOf( seed, matched[ i ] );
+							seed[ idx ] = !( matches[ idx ] = matched[ i ] );
 						}
-					}) :
+					} ) :
 					function( elem ) {
 						return fn( elem, 0, args );
 					};
@@ -1956,8 +2085,10 @@ Expr = Sizzle.selectors = {
 	},
 
 	pseudos: {
+
 		// Potentially complex pseudos
-		"not": markFunction(function( selector ) {
+		"not": markFunction( function( selector ) {
+
 			// Trim the selector passed to compile
 			// to avoid treating leading and trailing
 			// spaces as combinators
@@ -1966,39 +2097,40 @@ Expr = Sizzle.selectors = {
 				matcher = compile( selector.replace( rtrim, "$1" ) );
 
 			return matcher[ expando ] ?
-				markFunction(function( seed, matches, context, xml ) {
+				markFunction( function( seed, matches, _context, xml ) {
 					var elem,
 						unmatched = matcher( seed, null, xml, [] ),
 						i = seed.length;
 
 					// Match elements unmatched by `matcher`
 					while ( i-- ) {
-						if ( (elem = unmatched[i]) ) {
-							seed[i] = !(matches[i] = elem);
+						if ( ( elem = unmatched[ i ] ) ) {
+							seed[ i ] = !( matches[ i ] = elem );
 						}
 					}
-				}) :
-				function( elem, context, xml ) {
-					input[0] = elem;
+				} ) :
+				function( elem, _context, xml ) {
+					input[ 0 ] = elem;
 					matcher( input, null, xml, results );
+
 					// Don't keep the element (issue #299)
-					input[0] = null;
+					input[ 0 ] = null;
 					return !results.pop();
 				};
-		}),
+		} ),
 
-		"has": markFunction(function( selector ) {
+		"has": markFunction( function( selector ) {
 			return function( elem ) {
 				return Sizzle( selector, elem ).length > 0;
 			};
-		}),
+		} ),
 
-		"contains": markFunction(function( text ) {
+		"contains": markFunction( function( text ) {
 			text = text.replace( runescape, funescape );
 			return function( elem ) {
-				return ( elem.textContent || elem.innerText || getText( elem ) ).indexOf( text ) > -1;
+				return ( elem.textContent || getText( elem ) ).indexOf( text ) > -1;
 			};
-		}),
+		} ),
 
 		// "Whether an element is represented by a :lang() selector
 		// is based solely on the element's language value
@@ -2008,25 +2140,26 @@ Expr = Sizzle.selectors = {
 		// The identifier C does not have to be a valid language name."
 		// http://www.w3.org/TR/selectors/#lang-pseudo
 		"lang": markFunction( function( lang ) {
+
 			// lang value must be a valid identifier
-			if ( !ridentifier.test(lang || "") ) {
+			if ( !ridentifier.test( lang || "" ) ) {
 				Sizzle.error( "unsupported lang: " + lang );
 			}
 			lang = lang.replace( runescape, funescape ).toLowerCase();
 			return function( elem ) {
 				var elemLang;
 				do {
-					if ( (elemLang = documentIsHTML ?
+					if ( ( elemLang = documentIsHTML ?
 						elem.lang :
-						elem.getAttribute("xml:lang") || elem.getAttribute("lang")) ) {
+						elem.getAttribute( "xml:lang" ) || elem.getAttribute( "lang" ) ) ) {
 
 						elemLang = elemLang.toLowerCase();
 						return elemLang === lang || elemLang.indexOf( lang + "-" ) === 0;
 					}
-				} while ( (elem = elem.parentNode) && elem.nodeType === 1 );
+				} while ( ( elem = elem.parentNode ) && elem.nodeType === 1 );
 				return false;
 			};
-		}),
+		} ),
 
 		// Miscellaneous
 		"target": function( elem ) {
@@ -2039,7 +2172,9 @@ Expr = Sizzle.selectors = {
 		},
 
 		"focus": function( elem ) {
-			return elem === document.activeElement && (!document.hasFocus || document.hasFocus()) && !!(elem.type || elem.href || ~elem.tabIndex);
+			return elem === document.activeElement &&
+				( !document.hasFocus || document.hasFocus() ) &&
+				!!( elem.type || elem.href || ~elem.tabIndex );
 		},
 
 		// Boolean properties
@@ -2047,16 +2182,20 @@ Expr = Sizzle.selectors = {
 		"disabled": createDisabledPseudo( true ),
 
 		"checked": function( elem ) {
+
 			// In CSS3, :checked should return both checked and selected elements
 			// http://www.w3.org/TR/2011/REC-css3-selectors-20110929/#checked
 			var nodeName = elem.nodeName.toLowerCase();
-			return (nodeName === "input" && !!elem.checked) || (nodeName === "option" && !!elem.selected);
+			return ( nodeName === "input" && !!elem.checked ) ||
+				( nodeName === "option" && !!elem.selected );
 		},
 
 		"selected": function( elem ) {
+
 			// Accessing this property makes selected-by-default
 			// options in Safari work properly
 			if ( elem.parentNode ) {
+				// eslint-disable-next-line no-unused-expressions
 				elem.parentNode.selectedIndex;
 			}
 
@@ -2065,6 +2204,7 @@ Expr = Sizzle.selectors = {
 
 		// Contents
 		"empty": function( elem ) {
+
 			// http://www.w3.org/TR/selectors/#empty-pseudo
 			// :empty is negated by element (1) or content nodes (text: 3; cdata: 4; entity ref: 5),
 			//   but not by others (comment: 8; processing instruction: 7; etc.)
@@ -2078,7 +2218,7 @@ Expr = Sizzle.selectors = {
 		},
 
 		"parent": function( elem ) {
-			return !Expr.pseudos["empty"]( elem );
+			return !Expr.pseudos[ "empty" ]( elem );
 		},
 
 		// Element/input types
@@ -2102,57 +2242,62 @@ Expr = Sizzle.selectors = {
 
 				// Support: IE<8
 				// New HTML5 attribute values (e.g., "search") appear with elem.type === "text"
-				( (attr = elem.getAttribute("type")) == null || attr.toLowerCase() === "text" );
+				( ( attr = elem.getAttribute( "type" ) ) == null ||
+					attr.toLowerCase() === "text" );
 		},
 
 		// Position-in-collection
-		"first": createPositionalPseudo(function() {
+		"first": createPositionalPseudo( function() {
 			return [ 0 ];
-		}),
+		} ),
 
-		"last": createPositionalPseudo(function( matchIndexes, length ) {
+		"last": createPositionalPseudo( function( _matchIndexes, length ) {
 			return [ length - 1 ];
-		}),
+		} ),
 
-		"eq": createPositionalPseudo(function( matchIndexes, length, argument ) {
+		"eq": createPositionalPseudo( function( _matchIndexes, length, argument ) {
 			return [ argument < 0 ? argument + length : argument ];
-		}),
+		} ),
 
-		"even": createPositionalPseudo(function( matchIndexes, length ) {
+		"even": createPositionalPseudo( function( matchIndexes, length ) {
 			var i = 0;
 			for ( ; i < length; i += 2 ) {
 				matchIndexes.push( i );
 			}
 			return matchIndexes;
-		}),
+		} ),
 
-		"odd": createPositionalPseudo(function( matchIndexes, length ) {
+		"odd": createPositionalPseudo( function( matchIndexes, length ) {
 			var i = 1;
 			for ( ; i < length; i += 2 ) {
 				matchIndexes.push( i );
 			}
 			return matchIndexes;
-		}),
+		} ),
 
-		"lt": createPositionalPseudo(function( matchIndexes, length, argument ) {
-			var i = argument < 0 ? argument + length : argument;
+		"lt": createPositionalPseudo( function( matchIndexes, length, argument ) {
+			var i = argument < 0 ?
+				argument + length :
+				argument > length ?
+					length :
+					argument;
 			for ( ; --i >= 0; ) {
 				matchIndexes.push( i );
 			}
 			return matchIndexes;
-		}),
+		} ),
 
-		"gt": createPositionalPseudo(function( matchIndexes, length, argument ) {
+		"gt": createPositionalPseudo( function( matchIndexes, length, argument ) {
 			var i = argument < 0 ? argument + length : argument;
 			for ( ; ++i < length; ) {
 				matchIndexes.push( i );
 			}
 			return matchIndexes;
-		})
+		} )
 	}
 };
 
-Expr.pseudos["nth"] = Expr.pseudos["eq"];
+Expr.pseudos[ "nth" ] = Expr.pseudos[ "eq" ];
 
 // Add button/input type pseudos
 for ( i in { radio: true, checkbox: true, file: true, password: true, image: true } ) {
@@ -2183,37 +2328,39 @@ tokenize = Sizzle.tokenize = function( s
 	while ( soFar ) {
 
 		// Comma and first run
-		if ( !matched || (match = rcomma.exec( soFar )) ) {
+		if ( !matched || ( match = rcomma.exec( soFar ) ) ) {
 			if ( match ) {
+
 				// Don't consume trailing commas as valid
-				soFar = soFar.slice( match[0].length ) || soFar;
+				soFar = soFar.slice( match[ 0 ].length ) || soFar;
 			}
-			groups.push( (tokens = []) );
+			groups.push( ( tokens = [] ) );
 		}
 
 		matched = false;
 
 		// Combinators
-		if ( (match = rcombinators.exec( soFar )) ) {
+		if ( ( match = rcombinators.exec( soFar ) ) ) {
 			matched = match.shift();
-			tokens.push({
+			tokens.push( {
 				value: matched,
+
 				// Cast descendant combinators to space
-				type: match[0].replace( rtrim, " " )
-			});
+				type: match[ 0 ].replace( rtrim, " " )
+			} );
 			soFar = soFar.slice( matched.length );
 		}
 
 		// Filters
 		for ( type in Expr.filter ) {
-			if ( (match = matchExpr[ type ].exec( soFar )) && (!preFilters[ type ] ||
-				(match = preFilters[ type ]( match ))) ) {
+			if ( ( match = matchExpr[ type ].exec( soFar ) ) && ( !preFilters[ type ] ||
+				( match = preFilters[ type ]( match ) ) ) ) {
 				matched = match.shift();
-				tokens.push({
+				tokens.push( {
 					value: matched,
 					type: type,
 					matches: match
-				});
+				} );
 				soFar = soFar.slice( matched.length );
 			}
 		}
@@ -2230,6 +2377,7 @@ tokenize = Sizzle.tokenize = function( s
 		soFar.length :
 		soFar ?
 			Sizzle.error( selector ) :
+
 			// Cache the tokens
 			tokenCache( selector, groups ).slice( 0 );
 };
@@ -2239,7 +2387,7 @@ function toSelector( tokens ) {
 		len = tokens.length,
 		selector = "";
 	for ( ; i < len; i++ ) {
-		selector += tokens[i].value;
+		selector += tokens[ i ].value;
 	}
 	return selector;
 }
@@ -2252,9 +2400,10 @@ function addCombinator( matcher, combina
 		doneName = done++;
 
 	return combinator.first ?
+
 		// Check against closest ancestor/preceding element
 		function( elem, context, xml ) {
-			while ( (elem = elem[ dir ]) ) {
+			while ( ( elem = elem[ dir ] ) ) {
 				if ( elem.nodeType === 1 || checkNonElements ) {
 					return matcher( elem, context, xml );
 				}
@@ -2269,7 +2418,7 @@ function addCombinator( matcher, combina
 
 			// We can't set arbitrary data on XML nodes, so they don't benefit from combinator caching
 			if ( xml ) {
-				while ( (elem = elem[ dir ]) ) {
+				while ( ( elem = elem[ dir ] ) ) {
 					if ( elem.nodeType === 1 || checkNonElements ) {
 						if ( matcher( elem, context, xml ) ) {
 							return true;
@@ -2277,27 +2426,29 @@ function addCombinator( matcher, combina
 					}
 				}
 			} else {
-				while ( (elem = elem[ dir ]) ) {
+				while ( ( elem = elem[ dir ] ) ) {
 					if ( elem.nodeType === 1 || checkNonElements ) {
-						outerCache = elem[ expando ] || (elem[ expando ] = {});
+						outerCache = elem[ expando ] || ( elem[ expando ] = {} );
 
 						// Support: IE <9 only
 						// Defend against cloned attroperties (jQuery gh-1709)
-						uniqueCache = outerCache[ elem.uniqueID ] || (outerCache[ elem.uniqueID ] = {});
+						uniqueCache = outerCache[ elem.uniqueID ] ||
+							( outerCache[ elem.uniqueID ] = {} );
 
 						if ( skip && skip === elem.nodeName.toLowerCase() ) {
 							elem = elem[ dir ] || elem;
-						} else if ( (oldCache = uniqueCache[ key ]) &&
+						} else if ( ( oldCache = uniqueCache[ key ] ) &&
 							oldCache[ 0 ] === dirruns && oldCache[ 1 ] === doneName ) {
 
 							// Assign to newCache so results back-propagate to previous elements
-							return (newCache[ 2 ] = oldCache[ 2 ]);
+							return ( newCache[ 2 ] = oldCache[ 2 ] );
 						} else {
+
 							// Reuse newcache so results back-propagate to previous elements
 							uniqueCache[ key ] = newCache;
 
 							// A match means we're done; a fail means we have to keep checking
-							if ( (newCache[ 2 ] = matcher( elem, context, xml )) ) {
+							if ( ( newCache[ 2 ] = matcher( elem, context, xml ) ) ) {
 								return true;
 							}
 						}
@@ -2313,20 +2464,20 @@ function elementMatcher( matchers ) {
 		function( elem, context, xml ) {
 			var i = matchers.length;
 			while ( i-- ) {
-				if ( !matchers[i]( elem, context, xml ) ) {
+				if ( !matchers[ i ]( elem, context, xml ) ) {
 					return false;
 				}
 			}
 			return true;
 		} :
-		matchers[0];
+		matchers[ 0 ];
 }
 
 function multipleContexts( selector, contexts, results ) {
 	var i = 0,
 		len = contexts.length;
 	for ( ; i < len; i++ ) {
-		Sizzle( selector, contexts[i], results );
+		Sizzle( selector, contexts[ i ], results );
 	}
 	return results;
 }
@@ -2339,7 +2490,7 @@ function condense( unmatched, map, filte
 		mapped = map != null;
 
 	for ( ; i < len; i++ ) {
-		if ( (elem = unmatched[i]) ) {
+		if ( ( elem = unmatched[ i ] ) ) {
 			if ( !filter || filter( elem, context, xml ) ) {
 				newUnmatched.push( elem );
 				if ( mapped ) {
@@ -2359,14 +2510,18 @@ function setMatcher( preFilter, selector
 	if ( postFinder && !postFinder[ expando ] ) {
 		postFinder = setMatcher( postFinder, postSelector );
 	}
-	return markFunction(function( seed, results, context, xml ) {
+	return markFunction( function( seed, results, context, xml ) {
 		var temp, i, elem,
 			preMap = [],
 			postMap = [],
 			preexisting = results.length,
 
 			// Get initial elements from seed or context
-			elems = seed || multipleContexts( selector || "*", context.nodeType ? [ context ] : context, [] ),
+			elems = seed || multipleContexts(
+				selector || "*",
+				context.nodeType ? [ context ] : context,
+				[]
+			),
 
 			// Prefilter to get matcher input, preserving a map for seed-results synchronization
 			matcherIn = preFilter && ( seed || !selector ) ?
@@ -2374,6 +2529,7 @@ function setMatcher( preFilter, selector
 				elems,
 
 			matcherOut = matcher ?
+
 				// If we have a postFinder, or filtered seed, or non-seed postFilter or preexisting results,
 				postFinder || ( seed ? preFilter : preexisting || postFilter ) ?
 
@@ -2397,8 +2553,8 @@ function setMatcher( preFilter, selector
 			// Un-match failing elements by moving them back to matcherIn
 			i = temp.length;
 			while ( i-- ) {
-				if ( (elem = temp[i]) ) {
-					matcherOut[ postMap[i] ] = !(matcherIn[ postMap[i] ] = elem);
+				if ( ( elem = temp[ i ] ) ) {
+					matcherOut[ postMap[ i ] ] = !( matcherIn[ postMap[ i ] ] = elem );
 				}
 			}
 		}
@@ -2406,25 +2562,27 @@ function setMatcher( preFilter, selector
 		if ( seed ) {
 			if ( postFinder || preFilter ) {
 				if ( postFinder ) {
+
 					// Get the final matcherOut by condensing this intermediate into postFinder contexts
 					temp = [];
 					i = matcherOut.length;
 					while ( i-- ) {
-						if ( (elem = matcherOut[i]) ) {
+						if ( ( elem = matcherOut[ i ] ) ) {
+
 							// Restore matcherIn since elem is not yet a final match
-							temp.push( (matcherIn[i] = elem) );
+							temp.push( ( matcherIn[ i ] = elem ) );
 						}
 					}
-					postFinder( null, (matcherOut = []), temp, xml );
+					postFinder( null, ( matcherOut = [] ), temp, xml );
 				}
 
 				// Move matched elements from seed to results to keep them synchronized
 				i = matcherOut.length;
 				while ( i-- ) {
-					if ( (elem = matcherOut[i]) &&
-						(temp = postFinder ? indexOf( seed, elem ) : preMap[i]) > -1 ) {
+					if ( ( elem = matcherOut[ i ] ) &&
+						( temp = postFinder ? indexOf( seed, elem ) : preMap[ i ] ) > -1 ) {
 
-						seed[temp] = !(results[temp] = elem);
+						seed[ temp ] = !( results[ temp ] = elem );
 					}
 				}
 			}
@@ -2442,14 +2600,14 @@ function setMatcher( preFilter, selector
 				push.apply( results, matcherOut );
 			}
 		}
-	});
+	} );
 }
 
 function matcherFromTokens( tokens ) {
 	var checkContext, matcher, j,
 		len = tokens.length,
-		leadingRelative = Expr.relative[ tokens[0].type ],
-		implicitRelative = leadingRelative || Expr.relative[" "],
+		leadingRelative = Expr.relative[ tokens[ 0 ].type ],
+		implicitRelative = leadingRelative || Expr.relative[ " " ],
 		i = leadingRelative ? 1 : 0,
 
 		// The foundational matcher ensures that elements are reachable from top-level context(s)
@@ -2461,38 +2619,43 @@ function matcherFromTokens( tokens ) {
 		}, implicitRelative, true ),
 		matchers = [ function( elem, context, xml ) {
 			var ret = ( !leadingRelative && ( xml || context !== outermostContext ) ) || (
-				(checkContext = context).nodeType ?
+				( checkContext = context ).nodeType ?
 					matchContext( elem, context, xml ) :
 					matchAnyContext( elem, context, xml ) );
+
 			// Avoid hanging onto element (issue #299)
 			checkContext = null;
 			return ret;
 		} ];
 
 	for ( ; i < len; i++ ) {
-		if ( (matcher = Expr.relative[ tokens[i].type ]) ) {
-			matchers = [ addCombinator(elementMatcher( matchers ), matcher) ];
+		if ( ( matcher = Expr.relative[ tokens[ i ].type ] ) ) {
+			matchers = [ addCombinator( elementMatcher( matchers ), matcher ) ];
 		} else {
-			matcher = Expr.filter[ tokens[i].type ].apply( null, tokens[i].matches );
+			matcher = Expr.filter[ tokens[ i ].type ].apply( null, tokens[ i ].matches );
 
 			// Return special upon seeing a positional matcher
 			if ( matcher[ expando ] ) {
+
 				// Find the next relative operator (if any) for proper handling
 				j = ++i;
 				for ( ; j < len; j++ ) {
-					if ( Expr.relative[ tokens[j].type ] ) {
+					if ( Expr.relative[ tokens[ j ].type ] ) {
 						break;
 					}
 				}
 				return setMatcher(
 					i > 1 && elementMatcher( matchers ),
 					i > 1 && toSelector(
-						// If the preceding token was a descendant combinator, insert an implicit any-element `*`
-						tokens.slice( 0, i - 1 ).concat({ value: tokens[ i - 2 ].type === " " ? "*" : "" })
+
+					// If the preceding token was a descendant combinator, insert an implicit any-element `*`
+					tokens
+						.slice( 0, i - 1 )
+						.concat( { value: tokens[ i - 2 ].type === " " ? "*" : "" } )
 					).replace( rtrim, "$1" ),
 					matcher,
 					i < j && matcherFromTokens( tokens.slice( i, j ) ),
-					j < len && matcherFromTokens( (tokens = tokens.slice( j )) ),
+					j < len && matcherFromTokens( ( tokens = tokens.slice( j ) ) ),
 					j < len && toSelector( tokens )
 				);
 			}
@@ -2513,28 +2676,40 @@ function matcherFromGroupMatchers( eleme
 				unmatched = seed && [],
 				setMatched = [],
 				contextBackup = outermostContext,
+
 				// We must always have either seed elements or outermost context
-				elems = seed || byElement && Expr.find["TAG"]( "*", outermost ),
+				elems = seed || byElement && Expr.find[ "TAG" ]( "*", outermost ),
+
 				// Use integer dirruns iff this is the outermost matcher
-				dirrunsUnique = (dirruns += contextBackup == null ? 1 : Math.random() || 0.1),
+				dirrunsUnique = ( dirruns += contextBackup == null ? 1 : Math.random() || 0.1 ),
 				len = elems.length;
 
 			if ( outermost ) {
-				outermostContext = context === document || context || outermost;
+
+				// Support: IE 11+, Edge 17 - 18+
+				// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+				// two documents; shallow comparisons work.
+				// eslint-disable-next-line eqeqeq
+				outermostContext = context == document || context || outermost;
 			}
 
 			// Add elements passing elementMatchers directly to results
 			// Support: IE<9, Safari
 			// Tolerate NodeList properties (IE: "length"; Safari: <number>) matching elements by id
-			for ( ; i !== len && (elem = elems[i]) != null; i++ ) {
+			for ( ; i !== len && ( elem = elems[ i ] ) != null; i++ ) {
 				if ( byElement && elem ) {
 					j = 0;
-					if ( !context && elem.ownerDocument !== document ) {
+
+					// Support: IE 11+, Edge 17 - 18+
+					// IE/Edge sometimes throw a "Permission denied" error when strict-comparing
+					// two documents; shallow comparisons work.
+					// eslint-disable-next-line eqeqeq
+					if ( !context && elem.ownerDocument != document ) {
 						setDocument( elem );
 						xml = !documentIsHTML;
 					}
-					while ( (matcher = elementMatchers[j++]) ) {
-						if ( matcher( elem, context || document, xml) ) {
+					while ( ( matcher = elementMatchers[ j++ ] ) ) {
+						if ( matcher( elem, context || document, xml ) ) {
 							results.push( elem );
 							break;
 						}
@@ -2546,8 +2721,9 @@ function matcherFromGroupMatchers( eleme
 
 				// Track unmatched elements for set filters
 				if ( bySet ) {
+
 					// They will have gone through all possible matchers
-					if ( (elem = !matcher && elem) ) {
+					if ( ( elem = !matcher && elem ) ) {
 						matchedCount--;
 					}
 
@@ -2571,16 +2747,17 @@ function matcherFromGroupMatchers( eleme
 			// numerically zero.
 			if ( bySet && i !== matchedCount ) {
 				j = 0;
-				while ( (matcher = setMatchers[j++]) ) {
+				while ( ( matcher = setMatchers[ j++ ] ) ) {
 					matcher( unmatched, setMatched, context, xml );
 				}
 
 				if ( seed ) {
+
 					// Reintegrate element matches to eliminate the need for sorting
 					if ( matchedCount > 0 ) {
 						while ( i-- ) {
-							if ( !(unmatched[i] || setMatched[i]) ) {
-								setMatched[i] = pop.call( results );
+							if ( !( unmatched[ i ] || setMatched[ i ] ) ) {
+								setMatched[ i ] = pop.call( results );
 							}
 						}
 					}
@@ -2621,13 +2798,14 @@ compile = Sizzle.compile = function( sel
 		cached = compilerCache[ selector + " " ];
 
 	if ( !cached ) {
+
 		// Generate a function of recursive functions that can be used to check each element
 		if ( !match ) {
 			match = tokenize( selector );
 		}
 		i = match.length;
 		while ( i-- ) {
-			cached = matcherFromTokens( match[i] );
+			cached = matcherFromTokens( match[ i ] );
 			if ( cached[ expando ] ) {
 				setMatchers.push( cached );
 			} else {
@@ -2636,7 +2814,10 @@ compile = Sizzle.compile = function( sel
 		}
 
 		// Cache the compiled function
-		cached = compilerCache( selector, matcherFromGroupMatchers( elementMatchers, setMatchers ) );
+		cached = compilerCache(
+			selector,
+			matcherFromGroupMatchers( elementMatchers, setMatchers )
+		);
 
 		// Save selector and tokenization
 		cached.selector = selector;
@@ -2656,7 +2837,7 @@ compile = Sizzle.compile = function( sel
 select = Sizzle.select = function( selector, context, results, seed ) {
 	var i, tokens, token, type, find,
 		compiled = typeof selector === "function" && selector,
-		match = !seed && tokenize( (selector = compiled.selector || selector) );
+		match = !seed && tokenize( ( selector = compiled.selector || selector ) );
 
 	results = results || [];
 
@@ -2665,11 +2846,12 @@ select = Sizzle.select = function( selec
 	if ( match.length === 1 ) {
 
 		// Reduce context if the leading compound selector is an ID
-		tokens = match[0] = match[0].slice( 0 );
-		if ( tokens.length > 2 && (token = tokens[0]).type === "ID" &&
-				context.nodeType === 9 && documentIsHTML && Expr.relative[ tokens[1].type ] ) {
+		tokens = match[ 0 ] = match[ 0 ].slice( 0 );
+		if ( tokens.length > 2 && ( token = tokens[ 0 ] ).type === "ID" &&
+			context.nodeType === 9 && documentIsHTML && Expr.relative[ tokens[ 1 ].type ] ) {
 
-			context = ( Expr.find["ID"]( token.matches[0].replace(runescape, funescape), context ) || [] )[0];
+			context = ( Expr.find[ "ID" ]( token.matches[ 0 ]
+				.replace( runescape, funescape ), context ) || [] )[ 0 ];
 			if ( !context ) {
 				return results;
 
@@ -2682,20 +2864,22 @@ select = Sizzle.select = function( selec
 		}
 
 		// Fetch a seed set for right-to-left matching
-		i = matchExpr["needsContext"].test( selector ) ? 0 : tokens.length;
+		i = matchExpr[ "needsContext" ].test( selector ) ? 0 : tokens.length;
 		while ( i-- ) {
-			token = tokens[i];
+			token = tokens[ i ];
 
 			// Abort if we hit a combinator
-			if ( Expr.relative[ (type = token.type) ] ) {
+			if ( Expr.relative[ ( type = token.type ) ] ) {
 				break;
 			}
-			if ( (find = Expr.find[ type ]) ) {
+			if ( ( find = Expr.find[ type ] ) ) {
+
 				// Search, expanding context for leading sibling combinators
-				if ( (seed = find(
-					token.matches[0].replace( runescape, funescape ),
-					rsibling.test( tokens[0].type ) && testContext( context.parentNode ) || context
-				)) ) {
+				if ( ( seed = find(
+					token.matches[ 0 ].replace( runescape, funescape ),
+					rsibling.test( tokens[ 0 ].type ) && testContext( context.parentNode ) ||
+						context
+				) ) ) {
 
 					// If seed is empty or no tokens remain, we can return early
 					tokens.splice( i, 1 );
@@ -2726,7 +2910,7 @@ select = Sizzle.select = function( selec
 // One-time assignments
 
 // Sort stability
-support.sortStable = expando.split("").sort( sortOrder ).join("") === expando;
+support.sortStable = expando.split( "" ).sort( sortOrder ).join( "" ) === expando;
 
 // Support: Chrome 14-35+
 // Always assume duplicates if they aren't passed to the comparison function
@@ -2737,58 +2921,59 @@ setDocument();
 
 // Support: Webkit<537.32 - Safari 6.0.3/Chrome 25 (fixed in Chrome 27)
 // Detached nodes confoundingly follow *each other*
-support.sortDetached = assert(function( el ) {
+support.sortDetached = assert( function( el ) {
+
 	// Should return 1, but returns 4 (following)
-	return el.compareDocumentPosition( document.createElement("fieldset") ) & 1;
-});
+	return el.compareDocumentPosition( document.createElement( "fieldset" ) ) & 1;
+} );
 
 // Support: IE<8
 // Prevent attribute/property "interpolation"
 // https://msdn.microsoft.com/en-us/library/ms536429%28VS.85%29.aspx
-if ( !assert(function( el ) {
+if ( !assert( function( el ) {
 	el.innerHTML = "<a href='#'></a>";
-	return el.firstChild.getAttribute("href") === "#" ;
-}) ) {
+	return el.firstChild.getAttribute( "href" ) === "#";
+} ) ) {
 	addHandle( "type|href|height|width", function( elem, name, isXML ) {
 		if ( !isXML ) {
 			return elem.getAttribute( name, name.toLowerCase() === "type" ? 1 : 2 );
 		}
-	});
+	} );
 }
 
 // Support: IE<9
 // Use defaultValue in place of getAttribute("value")
-if ( !support.attributes || !assert(function( el ) {
+if ( !support.attributes || !assert( function( el ) {
 	el.innerHTML = "<input/>";
 	el.firstChild.setAttribute( "value", "" );
 	return el.firstChild.getAttribute( "value" ) === "";
-}) ) {
-	addHandle( "value", function( elem, name, isXML ) {
+} ) ) {
+	addHandle( "value", function( elem, _name, isXML ) {
 		if ( !isXML && elem.nodeName.toLowerCase() === "input" ) {
 			return elem.defaultValue;
 		}
-	});
+	} );
 }
 
 // Support: IE<9
 // Use getAttributeNode to fetch booleans when getAttribute lies
-if ( !assert(function( el ) {
-	return el.getAttribute("disabled") == null;
-}) ) {
+if ( !assert( function( el ) {
+	return el.getAttribute( "disabled" ) == null;
+} ) ) {
 	addHandle( booleans, function( elem, name, isXML ) {
 		var val;
 		if ( !isXML ) {
 			return elem[ name ] === true ? name.toLowerCase() :
-					(val = elem.getAttributeNode( name )) && val.specified ?
+				( val = elem.getAttributeNode( name ) ) && val.specified ?
 					val.value :
-				null;
+					null;
 		}
-	});
+	} );
 }
 
 return Sizzle;
 
-})( window );
+} )( window );
 
 
 
@@ -2841,18 +3026,16 @@ var rneedsContext = jQuery.expr.match.ne
 
 function nodeName( elem, name ) {
 
-  return elem.nodeName && elem.nodeName.toLowerCase() === name.toLowerCase();
+	return elem.nodeName && elem.nodeName.toLowerCase() === name.toLowerCase();
 
-};
+}
 var rsingleTag = ( /^<([a-z][^\/\0>:\x20\t\r\n\f]*)[\x20\t\r\n\f]*\/?>(?:<\/\1>|)$/i );
 
 
 
-var risSimple = /^.[^:#\[\.,]*$/;
-
 // Implement the identical functionality for filter and not
 function winnow( elements, qualifier, not ) {
-	if ( jQuery.isFunction( qualifier ) ) {
+	if ( isFunction( qualifier ) ) {
 		return jQuery.grep( elements, function( elem, i ) {
 			return !!qualifier.call( elem, i, elem ) !== not;
 		} );
@@ -2872,16 +3055,8 @@ function winnow( elements, qualifier, no
 		} );
 	}
 
-	// Simple selector that can be filtered directly, removing non-Elements
-	if ( risSimple.test( qualifier ) ) {
-		return jQuery.filter( qualifier, elements, not );
-	}
-
-	// Complex selector, compare the two sets, removing non-Elements
-	qualifier = jQuery.filter( qualifier, elements );
-	return jQuery.grep( elements, function( elem ) {
-		return ( indexOf.call( qualifier, elem ) > -1 ) !== not && elem.nodeType === 1;
-	} );
+	// Filtered directly for both simple and complex selectors
+	return jQuery.filter( qualifier, elements, not );
 }
 
 jQuery.filter = function( expr, elems, not ) {
@@ -3002,7 +3177,7 @@ var rootjQuery,
 						for ( match in context ) {
 
 							// Properties of context are called as methods if possible
-							if ( jQuery.isFunction( this[ match ] ) ) {
+							if ( isFunction( this[ match ] ) ) {
 								this[ match ]( context[ match ] );
 
 							// ...and otherwise set as attributes
@@ -3045,7 +3220,7 @@ var rootjQuery,
 
 		// HANDLE: $(function)
 		// Shortcut for document ready
-		} else if ( jQuery.isFunction( selector ) ) {
+		} else if ( isFunction( selector ) ) {
 			return root.ready !== undefined ?
 				root.ready( selector ) :
 
@@ -3167,7 +3342,7 @@ jQuery.each( {
 	parents: function( elem ) {
 		return dir( elem, "parentNode" );
 	},
-	parentsUntil: function( elem, i, until ) {
+	parentsUntil: function( elem, _i, until ) {
 		return dir( elem, "parentNode", until );
 	},
 	next: function( elem ) {
@@ -3182,10 +3357,10 @@ jQuery.each( {
 	prevAll: function( elem ) {
 		return dir( elem, "previousSibling" );
 	},
-	nextUntil: function( elem, i, until ) {
+	nextUntil: function( elem, _i, until ) {
 		return dir( elem, "nextSibling", until );
 	},
-	prevUntil: function( elem, i, until ) {
+	prevUntil: function( elem, _i, until ) {
 		return dir( elem, "previousSibling", until );
 	},
 	siblings: function( elem ) {
@@ -3195,18 +3370,24 @@ jQuery.each( {
 		return siblings( elem.firstChild );
 	},
 	contents: function( elem ) {
-        if ( nodeName( elem, "iframe" ) ) {
-            return elem.contentDocument;
-        }
-
-        // Support: IE 9 - 11 only, iOS 7 only, Android Browser <=4.3 only
-        // Treat the template element as a regular one in browsers that
-        // don't support it.
-        if ( nodeName( elem, "template" ) ) {
-            elem = elem.content || elem;
-        }
+		if ( elem.contentDocument != null &&
+
+			// Support: IE 11+
+			// <object> elements with no `data` attribute has an object
+			// `contentDocument` with a `null` prototype.
+			getProto( elem.contentDocument ) ) {
 
-        return jQuery.merge( [], elem.childNodes );
+			return elem.contentDocument;
+		}
+
+		// Support: IE 9 - 11 only, iOS 7 only, Android Browser <=4.3 only
+		// Treat the template element as a regular one in browsers that
+		// don't support it.
+		if ( nodeName( elem, "template" ) ) {
+			elem = elem.content || elem;
+		}
+
+		return jQuery.merge( [], elem.childNodes );
 	}
 }, function( name, fn ) {
 	jQuery.fn[ name ] = function( until, selector ) {
@@ -3360,11 +3541,11 @@ jQuery.Callbacks = function( options ) {
 
 					( function add( args ) {
 						jQuery.each( args, function( _, arg ) {
-							if ( jQuery.isFunction( arg ) ) {
+							if ( isFunction( arg ) ) {
 								if ( !options.unique || !self.has( arg ) ) {
 									list.push( arg );
 								}
-							} else if ( arg && arg.length && jQuery.type( arg ) !== "string" ) {
+							} else if ( arg && arg.length && toType( arg ) !== "string" ) {
 
 								// Inspect recursively
 								add( arg );
@@ -3479,11 +3660,11 @@ function adoptValue( value, resolve, rej
 	try {
 
 		// Check for promise aspect first to privilege synchronous behavior
-		if ( value && jQuery.isFunction( ( method = value.promise ) ) ) {
+		if ( value && isFunction( ( method = value.promise ) ) ) {
 			method.call( value ).done( resolve ).fail( reject );
 
 		// Other thenables
-		} else if ( value && jQuery.isFunction( ( method = value.then ) ) ) {
+		} else if ( value && isFunction( ( method = value.then ) ) ) {
 			method.call( value, resolve, reject );
 
 		// Other non-thenables
@@ -3538,17 +3719,17 @@ jQuery.extend( {
 					var fns = arguments;
 
 					return jQuery.Deferred( function( newDefer ) {
-						jQuery.each( tuples, function( i, tuple ) {
+						jQuery.each( tuples, function( _i, tuple ) {
 
 							// Map tuples (progress, done, fail) to arguments (done, fail, progress)
-							var fn = jQuery.isFunction( fns[ tuple[ 4 ] ] ) && fns[ tuple[ 4 ] ];
+							var fn = isFunction( fns[ tuple[ 4 ] ] ) && fns[ tuple[ 4 ] ];
 
 							// deferred.progress(function() { bind to newDefer or newDefer.notify })
 							// deferred.done(function() { bind to newDefer or newDefer.resolve })
 							// deferred.fail(function() { bind to newDefer or newDefer.reject })
 							deferred[ tuple[ 1 ] ]( function() {
 								var returned = fn && fn.apply( this, arguments );
-								if ( returned && jQuery.isFunction( returned.promise ) ) {
+								if ( returned && isFunction( returned.promise ) ) {
 									returned.promise()
 										.progress( newDefer.notify )
 										.done( newDefer.resolve )
@@ -3602,7 +3783,7 @@ jQuery.extend( {
 										returned.then;
 
 									// Handle a returned thenable
-									if ( jQuery.isFunction( then ) ) {
+									if ( isFunction( then ) ) {
 
 										// Special processors (notify) just wait for resolution
 										if ( special ) {
@@ -3698,7 +3879,7 @@ jQuery.extend( {
 							resolve(
 								0,
 								newDefer,
-								jQuery.isFunction( onProgress ) ?
+								isFunction( onProgress ) ?
 									onProgress :
 									Identity,
 								newDefer.notifyWith
@@ -3710,7 +3891,7 @@ jQuery.extend( {
 							resolve(
 								0,
 								newDefer,
-								jQuery.isFunction( onFulfilled ) ?
+								isFunction( onFulfilled ) ?
 									onFulfilled :
 									Identity
 							)
@@ -3721,7 +3902,7 @@ jQuery.extend( {
 							resolve(
 								0,
 								newDefer,
-								jQuery.isFunction( onRejected ) ?
+								isFunction( onRejected ) ?
 									onRejected :
 									Thrower
 							)
@@ -3761,8 +3942,15 @@ jQuery.extend( {
 					// fulfilled_callbacks.disable
 					tuples[ 3 - i ][ 2 ].disable,
 
+					// rejected_handlers.disable
+					// fulfilled_handlers.disable
+					tuples[ 3 - i ][ 3 ].disable,
+
 					// progress_callbacks.lock
-					tuples[ 0 ][ 2 ].lock
+					tuples[ 0 ][ 2 ].lock,
+
+					// progress_handlers.lock
+					tuples[ 0 ][ 3 ].lock
 				);
 			}
 
@@ -3811,8 +3999,8 @@ jQuery.extend( {
 			resolveContexts = Array( i ),
 			resolveValues = slice.call( arguments ),
 
-			// the master Deferred
-			master = jQuery.Deferred(),
+			// the primary Deferred
+			primary = jQuery.Deferred(),
 
 			// subordinate callback factory
 			updateFunc = function( i ) {
@@ -3820,30 +4008,30 @@ jQuery.extend( {
 					resolveContexts[ i ] = this;
 					resolveValues[ i ] = arguments.length > 1 ? slice.call( arguments ) : value;
 					if ( !( --remaining ) ) {
-						master.resolveWith( resolveContexts, resolveValues );
+						primary.resolveWith( resolveContexts, resolveValues );
 					}
 				};
 			};
 
 		// Single- and empty arguments are adopted like Promise.resolve
 		if ( remaining <= 1 ) {
-			adoptValue( singleValue, master.done( updateFunc( i ) ).resolve, master.reject,
+			adoptValue( singleValue, primary.done( updateFunc( i ) ).resolve, primary.reject,
 				!remaining );
 
 			// Use .then() to unwrap secondary thenables (cf. gh-3000)
-			if ( master.state() === "pending" ||
-				jQuery.isFunction( resolveValues[ i ] && resolveValues[ i ].then ) ) {
+			if ( primary.state() === "pending" ||
+				isFunction( resolveValues[ i ] && resolveValues[ i ].then ) ) {
 
-				return master.then();
+				return primary.then();
 			}
 		}
 
 		// Multiple arguments are aggregated like Promise.all array elements
 		while ( i-- ) {
-			adoptValue( resolveValues[ i ], updateFunc( i ), master.reject );
+			adoptValue( resolveValues[ i ], updateFunc( i ), primary.reject );
 		}
 
-		return master.promise();
+		return primary.promise();
 	}
 } );
 
@@ -3960,7 +4148,7 @@ var access = function( elems, fn, key, v
 		bulk = key == null;
 
 	// Sets many values
-	if ( jQuery.type( key ) === "object" ) {
+	if ( toType( key ) === "object" ) {
 		chainable = true;
 		for ( i in key ) {
 			access( elems, fn, i, key[ i ], true, emptyGet, raw );
@@ -3970,7 +4158,7 @@ var access = function( elems, fn, key, v
 	} else if ( value !== undefined ) {
 		chainable = true;
 
-		if ( !jQuery.isFunction( value ) ) {
+		if ( !isFunction( value ) ) {
 			raw = true;
 		}
 
@@ -3984,7 +4172,7 @@ var access = function( elems, fn, key, v
 			// ...except when executing function values
 			} else {
 				bulk = fn;
-				fn = function( elem, key, value ) {
+				fn = function( elem, _key, value ) {
 					return bulk.call( jQuery( elem ), value );
 				};
 			}
@@ -3994,8 +4182,8 @@ var access = function( elems, fn, key, v
 			for ( ; i < len; i++ ) {
 				fn(
 					elems[ i ], key, raw ?
-					value :
-					value.call( elems[ i ], i, fn( elems[ i ], key ) )
+						value :
+						value.call( elems[ i ], i, fn( elems[ i ], key ) )
 				);
 			}
 		}
@@ -4012,6 +4200,23 @@ var access = function( elems, fn, key, v
 
 	return len ? fn( elems[ 0 ], key ) : emptyGet;
 };
+
+
+// Matches dashed string for camelizing
+var rmsPrefix = /^-ms-/,
+	rdashAlpha = /-([a-z])/g;
+
+// Used by camelCase as callback to replace()
+function fcamelCase( _all, letter ) {
+	return letter.toUpperCase();
+}
+
+// Convert dashed to camelCase; used by the css and data modules
+// Support: IE <=9 - 11, Edge 12 - 15
+// Microsoft forgot to hump their vendor prefix (#9572)
+function camelCase( string ) {
+	return string.replace( rmsPrefix, "ms-" ).replace( rdashAlpha, fcamelCase );
+}
 var acceptData = function( owner ) {
 
 	// Accepts only:
@@ -4074,14 +4279,14 @@ Data.prototype = {
 		// Handle: [ owner, key, value ] args
 		// Always use camelCase key (gh-2257)
 		if ( typeof data === "string" ) {
-			cache[ jQuery.camelCase( data ) ] = value;
+			cache[ camelCase( data ) ] = value;
 
 		// Handle: [ owner, { properties } ] args
 		} else {
 
 			// Copy the properties one-by-one to the cache object
 			for ( prop in data ) {
-				cache[ jQuery.camelCase( prop ) ] = data[ prop ];
+				cache[ camelCase( prop ) ] = data[ prop ];
 			}
 		}
 		return cache;
@@ -4091,7 +4296,7 @@ Data.prototype = {
 			this.cache( owner ) :
 
 			// Always use camelCase key (gh-2257)
-			owner[ this.expando ] && owner[ this.expando ][ jQuery.camelCase( key ) ];
+			owner[ this.expando ] && owner[ this.expando ][ camelCase( key ) ];
 	},
 	access: function( owner, key, value ) {
 
@@ -4139,9 +4344,9 @@ Data.prototype = {
 
 				// If key is an array of keys...
 				// We always set camelCase keys, so remove that.
-				key = key.map( jQuery.camelCase );
+				key = key.map( camelCase );
 			} else {
-				key = jQuery.camelCase( key );
+				key = camelCase( key );
 
 				// If a key with the spaces exists, use it.
 				// Otherwise, create an array by matching non-whitespace
@@ -4287,7 +4492,7 @@ jQuery.fn.extend( {
 						if ( attrs[ i ] ) {
 							name = attrs[ i ].name;
 							if ( name.indexOf( "data-" ) === 0 ) {
-								name = jQuery.camelCase( name.slice( 5 ) );
+								name = camelCase( name.slice( 5 ) );
 								dataAttr( elem, name, data[ name ] );
 							}
 						}
@@ -4491,6 +4696,26 @@ var rcssNum = new RegExp( "^(?:([+-])=|)
 
 var cssExpand = [ "Top", "Right", "Bottom", "Left" ];
 
+var documentElement = document.documentElement;
+
+
+
+	var isAttached = function( elem ) {
+			return jQuery.contains( elem.ownerDocument, elem );
+		},
+		composed = { composed: true };
+
+	// Support: IE 9 - 11+, Edge 12 - 18+, iOS 10.0 - 10.2 only
+	// Check attachment across shadow DOM boundaries when possible (gh-3504)
+	// Support: iOS 10.0-10.2 only
+	// Early iOS 10 versions support `attachShadow` but not `getRootNode`,
+	// leading to errors. We need to check for `getRootNode`.
+	if ( documentElement.getRootNode ) {
+		isAttached = function( elem ) {
+			return jQuery.contains( elem.ownerDocument, elem ) ||
+				elem.getRootNode( composed ) === elem.ownerDocument;
+		};
+	}
 var isHiddenWithinTree = function( elem, el ) {
 
 		// isHiddenWithinTree might be called from jQuery#filter function;
@@ -4505,37 +4730,15 @@ var isHiddenWithinTree = function( elem,
 			// Support: Firefox <=43 - 45
 			// Disconnected elements can have computed display: none, so first confirm that elem is
 			// in the document.
-			jQuery.contains( elem.ownerDocument, elem ) &&
+			isAttached( elem ) &&
 
 			jQuery.css( elem, "display" ) === "none";
 	};
 
-var swap = function( elem, options, callback, args ) {
-	var ret, name,
-		old = {};
-
-	// Remember the old values, and insert the new ones
-	for ( name in options ) {
-		old[ name ] = elem.style[ name ];
-		elem.style[ name ] = options[ name ];
-	}
-
-	ret = callback.apply( elem, args || [] );
-
-	// Revert the old values
-	for ( name in options ) {
-		elem.style[ name ] = old[ name ];
-	}
-
-	return ret;
-};
-
-
 
 
 function adjustCSS( elem, prop, valueParts, tween ) {
-	var adjusted,
-		scale = 1,
+	var adjusted, scale,
 		maxIterations = 20,
 		currentValue = tween ?
 			function() {
@@ -4548,35 +4751,39 @@ function adjustCSS( elem, prop, valuePar
 		unit = valueParts && valueParts[ 3 ] || ( jQuery.cssNumber[ prop ] ? "" : "px" ),
 
 		// Starting value computation is required for potential unit mismatches
-		initialInUnit = ( jQuery.cssNumber[ prop ] || unit !== "px" && +initial ) &&
+		initialInUnit = elem.nodeType &&
+			( jQuery.cssNumber[ prop ] || unit !== "px" && +initial ) &&
 			rcssNum.exec( jQuery.css( elem, prop ) );
 
 	if ( initialInUnit && initialInUnit[ 3 ] !== unit ) {
 
+		// Support: Firefox <=54
+		// Halve the iteration target value to prevent interference from CSS upper bounds (gh-2144)
+		initial = initial / 2;
+
 		// Trust units reported by jQuery.css
 		unit = unit || initialInUnit[ 3 ];
 
-		// Make sure we update the tween properties later on
-		valueParts = valueParts || [];
-
 		// Iteratively approximate from a nonzero starting point
 		initialInUnit = +initial || 1;
 
-		do {
-
-			// If previous iteration zeroed out, double until we get *something*.
-			// Use string for doubling so we don't accidentally see scale as unchanged below
-			scale = scale || ".5";
+		while ( maxIterations-- ) {
 
-			// Adjust and apply
-			initialInUnit = initialInUnit / scale;
+			// Evaluate and update our best guess (doubling guesses that zero out).
+			// Finish if the scale equals or crosses 1 (making the old*new product non-positive).
 			jQuery.style( elem, prop, initialInUnit + unit );
+			if ( ( 1 - scale ) * ( 1 - ( scale = currentValue() / initial || 0.5 ) ) <= 0 ) {
+				maxIterations = 0;
+			}
+			initialInUnit = initialInUnit / scale;
 
-		// Update scale, tolerating zero or NaN from tween.cur()
-		// Break the loop if scale is unchanged or perfect, or if we've just had enough.
-		} while (
-			scale !== ( scale = currentValue() / initial ) && scale !== 1 && --maxIterations
-		);
+		}
+
+		initialInUnit = initialInUnit * 2;
+		jQuery.style( elem, prop, initialInUnit + unit );
+
+		// Make sure we update the tween properties later on
+		valueParts = valueParts || [];
 	}
 
 	if ( valueParts ) {
@@ -4692,17 +4899,46 @@ jQuery.fn.extend( {
 } );
 var rcheckableType = ( /^(?:checkbox|radio)$/i );
 
-var rtagName = ( /<([a-z][^\/\0>\x20\t\r\n\f]+)/i );
+var rtagName = ( /<([a-z][^\/\0>\x20\t\r\n\f]*)/i );
 
-var rscriptType = ( /^$|\/(?:java|ecma)script/i );
+var rscriptType = ( /^$|^module$|\/(?:java|ecma)script/i );
 
 
 
-// We have to close these tags to support XHTML (#13200)
-var wrapMap = {
+( function() {
+	var fragment = document.createDocumentFragment(),
+		div = fragment.appendChild( document.createElement( "div" ) ),
+		input = document.createElement( "input" );
+
+	// Support: Android 4.0 - 4.3 only
+	// Check state lost if the name is set (#11217)
+	// Support: Windows Web Apps (WWA)
+	// `name` and `type` must use .setAttribute for WWA (#14901)
+	input.setAttribute( "type", "radio" );
+	input.setAttribute( "checked", "checked" );
+	input.setAttribute( "name", "t" );
+
+	div.appendChild( input );
+
+	// Support: Android <=4.1 only
+	// Older WebKit doesn't clone checked state correctly in fragments
+	support.checkClone = div.cloneNode( true ).cloneNode( true ).lastChild.checked;
+
+	// Support: IE <=11 only
+	// Make sure textarea (and checkbox) defaultValue is properly cloned
+	div.innerHTML = "<textarea>x</textarea>";
+	support.noCloneChecked = !!div.cloneNode( true ).lastChild.defaultValue;
 
 	// Support: IE <=9 only
-	option: [ 1, "<select multiple='multiple'>", "</select>" ],
+	// IE <=9 replaces <option> tags with their contents when inserted outside of
+	// the select element.
+	div.innerHTML = "<option></option>";
+	support.option = !!div.lastChild;
+} )();
+
+
+// We have to close these tags to support XHTML (#13200)
+var wrapMap = {
 
 	// XHTML parsers do not magically insert elements in the
 	// same way that tag soup parsers do. So we cannot shorten
@@ -4715,12 +4951,14 @@ var wrapMap = {
 	_default: [ 0, "", "" ]
 };
 
-// Support: IE <=9 only
-wrapMap.optgroup = wrapMap.option;
-
 wrapMap.tbody = wrapMap.tfoot = wrapMap.colgroup = wrapMap.caption = wrapMap.thead;
 wrapMap.th = wrapMap.td;
 
+// Support: IE <=9 only
+if ( !support.option ) {
+	wrapMap.optgroup = wrapMap.option = [ 1, "<select multiple='multiple'>", "</select>" ];
+}
+
 
 function getAll( context, tag ) {
 
@@ -4764,7 +5002,7 @@ function setGlobalEval( elems, refElemen
 var rhtml = /<|&#?\w+;/;
 
 function buildFragment( elems, context, scripts, selection, ignored ) {
-	var elem, tmp, tag, wrap, contains, j,
+	var elem, tmp, tag, wrap, attached, j,
 		fragment = context.createDocumentFragment(),
 		nodes = [],
 		i = 0,
@@ -4776,7 +5014,7 @@ function buildFragment( elems, context,
 		if ( elem || elem === 0 ) {
 
 			// Add nodes directly
-			if ( jQuery.type( elem ) === "object" ) {
+			if ( toType( elem ) === "object" ) {
 
 				// Support: Android <=4.0 only, PhantomJS 1 only
 				// push.apply(_, arraylike) throws on ancient WebKit
@@ -4828,13 +5066,13 @@ function buildFragment( elems, context,
 			continue;
 		}
 
-		contains = jQuery.contains( elem.ownerDocument, elem );
+		attached = isAttached( elem );
 
 		// Append to fragment
 		tmp = getAll( fragment.appendChild( elem ), "script" );
 
 		// Preserve script evaluation history
-		if ( contains ) {
+		if ( attached ) {
 			setGlobalEval( tmp );
 		}
 
@@ -4853,38 +5091,7 @@ function buildFragment( elems, context,
 }
 
 
-( function() {
-	var fragment = document.createDocumentFragment(),
-		div = fragment.appendChild( document.createElement( "div" ) ),
-		input = document.createElement( "input" );
-
-	// Support: Android 4.0 - 4.3 only
-	// Check state lost if the name is set (#11217)
-	// Support: Windows Web Apps (WWA)
-	// `name` and `type` must use .setAttribute for WWA (#14901)
-	input.setAttribute( "type", "radio" );
-	input.setAttribute( "checked", "checked" );
-	input.setAttribute( "name", "t" );
-
-	div.appendChild( input );
-
-	// Support: Android <=4.1 only
-	// Older WebKit doesn't clone checked state correctly in fragments
-	support.checkClone = div.cloneNode( true ).cloneNode( true ).lastChild.checked;
-
-	// Support: IE <=11 only
-	// Make sure textarea (and checkbox) defaultValue is properly cloned
-	div.innerHTML = "<textarea>x</textarea>";
-	support.noCloneChecked = !!div.cloneNode( true ).lastChild.defaultValue;
-} )();
-var documentElement = document.documentElement;
-
-
-
-var
-	rkeyEvent = /^key/,
-	rmouseEvent = /^(?:mouse|pointer|contextmenu|drag|drop)|click/,
-	rtypenamespace = /^([^.]*)(?:\.(.+)|)/;
+var rtypenamespace = /^([^.]*)(?:\.(.+)|)/;
 
 function returnTrue() {
 	return true;
@@ -4894,8 +5101,19 @@ function returnFalse() {
 	return false;
 }
 
+// Support: IE <=9 - 11+
+// focus() and blur() are asynchronous, except when they are no-op.
+// So expect focus to be synchronous when the element is already active,
+// and blur to be synchronous when the element is not already active.
+// (focus and blur are always synchronous in other supported browsers,
+// this just defines when we can count on it).
+function expectSync( elem, type ) {
+	return ( elem === safeActiveElement() ) === ( type === "focus" );
+}
+
 // Support: IE <=9 only
-// See #13393 for more info
+// Accessing document.activeElement can throw unexpectedly
+// https://bugs.jquery.com/ticket/13393
 function safeActiveElement() {
 	try {
 		return document.activeElement;
@@ -4978,8 +5196,8 @@ jQuery.event = {
 			special, handlers, type, namespaces, origType,
 			elemData = dataPriv.get( elem );
 
-		// Don't attach events to noData or text/comment nodes (but allow plain objects)
-		if ( !elemData ) {
+		// Only attach events to objects that accept data
+		if ( !acceptData( elem ) ) {
 			return;
 		}
 
@@ -5003,7 +5221,7 @@ jQuery.event = {
 
 		// Init the element's event structure and main handler, if this is the first
 		if ( !( events = elemData.events ) ) {
-			events = elemData.events = {};
+			events = elemData.events = Object.create( null );
 		}
 		if ( !( eventHandle = elemData.handle ) ) {
 			eventHandle = elemData.handle = function( e ) {
@@ -5161,12 +5379,15 @@ jQuery.event = {
 
 	dispatch: function( nativeEvent ) {
 
-		// Make a writable jQuery.Event from the native event object
-		var event = jQuery.event.fix( nativeEvent );
-
 		var i, j, ret, matched, handleObj, handlerQueue,
 			args = new Array( arguments.length ),
-			handlers = ( dataPriv.get( this, "events" ) || {} )[ event.type ] || [],
+
+			// Make a writable jQuery.Event from the native event object
+			event = jQuery.event.fix( nativeEvent ),
+
+			handlers = (
+				dataPriv.get( this, "events" ) || Object.create( null )
+			)[ event.type ] || [],
 			special = jQuery.event.special[ event.type ] || {};
 
 		// Use the fix-ed jQuery.Event rather than the (read-only) native event
@@ -5195,9 +5416,10 @@ jQuery.event = {
 			while ( ( handleObj = matched.handlers[ j++ ] ) &&
 				!event.isImmediatePropagationStopped() ) {
 
-				// Triggered event must either 1) have no namespace, or 2) have namespace(s)
-				// a subset or equal to those in the bound event (both can have no namespace).
-				if ( !event.rnamespace || event.rnamespace.test( handleObj.namespace ) ) {
+				// If the event is namespaced, then each handler is only invoked if it is
+				// specially universal or its namespaces are a superset of the event's.
+				if ( !event.rnamespace || handleObj.namespace === false ||
+					event.rnamespace.test( handleObj.namespace ) ) {
 
 					event.handleObj = handleObj;
 					event.data = handleObj.data;
@@ -5286,15 +5508,15 @@ jQuery.event = {
 			enumerable: true,
 			configurable: true,
 
-			get: jQuery.isFunction( hook ) ?
+			get: isFunction( hook ) ?
 				function() {
 					if ( this.originalEvent ) {
-							return hook( this.originalEvent );
+						return hook( this.originalEvent );
 					}
 				} :
 				function() {
 					if ( this.originalEvent ) {
-							return this.originalEvent[ name ];
+						return this.originalEvent[ name ];
 					}
 				},
 
@@ -5321,39 +5543,51 @@ jQuery.event = {
 			// Prevent triggered image.load events from bubbling to window.load
 			noBubble: true
 		},
-		focus: {
+		click: {
 
-			// Fire native event if possible so blur/focus sequence is correct
-			trigger: function() {
-				if ( this !== safeActiveElement() && this.focus ) {
-					this.focus();
-					return false;
-				}
-			},
-			delegateType: "focusin"
-		},
-		blur: {
-			trigger: function() {
-				if ( this === safeActiveElement() && this.blur ) {
-					this.blur();
-					return false;
+			// Utilize native event to ensure correct state for checkable inputs
+			setup: function( data ) {
+
+				// For mutual compressibility with _default, replace `this` access with a local var.
+				// `|| data` is dead code meant only to preserve the variable through minification.
+				var el = this || data;
+
+				// Claim the first handler
+				if ( rcheckableType.test( el.type ) &&
+					el.click && nodeName( el, "input" ) ) {
+
+					// dataPriv.set( el, "click", ... )
+					leverageNative( el, "click", returnTrue );
 				}
+
+				// Return false to allow normal processing in the caller
+				return false;
 			},
-			delegateType: "focusout"
-		},
-		click: {
+			trigger: function( data ) {
 
-			// For checkbox, fire native event so checked state will be right
-			trigger: function() {
-				if ( this.type === "checkbox" && this.click && nodeName( this, "input" ) ) {
-					this.click();
-					return false;
+				// For mutual compressibility with _default, replace `this` access with a local var.
+				// `|| data` is dead code meant only to preserve the variable through minification.
+				var el = this || data;
+
+				// Force setup before triggering a click
+				if ( rcheckableType.test( el.type ) &&
+					el.click && nodeName( el, "input" ) ) {
+
+					leverageNative( el, "click" );
 				}
+
+				// Return non-false to allow normal event-path propagation
+				return true;
 			},
 
-			// For cross-browser consistency, don't fire native .click() on links
+			// For cross-browser consistency, suppress native .click() on links
+			// Also prevent it if we're currently inside a leveraged native-event stack
 			_default: function( event ) {
-				return nodeName( event.target, "a" );
+				var target = event.target;
+				return rcheckableType.test( target.type ) &&
+					target.click && nodeName( target, "input" ) &&
+					dataPriv.get( target, "click" ) ||
+					nodeName( target, "a" );
 			}
 		},
 
@@ -5370,6 +5604,99 @@ jQuery.event = {
 	}
 };
 
+// Ensure the presence of an event listener that handles manually-triggered
+// synthetic events by interrupting progress until reinvoked in response to
+// *native* events that it fires directly, ensuring that state changes have
+// already occurred before other listeners are invoked.
+function leverageNative( el, type, expectSync ) {
+
+	// Missing expectSync indicates a trigger call, which must force setup through jQuery.event.add
+	if ( !expectSync ) {
+		if ( dataPriv.get( el, type ) === undefined ) {
+			jQuery.event.add( el, type, returnTrue );
+		}
+		return;
+	}
+
+	// Register the controller as a special universal handler for all event namespaces
+	dataPriv.set( el, type, false );
+	jQuery.event.add( el, type, {
+		namespace: false,
+		handler: function( event ) {
+			var notAsync, result,
+				saved = dataPriv.get( this, type );
+
+			if ( ( event.isTrigger & 1 ) && this[ type ] ) {
+
+				// Interrupt processing of the outer synthetic .trigger()ed event
+				// Saved data should be false in such cases, but might be a leftover capture object
+				// from an async native handler (gh-4350)
+				if ( !saved.length ) {
+
+					// Store arguments for use when handling the inner native event
+					// There will always be at least one argument (an event object), so this array
+					// will not be confused with a leftover capture object.
+					saved = slice.call( arguments );
+					dataPriv.set( this, type, saved );
+
+					// Trigger the native event and capture its result
+					// Support: IE <=9 - 11+
+					// focus() and blur() are asynchronous
+					notAsync = expectSync( this, type );
+					this[ type ]();
+					result = dataPriv.get( this, type );
+					if ( saved !== result || notAsync ) {
+						dataPriv.set( this, type, false );
+					} else {
+						result = {};
+					}
+					if ( saved !== result ) {
+
+						// Cancel the outer synthetic event
+						event.stopImmediatePropagation();
+						event.preventDefault();
+
+						// Support: Chrome 86+
+						// In Chrome, if an element having a focusout handler is blurred by
+						// clicking outside of it, it invokes the handler synchronously. If
+						// that handler calls `.remove()` on the element, the data is cleared,
+						// leaving `result` undefined. We need to guard against this.
+						return result && result.value;
+					}
+
+				// If this is an inner synthetic event for an event with a bubbling surrogate
+				// (focus or blur), assume that the surrogate already propagated from triggering the
+				// native event and prevent that from happening again here.
+				// This technically gets the ordering wrong w.r.t. to `.trigger()` (in which the
+				// bubbling surrogate propagates *after* the non-bubbling base), but that seems
+				// less bad than duplication.
+				} else if ( ( jQuery.event.special[ type ] || {} ).delegateType ) {
+					event.stopPropagation();
+				}
+
+			// If this is a native event triggered above, everything is now in order
+			// Fire an inner synthetic event with the original arguments
+			} else if ( saved.length ) {
+
+				// ...and capture the result
+				dataPriv.set( this, type, {
+					value: jQuery.event.trigger(
+
+						// Support: IE <=9 - 11+
+						// Extend with the prototype to reset the above stopImmediatePropagation()
+						jQuery.extend( saved[ 0 ], jQuery.Event.prototype ),
+						saved.slice( 1 ),
+						this
+					)
+				} );
+
+				// Abort handling of the native event
+				event.stopImmediatePropagation();
+			}
+		}
+	} );
+}
+
 jQuery.removeEvent = function( elem, type, handle ) {
 
 	// This "if" is needed for plain objects
@@ -5421,7 +5748,7 @@ jQuery.Event = function( src, props ) {
 	}
 
 	// Create a timestamp if incoming event doesn't have one
-	this.timeStamp = src && src.timeStamp || jQuery.now();
+	this.timeStamp = src && src.timeStamp || Date.now();
 
 	// Mark it as fixed
 	this[ jQuery.expando ] = true;
@@ -5482,6 +5809,7 @@ jQuery.each( {
 	shiftKey: true,
 	view: true,
 	"char": true,
+	code: true,
 	charCode: true,
 	key: true,
 	keyCode: true,
@@ -5498,35 +5826,41 @@ jQuery.each( {
 	targetTouches: true,
 	toElement: true,
 	touches: true,
+	which: true
+}, jQuery.event.addProp );
 
-	which: function( event ) {
-		var button = event.button;
+jQuery.each( { focus: "focusin", blur: "focusout" }, function( type, delegateType ) {
+	jQuery.event.special[ type ] = {
 
-		// Add which for key events
-		if ( event.which == null && rkeyEvent.test( event.type ) ) {
-			return event.charCode != null ? event.charCode : event.keyCode;
-		}
+		// Utilize native event if possible so blur/focus sequence is correct
+		setup: function() {
 
-		// Add which for click: 1 === left; 2 === middle; 3 === right
-		if ( !event.which && button !== undefined && rmouseEvent.test( event.type ) ) {
-			if ( button & 1 ) {
-				return 1;
-			}
+			// Claim the first handler
+			// dataPriv.set( this, "focus", ... )
+			// dataPriv.set( this, "blur", ... )
+			leverageNative( this, type, expectSync );
 
-			if ( button & 2 ) {
-				return 3;
-			}
+			// Return false to allow normal processing in the caller
+			return false;
+		},
+		trigger: function() {
 
-			if ( button & 4 ) {
-				return 2;
-			}
+			// Force setup before trigger
+			leverageNative( this, type );
 
-			return 0;
-		}
+			// Return non-false to allow normal event-path propagation
+			return true;
+		},
 
-		return event.which;
-	}
-}, jQuery.event.addProp );
+		// Suppress native focus or blur as it's already being fired
+		// in leverageNative.
+		_default: function() {
+			return true;
+		},
+
+		delegateType: delegateType
+	};
+} );
 
 // Create mouseenter/leave events using mouseover/out and event-time checks
 // so that event delegation works in jQuery.
@@ -5613,21 +5947,13 @@ jQuery.fn.extend( {
 
 var
 
-	/* eslint-disable max-len */
-
-	// See https://github.com/eslint/eslint/issues/3229
-	rxhtmlTag = /<(?!area|br|col|embed|hr|img|input|link|meta|param)(([a-z][^\/\0>\x20\t\r\n\f]*)[^>]*)\/>/gi,
-
-	/* eslint-enable */
-
-	// Support: IE <=10 - 11, Edge 12 - 13
+	// Support: IE <=10 - 11, Edge 12 - 13 only
 	// In IE/Edge using regex groups here causes severe slowdowns.
 	// See https://connect.microsoft.com/IE/feedback/details/1736512/
 	rnoInnerhtml = /<script|<style|<link/i,
 
 	// checked="checked" or checked
 	rchecked = /checked\s*(?:[^=]|=\s*.checked.)/i,
-	rscriptTypeMasked = /^true\/(.*)/,
 	rcleanScript = /^\s*<!(?:\[CDATA\[|--)|(?:\]\]|--)>\s*$/g;
 
 // Prefer a tbody over its parent table for containing new rows
@@ -5635,7 +5961,7 @@ function manipulationTarget( elem, conte
 	if ( nodeName( elem, "table" ) &&
 		nodeName( content.nodeType !== 11 ? content : content.firstChild, "tr" ) ) {
 
-		return jQuery( ">tbody", elem )[ 0 ] || elem;
+		return jQuery( elem ).children( "tbody" )[ 0 ] || elem;
 	}
 
 	return elem;
@@ -5647,10 +5973,8 @@ function disableScript( elem ) {
 	return elem;
 }
 function restoreScript( elem ) {
-	var match = rscriptTypeMasked.exec( elem.type );
-
-	if ( match ) {
-		elem.type = match[ 1 ];
+	if ( ( elem.type || "" ).slice( 0, 5 ) === "true/" ) {
+		elem.type = elem.type.slice( 5 );
 	} else {
 		elem.removeAttribute( "type" );
 	}
@@ -5659,7 +5983,7 @@ function restoreScript( elem ) {
 }
 
 function cloneCopyEvent( src, dest ) {
-	var i, l, type, pdataOld, pdataCur, udataOld, udataCur, events;
+	var i, l, type, pdataOld, udataOld, udataCur, events;
 
 	if ( dest.nodeType !== 1 ) {
 		return;
@@ -5667,13 +5991,11 @@ function cloneCopyEvent( src, dest ) {
 
 	// 1. Copy private data: events, handlers, etc.
 	if ( dataPriv.hasData( src ) ) {
-		pdataOld = dataPriv.access( src );
-		pdataCur = dataPriv.set( dest, pdataOld );
+		pdataOld = dataPriv.get( src );
 		events = pdataOld.events;
 
 		if ( events ) {
-			delete pdataCur.handle;
-			pdataCur.events = {};
+			dataPriv.remove( dest, "handle events" );
 
 			for ( type in events ) {
 				for ( i = 0, l = events[ type ].length; i < l; i++ ) {
@@ -5709,22 +6031,22 @@ function fixInput( src, dest ) {
 function domManip( collection, args, callback, ignored ) {
 
 	// Flatten any nested arrays
-	args = concat.apply( [], args );
+	args = flat( args );
 
 	var fragment, first, scripts, hasScripts, node, doc,
 		i = 0,
 		l = collection.length,
 		iNoClone = l - 1,
 		value = args[ 0 ],
-		isFunction = jQuery.isFunction( value );
+		valueIsFunction = isFunction( value );
 
 	// We can't cloneNode fragments that contain checked, in WebKit
-	if ( isFunction ||
+	if ( valueIsFunction ||
 			( l > 1 && typeof value === "string" &&
 				!support.checkClone && rchecked.test( value ) ) ) {
 		return collection.each( function( index ) {
 			var self = collection.eq( index );
-			if ( isFunction ) {
+			if ( valueIsFunction ) {
 				args[ 0 ] = value.call( this, index, self.html() );
 			}
 			domManip( self, args, callback, ignored );
@@ -5778,14 +6100,16 @@ function domManip( collection, args, cal
 						!dataPriv.access( node, "globalEval" ) &&
 						jQuery.contains( doc, node ) ) {
 
-						if ( node.src ) {
+						if ( node.src && ( node.type || "" ).toLowerCase()  !== "module" ) {
 
 							// Optional AJAX dependency, but won't run scripts if not present
-							if ( jQuery._evalUrl ) {
-								jQuery._evalUrl( node.src );
+							if ( jQuery._evalUrl && !node.noModule ) {
+								jQuery._evalUrl( node.src, {
+									nonce: node.nonce || node.getAttribute( "nonce" )
+								}, doc );
 							}
 						} else {
-							DOMEval( node.textContent.replace( rcleanScript, "" ), doc );
+							DOMEval( node.textContent.replace( rcleanScript, "" ), node, doc );
 						}
 					}
 				}
@@ -5807,7 +6131,7 @@ function remove( elem, selector, keepDat
 		}
 
 		if ( node.parentNode ) {
-			if ( keepData && jQuery.contains( node.ownerDocument, node ) ) {
+			if ( keepData && isAttached( node ) ) {
 				setGlobalEval( getAll( node, "script" ) );
 			}
 			node.parentNode.removeChild( node );
@@ -5819,13 +6143,13 @@ function remove( elem, selector, keepDat
 
 jQuery.extend( {
 	htmlPrefilter: function( html ) {
-		return html.replace( rxhtmlTag, "<$1></$2>" );
+		return html;
 	},
 
 	clone: function( elem, dataAndEvents, deepDataAndEvents ) {
 		var i, l, srcElements, destElements,
 			clone = elem.cloneNode( true ),
-			inPage = jQuery.contains( elem.ownerDocument, elem );
+			inPage = isAttached( elem );
 
 		// Fix IE cloning issues
 		if ( !support.noCloneChecked && ( elem.nodeType === 1 || elem.nodeType === 11 ) &&
@@ -6065,8 +6389,6 @@ jQuery.each( {
 		return this.pushStack( ret );
 	};
 } );
-var rmargin = ( /^margin/ );
-
 var rnumnonpx = new RegExp( "^(" + pnum + ")(?!px)[a-z%]+$", "i" );
 
 var getStyles = function( elem ) {
@@ -6083,6 +6405,29 @@ var getStyles = function( elem ) {
 		return view.getComputedStyle( elem );
 	};
 
+var swap = function( elem, options, callback ) {
+	var ret, name,
+		old = {};
+
+	// Remember the old values, and insert the new ones
+	for ( name in options ) {
+		old[ name ] = elem.style[ name ];
+		elem.style[ name ] = options[ name ];
+	}
+
+	ret = callback.call( elem );
+
+	// Revert the old values
+	for ( name in options ) {
+		elem.style[ name ] = old[ name ];
+	}
+
+	return ret;
+};
+
+
+var rboxStyle = new RegExp( cssExpand.join( "|" ), "i" );
+
 
 
 ( function() {
@@ -6096,25 +6441,35 @@ var getStyles = function( elem ) {
 			return;
 		}
 
+		container.style.cssText = "position:absolute;left:-11111px;width:60px;" +
+			"margin-top:1px;padding:0;border:0";
 		div.style.cssText =
-			"box-sizing:border-box;" +
-			"position:relative;display:block;" +
+			"position:relative;display:block;box-sizing:border-box;overflow:scroll;" +
 			"margin:auto;border:1px;padding:1px;" +
-			"top:1%;width:50%";
-		div.innerHTML = "";
-		documentElement.appendChild( container );
+			"width:60%;top:1%";
+		documentElement.appendChild( container ).appendChild( div );
 
 		var divStyle = window.getComputedStyle( div );
 		pixelPositionVal = divStyle.top !== "1%";
 
 		// Support: Android 4.0 - 4.3 only, Firefox <=3 - 44
-		reliableMarginLeftVal = divStyle.marginLeft === "2px";
-		boxSizingReliableVal = divStyle.width === "4px";
+		reliableMarginLeftVal = roundPixelMeasures( divStyle.marginLeft ) === 12;
 
-		// Support: Android 4.0 - 4.3 only
+		// Support: Android 4.0 - 4.3 only, Safari <=9.1 - 10.1, iOS <=7.0 - 9.3
 		// Some styles come back with percentage values, even though they shouldn't
-		div.style.marginRight = "50%";
-		pixelMarginRightVal = divStyle.marginRight === "4px";
+		div.style.right = "60%";
+		pixelBoxStylesVal = roundPixelMeasures( divStyle.right ) === 36;
+
+		// Support: IE 9 - 11 only
+		// Detect misreporting of content dimensions for box-sizing:border-box elements
+		boxSizingReliableVal = roundPixelMeasures( divStyle.width ) === 36;
+
+		// Support: IE 9 only
+		// Detect overflow:scroll screwiness (gh-3699)
+		// Support: Chrome <=64
+		// Don't get tricked when zoom affects offsetWidth (gh-4029)
+		div.style.position = "absolute";
+		scrollboxSizeVal = roundPixelMeasures( div.offsetWidth / 3 ) === 12;
 
 		documentElement.removeChild( container );
 
@@ -6123,7 +6478,12 @@ var getStyles = function( elem ) {
 		div = null;
 	}
 
-	var pixelPositionVal, boxSizingReliableVal, pixelMarginRightVal, reliableMarginLeftVal,
+	function roundPixelMeasures( measure ) {
+		return Math.round( parseFloat( measure ) );
+	}
+
+	var pixelPositionVal, boxSizingReliableVal, scrollboxSizeVal, pixelBoxStylesVal,
+		reliableTrDimensionsVal, reliableMarginLeftVal,
 		container = document.createElement( "div" ),
 		div = document.createElement( "div" );
 
@@ -6138,26 +6498,74 @@ var getStyles = function( elem ) {
 	div.cloneNode( true ).style.backgroundClip = "";
 	support.clearCloneStyle = div.style.backgroundClip === "content-box";
 
-	container.style.cssText = "border:0;width:8px;height:0;top:0;left:-9999px;" +
-		"padding:0;margin-top:1px;position:absolute";
-	container.appendChild( div );
-
 	jQuery.extend( support, {
-		pixelPosition: function() {
-			computeStyleTests();
-			return pixelPositionVal;
-		},
 		boxSizingReliable: function() {
 			computeStyleTests();
 			return boxSizingReliableVal;
 		},
-		pixelMarginRight: function() {
+		pixelBoxStyles: function() {
 			computeStyleTests();
-			return pixelMarginRightVal;
+			return pixelBoxStylesVal;
+		},
+		pixelPosition: function() {
+			computeStyleTests();
+			return pixelPositionVal;
 		},
 		reliableMarginLeft: function() {
 			computeStyleTests();
 			return reliableMarginLeftVal;
+		},
+		scrollboxSize: function() {
+			computeStyleTests();
+			return scrollboxSizeVal;
+		},
+
+		// Support: IE 9 - 11+, Edge 15 - 18+
+		// IE/Edge misreport `getComputedStyle` of table rows with width/height
+		// set in CSS while `offset*` properties report correct values.
+		// Behavior in IE 9 is more subtle than in newer versions & it passes
+		// some versions of this test; make sure not to make it pass there!
+		//
+		// Support: Firefox 70+
+		// Only Firefox includes border widths
+		// in computed dimensions. (gh-4529)
+		reliableTrDimensions: function() {
+			var table, tr, trChild, trStyle;
+			if ( reliableTrDimensionsVal == null ) {
+				table = document.createElement( "table" );
+				tr = document.createElement( "tr" );
+				trChild = document.createElement( "div" );
+
+				table.style.cssText = "position:absolute;left:-11111px;border-collapse:separate";
+				tr.style.cssText = "border:1px solid";
+
+				// Support: Chrome 86+
+				// Height set through cssText does not get applied.
+				// Computed height then comes back as 0.
+				tr.style.height = "1px";
+				trChild.style.height = "9px";
+
+				// Support: Android 8 Chrome 86+
+				// In our bodyBackground.html iframe,
+				// display for all div elements is set to "inline",
+				// which causes a problem only in Android 8 Chrome 86.
+				// Ensuring the div is display: block
+				// gets around this issue.
+				trChild.style.display = "block";
+
+				documentElement
+					.appendChild( table )
+					.appendChild( tr )
+					.appendChild( trChild );
+
+				trStyle = window.getComputedStyle( tr );
+				reliableTrDimensionsVal = ( parseInt( trStyle.height, 10 ) +
+					parseInt( trStyle.borderTopWidth, 10 ) +
+					parseInt( trStyle.borderBottomWidth, 10 ) ) === tr.offsetHeight;
+
+				documentElement.removeChild( table );
+			}
+			return reliableTrDimensionsVal;
 		}
 	} );
 } )();
@@ -6180,7 +6588,7 @@ function curCSS( elem, name, computed )
 	if ( computed ) {
 		ret = computed.getPropertyValue( name ) || computed[ name ];
 
-		if ( ret === "" && !jQuery.contains( elem.ownerDocument, elem ) ) {
+		if ( ret === "" && !isAttached( elem ) ) {
 			ret = jQuery.style( elem, name );
 		}
 
@@ -6189,7 +6597,7 @@ function curCSS( elem, name, computed )
 		// but width seems to be reliably pixels.
 		// This is against the CSSOM draft spec:
 		// https://drafts.csswg.org/cssom/#resolved-values
-		if ( !support.pixelMarginRight() && rnumnonpx.test( ret ) && rmargin.test( name ) ) {
+		if ( !support.pixelBoxStyles() && rnumnonpx.test( ret ) && rboxStyle.test( name ) ) {
 
 			// Remember the original values
 			width = style.width;
@@ -6236,30 +6644,13 @@ function addGetHookIf( conditionFn, hook
 }
 
 
-var
-
-	// Swappable if display is none or starts with table
-	// except "table", "table-cell", or "table-caption"
-	// See here for display values: https://developer.mozilla.org/en-US/docs/CSS/display
-	rdisplayswap = /^(none|table(?!-c[ea]).+)/,
-	rcustomProp = /^--/,
-	cssShow = { position: "absolute", visibility: "hidden", display: "block" },
-	cssNormalTransform = {
-		letterSpacing: "0",
-		fontWeight: "400"
-	},
-
-	cssPrefixes = [ "Webkit", "Moz", "ms" ],
-	emptyStyle = document.createElement( "div" ).style;
+var cssPrefixes = [ "Webkit", "Moz", "ms" ],
+	emptyStyle = document.createElement( "div" ).style,
+	vendorProps = {};
 
-// Return a css property mapped to a potentially vendor prefixed property
+// Return a vendor-prefixed property or undefined
 function vendorPropName( name ) {
 
-	// Shortcut for names that are not vendor prefixed
-	if ( name in emptyStyle ) {
-		return name;
-	}
-
 	// Check for vendor prefixed names
 	var capName = name[ 0 ].toUpperCase() + name.slice( 1 ),
 		i = cssPrefixes.length;
@@ -6272,17 +6663,34 @@ function vendorPropName( name ) {
 	}
 }
 
-// Return a property mapped along what jQuery.cssProps suggests or to
-// a vendor prefixed property.
+// Return a potentially-mapped jQuery.cssProps or vendor prefixed property
 function finalPropName( name ) {
-	var ret = jQuery.cssProps[ name ];
-	if ( !ret ) {
-		ret = jQuery.cssProps[ name ] = vendorPropName( name ) || name;
+	var final = jQuery.cssProps[ name ] || vendorProps[ name ];
+
+	if ( final ) {
+		return final;
 	}
-	return ret;
+	if ( name in emptyStyle ) {
+		return name;
+	}
+	return vendorProps[ name ] = vendorPropName( name ) || name;
 }
 
-function setPositiveNumber( elem, value, subtract ) {
+
+var
+
+	// Swappable if display is none or starts with table
+	// except "table", "table-cell", or "table-caption"
+	// See here for display values: https://developer.mozilla.org/en-US/docs/CSS/display
+	rdisplayswap = /^(none|table(?!-c[ea]).+)/,
+	rcustomProp = /^--/,
+	cssShow = { position: "absolute", visibility: "hidden", display: "block" },
+	cssNormalTransform = {
+		letterSpacing: "0",
+		fontWeight: "400"
+	};
+
+function setPositiveNumber( _elem, value, subtract ) {
 
 	// Any relative (+/-) values have already been
 	// normalized at this point
@@ -6294,87 +6702,146 @@ function setPositiveNumber( elem, value,
 		value;
 }
 
-function augmentWidthOrHeight( elem, name, extra, isBorderBox, styles ) {
-	var i,
-		val = 0;
-
-	// If we already have the right measurement, avoid augmentation
-	if ( extra === ( isBorderBox ? "border" : "content" ) ) {
-		i = 4;
+function boxModelAdjustment( elem, dimension, box, isBorderBox, styles, computedVal ) {
+	var i = dimension === "width" ? 1 : 0,
+		extra = 0,
+		delta = 0;
 
-	// Otherwise initialize for horizontal or vertical properties
-	} else {
-		i = name === "width" ? 1 : 0;
+	// Adjustment may not be necessary
+	if ( box === ( isBorderBox ? "border" : "content" ) ) {
+		return 0;
 	}
 
 	for ( ; i < 4; i += 2 ) {
 
-		// Both box models exclude margin, so add it if we want it
-		if ( extra === "margin" ) {
-			val += jQuery.css( elem, extra + cssExpand[ i ], true, styles );
+		// Both box models exclude margin
+		if ( box === "margin" ) {
+			delta += jQuery.css( elem, box + cssExpand[ i ], true, styles );
 		}
 
-		if ( isBorderBox ) {
+		// If we get here with a content-box, we're seeking "padding" or "border" or "margin"
+		if ( !isBorderBox ) {
 
-			// border-box includes padding, so remove it if we want content
-			if ( extra === "content" ) {
-				val -= jQuery.css( elem, "padding" + cssExpand[ i ], true, styles );
-			}
+			// Add padding
+			delta += jQuery.css( elem, "padding" + cssExpand[ i ], true, styles );
+
+			// For "border" or "margin", add border
+			if ( box !== "padding" ) {
+				delta += jQuery.css( elem, "border" + cssExpand[ i ] + "Width", true, styles );
 
-			// At this point, extra isn't border nor margin, so remove border
-			if ( extra !== "margin" ) {
-				val -= jQuery.css( elem, "border" + cssExpand[ i ] + "Width", true, styles );
+			// But still keep track of it otherwise
+			} else {
+				extra += jQuery.css( elem, "border" + cssExpand[ i ] + "Width", true, styles );
 			}
+
+		// If we get here with a border-box (content + padding + border), we're seeking "content" or
+		// "padding" or "margin"
 		} else {
 
-			// At this point, extra isn't content, so add padding
-			val += jQuery.css( elem, "padding" + cssExpand[ i ], true, styles );
+			// For "content", subtract padding
+			if ( box === "content" ) {
+				delta -= jQuery.css( elem, "padding" + cssExpand[ i ], true, styles );
+			}
 
-			// At this point, extra isn't content nor padding, so add border
-			if ( extra !== "padding" ) {
-				val += jQuery.css( elem, "border" + cssExpand[ i ] + "Width", true, styles );
+			// For "content" or "padding", subtract border
+			if ( box !== "margin" ) {
+				delta -= jQuery.css( elem, "border" + cssExpand[ i ] + "Width", true, styles );
 			}
 		}
 	}
 
-	return val;
+	// Account for positive content-box scroll gutter when requested by providing computedVal
+	if ( !isBorderBox && computedVal >= 0 ) {
+
+		// offsetWidth/offsetHeight is a rounded sum of content, padding, scroll gutter, and border
+		// Assuming integer scroll gutter, subtract the rest and round down
+		delta += Math.max( 0, Math.ceil(
+			elem[ "offset" + dimension[ 0 ].toUpperCase() + dimension.slice( 1 ) ] -
+			computedVal -
+			delta -
+			extra -
+			0.5
+
+		// If offsetWidth/offsetHeight is unknown, then we can't determine content-box scroll gutter
+		// Use an explicit zero to avoid NaN (gh-3964)
+		) ) || 0;
+	}
+
+	return delta;
 }
 
-function getWidthOrHeight( elem, name, extra ) {
+function getWidthOrHeight( elem, dimension, extra ) {
 
 	// Start with computed style
-	var valueIsBorderBox,
-		styles = getStyles( elem ),
-		val = curCSS( elem, name, styles ),
-		isBorderBox = jQuery.css( elem, "boxSizing", false, styles ) === "border-box";
+	var styles = getStyles( elem ),
+
+		// To avoid forcing a reflow, only fetch boxSizing if we need it (gh-4322).
+		// Fake content-box until we know it's needed to know the true value.
+		boxSizingNeeded = !support.boxSizingReliable() || extra,
+		isBorderBox = boxSizingNeeded &&
+			jQuery.css( elem, "boxSizing", false, styles ) === "border-box",
+		valueIsBorderBox = isBorderBox,
 
-	// Computed unit is not pixels. Stop here and return.
+		val = curCSS( elem, dimension, styles ),
+		offsetProp = "offset" + dimension[ 0 ].toUpperCase() + dimension.slice( 1 );
+
+	// Support: Firefox <=54
+	// Return a confounding non-pixel value or feign ignorance, as appropriate.
 	if ( rnumnonpx.test( val ) ) {
-		return val;
+		if ( !extra ) {
+			return val;
+		}
+		val = "auto";
 	}
 
-	// Check for style in case a browser which returns unreliable values
-	// for getComputedStyle silently falls back to the reliable elem.style
-	valueIsBorderBox = isBorderBox &&
-		( support.boxSizingReliable() || val === elem.style[ name ] );
-
-	// Fall back to offsetWidth/Height when value is "auto"
-	// This happens for inline elements with no explicit setting (gh-3571)
-	if ( val === "auto" ) {
-		val = elem[ "offset" + name[ 0 ].toUpperCase() + name.slice( 1 ) ];
+
+	// Support: IE 9 - 11 only
+	// Use offsetWidth/offsetHeight for when box sizing is unreliable.
+	// In those cases, the computed value can be trusted to be border-box.
+	if ( ( !support.boxSizingReliable() && isBorderBox ||
+
+		// Support: IE 10 - 11+, Edge 15 - 18+
+		// IE/Edge misreport `getComputedStyle` of table rows with width/height
+		// set in CSS while `offset*` properties report correct values.
+		// Interestingly, in some cases IE 9 doesn't suffer from this issue.
+		!support.reliableTrDimensions() && nodeName( elem, "tr" ) ||
+
+		// Fall back to offsetWidth/offsetHeight when value is "auto"
+		// This happens for inline elements with no explicit setting (gh-3571)
+		val === "auto" ||
+
+		// Support: Android <=4.1 - 4.3 only
+		// Also use offsetWidth/offsetHeight for misreported inline dimensions (gh-3602)
+		!parseFloat( val ) && jQuery.css( elem, "display", false, styles ) === "inline" ) &&
+
+		// Make sure the element is visible & connected
+		elem.getClientRects().length ) {
+
+		isBorderBox = jQuery.css( elem, "boxSizing", false, styles ) === "border-box";
+
+		// Where available, offsetWidth/offsetHeight approximate border box dimensions.
+		// Where not available (e.g., SVG), assume unreliable box-sizing and interpret the
+		// retrieved value as a content box dimension.
+		valueIsBorderBox = offsetProp in elem;
+		if ( valueIsBorderBox ) {
+			val = elem[ offsetProp ];
+		}
 	}
 
-	// Normalize "", auto, and prepare for extra
+	// Normalize "" and auto
 	val = parseFloat( val ) || 0;
 
-	// Use the active box-sizing model to add/subtract irrelevant styles
+	// Adjust for the element's box model
 	return ( val +
-		augmentWidthOrHeight(
+		boxModelAdjustment(
 			elem,
-			name,
+			dimension,
 			extra || ( isBorderBox ? "border" : "content" ),
 			valueIsBorderBox,
-			styles
+			styles,
+
+			// Provide the current computed size to request scroll gutter calculation (gh-3589)
+			val
 		)
 	) + "px";
 }
@@ -6404,6 +6871,13 @@ jQuery.extend( {
 		"flexGrow": true,
 		"flexShrink": true,
 		"fontWeight": true,
+		"gridArea": true,
+		"gridColumn": true,
+		"gridColumnEnd": true,
+		"gridColumnStart": true,
+		"gridRow": true,
+		"gridRowEnd": true,
+		"gridRowStart": true,
 		"lineHeight": true,
 		"opacity": true,
 		"order": true,
@@ -6415,9 +6889,7 @@ jQuery.extend( {
 
 	// Add in properties whose names you wish to fix before
 	// setting or getting the value
-	cssProps: {
-		"float": "cssFloat"
-	},
+	cssProps: {},
 
 	// Get and set the style property on a DOM Node
 	style: function( elem, name, value, extra ) {
@@ -6429,7 +6901,7 @@ jQuery.extend( {
 
 		// Make sure that we're working with the right name
 		var ret, type, hooks,
-			origName = jQuery.camelCase( name ),
+			origName = camelCase( name ),
 			isCustomProp = rcustomProp.test( name ),
 			style = elem.style;
 
@@ -6461,7 +6933,9 @@ jQuery.extend( {
 			}
 
 			// If a number was passed in, add the unit (except for certain CSS properties)
-			if ( type === "number" ) {
+			// The isCustomProp check can be removed in jQuery 4.0 when we only auto-append
+			// "px" to a few hardcoded values.
+			if ( type === "number" && !isCustomProp ) {
 				value += ret && ret[ 3 ] || ( jQuery.cssNumber[ origName ] ? "" : "px" );
 			}
 
@@ -6497,7 +6971,7 @@ jQuery.extend( {
 
 	css: function( elem, name, extra, styles ) {
 		var val, num, hooks,
-			origName = jQuery.camelCase( name ),
+			origName = camelCase( name ),
 			isCustomProp = rcustomProp.test( name );
 
 		// Make sure that we're working with the right name. We don't
@@ -6535,8 +7009,8 @@ jQuery.extend( {
 	}
 } );
 
-jQuery.each( [ "height", "width" ], function( i, name ) {
-	jQuery.cssHooks[ name ] = {
+jQuery.each( [ "height", "width" ], function( _i, dimension ) {
+	jQuery.cssHooks[ dimension ] = {
 		get: function( elem, computed, extra ) {
 			if ( computed ) {
 
@@ -6551,30 +7025,53 @@ jQuery.each( [ "height", "width" ], func
 					// Running getBoundingClientRect on a disconnected node
 					// in IE throws an error.
 					( !elem.getClientRects().length || !elem.getBoundingClientRect().width ) ?
-						swap( elem, cssShow, function() {
-							return getWidthOrHeight( elem, name, extra );
-						} ) :
-						getWidthOrHeight( elem, name, extra );
+					swap( elem, cssShow, function() {
+						return getWidthOrHeight( elem, dimension, extra );
+					} ) :
+					getWidthOrHeight( elem, dimension, extra );
 			}
 		},
 
 		set: function( elem, value, extra ) {
 			var matches,
-				styles = extra && getStyles( elem ),
-				subtract = extra && augmentWidthOrHeight(
-					elem,
-					name,
-					extra,
+				styles = getStyles( elem ),
+
+				// Only read styles.position if the test has a chance to fail
+				// to avoid forcing a reflow.
+				scrollboxSizeBuggy = !support.scrollboxSize() &&
+					styles.position === "absolute",
+
+				// To avoid forcing a reflow, only fetch boxSizing if we need it (gh-3991)
+				boxSizingNeeded = scrollboxSizeBuggy || extra,
+				isBorderBox = boxSizingNeeded &&
 					jQuery.css( elem, "boxSizing", false, styles ) === "border-box",
-					styles
+				subtract = extra ?
+					boxModelAdjustment(
+						elem,
+						dimension,
+						extra,
+						isBorderBox,
+						styles
+					) :
+					0;
+
+			// Account for unreliable border-box dimensions by comparing offset* to computed and
+			// faking a content-box to get border and padding (gh-3699)
+			if ( isBorderBox && scrollboxSizeBuggy ) {
+				subtract -= Math.ceil(
+					elem[ "offset" + dimension[ 0 ].toUpperCase() + dimension.slice( 1 ) ] -
+					parseFloat( styles[ dimension ] ) -
+					boxModelAdjustment( elem, dimension, "border", false, styles ) -
+					0.5
 				);
+			}
 
 			// Convert to pixels if value adjustment is needed
 			if ( subtract && ( matches = rcssNum.exec( value ) ) &&
 				( matches[ 3 ] || "px" ) !== "px" ) {
 
-				elem.style[ name ] = value;
-				value = jQuery.css( elem, name );
+				elem.style[ dimension ] = value;
+				value = jQuery.css( elem, dimension );
 			}
 
 			return setPositiveNumber( elem, value, subtract );
@@ -6590,7 +7087,7 @@ jQuery.cssHooks.marginLeft = addGetHookI
 					swap( elem, { marginLeft: 0 }, function() {
 						return elem.getBoundingClientRect().left;
 					} )
-				) + "px";
+			) + "px";
 		}
 	}
 );
@@ -6618,7 +7115,7 @@ jQuery.each( {
 		}
 	};
 
-	if ( !rmargin.test( prefix ) ) {
+	if ( prefix !== "margin" ) {
 		jQuery.cssHooks[ prefix + suffix ].set = setPositiveNumber;
 	}
 } );
@@ -6728,9 +7225,9 @@ Tween.propHooks = {
 			// Use .style if available and use plain properties where available.
 			if ( jQuery.fx.step[ tween.prop ] ) {
 				jQuery.fx.step[ tween.prop ]( tween );
-			} else if ( tween.elem.nodeType === 1 &&
-				( tween.elem.style[ jQuery.cssProps[ tween.prop ] ] != null ||
-					jQuery.cssHooks[ tween.prop ] ) ) {
+			} else if ( tween.elem.nodeType === 1 && (
+				jQuery.cssHooks[ tween.prop ] ||
+					tween.elem.style[ finalPropName( tween.prop ) ] != null ) ) {
 				jQuery.style( tween.elem, tween.prop, tween.now + tween.unit );
 			} else {
 				tween.elem[ tween.prop ] = tween.now;
@@ -6789,7 +7286,7 @@ function createFxNow() {
 	window.setTimeout( function() {
 		fxNow = undefined;
 	} );
-	return ( fxNow = jQuery.now() );
+	return ( fxNow = Date.now() );
 }
 
 // Generate parameters to create a standard animation
@@ -6893,9 +7390,10 @@ function defaultPrefilter( elem, props,
 	// Restrict "overflow" and "display" styles during box animations
 	if ( isBox && elem.nodeType === 1 ) {
 
-		// Support: IE <=9 - 11, Edge 12 - 13
+		// Support: IE <=9 - 11, Edge 12 - 15
 		// Record all 3 overflow attributes because IE does not infer the shorthand
-		// from identically-valued overflowX and overflowY
+		// from identically-valued overflowX and overflowY and Edge just mirrors
+		// the overflowX value there.
 		opts.overflow = [ style.overflow, style.overflowX, style.overflowY ];
 
 		// Identify a display type, preferring old show/hide data over the CSS cascade
@@ -6973,7 +7471,7 @@ function defaultPrefilter( elem, props,
 
 			anim.done( function() {
 
-			/* eslint-enable no-loop-func */
+				/* eslint-enable no-loop-func */
 
 				// The final step of a "hide" animation is actually hiding the element
 				if ( !hidden ) {
@@ -7003,7 +7501,7 @@ function propFilter( props, specialEasin
 
 	// camelCase, specialEasing and expand cssHook pass
 	for ( index in props ) {
-		name = jQuery.camelCase( index );
+		name = camelCase( index );
 		easing = specialEasing[ name ];
 		value = props[ index ];
 		if ( Array.isArray( value ) ) {
@@ -7093,7 +7591,7 @@ function Animation( elem, properties, op
 			tweens: [],
 			createTween: function( prop, end ) {
 				var tween = jQuery.Tween( elem, animation.opts, prop, end,
-						animation.opts.specialEasing[ prop ] || animation.opts.easing );
+					animation.opts.specialEasing[ prop ] || animation.opts.easing );
 				animation.tweens.push( tween );
 				return tween;
 			},
@@ -7128,9 +7626,9 @@ function Animation( elem, properties, op
 	for ( ; index < length; index++ ) {
 		result = Animation.prefilters[ index ].call( animation, elem, props, animation.opts );
 		if ( result ) {
-			if ( jQuery.isFunction( result.stop ) ) {
+			if ( isFunction( result.stop ) ) {
 				jQuery._queueHooks( animation.elem, animation.opts.queue ).stop =
-					jQuery.proxy( result.stop, result );
+					result.stop.bind( result );
 			}
 			return result;
 		}
@@ -7138,7 +7636,7 @@ function Animation( elem, properties, op
 
 	jQuery.map( props, createTween, animation );
 
-	if ( jQuery.isFunction( animation.opts.start ) ) {
+	if ( isFunction( animation.opts.start ) ) {
 		animation.opts.start.call( elem, animation );
 	}
 
@@ -7171,7 +7669,7 @@ jQuery.Animation = jQuery.extend( Animat
 	},
 
 	tweener: function( props, callback ) {
-		if ( jQuery.isFunction( props ) ) {
+		if ( isFunction( props ) ) {
 			callback = props;
 			props = [ "*" ];
 		} else {
@@ -7203,9 +7701,9 @@ jQuery.Animation = jQuery.extend( Animat
 jQuery.speed = function( speed, easing, fn ) {
 	var opt = speed && typeof speed === "object" ? jQuery.extend( {}, speed ) : {
 		complete: fn || !fn && easing ||
-			jQuery.isFunction( speed ) && speed,
+			isFunction( speed ) && speed,
 		duration: speed,
-		easing: fn && easing || easing && !jQuery.isFunction( easing ) && easing
+		easing: fn && easing || easing && !isFunction( easing ) && easing
 	};
 
 	// Go to the end state if fx are off
@@ -7232,7 +7730,7 @@ jQuery.speed = function( speed, easing,
 	opt.old = opt.complete;
 
 	opt.complete = function() {
-		if ( jQuery.isFunction( opt.old ) ) {
+		if ( isFunction( opt.old ) ) {
 			opt.old.call( this );
 		}
 
@@ -7266,7 +7764,8 @@ jQuery.fn.extend( {
 					anim.stop( true );
 				}
 			};
-			doAnimation.finish = doAnimation;
+
+		doAnimation.finish = doAnimation;
 
 		return empty || optall.queue === false ?
 			this.each( doAnimation ) :
@@ -7284,7 +7783,7 @@ jQuery.fn.extend( {
 			clearQueue = type;
 			type = undefined;
 		}
-		if ( clearQueue && type !== false ) {
+		if ( clearQueue ) {
 			this.queue( type || "fx", [] );
 		}
 
@@ -7367,7 +7866,7 @@ jQuery.fn.extend( {
 	}
 } );
 
-jQuery.each( [ "toggle", "show", "hide" ], function( i, name ) {
+jQuery.each( [ "toggle", "show", "hide" ], function( _i, name ) {
 	var cssFn = jQuery.fn[ name ];
 	jQuery.fn[ name ] = function( speed, easing, callback ) {
 		return speed == null || typeof speed === "boolean" ?
@@ -7396,7 +7895,7 @@ jQuery.fx.tick = function() {
 		i = 0,
 		timers = jQuery.timers;
 
-	fxNow = jQuery.now();
+	fxNow = Date.now();
 
 	for ( ; i < timers.length; i++ ) {
 		timer = timers[ i ];
@@ -7588,7 +8087,7 @@ boolHook = {
 	}
 };
 
-jQuery.each( jQuery.expr.match.bool.source.match( /\w+/g ), function( i, name ) {
+jQuery.each( jQuery.expr.match.bool.source.match( /\w+/g ), function( _i, name ) {
 	var getter = attrHandle[ name ] || jQuery.find.attr;
 
 	attrHandle[ name ] = function( elem, name, isXML ) {
@@ -7749,7 +8248,7 @@ jQuery.each( [
 
 
 	// Strip and collapse whitespace according to HTML spec
-	// https://html.spec.whatwg.org/multipage/infrastructure.html#strip-and-collapse-whitespace
+	// https://infra.spec.whatwg.org/#strip-and-collapse-ascii-whitespace
 	function stripAndCollapse( value ) {
 		var tokens = value.match( rnothtmlwhite ) || [];
 		return tokens.join( " " );
@@ -7760,20 +8259,30 @@ function getClass( elem ) {
 	return elem.getAttribute && elem.getAttribute( "class" ) || "";
 }
 
+function classesToArray( value ) {
+	if ( Array.isArray( value ) ) {
+		return value;
+	}
+	if ( typeof value === "string" ) {
+		return value.match( rnothtmlwhite ) || [];
+	}
+	return [];
+}
+
 jQuery.fn.extend( {
 	addClass: function( value ) {
 		var classes, elem, cur, curValue, clazz, j, finalValue,
 			i = 0;
 
-		if ( jQuery.isFunction( value ) ) {
+		if ( isFunction( value ) ) {
 			return this.each( function( j ) {
 				jQuery( this ).addClass( value.call( this, j, getClass( this ) ) );
 			} );
 		}
 
-		if ( typeof value === "string" && value ) {
-			classes = value.match( rnothtmlwhite ) || [];
+		classes = classesToArray( value );
 
+		if ( classes.length ) {
 			while ( ( elem = this[ i++ ] ) ) {
 				curValue = getClass( elem );
 				cur = elem.nodeType === 1 && ( " " + stripAndCollapse( curValue ) + " " );
@@ -7802,7 +8311,7 @@ jQuery.fn.extend( {
 		var classes, elem, cur, curValue, clazz, j, finalValue,
 			i = 0;
 
-		if ( jQuery.isFunction( value ) ) {
+		if ( isFunction( value ) ) {
 			return this.each( function( j ) {
 				jQuery( this ).removeClass( value.call( this, j, getClass( this ) ) );
 			} );
@@ -7812,9 +8321,9 @@ jQuery.fn.extend( {
 			return this.attr( "class", "" );
 		}
 
-		if ( typeof value === "string" && value ) {
-			classes = value.match( rnothtmlwhite ) || [];
+		classes = classesToArray( value );
 
+		if ( classes.length ) {
 			while ( ( elem = this[ i++ ] ) ) {
 				curValue = getClass( elem );
 
@@ -7844,13 +8353,14 @@ jQuery.fn.extend( {
 	},
 
 	toggleClass: function( value, stateVal ) {
-		var type = typeof value;
+		var type = typeof value,
+			isValidValue = type === "string" || Array.isArray( value );
 
-		if ( typeof stateVal === "boolean" && type === "string" ) {
+		if ( typeof stateVal === "boolean" && isValidValue ) {
 			return stateVal ? this.addClass( value ) : this.removeClass( value );
 		}
 
-		if ( jQuery.isFunction( value ) ) {
+		if ( isFunction( value ) ) {
 			return this.each( function( i ) {
 				jQuery( this ).toggleClass(
 					value.call( this, i, getClass( this ), stateVal ),
@@ -7862,12 +8372,12 @@ jQuery.fn.extend( {
 		return this.each( function() {
 			var className, i, self, classNames;
 
-			if ( type === "string" ) {
+			if ( isValidValue ) {
 
 				// Toggle individual class names
 				i = 0;
 				self = jQuery( this );
-				classNames = value.match( rnothtmlwhite ) || [];
+				classNames = classesToArray( value );
 
 				while ( ( className = classNames[ i++ ] ) ) {
 
@@ -7895,8 +8405,8 @@ jQuery.fn.extend( {
 				if ( this.setAttribute ) {
 					this.setAttribute( "class",
 						className || value === false ?
-						"" :
-						dataPriv.get( this, "__className__" ) || ""
+							"" :
+							dataPriv.get( this, "__className__" ) || ""
 					);
 				}
 			}
@@ -7911,7 +8421,7 @@ jQuery.fn.extend( {
 		while ( ( elem = this[ i++ ] ) ) {
 			if ( elem.nodeType === 1 &&
 				( " " + stripAndCollapse( getClass( elem ) ) + " " ).indexOf( className ) > -1 ) {
-					return true;
+				return true;
 			}
 		}
 
@@ -7926,7 +8436,7 @@ var rreturn = /\r/g;
 
 jQuery.fn.extend( {
 	val: function( value ) {
-		var hooks, ret, isFunction,
+		var hooks, ret, valueIsFunction,
 			elem = this[ 0 ];
 
 		if ( !arguments.length ) {
@@ -7955,7 +8465,7 @@ jQuery.fn.extend( {
 			return;
 		}
 
-		isFunction = jQuery.isFunction( value );
+		valueIsFunction = isFunction( value );
 
 		return this.each( function( i ) {
 			var val;
@@ -7964,7 +8474,7 @@ jQuery.fn.extend( {
 				return;
 			}
 
-			if ( isFunction ) {
+			if ( valueIsFunction ) {
 				val = value.call( this, i, jQuery( this ).val() );
 			} else {
 				val = value;
@@ -8106,18 +8616,24 @@ jQuery.each( [ "radio", "checkbox" ], fu
 // Return jQuery for attributes-only inclusion
 
 
-var rfocusMorph = /^(?:focusinfocus|focusoutblur)$/;
+support.focusin = "onfocusin" in window;
+
+
+var rfocusMorph = /^(?:focusinfocus|focusoutblur)$/,
+	stopPropagationCallback = function( e ) {
+		e.stopPropagation();
+	};
 
 jQuery.extend( jQuery.event, {
 
 	trigger: function( event, data, elem, onlyHandlers ) {
 
-		var i, cur, tmp, bubbleType, ontype, handle, special,
+		var i, cur, tmp, bubbleType, ontype, handle, special, lastElement,
 			eventPath = [ elem || document ],
 			type = hasOwn.call( event, "type" ) ? event.type : event,
 			namespaces = hasOwn.call( event, "namespace" ) ? event.namespace.split( "." ) : [];
 
-		cur = tmp = elem = elem || document;
+		cur = lastElement = tmp = elem = elem || document;
 
 		// Don't do events on text and comment nodes
 		if ( elem.nodeType === 3 || elem.nodeType === 8 ) {
@@ -8169,7 +8685,7 @@ jQuery.extend( jQuery.event, {
 
 		// Determine event propagation path in advance, per W3C events spec (#9951)
 		// Bubble up to document, then to window; watch for a global ownerDocument var (#9724)
-		if ( !onlyHandlers && !special.noBubble && !jQuery.isWindow( elem ) ) {
+		if ( !onlyHandlers && !special.noBubble && !isWindow( elem ) ) {
 
 			bubbleType = special.delegateType || type;
 			if ( !rfocusMorph.test( bubbleType + type ) ) {
@@ -8189,13 +8705,13 @@ jQuery.extend( jQuery.event, {
 		// Fire handlers on the event path
 		i = 0;
 		while ( ( cur = eventPath[ i++ ] ) && !event.isPropagationStopped() ) {
-
+			lastElement = cur;
 			event.type = i > 1 ?
 				bubbleType :
 				special.bindType || type;
 
 			// jQuery handler
-			handle = ( dataPriv.get( cur, "events" ) || {} )[ event.type ] &&
+			handle = ( dataPriv.get( cur, "events" ) || Object.create( null ) )[ event.type ] &&
 				dataPriv.get( cur, "handle" );
 			if ( handle ) {
 				handle.apply( cur, data );
@@ -8221,7 +8737,7 @@ jQuery.extend( jQuery.event, {
 
 				// Call a native DOM method on the target with the same name as the event.
 				// Don't do default actions on window, that's where global variables be (#6170)
-				if ( ontype && jQuery.isFunction( elem[ type ] ) && !jQuery.isWindow( elem ) ) {
+				if ( ontype && isFunction( elem[ type ] ) && !isWindow( elem ) ) {
 
 					// Don't re-trigger an onFOO event when we call its FOO() method
 					tmp = elem[ ontype ];
@@ -8232,7 +8748,17 @@ jQuery.extend( jQuery.event, {
 
 					// Prevent re-triggering of the same event, since we already bubbled it above
 					jQuery.event.triggered = type;
+
+					if ( event.isPropagationStopped() ) {
+						lastElement.addEventListener( type, stopPropagationCallback );
+					}
+
 					elem[ type ]();
+
+					if ( event.isPropagationStopped() ) {
+						lastElement.removeEventListener( type, stopPropagationCallback );
+					}
+
 					jQuery.event.triggered = undefined;
 
 					if ( tmp ) {
@@ -8278,31 +8804,6 @@ jQuery.fn.extend( {
 } );
 
 
-jQuery.each( ( "blur focus focusin focusout resize scroll click dblclick " +
-	"mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave " +
-	"change select submit keydown keypress keyup contextmenu" ).split( " " ),
-	function( i, name ) {
-
-	// Handle event binding
-	jQuery.fn[ name ] = function( data, fn ) {
-		return arguments.length > 0 ?
-			this.on( name, null, data, fn ) :
-			this.trigger( name );
-	};
-} );
-
-jQuery.fn.extend( {
-	hover: function( fnOver, fnOut ) {
-		return this.mouseenter( fnOver ).mouseleave( fnOut || fnOver );
-	}
-} );
-
-
-
-
-support.focusin = "onfocusin" in window;
-
-
 // Support: Firefox <=44
 // Firefox doesn't have focus(in | out) events
 // Related ticket - https://bugzilla.mozilla.org/show_bug.cgi?id=687787
@@ -8321,7 +8822,10 @@ if ( !support.focusin ) {
 
 		jQuery.event.special[ fix ] = {
 			setup: function() {
-				var doc = this.ownerDocument || this,
+
+				// Handle: regular nodes (via `this.ownerDocument`), window
+				// (via `this.document`) & document (via `this`).
+				var doc = this.ownerDocument || this.document || this,
 					attaches = dataPriv.access( doc, fix );
 
 				if ( !attaches ) {
@@ -8330,7 +8834,7 @@ if ( !support.focusin ) {
 				dataPriv.access( doc, fix, ( attaches || 0 ) + 1 );
 			},
 			teardown: function() {
-				var doc = this.ownerDocument || this,
+				var doc = this.ownerDocument || this.document || this,
 					attaches = dataPriv.access( doc, fix ) - 1;
 
 				if ( !attaches ) {
@@ -8346,7 +8850,7 @@ if ( !support.focusin ) {
 }
 var location = window.location;
 
-var nonce = jQuery.now();
+var nonce = { guid: Date.now() };
 
 var rquery = ( /\?/ );
 
@@ -8354,7 +8858,7 @@ var rquery = ( /\?/ );
 
 // Cross-browser xml parsing
 jQuery.parseXML = function( data ) {
-	var xml;
+	var xml, parserErrorElem;
 	if ( !data || typeof data !== "string" ) {
 		return null;
 	}
@@ -8363,12 +8867,17 @@ jQuery.parseXML = function( data ) {
 	// IE throws on parseFromString with invalid input.
 	try {
 		xml = ( new window.DOMParser() ).parseFromString( data, "text/xml" );
-	} catch ( e ) {
-		xml = undefined;
-	}
+	} catch ( e ) {}
 
-	if ( !xml || xml.getElementsByTagName( "parsererror" ).length ) {
-		jQuery.error( "Invalid XML: " + data );
+	parserErrorElem = xml && xml.getElementsByTagName( "parsererror" )[ 0 ];
+	if ( !xml || parserErrorElem ) {
+		jQuery.error( "Invalid XML: " + (
+			parserErrorElem ?
+				jQuery.map( parserErrorElem.childNodes, function( el ) {
+					return el.textContent;
+				} ).join( "\n" ) :
+				data
+		) );
 	}
 	return xml;
 };
@@ -8404,7 +8913,7 @@ function buildParams( prefix, obj, tradi
 			}
 		} );
 
-	} else if ( !traditional && jQuery.type( obj ) === "object" ) {
+	} else if ( !traditional && toType( obj ) === "object" ) {
 
 		// Serialize object item.
 		for ( name in obj ) {
@@ -8426,7 +8935,7 @@ jQuery.param = function( a, traditional
 		add = function( key, valueOrFunction ) {
 
 			// If value is a function, invoke it and use its return value
-			var value = jQuery.isFunction( valueOrFunction ) ?
+			var value = isFunction( valueOrFunction ) ?
 				valueOrFunction() :
 				valueOrFunction;
 
@@ -8434,6 +8943,10 @@ jQuery.param = function( a, traditional
 				encodeURIComponent( value == null ? "" : value );
 		};
 
+	if ( a == null ) {
+		return "";
+	}
+
 	// If an array was passed in, assume that it is an array of form elements.
 	if ( Array.isArray( a ) || ( a.jquery && !jQuery.isPlainObject( a ) ) ) {
 
@@ -8465,16 +8978,14 @@ jQuery.fn.extend( {
 			// Can add propHook for "elements" to filter or add form elements
 			var elements = jQuery.prop( this, "elements" );
 			return elements ? jQuery.makeArray( elements ) : this;
-		} )
-		.filter( function() {
+		} ).filter( function() {
 			var type = this.type;
 
 			// Use .is( ":disabled" ) so that fieldset[disabled] works
 			return this.name && !jQuery( this ).is( ":disabled" ) &&
 				rsubmittable.test( this.nodeName ) && !rsubmitterTypes.test( type ) &&
 				( this.checked || !rcheckableType.test( type ) );
-		} )
-		.map( function( i, elem ) {
+		} ).map( function( _i, elem ) {
 			var val = jQuery( this ).val();
 
 			if ( val == null ) {
@@ -8527,7 +9038,8 @@ var
 
 	// Anchor tag for parsing the document origin
 	originAnchor = document.createElement( "a" );
-	originAnchor.href = location.href;
+
+originAnchor.href = location.href;
 
 // Base "constructor" for jQuery.ajaxPrefilter and jQuery.ajaxTransport
 function addToPrefiltersOrTransports( structure ) {
@@ -8544,7 +9056,7 @@ function addToPrefiltersOrTransports( st
 			i = 0,
 			dataTypes = dataTypeExpression.toLowerCase().match( rnothtmlwhite ) || [];
 
-		if ( jQuery.isFunction( func ) ) {
+		if ( isFunction( func ) ) {
 
 			// For each dataType in the dataTypeExpression
 			while ( ( dataType = dataTypes[ i++ ] ) ) {
@@ -8908,8 +9420,8 @@ jQuery.extend( {
 			// Context for global events is callbackContext if it is a DOM node or jQuery collection
 			globalEventContext = s.context &&
 				( callbackContext.nodeType || callbackContext.jquery ) ?
-					jQuery( callbackContext ) :
-					jQuery.event,
+				jQuery( callbackContext ) :
+				jQuery.event,
 
 			// Deferreds
 			deferred = jQuery.Deferred(),
@@ -8936,12 +9448,14 @@ jQuery.extend( {
 						if ( !responseHeaders ) {
 							responseHeaders = {};
 							while ( ( match = rheaders.exec( responseHeadersString ) ) ) {
-								responseHeaders[ match[ 1 ].toLowerCase() ] = match[ 2 ];
+								responseHeaders[ match[ 1 ].toLowerCase() + " " ] =
+									( responseHeaders[ match[ 1 ].toLowerCase() + " " ] || [] )
+										.concat( match[ 2 ] );
 							}
 						}
-						match = responseHeaders[ key.toLowerCase() ];
+						match = responseHeaders[ key.toLowerCase() + " " ];
 					}
-					return match == null ? null : match;
+					return match == null ? null : match.join( ", " );
 				},
 
 				// Raw string
@@ -9016,7 +9530,7 @@ jQuery.extend( {
 		if ( s.crossDomain == null ) {
 			urlAnchor = document.createElement( "a" );
 
-			// Support: IE <=8 - 11, Edge 12 - 13
+			// Support: IE <=8 - 11, Edge 12 - 15
 			// IE throws exception on accessing the href property if url is malformed,
 			// e.g. http://example.com:80x/
 			try {
@@ -9074,8 +9588,8 @@ jQuery.extend( {
 			// Remember the hash so we can put it back
 			uncached = s.url.slice( cacheURL.length );
 
-			// If data is available, append data to url
-			if ( s.data ) {
+			// If data is available and should be processed, append data to url
+			if ( s.data && ( s.processData || typeof s.data === "string" ) ) {
 				cacheURL += ( rquery.test( cacheURL ) ? "&" : "?" ) + s.data;
 
 				// #9682: remove data so that it's not used in an eventual retry
@@ -9085,7 +9599,8 @@ jQuery.extend( {
 			// Add or update anti-cache param if needed
 			if ( s.cache === false ) {
 				cacheURL = cacheURL.replace( rantiCache, "$1" );
-				uncached = ( rquery.test( cacheURL ) ? "&" : "?" ) + "_=" + ( nonce++ ) + uncached;
+				uncached = ( rquery.test( cacheURL ) ? "&" : "?" ) + "_=" + ( nonce.guid++ ) +
+					uncached;
 			}
 
 			// Put hash and anti-cache on the URL that will be requested (gh-1732)
@@ -9218,6 +9733,13 @@ jQuery.extend( {
 				response = ajaxHandleResponses( s, jqXHR, responses );
 			}
 
+			// Use a noop converter for missing script but not if jsonp
+			if ( !isSuccess &&
+				jQuery.inArray( "script", s.dataTypes ) > -1 &&
+				jQuery.inArray( "json", s.dataTypes ) < 0 ) {
+				s.converters[ "text script" ] = function() {};
+			}
+
 			// Convert no matter what (that way responseXXX fields are always set)
 			response = ajaxConvert( s, response, jqXHR, isSuccess );
 
@@ -9308,11 +9830,11 @@ jQuery.extend( {
 	}
 } );
 
-jQuery.each( [ "get", "post" ], function( i, method ) {
+jQuery.each( [ "get", "post" ], function( _i, method ) {
 	jQuery[ method ] = function( url, data, callback, type ) {
 
 		// Shift arguments if data argument was omitted
-		if ( jQuery.isFunction( data ) ) {
+		if ( isFunction( data ) ) {
 			type = type || callback;
 			callback = data;
 			data = undefined;
@@ -9329,8 +9851,17 @@ jQuery.each( [ "get", "post" ], function
 	};
 } );
 
+jQuery.ajaxPrefilter( function( s ) {
+	var i;
+	for ( i in s.headers ) {
+		if ( i.toLowerCase() === "content-type" ) {
+			s.contentType = s.headers[ i ] || "";
+		}
+	}
+} );
+
 
-jQuery._evalUrl = function( url ) {
+jQuery._evalUrl = function( url, options, doc ) {
 	return jQuery.ajax( {
 		url: url,
 
@@ -9340,7 +9871,16 @@ jQuery._evalUrl = function( url ) {
 		cache: true,
 		async: false,
 		global: false,
-		"throws": true
+
+		// Only evaluate the response if it is successful (gh-4126)
+		// dataFilter is not invoked for failure responses, so using it instead
+		// of the default converter is kludgy but it works.
+		converters: {
+			"text script": function() {}
+		},
+		dataFilter: function( response ) {
+			jQuery.globalEval( response, options, doc );
+		}
 	} );
 };
 
@@ -9350,7 +9890,7 @@ jQuery.fn.extend( {
 		var wrap;
 
 		if ( this[ 0 ] ) {
-			if ( jQuery.isFunction( html ) ) {
+			if ( isFunction( html ) ) {
 				html = html.call( this[ 0 ] );
 			}
 
@@ -9376,7 +9916,7 @@ jQuery.fn.extend( {
 	},
 
 	wrapInner: function( html ) {
-		if ( jQuery.isFunction( html ) ) {
+		if ( isFunction( html ) ) {
 			return this.each( function( i ) {
 				jQuery( this ).wrapInner( html.call( this, i ) );
 			} );
@@ -9396,10 +9936,10 @@ jQuery.fn.extend( {
 	},
 
 	wrap: function( html ) {
-		var isFunction = jQuery.isFunction( html );
+		var htmlIsFunction = isFunction( html );
 
 		return this.each( function( i ) {
-			jQuery( this ).wrapAll( isFunction ? html.call( this, i ) : html );
+			jQuery( this ).wrapAll( htmlIsFunction ? html.call( this, i ) : html );
 		} );
 	},
 
@@ -9491,7 +10031,8 @@ jQuery.ajaxTransport( function( options
 					return function() {
 						if ( callback ) {
 							callback = errorCallback = xhr.onload =
-								xhr.onerror = xhr.onabort = xhr.onreadystatechange = null;
+								xhr.onerror = xhr.onabort = xhr.ontimeout =
+									xhr.onreadystatechange = null;
 
 							if ( type === "abort" ) {
 								xhr.abort();
@@ -9531,7 +10072,7 @@ jQuery.ajaxTransport( function( options
 
 				// Listen to events
 				xhr.onload = callback();
-				errorCallback = xhr.onerror = callback( "error" );
+				errorCallback = xhr.onerror = xhr.ontimeout = callback( "error" );
 
 				// Support: IE 9 only
 				// Use onreadystatechange to replace onabort
@@ -9622,24 +10163,21 @@ jQuery.ajaxPrefilter( "script", function
 // Bind script tag hack transport
 jQuery.ajaxTransport( "script", function( s ) {
 
-	// This transport only deals with cross domain requests
-	if ( s.crossDomain ) {
+	// This transport only deals with cross domain or forced-by-attrs requests
+	if ( s.crossDomain || s.scriptAttrs ) {
 		var script, callback;
 		return {
 			send: function( _, complete ) {
-				script = jQuery( "<script>" ).prop( {
-					charset: s.scriptCharset,
-					src: s.url
-				} ).on(
-					"load error",
-					callback = function( evt ) {
+				script = jQuery( "<script>" )
+					.attr( s.scriptAttrs || {} )
+					.prop( { charset: s.scriptCharset, src: s.url } )
+					.on( "load error", callback = function( evt ) {
 						script.remove();
 						callback = null;
 						if ( evt ) {
 							complete( evt.type === "error" ? 404 : 200, evt.type );
 						}
-					}
-				);
+					} );
 
 				// Use native DOM manipulation to avoid our domManip AJAX trickery
 				document.head.appendChild( script[ 0 ] );
@@ -9663,7 +10201,7 @@ var oldCallbacks = [],
 jQuery.ajaxSetup( {
 	jsonp: "callback",
 	jsonpCallback: function() {
-		var callback = oldCallbacks.pop() || ( jQuery.expando + "_" + ( nonce++ ) );
+		var callback = oldCallbacks.pop() || ( jQuery.expando + "_" + ( nonce.guid++ ) );
 		this[ callback ] = true;
 		return callback;
 	}
@@ -9685,7 +10223,7 @@ jQuery.ajaxPrefilter( "json jsonp", func
 	if ( jsonProp || s.dataTypes[ 0 ] === "jsonp" ) {
 
 		// Get callback name, remembering preexisting value associated with it
-		callbackName = s.jsonpCallback = jQuery.isFunction( s.jsonpCallback ) ?
+		callbackName = s.jsonpCallback = isFunction( s.jsonpCallback ) ?
 			s.jsonpCallback() :
 			s.jsonpCallback;
 
@@ -9736,7 +10274,7 @@ jQuery.ajaxPrefilter( "json jsonp", func
 			}
 
 			// Call if it was a function and we have a response
-			if ( responseContainer && jQuery.isFunction( overwritten ) ) {
+			if ( responseContainer && isFunction( overwritten ) ) {
 				overwritten( responseContainer[ 0 ] );
 			}
 
@@ -9828,7 +10366,7 @@ jQuery.fn.load = function( url, params,
 	}
 
 	// If it's a function
-	if ( jQuery.isFunction( params ) ) {
+	if ( isFunction( params ) ) {
 
 		// We assume that it's the callback
 		callback = params;
@@ -9880,23 +10418,6 @@ jQuery.fn.load = function( url, params,
 
 
 
-// Attach a bunch of functions for handling common AJAX events
-jQuery.each( [
-	"ajaxStart",
-	"ajaxStop",
-	"ajaxComplete",
-	"ajaxError",
-	"ajaxSuccess",
-	"ajaxSend"
-], function( i, type ) {
-	jQuery.fn[ type ] = function( fn ) {
-		return this.on( type, fn );
-	};
-} );
-
-
-
-
 jQuery.expr.pseudos.animated = function( elem ) {
 	return jQuery.grep( jQuery.timers, function( fn ) {
 		return elem === fn.elem;
@@ -9936,7 +10457,7 @@ jQuery.offset = {
 			curLeft = parseFloat( curCSSLeft ) || 0;
 		}
 
-		if ( jQuery.isFunction( options ) ) {
+		if ( isFunction( options ) ) {
 
 			// Use jQuery.extend here to allow modification of coordinates argument (gh-1848)
 			options = options.call( elem, i, jQuery.extend( {}, curOffset ) );
@@ -9959,6 +10480,8 @@ jQuery.offset = {
 };
 
 jQuery.fn.extend( {
+
+	// offset() relates an element's border box to the document origin
 	offset: function( options ) {
 
 		// Preserve chaining for setter
@@ -9970,7 +10493,7 @@ jQuery.fn.extend( {
 				} );
 		}
 
-		var doc, docElem, rect, win,
+		var rect, win,
 			elem = this[ 0 ];
 
 		if ( !elem ) {
@@ -9985,50 +10508,52 @@ jQuery.fn.extend( {
 			return { top: 0, left: 0 };
 		}
 
+		// Get document-relative position by adding viewport scroll to viewport-relative gBCR
 		rect = elem.getBoundingClientRect();
-
-		doc = elem.ownerDocument;
-		docElem = doc.documentElement;
-		win = doc.defaultView;
-
+		win = elem.ownerDocument.defaultView;
 		return {
-			top: rect.top + win.pageYOffset - docElem.clientTop,
-			left: rect.left + win.pageXOffset - docElem.clientLeft
+			top: rect.top + win.pageYOffset,
+			left: rect.left + win.pageXOffset
 		};
 	},
 
+	// position() relates an element's margin box to its offset parent's padding box
+	// This corresponds to the behavior of CSS absolute positioning
 	position: function() {
 		if ( !this[ 0 ] ) {
 			return;
 		}
 
-		var offsetParent, offset,
+		var offsetParent, offset, doc,
 			elem = this[ 0 ],
 			parentOffset = { top: 0, left: 0 };
 
-		// Fixed elements are offset from window (parentOffset = {top:0, left: 0},
-		// because it is its only offset parent
+		// position:fixed elements are offset from the viewport, which itself always has zero offset
 		if ( jQuery.css( elem, "position" ) === "fixed" ) {
 
-			// Assume getBoundingClientRect is there when computed position is fixed
+			// Assume position:fixed implies availability of getBoundingClientRect
 			offset = elem.getBoundingClientRect();
 
 		} else {
-
-			// Get *real* offsetParent
-			offsetParent = this.offsetParent();
-
-			// Get correct offsets
 			offset = this.offset();
-			if ( !nodeName( offsetParent[ 0 ], "html" ) ) {
-				parentOffset = offsetParent.offset();
-			}
 
-			// Add offsetParent borders
-			parentOffset = {
-				top: parentOffset.top + jQuery.css( offsetParent[ 0 ], "borderTopWidth", true ),
-				left: parentOffset.left + jQuery.css( offsetParent[ 0 ], "borderLeftWidth", true )
-			};
+			// Account for the *real* offset parent, which can be the document or its root element
+			// when a statically positioned element is identified
+			doc = elem.ownerDocument;
+			offsetParent = elem.offsetParent || doc.documentElement;
+			while ( offsetParent &&
+				( offsetParent === doc.body || offsetParent === doc.documentElement ) &&
+				jQuery.css( offsetParent, "position" ) === "static" ) {
+
+				offsetParent = offsetParent.parentNode;
+			}
+			if ( offsetParent && offsetParent !== elem && offsetParent.nodeType === 1 ) {
+
+				// Incorporate borders into its offset, since they are outside its content origin
+				parentOffset = jQuery( offsetParent ).offset();
+				parentOffset.top += jQuery.css( offsetParent, "borderTopWidth", true );
+				parentOffset.left += jQuery.css( offsetParent, "borderLeftWidth", true );
+			}
 		}
 
 		// Subtract parent offsets and element margins
@@ -10070,7 +10595,7 @@ jQuery.each( { scrollLeft: "pageXOffset"
 
 			// Coalesce documents and windows
 			var win;
-			if ( jQuery.isWindow( elem ) ) {
+			if ( isWindow( elem ) ) {
 				win = elem;
 			} else if ( elem.nodeType === 9 ) {
 				win = elem.defaultView;
@@ -10099,7 +10624,7 @@ jQuery.each( { scrollLeft: "pageXOffset"
 // Blink bug: https://bugs.chromium.org/p/chromium/issues/detail?id=589347
 // getComputedStyle returns percent when specified for top/left/bottom/right;
 // rather than make the css module depend on the offset module, just check for it here
-jQuery.each( [ "top", "left" ], function( i, prop ) {
+jQuery.each( [ "top", "left" ], function( _i, prop ) {
 	jQuery.cssHooks[ prop ] = addGetHookIf( support.pixelPosition,
 		function( elem, computed ) {
 			if ( computed ) {
@@ -10117,8 +10642,11 @@ jQuery.each( [ "top", "left" ], function
 
 // Create innerHeight, innerWidth, height, width, outerHeight and outerWidth methods
 jQuery.each( { Height: "height", Width: "width" }, function( name, type ) {
-	jQuery.each( { padding: "inner" + name, content: type, "": "outer" + name },
-		function( defaultExtra, funcName ) {
+	jQuery.each( {
+		padding: "inner" + name,
+		content: type,
+		"": "outer" + name
+	}, function( defaultExtra, funcName ) {
 
 		// Margin is only for outerHeight, outerWidth
 		jQuery.fn[ funcName ] = function( margin, value ) {
@@ -10128,7 +10656,7 @@ jQuery.each( { Height: "height", Width:
 			return access( this, function( elem, type, value ) {
 				var doc;
 
-				if ( jQuery.isWindow( elem ) ) {
+				if ( isWindow( elem ) ) {
 
 					// $( window ).outerWidth/Height return w/h including scrollbars (gh-1729)
 					return funcName.indexOf( "outer" ) === 0 ?
@@ -10162,6 +10690,22 @@ jQuery.each( { Height: "height", Width:
 } );
 
 
+jQuery.each( [
+	"ajaxStart",
+	"ajaxStop",
+	"ajaxComplete",
+	"ajaxError",
+	"ajaxSuccess",
+	"ajaxSend"
+], function( _i, type ) {
+	jQuery.fn[ type ] = function( fn ) {
+		return this.on( type, fn );
+	};
+} );
+
+
+
+
 jQuery.fn.extend( {
 
 	bind: function( types, data, fn ) {
@@ -10180,9 +10724,66 @@ jQuery.fn.extend( {
 		return arguments.length === 1 ?
 			this.off( selector, "**" ) :
 			this.off( types, selector || "**", fn );
+	},
+
+	hover: function( fnOver, fnOut ) {
+		return this.mouseenter( fnOver ).mouseleave( fnOut || fnOver );
 	}
 } );
 
+jQuery.each(
+	( "blur focus focusin focusout resize scroll click dblclick " +
+	"mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave " +
+	"change select submit keydown keypress keyup contextmenu" ).split( " " ),
+	function( _i, name ) {
+
+		// Handle event binding
+		jQuery.fn[ name ] = function( data, fn ) {
+			return arguments.length > 0 ?
+				this.on( name, null, data, fn ) :
+				this.trigger( name );
+		};
+	}
+);
+
+
+
+
+// Support: Android <=4.0 only
+// Make sure we trim BOM and NBSP
+var rtrim = /^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g;
+
+// Bind a function to a context, optionally partially applying any
+// arguments.
+// jQuery.proxy is deprecated to promote standards (specifically Function#bind)
+// However, it is not slated for removal any time soon
+jQuery.proxy = function( fn, context ) {
+	var tmp, args, proxy;
+
+	if ( typeof context === "string" ) {
+		tmp = fn[ context ];
+		context = fn;
+		fn = tmp;
+	}
+
+	// Quick check to determine if target is callable, in the spec
+	// this throws a TypeError, but we will just return undefined.
+	if ( !isFunction( fn ) ) {
+		return undefined;
+	}
+
+	// Simulated bind
+	args = slice.call( arguments, 2 );
+	proxy = function() {
+		return fn.apply( context || this, args.concat( slice.call( arguments ) ) );
+	};
+
+	// Set the guid of unique handler to the same of original handler, so it can be removed
+	proxy.guid = fn.guid = fn.guid || jQuery.guid++;
+
+	return proxy;
+};
+
 jQuery.holdReady = function( hold ) {
 	if ( hold ) {
 		jQuery.readyWait++;
@@ -10193,7 +10794,32 @@ jQuery.holdReady = function( hold ) {
 jQuery.isArray = Array.isArray;
 jQuery.parseJSON = JSON.parse;
 jQuery.nodeName = nodeName;
-
+jQuery.isFunction = isFunction;
+jQuery.isWindow = isWindow;
+jQuery.camelCase = camelCase;
+jQuery.type = toType;
+
+jQuery.now = Date.now;
+
+jQuery.isNumeric = function( obj ) {
+
+	// As of jQuery 3.0, isNumeric is limited to
+	// strings and numbers (primitives or objects)
+	// that can be coerced to finite numbers (gh-2662)
+	var type = jQuery.type( obj );
+	return ( type === "number" || type === "string" ) &&
+
+		// parseFloat NaNs numeric-cast false positives ("")
+		// ...but misinterprets leading-number strings, particularly hex literals ("0x...")
+		// subtraction forces infinities to NaN
+		!isNaN( obj - parseFloat( obj ) );
+};
+
+jQuery.trim = function( text ) {
+	return text == null ?
+		"" :
+		( text + "" ).replace( rtrim, "" );
+};
 
 
 
@@ -10242,7 +10868,7 @@ jQuery.noConflict = function( deep ) {
 // Expose jQuery and $ identifiers, even in AMD
 // (#7102#comment:10, https://github.com/jquery/jquery/pull/557)
 // and CommonJS for browser emulators (#13566)
-if ( !noGlobal ) {
+if ( typeof noGlobal === "undefined" ) {
 	window.jQuery = window.$ = jQuery;
 }
 
diff -pruN 1.21.2-1/doc/html/_static/language_data.js 1.21.3-1/doc/html/_static/language_data.js
--- 1.21.2-1/doc/html/_static/language_data.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/html/_static/language_data.js	2024-06-26 20:01:31.000000000 +0000
@@ -0,0 +1,297 @@
+/*
+ * language_data.js
+ * ~~~~~~~~~~~~~~~~
+ *
+ * This script contains the language-specific data used by searchtools.js,
+ * namely the list of stopwords, stemmer, scorer and splitter.
+ *
+ * :copyright: Copyright 2007-2021 by the Sphinx team, see AUTHORS.
+ * :license: BSD, see LICENSE for details.
+ *
+ */
+
+var stopwords = ["a","and","are","as","at","be","but","by","for","if","in","into","is","it","near","no","not","of","on","or","such","that","the","their","then","there","these","they","this","to","was","will","with"];
+
+
+/* Non-minified version is copied as a separate JS file, is available */
+
+/**
+ * Porter Stemmer
+ */
+var Stemmer = function() {
+
+  var step2list = {
+    ational: 'ate',
+    tional: 'tion',
+    enci: 'ence',
+    anci: 'ance',
+    izer: 'ize',
+    bli: 'ble',
+    alli: 'al',
+    entli: 'ent',
+    eli: 'e',
+    ousli: 'ous',
+    ization: 'ize',
+    ation: 'ate',
+    ator: 'ate',
+    alism: 'al',
+    iveness: 'ive',
+    fulness: 'ful',
+    ousness: 'ous',
+    aliti: 'al',
+    iviti: 'ive',
+    biliti: 'ble',
+    logi: 'log'
+  };
+
+  var step3list = {
+    icate: 'ic',
+    ative: '',
+    alize: 'al',
+    iciti: 'ic',
+    ical: 'ic',
+    ful: '',
+    ness: ''
+  };
+
+  var c = "[^aeiou]";          // consonant
+  var v = "[aeiouy]";          // vowel
+  var C = c + "[^aeiouy]*";    // consonant sequence
+  var V = v + "[aeiou]*";      // vowel sequence
+
+  var mgr0 = "^(" + C + ")?" + V + C;                      // [C]VC... is m>0
+  var meq1 = "^(" + C + ")?" + V + C + "(" + V + ")?$";    // [C]VC[V] is m=1
+  var mgr1 = "^(" + C + ")?" + V + C + V + C;              // [C]VCVC... is m>1
+  var s_v   = "^(" + C + ")?" + v;                         // vowel in stem
+
+  this.stemWord = function (w) {
+    var stem;
+    var suffix;
+    var firstch;
+    var origword = w;
+
+    if (w.length < 3)
+      return w;
+
+    var re;
+    var re2;
+    var re3;
+    var re4;
+
+    firstch = w.substr(0,1);
+    if (firstch == "y")
+      w = firstch.toUpperCase() + w.substr(1);
+
+    // Step 1a
+    re = /^(.+?)(ss|i)es$/;
+    re2 = /^(.+?)([^s])s$/;
+
+    if (re.test(w))
+      w = w.replace(re,"$1$2");
+    else if (re2.test(w))
+      w = w.replace(re2,"$1$2");
+
+    // Step 1b
+    re = /^(.+?)eed$/;
+    re2 = /^(.+?)(ed|ing)$/;
+    if (re.test(w)) {
+      var fp = re.exec(w);
+      re = new RegExp(mgr0);
+      if (re.test(fp[1])) {
+        re = /.$/;
+        w = w.replace(re,"");
+      }
+    }
+    else if (re2.test(w)) {
+      var fp = re2.exec(w);
+      stem = fp[1];
+      re2 = new RegExp(s_v);
+      if (re2.test(stem)) {
+        w = stem;
+        re2 = /(at|bl|iz)$/;
+        re3 = new RegExp("([^aeiouylsz])\\1$");
+        re4 = new RegExp("^" + C + v + "[^aeiouwxy]$");
+        if (re2.test(w))
+          w = w + "e";
+        else if (re3.test(w)) {
+          re = /.$/;
+          w = w.replace(re,"");
+        }
+        else if (re4.test(w))
+          w = w + "e";
+      }
+    }
+
+    // Step 1c
+    re = /^(.+?)y$/;
+    if (re.test(w)) {
+      var fp = re.exec(w);
+      stem = fp[1];
+      re = new RegExp(s_v);
+      if (re.test(stem))
+        w = stem + "i";
+    }
+
+    // Step 2
+    re = /^(.+?)(ational|tional|enci|anci|izer|bli|alli|entli|eli|ousli|ization|ation|ator|alism|iveness|fulness|ousness|aliti|iviti|biliti|logi)$/;
+    if (re.test(w)) {
+      var fp = re.exec(w);
+      stem = fp[1];
+      suffix = fp[2];
+      re = new RegExp(mgr0);
+      if (re.test(stem))
+        w = stem + step2list[suffix];
+    }
+
+    // Step 3
+    re = /^(.+?)(icate|ative|alize|iciti|ical|ful|ness)$/;
+    if (re.test(w)) {
+      var fp = re.exec(w);
+      stem = fp[1];
+      suffix = fp[2];
+      re = new RegExp(mgr0);
+      if (re.test(stem))
+        w = stem + step3list[suffix];
+    }
+
+    // Step 4
+    re = /^(.+?)(al|ance|ence|er|ic|able|ible|ant|ement|ment|ent|ou|ism|ate|iti|ous|ive|ize)$/;
+    re2 = /^(.+?)(s|t)(ion)$/;
+    if (re.test(w)) {
+      var fp = re.exec(w);
+      stem = fp[1];
+      re = new RegExp(mgr1);
+      if (re.test(stem))
+        w = stem;
+    }
+    else if (re2.test(w)) {
+      var fp = re2.exec(w);
+      stem = fp[1] + fp[2];
+      re2 = new RegExp(mgr1);
+      if (re2.test(stem))
+        w = stem;
+    }
+
+    // Step 5
+    re = /^(.+?)e$/;
+    if (re.test(w)) {
+      var fp = re.exec(w);
+      stem = fp[1];
+      re = new RegExp(mgr1);
+      re2 = new RegExp(meq1);
+      re3 = new RegExp("^" + C + v + "[^aeiouwxy]$");
+      if (re.test(stem) || (re2.test(stem) && !(re3.test(stem))))
+        w = stem;
+    }
+    re = /ll$/;
+    re2 = new RegExp(mgr1);
+    if (re.test(w) && re2.test(w)) {
+      re = /.$/;
+      w = w.replace(re,"");
+    }
+
+    // and turn initial Y back to y
+    if (firstch == "y")
+      w = firstch.toLowerCase() + w.substr(1);
+    return w;
+  }
+}
+
+
+
+
+var splitChars = (function() {
+    var result = {};
+    var singles = [96, 180, 187, 191, 215, 247, 749, 885, 903, 907, 909, 930, 1014, 1648,
+         1748, 1809, 2416, 2473, 2481, 2526, 2601, 2609, 2612, 2615, 2653, 2702,
+         2706, 2729, 2737, 2740, 2857, 2865, 2868, 2910, 2928, 2948, 2961, 2971,
+         2973, 3085, 3089, 3113, 3124, 3213, 3217, 3241, 3252, 3295, 3341, 3345,
+         3369, 3506, 3516, 3633, 3715, 3721, 3736, 3744, 3748, 3750, 3756, 3761,
+         3781, 3912, 4239, 4347, 4681, 4695, 4697, 4745, 4785, 4799, 4801, 4823,
+         4881, 5760, 5901, 5997, 6313, 7405, 8024, 8026, 8028, 8030, 8117, 8125,
+         8133, 8181, 8468, 8485, 8487, 8489, 8494, 8527, 11311, 11359, 11687, 11695,
+         11703, 11711, 11719, 11727, 11735, 12448, 12539, 43010, 43014, 43019, 43587,
+         43696, 43713, 64286, 64297, 64311, 64317, 64319, 64322, 64325, 65141];
+    var i, j, start, end;
+    for (i = 0; i < singles.length; i++) {
+        result[singles[i]] = true;
+    }
+    var ranges = [[0, 47], [58, 64], [91, 94], [123, 169], [171, 177], [182, 184], [706, 709],
+         [722, 735], [741, 747], [751, 879], [888, 889], [894, 901], [1154, 1161],
+         [1318, 1328], [1367, 1368], [1370, 1376], [1416, 1487], [1515, 1519], [1523, 1568],
+         [1611, 1631], [1642, 1645], [1750, 1764], [1767, 1773], [1789, 1790], [1792, 1807],
+         [1840, 1868], [1958, 1968], [1970, 1983], [2027, 2035], [2038, 2041], [2043, 2047],
+         [2070, 2073], [2075, 2083], [2085, 2087], [2089, 2307], [2362, 2364], [2366, 2383],
+         [2385, 2391], [2402, 2405], [2419, 2424], [2432, 2436], [2445, 2446], [2449, 2450],
+         [2483, 2485], [2490, 2492], [2494, 2509], [2511, 2523], [2530, 2533], [2546, 2547],
+         [2554, 2564], [2571, 2574], [2577, 2578], [2618, 2648], [2655, 2661], [2672, 2673],
+         [2677, 2692], [2746, 2748], [2750, 2767], [2769, 2783], [2786, 2789], [2800, 2820],
+         [2829, 2830], [2833, 2834], [2874, 2876], [2878, 2907], [2914, 2917], [2930, 2946],
+         [2955, 2957], [2966, 2968], [2976, 2978], [2981, 2983], [2987, 2989], [3002, 3023],
+         [3025, 3045], [3059, 3076], [3130, 3132], [3134, 3159], [3162, 3167], [3170, 3173],
+         [3184, 3191], [3199, 3204], [3258, 3260], [3262, 3293], [3298, 3301], [3312, 3332],
+         [3386, 3388], [3390, 3423], [3426, 3429], [3446, 3449], [3456, 3460], [3479, 3481],
+         [3518, 3519], [3527, 3584], [3636, 3647], [3655, 3663], [3674, 3712], [3717, 3718],
+         [3723, 3724], [3726, 3731], [3752, 3753], [3764, 3772], [3774, 3775], [3783, 3791],
+         [3802, 3803], [3806, 3839], [3841, 3871], [3892, 3903], [3949, 3975], [3980, 4095],
+         [4139, 4158], [4170, 4175], [4182, 4185], [4190, 4192], [4194, 4196], [4199, 4205],
+         [4209, 4212], [4226, 4237], [4250, 4255], [4294, 4303], [4349, 4351], [4686, 4687],
+         [4702, 4703], [4750, 4751], [4790, 4791], [4806, 4807], [4886, 4887], [4955, 4968],
+         [4989, 4991], [5008, 5023], [5109, 5120], [5741, 5742], [5787, 5791], [5867, 5869],
+         [5873, 5887], [5906, 5919], [5938, 5951], [5970, 5983], [6001, 6015], [6068, 6102],
+         [6104, 6107], [6109, 6111], [6122, 6127], [6138, 6159], [6170, 6175], [6264, 6271],
+         [6315, 6319], [6390, 6399], [6429, 6469], [6510, 6511], [6517, 6527], [6572, 6592],
+         [6600, 6607], [6619, 6655], [6679, 6687], [6741, 6783], [6794, 6799], [6810, 6822],
+         [6824, 6916], [6964, 6980], [6988, 6991], [7002, 7042], [7073, 7085], [7098, 7167],
+         [7204, 7231], [7242, 7244], [7294, 7400], [7410, 7423], [7616, 7679], [7958, 7959],
+         [7966, 7967], [8006, 8007], [8014, 8015], [8062, 8063], [8127, 8129], [8141, 8143],
+         [8148, 8149], [8156, 8159], [8173, 8177], [8189, 8303], [8306, 8307], [8314, 8318],
+         [8330, 8335], [8341, 8449], [8451, 8454], [8456, 8457], [8470, 8472], [8478, 8483],
+         [8506, 8507], [8512, 8516], [8522, 8525], [8586, 9311], [9372, 9449], [9472, 10101],
+         [10132, 11263], [11493, 11498], [11503, 11516], [11518, 11519], [11558, 11567],
+         [11622, 11630], [11632, 11647], [11671, 11679], [11743, 11822], [11824, 12292],
+         [12296, 12320], [12330, 12336], [12342, 12343], [12349, 12352], [12439, 12444],
+         [12544, 12548], [12590, 12592], [12687, 12689], [12694, 12703], [12728, 12783],
+         [12800, 12831], [12842, 12880], [12896, 12927], [12938, 12976], [12992, 13311],
+         [19894, 19967], [40908, 40959], [42125, 42191], [42238, 42239], [42509, 42511],
+         [42540, 42559], [42592, 42593], [42607, 42622], [42648, 42655], [42736, 42774],
+         [42784, 42785], [42889, 42890], [42893, 43002], [43043, 43055], [43062, 43071],
+         [43124, 43137], [43188, 43215], [43226, 43249], [43256, 43258], [43260, 43263],
+         [43302, 43311], [43335, 43359], [43389, 43395], [43443, 43470], [43482, 43519],
+         [43561, 43583], [43596, 43599], [43610, 43615], [43639, 43641], [43643, 43647],
+         [43698, 43700], [43703, 43704], [43710, 43711], [43715, 43738], [43742, 43967],
+         [44003, 44015], [44026, 44031], [55204, 55215], [55239, 55242], [55292, 55295],
+         [57344, 63743], [64046, 64047], [64110, 64111], [64218, 64255], [64263, 64274],
+         [64280, 64284], [64434, 64466], [64830, 64847], [64912, 64913], [64968, 65007],
+         [65020, 65135], [65277, 65295], [65306, 65312], [65339, 65344], [65371, 65381],
+         [65471, 65473], [65480, 65481], [65488, 65489], [65496, 65497]];
+    for (i = 0; i < ranges.length; i++) {
+        start = ranges[i][0];
+        end = ranges[i][1];
+        for (j = start; j <= end; j++) {
+            result[j] = true;
+        }
+    }
+    return result;
+})();
+
+function splitQuery(query) {
+    var result = [];
+    var start = -1;
+    for (var i = 0; i < query.length; i++) {
+        if (splitChars[query.charCodeAt(i)]) {
+            if (start !== -1) {
+                result.push(query.slice(start, i));
+                start = -1;
+            }
+        } else if (start === -1) {
+            start = i;
+        }
+    }
+    if (start !== -1) {
+        result.push(query.slice(start));
+    }
+    return result;
+}
+
+
diff -pruN 1.21.2-1/doc/html/_static/pygments.css 1.21.3-1/doc/html/_static/pygments.css
--- 1.21.2-1/doc/html/_static/pygments.css	2023-08-14 16:24:20.000000000 +0000
+++ 1.21.3-1/doc/html/_static/pygments.css	2024-06-26 20:01:31.000000000 +0000
@@ -1,5 +1,10 @@
+pre { line-height: 125%; }
+td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
+span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
+td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
+span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
 .highlight .hll { background-color: #ffffcc }
-.highlight  { background: #eeffcc; }
+.highlight { background: #eeffcc; }
 .highlight .c { color: #408090; font-style: italic } /* Comment */
 .highlight .err { border: 1px solid #FF0000 } /* Error */
 .highlight .k { color: #007020; font-weight: bold } /* Keyword */
diff -pruN 1.21.2-1/doc/html/_static/searchtools.js 1.21.3-1/doc/html/_static/searchtools.js
--- 1.21.2-1/doc/html/_static/searchtools.js	2023-08-14 16:24:20.000000000 +0000
+++ 1.21.3-1/doc/html/_static/searchtools.js	2021-12-19 12:55:13.000000000 +0000
@@ -1,331 +1,54 @@
 /*
- * searchtools.js_t
+ * searchtools.js
  * ~~~~~~~~~~~~~~~~
  *
  * Sphinx JavaScript utilities for the full-text search.
  *
- * :copyright: Copyright 2007-2018 by the Sphinx team, see AUTHORS.
+ * :copyright: Copyright 2007-2021 by the Sphinx team, see AUTHORS.
  * :license: BSD, see LICENSE for details.
  *
  */
 
-
-/* Non-minified version JS is _stemmer.js if file is provided */ 
-/**
- * Porter Stemmer
- */
-var Stemmer = function() {
-
-  var step2list = {
-    ational: 'ate',
-    tional: 'tion',
-    enci: 'ence',
-    anci: 'ance',
-    izer: 'ize',
-    bli: 'ble',
-    alli: 'al',
-    entli: 'ent',
-    eli: 'e',
-    ousli: 'ous',
-    ization: 'ize',
-    ation: 'ate',
-    ator: 'ate',
-    alism: 'al',
-    iveness: 'ive',
-    fulness: 'ful',
-    ousness: 'ous',
-    aliti: 'al',
-    iviti: 'ive',
-    biliti: 'ble',
-    logi: 'log'
-  };
-
-  var step3list = {
-    icate: 'ic',
-    ative: '',
-    alize: 'al',
-    iciti: 'ic',
-    ical: 'ic',
-    ful: '',
-    ness: ''
+if (!Scorer) {
+  /**
+   * Simple result scoring code.
+   */
+  var Scorer = {
+    // Implement the following function to further tweak the score for each result
+    // The function takes a result array [filename, title, anchor, descr, score]
+    // and returns the new score.
+    /*
+    score: function(result) {
+      return result[4];
+    },
+    */
+
+    // query matches the full name of an object
+    objNameMatch: 11,
+    // or matches in the last dotted part of the object name
+    objPartialMatch: 6,
+    // Additive scores depending on the priority of the object
+    objPrio: {0:  15,   // used to be importantResults
+              1:  5,   // used to be objectResults
+              2: -5},  // used to be unimportantResults
+    //  Used when the priority is not in the mapping.
+    objPrioDefault: 0,
+
+    // query found in title
+    title: 15,
+    partialTitle: 7,
+    // query found in terms
+    term: 5,
+    partialTerm: 2
   };
-
-  var c = "[^aeiou]";          // consonant
-  var v = "[aeiouy]";          // vowel
-  var C = c + "[^aeiouy]*";    // consonant sequence
-  var V = v + "[aeiou]*";      // vowel sequence
-
-  var mgr0 = "^(" + C + ")?" + V + C;                      // [C]VC... is m>0
-  var meq1 = "^(" + C + ")?" + V + C + "(" + V + ")?$";    // [C]VC[V] is m=1
-  var mgr1 = "^(" + C + ")?" + V + C + V + C;              // [C]VCVC... is m>1
-  var s_v   = "^(" + C + ")?" + v;                         // vowel in stem
-
-  this.stemWord = function (w) {
-    var stem;
-    var suffix;
-    var firstch;
-    var origword = w;
-
-    if (w.length < 3)
-      return w;
-
-    var re;
-    var re2;
-    var re3;
-    var re4;
-
-    firstch = w.substr(0,1);
-    if (firstch == "y")
-      w = firstch.toUpperCase() + w.substr(1);
-
-    // Step 1a
-    re = /^(.+?)(ss|i)es$/;
-    re2 = /^(.+?)([^s])s$/;
-
-    if (re.test(w))
-      w = w.replace(re,"$1$2");
-    else if (re2.test(w))
-      w = w.replace(re2,"$1$2");
-
-    // Step 1b
-    re = /^(.+?)eed$/;
-    re2 = /^(.+?)(ed|ing)$/;
-    if (re.test(w)) {
-      var fp = re.exec(w);
-      re = new RegExp(mgr0);
-      if (re.test(fp[1])) {
-        re = /.$/;
-        w = w.replace(re,"");
-      }
-    }
-    else if (re2.test(w)) {
-      var fp = re2.exec(w);
-      stem = fp[1];
-      re2 = new RegExp(s_v);
-      if (re2.test(stem)) {
-        w = stem;
-        re2 = /(at|bl|iz)$/;
-        re3 = new RegExp("([^aeiouylsz])\\1$");
-        re4 = new RegExp("^" + C + v + "[^aeiouwxy]$");
-        if (re2.test(w))
-          w = w + "e";
-        else if (re3.test(w)) {
-          re = /.$/;
-          w = w.replace(re,"");
-        }
-        else if (re4.test(w))
-          w = w + "e";
-      }
-    }
-
-    // Step 1c
-    re = /^(.+?)y$/;
-    if (re.test(w)) {
-      var fp = re.exec(w);
-      stem = fp[1];
-      re = new RegExp(s_v);
-      if (re.test(stem))
-        w = stem + "i";
-    }
-
-    // Step 2
-    re = /^(.+?)(ational|tional|enci|anci|izer|bli|alli|entli|eli|ousli|ization|ation|ator|alism|iveness|fulness|ousness|aliti|iviti|biliti|logi)$/;
-    if (re.test(w)) {
-      var fp = re.exec(w);
-      stem = fp[1];
-      suffix = fp[2];
-      re = new RegExp(mgr0);
-      if (re.test(stem))
-        w = stem + step2list[suffix];
-    }
-
-    // Step 3
-    re = /^(.+?)(icate|ative|alize|iciti|ical|ful|ness)$/;
-    if (re.test(w)) {
-      var fp = re.exec(w);
-      stem = fp[1];
-      suffix = fp[2];
-      re = new RegExp(mgr0);
-      if (re.test(stem))
-        w = stem + step3list[suffix];
-    }
-
-    // Step 4
-    re = /^(.+?)(al|ance|ence|er|ic|able|ible|ant|ement|ment|ent|ou|ism|ate|iti|ous|ive|ize)$/;
-    re2 = /^(.+?)(s|t)(ion)$/;
-    if (re.test(w)) {
-      var fp = re.exec(w);
-      stem = fp[1];
-      re = new RegExp(mgr1);
-      if (re.test(stem))
-        w = stem;
-    }
-    else if (re2.test(w)) {
-      var fp = re2.exec(w);
-      stem = fp[1] + fp[2];
-      re2 = new RegExp(mgr1);
-      if (re2.test(stem))
-        w = stem;
-    }
-
-    // Step 5
-    re = /^(.+?)e$/;
-    if (re.test(w)) {
-      var fp = re.exec(w);
-      stem = fp[1];
-      re = new RegExp(mgr1);
-      re2 = new RegExp(meq1);
-      re3 = new RegExp("^" + C + v + "[^aeiouwxy]$");
-      if (re.test(stem) || (re2.test(stem) && !(re3.test(stem))))
-        w = stem;
-    }
-    re = /ll$/;
-    re2 = new RegExp(mgr1);
-    if (re.test(w) && re2.test(w)) {
-      re = /.$/;
-      w = w.replace(re,"");
-    }
-
-    // and turn initial Y back to y
-    if (firstch == "y")
-      w = firstch.toLowerCase() + w.substr(1);
-    return w;
-  }
 }
 
-
-
-/**
- * Simple result scoring code.
- */
-var Scorer = {
-  // Implement the following function to further tweak the score for each result
-  // The function takes a result array [filename, title, anchor, descr, score]
-  // and returns the new score.
-  /*
-  score: function(result) {
-    return result[4];
-  },
-  */
-
-  // query matches the full name of an object
-  objNameMatch: 11,
-  // or matches in the last dotted part of the object name
-  objPartialMatch: 6,
-  // Additive scores depending on the priority of the object
-  objPrio: {0:  15,   // used to be importantResults
-            1:  5,   // used to be objectResults
-            2: -5},  // used to be unimportantResults
-  //  Used when the priority is not in the mapping.
-  objPrioDefault: 0,
-
-  // query found in title
-  title: 15,
-  // query found in terms
-  term: 5
-};
-
-
-
-
-
-var splitChars = (function() {
-    var result = {};
-    var singles = [96, 180, 187, 191, 215, 247, 749, 885, 903, 907, 909, 930, 1014, 1648,
-         1748, 1809, 2416, 2473, 2481, 2526, 2601, 2609, 2612, 2615, 2653, 2702,
-         2706, 2729, 2737, 2740, 2857, 2865, 2868, 2910, 2928, 2948, 2961, 2971,
-         2973, 3085, 3089, 3113, 3124, 3213, 3217, 3241, 3252, 3295, 3341, 3345,
-         3369, 3506, 3516, 3633, 3715, 3721, 3736, 3744, 3748, 3750, 3756, 3761,
-         3781, 3912, 4239, 4347, 4681, 4695, 4697, 4745, 4785, 4799, 4801, 4823,
-         4881, 5760, 5901, 5997, 6313, 7405, 8024, 8026, 8028, 8030, 8117, 8125,
-         8133, 8181, 8468, 8485, 8487, 8489, 8494, 8527, 11311, 11359, 11687, 11695,
-         11703, 11711, 11719, 11727, 11735, 12448, 12539, 43010, 43014, 43019, 43587,
-         43696, 43713, 64286, 64297, 64311, 64317, 64319, 64322, 64325, 65141];
-    var i, j, start, end;
-    for (i = 0; i < singles.length; i++) {
-        result[singles[i]] = true;
-    }
-    var ranges = [[0, 47], [58, 64], [91, 94], [123, 169], [171, 177], [182, 184], [706, 709],
-         [722, 735], [741, 747], [751, 879], [888, 889], [894, 901], [1154, 1161],
-         [1318, 1328], [1367, 1368], [1370, 1376], [1416, 1487], [1515, 1519], [1523, 1568],
-         [1611, 1631], [1642, 1645], [1750, 1764], [1767, 1773], [1789, 1790], [1792, 1807],
-         [1840, 1868], [1958, 1968], [1970, 1983], [2027, 2035], [2038, 2041], [2043, 2047],
-         [2070, 2073], [2075, 2083], [2085, 2087], [2089, 2307], [2362, 2364], [2366, 2383],
-         [2385, 2391], [2402, 2405], [2419, 2424], [2432, 2436], [2445, 2446], [2449, 2450],
-         [2483, 2485], [2490, 2492], [2494, 2509], [2511, 2523], [2530, 2533], [2546, 2547],
-         [2554, 2564], [2571, 2574], [2577, 2578], [2618, 2648], [2655, 2661], [2672, 2673],
-         [2677, 2692], [2746, 2748], [2750, 2767], [2769, 2783], [2786, 2789], [2800, 2820],
-         [2829, 2830], [2833, 2834], [2874, 2876], [2878, 2907], [2914, 2917], [2930, 2946],
-         [2955, 2957], [2966, 2968], [2976, 2978], [2981, 2983], [2987, 2989], [3002, 3023],
-         [3025, 3045], [3059, 3076], [3130, 3132], [3134, 3159], [3162, 3167], [3170, 3173],
-         [3184, 3191], [3199, 3204], [3258, 3260], [3262, 3293], [3298, 3301], [3312, 3332],
-         [3386, 3388], [3390, 3423], [3426, 3429], [3446, 3449], [3456, 3460], [3479, 3481],
-         [3518, 3519], [3527, 3584], [3636, 3647], [3655, 3663], [3674, 3712], [3717, 3718],
-         [3723, 3724], [3726, 3731], [3752, 3753], [3764, 3772], [3774, 3775], [3783, 3791],
-         [3802, 3803], [3806, 3839], [3841, 3871], [3892, 3903], [3949, 3975], [3980, 4095],
-         [4139, 4158], [4170, 4175], [4182, 4185], [4190, 4192], [4194, 4196], [4199, 4205],
-         [4209, 4212], [4226, 4237], [4250, 4255], [4294, 4303], [4349, 4351], [4686, 4687],
-         [4702, 4703], [4750, 4751], [4790, 4791], [4806, 4807], [4886, 4887], [4955, 4968],
-         [4989, 4991], [5008, 5023], [5109, 5120], [5741, 5742], [5787, 5791], [5867, 5869],
-         [5873, 5887], [5906, 5919], [5938, 5951], [5970, 5983], [6001, 6015], [6068, 6102],
-         [6104, 6107], [6109, 6111], [6122, 6127], [6138, 6159], [6170, 6175], [6264, 6271],
-         [6315, 6319], [6390, 6399], [6429, 6469], [6510, 6511], [6517, 6527], [6572, 6592],
-         [6600, 6607], [6619, 6655], [6679, 6687], [6741, 6783], [6794, 6799], [6810, 6822],
-         [6824, 6916], [6964, 6980], [6988, 6991], [7002, 7042], [7073, 7085], [7098, 7167],
-         [7204, 7231], [7242, 7244], [7294, 7400], [7410, 7423], [7616, 7679], [7958, 7959],
-         [7966, 7967], [8006, 8007], [8014, 8015], [8062, 8063], [8127, 8129], [8141, 8143],
-         [8148, 8149], [8156, 8159], [8173, 8177], [8189, 8303], [8306, 8307], [8314, 8318],
-         [8330, 8335], [8341, 8449], [8451, 8454], [8456, 8457], [8470, 8472], [8478, 8483],
-         [8506, 8507], [8512, 8516], [8522, 8525], [8586, 9311], [9372, 9449], [9472, 10101],
-         [10132, 11263], [11493, 11498], [11503, 11516], [11518, 11519], [11558, 11567],
-         [11622, 11630], [11632, 11647], [11671, 11679], [11743, 11822], [11824, 12292],
-         [12296, 12320], [12330, 12336], [12342, 12343], [12349, 12352], [12439, 12444],
-         [12544, 12548], [12590, 12592], [12687, 12689], [12694, 12703], [12728, 12783],
-         [12800, 12831], [12842, 12880], [12896, 12927], [12938, 12976], [12992, 13311],
-         [19894, 19967], [40908, 40959], [42125, 42191], [42238, 42239], [42509, 42511],
-         [42540, 42559], [42592, 42593], [42607, 42622], [42648, 42655], [42736, 42774],
-         [42784, 42785], [42889, 42890], [42893, 43002], [43043, 43055], [43062, 43071],
-         [43124, 43137], [43188, 43215], [43226, 43249], [43256, 43258], [43260, 43263],
-         [43302, 43311], [43335, 43359], [43389, 43395], [43443, 43470], [43482, 43519],
-         [43561, 43583], [43596, 43599], [43610, 43615], [43639, 43641], [43643, 43647],
-         [43698, 43700], [43703, 43704], [43710, 43711], [43715, 43738], [43742, 43967],
-         [44003, 44015], [44026, 44031], [55204, 55215], [55239, 55242], [55292, 55295],
-         [57344, 63743], [64046, 64047], [64110, 64111], [64218, 64255], [64263, 64274],
-         [64280, 64284], [64434, 64466], [64830, 64847], [64912, 64913], [64968, 65007],
-         [65020, 65135], [65277, 65295], [65306, 65312], [65339, 65344], [65371, 65381],
-         [65471, 65473], [65480, 65481], [65488, 65489], [65496, 65497]];
-    for (i = 0; i < ranges.length; i++) {
-        start = ranges[i][0];
-        end = ranges[i][1];
-        for (j = start; j <= end; j++) {
-            result[j] = true;
-        }
-    }
-    return result;
-})();
-
-function splitQuery(query) {
-    var result = [];
-    var start = -1;
-    for (var i = 0; i < query.length; i++) {
-        if (splitChars[query.charCodeAt(i)]) {
-            if (start !== -1) {
-                result.push(query.slice(start, i));
-                start = -1;
-            }
-        } else if (start === -1) {
-            start = i;
-        }
-    }
-    if (start !== -1) {
-        result.push(query.slice(start));
-    }
-    return result;
+if (!splitQuery) {
+  function splitQuery(query) {
+    return query.split(/\s+/);
+  }
 }
 
-
-
-
 /**
  * Search Module
  */
@@ -335,6 +58,19 @@ var Search = {
   _queued_query : null,
   _pulse_status : -1,
 
+  htmlToText : function(htmlString) {
+      var virtualDocument = document.implementation.createHTMLDocument('virtual');
+      var htmlElement = $(htmlString, virtualDocument);
+      htmlElement.find('.headerlink').remove();
+      docContent = htmlElement.find('[role=main]')[0];
+      if(docContent === undefined) {
+          console.warn("Content block not found. Sphinx search tries to obtain it " +
+                       "via '[role=main]'. Could you check your theme or template.");
+          return "";
+      }
+      return docContent.textContent || docContent.innerText;
+  },
+
   init : function() {
       var params = $.getQueryParameters();
       if (params.q) {
@@ -399,7 +135,7 @@ var Search = {
     this.out = $('#search-results');
     this.title = $('<h2>' + _('Searching') + '</h2>').appendTo(this.out);
     this.dots = $('<span></span>').appendTo(this.title);
-    this.status = $('<p style="display: none"></p>').appendTo(this.out);
+    this.status = $('<p class="search-summary">&nbsp;</p>').appendTo(this.out);
     this.output = $('<ul class="search"/>').appendTo(this.out);
 
     $('#search-progress').text(_('Preparing search...'));
@@ -417,7 +153,6 @@ var Search = {
    */
   query : function(query) {
     var i;
-    var stopwords = ["a","and","are","as","at","be","but","by","for","if","in","into","is","it","near","no","not","of","on","or","such","that","the","their","then","there","these","they","this","to","was","will","with"];
 
     // stem the searchterms and add them to the correct list
     var stemmer = new Stemmer();
@@ -431,8 +166,7 @@ var Search = {
           objectterms.push(tmp[i].toLowerCase());
       }
 
-      if ($u.indexOf(stopwords, tmp[i].toLowerCase()) != -1 || tmp[i].match(/^\d+$/) ||
-          tmp[i] === "") {
+      if ($u.indexOf(stopwords, tmp[i].toLowerCase()) != -1 || tmp[i] === "") {
         // skip this "word"
         continue;
       }
@@ -514,8 +248,10 @@ var Search = {
       // results left, load the summary and display it
       if (results.length) {
         var item = results.pop();
-        var listItem = $('<li style="display:none"></li>');
-        if (DOCUMENTATION_OPTIONS.FILE_SUFFIX === '') {
+        var listItem = $('<li></li>');
+        var requestUrl = "";
+        var linkUrl = "";
+        if (DOCUMENTATION_OPTIONS.BUILDER === 'dirhtml') {
           // dirhtml builder
           var dirname = item[0] + '/';
           if (dirname.match(/\/index\/$/)) {
@@ -523,44 +259,45 @@ var Search = {
           } else if (dirname == 'index/') {
             dirname = '';
           }
-          listItem.append($('<a/>').attr('href',
-            DOCUMENTATION_OPTIONS.URL_ROOT + dirname +
-            highlightstring + item[2]).html(item[1]));
+          requestUrl = DOCUMENTATION_OPTIONS.URL_ROOT + dirname;
+          linkUrl = requestUrl;
+
         } else {
           // normal html builders
-          listItem.append($('<a/>').attr('href',
-            item[0] + DOCUMENTATION_OPTIONS.FILE_SUFFIX +
-            highlightstring + item[2]).html(item[1]));
+          requestUrl = DOCUMENTATION_OPTIONS.URL_ROOT + item[0] + DOCUMENTATION_OPTIONS.FILE_SUFFIX;
+          linkUrl = item[0] + DOCUMENTATION_OPTIONS.LINK_SUFFIX;
         }
+        listItem.append($('<a/>').attr('href',
+            linkUrl +
+            highlightstring + item[2]).html(item[1]));
         if (item[3]) {
           listItem.append($('<span> (' + item[3] + ')</span>'));
           Search.output.append(listItem);
-          listItem.slideDown(5, function() {
+          setTimeout(function() {
             displayNextItem();
-          });
+          }, 5);
         } else if (DOCUMENTATION_OPTIONS.HAS_SOURCE) {
-          var suffix = DOCUMENTATION_OPTIONS.SOURCELINK_SUFFIX;
-          if (suffix === undefined) {
-            suffix = '.txt';
-          }
-          $.ajax({url: DOCUMENTATION_OPTIONS.URL_ROOT + '_sources/' + item[5] + (item[5].slice(-suffix.length) === suffix ? '' : suffix),
+          $.ajax({url: requestUrl,
                   dataType: "text",
                   complete: function(jqxhr, textstatus) {
                     var data = jqxhr.responseText;
                     if (data !== '' && data !== undefined) {
-                      listItem.append(Search.makeSearchSummary(data, searchterms, hlterms));
+                      var summary = Search.makeSearchSummary(data, searchterms, hlterms);
+                      if (summary) {
+                        listItem.append(summary);
+                      }
                     }
                     Search.output.append(listItem);
-                    listItem.slideDown(5, function() {
+                    setTimeout(function() {
                       displayNextItem();
-                    });
+                    }, 5);
                   }});
         } else {
           // no source available, just display title
           Search.output.append(listItem);
-          listItem.slideDown(5, function() {
+          setTimeout(function() {
             displayNextItem();
-          });
+          }, 5);
         }
       }
       // search finished, update title and status message
@@ -591,20 +328,25 @@ var Search = {
     var results = [];
 
     for (var prefix in objects) {
-      for (var name in objects[prefix]) {
+      if (!(objects[prefix] instanceof Array)) {
+        objects[prefix] = Object.entries(objects[prefix]).map(([name, match]) => [...match, name]);
+      }
+      for (var iMatch = 0; iMatch != objects[prefix].length; ++iMatch) {
+        var match = objects[prefix][iMatch];
+        var name = match[4];
         var fullname = (prefix ? prefix + '.' : '') + name;
-        if (fullname.toLowerCase().indexOf(object) > -1) {
+        var fullnameLower = fullname.toLowerCase()
+        if (fullnameLower.indexOf(object) > -1) {
           var score = 0;
-          var parts = fullname.split('.');
+          var parts = fullnameLower.split('.');
           // check for different match types: exact matches of full name or
           // "last name" (i.e. last dotted part)
-          if (fullname == object || parts[parts.length - 1] == object) {
+          if (fullnameLower == object || parts[parts.length - 1] == object) {
             score += Scorer.objNameMatch;
           // matches in last name
           } else if (parts[parts.length - 1].indexOf(object) > -1) {
             score += Scorer.objPartialMatch;
           }
-          var match = objects[prefix][name];
           var objname = objnames[match[1]][2];
           var title = titles[match[0]];
           // If more than one term searched for, we require other words to be
@@ -645,6 +387,13 @@ var Search = {
   },
 
   /**
+   * See https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Regular_Expressions
+   */
+  escapeRegExp : function(string) {
+    return string.replace(/[.*+\-?^${}()|[\]\\]/g, '\\$&'); // $& means the whole matched string
+  },
+
+  /**
    * search for full-text terms in the index
    */
   performTermsSearch : function(searchterms, excluded, terms, titleterms) {
@@ -665,6 +414,20 @@ var Search = {
         {files: terms[word], score: Scorer.term},
         {files: titleterms[word], score: Scorer.title}
       ];
+      // add support for partial matches
+      if (word.length > 2) {
+        var word_regex = this.escapeRegExp(word);
+        for (var w in terms) {
+          if (w.match(word_regex) && !terms[word]) {
+            _o.push({files: terms[w], score: Scorer.partialTerm})
+          }
+        }
+        for (var w in titleterms) {
+          if (w.match(word_regex) && !titleterms[word]) {
+              _o.push({files: titleterms[w], score: Scorer.partialTitle})
+          }
+        }
+      }
 
       // no match but word was a required one
       if ($u.every(_o, function(o){return o.files === undefined;})) {
@@ -684,7 +447,7 @@ var Search = {
         for (j = 0; j < _files.length; j++) {
           file = _files[j];
           if (!(file in scoreMap))
-            scoreMap[file] = {}
+            scoreMap[file] = {};
           scoreMap[file][word] = o.score;
         }
       });
@@ -692,7 +455,7 @@ var Search = {
       // create the mapping
       for (j = 0; j < files.length; j++) {
         file = files[j];
-        if (file in fileMap)
+        if (file in fileMap && fileMap[file].indexOf(word) === -1)
           fileMap[file].push(word);
         else
           fileMap[file] = [word];
@@ -704,8 +467,12 @@ var Search = {
       var valid = true;
 
       // check if all requirements are matched
-      if (fileMap[file].length != searchterms.length)
-          continue;
+      var filteredTermCount = // as search terms with length < 3 are discarded: ignore
+        searchterms.filter(function(term){return term.length > 2}).length
+      if (
+        fileMap[file].length != searchterms.length &&
+        fileMap[file].length != filteredTermCount
+      ) continue;
 
       // ensure that none of the excluded terms is in the search result
       for (i = 0; i < excluded.length; i++) {
@@ -736,7 +503,11 @@ var Search = {
    * words. the first one is used to find the occurrence, the
    * latter for highlighting it.
    */
-  makeSearchSummary : function(text, keywords, hlwords) {
+  makeSearchSummary : function(htmlText, keywords, hlwords) {
+    var text = Search.htmlToText(htmlText);
+    if (text == "") {
+      return null;
+    }
     var textLower = text.toLowerCase();
     var start = 0;
     $.each(keywords, function() {
@@ -748,7 +519,7 @@ var Search = {
     var excerpt = ((start > 0) ? '...' : '') +
       $.trim(text.substr(start, 240)) +
       ((start + 240 - text.length) ? '...' : '');
-    var rv = $('<div class="context"></div>').text(excerpt);
+    var rv = $('<p class="context"></p>').text(excerpt);
     $.each(hlwords, function() {
       rv = rv.highlightText(this, 'highlighted');
     });
@@ -758,4 +529,4 @@ var Search = {
 
 $(document).ready(function() {
   Search.init();
-});
\ No newline at end of file
+});
diff -pruN 1.21.2-1/doc/html/_static/underscore.js 1.21.3-1/doc/html/_static/underscore.js
--- 1.21.2-1/doc/html/_static/underscore.js	2021-04-07 11:56:00.000000000 +0000
+++ 1.21.3-1/doc/html/_static/underscore.js	2021-12-16 10:20:19.000000000 +0000
@@ -1,1120 +1,396 @@
-//     Underscore.js 1.8.3
-//     http://underscorejs.org
-//     (c) 2009-2015 Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
-//     Underscore may be freely distributed under the MIT license.
+(function (global, factory) {
+  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
+  typeof define === 'function' && define.amd ? define('underscore', factory) :
+  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, (function () {
+    var current = global._;
+    var exports = global._ = factory();
+    exports.noConflict = function () { global._ = current; return exports; };
+  }()));
+}(this, (function () {
+  //     Underscore.js 1.13.2
+  //     https://underscorejs.org
+  //     (c) 2009-2021 Jeremy Ashkenas, Julian Gonggrijp, and DocumentCloud and Investigative Reporters & Editors
+  //     Underscore may be freely distributed under the MIT license.
 
-(function() {
-
-  // Baseline setup
-  // --------------
-
-  // Establish the root object, `window` in the browser, or `exports` on the server.
-  var root = this;
+  // Current version.
+  var VERSION = '1.13.2';
 
-  // Save the previous value of the `_` variable.
-  var previousUnderscore = root._;
+  // Establish the root object, `window` (`self`) in the browser, `global`
+  // on the server, or `this` in some virtual machines. We use `self`
+  // instead of `window` for `WebWorker` support.
+  var root = typeof self == 'object' && self.self === self && self ||
+            typeof global == 'object' && global.global === global && global ||
+            Function('return this')() ||
+            {};
 
   // Save bytes in the minified (but not gzipped) version:
-  var ArrayProto = Array.prototype, ObjProto = Object.prototype, FuncProto = Function.prototype;
+  var ArrayProto = Array.prototype, ObjProto = Object.prototype;
+  var SymbolProto = typeof Symbol !== 'undefined' ? Symbol.prototype : null;
 
   // Create quick reference variables for speed access to core prototypes.
-  var
-    push             = ArrayProto.push,
-    slice            = ArrayProto.slice,
-    toString         = ObjProto.toString,
-    hasOwnProperty   = ObjProto.hasOwnProperty;
+  var push = ArrayProto.push,
+      slice = ArrayProto.slice,
+      toString = ObjProto.toString,
+      hasOwnProperty = ObjProto.hasOwnProperty;
+
+  // Modern feature detection.
+  var supportsArrayBuffer = typeof ArrayBuffer !== 'undefined',
+      supportsDataView = typeof DataView !== 'undefined';
 
-  // All **ECMAScript 5** native function implementations that we hope to use
+  // All **ECMAScript 5+** native function implementations that we hope to use
   // are declared here.
-  var
-    nativeIsArray      = Array.isArray,
-    nativeKeys         = Object.keys,
-    nativeBind         = FuncProto.bind,
-    nativeCreate       = Object.create;
-
-  // Naked function reference for surrogate-prototype-swapping.
-  var Ctor = function(){};
-
-  // Create a safe reference to the Underscore object for use below.
-  var _ = function(obj) {
-    if (obj instanceof _) return obj;
-    if (!(this instanceof _)) return new _(obj);
-    this._wrapped = obj;
-  };
-
-  // Export the Underscore object for **Node.js**, with
-  // backwards-compatibility for the old `require()` API. If we're in
-  // the browser, add `_` as a global object.
-  if (typeof exports !== 'undefined') {
-    if (typeof module !== 'undefined' && module.exports) {
-      exports = module.exports = _;
-    }
-    exports._ = _;
-  } else {
-    root._ = _;
-  }
-
-  // Current version.
-  _.VERSION = '1.8.3';
-
-  // Internal function that returns an efficient (for current engines) version
-  // of the passed-in callback, to be repeatedly applied in other Underscore
-  // functions.
-  var optimizeCb = function(func, context, argCount) {
-    if (context === void 0) return func;
-    switch (argCount == null ? 3 : argCount) {
-      case 1: return function(value) {
-        return func.call(context, value);
-      };
-      case 2: return function(value, other) {
-        return func.call(context, value, other);
-      };
-      case 3: return function(value, index, collection) {
-        return func.call(context, value, index, collection);
-      };
-      case 4: return function(accumulator, value, index, collection) {
-        return func.call(context, accumulator, value, index, collection);
-      };
-    }
-    return function() {
-      return func.apply(context, arguments);
-    };
-  };
-
-  // A mostly-internal function to generate callbacks that can be applied
-  // to each element in a collection, returning the desired result — either
-  // identity, an arbitrary callback, a property matcher, or a property accessor.
-  var cb = function(value, context, argCount) {
-    if (value == null) return _.identity;
-    if (_.isFunction(value)) return optimizeCb(value, context, argCount);
-    if (_.isObject(value)) return _.matcher(value);
-    return _.property(value);
-  };
-  _.iteratee = function(value, context) {
-    return cb(value, context, Infinity);
-  };
+  var nativeIsArray = Array.isArray,
+      nativeKeys = Object.keys,
+      nativeCreate = Object.create,
+      nativeIsView = supportsArrayBuffer && ArrayBuffer.isView;
+
+  // Create references to these builtin functions because we override them.
+  var _isNaN = isNaN,
+      _isFinite = isFinite;
 
-  // An internal function for creating assigner functions.
-  var createAssigner = function(keysFunc, undefinedOnly) {
-    return function(obj) {
-      var length = arguments.length;
-      if (length < 2 || obj == null) return obj;
-      for (var index = 1; index < length; index++) {
-        var source = arguments[index],
-            keys = keysFunc(source),
-            l = keys.length;
-        for (var i = 0; i < l; i++) {
-          var key = keys[i];
-          if (!undefinedOnly || obj[key] === void 0) obj[key] = source[key];
-        }
-      }
-      return obj;
-    };
-  };
-
-  // An internal function for creating a new object that inherits from another.
-  var baseCreate = function(prototype) {
-    if (!_.isObject(prototype)) return {};
-    if (nativeCreate) return nativeCreate(prototype);
-    Ctor.prototype = prototype;
-    var result = new Ctor;
-    Ctor.prototype = null;
-    return result;
-  };
-
-  var property = function(key) {
-    return function(obj) {
-      return obj == null ? void 0 : obj[key];
-    };
-  };
+  // Keys in IE < 9 that won't be iterated by `for key in ...` and thus missed.
+  var hasEnumBug = !{toString: null}.propertyIsEnumerable('toString');
+  var nonEnumerableProps = ['valueOf', 'isPrototypeOf', 'toString',
+    'propertyIsEnumerable', 'hasOwnProperty', 'toLocaleString'];
 
-  // Helper for collection methods to determine whether a collection
-  // should be iterated as an array or as an object
-  // Related: http://people.mozilla.org/~jorendorff/es6-draft.html#sec-tolength
-  // Avoids a very nasty iOS 8 JIT bug on ARM-64. #2094
+  // The largest integer that can be represented exactly.
   var MAX_ARRAY_INDEX = Math.pow(2, 53) - 1;
-  var getLength = property('length');
-  var isArrayLike = function(collection) {
-    var length = getLength(collection);
-    return typeof length == 'number' && length >= 0 && length <= MAX_ARRAY_INDEX;
-  };
-
-  // Collection Functions
-  // --------------------
 
-  // The cornerstone, an `each` implementation, aka `forEach`.
-  // Handles raw objects in addition to array-likes. Treats all
-  // sparse array-likes as if they were dense.
-  _.each = _.forEach = function(obj, iteratee, context) {
-    iteratee = optimizeCb(iteratee, context);
-    var i, length;
-    if (isArrayLike(obj)) {
-      for (i = 0, length = obj.length; i < length; i++) {
-        iteratee(obj[i], i, obj);
-      }
-    } else {
-      var keys = _.keys(obj);
-      for (i = 0, length = keys.length; i < length; i++) {
-        iteratee(obj[keys[i]], keys[i], obj);
-      }
-    }
-    return obj;
-  };
-
-  // Return the results of applying the iteratee to each element.
-  _.map = _.collect = function(obj, iteratee, context) {
-    iteratee = cb(iteratee, context);
-    var keys = !isArrayLike(obj) && _.keys(obj),
-        length = (keys || obj).length,
-        results = Array(length);
-    for (var index = 0; index < length; index++) {
-      var currentKey = keys ? keys[index] : index;
-      results[index] = iteratee(obj[currentKey], currentKey, obj);
-    }
-    return results;
-  };
-
-  // Create a reducing function iterating left or right.
-  function createReduce(dir) {
-    // Optimized iterator function as using arguments.length
-    // in the main function will deoptimize the, see #1991.
-    function iterator(obj, iteratee, memo, keys, index, length) {
-      for (; index >= 0 && index < length; index += dir) {
-        var currentKey = keys ? keys[index] : index;
-        memo = iteratee(memo, obj[currentKey], currentKey, obj);
-      }
-      return memo;
-    }
-
-    return function(obj, iteratee, memo, context) {
-      iteratee = optimizeCb(iteratee, context, 4);
-      var keys = !isArrayLike(obj) && _.keys(obj),
-          length = (keys || obj).length,
-          index = dir > 0 ? 0 : length - 1;
-      // Determine the initial value if none is provided.
-      if (arguments.length < 3) {
-        memo = obj[keys ? keys[index] : index];
-        index += dir;
+  // Some functions take a variable number of arguments, or a few expected
+  // arguments at the beginning and then a variable number of values to operate
+  // on. This helper accumulates all remaining arguments past the function’s
+  // argument length (or an explicit `startIndex`), into an array that becomes
+  // the last argument. Similar to ES6’s "rest parameter".
+  function restArguments(func, startIndex) {
+    startIndex = startIndex == null ? func.length - 1 : +startIndex;
+    return function() {
+      var length = Math.max(arguments.length - startIndex, 0),
+          rest = Array(length),
+          index = 0;
+      for (; index < length; index++) {
+        rest[index] = arguments[index + startIndex];
+      }
+      switch (startIndex) {
+        case 0: return func.call(this, rest);
+        case 1: return func.call(this, arguments[0], rest);
+        case 2: return func.call(this, arguments[0], arguments[1], rest);
+      }
+      var args = Array(startIndex + 1);
+      for (index = 0; index < startIndex; index++) {
+        args[index] = arguments[index];
       }
-      return iterator(obj, iteratee, memo, keys, index, length);
+      args[startIndex] = rest;
+      return func.apply(this, args);
     };
   }
 
-  // **Reduce** builds up a single result from a list of values, aka `inject`,
-  // or `foldl`.
-  _.reduce = _.foldl = _.inject = createReduce(1);
-
-  // The right-associative version of reduce, also known as `foldr`.
-  _.reduceRight = _.foldr = createReduce(-1);
-
-  // Return the first value which passes a truth test. Aliased as `detect`.
-  _.find = _.detect = function(obj, predicate, context) {
-    var key;
-    if (isArrayLike(obj)) {
-      key = _.findIndex(obj, predicate, context);
-    } else {
-      key = _.findKey(obj, predicate, context);
-    }
-    if (key !== void 0 && key !== -1) return obj[key];
-  };
-
-  // Return all the elements that pass a truth test.
-  // Aliased as `select`.
-  _.filter = _.select = function(obj, predicate, context) {
-    var results = [];
-    predicate = cb(predicate, context);
-    _.each(obj, function(value, index, list) {
-      if (predicate(value, index, list)) results.push(value);
-    });
-    return results;
-  };
-
-  // Return all the elements for which a truth test fails.
-  _.reject = function(obj, predicate, context) {
-    return _.filter(obj, _.negate(cb(predicate)), context);
-  };
-
-  // Determine whether all of the elements match a truth test.
-  // Aliased as `all`.
-  _.every = _.all = function(obj, predicate, context) {
-    predicate = cb(predicate, context);
-    var keys = !isArrayLike(obj) && _.keys(obj),
-        length = (keys || obj).length;
-    for (var index = 0; index < length; index++) {
-      var currentKey = keys ? keys[index] : index;
-      if (!predicate(obj[currentKey], currentKey, obj)) return false;
-    }
-    return true;
-  };
-
-  // Determine if at least one element in the object matches a truth test.
-  // Aliased as `any`.
-  _.some = _.any = function(obj, predicate, context) {
-    predicate = cb(predicate, context);
-    var keys = !isArrayLike(obj) && _.keys(obj),
-        length = (keys || obj).length;
-    for (var index = 0; index < length; index++) {
-      var currentKey = keys ? keys[index] : index;
-      if (predicate(obj[currentKey], currentKey, obj)) return true;
-    }
-    return false;
-  };
-
-  // Determine if the array or object contains a given item (using `===`).
-  // Aliased as `includes` and `include`.
-  _.contains = _.includes = _.include = function(obj, item, fromIndex, guard) {
-    if (!isArrayLike(obj)) obj = _.values(obj);
-    if (typeof fromIndex != 'number' || guard) fromIndex = 0;
-    return _.indexOf(obj, item, fromIndex) >= 0;
-  };
-
-  // Invoke a method (with arguments) on every item in a collection.
-  _.invoke = function(obj, method) {
-    var args = slice.call(arguments, 2);
-    var isFunc = _.isFunction(method);
-    return _.map(obj, function(value) {
-      var func = isFunc ? method : value[method];
-      return func == null ? func : func.apply(value, args);
-    });
-  };
-
-  // Convenience version of a common use case of `map`: fetching a property.
-  _.pluck = function(obj, key) {
-    return _.map(obj, _.property(key));
-  };
-
-  // Convenience version of a common use case of `filter`: selecting only objects
-  // containing specific `key:value` pairs.
-  _.where = function(obj, attrs) {
-    return _.filter(obj, _.matcher(attrs));
-  };
-
-  // Convenience version of a common use case of `find`: getting the first object
-  // containing specific `key:value` pairs.
-  _.findWhere = function(obj, attrs) {
-    return _.find(obj, _.matcher(attrs));
-  };
-
-  // Return the maximum element (or element-based computation).
-  _.max = function(obj, iteratee, context) {
-    var result = -Infinity, lastComputed = -Infinity,
-        value, computed;
-    if (iteratee == null && obj != null) {
-      obj = isArrayLike(obj) ? obj : _.values(obj);
-      for (var i = 0, length = obj.length; i < length; i++) {
-        value = obj[i];
-        if (value > result) {
-          result = value;
-        }
-      }
-    } else {
-      iteratee = cb(iteratee, context);
-      _.each(obj, function(value, index, list) {
-        computed = iteratee(value, index, list);
-        if (computed > lastComputed || computed === -Infinity && result === -Infinity) {
-          result = value;
-          lastComputed = computed;
-        }
-      });
-    }
-    return result;
-  };
+  // Is a given variable an object?
+  function isObject(obj) {
+    var type = typeof obj;
+    return type === 'function' || type === 'object' && !!obj;
+  }
 
-  // Return the minimum element (or element-based computation).
-  _.min = function(obj, iteratee, context) {
-    var result = Infinity, lastComputed = Infinity,
-        value, computed;
-    if (iteratee == null && obj != null) {
-      obj = isArrayLike(obj) ? obj : _.values(obj);
-      for (var i = 0, length = obj.length; i < length; i++) {
-        value = obj[i];
-        if (value < result) {
-          result = value;
-        }
-      }
-    } else {
-      iteratee = cb(iteratee, context);
-      _.each(obj, function(value, index, list) {
-        computed = iteratee(value, index, list);
-        if (computed < lastComputed || computed === Infinity && result === Infinity) {
-          result = value;
-          lastComputed = computed;
-        }
-      });
-    }
-    return result;
-  };
+  // Is a given value equal to null?
+  function isNull(obj) {
+    return obj === null;
+  }
 
-  // Shuffle a collection, using the modern version of the
-  // [Fisher-Yates shuffle](http://en.wikipedia.org/wiki/Fisher–Yates_shuffle).
-  _.shuffle = function(obj) {
-    var set = isArrayLike(obj) ? obj : _.values(obj);
-    var length = set.length;
-    var shuffled = Array(length);
-    for (var index = 0, rand; index < length; index++) {
-      rand = _.random(0, index);
-      if (rand !== index) shuffled[index] = shuffled[rand];
-      shuffled[rand] = set[index];
-    }
-    return shuffled;
-  };
+  // Is a given variable undefined?
+  function isUndefined(obj) {
+    return obj === void 0;
+  }
 
-  // Sample **n** random values from a collection.
-  // If **n** is not specified, returns a single random element.
-  // The internal `guard` argument allows it to work with `map`.
-  _.sample = function(obj, n, guard) {
-    if (n == null || guard) {
-      if (!isArrayLike(obj)) obj = _.values(obj);
-      return obj[_.random(obj.length - 1)];
-    }
-    return _.shuffle(obj).slice(0, Math.max(0, n));
-  };
+  // Is a given value a boolean?
+  function isBoolean(obj) {
+    return obj === true || obj === false || toString.call(obj) === '[object Boolean]';
+  }
 
-  // Sort the object's values by a criterion produced by an iteratee.
-  _.sortBy = function(obj, iteratee, context) {
-    iteratee = cb(iteratee, context);
-    return _.pluck(_.map(obj, function(value, index, list) {
-      return {
-        value: value,
-        index: index,
-        criteria: iteratee(value, index, list)
-      };
-    }).sort(function(left, right) {
-      var a = left.criteria;
-      var b = right.criteria;
-      if (a !== b) {
-        if (a > b || a === void 0) return 1;
-        if (a < b || b === void 0) return -1;
-      }
-      return left.index - right.index;
-    }), 'value');
-  };
+  // Is a given value a DOM element?
+  function isElement(obj) {
+    return !!(obj && obj.nodeType === 1);
+  }
 
-  // An internal function used for aggregate "group by" operations.
-  var group = function(behavior) {
-    return function(obj, iteratee, context) {
-      var result = {};
-      iteratee = cb(iteratee, context);
-      _.each(obj, function(value, index) {
-        var key = iteratee(value, index, obj);
-        behavior(result, value, key);
-      });
-      return result;
+  // Internal function for creating a `toString`-based type tester.
+  function tagTester(name) {
+    var tag = '[object ' + name + ']';
+    return function(obj) {
+      return toString.call(obj) === tag;
     };
-  };
-
-  // Groups the object's values by a criterion. Pass either a string attribute
-  // to group by, or a function that returns the criterion.
-  _.groupBy = group(function(result, value, key) {
-    if (_.has(result, key)) result[key].push(value); else result[key] = [value];
-  });
-
-  // Indexes the object's values by a criterion, similar to `groupBy`, but for
-  // when you know that your index values will be unique.
-  _.indexBy = group(function(result, value, key) {
-    result[key] = value;
-  });
-
-  // Counts instances of an object that group by a certain criterion. Pass
-  // either a string attribute to count by, or a function that returns the
-  // criterion.
-  _.countBy = group(function(result, value, key) {
-    if (_.has(result, key)) result[key]++; else result[key] = 1;
-  });
-
-  // Safely create a real, live array from anything iterable.
-  _.toArray = function(obj) {
-    if (!obj) return [];
-    if (_.isArray(obj)) return slice.call(obj);
-    if (isArrayLike(obj)) return _.map(obj, _.identity);
-    return _.values(obj);
-  };
-
-  // Return the number of elements in an object.
-  _.size = function(obj) {
-    if (obj == null) return 0;
-    return isArrayLike(obj) ? obj.length : _.keys(obj).length;
-  };
-
-  // Split a collection into two arrays: one whose elements all satisfy the given
-  // predicate, and one whose elements all do not satisfy the predicate.
-  _.partition = function(obj, predicate, context) {
-    predicate = cb(predicate, context);
-    var pass = [], fail = [];
-    _.each(obj, function(value, key, obj) {
-      (predicate(value, key, obj) ? pass : fail).push(value);
-    });
-    return [pass, fail];
-  };
-
-  // Array Functions
-  // ---------------
-
-  // Get the first element of an array. Passing **n** will return the first N
-  // values in the array. Aliased as `head` and `take`. The **guard** check
-  // allows it to work with `_.map`.
-  _.first = _.head = _.take = function(array, n, guard) {
-    if (array == null) return void 0;
-    if (n == null || guard) return array[0];
-    return _.initial(array, array.length - n);
-  };
-
-  // Returns everything but the last entry of the array. Especially useful on
-  // the arguments object. Passing **n** will return all the values in
-  // the array, excluding the last N.
-  _.initial = function(array, n, guard) {
-    return slice.call(array, 0, Math.max(0, array.length - (n == null || guard ? 1 : n)));
-  };
-
-  // Get the last element of an array. Passing **n** will return the last N
-  // values in the array.
-  _.last = function(array, n, guard) {
-    if (array == null) return void 0;
-    if (n == null || guard) return array[array.length - 1];
-    return _.rest(array, Math.max(0, array.length - n));
-  };
-
-  // Returns everything but the first entry of the array. Aliased as `tail` and `drop`.
-  // Especially useful on the arguments object. Passing an **n** will return
-  // the rest N values in the array.
-  _.rest = _.tail = _.drop = function(array, n, guard) {
-    return slice.call(array, n == null || guard ? 1 : n);
-  };
-
-  // Trim out all falsy values from an array.
-  _.compact = function(array) {
-    return _.filter(array, _.identity);
-  };
-
-  // Internal implementation of a recursive `flatten` function.
-  var flatten = function(input, shallow, strict, startIndex) {
-    var output = [], idx = 0;
-    for (var i = startIndex || 0, length = getLength(input); i < length; i++) {
-      var value = input[i];
-      if (isArrayLike(value) && (_.isArray(value) || _.isArguments(value))) {
-        //flatten current level of array or arguments object
-        if (!shallow) value = flatten(value, shallow, strict);
-        var j = 0, len = value.length;
-        output.length += len;
-        while (j < len) {
-          output[idx++] = value[j++];
-        }
-      } else if (!strict) {
-        output[idx++] = value;
-      }
-    }
-    return output;
-  };
-
-  // Flatten out an array, either recursively (by default), or just one level.
-  _.flatten = function(array, shallow) {
-    return flatten(array, shallow, false);
-  };
-
-  // Return a version of the array that does not contain the specified value(s).
-  _.without = function(array) {
-    return _.difference(array, slice.call(arguments, 1));
-  };
+  }
 
-  // Produce a duplicate-free version of the array. If the array has already
-  // been sorted, you have the option of using a faster algorithm.
-  // Aliased as `unique`.
-  _.uniq = _.unique = function(array, isSorted, iteratee, context) {
-    if (!_.isBoolean(isSorted)) {
-      context = iteratee;
-      iteratee = isSorted;
-      isSorted = false;
-    }
-    if (iteratee != null) iteratee = cb(iteratee, context);
-    var result = [];
-    var seen = [];
-    for (var i = 0, length = getLength(array); i < length; i++) {
-      var value = array[i],
-          computed = iteratee ? iteratee(value, i, array) : value;
-      if (isSorted) {
-        if (!i || seen !== computed) result.push(value);
-        seen = computed;
-      } else if (iteratee) {
-        if (!_.contains(seen, computed)) {
-          seen.push(computed);
-          result.push(value);
-        }
-      } else if (!_.contains(result, value)) {
-        result.push(value);
-      }
-    }
-    return result;
-  };
+  var isString = tagTester('String');
 
-  // Produce an array that contains the union: each distinct element from all of
-  // the passed-in arrays.
-  _.union = function() {
-    return _.uniq(flatten(arguments, true, true));
-  };
+  var isNumber = tagTester('Number');
 
-  // Produce an array that contains every item shared between all the
-  // passed-in arrays.
-  _.intersection = function(array) {
-    var result = [];
-    var argsLength = arguments.length;
-    for (var i = 0, length = getLength(array); i < length; i++) {
-      var item = array[i];
-      if (_.contains(result, item)) continue;
-      for (var j = 1; j < argsLength; j++) {
-        if (!_.contains(arguments[j], item)) break;
-      }
-      if (j === argsLength) result.push(item);
-    }
-    return result;
-  };
+  var isDate = tagTester('Date');
 
-  // Take the difference between one array and a number of other arrays.
-  // Only the elements present in just the first array will remain.
-  _.difference = function(array) {
-    var rest = flatten(arguments, true, true, 1);
-    return _.filter(array, function(value){
-      return !_.contains(rest, value);
-    });
-  };
+  var isRegExp = tagTester('RegExp');
 
-  // Zip together multiple lists into a single array -- elements that share
-  // an index go together.
-  _.zip = function() {
-    return _.unzip(arguments);
-  };
+  var isError = tagTester('Error');
 
-  // Complement of _.zip. Unzip accepts an array of arrays and groups
-  // each array's elements on shared indices
-  _.unzip = function(array) {
-    var length = array && _.max(array, getLength).length || 0;
-    var result = Array(length);
+  var isSymbol = tagTester('Symbol');
 
-    for (var index = 0; index < length; index++) {
-      result[index] = _.pluck(array, index);
-    }
-    return result;
-  };
+  var isArrayBuffer = tagTester('ArrayBuffer');
 
-  // Converts lists into objects. Pass either a single array of `[key, value]`
-  // pairs, or two parallel arrays of the same length -- one of keys, and one of
-  // the corresponding values.
-  _.object = function(list, values) {
-    var result = {};
-    for (var i = 0, length = getLength(list); i < length; i++) {
-      if (values) {
-        result[list[i]] = values[i];
-      } else {
-        result[list[i][0]] = list[i][1];
-      }
-    }
-    return result;
-  };
+  var isFunction = tagTester('Function');
 
-  // Generator function to create the findIndex and findLastIndex functions
-  function createPredicateIndexFinder(dir) {
-    return function(array, predicate, context) {
-      predicate = cb(predicate, context);
-      var length = getLength(array);
-      var index = dir > 0 ? 0 : length - 1;
-      for (; index >= 0 && index < length; index += dir) {
-        if (predicate(array[index], index, array)) return index;
-      }
-      return -1;
+  // Optimize `isFunction` if appropriate. Work around some `typeof` bugs in old
+  // v8, IE 11 (#1621), Safari 8 (#1929), and PhantomJS (#2236).
+  var nodelist = root.document && root.document.childNodes;
+  if (typeof /./ != 'function' && typeof Int8Array != 'object' && typeof nodelist != 'function') {
+    isFunction = function(obj) {
+      return typeof obj == 'function' || false;
     };
   }
 
-  // Returns the first index on an array-like that passes a predicate test
-  _.findIndex = createPredicateIndexFinder(1);
-  _.findLastIndex = createPredicateIndexFinder(-1);
+  var isFunction$1 = isFunction;
 
-  // Use a comparator function to figure out the smallest index at which
-  // an object should be inserted so as to maintain order. Uses binary search.
-  _.sortedIndex = function(array, obj, iteratee, context) {
-    iteratee = cb(iteratee, context, 1);
-    var value = iteratee(obj);
-    var low = 0, high = getLength(array);
-    while (low < high) {
-      var mid = Math.floor((low + high) / 2);
-      if (iteratee(array[mid]) < value) low = mid + 1; else high = mid;
-    }
-    return low;
-  };
+  var hasObjectTag = tagTester('Object');
 
-  // Generator function to create the indexOf and lastIndexOf functions
-  function createIndexFinder(dir, predicateFind, sortedIndex) {
-    return function(array, item, idx) {
-      var i = 0, length = getLength(array);
-      if (typeof idx == 'number') {
-        if (dir > 0) {
-            i = idx >= 0 ? idx : Math.max(idx + length, i);
-        } else {
-            length = idx >= 0 ? Math.min(idx + 1, length) : idx + length + 1;
-        }
-      } else if (sortedIndex && idx && length) {
-        idx = sortedIndex(array, item);
-        return array[idx] === item ? idx : -1;
-      }
-      if (item !== item) {
-        idx = predicateFind(slice.call(array, i, length), _.isNaN);
-        return idx >= 0 ? idx + i : -1;
-      }
-      for (idx = dir > 0 ? i : length - 1; idx >= 0 && idx < length; idx += dir) {
-        if (array[idx] === item) return idx;
-      }
-      return -1;
-    };
+  // In IE 10 - Edge 13, `DataView` has string tag `'[object Object]'`.
+  // In IE 11, the most common among them, this problem also applies to
+  // `Map`, `WeakMap` and `Set`.
+  var hasStringTagBug = (
+        supportsDataView && hasObjectTag(new DataView(new ArrayBuffer(8)))
+      ),
+      isIE11 = (typeof Map !== 'undefined' && hasObjectTag(new Map));
+
+  var isDataView = tagTester('DataView');
+
+  // In IE 10 - Edge 13, we need a different heuristic
+  // to determine whether an object is a `DataView`.
+  function ie10IsDataView(obj) {
+    return obj != null && isFunction$1(obj.getInt8) && isArrayBuffer(obj.buffer);
   }
 
-  // Return the position of the first occurrence of an item in an array,
-  // or -1 if the item is not included in the array.
-  // If the array is large and already in sort order, pass `true`
-  // for **isSorted** to use binary search.
-  _.indexOf = createIndexFinder(1, _.findIndex, _.sortedIndex);
-  _.lastIndexOf = createIndexFinder(-1, _.findLastIndex);
+  var isDataView$1 = (hasStringTagBug ? ie10IsDataView : isDataView);
 
-  // Generate an integer Array containing an arithmetic progression. A port of
-  // the native Python `range()` function. See
-  // [the Python documentation](http://docs.python.org/library/functions.html#range).
-  _.range = function(start, stop, step) {
-    if (stop == null) {
-      stop = start || 0;
-      start = 0;
-    }
-    step = step || 1;
-
-    var length = Math.max(Math.ceil((stop - start) / step), 0);
-    var range = Array(length);
-
-    for (var idx = 0; idx < length; idx++, start += step) {
-      range[idx] = start;
-    }
-
-    return range;
-  };
-
-  // Function (ahem) Functions
-  // ------------------
+  // Is a given value an array?
+  // Delegates to ECMA5's native `Array.isArray`.
+  var isArray = nativeIsArray || tagTester('Array');
 
-  // Determines whether to execute a function as a constructor
-  // or a normal function with the provided arguments
-  var executeBound = function(sourceFunc, boundFunc, context, callingContext, args) {
-    if (!(callingContext instanceof boundFunc)) return sourceFunc.apply(context, args);
-    var self = baseCreate(sourceFunc.prototype);
-    var result = sourceFunc.apply(self, args);
-    if (_.isObject(result)) return result;
-    return self;
-  };
+  // Internal function to check whether `key` is an own property name of `obj`.
+  function has$1(obj, key) {
+    return obj != null && hasOwnProperty.call(obj, key);
+  }
 
-  // Create a function bound to a given object (assigning `this`, and arguments,
-  // optionally). Delegates to **ECMAScript 5**'s native `Function.bind` if
-  // available.
-  _.bind = function(func, context) {
-    if (nativeBind && func.bind === nativeBind) return nativeBind.apply(func, slice.call(arguments, 1));
-    if (!_.isFunction(func)) throw new TypeError('Bind must be called on a function');
-    var args = slice.call(arguments, 2);
-    var bound = function() {
-      return executeBound(func, bound, context, this, args.concat(slice.call(arguments)));
-    };
-    return bound;
-  };
+  var isArguments = tagTester('Arguments');
 
-  // Partially apply a function by creating a version that has had some of its
-  // arguments pre-filled, without changing its dynamic `this` context. _ acts
-  // as a placeholder, allowing any combination of arguments to be pre-filled.
-  _.partial = function(func) {
-    var boundArgs = slice.call(arguments, 1);
-    var bound = function() {
-      var position = 0, length = boundArgs.length;
-      var args = Array(length);
-      for (var i = 0; i < length; i++) {
-        args[i] = boundArgs[i] === _ ? arguments[position++] : boundArgs[i];
-      }
-      while (position < arguments.length) args.push(arguments[position++]);
-      return executeBound(func, bound, this, this, args);
-    };
-    return bound;
-  };
-
-  // Bind a number of an object's methods to that object. Remaining arguments
-  // are the method names to be bound. Useful for ensuring that all callbacks
-  // defined on an object belong to it.
-  _.bindAll = function(obj) {
-    var i, length = arguments.length, key;
-    if (length <= 1) throw new Error('bindAll must be passed function names');
-    for (i = 1; i < length; i++) {
-      key = arguments[i];
-      obj[key] = _.bind(obj[key], obj);
+  // Define a fallback version of the method in browsers (ahem, IE < 9), where
+  // there isn't any inspectable "Arguments" type.
+  (function() {
+    if (!isArguments(arguments)) {
+      isArguments = function(obj) {
+        return has$1(obj, 'callee');
+      };
     }
-    return obj;
-  };
+  }());
 
-  // Memoize an expensive function by storing its results.
-  _.memoize = function(func, hasher) {
-    var memoize = function(key) {
-      var cache = memoize.cache;
-      var address = '' + (hasher ? hasher.apply(this, arguments) : key);
-      if (!_.has(cache, address)) cache[address] = func.apply(this, arguments);
-      return cache[address];
-    };
-    memoize.cache = {};
-    return memoize;
-  };
+  var isArguments$1 = isArguments;
 
-  // Delays a function for the given number of milliseconds, and then calls
-  // it with the arguments supplied.
-  _.delay = function(func, wait) {
-    var args = slice.call(arguments, 2);
-    return setTimeout(function(){
-      return func.apply(null, args);
-    }, wait);
-  };
+  // Is a given object a finite number?
+  function isFinite$1(obj) {
+    return !isSymbol(obj) && _isFinite(obj) && !isNaN(parseFloat(obj));
+  }
 
-  // Defers a function, scheduling it to run after the current call stack has
-  // cleared.
-  _.defer = _.partial(_.delay, _, 1);
+  // Is the given value `NaN`?
+  function isNaN$1(obj) {
+    return isNumber(obj) && _isNaN(obj);
+  }
 
-  // Returns a function, that, when invoked, will only be triggered at most once
-  // during a given window of time. Normally, the throttled function will run
-  // as much as it can, without ever going more than once per `wait` duration;
-  // but if you'd like to disable the execution on the leading edge, pass
-  // `{leading: false}`. To disable execution on the trailing edge, ditto.
-  _.throttle = function(func, wait, options) {
-    var context, args, result;
-    var timeout = null;
-    var previous = 0;
-    if (!options) options = {};
-    var later = function() {
-      previous = options.leading === false ? 0 : _.now();
-      timeout = null;
-      result = func.apply(context, args);
-      if (!timeout) context = args = null;
-    };
+  // Predicate-generating function. Often useful outside of Underscore.
+  function constant(value) {
     return function() {
-      var now = _.now();
-      if (!previous && options.leading === false) previous = now;
-      var remaining = wait - (now - previous);
-      context = this;
-      args = arguments;
-      if (remaining <= 0 || remaining > wait) {
-        if (timeout) {
-          clearTimeout(timeout);
-          timeout = null;
-        }
-        previous = now;
-        result = func.apply(context, args);
-        if (!timeout) context = args = null;
-      } else if (!timeout && options.trailing !== false) {
-        timeout = setTimeout(later, remaining);
-      }
-      return result;
+      return value;
     };
-  };
-
-  // Returns a function, that, as long as it continues to be invoked, will not
-  // be triggered. The function will be called after it stops being called for
-  // N milliseconds. If `immediate` is passed, trigger the function on the
-  // leading edge, instead of the trailing.
-  _.debounce = function(func, wait, immediate) {
-    var timeout, args, context, timestamp, result;
+  }
 
-    var later = function() {
-      var last = _.now() - timestamp;
+  // Common internal logic for `isArrayLike` and `isBufferLike`.
+  function createSizePropertyCheck(getSizeProperty) {
+    return function(collection) {
+      var sizeProperty = getSizeProperty(collection);
+      return typeof sizeProperty == 'number' && sizeProperty >= 0 && sizeProperty <= MAX_ARRAY_INDEX;
+    }
+  }
 
-      if (last < wait && last >= 0) {
-        timeout = setTimeout(later, wait - last);
-      } else {
-        timeout = null;
-        if (!immediate) {
-          result = func.apply(context, args);
-          if (!timeout) context = args = null;
-        }
-      }
+  // Internal helper to generate a function to obtain property `key` from `obj`.
+  function shallowProperty(key) {
+    return function(obj) {
+      return obj == null ? void 0 : obj[key];
     };
+  }
 
-    return function() {
-      context = this;
-      args = arguments;
-      timestamp = _.now();
-      var callNow = immediate && !timeout;
-      if (!timeout) timeout = setTimeout(later, wait);
-      if (callNow) {
-        result = func.apply(context, args);
-        context = args = null;
-      }
-
-      return result;
-    };
-  };
+  // Internal helper to obtain the `byteLength` property of an object.
+  var getByteLength = shallowProperty('byteLength');
 
-  // Returns the first function passed as an argument to the second,
-  // allowing you to adjust arguments, run code before and after, and
-  // conditionally execute the original function.
-  _.wrap = function(func, wrapper) {
-    return _.partial(wrapper, func);
-  };
+  // Internal helper to determine whether we should spend extensive checks against
+  // `ArrayBuffer` et al.
+  var isBufferLike = createSizePropertyCheck(getByteLength);
+
+  // Is a given value a typed array?
+  var typedArrayPattern = /\[object ((I|Ui)nt(8|16|32)|Float(32|64)|Uint8Clamped|Big(I|Ui)nt64)Array\]/;
+  function isTypedArray(obj) {
+    // `ArrayBuffer.isView` is the most future-proof, so use it when available.
+    // Otherwise, fall back on the above regular expression.
+    return nativeIsView ? (nativeIsView(obj) && !isDataView$1(obj)) :
+                  isBufferLike(obj) && typedArrayPattern.test(toString.call(obj));
+  }
 
-  // Returns a negated version of the passed-in predicate.
-  _.negate = function(predicate) {
-    return function() {
-      return !predicate.apply(this, arguments);
-    };
-  };
+  var isTypedArray$1 = supportsArrayBuffer ? isTypedArray : constant(false);
 
-  // Returns a function that is the composition of a list of functions, each
-  // consuming the return value of the function that follows.
-  _.compose = function() {
-    var args = arguments;
-    var start = args.length - 1;
-    return function() {
-      var i = start;
-      var result = args[start].apply(this, arguments);
-      while (i--) result = args[i].call(this, result);
-      return result;
-    };
-  };
+  // Internal helper to obtain the `length` property of an object.
+  var getLength = shallowProperty('length');
 
-  // Returns a function that will only be executed on and after the Nth call.
-  _.after = function(times, func) {
-    return function() {
-      if (--times < 1) {
-        return func.apply(this, arguments);
+  // Internal helper to create a simple lookup structure.
+  // `collectNonEnumProps` used to depend on `_.contains`, but this led to
+  // circular imports. `emulatedSet` is a one-off solution that only works for
+  // arrays of strings.
+  function emulatedSet(keys) {
+    var hash = {};
+    for (var l = keys.length, i = 0; i < l; ++i) hash[keys[i]] = true;
+    return {
+      contains: function(key) { return hash[key] === true; },
+      push: function(key) {
+        hash[key] = true;
+        return keys.push(key);
       }
     };
-  };
-
-  // Returns a function that will only be executed up to (but not including) the Nth call.
-  _.before = function(times, func) {
-    var memo;
-    return function() {
-      if (--times > 0) {
-        memo = func.apply(this, arguments);
-      }
-      if (times <= 1) func = null;
-      return memo;
-    };
-  };
-
-  // Returns a function that will be executed at most one time, no matter how
-  // often you call it. Useful for lazy initialization.
-  _.once = _.partial(_.before, 2);
-
-  // Object Functions
-  // ----------------
-
-  // Keys in IE < 9 that won't be iterated by `for key in ...` and thus missed.
-  var hasEnumBug = !{toString: null}.propertyIsEnumerable('toString');
-  var nonEnumerableProps = ['valueOf', 'isPrototypeOf', 'toString',
-                      'propertyIsEnumerable', 'hasOwnProperty', 'toLocaleString'];
+  }
 
+  // Internal helper. Checks `keys` for the presence of keys in IE < 9 that won't
+  // be iterated by `for key in ...` and thus missed. Extends `keys` in place if
+  // needed.
   function collectNonEnumProps(obj, keys) {
+    keys = emulatedSet(keys);
     var nonEnumIdx = nonEnumerableProps.length;
     var constructor = obj.constructor;
-    var proto = (_.isFunction(constructor) && constructor.prototype) || ObjProto;
+    var proto = isFunction$1(constructor) && constructor.prototype || ObjProto;
 
     // Constructor is a special case.
     var prop = 'constructor';
-    if (_.has(obj, prop) && !_.contains(keys, prop)) keys.push(prop);
+    if (has$1(obj, prop) && !keys.contains(prop)) keys.push(prop);
 
     while (nonEnumIdx--) {
       prop = nonEnumerableProps[nonEnumIdx];
-      if (prop in obj && obj[prop] !== proto[prop] && !_.contains(keys, prop)) {
+      if (prop in obj && obj[prop] !== proto[prop] && !keys.contains(prop)) {
         keys.push(prop);
       }
     }
   }
 
   // Retrieve the names of an object's own properties.
-  // Delegates to **ECMAScript 5**'s native `Object.keys`
-  _.keys = function(obj) {
-    if (!_.isObject(obj)) return [];
+  // Delegates to **ECMAScript 5**'s native `Object.keys`.
+  function keys(obj) {
+    if (!isObject(obj)) return [];
     if (nativeKeys) return nativeKeys(obj);
     var keys = [];
-    for (var key in obj) if (_.has(obj, key)) keys.push(key);
+    for (var key in obj) if (has$1(obj, key)) keys.push(key);
     // Ahem, IE < 9.
     if (hasEnumBug) collectNonEnumProps(obj, keys);
     return keys;
-  };
-
-  // Retrieve all the property names of an object.
-  _.allKeys = function(obj) {
-    if (!_.isObject(obj)) return [];
-    var keys = [];
-    for (var key in obj) keys.push(key);
-    // Ahem, IE < 9.
-    if (hasEnumBug) collectNonEnumProps(obj, keys);
-    return keys;
-  };
-
-  // Retrieve the values of an object's properties.
-  _.values = function(obj) {
-    var keys = _.keys(obj);
-    var length = keys.length;
-    var values = Array(length);
-    for (var i = 0; i < length; i++) {
-      values[i] = obj[keys[i]];
-    }
-    return values;
-  };
+  }
 
-  // Returns the results of applying the iteratee to each element of the object
-  // In contrast to _.map it returns an object
-  _.mapObject = function(obj, iteratee, context) {
-    iteratee = cb(iteratee, context);
-    var keys =  _.keys(obj),
-          length = keys.length,
-          results = {},
-          currentKey;
-      for (var index = 0; index < length; index++) {
-        currentKey = keys[index];
-        results[currentKey] = iteratee(obj[currentKey], currentKey, obj);
-      }
-      return results;
-  };
+  // Is a given array, string, or object empty?
+  // An "empty" object has no enumerable own-properties.
+  function isEmpty(obj) {
+    if (obj == null) return true;
+    // Skip the more expensive `toString`-based type checks if `obj` has no
+    // `.length`.
+    var length = getLength(obj);
+    if (typeof length == 'number' && (
+      isArray(obj) || isString(obj) || isArguments$1(obj)
+    )) return length === 0;
+    return getLength(keys(obj)) === 0;
+  }
 
-  // Convert an object into a list of `[key, value]` pairs.
-  _.pairs = function(obj) {
-    var keys = _.keys(obj);
-    var length = keys.length;
-    var pairs = Array(length);
+  // Returns whether an object has a given set of `key:value` pairs.
+  function isMatch(object, attrs) {
+    var _keys = keys(attrs), length = _keys.length;
+    if (object == null) return !length;
+    var obj = Object(object);
     for (var i = 0; i < length; i++) {
-      pairs[i] = [keys[i], obj[keys[i]]];
-    }
-    return pairs;
-  };
-
-  // Invert the keys and values of an object. The values must be serializable.
-  _.invert = function(obj) {
-    var result = {};
-    var keys = _.keys(obj);
-    for (var i = 0, length = keys.length; i < length; i++) {
-      result[obj[keys[i]]] = keys[i];
-    }
-    return result;
-  };
-
-  // Return a sorted list of the function names available on the object.
-  // Aliased as `methods`
-  _.functions = _.methods = function(obj) {
-    var names = [];
-    for (var key in obj) {
-      if (_.isFunction(obj[key])) names.push(key);
-    }
-    return names.sort();
-  };
-
-  // Extend a given object with all the properties in passed-in object(s).
-  _.extend = createAssigner(_.allKeys);
-
-  // Assigns a given object with all the own properties in the passed-in object(s)
-  // (https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object/assign)
-  _.extendOwn = _.assign = createAssigner(_.keys);
-
-  // Returns the first key on an object that passes a predicate test
-  _.findKey = function(obj, predicate, context) {
-    predicate = cb(predicate, context);
-    var keys = _.keys(obj), key;
-    for (var i = 0, length = keys.length; i < length; i++) {
-      key = keys[i];
-      if (predicate(obj[key], key, obj)) return key;
-    }
-  };
-
-  // Return a copy of the object only containing the whitelisted properties.
-  _.pick = function(object, oiteratee, context) {
-    var result = {}, obj = object, iteratee, keys;
-    if (obj == null) return result;
-    if (_.isFunction(oiteratee)) {
-      keys = _.allKeys(obj);
-      iteratee = optimizeCb(oiteratee, context);
-    } else {
-      keys = flatten(arguments, false, false, 1);
-      iteratee = function(value, key, obj) { return key in obj; };
-      obj = Object(obj);
-    }
-    for (var i = 0, length = keys.length; i < length; i++) {
-      var key = keys[i];
-      var value = obj[key];
-      if (iteratee(value, key, obj)) result[key] = value;
+      var key = _keys[i];
+      if (attrs[key] !== obj[key] || !(key in obj)) return false;
     }
-    return result;
-  };
+    return true;
+  }
 
-   // Return a copy of the object without the blacklisted properties.
-  _.omit = function(obj, iteratee, context) {
-    if (_.isFunction(iteratee)) {
-      iteratee = _.negate(iteratee);
-    } else {
-      var keys = _.map(flatten(arguments, false, false, 1), String);
-      iteratee = function(value, key) {
-        return !_.contains(keys, key);
-      };
-    }
-    return _.pick(obj, iteratee, context);
-  };
+  // If Underscore is called as a function, it returns a wrapped object that can
+  // be used OO-style. This wrapper holds altered versions of all functions added
+  // through `_.mixin`. Wrapped objects may be chained.
+  function _$1(obj) {
+    if (obj instanceof _$1) return obj;
+    if (!(this instanceof _$1)) return new _$1(obj);
+    this._wrapped = obj;
+  }
 
-  // Fill in a given object with default properties.
-  _.defaults = createAssigner(_.allKeys, true);
+  _$1.VERSION = VERSION;
 
-  // Creates an object that inherits from the given prototype object.
-  // If additional properties are provided then they will be added to the
-  // created object.
-  _.create = function(prototype, props) {
-    var result = baseCreate(prototype);
-    if (props) _.extendOwn(result, props);
-    return result;
+  // Extracts the result from a wrapped and chained object.
+  _$1.prototype.value = function() {
+    return this._wrapped;
   };
 
-  // Create a (shallow-cloned) duplicate of an object.
-  _.clone = function(obj) {
-    if (!_.isObject(obj)) return obj;
-    return _.isArray(obj) ? obj.slice() : _.extend({}, obj);
-  };
+  // Provide unwrapping proxies for some methods used in engine operations
+  // such as arithmetic and JSON stringification.
+  _$1.prototype.valueOf = _$1.prototype.toJSON = _$1.prototype.value;
 
-  // Invokes interceptor with the obj, and then returns obj.
-  // The primary purpose of this method is to "tap into" a method chain, in
-  // order to perform operations on intermediate results within the chain.
-  _.tap = function(obj, interceptor) {
-    interceptor(obj);
-    return obj;
+  _$1.prototype.toString = function() {
+    return String(this._wrapped);
   };
 
-  // Returns whether an object has a given set of `key:value` pairs.
-  _.isMatch = function(object, attrs) {
-    var keys = _.keys(attrs), length = keys.length;
-    if (object == null) return !length;
-    var obj = Object(object);
-    for (var i = 0; i < length; i++) {
-      var key = keys[i];
-      if (attrs[key] !== obj[key] || !(key in obj)) return false;
-    }
-    return true;
-  };
+  // Internal function to wrap or shallow-copy an ArrayBuffer,
+  // typed array or DataView to a new view, reusing the buffer.
+  function toBufferView(bufferSource) {
+    return new Uint8Array(
+      bufferSource.buffer || bufferSource,
+      bufferSource.byteOffset || 0,
+      getByteLength(bufferSource)
+    );
+  }
 
+  // We use this string twice, so give it a name for minification.
+  var tagDataView = '[object DataView]';
 
-  // Internal recursive comparison function for `isEqual`.
-  var eq = function(a, b, aStack, bStack) {
+  // Internal recursive comparison function for `_.isEqual`.
+  function eq(a, b, aStack, bStack) {
     // Identical objects are equal. `0 === -0`, but they aren't identical.
-    // See the [Harmony `egal` proposal](http://wiki.ecmascript.org/doku.php?id=harmony:egal).
+    // See the [Harmony `egal` proposal](https://wiki.ecmascript.org/doku.php?id=harmony:egal).
     if (a === b) return a !== 0 || 1 / a === 1 / b;
-    // A strict comparison is necessary because `null == undefined`.
-    if (a == null || b == null) return a === b;
+    // `null` or `undefined` only equal to itself (strict comparison).
+    if (a == null || b == null) return false;
+    // `NaN`s are equivalent, but non-reflexive.
+    if (a !== a) return b !== b;
+    // Exhaust primitive checks
+    var type = typeof a;
+    if (type !== 'function' && type !== 'object' && typeof b != 'object') return false;
+    return deepEq(a, b, aStack, bStack);
+  }
+
+  // Internal recursive comparison function for `_.isEqual`.
+  function deepEq(a, b, aStack, bStack) {
     // Unwrap any wrapped objects.
-    if (a instanceof _) a = a._wrapped;
-    if (b instanceof _) b = b._wrapped;
+    if (a instanceof _$1) a = a._wrapped;
+    if (b instanceof _$1) b = b._wrapped;
     // Compare `[[Class]]` names.
     var className = toString.call(a);
     if (className !== toString.call(b)) return false;
+    // Work around a bug in IE 10 - Edge 13.
+    if (hasStringTagBug && className == '[object Object]' && isDataView$1(a)) {
+      if (!isDataView$1(b)) return false;
+      className = tagDataView;
+    }
     switch (className) {
-      // Strings, numbers, regular expressions, dates, and booleans are compared by value.
+      // These types are compared by value.
       case '[object RegExp]':
-      // RegExps are coerced to strings for comparison (Note: '' + /a/i === '/a/i')
+        // RegExps are coerced to strings for comparison (Note: '' + /a/i === '/a/i')
       case '[object String]':
         // Primitives and their corresponding object wrappers are equivalent; thus, `"5"` is
         // equivalent to `new String("5")`.
         return '' + a === '' + b;
       case '[object Number]':
         // `NaN`s are equivalent, but non-reflexive.
-        // Object(NaN) is equivalent to NaN
+        // Object(NaN) is equivalent to NaN.
         if (+a !== +a) return +b !== +b;
         // An `egal` comparison is performed for other numeric values.
         return +a === 0 ? 1 / +a === 1 / b : +a === +b;
@@ -1124,17 +400,29 @@
         // millisecond representations. Note that invalid dates with millisecond representations
         // of `NaN` are not equivalent.
         return +a === +b;
+      case '[object Symbol]':
+        return SymbolProto.valueOf.call(a) === SymbolProto.valueOf.call(b);
+      case '[object ArrayBuffer]':
+      case tagDataView:
+        // Coerce to typed array so we can fall through.
+        return deepEq(toBufferView(a), toBufferView(b), aStack, bStack);
     }
 
     var areArrays = className === '[object Array]';
+    if (!areArrays && isTypedArray$1(a)) {
+        var byteLength = getByteLength(a);
+        if (byteLength !== getByteLength(b)) return false;
+        if (a.buffer === b.buffer && a.byteOffset === b.byteOffset) return true;
+        areArrays = true;
+    }
     if (!areArrays) {
       if (typeof a != 'object' || typeof b != 'object') return false;
 
       // Objects with different constructors are not equivalent, but `Object`s or `Array`s
       // from different frames are.
       var aCtor = a.constructor, bCtor = b.constructor;
-      if (aCtor !== bCtor && !(_.isFunction(aCtor) && aCtor instanceof aCtor &&
-                               _.isFunction(bCtor) && bCtor instanceof bCtor)
+      if (aCtor !== bCtor && !(isFunction$1(aCtor) && aCtor instanceof aCtor &&
+                               isFunction$1(bCtor) && bCtor instanceof bCtor)
                           && ('constructor' in a && 'constructor' in b)) {
         return false;
       }
@@ -1168,225 +456,397 @@
       }
     } else {
       // Deep compare objects.
-      var keys = _.keys(a), key;
-      length = keys.length;
+      var _keys = keys(a), key;
+      length = _keys.length;
       // Ensure that both objects contain the same number of properties before comparing deep equality.
-      if (_.keys(b).length !== length) return false;
+      if (keys(b).length !== length) return false;
       while (length--) {
         // Deep compare each member
-        key = keys[length];
-        if (!(_.has(b, key) && eq(a[key], b[key], aStack, bStack))) return false;
+        key = _keys[length];
+        if (!(has$1(b, key) && eq(a[key], b[key], aStack, bStack))) return false;
       }
     }
     // Remove the first object from the stack of traversed objects.
     aStack.pop();
     bStack.pop();
     return true;
-  };
+  }
 
   // Perform a deep comparison to check if two objects are equal.
-  _.isEqual = function(a, b) {
+  function isEqual(a, b) {
     return eq(a, b);
-  };
+  }
 
-  // Is a given array, string, or object empty?
-  // An "empty" object has no enumerable own-properties.
-  _.isEmpty = function(obj) {
-    if (obj == null) return true;
-    if (isArrayLike(obj) && (_.isArray(obj) || _.isString(obj) || _.isArguments(obj))) return obj.length === 0;
-    return _.keys(obj).length === 0;
-  };
+  // Retrieve all the enumerable property names of an object.
+  function allKeys(obj) {
+    if (!isObject(obj)) return [];
+    var keys = [];
+    for (var key in obj) keys.push(key);
+    // Ahem, IE < 9.
+    if (hasEnumBug) collectNonEnumProps(obj, keys);
+    return keys;
+  }
 
-  // Is a given value a DOM element?
-  _.isElement = function(obj) {
-    return !!(obj && obj.nodeType === 1);
-  };
+  // Since the regular `Object.prototype.toString` type tests don't work for
+  // some types in IE 11, we use a fingerprinting heuristic instead, based
+  // on the methods. It's not great, but it's the best we got.
+  // The fingerprint method lists are defined below.
+  function ie11fingerprint(methods) {
+    var length = getLength(methods);
+    return function(obj) {
+      if (obj == null) return false;
+      // `Map`, `WeakMap` and `Set` have no enumerable keys.
+      var keys = allKeys(obj);
+      if (getLength(keys)) return false;
+      for (var i = 0; i < length; i++) {
+        if (!isFunction$1(obj[methods[i]])) return false;
+      }
+      // If we are testing against `WeakMap`, we need to ensure that
+      // `obj` doesn't have a `forEach` method in order to distinguish
+      // it from a regular `Map`.
+      return methods !== weakMapMethods || !isFunction$1(obj[forEachName]);
+    };
+  }
 
-  // Is a given value an array?
-  // Delegates to ECMA5's native Array.isArray
-  _.isArray = nativeIsArray || function(obj) {
-    return toString.call(obj) === '[object Array]';
-  };
+  // In the interest of compact minification, we write
+  // each string in the fingerprints only once.
+  var forEachName = 'forEach',
+      hasName = 'has',
+      commonInit = ['clear', 'delete'],
+      mapTail = ['get', hasName, 'set'];
+
+  // `Map`, `WeakMap` and `Set` each have slightly different
+  // combinations of the above sublists.
+  var mapMethods = commonInit.concat(forEachName, mapTail),
+      weakMapMethods = commonInit.concat(mapTail),
+      setMethods = ['add'].concat(commonInit, forEachName, hasName);
 
-  // Is a given variable an object?
-  _.isObject = function(obj) {
-    var type = typeof obj;
-    return type === 'function' || type === 'object' && !!obj;
-  };
+  var isMap = isIE11 ? ie11fingerprint(mapMethods) : tagTester('Map');
 
-  // Add some isType methods: isArguments, isFunction, isString, isNumber, isDate, isRegExp, isError.
-  _.each(['Arguments', 'Function', 'String', 'Number', 'Date', 'RegExp', 'Error'], function(name) {
-    _['is' + name] = function(obj) {
-      return toString.call(obj) === '[object ' + name + ']';
-    };
-  });
+  var isWeakMap = isIE11 ? ie11fingerprint(weakMapMethods) : tagTester('WeakMap');
 
-  // Define a fallback version of the method in browsers (ahem, IE < 9), where
-  // there isn't any inspectable "Arguments" type.
-  if (!_.isArguments(arguments)) {
-    _.isArguments = function(obj) {
-      return _.has(obj, 'callee');
-    };
+  var isSet = isIE11 ? ie11fingerprint(setMethods) : tagTester('Set');
+
+  var isWeakSet = tagTester('WeakSet');
+
+  // Retrieve the values of an object's properties.
+  function values(obj) {
+    var _keys = keys(obj);
+    var length = _keys.length;
+    var values = Array(length);
+    for (var i = 0; i < length; i++) {
+      values[i] = obj[_keys[i]];
+    }
+    return values;
   }
 
-  // Optimize `isFunction` if appropriate. Work around some typeof bugs in old v8,
-  // IE 11 (#1621), and in Safari 8 (#1929).
-  if (typeof /./ != 'function' && typeof Int8Array != 'object') {
-    _.isFunction = function(obj) {
-      return typeof obj == 'function' || false;
+  // Convert an object into a list of `[key, value]` pairs.
+  // The opposite of `_.object` with one argument.
+  function pairs(obj) {
+    var _keys = keys(obj);
+    var length = _keys.length;
+    var pairs = Array(length);
+    for (var i = 0; i < length; i++) {
+      pairs[i] = [_keys[i], obj[_keys[i]]];
+    }
+    return pairs;
+  }
+
+  // Invert the keys and values of an object. The values must be serializable.
+  function invert(obj) {
+    var result = {};
+    var _keys = keys(obj);
+    for (var i = 0, length = _keys.length; i < length; i++) {
+      result[obj[_keys[i]]] = _keys[i];
+    }
+    return result;
+  }
+
+  // Return a sorted list of the function names available on the object.
+  function functions(obj) {
+    var names = [];
+    for (var key in obj) {
+      if (isFunction$1(obj[key])) names.push(key);
+    }
+    return names.sort();
+  }
+
+  // An internal function for creating assigner functions.
+  function createAssigner(keysFunc, defaults) {
+    return function(obj) {
+      var length = arguments.length;
+      if (defaults) obj = Object(obj);
+      if (length < 2 || obj == null) return obj;
+      for (var index = 1; index < length; index++) {
+        var source = arguments[index],
+            keys = keysFunc(source),
+            l = keys.length;
+        for (var i = 0; i < l; i++) {
+          var key = keys[i];
+          if (!defaults || obj[key] === void 0) obj[key] = source[key];
+        }
+      }
+      return obj;
     };
   }
 
-  // Is a given object a finite number?
-  _.isFinite = function(obj) {
-    return isFinite(obj) && !isNaN(parseFloat(obj));
-  };
+  // Extend a given object with all the properties in passed-in object(s).
+  var extend = createAssigner(allKeys);
 
-  // Is the given value `NaN`? (NaN is the only number which does not equal itself).
-  _.isNaN = function(obj) {
-    return _.isNumber(obj) && obj !== +obj;
-  };
+  // Assigns a given object with all the own properties in the passed-in
+  // object(s).
+  // (https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object/assign)
+  var extendOwn = createAssigner(keys);
 
-  // Is a given value a boolean?
-  _.isBoolean = function(obj) {
-    return obj === true || obj === false || toString.call(obj) === '[object Boolean]';
-  };
+  // Fill in a given object with default properties.
+  var defaults = createAssigner(allKeys, true);
 
-  // Is a given value equal to null?
-  _.isNull = function(obj) {
-    return obj === null;
-  };
+  // Create a naked function reference for surrogate-prototype-swapping.
+  function ctor() {
+    return function(){};
+  }
 
-  // Is a given variable undefined?
-  _.isUndefined = function(obj) {
-    return obj === void 0;
-  };
+  // An internal function for creating a new object that inherits from another.
+  function baseCreate(prototype) {
+    if (!isObject(prototype)) return {};
+    if (nativeCreate) return nativeCreate(prototype);
+    var Ctor = ctor();
+    Ctor.prototype = prototype;
+    var result = new Ctor;
+    Ctor.prototype = null;
+    return result;
+  }
 
-  // Shortcut function for checking if an object has a given property directly
-  // on itself (in other words, not on a prototype).
-  _.has = function(obj, key) {
-    return obj != null && hasOwnProperty.call(obj, key);
-  };
+  // Creates an object that inherits from the given prototype object.
+  // If additional properties are provided then they will be added to the
+  // created object.
+  function create(prototype, props) {
+    var result = baseCreate(prototype);
+    if (props) extendOwn(result, props);
+    return result;
+  }
 
-  // Utility Functions
-  // -----------------
+  // Create a (shallow-cloned) duplicate of an object.
+  function clone(obj) {
+    if (!isObject(obj)) return obj;
+    return isArray(obj) ? obj.slice() : extend({}, obj);
+  }
 
-  // Run Underscore.js in *noConflict* mode, returning the `_` variable to its
-  // previous owner. Returns a reference to the Underscore object.
-  _.noConflict = function() {
-    root._ = previousUnderscore;
-    return this;
-  };
+  // Invokes `interceptor` with the `obj` and then returns `obj`.
+  // The primary purpose of this method is to "tap into" a method chain, in
+  // order to perform operations on intermediate results within the chain.
+  function tap(obj, interceptor) {
+    interceptor(obj);
+    return obj;
+  }
+
+  // Normalize a (deep) property `path` to array.
+  // Like `_.iteratee`, this function can be customized.
+  function toPath$1(path) {
+    return isArray(path) ? path : [path];
+  }
+  _$1.toPath = toPath$1;
+
+  // Internal wrapper for `_.toPath` to enable minification.
+  // Similar to `cb` for `_.iteratee`.
+  function toPath(path) {
+    return _$1.toPath(path);
+  }
+
+  // Internal function to obtain a nested property in `obj` along `path`.
+  function deepGet(obj, path) {
+    var length = path.length;
+    for (var i = 0; i < length; i++) {
+      if (obj == null) return void 0;
+      obj = obj[path[i]];
+    }
+    return length ? obj : void 0;
+  }
+
+  // Get the value of the (deep) property on `path` from `object`.
+  // If any property in `path` does not exist or if the value is
+  // `undefined`, return `defaultValue` instead.
+  // The `path` is normalized through `_.toPath`.
+  function get(object, path, defaultValue) {
+    var value = deepGet(object, toPath(path));
+    return isUndefined(value) ? defaultValue : value;
+  }
+
+  // Shortcut function for checking if an object has a given property directly on
+  // itself (in other words, not on a prototype). Unlike the internal `has`
+  // function, this public version can also traverse nested properties.
+  function has(obj, path) {
+    path = toPath(path);
+    var length = path.length;
+    for (var i = 0; i < length; i++) {
+      var key = path[i];
+      if (!has$1(obj, key)) return false;
+      obj = obj[key];
+    }
+    return !!length;
+  }
 
   // Keep the identity function around for default iteratees.
-  _.identity = function(value) {
+  function identity(value) {
     return value;
-  };
+  }
+
+  // Returns a predicate for checking whether an object has a given set of
+  // `key:value` pairs.
+  function matcher(attrs) {
+    attrs = extendOwn({}, attrs);
+    return function(obj) {
+      return isMatch(obj, attrs);
+    };
+  }
+
+  // Creates a function that, when passed an object, will traverse that object’s
+  // properties down the given `path`, specified as an array of keys or indices.
+  function property(path) {
+    path = toPath(path);
+    return function(obj) {
+      return deepGet(obj, path);
+    };
+  }
 
-  // Predicate-generating functions. Often useful outside of Underscore.
-  _.constant = function(value) {
+  // Internal function that returns an efficient (for current engines) version
+  // of the passed-in callback, to be repeatedly applied in other Underscore
+  // functions.
+  function optimizeCb(func, context, argCount) {
+    if (context === void 0) return func;
+    switch (argCount == null ? 3 : argCount) {
+      case 1: return function(value) {
+        return func.call(context, value);
+      };
+      // The 2-argument case is omitted because we’re not using it.
+      case 3: return function(value, index, collection) {
+        return func.call(context, value, index, collection);
+      };
+      case 4: return function(accumulator, value, index, collection) {
+        return func.call(context, accumulator, value, index, collection);
+      };
+    }
     return function() {
-      return value;
+      return func.apply(context, arguments);
     };
-  };
+  }
 
-  _.noop = function(){};
+  // An internal function to generate callbacks that can be applied to each
+  // element in a collection, returning the desired result — either `_.identity`,
+  // an arbitrary callback, a property matcher, or a property accessor.
+  function baseIteratee(value, context, argCount) {
+    if (value == null) return identity;
+    if (isFunction$1(value)) return optimizeCb(value, context, argCount);
+    if (isObject(value) && !isArray(value)) return matcher(value);
+    return property(value);
+  }
 
-  _.property = property;
+  // External wrapper for our callback generator. Users may customize
+  // `_.iteratee` if they want additional predicate/iteratee shorthand styles.
+  // This abstraction hides the internal-only `argCount` argument.
+  function iteratee(value, context) {
+    return baseIteratee(value, context, Infinity);
+  }
+  _$1.iteratee = iteratee;
 
-  // Generates a function for a given object that returns a given property.
-  _.propertyOf = function(obj) {
-    return obj == null ? function(){} : function(key) {
-      return obj[key];
-    };
-  };
+  // The function we call internally to generate a callback. It invokes
+  // `_.iteratee` if overridden, otherwise `baseIteratee`.
+  function cb(value, context, argCount) {
+    if (_$1.iteratee !== iteratee) return _$1.iteratee(value, context);
+    return baseIteratee(value, context, argCount);
+  }
 
-  // Returns a predicate for checking whether an object has a given set of
-  // `key:value` pairs.
-  _.matcher = _.matches = function(attrs) {
-    attrs = _.extendOwn({}, attrs);
-    return function(obj) {
-      return _.isMatch(obj, attrs);
+  // Returns the results of applying the `iteratee` to each element of `obj`.
+  // In contrast to `_.map` it returns an object.
+  function mapObject(obj, iteratee, context) {
+    iteratee = cb(iteratee, context);
+    var _keys = keys(obj),
+        length = _keys.length,
+        results = {};
+    for (var index = 0; index < length; index++) {
+      var currentKey = _keys[index];
+      results[currentKey] = iteratee(obj[currentKey], currentKey, obj);
+    }
+    return results;
+  }
+
+  // Predicate-generating function. Often useful outside of Underscore.
+  function noop(){}
+
+  // Generates a function for a given object that returns a given property.
+  function propertyOf(obj) {
+    if (obj == null) return noop;
+    return function(path) {
+      return get(obj, path);
     };
-  };
+  }
 
   // Run a function **n** times.
-  _.times = function(n, iteratee, context) {
+  function times(n, iteratee, context) {
     var accum = Array(Math.max(0, n));
     iteratee = optimizeCb(iteratee, context, 1);
     for (var i = 0; i < n; i++) accum[i] = iteratee(i);
     return accum;
-  };
+  }
 
-  // Return a random integer between min and max (inclusive).
-  _.random = function(min, max) {
+  // Return a random integer between `min` and `max` (inclusive).
+  function random(min, max) {
     if (max == null) {
       max = min;
       min = 0;
     }
     return min + Math.floor(Math.random() * (max - min + 1));
-  };
+  }
 
   // A (possibly faster) way to get the current timestamp as an integer.
-  _.now = Date.now || function() {
+  var now = Date.now || function() {
     return new Date().getTime();
   };
 
-   // List of HTML entities for escaping.
-  var escapeMap = {
-    '&': '&amp;',
-    '<': '&lt;',
-    '>': '&gt;',
-    '"': '&quot;',
-    "'": '&#x27;',
-    '`': '&#x60;'
-  };
-  var unescapeMap = _.invert(escapeMap);
-
-  // Functions for escaping and unescaping strings to/from HTML interpolation.
-  var createEscaper = function(map) {
+  // Internal helper to generate functions for escaping and unescaping strings
+  // to/from HTML interpolation.
+  function createEscaper(map) {
     var escaper = function(match) {
       return map[match];
     };
-    // Regexes for identifying a key that needs to be escaped
-    var source = '(?:' + _.keys(map).join('|') + ')';
+    // Regexes for identifying a key that needs to be escaped.
+    var source = '(?:' + keys(map).join('|') + ')';
     var testRegexp = RegExp(source);
     var replaceRegexp = RegExp(source, 'g');
     return function(string) {
       string = string == null ? '' : '' + string;
       return testRegexp.test(string) ? string.replace(replaceRegexp, escaper) : string;
     };
-  };
-  _.escape = createEscaper(escapeMap);
-  _.unescape = createEscaper(unescapeMap);
+  }
 
-  // If the value of the named `property` is a function then invoke it with the
-  // `object` as context; otherwise, return it.
-  _.result = function(object, property, fallback) {
-    var value = object == null ? void 0 : object[property];
-    if (value === void 0) {
-      value = fallback;
-    }
-    return _.isFunction(value) ? value.call(object) : value;
+  // Internal list of HTML entities for escaping.
+  var escapeMap = {
+    '&': '&amp;',
+    '<': '&lt;',
+    '>': '&gt;',
+    '"': '&quot;',
+    "'": '&#x27;',
+    '`': '&#x60;'
   };
 
-  // Generate a unique integer id (unique within the entire client session).
-  // Useful for temporary DOM ids.
-  var idCounter = 0;
-  _.uniqueId = function(prefix) {
-    var id = ++idCounter + '';
-    return prefix ? prefix + id : id;
-  };
+  // Function for escaping strings to HTML interpolation.
+  var _escape = createEscaper(escapeMap);
+
+  // Internal list of HTML entities for unescaping.
+  var unescapeMap = invert(escapeMap);
 
-  // By default, Underscore uses ERB-style template delimiters, change the
+  // Function for unescaping strings from HTML interpolation.
+  var _unescape = createEscaper(unescapeMap);
+
+  // By default, Underscore uses ERB-style template delimiters. Change the
   // following template settings to use alternative delimiters.
-  _.templateSettings = {
-    evaluate    : /<%([\s\S]+?)%>/g,
-    interpolate : /<%=([\s\S]+?)%>/g,
-    escape      : /<%-([\s\S]+?)%>/g
+  var templateSettings = _$1.templateSettings = {
+    evaluate: /<%([\s\S]+?)%>/g,
+    interpolate: /<%=([\s\S]+?)%>/g,
+    escape: /<%-([\s\S]+?)%>/g
   };
 
-  // When customizing `templateSettings`, if you don't want to define an
+  // When customizing `_.templateSettings`, if you don't want to define an
   // interpolation, evaluation or escaping regex, we need one that is
   // guaranteed not to match.
   var noMatch = /(.)^/;
@@ -1394,19 +854,19 @@
   // Certain characters need to be escaped so that they can be put into a
   // string literal.
   var escapes = {
-    "'":      "'",
-    '\\':     '\\',
-    '\r':     'r',
-    '\n':     'n',
+    "'": "'",
+    '\\': '\\',
+    '\r': 'r',
+    '\n': 'n',
     '\u2028': 'u2028',
     '\u2029': 'u2029'
   };
 
-  var escaper = /\\|'|\r|\n|\u2028|\u2029/g;
+  var escapeRegExp = /\\|'|\r|\n|\u2028|\u2029/g;
 
-  var escapeChar = function(match) {
+  function escapeChar(match) {
     return '\\' + escapes[match];
-  };
+  }
 
   // In order to prevent third-party code injection through
   // `_.templateSettings.variable`, we test it against the following regular
@@ -1419,9 +879,9 @@
   // Underscore templating handles arbitrary delimiters, preserves whitespace,
   // and correctly escapes quotes within interpolated code.
   // NB: `oldSettings` only exists for backwards compatibility.
-  _.template = function(text, settings, oldSettings) {
+  function template(text, settings, oldSettings) {
     if (!settings && oldSettings) settings = oldSettings;
-    settings = _.defaults({}, settings, _.templateSettings);
+    settings = defaults({}, settings, _$1.templateSettings);
 
     // Combine delimiters into one regular expression via alternation.
     var matcher = RegExp([
@@ -1434,7 +894,7 @@
     var index = 0;
     var source = "__p+='";
     text.replace(matcher, function(match, escape, interpolate, evaluate, offset) {
-      source += text.slice(index, offset).replace(escaper, escapeChar);
+      source += text.slice(index, offset).replace(escapeRegExp, escapeChar);
       index = offset + match.length;
 
       if (escape) {
@@ -1445,14 +905,14 @@
         source += "';\n" + evaluate + "\n__p+='";
       }
 
-      // Adobe VMs need the match returned to produce the correct offest.
+      // Adobe VMs need the match returned to produce the correct offset.
       return match;
     });
     source += "';\n";
 
     var argument = settings.variable;
     if (argument) {
-      // Insure against third-party code injection.
+      // Insure against third-party code injection. (CVE-2021-23358)
       if (!bareIdentifier.test(argument)) throw new Error(
         'variable is not a bare identifier: ' + argument
       );
@@ -1466,6 +926,7 @@
       "print=function(){__p+=__j.call(arguments,'');};\n" +
       source + 'return __p;\n';
 
+    var render;
     try {
       render = new Function(argument, '_', source);
     } catch (e) {
@@ -1474,90 +935,1108 @@
     }
 
     var template = function(data) {
-      return render.call(this, data, _);
+      return render.call(this, data, _$1);
     };
 
     // Provide the compiled source as a convenience for precompilation.
     template.source = 'function(' + argument + '){\n' + source + '}';
 
     return template;
-  };
+  }
 
-  // Add a "chain" function. Start chaining a wrapped Underscore object.
-  _.chain = function(obj) {
-    var instance = _(obj);
+  // Traverses the children of `obj` along `path`. If a child is a function, it
+  // is invoked with its parent as context. Returns the value of the final
+  // child, or `fallback` if any child is undefined.
+  function result(obj, path, fallback) {
+    path = toPath(path);
+    var length = path.length;
+    if (!length) {
+      return isFunction$1(fallback) ? fallback.call(obj) : fallback;
+    }
+    for (var i = 0; i < length; i++) {
+      var prop = obj == null ? void 0 : obj[path[i]];
+      if (prop === void 0) {
+        prop = fallback;
+        i = length; // Ensure we don't continue iterating.
+      }
+      obj = isFunction$1(prop) ? prop.call(obj) : prop;
+    }
+    return obj;
+  }
+
+  // Generate a unique integer id (unique within the entire client session).
+  // Useful for temporary DOM ids.
+  var idCounter = 0;
+  function uniqueId(prefix) {
+    var id = ++idCounter + '';
+    return prefix ? prefix + id : id;
+  }
+
+  // Start chaining a wrapped Underscore object.
+  function chain(obj) {
+    var instance = _$1(obj);
     instance._chain = true;
     return instance;
-  };
+  }
+
+  // Internal function to execute `sourceFunc` bound to `context` with optional
+  // `args`. Determines whether to execute a function as a constructor or as a
+  // normal function.
+  function executeBound(sourceFunc, boundFunc, context, callingContext, args) {
+    if (!(callingContext instanceof boundFunc)) return sourceFunc.apply(context, args);
+    var self = baseCreate(sourceFunc.prototype);
+    var result = sourceFunc.apply(self, args);
+    if (isObject(result)) return result;
+    return self;
+  }
+
+  // Partially apply a function by creating a version that has had some of its
+  // arguments pre-filled, without changing its dynamic `this` context. `_` acts
+  // as a placeholder by default, allowing any combination of arguments to be
+  // pre-filled. Set `_.partial.placeholder` for a custom placeholder argument.
+  var partial = restArguments(function(func, boundArgs) {
+    var placeholder = partial.placeholder;
+    var bound = function() {
+      var position = 0, length = boundArgs.length;
+      var args = Array(length);
+      for (var i = 0; i < length; i++) {
+        args[i] = boundArgs[i] === placeholder ? arguments[position++] : boundArgs[i];
+      }
+      while (position < arguments.length) args.push(arguments[position++]);
+      return executeBound(func, bound, this, this, args);
+    };
+    return bound;
+  });
+
+  partial.placeholder = _$1;
+
+  // Create a function bound to a given object (assigning `this`, and arguments,
+  // optionally).
+  var bind = restArguments(function(func, context, args) {
+    if (!isFunction$1(func)) throw new TypeError('Bind must be called on a function');
+    var bound = restArguments(function(callArgs) {
+      return executeBound(func, bound, context, this, args.concat(callArgs));
+    });
+    return bound;
+  });
+
+  // Internal helper for collection methods to determine whether a collection
+  // should be iterated as an array or as an object.
+  // Related: https://people.mozilla.org/~jorendorff/es6-draft.html#sec-tolength
+  // Avoids a very nasty iOS 8 JIT bug on ARM-64. #2094
+  var isArrayLike = createSizePropertyCheck(getLength);
+
+  // Internal implementation of a recursive `flatten` function.
+  function flatten$1(input, depth, strict, output) {
+    output = output || [];
+    if (!depth && depth !== 0) {
+      depth = Infinity;
+    } else if (depth <= 0) {
+      return output.concat(input);
+    }
+    var idx = output.length;
+    for (var i = 0, length = getLength(input); i < length; i++) {
+      var value = input[i];
+      if (isArrayLike(value) && (isArray(value) || isArguments$1(value))) {
+        // Flatten current level of array or arguments object.
+        if (depth > 1) {
+          flatten$1(value, depth - 1, strict, output);
+          idx = output.length;
+        } else {
+          var j = 0, len = value.length;
+          while (j < len) output[idx++] = value[j++];
+        }
+      } else if (!strict) {
+        output[idx++] = value;
+      }
+    }
+    return output;
+  }
+
+  // Bind a number of an object's methods to that object. Remaining arguments
+  // are the method names to be bound. Useful for ensuring that all callbacks
+  // defined on an object belong to it.
+  var bindAll = restArguments(function(obj, keys) {
+    keys = flatten$1(keys, false, false);
+    var index = keys.length;
+    if (index < 1) throw new Error('bindAll must be passed function names');
+    while (index--) {
+      var key = keys[index];
+      obj[key] = bind(obj[key], obj);
+    }
+    return obj;
+  });
+
+  // Memoize an expensive function by storing its results.
+  function memoize(func, hasher) {
+    var memoize = function(key) {
+      var cache = memoize.cache;
+      var address = '' + (hasher ? hasher.apply(this, arguments) : key);
+      if (!has$1(cache, address)) cache[address] = func.apply(this, arguments);
+      return cache[address];
+    };
+    memoize.cache = {};
+    return memoize;
+  }
+
+  // Delays a function for the given number of milliseconds, and then calls
+  // it with the arguments supplied.
+  var delay = restArguments(function(func, wait, args) {
+    return setTimeout(function() {
+      return func.apply(null, args);
+    }, wait);
+  });
+
+  // Defers a function, scheduling it to run after the current call stack has
+  // cleared.
+  var defer = partial(delay, _$1, 1);
+
+  // Returns a function, that, when invoked, will only be triggered at most once
+  // during a given window of time. Normally, the throttled function will run
+  // as much as it can, without ever going more than once per `wait` duration;
+  // but if you'd like to disable the execution on the leading edge, pass
+  // `{leading: false}`. To disable execution on the trailing edge, ditto.
+  function throttle(func, wait, options) {
+    var timeout, context, args, result;
+    var previous = 0;
+    if (!options) options = {};
+
+    var later = function() {
+      previous = options.leading === false ? 0 : now();
+      timeout = null;
+      result = func.apply(context, args);
+      if (!timeout) context = args = null;
+    };
+
+    var throttled = function() {
+      var _now = now();
+      if (!previous && options.leading === false) previous = _now;
+      var remaining = wait - (_now - previous);
+      context = this;
+      args = arguments;
+      if (remaining <= 0 || remaining > wait) {
+        if (timeout) {
+          clearTimeout(timeout);
+          timeout = null;
+        }
+        previous = _now;
+        result = func.apply(context, args);
+        if (!timeout) context = args = null;
+      } else if (!timeout && options.trailing !== false) {
+        timeout = setTimeout(later, remaining);
+      }
+      return result;
+    };
+
+    throttled.cancel = function() {
+      clearTimeout(timeout);
+      previous = 0;
+      timeout = context = args = null;
+    };
+
+    return throttled;
+  }
+
+  // When a sequence of calls of the returned function ends, the argument
+  // function is triggered. The end of a sequence is defined by the `wait`
+  // parameter. If `immediate` is passed, the argument function will be
+  // triggered at the beginning of the sequence instead of at the end.
+  function debounce(func, wait, immediate) {
+    var timeout, previous, args, result, context;
+
+    var later = function() {
+      var passed = now() - previous;
+      if (wait > passed) {
+        timeout = setTimeout(later, wait - passed);
+      } else {
+        timeout = null;
+        if (!immediate) result = func.apply(context, args);
+        // This check is needed because `func` can recursively invoke `debounced`.
+        if (!timeout) args = context = null;
+      }
+    };
+
+    var debounced = restArguments(function(_args) {
+      context = this;
+      args = _args;
+      previous = now();
+      if (!timeout) {
+        timeout = setTimeout(later, wait);
+        if (immediate) result = func.apply(context, args);
+      }
+      return result;
+    });
+
+    debounced.cancel = function() {
+      clearTimeout(timeout);
+      timeout = args = context = null;
+    };
+
+    return debounced;
+  }
+
+  // Returns the first function passed as an argument to the second,
+  // allowing you to adjust arguments, run code before and after, and
+  // conditionally execute the original function.
+  function wrap(func, wrapper) {
+    return partial(wrapper, func);
+  }
+
+  // Returns a negated version of the passed-in predicate.
+  function negate(predicate) {
+    return function() {
+      return !predicate.apply(this, arguments);
+    };
+  }
+
+  // Returns a function that is the composition of a list of functions, each
+  // consuming the return value of the function that follows.
+  function compose() {
+    var args = arguments;
+    var start = args.length - 1;
+    return function() {
+      var i = start;
+      var result = args[start].apply(this, arguments);
+      while (i--) result = args[i].call(this, result);
+      return result;
+    };
+  }
+
+  // Returns a function that will only be executed on and after the Nth call.
+  function after(times, func) {
+    return function() {
+      if (--times < 1) {
+        return func.apply(this, arguments);
+      }
+    };
+  }
+
+  // Returns a function that will only be executed up to (but not including) the
+  // Nth call.
+  function before(times, func) {
+    var memo;
+    return function() {
+      if (--times > 0) {
+        memo = func.apply(this, arguments);
+      }
+      if (times <= 1) func = null;
+      return memo;
+    };
+  }
+
+  // Returns a function that will be executed at most one time, no matter how
+  // often you call it. Useful for lazy initialization.
+  var once = partial(before, 2);
+
+  // Returns the first key on an object that passes a truth test.
+  function findKey(obj, predicate, context) {
+    predicate = cb(predicate, context);
+    var _keys = keys(obj), key;
+    for (var i = 0, length = _keys.length; i < length; i++) {
+      key = _keys[i];
+      if (predicate(obj[key], key, obj)) return key;
+    }
+  }
+
+  // Internal function to generate `_.findIndex` and `_.findLastIndex`.
+  function createPredicateIndexFinder(dir) {
+    return function(array, predicate, context) {
+      predicate = cb(predicate, context);
+      var length = getLength(array);
+      var index = dir > 0 ? 0 : length - 1;
+      for (; index >= 0 && index < length; index += dir) {
+        if (predicate(array[index], index, array)) return index;
+      }
+      return -1;
+    };
+  }
+
+  // Returns the first index on an array-like that passes a truth test.
+  var findIndex = createPredicateIndexFinder(1);
+
+  // Returns the last index on an array-like that passes a truth test.
+  var findLastIndex = createPredicateIndexFinder(-1);
+
+  // Use a comparator function to figure out the smallest index at which
+  // an object should be inserted so as to maintain order. Uses binary search.
+  function sortedIndex(array, obj, iteratee, context) {
+    iteratee = cb(iteratee, context, 1);
+    var value = iteratee(obj);
+    var low = 0, high = getLength(array);
+    while (low < high) {
+      var mid = Math.floor((low + high) / 2);
+      if (iteratee(array[mid]) < value) low = mid + 1; else high = mid;
+    }
+    return low;
+  }
+
+  // Internal function to generate the `_.indexOf` and `_.lastIndexOf` functions.
+  function createIndexFinder(dir, predicateFind, sortedIndex) {
+    return function(array, item, idx) {
+      var i = 0, length = getLength(array);
+      if (typeof idx == 'number') {
+        if (dir > 0) {
+          i = idx >= 0 ? idx : Math.max(idx + length, i);
+        } else {
+          length = idx >= 0 ? Math.min(idx + 1, length) : idx + length + 1;
+        }
+      } else if (sortedIndex && idx && length) {
+        idx = sortedIndex(array, item);
+        return array[idx] === item ? idx : -1;
+      }
+      if (item !== item) {
+        idx = predicateFind(slice.call(array, i, length), isNaN$1);
+        return idx >= 0 ? idx + i : -1;
+      }
+      for (idx = dir > 0 ? i : length - 1; idx >= 0 && idx < length; idx += dir) {
+        if (array[idx] === item) return idx;
+      }
+      return -1;
+    };
+  }
+
+  // Return the position of the first occurrence of an item in an array,
+  // or -1 if the item is not included in the array.
+  // If the array is large and already in sort order, pass `true`
+  // for **isSorted** to use binary search.
+  var indexOf = createIndexFinder(1, findIndex, sortedIndex);
+
+  // Return the position of the last occurrence of an item in an array,
+  // or -1 if the item is not included in the array.
+  var lastIndexOf = createIndexFinder(-1, findLastIndex);
+
+  // Return the first value which passes a truth test.
+  function find(obj, predicate, context) {
+    var keyFinder = isArrayLike(obj) ? findIndex : findKey;
+    var key = keyFinder(obj, predicate, context);
+    if (key !== void 0 && key !== -1) return obj[key];
+  }
+
+  // Convenience version of a common use case of `_.find`: getting the first
+  // object containing specific `key:value` pairs.
+  function findWhere(obj, attrs) {
+    return find(obj, matcher(attrs));
+  }
+
+  // The cornerstone for collection functions, an `each`
+  // implementation, aka `forEach`.
+  // Handles raw objects in addition to array-likes. Treats all
+  // sparse array-likes as if they were dense.
+  function each(obj, iteratee, context) {
+    iteratee = optimizeCb(iteratee, context);
+    var i, length;
+    if (isArrayLike(obj)) {
+      for (i = 0, length = obj.length; i < length; i++) {
+        iteratee(obj[i], i, obj);
+      }
+    } else {
+      var _keys = keys(obj);
+      for (i = 0, length = _keys.length; i < length; i++) {
+        iteratee(obj[_keys[i]], _keys[i], obj);
+      }
+    }
+    return obj;
+  }
 
-  // OOP
-  // ---------------
-  // If Underscore is called as a function, it returns a wrapped object that
-  // can be used OO-style. This wrapper holds altered versions of all the
-  // underscore functions. Wrapped objects may be chained.
+  // Return the results of applying the iteratee to each element.
+  function map(obj, iteratee, context) {
+    iteratee = cb(iteratee, context);
+    var _keys = !isArrayLike(obj) && keys(obj),
+        length = (_keys || obj).length,
+        results = Array(length);
+    for (var index = 0; index < length; index++) {
+      var currentKey = _keys ? _keys[index] : index;
+      results[index] = iteratee(obj[currentKey], currentKey, obj);
+    }
+    return results;
+  }
+
+  // Internal helper to create a reducing function, iterating left or right.
+  function createReduce(dir) {
+    // Wrap code that reassigns argument variables in a separate function than
+    // the one that accesses `arguments.length` to avoid a perf hit. (#1991)
+    var reducer = function(obj, iteratee, memo, initial) {
+      var _keys = !isArrayLike(obj) && keys(obj),
+          length = (_keys || obj).length,
+          index = dir > 0 ? 0 : length - 1;
+      if (!initial) {
+        memo = obj[_keys ? _keys[index] : index];
+        index += dir;
+      }
+      for (; index >= 0 && index < length; index += dir) {
+        var currentKey = _keys ? _keys[index] : index;
+        memo = iteratee(memo, obj[currentKey], currentKey, obj);
+      }
+      return memo;
+    };
+
+    return function(obj, iteratee, memo, context) {
+      var initial = arguments.length >= 3;
+      return reducer(obj, optimizeCb(iteratee, context, 4), memo, initial);
+    };
+  }
+
+  // **Reduce** builds up a single result from a list of values, aka `inject`,
+  // or `foldl`.
+  var reduce = createReduce(1);
+
+  // The right-associative version of reduce, also known as `foldr`.
+  var reduceRight = createReduce(-1);
+
+  // Return all the elements that pass a truth test.
+  function filter(obj, predicate, context) {
+    var results = [];
+    predicate = cb(predicate, context);
+    each(obj, function(value, index, list) {
+      if (predicate(value, index, list)) results.push(value);
+    });
+    return results;
+  }
+
+  // Return all the elements for which a truth test fails.
+  function reject(obj, predicate, context) {
+    return filter(obj, negate(cb(predicate)), context);
+  }
+
+  // Determine whether all of the elements pass a truth test.
+  function every(obj, predicate, context) {
+    predicate = cb(predicate, context);
+    var _keys = !isArrayLike(obj) && keys(obj),
+        length = (_keys || obj).length;
+    for (var index = 0; index < length; index++) {
+      var currentKey = _keys ? _keys[index] : index;
+      if (!predicate(obj[currentKey], currentKey, obj)) return false;
+    }
+    return true;
+  }
+
+  // Determine if at least one element in the object passes a truth test.
+  function some(obj, predicate, context) {
+    predicate = cb(predicate, context);
+    var _keys = !isArrayLike(obj) && keys(obj),
+        length = (_keys || obj).length;
+    for (var index = 0; index < length; index++) {
+      var currentKey = _keys ? _keys[index] : index;
+      if (predicate(obj[currentKey], currentKey, obj)) return true;
+    }
+    return false;
+  }
+
+  // Determine if the array or object contains a given item (using `===`).
+  function contains(obj, item, fromIndex, guard) {
+    if (!isArrayLike(obj)) obj = values(obj);
+    if (typeof fromIndex != 'number' || guard) fromIndex = 0;
+    return indexOf(obj, item, fromIndex) >= 0;
+  }
+
+  // Invoke a method (with arguments) on every item in a collection.
+  var invoke = restArguments(function(obj, path, args) {
+    var contextPath, func;
+    if (isFunction$1(path)) {
+      func = path;
+    } else {
+      path = toPath(path);
+      contextPath = path.slice(0, -1);
+      path = path[path.length - 1];
+    }
+    return map(obj, function(context) {
+      var method = func;
+      if (!method) {
+        if (contextPath && contextPath.length) {
+          context = deepGet(context, contextPath);
+        }
+        if (context == null) return void 0;
+        method = context[path];
+      }
+      return method == null ? method : method.apply(context, args);
+    });
+  });
+
+  // Convenience version of a common use case of `_.map`: fetching a property.
+  function pluck(obj, key) {
+    return map(obj, property(key));
+  }
+
+  // Convenience version of a common use case of `_.filter`: selecting only
+  // objects containing specific `key:value` pairs.
+  function where(obj, attrs) {
+    return filter(obj, matcher(attrs));
+  }
+
+  // Return the maximum element (or element-based computation).
+  function max(obj, iteratee, context) {
+    var result = -Infinity, lastComputed = -Infinity,
+        value, computed;
+    if (iteratee == null || typeof iteratee == 'number' && typeof obj[0] != 'object' && obj != null) {
+      obj = isArrayLike(obj) ? obj : values(obj);
+      for (var i = 0, length = obj.length; i < length; i++) {
+        value = obj[i];
+        if (value != null && value > result) {
+          result = value;
+        }
+      }
+    } else {
+      iteratee = cb(iteratee, context);
+      each(obj, function(v, index, list) {
+        computed = iteratee(v, index, list);
+        if (computed > lastComputed || computed === -Infinity && result === -Infinity) {
+          result = v;
+          lastComputed = computed;
+        }
+      });
+    }
+    return result;
+  }
+
+  // Return the minimum element (or element-based computation).
+  function min(obj, iteratee, context) {
+    var result = Infinity, lastComputed = Infinity,
+        value, computed;
+    if (iteratee == null || typeof iteratee == 'number' && typeof obj[0] != 'object' && obj != null) {
+      obj = isArrayLike(obj) ? obj : values(obj);
+      for (var i = 0, length = obj.length; i < length; i++) {
+        value = obj[i];
+        if (value != null && value < result) {
+          result = value;
+        }
+      }
+    } else {
+      iteratee = cb(iteratee, context);
+      each(obj, function(v, index, list) {
+        computed = iteratee(v, index, list);
+        if (computed < lastComputed || computed === Infinity && result === Infinity) {
+          result = v;
+          lastComputed = computed;
+        }
+      });
+    }
+    return result;
+  }
+
+  // Safely create a real, live array from anything iterable.
+  var reStrSymbol = /[^\ud800-\udfff]|[\ud800-\udbff][\udc00-\udfff]|[\ud800-\udfff]/g;
+  function toArray(obj) {
+    if (!obj) return [];
+    if (isArray(obj)) return slice.call(obj);
+    if (isString(obj)) {
+      // Keep surrogate pair characters together.
+      return obj.match(reStrSymbol);
+    }
+    if (isArrayLike(obj)) return map(obj, identity);
+    return values(obj);
+  }
+
+  // Sample **n** random values from a collection using the modern version of the
+  // [Fisher-Yates shuffle](https://en.wikipedia.org/wiki/Fisher–Yates_shuffle).
+  // If **n** is not specified, returns a single random element.
+  // The internal `guard` argument allows it to work with `_.map`.
+  function sample(obj, n, guard) {
+    if (n == null || guard) {
+      if (!isArrayLike(obj)) obj = values(obj);
+      return obj[random(obj.length - 1)];
+    }
+    var sample = toArray(obj);
+    var length = getLength(sample);
+    n = Math.max(Math.min(n, length), 0);
+    var last = length - 1;
+    for (var index = 0; index < n; index++) {
+      var rand = random(index, last);
+      var temp = sample[index];
+      sample[index] = sample[rand];
+      sample[rand] = temp;
+    }
+    return sample.slice(0, n);
+  }
+
+  // Shuffle a collection.
+  function shuffle(obj) {
+    return sample(obj, Infinity);
+  }
+
+  // Sort the object's values by a criterion produced by an iteratee.
+  function sortBy(obj, iteratee, context) {
+    var index = 0;
+    iteratee = cb(iteratee, context);
+    return pluck(map(obj, function(value, key, list) {
+      return {
+        value: value,
+        index: index++,
+        criteria: iteratee(value, key, list)
+      };
+    }).sort(function(left, right) {
+      var a = left.criteria;
+      var b = right.criteria;
+      if (a !== b) {
+        if (a > b || a === void 0) return 1;
+        if (a < b || b === void 0) return -1;
+      }
+      return left.index - right.index;
+    }), 'value');
+  }
+
+  // An internal function used for aggregate "group by" operations.
+  function group(behavior, partition) {
+    return function(obj, iteratee, context) {
+      var result = partition ? [[], []] : {};
+      iteratee = cb(iteratee, context);
+      each(obj, function(value, index) {
+        var key = iteratee(value, index, obj);
+        behavior(result, value, key);
+      });
+      return result;
+    };
+  }
+
+  // Groups the object's values by a criterion. Pass either a string attribute
+  // to group by, or a function that returns the criterion.
+  var groupBy = group(function(result, value, key) {
+    if (has$1(result, key)) result[key].push(value); else result[key] = [value];
+  });
+
+  // Indexes the object's values by a criterion, similar to `_.groupBy`, but for
+  // when you know that your index values will be unique.
+  var indexBy = group(function(result, value, key) {
+    result[key] = value;
+  });
+
+  // Counts instances of an object that group by a certain criterion. Pass
+  // either a string attribute to count by, or a function that returns the
+  // criterion.
+  var countBy = group(function(result, value, key) {
+    if (has$1(result, key)) result[key]++; else result[key] = 1;
+  });
+
+  // Split a collection into two arrays: one whose elements all pass the given
+  // truth test, and one whose elements all do not pass the truth test.
+  var partition = group(function(result, value, pass) {
+    result[pass ? 0 : 1].push(value);
+  }, true);
+
+  // Return the number of elements in a collection.
+  function size(obj) {
+    if (obj == null) return 0;
+    return isArrayLike(obj) ? obj.length : keys(obj).length;
+  }
+
+  // Internal `_.pick` helper function to determine whether `key` is an enumerable
+  // property name of `obj`.
+  function keyInObj(value, key, obj) {
+    return key in obj;
+  }
+
+  // Return a copy of the object only containing the allowed properties.
+  var pick = restArguments(function(obj, keys) {
+    var result = {}, iteratee = keys[0];
+    if (obj == null) return result;
+    if (isFunction$1(iteratee)) {
+      if (keys.length > 1) iteratee = optimizeCb(iteratee, keys[1]);
+      keys = allKeys(obj);
+    } else {
+      iteratee = keyInObj;
+      keys = flatten$1(keys, false, false);
+      obj = Object(obj);
+    }
+    for (var i = 0, length = keys.length; i < length; i++) {
+      var key = keys[i];
+      var value = obj[key];
+      if (iteratee(value, key, obj)) result[key] = value;
+    }
+    return result;
+  });
+
+  // Return a copy of the object without the disallowed properties.
+  var omit = restArguments(function(obj, keys) {
+    var iteratee = keys[0], context;
+    if (isFunction$1(iteratee)) {
+      iteratee = negate(iteratee);
+      if (keys.length > 1) context = keys[1];
+    } else {
+      keys = map(flatten$1(keys, false, false), String);
+      iteratee = function(value, key) {
+        return !contains(keys, key);
+      };
+    }
+    return pick(obj, iteratee, context);
+  });
+
+  // Returns everything but the last entry of the array. Especially useful on
+  // the arguments object. Passing **n** will return all the values in
+  // the array, excluding the last N.
+  function initial(array, n, guard) {
+    return slice.call(array, 0, Math.max(0, array.length - (n == null || guard ? 1 : n)));
+  }
+
+  // Get the first element of an array. Passing **n** will return the first N
+  // values in the array. The **guard** check allows it to work with `_.map`.
+  function first(array, n, guard) {
+    if (array == null || array.length < 1) return n == null || guard ? void 0 : [];
+    if (n == null || guard) return array[0];
+    return initial(array, array.length - n);
+  }
+
+  // Returns everything but the first entry of the `array`. Especially useful on
+  // the `arguments` object. Passing an **n** will return the rest N values in the
+  // `array`.
+  function rest(array, n, guard) {
+    return slice.call(array, n == null || guard ? 1 : n);
+  }
+
+  // Get the last element of an array. Passing **n** will return the last N
+  // values in the array.
+  function last(array, n, guard) {
+    if (array == null || array.length < 1) return n == null || guard ? void 0 : [];
+    if (n == null || guard) return array[array.length - 1];
+    return rest(array, Math.max(0, array.length - n));
+  }
+
+  // Trim out all falsy values from an array.
+  function compact(array) {
+    return filter(array, Boolean);
+  }
+
+  // Flatten out an array, either recursively (by default), or up to `depth`.
+  // Passing `true` or `false` as `depth` means `1` or `Infinity`, respectively.
+  function flatten(array, depth) {
+    return flatten$1(array, depth, false);
+  }
+
+  // Take the difference between one array and a number of other arrays.
+  // Only the elements present in just the first array will remain.
+  var difference = restArguments(function(array, rest) {
+    rest = flatten$1(rest, true, true);
+    return filter(array, function(value){
+      return !contains(rest, value);
+    });
+  });
+
+  // Return a version of the array that does not contain the specified value(s).
+  var without = restArguments(function(array, otherArrays) {
+    return difference(array, otherArrays);
+  });
+
+  // Produce a duplicate-free version of the array. If the array has already
+  // been sorted, you have the option of using a faster algorithm.
+  // The faster algorithm will not work with an iteratee if the iteratee
+  // is not a one-to-one function, so providing an iteratee will disable
+  // the faster algorithm.
+  function uniq(array, isSorted, iteratee, context) {
+    if (!isBoolean(isSorted)) {
+      context = iteratee;
+      iteratee = isSorted;
+      isSorted = false;
+    }
+    if (iteratee != null) iteratee = cb(iteratee, context);
+    var result = [];
+    var seen = [];
+    for (var i = 0, length = getLength(array); i < length; i++) {
+      var value = array[i],
+          computed = iteratee ? iteratee(value, i, array) : value;
+      if (isSorted && !iteratee) {
+        if (!i || seen !== computed) result.push(value);
+        seen = computed;
+      } else if (iteratee) {
+        if (!contains(seen, computed)) {
+          seen.push(computed);
+          result.push(value);
+        }
+      } else if (!contains(result, value)) {
+        result.push(value);
+      }
+    }
+    return result;
+  }
+
+  // Produce an array that contains the union: each distinct element from all of
+  // the passed-in arrays.
+  var union = restArguments(function(arrays) {
+    return uniq(flatten$1(arrays, true, true));
+  });
+
+  // Produce an array that contains every item shared between all the
+  // passed-in arrays.
+  function intersection(array) {
+    var result = [];
+    var argsLength = arguments.length;
+    for (var i = 0, length = getLength(array); i < length; i++) {
+      var item = array[i];
+      if (contains(result, item)) continue;
+      var j;
+      for (j = 1; j < argsLength; j++) {
+        if (!contains(arguments[j], item)) break;
+      }
+      if (j === argsLength) result.push(item);
+    }
+    return result;
+  }
+
+  // Complement of zip. Unzip accepts an array of arrays and groups
+  // each array's elements on shared indices.
+  function unzip(array) {
+    var length = array && max(array, getLength).length || 0;
+    var result = Array(length);
+
+    for (var index = 0; index < length; index++) {
+      result[index] = pluck(array, index);
+    }
+    return result;
+  }
+
+  // Zip together multiple lists into a single array -- elements that share
+  // an index go together.
+  var zip = restArguments(unzip);
+
+  // Converts lists into objects. Pass either a single array of `[key, value]`
+  // pairs, or two parallel arrays of the same length -- one of keys, and one of
+  // the corresponding values. Passing by pairs is the reverse of `_.pairs`.
+  function object(list, values) {
+    var result = {};
+    for (var i = 0, length = getLength(list); i < length; i++) {
+      if (values) {
+        result[list[i]] = values[i];
+      } else {
+        result[list[i][0]] = list[i][1];
+      }
+    }
+    return result;
+  }
+
+  // Generate an integer Array containing an arithmetic progression. A port of
+  // the native Python `range()` function. See
+  // [the Python documentation](https://docs.python.org/library/functions.html#range).
+  function range(start, stop, step) {
+    if (stop == null) {
+      stop = start || 0;
+      start = 0;
+    }
+    if (!step) {
+      step = stop < start ? -1 : 1;
+    }
+
+    var length = Math.max(Math.ceil((stop - start) / step), 0);
+    var range = Array(length);
+
+    for (var idx = 0; idx < length; idx++, start += step) {
+      range[idx] = start;
+    }
+
+    return range;
+  }
+
+  // Chunk a single array into multiple arrays, each containing `count` or fewer
+  // items.
+  function chunk(array, count) {
+    if (count == null || count < 1) return [];
+    var result = [];
+    var i = 0, length = array.length;
+    while (i < length) {
+      result.push(slice.call(array, i, i += count));
+    }
+    return result;
+  }
 
   // Helper function to continue chaining intermediate results.
-  var result = function(instance, obj) {
-    return instance._chain ? _(obj).chain() : obj;
-  };
+  function chainResult(instance, obj) {
+    return instance._chain ? _$1(obj).chain() : obj;
+  }
 
   // Add your own custom functions to the Underscore object.
-  _.mixin = function(obj) {
-    _.each(_.functions(obj), function(name) {
-      var func = _[name] = obj[name];
-      _.prototype[name] = function() {
+  function mixin(obj) {
+    each(functions(obj), function(name) {
+      var func = _$1[name] = obj[name];
+      _$1.prototype[name] = function() {
         var args = [this._wrapped];
         push.apply(args, arguments);
-        return result(this, func.apply(_, args));
+        return chainResult(this, func.apply(_$1, args));
       };
     });
-  };
-
-  // Add all of the Underscore functions to the wrapper object.
-  _.mixin(_);
+    return _$1;
+  }
 
-  // Add all mutator Array functions to the wrapper.
-  _.each(['pop', 'push', 'reverse', 'shift', 'sort', 'splice', 'unshift'], function(name) {
+  // Add all mutator `Array` functions to the wrapper.
+  each(['pop', 'push', 'reverse', 'shift', 'sort', 'splice', 'unshift'], function(name) {
     var method = ArrayProto[name];
-    _.prototype[name] = function() {
+    _$1.prototype[name] = function() {
       var obj = this._wrapped;
-      method.apply(obj, arguments);
-      if ((name === 'shift' || name === 'splice') && obj.length === 0) delete obj[0];
-      return result(this, obj);
+      if (obj != null) {
+        method.apply(obj, arguments);
+        if ((name === 'shift' || name === 'splice') && obj.length === 0) {
+          delete obj[0];
+        }
+      }
+      return chainResult(this, obj);
     };
   });
 
-  // Add all accessor Array functions to the wrapper.
-  _.each(['concat', 'join', 'slice'], function(name) {
+  // Add all accessor `Array` functions to the wrapper.
+  each(['concat', 'join', 'slice'], function(name) {
     var method = ArrayProto[name];
-    _.prototype[name] = function() {
-      return result(this, method.apply(this._wrapped, arguments));
+    _$1.prototype[name] = function() {
+      var obj = this._wrapped;
+      if (obj != null) obj = method.apply(obj, arguments);
+      return chainResult(this, obj);
     };
   });
 
-  // Extracts the result from a wrapped and chained object.
-  _.prototype.value = function() {
-    return this._wrapped;
+  // Named Exports
+
+  var allExports = {
+    __proto__: null,
+    VERSION: VERSION,
+    restArguments: restArguments,
+    isObject: isObject,
+    isNull: isNull,
+    isUndefined: isUndefined,
+    isBoolean: isBoolean,
+    isElement: isElement,
+    isString: isString,
+    isNumber: isNumber,
+    isDate: isDate,
+    isRegExp: isRegExp,
+    isError: isError,
+    isSymbol: isSymbol,
+    isArrayBuffer: isArrayBuffer,
+    isDataView: isDataView$1,
+    isArray: isArray,
+    isFunction: isFunction$1,
+    isArguments: isArguments$1,
+    isFinite: isFinite$1,
+    isNaN: isNaN$1,
+    isTypedArray: isTypedArray$1,
+    isEmpty: isEmpty,
+    isMatch: isMatch,
+    isEqual: isEqual,
+    isMap: isMap,
+    isWeakMap: isWeakMap,
+    isSet: isSet,
+    isWeakSet: isWeakSet,
+    keys: keys,
+    allKeys: allKeys,
+    values: values,
+    pairs: pairs,
+    invert: invert,
+    functions: functions,
+    methods: functions,
+    extend: extend,
+    extendOwn: extendOwn,
+    assign: extendOwn,
+    defaults: defaults,
+    create: create,
+    clone: clone,
+    tap: tap,
+    get: get,
+    has: has,
+    mapObject: mapObject,
+    identity: identity,
+    constant: constant,
+    noop: noop,
+    toPath: toPath$1,
+    property: property,
+    propertyOf: propertyOf,
+    matcher: matcher,
+    matches: matcher,
+    times: times,
+    random: random,
+    now: now,
+    escape: _escape,
+    unescape: _unescape,
+    templateSettings: templateSettings,
+    template: template,
+    result: result,
+    uniqueId: uniqueId,
+    chain: chain,
+    iteratee: iteratee,
+    partial: partial,
+    bind: bind,
+    bindAll: bindAll,
+    memoize: memoize,
+    delay: delay,
+    defer: defer,
+    throttle: throttle,
+    debounce: debounce,
+    wrap: wrap,
+    negate: negate,
+    compose: compose,
+    after: after,
+    before: before,
+    once: once,
+    findKey: findKey,
+    findIndex: findIndex,
+    findLastIndex: findLastIndex,
+    sortedIndex: sortedIndex,
+    indexOf: indexOf,
+    lastIndexOf: lastIndexOf,
+    find: find,
+    detect: find,
+    findWhere: findWhere,
+    each: each,
+    forEach: each,
+    map: map,
+    collect: map,
+    reduce: reduce,
+    foldl: reduce,
+    inject: reduce,
+    reduceRight: reduceRight,
+    foldr: reduceRight,
+    filter: filter,
+    select: filter,
+    reject: reject,
+    every: every,
+    all: every,
+    some: some,
+    any: some,
+    contains: contains,
+    includes: contains,
+    include: contains,
+    invoke: invoke,
+    pluck: pluck,
+    where: where,
+    max: max,
+    min: min,
+    shuffle: shuffle,
+    sample: sample,
+    sortBy: sortBy,
+    groupBy: groupBy,
+    indexBy: indexBy,
+    countBy: countBy,
+    partition: partition,
+    toArray: toArray,
+    size: size,
+    pick: pick,
+    omit: omit,
+    first: first,
+    head: first,
+    take: first,
+    initial: initial,
+    last: last,
+    rest: rest,
+    tail: rest,
+    drop: rest,
+    compact: compact,
+    flatten: flatten,
+    without: without,
+    uniq: uniq,
+    unique: uniq,
+    union: union,
+    intersection: intersection,
+    difference: difference,
+    unzip: unzip,
+    transpose: unzip,
+    zip: zip,
+    object: object,
+    range: range,
+    chunk: chunk,
+    mixin: mixin,
+    'default': _$1
   };
 
-  // Provide unwrapping proxy for some methods used in engine operations
-  // such as arithmetic and JSON stringification.
-  _.prototype.valueOf = _.prototype.toJSON = _.prototype.value;
+  // Default Export
 
-  _.prototype.toString = function() {
-    return '' + this._wrapped;
-  };
+  // Add all of the Underscore functions to the wrapper object.
+  var _ = mixin(allExports);
+  // Legacy Node.js API.
+  _._ = _;
 
-  // AMD registration happens at the end for compatibility with AMD loaders
-  // that may not enforce next-turn semantics on modules. Even though general
-  // practice for AMD registration is to be anonymous, underscore registers
-  // as a named module because, like jQuery, it is a base library that is
-  // popular enough to be bundled in a third party lib, but not be part of
-  // an AMD load request. Those cases could generate an error when an
-  // anonymous define() is called outside of a loader request.
-  if (typeof define === 'function' && define.amd) {
-    define('underscore', [], function() {
-      return _;
-    });
-  }
-}.call(this));
+  return _;
+
+})));
+//# sourceMappingURL=underscore-umd.js.map
Binary files 1.21.2-1/doc/html/_static/up-pressed.png and 1.21.3-1/doc/html/_static/up-pressed.png differ
Binary files 1.21.2-1/doc/html/_static/up.png and 1.21.3-1/doc/html/_static/up.png differ
diff -pruN 1.21.2-1/doc/html/_static/websupport.js 1.21.3-1/doc/html/_static/websupport.js
--- 1.21.2-1/doc/html/_static/websupport.js	2018-02-04 15:53:58.000000000 +0000
+++ 1.21.3-1/doc/html/_static/websupport.js	1970-01-01 00:00:00.000000000 +0000
@@ -1,808 +0,0 @@
-/*
- * websupport.js
- * ~~~~~~~~~~~~~
- *
- * sphinx.websupport utilities for all documentation.
- *
- * :copyright: Copyright 2007-2018 by the Sphinx team, see AUTHORS.
- * :license: BSD, see LICENSE for details.
- *
- */
-
-(function($) {
-  $.fn.autogrow = function() {
-    return this.each(function() {
-    var textarea = this;
-
-    $.fn.autogrow.resize(textarea);
-
-    $(textarea)
-      .focus(function() {
-        textarea.interval = setInterval(function() {
-          $.fn.autogrow.resize(textarea);
-        }, 500);
-      })
-      .blur(function() {
-        clearInterval(textarea.interval);
-      });
-    });
-  };
-
-  $.fn.autogrow.resize = function(textarea) {
-    var lineHeight = parseInt($(textarea).css('line-height'), 10);
-    var lines = textarea.value.split('\n');
-    var columns = textarea.cols;
-    var lineCount = 0;
-    $.each(lines, function() {
-      lineCount += Math.ceil(this.length / columns) || 1;
-    });
-    var height = lineHeight * (lineCount + 1);
-    $(textarea).css('height', height);
-  };
-})(jQuery);
-
-(function($) {
-  var comp, by;
-
-  function init() {
-    initEvents();
-    initComparator();
-  }
-
-  function initEvents() {
-    $(document).on("click", 'a.comment-close', function(event) {
-      event.preventDefault();
-      hide($(this).attr('id').substring(2));
-    });
-    $(document).on("click", 'a.vote', function(event) {
-      event.preventDefault();
-      handleVote($(this));
-    });
-    $(document).on("click", 'a.reply', function(event) {
-      event.preventDefault();
-      openReply($(this).attr('id').substring(2));
-    });
-    $(document).on("click", 'a.close-reply', function(event) {
-      event.preventDefault();
-      closeReply($(this).attr('id').substring(2));
-    });
-    $(document).on("click", 'a.sort-option', function(event) {
-      event.preventDefault();
-      handleReSort($(this));
-    });
-    $(document).on("click", 'a.show-proposal', function(event) {
-      event.preventDefault();
-      showProposal($(this).attr('id').substring(2));
-    });
-    $(document).on("click", 'a.hide-proposal', function(event) {
-      event.preventDefault();
-      hideProposal($(this).attr('id').substring(2));
-    });
-    $(document).on("click", 'a.show-propose-change', function(event) {
-      event.preventDefault();
-      showProposeChange($(this).attr('id').substring(2));
-    });
-    $(document).on("click", 'a.hide-propose-change', function(event) {
-      event.preventDefault();
-      hideProposeChange($(this).attr('id').substring(2));
-    });
-    $(document).on("click", 'a.accept-comment', function(event) {
-      event.preventDefault();
-      acceptComment($(this).attr('id').substring(2));
-    });
-    $(document).on("click", 'a.delete-comment', function(event) {
-      event.preventDefault();
-      deleteComment($(this).attr('id').substring(2));
-    });
-    $(document).on("click", 'a.comment-markup', function(event) {
-      event.preventDefault();
-      toggleCommentMarkupBox($(this).attr('id').substring(2));
-    });
-  }
-
-  /**
-   * Set comp, which is a comparator function used for sorting and
-   * inserting comments into the list.
-   */
-  function setComparator() {
-    // If the first three letters are "asc", sort in ascending order
-    // and remove the prefix.
-    if (by.substring(0,3) == 'asc') {
-      var i = by.substring(3);
-      comp = function(a, b) { return a[i] - b[i]; };
-    } else {
-      // Otherwise sort in descending order.
-      comp = function(a, b) { return b[by] - a[by]; };
-    }
-
-    // Reset link styles and format the selected sort option.
-    $('a.sel').attr('href', '#').removeClass('sel');
-    $('a.by' + by).removeAttr('href').addClass('sel');
-  }
-
-  /**
-   * Create a comp function. If the user has preferences stored in
-   * the sortBy cookie, use those, otherwise use the default.
-   */
-  function initComparator() {
-    by = 'rating'; // Default to sort by rating.
-    // If the sortBy cookie is set, use that instead.
-    if (document.cookie.length > 0) {
-      var start = document.cookie.indexOf('sortBy=');
-      if (start != -1) {
-        start = start + 7;
-        var end = document.cookie.indexOf(";", start);
-        if (end == -1) {
-          end = document.cookie.length;
-          by = unescape(document.cookie.substring(start, end));
-        }
-      }
-    }
-    setComparator();
-  }
-
-  /**
-   * Show a comment div.
-   */
-  function show(id) {
-    $('#ao' + id).hide();
-    $('#ah' + id).show();
-    var context = $.extend({id: id}, opts);
-    var popup = $(renderTemplate(popupTemplate, context)).hide();
-    popup.find('textarea[name="proposal"]').hide();
-    popup.find('a.by' + by).addClass('sel');
-    var form = popup.find('#cf' + id);
-    form.submit(function(event) {
-      event.preventDefault();
-      addComment(form);
-    });
-    $('#s' + id).after(popup);
-    popup.slideDown('fast', function() {
-      getComments(id);
-    });
-  }
-
-  /**
-   * Hide a comment div.
-   */
-  function hide(id) {
-    $('#ah' + id).hide();
-    $('#ao' + id).show();
-    var div = $('#sc' + id);
-    div.slideUp('fast', function() {
-      div.remove();
-    });
-  }
-
-  /**
-   * Perform an ajax request to get comments for a node
-   * and insert the comments into the comments tree.
-   */
-  function getComments(id) {
-    $.ajax({
-     type: 'GET',
-     url: opts.getCommentsURL,
-     data: {node: id},
-     success: function(data, textStatus, request) {
-       var ul = $('#cl' + id);
-       var speed = 100;
-       $('#cf' + id)
-         .find('textarea[name="proposal"]')
-         .data('source', data.source);
-
-       if (data.comments.length === 0) {
-         ul.html('<li>No comments yet.</li>');
-         ul.data('empty', true);
-       } else {
-         // If there are comments, sort them and put them in the list.
-         var comments = sortComments(data.comments);
-         speed = data.comments.length * 100;
-         appendComments(comments, ul);
-         ul.data('empty', false);
-       }
-       $('#cn' + id).slideUp(speed + 200);
-       ul.slideDown(speed);
-     },
-     error: function(request, textStatus, error) {
-       showError('Oops, there was a problem retrieving the comments.');
-     },
-     dataType: 'json'
-    });
-  }
-
-  /**
-   * Add a comment via ajax and insert the comment into the comment tree.
-   */
-  function addComment(form) {
-    var node_id = form.find('input[name="node"]').val();
-    var parent_id = form.find('input[name="parent"]').val();
-    var text = form.find('textarea[name="comment"]').val();
-    var proposal = form.find('textarea[name="proposal"]').val();
-
-    if (text == '') {
-      showError('Please enter a comment.');
-      return;
-    }
-
-    // Disable the form that is being submitted.
-    form.find('textarea,input').attr('disabled', 'disabled');
-
-    // Send the comment to the server.
-    $.ajax({
-      type: "POST",
-      url: opts.addCommentURL,
-      dataType: 'json',
-      data: {
-        node: node_id,
-        parent: parent_id,
-        text: text,
-        proposal: proposal
-      },
-      success: function(data, textStatus, error) {
-        // Reset the form.
-        if (node_id) {
-          hideProposeChange(node_id);
-        }
-        form.find('textarea')
-          .val('')
-          .add(form.find('input'))
-          .removeAttr('disabled');
-	var ul = $('#cl' + (node_id || parent_id));
-        if (ul.data('empty')) {
-          $(ul).empty();
-          ul.data('empty', false);
-        }
-        insertComment(data.comment);
-        var ao = $('#ao' + node_id);
-        ao.find('img').attr({'src': opts.commentBrightImage});
-        if (node_id) {
-          // if this was a "root" comment, remove the commenting box
-          // (the user can get it back by reopening the comment popup)
-          $('#ca' + node_id).slideUp();
-        }
-      },
-      error: function(request, textStatus, error) {
-        form.find('textarea,input').removeAttr('disabled');
-        showError('Oops, there was a problem adding the comment.');
-      }
-    });
-  }
-
-  /**
-   * Recursively append comments to the main comment list and children
-   * lists, creating the comment tree.
-   */
-  function appendComments(comments, ul) {
-    $.each(comments, function() {
-      var div = createCommentDiv(this);
-      ul.append($(document.createElement('li')).html(div));
-      appendComments(this.children, div.find('ul.comment-children'));
-      // To avoid stagnating data, don't store the comments children in data.
-      this.children = null;
-      div.data('comment', this);
-    });
-  }
-
-  /**
-   * After adding a new comment, it must be inserted in the correct
-   * location in the comment tree.
-   */
-  function insertComment(comment) {
-    var div = createCommentDiv(comment);
-
-    // To avoid stagnating data, don't store the comments children in data.
-    comment.children = null;
-    div.data('comment', comment);
-
-    var ul = $('#cl' + (comment.node || comment.parent));
-    var siblings = getChildren(ul);
-
-    var li = $(document.createElement('li'));
-    li.hide();
-
-    // Determine where in the parents children list to insert this comment.
-    for(i=0; i < siblings.length; i++) {
-      if (comp(comment, siblings[i]) <= 0) {
-        $('#cd' + siblings[i].id)
-          .parent()
-          .before(li.html(div));
-        li.slideDown('fast');
-        return;
-      }
-    }
-
-    // If we get here, this comment rates lower than all the others,
-    // or it is the only comment in the list.
-    ul.append(li.html(div));
-    li.slideDown('fast');
-  }
-
-  function acceptComment(id) {
-    $.ajax({
-      type: 'POST',
-      url: opts.acceptCommentURL,
-      data: {id: id},
-      success: function(data, textStatus, request) {
-        $('#cm' + id).fadeOut('fast');
-        $('#cd' + id).removeClass('moderate');
-      },
-      error: function(request, textStatus, error) {
-        showError('Oops, there was a problem accepting the comment.');
-      }
-    });
-  }
-
-  function deleteComment(id) {
-    $.ajax({
-      type: 'POST',
-      url: opts.deleteCommentURL,
-      data: {id: id},
-      success: function(data, textStatus, request) {
-        var div = $('#cd' + id);
-        if (data == 'delete') {
-          // Moderator mode: remove the comment and all children immediately
-          div.slideUp('fast', function() {
-            div.remove();
-          });
-          return;
-        }
-        // User mode: only mark the comment as deleted
-        div
-          .find('span.user-id:first')
-          .text('[deleted]').end()
-          .find('div.comment-text:first')
-          .text('[deleted]').end()
-          .find('#cm' + id + ', #dc' + id + ', #ac' + id + ', #rc' + id +
-                ', #sp' + id + ', #hp' + id + ', #cr' + id + ', #rl' + id)
-          .remove();
-        var comment = div.data('comment');
-        comment.username = '[deleted]';
-        comment.text = '[deleted]';
-        div.data('comment', comment);
-      },
-      error: function(request, textStatus, error) {
-        showError('Oops, there was a problem deleting the comment.');
-      }
-    });
-  }
-
-  function showProposal(id) {
-    $('#sp' + id).hide();
-    $('#hp' + id).show();
-    $('#pr' + id).slideDown('fast');
-  }
-
-  function hideProposal(id) {
-    $('#hp' + id).hide();
-    $('#sp' + id).show();
-    $('#pr' + id).slideUp('fast');
-  }
-
-  function showProposeChange(id) {
-    $('#pc' + id).hide();
-    $('#hc' + id).show();
-    var textarea = $('#pt' + id);
-    textarea.val(textarea.data('source'));
-    $.fn.autogrow.resize(textarea[0]);
-    textarea.slideDown('fast');
-  }
-
-  function hideProposeChange(id) {
-    $('#hc' + id).hide();
-    $('#pc' + id).show();
-    var textarea = $('#pt' + id);
-    textarea.val('').removeAttr('disabled');
-    textarea.slideUp('fast');
-  }
-
-  function toggleCommentMarkupBox(id) {
-    $('#mb' + id).toggle();
-  }
-
-  /** Handle when the user clicks on a sort by link. */
-  function handleReSort(link) {
-    var classes = link.attr('class').split(/\s+/);
-    for (var i=0; i<classes.length; i++) {
-      if (classes[i] != 'sort-option') {
-	by = classes[i].substring(2);
-      }
-    }
-    setComparator();
-    // Save/update the sortBy cookie.
-    var expiration = new Date();
-    expiration.setDate(expiration.getDate() + 365);
-    document.cookie= 'sortBy=' + escape(by) +
-                     ';expires=' + expiration.toUTCString();
-    $('ul.comment-ul').each(function(index, ul) {
-      var comments = getChildren($(ul), true);
-      comments = sortComments(comments);
-      appendComments(comments, $(ul).empty());
-    });
-  }
-
-  /**
-   * Function to process a vote when a user clicks an arrow.
-   */
-  function handleVote(link) {
-    if (!opts.voting) {
-      showError("You'll need to login to vote.");
-      return;
-    }
-
-    var id = link.attr('id');
-    if (!id) {
-      // Didn't click on one of the voting arrows.
-      return;
-    }
-    // If it is an unvote, the new vote value is 0,
-    // Otherwise it's 1 for an upvote, or -1 for a downvote.
-    var value = 0;
-    if (id.charAt(1) != 'u') {
-      value = id.charAt(0) == 'u' ? 1 : -1;
-    }
-    // The data to be sent to the server.
-    var d = {
-      comment_id: id.substring(2),
-      value: value
-    };
-
-    // Swap the vote and unvote links.
-    link.hide();
-    $('#' + id.charAt(0) + (id.charAt(1) == 'u' ? 'v' : 'u') + d.comment_id)
-      .show();
-
-    // The div the comment is displayed in.
-    var div = $('div#cd' + d.comment_id);
-    var data = div.data('comment');
-
-    // If this is not an unvote, and the other vote arrow has
-    // already been pressed, unpress it.
-    if ((d.value !== 0) && (data.vote === d.value * -1)) {
-      $('#' + (d.value == 1 ? 'd' : 'u') + 'u' + d.comment_id).hide();
-      $('#' + (d.value == 1 ? 'd' : 'u') + 'v' + d.comment_id).show();
-    }
-
-    // Update the comments rating in the local data.
-    data.rating += (data.vote === 0) ? d.value : (d.value - data.vote);
-    data.vote = d.value;
-    div.data('comment', data);
-
-    // Change the rating text.
-    div.find('.rating:first')
-      .text(data.rating + ' point' + (data.rating == 1 ? '' : 's'));
-
-    // Send the vote information to the server.
-    $.ajax({
-      type: "POST",
-      url: opts.processVoteURL,
-      data: d,
-      error: function(request, textStatus, error) {
-        showError('Oops, there was a problem casting that vote.');
-      }
-    });
-  }
-
-  /**
-   * Open a reply form used to reply to an existing comment.
-   */
-  function openReply(id) {
-    // Swap out the reply link for the hide link
-    $('#rl' + id).hide();
-    $('#cr' + id).show();
-
-    // Add the reply li to the children ul.
-    var div = $(renderTemplate(replyTemplate, {id: id})).hide();
-    $('#cl' + id)
-      .prepend(div)
-      // Setup the submit handler for the reply form.
-      .find('#rf' + id)
-      .submit(function(event) {
-        event.preventDefault();
-        addComment($('#rf' + id));
-        closeReply(id);
-      })
-      .find('input[type=button]')
-      .click(function() {
-        closeReply(id);
-      });
-    div.slideDown('fast', function() {
-      $('#rf' + id).find('textarea').focus();
-    });
-  }
-
-  /**
-   * Close the reply form opened with openReply.
-   */
-  function closeReply(id) {
-    // Remove the reply div from the DOM.
-    $('#rd' + id).slideUp('fast', function() {
-      $(this).remove();
-    });
-
-    // Swap out the hide link for the reply link
-    $('#cr' + id).hide();
-    $('#rl' + id).show();
-  }
-
-  /**
-   * Recursively sort a tree of comments using the comp comparator.
-   */
-  function sortComments(comments) {
-    comments.sort(comp);
-    $.each(comments, function() {
-      this.children = sortComments(this.children);
-    });
-    return comments;
-  }
-
-  /**
-   * Get the children comments from a ul. If recursive is true,
-   * recursively include childrens' children.
-   */
-  function getChildren(ul, recursive) {
-    var children = [];
-    ul.children().children("[id^='cd']")
-      .each(function() {
-        var comment = $(this).data('comment');
-        if (recursive)
-          comment.children = getChildren($(this).find('#cl' + comment.id), true);
-        children.push(comment);
-      });
-    return children;
-  }
-
-  /** Create a div to display a comment in. */
-  function createCommentDiv(comment) {
-    if (!comment.displayed && !opts.moderator) {
-      return $('<div class="moderate">Thank you!  Your comment will show up '
-               + 'once it is has been approved by a moderator.</div>');
-    }
-    // Prettify the comment rating.
-    comment.pretty_rating = comment.rating + ' point' +
-      (comment.rating == 1 ? '' : 's');
-    // Make a class (for displaying not yet moderated comments differently)
-    comment.css_class = comment.displayed ? '' : ' moderate';
-    // Create a div for this comment.
-    var context = $.extend({}, opts, comment);
-    var div = $(renderTemplate(commentTemplate, context));
-
-    // If the user has voted on this comment, highlight the correct arrow.
-    if (comment.vote) {
-      var direction = (comment.vote == 1) ? 'u' : 'd';
-      div.find('#' + direction + 'v' + comment.id).hide();
-      div.find('#' + direction + 'u' + comment.id).show();
-    }
-
-    if (opts.moderator || comment.text != '[deleted]') {
-      div.find('a.reply').show();
-      if (comment.proposal_diff)
-        div.find('#sp' + comment.id).show();
-      if (opts.moderator && !comment.displayed)
-        div.find('#cm' + comment.id).show();
-      if (opts.moderator || (opts.username == comment.username))
-        div.find('#dc' + comment.id).show();
-    }
-    return div;
-  }
-
-  /**
-   * A simple template renderer. Placeholders such as <%id%> are replaced
-   * by context['id'] with items being escaped. Placeholders such as <#id#>
-   * are not escaped.
-   */
-  function renderTemplate(template, context) {
-    var esc = $(document.createElement('div'));
-
-    function handle(ph, escape) {
-      var cur = context;
-      $.each(ph.split('.'), function() {
-        cur = cur[this];
-      });
-      return escape ? esc.text(cur || "").html() : cur;
-    }
-
-    return template.replace(/<([%#])([\w\.]*)\1>/g, function() {
-      return handle(arguments[2], arguments[1] == '%' ? true : false);
-    });
-  }
-
-  /** Flash an error message briefly. */
-  function showError(message) {
-    $(document.createElement('div')).attr({'class': 'popup-error'})
-      .append($(document.createElement('div'))
-               .attr({'class': 'error-message'}).text(message))
-      .appendTo('body')
-      .fadeIn("slow")
-      .delay(2000)
-      .fadeOut("slow");
-  }
-
-  /** Add a link the user uses to open the comments popup. */
-  $.fn.comment = function() {
-    return this.each(function() {
-      var id = $(this).attr('id').substring(1);
-      var count = COMMENT_METADATA[id];
-      var title = count + ' comment' + (count == 1 ? '' : 's');
-      var image = count > 0 ? opts.commentBrightImage : opts.commentImage;
-      var addcls = count == 0 ? ' nocomment' : '';
-      $(this)
-        .append(
-          $(document.createElement('a')).attr({
-            href: '#',
-            'class': 'sphinx-comment-open' + addcls,
-            id: 'ao' + id
-          })
-            .append($(document.createElement('img')).attr({
-              src: image,
-              alt: 'comment',
-              title: title
-            }))
-            .click(function(event) {
-              event.preventDefault();
-              show($(this).attr('id').substring(2));
-            })
-        )
-        .append(
-          $(document.createElement('a')).attr({
-            href: '#',
-            'class': 'sphinx-comment-close hidden',
-            id: 'ah' + id
-          })
-            .append($(document.createElement('img')).attr({
-              src: opts.closeCommentImage,
-              alt: 'close',
-              title: 'close'
-            }))
-            .click(function(event) {
-              event.preventDefault();
-              hide($(this).attr('id').substring(2));
-            })
-        );
-    });
-  };
-
-  var opts = {
-    processVoteURL: '/_process_vote',
-    addCommentURL: '/_add_comment',
-    getCommentsURL: '/_get_comments',
-    acceptCommentURL: '/_accept_comment',
-    deleteCommentURL: '/_delete_comment',
-    commentImage: '/static/_static/comment.png',
-    closeCommentImage: '/static/_static/comment-close.png',
-    loadingImage: '/static/_static/ajax-loader.gif',
-    commentBrightImage: '/static/_static/comment-bright.png',
-    upArrow: '/static/_static/up.png',
-    downArrow: '/static/_static/down.png',
-    upArrowPressed: '/static/_static/up-pressed.png',
-    downArrowPressed: '/static/_static/down-pressed.png',
-    voting: false,
-    moderator: false
-  };
-
-  if (typeof COMMENT_OPTIONS != "undefined") {
-    opts = jQuery.extend(opts, COMMENT_OPTIONS);
-  }
-
-  var popupTemplate = '\
-    <div class="sphinx-comments" id="sc<%id%>">\
-      <p class="sort-options">\
-        Sort by:\
-        <a href="#" class="sort-option byrating">best rated</a>\
-        <a href="#" class="sort-option byascage">newest</a>\
-        <a href="#" class="sort-option byage">oldest</a>\
-      </p>\
-      <div class="comment-header">Comments</div>\
-      <div class="comment-loading" id="cn<%id%>">\
-        loading comments... <img src="<%loadingImage%>" alt="" /></div>\
-      <ul id="cl<%id%>" class="comment-ul"></ul>\
-      <div id="ca<%id%>">\
-      <p class="add-a-comment">Add a comment\
-        (<a href="#" class="comment-markup" id="ab<%id%>">markup</a>):</p>\
-      <div class="comment-markup-box" id="mb<%id%>">\
-        reStructured text markup: <i>*emph*</i>, <b>**strong**</b>, \
-        <code>``code``</code>, \
-        code blocks: <code>::</code> and an indented block after blank line</div>\
-      <form method="post" id="cf<%id%>" class="comment-form" action="">\
-        <textarea name="comment" cols="80"></textarea>\
-        <p class="propose-button">\
-          <a href="#" id="pc<%id%>" class="show-propose-change">\
-            Propose a change &#9657;\
-          </a>\
-          <a href="#" id="hc<%id%>" class="hide-propose-change">\
-            Propose a change &#9663;\
-          </a>\
-        </p>\
-        <textarea name="proposal" id="pt<%id%>" cols="80"\
-                  spellcheck="false"></textarea>\
-        <input type="submit" value="Add comment" />\
-        <input type="hidden" name="node" value="<%id%>" />\
-        <input type="hidden" name="parent" value="" />\
-      </form>\
-      </div>\
-    </div>';
-
-  var commentTemplate = '\
-    <div id="cd<%id%>" class="sphinx-comment<%css_class%>">\
-      <div class="vote">\
-        <div class="arrow">\
-          <a href="#" id="uv<%id%>" class="vote" title="vote up">\
-            <img src="<%upArrow%>" />\
-          </a>\
-          <a href="#" id="uu<%id%>" class="un vote" title="vote up">\
-            <img src="<%upArrowPressed%>" />\
-          </a>\
-        </div>\
-        <div class="arrow">\
-          <a href="#" id="dv<%id%>" class="vote" title="vote down">\
-            <img src="<%downArrow%>" id="da<%id%>" />\
-          </a>\
-          <a href="#" id="du<%id%>" class="un vote" title="vote down">\
-            <img src="<%downArrowPressed%>" />\
-          </a>\
-        </div>\
-      </div>\
-      <div class="comment-content">\
-        <p class="tagline comment">\
-          <span class="user-id"><%username%></span>\
-          <span class="rating"><%pretty_rating%></span>\
-          <span class="delta"><%time.delta%></span>\
-        </p>\
-        <div class="comment-text comment"><#text#></div>\
-        <p class="comment-opts comment">\
-          <a href="#" class="reply hidden" id="rl<%id%>">reply &#9657;</a>\
-          <a href="#" class="close-reply" id="cr<%id%>">reply &#9663;</a>\
-          <a href="#" id="sp<%id%>" class="show-proposal">proposal &#9657;</a>\
-          <a href="#" id="hp<%id%>" class="hide-proposal">proposal &#9663;</a>\
-          <a href="#" id="dc<%id%>" class="delete-comment hidden">delete</a>\
-          <span id="cm<%id%>" class="moderation hidden">\
-            <a href="#" id="ac<%id%>" class="accept-comment">accept</a>\
-          </span>\
-        </p>\
-        <pre class="proposal" id="pr<%id%>">\
-<#proposal_diff#>\
-        </pre>\
-          <ul class="comment-children" id="cl<%id%>"></ul>\
-        </div>\
-        <div class="clearleft"></div>\
-      </div>\
-    </div>';
-
-  var replyTemplate = '\
-    <li>\
-      <div class="reply-div" id="rd<%id%>">\
-        <form id="rf<%id%>">\
-          <textarea name="comment" cols="80"></textarea>\
-          <input type="submit" value="Add reply" />\
-          <input type="button" value="Cancel" />\
-          <input type="hidden" name="parent" value="<%id%>" />\
-          <input type="hidden" name="node" value="" />\
-        </form>\
-      </div>\
-    </li>';
-
-  $(document).ready(function() {
-    init();
-  });
-})(jQuery);
-
-$(document).ready(function() {
-  // add comment anchors for all paragraphs that are commentable
-  $('.sphinx-has-comment').comment();
-
-  // highlight search words in search results
-  $("div.context").each(function() {
-    var params = $.getQueryParameters();
-    var terms = (params.q) ? params.q[0].split(/\s+/) : [];
-    var result = $(this);
-    $.each(terms, function() {
-      result.highlightText(this.toLowerCase(), 'highlighted');
-    });
-  });
-
-  // directly open comment window if requested
-  var anchor = document.location.hash;
-  if (anchor.substring(0, 9) == '#comment-') {
-    $('#ao' + anchor.substring(9)).click();
-    document.location.hash = '#s' + anchor.substring(9);
-  }
-});
diff -pruN 1.21.2-1/doc/html/about.html 1.21.3-1/doc/html/about.html
--- 1.21.2-1/doc/html/about.html	2023-08-14 16:17:31.000000000 +0000
+++ 1.21.3-1/doc/html/about.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Contributing to the MIT Kerberos Documentation &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="#" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" />
     <link rel="next" title="Resources" href="resources.html" />
     <link rel="prev" title="How to build this documentation from the source" href="build_this.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="contributing-to-the-mit-kerberos-documentation">
+  <section id="contributing-to-the-mit-kerberos-documentation">
 <h1>Contributing to the MIT Kerberos Documentation<a class="headerlink" href="#contributing-to-the-mit-kerberos-documentation" title="Permalink to this headline">¶</a></h1>
 <p>We are looking for documentation writers and editors who could contribute
 towards improving the MIT KC documentation content.  If you are an experienced
@@ -73,7 +64,7 @@ write about any of the topics listed
 please send your feedback via email to <a class="reference external" href="mailto:krb5-bugs&#37;&#52;&#48;mit&#46;edu">krb5-bugs<span>&#64;</span>mit<span>&#46;</span>edu</a>. The HTML version of
 this documentation has a “FEEDBACK” link to the <a class="reference external" href="mailto:krb5-bugs&#37;&#52;&#48;mit&#46;edu">krb5-bugs<span>&#64;</span>mit<span>&#46;</span>edu</a> email
 address with a pre-constructed subject line.</p>
-<div class="section" id="background">
+<section id="background">
 <h2>Background<a class="headerlink" href="#background" title="Permalink to this headline">¶</a></h2>
 <p>Starting with release 1.11, the Kerberos documentation set is
 unified in a central form.  Man pages, HTML documentation, and PDF
@@ -90,15 +81,17 @@ easier to use and maintain, reStructured
 an improved experience for the user.  Consolidating all the documentation
 formats into a single source document makes the documentation set easier
 to maintain.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Contributing to the MIT Kerberos Documentation</a><ul>
@@ -132,6 +125,7 @@ to maintain.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@ to maintain.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/index.html 1.21.3-1/doc/html/admin/admin_commands/index.html
--- 1.21.2-1/doc/html/admin/admin_commands/index.html	2023-08-14 16:17:31.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/index.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Administration programs &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kadmin" href="kadmin_local.html" />
     <link rel="prev" title="Authentication indicators" href="../auth_indicator.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="administration-programs">
+  <section id="administration-programs">
 <h1>Administration  programs<a class="headerlink" href="#administration-programs" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
@@ -78,14 +69,16 @@
 <li class="toctree-l1"><a class="reference internal" href="sserver.html">sserver</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Administration  programs</a></li>
@@ -155,6 +148,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +156,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/k5srvutil.html 1.21.3-1/doc/html/admin/admin_commands/k5srvutil.html
--- 1.21.2-1/doc/html/admin/admin_commands/k5srvutil.html	2023-08-14 16:17:31.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/k5srvutil.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>k5srvutil &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="sserver" href="sserver.html" />
     <link rel="prev" title="ktutil" href="ktutil.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,27 +52,26 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="k5srvutil">
+  <section id="k5srvutil">
 <span id="k5srvutil-1"></span><h1>k5srvutil<a class="headerlink" href="#k5srvutil" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>k5srvutil</strong> <em>operation</em>
 [<strong>-i</strong>]
 [<strong>-f</strong> <em>filename</em>]
 [<strong>-e</strong> <em>keysalts</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>k5srvutil allows an administrator to list keys currently in
 a keytab, to obtain new keys for a principal currently in a keytab,
 or to delete non-current keys from a keytab.</p>
 <p><em>operation</em> must be one of the following:</p>
-<dl class="docutils">
-<dt><strong>list</strong></dt>
-<dd>Lists the keys in a keytab, showing version number and principal
-name.</dd>
-<dt><strong>change</strong></dt>
-<dd>Uses the kadmin protocol to update the keys in the Kerberos
+<dl class="simple">
+<dt><strong>list</strong></dt><dd><p>Lists the keys in a keytab, showing version number and principal
+name.</p>
+</dd>
+<dt><strong>change</strong></dt><dd><p>Uses the kadmin protocol to update the keys in the Kerberos
 database to new randomly-generated keys, and updates the keys in
 the keytab to match.  If a key’s version number doesn’t match the
 version number stored in the Kerberos server’s database, then the
@@ -92,39 +82,42 @@ Ordinarily, keys will be generated with
 types and key salts.  This can be overridden with the <strong>-e</strong>
 option.  Old keys are retained in the keytab so that existing
 tickets continue to work, but <strong>delold</strong> should be used after
-such tickets expire, to prevent attacks against the old keys.</dd>
-<dt><strong>delold</strong></dt>
-<dd>Deletes keys that are not the most recent version from the keytab.
+such tickets expire, to prevent attacks against the old keys.</p>
+</dd>
+<dt><strong>delold</strong></dt><dd><p>Deletes keys that are not the most recent version from the keytab.
 This operation should be used some time after a change operation
 to remove old keys, after existing tickets issued for the service
 have expired.  If the <strong>-i</strong> flag is given, then k5srvutil will
-prompt for confirmation for each principal.</dd>
-<dt><strong>delete</strong></dt>
-<dd>Deletes particular keys in the keytab, interactively prompting for
-each key.</dd>
+prompt for confirmation for each principal.</p>
+</dd>
+<dt><strong>delete</strong></dt><dd><p>Deletes particular keys in the keytab, interactively prompting for
+each key.</p>
+</dd>
 </dl>
 <p>In all cases, the default keytab is used unless this is overridden by
 the <strong>-f</strong> option.</p>
 <p>k5srvutil uses the <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> program to edit the keytab in
 place.</p>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>, <a class="reference internal" href="ktutil.html#ktutil-1"><span class="std std-ref">ktutil</span></a>, <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">k5srvutil</a><ul>
@@ -200,6 +193,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -207,8 +201,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/kadmin_local.html 1.21.3-1/doc/html/admin/admin_commands/kadmin_local.html
--- 1.21.2-1/doc/html/admin/admin_commands/kadmin_local.html	2023-08-14 16:17:31.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/kadmin_local.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kadmin &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kadmind" href="kadmind.html" />
     <link rel="prev" title="Administration programs" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kadmin">
+  <section id="kadmin">
 <span id="kadmin-1"></span><h1>kadmin<a class="headerlink" href="#kadmin" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p id="kadmin-synopsis"><strong>kadmin</strong>
 [<strong>-O</strong>|<strong>-N</strong>]
@@ -83,8 +74,8 @@
 [<strong>-m</strong>]
 [<strong>-x</strong> <em>db_args</em>]
 [command args…]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>kadmin and kadmin.local are command-line interfaces to the Kerberos V5
 administration system.  They provide nearly identical functionalities;
@@ -95,7 +86,7 @@ to refer to both versions.  kadmin provi
 Kerberos principals, password policies, and service key tables
 (keytabs).</p>
 <p>The remote kadmin client uses Kerberos to authenticate to kadmind
-using the service principal <code class="docutils literal"><span class="pre">kadmin/admin</span></code> or <code class="docutils literal"><span class="pre">kadmin/ADMINHOST</span></code>
+using the service principal <code class="docutils literal notranslate"><span class="pre">kadmin/admin</span></code> or <code class="docutils literal notranslate"><span class="pre">kadmin/ADMINHOST</span></code>
 (where <em>ADMINHOST</em> is the fully-qualified hostname of the admin
 server).  If the credentials cache contains a ticket for one of these
 principals, and the <strong>-c</strong> credentials_cache option is specified, that
@@ -108,250 +99,250 @@ ticket to authenticate to kadmind.</p>
 be run directly on the primary KDC with sufficient permissions to read
 the KDC database.  If the KDC database uses the LDAP database module,
 kadmin.local can be run on any host which can access the LDAP server.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils" id="kadmin-options">
-<dt><strong>-r</strong> <em>realm</em></dt>
-<dd>Use <em>realm</em> as the default database realm.</dd>
-<dt><strong>-p</strong> <em>principal</em></dt>
-<dd>Use <em>principal</em> to authenticate.  Otherwise, kadmin will append
-<code class="docutils literal"><span class="pre">/admin</span></code> to the primary principal name of the default ccache,
+<dl class="simple" id="kadmin-options">
+<dt><strong>-r</strong> <em>realm</em></dt><dd><p>Use <em>realm</em> as the default database realm.</p>
+</dd>
+<dt><strong>-p</strong> <em>principal</em></dt><dd><p>Use <em>principal</em> to authenticate.  Otherwise, kadmin will append
+<code class="docutils literal notranslate"><span class="pre">/admin</span></code> to the primary principal name of the default ccache,
 the value of the <strong>USER</strong> environment variable, or the username as
-obtained with getpwuid, in order of preference.</dd>
-<dt><strong>-k</strong></dt>
-<dd>Use a keytab to decrypt the KDC response instead of prompting for
+obtained with getpwuid, in order of preference.</p>
+</dd>
+<dt><strong>-k</strong></dt><dd><p>Use a keytab to decrypt the KDC response instead of prompting for
 a password.  In this case, the default principal will be
-<code class="docutils literal"><span class="pre">host/hostname</span></code>.  If there is no keytab specified with the
-<strong>-t</strong> option, then the default keytab will be used.</dd>
-<dt><strong>-t</strong> <em>keytab</em></dt>
-<dd>Use <em>keytab</em> to decrypt the KDC response.  This can only be used
-with the <strong>-k</strong> option.</dd>
-<dt><strong>-n</strong></dt>
-<dd>Requests anonymous processing.  Two types of anonymous principals
+<code class="docutils literal notranslate"><span class="pre">host/hostname</span></code>.  If there is no keytab specified with the
+<strong>-t</strong> option, then the default keytab will be used.</p>
+</dd>
+<dt><strong>-t</strong> <em>keytab</em></dt><dd><p>Use <em>keytab</em> to decrypt the KDC response.  This can only be used
+with the <strong>-k</strong> option.</p>
+</dd>
+<dt><strong>-n</strong></dt><dd><p>Requests anonymous processing.  Two types of anonymous principals
 are supported.  For fully anonymous Kerberos, configure PKINIT on
 the KDC and configure <strong>pkinit_anchors</strong> in the client’s
 <a class="reference internal" href="../conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.  Then use the <strong>-n</strong> option with a principal
-of the form <code class="docutils literal"><span class="pre">&#64;REALM</span></code> (an empty principal name followed by the
+of the form <code class="docutils literal notranslate"><span class="pre">&#64;REALM</span></code> (an empty principal name followed by the
 at-sign and a realm name).  If permitted by the KDC, an anonymous
 ticket will be returned.  A second form of anonymous tickets is
 supported; these realm-exposed tickets hide the identity of the
-client but not the client’s realm.  For this mode, use <code class="docutils literal"><span class="pre">kinit</span>
+client but not the client’s realm.  For this mode, use <code class="docutils literal notranslate"><span class="pre">kinit</span>
 <span class="pre">-n</span></code> with a normal principal name.  If supported by the KDC, the
 principal (but not realm) will be replaced by the anonymous
 principal.  As of release 1.8, the MIT Kerberos KDC only supports
-fully anonymous operation.</dd>
-<dt><strong>-c</strong> <em>credentials_cache</em></dt>
-<dd>Use <em>credentials_cache</em> as the credentials cache.  The cache
-should contain a service ticket for the <code class="docutils literal"><span class="pre">kadmin/admin</span></code> or
-<code class="docutils literal"><span class="pre">kadmin/ADMINHOST</span></code> (where <em>ADMINHOST</em> is the fully-qualified
+fully anonymous operation.</p>
+</dd>
+<dt><strong>-c</strong> <em>credentials_cache</em></dt><dd><p>Use <em>credentials_cache</em> as the credentials cache.  The cache
+should contain a service ticket for the <code class="docutils literal notranslate"><span class="pre">kadmin/admin</span></code> or
+<code class="docutils literal notranslate"><span class="pre">kadmin/ADMINHOST</span></code> (where <em>ADMINHOST</em> is the fully-qualified
 hostname of the admin server) service; it can be acquired with the
 <a class="reference internal" href="../../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a> program.  If this option is not specified, kadmin
 requests a new service ticket from the KDC, and stores it in its
-own temporary ccache.</dd>
-<dt><strong>-w</strong> <em>password</em></dt>
-<dd>Use <em>password</em> instead of prompting for one.  Use this option with
+own temporary ccache.</p>
+</dd>
+<dt><strong>-w</strong> <em>password</em></dt><dd><p>Use <em>password</em> instead of prompting for one.  Use this option with
 care, as it may expose the password to other users on the system
-via the process list.</dd>
-<dt><strong>-q</strong> <em>query</em></dt>
-<dd>Perform the specified query and then exit.</dd>
-<dt><strong>-d</strong> <em>dbname</em></dt>
-<dd>Specifies the name of the KDC database.  This option does not
-apply to the LDAP database module.</dd>
-<dt><strong>-s</strong> <em>admin_server</em>[:<em>port</em>]</dt>
-<dd>Specifies the admin server which kadmin should contact.</dd>
-<dt><strong>-m</strong></dt>
-<dd>If using kadmin.local, prompt for the database master password
-instead of reading it from a stash file.</dd>
-<dt><strong>-e</strong> “<em>enc</em>:<em>salt</em> …”</dt>
-<dd>Sets the keysalt list to be used for any new keys created.  See
+via the process list.</p>
+</dd>
+<dt><strong>-q</strong> <em>query</em></dt><dd><p>Perform the specified query and then exit.</p>
+</dd>
+<dt><strong>-d</strong> <em>dbname</em></dt><dd><p>Specifies the name of the KDC database.  This option does not
+apply to the LDAP database module.</p>
+</dd>
+<dt><strong>-s</strong> <em>admin_server</em>[:<em>port</em>]</dt><dd><p>Specifies the admin server which kadmin should contact.</p>
+</dd>
+<dt><strong>-m</strong></dt><dd><p>If using kadmin.local, prompt for the database master password
+instead of reading it from a stash file.</p>
+</dd>
+<dt><strong>-e</strong> “<em>enc</em>:<em>salt</em> …”</dt><dd><p>Sets the keysalt list to be used for any new keys created.  See
 <a class="reference internal" href="../conf_files/kdc_conf.html#keysalt-lists"><span class="std std-ref">Keysalt lists</span></a> in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> for a list of possible
-values.</dd>
-<dt><strong>-O</strong></dt>
-<dd>Force use of old AUTH_GSSAPI authentication flavor.</dd>
-<dt><strong>-N</strong></dt>
-<dd>Prevent fallback to AUTH_GSSAPI authentication flavor.</dd>
-<dt><strong>-x</strong> <em>db_args</em></dt>
-<dd>Specifies the database specific arguments.  See the next section
-for supported options.</dd>
+values.</p>
+</dd>
+<dt><strong>-O</strong></dt><dd><p>Force use of old AUTH_GSSAPI authentication flavor.</p>
+</dd>
+<dt><strong>-N</strong></dt><dd><p>Prevent fallback to AUTH_GSSAPI authentication flavor.</p>
+</dd>
+<dt><strong>-x</strong> <em>db_args</em></dt><dd><p>Specifies the database specific arguments.  See the next section
+for supported options.</p>
+</dd>
 </dl>
 <p>Starting with release 1.14, if any command-line arguments remain after
 the options, they will be treated as a single query to be executed.
 This mode of operation is intended for scripts and behaves differently
 from the interactive mode in several respects:</p>
 <ul class="simple">
-<li>Query arguments are split by the shell, not by kadmin.</li>
-<li>Informational and warning messages are suppressed.  Error messages
+<li><p>Query arguments are split by the shell, not by kadmin.</p></li>
+<li><p>Informational and warning messages are suppressed.  Error messages
 and query output (e.g. for <strong>get_principal</strong>) will still be
-displayed.</li>
-<li>Confirmation prompts are disabled (as if <strong>-force</strong> was given).
-Password prompts will still be issued as required.</li>
-<li>The exit status will be non-zero if the query fails.</li>
+displayed.</p></li>
+<li><p>Confirmation prompts are disabled (as if <strong>-force</strong> was given).
+Password prompts will still be issued as required.</p></li>
+<li><p>The exit status will be non-zero if the query fails.</p></li>
 </ul>
 <p>The <strong>-q</strong> option does not carry these behavior differences; the query
 will be processed as if it was entered interactively.  The <strong>-q</strong>
 option cannot be used in combination with a query in the remaining
 arguments.</p>
-</div>
-<div class="section" id="database-options">
+</section>
+<section id="database-options">
 <span id="dboptions"></span><h2>DATABASE OPTIONS<a class="headerlink" href="#database-options" title="Permalink to this headline">¶</a></h2>
 <p>Database options can be used to override database-specific defaults.
 Supported options for the DB2 module are:</p>
 <blockquote>
-<div><dl class="docutils">
-<dt><strong>-x dbname=</strong>*filename*</dt>
-<dd>Specifies the base filename of the DB2 database.</dd>
-<dt><strong>-x lockiter</strong></dt>
-<dd>Make iteration operations hold the lock for the duration of
+<div><dl class="simple">
+<dt><strong>-x dbname=</strong>*filename*</dt><dd><p>Specifies the base filename of the DB2 database.</p>
+</dd>
+<dt><strong>-x lockiter</strong></dt><dd><p>Make iteration operations hold the lock for the duration of
 the entire operation, rather than temporarily releasing the
 lock while handling each principal.  This is the default
 behavior, but this option exists to allow command line
 override of a [dbmodules] setting.  First introduced in
-release 1.13.</dd>
-<dt><strong>-x unlockiter</strong></dt>
-<dd>Make iteration operations unlock the database for each
+release 1.13.</p>
+</dd>
+<dt><strong>-x unlockiter</strong></dt><dd><p>Make iteration operations unlock the database for each
 principal, instead of holding the lock for the duration of the
-entire operation.  First introduced in release 1.13.</dd>
+entire operation.  First introduced in release 1.13.</p>
+</dd>
 </dl>
 </div></blockquote>
 <p>Supported options for the LDAP module are:</p>
 <blockquote>
-<div><dl class="docutils">
-<dt><strong>-x host=</strong><em>ldapuri</em></dt>
-<dd>Specifies the LDAP server to connect to by a LDAP URI.</dd>
-<dt><strong>-x binddn=</strong><em>bind_dn</em></dt>
-<dd>Specifies the DN used to bind to the LDAP server.</dd>
-<dt><strong>-x bindpwd=</strong><em>password</em></dt>
-<dd>Specifies the password or SASL secret used to bind to the LDAP
+<div><dl class="simple">
+<dt><strong>-x host=</strong><em>ldapuri</em></dt><dd><p>Specifies the LDAP server to connect to by a LDAP URI.</p>
+</dd>
+<dt><strong>-x binddn=</strong><em>bind_dn</em></dt><dd><p>Specifies the DN used to bind to the LDAP server.</p>
+</dd>
+<dt><strong>-x bindpwd=</strong><em>password</em></dt><dd><p>Specifies the password or SASL secret used to bind to the LDAP
 server.  Using this option may expose the password to other
 users on the system via the process list; to avoid this,
 instead stash the password using the <strong>stashsrvpw</strong> command of
-<a class="reference internal" href="kdb5_ldap_util.html#kdb5-ldap-util-8"><span class="std std-ref">kdb5_ldap_util</span></a>.</dd>
-<dt><strong>-x sasl_mech=</strong><em>mechanism</em></dt>
-<dd>Specifies the SASL mechanism used to bind to the LDAP server.
+<a class="reference internal" href="kdb5_ldap_util.html#kdb5-ldap-util-8"><span class="std std-ref">kdb5_ldap_util</span></a>.</p>
+</dd>
+<dt><strong>-x sasl_mech=</strong><em>mechanism</em></dt><dd><p>Specifies the SASL mechanism used to bind to the LDAP server.
 The bind DN is ignored if a SASL mechanism is used.  New in
-release 1.13.</dd>
-<dt><strong>-x sasl_authcid=</strong><em>name</em></dt>
-<dd>Specifies the authentication name used when binding to the
+release 1.13.</p>
+</dd>
+<dt><strong>-x sasl_authcid=</strong><em>name</em></dt><dd><p>Specifies the authentication name used when binding to the
 LDAP server with a SASL mechanism, if the mechanism requires
-one.  New in release 1.13.</dd>
-<dt><strong>-x sasl_authzid=</strong><em>name</em></dt>
-<dd>Specifies the authorization name used when binding to the LDAP
-server with a SASL mechanism.  New in release 1.13.</dd>
-<dt><strong>-x sasl_realm=</strong><em>realm</em></dt>
-<dd>Specifies the realm used when binding to the LDAP server with
+one.  New in release 1.13.</p>
+</dd>
+<dt><strong>-x sasl_authzid=</strong><em>name</em></dt><dd><p>Specifies the authorization name used when binding to the LDAP
+server with a SASL mechanism.  New in release 1.13.</p>
+</dd>
+<dt><strong>-x sasl_realm=</strong><em>realm</em></dt><dd><p>Specifies the realm used when binding to the LDAP server with
 a SASL mechanism, if the mechanism uses one.  New in release
-1.13.</dd>
-<dt><strong>-x debug=</strong><em>level</em></dt>
-<dd>sets the OpenLDAP client library debug level.  <em>level</em> is an
+1.13.</p>
+</dd>
+<dt><strong>-x debug=</strong><em>level</em></dt><dd><p>sets the OpenLDAP client library debug level.  <em>level</em> is an
 integer to be interpreted by the library.  Debugging messages
-are printed to standard error.  New in release 1.12.</dd>
+are printed to standard error.  New in release 1.12.</p>
+</dd>
 </dl>
 </div></blockquote>
-</div>
-<div class="section" id="commands">
+</section>
+<section id="commands">
 <h2>COMMANDS<a class="headerlink" href="#commands" title="Permalink to this headline">¶</a></h2>
 <p>When using the remote client, available commands may be restricted
 according to the privileges specified in the <a class="reference internal" href="../conf_files/kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a> file
 on the admin server.</p>
-<div class="section" id="add-principal">
+<section id="add-principal">
 <span id="id1"></span><h3>add_principal<a class="headerlink" href="#add-principal" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>add_principal</strong> [<em>options</em>] <em>newprinc</em></div></blockquote>
+<div><p><strong>add_principal</strong> [<em>options</em>] <em>newprinc</em></p>
+</div></blockquote>
 <p>Creates the principal <em>newprinc</em>, prompting twice for a password.  If
 no password policy is specified with the <strong>-policy</strong> option, and the
-policy named <code class="docutils literal"><span class="pre">default</span></code> is assigned to the principal if it exists.
-However, creating a policy named <code class="docutils literal"><span class="pre">default</span></code> will not automatically
+policy named <code class="docutils literal notranslate"><span class="pre">default</span></code> is assigned to the principal if it exists.
+However, creating a policy named <code class="docutils literal notranslate"><span class="pre">default</span></code> will not automatically
 assign this policy to previously existing principals.  This policy
 assignment can be suppressed with the <strong>-clearpolicy</strong> option.</p>
 <p>This command requires the <strong>add</strong> privilege.</p>
 <p>Aliases: <strong>addprinc</strong>, <strong>ank</strong></p>
 <p>Options:</p>
-<dl class="docutils">
-<dt><strong>-expire</strong> <em>expdate</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) The expiration date of the principal.</dd>
-<dt><strong>-pwexpire</strong> <em>pwexpdate</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) The password expiration date.</dd>
-<dt><strong>-maxlife</strong> <em>maxlife</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) The maximum ticket life
-for the principal.</dd>
-<dt><strong>-maxrenewlife</strong> <em>maxrenewlife</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) The maximum renewable
-life of tickets for the principal.</dd>
-<dt><strong>-kvno</strong> <em>kvno</em></dt>
-<dd>The initial key version number.</dd>
-<dt><strong>-policy</strong> <em>policy</em></dt>
-<dd>The password policy used by this principal.  If not specified, the
-policy <code class="docutils literal"><span class="pre">default</span></code> is used if it exists (unless <strong>-clearpolicy</strong>
-is specified).</dd>
-<dt><strong>-clearpolicy</strong></dt>
-<dd>Prevents any policy from being assigned when <strong>-policy</strong> is not
-specified.</dd>
-<dt>{-|+}<strong>allow_postdated</strong></dt>
-<dd><strong>-allow_postdated</strong> prohibits this principal from obtaining
-postdated tickets.  <strong>+allow_postdated</strong> clears this flag.</dd>
-<dt>{-|+}<strong>allow_forwardable</strong></dt>
-<dd><strong>-allow_forwardable</strong> prohibits this principal from obtaining
-forwardable tickets.  <strong>+allow_forwardable</strong> clears this flag.</dd>
-<dt>{-|+}<strong>allow_renewable</strong></dt>
-<dd><strong>-allow_renewable</strong> prohibits this principal from obtaining
-renewable tickets.  <strong>+allow_renewable</strong> clears this flag.</dd>
-<dt>{-|+}<strong>allow_proxiable</strong></dt>
-<dd><strong>-allow_proxiable</strong> prohibits this principal from obtaining
-proxiable tickets.  <strong>+allow_proxiable</strong> clears this flag.</dd>
-<dt>{-|+}<strong>allow_dup_skey</strong></dt>
-<dd><strong>-allow_dup_skey</strong> disables user-to-user authentication for this
+<dl>
+<dt><strong>-expire</strong> <em>expdate</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) The expiration date of the principal.</p>
+</dd>
+<dt><strong>-pwexpire</strong> <em>pwexpdate</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) The password expiration date.</p>
+</dd>
+<dt><strong>-maxlife</strong> <em>maxlife</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) The maximum ticket life
+for the principal.</p>
+</dd>
+<dt><strong>-maxrenewlife</strong> <em>maxrenewlife</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) The maximum renewable
+life of tickets for the principal.</p>
+</dd>
+<dt><strong>-kvno</strong> <em>kvno</em></dt><dd><p>The initial key version number.</p>
+</dd>
+<dt><strong>-policy</strong> <em>policy</em></dt><dd><p>The password policy used by this principal.  If not specified, the
+policy <code class="docutils literal notranslate"><span class="pre">default</span></code> is used if it exists (unless <strong>-clearpolicy</strong>
+is specified).</p>
+</dd>
+<dt><strong>-clearpolicy</strong></dt><dd><p>Prevents any policy from being assigned when <strong>-policy</strong> is not
+specified.</p>
+</dd>
+<dt>{-|+}<strong>allow_postdated</strong></dt><dd><p><strong>-allow_postdated</strong> prohibits this principal from obtaining
+postdated tickets.  <strong>+allow_postdated</strong> clears this flag.</p>
+</dd>
+<dt>{-|+}<strong>allow_forwardable</strong></dt><dd><p><strong>-allow_forwardable</strong> prohibits this principal from obtaining
+forwardable tickets.  <strong>+allow_forwardable</strong> clears this flag.</p>
+</dd>
+<dt>{-|+}<strong>allow_renewable</strong></dt><dd><p><strong>-allow_renewable</strong> prohibits this principal from obtaining
+renewable tickets.  <strong>+allow_renewable</strong> clears this flag.</p>
+</dd>
+<dt>{-|+}<strong>allow_proxiable</strong></dt><dd><p><strong>-allow_proxiable</strong> prohibits this principal from obtaining
+proxiable tickets.  <strong>+allow_proxiable</strong> clears this flag.</p>
+</dd>
+<dt>{-|+}<strong>allow_dup_skey</strong></dt><dd><p><strong>-allow_dup_skey</strong> disables user-to-user authentication for this
 principal by prohibiting others from obtaining a service ticket
 encrypted in this principal’s TGT session key.
-<strong>+allow_dup_skey</strong> clears this flag.</dd>
-<dt>{-|+}<strong>requires_preauth</strong></dt>
-<dd><strong>+requires_preauth</strong> requires this principal to preauthenticate
+<strong>+allow_dup_skey</strong> clears this flag.</p>
+</dd>
+<dt>{-|+}<strong>requires_preauth</strong></dt><dd><p><strong>+requires_preauth</strong> requires this principal to preauthenticate
 before being allowed to kinit.  <strong>-requires_preauth</strong> clears this
 flag.  When <strong>+requires_preauth</strong> is set on a service principal,
 the KDC will only issue service tickets for that service principal
 if the client’s initial authentication was performed using
-preauthentication.</dd>
-<dt>{-|+}<strong>requires_hwauth</strong></dt>
-<dd><strong>+requires_hwauth</strong> requires this principal to preauthenticate
+preauthentication.</p>
+</dd>
+<dt>{-|+}<strong>requires_hwauth</strong></dt><dd><p><strong>+requires_hwauth</strong> requires this principal to preauthenticate
 using a hardware device before being allowed to kinit.
 <strong>-requires_hwauth</strong> clears this flag.  When <strong>+requires_hwauth</strong> is
 set on a service principal, the KDC will only issue service tickets
 for that service principal if the client’s initial authentication was
-performed using a hardware device to preauthenticate.</dd>
-<dt>{-|+}<strong>ok_as_delegate</strong></dt>
-<dd><strong>+ok_as_delegate</strong> sets the <strong>okay as delegate</strong> flag on tickets
+performed using a hardware device to preauthenticate.</p>
+</dd>
+<dt>{-|+}<strong>ok_as_delegate</strong></dt><dd><p><strong>+ok_as_delegate</strong> sets the <strong>okay as delegate</strong> flag on tickets
 issued with this principal as the service.  Clients may use this
 flag as a hint that credentials should be delegated when
 authenticating to the service.  <strong>-ok_as_delegate</strong> clears this
-flag.</dd>
-<dt>{-|+}<strong>allow_svr</strong></dt>
-<dd><strong>-allow_svr</strong> prohibits the issuance of service tickets for this
+flag.</p>
+</dd>
+<dt>{-|+}<strong>allow_svr</strong></dt><dd><p><strong>-allow_svr</strong> prohibits the issuance of service tickets for this
 principal.  In release 1.17 and later, user-to-user service
 tickets are still allowed unless the <strong>-allow_dup_skey</strong> flag is
-also set.  <strong>+allow_svr</strong> clears this flag.</dd>
-<dt>{-|+}<strong>allow_tgs_req</strong></dt>
-<dd><strong>-allow_tgs_req</strong> specifies that a Ticket-Granting Service (TGS)
+also set.  <strong>+allow_svr</strong> clears this flag.</p>
+</dd>
+<dt>{-|+}<strong>allow_tgs_req</strong></dt><dd><p><strong>-allow_tgs_req</strong> specifies that a Ticket-Granting Service (TGS)
 request for a service ticket for this principal is not permitted.
-<strong>+allow_tgs_req</strong> clears this flag.</dd>
-<dt>{-|+}<strong>allow_tix</strong></dt>
-<dd><strong>-allow_tix</strong> forbids the issuance of any tickets for this
-principal.  <strong>+allow_tix</strong> clears this flag.</dd>
-<dt>{-|+}<strong>needchange</strong></dt>
-<dd><strong>+needchange</strong> forces a password change on the next initial
+<strong>+allow_tgs_req</strong> clears this flag.</p>
+</dd>
+<dt>{-|+}<strong>allow_tix</strong></dt><dd><p><strong>-allow_tix</strong> forbids the issuance of any tickets for this
+principal.  <strong>+allow_tix</strong> clears this flag.</p>
+</dd>
+<dt>{-|+}<strong>needchange</strong></dt><dd><p><strong>+needchange</strong> forces a password change on the next initial
 authentication to this principal.  <strong>-needchange</strong> clears this
-flag.</dd>
-<dt>{-|+}<strong>password_changing_service</strong></dt>
-<dd><strong>+password_changing_service</strong> marks this principal as a password
-change service principal.</dd>
-<dt>{-|+}<strong>ok_to_auth_as_delegate</strong></dt>
-<dd><strong>+ok_to_auth_as_delegate</strong> allows this principal to acquire
+flag.</p>
+</dd>
+<dt>{-|+}<strong>password_changing_service</strong></dt><dd><p><strong>+password_changing_service</strong> marks this principal as a password
+change service principal.</p>
+</dd>
+<dt>{-|+}<strong>ok_to_auth_as_delegate</strong></dt><dd><p><strong>+ok_to_auth_as_delegate</strong> allows this principal to acquire
 forwardable tickets to itself from arbitrary users, for use with
-constrained delegation.</dd>
-<dt>{-|+}<strong>no_auth_data_required</strong></dt>
-<dd><strong>+no_auth_data_required</strong> prevents PAC or AD-SIGNEDPATH data from
-being added to service tickets for the principal.</dd>
-<dt>{-|+}<strong>lockdown_keys</strong></dt>
-<dd><strong>+lockdown_keys</strong> prevents keys for this principal from leaving
+constrained delegation.</p>
+</dd>
+<dt>{-|+}<strong>no_auth_data_required</strong></dt><dd><p><strong>+no_auth_data_required</strong> prevents PAC or AD-SIGNEDPATH data from
+being added to service tickets for the principal.</p>
+</dd>
+<dt>{-|+}<strong>lockdown_keys</strong></dt><dd><p><strong>+lockdown_keys</strong> prevents keys for this principal from leaving
 the KDC via kadmind.  The chpass and extract operations are denied
 for a principal with this attribute.  The chrand operation is
 allowed, but will not return the new keys.  The delete and rename
@@ -359,54 +350,54 @@ operations are also denied if this attri
 prevent a malicious administrator from replacing principals like
 krbtgt/* or kadmin/* with new principals without the attribute.
 This attribute can be set via the network protocol, but can only
-be removed using kadmin.local.</dd>
-<dt><strong>-randkey</strong></dt>
-<dd>Sets the key of the principal to a random value.</dd>
-<dt><strong>-nokey</strong></dt>
-<dd>Causes the principal to be created with no key.  New in release
-1.12.</dd>
-<dt><strong>-pw</strong> <em>password</em></dt>
-<dd>Sets the password of the principal to the specified string and
+be removed using kadmin.local.</p>
+</dd>
+<dt><strong>-randkey</strong></dt><dd><p>Sets the key of the principal to a random value.</p>
+</dd>
+<dt><strong>-nokey</strong></dt><dd><p>Causes the principal to be created with no key.  New in release
+1.12.</p>
+</dd>
+<dt><strong>-pw</strong> <em>password</em></dt><dd><p>Sets the password of the principal to the specified string and
 does not prompt for a password.  Note: using this option in a
 shell script may expose the password to other users on the system
-via the process list.</dd>
-<dt><strong>-e</strong> <em>enc</em>:<em>salt</em>,…</dt>
-<dd>Uses the specified keysalt list for setting the keys of the
+via the process list.</p>
+</dd>
+<dt><strong>-e</strong> <em>enc</em>:<em>salt</em>,…</dt><dd><p>Uses the specified keysalt list for setting the keys of the
 principal.  See <a class="reference internal" href="../conf_files/kdc_conf.html#keysalt-lists"><span class="std std-ref">Keysalt lists</span></a> in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> for a
-list of possible values.</dd>
-<dt><strong>-x</strong> <em>db_princ_args</em></dt>
-<dd><p class="first">Indicates database-specific options.  The options for the LDAP
+list of possible values.</p>
+</dd>
+<dt><strong>-x</strong> <em>db_princ_args</em></dt><dd><p>Indicates database-specific options.  The options for the LDAP
 database module are:</p>
-<dl class="docutils">
-<dt><strong>-x dn=</strong><em>dn</em></dt>
-<dd>Specifies the LDAP object that will contain the Kerberos
-principal being created.</dd>
-<dt><strong>-x linkdn=</strong><em>dn</em></dt>
-<dd>Specifies the LDAP object to which the newly created Kerberos
-principal object will point.</dd>
-<dt><strong>-x containerdn=</strong><em>container_dn</em></dt>
-<dd>Specifies the container object under which the Kerberos
-principal is to be created.</dd>
-<dt><strong>-x tktpolicy=</strong><em>policy</em></dt>
-<dd>Associates a ticket policy to the Kerberos principal.</dd>
-</dl>
-<div class="last admonition note">
-<p class="first admonition-title">Note</p>
-<ul class="last simple">
-<li>The <strong>containerdn</strong> and <strong>linkdn</strong> options cannot be
-specified with the <strong>dn</strong> option.</li>
-<li>If the <em>dn</em> or <em>containerdn</em> options are not specified while
+<dl class="simple">
+<dt><strong>-x dn=</strong><em>dn</em></dt><dd><p>Specifies the LDAP object that will contain the Kerberos
+principal being created.</p>
+</dd>
+<dt><strong>-x linkdn=</strong><em>dn</em></dt><dd><p>Specifies the LDAP object to which the newly created Kerberos
+principal object will point.</p>
+</dd>
+<dt><strong>-x containerdn=</strong><em>container_dn</em></dt><dd><p>Specifies the container object under which the Kerberos
+principal is to be created.</p>
+</dd>
+<dt><strong>-x tktpolicy=</strong><em>policy</em></dt><dd><p>Associates a ticket policy to the Kerberos principal.</p>
+</dd>
+</dl>
+<div class="admonition note">
+<p class="admonition-title">Note</p>
+<ul class="simple">
+<li><p>The <strong>containerdn</strong> and <strong>linkdn</strong> options cannot be
+specified with the <strong>dn</strong> option.</p></li>
+<li><p>If the <em>dn</em> or <em>containerdn</em> options are not specified while
 adding the principal, the principals are created under the
 principal container configured in the realm or the realm
-container.</li>
-<li><em>dn</em> and <em>containerdn</em> should be within the subtrees or
-principal container configured in the realm.</li>
+container.</p></li>
+<li><p><em>dn</em> and <em>containerdn</em> should be within the subtrees or
+principal container configured in the realm.</p></li>
 </ul>
 </div>
 </dd>
 </dl>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addprinc</span> <span class="n">jennifer</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addprinc</span> <span class="n">jennifer</span>
 <span class="n">No</span> <span class="n">policy</span> <span class="n">specified</span> <span class="k">for</span> <span class="s2">&quot;jennifer@ATHENA.MIT.EDU&quot;</span><span class="p">;</span>
 <span class="n">defaulting</span> <span class="n">to</span> <span class="n">no</span> <span class="n">policy</span><span class="o">.</span>
 <span class="n">Enter</span> <span class="n">password</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="p">:</span>
@@ -415,11 +406,12 @@ principal container configured in the re
 <span class="n">kadmin</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="modify-principal">
+</section>
+<section id="modify-principal">
 <span id="id2"></span><h3>modify_principal<a class="headerlink" href="#modify-principal" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>modify_principal</strong> [<em>options</em>] <em>principal</em></div></blockquote>
+<div><p><strong>modify_principal</strong> [<em>options</em>] <em>principal</em></p>
+</div></blockquote>
 <p>Modifies the specified principal, changing the fields as specified.
 The options to <strong>add_principal</strong> also apply to this command, except
 for the <strong>-randkey</strong>, <strong>-pw</strong>, and <strong>-e</strong> options.  In addition, the
@@ -427,36 +419,39 @@ option <strong>-clearpolicy</strong> wil
 <p>This command requires the <em>modify</em> privilege.</p>
 <p>Alias: <strong>modprinc</strong></p>
 <p>Options (in addition to the <strong>addprinc</strong> options):</p>
-<dl class="docutils">
-<dt><strong>-unlock</strong></dt>
-<dd>Unlocks a locked principal (one which has received too many failed
+<dl class="simple">
+<dt><strong>-unlock</strong></dt><dd><p>Unlocks a locked principal (one which has received too many failed
 authentication attempts without enough time between them according
-to its password policy) so that it can successfully authenticate.</dd>
+to its password policy) so that it can successfully authenticate.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="rename-principal">
+</section>
+<section id="rename-principal">
 <span id="id3"></span><h3>rename_principal<a class="headerlink" href="#rename-principal" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>rename_principal</strong> [<strong>-force</strong>] <em>old_principal</em> <em>new_principal</em></div></blockquote>
+<div><p><strong>rename_principal</strong> [<strong>-force</strong>] <em>old_principal</em> <em>new_principal</em></p>
+</div></blockquote>
 <p>Renames the specified <em>old_principal</em> to <em>new_principal</em>.  This
 command prompts for confirmation, unless the <strong>-force</strong> option is
 given.</p>
 <p>This command requires the <strong>add</strong> and <strong>delete</strong> privileges.</p>
 <p>Alias: <strong>renprinc</strong></p>
-</div>
-<div class="section" id="delete-principal">
+</section>
+<section id="delete-principal">
 <span id="id4"></span><h3>delete_principal<a class="headerlink" href="#delete-principal" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>delete_principal</strong> [<strong>-force</strong>] <em>principal</em></div></blockquote>
+<div><p><strong>delete_principal</strong> [<strong>-force</strong>] <em>principal</em></p>
+</div></blockquote>
 <p>Deletes the specified <em>principal</em> from the database.  This command
 prompts for deletion, unless the <strong>-force</strong> option is given.</p>
 <p>This command requires the <strong>delete</strong> privilege.</p>
 <p>Alias: <strong>delprinc</strong></p>
-</div>
-<div class="section" id="change-password">
+</section>
+<section id="change-password">
 <span id="id5"></span><h3>change_password<a class="headerlink" href="#change-password" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>change_password</strong> [<em>options</em>] <em>principal</em></div></blockquote>
+<div><p><strong>change_password</strong> [<em>options</em>] <em>principal</em></p>
+</div></blockquote>
 <p>Changes the password of <em>principal</em>.  Prompts for a new password if
 neither <strong>-randkey</strong> or <strong>-pw</strong> is specified.</p>
 <p>This command requires the <strong>changepw</strong> privilege, or that the
@@ -464,52 +459,54 @@ principal running the program is the sam
 changed.</p>
 <p>Alias: <strong>cpw</strong></p>
 <p>The following options are available:</p>
-<dl class="docutils">
-<dt><strong>-randkey</strong></dt>
-<dd>Sets the key of the principal to a random value.</dd>
-<dt><strong>-pw</strong> <em>password</em></dt>
-<dd>Set the password to the specified string.  Using this option in a
+<dl class="simple">
+<dt><strong>-randkey</strong></dt><dd><p>Sets the key of the principal to a random value.</p>
+</dd>
+<dt><strong>-pw</strong> <em>password</em></dt><dd><p>Set the password to the specified string.  Using this option in a
 script may expose the password to other users on the system via
-the process list.</dd>
-<dt><strong>-e</strong> <em>enc</em>:<em>salt</em>,…</dt>
-<dd>Uses the specified keysalt list for setting the keys of the
+the process list.</p>
+</dd>
+<dt><strong>-e</strong> <em>enc</em>:<em>salt</em>,…</dt><dd><p>Uses the specified keysalt list for setting the keys of the
 principal.  See <a class="reference internal" href="../conf_files/kdc_conf.html#keysalt-lists"><span class="std std-ref">Keysalt lists</span></a> in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> for a
-list of possible values.</dd>
-<dt><strong>-keepold</strong></dt>
-<dd>Keeps the existing keys in the database.  This flag is usually not
-necessary except perhaps for <code class="docutils literal"><span class="pre">krbtgt</span></code> principals.</dd>
+list of possible values.</p>
+</dd>
+<dt><strong>-keepold</strong></dt><dd><p>Keeps the existing keys in the database.  This flag is usually not
+necessary except perhaps for <code class="docutils literal notranslate"><span class="pre">krbtgt</span></code> principals.</p>
+</dd>
 </dl>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">cpw</span> <span class="n">systest</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">cpw</span> <span class="n">systest</span>
 <span class="n">Enter</span> <span class="n">password</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">systest</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span><span class="p">:</span>
 <span class="n">Re</span><span class="o">-</span><span class="n">enter</span> <span class="n">password</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">systest</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span><span class="p">:</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">systest</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span> <span class="n">changed</span><span class="o">.</span>
 <span class="n">kadmin</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="purgekeys">
+</section>
+<section id="purgekeys">
 <span id="id6"></span><h3>purgekeys<a class="headerlink" href="#purgekeys" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>purgekeys</strong> [<strong>-all</strong>|<strong>-keepkvno</strong> <em>oldest_kvno_to_keep</em>] <em>principal</em></div></blockquote>
+<div><p><strong>purgekeys</strong> [<strong>-all</strong>|<strong>-keepkvno</strong> <em>oldest_kvno_to_keep</em>] <em>principal</em></p>
+</div></blockquote>
 <p>Purges previously retained old keys (e.g., from <strong>change_password
 -keepold</strong>) from <em>principal</em>.  If <strong>-keepkvno</strong> is specified, then
 only purges keys with kvnos lower than <em>oldest_kvno_to_keep</em>.  If
 <strong>-all</strong> is specified, then all keys are purged.  The <strong>-all</strong> option
 is new in release 1.12.</p>
 <p>This command requires the <strong>modify</strong> privilege.</p>
-</div>
-<div class="section" id="get-principal">
+</section>
+<section id="get-principal">
 <span id="id7"></span><h3>get_principal<a class="headerlink" href="#get-principal" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>get_principal</strong> [<strong>-terse</strong>] <em>principal</em></div></blockquote>
+<div><p><strong>get_principal</strong> [<strong>-terse</strong>] <em>principal</em></p>
+</div></blockquote>
 <p>Gets the attributes of principal.  With the <strong>-terse</strong> option, outputs
 fields as quoted tab-separated strings.</p>
 <p>This command requires the <strong>inquire</strong> privilege, or that the principal
 running the the program to be the same as the one being listed.</p>
 <p>Alias: <strong>getprinc</strong></p>
 <p>Examples:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">getprinc</span> <span class="n">tlyu</span><span class="o">/</span><span class="n">admin</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">getprinc</span> <span class="n">tlyu</span><span class="o">/</span><span class="n">admin</span>
 <span class="n">Principal</span><span class="p">:</span> <span class="n">tlyu</span><span class="o">/</span><span class="n">admin</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">Expiration</span> <span class="n">date</span><span class="p">:</span> <span class="p">[</span><span class="n">never</span><span class="p">]</span>
 <span class="n">Last</span> <span class="n">password</span> <span class="n">change</span><span class="p">:</span> <span class="n">Mon</span> <span class="n">Aug</span> <span class="mi">12</span> <span class="mi">14</span><span class="p">:</span><span class="mi">16</span><span class="p">:</span><span class="mi">47</span> <span class="n">EDT</span> <span class="mi">1996</span>
@@ -533,22 +530,23 @@ running the the program to be the same a
 <span class="n">kadmin</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="list-principals">
+</section>
+<section id="list-principals">
 <span id="id8"></span><h3>list_principals<a class="headerlink" href="#list-principals" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>list_principals</strong> [<em>expression</em>]</div></blockquote>
+<div><p><strong>list_principals</strong> [<em>expression</em>]</p>
+</div></blockquote>
 <p>Retrieves all or some principal names.  <em>expression</em> is a shell-style
-glob expression that can contain the wild-card characters <code class="docutils literal"><span class="pre">?</span></code>,
-<code class="docutils literal"><span class="pre">*</span></code>, and <code class="docutils literal"><span class="pre">[]</span></code>.  All principal names matching the expression are
+glob expression that can contain the wild-card characters <code class="docutils literal notranslate"><span class="pre">?</span></code>,
+<code class="docutils literal notranslate"><span class="pre">*</span></code>, and <code class="docutils literal notranslate"><span class="pre">[]</span></code>.  All principal names matching the expression are
 printed.  If no expression is provided, all principal names are
-printed.  If the expression does not contain an <code class="docutils literal"><span class="pre">&#64;</span></code> character, an
-<code class="docutils literal"><span class="pre">&#64;</span></code> character followed by the local realm is appended to the
+printed.  If the expression does not contain an <code class="docutils literal notranslate"><span class="pre">&#64;</span></code> character, an
+<code class="docutils literal notranslate"><span class="pre">&#64;</span></code> character followed by the local realm is appended to the
 expression.</p>
 <p>This command requires the <strong>list</strong> privilege.</p>
 <p>Alias: <strong>listprincs</strong>, <strong>get_principals</strong>, <strong>getprincs</strong></p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span>  <span class="n">listprincs</span> <span class="n">test</span><span class="o">*</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span>  <span class="n">listprincs</span> <span class="n">test</span><span class="o">*</span>
 <span class="n">test3</span><span class="nd">@SECURE</span><span class="o">-</span><span class="n">TEST</span><span class="o">.</span><span class="n">OV</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">test2</span><span class="nd">@SECURE</span><span class="o">-</span><span class="n">TEST</span><span class="o">.</span><span class="n">OV</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">test1</span><span class="nd">@SECURE</span><span class="o">-</span><span class="n">TEST</span><span class="o">.</span><span class="n">OV</span><span class="o">.</span><span class="n">COM</span>
@@ -556,169 +554,176 @@ expression.</p>
 <span class="n">kadmin</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="get-strings">
+</section>
+<section id="get-strings">
 <span id="id9"></span><h3>get_strings<a class="headerlink" href="#get-strings" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>get_strings</strong> <em>principal</em></div></blockquote>
+<div><p><strong>get_strings</strong> <em>principal</em></p>
+</div></blockquote>
 <p>Displays string attributes on <em>principal</em>.</p>
 <p>This command requires the <strong>inquire</strong> privilege.</p>
 <p>Alias: <strong>getstrs</strong></p>
-</div>
-<div class="section" id="set-string">
+</section>
+<section id="set-string">
 <span id="id10"></span><h3>set_string<a class="headerlink" href="#set-string" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>set_string</strong> <em>principal</em> <em>name</em> <em>value</em></div></blockquote>
+<div><p><strong>set_string</strong> <em>principal</em> <em>name</em> <em>value</em></p>
+</div></blockquote>
 <p>Sets a string attribute on <em>principal</em>.  String attributes are used to
 supply per-principal configuration to the KDC and some KDC plugin
 modules.  The following string attribute names are recognized by the
 KDC:</p>
-<dl class="docutils">
-<dt><strong>require_auth</strong></dt>
-<dd>Specifies an authentication indicator which is required to
+<dl class="simple">
+<dt><strong>require_auth</strong></dt><dd><p>Specifies an authentication indicator which is required to
 authenticate to the principal as a service.  Multiple indicators
 can be specified, separated by spaces; in this case any of the
-specified indicators will be accepted.  (New in release 1.14.)</dd>
-<dt><strong>session_enctypes</strong></dt>
-<dd>Specifies the encryption types supported for session keys when the
+specified indicators will be accepted.  (New in release 1.14.)</p>
+</dd>
+<dt><strong>session_enctypes</strong></dt><dd><p>Specifies the encryption types supported for session keys when the
 principal is authenticated to as a server.  See
 <a class="reference internal" href="../conf_files/kdc_conf.html#encryption-types"><span class="std std-ref">Encryption types</span></a> in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> for a list of the
-accepted values.</dd>
-<dt><strong>otp</strong></dt>
-<dd>Enables One Time Passwords (OTP) preauthentication for a client
+accepted values.</p>
+</dd>
+<dt><strong>otp</strong></dt><dd><p>Enables One Time Passwords (OTP) preauthentication for a client
 <em>principal</em>.  The <em>value</em> is a JSON string representing an array
-of objects, each having optional <code class="docutils literal"><span class="pre">type</span></code> and <code class="docutils literal"><span class="pre">username</span></code> fields.</dd>
-<dt><strong>pkinit_cert_match</strong></dt>
-<dd>Specifies a matching expression that defines the certificate
+of objects, each having optional <code class="docutils literal notranslate"><span class="pre">type</span></code> and <code class="docutils literal notranslate"><span class="pre">username</span></code> fields.</p>
+</dd>
+<dt><strong>pkinit_cert_match</strong></dt><dd><p>Specifies a matching expression that defines the certificate
 attributes required for the client certificate used by the
 principal during PKINIT authentication.  The matching expression
 is in the same format as those used by the <strong>pkinit_cert_match</strong>
-option in <a class="reference internal" href="../conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.  (New in release 1.16.)</dd>
-<dt><strong>pac_privsvr_enctype</strong></dt>
-<dd>Forces the encryption type of the PAC KDC checksum buffers to the
+option in <a class="reference internal" href="../conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.  (New in release 1.16.)</p>
+</dd>
+<dt><strong>pac_privsvr_enctype</strong></dt><dd><p>Forces the encryption type of the PAC KDC checksum buffers to the
 specified encryption type for tickets issued to this server, by
 deriving a key from the local krbtgt key if it is of a different
 encryption type.  It may be necessary to set this value to
 “aes256-sha1” on the cross-realm krbtgt entry for an Active
 Directory realm when using aes-sha2 keys on the local krbtgt
-entry.</dd>
+entry.</p>
+</dd>
 </dl>
 <p>This command requires the <strong>modify</strong> privilege.</p>
 <p>Alias: <strong>setstr</strong></p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">set_string</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="n">session_enctypes</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">set_string</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="n">session_enctypes</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span>
 <span class="n">set_string</span> <span class="n">user</span><span class="nd">@FOO</span><span class="o">.</span><span class="n">COM</span> <span class="n">otp</span> <span class="s2">&quot;[{&quot;&quot;type&quot;&quot;:&quot;&quot;hotp&quot;&quot;,&quot;&quot;username&quot;&quot;:&quot;&quot;al&quot;&quot;}]&quot;</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="del-string">
+</section>
+<section id="del-string">
 <span id="id11"></span><h3>del_string<a class="headerlink" href="#del-string" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>del_string</strong> <em>principal</em> <em>key</em></div></blockquote>
+<div><p><strong>del_string</strong> <em>principal</em> <em>key</em></p>
+</div></blockquote>
 <p>Deletes a string attribute from <em>principal</em>.</p>
 <p>This command requires the <strong>delete</strong> privilege.</p>
 <p>Alias: <strong>delstr</strong></p>
-</div>
-<div class="section" id="add-policy">
+</section>
+<section id="add-policy">
 <span id="id12"></span><h3>add_policy<a class="headerlink" href="#add-policy" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>add_policy</strong> [<em>options</em>] <em>policy</em></div></blockquote>
+<div><p><strong>add_policy</strong> [<em>options</em>] <em>policy</em></p>
+</div></blockquote>
 <p>Adds a password policy named <em>policy</em> to the database.</p>
 <p>This command requires the <strong>add</strong> privilege.</p>
 <p>Alias: <strong>addpol</strong></p>
 <p>The following options are available:</p>
-<dl class="docutils">
-<dt><strong>-maxlife</strong> <em>time</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Sets the maximum
-lifetime of a password.</dd>
-<dt><strong>-minlife</strong> <em>time</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Sets the minimum
-lifetime of a password.</dd>
-<dt><strong>-minlength</strong> <em>length</em></dt>
-<dd>Sets the minimum length of a password.</dd>
-<dt><strong>-minclasses</strong> <em>number</em></dt>
-<dd>Sets the minimum number of character classes required in a
+<dl class="simple">
+<dt><strong>-maxlife</strong> <em>time</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Sets the maximum
+lifetime of a password.</p>
+</dd>
+<dt><strong>-minlife</strong> <em>time</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Sets the minimum
+lifetime of a password.</p>
+</dd>
+<dt><strong>-minlength</strong> <em>length</em></dt><dd><p>Sets the minimum length of a password.</p>
+</dd>
+<dt><strong>-minclasses</strong> <em>number</em></dt><dd><p>Sets the minimum number of character classes required in a
 password.  The five character classes are lower case, upper case,
-numbers, punctuation, and whitespace/unprintable characters.</dd>
-<dt><strong>-history</strong> <em>number</em></dt>
-<dd>Sets the number of past keys kept for a principal.  This option is
-not supported with the LDAP KDC database module.</dd>
-</dl>
-<dl class="docutils" id="policy-maxfailure">
-<dt><strong>-maxfailure</strong> <em>maxnumber</em></dt>
-<dd>Sets the number of authentication failures before the principal is
+numbers, punctuation, and whitespace/unprintable characters.</p>
+</dd>
+<dt><strong>-history</strong> <em>number</em></dt><dd><p>Sets the number of past keys kept for a principal.  This option is
+not supported with the LDAP KDC database module.</p>
+</dd>
+</dl>
+<dl class="simple" id="policy-maxfailure">
+<dt><strong>-maxfailure</strong> <em>maxnumber</em></dt><dd><p>Sets the number of authentication failures before the principal is
 locked.  Authentication failures are only tracked for principals
 which require preauthentication.  The counter of failed attempts
 resets to 0 after a successful attempt to authenticate.  A
-<em>maxnumber</em> value of 0 (the default) disables lockout.</dd>
+<em>maxnumber</em> value of 0 (the default) disables lockout.</p>
+</dd>
 </dl>
-<dl class="docutils" id="policy-failurecountinterval">
-<dt><strong>-failurecountinterval</strong> <em>failuretime</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Sets the allowable time
+<dl class="simple" id="policy-failurecountinterval">
+<dt><strong>-failurecountinterval</strong> <em>failuretime</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Sets the allowable time
 between authentication failures.  If an authentication failure
 happens after <em>failuretime</em> has elapsed since the previous
 failure, the number of authentication failures is reset to 1.  A
-<em>failuretime</em> value of 0 (the default) means forever.</dd>
+<em>failuretime</em> value of 0 (the default) means forever.</p>
+</dd>
 </dl>
-<dl class="docutils" id="policy-lockoutduration">
-<dt><strong>-lockoutduration</strong> <em>lockouttime</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Sets the duration for
+<dl class="simple" id="policy-lockoutduration">
+<dt><strong>-lockoutduration</strong> <em>lockouttime</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> or <a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Sets the duration for
 which the principal is locked from authenticating if too many
 authentication failures occur without the specified failure count
 interval elapsing.  A duration of 0 (the default) means the
 principal remains locked out until it is administratively unlocked
-with <code class="docutils literal"><span class="pre">modprinc</span> <span class="pre">-unlock</span></code>.</dd>
-<dt><strong>-allowedkeysalts</strong></dt>
-<dd>Specifies the key/salt tuples supported for long-term keys when
+with <code class="docutils literal notranslate"><span class="pre">modprinc</span> <span class="pre">-unlock</span></code>.</p>
+</dd>
+<dt><strong>-allowedkeysalts</strong></dt><dd><p>Specifies the key/salt tuples supported for long-term keys when
 setting or changing a principal’s password/keys.  See
 <a class="reference internal" href="../conf_files/kdc_conf.html#keysalt-lists"><span class="std std-ref">Keysalt lists</span></a> in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> for a list of the
 accepted values, but note that key/salt tuples must be separated
 with commas (‘,’) only.  To clear the allowed key/salt policy use
-a value of ‘-‘.</dd>
+a value of ‘-‘.</p>
+</dd>
 </dl>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">add_policy</span> <span class="o">-</span><span class="n">maxlife</span> <span class="s2">&quot;2 days&quot;</span> <span class="o">-</span><span class="n">minlength</span> <span class="mi">5</span> <span class="n">guests</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">add_policy</span> <span class="o">-</span><span class="n">maxlife</span> <span class="s2">&quot;2 days&quot;</span> <span class="o">-</span><span class="n">minlength</span> <span class="mi">5</span> <span class="n">guests</span>
 <span class="n">kadmin</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="modify-policy">
+</section>
+<section id="modify-policy">
 <span id="id13"></span><h3>modify_policy<a class="headerlink" href="#modify-policy" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>modify_policy</strong> [<em>options</em>] <em>policy</em></div></blockquote>
+<div><p><strong>modify_policy</strong> [<em>options</em>] <em>policy</em></p>
+</div></blockquote>
 <p>Modifies the password policy named <em>policy</em>.  Options are as described
 for <strong>add_policy</strong>.</p>
 <p>This command requires the <strong>modify</strong> privilege.</p>
 <p>Alias: <strong>modpol</strong></p>
-</div>
-<div class="section" id="delete-policy">
+</section>
+<section id="delete-policy">
 <span id="id14"></span><h3>delete_policy<a class="headerlink" href="#delete-policy" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>delete_policy</strong> [<strong>-force</strong>] <em>policy</em></div></blockquote>
+<div><p><strong>delete_policy</strong> [<strong>-force</strong>] <em>policy</em></p>
+</div></blockquote>
 <p>Deletes the password policy named <em>policy</em>.  Prompts for confirmation
 before deletion.  The command will fail if the policy is in use by any
 principals.</p>
 <p>This command requires the <strong>delete</strong> privilege.</p>
 <p>Alias: <strong>delpol</strong></p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>kadmin: del_policy guests
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>kadmin: del_policy guests
 Are you sure you want to delete the policy &quot;guests&quot;?
 (yes/no): yes
 kadmin:
 </pre></div>
 </div>
-</div>
-<div class="section" id="get-policy">
+</section>
+<section id="get-policy">
 <span id="id15"></span><h3>get_policy<a class="headerlink" href="#get-policy" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>get_policy</strong> [ <strong>-terse</strong> ] <em>policy</em></div></blockquote>
+<div><p><strong>get_policy</strong> [ <strong>-terse</strong> ] <em>policy</em></p>
+</div></blockquote>
 <p>Displays the values of the password policy named <em>policy</em>.  With the
 <strong>-terse</strong> flag, outputs the fields as quoted strings separated by
 tabs.</p>
 <p>This command requires the <strong>inquire</strong> privilege.</p>
 <p>Alias: <strong>getpol</strong></p>
 <p>Examples:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">get_policy</span> <span class="n">admin</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">get_policy</span> <span class="n">admin</span>
 <span class="n">Policy</span><span class="p">:</span> <span class="n">admin</span>
 <span class="n">Maximum</span> <span class="n">password</span> <span class="n">life</span><span class="p">:</span> <span class="mi">180</span> <span class="n">days</span> <span class="mi">00</span><span class="p">:</span><span class="mi">00</span><span class="p">:</span><span class="mi">00</span>
 <span class="n">Minimum</span> <span class="n">password</span> <span class="n">life</span><span class="p">:</span> <span class="mi">00</span><span class="p">:</span><span class="mi">00</span><span class="p">:</span><span class="mi">00</span>
@@ -735,20 +740,21 @@ tabs.</p>
 <p>The “Reference count” is the number of principals using that policy.
 With the LDAP KDC database module, the reference count field is not
 meaningful.</p>
-</div>
-<div class="section" id="list-policies">
+</section>
+<section id="list-policies">
 <span id="id16"></span><h3>list_policies<a class="headerlink" href="#list-policies" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>list_policies</strong> [<em>expression</em>]</div></blockquote>
+<div><p><strong>list_policies</strong> [<em>expression</em>]</p>
+</div></blockquote>
 <p>Retrieves all or some policy names.  <em>expression</em> is a shell-style
-glob expression that can contain the wild-card characters <code class="docutils literal"><span class="pre">?</span></code>,
-<code class="docutils literal"><span class="pre">*</span></code>, and <code class="docutils literal"><span class="pre">[]</span></code>.  All policy names matching the expression are
+glob expression that can contain the wild-card characters <code class="docutils literal notranslate"><span class="pre">?</span></code>,
+<code class="docutils literal notranslate"><span class="pre">*</span></code>, and <code class="docutils literal notranslate"><span class="pre">[]</span></code>.  All policy names matching the expression are
 printed.  If no expression is provided, all existing policy names are
 printed.</p>
 <p>This command requires the <strong>list</strong> privilege.</p>
 <p>Aliases: <strong>listpols</strong>, <strong>get_policies</strong>, <strong>getpols</strong>.</p>
 <p>Examples:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span>  <span class="n">listpols</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span>  <span class="n">listpols</span>
 <span class="n">test</span><span class="o">-</span><span class="n">pol</span>
 <span class="nb">dict</span><span class="o">-</span><span class="n">only</span>
 <span class="n">once</span><span class="o">-</span><span class="n">a</span><span class="o">-</span><span class="nb">min</span>
@@ -760,8 +766,8 @@ printed.</p>
 <span class="n">kadmin</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="ktadd">
+</section>
+<section id="ktadd">
 <span id="id17"></span><h3>ktadd<a class="headerlink" href="#ktadd" title="Permalink to this headline">¶</a></h3>
 <blockquote>
 <div><div class="line-block">
@@ -776,38 +782,39 @@ command.</p>
 <p>This command requires the <strong>inquire</strong> and <strong>changepw</strong> privileges.
 With the <strong>-glob</strong> form, it also requires the <strong>list</strong> privilege.</p>
 <p>The options are:</p>
-<dl class="docutils">
-<dt><strong>-k[eytab]</strong> <em>keytab</em></dt>
-<dd>Use <em>keytab</em> as the keytab file.  Otherwise, the default keytab is
-used.</dd>
-<dt><strong>-e</strong> <em>enc</em>:<em>salt</em>,…</dt>
-<dd>Uses the specified keysalt list for setting the new keys of the
+<dl class="simple">
+<dt><strong>-k[eytab]</strong> <em>keytab</em></dt><dd><p>Use <em>keytab</em> as the keytab file.  Otherwise, the default keytab is
+used.</p>
+</dd>
+<dt><strong>-e</strong> <em>enc</em>:<em>salt</em>,…</dt><dd><p>Uses the specified keysalt list for setting the new keys of the
 principal.  See <a class="reference internal" href="../conf_files/kdc_conf.html#keysalt-lists"><span class="std std-ref">Keysalt lists</span></a> in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> for a
-list of possible values.</dd>
-<dt><strong>-q</strong></dt>
-<dd>Display less verbose information.</dd>
-<dt><strong>-norandkey</strong></dt>
-<dd>Do not randomize the keys. The keys and their version numbers stay
+list of possible values.</p>
+</dd>
+<dt><strong>-q</strong></dt><dd><p>Display less verbose information.</p>
+</dd>
+<dt><strong>-norandkey</strong></dt><dd><p>Do not randomize the keys. The keys and their version numbers stay
 unchanged.  This option cannot be specified in combination with the
-<strong>-e</strong> option.</dd>
+<strong>-e</strong> option.</p>
+</dd>
 </dl>
 <p>An entry for each of the principal’s unique encryption types is added,
 ignoring multiple keys with the same encryption type but different
 salt types.</p>
 <p>Alias: <strong>xst</strong></p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="o">-</span><span class="n">k</span> <span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">foo</span><span class="o">-</span><span class="n">new</span><span class="o">-</span><span class="n">keytab</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="o">-</span><span class="n">k</span> <span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">foo</span><span class="o">-</span><span class="n">new</span><span class="o">-</span><span class="n">keytab</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">3</span><span class="p">,</span>
      <span class="n">encryption</span> <span class="nb">type</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span>
      <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">foo</span><span class="o">-</span><span class="n">new</span><span class="o">-</span><span class="n">keytab</span>
 <span class="n">kadmin</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="ktremove">
+</section>
+<section id="ktremove">
 <span id="id18"></span><h3>ktremove<a class="headerlink" href="#ktremove" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>ktremove</strong> [options] <em>principal</em> [<em>kvno</em> | <em>all</em> | <em>old</em>]</div></blockquote>
+<div><p><strong>ktremove</strong> [options] <em>principal</em> [<em>kvno</em> | <em>all</em> | <em>old</em>]</p>
+</div></blockquote>
 <p>Removes entries for the specified <em>principal</em> from a keytab.  Requires
 no permissions, since this does not require database access.</p>
 <p>If the string “all” is specified, all entries for that principal are
@@ -816,64 +823,66 @@ principal except those with the highest
 the value specified is parsed as an integer, and all entries whose
 kvno match that integer are removed.</p>
 <p>The options are:</p>
-<dl class="docutils">
-<dt><strong>-k[eytab]</strong> <em>keytab</em></dt>
-<dd>Use <em>keytab</em> as the keytab file.  Otherwise, the default keytab is
-used.</dd>
-<dt><strong>-q</strong></dt>
-<dd>Display less verbose information.</dd>
+<dl class="simple">
+<dt><strong>-k[eytab]</strong> <em>keytab</em></dt><dd><p>Use <em>keytab</em> as the keytab file.  Otherwise, the default keytab is
+used.</p>
+</dd>
+<dt><strong>-q</strong></dt><dd><p>Display less verbose information.</p>
+</dd>
 </dl>
 <p>Alias: <strong>ktrem</strong></p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktremove</span> <span class="n">kadmin</span><span class="o">/</span><span class="n">admin</span> <span class="nb">all</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktremove</span> <span class="n">kadmin</span><span class="o">/</span><span class="n">admin</span> <span class="nb">all</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">kadmin</span><span class="o">/</span><span class="n">admin</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">3</span> <span class="n">removed</span> <span class="kn">from</span> <span class="nn">keytab</span>
      <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span>
 <span class="n">kadmin</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="lock">
+</section>
+<section id="lock">
 <h3>lock<a class="headerlink" href="#lock" title="Permalink to this headline">¶</a></h3>
 <p>Lock database exclusively.  Use with extreme caution!  This command
 only works with the DB2 KDC database module.</p>
-</div>
-<div class="section" id="unlock">
+</section>
+<section id="unlock">
 <h3>unlock<a class="headerlink" href="#unlock" title="Permalink to this headline">¶</a></h3>
 <p>Release the exclusive database lock.</p>
-</div>
-<div class="section" id="list-requests">
+</section>
+<section id="list-requests">
 <h3>list_requests<a class="headerlink" href="#list-requests" title="Permalink to this headline">¶</a></h3>
 <p>Lists available for kadmin requests.</p>
 <p>Aliases: <strong>lr</strong>, <strong>?</strong></p>
-</div>
-<div class="section" id="quit">
+</section>
+<section id="quit">
 <h3>quit<a class="headerlink" href="#quit" title="Permalink to this headline">¶</a></h3>
 <p>Exit program.  If the database was locked, the lock is released.</p>
 <p>Aliases: <strong>exit</strong>, <strong>q</strong></p>
-</div>
-</div>
-<div class="section" id="history">
+</section>
+</section>
+<section id="history">
 <h2>HISTORY<a class="headerlink" href="#history" title="Permalink to this headline">¶</a></h2>
 <p>The kadmin program was originally written by Tom Yu at MIT, as an
 interface to the OpenVision Kerberos administration program.</p>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="../../user/user_commands/kpasswd.html#kpasswd-1"><span class="std std-ref">kpasswd</span></a>, <a class="reference internal" href="kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>, <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kadmin</a><ul>
@@ -977,6 +986,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -984,8 +994,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/kadmind.html 1.21.3-1/doc/html/admin/admin_commands/kadmind.html
--- 1.21.2-1/doc/html/admin/admin_commands/kadmind.html	2023-08-14 16:17:31.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/kadmind.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kadmind &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kdb5_util" href="kdb5_util.html" />
     <link rel="prev" title="kadmin" href="kadmin_local.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kadmind">
+  <section id="kadmind">
 <span id="kadmind-8"></span><h1>kadmind<a class="headerlink" href="#kadmind" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>kadmind</strong>
 [<strong>-x</strong> <em>db_args</em>]
@@ -77,8 +68,8 @@
 [<strong>-K</strong> <em>kprop_path</em>]
 [<strong>-k</strong> <em>kprop_port</em>]
 [<strong>-F</strong> <em>dump_file</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>kadmind starts the Kerberos administration server.  kadmind typically
 runs on the primary Kerberos server, which stores the KDC database.
@@ -88,18 +79,18 @@ remote requests from programs such as <a
 <a class="reference internal" href="../../user/user_commands/kpasswd.html#kpasswd-1"><span class="std std-ref">kpasswd</span></a> to administer the information in these database.</p>
 <p>kadmind requires a number of configuration files to be set up in order
 for it to work:</p>
-<dl class="docutils">
-<dt><a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a></dt>
-<dd>The KDC configuration file contains configuration information for
+<dl class="simple">
+<dt><a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a></dt><dd><p>The KDC configuration file contains configuration information for
 the KDC and admin servers.  kadmind uses settings in this file to
 locate the Kerberos database, and is also affected by the
 <strong>acl_file</strong>, <strong>dict_file</strong>, <strong>kadmind_port</strong>, and iprop-related
-settings.</dd>
-<dt><a class="reference internal" href="../conf_files/kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a></dt>
-<dd>kadmind’s ACL (access control list) tells it which principals are
+settings.</p>
+</dd>
+<dt><a class="reference internal" href="../conf_files/kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a></dt><dd><p>kadmind’s ACL (access control list) tells it which principals are
 allowed to perform administration actions.  The pathname to the
 ACL file can be specified with the <strong>acl_file</strong> <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>
-variable; by default, it is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kadm5.acl</span></code>.</dd>
+variable; by default, it is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kadm5.acl</span></code>.</p>
+</dd>
 </dl>
 <p>After the server begins running, it puts itself in the background and
 disassociates itself from its controlling terminal.</p>
@@ -108,74 +99,76 @@ Incremental propagation allows replica K
 principal and policy updates incrementally instead of receiving full
 dumps of the database.  This facility can be enabled in the
 <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> file with the <strong>iprop_enable</strong> option.  Incremental
-propagation requires the principal <code class="docutils literal"><span class="pre">kiprop/PRIMARY\&#64;REALM</span></code> (where
+propagation requires the principal <code class="docutils literal notranslate"><span class="pre">kiprop/PRIMARY\&#64;REALM</span></code> (where
 PRIMARY is the primary KDC’s canonical host name, and REALM the realm
 name).  In release 1.13, this principal is automatically created and
 registered into the datebase.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-r</strong> <em>realm</em></dt>
-<dd>specifies the realm that kadmind will serve; if it is not
-specified, the default realm of the host is used.</dd>
-<dt><strong>-m</strong></dt>
-<dd>causes the master database password to be fetched from the
+<dl class="simple">
+<dt><strong>-r</strong> <em>realm</em></dt><dd><p>specifies the realm that kadmind will serve; if it is not
+specified, the default realm of the host is used.</p>
+</dd>
+<dt><strong>-m</strong></dt><dd><p>causes the master database password to be fetched from the
 keyboard (before the server puts itself in the background, if not
 invoked with the <strong>-nofork</strong> option) rather than from a file on
-disk.</dd>
-<dt><strong>-nofork</strong></dt>
-<dd>causes the server to remain in the foreground and remain
-associated to the terminal.</dd>
-<dt><strong>-proponly</strong></dt>
-<dd>causes the server to only listen and respond to Kerberos replica
+disk.</p>
+</dd>
+<dt><strong>-nofork</strong></dt><dd><p>causes the server to remain in the foreground and remain
+associated to the terminal.</p>
+</dd>
+<dt><strong>-proponly</strong></dt><dd><p>causes the server to only listen and respond to Kerberos replica
 incremental propagation polling requests.  This option can be used
 to set up a hierarchical propagation topology where a replica KDC
-provides incremental updates to other Kerberos replicas.</dd>
-<dt><strong>-port</strong> <em>port-number</em></dt>
-<dd>specifies the port on which the administration server listens for
+provides incremental updates to other Kerberos replicas.</p>
+</dd>
+<dt><strong>-port</strong> <em>port-number</em></dt><dd><p>specifies the port on which the administration server listens for
 connections.  The default port is determined by the
-<strong>kadmind_port</strong> configuration variable in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</dd>
-<dt><strong>-P</strong> <em>pid_file</em></dt>
-<dd>specifies the file to which the PID of kadmind process should be
+<strong>kadmind_port</strong> configuration variable in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
+</dd>
+<dt><strong>-P</strong> <em>pid_file</em></dt><dd><p>specifies the file to which the PID of kadmind process should be
 written after it starts up.  This file can be used to identify
 whether kadmind is still running and to allow init scripts to stop
-the correct process.</dd>
-<dt><strong>-p</strong> <em>kdb5_util_path</em></dt>
-<dd>specifies the path to the kdb5_util command to use when dumping the
-KDB in response to full resync requests when iprop is enabled.</dd>
-<dt><strong>-K</strong> <em>kprop_path</em></dt>
-<dd>specifies the path to the kprop command to use to send full dumps
-to replicas in response to full resync requests.</dd>
-<dt><strong>-k</strong> <em>kprop_port</em></dt>
-<dd>specifies the port by which the kprop process that is spawned by
+the correct process.</p>
+</dd>
+<dt><strong>-p</strong> <em>kdb5_util_path</em></dt><dd><p>specifies the path to the kdb5_util command to use when dumping the
+KDB in response to full resync requests when iprop is enabled.</p>
+</dd>
+<dt><strong>-K</strong> <em>kprop_path</em></dt><dd><p>specifies the path to the kprop command to use to send full dumps
+to replicas in response to full resync requests.</p>
+</dd>
+<dt><strong>-k</strong> <em>kprop_port</em></dt><dd><p>specifies the port by which the kprop process that is spawned by
 kadmind connects to the replica kpropd, in order to transfer the
-dump file during an iprop full resync request.</dd>
-<dt><strong>-F</strong> <em>dump_file</em></dt>
-<dd>specifies the file path to be used for dumping the KDB in response
-to full resync requests when iprop is enabled.</dd>
-<dt><strong>-x</strong> <em>db_args</em></dt>
-<dd>specifies database-specific arguments.  See <a class="reference internal" href="kadmin_local.html#dboptions"><span class="std std-ref">Database Options</span></a> in <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> for supported arguments.</dd>
+dump file during an iprop full resync request.</p>
+</dd>
+<dt><strong>-F</strong> <em>dump_file</em></dt><dd><p>specifies the file path to be used for dumping the KDB in response
+to full resync requests when iprop is enabled.</p>
+</dd>
+<dt><strong>-x</strong> <em>db_args</em></dt><dd><p>specifies database-specific arguments.  See <a class="reference internal" href="kadmin_local.html#dboptions"><span class="std std-ref">Database Options</span></a> in <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> for supported arguments.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="../../user/user_commands/kpasswd.html#kpasswd-1"><span class="std std-ref">kpasswd</span></a>, <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>, <a class="reference internal" href="kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>,
 <a class="reference internal" href="kdb5_ldap_util.html#kdb5-ldap-util-8"><span class="std std-ref">kdb5_ldap_util</span></a>, <a class="reference internal" href="../conf_files/kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a>, <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kadmind</a><ul>
@@ -252,6 +245,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -259,8 +253,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/kdb5_ldap_util.html 1.21.3-1/doc/html/admin/admin_commands/kdb5_ldap_util.html
--- 1.21.2-1/doc/html/admin/admin_commands/kdb5_ldap_util.html	2023-08-14 16:17:31.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/kdb5_ldap_util.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kdb5_ldap_util &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="krb5kdc" href="krb5kdc.html" />
     <link rel="prev" title="kdb5_util" href="kdb5_util.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,46 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdb5-ldap-util">
+  <section id="kdb5-ldap-util">
 <span id="kdb5-ldap-util-8"></span><h1>kdb5_ldap_util<a class="headerlink" href="#kdb5-ldap-util" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p id="kdb5-ldap-util-synopsis"><strong>kdb5_ldap_util</strong>
 [<strong>-D</strong> <em>user_dn</em> [<strong>-w</strong> <em>passwd</em>]]
 [<strong>-H</strong> <em>ldapuri</em>]
 <strong>command</strong>
 [<em>command_options</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <span id="kdb5-ldap-util-synopsis-end"></span><h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>kdb5_ldap_util allows an administrator to manage realms, Kerberos
 services and ticket policies.</p>
-</div>
-<div class="section" id="command-line-options">
+</section>
+<section id="command-line-options">
 <h2>COMMAND-LINE OPTIONS<a class="headerlink" href="#command-line-options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils" id="kdb5-ldap-util-options">
-<dt><strong>-r</strong> <em>realm</em></dt>
-<dd>Specifies the realm to be operated on.</dd>
-<dt><strong>-D</strong> <em>user_dn</em></dt>
-<dd>Specifies the Distinguished Name (DN) of the user who has
-sufficient rights to perform the operation on the LDAP server.</dd>
-<dt><strong>-w</strong> <em>passwd</em></dt>
-<dd>Specifies the password of <em>user_dn</em>.  This option is not
-recommended.</dd>
-<dt><strong>-H</strong> <em>ldapuri</em></dt>
-<dd>Specifies the URI of the LDAP server.</dd>
+<dl class="simple" id="kdb5-ldap-util-options">
+<dt><strong>-r</strong> <em>realm</em></dt><dd><p>Specifies the realm to be operated on.</p>
+</dd>
+<dt><strong>-D</strong> <em>user_dn</em></dt><dd><p>Specifies the Distinguished Name (DN) of the user who has
+sufficient rights to perform the operation on the LDAP server.</p>
+</dd>
+<dt><strong>-w</strong> <em>passwd</em></dt><dd><p>Specifies the password of <em>user_dn</em>.  This option is not
+recommended.</p>
+</dd>
+<dt><strong>-H</strong> <em>ldapuri</em></dt><dd><p>Specifies the URI of the LDAP server.</p>
+</dd>
 </dl>
 <p>By default, kdb5_ldap_util operates on the default realm (as specified
 in <a class="reference internal" href="../conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>) and connects and authenticates to the LDAP
 server in the same manner as :ref:kadmind(8)` would given the
 parameters in <a class="reference internal" href="../conf_files/kdc_conf.html#dbdefaults"><span class="std std-ref">[dbdefaults]</span></a> in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
-</div>
-<div class="section" id="commands">
+</section>
+<section id="commands">
 <span id="kdb5-ldap-util-options-end"></span><h2>COMMANDS<a class="headerlink" href="#commands" title="Permalink to this headline">¶</a></h2>
-<div class="section" id="create">
+<section id="create">
 <h3>create<a class="headerlink" href="#create" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-create">
-<div><strong>create</strong>
+<div><p><strong>create</strong>
 [<strong>-subtrees</strong> <em>subtree_dn_list</em>]
 [<strong>-sscope</strong> <em>search_scope</em>]
 [<strong>-containerref</strong> <em>container_reference_dn</em>]
@@ -111,56 +102,57 @@ parameters in <a class="reference intern
 [<strong>-s</strong>]
 [<strong>-maxtktlife</strong> <em>max_ticket_life</em>]
 [<strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em>]
-[<em>ticket_flags</em>]</div></blockquote>
+[<em>ticket_flags</em>]</p>
+</div></blockquote>
 <p>Creates realm in directory. Options:</p>
-<dl class="docutils">
-<dt><strong>-subtrees</strong> <em>subtree_dn_list</em></dt>
-<dd>Specifies the list of subtrees containing the principals of a
+<dl class="simple">
+<dt><strong>-subtrees</strong> <em>subtree_dn_list</em></dt><dd><p>Specifies the list of subtrees containing the principals of a
 realm.  The list contains the DNs of the subtree objects separated
-by colon (<code class="docutils literal"><span class="pre">:</span></code>).</dd>
-<dt><strong>-sscope</strong> <em>search_scope</em></dt>
-<dd>Specifies the scope for searching the principals under the
+by colon (<code class="docutils literal notranslate"><span class="pre">:</span></code>).</p>
+</dd>
+<dt><strong>-sscope</strong> <em>search_scope</em></dt><dd><p>Specifies the scope for searching the principals under the
 subtree.  The possible values are 1 or one (one level), 2 or sub
-(subtrees).</dd>
-<dt><strong>-containerref</strong> <em>container_reference_dn</em></dt>
-<dd>Specifies the DN of the container object in which the principals
+(subtrees).</p>
+</dd>
+<dt><strong>-containerref</strong> <em>container_reference_dn</em></dt><dd><p>Specifies the DN of the container object in which the principals
 of a realm will be created.  If the container reference is not
 configured for a realm, the principals will be created in the
-realm container.</dd>
-<dt><strong>-k</strong> <em>mkeytype</em></dt>
-<dd>Specifies the key type of the master key in the database.  The
+realm container.</p>
+</dd>
+<dt><strong>-k</strong> <em>mkeytype</em></dt><dd><p>Specifies the key type of the master key in the database.  The
 default is given by the <strong>master_key_type</strong> variable in
-<a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</dd>
-<dt><strong>-kv</strong> <em>mkeyVNO</em></dt>
-<dd>Specifies the version number of the master key in the database;
-the default is 1.  Note that 0 is not allowed.</dd>
-<dt><strong>-M</strong> <em>mkeyname</em></dt>
-<dd>Specifies the principal name for the master key in the database.
+<a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
+</dd>
+<dt><strong>-kv</strong> <em>mkeyVNO</em></dt><dd><p>Specifies the version number of the master key in the database;
+the default is 1.  Note that 0 is not allowed.</p>
+</dd>
+<dt><strong>-M</strong> <em>mkeyname</em></dt><dd><p>Specifies the principal name for the master key in the database.
 If not specified, the name is determined by the
-<strong>master_key_name</strong> variable in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</dd>
-<dt><strong>-m</strong></dt>
-<dd>Specifies that the master database password should be read from
-the TTY rather than fetched from a file on the disk.</dd>
-<dt><strong>-P</strong> <em>password</em></dt>
-<dd>Specifies the master database password. This option is not
-recommended.</dd>
-<dt><strong>-sf</strong> <em>stashfilename</em></dt>
-<dd>Specifies the stash file of the master database password.</dd>
-<dt><strong>-s</strong></dt>
-<dd>Specifies that the stash file is to be created.</dd>
-<dt><strong>-maxtktlife</strong> <em>max_ticket_life</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum ticket life for
-principals in this realm.</dd>
-<dt><strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum renewable life of
-tickets for principals in this realm.</dd>
-<dt><em>ticket_flags</em></dt>
-<dd>Specifies global ticket flags for the realm.  Allowable flags are
+<strong>master_key_name</strong> variable in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
+</dd>
+<dt><strong>-m</strong></dt><dd><p>Specifies that the master database password should be read from
+the TTY rather than fetched from a file on the disk.</p>
+</dd>
+<dt><strong>-P</strong> <em>password</em></dt><dd><p>Specifies the master database password. This option is not
+recommended.</p>
+</dd>
+<dt><strong>-sf</strong> <em>stashfilename</em></dt><dd><p>Specifies the stash file of the master database password.</p>
+</dd>
+<dt><strong>-s</strong></dt><dd><p>Specifies that the stash file is to be created.</p>
+</dd>
+<dt><strong>-maxtktlife</strong> <em>max_ticket_life</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum ticket life for
+principals in this realm.</p>
+</dd>
+<dt><strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum renewable life of
+tickets for principals in this realm.</p>
+</dd>
+<dt><em>ticket_flags</em></dt><dd><p>Specifies global ticket flags for the realm.  Allowable flags are
 documented in the description of the <strong>add_principal</strong> command in
-<a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>.</dd>
+<a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>.</p>
+</dd>
 </dl>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
     <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="n">create</span> <span class="o">-</span><span class="n">subtrees</span> <span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">sscope</span> <span class="n">SUB</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="s2">&quot;cn=admin,o=org&quot;</span><span class="p">:</span>
 <span class="n">Initializing</span> <span class="n">database</span> <span class="k">for</span> <span class="n">realm</span> <span class="s1">&#39;ATHENA.MIT.EDU&#39;</span>
@@ -170,56 +162,58 @@ documented in the description of the <st
 <span class="n">Re</span><span class="o">-</span><span class="n">enter</span> <span class="n">KDC</span> <span class="n">database</span> <span class="n">master</span> <span class="n">key</span> <span class="n">to</span> <span class="n">verify</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="modify">
+</section>
+<section id="modify">
 <span id="kdb5-ldap-util-create-end"></span><h3>modify<a class="headerlink" href="#modify" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-modify">
-<div><strong>modify</strong>
+<div><p><strong>modify</strong>
 [<strong>-subtrees</strong> <em>subtree_dn_list</em>]
 [<strong>-sscope</strong> <em>search_scope</em>]
 [<strong>-containerref</strong> <em>container_reference_dn</em>]
 [<strong>-maxtktlife</strong> <em>max_ticket_life</em>]
 [<strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em>]
-[<em>ticket_flags</em>]</div></blockquote>
+[<em>ticket_flags</em>]</p>
+</div></blockquote>
 <p>Modifies the attributes of a realm.  Options:</p>
-<dl class="docutils">
-<dt><strong>-subtrees</strong> <em>subtree_dn_list</em></dt>
-<dd>Specifies the list of subtrees containing the principals of a
+<dl class="simple">
+<dt><strong>-subtrees</strong> <em>subtree_dn_list</em></dt><dd><p>Specifies the list of subtrees containing the principals of a
 realm.  The list contains the DNs of the subtree objects separated
-by colon (<code class="docutils literal"><span class="pre">:</span></code>).  This list replaces the existing list.</dd>
-<dt><strong>-sscope</strong> <em>search_scope</em></dt>
-<dd>Specifies the scope for searching the principals under the
+by colon (<code class="docutils literal notranslate"><span class="pre">:</span></code>).  This list replaces the existing list.</p>
+</dd>
+<dt><strong>-sscope</strong> <em>search_scope</em></dt><dd><p>Specifies the scope for searching the principals under the
 subtrees.  The possible values are 1 or one (one level), 2 or sub
-(subtrees).</dd>
-<dt><strong>-containerref</strong> <em>container_reference_dn</em> Specifies the DN of the</dt>
-<dd>container object in which the principals of a realm will be
-created.</dd>
-<dt><strong>-maxtktlife</strong> <em>max_ticket_life</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum ticket life for
-principals in this realm.</dd>
-<dt><strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum renewable life of
-tickets for principals in this realm.</dd>
-<dt><em>ticket_flags</em></dt>
-<dd>Specifies global ticket flags for the realm.  Allowable flags are
+(subtrees).</p>
+</dd>
+<dt><strong>-containerref</strong> <em>container_reference_dn</em> Specifies the DN of the</dt><dd><p>container object in which the principals of a realm will be
+created.</p>
+</dd>
+<dt><strong>-maxtktlife</strong> <em>max_ticket_life</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum ticket life for
+principals in this realm.</p>
+</dd>
+<dt><strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum renewable life of
+tickets for principals in this realm.</p>
+</dd>
+<dt><em>ticket_flags</em></dt><dd><p>Specifies global ticket flags for the realm.  Allowable flags are
 documented in the description of the <strong>add_principal</strong> command in
-<a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>.</dd>
+<a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>.</p>
+</dd>
 </dl>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span>
     <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="n">modify</span> <span class="o">+</span><span class="n">requires_preauth</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="s2">&quot;cn=admin,o=org&quot;</span><span class="p">:</span>
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="view">
+</section>
+<section id="view">
 <span id="kdb5-ldap-util-modify-end"></span><h3>view<a class="headerlink" href="#view" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-view">
-<div><strong>view</strong></div></blockquote>
+<div><p><strong>view</strong></p>
+</div></blockquote>
 <p>Displays the attributes of a realm.</p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
     <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="n">view</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="s2">&quot;cn=admin,o=org&quot;</span><span class="p">:</span>
 <span class="n">Realm</span> <span class="n">Name</span><span class="p">:</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
@@ -231,18 +225,19 @@ documented in the description of the <st
 <span class="n">Ticket</span> <span class="n">flags</span><span class="p">:</span> <span class="n">DISALLOW_FORWARDABLE</span> <span class="n">REQUIRES_PWCHANGE</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="destroy">
+</section>
+<section id="destroy">
 <span id="kdb5-ldap-util-view-end"></span><h3>destroy<a class="headerlink" href="#destroy" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-destroy">
-<div><strong>destroy</strong> [<strong>-f</strong>]</div></blockquote>
+<div><p><strong>destroy</strong> [<strong>-f</strong>]</p>
+</div></blockquote>
 <p>Destroys an existing realm. Options:</p>
-<dl class="docutils">
-<dt><strong>-f</strong></dt>
-<dd>If specified, will not prompt the user for confirmation.</dd>
+<dl class="simple">
+<dt><strong>-f</strong></dt><dd><p>If specified, will not prompt the user for confirmation.</p>
+</dd>
 </dl>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>shell% kdb5_ldap_util -r ATHENA.MIT.EDU -D cn=admin,o=org -H
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>shell% kdb5_ldap_util -r ATHENA.MIT.EDU -D cn=admin,o=org -H
     ldaps://ldap-server1.mit.edu destroy
 Password for &quot;cn=admin,o=org&quot;:
 Deleting KDC database of &#39;ATHENA.MIT.EDU&#39;, are you sure?
@@ -251,14 +246,15 @@ OK, deleting database of &#39;ATHENA.MIT
 shell%
 </pre></div>
 </div>
-</div>
-<div class="section" id="list">
+</section>
+<section id="list">
 <span id="kdb5-ldap-util-destroy-end"></span><h3>list<a class="headerlink" href="#list" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-list">
-<div><strong>list</strong></div></blockquote>
+<div><p><strong>list</strong></p>
+</div></blockquote>
 <p>Lists the names of realms under the container.</p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span>
     <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="nb">list</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="s2">&quot;cn=admin,o=org&quot;</span><span class="p">:</span>
 <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
@@ -267,98 +263,102 @@ shell%
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="stashsrvpw">
+</section>
+<section id="stashsrvpw">
 <span id="kdb5-ldap-util-list-end"></span><h3>stashsrvpw<a class="headerlink" href="#stashsrvpw" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-stashsrvpw">
-<div><strong>stashsrvpw</strong>
+<div><p><strong>stashsrvpw</strong>
 [<strong>-f</strong> <em>filename</em>]
-<em>name</em></div></blockquote>
+<em>name</em></p>
+</div></blockquote>
 <p>Allows an administrator to store the password for service object in a
 file so that KDC and Administration server can use it to authenticate
 to the LDAP server.  Options:</p>
-<dl class="docutils">
-<dt><strong>-f</strong> <em>filename</em></dt>
-<dd>Specifies the complete path of the service password file. By
-default, <code class="docutils literal"><span class="pre">/usr/local/var/service_passwd</span></code> is used.</dd>
-<dt><em>name</em></dt>
-<dd>Specifies the name of the object whose password is to be stored.
+<dl class="simple">
+<dt><strong>-f</strong> <em>filename</em></dt><dd><p>Specifies the complete path of the service password file. By
+default, <code class="docutils literal notranslate"><span class="pre">/usr/local/var/service_passwd</span></code> is used.</p>
+</dd>
+<dt><em>name</em></dt><dd><p>Specifies the name of the object whose password is to be stored.
 If <a class="reference internal" href="krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> or <a class="reference internal" href="kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> are configured for
 simple binding, this should be the distinguished name it will
 use as given by the <strong>ldap_kdc_dn</strong> or <strong>ldap_kadmind_dn</strong>
 variable in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.  If the KDC or kadmind is
 configured for SASL binding, this should be the authentication
 name it will use as given by the <strong>ldap_kdc_sasl_authcid</strong> or
-<strong>ldap_kadmind_sasl_authcid</strong> variable.</dd>
+<strong>ldap_kadmind_sasl_authcid</strong> variable.</p>
+</dd>
 </dl>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="n">stashsrvpw</span> <span class="o">-</span><span class="n">f</span> <span class="o">/</span><span class="n">home</span><span class="o">/</span><span class="n">andrew</span><span class="o">/</span><span class="n">conf_keyfile</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="n">stashsrvpw</span> <span class="o">-</span><span class="n">f</span> <span class="o">/</span><span class="n">home</span><span class="o">/</span><span class="n">andrew</span><span class="o">/</span><span class="n">conf_keyfile</span>
     <span class="n">cn</span><span class="o">=</span><span class="n">service</span><span class="o">-</span><span class="n">kdc</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="s2">&quot;cn=service-kdc,o=org&quot;</span><span class="p">:</span>
 <span class="n">Re</span><span class="o">-</span><span class="n">enter</span> <span class="n">password</span> <span class="k">for</span> <span class="s2">&quot;cn=service-kdc,o=org&quot;</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="create-policy">
+</section>
+<section id="create-policy">
 <span id="kdb5-ldap-util-stashsrvpw-end"></span><h3>create_policy<a class="headerlink" href="#create-policy" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-create-policy">
-<div><strong>create_policy</strong>
+<div><p><strong>create_policy</strong>
 [<strong>-maxtktlife</strong> <em>max_ticket_life</em>]
 [<strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em>]
 [<em>ticket_flags</em>]
-<em>policy_name</em></div></blockquote>
+<em>policy_name</em></p>
+</div></blockquote>
 <p>Creates a ticket policy in the directory.  Options:</p>
-<dl class="docutils">
-<dt><strong>-maxtktlife</strong> <em>max_ticket_life</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum ticket life for
-principals.</dd>
-<dt><strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum renewable life of
-tickets for principals.</dd>
-<dt><em>ticket_flags</em></dt>
-<dd>Specifies the ticket flags.  If this option is not specified, by
+<dl class="simple">
+<dt><strong>-maxtktlife</strong> <em>max_ticket_life</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum ticket life for
+principals.</p>
+</dd>
+<dt><strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) Specifies maximum renewable life of
+tickets for principals.</p>
+</dd>
+<dt><em>ticket_flags</em></dt><dd><p>Specifies the ticket flags.  If this option is not specified, by
 default, no restriction will be set by the policy.  Allowable
 flags are documented in the description of the <strong>add_principal</strong>
-command in <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>.</dd>
-<dt><em>policy_name</em></dt>
-<dd>Specifies the name of the ticket policy.</dd>
+command in <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>.</p>
+</dd>
+<dt><em>policy_name</em></dt><dd><p>Specifies the name of the ticket policy.</p>
+</dd>
 </dl>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
     <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="n">create_policy</span> <span class="o">-</span><span class="n">maxtktlife</span> <span class="s2">&quot;1 day&quot;</span>
     <span class="o">-</span><span class="n">maxrenewlife</span> <span class="s2">&quot;1 week&quot;</span> <span class="o">-</span><span class="n">allow_postdated</span> <span class="o">+</span><span class="n">needchange</span>
     <span class="o">-</span><span class="n">allow_forwardable</span> <span class="n">tktpolicy</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="s2">&quot;cn=admin,o=org&quot;</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="modify-policy">
+</section>
+<section id="modify-policy">
 <span id="kdb5-ldap-util-create-policy-end"></span><h3>modify_policy<a class="headerlink" href="#modify-policy" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-modify-policy">
-<div><strong>modify_policy</strong>
+<div><p><strong>modify_policy</strong>
 [<strong>-maxtktlife</strong> <em>max_ticket_life</em>]
 [<strong>-maxrenewlife</strong> <em>max_renewable_ticket_life</em>]
 [<em>ticket_flags</em>]
-<em>policy_name</em></div></blockquote>
+<em>policy_name</em></p>
+</div></blockquote>
 <p>Modifies the attributes of a ticket policy.  Options are same as for
 <strong>create_policy</strong>.</p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span>
     <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="n">modify_policy</span>
     <span class="o">-</span><span class="n">maxtktlife</span> <span class="s2">&quot;60 minutes&quot;</span> <span class="o">-</span><span class="n">maxrenewlife</span> <span class="s2">&quot;10 hours&quot;</span>
     <span class="o">+</span><span class="n">allow_postdated</span> <span class="o">-</span><span class="n">requires_preauth</span> <span class="n">tktpolicy</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="s2">&quot;cn=admin,o=org&quot;</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="view-policy">
+</section>
+<section id="view-policy">
 <span id="kdb5-ldap-util-modify-policy-end"></span><h3>view_policy<a class="headerlink" href="#view-policy" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-view-policy">
-<div><strong>view_policy</strong>
-<em>policy_name</em></div></blockquote>
+<div><p><strong>view_policy</strong>
+<em>policy_name</em></p>
+</div></blockquote>
 <p>Displays the attributes of the named ticket policy.</p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
     <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="n">view_policy</span> <span class="n">tktpolicy</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="s2">&quot;cn=admin,o=org&quot;</span><span class="p">:</span>
 <span class="n">Ticket</span> <span class="n">policy</span><span class="p">:</span> <span class="n">tktpolicy</span>
@@ -367,23 +367,24 @@ command in <a class="reference internal"
 <span class="n">Ticket</span> <span class="n">flags</span><span class="p">:</span> <span class="n">DISALLOW_FORWARDABLE</span> <span class="n">REQUIRES_PWCHANGE</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="destroy-policy">
+</section>
+<section id="destroy-policy">
 <span id="kdb5-ldap-util-view-policy-end"></span><h3>destroy_policy<a class="headerlink" href="#destroy-policy" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-destroy-policy">
-<div><strong>destroy_policy</strong>
+<div><p><strong>destroy_policy</strong>
 [<strong>-force</strong>]
-<em>policy_name</em></div></blockquote>
+<em>policy_name</em></p>
+</div></blockquote>
 <p>Destroys an existing ticket policy.  Options:</p>
-<dl class="docutils">
-<dt><strong>-force</strong></dt>
-<dd>Forces the deletion of the policy object.  If not specified, the
-user will be prompted for confirmation before deleting the policy.</dd>
-<dt><em>policy_name</em></dt>
-<dd>Specifies the name of the ticket policy.</dd>
+<dl class="simple">
+<dt><strong>-force</strong></dt><dd><p>Forces the deletion of the policy object.  If not specified, the
+user will be prompted for confirmation before deleting the policy.</p>
+</dd>
+<dt><em>policy_name</em></dt><dd><p>Specifies the name of the ticket policy.</p>
+</dd>
 </dl>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>kdb5_ldap_util -D cn=admin,o=org -H ldaps://ldap-server1.mit.edu
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>kdb5_ldap_util -D cn=admin,o=org -H ldaps://ldap-server1.mit.edu
     -r ATHENA.MIT.EDU destroy_policy tktpolicy
 Password for &quot;cn=admin,o=org&quot;:
 This will delete the policy object &#39;tktpolicy&#39;, are you sure?
@@ -391,14 +392,15 @@ This will delete the policy object &#39;
 ** policy object &#39;tktpolicy&#39; deleted.
 </pre></div>
 </div>
-</div>
-<div class="section" id="list-policy">
+</section>
+<section id="list-policy">
 <span id="kdb5-ldap-util-destroy-policy-end"></span><h3>list_policy<a class="headerlink" href="#list-policy" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-ldap-util-list-policy">
-<div><strong>list_policy</strong></div></blockquote>
+<div><p><strong>list_policy</strong></p>
+</div></blockquote>
 <p>Lists ticket policies.</p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="o">-</span><span class="n">D</span> <span class="n">cn</span><span class="o">=</span><span class="n">admin</span><span class="p">,</span><span class="n">o</span><span class="o">=</span><span class="n">org</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldaps</span><span class="p">:</span><span class="o">//</span><span class="n">ldap</span><span class="o">-</span><span class="n">server1</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
     <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="n">list_policy</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="s2">&quot;cn=admin,o=org&quot;</span><span class="p">:</span>
 <span class="n">tktpolicy</span>
@@ -406,25 +408,27 @@ This will delete the policy object &#39;
 <span class="n">userpolicy</span>
 </pre></div>
 </div>
-</div>
-</div>
-<div class="section" id="environment">
+</section>
+</section>
+<section id="environment">
 <span id="kdb5-ldap-util-list-policy-end"></span><h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>, <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kdb5_ldap_util</a><ul>
@@ -515,6 +519,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -522,8 +527,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/kdb5_util.html 1.21.3-1/doc/html/admin/admin_commands/kdb5_util.html
--- 1.21.2-1/doc/html/admin/admin_commands/kdb5_util.html	2023-08-14 16:17:31.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/kdb5_util.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kdb5_util &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kdb5_ldap_util" href="kdb5_ldap_util.html" />
     <link rel="prev" title="kadmind" href="kadmind.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdb5-util">
+  <section id="kdb5-util">
 <span id="kdb5-util-8"></span><h1>kdb5_util<a class="headerlink" href="#kdb5-util" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p id="kdb5-util-synopsis"><strong>kdb5_util</strong>
 [<strong>-r</strong> <em>realm</em>]
@@ -76,8 +67,8 @@
 [<strong>-P</strong> <em>password</em>]
 [<strong>-x</strong> <em>db_args</em>]
 <em>command</em> [<em>command_options</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <span id="kdb5-util-synopsis-end"></span><h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>kdb5_util allows an administrator to perform maintenance procedures on
 the KDC database.  Databases can be created, destroyed, and dumped to
@@ -89,131 +80,135 @@ not kdb5_util successfully opens the dat
 may not exist yet or the stash file may be corrupt.</p>
 <p>Note that some KDC database modules may not support all kdb5_util
 commands.</p>
-</div>
-<div class="section" id="command-line-options">
+</section>
+<section id="command-line-options">
 <h2>COMMAND-LINE OPTIONS<a class="headerlink" href="#command-line-options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils" id="kdb5-util-options">
-<dt><strong>-r</strong> <em>realm</em></dt>
-<dd>specifies the Kerberos realm of the database.</dd>
-<dt><strong>-d</strong> <em>dbname</em></dt>
-<dd>specifies the name under which the principal database is stored;
+<dl class="simple" id="kdb5-util-options">
+<dt><strong>-r</strong> <em>realm</em></dt><dd><p>specifies the Kerberos realm of the database.</p>
+</dd>
+<dt><strong>-d</strong> <em>dbname</em></dt><dd><p>specifies the name under which the principal database is stored;
 by default the database is that listed in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.  The
 password policy database and lock files are also derived from this
-value.</dd>
-<dt><strong>-k</strong> <em>mkeytype</em></dt>
-<dd>specifies the key type of the master key in the database.  The
+value.</p>
+</dd>
+<dt><strong>-k</strong> <em>mkeytype</em></dt><dd><p>specifies the key type of the master key in the database.  The
 default is given by the <strong>master_key_type</strong> variable in
-<a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</dd>
-<dt><strong>-kv</strong> <em>mkeyVNO</em></dt>
-<dd>Specifies the version number of the master key in the database;
-the default is 1.  Note that 0 is not allowed.</dd>
-<dt><strong>-M</strong> <em>mkeyname</em></dt>
-<dd>principal name for the master key in the database.  If not
+<a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
+</dd>
+<dt><strong>-kv</strong> <em>mkeyVNO</em></dt><dd><p>Specifies the version number of the master key in the database;
+the default is 1.  Note that 0 is not allowed.</p>
+</dd>
+<dt><strong>-M</strong> <em>mkeyname</em></dt><dd><p>principal name for the master key in the database.  If not
 specified, the name is determined by the <strong>master_key_name</strong>
-variable in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</dd>
-<dt><strong>-m</strong></dt>
-<dd>specifies that the master database password should be read from
-the keyboard rather than fetched from a file on disk.</dd>
-<dt><strong>-sf</strong> <em>stash_file</em></dt>
-<dd>specifies the stash filename of the master database password.  If
+variable in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
+</dd>
+<dt><strong>-m</strong></dt><dd><p>specifies that the master database password should be read from
+the keyboard rather than fetched from a file on disk.</p>
+</dd>
+<dt><strong>-sf</strong> <em>stash_file</em></dt><dd><p>specifies the stash filename of the master database password.  If
 not specified, the filename is determined by the
-<strong>key_stash_file</strong> variable in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</dd>
-<dt><strong>-P</strong> <em>password</em></dt>
-<dd>specifies the master database password.  Using this option may
+<strong>key_stash_file</strong> variable in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
+</dd>
+<dt><strong>-P</strong> <em>password</em></dt><dd><p>specifies the master database password.  Using this option may
 expose the password to other users on the system via the process
-list.</dd>
-<dt><strong>-x</strong> <em>db_args</em></dt>
-<dd>specifies database-specific options.  See <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> for
-supported options.</dd>
+list.</p>
+</dd>
+<dt><strong>-x</strong> <em>db_args</em></dt><dd><p>specifies database-specific options.  See <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> for
+supported options.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="commands">
+</section>
+<section id="commands">
 <span id="kdb5-util-options-end"></span><h2>COMMANDS<a class="headerlink" href="#commands" title="Permalink to this headline">¶</a></h2>
-<div class="section" id="create">
+<section id="create">
 <h3>create<a class="headerlink" href="#create" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-util-create">
-<div><strong>create</strong> [<strong>-s</strong>]</div></blockquote>
+<div><p><strong>create</strong> [<strong>-s</strong>]</p>
+</div></blockquote>
 <p>Creates a new database.  If the <strong>-s</strong> option is specified, the stash
 file is also created.  This command fails if the database already
 exists.  If the command is successful, the database is opened just as
 if it had already existed when the program was first run.</p>
-</div>
-<div class="section" id="destroy">
+</section>
+<section id="destroy">
 <span id="kdb5-util-create-end"></span><h3>destroy<a class="headerlink" href="#destroy" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-util-destroy">
-<div><strong>destroy</strong> [<strong>-f</strong>]</div></blockquote>
+<div><p><strong>destroy</strong> [<strong>-f</strong>]</p>
+</div></blockquote>
 <p>Destroys the database, first overwriting the disk sectors and then
 unlinking the files, after prompting the user for confirmation.  With
 the <strong>-f</strong> argument, does not prompt the user.</p>
-</div>
-<div class="section" id="stash">
+</section>
+<section id="stash">
 <span id="kdb5-util-destroy-end"></span><h3>stash<a class="headerlink" href="#stash" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-util-stash">
-<div><strong>stash</strong> [<strong>-f</strong> <em>keyfile</em>]</div></blockquote>
+<div><p><strong>stash</strong> [<strong>-f</strong> <em>keyfile</em>]</p>
+</div></blockquote>
 <p>Stores the master principal’s keys in a stash file.  The <strong>-f</strong>
 argument can be used to override the <em>keyfile</em> specified in
 <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
-</div>
-<div class="section" id="dump">
+</section>
+<section id="dump">
 <span id="kdb5-util-stash-end"></span><h3>dump<a class="headerlink" href="#dump" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-util-dump">
-<div><strong>dump</strong> [<strong>-b7</strong>|<strong>-r13</strong>|<strong>-r18</strong>]
+<div><p><strong>dump</strong> [<strong>-b7</strong>|<strong>-r13</strong>|<strong>-r18</strong>]
 [<strong>-verbose</strong>] [<strong>-mkey_convert</strong>] [<strong>-new_mkey_file</strong>
 <em>mkey_file</em>] [<strong>-rev</strong>] [<strong>-recurse</strong>] [<em>filename</em>
-[<em>principals</em>…]]</div></blockquote>
+[<em>principals</em>…]]</p>
+</div></blockquote>
 <p>Dumps the current Kerberos and KADM5 database into an ASCII file.  By
 default, the database is dumped in current format, “kdb5_util
 load_dump version 7”.  If filename is not specified, or is the string
-“-“, the dump is sent to standard output.  Options:</p>
-<dl class="docutils">
-<dt><strong>-b7</strong></dt>
-<dd>causes the dump to be in the Kerberos 5 Beta 7 format (“kdb5_util
+“-”, the dump is sent to standard output.  Options:</p>
+<dl>
+<dt><strong>-b7</strong></dt><dd><p>causes the dump to be in the Kerberos 5 Beta 7 format (“kdb5_util
 load_dump version 4”).  This was the dump format produced on
-releases prior to 1.2.2.</dd>
-<dt><strong>-r13</strong></dt>
-<dd>causes the dump to be in the Kerberos 5 1.3 format (“kdb5_util
+releases prior to 1.2.2.</p>
+</dd>
+<dt><strong>-r13</strong></dt><dd><p>causes the dump to be in the Kerberos 5 1.3 format (“kdb5_util
 load_dump version 5”).  This was the dump format produced on
-releases prior to 1.8.</dd>
-<dt><strong>-r18</strong></dt>
-<dd>causes the dump to be in the Kerberos 5 1.8 format (“kdb5_util
+releases prior to 1.8.</p>
+</dd>
+<dt><strong>-r18</strong></dt><dd><p>causes the dump to be in the Kerberos 5 1.8 format (“kdb5_util
 load_dump version 6”).  This was the dump format produced on
-releases prior to 1.11.</dd>
-<dt><strong>-verbose</strong></dt>
-<dd>causes the name of each principal and policy to be printed as it
-is dumped.</dd>
-<dt><strong>-mkey_convert</strong></dt>
-<dd>prompts for a new master key.  This new master key will be used to
+releases prior to 1.11.</p>
+</dd>
+<dt><strong>-verbose</strong></dt><dd><p>causes the name of each principal and policy to be printed as it
+is dumped.</p>
+</dd>
+<dt><strong>-mkey_convert</strong></dt><dd><p>prompts for a new master key.  This new master key will be used to
 re-encrypt principal key data in the dumpfile.  The principal keys
-themselves will not be changed.</dd>
-<dt><strong>-new_mkey_file</strong> <em>mkey_file</em></dt>
-<dd>the filename of a stash file.  The master key in this stash file
+themselves will not be changed.</p>
+</dd>
+<dt><strong>-new_mkey_file</strong> <em>mkey_file</em></dt><dd><p>the filename of a stash file.  The master key in this stash file
 will be used to re-encrypt the key data in the dumpfile.  The key
-data in the database will not be changed.</dd>
-<dt><strong>-rev</strong></dt>
-<dd>dumps in reverse order.  This may recover principals that do not
-dump normally, in cases where database corruption has occurred.</dd>
-<dt><strong>-recurse</strong></dt>
-<dd><p class="first">causes the dump to walk the database recursively (btree only).
+data in the database will not be changed.</p>
+</dd>
+<dt><strong>-rev</strong></dt><dd><p>dumps in reverse order.  This may recover principals that do not
+dump normally, in cases where database corruption has occurred.</p>
+</dd>
+<dt><strong>-recurse</strong></dt><dd><p>causes the dump to walk the database recursively (btree only).
 This may recover principals that do not dump normally, in cases
 where database corruption has occurred.  In cases of such
 corruption, this option will probably retrieve more principals
 than the <strong>-rev</strong> option will.</p>
 <div class="versionchanged">
-<p><span class="versionmodified">Changed in version 1.15: </span>Release 1.15 restored the functionality of the <strong>-recurse</strong>
+<p><span class="versionmodified changed">Changed in version 1.15: </span>Release 1.15 restored the functionality of the <strong>-recurse</strong>
 option.</p>
 </div>
-<div class="last versionchanged">
-<p><span class="versionmodified">Changed in version 1.5: </span>The <strong>-recurse</strong> option ceased working until release 1.15,
+<div class="versionchanged">
+<p><span class="versionmodified changed">Changed in version 1.5: </span>The <strong>-recurse</strong> option ceased working until release 1.15,
 doing a normal dump instead of a recursive traversal.</p>
 </div>
 </dd>
 </dl>
-</div>
-<div class="section" id="load">
+</section>
+<section id="load">
 <span id="kdb5-util-dump-end"></span><h3>load<a class="headerlink" href="#load" title="Permalink to this headline">¶</a></h3>
 <blockquote id="kdb5-util-load">
-<div><strong>load</strong> [<strong>-b7</strong>|<strong>-r13</strong>|<strong>-r18</strong>] [<strong>-hash</strong>]
-[<strong>-verbose</strong>] [<strong>-update</strong>] <em>filename</em></div></blockquote>
+<div><p><strong>load</strong> [<strong>-b7</strong>|<strong>-r13</strong>|<strong>-r18</strong>] [<strong>-hash</strong>]
+[<strong>-verbose</strong>] [<strong>-update</strong>] <em>filename</em></p>
+</div></blockquote>
 <p>Loads a database dump from the named file into the named database.  If
 no option is given to determine the format of the dump file, the
 format is detected automatically and handled as appropriate.  Unless
@@ -222,48 +217,50 @@ containing only the data in the dump fil
 any previously existing database.  Note that when using the LDAP KDC
 database module, the <strong>-update</strong> flag is required.</p>
 <p>Options:</p>
-<dl class="docutils">
-<dt><strong>-b7</strong></dt>
-<dd>requires the database to be in the Kerberos 5 Beta 7 format
+<dl class="simple">
+<dt><strong>-b7</strong></dt><dd><p>requires the database to be in the Kerberos 5 Beta 7 format
 (“kdb5_util load_dump version 4”).  This was the dump format
-produced on releases prior to 1.2.2.</dd>
-<dt><strong>-r13</strong></dt>
-<dd>requires the database to be in Kerberos 5 1.3 format (“kdb5_util
+produced on releases prior to 1.2.2.</p>
+</dd>
+<dt><strong>-r13</strong></dt><dd><p>requires the database to be in Kerberos 5 1.3 format (“kdb5_util
 load_dump version 5”).  This was the dump format produced on
-releases prior to 1.8.</dd>
-<dt><strong>-r18</strong></dt>
-<dd>requires the database to be in Kerberos 5 1.8 format (“kdb5_util
+releases prior to 1.8.</p>
+</dd>
+<dt><strong>-r18</strong></dt><dd><p>requires the database to be in Kerberos 5 1.8 format (“kdb5_util
 load_dump version 6”).  This was the dump format produced on
-releases prior to 1.11.</dd>
-<dt><strong>-hash</strong></dt>
-<dd>stores the database in hash format, if using the DB2 database
+releases prior to 1.11.</p>
+</dd>
+<dt><strong>-hash</strong></dt><dd><p>stores the database in hash format, if using the DB2 database
 type.  If this option is not specified, the database will be
 stored in btree format.  This option is not recommended, as
 databases stored in hash format are known to corrupt data and lose
-principals.</dd>
-<dt><strong>-verbose</strong></dt>
-<dd>causes the name of each principal and policy to be printed as it
-is dumped.</dd>
-<dt><strong>-update</strong></dt>
-<dd>records from the dump file are added to or updated in the existing
+principals.</p>
+</dd>
+<dt><strong>-verbose</strong></dt><dd><p>causes the name of each principal and policy to be printed as it
+is dumped.</p>
+</dd>
+<dt><strong>-update</strong></dt><dd><p>records from the dump file are added to or updated in the existing
 database.  Otherwise, a new database is created containing only
 what is in the dump file and the old one destroyed upon successful
-completion.</dd>
+completion.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="ark">
+</section>
+<section id="ark">
 <span id="kdb5-util-load-end"></span><h3>ark<a class="headerlink" href="#ark" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>ark</strong> [<strong>-e</strong> <em>enc</em>:<em>salt</em>,…] <em>principal</em></div></blockquote>
+<div><p><strong>ark</strong> [<strong>-e</strong> <em>enc</em>:<em>salt</em>,…] <em>principal</em></p>
+</div></blockquote>
 <p>Adds new random keys to <em>principal</em> at the next available key version
 number.  Keys for the current highest key version number will be
 preserved.  The <strong>-e</strong> option specifies the list of encryption and
 salt types to be used for the new keys.</p>
-</div>
-<div class="section" id="add-mkey">
+</section>
+<section id="add-mkey">
 <h3>add_mkey<a class="headerlink" href="#add-mkey" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>add_mkey</strong> [<strong>-e</strong> <em>etype</em>] [<strong>-s</strong>]</div></blockquote>
+<div><p><strong>add_mkey</strong> [<strong>-e</strong> <em>etype</em>] [<strong>-s</strong>]</p>
+</div></blockquote>
 <p>Adds a new master key to the master key principal, but does not mark
 it as active.  Existing master keys will remain.  The <strong>-e</strong> option
 specifies the encryption type of the new master key; see
@@ -275,11 +272,12 @@ servers via a manual or periodic invocat
 the stash files on the replica servers should be updated with the
 kdb5_util <strong>stash</strong> command.  Once those steps are complete, the key
 is ready to be marked active with the kdb5_util <strong>use_mkey</strong> command.</p>
-</div>
-<div class="section" id="use-mkey">
+</section>
+<section id="use-mkey">
 <h3>use_mkey<a class="headerlink" href="#use-mkey" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>use_mkey</strong> <em>mkeyVNO</em> [<em>time</em>]</div></blockquote>
+<div><p><strong>use_mkey</strong> <em>mkeyVNO</em> [<em>time</em>]</p>
+</div></blockquote>
 <p>Sets the activation time of the master key specified by <em>mkeyVNO</em>.
 Once a master key becomes active, it will be used to encrypt newly
 created principal keys.  If no <em>time</em> argument is given, the current
@@ -288,38 +286,41 @@ active immediately.  The format for <em>
 <p>After a new master key becomes active, the kdb5_util
 <strong>update_princ_encryption</strong> command can be used to update all
 principal keys to be encrypted in the new master key.</p>
-</div>
-<div class="section" id="list-mkeys">
+</section>
+<section id="list-mkeys">
 <h3>list_mkeys<a class="headerlink" href="#list-mkeys" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>list_mkeys</strong></div></blockquote>
+<div><p><strong>list_mkeys</strong></p>
+</div></blockquote>
 <p>List all master keys, from most recent to earliest, in the master key
 principal.  The output will show the kvno, enctype, and salt type for
 each mkey, similar to the output of <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> <strong>getprinc</strong>.  A
-<code class="docutils literal"><span class="pre">*</span></code> following an mkey denotes the currently active master key.</p>
-</div>
-<div class="section" id="purge-mkeys">
+<code class="docutils literal notranslate"><span class="pre">*</span></code> following an mkey denotes the currently active master key.</p>
+</section>
+<section id="purge-mkeys">
 <h3>purge_mkeys<a class="headerlink" href="#purge-mkeys" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>purge_mkeys</strong> [<strong>-f</strong>] [<strong>-n</strong>] [<strong>-v</strong>]</div></blockquote>
+<div><p><strong>purge_mkeys</strong> [<strong>-f</strong>] [<strong>-n</strong>] [<strong>-v</strong>]</p>
+</div></blockquote>
 <p>Delete master keys from the master key principal that are not used to
 protect any principals.  This command can be used to remove old master
 keys all principal keys are protected by a newer master key.</p>
-<dl class="docutils">
-<dt><strong>-f</strong></dt>
-<dd>does not prompt for confirmation.</dd>
-<dt><strong>-n</strong></dt>
-<dd>performs a dry run, showing master keys that would be purged, but
-not actually purging any keys.</dd>
-<dt><strong>-v</strong></dt>
-<dd>gives more verbose output.</dd>
+<dl class="simple">
+<dt><strong>-f</strong></dt><dd><p>does not prompt for confirmation.</p>
+</dd>
+<dt><strong>-n</strong></dt><dd><p>performs a dry run, showing master keys that would be purged, but
+not actually purging any keys.</p>
+</dd>
+<dt><strong>-v</strong></dt><dd><p>gives more verbose output.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="update-princ-encryption">
+</section>
+<section id="update-princ-encryption">
 <h3>update_princ_encryption<a class="headerlink" href="#update-princ-encryption" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>update_princ_encryption</strong> [<strong>-f</strong>] [<strong>-n</strong>] [<strong>-v</strong>]
-[<em>princ-pattern</em>]</div></blockquote>
+<div><p><strong>update_princ_encryption</strong> [<strong>-f</strong>] [<strong>-n</strong>] [<strong>-v</strong>]
+[<em>princ-pattern</em>]</p>
+</div></blockquote>
 <p>Update all principal records (or only those matching the
 <em>princ-pattern</em> glob pattern) to re-encrypt the key data using the
 active database master key, if they are encrypted using a different
@@ -329,12 +330,13 @@ before starting to make changes.  The <s
 principal processed to be listed, with an indication as to whether it
 needed updating or not.  The <strong>-n</strong> option performs a dry run, only
 showing the actions which would have been taken.</p>
-</div>
-<div class="section" id="tabdump">
+</section>
+<section id="tabdump">
 <h3>tabdump<a class="headerlink" href="#tabdump" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>tabdump</strong> [<strong>-H</strong>] [<strong>-c</strong>] [<strong>-e</strong>] [<strong>-n</strong>] [<strong>-o</strong> <em>outfile</em>]
-<em>dumptype</em></div></blockquote>
+<div><p><strong>tabdump</strong> [<strong>-H</strong>] [<strong>-c</strong>] [<strong>-e</strong>] [<strong>-n</strong>] [<strong>-o</strong> <em>outfile</em>]
+<em>dumptype</em></p>
+</div></blockquote>
 <p>Dump selected fields of the database in a tabular format suitable for
 reporting (e.g., using traditional Unix text processing tools) or
 importing into relational databases.  The data format is tab-separated
@@ -344,128 +346,122 @@ unless suppression is requested using th
 <p>The <em>dumptype</em> parameter specifies the name of an output table (see
 below).</p>
 <p>Options:</p>
-<dl class="docutils">
-<dt><strong>-H</strong></dt>
-<dd>suppress writing the field names in a header line</dd>
-<dt><strong>-c</strong></dt>
-<dd>use comma separated values (CSV) format, with minimal quoting,
-instead of the default tab-separated (unquoted, unescaped) format</dd>
-<dt><strong>-e</strong></dt>
-<dd>write empty hexadecimal string fields as empty fields instead of
-as “-1”.</dd>
-<dt><strong>-n</strong></dt>
-<dd>produce numeric output for fields that normally have symbolic
+<dl class="simple">
+<dt><strong>-H</strong></dt><dd><p>suppress writing the field names in a header line</p>
+</dd>
+<dt><strong>-c</strong></dt><dd><p>use comma separated values (CSV) format, with minimal quoting,
+instead of the default tab-separated (unquoted, unescaped) format</p>
+</dd>
+<dt><strong>-e</strong></dt><dd><p>write empty hexadecimal string fields as empty fields instead of
+as “-1”.</p>
+</dd>
+<dt><strong>-n</strong></dt><dd><p>produce numeric output for fields that normally have symbolic
 output, such as enctypes and flag names.  Also requests output of
-time stamps as decimal POSIX time_t values.</dd>
-<dt><strong>-o</strong> <em>outfile</em></dt>
-<dd>write the dump to the specified output file instead of to standard
-output</dd>
+time stamps as decimal POSIX time_t values.</p>
+</dd>
+<dt><strong>-o</strong> <em>outfile</em></dt><dd><p>write the dump to the specified output file instead of to standard
+output</p>
+</dd>
 </dl>
 <p>Dump types:</p>
-<dl class="docutils">
-<dt><strong>keydata</strong></dt>
-<dd><p class="first">principal encryption key information, including actual key data
+<dl>
+<dt><strong>keydata</strong></dt><dd><p>principal encryption key information, including actual key data
 (which is still encrypted in the master key)</p>
-<dl class="last docutils">
-<dt><strong>name</strong></dt>
-<dd>principal name</dd>
-<dt><strong>keyindex</strong></dt>
-<dd>index of this key in the principal’s key list</dd>
-<dt><strong>kvno</strong></dt>
-<dd>key version number</dd>
-<dt><strong>enctype</strong></dt>
-<dd>encryption type</dd>
-<dt><strong>key</strong></dt>
-<dd>key data as a hexadecimal string</dd>
-<dt><strong>salttype</strong></dt>
-<dd>salt type</dd>
-<dt><strong>salt</strong></dt>
-<dd>salt data as a hexadecimal string</dd>
-</dl>
-</dd>
-<dt><strong>keyinfo</strong></dt>
-<dd>principal encryption key information (as in <strong>keydata</strong> above),
-excluding actual key data</dd>
-<dt><strong>princ_flags</strong></dt>
-<dd><p class="first">principal boolean attributes.  Flag names print as hexadecimal
+<dl class="simple">
+<dt><strong>name</strong></dt><dd><p>principal name</p>
+</dd>
+<dt><strong>keyindex</strong></dt><dd><p>index of this key in the principal’s key list</p>
+</dd>
+<dt><strong>kvno</strong></dt><dd><p>key version number</p>
+</dd>
+<dt><strong>enctype</strong></dt><dd><p>encryption type</p>
+</dd>
+<dt><strong>key</strong></dt><dd><p>key data as a hexadecimal string</p>
+</dd>
+<dt><strong>salttype</strong></dt><dd><p>salt type</p>
+</dd>
+<dt><strong>salt</strong></dt><dd><p>salt data as a hexadecimal string</p>
+</dd>
+</dl>
+</dd>
+<dt><strong>keyinfo</strong></dt><dd><p>principal encryption key information (as in <strong>keydata</strong> above),
+excluding actual key data</p>
+</dd>
+<dt><strong>princ_flags</strong></dt><dd><p>principal boolean attributes.  Flag names print as hexadecimal
 numbers if the <strong>-n</strong> option is specified, and all flag positions
 are printed regardless of whether or not they are set.  If <strong>-n</strong>
 is not specified, print all known flag names for each principal,
 but only print hexadecimal flag names if the corresponding flag is
 set.</p>
-<dl class="last docutils">
-<dt><strong>name</strong></dt>
-<dd>principal name</dd>
-<dt><strong>flag</strong></dt>
-<dd>flag name</dd>
-<dt><strong>value</strong></dt>
-<dd>boolean value (0 for clear, or 1 for set)</dd>
-</dl>
-</dd>
-<dt><strong>princ_lockout</strong></dt>
-<dd><p class="first">state information used for tracking repeated password failures</p>
-<dl class="last docutils">
-<dt><strong>name</strong></dt>
-<dd>principal name</dd>
-<dt><strong>last_success</strong></dt>
-<dd>time stamp of most recent successful authentication</dd>
-<dt><strong>last_failed</strong></dt>
-<dd>time stamp of most recent failed authentication</dd>
-<dt><strong>fail_count</strong></dt>
-<dd>count of failed attempts</dd>
-</dl>
-</dd>
-<dt><strong>princ_meta</strong></dt>
-<dd><p class="first">principal metadata</p>
-<dl class="last docutils">
-<dt><strong>name</strong></dt>
-<dd>principal name</dd>
-<dt><strong>modby</strong></dt>
-<dd>name of last principal to modify this principal</dd>
-<dt><strong>modtime</strong></dt>
-<dd>timestamp of last modification</dd>
-<dt><strong>lastpwd</strong></dt>
-<dd>timestamp of last password change</dd>
-<dt><strong>policy</strong></dt>
-<dd>policy object name</dd>
-<dt><strong>mkvno</strong></dt>
-<dd>key version number of the master key that encrypts this
-principal’s key data</dd>
-<dt><strong>hist_kvno</strong></dt>
-<dd>key version number of the history key that encrypts the key
-history data for this principal</dd>
-</dl>
-</dd>
-<dt><strong>princ_stringattrs</strong></dt>
-<dd><p class="first">string attributes (key/value pairs)</p>
-<dl class="last docutils">
-<dt><strong>name</strong></dt>
-<dd>principal name</dd>
-<dt><strong>key</strong></dt>
-<dd>attribute name</dd>
-<dt><strong>value</strong></dt>
-<dd>attribute value</dd>
+<dl class="simple">
+<dt><strong>name</strong></dt><dd><p>principal name</p>
+</dd>
+<dt><strong>flag</strong></dt><dd><p>flag name</p>
+</dd>
+<dt><strong>value</strong></dt><dd><p>boolean value (0 for clear, or 1 for set)</p>
+</dd>
 </dl>
 </dd>
-<dt><strong>princ_tktpolicy</strong></dt>
-<dd><p class="first">per-principal ticket policy data, including maximum ticket
+<dt><strong>princ_lockout</strong></dt><dd><p>state information used for tracking repeated password failures</p>
+<dl class="simple">
+<dt><strong>name</strong></dt><dd><p>principal name</p>
+</dd>
+<dt><strong>last_success</strong></dt><dd><p>time stamp of most recent successful authentication</p>
+</dd>
+<dt><strong>last_failed</strong></dt><dd><p>time stamp of most recent failed authentication</p>
+</dd>
+<dt><strong>fail_count</strong></dt><dd><p>count of failed attempts</p>
+</dd>
+</dl>
+</dd>
+<dt><strong>princ_meta</strong></dt><dd><p>principal metadata</p>
+<dl class="simple">
+<dt><strong>name</strong></dt><dd><p>principal name</p>
+</dd>
+<dt><strong>modby</strong></dt><dd><p>name of last principal to modify this principal</p>
+</dd>
+<dt><strong>modtime</strong></dt><dd><p>timestamp of last modification</p>
+</dd>
+<dt><strong>lastpwd</strong></dt><dd><p>timestamp of last password change</p>
+</dd>
+<dt><strong>policy</strong></dt><dd><p>policy object name</p>
+</dd>
+<dt><strong>mkvno</strong></dt><dd><p>key version number of the master key that encrypts this
+principal’s key data</p>
+</dd>
+<dt><strong>hist_kvno</strong></dt><dd><p>key version number of the history key that encrypts the key
+history data for this principal</p>
+</dd>
+</dl>
+</dd>
+<dt><strong>princ_stringattrs</strong></dt><dd><p>string attributes (key/value pairs)</p>
+<dl class="simple">
+<dt><strong>name</strong></dt><dd><p>principal name</p>
+</dd>
+<dt><strong>key</strong></dt><dd><p>attribute name</p>
+</dd>
+<dt><strong>value</strong></dt><dd><p>attribute value</p>
+</dd>
+</dl>
+</dd>
+<dt><strong>princ_tktpolicy</strong></dt><dd><p>per-principal ticket policy data, including maximum ticket
 lifetimes</p>
-<dl class="last docutils">
-<dt><strong>name</strong></dt>
-<dd>principal name</dd>
-<dt><strong>expiration</strong></dt>
-<dd>principal expiration date</dd>
-<dt><strong>pw_expiration</strong></dt>
-<dd>password expiration date</dd>
-<dt><strong>max_life</strong></dt>
-<dd>maximum ticket lifetime</dd>
-<dt><strong>max_renew_life</strong></dt>
-<dd>maximum renewable ticket lifetime</dd>
+<dl class="simple">
+<dt><strong>name</strong></dt><dd><p>principal name</p>
+</dd>
+<dt><strong>expiration</strong></dt><dd><p>principal expiration date</p>
+</dd>
+<dt><strong>pw_expiration</strong></dt><dd><p>password expiration date</p>
+</dd>
+<dt><strong>max_life</strong></dt><dd><p>maximum ticket lifetime</p>
+</dd>
+<dt><strong>max_renew_life</strong></dt><dd><p>maximum renewable ticket lifetime</p>
+</dd>
 </dl>
 </dd>
 </dl>
 <p>Examples:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_util tabdump -o keyinfo.txt keyinfo
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_util tabdump -o keyinfo.txt keyinfo
 $ cat keyinfo.txt
 name        keyindex        kvno    enctype salttype        salt
 K/M@EXAMPLE.COM     0       1       aes256-cts-hmac-sha384-192      normal  -1
@@ -481,25 +477,27 @@ $ awk -F&#39;\t&#39; &#39;$4 ~ /aes256-/
 K/M@EXAMPLE.COM     1       1       aes256-cts-hmac-sha384-192      normal  -1
 </pre></div>
 </div>
-</div>
-</div>
-<div class="section" id="environment">
+</section>
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>, <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kdb5_util</a><ul>
@@ -591,6 +589,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -598,8 +597,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/kprop.html 1.21.3-1/doc/html/admin/admin_commands/kprop.html
--- 1.21.2-1/doc/html/admin/admin_commands/kprop.html	2023-08-14 16:17:31.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/kprop.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kprop &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kpropd" href="kpropd.html" />
     <link rel="prev" title="krb5kdc" href="krb5kdc.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kprop">
+  <section id="kprop">
 <span id="kprop-8"></span><h1>kprop<a class="headerlink" href="#kprop" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>kprop</strong>
 [<strong>-r</strong> <em>realm</em>]
@@ -72,50 +63,52 @@
 [<strong>-P</strong> <em>port</em>]
 [<strong>-s</strong> <em>keytab</em>]
 <em>replica_host</em></p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>kprop is used to securely propagate a Kerberos V5 database dump file
 from the primary Kerberos server to a replica Kerberos server, which is
 specified by <em>replica_host</em>.  The dump file must be created by
 <a class="reference internal" href="kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-r</strong> <em>realm</em></dt>
-<dd>Specifies the realm of the primary server.</dd>
-<dt><strong>-f</strong> <em>file</em></dt>
-<dd>Specifies the filename where the dumped principal database file is
+<dl class="simple">
+<dt><strong>-r</strong> <em>realm</em></dt><dd><p>Specifies the realm of the primary server.</p>
+</dd>
+<dt><strong>-f</strong> <em>file</em></dt><dd><p>Specifies the filename where the dumped principal database file is
 to be found; by default the dumped database file is normally
-<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/replica_datatrans</span></code>.</dd>
-<dt><strong>-P</strong> <em>port</em></dt>
-<dd>Specifies the port to use to contact the <a class="reference internal" href="kpropd.html#kpropd-8"><span class="std std-ref">kpropd</span></a> server
-on the remote host.</dd>
-<dt><strong>-d</strong></dt>
-<dd>Prints debugging information.</dd>
-<dt><strong>-s</strong> <em>keytab</em></dt>
-<dd>Specifies the location of the keytab file.</dd>
+<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/replica_datatrans</span></code>.</p>
+</dd>
+<dt><strong>-P</strong> <em>port</em></dt><dd><p>Specifies the port to use to contact the <a class="reference internal" href="kpropd.html#kpropd-8"><span class="std std-ref">kpropd</span></a> server
+on the remote host.</p>
+</dd>
+<dt><strong>-d</strong></dt><dd><p>Prints debugging information.</p>
+</dd>
+<dt><strong>-s</strong> <em>keytab</em></dt><dd><p>Specifies the location of the keytab file.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kpropd.html#kpropd-8"><span class="std std-ref">kpropd</span></a>, <a class="reference internal" href="kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>, <a class="reference internal" href="krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a>,
 <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kprop</a><ul>
@@ -192,6 +185,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -199,8 +193,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/kpropd.html 1.21.3-1/doc/html/admin/admin_commands/kpropd.html
--- 1.21.2-1/doc/html/admin/admin_commands/kpropd.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/kpropd.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kpropd &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kproplog" href="kproplog.html" />
     <link rel="prev" title="kprop" href="kprop.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kpropd">
+  <section id="kpropd">
 <span id="kpropd-8"></span><h1>kpropd<a class="headerlink" href="#kpropd" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>kpropd</strong>
 [<strong>-r</strong> <em>realm</em>]
@@ -77,8 +68,8 @@
 [<strong>-D</strong>]
 [<strong>-d</strong>]
 [<strong>-s</strong> <em>keytab_file</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>The <em>kpropd</em> command runs on the replica KDC server.  It listens for
 update requests made by the <a class="reference internal" href="kprop.html#kprop-8"><span class="std std-ref">kprop</span></a> program.  If incremental
@@ -94,8 +85,8 @@ file, the replica Kerberos server will h
 database.</p>
 <p>Where incremental propagation is not used, kpropd is commonly invoked
 out of inetd(8) as a nowait service.  This is done by adding a line to
-the <code class="docutils literal"><span class="pre">/etc/inetd.conf</span></code> file which looks like this:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kprop</span>  <span class="n">stream</span>  <span class="n">tcp</span>  <span class="n">nowait</span>  <span class="n">root</span>  <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">sbin</span><span class="o">/</span><span class="n">kpropd</span>  <span class="n">kpropd</span>
+the <code class="docutils literal notranslate"><span class="pre">/etc/inetd.conf</span></code> file which looks like this:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kprop</span>  <span class="n">stream</span>  <span class="n">tcp</span>  <span class="n">nowait</span>  <span class="n">root</span>  <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">sbin</span><span class="o">/</span><span class="n">kpropd</span>  <span class="n">kpropd</span>
 </pre></div>
 </div>
 <p>kpropd can also run as a standalone daemon, backgrounding itself and
@@ -113,80 +104,82 @@ an interval determined by the <strong>ip
 replica receives updates, kpropd updates its log file with any updates
 from the primary.  <a class="reference internal" href="kproplog.html#kproplog-8"><span class="std std-ref">kproplog</span></a> can be used to view a summary of
 the update entry log on the replica KDC.  If incremental propagation
-is enabled, the principal <code class="docutils literal"><span class="pre">kiprop/replicahostname&#64;REALM</span></code> (where
+is enabled, the principal <code class="docutils literal notranslate"><span class="pre">kiprop/replicahostname&#64;REALM</span></code> (where
 <em>replicahostname</em> is the name of the replica KDC host, and <em>REALM</em> is
 the name of the Kerberos realm) must be present in the replica’s
 keytab file.</p>
 <p><a class="reference internal" href="kproplog.html#kproplog-8"><span class="std std-ref">kproplog</span></a> can be used to force full replication when iprop is
 enabled.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-r</strong> <em>realm</em></dt>
-<dd>Specifies the realm of the primary server.</dd>
-<dt><strong>-A</strong> <em>admin_server</em></dt>
-<dd>Specifies the server to be contacted for incremental updates; by
-default, the primary admin server is contacted.</dd>
-<dt><strong>-f</strong> <em>file</em></dt>
-<dd>Specifies the filename where the dumped principal database file is
-to be stored; by default the dumped database file is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/from_master</span></code>.</dd>
-<dt><strong>-F</strong> <em>kerberos_db</em></dt>
-<dd>Path to the Kerberos database file, if not the default.</dd>
-<dt><strong>-p</strong></dt>
-<dd>Allows the user to specify the pathname to the <a class="reference internal" href="kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>
-program; by default the pathname used is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">SBINDIR</span></a><code class="docutils literal"><span class="pre">/kdb5_util</span></code>.</dd>
-<dt><strong>-D</strong></dt>
-<dd>In this mode, kpropd will not detach itself from the current job
+<dl class="simple">
+<dt><strong>-r</strong> <em>realm</em></dt><dd><p>Specifies the realm of the primary server.</p>
+</dd>
+<dt><strong>-A</strong> <em>admin_server</em></dt><dd><p>Specifies the server to be contacted for incremental updates; by
+default, the primary admin server is contacted.</p>
+</dd>
+<dt><strong>-f</strong> <em>file</em></dt><dd><p>Specifies the filename where the dumped principal database file is
+to be stored; by default the dumped database file is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/from_master</span></code>.</p>
+</dd>
+<dt><strong>-F</strong> <em>kerberos_db</em></dt><dd><p>Path to the Kerberos database file, if not the default.</p>
+</dd>
+<dt><strong>-p</strong></dt><dd><p>Allows the user to specify the pathname to the <a class="reference internal" href="kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>
+program; by default the pathname used is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">SBINDIR</span></a><code class="docutils literal notranslate"><span class="pre">/kdb5_util</span></code>.</p>
+</dd>
+<dt><strong>-D</strong></dt><dd><p>In this mode, kpropd will not detach itself from the current job
 and run in the background.  Instead, it will run in the
-foreground.</dd>
-<dt><strong>-d</strong></dt>
-<dd>Turn on debug mode.  kpropd will print out debugging messages
+foreground.</p>
+</dd>
+<dt><strong>-d</strong></dt><dd><p>Turn on debug mode.  kpropd will print out debugging messages
 during the database propogation and will run in the foreground
-(implies <strong>-D</strong>).</dd>
-<dt><strong>-P</strong></dt>
-<dd>Allow for an alternate port number for kpropd to listen on.  This
-is only useful in combination with the <strong>-S</strong> option.</dd>
-<dt><strong>-a</strong> <em>acl_file</em></dt>
-<dd>Allows the user to specify the path to the kpropd.acl file; by
-default the path used is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kpropd.acl</span></code>.</dd>
-<dt><strong>–pid-file</strong>=<em>pid_file</em></dt>
-<dd>In standalone mode, write the process ID of the daemon into
-<em>pid_file</em>.</dd>
-<dt><strong>-s</strong> <em>keytab_file</em></dt>
-<dd>Path to a keytab to use for acquiring acceptor credentials.</dd>
-<dt><strong>-x</strong> <em>db_args</em></dt>
-<dd>Database-specific arguments.  See <a class="reference internal" href="kadmin_local.html#dboptions"><span class="std std-ref">Database Options</span></a> in <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> for supported arguments.</dd>
+(implies <strong>-D</strong>).</p>
+</dd>
+<dt><strong>-P</strong></dt><dd><p>Allow for an alternate port number for kpropd to listen on.  This
+is only useful in combination with the <strong>-S</strong> option.</p>
+</dd>
+<dt><strong>-a</strong> <em>acl_file</em></dt><dd><p>Allows the user to specify the path to the kpropd.acl file; by
+default the path used is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kpropd.acl</span></code>.</p>
+</dd>
+<dt><strong>–pid-file</strong>=<em>pid_file</em></dt><dd><p>In standalone mode, write the process ID of the daemon into
+<em>pid_file</em>.</p>
+</dd>
+<dt><strong>-s</strong> <em>keytab_file</em></dt><dd><p>Path to a keytab to use for acquiring acceptor credentials.</p>
+</dd>
+<dt><strong>-x</strong> <em>db_args</em></dt><dd><p>Database-specific arguments.  See <a class="reference internal" href="kadmin_local.html#dboptions"><span class="std std-ref">Database Options</span></a> in <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> for supported arguments.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="files">
+</section>
+<section id="files">
 <h2>FILES<a class="headerlink" href="#files" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt>kpropd.acl</dt>
-<dd>Access file for kpropd; the default location is
-<code class="docutils literal"><span class="pre">/usr/local/var/krb5kdc/kpropd.acl</span></code>.  Each entry is a line
+<dl class="simple">
+<dt>kpropd.acl</dt><dd><p>Access file for kpropd; the default location is
+<code class="docutils literal notranslate"><span class="pre">/usr/local/var/krb5kdc/kpropd.acl</span></code>.  Each entry is a line
 containing the principal of a host from which the local machine
-will allow Kerberos database propagation via <a class="reference internal" href="kprop.html#kprop-8"><span class="std std-ref">kprop</span></a>.</dd>
+will allow Kerberos database propagation via <a class="reference internal" href="kprop.html#kprop-8"><span class="std std-ref">kprop</span></a>.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kprop.html#kprop-8"><span class="std std-ref">kprop</span></a>, <a class="reference internal" href="kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>, <a class="reference internal" href="krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a>,
 <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a>, inetd(8)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kpropd</a><ul>
@@ -264,6 +257,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -271,8 +265,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/kproplog.html 1.21.3-1/doc/html/admin/admin_commands/kproplog.html
--- 1.21.2-1/doc/html/admin/admin_commands/kproplog.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/kproplog.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kproplog &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="ktutil" href="ktutil.html" />
     <link rel="prev" title="kpropd" href="kpropd.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,14 +52,14 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kproplog">
+  <section id="kproplog">
 <span id="kproplog-8"></span><h1>kproplog<a class="headerlink" href="#kproplog" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>kproplog</strong> [<strong>-h</strong>] [<strong>-e</strong> <em>num</em>] [-v]
 <strong>kproplog</strong> [-R]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>The kproplog command displays the contents of the KDC database update
 log to standard output.  It can be used to keep track of incremental
@@ -86,27 +77,26 @@ log.  If invoked on the primary, kproplo
 update entries.  If invoked on a replica KDC server, kproplog displays
 only a summary of the updates, which includes the serial number of the
 last update received and the associated time stamp of the last update.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-R</strong></dt>
-<dd>Reset the update log.  This forces full resynchronization.  If
+<dl>
+<dt><strong>-R</strong></dt><dd><p>Reset the update log.  This forces full resynchronization.  If
 used on a replica then that replica will request a full resync.
 If used on the primary then all replicas will request full
-resyncs.</dd>
-<dt><strong>-h</strong></dt>
-<dd>Display a summary of the update log.  This information includes
+resyncs.</p>
+</dd>
+<dt><strong>-h</strong></dt><dd><p>Display a summary of the update log.  This information includes
 the database version number, state of the database, the number of
 updates in the log, the time stamp of the first and last update,
-and the version number of the first and last update entry.</dd>
-<dt><strong>-e</strong> <em>num</em></dt>
-<dd>Display the last <em>num</em> update entries in the log.  This is useful
-when debugging synchronization between KDC servers.</dd>
-<dt><strong>-v</strong></dt>
-<dd><p class="first">Display individual attributes per update.  An example of the
+and the version number of the first and last update entry.</p>
+</dd>
+<dt><strong>-e</strong> <em>num</em></dt><dd><p>Display the last <em>num</em> update entries in the log.  This is useful
+when debugging synchronization between KDC servers.</p>
+</dd>
+<dt><strong>-v</strong></dt><dd><p>Display individual attributes per update.  An example of the
 output generated for one entry:</p>
-<div class="last highlight-default"><div class="highlight"><pre><span></span><span class="n">Update</span> <span class="n">Entry</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">Update</span> <span class="n">Entry</span>
    <span class="n">Update</span> <span class="n">serial</span> <span class="c1"># : 4</span>
    <span class="n">Update</span> <span class="n">operation</span> <span class="p">:</span> <span class="n">Add</span>
    <span class="n">Update</span> <span class="n">principal</span> <span class="p">:</span> <span class="n">test</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
@@ -124,24 +114,26 @@ output generated for one entry:</p>
 </div>
 </dd>
 </dl>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kpropd.html#kpropd-8"><span class="std std-ref">kpropd</span></a>, <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kproplog</a><ul>
@@ -218,6 +210,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -225,8 +218,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/krb5kdc.html 1.21.3-1/doc/html/admin/admin_commands/krb5kdc.html
--- 1.21.2-1/doc/html/admin/admin_commands/krb5kdc.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/krb5kdc.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5kdc &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kprop" href="kprop.html" />
     <link rel="prev" title="kdb5_ldap_util" href="kdb5_ldap_util.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5kdc">
+  <section id="krb5kdc">
 <span id="krb5kdc-8"></span><h1>krb5kdc<a class="headerlink" href="#krb5kdc" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>krb5kdc</strong>
 [<strong>-x</strong> <em>db_args</em>]
@@ -77,13 +68,13 @@
 [<strong>-w</strong> <em>numworkers</em>]
 [<strong>-P</strong> <em>pid_file</em>]
 [<strong>-T</strong> <em>time_offset</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>krb5kdc is the Kerberos version 5 Authentication Service and Key
 Distribution Center (AS/KDC).</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
 <p>The <strong>-r</strong> <em>realm</em> option specifies the realm for which the server
 should provide service.  This option may be specified multiple times
@@ -94,9 +85,9 @@ principal database can be found.  This o
 LDAP database.</p>
 <p>The <strong>-k</strong> <em>keytype</em> option specifies the key type of the master key
 to be entered manually as a password when <strong>-m</strong> is given; the default
-is <code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96</span></code>.</p>
+is <code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96</span></code>.</p>
 <p>The <strong>-M</strong> <em>mkeyname</em> option specifies the principal name for the
-master key in the database (usually <code class="docutils literal"><span class="pre">K/M</span></code> in the KDC’s realm).</p>
+master key in the database (usually <code class="docutils literal notranslate"><span class="pre">K/M</span></code> in the KDC’s realm).</p>
 <p>The <strong>-m</strong> option specifies that the master database password should
 be fetched from the keyboard rather than from a stash file.</p>
 <p>The <strong>-n</strong> option specifies that the KDC does not put itself in the
@@ -123,15 +114,15 @@ See <a class="reference internal" href="
 supported arguments.</p>
 <p>The <strong>-T</strong> <em>offset</em> option specifies a time offset, in seconds, which
 the KDC will operate under.  It is intended only for testing purposes.</p>
-</div>
-<div class="section" id="example">
+</section>
+<section id="example">
 <h2>EXAMPLE<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
 <p>The KDC may service requests for multiple realms (maximum 32 realms).
 The realms are listed on the command line.  Per-realm options that can
 be specified on the command line pertain for each realm that follows
 it and are superseded by subsequent definitions of the same option.</p>
 <p>For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5kdc</span> <span class="o">-</span><span class="n">p</span> <span class="mi">2001</span> <span class="o">-</span><span class="n">r</span> <span class="n">REALM1</span> <span class="o">-</span><span class="n">p</span> <span class="mi">2002</span> <span class="o">-</span><span class="n">r</span> <span class="n">REALM2</span> <span class="o">-</span><span class="n">r</span> <span class="n">REALM3</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5kdc</span> <span class="o">-</span><span class="n">p</span> <span class="mi">2001</span> <span class="o">-</span><span class="n">r</span> <span class="n">REALM1</span> <span class="o">-</span><span class="n">p</span> <span class="mi">2002</span> <span class="o">-</span><span class="n">r</span> <span class="n">REALM2</span> <span class="o">-</span><span class="n">r</span> <span class="n">REALM3</span>
 </pre></div>
 </div>
 <p>specifies that the KDC listen on port 2001 for REALM1 and on port 2002
@@ -141,25 +132,27 @@ may be specified by the <strong>KRB5_KDC
 Per-realm parameters specified in this file take precedence over
 options specified on the command line.  See the <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>
 description for further details.</p>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>, <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>, <a class="reference internal" href="../conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>,
 <a class="reference internal" href="kdb5_ldap_util.html#kdb5-ldap-util-8"><span class="std std-ref">kdb5_ldap_util</span></a>, <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5kdc</a><ul>
@@ -237,6 +230,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -244,8 +238,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/ktutil.html 1.21.3-1/doc/html/admin/admin_commands/ktutil.html
--- 1.21.2-1/doc/html/admin/admin_commands/ktutil.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/ktutil.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ktutil &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="k5srvutil" href="k5srvutil.html" />
     <link rel="prev" title="kproplog" href="kproplog.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,62 +52,68 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ktutil">
+  <section id="ktutil">
 <span id="ktutil-1"></span><h1>ktutil<a class="headerlink" href="#ktutil" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>ktutil</strong></p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>The ktutil command invokes a command interface from which an
 administrator can read, write, or edit entries in a keytab.  (Kerberos
 V4 srvtab files are no longer supported.)</p>
-</div>
-<div class="section" id="commands">
+</section>
+<section id="commands">
 <h2>COMMANDS<a class="headerlink" href="#commands" title="Permalink to this headline">¶</a></h2>
-<div class="section" id="list">
+<section id="list">
 <h3>list<a class="headerlink" href="#list" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>list</strong> [<strong>-t</strong>] [<strong>-k</strong>] [<strong>-e</strong>]</div></blockquote>
+<div><p><strong>list</strong> [<strong>-t</strong>] [<strong>-k</strong>] [<strong>-e</strong>]</p>
+</div></blockquote>
 <p>Displays the current keylist.  If <strong>-t</strong>, <strong>-k</strong>, and/or <strong>-e</strong> are
 specified, also display the timestamp, key contents, or enctype
 (respectively).</p>
 <p>Alias: <strong>l</strong></p>
-</div>
-<div class="section" id="read-kt">
+</section>
+<section id="read-kt">
 <h3>read_kt<a class="headerlink" href="#read-kt" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>read_kt</strong> <em>keytab</em></div></blockquote>
+<div><p><strong>read_kt</strong> <em>keytab</em></p>
+</div></blockquote>
 <p>Read the Kerberos V5 keytab file <em>keytab</em> into the current keylist.</p>
 <p>Alias: <strong>rkt</strong></p>
-</div>
-<div class="section" id="write-kt">
+</section>
+<section id="write-kt">
 <h3>write_kt<a class="headerlink" href="#write-kt" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>write_kt</strong> <em>keytab</em></div></blockquote>
+<div><p><strong>write_kt</strong> <em>keytab</em></p>
+</div></blockquote>
 <p>Write the current keylist into the Kerberos V5 keytab file <em>keytab</em>.</p>
 <p>Alias: <strong>wkt</strong></p>
-</div>
-<div class="section" id="clear-list">
+</section>
+<section id="clear-list">
 <h3>clear_list<a class="headerlink" href="#clear-list" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>clear_list</strong></div></blockquote>
+<div><p><strong>clear_list</strong></p>
+</div></blockquote>
 <p>Clear the current keylist.</p>
 <p>Alias: <strong>clear</strong></p>
-</div>
-<div class="section" id="delete-entry">
+</section>
+<section id="delete-entry">
 <h3>delete_entry<a class="headerlink" href="#delete-entry" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>delete_entry</strong> <em>slot</em></div></blockquote>
+<div><p><strong>delete_entry</strong> <em>slot</em></p>
+</div></blockquote>
 <p>Delete the entry in slot number <em>slot</em> from the current keylist.</p>
 <p>Alias: <strong>delent</strong></p>
-</div>
-<div class="section" id="add-entry">
+</section>
+<section id="add-entry">
 <h3>add_entry<a class="headerlink" href="#add-entry" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>add_entry</strong> {<strong>-key</strong>|<strong>-password</strong>} <strong>-p</strong> <em>principal</em>
-<strong>-k</strong> <em>kvno</em> [<strong>-e</strong> <em>enctype</em>] [<strong>-f</strong>|<strong>-s</strong> <em>salt</em>]</div></blockquote>
+<div><p><strong>add_entry</strong> {<strong>-key</strong>|<strong>-password</strong>} <strong>-p</strong> <em>principal</em>
+<strong>-k</strong> <em>kvno</em> [<strong>-e</strong> <em>enctype</em>] [<strong>-f</strong>|<strong>-s</strong> <em>salt</em>]</p>
+</div></blockquote>
 <p>Add <em>principal</em> to keylist using key or password.  If the <strong>-f</strong> flag
 is specified, salt information will be fetched from the KDC; in this
 case the <strong>-e</strong> flag may be omitted, or it may be supplied to force a
@@ -124,26 +121,28 @@ particular enctype.  If the <strong>-f</
 flag must be specified, and the default salt will be used unless
 overridden with the <strong>-s</strong> option.</p>
 <p>Alias: <strong>addent</strong></p>
-</div>
-<div class="section" id="list-requests">
+</section>
+<section id="list-requests">
 <h3>list_requests<a class="headerlink" href="#list-requests" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>list_requests</strong></div></blockquote>
+<div><p><strong>list_requests</strong></p>
+</div></blockquote>
 <p>Displays a listing of available commands.</p>
 <p>Aliases: <strong>lr</strong>, <strong>?</strong></p>
-</div>
-<div class="section" id="quit">
+</section>
+<section id="quit">
 <h3>quit<a class="headerlink" href="#quit" title="Permalink to this headline">¶</a></h3>
 <blockquote>
-<div><strong>quit</strong></div></blockquote>
+<div><p><strong>quit</strong></p>
+</div></blockquote>
 <p>Quits ktutil.</p>
 <p>Aliases: <strong>exit</strong>, <strong>q</strong></p>
-</div>
-</div>
-<div class="section" id="example">
+</section>
+</section>
+<section id="example">
 <h2>EXAMPLE<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
 <blockquote>
-<div><div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">ktutil</span><span class="p">:</span>  <span class="n">add_entry</span> <span class="o">-</span><span class="n">password</span> <span class="o">-</span><span class="n">p</span> <span class="n">alice</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span> <span class="o">-</span><span class="n">k</span> <span class="mi">1</span> <span class="o">-</span><span class="n">e</span>
+<div><div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">ktutil</span><span class="p">:</span>  <span class="n">add_entry</span> <span class="o">-</span><span class="n">password</span> <span class="o">-</span><span class="n">p</span> <span class="n">alice</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span> <span class="o">-</span><span class="n">k</span> <span class="mi">1</span> <span class="o">-</span><span class="n">e</span>
     <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">alice</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span><span class="p">:</span>
 <span class="n">ktutil</span><span class="p">:</span>  <span class="n">add_entry</span> <span class="o">-</span><span class="n">password</span> <span class="o">-</span><span class="n">p</span> <span class="n">alice</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span> <span class="o">-</span><span class="n">k</span> <span class="mi">1</span> <span class="o">-</span><span class="n">e</span>
@@ -154,24 +153,26 @@ overridden with the <strong>-s</strong>
 </pre></div>
 </div>
 </div></blockquote>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>, <a class="reference internal" href="kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>, <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ktutil</a><ul>
@@ -259,6 +260,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -266,8 +268,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/admin_commands/sserver.html 1.21.3-1/doc/html/admin/admin_commands/sserver.html
--- 1.21.2-1/doc/html/admin/admin_commands/sserver.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/admin_commands/sserver.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>sserver &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="MIT Kerberos defaults" href="../../mitK5defaults.html" />
     <link rel="prev" title="k5srvutil" href="k5srvutil.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,16 +52,16 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="sserver">
+  <section id="sserver">
 <span id="sserver-8"></span><h1>sserver<a class="headerlink" href="#sserver" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>sserver</strong>
 [ <strong>-p</strong> <em>port</em> ]
 [ <strong>-S</strong> <em>keytab</em> ]
 [ <em>server_port</em> ]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>sserver and <a class="reference internal" href="../../user/user_commands/sclient.html#sclient-1"><span class="std std-ref">sclient</span></a> are a simple demonstration client/server
 application.  When sclient connects to sserver, it performs a Kerberos
@@ -79,19 +70,19 @@ principal which was used for the Kerbero
 good test that Kerberos has been successfully installed on a machine.</p>
 <p>The service name used by sserver and sclient is sample.  Hence,
 sserver will require that there be a keytab entry for the service
-<code class="docutils literal"><span class="pre">sample/hostname.domain.name&#64;REALM.NAME</span></code>.  This keytab is generated
+<code class="docutils literal notranslate"><span class="pre">sample/hostname.domain.name&#64;REALM.NAME</span></code>.  This keytab is generated
 using the <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> program.  The keytab file is usually
 installed as <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a>.</p>
 <p>The <strong>-S</strong> option allows for a different keytab than the default.</p>
 <p>sserver is normally invoked out of inetd(8), using a line in
-<code class="docutils literal"><span class="pre">/etc/inetd.conf</span></code> that looks like this:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">sample</span> <span class="n">stream</span> <span class="n">tcp</span> <span class="n">nowait</span> <span class="n">root</span> <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">sbin</span><span class="o">/</span><span class="n">sserver</span> <span class="n">sserver</span>
+<code class="docutils literal notranslate"><span class="pre">/etc/inetd.conf</span></code> that looks like this:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">sample</span> <span class="n">stream</span> <span class="n">tcp</span> <span class="n">nowait</span> <span class="n">root</span> <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">sbin</span><span class="o">/</span><span class="n">sserver</span> <span class="n">sserver</span>
 </pre></div>
 </div>
-<p>Since <code class="docutils literal"><span class="pre">sample</span></code> is normally not a port defined in <code class="docutils literal"><span class="pre">/etc/services</span></code>,
-you will usually have to add a line to <code class="docutils literal"><span class="pre">/etc/services</span></code> which looks
+<p>Since <code class="docutils literal notranslate"><span class="pre">sample</span></code> is normally not a port defined in <code class="docutils literal notranslate"><span class="pre">/etc/services</span></code>,
+you will usually have to add a line to <code class="docutils literal notranslate"><span class="pre">/etc/services</span></code> which looks
 like this:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">sample</span>          <span class="mi">13135</span><span class="o">/</span><span class="n">tcp</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">sample</span>          <span class="mi">13135</span><span class="o">/</span><span class="n">tcp</span>
 </pre></div>
 </div>
 <p>When using sclient, you will first have to have an entry in the
@@ -102,49 +93,49 @@ connecting to, be sure that both hosts h
 for the sample tcp port, and that the same port number is in both
 files.</p>
 <p>When you run sclient you should see something like this:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">sendauth</span> <span class="n">succeeded</span><span class="p">,</span> <span class="n">reply</span> <span class="ow">is</span><span class="p">:</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">sendauth</span> <span class="n">succeeded</span><span class="p">,</span> <span class="n">reply</span> <span class="ow">is</span><span class="p">:</span>
 <span class="n">reply</span> <span class="nb">len</span> <span class="mi">32</span><span class="p">,</span> <span class="n">contents</span><span class="p">:</span>
 <span class="n">You</span> <span class="n">are</span> <span class="n">nlgilman</span><span class="nd">@JIMI</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="common-error-messages">
+</section>
+<section id="common-error-messages">
 <h2>COMMON ERROR MESSAGES<a class="headerlink" href="#common-error-messages" title="Permalink to this headline">¶</a></h2>
 <ol class="arabic">
-<li><p class="first">kinit returns the error:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kinit</span><span class="p">:</span> <span class="n">Client</span> <span class="ow">not</span> <span class="n">found</span> <span class="ow">in</span> <span class="n">Kerberos</span> <span class="n">database</span> <span class="k">while</span> <span class="n">getting</span>
+<li><p>kinit returns the error:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kinit</span><span class="p">:</span> <span class="n">Client</span> <span class="ow">not</span> <span class="n">found</span> <span class="ow">in</span> <span class="n">Kerberos</span> <span class="n">database</span> <span class="k">while</span> <span class="n">getting</span>
        <span class="n">initial</span> <span class="n">credentials</span>
 </pre></div>
 </div>
 <p>This means that you didn’t create an entry for your username in the
 Kerberos database.</p>
 </li>
-<li><p class="first">sclient returns the error:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">unknown</span> <span class="n">service</span> <span class="n">sample</span><span class="o">/</span><span class="n">tcp</span><span class="p">;</span> <span class="n">check</span> <span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">services</span>
+<li><p>sclient returns the error:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">unknown</span> <span class="n">service</span> <span class="n">sample</span><span class="o">/</span><span class="n">tcp</span><span class="p">;</span> <span class="n">check</span> <span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">services</span>
 </pre></div>
 </div>
 <p>This means that you don’t have an entry in /etc/services for the
 sample tcp port.</p>
 </li>
-<li><p class="first">sclient returns the error:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">connect</span><span class="p">:</span> <span class="n">Connection</span> <span class="n">refused</span>
+<li><p>sclient returns the error:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">connect</span><span class="p">:</span> <span class="n">Connection</span> <span class="n">refused</span>
 </pre></div>
 </div>
 <p>This probably means you didn’t edit /etc/inetd.conf correctly, or
 you didn’t restart inetd after editing inetd.conf.</p>
 </li>
-<li><p class="first">sclient returns the error:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">sclient</span><span class="p">:</span> <span class="n">Server</span> <span class="ow">not</span> <span class="n">found</span> <span class="ow">in</span> <span class="n">Kerberos</span> <span class="n">database</span> <span class="k">while</span> <span class="n">using</span>
+<li><p>sclient returns the error:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">sclient</span><span class="p">:</span> <span class="n">Server</span> <span class="ow">not</span> <span class="n">found</span> <span class="ow">in</span> <span class="n">Kerberos</span> <span class="n">database</span> <span class="k">while</span> <span class="n">using</span>
          <span class="n">sendauth</span>
 </pre></div>
 </div>
-<p>This means that the <code class="docutils literal"><span class="pre">sample/hostname&#64;LOCAL.REALM</span></code> service was not
+<p>This means that the <code class="docutils literal notranslate"><span class="pre">sample/hostname&#64;LOCAL.REALM</span></code> service was not
 defined in the Kerberos database; it should be created using
 <a class="reference internal" href="kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>, and a keytab file needs to be generated to make
 the key for that service principal available for sclient.</p>
 </li>
-<li><p class="first">sclient returns the error:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">sendauth</span> <span class="n">rejected</span><span class="p">,</span> <span class="n">error</span> <span class="n">reply</span> <span class="ow">is</span><span class="p">:</span>
+<li><p>sclient returns the error:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">sendauth</span> <span class="n">rejected</span><span class="p">,</span> <span class="n">error</span> <span class="n">reply</span> <span class="ow">is</span><span class="p">:</span>
     <span class="s2">&quot;No such file or directory&quot;</span>
 </pre></div>
 </div>
@@ -152,24 +143,26 @@ the key for that service principal avail
 probably not installed in the proper directory.</p>
 </li>
 </ol>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="../../user/user_commands/sclient.html#sclient-1"><span class="std std-ref">sclient</span></a>, <a class="reference internal" href="../../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a>, services(5), inetd(8)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">sserver</a><ul>
@@ -246,6 +239,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -253,8 +247,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/advanced/index.html 1.21.3-1/doc/html/admin/advanced/index.html
--- 1.21.2-1/doc/html/admin/advanced/index.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/advanced/index.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Advanced topics &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="Retiring DES" href="retiring-des.html" />
     <link rel="prev" title="Troubleshooting" href="../troubleshoot.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,21 +52,23 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="advanced-topics">
+  <section id="advanced-topics">
 <h1>Advanced topics<a class="headerlink" href="#advanced-topics" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
 <li class="toctree-l1"><a class="reference internal" href="retiring-des.html">Retiring DES</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Advanced topics</a></li>
@@ -135,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/advanced/retiring-des.html 1.21.3-1/doc/html/admin/advanced/retiring-des.html
--- 1.21.2-1/doc/html/admin/advanced/retiring-des.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/advanced/retiring-des.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Retiring DES &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="Various links" href="../various_envs.html" />
     <link rel="prev" title="Advanced topics" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="retiring-des">
+  <section id="retiring-des">
 <span id="id1"></span><h1>Retiring DES<a class="headerlink" href="#retiring-des" title="Permalink to this headline">¶</a></h1>
 <p>Version 5 of the Kerberos protocol was originally implemented using
 the Data Encryption Standard (DES) as a block cipher for encryption.
@@ -69,7 +60,7 @@ While it was considered secure at the ti
 ability have rendered DES vulnerable to brute force attacks on its 56-bit
 keyspace.  As such, it is now considered insecure and should not be
 used (<span class="target" id="index-0"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6649.html"><strong>RFC 6649</strong></a>).</p>
-<div class="section" id="history">
+<section id="history">
 <h2>History<a class="headerlink" href="#history" title="Permalink to this headline">¶</a></h2>
 <p>DES was used in the original Kerberos implementation, and was the
 only cryptosystem in krb5 1.0.  Partial support for triple-DES (3DES) was
@@ -83,25 +74,25 @@ ordinary operation without administrator
 and removed DES (single-DES) support in release 1.18.  As a
 consequence, a release prior to 1.18 is required to perform these
 migrations.</p>
-</div>
-<div class="section" id="types-of-keys">
+</section>
+<section id="types-of-keys">
 <h2>Types of keys<a class="headerlink" href="#types-of-keys" title="Permalink to this headline">¶</a></h2>
 <ul class="simple">
-<li>The database master key:  This key is not exposed to user requests,
+<li><p>The database master key:  This key is not exposed to user requests,
 but is used to encrypt other key material stored in the kerberos
-database.  The database master key is currently stored as <code class="docutils literal"><span class="pre">K/M</span></code>
-by default.</li>
-<li>Password-derived keys:  User principals frequently have keys
+database.  The database master key is currently stored as <code class="docutils literal notranslate"><span class="pre">K/M</span></code>
+by default.</p></li>
+<li><p>Password-derived keys:  User principals frequently have keys
 derived from a password.  When a new password is set, the KDC
 uses various string2key functions to generate keys in the database
-for that principal.</li>
-<li>Keytab keys:  Application server principals generally use random
+for that principal.</p></li>
+<li><p>Keytab keys:  Application server principals generally use random
 keys which are not derived from a password.  When the database
 entry is created, the KDC generates random keys of various enctypes
 to enter in the database, which are conveyed to the application server
-and stored in a keytab.</li>
-<li>Session keys:  These are short-term keys generated by the KDC while
-processing client requests, with an enctype selected by the KDC.</li>
+and stored in a keytab.</p></li>
+<li><p>Session keys:  These are short-term keys generated by the KDC while
+processing client requests, with an enctype selected by the KDC.</p></li>
 </ul>
 <p>For details on the various enctypes and how enctypes are selected by the KDC
 for session keys and client/server long-term keys, see <a class="reference internal" href="../enctypes.html#enctypes"><span class="std std-ref">Encryption types</span></a>.
@@ -109,8 +100,8 @@ When using the <a class="reference inter
 the <strong>-e</strong> argument can be used to force a particular set of enctypes,
 overriding the KDC default values.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">When the KDC is selecting a session key, it has no knowledge about the
+<p class="admonition-title">Note</p>
+<p>When the KDC is selecting a session key, it has no knowledge about the
 kerberos installation on the server which will receive the service ticket,
 only what keys are in the database for the service principal.
 In order to allow uninterrupted operation to
@@ -119,8 +110,8 @@ kerberos installations on application se
 support newer encryption types before keys of those new encryption types
 are created in the Kerberos database for those server principals.</p>
 </div>
-</div>
-<div class="section" id="upgrade-procedure">
+</section>
+<section id="upgrade-procedure">
 <h2>Upgrade procedure<a class="headerlink" href="#upgrade-procedure" title="Permalink to this headline">¶</a></h2>
 <p>This procedure assumes that the KDC software has already been upgraded
 to a modern version of krb5 that supports non-DES keys, so that the
@@ -131,7 +122,7 @@ are DES.  The realm was initially create
 and <strong>supported_enctypes</strong> in <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> was set to a value
 appropriate when the KDC was installed, but was not updated as the KDC
 was upgraded:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
         <span class="n">ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
                 <span class="p">[</span><span class="o">...</span><span class="p">]</span>
                 <span class="n">master_key_type</span> <span class="o">=</span> <span class="n">des</span><span class="o">-</span><span class="n">cbc</span><span class="o">-</span><span class="n">crc</span>
@@ -143,7 +134,7 @@ was upgraded:</p>
 to DES-only, unless specifically requested using <a class="reference internal" href="../admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>.</p>
 <p>Before starting the upgrade, all KDCs were running krb5 1.11,
 and the database entries for some “high-value” principals were:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &#39;getprinc krbtgt/ZONE.MIT.EDU&#39;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &#39;getprinc krbtgt/ZONE.MIT.EDU&#39;</span>
 <span class="p">[</span><span class="o">...</span><span class="p">]</span>
 <span class="n">Number</span> <span class="n">of</span> <span class="n">keys</span><span class="p">:</span> <span class="mi">1</span>
 <span class="n">Key</span><span class="p">:</span> <span class="n">vno</span> <span class="mi">1</span><span class="p">,</span> <span class="n">des</span><span class="o">-</span><span class="n">cbc</span><span class="o">-</span><span class="n">crc</span><span class="p">:</span><span class="n">v4</span>
@@ -160,13 +151,13 @@ and the database entries for some “hig
 <span class="p">[</span><span class="o">...</span><span class="p">]</span>
 </pre></div>
 </div>
-<p>The <code class="docutils literal"><span class="pre">krbtgt/REALM</span></code> key appears to have never been changed since creation
+<p>The <code class="docutils literal notranslate"><span class="pre">krbtgt/REALM</span></code> key appears to have never been changed since creation
 (its kvno is 1), and all three database entries have only a des-cbc-crc key.</p>
-<div class="section" id="the-krbtgt-key-and-kdc-keys">
+<section id="the-krbtgt-key-and-kdc-keys">
 <h3>The krbtgt key and KDC keys<a class="headerlink" href="#the-krbtgt-key-and-kdc-keys" title="Permalink to this headline">¶</a></h3>
 <p>Perhaps the biggest single-step improvement in the security of the cell
 is gained by strengthening the key of the ticket-granting service principal,
-<code class="docutils literal"><span class="pre">krbtgt/REALM</span></code>—if this principal’s key is compromised, so is the
+<code class="docutils literal notranslate"><span class="pre">krbtgt/REALM</span></code>—if this principal’s key is compromised, so is the
 entire realm.  Since the server that will handle service tickets
 for this principal is the KDC itself, it is easy to guarantee that it
 will be configured to support any encryption types which might be
@@ -176,7 +167,7 @@ against that principal, rendering the TG
 Instead, a new key can be created with the old key retained, so that
 existing tickets will still function until their scheduled expiry
 (see <a class="reference internal" href="../database.html#changing-krbtgt-key"><span class="std std-ref">Changing the krbtgt key</span></a>).</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># enctypes=aes256-cts-hmac-sha1-96:normal,\</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># enctypes=aes256-cts-hmac-sha1-96:normal,\</span>
 <span class="o">&gt;</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span><span class="p">:</span><span class="n">normal</span><span class="p">,</span><span class="n">des3</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="p">:</span><span class="n">normal</span><span class="p">,</span><span class="n">des</span><span class="o">-</span><span class="n">cbc</span><span class="o">-</span><span class="n">crc</span><span class="p">:</span><span class="n">normal</span>
 <span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &quot;cpw -e ${enctypes} -randkey \</span>
 <span class="o">&gt;</span> <span class="o">-</span><span class="n">keepold</span> <span class="n">krbtgt</span><span class="o">/</span><span class="n">ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="s2">&quot;</span>
@@ -185,8 +176,8 @@ existing tickets will still function unt
 </pre></div>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The new <code class="docutils literal"><span class="pre">krbtgt&#64;REALM</span></code> key should be propagated to replica KDCs
+<p class="admonition-title">Note</p>
+<p>The new <code class="docutils literal notranslate"><span class="pre">krbtgt&#64;REALM</span></code> key should be propagated to replica KDCs
 immediately so that TGTs issued by the primary KDC can be used to
 issue service tickets on replica KDCs.  Replica KDCs will refuse
 requests using the new TGT kvno until the new krbtgt entry has
@@ -207,7 +198,7 @@ for service tickets will still get DES k
 have new keys generated.  Application service
 remains uninterrupted due to the key-selection procedure on the KDC.</p>
 <p>After the change, the database entry is now:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &#39;getprinc krbtgt/ZONE.MIT.EDU&#39;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &#39;getprinc krbtgt/ZONE.MIT.EDU&#39;</span>
 <span class="p">[</span><span class="o">...</span><span class="p">]</span>
 <span class="n">Number</span> <span class="n">of</span> <span class="n">keys</span><span class="p">:</span> <span class="mi">5</span>
 <span class="n">Key</span><span class="p">:</span> <span class="n">vno</span> <span class="mi">2</span><span class="p">,</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span>
@@ -220,15 +211,15 @@ remains uninterrupted due to the key-sel
 </div>
 <p>Since the expected disruptions from rekeying the krbtgt principal are
 minor, after a short testing period, it is
-appropriate to rekey the other high-value principals, <code class="docutils literal"><span class="pre">kadmin/admin&#64;REALM</span></code>
-and <code class="docutils literal"><span class="pre">kadmin/changepw&#64;REALM</span></code>. These are the service principals used for
+appropriate to rekey the other high-value principals, <code class="docutils literal notranslate"><span class="pre">kadmin/admin&#64;REALM</span></code>
+and <code class="docutils literal notranslate"><span class="pre">kadmin/changepw&#64;REALM</span></code>. These are the service principals used for
 changing user passwords and updating application keytabs.  The kadmin
 and password-changing services are regular kerberized services, so the
 session-key-selection algorithm described in <a class="reference internal" href="../enctypes.html#session-key-selection"><span class="std std-ref">Session key selection</span></a>
 applies.  It is particularly important to have strong session keys for
 these services, since user passwords and new long-term keys are conveyed
 over the encrypted channel.</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># enctypes=aes256-cts-hmac-sha1-96:normal,\</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># enctypes=aes256-cts-hmac-sha1-96:normal,\</span>
 <span class="o">&gt;</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span><span class="p">:</span><span class="n">normal</span><span class="p">,</span><span class="n">des3</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="p">:</span><span class="n">normal</span>
 <span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &quot;cpw -e ${enctypes} -randkey \</span>
 <span class="o">&gt;</span> <span class="n">kadmin</span><span class="o">/</span><span class="n">admin</span><span class="s2">&quot;</span>
@@ -247,15 +238,15 @@ client experiences failure changing a us
 this indicates that that client will become inoperative once services
 are rekeyed to non-DES enctypes.  Such problems can be detected early
 at this stage, giving more time for corrective action.</p>
-</div>
-<div class="section" id="adding-strong-keys-to-application-servers">
+</section>
+<section id="adding-strong-keys-to-application-servers">
 <h3>Adding strong keys to application servers<a class="headerlink" href="#adding-strong-keys-to-application-servers" title="Permalink to this headline">¶</a></h3>
 <p>Before switching the default enctypes for new keys over to strong enctypes,
 it may be desired to test upgrading a handful of services with the
 new configuration before flipping the switch for the defaults.  This
 still requires using the <strong>-e</strong> argument in <a class="reference internal" href="../admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> to get non-default
 enctypes:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># enctypes=aes256-cts-hmac-sha1-96:normal,\</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># enctypes=aes256-cts-hmac-sha1-96:normal,\</span>
 <span class="o">&gt;</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span><span class="p">:</span><span class="n">normal</span><span class="p">,</span><span class="n">des3</span><span class="o">-</span><span class="n">cbc</span><span class="o">-</span><span class="n">sha1</span><span class="p">:</span><span class="n">normal</span><span class="p">,</span><span class="n">des</span><span class="o">-</span><span class="n">cbc</span><span class="o">-</span><span class="n">crc</span><span class="p">:</span><span class="n">normal</span>
 <span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin -r ZONE.MIT.EDU -p zephyr/zephyr@ZONE.MIT.EDU -k -t \</span>
 <span class="o">&gt;</span> <span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">zephyr</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span>  <span class="o">-</span><span class="n">q</span> <span class="s2">&quot;ktadd -e $</span><span class="si">{enctypes}</span><span class="s2"> </span><span class="se">\</span>
@@ -269,13 +260,13 @@ enctypes:</p>
 </div>
 <p>Be sure to remove the old keys from the application keytab, per best
 practice.</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># k5srvutil -f /etc/zephyr/krb5.keytab delold</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># k5srvutil -f /etc/zephyr/krb5.keytab delold</span>
 <span class="n">Authenticating</span> <span class="k">as</span> <span class="n">principal</span> <span class="n">zephyr</span><span class="o">/</span><span class="n">zephyr</span><span class="nd">@ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="k">with</span> <span class="n">keytab</span> <span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">zephyr</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">zephyr</span><span class="o">/</span><span class="n">zephyr</span><span class="nd">@ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">3</span> <span class="n">removed</span> <span class="kn">from</span> <span class="nn">keytab</span> <span class="n">WRFILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">zephyr</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="adding-strong-keys-by-default">
+</section>
+<section id="adding-strong-keys-by-default">
 <h3>Adding strong keys by default<a class="headerlink" href="#adding-strong-keys-by-default" title="Permalink to this headline">¶</a></h3>
 <p>Once the high-visibility services have been rekeyed, it is probably
 appropriate to change <a class="reference internal" href="../conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> to generate keys with the new
@@ -287,14 +278,14 @@ be necessary to implement administrative
 principal keys to be updated in a reasonable period of time, whether
 by forcing password changes or a password synchronization service that
 has access to the current password and can add the new keys.</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
         <span class="n">ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
                 <span class="n">supported_enctypes</span> <span class="o">=</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span><span class="p">:</span><span class="n">normal</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span><span class="p">:</span><span class="n">normal</span> <span class="n">des3</span><span class="o">-</span><span class="n">cbc</span><span class="o">-</span><span class="n">sha1</span><span class="p">:</span><span class="n">normal</span> <span class="n">des3</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="p">:</span><span class="n">normal</span> <span class="n">des</span><span class="o">-</span><span class="n">cbc</span><span class="o">-</span><span class="n">crc</span><span class="p">:</span><span class="n">normal</span>
 </pre></div>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The krb5kdc process must be restarted for these changes to take effect.</p>
+<p class="admonition-title">Note</p>
+<p>The krb5kdc process must be restarted for these changes to take effect.</p>
 </div>
 <p>At this point, all service administrators can update their services and the
 servers behind them to take advantage of strong cryptography.
@@ -303,8 +294,8 @@ upgraded to a version supporting non-DES
 krb5 version and configuration settings.
 Only when the service is configured to accept non-DES keys should
 the key version number be incremented and new keys generated
-(<code class="docutils literal"><span class="pre">k5srvutil</span> <span class="pre">change</span> <span class="pre">&amp;&amp;</span> <span class="pre">k5srvutil</span> <span class="pre">delold</span></code>).</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">root</span><span class="nd">@dr</span><span class="o">-</span><span class="n">willy</span><span class="p">:</span><span class="o">~</span><span class="c1"># k5srvutil change</span>
+(<code class="docutils literal notranslate"><span class="pre">k5srvutil</span> <span class="pre">change</span> <span class="pre">&amp;&amp;</span> <span class="pre">k5srvutil</span> <span class="pre">delold</span></code>).</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">root</span><span class="nd">@dr</span><span class="o">-</span><span class="n">willy</span><span class="p">:</span><span class="o">~</span><span class="c1"># k5srvutil change</span>
 <span class="n">Authenticating</span> <span class="k">as</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">dr</span><span class="o">-</span><span class="n">willy</span><span class="o">.</span><span class="n">xvm</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="k">with</span> <span class="n">keytab</span> <span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">dr</span><span class="o">-</span><span class="n">willy</span><span class="o">.</span><span class="n">xvm</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">3</span><span class="p">,</span> <span class="n">encryption</span> <span class="nb">type</span> <span class="n">AES</span><span class="o">-</span><span class="mi">256</span> <span class="n">CTS</span> <span class="n">mode</span> <span class="k">with</span> <span class="mi">96</span><span class="o">-</span><span class="n">bit</span> <span class="n">SHA</span><span class="o">-</span><span class="mi">1</span> <span class="n">HMAC</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span> <span class="n">WRFILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">dr</span><span class="o">-</span><span class="n">willy</span><span class="o">.</span><span class="n">xvm</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">3</span><span class="p">,</span> <span class="n">encryption</span> <span class="nb">type</span> <span class="n">AES</span><span class="o">-</span><span class="mi">128</span> <span class="n">CTS</span> <span class="n">mode</span> <span class="k">with</span> <span class="mi">96</span><span class="o">-</span><span class="n">bit</span> <span class="n">SHA</span><span class="o">-</span><span class="mi">1</span> <span class="n">HMAC</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span> <span class="n">WRFILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
@@ -328,16 +319,16 @@ the key version number be incremented an
 a load-balanced environment, it may be necessary to schedule downtime
 or adjust the population in the load-balanced pool in order to propagate
 the updated keytab to all hosts in the pool with minimal service interruption.</p>
-</div>
-<div class="section" id="removing-des-keys-from-usage">
+</section>
+<section id="removing-des-keys-from-usage">
 <h3>Removing DES keys from usage<a class="headerlink" href="#removing-des-keys-from-usage" title="Permalink to this headline">¶</a></h3>
 <p>This situation remains something of a testing or transitory state,
 as new DES keys are still being generated, and will be used if requested
 by a client.  To make more progress removing DES from the realm, the KDC
 should be configured to not generate such keys by default.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">An attacker posing as a client can implement a brute force attack against
+<p class="admonition-title">Note</p>
+<p>An attacker posing as a client can implement a brute force attack against
 a DES key for any principal, if that key is in the current (highest-kvno)
 key list.  This attack is only possible if <strong>allow_weak_crypto = true</strong>
 is enabled on the KDC.  Setting the <strong>+requires_preauth</strong> flag on a
@@ -347,21 +338,21 @@ this flag on a service principal is not
 <a class="reference internal" href="../admin_commands/kadmin_local.html#add-principal"><span class="std std-ref">add_principal</span></a> for details.</p>
 </div>
 <p>The following KDC configuration will not generate DES keys by default:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
         <span class="n">ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
                 <span class="n">supported_enctypes</span> <span class="o">=</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span><span class="p">:</span><span class="n">normal</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span><span class="p">:</span><span class="n">normal</span> <span class="n">des3</span><span class="o">-</span><span class="n">cbc</span><span class="o">-</span><span class="n">sha1</span><span class="p">:</span><span class="n">normal</span> <span class="n">des3</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="p">:</span><span class="n">normal</span>
 </pre></div>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">As before, the KDC process must be restarted for this change to take
+<p class="admonition-title">Note</p>
+<p>As before, the KDC process must be restarted for this change to take
 effect.  It is best practice to update kdc.conf on all KDCs, not just the
 primary, to avoid unpleasant surprises should the primary fail and a
 replica need to be promoted.</p>
 </div>
 <p>It is now appropriate to remove the legacy single-DES key from the
-<code class="docutils literal"><span class="pre">krbtgt/REALM</span></code> entry:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &quot;cpw -randkey -keepold \</span>
+<code class="docutils literal notranslate"><span class="pre">krbtgt/REALM</span></code> entry:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &quot;cpw -randkey -keepold \</span>
 <span class="o">&gt;</span> <span class="n">krbtgt</span><span class="o">/</span><span class="n">ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="s2">&quot;</span>
 <span class="n">Authenticating</span> <span class="k">as</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">admin</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="k">with</span> <span class="n">password</span><span class="o">.</span>
 <span class="n">Key</span> <span class="k">for</span> <span class="s2">&quot;krbtgt/ZONE.MIT.EDU@ZONE.MIT.EDU&quot;</span> <span class="n">randomized</span><span class="o">.</span>
@@ -369,7 +360,7 @@ replica need to be promoted.</p>
 </div>
 <p>After the maximum ticket lifetime has passed, the old database entry
 should be removed.</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &#39;purgekeys krbtgt/ZONE.MIT.EDU&#39;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">root</span><span class="nd">@casio</span> <span class="n">krb5kdc</span><span class="p">]</span><span class="c1"># kadmin.local -r ZONE.MIT.EDU -q &#39;purgekeys krbtgt/ZONE.MIT.EDU&#39;</span>
 <span class="n">Authenticating</span> <span class="k">as</span> <span class="n">principal</span> <span class="n">root</span><span class="o">/</span><span class="n">admin</span><span class="nd">@ZONE</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="k">with</span> <span class="n">password</span><span class="o">.</span>
 <span class="n">Old</span> <span class="n">keys</span> <span class="k">for</span> <span class="n">principal</span> <span class="s2">&quot;krbtgt/ZONE.MIT.EDU@ZONE.MIT.EDU&quot;</span> <span class="n">purged</span><span class="o">.</span>
 </pre></div>
@@ -377,7 +368,7 @@ should be removed.</p>
 <p>After the KDC is restarted with the new <strong>supported_enctypes</strong>,
 all user password changes and application keytab updates will not
 generate DES keys by default.</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>contents-vnder-pressvre:~&gt; kpasswd zonetest@ZONE.MIT.EDU
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>contents-vnder-pressvre:~&gt; kpasswd zonetest@ZONE.MIT.EDU
 Password for zonetest@ZONE.MIT.EDU:  [enter old password]
 Enter new password:                  [enter new password]
 Enter it again:                      [enter new password]
@@ -404,8 +395,8 @@ KDC (<strong>allow_weak_crypto = false</
 files, completing the migration.  <strong>allow_weak_crypto</strong> takes precedence over
 all places where DES enctypes could be explicitly configured.  DES keys will
 not be used, even if they are present, when <strong>allow_weak_crypto = false</strong>.</p>
-</div>
-<div class="section" id="support-for-legacy-services">
+</section>
+<section id="support-for-legacy-services">
 <h3>Support for legacy services<a class="headerlink" href="#support-for-legacy-services" title="Permalink to this headline">¶</a></h3>
 <p>If there remain legacy services which do not support non-DES enctypes
 (such as older versions of AFS), <strong>allow_weak_crypto</strong> must remain
@@ -424,33 +415,35 @@ will be necessary, and if the desire to
 strong, the KDC administrators may choose to randkey any principals
 which have not been rekeyed after some timeout period, forcing the
 user to contact the helpdesk for access.</p>
-</div>
-</div>
-<div class="section" id="the-database-master-key">
+</section>
+</section>
+<section id="the-database-master-key">
 <h2>The Database Master Key<a class="headerlink" href="#the-database-master-key" title="Permalink to this headline">¶</a></h2>
-<p>This procedure does not alter <code class="docutils literal"><span class="pre">K/M&#64;REALM</span></code>, the key used to encrypt key
+<p>This procedure does not alter <code class="docutils literal notranslate"><span class="pre">K/M&#64;REALM</span></code>, the key used to encrypt key
 material in the Kerberos database.  (This is the key stored in the stash file
 on the KDC if stash files are used.)  However, the security risk of
-a single-DES key for <code class="docutils literal"><span class="pre">K/M</span></code> is minimal, given that access to material
-encrypted in <code class="docutils literal"><span class="pre">K/M</span></code> (the Kerberos database) is generally tightly controlled.
+a single-DES key for <code class="docutils literal notranslate"><span class="pre">K/M</span></code> is minimal, given that access to material
+encrypted in <code class="docutils literal notranslate"><span class="pre">K/M</span></code> (the Kerberos database) is generally tightly controlled.
 If an attacker can gain access to the encrypted database, they likely
 have access to the stash file as well, rendering the weak cryptography
-broken by non-cryptographic means.  As such, upgrading <code class="docutils literal"><span class="pre">K/M</span></code> to a stronger
+broken by non-cryptographic means.  As such, upgrading <code class="docutils literal notranslate"><span class="pre">K/M</span></code> to a stronger
 encryption type is unlikely to be a high-priority task.</p>
 <p>Is is possible to upgrade the master key used for the database, if
 desired.  Using <a class="reference internal" href="../admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>’s <strong>add_mkey</strong>, <strong>use_mkey</strong>, and
 <strong>update_princ_encryption</strong> commands, a new master key can be added
 and activated for use on new key material, and the existing entries
 converted to the new master key.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Retiring DES</a><ul>
@@ -523,6 +516,7 @@ converted to the new master key.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -530,8 +524,8 @@ converted to the new master key.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/appl_servers.html 1.21.3-1/doc/html/admin/appl_servers.html
--- 1.21.2-1/doc/html/admin/appl_servers.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/appl_servers.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Application servers &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Host configuration" href="host_config.html" />
     <link rel="prev" title="Configuring Kerberos with OpenLDAP back-end" href="conf_ldap.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="application-servers">
+  <section id="application-servers">
 <h1>Application servers<a class="headerlink" href="#application-servers" title="Permalink to this headline">¶</a></h1>
 <p>If you need to install the Kerberos V5 programs on an application
 server, please refer to the Kerberos V5 Installation Guide.  Once you
@@ -69,7 +60,7 @@ have installed the software, you need to
 database (see <a class="reference internal" href="database.html#principals"><span class="std std-ref">Principals</span></a>), and generate a keytab for that host,
 that contains the host’s key.  You also need to make sure the host’s
 clock is within your maximum clock skew of the KDCs.</p>
-<div class="section" id="keytabs">
+<section id="keytabs">
 <h2>Keytabs<a class="headerlink" href="#keytabs" title="Permalink to this headline">¶</a></h2>
 <p>A keytab is a host’s copy of its own keylist, which is analogous to a
 user’s password.  An application server that needs to authenticate
@@ -81,28 +72,28 @@ readable only by root, and you should ne
 network in the clear.  Ideally, you should run the <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>
 command to extract a keytab on the host on which the keytab is to
 reside.</p>
-<div class="section" id="adding-principals-to-keytabs">
+<section id="adding-principals-to-keytabs">
 <span id="add-princ-kt"></span><h3>Adding principals to keytabs<a class="headerlink" href="#adding-principals-to-keytabs" title="Permalink to this headline">¶</a></h3>
 <p>To generate a keytab, or to add a principal to an existing keytab, use
 the <strong>ktadd</strong> command from kadmin.  Here is a sample session, using
 configuration files that enable only AES encryption:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="n">host</span><span class="o">/</span><span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="n">host</span><span class="o">/</span><span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">2</span><span class="p">,</span> <span class="n">encryption</span> <span class="nb">type</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">2</span><span class="p">,</span> <span class="n">encryption</span> <span class="nb">type</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="removing-principals-from-keytabs">
+</section>
+<section id="removing-principals-from-keytabs">
 <h3>Removing principals from keytabs<a class="headerlink" href="#removing-principals-from-keytabs" title="Permalink to this headline">¶</a></h3>
 <p>To remove a principal from an existing keytab, use the kadmin
 <strong>ktremove</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span>  <span class="n">ktremove</span> <span class="n">host</span><span class="o">/</span><span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span>  <span class="n">ktremove</span> <span class="n">host</span><span class="o">/</span><span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">2</span> <span class="n">removed</span> <span class="kn">from</span> <span class="nn">keytab</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">2</span> <span class="n">removed</span> <span class="kn">from</span> <span class="nn">keytab</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="using-a-keytab-to-acquire-client-credentials">
+</section>
+<section id="using-a-keytab-to-acquire-client-credentials">
 <h3>Using a keytab to acquire client credentials<a class="headerlink" href="#using-a-keytab-to-acquire-client-credentials" title="Permalink to this headline">¶</a></h3>
 <p>While keytabs are ordinarily used to accept credentials from clients,
 they can also be used to acquire initial credentials, allowing one
@@ -114,27 +105,27 @@ the default location.</p>
 automatically obtain initial credentials from a keytab as needed.  The
 recommended configuration is as follows:</p>
 <ol class="arabic simple">
-<li>Create a keytab containing a single entry for the desired client
-identity.</li>
-<li>Place the keytab in a location readable by the service, and set the
+<li><p>Create a keytab containing a single entry for the desired client
+identity.</p></li>
+<li><p>Place the keytab in a location readable by the service, and set the
 <strong>KRB5_CLIENT_KTNAME</strong> environment variable to its filename.
 Alternatively, use the <strong>default_client_keytab_name</strong> profile
 variable in <a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>, or use the default location of
-<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFCKTNAME</span></a>.</li>
-<li>Set <strong>KRB5CCNAME</strong> to a filename writable by the service, which
+<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFCKTNAME</span></a>.</p></li>
+<li><p>Set <strong>KRB5CCNAME</strong> to a filename writable by the service, which
 will not be used for any other purpose.  Do not manually obtain
 credentials at this location.  (Another credential cache type
 besides <strong>FILE</strong> can be used if desired, as long the cache will not
 conflict with another use.  A <strong>MEMORY</strong> cache can be used if the
 service runs as a long-lived process.  See <a class="reference internal" href="../basic/ccache_def.html#ccache-definition"><span class="std std-ref">Credential cache</span></a>
-for details.)</li>
-<li>Start the service.  When it authenticates using GSSAPI, it will
+for details.)</p></li>
+<li><p>Start the service.  When it authenticates using GSSAPI, it will
 automatically obtain credentials from the client keytab into the
-specified credential cache, and refresh them before they expire.</li>
+specified credential cache, and refresh them before they expire.</p></li>
 </ol>
-</div>
-</div>
-<div class="section" id="clock-skew">
+</section>
+</section>
+<section id="clock-skew">
 <h2>Clock Skew<a class="headerlink" href="#clock-skew" title="Permalink to this headline">¶</a></h2>
 <p>A Kerberos application server host must keep its clock synchronized or
 it will reject authentication requests from clients.  Modern operating
@@ -144,8 +135,8 @@ machines, where clocks tend to drift mor
 clocks.</p>
 <p>The default allowable clock skew is controlled by the <strong>clockskew</strong>
 variable in <a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</p>
-</div>
-<div class="section" id="getting-dns-information-correct">
+</section>
+<section id="getting-dns-information-correct">
 <h2>Getting DNS information correct<a class="headerlink" href="#getting-dns-information-correct" title="Permalink to this headline">¶</a></h2>
 <p>Several aspects of Kerberos rely on name service.  When a hostname is
 used to name a service, clients may canonicalize the hostname using
@@ -157,19 +148,19 @@ host name (including the domain), and ea
 reverse-resolve to the canonical name.</p>
 <p>Configuration of hostnames varies by operating system.  On the
 application server itself, canonicalization will typically use the
-<code class="docutils literal"><span class="pre">/etc/hosts</span></code> file rather than the DNS.  Ensure that the line for the
+<code class="docutils literal notranslate"><span class="pre">/etc/hosts</span></code> file rather than the DNS.  Ensure that the line for the
 server’s hostname is in the following form:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">IP</span> <span class="n">address</span>      <span class="n">fully</span><span class="o">-</span><span class="n">qualified</span> <span class="n">hostname</span>        <span class="n">aliases</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">IP</span> <span class="n">address</span>      <span class="n">fully</span><span class="o">-</span><span class="n">qualified</span> <span class="n">hostname</span>        <span class="n">aliases</span>
 </pre></div>
 </div>
-<p>Here is a sample <code class="docutils literal"><span class="pre">/etc/hosts</span></code> file:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="c1"># this is a comment</span>
-<span class="mf">127.0</span><span class="o">.</span><span class="mf">0.1</span>      <span class="n">localhost</span> <span class="n">localhost</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
-<span class="mf">10.0</span><span class="o">.</span><span class="mf">0.6</span>       <span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="n">daffodil</span> <span class="n">trillium</span> <span class="n">wake</span><span class="o">-</span><span class="n">robin</span>
+<p>Here is a sample <code class="docutils literal notranslate"><span class="pre">/etc/hosts</span></code> file:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="c1"># this is a comment</span>
+<span class="mf">127.0.0.1</span>      <span class="n">localhost</span> <span class="n">localhost</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<span class="mf">10.0.0.6</span>       <span class="n">daffodil</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="n">daffodil</span> <span class="n">trillium</span> <span class="n">wake</span><span class="o">-</span><span class="n">robin</span>
 </pre></div>
 </div>
-<p>The output of <code class="docutils literal"><span class="pre">klist</span> <span class="pre">-k</span></code> for this example host should look like:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">viola</span><span class="c1"># klist -k</span>
+<p>The output of <code class="docutils literal notranslate"><span class="pre">klist</span> <span class="pre">-k</span></code> for this example host should look like:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">viola</span><span class="c1"># klist -k</span>
 <span class="n">Keytab</span> <span class="n">name</span><span class="p">:</span> <span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span>
 <span class="n">KVNO</span> <span class="n">Principal</span>
 <span class="o">----</span> <span class="o">------------------------------------------------------------</span>
@@ -178,9 +169,9 @@ server’s hostname is in the following
 </div>
 <p>If you were to ssh to this host with a fresh credentials cache (ticket
 file), and then <a class="reference internal" href="../user/user_commands/klist.html#klist-1"><span class="std std-ref">klist</span></a>, the output should list a service
-principal of <code class="docutils literal"><span class="pre">host/daffodil.mit.edu&#64;ATHENA.MIT.EDU</span></code>.</p>
-</div>
-<div class="section" id="configuring-your-firewall-to-work-with-kerberos-v5">
+principal of <code class="docutils literal notranslate"><span class="pre">host/daffodil.mit.edu&#64;ATHENA.MIT.EDU</span></code>.</p>
+</section>
+<section id="configuring-your-firewall-to-work-with-kerberos-v5">
 <span id="conf-firewall"></span><h2>Configuring your firewall to work with Kerberos V5<a class="headerlink" href="#configuring-your-firewall-to-work-with-kerberos-v5" title="Permalink to this headline">¶</a></h2>
 <p>If you need off-site users to be able to get Kerberos tickets in your
 realm, they must be able to get to your KDC.  This requires either
@@ -202,18 +193,20 @@ need to get to Kerberos admin servers in
 need to allow outgoing TCP and UDP requests to port 749.</p>
 <p>If any of your KDCs are outside your firewall, you will need to allow
 kprop requests to get through to the remote KDC.  <a class="reference internal" href="admin_commands/kprop.html#kprop-8"><span class="std std-ref">kprop</span></a> uses
-the <code class="docutils literal"><span class="pre">krb5_prop</span></code> service on port 754 (tcp).</p>
+the <code class="docutils literal notranslate"><span class="pre">krb5_prop</span></code> service on port 754 (tcp).</p>
 <p>The book <em>UNIX System Security</em>, by David Curry, is a good starting
 point for learning to configure firewalls.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Application servers</a><ul>
@@ -281,6 +274,7 @@ point for learning to configure firewall
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -288,8 +282,8 @@ point for learning to configure firewall
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/auth_indicator.html 1.21.3-1/doc/html/admin/auth_indicator.html
--- 1.21.2-1/doc/html/admin/auth_indicator.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/auth_indicator.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Authentication indicators &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Administration programs" href="admin_commands/index.html" />
     <link rel="prev" title="HTTPS proxy configuration" href="https.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="authentication-indicators">
+  <section id="authentication-indicators">
 <span id="auth-indicator"></span><h1>Authentication indicators<a class="headerlink" href="#authentication-indicators" title="Permalink to this headline">¶</a></h1>
 <p>As of release 1.14, the KDC can be configured to annotate tickets if
 the client authenticated using a stronger preauthentication mechanism
@@ -85,24 +76,24 @@ indicator values separated by spaces.</p
 <p>For example, a realm could be configured to set the authentication
 indicator value “strong” when PKINIT is used to authenticate, using a
 setting in the <a class="reference internal" href="conf_files/kdc_conf.html#kdc-realms"><span class="std std-ref">[realms]</span></a> subsection:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">pkinit_indicator</span> <span class="o">=</span> <span class="n">strong</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pkinit_indicator</span> <span class="o">=</span> <span class="n">strong</span>
 </pre></div>
 </div>
 <p>A service principal could be configured to require the “strong”
 authentication indicator value:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kadmin setstr host/high.value.server require_auth strong
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kadmin setstr host/high.value.server require_auth strong
 Password for user/admin@KRBTEST.COM:
 </pre></div>
 </div>
 <p>A user who authenticates with PKINIT would be able to obtain a ticket
 for the service principal:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kinit -X X509_user_identity=FILE:/my/cert.pem,/my/key.pem user
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kinit -X X509_user_identity=FILE:/my/cert.pem,/my/key.pem user
 $ kvno host/high.value.server
 host/high.value.server@KRBTEST.COM: kvno = 1
 </pre></div>
 </div>
 <p>but a user who authenticates with a password would not:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kinit user
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kinit user
 Password for user@KRBTEST.COM:
 $ kvno host/high.value.server
 kvno: KDC policy rejects request while getting credentials for
@@ -112,14 +103,16 @@ kvno: KDC policy rejects request while g
 <p>GSSAPI server applications can inspect authentication indicators
 through the <a class="reference internal" href="../appdev/gssapi.html#gssapi-authind-attr"><span class="std std-ref">auth-indicators</span></a> name
 attribute.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Authentication indicators</a></li>
@@ -176,6 +169,7 @@ attribute.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -183,8 +177,8 @@ attribute.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/backup_host.html 1.21.3-1/doc/html/admin/backup_host.html
--- 1.21.2-1/doc/html/admin/backup_host.html	2023-08-14 16:17:32.000000000 +0000
+++ 1.21.3-1/doc/html/admin/backup_host.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Backups of secure hosts &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="PKINIT configuration" href="pkinit.html" />
     <link rel="prev" title="Host configuration" href="host_config.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="backups-of-secure-hosts">
+  <section id="backups-of-secure-hosts">
 <h1>Backups of secure hosts<a class="headerlink" href="#backups-of-secure-hosts" title="Permalink to this headline">¶</a></h1>
 <p>When you back up a secure host, you should exclude the host’s keytab
 file from the backup.  If someone obtained a copy of the keytab from a
@@ -74,7 +65,7 @@ is easy to generate another keytab file.
 If you are unable to exclude particular files from backups, you should
 ensure that the backups are kept as secure as the host’s root
 password.</p>
-<div class="section" id="backing-up-the-kerberos-database">
+<section id="backing-up-the-kerberos-database">
 <h2>Backing up the Kerberos database<a class="headerlink" href="#backing-up-the-kerberos-database" title="Permalink to this headline">¶</a></h2>
 <p>As with any file, it is possible that your Kerberos database could
 become corrupted.  If this happens on one of the replica KDCs, you
@@ -91,15 +82,17 @@ these backups are stored as secure as yo
 transmission across your network.)  Then if your database becomes
 corrupted, you can load the most recent dump onto the primary KDC.
 (See <a class="reference internal" href="database.html#restore-from-dump"><span class="std std-ref">Dumping and loading a Kerberos database</span></a>.)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Backups of secure hosts</a><ul>
@@ -159,6 +152,7 @@ corrupted, you can load the most recent
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -166,8 +160,8 @@ corrupted, you can load the most recent
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/conf_files/index.html 1.21.3-1/doc/html/admin/conf_files/index.html
--- 1.21.2-1/doc/html/admin/conf_files/index.html	2023-08-14 16:17:33.000000000 +0000
+++ 1.21.3-1/doc/html/admin/conf_files/index.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Configuration Files &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="krb5.conf" href="krb5_conf.html" />
     <link rel="prev" title="UNIX Application Servers" href="../install_appl_srv.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="configuration-files">
+  <section id="configuration-files">
 <h1>Configuration Files<a class="headerlink" href="#configuration-files" title="Permalink to this headline">¶</a></h1>
 <p>Kerberos uses configuration files to allow administrators to specify
 settings on a per-machine basis.  <a class="reference internal" href="krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> applies to all
@@ -71,7 +62,7 @@ For KDC-specific applications, additiona
 used by applications accessing the KDC database directly.  <a class="reference internal" href="kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a>
 is also only used on the KDC, it controls permissions for modifying the
 KDC database.</p>
-<div class="section" id="contents">
+<section id="contents">
 <h2>Contents<a class="headerlink" href="#contents" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -80,15 +71,17 @@ KDC database.</p>
 <li class="toctree-l1"><a class="reference internal" href="kadm5_acl.html">kadm5.acl</a></li>
 </ul>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Configuration Files</a><ul>
@@ -153,6 +146,7 @@ KDC database.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +154,8 @@ KDC database.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/conf_files/kadm5_acl.html 1.21.3-1/doc/html/admin/conf_files/kadm5_acl.html
--- 1.21.2-1/doc/html/admin/conf_files/kadm5_acl.html	2023-08-14 16:17:33.000000000 +0000
+++ 1.21.3-1/doc/html/admin/conf_files/kadm5_acl.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kadm5.acl &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="Realm configuration decisions" href="../realm_config.html" />
     <link rel="prev" title="kdc.conf" href="kdc_conf.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,90 +52,88 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kadm5-acl">
+  <section id="kadm5-acl">
 <span id="kadm5-acl-5"></span><h1>kadm5.acl<a class="headerlink" href="#kadm5-acl" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="description">
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>The Kerberos <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon uses an Access Control List
 (ACL) file to manage access rights to the Kerberos database.
 For operations that affect principals, the ACL file also controls
 which principals can operate on which other principals.</p>
 <p>The default location of the Kerberos ACL file is
-<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kadm5.acl</span></code>  unless this is overridden by the <em>acl_file</em>
+<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kadm5.acl</span></code>  unless this is overridden by the <em>acl_file</em>
 variable in <a class="reference internal" href="kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
-</div>
-<div class="section" id="syntax">
+</section>
+<section id="syntax">
 <h2>SYNTAX<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
-<p>Empty lines and lines starting with the sharp sign (<code class="docutils literal"><span class="pre">#</span></code>) are
+<p>Empty lines and lines starting with the sharp sign (<code class="docutils literal notranslate"><span class="pre">#</span></code>) are
 ignored.  Lines containing ACL entries have the format:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">principal</span>  <span class="n">permissions</span>  <span class="p">[</span><span class="n">target_principal</span>  <span class="p">[</span><span class="n">restrictions</span><span class="p">]</span> <span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">principal</span>  <span class="n">permissions</span>  <span class="p">[</span><span class="n">target_principal</span>  <span class="p">[</span><span class="n">restrictions</span><span class="p">]</span> <span class="p">]</span>
 </pre></div>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">Line order in the ACL file is important.  The first matching entry
+<p class="admonition-title">Note</p>
+<p>Line order in the ACL file is important.  The first matching entry
 will control access for an actor principal on a target principal.</p>
 </div>
-<dl class="docutils">
-<dt><em>principal</em></dt>
-<dd><p class="first">(Partially or fully qualified Kerberos principal name.) Specifies
+<dl>
+<dt><em>principal</em></dt><dd><p>(Partially or fully qualified Kerberos principal name.) Specifies
 the principal whose permissions are to be set.</p>
-<p class="last">Each component of the name may be wildcarded using the <code class="docutils literal"><span class="pre">*</span></code>
+<p>Each component of the name may be wildcarded using the <code class="docutils literal notranslate"><span class="pre">*</span></code>
 character.</p>
 </dd>
-<dt><em>permissions</em></dt>
-<dd><p class="first">Specifies what operations may or may not be performed by a
+<dt><em>permissions</em></dt><dd><p>Specifies what operations may or may not be performed by a
 <em>principal</em> matching a particular entry.  This is a string of one or
 more of the following list of characters or their upper-case
 counterparts.  If the character is <em>upper-case</em>, then the operation
 is disallowed.  If the character is <em>lower-case</em>, then the operation
 is permitted.</p>
-<table border="1" class="last docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="2%" />
-<col width="98%" />
+<col style="width: 2%" />
+<col style="width: 98%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>a</td>
-<td>[Dis]allows the addition of principals or policies</td>
+<tbody>
+<tr class="row-odd"><td><p>a</p></td>
+<td><p>[Dis]allows the addition of principals or policies</p></td>
 </tr>
-<tr class="row-even"><td>c</td>
-<td>[Dis]allows the changing of passwords for principals</td>
+<tr class="row-even"><td><p>c</p></td>
+<td><p>[Dis]allows the changing of passwords for principals</p></td>
 </tr>
-<tr class="row-odd"><td>d</td>
-<td>[Dis]allows the deletion of principals or policies</td>
+<tr class="row-odd"><td><p>d</p></td>
+<td><p>[Dis]allows the deletion of principals or policies</p></td>
 </tr>
-<tr class="row-even"><td>e</td>
-<td>[Dis]allows the extraction of principal keys</td>
+<tr class="row-even"><td><p>e</p></td>
+<td><p>[Dis]allows the extraction of principal keys</p></td>
 </tr>
-<tr class="row-odd"><td>i</td>
-<td>[Dis]allows inquiries about principals or policies</td>
+<tr class="row-odd"><td><p>i</p></td>
+<td><p>[Dis]allows inquiries about principals or policies</p></td>
 </tr>
-<tr class="row-even"><td>l</td>
-<td>[Dis]allows the listing of all principals or policies</td>
+<tr class="row-even"><td><p>l</p></td>
+<td><p>[Dis]allows the listing of all principals or policies</p></td>
 </tr>
-<tr class="row-odd"><td>m</td>
-<td>[Dis]allows the modification of principals or policies</td>
+<tr class="row-odd"><td><p>m</p></td>
+<td><p>[Dis]allows the modification of principals or policies</p></td>
 </tr>
-<tr class="row-even"><td>p</td>
-<td>[Dis]allows the propagation of the principal database (used in <a class="reference internal" href="../database.html#incr-db-prop"><span class="std std-ref">Incremental database propagation</span></a>)</td>
+<tr class="row-even"><td><p>p</p></td>
+<td><p>[Dis]allows the propagation of the principal database (used in <a class="reference internal" href="../database.html#incr-db-prop"><span class="std std-ref">Incremental database propagation</span></a>)</p></td>
 </tr>
-<tr class="row-odd"><td>s</td>
-<td>[Dis]allows the explicit setting of the key for a principal</td>
+<tr class="row-odd"><td><p>s</p></td>
+<td><p>[Dis]allows the explicit setting of the key for a principal</p></td>
 </tr>
-<tr class="row-even"><td>x</td>
-<td>Short for admcilsp. All privileges (except <code class="docutils literal"><span class="pre">e</span></code>)</td>
+<tr class="row-even"><td><p>x</p></td>
+<td><p>Short for admcilsp. All privileges (except <code class="docutils literal notranslate"><span class="pre">e</span></code>)</p></td>
 </tr>
-<tr class="row-odd"><td>*</td>
-<td>Same as x.</td>
+<tr class="row-odd"><td><p>*</p></td>
+<td><p>Same as x.</p></td>
 </tr>
 </tbody>
 </table>
 </dd>
 </dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The <code class="docutils literal"><span class="pre">extract</span></code> privilege is not included in the wildcard
+<p class="admonition-title">Note</p>
+<p>The <code class="docutils literal notranslate"><span class="pre">extract</span></code> privilege is not included in the wildcard
 privilege; it must be explicitly assigned.  This privilege
 allows the user to extract keys from the database, and must be
 handled with great care to avoid disclosure of important keys
@@ -153,47 +142,45 @@ like those of the kadmin/* or krbtgt/* p
 key extraction from specific principals regardless of the
 granted privilege.</p>
 </div>
-<dl class="docutils">
-<dt><em>target_principal</em></dt>
-<dd><p class="first">(Optional. Partially or fully qualified Kerberos principal name.)
+<dl>
+<dt><em>target_principal</em></dt><dd><p>(Optional. Partially or fully qualified Kerberos principal name.)
 Specifies the principal on which <em>permissions</em> may be applied.
-Each component of the name may be wildcarded using the <code class="docutils literal"><span class="pre">*</span></code>
+Each component of the name may be wildcarded using the <code class="docutils literal notranslate"><span class="pre">*</span></code>
 character.</p>
-<p class="last"><em>target_principal</em> can also include back-references to <em>principal</em>,
-in which <code class="docutils literal"><span class="pre">*number</span></code> matches the corresponding wildcard in
+<p><em>target_principal</em> can also include back-references to <em>principal</em>,
+in which <code class="docutils literal notranslate"><span class="pre">*number</span></code> matches the corresponding wildcard in
 <em>principal</em>.</p>
 </dd>
-<dt><em>restrictions</em></dt>
-<dd><p class="first">(Optional) A string of flags. Allowed restrictions are:</p>
+<dt><em>restrictions</em></dt><dd><p>(Optional) A string of flags. Allowed restrictions are:</p>
 <blockquote>
-<div><dl class="docutils">
-<dt>{+|-}<em>flagname</em></dt>
-<dd>flag is forced to the indicated value.  The permissible flags
+<div><dl class="simple">
+<dt>{+|-}<em>flagname</em></dt><dd><p>flag is forced to the indicated value.  The permissible flags
 are the same as those for the <strong>default_principal_flags</strong>
-variable in <a class="reference internal" href="kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</dd>
-<dt><em>-clearpolicy</em></dt>
-<dd>policy is forced to be empty.</dd>
-<dt><em>-policy pol</em></dt>
-<dd>policy is forced to be <em>pol</em>.</dd>
-<dt>-{<em>expire, pwexpire, maxlife, maxrenewlife</em>} <em>time</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) associated value will be forced to
-MIN(<em>time</em>, requested value).</dd>
+variable in <a class="reference internal" href="kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.</p>
+</dd>
+<dt><em>-clearpolicy</em></dt><dd><p>policy is forced to be empty.</p>
+</dd>
+<dt><em>-policy pol</em></dt><dd><p>policy is forced to be <em>pol</em>.</p>
+</dd>
+<dt>-{<em>expire, pwexpire, maxlife, maxrenewlife</em>} <em>time</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#getdate"><span class="std std-ref">getdate time</span></a> string) associated value will be forced to
+MIN(<em>time</em>, requested value).</p>
+</dd>
 </dl>
 </div></blockquote>
-<p class="last">The above flags act as restrictions on any add or modify operation
+<p>The above flags act as restrictions on any add or modify operation
 which is allowed due to that ACL line.</p>
 </dd>
 </dl>
 <div class="admonition warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">If the kadmind ACL file is modified, the kadmind daemon needs to be
+<p class="admonition-title">Warning</p>
+<p>If the kadmind ACL file is modified, the kadmind daemon needs to be
 restarted for changes to take effect.</p>
 </div>
-</div>
-<div class="section" id="example">
+</section>
+<section id="example">
 <h2>EXAMPLE<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
 <p>Here is an example of a kadm5.acl file:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="o">*/</span><span class="n">admin</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>    <span class="o">*</span>                               <span class="c1"># line 1</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">*/</span><span class="n">admin</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>    <span class="o">*</span>                               <span class="c1"># line 1</span>
 <span class="n">joeadmin</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>   <span class="n">ADMCIL</span>                          <span class="c1"># line 2</span>
 <span class="n">joeadmin</span><span class="o">/*</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="n">i</span>   <span class="o">*/</span><span class="n">root</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>       <span class="c1"># line 3</span>
 <span class="o">*/</span><span class="n">root</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>     <span class="n">ci</span>  <span class="o">*</span><span class="mi">1</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>           <span class="c1"># line 4</span>
@@ -201,31 +188,31 @@ restarted for changes to take effect.</p
 <span class="n">sms</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>        <span class="n">x</span>   <span class="o">*</span> <span class="o">-</span><span class="n">maxlife</span> <span class="mi">9</span><span class="n">h</span> <span class="o">-</span><span class="n">postdateable</span> <span class="c1"># line 6</span>
 </pre></div>
 </div>
-<p>(line 1) Any principal in the <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> realm with an
-<code class="docutils literal"><span class="pre">admin</span></code> instance has all administrative privileges except extracting
+<p>(line 1) Any principal in the <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> realm with an
+<code class="docutils literal notranslate"><span class="pre">admin</span></code> instance has all administrative privileges except extracting
 keys.</p>
-<p>(lines 1-3) The user <code class="docutils literal"><span class="pre">joeadmin</span></code> has all permissions except
-extracting keys with his <code class="docutils literal"><span class="pre">admin</span></code> instance,
-<code class="docutils literal"><span class="pre">joeadmin/admin&#64;ATHENA.MIT.EDU</span></code> (matches line 1).  He has no
-permissions at all with his null instance, <code class="docutils literal"><span class="pre">joeadmin&#64;ATHENA.MIT.EDU</span></code>
-(matches line 2).  His <code class="docutils literal"><span class="pre">root</span></code> and other non-<code class="docutils literal"><span class="pre">admin</span></code>, non-null
-instances (e.g., <code class="docutils literal"><span class="pre">extra</span></code> or <code class="docutils literal"><span class="pre">dbadmin</span></code>) have inquire permissions
-with any principal that has the instance <code class="docutils literal"><span class="pre">root</span></code> (matches line 3).</p>
-<p>(line 4) Any <code class="docutils literal"><span class="pre">root</span></code> principal in <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> can inquire
+<p>(lines 1-3) The user <code class="docutils literal notranslate"><span class="pre">joeadmin</span></code> has all permissions except
+extracting keys with his <code class="docutils literal notranslate"><span class="pre">admin</span></code> instance,
+<code class="docutils literal notranslate"><span class="pre">joeadmin/admin&#64;ATHENA.MIT.EDU</span></code> (matches line 1).  He has no
+permissions at all with his null instance, <code class="docutils literal notranslate"><span class="pre">joeadmin&#64;ATHENA.MIT.EDU</span></code>
+(matches line 2).  His <code class="docutils literal notranslate"><span class="pre">root</span></code> and other non-<code class="docutils literal notranslate"><span class="pre">admin</span></code>, non-null
+instances (e.g., <code class="docutils literal notranslate"><span class="pre">extra</span></code> or <code class="docutils literal notranslate"><span class="pre">dbadmin</span></code>) have inquire permissions
+with any principal that has the instance <code class="docutils literal notranslate"><span class="pre">root</span></code> (matches line 3).</p>
+<p>(line 4) Any <code class="docutils literal notranslate"><span class="pre">root</span></code> principal in <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> can inquire
 or change the password of their null instance, but not any other
-null instance.  (Here, <code class="docutils literal"><span class="pre">*1</span></code> denotes a back-reference to the
+null instance.  (Here, <code class="docutils literal notranslate"><span class="pre">*1</span></code> denotes a back-reference to the
 component matching the first wildcard in the actor principal.)</p>
-<p>(line 5) Any <code class="docutils literal"><span class="pre">root</span></code> principal in <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> can generate
+<p>(line 5) Any <code class="docutils literal notranslate"><span class="pre">root</span></code> principal in <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> can generate
 the list of principals in the database, and the list of policies
 in the database.  This line is separate from line 4, because list
 permission can only be granted globally, not to specific target
 principals.</p>
 <p>(line 6) Finally, the Service Management System principal
-<code class="docutils literal"><span class="pre">sms&#64;ATHENA.MIT.EDU</span></code> has all permissions except extracting keys, but
+<code class="docutils literal notranslate"><span class="pre">sms&#64;ATHENA.MIT.EDU</span></code> has all permissions except extracting keys, but
 any principal that it creates or modifies will not be able to get
 postdateable tickets or tickets with a life of longer than 9 hours.</p>
-</div>
-<div class="section" id="module-behavior">
+</section>
+<section id="module-behavior">
 <h2>MODULE BEHAVIOR<a class="headerlink" href="#module-behavior" title="Permalink to this headline">¶</a></h2>
 <p>The ACL file can coexist with other authorization modules in release
 1.16 and later, as configured in the <a class="reference internal" href="krb5_conf.html#kadm5-auth"><span class="std std-ref">kadm5_auth interface</span></a> section of
@@ -234,20 +221,22 @@ operations according to the rules above,
 authoritatively deny an operation, so other modules can authorize
 operations in addition to those authorized by the ACL file.</p>
 <p>To operate without an ACL file, set the <em>acl_file</em> variable in
-<a class="reference internal" href="kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> to the empty string with <code class="docutils literal"><span class="pre">acl_file</span> <span class="pre">=</span> <span class="pre">&quot;&quot;</span></code>.</p>
-</div>
-<div class="section" id="see-also">
+<a class="reference internal" href="kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> to the empty string with <code class="docutils literal notranslate"><span class="pre">acl_file</span> <span class="pre">=</span> <span class="pre">&quot;&quot;</span></code>.</p>
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>, <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kadm5.acl</a><ul>
@@ -316,6 +305,7 @@ operations in addition to those authoriz
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -323,8 +313,8 @@ operations in addition to those authoriz
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/conf_files/kdc_conf.html 1.21.3-1/doc/html/admin/conf_files/kdc_conf.html
--- 1.21.2-1/doc/html/admin/conf_files/kdc_conf.html	2023-08-14 16:17:33.000000000 +0000
+++ 1.21.3-1/doc/html/admin/conf_files/kdc_conf.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kdc.conf &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kadm5.acl" href="kadm5_acl.html" />
     <link rel="prev" title="krb5.conf" href="krb5_conf.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-conf">
+  <section id="kdc-conf">
 <span id="kdc-conf-5"></span><h1>kdc.conf<a class="headerlink" href="#kdc-conf" title="Permalink to this headline">¶</a></h1>
 <p>The kdc.conf file supplements <a class="reference internal" href="krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> for programs which
 are typically only used on a KDC, such as the <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> and
@@ -70,218 +61,216 @@ Relations documented here may also be sp
 KDC programs mentioned, krb5.conf and kdc.conf will be merged into a
 single configuration profile.</p>
 <p>Normally, the kdc.conf file is found in the KDC state directory,
-<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code>.  You can override the default location by setting the
+<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code>.  You can override the default location by setting the
 environment variable <strong>KRB5_KDC_PROFILE</strong>.</p>
 <p>Please note that you need to restart the KDC daemon for any configuration
 changes to take effect.</p>
-<div class="section" id="structure">
+<section id="structure">
 <h2>Structure<a class="headerlink" href="#structure" title="Permalink to this headline">¶</a></h2>
 <p>The kdc.conf file is set up in the same format as the
 <a class="reference internal" href="krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> file.</p>
-</div>
-<div class="section" id="sections">
+</section>
+<section id="sections">
 <h2>Sections<a class="headerlink" href="#sections" title="Permalink to this headline">¶</a></h2>
 <p>The kdc.conf file may contain the following sections:</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="29%" />
-<col width="71%" />
+<col style="width: 29%" />
+<col style="width: 71%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><a class="reference internal" href="#kdcdefaults"><span class="std std-ref">[kdcdefaults]</span></a></td>
-<td>Default values for KDC behavior</td>
+<tbody>
+<tr class="row-odd"><td><p><a class="reference internal" href="#kdcdefaults"><span class="std std-ref">[kdcdefaults]</span></a></p></td>
+<td><p>Default values for KDC behavior</p></td>
 </tr>
-<tr class="row-even"><td><a class="reference internal" href="#kdc-realms"><span class="std std-ref">[realms]</span></a></td>
-<td>Realm-specific database configuration and settings</td>
+<tr class="row-even"><td><p><a class="reference internal" href="#kdc-realms"><span class="std std-ref">[realms]</span></a></p></td>
+<td><p>Realm-specific database configuration and settings</p></td>
 </tr>
-<tr class="row-odd"><td><a class="reference internal" href="#dbdefaults"><span class="std std-ref">[dbdefaults]</span></a></td>
-<td>Default database settings</td>
+<tr class="row-odd"><td><p><a class="reference internal" href="#dbdefaults"><span class="std std-ref">[dbdefaults]</span></a></p></td>
+<td><p>Default database settings</p></td>
 </tr>
-<tr class="row-even"><td><a class="reference internal" href="#dbmodules"><span class="std std-ref">[dbmodules]</span></a></td>
-<td>Per-database settings</td>
+<tr class="row-even"><td><p><a class="reference internal" href="#dbmodules"><span class="std std-ref">[dbmodules]</span></a></p></td>
+<td><p>Per-database settings</p></td>
 </tr>
-<tr class="row-odd"><td><a class="reference internal" href="#logging"><span class="std std-ref">[logging]</span></a></td>
-<td>Controls how Kerberos daemons perform logging</td>
+<tr class="row-odd"><td><p><a class="reference internal" href="#logging"><span class="std std-ref">[logging]</span></a></p></td>
+<td><p>Controls how Kerberos daemons perform logging</p></td>
 </tr>
 </tbody>
 </table>
-<div class="section" id="kdcdefaults">
+<section id="kdcdefaults">
 <span id="id1"></span><h3>[kdcdefaults]<a class="headerlink" href="#kdcdefaults" title="Permalink to this headline">¶</a></h3>
 <p>Some relations in the [kdcdefaults] section specify default values for
 realm variables, to be used if the [realms] subsection does not
 contain a relation for the tag.  See the <a class="reference internal" href="#kdc-realms"><span class="std std-ref">[realms]</span></a> section for
 the definitions of these relations.</p>
 <ul class="simple">
-<li><strong>host_based_services</strong></li>
-<li><strong>kdc_listen</strong></li>
-<li><strong>kdc_ports</strong></li>
-<li><strong>kdc_tcp_listen</strong></li>
-<li><strong>kdc_tcp_ports</strong></li>
-<li><strong>no_host_referral</strong></li>
-<li><strong>restrict_anonymous_to_tgt</strong></li>
+<li><p><strong>host_based_services</strong></p></li>
+<li><p><strong>kdc_listen</strong></p></li>
+<li><p><strong>kdc_ports</strong></p></li>
+<li><p><strong>kdc_tcp_listen</strong></p></li>
+<li><p><strong>kdc_tcp_ports</strong></p></li>
+<li><p><strong>no_host_referral</strong></p></li>
+<li><p><strong>restrict_anonymous_to_tgt</strong></p></li>
 </ul>
 <p>The following [kdcdefaults] variables have no per-realm equivalent:</p>
-<dl class="docutils">
-<dt><strong>kdc_max_dgram_reply_size</strong></dt>
-<dd>Specifies the maximum packet size that can be sent over UDP.  The
-default value is 4096 bytes.</dd>
-<dt><strong>kdc_tcp_listen_backlog</strong></dt>
-<dd>(Integer.)  Set the size of the listen queue length for the KDC
+<dl class="simple">
+<dt><strong>kdc_max_dgram_reply_size</strong></dt><dd><p>Specifies the maximum packet size that can be sent over UDP.  The
+default value is 4096 bytes.</p>
+</dd>
+<dt><strong>kdc_tcp_listen_backlog</strong></dt><dd><p>(Integer.)  Set the size of the listen queue length for the KDC
 daemon.  The value may be limited by OS settings.  The default
-value is 5.</dd>
-<dt><strong>spake_preauth_kdc_challenge</strong></dt>
-<dd>(String.)  Specifies the group for a SPAKE optimistic challenge.
+value is 5.</p>
+</dd>
+<dt><strong>spake_preauth_kdc_challenge</strong></dt><dd><p>(String.)  Specifies the group for a SPAKE optimistic challenge.
 See the <strong>spake_preauth_groups</strong> variable in <a class="reference internal" href="krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>
 for possible values.  The default is not to issue an optimistic
-challenge.  (New in release 1.17.)</dd>
+challenge.  (New in release 1.17.)</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="realms">
+</section>
+<section id="realms">
 <span id="kdc-realms"></span><h3>[realms]<a class="headerlink" href="#realms" title="Permalink to this headline">¶</a></h3>
 <p>Each tag in the [realms] section is the name of a Kerberos realm.  The
 value of the tag is a subsection where the relations define KDC
 parameters for that particular realm.  The following example shows how
 to define one parameter for the ATHENA.MIT.EDU realm:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
     <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">max_renewable_life</span> <span class="o">=</span> <span class="mi">7</span><span class="n">d</span> <span class="mi">0</span><span class="n">h</span> <span class="mi">0</span><span class="n">m</span> <span class="mi">0</span><span class="n">s</span>
     <span class="p">}</span>
 </pre></div>
 </div>
 <p>The following tags may be specified in a [realms] subsection:</p>
-<dl class="docutils">
-<dt><strong>acl_file</strong></dt>
-<dd>(String.)  Location of the access control list file that
+<dl>
+<dt><strong>acl_file</strong></dt><dd><p>(String.)  Location of the access control list file that
 <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> uses to determine which principals are allowed
 which permissions on the Kerberos database.  To operate without an
-ACL file, set this relation to the empty string with <code class="docutils literal"><span class="pre">acl_file</span> <span class="pre">=</span>
-<span class="pre">&quot;&quot;</span></code>.  The default value is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kadm5.acl</span></code>.  For more
-information on Kerberos ACL file see <a class="reference internal" href="kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a>.</dd>
-<dt><strong>database_module</strong></dt>
-<dd>(String.)  This relation indicates the name of the configuration
+ACL file, set this relation to the empty string with <code class="docutils literal notranslate"><span class="pre">acl_file</span> <span class="pre">=</span>
+<span class="pre">&quot;&quot;</span></code>.  The default value is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kadm5.acl</span></code>.  For more
+information on Kerberos ACL file see <a class="reference internal" href="kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a>.</p>
+</dd>
+<dt><strong>database_module</strong></dt><dd><p>(String.)  This relation indicates the name of the configuration
 section under <a class="reference internal" href="#dbmodules"><span class="std std-ref">[dbmodules]</span></a> for database-specific parameters
 used by the loadable database library.  The default value is the
 realm name.  If this configuration section does not exist, default
-values will be used for all database parameters.</dd>
-<dt><strong>database_name</strong></dt>
-<dd>(String, deprecated.)  This relation specifies the location of the
+values will be used for all database parameters.</p>
+</dd>
+<dt><strong>database_name</strong></dt><dd><p>(String, deprecated.)  This relation specifies the location of the
 Kerberos database for this realm, if the DB2 module is being used
 and the <a class="reference internal" href="#dbmodules"><span class="std std-ref">[dbmodules]</span></a> configuration section does not specify a
-database name.  The default value is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/principal</span></code>.</dd>
-<dt><strong>default_principal_expiration</strong></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#abstime"><span class="std std-ref">Absolute time</span></a> string.)  Specifies the default expiration date of
+database name.  The default value is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/principal</span></code>.</p>
+</dd>
+<dt><strong>default_principal_expiration</strong></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#abstime"><span class="std std-ref">Absolute time</span></a> string.)  Specifies the default expiration date of
 principals created in this realm.  The default value is 0, which
-means no expiration date.</dd>
-<dt><strong>default_principal_flags</strong></dt>
-<dd><p class="first">(Flag string.)  Specifies the default attributes of principals
+means no expiration date.</p>
+</dd>
+<dt><strong>default_principal_flags</strong></dt><dd><p>(Flag string.)  Specifies the default attributes of principals
 created in this realm.  The format for this string is a
 comma-separated list of flags, with ‘+’ before each flag that
-should be enabled and ‘-‘ before each flag that should be
+should be enabled and ‘-’ before each flag that should be
 disabled.  The <strong>postdateable</strong>, <strong>forwardable</strong>, <strong>tgt-based</strong>,
 <strong>renewable</strong>, <strong>proxiable</strong>, <strong>dup-skey</strong>, <strong>allow-tickets</strong>, and
 <strong>service</strong> flags default to enabled.</p>
 <p>There are a number of possible flags:</p>
-<dl class="last docutils">
-<dt><strong>allow-tickets</strong></dt>
-<dd>Enabling this flag means that the KDC will issue tickets for
+<dl class="simple">
+<dt><strong>allow-tickets</strong></dt><dd><p>Enabling this flag means that the KDC will issue tickets for
 this principal.  Disabling this flag essentially deactivates
-the principal within this realm.</dd>
-<dt><strong>dup-skey</strong></dt>
-<dd>Enabling this flag allows the KDC to issue user-to-user
-service tickets for this principal.</dd>
-<dt><strong>forwardable</strong></dt>
-<dd>Enabling this flag allows the principal to obtain forwardable
-tickets.</dd>
-<dt><strong>hwauth</strong></dt>
-<dd>If this flag is enabled, then the principal is required to
+the principal within this realm.</p>
+</dd>
+<dt><strong>dup-skey</strong></dt><dd><p>Enabling this flag allows the KDC to issue user-to-user
+service tickets for this principal.</p>
+</dd>
+<dt><strong>forwardable</strong></dt><dd><p>Enabling this flag allows the principal to obtain forwardable
+tickets.</p>
+</dd>
+<dt><strong>hwauth</strong></dt><dd><p>If this flag is enabled, then the principal is required to
 preauthenticate using a hardware device before receiving any
-tickets.</dd>
-<dt><strong>no-auth-data-required</strong></dt>
-<dd>Enabling this flag prevents PAC or AD-SIGNEDPATH data from
-being added to service tickets for the principal.</dd>
-<dt><strong>ok-as-delegate</strong></dt>
-<dd>If this flag is enabled, it hints the client that credentials
+tickets.</p>
+</dd>
+<dt><strong>no-auth-data-required</strong></dt><dd><p>Enabling this flag prevents PAC or AD-SIGNEDPATH data from
+being added to service tickets for the principal.</p>
+</dd>
+<dt><strong>ok-as-delegate</strong></dt><dd><p>If this flag is enabled, it hints the client that credentials
 can and should be delegated when authenticating to the
-service.</dd>
-<dt><strong>ok-to-auth-as-delegate</strong></dt>
-<dd>Enabling this flag allows the principal to use S4USelf tickets.</dd>
-<dt><strong>postdateable</strong></dt>
-<dd>Enabling this flag allows the principal to obtain postdateable
-tickets.</dd>
-<dt><strong>preauth</strong></dt>
-<dd>If this flag is enabled on a client principal, then that
+service.</p>
+</dd>
+<dt><strong>ok-to-auth-as-delegate</strong></dt><dd><p>Enabling this flag allows the principal to use S4USelf tickets.</p>
+</dd>
+<dt><strong>postdateable</strong></dt><dd><p>Enabling this flag allows the principal to obtain postdateable
+tickets.</p>
+</dd>
+<dt><strong>preauth</strong></dt><dd><p>If this flag is enabled on a client principal, then that
 principal is required to preauthenticate to the KDC before
 receiving any tickets.  On a service principal, enabling this
 flag means that service tickets for this principal will only
 be issued to clients with a TGT that has the preauthenticated
-bit set.</dd>
-<dt><strong>proxiable</strong></dt>
-<dd>Enabling this flag allows the principal to obtain proxy
-tickets.</dd>
-<dt><strong>pwchange</strong></dt>
-<dd>Enabling this flag forces a password change for this
-principal.</dd>
-<dt><strong>pwservice</strong></dt>
-<dd>If this flag is enabled, it marks this principal as a password
+bit set.</p>
+</dd>
+<dt><strong>proxiable</strong></dt><dd><p>Enabling this flag allows the principal to obtain proxy
+tickets.</p>
+</dd>
+<dt><strong>pwchange</strong></dt><dd><p>Enabling this flag forces a password change for this
+principal.</p>
+</dd>
+<dt><strong>pwservice</strong></dt><dd><p>If this flag is enabled, it marks this principal as a password
 change service.  This should only be used in special cases,
 for example, if a user’s password has expired, then the user
 has to get tickets for that principal without going through
 the normal password authentication in order to be able to
-change the password.</dd>
-<dt><strong>renewable</strong></dt>
-<dd>Enabling this flag allows the principal to obtain renewable
-tickets.</dd>
-<dt><strong>service</strong></dt>
-<dd>Enabling this flag allows the the KDC to issue service tickets
+change the password.</p>
+</dd>
+<dt><strong>renewable</strong></dt><dd><p>Enabling this flag allows the principal to obtain renewable
+tickets.</p>
+</dd>
+<dt><strong>service</strong></dt><dd><p>Enabling this flag allows the the KDC to issue service tickets
 for this principal.  In release 1.17 and later, user-to-user
 service tickets are still allowed if the <strong>dup-skey</strong> flag is
-set.</dd>
-<dt><strong>tgt-based</strong></dt>
-<dd>Enabling this flag allows a principal to obtain tickets based
+set.</p>
+</dd>
+<dt><strong>tgt-based</strong></dt><dd><p>Enabling this flag allows a principal to obtain tickets based
 on a ticket-granting-ticket, rather than repeating the
-authentication process that was used to obtain the TGT.</dd>
+authentication process that was used to obtain the TGT.</p>
+</dd>
 </dl>
 </dd>
-<dt><strong>dict_file</strong></dt>
-<dd>(String.)  Location of the dictionary file containing strings that
+<dt><strong>dict_file</strong></dt><dd><p>(String.)  Location of the dictionary file containing strings that
 are not allowed as passwords.  The file should contain one string
 per line, with no additional whitespace.  If none is specified or
 if there is no policy assigned to the principal, no dictionary
-checks of passwords will be performed.</dd>
-<dt><strong>disable_pac</strong></dt>
-<dd>(Boolean value.)  If true, the KDC will not issue PACs for this
+checks of passwords will be performed.</p>
+</dd>
+<dt><strong>disable_pac</strong></dt><dd><p>(Boolean value.)  If true, the KDC will not issue PACs for this
 realm, and S4U2Self and S4U2Proxy operations will be disabled.
 The default is false, which will permit the KDC to issue PACs.
-New in release 1.20.</dd>
-<dt><strong>encrypted_challenge_indicator</strong></dt>
-<dd>(String.)  Specifies the authentication indicator value that the KDC
+New in release 1.20.</p>
+</dd>
+<dt><strong>encrypted_challenge_indicator</strong></dt><dd><p>(String.)  Specifies the authentication indicator value that the KDC
 asserts into tickets obtained using FAST encrypted challenge
-pre-authentication.  New in 1.16.</dd>
-<dt><strong>host_based_services</strong></dt>
-<dd>(Whitespace- or comma-separated list.)  Lists services which will
+pre-authentication.  New in 1.16.</p>
+</dd>
+<dt><strong>host_based_services</strong></dt><dd><p>(Whitespace- or comma-separated list.)  Lists services which will
 get host-based referral processing even if the server principal is
-not marked as host-based by the client.</dd>
-<dt><strong>iprop_enable</strong></dt>
-<dd>(Boolean value.)  Specifies whether incremental database
-propagation is enabled.  The default value is false.</dd>
-<dt><strong>iprop_ulogsize</strong></dt>
-<dd>(Integer.)  Specifies the maximum number of log entries to be
+not marked as host-based by the client.</p>
+</dd>
+<dt><strong>iprop_enable</strong></dt><dd><p>(Boolean value.)  Specifies whether incremental database
+propagation is enabled.  The default value is false.</p>
+</dd>
+<dt><strong>iprop_ulogsize</strong></dt><dd><p>(Integer.)  Specifies the maximum number of log entries to be
 retained for incremental propagation.  The default value is 1000.
 Prior to release 1.11, the maximum value was 2500.  New in release
-1.19.</dd>
-<dt><strong>iprop_master_ulogsize</strong></dt>
-<dd>The name for <strong>iprop_ulogsize</strong> prior to release 1.19.  Its value is
-used as a fallback if <strong>iprop_ulogsize</strong> is not specified.</dd>
-<dt><strong>iprop_replica_poll</strong></dt>
-<dd>(Delta time string.)  Specifies how often the replica KDC polls
-for new updates from the primary.  The default value is <code class="docutils literal"><span class="pre">2m</span></code>
-(that is, two minutes).  New in release 1.17.</dd>
-<dt><strong>iprop_slave_poll</strong></dt>
-<dd>(Delta time string.)  The name for <strong>iprop_replica_poll</strong> prior to
+1.19.</p>
+</dd>
+<dt><strong>iprop_master_ulogsize</strong></dt><dd><p>The name for <strong>iprop_ulogsize</strong> prior to release 1.19.  Its value is
+used as a fallback if <strong>iprop_ulogsize</strong> is not specified.</p>
+</dd>
+<dt><strong>iprop_replica_poll</strong></dt><dd><p>(Delta time string.)  Specifies how often the replica KDC polls
+for new updates from the primary.  The default value is <code class="docutils literal notranslate"><span class="pre">2m</span></code>
+(that is, two minutes).  New in release 1.17.</p>
+</dd>
+<dt><strong>iprop_slave_poll</strong></dt><dd><p>(Delta time string.)  The name for <strong>iprop_replica_poll</strong> prior to
 release 1.17.  Its value is used as a fallback if
-<strong>iprop_replica_poll</strong> is not specified.</dd>
-<dt><strong>iprop_listen</strong></dt>
-<dd>(Whitespace- or comma-separated list.)  Specifies the iprop RPC
+<strong>iprop_replica_poll</strong> is not specified.</p>
+</dd>
+<dt><strong>iprop_listen</strong></dt><dd><p>(Whitespace- or comma-separated list.)  Specifies the iprop RPC
 listening addresses and/or ports for the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon.
 Each entry may be an interface address, a port number, or an
 address and port number separated by a colon.  If the address
@@ -290,32 +279,32 @@ specified, the wildcard address is used.
 to any of the specified addresses, it will fail to start.  The
 default (when <strong>iprop_enable</strong> is true) is to bind to the wildcard
 address at the port specified in <strong>iprop_port</strong>.  New in release
-1.15.</dd>
-<dt><strong>iprop_port</strong></dt>
-<dd>(Port number.)  Specifies the port number to be used for
+1.15.</p>
+</dd>
+<dt><strong>iprop_port</strong></dt><dd><p>(Port number.)  Specifies the port number to be used for
 incremental propagation.  When <strong>iprop_enable</strong> is true, this
 relation is required in the replica KDC configuration file, and
 this relation or <strong>iprop_listen</strong> is required in the primary
 configuration file, as there is no default port number.  Port
 numbers specified in <strong>iprop_listen</strong> entries will override this
-port number for the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon.</dd>
-<dt><strong>iprop_resync_timeout</strong></dt>
-<dd>(Delta time string.)  Specifies the amount of time to wait for a
+port number for the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon.</p>
+</dd>
+<dt><strong>iprop_resync_timeout</strong></dt><dd><p>(Delta time string.)  Specifies the amount of time to wait for a
 full propagation to complete.  This is optional in configuration
 files, and is used by replica KDCs only.  The default value is 5
-minutes (<code class="docutils literal"><span class="pre">5m</span></code>).  New in release 1.11.</dd>
-<dt><strong>iprop_logfile</strong></dt>
-<dd>(File name.)  Specifies where the update log file for the realm
+minutes (<code class="docutils literal notranslate"><span class="pre">5m</span></code>).  New in release 1.11.</p>
+</dd>
+<dt><strong>iprop_logfile</strong></dt><dd><p>(File name.)  Specifies where the update log file for the realm
 database is to be stored.  The default is to use the
 <strong>database_name</strong> entry from the realms section of the krb5 config
-file, with <code class="docutils literal"><span class="pre">.ulog</span></code> appended.  (NOTE: If <strong>database_name</strong> isn’t
+file, with <code class="docutils literal notranslate"><span class="pre">.ulog</span></code> appended.  (NOTE: If <strong>database_name</strong> isn’t
 specified in the realms section, perhaps because the LDAP database
 back end is being used, or the file name is specified in the
 [dbmodules] section, then the hard-coded default for
 <strong>database_name</strong> is used.  Determination of the <strong>iprop_logfile</strong>
-default value will not use values from the [dbmodules] section.)</dd>
-<dt><strong>kadmind_listen</strong></dt>
-<dd>(Whitespace- or comma-separated list.)  Specifies the kadmin RPC
+default value will not use values from the [dbmodules] section.)</p>
+</dd>
+<dt><strong>kadmind_listen</strong></dt><dd><p>(Whitespace- or comma-separated list.)  Specifies the kadmin RPC
 listening addresses and/or ports for the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon.
 Each entry may be an interface address, a port number, or an
 address and port number separated by a colon.  If the address
@@ -324,17 +313,17 @@ specified, the wildcard address is used.
 to any of the specified addresses, it will fail to start.  The
 default is to bind to the wildcard address at the port specified
 in <strong>kadmind_port</strong>, or the standard kadmin port (749).  New in
-release 1.15.</dd>
-<dt><strong>kadmind_port</strong></dt>
-<dd>(Port number.)  Specifies the port on which the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>
+release 1.15.</p>
+</dd>
+<dt><strong>kadmind_port</strong></dt><dd><p>(Port number.)  Specifies the port on which the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>
 daemon is to listen for this realm.  Port numbers specified in
 <strong>kadmind_listen</strong> entries will override this port number.  The
-assigned port for kadmind is 749, which is used by default.</dd>
-<dt><strong>key_stash_file</strong></dt>
-<dd>(String.)  Specifies the location where the master key has been
-stored (via kdb5_util stash).  The default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/.k5.REALM</span></code>, where <em>REALM</em> is the Kerberos realm.</dd>
-<dt><strong>kdc_listen</strong></dt>
-<dd>(Whitespace- or comma-separated list.)  Specifies the UDP
+assigned port for kadmind is 749, which is used by default.</p>
+</dd>
+<dt><strong>key_stash_file</strong></dt><dd><p>(String.)  Specifies the location where the master key has been
+stored (via kdb5_util stash).  The default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/.k5.REALM</span></code>, where <em>REALM</em> is the Kerberos realm.</p>
+</dd>
+<dt><strong>kdc_listen</strong></dt><dd><p>(Whitespace- or comma-separated list.)  Specifies the UDP
 listening addresses and/or ports for the <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> daemon.
 Each entry may be an interface address, a port number, or an
 address and port number separated by a colon.  If the address
@@ -343,33 +332,33 @@ specified, the wildcard address is used.
 the standard port (88) is used.  If the KDC daemon fails to bind
 to any of the specified addresses, it will fail to start.  The
 default is to bind to the wildcard address on the standard port.
-New in release 1.15.</dd>
-<dt><strong>kdc_ports</strong></dt>
-<dd>(Whitespace- or comma-separated list, deprecated.)  Prior to
+New in release 1.15.</p>
+</dd>
+<dt><strong>kdc_ports</strong></dt><dd><p>(Whitespace- or comma-separated list, deprecated.)  Prior to
 release 1.15, this relation lists the ports for the
 <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> daemon to listen on for UDP requests.  In
 release 1.15 and later, it has the same meaning as <strong>kdc_listen</strong>
-if that relation is not defined.</dd>
-<dt><strong>kdc_tcp_listen</strong></dt>
-<dd>(Whitespace- or comma-separated list.)  Specifies the TCP
+if that relation is not defined.</p>
+</dd>
+<dt><strong>kdc_tcp_listen</strong></dt><dd><p>(Whitespace- or comma-separated list.)  Specifies the TCP
 listening addresses and/or ports for the <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> daemon.
 Each entry may be an interface address, a port number, or an
 address and port number separated by a colon.  If the address
 contains colons, enclose it in square brackets.  If no address is
 specified, the wildcard address is used.  If no port is specified,
 the standard port (88) is used.  To disable listening on TCP, set
-this relation to the empty string with <code class="docutils literal"><span class="pre">kdc_tcp_listen</span> <span class="pre">=</span> <span class="pre">&quot;&quot;</span></code>.
+this relation to the empty string with <code class="docutils literal notranslate"><span class="pre">kdc_tcp_listen</span> <span class="pre">=</span> <span class="pre">&quot;&quot;</span></code>.
 If the KDC daemon fails to bind to any of the specified addresses,
 it will fail to start.  The default is to bind to the wildcard
-address on the standard port.  New in release 1.15.</dd>
-<dt><strong>kdc_tcp_ports</strong></dt>
-<dd>(Whitespace- or comma-separated list, deprecated.)  Prior to
+address on the standard port.  New in release 1.15.</p>
+</dd>
+<dt><strong>kdc_tcp_ports</strong></dt><dd><p>(Whitespace- or comma-separated list, deprecated.)  Prior to
 release 1.15, this relation lists the ports for the
 <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> daemon to listen on for UDP requests.  In
 release 1.15 and later, it has the same meaning as
-<strong>kdc_tcp_listen</strong> if that relation is not defined.</dd>
-<dt><strong>kpasswd_listen</strong></dt>
-<dd>(Comma-separated list.)  Specifies the kpasswd listening addresses
+<strong>kdc_tcp_listen</strong> if that relation is not defined.</p>
+</dd>
+<dt><strong>kpasswd_listen</strong></dt><dd><p>(Comma-separated list.)  Specifies the kpasswd listening addresses
 and/or ports for the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon.  Each entry may be
 an interface address, a port number, or an address and port number
 separated by a colon.  If the address contains colons, enclose it
@@ -377,36 +366,36 @@ in square brackets.  If no address is sp
 address is used.  If kadmind fails to bind to any of the specified
 addresses, it will fail to start.  The default is to bind to the
 wildcard address at the port specified in <strong>kpasswd_port</strong>, or the
-standard kpasswd port (464).  New in release 1.15.</dd>
-<dt><strong>kpasswd_port</strong></dt>
-<dd>(Port number.)  Specifies the port on which the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>
+standard kpasswd port (464).  New in release 1.15.</p>
+</dd>
+<dt><strong>kpasswd_port</strong></dt><dd><p>(Port number.)  Specifies the port on which the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>
 daemon is to listen for password change requests for this realm.
 Port numbers specified in <strong>kpasswd_listen</strong> entries will override
 this port number.  The assigned port for password change requests
-is 464, which is used by default.</dd>
-<dt><strong>master_key_name</strong></dt>
-<dd>(String.)  Specifies the name of the principal associated with the
-master key.  The default is <code class="docutils literal"><span class="pre">K/M</span></code>.</dd>
-<dt><strong>master_key_type</strong></dt>
-<dd>(Key type string.)  Specifies the master key’s key type.  The
-default value for this is <code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96</span></code>.  For a list of all possible
-values, see <a class="reference internal" href="#encryption-types"><span class="std std-ref">Encryption types</span></a>.</dd>
-<dt><strong>max_life</strong></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Specifies the maximum time period for
+is 464, which is used by default.</p>
+</dd>
+<dt><strong>master_key_name</strong></dt><dd><p>(String.)  Specifies the name of the principal associated with the
+master key.  The default is <code class="docutils literal notranslate"><span class="pre">K/M</span></code>.</p>
+</dd>
+<dt><strong>master_key_type</strong></dt><dd><p>(Key type string.)  Specifies the master key’s key type.  The
+default value for this is <code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96</span></code>.  For a list of all possible
+values, see <a class="reference internal" href="#encryption-types"><span class="std std-ref">Encryption types</span></a>.</p>
+</dd>
+<dt><strong>max_life</strong></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Specifies the maximum time period for
 which a ticket may be valid in this realm.  The default value is
-24 hours.</dd>
-<dt><strong>max_renewable_life</strong></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Specifies the maximum time period
+24 hours.</p>
+</dd>
+<dt><strong>max_renewable_life</strong></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Specifies the maximum time period
 during which a valid ticket may be renewed in this realm.
-The default value is 0.</dd>
-<dt><strong>no_host_referral</strong></dt>
-<dd>(Whitespace- or comma-separated list.)  Lists services to block
+The default value is 0.</p>
+</dd>
+<dt><strong>no_host_referral</strong></dt><dd><p>(Whitespace- or comma-separated list.)  Lists services to block
 from getting host-based referral processing, even if the client
 marks the server principal as host-based or the service is also
-listed in <strong>host_based_services</strong>.  <code class="docutils literal"><span class="pre">no_host_referral</span> <span class="pre">=</span> <span class="pre">*</span></code> will
-disable referral processing altogether.</dd>
-<dt><strong>reject_bad_transit</strong></dt>
-<dd><p class="first">(Boolean value.)  If set to true, the KDC will check the list of
+listed in <strong>host_based_services</strong>.  <code class="docutils literal notranslate"><span class="pre">no_host_referral</span> <span class="pre">=</span> <span class="pre">*</span></code> will
+disable referral processing altogether.</p>
+</dd>
+<dt><strong>reject_bad_transit</strong></dt><dd><p>(Boolean value.)  If set to true, the KDC will check the list of
 transited realms for cross-realm tickets against the transit path
 computed from the realm names and the capaths section of its
 <a class="reference internal" href="krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> file; if the path in the ticket to be issued
@@ -421,90 +410,89 @@ request, this check is not performed at
 be rejected always.</p>
 <p>This transit path checking and config file option currently apply
 only to TGS requests.</p>
-<p class="last">The default value is true.</p>
+<p>The default value is true.</p>
 </dd>
-<dt><strong>restrict_anonymous_to_tgt</strong></dt>
-<dd>(Boolean value.)  If set to true, the KDC will reject ticket
+<dt><strong>restrict_anonymous_to_tgt</strong></dt><dd><p>(Boolean value.)  If set to true, the KDC will reject ticket
 requests from anonymous principals to service principals other
 than the realm’s ticket-granting service.  This option allows
 anonymous PKINIT to be enabled for use as FAST armor tickets
 without allowing anonymous authentication to services.  The
-default value is false.  New in release 1.9.</dd>
-<dt><strong>spake_preauth_indicator</strong></dt>
-<dd>(String.)  Specifies an authentication indicator value that the
+default value is false.  New in release 1.9.</p>
+</dd>
+<dt><strong>spake_preauth_indicator</strong></dt><dd><p>(String.)  Specifies an authentication indicator value that the
 KDC asserts into tickets obtained using SPAKE pre-authentication.
 The default is not to add any indicators.  This option may be
-specified multiple times.  New in release 1.17.</dd>
-<dt><strong>supported_enctypes</strong></dt>
-<dd>(List of <em>key</em>:<em>salt</em> strings.)  Specifies the default key/salt
+specified multiple times.  New in release 1.17.</p>
+</dd>
+<dt><strong>supported_enctypes</strong></dt><dd><p>(List of <em>key</em>:<em>salt</em> strings.)  Specifies the default key/salt
 combinations of principals for this realm.  Any principals created
 through <a class="reference internal" href="../admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> will have keys of these types.  The
-default value for this tag is <code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96:normal</span> <span class="pre">aes128-cts-hmac-sha1-96:normal</span></code>.  For lists of
-possible values, see <a class="reference internal" href="#keysalt-lists"><span class="std std-ref">Keysalt lists</span></a>.</dd>
+default value for this tag is <code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96:normal</span> <span class="pre">aes128-cts-hmac-sha1-96:normal</span></code>.  For lists of
+possible values, see <a class="reference internal" href="#keysalt-lists"><span class="std std-ref">Keysalt lists</span></a>.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="dbdefaults">
+</section>
+<section id="dbdefaults">
 <span id="id2"></span><h3>[dbdefaults]<a class="headerlink" href="#dbdefaults" title="Permalink to this headline">¶</a></h3>
 <p>The [dbdefaults] section specifies default values for some database
 parameters, to be used if the [dbmodules] subsection does not contain
 a relation for the tag.  See the <a class="reference internal" href="#dbmodules"><span class="std std-ref">[dbmodules]</span></a> section for the
 definitions of these relations.</p>
 <ul class="simple">
-<li><strong>ldap_kerberos_container_dn</strong></li>
-<li><strong>ldap_kdc_dn</strong></li>
-<li><strong>ldap_kdc_sasl_authcid</strong></li>
-<li><strong>ldap_kdc_sasl_authzid</strong></li>
-<li><strong>ldap_kdc_sasl_mech</strong></li>
-<li><strong>ldap_kdc_sasl_realm</strong></li>
-<li><strong>ldap_kadmind_dn</strong></li>
-<li><strong>ldap_kadmind_sasl_authcid</strong></li>
-<li><strong>ldap_kadmind_sasl_authzid</strong></li>
-<li><strong>ldap_kadmind_sasl_mech</strong></li>
-<li><strong>ldap_kadmind_sasl_realm</strong></li>
-<li><strong>ldap_service_password_file</strong></li>
-<li><strong>ldap_conns_per_server</strong></li>
+<li><p><strong>ldap_kerberos_container_dn</strong></p></li>
+<li><p><strong>ldap_kdc_dn</strong></p></li>
+<li><p><strong>ldap_kdc_sasl_authcid</strong></p></li>
+<li><p><strong>ldap_kdc_sasl_authzid</strong></p></li>
+<li><p><strong>ldap_kdc_sasl_mech</strong></p></li>
+<li><p><strong>ldap_kdc_sasl_realm</strong></p></li>
+<li><p><strong>ldap_kadmind_dn</strong></p></li>
+<li><p><strong>ldap_kadmind_sasl_authcid</strong></p></li>
+<li><p><strong>ldap_kadmind_sasl_authzid</strong></p></li>
+<li><p><strong>ldap_kadmind_sasl_mech</strong></p></li>
+<li><p><strong>ldap_kadmind_sasl_realm</strong></p></li>
+<li><p><strong>ldap_service_password_file</strong></p></li>
+<li><p><strong>ldap_conns_per_server</strong></p></li>
 </ul>
-</div>
-<div class="section" id="dbmodules">
+</section>
+<section id="dbmodules">
 <span id="id3"></span><h3>[dbmodules]<a class="headerlink" href="#dbmodules" title="Permalink to this headline">¶</a></h3>
 <p>The [dbmodules] section contains parameters used by the KDC database
 library and database modules.  Each tag in the [dbmodules] section is
 the name of a Kerberos realm or a section name specified by a realm’s
 <strong>database_module</strong> parameter.  The following example shows how to
 define one database parameter for the ATHENA.MIT.EDU realm:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
     <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">disable_last_success</span> <span class="o">=</span> <span class="n">true</span>
     <span class="p">}</span>
 </pre></div>
 </div>
 <p>The following tags may be specified in a [dbmodules] subsection:</p>
-<dl class="docutils">
-<dt><strong>database_name</strong></dt>
-<dd>This DB2-specific tag indicates the location of the database in
-the filesystem.  The default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/principal</span></code>.</dd>
-<dt><strong>db_library</strong></dt>
-<dd>This tag indicates the name of the loadable database module.  The
-value should be <code class="docutils literal"><span class="pre">db2</span></code> for the DB2 module, <code class="docutils literal"><span class="pre">klmdb</span></code> for the LMDB
-module, or <code class="docutils literal"><span class="pre">kldap</span></code> for the LDAP module.</dd>
-<dt><strong>disable_last_success</strong></dt>
-<dd>If set to <code class="docutils literal"><span class="pre">true</span></code>, suppresses KDC updates to the “Last successful
+<dl class="simple">
+<dt><strong>database_name</strong></dt><dd><p>This DB2-specific tag indicates the location of the database in
+the filesystem.  The default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/principal</span></code>.</p>
+</dd>
+<dt><strong>db_library</strong></dt><dd><p>This tag indicates the name of the loadable database module.  The
+value should be <code class="docutils literal notranslate"><span class="pre">db2</span></code> for the DB2 module, <code class="docutils literal notranslate"><span class="pre">klmdb</span></code> for the LMDB
+module, or <code class="docutils literal notranslate"><span class="pre">kldap</span></code> for the LDAP module.</p>
+</dd>
+<dt><strong>disable_last_success</strong></dt><dd><p>If set to <code class="docutils literal notranslate"><span class="pre">true</span></code>, suppresses KDC updates to the “Last successful
 authentication” field of principal entries requiring
 preauthentication.  Setting this flag may improve performance.
 (Principal entries which do not require preauthentication never
 update the “Last successful authentication” field.).  First
-introduced in release 1.9.</dd>
-<dt><strong>disable_lockout</strong></dt>
-<dd>If set to <code class="docutils literal"><span class="pre">true</span></code>, suppresses KDC updates to the “Last failed
+introduced in release 1.9.</p>
+</dd>
+<dt><strong>disable_lockout</strong></dt><dd><p>If set to <code class="docutils literal notranslate"><span class="pre">true</span></code>, suppresses KDC updates to the “Last failed
 authentication” and “Failed password attempts” fields of principal
 entries requiring preauthentication.  Setting this flag may
 improve performance, but also disables account lockout.  First
-introduced in release 1.9.</dd>
-<dt><strong>ldap_conns_per_server</strong></dt>
-<dd>This LDAP-specific tag indicates the number of connections to be
-maintained per LDAP server.</dd>
-<dt><strong>ldap_kdc_dn</strong> and <strong>ldap_kadmind_dn</strong></dt>
-<dd>These LDAP-specific tags indicate the default DN for binding to
+introduced in release 1.9.</p>
+</dd>
+<dt><strong>ldap_conns_per_server</strong></dt><dd><p>This LDAP-specific tag indicates the number of connections to be
+maintained per LDAP server.</p>
+</dd>
+<dt><strong>ldap_kdc_dn</strong> and <strong>ldap_kadmind_dn</strong></dt><dd><p>These LDAP-specific tags indicate the default DN for binding to
 the LDAP server.  The <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> daemon uses
 <strong>ldap_kdc_dn</strong>, while the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon and other
 administrative programs use <strong>ldap_kadmind_dn</strong>.  The kadmind DN
@@ -513,113 +501,113 @@ LDAP database.  The KDC DN must have the
 <strong>disable_lockout</strong> and <strong>disable_last_success</strong> are true, in
 which case it only needs to have rights to read the Kerberos data.
 These tags are ignored if a SASL mechanism is set with
-<strong>ldap_kdc_sasl_mech</strong> or <strong>ldap_kadmind_sasl_mech</strong>.</dd>
-<dt><strong>ldap_kdc_sasl_mech</strong> and <strong>ldap_kadmind_sasl_mech</strong></dt>
-<dd>These LDAP-specific tags specify the SASL mechanism (such as
-<code class="docutils literal"><span class="pre">EXTERNAL</span></code>) to use when binding to the LDAP server.  New in
-release 1.13.</dd>
-<dt><strong>ldap_kdc_sasl_authcid</strong> and <strong>ldap_kadmind_sasl_authcid</strong></dt>
-<dd>These LDAP-specific tags specify the SASL authentication identity
+<strong>ldap_kdc_sasl_mech</strong> or <strong>ldap_kadmind_sasl_mech</strong>.</p>
+</dd>
+<dt><strong>ldap_kdc_sasl_mech</strong> and <strong>ldap_kadmind_sasl_mech</strong></dt><dd><p>These LDAP-specific tags specify the SASL mechanism (such as
+<code class="docutils literal notranslate"><span class="pre">EXTERNAL</span></code>) to use when binding to the LDAP server.  New in
+release 1.13.</p>
+</dd>
+<dt><strong>ldap_kdc_sasl_authcid</strong> and <strong>ldap_kadmind_sasl_authcid</strong></dt><dd><p>These LDAP-specific tags specify the SASL authentication identity
 to use when binding to the LDAP server.  Not all SASL mechanisms
 require an authentication identity.  If the SASL mechanism
-requires a secret (such as the password for <code class="docutils literal"><span class="pre">DIGEST-MD5</span></code>), these
+requires a secret (such as the password for <code class="docutils literal notranslate"><span class="pre">DIGEST-MD5</span></code>), these
 tags also determine the name within the
 <strong>ldap_service_password_file</strong> where the secret is stashed.  New
-in release 1.13.</dd>
-<dt><strong>ldap_kdc_sasl_authzid</strong> and <strong>ldap_kadmind_sasl_authzid</strong></dt>
-<dd>These LDAP-specific tags specify the SASL authorization identity
+in release 1.13.</p>
+</dd>
+<dt><strong>ldap_kdc_sasl_authzid</strong> and <strong>ldap_kadmind_sasl_authzid</strong></dt><dd><p>These LDAP-specific tags specify the SASL authorization identity
 to use when binding to the LDAP server.  In most circumstances
-they do not need to be specified.  New in release 1.13.</dd>
-<dt><strong>ldap_kdc_sasl_realm</strong> and <strong>ldap_kadmind_sasl_realm</strong></dt>
-<dd>These LDAP-specific tags specify the SASL realm to use when
+they do not need to be specified.  New in release 1.13.</p>
+</dd>
+<dt><strong>ldap_kdc_sasl_realm</strong> and <strong>ldap_kadmind_sasl_realm</strong></dt><dd><p>These LDAP-specific tags specify the SASL realm to use when
 binding to the LDAP server.  In most circumstances they do not
-need to be set.  New in release 1.13.</dd>
-<dt><strong>ldap_kerberos_container_dn</strong></dt>
-<dd>This LDAP-specific tag indicates the DN of the container object
-where the realm objects will be located.</dd>
-<dt><strong>ldap_servers</strong></dt>
-<dd>This LDAP-specific tag indicates the list of LDAP servers that the
+need to be set.  New in release 1.13.</p>
+</dd>
+<dt><strong>ldap_kerberos_container_dn</strong></dt><dd><p>This LDAP-specific tag indicates the DN of the container object
+where the realm objects will be located.</p>
+</dd>
+<dt><strong>ldap_servers</strong></dt><dd><p>This LDAP-specific tag indicates the list of LDAP servers that the
 Kerberos servers can connect to.  The list of LDAP servers is
 whitespace-separated.  The LDAP server is specified by a LDAP URI.
-It is recommended to use <code class="docutils literal"><span class="pre">ldapi:</span></code> or <code class="docutils literal"><span class="pre">ldaps:</span></code> URLs to connect
-to the LDAP server.</dd>
-<dt><strong>ldap_service_password_file</strong></dt>
-<dd>This LDAP-specific tag indicates the file containing the stashed
-passwords (created by <code class="docutils literal"><span class="pre">kdb5_ldap_util</span> <span class="pre">stashsrvpw</span></code>) for the
+It is recommended to use <code class="docutils literal notranslate"><span class="pre">ldapi:</span></code> or <code class="docutils literal notranslate"><span class="pre">ldaps:</span></code> URLs to connect
+to the LDAP server.</p>
+</dd>
+<dt><strong>ldap_service_password_file</strong></dt><dd><p>This LDAP-specific tag indicates the file containing the stashed
+passwords (created by <code class="docutils literal notranslate"><span class="pre">kdb5_ldap_util</span> <span class="pre">stashsrvpw</span></code>) for the
 <strong>ldap_kdc_dn</strong> and <strong>ldap_kadmind_dn</strong> objects, or for the
 <strong>ldap_kdc_sasl_authcid</strong> or <strong>ldap_kadmind_sasl_authcid</strong> names
-for SASL authentication.  This file must be kept secure.</dd>
-<dt><strong>mapsize</strong></dt>
-<dd>This LMDB-specific tag indicates the maximum size of the two
+for SASL authentication.  This file must be kept secure.</p>
+</dd>
+<dt><strong>mapsize</strong></dt><dd><p>This LMDB-specific tag indicates the maximum size of the two
 database environments in megabytes.  The default value is 128.
 Increase this value to address “Environment mapsize limit reached”
-errors.  New in release 1.17.</dd>
-<dt><strong>max_readers</strong></dt>
-<dd>This LMDB-specific tag indicates the maximum number of concurrent
+errors.  New in release 1.17.</p>
+</dd>
+<dt><strong>max_readers</strong></dt><dd><p>This LMDB-specific tag indicates the maximum number of concurrent
 reading processes for the databases.  The default value is 128.
-New in release 1.17.</dd>
-<dt><strong>nosync</strong></dt>
-<dd>This LMDB-specific tag can be set to improve the throughput of
+New in release 1.17.</p>
+</dd>
+<dt><strong>nosync</strong></dt><dd><p>This LMDB-specific tag can be set to improve the throughput of
 kadmind and other administrative agents, at the expense of
 durability (recent database changes may not survive a power outage
 or other sudden reboot).  It does not affect the throughput of the
-KDC.  The default value is false.  New in release 1.17.</dd>
-<dt><strong>unlockiter</strong></dt>
-<dd>If set to <code class="docutils literal"><span class="pre">true</span></code>, this DB2-specific tag causes iteration
+KDC.  The default value is false.  New in release 1.17.</p>
+</dd>
+<dt><strong>unlockiter</strong></dt><dd><p>If set to <code class="docutils literal notranslate"><span class="pre">true</span></code>, this DB2-specific tag causes iteration
 operations to release the database lock while processing each
-principal.  Setting this flag to <code class="docutils literal"><span class="pre">true</span></code> can prevent extended
+principal.  Setting this flag to <code class="docutils literal notranslate"><span class="pre">true</span></code> can prevent extended
 blocking of KDC or kadmin operations when dumps of large databases
-are in progress.  First introduced in release 1.13.</dd>
+are in progress.  First introduced in release 1.13.</p>
+</dd>
 </dl>
 <p>The following tag may be specified directly in the [dbmodules]
 section to control where database modules are loaded from:</p>
-<dl class="docutils">
-<dt><strong>db_module_dir</strong></dt>
-<dd>This tag controls where the plugin system looks for database
-modules.  The value should be an absolute path.</dd>
+<dl class="simple">
+<dt><strong>db_module_dir</strong></dt><dd><p>This tag controls where the plugin system looks for database
+modules.  The value should be an absolute path.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="logging">
+</section>
+<section id="logging">
 <span id="id4"></span><h3>[logging]<a class="headerlink" href="#logging" title="Permalink to this headline">¶</a></h3>
 <p>The [logging] section indicates how <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> and
 <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> perform logging.  It may contain the following
 relations:</p>
-<dl class="docutils">
-<dt><strong>admin_server</strong></dt>
-<dd>Specifies how <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> performs logging.</dd>
-<dt><strong>kdc</strong></dt>
-<dd>Specifies how <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> performs logging.</dd>
-<dt><strong>default</strong></dt>
-<dd>Specifies how either daemon performs logging in the absence of
-relations specific to the daemon.</dd>
-<dt><strong>debug</strong></dt>
-<dd>(Boolean value.)  Specifies whether debugging messages are
+<dl class="simple">
+<dt><strong>admin_server</strong></dt><dd><p>Specifies how <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> performs logging.</p>
+</dd>
+<dt><strong>kdc</strong></dt><dd><p>Specifies how <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> performs logging.</p>
+</dd>
+<dt><strong>default</strong></dt><dd><p>Specifies how either daemon performs logging in the absence of
+relations specific to the daemon.</p>
+</dd>
+<dt><strong>debug</strong></dt><dd><p>(Boolean value.)  Specifies whether debugging messages are
 included in log outputs other than SYSLOG.  Debugging messages are
 always included in the system log output because syslog performs
 its own priority filtering.  The default value is false.  New in
-release 1.15.</dd>
+release 1.15.</p>
+</dd>
 </dl>
 <p>Logging specifications may have the following forms:</p>
-<dl class="docutils">
-<dt><strong>FILE=</strong><em>filename</em> or <strong>FILE:</strong><em>filename</em></dt>
-<dd>This value causes the daemon’s logging messages to go to the
-<em>filename</em>.  If the <code class="docutils literal"><span class="pre">=</span></code> form is used, the file is overwritten.
-If the <code class="docutils literal"><span class="pre">:</span></code> form is used, the file is appended to.</dd>
-<dt><strong>STDERR</strong></dt>
-<dd>This value causes the daemon’s logging messages to go to its
-standard error stream.</dd>
-<dt><strong>CONSOLE</strong></dt>
-<dd>This value causes the daemon’s logging messages to go to the
-console, if the system supports it.</dd>
-<dt><strong>DEVICE=</strong><em>&lt;devicename&gt;</em></dt>
-<dd>This causes the daemon’s logging messages to go to the specified
-device.</dd>
-<dt><strong>SYSLOG</strong>[<strong>:</strong><em>severity</em>[<strong>:</strong><em>facility</em>]]</dt>
-<dd><p class="first">This causes the daemon’s logging messages to go to the system log.</p>
+<dl>
+<dt><strong>FILE=</strong><em>filename</em> or <strong>FILE:</strong><em>filename</em></dt><dd><p>This value causes the daemon’s logging messages to go to the
+<em>filename</em>.  If the <code class="docutils literal notranslate"><span class="pre">=</span></code> form is used, the file is overwritten.
+If the <code class="docutils literal notranslate"><span class="pre">:</span></code> form is used, the file is appended to.</p>
+</dd>
+<dt><strong>STDERR</strong></dt><dd><p>This value causes the daemon’s logging messages to go to its
+standard error stream.</p>
+</dd>
+<dt><strong>CONSOLE</strong></dt><dd><p>This value causes the daemon’s logging messages to go to the
+console, if the system supports it.</p>
+</dd>
+<dt><strong>DEVICE=</strong><em>&lt;devicename&gt;</em></dt><dd><p>This causes the daemon’s logging messages to go to the specified
+device.</p>
+</dd>
+<dt><strong>SYSLOG</strong>[<strong>:</strong><em>severity</em>[<strong>:</strong><em>facility</em>]]</dt><dd><p>This causes the daemon’s logging messages to go to the system log.</p>
 <p>For backward compatibility, a severity argument may be specified,
 and must be specified in order to specify a facility.  This
 argument will be ignored.</p>
-<p class="last">The facility argument specifies the facility under which the
+<p>The facility argument specifies the facility under which the
 messages are logged.  This may be any of the following facilities
 supported by the syslog(3) call minus the LOG_ prefix: <strong>KERN</strong>,
 <strong>USER</strong>, <strong>MAIL</strong>, <strong>DAEMON</strong>, <strong>AUTH</strong>, <strong>LPR</strong>, <strong>NEWS</strong>,
@@ -630,9 +618,9 @@ facility is specified, the default is <s
 <p>In the following example, the logging messages from the KDC will go to
 the console and to the system log under the facility LOG_DAEMON, and
 the logging messages from the administrative server will be appended
-to the file <code class="docutils literal"><span class="pre">/var/adm/kadmin.log</span></code> and sent to the device
-<code class="docutils literal"><span class="pre">/dev/tty04</span></code>.</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">logging</span><span class="p">]</span>
+to the file <code class="docutils literal notranslate"><span class="pre">/var/adm/kadmin.log</span></code> and sent to the device
+<code class="docutils literal notranslate"><span class="pre">/dev/tty04</span></code>.</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">logging</span><span class="p">]</span>
     <span class="n">kdc</span> <span class="o">=</span> <span class="n">CONSOLE</span>
     <span class="n">kdc</span> <span class="o">=</span> <span class="n">SYSLOG</span><span class="p">:</span><span class="n">INFO</span><span class="p">:</span><span class="n">DAEMON</span>
     <span class="n">admin_server</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">adm</span><span class="o">/</span><span class="n">kadmin</span><span class="o">.</span><span class="n">log</span>
@@ -640,47 +628,47 @@ to the file <code class="docutils litera
 </pre></div>
 </div>
 <p>If no logging specification is given, the default is to use syslog.
-To disable logging entirely, specify <code class="docutils literal"><span class="pre">default</span> <span class="pre">=</span> <span class="pre">DEVICE=/dev/null</span></code>.</p>
-</div>
-<div class="section" id="otp">
+To disable logging entirely, specify <code class="docutils literal notranslate"><span class="pre">default</span> <span class="pre">=</span> <span class="pre">DEVICE=/dev/null</span></code>.</p>
+</section>
+<section id="otp">
 <span id="id5"></span><h3>[otp]<a class="headerlink" href="#otp" title="Permalink to this headline">¶</a></h3>
 <p>Each subsection of [otp] is the name of an OTP token type.  The tags
 within the subsection define the configuration required to forward a
 One Time Password request to a RADIUS server.</p>
 <p>For each token type, the following tags may be specified:</p>
-<dl class="docutils">
-<dt><strong>server</strong></dt>
-<dd>This is the server to send the RADIUS request to.  It can be a
+<dl class="simple">
+<dt><strong>server</strong></dt><dd><p>This is the server to send the RADIUS request to.  It can be a
 hostname with optional port, an ip address with optional port, or
 a Unix domain socket address.  The default is
-<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/&lt;name&gt;.socket</span></code>.</dd>
-<dt><strong>secret</strong></dt>
-<dd>This tag indicates a filename (which may be relative to <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code>)
+<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/&lt;name&gt;.socket</span></code>.</p>
+</dd>
+<dt><strong>secret</strong></dt><dd><p>This tag indicates a filename (which may be relative to <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code>)
 containing the secret used to encrypt the RADIUS packets.  The
 secret should appear in the first line of the file by itself;
 leading and trailing whitespace on the line will be removed.  If
 the value of <strong>server</strong> is a Unix domain socket address, this tag
 is optional, and an empty secret will be used if it is not
-specified.  Otherwise, this tag is required.</dd>
-<dt><strong>timeout</strong></dt>
-<dd>An integer which specifies the time in seconds during which the
+specified.  Otherwise, this tag is required.</p>
+</dd>
+<dt><strong>timeout</strong></dt><dd><p>An integer which specifies the time in seconds during which the
 KDC should attempt to contact the RADIUS server.  This tag is the
 total time across all retries and should be less than the time
-which an OTP value remains valid for.  The default is 5 seconds.</dd>
-<dt><strong>retries</strong></dt>
-<dd>This tag specifies the number of retries to make to the RADIUS
-server.  The default is 3 retries (4 tries).</dd>
-<dt><strong>strip_realm</strong></dt>
-<dd>If this tag is <code class="docutils literal"><span class="pre">true</span></code>, the principal without the realm will be
+which an OTP value remains valid for.  The default is 5 seconds.</p>
+</dd>
+<dt><strong>retries</strong></dt><dd><p>This tag specifies the number of retries to make to the RADIUS
+server.  The default is 3 retries (4 tries).</p>
+</dd>
+<dt><strong>strip_realm</strong></dt><dd><p>If this tag is <code class="docutils literal notranslate"><span class="pre">true</span></code>, the principal without the realm will be
 passed to the RADIUS server.  Otherwise, the realm will be
-included.  The default value is <code class="docutils literal"><span class="pre">true</span></code>.</dd>
-<dt><strong>indicator</strong></dt>
-<dd>This tag specifies an authentication indicator to be included in
+included.  The default value is <code class="docutils literal notranslate"><span class="pre">true</span></code>.</p>
+</dd>
+<dt><strong>indicator</strong></dt><dd><p>This tag specifies an authentication indicator to be included in
 the ticket if this token type is used to authenticate.  This
-option may be specified multiple times.  (New in release 1.14.)</dd>
+option may be specified multiple times.  (New in release 1.14.)</p>
+</dd>
 </dl>
 <p>In the following example, requests are sent to a remote server via UDP:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>[otp]
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>[otp]
     MyRemoteTokenType = {
         server = radius.mydomain.com:1812
         secret = SEmfiajf42$
@@ -690,39 +678,39 @@ option may be specified multiple times.
     }
 </pre></div>
 </div>
-<p>An implicit default token type named <code class="docutils literal"><span class="pre">DEFAULT</span></code> is defined for when
+<p>An implicit default token type named <code class="docutils literal notranslate"><span class="pre">DEFAULT</span></code> is defined for when
 the per-principal configuration does not specify a token type.  Its
 configuration is shown below.  You may override this token type to
 something applicable for your situation:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">otp</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">otp</span><span class="p">]</span>
     <span class="n">DEFAULT</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">strip_realm</span> <span class="o">=</span> <span class="n">false</span>
     <span class="p">}</span>
 </pre></div>
 </div>
-</div>
-</div>
-<div class="section" id="pkinit-options">
+</section>
+</section>
+<section id="pkinit-options">
 <h2>PKINIT options<a class="headerlink" href="#pkinit-options" title="Permalink to this headline">¶</a></h2>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The following are pkinit-specific options.  These values may
+<p class="admonition-title">Note</p>
+<p>The following are pkinit-specific options.  These values may
 be specified in [kdcdefaults] as global defaults, or within
 a realm-specific subsection of [realms].  Also note that a
 realm-specific value over-rides, does not add to, a generic
 [kdcdefaults] specification.  The search order is:</p>
 </div>
 <ol class="arabic">
-<li><p class="first">realm-specific subsection of [realms]:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
+<li><p>realm-specific subsection of [realms]:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
     <span class="n">EXAMPLE</span><span class="o">.</span><span class="n">COM</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">example</span><span class="o">.</span><span class="n">com</span><span class="o">.</span><span class="n">crt</span>
     <span class="p">}</span>
 </pre></div>
 </div>
 </li>
-<li><p class="first">generic value in the [kdcdefaults] section:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
+<li><p>generic value in the [kdcdefaults] section:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
     <span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">DIR</span><span class="p">:</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">generic_trusted_cas</span><span class="o">/</span>
 </pre></div>
 </div>
@@ -731,62 +719,59 @@ realm-specific value over-rides, does no
 <p>For information about the syntax of some of these options, see
 <a class="reference internal" href="krb5_conf.html#pkinit-identity"><span class="std std-ref">Specifying PKINIT identity information</span></a> in
 <a class="reference internal" href="krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.</p>
-<dl class="docutils">
-<dt><strong>pkinit_anchors</strong></dt>
-<dd>Specifies the location of trusted anchor (root) certificates which
+<dl>
+<dt><strong>pkinit_anchors</strong></dt><dd><p>Specifies the location of trusted anchor (root) certificates which
 the KDC trusts to sign client certificates.  This option is
 required if pkinit is to be supported by the KDC.  This option may
-be specified multiple times.</dd>
-<dt><strong>pkinit_dh_min_bits</strong></dt>
-<dd>Specifies the minimum number of bits the KDC is willing to accept
-for a client’s Diffie-Hellman key.  The default is 2048.</dd>
-<dt><strong>pkinit_allow_upn</strong></dt>
-<dd><p class="first">Specifies that the KDC is willing to accept client certificates
+be specified multiple times.</p>
+</dd>
+<dt><strong>pkinit_dh_min_bits</strong></dt><dd><p>Specifies the minimum number of bits the KDC is willing to accept
+for a client’s Diffie-Hellman key.  The default is 2048.</p>
+</dd>
+<dt><strong>pkinit_allow_upn</strong></dt><dd><p>Specifies that the KDC is willing to accept client certificates
 with the Microsoft UserPrincipalName (UPN) Subject Alternative
 Name (SAN).  This means the KDC accepts the binding of the UPN in
 the certificate to the Kerberos principal name.  The default value
 is false.</p>
-<p class="last">Without this option, the KDC will only accept certificates with
+<p>Without this option, the KDC will only accept certificates with
 the id-pkinit-san as defined in <span class="target" id="index-0"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a>.  There is currently
 no option to disable SAN checking in the KDC.</p>
 </dd>
-<dt><strong>pkinit_eku_checking</strong></dt>
-<dd><p class="first">This option specifies what Extended Key Usage (EKU) values the KDC
+<dt><strong>pkinit_eku_checking</strong></dt><dd><p>This option specifies what Extended Key Usage (EKU) values the KDC
 is willing to accept in client certificates.  The values
 recognized in the kdc.conf file are:</p>
-<dl class="last docutils">
-<dt><strong>kpClientAuth</strong></dt>
-<dd>This is the default value and specifies that client
+<dl class="simple">
+<dt><strong>kpClientAuth</strong></dt><dd><p>This is the default value and specifies that client
 certificates must have the id-pkinit-KPClientAuth EKU as
-defined in <span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a>.</dd>
-<dt><strong>scLogin</strong></dt>
-<dd>If scLogin is specified, client certificates with the
+defined in <span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a>.</p>
+</dd>
+<dt><strong>scLogin</strong></dt><dd><p>If scLogin is specified, client certificates with the
 Microsoft Smart Card Login EKU (id-ms-kp-sc-logon) will be
-accepted.</dd>
-<dt><strong>none</strong></dt>
-<dd>If none is specified, then client certificates will not be
+accepted.</p>
+</dd>
+<dt><strong>none</strong></dt><dd><p>If none is specified, then client certificates will not be
 checked to verify they have an acceptable EKU.  The use of
-this option is not recommended.</dd>
+this option is not recommended.</p>
+</dd>
 </dl>
 </dd>
-<dt><strong>pkinit_identity</strong></dt>
-<dd>Specifies the location of the KDC’s X.509 identity information.
-This option is required if pkinit is to be supported by the KDC.</dd>
-<dt><strong>pkinit_indicator</strong></dt>
-<dd>Specifies an authentication indicator to include in the ticket if
+<dt><strong>pkinit_identity</strong></dt><dd><p>Specifies the location of the KDC’s X.509 identity information.
+This option is required if pkinit is to be supported by the KDC.</p>
+</dd>
+<dt><strong>pkinit_indicator</strong></dt><dd><p>Specifies an authentication indicator to include in the ticket if
 pkinit is used to authenticate.  This option may be specified
-multiple times.  (New in release 1.14.)</dd>
-<dt><strong>pkinit_pool</strong></dt>
-<dd>Specifies the location of intermediate certificates which may be
+multiple times.  (New in release 1.14.)</p>
+</dd>
+<dt><strong>pkinit_pool</strong></dt><dd><p>Specifies the location of intermediate certificates which may be
 used by the KDC to complete the trust chain between a client’s
 certificate and a trusted anchor.  This option may be specified
-multiple times.</dd>
-<dt><strong>pkinit_revoke</strong></dt>
-<dd>Specifies the location of Certificate Revocation List (CRL)
+multiple times.</p>
+</dd>
+<dt><strong>pkinit_revoke</strong></dt><dd><p>Specifies the location of Certificate Revocation List (CRL)
 information to be used by the KDC when verifying the validity of
-client certificates.  This option may be specified multiple times.</dd>
-<dt><strong>pkinit_require_crl_checking</strong></dt>
-<dd><p class="first">The default certificate verification process will always check the
+client certificates.  This option may be specified multiple times.</p>
+</dd>
+<dt><strong>pkinit_require_crl_checking</strong></dt><dd><p>The default certificate verification process will always check the
 available revocation information to see if a certificate has been
 revoked.  If a match is found for the certificate in a CRL,
 verification fails.  If the certificate being verified is not
@@ -796,68 +781,68 @@ succeeds.</p>
 <p>However, if <strong>pkinit_require_crl_checking</strong> is true and there is
 no CRL information available for the issuing CA, then verification
 fails.</p>
-<p class="last"><strong>pkinit_require_crl_checking</strong> should be set to true if the
+<p><strong>pkinit_require_crl_checking</strong> should be set to true if the
 policy is such that up-to-date CRLs must be present for every CA.</p>
 </dd>
-<dt><strong>pkinit_require_freshness</strong></dt>
-<dd>Specifies whether to require clients to include a freshness token
+<dt><strong>pkinit_require_freshness</strong></dt><dd><p>Specifies whether to require clients to include a freshness token
 in PKINIT requests.  The default value is false.  (New in release
-1.17.)</dd>
+1.17.)</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="encryption-types">
+</section>
+<section id="encryption-types">
 <span id="id6"></span><h2>Encryption types<a class="headerlink" href="#encryption-types" title="Permalink to this headline">¶</a></h2>
 <p>Any tag in the configuration files which requires a list of encryption
 types can be set to some combination of the following strings.
 Encryption types marked as “weak” and “deprecated” are available for
 compatibility but not recommended for use.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="30%" />
-<col width="70%" />
+<col style="width: 30%" />
+<col style="width: 70%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>des3-cbc-raw</td>
-<td>Triple DES cbc mode raw (weak)</td>
+<tbody>
+<tr class="row-odd"><td><p>des3-cbc-raw</p></td>
+<td><p>Triple DES cbc mode raw (weak)</p></td>
 </tr>
-<tr class="row-even"><td>des3-cbc-sha1 des3-hmac-sha1 des3-cbc-sha1-kd</td>
-<td>Triple DES cbc mode with HMAC/sha1 (deprecated)</td>
+<tr class="row-even"><td><p>des3-cbc-sha1 des3-hmac-sha1 des3-cbc-sha1-kd</p></td>
+<td><p>Triple DES cbc mode with HMAC/sha1 (deprecated)</p></td>
 </tr>
-<tr class="row-odd"><td>aes256-cts-hmac-sha1-96 aes256-cts aes256-sha1</td>
-<td>AES-256 CTS mode with 96-bit SHA-1 HMAC</td>
+<tr class="row-odd"><td><p>aes256-cts-hmac-sha1-96 aes256-cts aes256-sha1</p></td>
+<td><p>AES-256 CTS mode with 96-bit SHA-1 HMAC</p></td>
 </tr>
-<tr class="row-even"><td>aes128-cts-hmac-sha1-96 aes128-cts aes128-sha1</td>
-<td>AES-128 CTS mode with 96-bit SHA-1 HMAC</td>
+<tr class="row-even"><td><p>aes128-cts-hmac-sha1-96 aes128-cts aes128-sha1</p></td>
+<td><p>AES-128 CTS mode with 96-bit SHA-1 HMAC</p></td>
 </tr>
-<tr class="row-odd"><td>aes256-cts-hmac-sha384-192 aes256-sha2</td>
-<td>AES-256 CTS mode with 192-bit SHA-384 HMAC</td>
+<tr class="row-odd"><td><p>aes256-cts-hmac-sha384-192 aes256-sha2</p></td>
+<td><p>AES-256 CTS mode with 192-bit SHA-384 HMAC</p></td>
 </tr>
-<tr class="row-even"><td>aes128-cts-hmac-sha256-128 aes128-sha2</td>
-<td>AES-128 CTS mode with 128-bit SHA-256 HMAC</td>
+<tr class="row-even"><td><p>aes128-cts-hmac-sha256-128 aes128-sha2</p></td>
+<td><p>AES-128 CTS mode with 128-bit SHA-256 HMAC</p></td>
 </tr>
-<tr class="row-odd"><td>arcfour-hmac rc4-hmac arcfour-hmac-md5</td>
-<td>RC4 with HMAC/MD5 (deprecated)</td>
+<tr class="row-odd"><td><p>arcfour-hmac rc4-hmac arcfour-hmac-md5</p></td>
+<td><p>RC4 with HMAC/MD5 (deprecated)</p></td>
 </tr>
-<tr class="row-even"><td>arcfour-hmac-exp rc4-hmac-exp arcfour-hmac-md5-exp</td>
-<td>Exportable RC4 with HMAC/MD5 (weak)</td>
+<tr class="row-even"><td><p>arcfour-hmac-exp rc4-hmac-exp arcfour-hmac-md5-exp</p></td>
+<td><p>Exportable RC4 with HMAC/MD5 (weak)</p></td>
 </tr>
-<tr class="row-odd"><td>camellia256-cts-cmac camellia256-cts</td>
-<td>Camellia-256 CTS mode with CMAC</td>
+<tr class="row-odd"><td><p>camellia256-cts-cmac camellia256-cts</p></td>
+<td><p>Camellia-256 CTS mode with CMAC</p></td>
 </tr>
-<tr class="row-even"><td>camellia128-cts-cmac camellia128-cts</td>
-<td>Camellia-128 CTS mode with CMAC</td>
+<tr class="row-even"><td><p>camellia128-cts-cmac camellia128-cts</p></td>
+<td><p>Camellia-128 CTS mode with CMAC</p></td>
 </tr>
-<tr class="row-odd"><td>des3</td>
-<td>The triple DES family: des3-cbc-sha1</td>
+<tr class="row-odd"><td><p>des3</p></td>
+<td><p>The triple DES family: des3-cbc-sha1</p></td>
 </tr>
-<tr class="row-even"><td>aes</td>
-<td>The AES family: aes256-cts-hmac-sha1-96, aes128-cts-hmac-sha1-96, aes256-cts-hmac-sha384-192, and aes128-cts-hmac-sha256-128</td>
+<tr class="row-even"><td><p>aes</p></td>
+<td><p>The AES family: aes256-cts-hmac-sha1-96, aes128-cts-hmac-sha1-96, aes256-cts-hmac-sha384-192, and aes128-cts-hmac-sha256-128</p></td>
 </tr>
-<tr class="row-odd"><td>rc4</td>
-<td>The RC4 family: arcfour-hmac</td>
+<tr class="row-odd"><td><p>rc4</p></td>
+<td><p>The RC4 family: arcfour-hmac</p></td>
 </tr>
-<tr class="row-even"><td>camellia</td>
-<td>The Camellia family: camellia256-cts-cmac and camellia128-cts-cmac</td>
+<tr class="row-even"><td><p>camellia</p></td>
+<td><p>The Camellia family: camellia256-cts-cmac and camellia128-cts-cmac</p></td>
 </tr>
 </tbody>
 </table>
@@ -866,8 +851,8 @@ types for the variable in question.  Typ
 from the current list by prefixing them with a minus sign (“-“).
 Types or families can be prefixed with a plus sign (“+”) for symmetry;
 it has the same meaning as just listing the type or family.  For
-example, “<code class="docutils literal"><span class="pre">DEFAULT</span> <span class="pre">-rc4</span></code>” would be the default set of encryption
-types with RC4 types removed, and “<code class="docutils literal"><span class="pre">des3</span> <span class="pre">DEFAULT</span></code>” would be the
+example, “<code class="docutils literal notranslate"><span class="pre">DEFAULT</span> <span class="pre">-rc4</span></code>” would be the default set of encryption
+types with RC4 types removed, and “<code class="docutils literal notranslate"><span class="pre">des3</span> <span class="pre">DEFAULT</span></code>” would be the
 default set of encryption types with triple DES types moved to the
 front.</p>
 <p>While <strong>aes128-cts</strong> and <strong>aes256-cts</strong> are supported for all Kerberos
@@ -879,8 +864,8 @@ types in the KDC database.</p>
 release 1.15.  Services running versions of krb5 without support for
 these newer encryption types must not be given keys of these
 encryption types in the KDC database.</p>
-</div>
-<div class="section" id="keysalt-lists">
+</section>
+<section id="keysalt-lists">
 <span id="id7"></span><h2>Keysalt lists<a class="headerlink" href="#keysalt-lists" title="Permalink to this headline">¶</a></h2>
 <p>Kerberos keys for users are usually derived from passwords.  Kerberos
 commands and configuration parameters that affect generation of keys
@@ -888,7 +873,7 @@ take lists of enctype-salttype (“keysa
 lists</em>.  Each keysalt pair is an enctype name followed by a salttype
 name, in the format <em>enc</em>:<em>salt</em>.  Individual keysalt list members are
 separated by comma (“,”) characters or space characters.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">e</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="p">:</span><span class="n">normal</span><span class="p">,</span><span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="p">:</span><span class="n">normal</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">e</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="p">:</span><span class="n">normal</span><span class="p">,</span><span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="p">:</span><span class="n">normal</span>
 </pre></div>
 </div>
 <p>would start up kadmin so that by default it would generate
@@ -898,31 +883,31 @@ encryption types, using a <strong>normal
 the same key, Kerberos 5 incorporates more information into the key
 using something called a salt.  The supported salt types are as
 follows:</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="25%" />
-<col width="75%" />
+<col style="width: 25%" />
+<col style="width: 75%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>normal</td>
-<td>default for Kerberos Version 5</td>
+<tbody>
+<tr class="row-odd"><td><p>normal</p></td>
+<td><p>default for Kerberos Version 5</p></td>
 </tr>
-<tr class="row-even"><td>norealm</td>
-<td>same as the default, without using realm information</td>
+<tr class="row-even"><td><p>norealm</p></td>
+<td><p>same as the default, without using realm information</p></td>
 </tr>
-<tr class="row-odd"><td>onlyrealm</td>
-<td>uses only realm information as the salt</td>
+<tr class="row-odd"><td><p>onlyrealm</p></td>
+<td><p>uses only realm information as the salt</p></td>
 </tr>
-<tr class="row-even"><td>special</td>
-<td>generate a random salt</td>
+<tr class="row-even"><td><p>special</p></td>
+<td><p>generate a random salt</p></td>
 </tr>
 </tbody>
 </table>
-</div>
-<div class="section" id="sample-kdc-conf-file">
+</section>
+<section id="sample-kdc-conf-file">
 <h2>Sample kdc.conf File<a class="headerlink" href="#sample-kdc-conf-file" title="Permalink to this headline">¶</a></h2>
 <p>Here’s an example of a kdc.conf file:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
     <span class="n">kdc_listen</span> <span class="o">=</span> <span class="mi">88</span>
     <span class="n">kdc_tcp_listen</span> <span class="o">=</span> <span class="mi">88</span>
 <span class="p">[</span><span class="n">realms</span><span class="p">]</span>
@@ -958,23 +943,25 @@ follows:</p>
     <span class="p">}</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="files">
+</section>
+<section id="files">
 <h2>FILES<a class="headerlink" href="#files" title="Permalink to this headline">¶</a></h2>
-<p><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kdc.conf</span></code></p>
-</div>
-<div class="section" id="see-also">
+<p><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kdc.conf</span></code></p>
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>, <a class="reference internal" href="../admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a>, <a class="reference internal" href="kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kdc.conf</a><ul>
@@ -1054,6 +1041,7 @@ follows:</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -1061,8 +1049,8 @@ follows:</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/conf_files/krb5_conf.html 1.21.3-1/doc/html/admin/conf_files/krb5_conf.html
--- 1.21.2-1/doc/html/admin/conf_files/krb5_conf.html	2023-08-14 16:17:33.000000000 +0000
+++ 1.21.3-1/doc/html/admin/conf_files/krb5_conf.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5.conf &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kdc.conf" href="kdc_conf.html" />
     <link rel="prev" title="Configuration Files" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-conf">
+  <section id="krb5-conf">
 <span id="krb5-conf-5"></span><h1>krb5.conf<a class="headerlink" href="#krb5-conf" title="Permalink to this headline">¶</a></h1>
 <p>The krb5.conf file contains Kerberos configuration information,
 including the locations of KDCs and admin servers for the Kerberos
 realms of interest, defaults for the current realm and for Kerberos
 applications, and mappings of hostnames onto Kerberos realms.
 Normally, you should install your krb5.conf file in the directory
-<code class="docutils literal"><span class="pre">/etc</span></code>.  You can override the default location by setting the
+<code class="docutils literal notranslate"><span class="pre">/etc</span></code>.  You can override the default location by setting the
 environment variable <strong>KRB5_CONFIG</strong>.  Multiple colon-separated
 filenames may be specified in <strong>KRB5_CONFIG</strong>; all files which are
 present will be read.  Starting in release 1.14, directory names can
 also be specified in <strong>KRB5_CONFIG</strong>; all files within the directory
 whose names consist solely of alphanumeric characters, dashes, or
 underscores will be read.</p>
-<div class="section" id="structure">
+<section id="structure">
 <h2>Structure<a class="headerlink" href="#structure" title="Permalink to this headline">¶</a></h2>
 <p>The krb5.conf file is set up in the style of a Windows INI file.
 Lines beginning with ‘#’ or ‘;’ (possibly after initial whitespace)
 are ignored as comments.  Sections are headed by the section name, in
 square brackets.  Each section may contain zero or more relations, of
 the form:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">foo</span> <span class="o">=</span> <span class="n">bar</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">foo</span> <span class="o">=</span> <span class="n">bar</span>
 </pre></div>
 </div>
 <p>or:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">fubar</span> <span class="o">=</span> <span class="p">{</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">fubar</span> <span class="o">=</span> <span class="p">{</span>
     <span class="n">foo</span> <span class="o">=</span> <span class="n">bar</span>
     <span class="n">baz</span> <span class="o">=</span> <span class="n">quux</span>
 <span class="p">}</span>
@@ -99,7 +90,7 @@ A subsection can be marked as final by p
 tag name or the closing brace.</p>
 <p>The krb5.conf file can include other files using either of the
 following directives at the beginning of a line:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">include</span> <span class="n">FILENAME</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">include</span> <span class="n">FILENAME</span>
 <span class="n">includedir</span> <span class="n">DIRNAME</span>
 </pre></div>
 </div>
@@ -117,110 +108,108 @@ order.</p>
 from a loadable module, rather than the file itself, using the
 following directive at the beginning of a line before any section
 headers:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">module</span> <span class="n">MODULEPATH</span><span class="p">:</span><span class="n">RESIDUAL</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">module</span> <span class="n">MODULEPATH</span><span class="p">:</span><span class="n">RESIDUAL</span>
 </pre></div>
 </div>
 <p><em>MODULEPATH</em> may be relative to the library path of the krb5
 installation, or it may be an absolute path.  <em>RESIDUAL</em> is provided
 to the module at initialization time.  If krb5.conf uses a module
 directive, <a class="reference internal" href="kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> should also use one if it exists.</p>
-</div>
-<div class="section" id="sections">
+</section>
+<section id="sections">
 <h2>Sections<a class="headerlink" href="#sections" title="Permalink to this headline">¶</a></h2>
 <p>The krb5.conf file may contain the following sections:</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="26%" />
-<col width="74%" />
+<col style="width: 26%" />
+<col style="width: 74%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><a class="reference internal" href="#libdefaults"><span class="std std-ref">[libdefaults]</span></a></td>
-<td>Settings used by the Kerberos V5 library</td>
+<tbody>
+<tr class="row-odd"><td><p><a class="reference internal" href="#libdefaults"><span class="std std-ref">[libdefaults]</span></a></p></td>
+<td><p>Settings used by the Kerberos V5 library</p></td>
 </tr>
-<tr class="row-even"><td><a class="reference internal" href="#realms"><span class="std std-ref">[realms]</span></a></td>
-<td>Realm-specific contact information and settings</td>
+<tr class="row-even"><td><p><a class="reference internal" href="#realms"><span class="std std-ref">[realms]</span></a></p></td>
+<td><p>Realm-specific contact information and settings</p></td>
 </tr>
-<tr class="row-odd"><td><a class="reference internal" href="#domain-realm"><span class="std std-ref">[domain_realm]</span></a></td>
-<td>Maps server hostnames to Kerberos realms</td>
+<tr class="row-odd"><td><p><a class="reference internal" href="#domain-realm"><span class="std std-ref">[domain_realm]</span></a></p></td>
+<td><p>Maps server hostnames to Kerberos realms</p></td>
 </tr>
-<tr class="row-even"><td><a class="reference internal" href="#capaths"><span class="std std-ref">[capaths]</span></a></td>
-<td>Authentication paths for non-hierarchical cross-realm</td>
+<tr class="row-even"><td><p><a class="reference internal" href="#capaths"><span class="std std-ref">[capaths]</span></a></p></td>
+<td><p>Authentication paths for non-hierarchical cross-realm</p></td>
 </tr>
-<tr class="row-odd"><td><a class="reference internal" href="#appdefaults"><span class="std std-ref">[appdefaults]</span></a></td>
-<td>Settings used by some Kerberos V5 applications</td>
+<tr class="row-odd"><td><p><a class="reference internal" href="#appdefaults"><span class="std std-ref">[appdefaults]</span></a></p></td>
+<td><p>Settings used by some Kerberos V5 applications</p></td>
 </tr>
-<tr class="row-even"><td><a class="reference internal" href="#plugins"><span class="std std-ref">[plugins]</span></a></td>
-<td>Controls plugin module registration</td>
+<tr class="row-even"><td><p><a class="reference internal" href="#plugins"><span class="std std-ref">[plugins]</span></a></p></td>
+<td><p>Controls plugin module registration</p></td>
 </tr>
 </tbody>
 </table>
 <p>Additionally, krb5.conf may include any of the relations described in
 <a class="reference internal" href="kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>, but it is not a recommended practice.</p>
-<div class="section" id="libdefaults">
+<section id="libdefaults">
 <span id="id1"></span><h3>[libdefaults]<a class="headerlink" href="#libdefaults" title="Permalink to this headline">¶</a></h3>
 <p>The libdefaults section may contain any of the following relations:</p>
-<dl class="docutils">
-<dt><strong>allow_des3</strong></dt>
-<dd>Permit the KDC to issue tickets with des3-cbc-sha1 session keys.
+<dl>
+<dt><strong>allow_des3</strong></dt><dd><p>Permit the KDC to issue tickets with des3-cbc-sha1 session keys.
 In future releases, this flag will allow des3-cbc-sha1 to be used
 at all.  The default value for this tag is false.  (Added in
-release 1.21.)</dd>
-<dt><strong>allow_rc4</strong></dt>
-<dd>Permit the KDC to issue tickets with arcfour-hmac session keys.
+release 1.21.)</p>
+</dd>
+<dt><strong>allow_rc4</strong></dt><dd><p>Permit the KDC to issue tickets with arcfour-hmac session keys.
 In future releases, this flag will allow arcfour-hmac to be used
 at all.  The default value for this tag is false.  (Added in
-release 1.21.)</dd>
-<dt><strong>allow_weak_crypto</strong></dt>
-<dd>If this flag is set to false, then weak encryption types (as noted
+release 1.21.)</p>
+</dd>
+<dt><strong>allow_weak_crypto</strong></dt><dd><p>If this flag is set to false, then weak encryption types (as noted
 in <a class="reference internal" href="kdc_conf.html#encryption-types"><span class="std std-ref">Encryption types</span></a> in <a class="reference internal" href="kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>) will be filtered
 out of the lists <strong>default_tgs_enctypes</strong>,
 <strong>default_tkt_enctypes</strong>, and <strong>permitted_enctypes</strong>.  The default
-value for this tag is false.</dd>
-<dt><strong>canonicalize</strong></dt>
-<dd>If this flag is set to true, initial ticket requests to the KDC
+value for this tag is false.</p>
+</dd>
+<dt><strong>canonicalize</strong></dt><dd><p>If this flag is set to true, initial ticket requests to the KDC
 will request canonicalization of the client principal name, and
 answers with different client principals than the requested
-principal will be accepted.  The default value is false.</dd>
-<dt><strong>ccache_type</strong></dt>
-<dd>This parameter determines the format of credential cache types
+principal will be accepted.  The default value is false.</p>
+</dd>
+<dt><strong>ccache_type</strong></dt><dd><p>This parameter determines the format of credential cache types
 created by <a class="reference internal" href="../../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a> or other programs.  The default value
 is 4, which represents the most current format.  Smaller values
 can be used for compatibility with very old implementations of
-Kerberos which interact with credential caches on the same host.</dd>
-<dt><strong>clockskew</strong></dt>
-<dd><p class="first">Sets the maximum allowable amount of clockskew in seconds that the
+Kerberos which interact with credential caches on the same host.</p>
+</dd>
+<dt><strong>clockskew</strong></dt><dd><p>Sets the maximum allowable amount of clockskew in seconds that the
 library will tolerate before assuming that a Kerberos message is
 invalid.  The default value is 300 seconds, or five minutes.</p>
-<p class="last">The clockskew setting is also used when evaluating ticket start
+<p>The clockskew setting is also used when evaluating ticket start
 and expiration times.  For example, tickets that have reached
 their expiration time can still be used (and renewed if they are
 renewable tickets) if they have been expired for a shorter
 duration than the <strong>clockskew</strong> setting.</p>
 </dd>
-<dt><strong>default_ccache_name</strong></dt>
-<dd>This relation specifies the name of the default credential cache.
+<dt><strong>default_ccache_name</strong></dt><dd><p>This relation specifies the name of the default credential cache.
 The default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a>.  This relation is subject to parameter
-expansion (see below).  New in release 1.11.</dd>
-<dt><strong>default_client_keytab_name</strong></dt>
-<dd>This relation specifies the name of the default keytab for
+expansion (see below).  New in release 1.11.</p>
+</dd>
+<dt><strong>default_client_keytab_name</strong></dt><dd><p>This relation specifies the name of the default keytab for
 obtaining client credentials.  The default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCKTNAME</span></a>.  This
 relation is subject to parameter expansion (see below).
-New in release 1.11.</dd>
-<dt><strong>default_keytab_name</strong></dt>
-<dd>This relation specifies the default keytab name to be used by
+New in release 1.11.</p>
+</dd>
+<dt><strong>default_keytab_name</strong></dt><dd><p>This relation specifies the default keytab name to be used by
 application servers such as sshd.  The default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a>.  This
-relation is subject to parameter expansion (see below).</dd>
-<dt><strong>default_rcache_name</strong></dt>
-<dd>This relation specifies the name of the default replay cache.
-The default is <code class="docutils literal"><span class="pre">dfl:</span></code>.  This relation is subject to parameter
-expansion (see below).  New in release 1.18.</dd>
-<dt><strong>default_realm</strong></dt>
-<dd>Identifies the default Kerberos realm for the client.  Set its
+relation is subject to parameter expansion (see below).</p>
+</dd>
+<dt><strong>default_rcache_name</strong></dt><dd><p>This relation specifies the name of the default replay cache.
+The default is <code class="docutils literal notranslate"><span class="pre">dfl:</span></code>.  This relation is subject to parameter
+expansion (see below).  New in release 1.18.</p>
+</dd>
+<dt><strong>default_realm</strong></dt><dd><p>Identifies the default Kerberos realm for the client.  Set its
 value to your Kerberos realm.  If this value is not set, then a
 realm must be specified with every Kerberos principal when
-invoking programs such as <a class="reference internal" href="../../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>.</dd>
-<dt><strong>default_tgs_enctypes</strong></dt>
-<dd><p class="first">Identifies the supported list of session key encryption types that
+invoking programs such as <a class="reference internal" href="../../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>.</p>
+</dd>
+<dt><strong>default_tgs_enctypes</strong></dt><dd><p>Identifies the supported list of session key encryption types that
 the client should request when making a TGS-REQ, in order of
 preference from highest to lowest.  The list may be delimited with
 commas or whitespace.  See <a class="reference internal" href="kdc_conf.html#encryption-types"><span class="std std-ref">Encryption types</span></a> in
@@ -228,42 +217,40 @@ commas or whitespace.  See <a class="ref
 Starting in release 1.18, the default value is the value of
 <strong>permitted_enctypes</strong>.  For previous releases or if
 <strong>permitted_enctypes</strong> is not set, the default value is
-<code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96</span> <span class="pre">aes128-cts-hmac-sha1-96</span> <span class="pre">aes256-cts-hmac-sha384-192</span> <span class="pre">aes128-cts-hmac-sha256-128</span> <span class="pre">des3-cbc-sha1</span> <span class="pre">arcfour-hmac-md5</span> <span class="pre">camellia256-cts-cmac</span> <span class="pre">camellia128-cts-cmac</span></code>.</p>
-<p class="last">Do not set this unless required for specific backward
+<code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96</span> <span class="pre">aes128-cts-hmac-sha1-96</span> <span class="pre">aes256-cts-hmac-sha384-192</span> <span class="pre">aes128-cts-hmac-sha256-128</span> <span class="pre">des3-cbc-sha1</span> <span class="pre">arcfour-hmac-md5</span> <span class="pre">camellia256-cts-cmac</span> <span class="pre">camellia128-cts-cmac</span></code>.</p>
+<p>Do not set this unless required for specific backward
 compatibility purposes; stale values of this setting can prevent
 clients from taking advantage of new stronger enctypes when the
 libraries are upgraded.</p>
 </dd>
-<dt><strong>default_tkt_enctypes</strong></dt>
-<dd><p class="first">Identifies the supported list of session key encryption types that
+<dt><strong>default_tkt_enctypes</strong></dt><dd><p>Identifies the supported list of session key encryption types that
 the client should request when making an AS-REQ, in order of
 preference from highest to lowest.  The format is the same as for
 default_tgs_enctypes.  Starting in release 1.18, the default
 value is the value of <strong>permitted_enctypes</strong>.  For previous
 releases or if <strong>permitted_enctypes</strong> is not set, the default
-value is <code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96</span> <span class="pre">aes128-cts-hmac-sha1-96</span> <span class="pre">aes256-cts-hmac-sha384-192</span> <span class="pre">aes128-cts-hmac-sha256-128</span> <span class="pre">des3-cbc-sha1</span> <span class="pre">arcfour-hmac-md5</span> <span class="pre">camellia256-cts-cmac</span> <span class="pre">camellia128-cts-cmac</span></code>.</p>
-<p class="last">Do not set this unless required for specific backward
+value is <code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96</span> <span class="pre">aes128-cts-hmac-sha1-96</span> <span class="pre">aes256-cts-hmac-sha384-192</span> <span class="pre">aes128-cts-hmac-sha256-128</span> <span class="pre">des3-cbc-sha1</span> <span class="pre">arcfour-hmac-md5</span> <span class="pre">camellia256-cts-cmac</span> <span class="pre">camellia128-cts-cmac</span></code>.</p>
+<p>Do not set this unless required for specific backward
 compatibility purposes; stale values of this setting can prevent
 clients from taking advantage of new stronger enctypes when the
 libraries are upgraded.</p>
 </dd>
-<dt><strong>dns_canonicalize_hostname</strong></dt>
-<dd>Indicate whether name lookups will be used to canonicalize
+<dt><strong>dns_canonicalize_hostname</strong></dt><dd><p>Indicate whether name lookups will be used to canonicalize
 hostnames for use in service principal names.  Setting this flag
 to false can improve security by reducing reliance on DNS, but
 means that short hostnames will not be canonicalized to
-fully-qualified hostnames.  If this option is set to <code class="docutils literal"><span class="pre">fallback</span></code> (new
+fully-qualified hostnames.  If this option is set to <code class="docutils literal notranslate"><span class="pre">fallback</span></code> (new
 in release 1.18), DNS canonicalization will only be performed the
 server hostname is not found with the original name when
-requesting credentials.  The default value is true.</dd>
-<dt><strong>dns_lookup_kdc</strong></dt>
-<dd><p class="first">Indicate whether DNS SRV records should be used to locate the KDCs
+requesting credentials.  The default value is true.</p>
+</dd>
+<dt><strong>dns_lookup_kdc</strong></dt><dd><p>Indicate whether DNS SRV records should be used to locate the KDCs
 and other servers for a realm, if they are not listed in the
 krb5.conf information for the realm.  (Note that the admin_server
 entry must be in the krb5.conf realm information in order to
 contact kadmind, because the DNS implementation for kadmin is
 incomplete.)</p>
-<p class="last">Enabling this option does open up a type of denial-of-service
+<p>Enabling this option does open up a type of denial-of-service
 attack, if someone spoofs the DNS records and redirects you to
 another server.  However, it’s no worse than a denial of service,
 because that fake KDC will be unable to decode anything you send
@@ -271,215 +258,212 @@ it (besides the initial ticket request,
 data), and anything the fake KDC sends will not be trusted without
 verification using some secret that it won’t know.</p>
 </dd>
-<dt><strong>dns_uri_lookup</strong></dt>
-<dd>Indicate whether DNS URI records should be used to locate the KDCs
+<dt><strong>dns_uri_lookup</strong></dt><dd><p>Indicate whether DNS URI records should be used to locate the KDCs
 and other servers for a realm, if they are not listed in the
 krb5.conf information for the realm.  SRV records are used as a
 fallback if no URI records were found.  The default value is true.
-New in release 1.15.</dd>
-<dt><strong>enforce_ok_as_delegate</strong></dt>
-<dd>If this flag to true, GSSAPI credential delegation will be
-disabled when the <code class="docutils literal"><span class="pre">ok-as-delegate</span></code> flag is not set in the
-service ticket.  If this flag is false, the <code class="docutils literal"><span class="pre">ok-as-delegate</span></code>
+New in release 1.15.</p>
+</dd>
+<dt><strong>enforce_ok_as_delegate</strong></dt><dd><p>If this flag to true, GSSAPI credential delegation will be
+disabled when the <code class="docutils literal notranslate"><span class="pre">ok-as-delegate</span></code> flag is not set in the
+service ticket.  If this flag is false, the <code class="docutils literal notranslate"><span class="pre">ok-as-delegate</span></code>
 ticket flag is only enforced when an application specifically
-requests enforcement.  The default value is false.</dd>
-<dt><strong>err_fmt</strong></dt>
-<dd>This relation allows for custom error message formatting.  If a
+requests enforcement.  The default value is false.</p>
+</dd>
+<dt><strong>err_fmt</strong></dt><dd><p>This relation allows for custom error message formatting.  If a
 value is set, error messages will be formatted by substituting a
-normal error message for %M and an error code for %C in the value.</dd>
-<dt><strong>extra_addresses</strong></dt>
-<dd>This allows a computer to use multiple local addresses, in order
+normal error message for %M and an error code for %C in the value.</p>
+</dd>
+<dt><strong>extra_addresses</strong></dt><dd><p>This allows a computer to use multiple local addresses, in order
 to allow Kerberos to work in a network that uses NATs while still
 using address-restricted tickets.  The addresses should be in a
 comma-separated list.  This option has no effect if
-<strong>noaddresses</strong> is true.</dd>
-<dt><strong>forwardable</strong></dt>
-<dd>If this flag is true, initial tickets will be forwardable by
-default, if allowed by the KDC.  The default value is false.</dd>
-<dt><strong>ignore_acceptor_hostname</strong></dt>
-<dd>When accepting GSSAPI or krb5 security contexts for host-based
+<strong>noaddresses</strong> is true.</p>
+</dd>
+<dt><strong>forwardable</strong></dt><dd><p>If this flag is true, initial tickets will be forwardable by
+default, if allowed by the KDC.  The default value is false.</p>
+</dd>
+<dt><strong>ignore_acceptor_hostname</strong></dt><dd><p>When accepting GSSAPI or krb5 security contexts for host-based
 service principals, ignore any hostname passed by the calling
 application, and allow clients to authenticate to any service
 principal in the keytab matching the service name and realm name
 (if given).  This option can improve the administrative
 flexibility of server applications on multihomed hosts, but could
 compromise the security of virtual hosting environments.  The
-default value is false.  New in release 1.10.</dd>
-<dt><strong>k5login_authoritative</strong></dt>
-<dd>If this flag is true, principals must be listed in a local user’s
+default value is false.  New in release 1.10.</p>
+</dd>
+<dt><strong>k5login_authoritative</strong></dt><dd><p>If this flag is true, principals must be listed in a local user’s
 k5login file to be granted login access, if a <a class="reference internal" href="../../user/user_config/k5login.html#k5login-5"><span class="std std-ref">.k5login</span></a>
 file exists.  If this flag is false, a principal may still be
 granted login access through other mechanisms even if a k5login
 file exists but does not list the principal.  The default value is
-true.</dd>
-<dt><strong>k5login_directory</strong></dt>
-<dd>If set, the library will look for a local user’s k5login file
+true.</p>
+</dd>
+<dt><strong>k5login_directory</strong></dt><dd><p>If set, the library will look for a local user’s k5login file
 within the named directory, with a filename corresponding to the
 local username.  If not set, the library will look for k5login
 files in the user’s home directory, with the filename .k5login.
 For security reasons, .k5login files must be owned by
-the local user or by root.</dd>
-<dt><strong>kcm_mach_service</strong></dt>
-<dd>On macOS only, determines the name of the bootstrap service used to
+the local user or by root.</p>
+</dd>
+<dt><strong>kcm_mach_service</strong></dt><dd><p>On macOS only, determines the name of the bootstrap service used to
 contact the KCM daemon for the KCM credential cache type.  If the
-value is <code class="docutils literal"><span class="pre">-</span></code>, Mach RPC will not be used to contact the KCM
-daemon.  The default value is <code class="docutils literal"><span class="pre">org.h5l.kcm</span></code>.</dd>
-<dt><strong>kcm_socket</strong></dt>
-<dd>Determines the path to the Unix domain socket used to access the
+value is <code class="docutils literal notranslate"><span class="pre">-</span></code>, Mach RPC will not be used to contact the KCM
+daemon.  The default value is <code class="docutils literal notranslate"><span class="pre">org.h5l.kcm</span></code>.</p>
+</dd>
+<dt><strong>kcm_socket</strong></dt><dd><p>Determines the path to the Unix domain socket used to access the
 KCM daemon for the KCM credential cache type.  If the value is
-<code class="docutils literal"><span class="pre">-</span></code>, Unix domain sockets will not be used to contact the KCM
+<code class="docutils literal notranslate"><span class="pre">-</span></code>, Unix domain sockets will not be used to contact the KCM
 daemon.  The default value is
-<code class="docutils literal"><span class="pre">/var/run/.heim_org.h5l.kcm-socket</span></code>.</dd>
-<dt><strong>kdc_default_options</strong></dt>
-<dd>Default KDC options (Xored for multiple values) when requesting
+<code class="docutils literal notranslate"><span class="pre">/var/run/.heim_org.h5l.kcm-socket</span></code>.</p>
+</dd>
+<dt><strong>kdc_default_options</strong></dt><dd><p>Default KDC options (Xored for multiple values) when requesting
 initial tickets.  By default it is set to 0x00000010
-(KDC_OPT_RENEWABLE_OK).</dd>
-<dt><strong>kdc_timesync</strong></dt>
-<dd>Accepted values for this relation are 1 or 0.  If it is nonzero,
+(KDC_OPT_RENEWABLE_OK).</p>
+</dd>
+<dt><strong>kdc_timesync</strong></dt><dd><p>Accepted values for this relation are 1 or 0.  If it is nonzero,
 client machines will compute the difference between their time and
 the time returned by the KDC in the timestamps in the tickets and
 use this value to correct for an inaccurate system clock when
 requesting service tickets or authenticating to services.  This
 corrective factor is only used by the Kerberos library; it is not
-used to change the system clock.  The default value is 1.</dd>
-<dt><strong>noaddresses</strong></dt>
-<dd>If this flag is true, requests for initial tickets will not be
+used to change the system clock.  The default value is 1.</p>
+</dd>
+<dt><strong>noaddresses</strong></dt><dd><p>If this flag is true, requests for initial tickets will not be
 made with address restrictions set, allowing the tickets to be
-used across NATs.  The default value is true.</dd>
-<dt><strong>permitted_enctypes</strong></dt>
-<dd>Identifies the encryption types that servers will permit for
+used across NATs.  The default value is true.</p>
+</dd>
+<dt><strong>permitted_enctypes</strong></dt><dd><p>Identifies the encryption types that servers will permit for
 session keys and for ticket and authenticator encryption, ordered
 by preference from highest to lowest.  Starting in release 1.18,
 this tag also acts as the default value for
 <strong>default_tgs_enctypes</strong> and <strong>default_tkt_enctypes</strong>.  The
-default value for this tag is <code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96</span> <span class="pre">aes128-cts-hmac-sha1-96</span> <span class="pre">aes256-cts-hmac-sha384-192</span> <span class="pre">aes128-cts-hmac-sha256-128</span> <span class="pre">des3-cbc-sha1</span> <span class="pre">arcfour-hmac-md5</span> <span class="pre">camellia256-cts-cmac</span> <span class="pre">camellia128-cts-cmac</span></code>.</dd>
-<dt><strong>plugin_base_dir</strong></dt>
-<dd>If set, determines the base directory where krb5 plugins are
-located.  The default value is the <code class="docutils literal"><span class="pre">krb5/plugins</span></code> subdirectory
+default value for this tag is <code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96</span> <span class="pre">aes128-cts-hmac-sha1-96</span> <span class="pre">aes256-cts-hmac-sha384-192</span> <span class="pre">aes128-cts-hmac-sha256-128</span> <span class="pre">des3-cbc-sha1</span> <span class="pre">arcfour-hmac-md5</span> <span class="pre">camellia256-cts-cmac</span> <span class="pre">camellia128-cts-cmac</span></code>.</p>
+</dd>
+<dt><strong>plugin_base_dir</strong></dt><dd><p>If set, determines the base directory where krb5 plugins are
+located.  The default value is the <code class="docutils literal notranslate"><span class="pre">krb5/plugins</span></code> subdirectory
 of the krb5 library directory.  This relation is subject to
-parameter expansion (see below) in release 1.17 and later.</dd>
-<dt><strong>preferred_preauth_types</strong></dt>
-<dd>This allows you to set the preferred preauthentication types which
+parameter expansion (see below) in release 1.17 and later.</p>
+</dd>
+<dt><strong>preferred_preauth_types</strong></dt><dd><p>This allows you to set the preferred preauthentication types which
 the client will attempt before others which may be advertised by a
 KDC.  The default value for this setting is “17, 16, 15, 14”,
-which forces libkrb5 to attempt to use PKINIT if it is supported.</dd>
-<dt><strong>proxiable</strong></dt>
-<dd>If this flag is true, initial tickets will be proxiable by
-default, if allowed by the KDC.  The default value is false.</dd>
-<dt><strong>qualify_shortname</strong></dt>
-<dd>If this string is set, it determines the domain suffix for
+which forces libkrb5 to attempt to use PKINIT if it is supported.</p>
+</dd>
+<dt><strong>proxiable</strong></dt><dd><p>If this flag is true, initial tickets will be proxiable by
+default, if allowed by the KDC.  The default value is false.</p>
+</dd>
+<dt><strong>qualify_shortname</strong></dt><dd><p>If this string is set, it determines the domain suffix for
 single-component hostnames when DNS canonicalization is not used
 (either because <strong>dns_canonicalize_hostname</strong> is false or because
 forward canonicalization failed).  The default value is the first
 search domain of the system’s DNS configuration.  To disable
 qualification of shortnames, set this relation to the empty string
-with <code class="docutils literal"><span class="pre">qualify_shortname</span> <span class="pre">=</span> <span class="pre">&quot;&quot;</span></code>.  (New in release 1.18.)</dd>
-<dt><strong>rdns</strong></dt>
-<dd>If this flag is true, reverse name lookup will be used in addition
+with <code class="docutils literal notranslate"><span class="pre">qualify_shortname</span> <span class="pre">=</span> <span class="pre">&quot;&quot;</span></code>.  (New in release 1.18.)</p>
+</dd>
+<dt><strong>rdns</strong></dt><dd><p>If this flag is true, reverse name lookup will be used in addition
 to forward name lookup to canonicalizing hostnames for use in
 service principal names.  If <strong>dns_canonicalize_hostname</strong> is set
-to false, this flag has no effect.  The default value is true.</dd>
-<dt><strong>realm_try_domains</strong></dt>
-<dd>Indicate whether a host’s domain components should be used to
+to false, this flag has no effect.  The default value is true.</p>
+</dd>
+<dt><strong>realm_try_domains</strong></dt><dd><p>Indicate whether a host’s domain components should be used to
 determine the Kerberos realm of the host.  The value of this
 variable is an integer: -1 means not to search, 0 means to try the
 host’s domain itself, 1 means to also try the domain’s immediate
 parent, and so forth.  The library’s usual mechanism for locating
 Kerberos realms is used to determine whether a domain is a valid
 realm, which may involve consulting DNS if <strong>dns_lookup_kdc</strong> is
-set.  The default is not to search domain components.</dd>
-<dt><strong>renew_lifetime</strong></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Sets the default renewable lifetime
-for initial ticket requests.  The default value is 0.</dd>
-<dt><strong>spake_preauth_groups</strong></dt>
-<dd><p class="first">A whitespace or comma-separated list of words which specifies the
+set.  The default is not to search domain components.</p>
+</dd>
+<dt><strong>renew_lifetime</strong></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Sets the default renewable lifetime
+for initial ticket requests.  The default value is 0.</p>
+</dd>
+<dt><strong>spake_preauth_groups</strong></dt><dd><p>A whitespace or comma-separated list of words which specifies the
 groups allowed for SPAKE preauthentication.  The possible values
 are:</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="27%" />
-<col width="73%" />
+<col style="width: 27%" />
+<col style="width: 73%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>edwards25519</td>
-<td>Edwards25519 curve (<span class="target" id="index-0"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc7748.html"><strong>RFC 7748</strong></a>)</td>
+<tbody>
+<tr class="row-odd"><td><p>edwards25519</p></td>
+<td><p>Edwards25519 curve (<span class="target" id="index-0"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc7748.html"><strong>RFC 7748</strong></a>)</p></td>
 </tr>
-<tr class="row-even"><td>P-256</td>
-<td>NIST P-256 curve (<span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5480.html"><strong>RFC 5480</strong></a>)</td>
+<tr class="row-even"><td><p>P-256</p></td>
+<td><p>NIST P-256 curve (<span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5480.html"><strong>RFC 5480</strong></a>)</p></td>
 </tr>
-<tr class="row-odd"><td>P-384</td>
-<td>NIST P-384 curve (<span class="target" id="index-2"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5480.html"><strong>RFC 5480</strong></a>)</td>
+<tr class="row-odd"><td><p>P-384</p></td>
+<td><p>NIST P-384 curve (<span class="target" id="index-2"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5480.html"><strong>RFC 5480</strong></a>)</p></td>
 </tr>
-<tr class="row-even"><td>P-521</td>
-<td>NIST P-521 curve (<span class="target" id="index-3"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5480.html"><strong>RFC 5480</strong></a>)</td>
+<tr class="row-even"><td><p>P-521</p></td>
+<td><p>NIST P-521 curve (<span class="target" id="index-3"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5480.html"><strong>RFC 5480</strong></a>)</p></td>
 </tr>
 </tbody>
 </table>
-<p class="last">The default value for the client is <code class="docutils literal"><span class="pre">edwards25519</span></code>.  The default
+<p>The default value for the client is <code class="docutils literal notranslate"><span class="pre">edwards25519</span></code>.  The default
 value for the KDC is empty.  New in release 1.17.</p>
 </dd>
-<dt><strong>ticket_lifetime</strong></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Sets the default lifetime for initial
-ticket requests.  The default value is 1 day.</dd>
-<dt><strong>udp_preference_limit</strong></dt>
-<dd>When sending a message to the KDC, the library will try using TCP
+<dt><strong>ticket_lifetime</strong></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Sets the default lifetime for initial
+ticket requests.  The default value is 1 day.</p>
+</dd>
+<dt><strong>udp_preference_limit</strong></dt><dd><p>When sending a message to the KDC, the library will try using TCP
 before UDP if the size of the message is above
 <strong>udp_preference_limit</strong>.  If the message is smaller than
 <strong>udp_preference_limit</strong>, then UDP will be tried before TCP.
 Regardless of the size, both protocols will be tried if the first
-attempt fails.</dd>
-<dt><strong>verify_ap_req_nofail</strong></dt>
-<dd>If this flag is true, then an attempt to verify initial
+attempt fails.</p>
+</dd>
+<dt><strong>verify_ap_req_nofail</strong></dt><dd><p>If this flag is true, then an attempt to verify initial
 credentials will fail if the client machine does not have a
-keytab.  The default value is false.</dd>
-<dt><strong>client_aware_channel_bindings</strong></dt>
-<dd>If this flag is true, then all application protocol authentication
+keytab.  The default value is false.</p>
+</dd>
+<dt><strong>client_aware_channel_bindings</strong></dt><dd><p>If this flag is true, then all application protocol authentication
 requests will be flagged to indicate that the application supports
 channel bindings when operating over a secure channel.  The
-default value is false.</dd>
+default value is false.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="realms">
+</section>
+<section id="realms">
 <span id="id2"></span><h3>[realms]<a class="headerlink" href="#realms" title="Permalink to this headline">¶</a></h3>
 <p>Each tag in the [realms] section of the file is the name of a Kerberos
 realm.  The value of the tag is a subsection with relations that
 define the properties of that particular realm.  For each realm, the
 following tags may be specified in the realm’s subsection:</p>
-<dl class="docutils">
-<dt><strong>admin_server</strong></dt>
-<dd>Identifies the host where the administration server is running.
+<dl>
+<dt><strong>admin_server</strong></dt><dd><p>Identifies the host where the administration server is running.
 Typically, this is the primary Kerberos server.  This tag must be
 given a value in order to communicate with the <a class="reference internal" href="../admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>
-server for the realm.</dd>
-<dt><strong>auth_to_local</strong></dt>
-<dd><p class="first">This tag allows you to set a general rule for mapping principal
+server for the realm.</p>
+</dd>
+<dt><strong>auth_to_local</strong></dt><dd><p>This tag allows you to set a general rule for mapping principal
 names to local user names.  It will be used if there is not an
 explicit mapping for the principal name that is being
 translated. The possible values are:</p>
-<dl class="docutils">
-<dt><strong>RULE:</strong><em>exp</em></dt>
-<dd><p class="first">The local name will be formulated from <em>exp</em>.</p>
-<p class="last">The format for <em>exp</em> is <strong>[</strong><em>n</em><strong>:</strong><em>string</em><strong>](</strong><em>regexp</em><strong>)s/</strong><em>pattern</em><strong>/</strong><em>replacement</em><strong>/g</strong>.
+<dl>
+<dt><strong>RULE:</strong><em>exp</em></dt><dd><p>The local name will be formulated from <em>exp</em>.</p>
+<p>The format for <em>exp</em> is <strong>[</strong><em>n</em><strong>:</strong><em>string</em><strong>](</strong><em>regexp</em><strong>)s/</strong><em>pattern</em><strong>/</strong><em>replacement</em><strong>/g</strong>.
 The integer <em>n</em> indicates how many components the target
 principal should have.  If this matches, then a string will be
 formed from <em>string</em>, substituting the realm of the principal
-for <code class="docutils literal"><span class="pre">$0</span></code> and the <em>n</em>’th component of the principal for
-<code class="docutils literal"><span class="pre">$n</span></code> (e.g., if the principal was <code class="docutils literal"><span class="pre">johndoe/admin</span></code> then
-<code class="docutils literal"><span class="pre">[2:$2$1foo]</span></code> would result in the string
-<code class="docutils literal"><span class="pre">adminjohndoefoo</span></code>).  If this string matches <em>regexp</em>, then
-the <code class="docutils literal"><span class="pre">s//[g]</span></code> substitution command will be run over the
+for <code class="docutils literal notranslate"><span class="pre">$0</span></code> and the <em>n</em>’th component of the principal for
+<code class="docutils literal notranslate"><span class="pre">$n</span></code> (e.g., if the principal was <code class="docutils literal notranslate"><span class="pre">johndoe/admin</span></code> then
+<code class="docutils literal notranslate"><span class="pre">[2:$2$1foo]</span></code> would result in the string
+<code class="docutils literal notranslate"><span class="pre">adminjohndoefoo</span></code>).  If this string matches <em>regexp</em>, then
+the <code class="docutils literal notranslate"><span class="pre">s//[g]</span></code> substitution command will be run over the
 string.  The optional <strong>g</strong> will cause the substitution to be
 global over the <em>string</em>, instead of replacing only the first
 match in the <em>string</em>.</p>
 </dd>
-<dt><strong>DEFAULT</strong></dt>
-<dd>The principal name will be used as the local user name.  If
+<dt><strong>DEFAULT</strong></dt><dd><p>The principal name will be used as the local user name.  If
 the principal has more than one component or is not in the
 default realm, this rule is not applicable and the conversion
-will fail.</dd>
+will fail.</p>
+</dd>
 </dl>
 <p>For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>[realms]
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>[realms]
     ATHENA.MIT.EDU = {
         auth_to_local = RULE:[2:$1](johndoe)s/^.*$/guest/
         auth_to_local = RULE:[2:$1;$2](^.*;admin$)s/;admin$//
@@ -488,34 +472,33 @@ will fail.</dd>
     }
 </pre></div>
 </div>
-<p class="last">would result in any principal without <code class="docutils literal"><span class="pre">root</span></code> or <code class="docutils literal"><span class="pre">admin</span></code> as the
+<p>would result in any principal without <code class="docutils literal notranslate"><span class="pre">root</span></code> or <code class="docutils literal notranslate"><span class="pre">admin</span></code> as the
 second component to be translated with the default rule.  A
-principal with a second component of <code class="docutils literal"><span class="pre">admin</span></code> will become its
-first component.  <code class="docutils literal"><span class="pre">root</span></code> will be used as the local name for any
-principal with a second component of <code class="docutils literal"><span class="pre">root</span></code>.  The exception to
-these two rules are any principals <code class="docutils literal"><span class="pre">johndoe/*</span></code>, which will
-always get the local name <code class="docutils literal"><span class="pre">guest</span></code>.</p>
+principal with a second component of <code class="docutils literal notranslate"><span class="pre">admin</span></code> will become its
+first component.  <code class="docutils literal notranslate"><span class="pre">root</span></code> will be used as the local name for any
+principal with a second component of <code class="docutils literal notranslate"><span class="pre">root</span></code>.  The exception to
+these two rules are any principals <code class="docutils literal notranslate"><span class="pre">johndoe/*</span></code>, which will
+always get the local name <code class="docutils literal notranslate"><span class="pre">guest</span></code>.</p>
 </dd>
-<dt><strong>auth_to_local_names</strong></dt>
-<dd>This subsection allows you to set explicit mappings from principal
+<dt><strong>auth_to_local_names</strong></dt><dd><p>This subsection allows you to set explicit mappings from principal
 names to local user names.  The tag is the mapping name, and the
-value is the corresponding local user name.</dd>
-<dt><strong>default_domain</strong></dt>
-<dd>This tag specifies the domain used to expand hostnames when
+value is the corresponding local user name.</p>
+</dd>
+<dt><strong>default_domain</strong></dt><dd><p>This tag specifies the domain used to expand hostnames when
 translating Kerberos 4 service principals to Kerberos 5 principals
-(for example, when converting <code class="docutils literal"><span class="pre">rcmd.hostname</span></code> to
-<code class="docutils literal"><span class="pre">host/hostname.domain</span></code>).</dd>
-<dt><strong>disable_encrypted_timestamp</strong></dt>
-<dd>If this flag is true, the client will not perform encrypted
+(for example, when converting <code class="docutils literal notranslate"><span class="pre">rcmd.hostname</span></code> to
+<code class="docutils literal notranslate"><span class="pre">host/hostname.domain</span></code>).</p>
+</dd>
+<dt><strong>disable_encrypted_timestamp</strong></dt><dd><p>If this flag is true, the client will not perform encrypted
 timestamp preauthentication if requested by the KDC.  Setting this
 flag can help to prevent dictionary attacks by active attackers,
 if the realm’s KDCs support SPAKE preauthentication or if initial
 authentication always uses another mechanism or always uses FAST.
 This flag persists across client referrals during initial
 authentication.  This flag does not prevent the KDC from offering
-encrypted timestamp.  New in release 1.17.</dd>
-<dt><strong>http_anchors</strong></dt>
-<dd><p class="first">When KDCs and kpasswd servers are accessed through HTTPS proxies, this tag
+encrypted timestamp.  New in release 1.17.</p>
+</dd>
+<dt><strong>http_anchors</strong></dt><dd><p>When KDCs and kpasswd servers are accessed through HTTPS proxies, this tag
 can be used to specify the location of the CA certificate which should be
 trusted to issue the certificate for a proxy server.  If left unspecified,
 the system-wide default set of CA certificates is used.</p>
@@ -528,70 +511,70 @@ the system-wide default set of CA certif
 All files in the directory will be examined; if they contain certificates
 (in PEM format), they will be used.</p>
 <p><strong>ENV:</strong> <em>envvar</em></p>
-<p class="last"><em>envvar</em> specifies the name of an environment variable which has been set
+<p><em>envvar</em> specifies the name of an environment variable which has been set
 to a value conforming to one of the previous values.  For example,
-<code class="docutils literal"><span class="pre">ENV:X509_PROXY_CA</span></code>, where environment variable <code class="docutils literal"><span class="pre">X509_PROXY_CA</span></code> has
-been set to <code class="docutils literal"><span class="pre">FILE:/tmp/my_proxy.pem</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">ENV:X509_PROXY_CA</span></code>, where environment variable <code class="docutils literal notranslate"><span class="pre">X509_PROXY_CA</span></code> has
+been set to <code class="docutils literal notranslate"><span class="pre">FILE:/tmp/my_proxy.pem</span></code>.</p>
 </dd>
-<dt><strong>kdc</strong></dt>
-<dd>The name or address of a host running a KDC for that realm.  An
+<dt><strong>kdc</strong></dt><dd><p>The name or address of a host running a KDC for that realm.  An
 optional port number, separated from the hostname by a colon, may
 be included.  If the name or address contains colons (for example,
 if it is an IPv6 address), enclose it in square brackets to
 distinguish the colon from a port separator.  For your computer to
 be able to communicate with the KDC for each realm, this tag must
 be given a value in each realm subsection in the configuration
-file, or there must be DNS SRV records specifying the KDCs.</dd>
-<dt><strong>kpasswd_server</strong></dt>
-<dd>Points to the server where all the password changes are performed.
+file, or there must be DNS SRV records specifying the KDCs.</p>
+</dd>
+<dt><strong>kpasswd_server</strong></dt><dd><p>Points to the server where all the password changes are performed.
 If there is no such entry, DNS will be queried (unless forbidden
 by <strong>dns_lookup_kdc</strong>).  Finally, port 464 on the <strong>admin_server</strong>
-host will be tried.</dd>
-<dt><strong>master_kdc</strong></dt>
-<dd>The name for <strong>primary_kdc</strong> prior to release 1.19.  Its value is
-used as a fallback if <strong>primary_kdc</strong> is not specified.</dd>
-<dt><strong>primary_kdc</strong></dt>
-<dd>Identifies the primary KDC(s).  Currently, this tag is used in only
+host will be tried.</p>
+</dd>
+<dt><strong>master_kdc</strong></dt><dd><p>The name for <strong>primary_kdc</strong> prior to release 1.19.  Its value is
+used as a fallback if <strong>primary_kdc</strong> is not specified.</p>
+</dd>
+<dt><strong>primary_kdc</strong></dt><dd><p>Identifies the primary KDC(s).  Currently, this tag is used in only
 one case: If an attempt to get credentials fails because of an
 invalid password, the client software will attempt to contact the
 primary KDC, in case the user’s password has just been changed, and
 the updated database has not been propagated to the replica
-servers yet.  New in release 1.19.</dd>
-<dt><strong>v4_instance_convert</strong></dt>
-<dd>This subsection allows the administrator to configure exceptions
+servers yet.  New in release 1.19.</p>
+</dd>
+<dt><strong>v4_instance_convert</strong></dt><dd><p>This subsection allows the administrator to configure exceptions
 to the <strong>default_domain</strong> mapping rule.  It contains V4 instances
 (the tag name) which should be translated to some specific
 hostname (the tag value) as the second component in a Kerberos V5
-principal name.</dd>
-<dt><strong>v4_realm</strong></dt>
-<dd>This relation is used by the krb524 library routines when
+principal name.</p>
+</dd>
+<dt><strong>v4_realm</strong></dt><dd><p>This relation is used by the krb524 library routines when
 converting a V5 principal name to a V4 principal name.  It is used
 when the V4 realm name and the V5 realm name are not the same, but
 still share the same principal names and passwords. The tag value
-is the Kerberos V4 realm name.</dd>
+is the Kerberos V4 realm name.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="domain-realm">
+</section>
+<section id="domain-realm">
 <span id="id3"></span><h3>[domain_realm]<a class="headerlink" href="#domain-realm" title="Permalink to this headline">¶</a></h3>
 <p>The [domain_realm] section provides a translation from hostnames to
 Kerberos realms.  Each tag is a domain name, providing the mapping for
 that domain and all subdomains.  If the tag begins with a period
-(<code class="docutils literal"><span class="pre">.</span></code>) then it applies only to subdomains.  The Kerberos realm may be
+(<code class="docutils literal notranslate"><span class="pre">.</span></code>) then it applies only to subdomains.  The Kerberos realm may be
 identified either in the <a class="reference internal" href="#realms">realms</a> section or using DNS SRV records.
 Tag names should be in lower case.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">domain_realm</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">domain_realm</span><span class="p">]</span>
     <span class="n">crash</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="o">=</span> <span class="n">TEST</span><span class="o">.</span><span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
     <span class="o">.</span><span class="n">dev</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="o">=</span> <span class="n">TEST</span><span class="o">.</span><span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
     <span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="o">=</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 </pre></div>
 </div>
-<p>maps the host with the name <code class="docutils literal"><span class="pre">crash.mit.edu</span></code> into the
-<code class="docutils literal"><span class="pre">TEST.ATHENA.MIT.EDU</span></code> realm.  The second entry maps all hosts under the
-domain <code class="docutils literal"><span class="pre">dev.mit.edu</span></code> into the <code class="docutils literal"><span class="pre">TEST.ATHENA.MIT.EDU</span></code> realm, but not
-the host with the name <code class="docutils literal"><span class="pre">dev.mit.edu</span></code>.  That host is matched
-by the third entry, which maps the host <code class="docutils literal"><span class="pre">mit.edu</span></code> and all hosts
-under the domain <code class="docutils literal"><span class="pre">mit.edu</span></code> that do not match a preceding rule
-into the realm <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code>.</p>
+<p>maps the host with the name <code class="docutils literal notranslate"><span class="pre">crash.mit.edu</span></code> into the
+<code class="docutils literal notranslate"><span class="pre">TEST.ATHENA.MIT.EDU</span></code> realm.  The second entry maps all hosts under the
+domain <code class="docutils literal notranslate"><span class="pre">dev.mit.edu</span></code> into the <code class="docutils literal notranslate"><span class="pre">TEST.ATHENA.MIT.EDU</span></code> realm, but not
+the host with the name <code class="docutils literal notranslate"><span class="pre">dev.mit.edu</span></code>.  That host is matched
+by the third entry, which maps the host <code class="docutils literal notranslate"><span class="pre">mit.edu</span></code> and all hosts
+under the domain <code class="docutils literal notranslate"><span class="pre">mit.edu</span></code> that do not match a preceding rule
+into the realm <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code>.</p>
 <p>If no translation entry applies to a hostname used for a service
 principal for a service ticket request, the library will try to get a
 referral to the appropriate realm from the client realm’s KDC.  If
@@ -599,8 +582,8 @@ that does not succeed, the host’s real
 hostname’s domain portion converted to uppercase, unless the
 <strong>realm_try_domains</strong> setting in [libdefaults] causes a different
 parent domain to be used.</p>
-</div>
-<div class="section" id="capaths">
+</section>
+<section id="capaths">
 <span id="id4"></span><h3>[capaths]<a class="headerlink" href="#capaths" title="Permalink to this headline">¶</a></h3>
 <p>In order to perform direct (non-hierarchical) cross-realm
 authentication, configuration is needed to determine the
@@ -621,12 +604,12 @@ need to be present.  A client needs a ta
 subtags for all the realms of servers it will need to authenticate to.
 A server needs a tag for each realm of the clients it will serve, with
 a subtag of the server realm.</p>
-<p>For example, <code class="docutils literal"><span class="pre">ANL.GOV</span></code>, <code class="docutils literal"><span class="pre">PNL.GOV</span></code>, and <code class="docutils literal"><span class="pre">NERSC.GOV</span></code> all wish to
-use the <code class="docutils literal"><span class="pre">ES.NET</span></code> realm as an intermediate realm.  ANL has a sub
-realm of <code class="docutils literal"><span class="pre">TEST.ANL.GOV</span></code> which will authenticate with <code class="docutils literal"><span class="pre">NERSC.GOV</span></code>
-but not <code class="docutils literal"><span class="pre">PNL.GOV</span></code>.  The [capaths] section for <code class="docutils literal"><span class="pre">ANL.GOV</span></code> systems
+<p>For example, <code class="docutils literal notranslate"><span class="pre">ANL.GOV</span></code>, <code class="docutils literal notranslate"><span class="pre">PNL.GOV</span></code>, and <code class="docutils literal notranslate"><span class="pre">NERSC.GOV</span></code> all wish to
+use the <code class="docutils literal notranslate"><span class="pre">ES.NET</span></code> realm as an intermediate realm.  ANL has a sub
+realm of <code class="docutils literal notranslate"><span class="pre">TEST.ANL.GOV</span></code> which will authenticate with <code class="docutils literal notranslate"><span class="pre">NERSC.GOV</span></code>
+but not <code class="docutils literal notranslate"><span class="pre">PNL.GOV</span></code>.  The [capaths] section for <code class="docutils literal notranslate"><span class="pre">ANL.GOV</span></code> systems
 would look like this:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">capaths</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">capaths</span><span class="p">]</span>
     <span class="n">ANL</span><span class="o">.</span><span class="n">GOV</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">TEST</span><span class="o">.</span><span class="n">ANL</span><span class="o">.</span><span class="n">GOV</span> <span class="o">=</span> <span class="o">.</span>
         <span class="n">PNL</span><span class="o">.</span><span class="n">GOV</span> <span class="o">=</span> <span class="n">ES</span><span class="o">.</span><span class="n">NET</span>
@@ -647,9 +630,9 @@ would look like this:</p>
     <span class="p">}</span>
 </pre></div>
 </div>
-<p>The [capaths] section of the configuration file used on <code class="docutils literal"><span class="pre">NERSC.GOV</span></code>
+<p>The [capaths] section of the configuration file used on <code class="docutils literal notranslate"><span class="pre">NERSC.GOV</span></code>
 systems would look like this:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">capaths</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">capaths</span><span class="p">]</span>
     <span class="n">NERSC</span><span class="o">.</span><span class="n">GOV</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">ANL</span><span class="o">.</span><span class="n">GOV</span> <span class="o">=</span> <span class="n">ES</span><span class="o">.</span><span class="n">NET</span>
         <span class="n">TEST</span><span class="o">.</span><span class="n">ANL</span><span class="o">.</span><span class="n">GOV</span> <span class="o">=</span> <span class="n">ES</span><span class="o">.</span><span class="n">NET</span>
@@ -675,14 +658,14 @@ systems would look like this:</p>
 <p>When a subtag is used more than once within a tag, clients will use
 the order of values to determine the path.  The order of values is not
 important to servers.</p>
-</div>
-<div class="section" id="appdefaults">
+</section>
+<section id="appdefaults">
 <span id="id5"></span><h3>[appdefaults]<a class="headerlink" href="#appdefaults" title="Permalink to this headline">¶</a></h3>
 <p>Each tag in the [appdefaults] section names a Kerberos V5 application
 or an option that is used by some Kerberos V5 application[s].  The
 value of the tag defines the default behaviors for that application.</p>
 <p>For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">appdefaults</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">appdefaults</span><span class="p">]</span>
     <span class="n">telnet</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
             <span class="n">option1</span> <span class="o">=</span> <span class="n">false</span>
@@ -702,21 +685,21 @@ value of the tag defines the default beh
 order of decreasing precedence. In this example, if telnet is running
 in the realm EXAMPLE.COM, it should, by default, have option1 and
 option2 set to true.  However, a telnet program in the realm
-<code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> should have <code class="docutils literal"><span class="pre">option1</span></code> set to false and
-<code class="docutils literal"><span class="pre">option2</span></code> set to true.  Any other programs in ATHENA.MIT.EDU should
-have <code class="docutils literal"><span class="pre">option2</span></code> set to false by default.  Any programs running in
-other realms should have <code class="docutils literal"><span class="pre">option2</span></code> set to true.</p>
+<code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> should have <code class="docutils literal notranslate"><span class="pre">option1</span></code> set to false and
+<code class="docutils literal notranslate"><span class="pre">option2</span></code> set to true.  Any other programs in ATHENA.MIT.EDU should
+have <code class="docutils literal notranslate"><span class="pre">option2</span></code> set to false by default.  Any programs running in
+other realms should have <code class="docutils literal notranslate"><span class="pre">option2</span></code> set to true.</p>
 <p>The list of specifiable options for each application may be found in
 that application’s man pages.  The application defaults specified here
 are overridden by those specified in the <a class="reference internal" href="#realms">realms</a> section.</p>
-</div>
-<div class="section" id="plugins">
+</section>
+<section id="plugins">
 <span id="id6"></span><h3>[plugins]<a class="headerlink" href="#plugins" title="Permalink to this headline">¶</a></h3>
 <blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="#pwqual">pwqual</a> interface</li>
-<li><a class="reference internal" href="#kadm5-hook">kadm5_hook</a> interface</li>
-<li><a class="reference internal" href="#clpreauth">clpreauth</a> and <a class="reference internal" href="#kdcpreauth">kdcpreauth</a> interfaces</li>
+<li><p><a class="reference internal" href="#pwqual">pwqual</a> interface</p></li>
+<li><p><a class="reference internal" href="#kadm5-hook">kadm5_hook</a> interface</p></li>
+<li><p><a class="reference internal" href="#clpreauth">clpreauth</a> and <a class="reference internal" href="#kdcpreauth">kdcpreauth</a> interfaces</p></li>
 </ul>
 </div></blockquote>
 <p>Tags in the [plugins] section can be used to register dynamic plugin
@@ -726,22 +709,22 @@ here.</p>
 <p>New in release 1.9.</p>
 <p>Each pluggable interface corresponds to a subsection of [plugins].
 All subsections support the same tags:</p>
-<dl class="docutils">
-<dt><strong>disable</strong></dt>
-<dd>This tag may have multiple values. If there are values for this
+<dl class="simple">
+<dt><strong>disable</strong></dt><dd><p>This tag may have multiple values. If there are values for this
 tag, then the named modules will be disabled for the pluggable
-interface.</dd>
-<dt><strong>enable_only</strong></dt>
-<dd>This tag may have multiple values. If there are values for this
+interface.</p>
+</dd>
+<dt><strong>enable_only</strong></dt><dd><p>This tag may have multiple values. If there are values for this
 tag, then only the named modules will be enabled for the pluggable
-interface.</dd>
-<dt><strong>module</strong></dt>
-<dd>This tag may have multiple values.  Each value is a string of the
-form <code class="docutils literal"><span class="pre">modulename:pathname</span></code>, which causes the shared object
+interface.</p>
+</dd>
+<dt><strong>module</strong></dt><dd><p>This tag may have multiple values.  Each value is a string of the
+form <code class="docutils literal notranslate"><span class="pre">modulename:pathname</span></code>, which causes the shared object
 located at <em>pathname</em> to be registered as a dynamic module named
 <em>modulename</em> for the pluggable interface.  If <em>pathname</em> is not an
 absolute path, it will be treated as relative to the
-<strong>plugin_base_dir</strong> value from <a class="reference internal" href="#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</dd>
+<strong>plugin_base_dir</strong> value from <a class="reference internal" href="#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</p>
+</dd>
 </dl>
 <p>For pluggable interfaces where module order matters, modules
 registered with a <strong>module</strong> tag normally come first, in the order
@@ -750,159 +733,159 @@ are documented below.  If <strong>enable
 order of those tags overrides the normal module order.</p>
 <p>The following subsections are currently supported within the [plugins]
 section:</p>
-<div class="section" id="ccselect-interface">
+<section id="ccselect-interface">
 <span id="ccselect"></span><h4>ccselect interface<a class="headerlink" href="#ccselect-interface" title="Permalink to this headline">¶</a></h4>
 <p>The ccselect subsection controls modules for credential cache
 selection within a cache collection.  In addition to any registered
 dynamic modules, the following built-in modules exist (and may be
 disabled with the disable tag):</p>
-<dl class="docutils">
-<dt><strong>k5identity</strong></dt>
-<dd>Uses a .k5identity file in the user’s home directory to select a
-client principal</dd>
-<dt><strong>realm</strong></dt>
-<dd>Uses the service realm to guess an appropriate cache from the
-collection</dd>
-<dt><strong>hostname</strong></dt>
-<dd>If the service principal is host-based, uses the service hostname
-to guess an appropriate cache from the collection</dd>
+<dl class="simple">
+<dt><strong>k5identity</strong></dt><dd><p>Uses a .k5identity file in the user’s home directory to select a
+client principal</p>
+</dd>
+<dt><strong>realm</strong></dt><dd><p>Uses the service realm to guess an appropriate cache from the
+collection</p>
+</dd>
+<dt><strong>hostname</strong></dt><dd><p>If the service principal is host-based, uses the service hostname
+to guess an appropriate cache from the collection</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="pwqual-interface">
+</section>
+<section id="pwqual-interface">
 <span id="pwqual"></span><h4>pwqual interface<a class="headerlink" href="#pwqual-interface" title="Permalink to this headline">¶</a></h4>
 <p>The pwqual subsection controls modules for the password quality
 interface, which is used to reject weak passwords when passwords are
 changed.  The following built-in modules exist for this interface:</p>
-<dl class="docutils">
-<dt><strong>dict</strong></dt>
-<dd>Checks against the realm dictionary file</dd>
-<dt><strong>empty</strong></dt>
-<dd>Rejects empty passwords</dd>
-<dt><strong>hesiod</strong></dt>
-<dd>Checks against user information stored in Hesiod (only if Kerberos
-was built with Hesiod support)</dd>
-<dt><strong>princ</strong></dt>
-<dd>Checks against components of the principal name</dd>
+<dl class="simple">
+<dt><strong>dict</strong></dt><dd><p>Checks against the realm dictionary file</p>
+</dd>
+<dt><strong>empty</strong></dt><dd><p>Rejects empty passwords</p>
+</dd>
+<dt><strong>hesiod</strong></dt><dd><p>Checks against user information stored in Hesiod (only if Kerberos
+was built with Hesiod support)</p>
+</dd>
+<dt><strong>princ</strong></dt><dd><p>Checks against components of the principal name</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="kadm5-hook-interface">
+</section>
+<section id="kadm5-hook-interface">
 <span id="kadm5-hook"></span><h4>kadm5_hook interface<a class="headerlink" href="#kadm5-hook-interface" title="Permalink to this headline">¶</a></h4>
 <p>The kadm5_hook interface provides plugins with information on
 principal creation, modification, password changes and deletion.  This
 interface can be used to write a plugin to synchronize MIT Kerberos
 with another database such as Active Directory.  No plugins are built
 in for this interface.</p>
-</div>
-<div class="section" id="kadm5-auth-interface">
+</section>
+<section id="kadm5-auth-interface">
 <span id="kadm5-auth"></span><h4>kadm5_auth interface<a class="headerlink" href="#kadm5-auth-interface" title="Permalink to this headline">¶</a></h4>
 <p>The kadm5_auth section (introduced in release 1.16) controls modules
 for the kadmin authorization interface, which determines whether a
 client principal is allowed to perform a kadmin operation.  The
 following built-in modules exist for this interface:</p>
-<dl class="docutils">
-<dt><strong>acl</strong></dt>
-<dd>This module reads the <a class="reference internal" href="kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a> file, and authorizes
-operations which are allowed according to the rules in the file.</dd>
-<dt><strong>self</strong></dt>
-<dd>This module authorizes self-service operations including password
+<dl class="simple">
+<dt><strong>acl</strong></dt><dd><p>This module reads the <a class="reference internal" href="kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a> file, and authorizes
+operations which are allowed according to the rules in the file.</p>
+</dd>
+<dt><strong>self</strong></dt><dd><p>This module authorizes self-service operations including password
 changes, creation of new random keys, fetching the client’s
 principal record or string attributes, and fetching the policy
-record associated with the client principal.</dd>
+record associated with the client principal.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="clpreauth-and-kdcpreauth-interfaces">
+</section>
+<section id="clpreauth-and-kdcpreauth-interfaces">
 <span id="kdcpreauth"></span><span id="clpreauth"></span><h4>clpreauth and kdcpreauth interfaces<a class="headerlink" href="#clpreauth-and-kdcpreauth-interfaces" title="Permalink to this headline">¶</a></h4>
 <p>The clpreauth and kdcpreauth interfaces allow plugin modules to
 provide client and KDC preauthentication mechanisms.  The following
 built-in modules exist for these interfaces:</p>
-<dl class="docutils">
-<dt><strong>pkinit</strong></dt>
-<dd>This module implements the PKINIT preauthentication mechanism.</dd>
-<dt><strong>encrypted_challenge</strong></dt>
-<dd>This module implements the encrypted challenge FAST factor.</dd>
-<dt><strong>encrypted_timestamp</strong></dt>
-<dd>This module implements the encrypted timestamp mechanism.</dd>
+<dl class="simple">
+<dt><strong>pkinit</strong></dt><dd><p>This module implements the PKINIT preauthentication mechanism.</p>
+</dd>
+<dt><strong>encrypted_challenge</strong></dt><dd><p>This module implements the encrypted challenge FAST factor.</p>
+</dd>
+<dt><strong>encrypted_timestamp</strong></dt><dd><p>This module implements the encrypted timestamp mechanism.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="hostrealm-interface">
+</section>
+<section id="hostrealm-interface">
 <span id="hostrealm"></span><h4>hostrealm interface<a class="headerlink" href="#hostrealm-interface" title="Permalink to this headline">¶</a></h4>
 <p>The hostrealm section (introduced in release 1.12) controls modules
 for the host-to-realm interface, which affects the local mapping of
 hostnames to realm names and the choice of default realm.  The following
 built-in modules exist for this interface:</p>
-<dl class="docutils">
-<dt><strong>profile</strong></dt>
-<dd>This module consults the [domain_realm] section of the profile for
+<dl class="simple">
+<dt><strong>profile</strong></dt><dd><p>This module consults the [domain_realm] section of the profile for
 authoritative host-to-realm mappings, and the <strong>default_realm</strong>
-variable for the default realm.</dd>
-<dt><strong>dns</strong></dt>
-<dd>This module looks for DNS records for fallback host-to-realm
+variable for the default realm.</p>
+</dd>
+<dt><strong>dns</strong></dt><dd><p>This module looks for DNS records for fallback host-to-realm
 mappings and the default realm.  It only operates if the
-<strong>dns_lookup_realm</strong> variable is set to true.</dd>
-<dt><strong>domain</strong></dt>
-<dd>This module applies heuristics for fallback host-to-realm
+<strong>dns_lookup_realm</strong> variable is set to true.</p>
+</dd>
+<dt><strong>domain</strong></dt><dd><p>This module applies heuristics for fallback host-to-realm
 mappings.  It implements the <strong>realm_try_domains</strong> variable, and
 uses the uppercased parent domain of the hostname if that does not
-produce a result.</dd>
+produce a result.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="localauth-interface">
+</section>
+<section id="localauth-interface">
 <span id="localauth"></span><h4>localauth interface<a class="headerlink" href="#localauth-interface" title="Permalink to this headline">¶</a></h4>
 <p>The localauth section (introduced in release 1.12) controls modules
 for the local authorization interface, which affects the relationship
 between Kerberos principals and local system accounts.  The following
 built-in modules exist for this interface:</p>
-<dl class="docutils">
-<dt><strong>default</strong></dt>
-<dd>This module implements the <strong>DEFAULT</strong> type for <strong>auth_to_local</strong>
-values.</dd>
-<dt><strong>rule</strong></dt>
-<dd>This module implements the <strong>RULE</strong> type for <strong>auth_to_local</strong>
-values.</dd>
-<dt><strong>names</strong></dt>
-<dd>This module looks for an <strong>auth_to_local_names</strong> mapping for the
-principal name.</dd>
-<dt><strong>auth_to_local</strong></dt>
-<dd>This module processes <strong>auth_to_local</strong> values in the default
+<dl class="simple">
+<dt><strong>default</strong></dt><dd><p>This module implements the <strong>DEFAULT</strong> type for <strong>auth_to_local</strong>
+values.</p>
+</dd>
+<dt><strong>rule</strong></dt><dd><p>This module implements the <strong>RULE</strong> type for <strong>auth_to_local</strong>
+values.</p>
+</dd>
+<dt><strong>names</strong></dt><dd><p>This module looks for an <strong>auth_to_local_names</strong> mapping for the
+principal name.</p>
+</dd>
+<dt><strong>auth_to_local</strong></dt><dd><p>This module processes <strong>auth_to_local</strong> values in the default
 realm’s section, and applies the default method if no
-<strong>auth_to_local</strong> values exist.</dd>
-<dt><strong>k5login</strong></dt>
-<dd>This module authorizes a principal to a local account according to
-the account’s <a class="reference internal" href="../../user/user_config/k5login.html#k5login-5"><span class="std std-ref">.k5login</span></a> file.</dd>
-<dt><strong>an2ln</strong></dt>
-<dd>This module authorizes a principal to a local account if the
-principal name maps to the local account name.</dd>
+<strong>auth_to_local</strong> values exist.</p>
+</dd>
+<dt><strong>k5login</strong></dt><dd><p>This module authorizes a principal to a local account according to
+the account’s <a class="reference internal" href="../../user/user_config/k5login.html#k5login-5"><span class="std std-ref">.k5login</span></a> file.</p>
+</dd>
+<dt><strong>an2ln</strong></dt><dd><p>This module authorizes a principal to a local account if the
+principal name maps to the local account name.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="certauth-interface">
+</section>
+<section id="certauth-interface">
 <span id="certauth"></span><h4>certauth interface<a class="headerlink" href="#certauth-interface" title="Permalink to this headline">¶</a></h4>
 <p>The certauth section (introduced in release 1.16) controls modules for
 the certificate authorization interface, which determines whether a
 certificate is allowed to preauthenticate a user via PKINIT.  The
 following built-in modules exist for this interface:</p>
-<dl class="docutils">
-<dt><strong>pkinit_san</strong></dt>
-<dd>This module authorizes the certificate if it contains a PKINIT
+<dl class="simple">
+<dt><strong>pkinit_san</strong></dt><dd><p>This module authorizes the certificate if it contains a PKINIT
 Subject Alternative Name for the requested client principal, or a
 Microsoft UPN SAN matching the principal if <strong>pkinit_allow_upn</strong>
-is set to true for the realm.</dd>
-<dt><strong>pkinit_eku</strong></dt>
-<dd>This module rejects the certificate if it does not contain an
+is set to true for the realm.</p>
+</dd>
+<dt><strong>pkinit_eku</strong></dt><dd><p>This module rejects the certificate if it does not contain an
 Extended Key Usage attribute consistent with the
-<strong>pkinit_eku_checking</strong> value for the realm.</dd>
-<dt><strong>dbmatch</strong></dt>
-<dd>This module authorizes or rejects the certificate according to
+<strong>pkinit_eku_checking</strong> value for the realm.</p>
+</dd>
+<dt><strong>dbmatch</strong></dt><dd><p>This module authorizes or rejects the certificate according to
 whether it matches the <strong>pkinit_cert_match</strong> string attribute on
-the client principal, if that attribute is present.</dd>
+the client principal, if that attribute is present.</p>
+</dd>
 </dl>
-</div>
-</div>
-</div>
-<div class="section" id="pkinit-options">
+</section>
+</section>
+</section>
+<section id="pkinit-options">
 <h2>PKINIT options<a class="headerlink" href="#pkinit-options" title="Permalink to this headline">¶</a></h2>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The following are PKINIT-specific options.  These values may
+<p class="admonition-title">Note</p>
+<p>The following are PKINIT-specific options.  These values may
 be specified in [libdefaults] as global defaults, or within
 a realm-specific subsection of [libdefaults], or may be
 specified as realm-specific values in the [realms] section.
@@ -910,95 +893,92 @@ A realm-specific value overrides, not ad
 [libdefaults] specification.  The search order is:</p>
 </div>
 <ol class="arabic">
-<li><p class="first">realm-specific subsection of [libdefaults]:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
+<li><p>realm-specific subsection of [libdefaults]:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
     <span class="n">EXAMPLE</span><span class="o">.</span><span class="n">COM</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">example</span><span class="o">.</span><span class="n">com</span><span class="o">.</span><span class="n">crt</span>
     <span class="p">}</span>
 </pre></div>
 </div>
 </li>
-<li><p class="first">realm-specific value in the [realms] section:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
+<li><p>realm-specific value in the [realms] section:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
     <span class="n">OTHERREALM</span><span class="o">.</span><span class="n">ORG</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">otherrealm</span><span class="o">.</span><span class="n">org</span><span class="o">.</span><span class="n">crt</span>
     <span class="p">}</span>
 </pre></div>
 </div>
 </li>
-<li><p class="first">generic value in the [libdefaults] section:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
+<li><p>generic value in the [libdefaults] section:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
     <span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">DIR</span><span class="p">:</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">generic_trusted_cas</span><span class="o">/</span>
 </pre></div>
 </div>
 </li>
 </ol>
-<div class="section" id="specifying-pkinit-identity-information">
+<section id="specifying-pkinit-identity-information">
 <span id="pkinit-identity"></span><h3>Specifying PKINIT identity information<a class="headerlink" href="#specifying-pkinit-identity-information" title="Permalink to this headline">¶</a></h3>
 <p>The syntax for specifying Public Key identity, trust, and revocation
 information for PKINIT is as follows:</p>
-<dl class="docutils">
-<dt><strong>FILE:</strong><em>filename</em>[<strong>,</strong><em>keyfilename</em>]</dt>
-<dd><p class="first">This option has context-specific behavior.</p>
+<dl>
+<dt><strong>FILE:</strong><em>filename</em>[<strong>,</strong><em>keyfilename</em>]</dt><dd><p>This option has context-specific behavior.</p>
 <p>In <strong>pkinit_identity</strong> or <strong>pkinit_identities</strong>, <em>filename</em>
 specifies the name of a PEM-format file containing the user’s
 certificate.  If <em>keyfilename</em> is not specified, the user’s
 private key is expected to be in <em>filename</em> as well.  Otherwise,
 <em>keyfilename</em> is the name of the file containing the private key.</p>
-<p class="last">In <strong>pkinit_anchors</strong> or <strong>pkinit_pool</strong>, <em>filename</em> is assumed to
+<p>In <strong>pkinit_anchors</strong> or <strong>pkinit_pool</strong>, <em>filename</em> is assumed to
 be the name of an OpenSSL-style ca-bundle file.</p>
 </dd>
-<dt><strong>DIR:</strong><em>dirname</em></dt>
-<dd><p class="first">This option has context-specific behavior.</p>
+<dt><strong>DIR:</strong><em>dirname</em></dt><dd><p>This option has context-specific behavior.</p>
 <p>In <strong>pkinit_identity</strong> or <strong>pkinit_identities</strong>, <em>dirname</em>
-specifies a directory with files named <code class="docutils literal"><span class="pre">*.crt</span></code> and <code class="docutils literal"><span class="pre">*.key</span></code>
+specifies a directory with files named <code class="docutils literal notranslate"><span class="pre">*.crt</span></code> and <code class="docutils literal notranslate"><span class="pre">*.key</span></code>
 where the first part of the file name is the same for matching
 pairs of certificate and private key files.  When a file with a
-name ending with <code class="docutils literal"><span class="pre">.crt</span></code> is found, a matching file ending with
-<code class="docutils literal"><span class="pre">.key</span></code> is assumed to contain the private key.  If no such file
-is found, then the certificate in the <code class="docutils literal"><span class="pre">.crt</span></code> is not used.</p>
+name ending with <code class="docutils literal notranslate"><span class="pre">.crt</span></code> is found, a matching file ending with
+<code class="docutils literal notranslate"><span class="pre">.key</span></code> is assumed to contain the private key.  If no such file
+is found, then the certificate in the <code class="docutils literal notranslate"><span class="pre">.crt</span></code> is not used.</p>
 <p>In <strong>pkinit_anchors</strong> or <strong>pkinit_pool</strong>, <em>dirname</em> is assumed to
 be an OpenSSL-style hashed CA directory where each CA cert is
-stored in a file named <code class="docutils literal"><span class="pre">hash-of-ca-cert.#</span></code>.  This infrastructure
+stored in a file named <code class="docutils literal notranslate"><span class="pre">hash-of-ca-cert.#</span></code>.  This infrastructure
 is encouraged, but all files in the directory will be examined and
 if they contain certificates (in PEM format), they will be used.</p>
-<p class="last">In <strong>pkinit_revoke</strong>, <em>dirname</em> is assumed to be an OpenSSL-style
+<p>In <strong>pkinit_revoke</strong>, <em>dirname</em> is assumed to be an OpenSSL-style
 hashed CA directory where each revocation list is stored in a file
-named <code class="docutils literal"><span class="pre">hash-of-ca-cert.r#</span></code>.  This infrastructure is encouraged,
+named <code class="docutils literal notranslate"><span class="pre">hash-of-ca-cert.r#</span></code>.  This infrastructure is encouraged,
 but all files in the directory will be examined and if they
 contain a revocation list (in PEM format), they will be used.</p>
 </dd>
-<dt><strong>PKCS12:</strong><em>filename</em></dt>
-<dd><em>filename</em> is the name of a PKCS #12 format file, containing the
-user’s certificate and private key.</dd>
-<dt><strong>PKCS11:</strong>[<strong>module_name=</strong>]<em>modname</em>[<strong>:slotid=</strong><em>slot-id</em>][<strong>:token=</strong><em>token-label</em>][<strong>:certid=</strong><em>cert-id</em>][<strong>:certlabel=</strong><em>cert-label</em>]</dt>
-<dd>All keyword/values are optional.  <em>modname</em> specifies the location
+<dt><strong>PKCS12:</strong><em>filename</em></dt><dd><p><em>filename</em> is the name of a PKCS #12 format file, containing the
+user’s certificate and private key.</p>
+</dd>
+<dt><strong>PKCS11:</strong>[<strong>module_name=</strong>]<em>modname</em>[<strong>:slotid=</strong><em>slot-id</em>][<strong>:token=</strong><em>token-label</em>][<strong>:certid=</strong><em>cert-id</em>][<strong>:certlabel=</strong><em>cert-label</em>]</dt><dd><p>All keyword/values are optional.  <em>modname</em> specifies the location
 of a library implementing PKCS #11.  If a value is encountered
 with no keyword, it is assumed to be the <em>modname</em>.  If no
 module-name is specified, the default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">PKCS11_MODNAME</span></a>.
-<code class="docutils literal"><span class="pre">slotid=</span></code> and/or <code class="docutils literal"><span class="pre">token=</span></code> may be specified to force the use of
+<code class="docutils literal notranslate"><span class="pre">slotid=</span></code> and/or <code class="docutils literal notranslate"><span class="pre">token=</span></code> may be specified to force the use of
 a particular smard card reader or token if there is more than one
-available.  <code class="docutils literal"><span class="pre">certid=</span></code> and/or <code class="docutils literal"><span class="pre">certlabel=</span></code> may be specified to
+available.  <code class="docutils literal notranslate"><span class="pre">certid=</span></code> and/or <code class="docutils literal notranslate"><span class="pre">certlabel=</span></code> may be specified to
 force the selection of a particular certificate on the device.
 See the <strong>pkinit_cert_match</strong> configuration option for more ways
-to select a particular certificate to use for PKINIT.</dd>
-<dt><strong>ENV:</strong><em>envvar</em></dt>
-<dd><em>envvar</em> specifies the name of an environment variable which has
+to select a particular certificate to use for PKINIT.</p>
+</dd>
+<dt><strong>ENV:</strong><em>envvar</em></dt><dd><p><em>envvar</em> specifies the name of an environment variable which has
 been set to a value conforming to one of the previous values.  For
-example, <code class="docutils literal"><span class="pre">ENV:X509_PROXY</span></code>, where environment variable
-<code class="docutils literal"><span class="pre">X509_PROXY</span></code> has been set to <code class="docutils literal"><span class="pre">FILE:/tmp/my_proxy.pem</span></code>.</dd>
+example, <code class="docutils literal notranslate"><span class="pre">ENV:X509_PROXY</span></code>, where environment variable
+<code class="docutils literal notranslate"><span class="pre">X509_PROXY</span></code> has been set to <code class="docutils literal notranslate"><span class="pre">FILE:/tmp/my_proxy.pem</span></code>.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="pkinit-krb5-conf-options">
+</section>
+<section id="pkinit-krb5-conf-options">
 <h3>PKINIT krb5.conf options<a class="headerlink" href="#pkinit-krb5-conf-options" title="Permalink to this headline">¶</a></h3>
-<dl class="docutils">
-<dt><strong>pkinit_anchors</strong></dt>
-<dd>Specifies the location of trusted anchor (root) certificates which
+<dl>
+<dt><strong>pkinit_anchors</strong></dt><dd><p>Specifies the location of trusted anchor (root) certificates which
 the client trusts to sign KDC certificates.  This option may be
 specified multiple times.  These values from the config file are
-not used if the user specifies X509_anchors on the command line.</dd>
-<dt><strong>pkinit_cert_match</strong></dt>
-<dd><p class="first">Specifies matching rules that the client certificate must match
+not used if the user specifies X509_anchors on the command line.</p>
+</dd>
+<dt><strong>pkinit_cert_match</strong></dt><dd><p>Specifies matching rules that the client certificate must match
 before it is used to attempt PKINIT authentication.  If a user has
 multiple certificates available (on a smart card, or via other
 media), there must be exactly one certificate chosen before
@@ -1011,15 +991,15 @@ string representations from the certific
 DN values.</p>
 <p>The syntax of the matching rules is:</p>
 <blockquote>
-<div>[<em>relation-operator</em>]<em>component-rule</em> …</div></blockquote>
+<div><p>[<em>relation-operator</em>]<em>component-rule</em> …</p>
+</div></blockquote>
 <p>where:</p>
-<dl class="docutils">
-<dt><em>relation-operator</em></dt>
-<dd>can be either <code class="docutils literal"><span class="pre">&amp;&amp;</span></code>, meaning all component rules must match,
-or <code class="docutils literal"><span class="pre">||</span></code>, meaning only one component rule must match.  The
-default is <code class="docutils literal"><span class="pre">&amp;&amp;</span></code>.</dd>
-<dt><em>component-rule</em></dt>
-<dd><p class="first">can be one of the following.  Note that there is no
+<dl>
+<dt><em>relation-operator</em></dt><dd><p>can be either <code class="docutils literal notranslate"><span class="pre">&amp;&amp;</span></code>, meaning all component rules must match,
+or <code class="docutils literal notranslate"><span class="pre">||</span></code>, meaning only one component rule must match.  The
+default is <code class="docutils literal notranslate"><span class="pre">&amp;&amp;</span></code>.</p>
+</dd>
+<dt><em>component-rule</em></dt><dd><p>can be one of the following.  Note that there is no
 punctuation or whitespace between component rules.</p>
 <blockquote>
 <div><div class="line-block">
@@ -1035,72 +1015,70 @@ required Extended Key Usage values.  All
 must be present in the certificate.  Extended Key Usage values
 can be:</p>
 <ul class="simple">
-<li>pkinit</li>
-<li>msScLogin</li>
-<li>clientAuth</li>
-<li>emailProtection</li>
+<li><p>pkinit</p></li>
+<li><p>msScLogin</p></li>
+<li><p>clientAuth</p></li>
+<li><p>emailProtection</p></li>
 </ul>
 <p><em>key-usage-list</em> is a comma-separated list of required Key
 Usage values.  All values in the list must be present in the
 certificate.  Key Usage values can be:</p>
-<ul class="last simple">
-<li>digitalSignature</li>
-<li>keyEncipherment</li>
+<ul class="simple">
+<li><p>digitalSignature</p></li>
+<li><p>keyEncipherment</p></li>
 </ul>
 </dd>
 </dl>
 <p>Examples:</p>
-<div class="last highlight-default"><div class="highlight"><pre><span></span><span class="n">pkinit_cert_match</span> <span class="o">=</span> <span class="o">||&lt;</span><span class="n">SUBJECT</span><span class="o">&gt;.*</span><span class="n">DoE</span><span class="o">.*&lt;</span><span class="n">SAN</span><span class="o">&gt;.*</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pkinit_cert_match</span> <span class="o">=</span> <span class="o">||&lt;</span><span class="n">SUBJECT</span><span class="o">&gt;.*</span><span class="n">DoE</span><span class="o">.*&lt;</span><span class="n">SAN</span><span class="o">&gt;.*</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">pkinit_cert_match</span> <span class="o">=</span> <span class="o">&amp;&amp;&lt;</span><span class="n">EKU</span><span class="o">&gt;</span><span class="n">msScLogin</span><span class="p">,</span><span class="n">clientAuth</span><span class="o">&lt;</span><span class="n">ISSUER</span><span class="o">&gt;.*</span><span class="n">DoE</span><span class="o">.*</span>
 <span class="n">pkinit_cert_match</span> <span class="o">=</span> <span class="o">&lt;</span><span class="n">EKU</span><span class="o">&gt;</span><span class="n">msScLogin</span><span class="p">,</span><span class="n">clientAuth</span><span class="o">&lt;</span><span class="n">KU</span><span class="o">&gt;</span><span class="n">digitalSignature</span>
 </pre></div>
 </div>
 </dd>
-<dt><strong>pkinit_eku_checking</strong></dt>
-<dd><p class="first">This option specifies what Extended Key Usage value the KDC
+<dt><strong>pkinit_eku_checking</strong></dt><dd><p>This option specifies what Extended Key Usage value the KDC
 certificate presented to the client must contain.  (Note that if
 the KDC certificate has the pkinit SubjectAlternativeName encoded
 as the Kerberos TGS name, EKU checking is not necessary since the
 issuing CA has certified this as a KDC certificate.)  The values
 recognized in the krb5.conf file are:</p>
-<dl class="last docutils">
-<dt><strong>kpKDC</strong></dt>
-<dd>This is the default value and specifies that the KDC must have
-the id-pkinit-KPKdc EKU as defined in <span class="target" id="index-5"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a>.</dd>
-<dt><strong>kpServerAuth</strong></dt>
-<dd>If <strong>kpServerAuth</strong> is specified, a KDC certificate with the
+<dl class="simple">
+<dt><strong>kpKDC</strong></dt><dd><p>This is the default value and specifies that the KDC must have
+the id-pkinit-KPKdc EKU as defined in <span class="target" id="index-5"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a>.</p>
+</dd>
+<dt><strong>kpServerAuth</strong></dt><dd><p>If <strong>kpServerAuth</strong> is specified, a KDC certificate with the
 id-kp-serverAuth EKU will be accepted.  This key usage value
-is used in most commercially issued server certificates.</dd>
-<dt><strong>none</strong></dt>
-<dd>If <strong>none</strong> is specified, then the KDC certificate will not be
+is used in most commercially issued server certificates.</p>
+</dd>
+<dt><strong>none</strong></dt><dd><p>If <strong>none</strong> is specified, then the KDC certificate will not be
 checked to verify it has an acceptable EKU.  The use of this
-option is not recommended.</dd>
+option is not recommended.</p>
+</dd>
 </dl>
 </dd>
-<dt><strong>pkinit_dh_min_bits</strong></dt>
-<dd>Specifies the size of the Diffie-Hellman key the client will
+<dt><strong>pkinit_dh_min_bits</strong></dt><dd><p>Specifies the size of the Diffie-Hellman key the client will
 attempt to use.  The acceptable values are 1024, 2048, and 4096.
-The default is 2048.</dd>
-<dt><strong>pkinit_identities</strong></dt>
-<dd>Specifies the location(s) to be used to find the user’s X.509
+The default is 2048.</p>
+</dd>
+<dt><strong>pkinit_identities</strong></dt><dd><p>Specifies the location(s) to be used to find the user’s X.509
 identity information.  If this option is specified multiple times,
 each value is attempted in order until certificates are found.
 Note that these values are not used if the user specifies
-<strong>X509_user_identity</strong> on the command line.</dd>
-<dt><strong>pkinit_kdc_hostname</strong></dt>
-<dd>The presence of this option indicates that the client is willing
+<strong>X509_user_identity</strong> on the command line.</p>
+</dd>
+<dt><strong>pkinit_kdc_hostname</strong></dt><dd><p>The presence of this option indicates that the client is willing
 to accept a KDC certificate with a dNSName SAN (Subject
 Alternative Name) rather than requiring the id-pkinit-san as
 defined in <span class="target" id="index-6"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a>.  This option may be specified multiple
 times.  Its value should contain the acceptable hostname for the
-KDC (as contained in its certificate).</dd>
-<dt><strong>pkinit_pool</strong></dt>
-<dd>Specifies the location of intermediate certificates which may be
+KDC (as contained in its certificate).</p>
+</dd>
+<dt><strong>pkinit_pool</strong></dt><dd><p>Specifies the location of intermediate certificates which may be
 used by the client to complete the trust chain between a KDC
 certificate and a trusted anchor.  This option may be specified
-multiple times.</dd>
-<dt><strong>pkinit_require_crl_checking</strong></dt>
-<dd><p class="first">The default certificate verification process will always check the
+multiple times.</p>
+</dd>
+<dt><strong>pkinit_require_crl_checking</strong></dt><dd><p>The default certificate verification process will always check the
 available revocation information to see if a certificate has been
 revoked.  If a match is found for the certificate in a CRL,
 verification fails.  If the certificate being verified is not
@@ -1110,85 +1088,85 @@ succeeds.</p>
 <p>However, if <strong>pkinit_require_crl_checking</strong> is true and there is
 no CRL information available for the issuing CA, then verification
 fails.</p>
-<p class="last"><strong>pkinit_require_crl_checking</strong> should be set to true if the
+<p><strong>pkinit_require_crl_checking</strong> should be set to true if the
 policy is such that up-to-date CRLs must be present for every CA.</p>
 </dd>
-<dt><strong>pkinit_revoke</strong></dt>
-<dd>Specifies the location of Certificate Revocation List (CRL)
+<dt><strong>pkinit_revoke</strong></dt><dd><p>Specifies the location of Certificate Revocation List (CRL)
 information to be used by the client when verifying the validity
 of the KDC certificate presented.  This option may be specified
-multiple times.</dd>
+multiple times.</p>
+</dd>
 </dl>
-</div>
-</div>
-<div class="section" id="parameter-expansion">
+</section>
+</section>
+<section id="parameter-expansion">
 <span id="id7"></span><h2>Parameter expansion<a class="headerlink" href="#parameter-expansion" title="Permalink to this headline">¶</a></h2>
 <p>Starting with release 1.11, several variables, such as
 <strong>default_keytab_name</strong>, allow parameters to be expanded.
 Valid parameters are:</p>
 <blockquote>
-<div><table border="1" class="docutils">
+<div><table class="docutils align-default">
 <colgroup>
-<col width="25%" />
-<col width="75%" />
+<col style="width: 25%" />
+<col style="width: 75%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>%{TEMP}</td>
-<td>Temporary directory</td>
+<tbody>
+<tr class="row-odd"><td><p>%{TEMP}</p></td>
+<td><p>Temporary directory</p></td>
 </tr>
-<tr class="row-even"><td>%{uid}</td>
-<td>Unix real UID or Windows SID</td>
+<tr class="row-even"><td><p>%{uid}</p></td>
+<td><p>Unix real UID or Windows SID</p></td>
 </tr>
-<tr class="row-odd"><td>%{euid}</td>
-<td>Unix effective user ID or Windows SID</td>
+<tr class="row-odd"><td><p>%{euid}</p></td>
+<td><p>Unix effective user ID or Windows SID</p></td>
 </tr>
-<tr class="row-even"><td>%{USERID}</td>
-<td>Same as %{uid}</td>
+<tr class="row-even"><td><p>%{USERID}</p></td>
+<td><p>Same as %{uid}</p></td>
 </tr>
-<tr class="row-odd"><td>%{null}</td>
-<td>Empty string</td>
+<tr class="row-odd"><td><p>%{null}</p></td>
+<td><p>Empty string</p></td>
 </tr>
-<tr class="row-even"><td>%{LIBDIR}</td>
-<td>Installation library directory</td>
+<tr class="row-even"><td><p>%{LIBDIR}</p></td>
+<td><p>Installation library directory</p></td>
 </tr>
-<tr class="row-odd"><td>%{BINDIR}</td>
-<td>Installation binary directory</td>
+<tr class="row-odd"><td><p>%{BINDIR}</p></td>
+<td><p>Installation binary directory</p></td>
 </tr>
-<tr class="row-even"><td>%{SBINDIR}</td>
-<td>Installation admin binary directory</td>
+<tr class="row-even"><td><p>%{SBINDIR}</p></td>
+<td><p>Installation admin binary directory</p></td>
 </tr>
-<tr class="row-odd"><td>%{username}</td>
-<td>(Unix) Username of effective user ID</td>
+<tr class="row-odd"><td><p>%{username}</p></td>
+<td><p>(Unix) Username of effective user ID</p></td>
 </tr>
-<tr class="row-even"><td>%{APPDATA}</td>
-<td>(Windows) Roaming application data for current user</td>
+<tr class="row-even"><td><p>%{APPDATA}</p></td>
+<td><p>(Windows) Roaming application data for current user</p></td>
 </tr>
-<tr class="row-odd"><td>%{COMMON_APPDATA}</td>
-<td>(Windows) Application data for all users</td>
+<tr class="row-odd"><td><p>%{COMMON_APPDATA}</p></td>
+<td><p>(Windows) Application data for all users</p></td>
 </tr>
-<tr class="row-even"><td>%{LOCAL_APPDATA}</td>
-<td>(Windows) Local application data for current user</td>
+<tr class="row-even"><td><p>%{LOCAL_APPDATA}</p></td>
+<td><p>(Windows) Local application data for current user</p></td>
 </tr>
-<tr class="row-odd"><td>%{SYSTEM}</td>
-<td>(Windows) Windows system folder</td>
+<tr class="row-odd"><td><p>%{SYSTEM}</p></td>
+<td><p>(Windows) Windows system folder</p></td>
 </tr>
-<tr class="row-even"><td>%{WINDOWS}</td>
-<td>(Windows) Windows folder</td>
+<tr class="row-even"><td><p>%{WINDOWS}</p></td>
+<td><p>(Windows) Windows folder</p></td>
 </tr>
-<tr class="row-odd"><td>%{USERCONFIG}</td>
-<td>(Windows) Per-user MIT krb5 config file directory</td>
+<tr class="row-odd"><td><p>%{USERCONFIG}</p></td>
+<td><p>(Windows) Per-user MIT krb5 config file directory</p></td>
 </tr>
-<tr class="row-even"><td>%{COMMONCONFIG}</td>
-<td>(Windows) Common MIT krb5 config file directory</td>
+<tr class="row-even"><td><p>%{COMMONCONFIG}</p></td>
+<td><p>(Windows) Common MIT krb5 config file directory</p></td>
 </tr>
 </tbody>
 </table>
 </div></blockquote>
-</div>
-<div class="section" id="sample-krb5-conf-file">
+</section>
+<section id="sample-krb5-conf-file">
 <h2>Sample krb5.conf file<a class="headerlink" href="#sample-krb5-conf-file" title="Permalink to this headline">¶</a></h2>
 <p>Here is an example of a generic krb5.conf file:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
     <span class="n">default_realm</span> <span class="o">=</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
     <span class="n">dns_lookup_kdc</span> <span class="o">=</span> <span class="n">true</span>
     <span class="n">dns_lookup_realm</span> <span class="o">=</span> <span class="n">false</span>
@@ -1219,23 +1197,25 @@ Valid parameters are:</p>
     <span class="p">}</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="files">
+</section>
+<section id="files">
 <h2>FILES<a class="headerlink" href="#files" title="Permalink to this headline">¶</a></h2>
-<p><code class="docutils literal"><span class="pre">/etc/krb5.conf</span></code></p>
-</div>
-<div class="section" id="see-also">
+<p><code class="docutils literal notranslate"><span class="pre">/etc/krb5.conf</span></code></p>
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p>syslog(3)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5.conf</a><ul>
@@ -1328,6 +1308,7 @@ Valid parameters are:</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -1335,8 +1316,8 @@ Valid parameters are:</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/conf_ldap.html 1.21.3-1/doc/html/admin/conf_ldap.html
--- 1.21.2-1/doc/html/admin/conf_ldap.html	2023-08-14 16:17:33.000000000 +0000
+++ 1.21.3-1/doc/html/admin/conf_ldap.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Configuring Kerberos with OpenLDAP back-end &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Application servers" href="appl_servers.html" />
     <link rel="prev" title="Account lockout" href="lockout.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,24 +52,23 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="configuring-kerberos-with-openldap-back-end">
+  <section id="configuring-kerberos-with-openldap-back-end">
 <span id="conf-ldap"></span><h1>Configuring Kerberos with OpenLDAP back-end<a class="headerlink" href="#configuring-kerberos-with-openldap-back-end" title="Permalink to this headline">¶</a></h1>
 <blockquote>
 <div><ol class="arabic">
-<li><p class="first">Make sure the LDAP server is using local authentication
-(<code class="docutils literal"><span class="pre">ldapi://</span></code>) or TLS (<code class="docutils literal"><span class="pre">ldaps</span></code>).  See
+<li><p>Make sure the LDAP server is using local authentication
+(<code class="docutils literal notranslate"><span class="pre">ldapi://</span></code>) or TLS (<code class="docutils literal notranslate"><span class="pre">ldaps</span></code>).  See
 <a class="reference external" href="https://www.openldap.org/doc/admin/tls.html">https://www.openldap.org/doc/admin/tls.html</a> for instructions on
-configuring TLS support in OpenLDAP.</p>
-</li>
-<li><p class="first">Add the Kerberos schema file to the LDAP Server using the OpenLDAP
+configuring TLS support in OpenLDAP.</p></li>
+<li><p>Add the Kerberos schema file to the LDAP Server using the OpenLDAP
 LDIF file from the krb5 source directory
-(<code class="docutils literal"><span class="pre">src/plugins/kdb/ldap/libkdb_ldap/kerberos.openldap.ldif</span></code>).
+(<code class="docutils literal notranslate"><span class="pre">src/plugins/kdb/ldap/libkdb_ldap/kerberos.openldap.ldif</span></code>).
 The following example uses local authentication:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">ldapadd</span> <span class="o">-</span><span class="n">Y</span> <span class="n">EXTERNAL</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldapi</span><span class="p">:</span><span class="o">///</span> <span class="o">-</span><span class="n">f</span> <span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">kerberos</span><span class="o">.</span><span class="n">openldap</span><span class="o">.</span><span class="n">ldif</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">ldapadd</span> <span class="o">-</span><span class="n">Y</span> <span class="n">EXTERNAL</span> <span class="o">-</span><span class="n">H</span> <span class="n">ldapi</span><span class="p">:</span><span class="o">///</span> <span class="o">-</span><span class="n">f</span> <span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">kerberos</span><span class="o">.</span><span class="n">openldap</span><span class="o">.</span><span class="n">ldif</span>
 </pre></div>
 </div>
 </li>
-<li><p class="first">Choose DNs for the <a class="reference internal" href="admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> and <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> servers
+<li><p>Choose DNs for the <a class="reference internal" href="admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> and <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> servers
 to bind to the LDAP server, and create them if necessary.  Specify
 these DNs with the <strong>ldap_kdc_dn</strong> and <strong>ldap_kadmind_dn</strong>
 directives in <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.  The kadmind DN will also be
@@ -87,31 +77,30 @@ used for administrative commands such as
 authentication to access the LDAP server; see the <a class="reference internal" href="conf_files/kdc_conf.html#dbmodules"><span class="std std-ref">[dbmodules]</span></a>
 relations <strong>ldap_kdc_sasl_mech</strong> and similar.</p>
 </li>
-<li><p class="first">Specify a location for the LDAP service password file by setting
-<strong>ldap_service_password_file</strong>.  Use <code class="docutils literal"><span class="pre">kdb5_ldap_util</span> <span class="pre">stashsrvpw</span></code>
+<li><p>Specify a location for the LDAP service password file by setting
+<strong>ldap_service_password_file</strong>.  Use <code class="docutils literal notranslate"><span class="pre">kdb5_ldap_util</span> <span class="pre">stashsrvpw</span></code>
 to stash passwords for the KDC and kadmind DNs chosen above.  For
 example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="n">stashsrvpw</span> <span class="o">-</span><span class="n">f</span> <span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">service</span><span class="o">.</span><span class="n">keyfile</span> <span class="n">cn</span><span class="o">=</span><span class="n">krbadmin</span><span class="p">,</span><span class="n">dc</span><span class="o">=</span><span class="n">example</span><span class="p">,</span><span class="n">dc</span><span class="o">=</span><span class="n">com</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdb5_ldap_util</span> <span class="n">stashsrvpw</span> <span class="o">-</span><span class="n">f</span> <span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">service</span><span class="o">.</span><span class="n">keyfile</span> <span class="n">cn</span><span class="o">=</span><span class="n">krbadmin</span><span class="p">,</span><span class="n">dc</span><span class="o">=</span><span class="n">example</span><span class="p">,</span><span class="n">dc</span><span class="o">=</span><span class="n">com</span>
 </pre></div>
 </div>
 <p>Skip this step if you are using SASL authentication and the
 mechanism does not require a password.</p>
 </li>
-<li><p class="first">Choose a DN for the global Kerberos container entry (but do not
+<li><p>Choose a DN for the global Kerberos container entry (but do not
 create the entry at this time).  Specify this DN with the
 <strong>ldap_kerberos_container_dn</strong> directive in <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.
 Realm container entries will be created underneath this DN.
 Principal entries may exist either underneath the realm container
 (the default) or in separate trees referenced from the realm
-container.</p>
-</li>
-<li><p class="first">Configure the LDAP server ACLs to enable the KDC and kadmin server
+container.</p></li>
+<li><p>Configure the LDAP server ACLs to enable the KDC and kadmin server
 DNs to read and write the Kerberos data.  If
 <strong>disable_last_success</strong> and <strong>disable_lockout</strong> are both set to
 true in the <a class="reference internal" href="conf_files/kdc_conf.html#dbmodules"><span class="std std-ref">[dbmodules]</span></a> subsection for the realm, then the
 KDC DN only requires read access to the Kerberos data.</p>
 <p>Sample access control information:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">access</span> <span class="n">to</span> <span class="n">dn</span><span class="o">.</span><span class="n">base</span><span class="o">=</span><span class="s2">&quot;&quot;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">access</span> <span class="n">to</span> <span class="n">dn</span><span class="o">.</span><span class="n">base</span><span class="o">=</span><span class="s2">&quot;&quot;</span>
     <span class="n">by</span> <span class="o">*</span> <span class="n">read</span>
 
 <span class="n">access</span> <span class="n">to</span> <span class="n">dn</span><span class="o">.</span><span class="n">base</span><span class="o">=</span><span class="s2">&quot;cn=Subschema&quot;</span>
@@ -137,9 +126,9 @@ KDC DN only requires read access to the
 service objects for a realm are changed then this information
 should be updated.</p>
 </li>
-<li><p class="first">In <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>, make sure the following relations are set
+<li><p>In <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>, make sure the following relations are set
 in the <a class="reference internal" href="conf_files/kdc_conf.html#dbmodules"><span class="std std-ref">[dbmodules]</span></a> subsection for the realm:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>db_library (set to ``kldap``)
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>db_library (set to ``kldap``)
 ldap_kerberos_container_dn
 ldap_kdc_dn
 ldap_kadmind_dn
@@ -148,14 +137,14 @@ ldap_servers
 </pre></div>
 </div>
 </li>
-<li><p class="first">Create the realm using <a class="reference internal" href="admin_commands/kdb5_ldap_util.html#kdb5-ldap-util-8"><span class="std std-ref">kdb5_ldap_util</span></a>:</p>
+<li><p>Create the realm using <a class="reference internal" href="admin_commands/kdb5_ldap_util.html#kdb5-ldap-util-8"><span class="std std-ref">kdb5_ldap_util</span></a>:</p>
 <blockquote>
 <div><p>kdb5_ldap_util create -subtrees ou=users,dc=example,dc=com -s</p>
 </div></blockquote>
 <p>Use the <strong>-subtrees</strong> option if the principals are to exist in a
 separate subtree from the realm container.  Before executing the
 command, make sure that the subtree mentioned above
-<code class="docutils literal"><span class="pre">(ou=users,dc=example,dc=com)</span></code> exists.  If the principals will
+<code class="docutils literal notranslate"><span class="pre">(ou=users,dc=example,dc=com)</span></code> exists.  If the principals will
 exist underneath the realm container, omit the <strong>-subtrees</strong> option
 and do not worry about creating the principal subtree.</p>
 <p>For more information, refer to the section <a class="reference internal" href="database.html#ops-on-ldap"><span class="std std-ref">Operations on the LDAP database</span></a>.</p>
@@ -165,11 +154,10 @@ file.  This operation will also create t
 not present already.  This container can be used to store
 information related to multiple realms.</p>
 </li>
-<li><p class="first">Add an <code class="docutils literal"><span class="pre">eq</span></code> index for <code class="docutils literal"><span class="pre">krbPrincipalName</span></code> to speed up principal
+<li><p>Add an <code class="docutils literal notranslate"><span class="pre">eq</span></code> index for <code class="docutils literal notranslate"><span class="pre">krbPrincipalName</span></code> to speed up principal
 lookup operations.  See
 <a class="reference external" href="https://www.openldap.org/doc/admin/tuning.html#Indexes">https://www.openldap.org/doc/admin/tuning.html#Indexes</a> for
-details.</p>
-</li>
+details.</p></li>
 </ol>
 </div></blockquote>
 <p>With the LDAP back end it is possible to provide aliases for principal
@@ -187,16 +175,18 @@ to the pre-existing <em>krbPrincipalName
 <p>Principal aliases are only returned by the KDC when the client
 requests canonicalization.  Canonicalization is normally requested for
 service principals; for client principals, an explicit flag is often
-required (e.g., <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-C</span></code>) and canonicalization is only performed
+required (e.g., <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-C</span></code>) and canonicalization is only performed
 for initial ticket requests.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Configuring Kerberos with OpenLDAP back-end</a></li>
@@ -253,6 +243,7 @@ for initial ticket requests.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -260,8 +251,8 @@ for initial ticket requests.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/database.html 1.21.3-1/doc/html/admin/database.html
--- 1.21.2-1/doc/html/admin/database.html	2023-08-14 16:17:33.000000000 +0000
+++ 1.21.3-1/doc/html/admin/database.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Database administration &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Database types" href="dbtypes.html" />
     <link rel="prev" title="Realm configuration decisions" href="realm_config.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="database-administration">
+  <section id="database-administration">
 <h1>Database administration<a class="headerlink" href="#database-administration" title="Permalink to this headline">¶</a></h1>
 <p>A Kerberos database contains all of a realm’s Kerberos principals,
 their passwords, and other administrative information about each
@@ -85,36 +76,37 @@ kadmin.local, which directly accesses th
 local filesystem (or through LDAP).  kadmin.local is necessary to set
 up enough of the database to be able to use the remote version.</p>
 <p>kadmin can authenticate to the admin server using the service
-principal <code class="docutils literal"><span class="pre">kadmin/admin</span></code> or <code class="docutils literal"><span class="pre">kadmin/HOST</span></code> (where <em>HOST</em> is the
+principal <code class="docutils literal notranslate"><span class="pre">kadmin/admin</span></code> or <code class="docutils literal notranslate"><span class="pre">kadmin/HOST</span></code> (where <em>HOST</em> is the
 hostname of the admin server).  If the credentials cache contains a
 ticket for either service principal and the <strong>-c</strong> ccache option is
 specified, that ticket is used to authenticate to KADM5.  Otherwise,
 the <strong>-p</strong> and <strong>-k</strong> options are used to specify the client Kerberos
 principal name used to authenticate.  Once kadmin has determined the
-principal name, it requests a <code class="docutils literal"><span class="pre">kadmin/admin</span></code> Kerberos service ticket
+principal name, it requests a <code class="docutils literal notranslate"><span class="pre">kadmin/admin</span></code> Kerberos service ticket
 from the KDC, and uses that service ticket to authenticate to KADM5.</p>
 <p>See <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> for the available kadmin and kadmin.local
 commands and options.</p>
-<div class="section" id="principals">
+<section id="principals">
 <span id="id1"></span><h2>Principals<a class="headerlink" href="#principals" title="Permalink to this headline">¶</a></h2>
 <p>Each entry in the Kerberos database contains a Kerberos principal and
 the attributes and policies associated with that principal.</p>
 <p>To add a principal to the database, use the <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>
 <strong>add_principal</strong> command.  User principals should usually be created
-with the <code class="docutils literal"><span class="pre">+requires_preauth</span> <span class="pre">-allow_svr</span></code> options to help mitigate
+with the <code class="docutils literal notranslate"><span class="pre">+requires_preauth</span> <span class="pre">-allow_svr</span></code> options to help mitigate
 dictionary attacks (see <a class="reference internal" href="dictionary.html#dictionary"><span class="std std-ref">Addressing dictionary attack risks</span></a>):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addprinc</span> <span class="o">+</span><span class="n">requires_preauth</span> <span class="o">-</span><span class="n">allow_svr</span> <span class="n">alice</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addprinc</span> <span class="o">+</span><span class="n">requires_preauth</span> <span class="o">-</span><span class="n">allow_svr</span> <span class="n">alice</span>
 <span class="n">Enter</span> <span class="n">password</span> <span class="k">for</span> <span class="n">principal</span> <span class="s2">&quot;alice@KRBTEST.COM&quot;</span><span class="p">:</span>
 <span class="n">Re</span><span class="o">-</span><span class="n">enter</span> <span class="n">password</span> <span class="k">for</span> <span class="n">principal</span> <span class="s2">&quot;alice@KRBTEST.COM&quot;</span><span class="p">:</span>
 </pre></div>
 </div>
 <p>User principals which will authenticate with <a class="reference internal" href="pkinit.html#pkinit"><span class="std std-ref">PKINIT configuration</span></a> should
-instead by created with the <code class="docutils literal"><span class="pre">-nokey</span></code> option:</p>
+instead by created with the <code class="docutils literal notranslate"><span class="pre">-nokey</span></code> option:</p>
 <blockquote>
-<div>kadmin: addprinc -nokey alice</div></blockquote>
-<p>Service principals can be created with the <code class="docutils literal"><span class="pre">-nokey</span></code> option;
+<div><p>kadmin: addprinc -nokey alice</p>
+</div></blockquote>
+<p>Service principals can be created with the <code class="docutils literal notranslate"><span class="pre">-nokey</span></code> option;
 long-term keys will be added when a keytab is generated:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addprinc</span> <span class="o">-</span><span class="n">nokey</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addprinc</span> <span class="o">-</span><span class="n">nokey</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
 <span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="o">-</span><span class="n">k</span> <span class="n">foo</span><span class="o">.</span><span class="n">keytab</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">1</span><span class="p">,</span> <span class="n">encryption</span> <span class="nb">type</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span> <span class="n">WRFILE</span><span class="p">:</span><span class="n">foo</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">foo</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">1</span><span class="p">,</span> <span class="n">encryption</span> <span class="nb">type</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span> <span class="n">WRFILE</span><span class="p">:</span><span class="n">foo</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
@@ -122,12 +114,12 @@ long-term keys will be added when a keyt
 </div>
 <p>To modify attributes of an existing principal, use the kadmin
 <strong>modify_principal</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">modprinc</span> <span class="o">-</span><span class="n">expire</span> <span class="n">tomorrow</span> <span class="n">alice</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">modprinc</span> <span class="o">-</span><span class="n">expire</span> <span class="n">tomorrow</span> <span class="n">alice</span>
 <span class="n">Principal</span> <span class="s2">&quot;alice@KRBTEST.COM&quot;</span> <span class="n">modified</span><span class="o">.</span>
 </pre></div>
 </div>
 <p>To delete a principal, use the kadmin <strong>delete_principal</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>kadmin: delprinc alice
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>kadmin: delprinc alice
 Are you sure you want to delete the principal &quot;alice@KRBTEST.COM&quot;? (yes/no): yes
 Principal &quot;alice@KRBTEST.COM&quot; deleted.
 Make sure that you have removed this principal from all ACLs before reusing.
@@ -141,15 +133,15 @@ password policies as would apply to pass
 <strong>get_principal</strong> command.</p>
 <p>To generate a listing of principals, use the kadmin
 <strong>list_principals</strong> command.</p>
-</div>
-<div class="section" id="policies">
+</section>
+<section id="policies">
 <span id="id2"></span><h2>Policies<a class="headerlink" href="#policies" title="Permalink to this headline">¶</a></h2>
 <p>A policy is a set of rules governing passwords.  Policies can dictate
 minimum and maximum password lifetimes, minimum number of characters
 and character classes a password must contain, and the number of old
 passwords kept in the database.</p>
 <p>To add a new policy, use the <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> <strong>add_policy</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addpol</span> <span class="o">-</span><span class="n">maxlife</span> <span class="s2">&quot;1 year&quot;</span> <span class="o">-</span><span class="n">history</span> <span class="mi">3</span> <span class="n">stduser</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addpol</span> <span class="o">-</span><span class="n">maxlife</span> <span class="s2">&quot;1 year&quot;</span> <span class="o">-</span><span class="n">history</span> <span class="mi">3</span> <span class="n">stduser</span>
 </pre></div>
 </div>
 <p>To modify attributes of a principal, use the kadmin <strong>modify_policy</strong>
@@ -158,23 +150,24 @@ command.</p>
 <p>To associate a policy with a principal, use the kadmin
 <strong>modify_principal</strong> command with the <strong>-policy</strong> option:</p>
 <blockquote>
-<div>kadmin: modprinc -policy stduser alice
-Principal “<a class="reference external" href="mailto:alice&#37;&#52;&#48;KRBTEST&#46;COM">alice<span>&#64;</span>KRBTEST<span>&#46;</span>COM</a>” modified.</div></blockquote>
+<div><p>kadmin: modprinc -policy stduser alice
+Principal “<a class="reference external" href="mailto:alice&#37;&#52;&#48;KRBTEST&#46;COM">alice<span>&#64;</span>KRBTEST<span>&#46;</span>COM</a>” modified.</p>
+</div></blockquote>
 <p>A principal entry may be associated with a nonexistent policy, either
 because the policy did not exist at the time of associated or was
 deleted afterwards.  kadmin will warn when associated a principal with
 a nonexistent policy, and will annotate the policy name with “[does
 not exist]” in the <strong>get_principal</strong> output.</p>
-<div class="section" id="updating-the-history-key">
+<section id="updating-the-history-key">
 <span id="updating-history-key"></span><h3>Updating the history key<a class="headerlink" href="#updating-the-history-key" title="Permalink to this headline">¶</a></h3>
 <p>If a policy specifies a number of old keys kept of two or more, the
 stored old keys are encrypted in a history key, which is found in the
-key data of the <code class="docutils literal"><span class="pre">kadmin/history</span></code> principal.</p>
+key data of the <code class="docutils literal notranslate"><span class="pre">kadmin/history</span></code> principal.</p>
 <p>Currently there is no support for proper rollover of the history key,
 but you can change the history key (for example, to use a better
 encryption type) at the cost of invalidating currently stored old
 keys.  To change the history key, run:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">change_password</span> <span class="o">-</span><span class="n">randkey</span> <span class="n">kadmin</span><span class="o">/</span><span class="n">history</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">change_password</span> <span class="o">-</span><span class="n">randkey</span> <span class="n">kadmin</span><span class="o">/</span><span class="n">history</span>
 </pre></div>
 </div>
 <p>This command will fail if you specify the <strong>-keepold</strong> flag.  Only one
@@ -183,53 +176,53 @@ combinations.</p>
 <p>In the future, we plan to migrate towards encrypting old keys in the
 master key instead of the history key, and implementing proper
 rollover support for stored old keys.</p>
-</div>
-</div>
-<div class="section" id="privileges">
+</section>
+</section>
+<section id="privileges">
 <span id="id3"></span><h2>Privileges<a class="headerlink" href="#privileges" title="Permalink to this headline">¶</a></h2>
 <p>Administrative privileges for the Kerberos database are stored in the
 file <a class="reference internal" href="conf_files/kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a>.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">A common use of an admin instance is so you can grant
+<p class="admonition-title">Note</p>
+<p>A common use of an admin instance is so you can grant
 separate permissions (such as administrator access to the
 Kerberos database) to a separate Kerberos principal. For
-example, the user <code class="docutils literal"><span class="pre">joeadmin</span></code> might have a principal for
-his administrative use, called <code class="docutils literal"><span class="pre">joeadmin/admin</span></code>.  This
-way, <code class="docutils literal"><span class="pre">joeadmin</span></code> would obtain <code class="docutils literal"><span class="pre">joeadmin/admin</span></code> tickets
+example, the user <code class="docutils literal notranslate"><span class="pre">joeadmin</span></code> might have a principal for
+his administrative use, called <code class="docutils literal notranslate"><span class="pre">joeadmin/admin</span></code>.  This
+way, <code class="docutils literal notranslate"><span class="pre">joeadmin</span></code> would obtain <code class="docutils literal notranslate"><span class="pre">joeadmin/admin</span></code> tickets
 only when he actually needs to use those permissions.</p>
 </div>
-</div>
-<div class="section" id="operations-on-the-kerberos-database">
+</section>
+<section id="operations-on-the-kerberos-database">
 <span id="db-operations"></span><h2>Operations on the Kerberos database<a class="headerlink" href="#operations-on-the-kerberos-database" title="Permalink to this headline">¶</a></h2>
 <p>The <a class="reference internal" href="admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a> command is the primary tool for administrating
 the Kerberos database when using the DB2 or LMDB modules (see
 <a class="reference internal" href="dbtypes.html#dbtypes"><span class="std std-ref">Database types</span></a>).  Creating a database is described in
 <a class="reference internal" href="install_kdc.html#create-db"><span class="std std-ref">Create the KDC database</span></a>.</p>
 <p>To create a stash file using the master password (because the database
-was not created with one using the <code class="docutils literal"><span class="pre">create</span> <span class="pre">-s</span></code> flag, or after
+was not created with one using the <code class="docutils literal notranslate"><span class="pre">create</span> <span class="pre">-s</span></code> flag, or after
 restoring from a backup which did not contain the stash file), use the
 kdb5_util <strong>stash</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_util stash
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_util stash
 kdb5_util: Cannot find/read stored master key while reading master key
 kdb5_util: Warning: proceeding without master key
 Enter KDC database master key:  &lt;= Type the KDC database master password.
 </pre></div>
 </div>
 <p>To destroy a database, use the kdb5_util destroy command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_util destroy
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_util destroy
 Deleting KDC database stored in &#39;/var/krb5kdc/principal&#39;, are you sure?
 (type &#39;yes&#39; to confirm)? yes
 OK, deleting database &#39;/var/krb5kdc/principal&#39;...
 ** Database &#39;/var/krb5kdc/principal&#39; destroyed.
 </pre></div>
 </div>
-<div class="section" id="dumping-and-loading-a-kerberos-database">
+<section id="dumping-and-loading-a-kerberos-database">
 <span id="restore-from-dump"></span><h3>Dumping and loading a Kerberos database<a class="headerlink" href="#dumping-and-loading-a-kerberos-database" title="Permalink to this headline">¶</a></h3>
 <p>To dump a Kerberos database into a text file for backup or transfer
 purposes, use the <a class="reference internal" href="admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a> <strong>dump</strong> command on one of the
 KDCs:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_util dump dumpfile
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_util dump dumpfile
 
 $ kbd5_util dump -verbose dumpfile
 kadmin/admin@ATHENA.MIT.EDU
@@ -241,122 +234,114 @@ kadmin/changepw@ATHENA.MIT.EDU
 </div>
 <p>You may specify which principals to dump, using full principal names
 including realm:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_util dump -verbose someprincs K/M@ATHENA.MIT.EDU kadmin/admin@ATHENA.MIT.EDU
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_util dump -verbose someprincs K/M@ATHENA.MIT.EDU kadmin/admin@ATHENA.MIT.EDU
 kadmin/admin@ATHENA.MIT.EDU
 K/M@ATHENA.MIT.EDU
 </pre></div>
 </div>
 <p>To restore a Kerberos database dump from a file, use the
 <a class="reference internal" href="admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a> <strong>load</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_util load dumpfile
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_util load dumpfile
 </pre></div>
 </div>
 <p>To update an existing database with a partial dump file containing
-only some principals, use the <code class="docutils literal"><span class="pre">-update</span></code> flag:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_util load -update someprincs
+only some principals, use the <code class="docutils literal notranslate"><span class="pre">-update</span></code> flag:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_util load -update someprincs
 </pre></div>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If the database file exists, and the <em>-update</em> flag was not
+<p class="admonition-title">Note</p>
+<p>If the database file exists, and the <em>-update</em> flag was not
 given, <em>kdb5_util</em> will overwrite the existing database.</p>
 </div>
-</div>
-<div class="section" id="updating-the-master-key">
+</section>
+<section id="updating-the-master-key">
 <span id="updating-master-key"></span><h3>Updating the master key<a class="headerlink" href="#updating-the-master-key" title="Permalink to this headline">¶</a></h3>
 <p>Starting with release 1.7, <a class="reference internal" href="admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a> allows the master key
 to be changed using a rollover process, with minimal loss of
 availability.  To roll over the master key, follow these steps:</p>
 <ol class="arabic">
-<li><p class="first">On the primary KDC, run <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">list_mkeys</span></code> to view the
+<li><p>On the primary KDC, run <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">list_mkeys</span></code> to view the
 current master key version number (KVNO).  If you have never rolled
 over the master key before, this will likely be version 1:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_util list_mkeys
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_util list_mkeys
 Master keys for Principal: K/M@KRBTEST.COM
 KVNO: 1, Enctype: aes256-cts-hmac-sha384-192, Active on: Thu Jan 01 00:00:00 UTC 1970 *
 </pre></div>
 </div>
 </li>
-<li><p class="first">On the primary KDC, run <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">use_mkey</span> <span class="pre">1</span></code> to ensure that a
+<li><p>On the primary KDC, run <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">use_mkey</span> <span class="pre">1</span></code> to ensure that a
 master key activation list is present in the database.  This step
 is unnecessary in release 1.11.4 or later, or if the database was
-initially created with release 1.7 or later.</p>
-</li>
-<li><p class="first">On the primary KDC, run <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">add_mkey</span> <span class="pre">-s</span></code> to create a new
+initially created with release 1.7 or later.</p></li>
+<li><p>On the primary KDC, run <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">add_mkey</span> <span class="pre">-s</span></code> to create a new
 master key and write it to the stash file.  Enter a secure password
 when prompted.  If this is the first time you are changing the
 master key, the new key will have version 2.  The new master key
-will not be used until you make it active.</p>
-</li>
-<li><p class="first">Propagate the database to all replica KDCs, either manually or by
+will not be used until you make it active.</p></li>
+<li><p>Propagate the database to all replica KDCs, either manually or by
 waiting until the next scheduled propagation.  If you do not have
-any replica KDCs, you can skip this and the next step.</p>
-</li>
-<li><p class="first">On each replica KDC, run <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">list_mkeys</span></code> to verify that
-the new master key is present, and then <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">stash</span></code> to
-write the new master key to the replica KDC’s stash file.</p>
-</li>
-<li><p class="first">On the primary KDC, run <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">use_mkey</span> <span class="pre">2</span></code> to begin using the
-new master key.  Replace <code class="docutils literal"><span class="pre">2</span></code> with the version of the new master
+any replica KDCs, you can skip this and the next step.</p></li>
+<li><p>On each replica KDC, run <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">list_mkeys</span></code> to verify that
+the new master key is present, and then <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">stash</span></code> to
+write the new master key to the replica KDC’s stash file.</p></li>
+<li><p>On the primary KDC, run <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">use_mkey</span> <span class="pre">2</span></code> to begin using the
+new master key.  Replace <code class="docutils literal notranslate"><span class="pre">2</span></code> with the version of the new master
 key, as appropriate.  You can optionally specify a date for the new
 master key to become active; by default, it will become active
 immediately.  Prior to release 1.12, <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> must be
-restarted for this change to take full effect.</p>
-</li>
-<li><p class="first">On the primary KDC, run <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">update_princ_encryption</span></code>.
+restarted for this change to take full effect.</p></li>
+<li><p>On the primary KDC, run <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">update_princ_encryption</span></code>.
 This command will iterate over the database and re-encrypt all keys
 in the new master key.  If the database is large and uses DB2, the
 primary KDC will become unavailable while this command runs, but
 clients should fail over to replica KDCs (if any are present)
 during this time period.  In release 1.13 and later, you can
-instead run <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">-x</span> <span class="pre">unlockiter</span> <span class="pre">update_princ_encryption</span></code> to
+instead run <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">-x</span> <span class="pre">unlockiter</span> <span class="pre">update_princ_encryption</span></code> to
 use unlocked iteration; this variant will take longer, but will
-keep the database available to the KDC and kadmind while it runs.</p>
-</li>
-<li><p class="first">Wait until the above changes have propagated to all replica KDCs
+keep the database available to the KDC and kadmind while it runs.</p></li>
+<li><p>Wait until the above changes have propagated to all replica KDCs
 and until all running KDC and kadmind processes have serviced
-requests using updated principal entries.</p>
-</li>
-<li><p class="first">On the primary KDC, run <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">purge_mkeys</span></code> to clean up the
-old master key.</p>
-</li>
+requests using updated principal entries.</p></li>
+<li><p>On the primary KDC, run <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">purge_mkeys</span></code> to clean up the
+old master key.</p></li>
 </ol>
-</div>
-</div>
-<div class="section" id="operations-on-the-ldap-database">
+</section>
+</section>
+<section id="operations-on-the-ldap-database">
 <span id="ops-on-ldap"></span><h2>Operations on the LDAP database<a class="headerlink" href="#operations-on-the-ldap-database" title="Permalink to this headline">¶</a></h2>
 <p>The <a class="reference internal" href="admin_commands/kdb5_ldap_util.html#kdb5-ldap-util-8"><span class="std std-ref">kdb5_ldap_util</span></a> command is the primary tool for
 administrating the Kerberos database when using the LDAP module.
 Creating an LDAP Kerberos database is describe in <a class="reference internal" href="conf_ldap.html#conf-ldap"><span class="std std-ref">Configuring Kerberos with OpenLDAP back-end</span></a>.</p>
 <p>To view a list of realms in the LDAP database, use the kdb5_ldap_util
 <strong>list</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_ldap_util list
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_ldap_util list
 KRBTEST.COM
 </pre></div>
 </div>
 <p>To modify the attributes of a realm, use the kdb5_ldap_util <strong>modify</strong>
 command.  For example, to change the default realm’s maximum ticket
 life:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_ldap_util modify -maxtktlife &quot;10 hours&quot;
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_ldap_util modify -maxtktlife &quot;10 hours&quot;
 </pre></div>
 </div>
 <p>To display the attributes of a realm, use the kdb5_ldap_util <strong>view</strong>
 command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_ldap_util view
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_ldap_util view
                Realm Name: KRBTEST.COM
       Maximum Ticket Life: 0 days 00:10:00
 </pre></div>
 </div>
 <p>To remove a realm from the LDAP database, destroying its contents, use
 the kdb5_ldap_util <strong>destroy</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_ldap_util destroy
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_ldap_util destroy
 Deleting KDC database of &#39;KRBTEST.COM&#39;, are you sure?
 (type &#39;yes&#39; to confirm)? yes
 OK, deleting database of &#39;KRBTEST.COM&#39;...
 ** Database of &#39;KRBTEST.COM&#39; destroyed.
 </pre></div>
 </div>
-<div class="section" id="ticket-policy-operations">
+<section id="ticket-policy-operations">
 <h3>Ticket Policy operations<a class="headerlink" href="#ticket-policy-operations" title="Permalink to this headline">¶</a></h3>
 <p>Unlike the DB2 and LMDB modules, the LDAP module supports ticket
 policy objects, which can be associated with principals to restrict
@@ -365,34 +350,34 @@ policy objects are distinct from the pas
 earlier on this page, and are chiefly managed through kdb5_ldap_util
 rather than kadmin.  To create a new ticket policy, use the
 kdb5_ldap_util <strong>create_policy</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_ldap_util create_policy -maxrenewlife &quot;2 days&quot; users
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_ldap_util create_policy -maxrenewlife &quot;2 days&quot; users
 </pre></div>
 </div>
 <p>To associate a ticket policy with a principal, use the
 <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> <strong>modify_principal</strong> (or <strong>add_principal</strong>) command
 with the <strong>-x tktpolicy=</strong><em>policy</em> option:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kadmin.local modprinc -x tktpolicy=users alice
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kadmin.local modprinc -x tktpolicy=users alice
 </pre></div>
 </div>
 <p>To remove a ticket policy reference from a principal, use the same
 command with an empty <em>policy</em>:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kadmin.local modprinc -x tktpolicy= alice
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kadmin.local modprinc -x tktpolicy= alice
 </pre></div>
 </div>
 <p>To list the existing ticket policy objects, use the kdb5_ldap_util
 <strong>list_policy</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_ldap_util list_policy
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_ldap_util list_policy
 users
 </pre></div>
 </div>
 <p>To modify the attributes of a ticket policy object, use the
 kdb5_ldap_util <strong>modify_policy</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_ldap_util modify_policy -allow_svr +requires_preauth users
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_ldap_util modify_policy -allow_svr +requires_preauth users
 </pre></div>
 </div>
 <p>To view the attributes of a ticket policy object, use the
 kdb5_ldap_util <strong>view_policy</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_ldap_util view_policy users
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_ldap_util view_policy users
             Ticket policy: users
    Maximum renewable life: 2 days 00:00:00
              Ticket flags: REQUIRES_PRE_AUTH DISALLOW_SVR
@@ -400,29 +385,29 @@ kdb5_ldap_util <strong>view_policy</stro
 </div>
 <p>To destroy an ticket policy object, use the kdb5_ldap_util
 <strong>destroy_policy</strong> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kdb5_ldap_util destroy_policy users
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kdb5_ldap_util destroy_policy users
 This will delete the policy object &#39;users&#39;, are you sure?
 (type &#39;yes&#39; to confirm)? yes
 ** policy object &#39;users&#39; deleted.
 </pre></div>
 </div>
-</div>
-</div>
-<div class="section" id="cross-realm-authentication">
+</section>
+</section>
+<section id="cross-realm-authentication">
 <span id="xrealm-authn"></span><h2>Cross-realm authentication<a class="headerlink" href="#cross-realm-authentication" title="Permalink to this headline">¶</a></h2>
 <p>In order for a KDC in one realm to authenticate Kerberos users in a
 different realm, it must share a key with the KDC in the other realm.
 In both databases, there must be krbtgt service principals for both realms.
 For example, if you need to do cross-realm authentication between the realms
-<code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> and <code class="docutils literal"><span class="pre">EXAMPLE.COM</span></code>, you would need to add the
-principals <code class="docutils literal"><span class="pre">krbtgt/EXAMPLE.COM&#64;ATHENA.MIT.EDU</span></code> and
-<code class="docutils literal"><span class="pre">krbtgt/ATHENA.MIT.EDU&#64;EXAMPLE.COM</span></code> to both databases.
+<code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> and <code class="docutils literal notranslate"><span class="pre">EXAMPLE.COM</span></code>, you would need to add the
+principals <code class="docutils literal notranslate"><span class="pre">krbtgt/EXAMPLE.COM&#64;ATHENA.MIT.EDU</span></code> and
+<code class="docutils literal notranslate"><span class="pre">krbtgt/ATHENA.MIT.EDU&#64;EXAMPLE.COM</span></code> to both databases.
 These principals must all have the same passwords, key version
 numbers, and encryption types; this may require explicitly setting
 the key version number with the <strong>-kvno</strong> option.</p>
 <p>In the ATHENA.MIT.EDU and EXAMPLE.COM cross-realm case, the administrators
 would run the following commands on the KDCs in both realms:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span><span class="p">:</span> <span class="n">kadmin</span><span class="o">.</span><span class="n">local</span> <span class="o">-</span><span class="n">e</span> <span class="s2">&quot;aes256-cts:normal&quot;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span><span class="p">:</span> <span class="n">kadmin</span><span class="o">.</span><span class="n">local</span> <span class="o">-</span><span class="n">e</span> <span class="s2">&quot;aes256-cts:normal&quot;</span>
 <span class="n">kadmin</span><span class="p">:</span> <span class="n">addprinc</span> <span class="o">-</span><span class="n">requires_preauth</span> <span class="n">krbtgt</span><span class="o">/</span><span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">Enter</span> <span class="n">password</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">krbtgt</span><span class="o">/</span><span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span><span class="p">:</span>
 <span class="n">Re</span><span class="o">-</span><span class="n">enter</span> <span class="n">password</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">krbtgt</span><span class="o">/</span><span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span><span class="p">:</span>
@@ -433,8 +418,8 @@ would run the following commands on the
 </pre></div>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">Even if most principals in a realm are generally created
+<p class="admonition-title">Note</p>
+<p>Even if most principals in a realm are generally created
 with the <strong>requires_preauth</strong> flag enabled, this flag is not
 desirable on cross-realm authentication keys because doing
 so makes it impossible to disable preauthentication on a
@@ -442,16 +427,16 @@ service-by-service basis.  Disabling it
 above is recommended.</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">It is very important that these principals have good
+<p class="admonition-title">Note</p>
+<p>It is very important that these principals have good
 passwords.  MIT recommends that TGT principal passwords be
 at least 26 characters of random ASCII text.</p>
 </div>
-</div>
-<div class="section" id="changing-the-krbtgt-key">
+</section>
+<section id="changing-the-krbtgt-key">
 <span id="changing-krbtgt-key"></span><h2>Changing the krbtgt key<a class="headerlink" href="#changing-the-krbtgt-key" title="Permalink to this headline">¶</a></h2>
 <p>A Kerberos Ticket Granting Ticket (TGT) is a service ticket for the
-principal <code class="docutils literal"><span class="pre">krbtgt/REALM</span></code>.  The key for this principal is created
+principal <code class="docutils literal notranslate"><span class="pre">krbtgt/REALM</span></code>.  The key for this principal is created
 when the Kerberos database is initialized and need not be changed.
 However, it will only have the encryption types supported by the KDC
 at the time of the initial database creation.  To allow use of newer
@@ -461,12 +446,12 @@ encryption types for the TGT, this key h
 TGTs.  Therefore, when changing this key, normally one should use the
 <strong>-keepold</strong> flag to change_password to retain the previous key in the
 database as well as the new key.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">change_password</span> <span class="o">-</span><span class="n">randkey</span> <span class="o">-</span><span class="n">keepold</span> <span class="n">krbtgt</span><span class="o">/</span><span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">change_password</span> <span class="o">-</span><span class="n">randkey</span> <span class="o">-</span><span class="n">keepold</span> <span class="n">krbtgt</span><span class="o">/</span><span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 </pre></div>
 </div>
 <div class="admonition warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">After issuing this command, the old key is still valid
+<p class="admonition-title">Warning</p>
+<p>After issuing this command, the old key is still valid
 and is still vulnerable to (for instance) brute force
 attacks.  To completely retire an old key or encryption
 type, run the kadmin <strong>purgekeys</strong> command to delete keys
@@ -489,10 +474,10 @@ principal (see <a class="reference inter
 tickets may not work if the original ticket was obtained prior to a
 krbtgt key change and the modified ticket is obtained afterwards.
 Upgrading the KDC to release 1.14 or later will correct this bug.</p>
-</div>
-<div class="section" id="incremental-database-propagation">
+</section>
+<section id="incremental-database-propagation">
 <span id="incr-db-prop"></span><h2>Incremental database propagation<a class="headerlink" href="#incremental-database-propagation" title="Permalink to this headline">¶</a></h2>
-<div class="section" id="overview">
+<section id="overview">
 <h3>Overview<a class="headerlink" href="#overview" title="Permalink to this headline">¶</a></h3>
 <p>At some very large sites, dumping and transmitting the database can
 take more time than is desirable for changes to propagate from the
@@ -507,47 +492,47 @@ periodically requests the changes that h
 check.  By default, this check is done every two minutes.</p>
 <p>Incremental propagation uses the following entries in the per-realm
 data in the KDC config file (See <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>):</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="4%" />
-<col width="3%" />
-<col width="94%" />
+<col style="width: 4%" />
+<col style="width: 3%" />
+<col style="width: 94%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>iprop_enable</td>
-<td><em>boolean</em></td>
-<td>If <em>true</em>, then incremental propagation is enabled, and (as noted below) normal kprop propagation is disabled. The default is <em>false</em>.</td>
+<tbody>
+<tr class="row-odd"><td><p>iprop_enable</p></td>
+<td><p><em>boolean</em></p></td>
+<td><p>If <em>true</em>, then incremental propagation is enabled, and (as noted below) normal kprop propagation is disabled. The default is <em>false</em>.</p></td>
 </tr>
-<tr class="row-even"><td>iprop_master_ulogsize</td>
-<td><em>integer</em></td>
-<td>Indicates the number of entries that should be retained in the update log. The default is 1000; the maximum number is 2500.</td>
+<tr class="row-even"><td><p>iprop_master_ulogsize</p></td>
+<td><p><em>integer</em></p></td>
+<td><p>Indicates the number of entries that should be retained in the update log. The default is 1000; the maximum number is 2500.</p></td>
 </tr>
-<tr class="row-odd"><td>iprop_replica_poll</td>
-<td><em>time interval</em></td>
-<td>Indicates how often the replica should poll the primary KDC for changes to the database. The default is two minutes.</td>
+<tr class="row-odd"><td><p>iprop_replica_poll</p></td>
+<td><p><em>time interval</em></p></td>
+<td><p>Indicates how often the replica should poll the primary KDC for changes to the database. The default is two minutes.</p></td>
 </tr>
-<tr class="row-even"><td>iprop_port</td>
-<td><em>integer</em></td>
-<td>Specifies the port number to be used for incremental propagation. This is required in both primary and replica configuration files.</td>
+<tr class="row-even"><td><p>iprop_port</p></td>
+<td><p><em>integer</em></p></td>
+<td><p>Specifies the port number to be used for incremental propagation. This is required in both primary and replica configuration files.</p></td>
 </tr>
-<tr class="row-odd"><td>iprop_resync_timeout</td>
-<td><em>integer</em></td>
-<td>Specifies the number of seconds to wait for a full propagation to complete. This is optional on replica configurations.  Defaults to 300 seconds (5 minutes).</td>
+<tr class="row-odd"><td><p>iprop_resync_timeout</p></td>
+<td><p><em>integer</em></p></td>
+<td><p>Specifies the number of seconds to wait for a full propagation to complete. This is optional on replica configurations.  Defaults to 300 seconds (5 minutes).</p></td>
 </tr>
-<tr class="row-even"><td>iprop_logfile</td>
-<td><em>file name</em></td>
-<td>Specifies where the update log file for the realm database is to be stored. The default is to use the <em>database_name</em> entry from the realms section of the config file <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>, with <em>.ulog</em> appended. (NOTE: If database_name isn’t specified in the realms section, perhaps because the LDAP database back end is being used, or the file name is specified in the <em>dbmodules</em> section, then the hard-coded default for <em>database_name</em> is used. Determination of the <em>iprop_logfile</em>  default value will not use values from the <em>dbmodules</em> section.)</td>
+<tr class="row-even"><td><p>iprop_logfile</p></td>
+<td><p><em>file name</em></p></td>
+<td><p>Specifies where the update log file for the realm database is to be stored. The default is to use the <em>database_name</em> entry from the realms section of the config file <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>, with <em>.ulog</em> appended. (NOTE: If database_name isn’t specified in the realms section, perhaps because the LDAP database back end is being used, or the file name is specified in the <em>dbmodules</em> section, then the hard-coded default for <em>database_name</em> is used. Determination of the <em>iprop_logfile</em>  default value will not use values from the <em>dbmodules</em> section.)</p></td>
 </tr>
 </tbody>
 </table>
 <p>Both primary and replica sides must have a principal named
-<code class="docutils literal"><span class="pre">kiprop/hostname</span></code> (where <em>hostname</em> is the lowercase,
+<code class="docutils literal notranslate"><span class="pre">kiprop/hostname</span></code> (where <em>hostname</em> is the lowercase,
 fully-qualified, canonical name for the host) registered in the
 Kerberos database, and have keys for that principal stored in the
-default keytab file (<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a>).  The <code class="docutils literal"><span class="pre">kiprop/hostname</span></code> principal may
+default keytab file (<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a>).  The <code class="docutils literal notranslate"><span class="pre">kiprop/hostname</span></code> principal may
 have been created automatically for the primary KDC, but it must
 always be created for replica KDCs.</p>
-<p>On the primary KDC side, the <code class="docutils literal"><span class="pre">kiprop/hostname</span></code> principal must be
+<p>On the primary KDC side, the <code class="docutils literal notranslate"><span class="pre">kiprop/hostname</span></code> principal must be
 listed in the kadmind ACL file <a class="reference internal" href="conf_files/kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a>, and given the
 <strong>p</strong> privilege (see <a class="reference internal" href="#privileges"><span class="std std-ref">Privileges</span></a>).</p>
 <p>On the replica KDC side, <a class="reference internal" href="admin_commands/kpropd.html#kpropd-8"><span class="std std-ref">kpropd</span></a> should be run.  When
@@ -565,30 +550,30 @@ fetching incremental updates.  Thus, all
 previously described for kprop propagation is still needed.</p>
 <p>If an environment has a large number of replicas, it may be desirable
 to arrange them in a hierarchy instead of having the primary serve
-updates to every replica.  To do this, run <code class="docutils literal"><span class="pre">kadmind</span> <span class="pre">-proponly</span></code> on
-each intermediate replica, and <code class="docutils literal"><span class="pre">kpropd</span> <span class="pre">-A</span> <span class="pre">upstreamhostname</span></code> on
+updates to every replica.  To do this, run <code class="docutils literal notranslate"><span class="pre">kadmind</span> <span class="pre">-proponly</span></code> on
+each intermediate replica, and <code class="docutils literal notranslate"><span class="pre">kpropd</span> <span class="pre">-A</span> <span class="pre">upstreamhostname</span></code> on
 downstream replicas to direct each one to the appropriate upstream
 replica.</p>
 <p>There are several known restrictions in the current implementation:</p>
 <ul class="simple">
-<li>The incremental update protocol does not transport changes to policy
+<li><p>The incremental update protocol does not transport changes to policy
 objects.  Any policy changes on the primary will result in full
-resyncs to all replicas.</li>
-<li>The replica’s KDB module must support locking; it cannot be using the
-LDAP KDB module.</li>
-<li>The primary and replica must be able to initiate TCP connections in
-both directions, without an intervening NAT.</li>
+resyncs to all replicas.</p></li>
+<li><p>The replica’s KDB module must support locking; it cannot be using the
+LDAP KDB module.</p></li>
+<li><p>The primary and replica must be able to initiate TCP connections in
+both directions, without an intervening NAT.</p></li>
 </ul>
-</div>
-<div class="section" id="sun-mit-incremental-propagation-differences">
+</section>
+<section id="sun-mit-incremental-propagation-differences">
 <h3>Sun/MIT incremental propagation differences<a class="headerlink" href="#sun-mit-incremental-propagation-differences" title="Permalink to this headline">¶</a></h3>
 <p>Sun donated the original code for supporting incremental database
 propagation to MIT.  Some changes have been made in the MIT source
 tree that will be visible to administrators.  (These notes are based
 on Sun’s patches.  Changes to Sun’s implementation since then may not
 be reflected here.)</p>
-<p>The Sun config file support looks for <code class="docutils literal"><span class="pre">sunw_dbprop_enable</span></code>,
-<code class="docutils literal"><span class="pre">sunw_dbprop_master_ulogsize</span></code>, and <code class="docutils literal"><span class="pre">sunw_dbprop_slave_poll</span></code>.</p>
+<p>The Sun config file support looks for <code class="docutils literal notranslate"><span class="pre">sunw_dbprop_enable</span></code>,
+<code class="docutils literal notranslate"><span class="pre">sunw_dbprop_master_ulogsize</span></code>, and <code class="docutils literal notranslate"><span class="pre">sunw_dbprop_slave_poll</span></code>.</p>
 <p>The incremental propagation service is implemented as an ONC RPC
 service.  In the Sun implementation, the service is registered with
 rpcbind (also known as portmapper) and the client looks up the port
@@ -596,21 +581,23 @@ number to contact.  In the MIT implement
 some modern versions of rpcbind doesn’t always work well, the port
 number must be specified in the config file on both the primary and
 replica sides.</p>
-<p>The Sun implementation hard-codes pathnames in <code class="docutils literal"><span class="pre">/var/krb5</span></code> for the
+<p>The Sun implementation hard-codes pathnames in <code class="docutils literal notranslate"><span class="pre">/var/krb5</span></code> for the
 update log and the per-replica kprop dump files.  In the MIT
 implementation, the pathname for the update log is specified in the
 config file, and the per-replica dump files are stored in
-<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/replica_datatrans_hostname</span></code>.</p>
-</div>
-</div>
-</div>
+<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/replica_datatrans_hostname</span></code>.</p>
+</section>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Database administration</a><ul>
@@ -691,6 +678,7 @@ config file, and the per-replica dump fi
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -698,8 +686,8 @@ config file, and the per-replica dump fi
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/dbtypes.html 1.21.3-1/doc/html/admin/dbtypes.html
--- 1.21.2-1/doc/html/admin/dbtypes.html	2023-08-14 16:17:33.000000000 +0000
+++ 1.21.3-1/doc/html/admin/dbtypes.html	2024-06-26 20:00:51.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Database types &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Account lockout" href="lockout.html" />
     <link rel="prev" title="Database administration" href="database.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="database-types">
+  <section id="database-types">
 <span id="dbtypes"></span><h1>Database types<a class="headerlink" href="#database-types" title="Permalink to this headline">¶</a></h1>
 <p>A Kerberos database can be implemented with one of three built-in
 database providers, called KDB modules.  Software which incorporates
@@ -70,34 +61,34 @@ subsections describe the three built-in
 configuration specific to them.</p>
 <p>The database type can be configured with the <strong>db_library</strong> variable
 in the <a class="reference internal" href="conf_files/kdc_conf.html#dbmodules"><span class="std std-ref">[dbmodules]</span></a> subsection for the realm.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
     <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">db_library</span> <span class="o">=</span> <span class="n">db2</span>
     <span class="p">}</span>
 </pre></div>
 </div>
-<p>If the <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> realm subsection contains a
+<p>If the <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> realm subsection contains a
 <strong>database_module</strong> setting, then the subsection within
-<code class="docutils literal"><span class="pre">[dbmodules]</span></code> should use that name instead of <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">[dbmodules]</span></code> should use that name instead of <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code>.</p>
 <p>To transition from one database type to another, stop the
-<a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> service, use <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">dump</span></code> to create a dump
+<a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> service, use <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">dump</span></code> to create a dump
 file, change the <strong>db_library</strong> value and set any appropriate
-configuration for the new database type, and use <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">load</span></code> to
+configuration for the new database type, and use <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">load</span></code> to
 create and populate the new database.  If the new database type is
-LDAP, create the new database using <code class="docutils literal"><span class="pre">kdb5_ldap_util</span></code> and populate it
-from the dump file using <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">load</span> <span class="pre">-update</span></code>.  Then restart the
+LDAP, create the new database using <code class="docutils literal notranslate"><span class="pre">kdb5_ldap_util</span></code> and populate it
+from the dump file using <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">load</span> <span class="pre">-update</span></code>.  Then restart the
 <a class="reference internal" href="admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> and <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> services.</p>
-<div class="section" id="berkeley-database-module-db2">
+<section id="berkeley-database-module-db2">
 <h2>Berkeley database module (db2)<a class="headerlink" href="#berkeley-database-module-db2" title="Permalink to this headline">¶</a></h2>
-<p>The default KDB module is <code class="docutils literal"><span class="pre">db2</span></code>, which uses a version of the
+<p>The default KDB module is <code class="docutils literal notranslate"><span class="pre">db2</span></code>, which uses a version of the
 Berkeley DB library.  It creates four files based on the database
-pathname.  If the pathname ends with <code class="docutils literal"><span class="pre">principal</span></code> then the four files
+pathname.  If the pathname ends with <code class="docutils literal notranslate"><span class="pre">principal</span></code> then the four files
 are:</p>
 <ul class="simple">
-<li><code class="docutils literal"><span class="pre">principal</span></code>, containing principal entry data</li>
-<li><code class="docutils literal"><span class="pre">principal.ok</span></code>, a lock file for the principal database</li>
-<li><code class="docutils literal"><span class="pre">principal.kadm5</span></code>, containing policy object data</li>
-<li><code class="docutils literal"><span class="pre">principal.kadm5.lock</span></code>, a lock file for the policy database</li>
+<li><p><code class="docutils literal notranslate"><span class="pre">principal</span></code>, containing principal entry data</p></li>
+<li><p><code class="docutils literal notranslate"><span class="pre">principal.ok</span></code>, a lock file for the principal database</p></li>
+<li><p><code class="docutils literal notranslate"><span class="pre">principal.kadm5</span></code>, containing policy object data</p></li>
+<li><p><code class="docutils literal notranslate"><span class="pre">principal.kadm5.lock</span></code>, a lock file for the policy database</p></li>
 </ul>
 <p>For large databases, the <a class="reference internal" href="admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a> <strong>dump</strong> command (perhaps
 invoked by <a class="reference internal" href="admin_commands/kprop.html#kprop-8"><span class="std std-ref">kprop</span></a> or by <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> for incremental
@@ -106,8 +97,8 @@ period of time while it iterates over th
 avoided by disabling account lockout features so that the KDC does not
 perform database writes (see <a class="reference internal" href="lockout.html#disable-lockout"><span class="std std-ref">KDC performance and account lockout</span></a>).  Alternatively,
 a slower form of iteration can be enabled by setting the
-<strong>unlockiter</strong> variable to <code class="docutils literal"><span class="pre">true</span></code>.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
+<strong>unlockiter</strong> variable to <code class="docutils literal notranslate"><span class="pre">true</span></code>.  For example:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
     <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">db_library</span> <span class="o">=</span> <span class="n">db2</span>
         <span class="n">unlockiter</span> <span class="o">=</span> <span class="n">true</span>
@@ -116,28 +107,28 @@ a slower form of iteration can be enable
 </div>
 <p>In rare cases, a power failure or other unclean system shutdown may
 cause inconsistencies in the internal pointers within a database file,
-such that <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">dump</span></code> cannot retrieve all principal entries in
+such that <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">dump</span></code> cannot retrieve all principal entries in
 the database.  In this situation, it may be possible to retrieve all
-of the principal data by running <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">dump</span> <span class="pre">-recurse</span></code> to
+of the principal data by running <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">dump</span> <span class="pre">-recurse</span></code> to
 iterate over the database using the tree pointers instead of the
-iteration pointers.  Running <code class="docutils literal"><span class="pre">kdb5_util</span> <span class="pre">dump</span> <span class="pre">-rev</span></code> to iterate over
+iteration pointers.  Running <code class="docutils literal notranslate"><span class="pre">kdb5_util</span> <span class="pre">dump</span> <span class="pre">-rev</span></code> to iterate over
 the database backwards may also retrieve some of the data which is not
 retrieved by a normal dump operation.</p>
-</div>
-<div class="section" id="lightning-memory-mapped-database-module-klmdb">
+</section>
+<section id="lightning-memory-mapped-database-module-klmdb">
 <h2>Lightning Memory-Mapped Database module (klmdb)<a class="headerlink" href="#lightning-memory-mapped-database-module-klmdb" title="Permalink to this headline">¶</a></h2>
 <p>The klmdb module was added in release 1.17.  It uses the LMDB library,
 and may offer better performance and reliability than the db2 module.
 It creates four files based on the database pathname.  If the pathname
-ends with <code class="docutils literal"><span class="pre">principal</span></code>, then the four files are:</p>
+ends with <code class="docutils literal notranslate"><span class="pre">principal</span></code>, then the four files are:</p>
 <ul class="simple">
-<li><code class="docutils literal"><span class="pre">principal.mdb</span></code>, containing policy object data and most principal
-entry data</li>
-<li><code class="docutils literal"><span class="pre">principal.mdb-lock</span></code>, a lock file for the primary database</li>
-<li><code class="docutils literal"><span class="pre">principal.lockout.mdb</span></code>, containing the account lockout attributes
+<li><p><code class="docutils literal notranslate"><span class="pre">principal.mdb</span></code>, containing policy object data and most principal
+entry data</p></li>
+<li><p><code class="docutils literal notranslate"><span class="pre">principal.mdb-lock</span></code>, a lock file for the primary database</p></li>
+<li><p><code class="docutils literal notranslate"><span class="pre">principal.lockout.mdb</span></code>, containing the account lockout attributes
 (last successful authentication time, last failed authentication
-time, and number of failed attempts) for each principal entry</li>
-<li><code class="docutils literal"><span class="pre">principal.lockout.mdb-lock</span></code>, a lock file for the lockout database</li>
+time, and number of failed attempts) for each principal entry</p></li>
+<li><p><code class="docutils literal notranslate"><span class="pre">principal.lockout.mdb-lock</span></code>, a lock file for the lockout database</p></li>
 </ul>
 <p>Separating out the lockout attributes ensures that the KDC will never
 block on an administrative operation such as a database dump or load.
@@ -157,7 +148,7 @@ operations will fail and the error messa
 reached” will appear in the kadmind log file.  In this case, the
 <strong>mapsize</strong> variable can be used to increase the map size.  The
 following example sets the map size to 512 megabytes:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
     <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">db_library</span> <span class="o">=</span> <span class="n">klmdb</span>
         <span class="n">mapsize</span> <span class="o">=</span> <span class="mi">512</span>
@@ -178,8 +169,8 @@ variable can be set to “true” to dis
 primary database.</p>
 <p>The klmdb module does not support explicit locking with the
 <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> <strong>lock</strong> command.</p>
-</div>
-<div class="section" id="ldap-module-kldap">
+</section>
+<section id="ldap-module-kldap">
 <h2>LDAP module (kldap)<a class="headerlink" href="#ldap-module-kldap" title="Permalink to this headline">¶</a></h2>
 <p>The kldap module stores principal and policy data using an LDAP
 server.  To use it you must configure an LDAP server to use the
@@ -187,21 +178,23 @@ Kerberos schema.  See <a class="referenc
 <p>Because <a class="reference internal" href="admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> is single-threaded, latency in LDAP database
 accesses may limit KDC operation throughput.  If the LDAP server is
 located on the same server host as the KDC and accessed through an
-<code class="docutils literal"><span class="pre">ldapi://</span></code> URL, latency should be minimal.  If this is not possible,
+<code class="docutils literal notranslate"><span class="pre">ldapi://</span></code> URL, latency should be minimal.  If this is not possible,
 consider starting multiple KDC worker processes with the
 <a class="reference internal" href="admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> <strong>-w</strong> option to enable concurrent processing of KDC
 requests.</p>
 <p>The kldap module does not support explicit locking with the
 <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> <strong>lock</strong> command.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Database types</a><ul>
@@ -263,6 +256,7 @@ requests.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -270,8 +264,8 @@ requests.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/dictionary.html 1.21.3-1/doc/html/admin/dictionary.html
--- 1.21.2-1/doc/html/admin/dictionary.html	2023-08-14 16:17:33.000000000 +0000
+++ 1.21.3-1/doc/html/admin/dictionary.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Addressing dictionary attack risks &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Principal names and DNS" href="princ_dns.html" />
     <link rel="prev" title="SPAKE Preauthentication" href="spake.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addressing-dictionary-attack-risks">
+  <section id="addressing-dictionary-attack-risks">
 <span id="dictionary"></span><h1>Addressing dictionary attack risks<a class="headerlink" href="#addressing-dictionary-attack-risks" title="Permalink to this headline">¶</a></h1>
 <p>Kerberos initial authentication is normally secured using the client
 principal’s long-term key, which for users is generally derived from a
@@ -99,7 +90,7 @@ making a TGS request (after authenticati
 server principal which does not have the <strong>-allow_svr</strong> flag.  To
 address off-path attackers, a KDC administrator should set those flags
 on principals with password-derived keys:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">add_principal</span> <span class="o">+</span><span class="n">requires_preauth</span> <span class="o">-</span><span class="n">allow_svr</span> <span class="n">princname</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">add_principal</span> <span class="o">+</span><span class="n">requires_preauth</span> <span class="o">-</span><span class="n">allow_svr</span> <span class="n">princname</span>
 </pre></div>
 </div>
 <p>An attacker with passive network access (one who can monitor packets
@@ -110,14 +101,14 @@ preauthentication, encrypted timestamp.
 can prevent dictionary attacks by attackers with passive network
 access:</p>
 <ul class="simple">
-<li>Enabling <a class="reference internal" href="spake.html#spake"><span class="std std-ref">SPAKE preauthentication</span></a> (added in release
+<li><p>Enabling <a class="reference internal" href="spake.html#spake"><span class="std std-ref">SPAKE preauthentication</span></a> (added in release
 1.17) on the KDC, and ensuring that all clients are able to support
-it.</li>
-<li>Using an <a class="reference internal" href="https.html#https"><span class="std std-ref">HTTPS proxy</span></a> for communication with the KDC,
+it.</p></li>
+<li><p>Using an <a class="reference internal" href="https.html#https"><span class="std std-ref">HTTPS proxy</span></a> for communication with the KDC,
 if the attacker cannot monitor communication between the proxy
-server and the KDC.</li>
-<li>Using FAST, protecting the initial authentication with either a
-random key (such as a host key) or with <a class="reference internal" href="pkinit.html#anonymous-pkinit"><span class="std std-ref">anonymous PKINIT</span></a>.</li>
+server and the KDC.</p></li>
+<li><p>Using FAST, protecting the initial authentication with either a
+random key (such as a host key) or with <a class="reference internal" href="pkinit.html#anonymous-pkinit"><span class="std std-ref">anonymous PKINIT</span></a>.</p></li>
 </ul>
 <p>An attacker with active network access (one who can inject or modify
 packets sent between legitimate users and the KDC) can try to fool the
@@ -125,26 +116,28 @@ client software into sending an attackab
 encryption type and salt string of the attacker’s choosing.  Any of the
 following methods can prevent dictionary attacks by active attackers:</p>
 <ul class="simple">
-<li>Enabling SPAKE preauthentication and setting the
-<strong>disable_encrypted_timestamp</strong> variable to <code class="docutils literal"><span class="pre">true</span></code> in the
-<a class="reference internal" href="conf_files/krb5_conf.html#realms"><span class="std std-ref">[realms]</span></a> subsection of the client configuration.</li>
-<li>Using an HTTPS proxy as described above, configured in the client’s
+<li><p>Enabling SPAKE preauthentication and setting the
+<strong>disable_encrypted_timestamp</strong> variable to <code class="docutils literal notranslate"><span class="pre">true</span></code> in the
+<a class="reference internal" href="conf_files/krb5_conf.html#realms"><span class="std std-ref">[realms]</span></a> subsection of the client configuration.</p></li>
+<li><p>Using an HTTPS proxy as described above, configured in the client’s
 krb5.conf realm configuration.  If <a class="reference internal" href="realm_config.html#kdc-discovery"><span class="std std-ref">KDC discovery</span></a> is used to locate a proxy server, an active
 attacker may be able to use DNS spoofing to cause the client to use
-a different HTTPS server or to not use HTTPS.</li>
-<li>Using FAST as described above.</li>
+a different HTTPS server or to not use HTTPS.</p></li>
+<li><p>Using FAST as described above.</p></li>
 </ul>
 <p>If <a class="reference internal" href="pkinit.html#pkinit"><span class="std std-ref">PKINIT</span></a> or <a class="reference internal" href="otp.html#otp-preauth"><span class="std std-ref">OTP</span></a> are used for
 initial authentication, the principal’s long-term keys are not used
 and dictionary attacks are usually not a concern.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Addressing dictionary attack risks</a></li>
@@ -201,6 +194,7 @@ and dictionary attacks are usually not a
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -208,8 +202,8 @@ and dictionary attacks are usually not a
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/enctypes.html 1.21.3-1/doc/html/admin/enctypes.html
--- 1.21.2-1/doc/html/admin/enctypes.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/enctypes.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Encryption types &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="HTTPS proxy configuration" href="https.html" />
     <link rel="prev" title="Principal names and DNS" href="princ_dns.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,13 +52,13 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="encryption-types">
+  <section id="encryption-types">
 <span id="enctypes"></span><h1>Encryption types<a class="headerlink" href="#encryption-types" title="Permalink to this headline">¶</a></h1>
 <p>Kerberos can use a variety of cipher algorithms to protect data.  A
 Kerberos <strong>encryption type</strong> (also known as an <strong>enctype</strong>) is a
 specific combination of a cipher algorithm with an integrity algorithm
 to provide both confidentiality and integrity to data.</p>
-<div class="section" id="enctypes-in-requests">
+<section id="enctypes-in-requests">
 <h2>Enctypes in requests<a class="headerlink" href="#enctypes-in-requests" title="Permalink to this headline">¶</a></h2>
 <p>Clients make two types of requests (KDC-REQ) to the KDC: AS-REQs and
 TGS-REQs.  The client uses the AS-REQ to obtain initial tickets
@@ -75,24 +66,24 @@ TGS-REQs.  The client uses the AS-REQ to
 obtain service tickets.</p>
 <p>The KDC uses three different keys when issuing a ticket to a client:</p>
 <ul class="simple">
-<li>The long-term key of the service: the KDC uses this to encrypt the
+<li><p>The long-term key of the service: the KDC uses this to encrypt the
 actual service ticket.  The KDC only uses the first long-term key in
-the most recent kvno for this purpose.</li>
-<li>The session key: the KDC randomly chooses this key and places one
+the most recent kvno for this purpose.</p></li>
+<li><p>The session key: the KDC randomly chooses this key and places one
 copy inside the ticket and the other copy inside the encrypted part
-of the reply.</li>
-<li>The reply-encrypting key: the KDC uses this to encrypt the reply it
+of the reply.</p></li>
+<li><p>The reply-encrypting key: the KDC uses this to encrypt the reply it
 sends to the client.  For AS replies, this is a long-term key of the
 client principal.  For TGS replies, this is either the session key of the
-authenticating ticket, or a subsession key.</li>
+authenticating ticket, or a subsession key.</p></li>
 </ul>
 <p>Each of these keys is of a specific enctype.</p>
 <p>Each request type allows the client to submit a list of enctypes that
 it is willing to accept.  For the AS-REQ, this list affects both the
 session key selection and the reply-encrypting key selection.  For the
 TGS-REQ, this list only affects the session key selection.</p>
-</div>
-<div class="section" id="session-key-selection">
+</section>
+<section id="session-key-selection">
 <span id="id1"></span><h2>Session key selection<a class="headerlink" href="#session-key-selection" title="Permalink to this headline">¶</a></h2>
 <p>The KDC chooses the session key enctype by taking the intersection of
 its <strong>permitted_enctypes</strong> list, the list of long-term keys for the
@@ -105,8 +96,8 @@ service principal to control what sessio
 issue for service tickets for that principal, overriding the service’s
 long-term keys and the assumption of aes256-cts-hmac-sha1-96 support.
 See <a class="reference internal" href="admin_commands/kadmin_local.html#set-string"><span class="std std-ref">set_string</span></a> in <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> for details.</p>
-</div>
-<div class="section" id="choosing-enctypes-for-a-service">
+</section>
+<section id="choosing-enctypes-for-a-service">
 <h2>Choosing enctypes for a service<a class="headerlink" href="#choosing-enctypes-for-a-service" title="Permalink to this headline">¶</a></h2>
 <p>Generally, a service should have a key of the strongest
 enctype that both it and the KDC support.  If the KDC is running a
@@ -119,137 +110,137 @@ other enctypes that the service supports
 configuration settings that control session key enctype selection
 independently of the set of long-term keys that the KDC has stored for
 a service principal.</p>
-</div>
-<div class="section" id="configuration-variables">
+</section>
+<section id="configuration-variables">
 <h2>Configuration variables<a class="headerlink" href="#configuration-variables" title="Permalink to this headline">¶</a></h2>
-<p>The following <code class="docutils literal"><span class="pre">[libdefaults]</span></code> settings in <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> will
+<p>The following <code class="docutils literal notranslate"><span class="pre">[libdefaults]</span></code> settings in <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> will
 affect how enctypes are chosen.</p>
-<dl class="docutils">
-<dt><strong>allow_weak_crypto</strong></dt>
-<dd>defaults to <em>false</em> starting with krb5-1.8.  When <em>false</em>, removes
+<dl class="simple">
+<dt><strong>allow_weak_crypto</strong></dt><dd><p>defaults to <em>false</em> starting with krb5-1.8.  When <em>false</em>, removes
 weak enctypes from <strong>permitted_enctypes</strong>,
 <strong>default_tkt_enctypes</strong>, and <strong>default_tgs_enctypes</strong>.  Do not
 set this to <em>true</em> unless the use of weak enctypes is an
 acceptable risk for your environment and the weak enctypes are
-required for backward compatibility.</dd>
-<dt><strong>allow_des3</strong></dt>
-<dd>was added in release 1.21 and defaults to <em>false</em>.  Unless this
+required for backward compatibility.</p>
+</dd>
+<dt><strong>allow_des3</strong></dt><dd><p>was added in release 1.21 and defaults to <em>false</em>.  Unless this
 flag is set to <em>true</em>, the KDC will not issue tickets with
 des3-cbc-sha1 session keys.  In a future release, this flag will
 control whether des3-cbc-sha1 is permitted in similar fashion to
-weak enctypes.</dd>
-<dt><strong>allow_rc4</strong></dt>
-<dd>was added in release 1.21 and defaults to <em>false</em>.  Unless this
+weak enctypes.</p>
+</dd>
+<dt><strong>allow_rc4</strong></dt><dd><p>was added in release 1.21 and defaults to <em>false</em>.  Unless this
 flag is set to <em>true</em>, the KDC will not issue tickets with
 arcfour-hmac session keys.  In a future release, this flag will
 control whether arcfour-hmac is permitted in similar fashion to
-weak enctypes.</dd>
-<dt><strong>permitted_enctypes</strong></dt>
-<dd>controls the set of enctypes that a service will permit for
+weak enctypes.</p>
+</dd>
+<dt><strong>permitted_enctypes</strong></dt><dd><p>controls the set of enctypes that a service will permit for
 session keys and for ticket and authenticator encryption.  The KDC
 and other programs that access the Kerberos database will ignore
 keys of non-permitted enctypes.  Starting in release 1.18, this
 setting also acts as the default for <strong>default_tkt_enctypes</strong> and
-<strong>default_tgs_enctypes</strong>.</dd>
-<dt><strong>default_tkt_enctypes</strong></dt>
-<dd>controls the default set of enctypes that the Kerberos client
+<strong>default_tgs_enctypes</strong>.</p>
+</dd>
+<dt><strong>default_tkt_enctypes</strong></dt><dd><p>controls the default set of enctypes that the Kerberos client
 library requests when making an AS-REQ.  Do not set this unless
 required for specific backward compatibility purposes; stale
 values of this setting can prevent clients from taking advantage
-of new stronger enctypes when the libraries are upgraded.</dd>
-<dt><strong>default_tgs_enctypes</strong></dt>
-<dd>controls the default set of enctypes that the Kerberos client
+of new stronger enctypes when the libraries are upgraded.</p>
+</dd>
+<dt><strong>default_tgs_enctypes</strong></dt><dd><p>controls the default set of enctypes that the Kerberos client
 library requests when making a TGS-REQ.  Do not set this unless
 required for specific backward compatibility purposes; stale
 values of this setting can prevent clients from taking advantage
-of new stronger enctypes when the libraries are upgraded.</dd>
+of new stronger enctypes when the libraries are upgraded.</p>
+</dd>
 </dl>
 <p>The following per-realm setting in <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> affects the
 generation of long-term keys.</p>
-<dl class="docutils">
-<dt><strong>supported_enctypes</strong></dt>
-<dd>controls the default set of enctype-salttype pairs that <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>
+<dl class="simple">
+<dt><strong>supported_enctypes</strong></dt><dd><p>controls the default set of enctype-salttype pairs that <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>
 will use for generating long-term keys, either randomly or from
-passwords</dd>
+passwords</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="enctype-compatibility">
+</section>
+<section id="enctype-compatibility">
 <h2>Enctype compatibility<a class="headerlink" href="#enctype-compatibility" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="conf_files/kdc_conf.html#encryption-types"><span class="std std-ref">Encryption types</span></a> for additional information about enctypes.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="20%" />
-<col width="16%" />
-<col width="14%" />
+<col style="width: 51%" />
+<col style="width: 20%" />
+<col style="width: 16%" />
+<col style="width: 14%" />
 </colgroup>
-<thead valign="bottom">
-<tr class="row-odd"><th class="head">enctype</th>
-<th class="head">weak?</th>
-<th class="head">krb5</th>
-<th class="head">Windows</th>
+<thead>
+<tr class="row-odd"><th class="head"><p>enctype</p></th>
+<th class="head"><p>weak?</p></th>
+<th class="head"><p>krb5</p></th>
+<th class="head"><p>Windows</p></th>
 </tr>
 </thead>
-<tbody valign="top">
-<tr class="row-even"><td>des-cbc-crc</td>
-<td>weak</td>
-<td>&lt;1.18</td>
-<td>&gt;=2000</td>
-</tr>
-<tr class="row-odd"><td>des-cbc-md4</td>
-<td>weak</td>
-<td>&lt;1.18</td>
-<td>?</td>
-</tr>
-<tr class="row-even"><td>des-cbc-md5</td>
-<td>weak</td>
-<td>&lt;1.18</td>
-<td>&gt;=2000</td>
-</tr>
-<tr class="row-odd"><td>des3-cbc-sha1</td>
-<td>deprecated</td>
-<td>&gt;=1.1</td>
-<td>none</td>
-</tr>
-<tr class="row-even"><td>arcfour-hmac</td>
-<td>deprecated</td>
-<td>&gt;=1.3</td>
-<td>&gt;=2000</td>
-</tr>
-<tr class="row-odd"><td>arcfour-hmac-exp</td>
-<td>weak</td>
-<td>&gt;=1.3</td>
-<td>&gt;=2000</td>
-</tr>
-<tr class="row-even"><td>aes128-cts-hmac-sha1-96</td>
-<td>&#160;</td>
-<td>&gt;=1.3</td>
-<td>&gt;=Vista</td>
-</tr>
-<tr class="row-odd"><td>aes256-cts-hmac-sha1-96</td>
-<td>&#160;</td>
-<td>&gt;=1.3</td>
-<td>&gt;=Vista</td>
-</tr>
-<tr class="row-even"><td>aes128-cts-hmac-sha256-128</td>
-<td>&#160;</td>
-<td>&gt;=1.15</td>
-<td>none</td>
-</tr>
-<tr class="row-odd"><td>aes256-cts-hmac-sha384-192</td>
-<td>&#160;</td>
-<td>&gt;=1.15</td>
-<td>none</td>
-</tr>
-<tr class="row-even"><td>camellia128-cts-cmac</td>
-<td>&#160;</td>
-<td>&gt;=1.9</td>
-<td>none</td>
-</tr>
-<tr class="row-odd"><td>camellia256-cts-cmac</td>
-<td>&#160;</td>
-<td>&gt;=1.9</td>
-<td>none</td>
+<tbody>
+<tr class="row-even"><td><p>des-cbc-crc</p></td>
+<td><p>weak</p></td>
+<td><p>&lt;1.18</p></td>
+<td><p>&gt;=2000</p></td>
+</tr>
+<tr class="row-odd"><td><p>des-cbc-md4</p></td>
+<td><p>weak</p></td>
+<td><p>&lt;1.18</p></td>
+<td><p>?</p></td>
+</tr>
+<tr class="row-even"><td><p>des-cbc-md5</p></td>
+<td><p>weak</p></td>
+<td><p>&lt;1.18</p></td>
+<td><p>&gt;=2000</p></td>
+</tr>
+<tr class="row-odd"><td><p>des3-cbc-sha1</p></td>
+<td><p>deprecated</p></td>
+<td><p>&gt;=1.1</p></td>
+<td><p>none</p></td>
+</tr>
+<tr class="row-even"><td><p>arcfour-hmac</p></td>
+<td><p>deprecated</p></td>
+<td><p>&gt;=1.3</p></td>
+<td><p>&gt;=2000</p></td>
+</tr>
+<tr class="row-odd"><td><p>arcfour-hmac-exp</p></td>
+<td><p>weak</p></td>
+<td><p>&gt;=1.3</p></td>
+<td><p>&gt;=2000</p></td>
+</tr>
+<tr class="row-even"><td><p>aes128-cts-hmac-sha1-96</p></td>
+<td></td>
+<td><p>&gt;=1.3</p></td>
+<td><p>&gt;=Vista</p></td>
+</tr>
+<tr class="row-odd"><td><p>aes256-cts-hmac-sha1-96</p></td>
+<td></td>
+<td><p>&gt;=1.3</p></td>
+<td><p>&gt;=Vista</p></td>
+</tr>
+<tr class="row-even"><td><p>aes128-cts-hmac-sha256-128</p></td>
+<td></td>
+<td><p>&gt;=1.15</p></td>
+<td><p>none</p></td>
+</tr>
+<tr class="row-odd"><td><p>aes256-cts-hmac-sha384-192</p></td>
+<td></td>
+<td><p>&gt;=1.15</p></td>
+<td><p>none</p></td>
+</tr>
+<tr class="row-even"><td><p>camellia128-cts-cmac</p></td>
+<td></td>
+<td><p>&gt;=1.9</p></td>
+<td><p>none</p></td>
+</tr>
+<tr class="row-odd"><td><p>camellia256-cts-cmac</p></td>
+<td></td>
+<td><p>&gt;=1.9</p></td>
+<td><p>none</p></td>
 </tr>
 </tbody>
 </table>
@@ -258,13 +249,13 @@ passwords</dd>
 Windows releases Windows 7 and later disable single-DES enctypes by
 default.</p>
 <p>krb5 releases 1.17 and later flag deprecated encryption types
-(including <code class="docutils literal"><span class="pre">des3-cbc-sha1</span></code> and <code class="docutils literal"><span class="pre">arcfour-hmac</span></code>) in KDC logs and
+(including <code class="docutils literal notranslate"><span class="pre">des3-cbc-sha1</span></code> and <code class="docutils literal notranslate"><span class="pre">arcfour-hmac</span></code>) in KDC logs and
 kadmin output.  krb5 release 1.19 issues a warning during initial
-authentication if <code class="docutils literal"><span class="pre">des3-cbc-sha1</span></code> is used.  Future releases will
-disable <code class="docutils literal"><span class="pre">des3-cbc-sha1</span></code> by default and eventually remove support for
+authentication if <code class="docutils literal notranslate"><span class="pre">des3-cbc-sha1</span></code> is used.  Future releases will
+disable <code class="docutils literal notranslate"><span class="pre">des3-cbc-sha1</span></code> by default and eventually remove support for
 it.</p>
-</div>
-<div class="section" id="migrating-away-from-older-encryption-types">
+</section>
+<section id="migrating-away-from-older-encryption-types">
 <h2>Migrating away from older encryption types<a class="headerlink" href="#migrating-away-from-older-encryption-types" title="Permalink to this headline">¶</a></h2>
 <p>Administrator intervention may be required to migrate a realm away
 from legacy encryption types, especially if the realm was created
@@ -275,17 +266,17 @@ legacy encryption types.</p>
 the KDC, make sure that it does not include weak or deprecated
 encryption types.  This will ensure that newly created keys do not use
 those encryption types by default.</p>
-<p>Check the <code class="docutils literal"><span class="pre">krbtgt/REALM</span></code> principal using the <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>
+<p>Check the <code class="docutils literal notranslate"><span class="pre">krbtgt/REALM</span></code> principal using the <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>
 <strong>getprinc</strong> command.  If it lists a weak or deprecated encryption
 type as the first key, it must be migrated using the procedure in
 <a class="reference internal" href="database.html#changing-krbtgt-key"><span class="std std-ref">Changing the krbtgt key</span></a>.</p>
-<p>Check the <code class="docutils literal"><span class="pre">kadmin/history</span></code> principal, which should have only one key
+<p>Check the <code class="docutils literal notranslate"><span class="pre">kadmin/history</span></code> principal, which should have only one key
 entry.  If it uses a weak or deprecated encryption type, it should be
 upgraded following the notes in <a class="reference internal" href="database.html#updating-history-key"><span class="std std-ref">Updating the history key</span></a>.</p>
 <p>Check the other kadmin principals: kadmin/changepw, kadmin/admin, and
 any kadmin/hostname principals that may exist.  These principals can
 be upgraded with <strong>change_password -randkey</strong> in kadmin.</p>
-<p>Check the <code class="docutils literal"><span class="pre">K/M</span></code> entry.  If it uses a weak or deprecated encryption
+<p>Check the <code class="docutils literal notranslate"><span class="pre">K/M</span></code> entry.  If it uses a weak or deprecated encryption
 type, it should be upgraded following the procedure in
 <a class="reference internal" href="database.html#updating-master-key"><span class="std std-ref">Updating the master key</span></a>.</p>
 <p>User and service principals using legacy encryption types can be
@@ -301,18 +292,20 @@ expiration date using the <a class="refe
 <p>If a legacy encryption type has not yet been disabled by default in
 the version of krb5 running on the KDC, it can be disabled
 administratively with the <strong>permitted_enctypes</strong> variable.  For
-example, setting <strong>permitted_enctypes</strong> to <code class="docutils literal"><span class="pre">DEFAULT</span> <span class="pre">-des3</span> <span class="pre">-rc4</span></code> will
+example, setting <strong>permitted_enctypes</strong> to <code class="docutils literal notranslate"><span class="pre">DEFAULT</span> <span class="pre">-des3</span> <span class="pre">-rc4</span></code> will
 cause any database keys of the triple-DES and RC4 encryption types to
 be ignored.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Encryption types</a><ul>
@@ -377,6 +370,7 @@ be ignored.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -384,8 +378,8 @@ be ignored.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/env_variables.html 1.21.3-1/doc/html/admin/env_variables.html
--- 1.21.2-1/doc/html/admin/env_variables.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/env_variables.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Environment variables &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Troubleshooting" href="troubleshoot.html" />
     <link rel="prev" title="MIT Kerberos defaults" href="../mitK5defaults.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,17 +52,19 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="environment-variables">
+  <section id="environment-variables">
 <h1>Environment variables<a class="headerlink" href="#environment-variables" title="Permalink to this headline">¶</a></h1>
 <p>This content has moved to <a class="reference internal" href="../user/user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a>.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Environment variables</a></li>
@@ -128,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -135,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/host_config.html 1.21.3-1/doc/html/admin/host_config.html
--- 1.21.2-1/doc/html/admin/host_config.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/host_config.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Host configuration &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Backups of secure hosts" href="backup_host.html" />
     <link rel="prev" title="Application servers" href="appl_servers.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="host-configuration">
+  <section id="host-configuration">
 <h1>Host configuration<a class="headerlink" href="#host-configuration" title="Permalink to this headline">¶</a></h1>
 <p>All hosts running Kerberos software, whether they are clients,
 application servers, or KDCs, can be configured using
 <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.  Here we describe some of the behavior changes
 you might want to make.</p>
-<div class="section" id="default-realm">
+<section id="default-realm">
 <h2>Default realm<a class="headerlink" href="#default-realm" title="Permalink to this headline">¶</a></h2>
 <p>In the <a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a> section, the <strong>default_realm</strong> realm
 relation sets the default Kerberos realm.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
     <span class="n">default_realm</span> <span class="o">=</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 </pre></div>
 </div>
 <p>The default realm affects Kerberos behavior in the following ways:</p>
 <ul class="simple">
-<li>When a principal name is parsed from text, the default realm is used
-if no <code class="docutils literal"><span class="pre">&#64;REALM</span></code> component is specified.</li>
-<li>The default realm affects login authorization as described below.</li>
-<li>For programs which operate on a Kerberos database, the default realm
+<li><p>When a principal name is parsed from text, the default realm is used
+if no <code class="docutils literal notranslate"><span class="pre">&#64;REALM</span></code> component is specified.</p></li>
+<li><p>The default realm affects login authorization as described below.</p></li>
+<li><p>For programs which operate on a Kerberos database, the default realm
 is used to determine which database to operate on, unless the <strong>-r</strong>
-parameter is given to specify a realm.</li>
-<li>A server program may use the default realm when looking up its key
+parameter is given to specify a realm.</p></li>
+<li><p>A server program may use the default realm when looking up its key
 in a <a class="reference internal" href="install_appl_srv.html#keytab-file"><span class="std std-ref">keytab file</span></a>, if its realm is not
 determined by <a class="reference internal" href="conf_files/krb5_conf.html#domain-realm"><span class="std std-ref">[domain_realm]</span></a> configuration or by the server
-program itself.</li>
-<li>If <a class="reference internal" href="../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a> is passed the <strong>-n</strong> flag, it requests anonymous
-tickets from the default realm.</li>
+program itself.</p></li>
+<li><p>If <a class="reference internal" href="../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a> is passed the <strong>-n</strong> flag, it requests anonymous
+tickets from the default realm.</p></li>
 </ul>
 <p>In some situations, these uses of the default realm might conflict.
 For example, it might be desirable for principal name parsing to use
@@ -96,8 +87,8 @@ one realm by default, but for login auth
 realm.  In this situation, the first realm can be configured as the
 default realm, and <strong>auth_to_local</strong> relations can be used as
 described below to use the second realm for login authorization.</p>
-</div>
-<div class="section" id="login-authorization">
+</section>
+<section id="login-authorization">
 <span id="id1"></span><h2>Login authorization<a class="headerlink" href="#login-authorization" title="Permalink to this headline">¶</a></h2>
 <p>If a host runs a Kerberos-enabled login service such as OpenSSH with
 GSSAPIAuthentication enabled, login authorization rules determine
@@ -106,28 +97,28 @@ whether a Kerberos principal is allowed
 its realm matches the default realm and its name matches the account
 name.  (For historical reasons, access is also granted by default if
 the name has two components and the second component matches the
-default realm; for instance, <code class="docutils literal"><span class="pre">alice/ATHENA.MIT.EDU&#64;ATHENA.MIT.EDU</span></code>
-is granted access to the <code class="docutils literal"><span class="pre">alice</span></code> account if <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> is
+default realm; for instance, <code class="docutils literal notranslate"><span class="pre">alice/ATHENA.MIT.EDU&#64;ATHENA.MIT.EDU</span></code>
+is granted access to the <code class="docutils literal notranslate"><span class="pre">alice</span></code> account if <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> is
 the default realm.)</p>
 <p>The simplest way to control local access is using <a class="reference internal" href="../user/user_config/k5login.html#k5login-5"><span class="std std-ref">.k5login</span></a>
-files.  To use these, place a <code class="docutils literal"><span class="pre">.k5login</span></code> file in the home directory
+files.  To use these, place a <code class="docutils literal notranslate"><span class="pre">.k5login</span></code> file in the home directory
 of each account listing the principal names which should have login
-access to that account.  If it is not desirable to use <code class="docutils literal"><span class="pre">.k5login</span></code>
+access to that account.  If it is not desirable to use <code class="docutils literal notranslate"><span class="pre">.k5login</span></code>
 files located in account home directories, the <strong>k5login_directory</strong>
 relation in the <a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a> section can specify a directory
 containing one file per account uname.</p>
-<p>By default, if a <code class="docutils literal"><span class="pre">.k5login</span></code> file is present, it controls
+<p>By default, if a <code class="docutils literal notranslate"><span class="pre">.k5login</span></code> file is present, it controls
 authorization both positively and negatively–any principal name
 contained in the file is granted access and any other principal name
-is denied access, even if it would have had access if the <code class="docutils literal"><span class="pre">.k5login</span></code>
+is denied access, even if it would have had access if the <code class="docutils literal notranslate"><span class="pre">.k5login</span></code>
 file didn’t exist.  The <strong>k5login_authoritative</strong> relation in the
-<a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a> section can be set to false to make <code class="docutils literal"><span class="pre">.k5login</span></code>
+<a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a> section can be set to false to make <code class="docutils literal notranslate"><span class="pre">.k5login</span></code>
 files provide positive authorization only.</p>
 <p>The <strong>auth_to_local</strong> relation in the <a class="reference internal" href="conf_files/krb5_conf.html#realms"><span class="std std-ref">[realms]</span></a> section for the
 default realm can specify pattern-matching rules to control login
 authorization.  For example, the following configuration allows access
 to principals from a different realm than the default realm:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>[realms]
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>[realms]
     DEFAULT.REALM = {
         # Allow access to principals from OTHER.REALM.
         #
@@ -153,7 +144,7 @@ names to local accounts.  The key used i
 principal name without realm, so it is only safe to use in a Kerberos
 environment with a single realm or a tightly controlled set of realms.
 An example use of <strong>auth_to_local_names</strong> might be:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">realms</span><span class="p">]</span>
     <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">auth_to_local_names</span> <span class="o">=</span> <span class="p">{</span>
             <span class="c1"># Careful, these match principals in any realm!</span>
@@ -165,8 +156,8 @@ An example use of <strong>auth_to_local_
 </div>
 <p>Local authorization behavior can also be modified using plugin
 modules; see <a class="reference internal" href="../plugindev/hostrealm.html#hostrealm-plugin"><span class="std std-ref">Host-to-realm interface (hostrealm)</span></a> for details.</p>
-</div>
-<div class="section" id="plugin-module-configuration">
+</section>
+<section id="plugin-module-configuration">
 <span id="plugin-config"></span><h2>Plugin module configuration<a class="headerlink" href="#plugin-module-configuration" title="Permalink to this headline">¶</a></h2>
 <p>Many aspects of Kerberos behavior, such as client preauthentication
 and KDC service location, can be modified through the use of plugin
@@ -174,7 +165,7 @@ modules.  For most of these behaviors, y
 section of krb5.conf to register third-party modules, and to switch
 off registered or built-in modules.</p>
 <p>A plugin module takes the form of a Unix shared object
-(<code class="docutils literal"><span class="pre">modname.so</span></code>) or Windows DLL (<code class="docutils literal"><span class="pre">modname.dll</span></code>).  If you have
+(<code class="docutils literal notranslate"><span class="pre">modname.so</span></code>) or Windows DLL (<code class="docutils literal notranslate"><span class="pre">modname.dll</span></code>).  If you have
 installed a third-party plugin module and want to register it, you do
 so using the <strong>module</strong> relation in the appropriate subsection of the
 [plugins] section.  The value for <strong>module</strong> must give the module name
@@ -182,9 +173,9 @@ and the path to the module, separated by
 will often be the same as the shared object’s name, but in unusual
 cases (such as a shared object which implements multiple modules for
 the same interface) it might not be.  For example, to register a
-client preauthentication module named <code class="docutils literal"><span class="pre">mypreauth</span></code> installed at
-<code class="docutils literal"><span class="pre">/path/to/mypreauth.so</span></code>, you could write:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">plugins</span><span class="p">]</span>
+client preauthentication module named <code class="docutils literal notranslate"><span class="pre">mypreauth</span></code> installed at
+<code class="docutils literal notranslate"><span class="pre">/path/to/mypreauth.so</span></code>, you could write:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">plugins</span><span class="p">]</span>
     <span class="n">clpreauth</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">module</span> <span class="o">=</span> <span class="n">mypreauth</span><span class="p">:</span><span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">mypreauth</span><span class="o">.</span><span class="n">so</span>
     <span class="p">}</span>
@@ -196,7 +187,7 @@ you have registered) using the <strong>d
 appropriate subsection of the [plugins] section.  For example, to
 disable the use of .k5identity files to select credential caches, you
 could write:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">plugins</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">plugins</span><span class="p">]</span>
     <span class="n">ccselect</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">disable</span> <span class="o">=</span> <span class="n">k5identity</span>
     <span class="p">}</span>
@@ -208,7 +199,7 @@ directive multiple times, giving one mod
 enabled for that behavior using the <strong>enable_only</strong> directive.  For
 example, to make <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> check password quality using only a
 module you have registered, and no other mechanism, you could write:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">plugins</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">plugins</span><span class="p">]</span>
     <span class="n">pwqual</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">module</span> <span class="o">=</span> <span class="n">mymodule</span><span class="p">:</span><span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">mymodule</span><span class="o">.</span><span class="n">so</span>
         <span class="n">enable_only</span> <span class="o">=</span> <span class="n">mymodule</span>
@@ -220,22 +211,22 @@ module you have registered, and no other
 each time.</p>
 <p>Some Kerberos interfaces use different mechanisms to register plugin
 modules.</p>
-<div class="section" id="kdc-location-modules">
+<section id="kdc-location-modules">
 <h3>KDC location modules<a class="headerlink" href="#kdc-location-modules" title="Permalink to this headline">¶</a></h3>
 <p>For historical reasons, modules to control how KDC servers are located
 are registered simply by placing the shared object or DLL into the
 “libkrb5” subdirectory of the krb5 plugin directory, which defaults to
-<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LIBDIR</span></a><code class="docutils literal"><span class="pre">/krb5/plugins</span></code>.  For example, Samba’s winbind krb5
+<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LIBDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5/plugins</span></code>.  For example, Samba’s winbind krb5
 locator plugin would be registered by placing its shared object in
-<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LIBDIR</span></a><code class="docutils literal"><span class="pre">/krb5/plugins/libkrb5/winbind_krb5_locator.so</span></code>.</p>
-</div>
-<div class="section" id="gssapi-mechanism-modules">
+<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LIBDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5/plugins/libkrb5/winbind_krb5_locator.so</span></code>.</p>
+</section>
+<section id="gssapi-mechanism-modules">
 <span id="gssapi-plugin-config"></span><h3>GSSAPI mechanism modules<a class="headerlink" href="#gssapi-mechanism-modules" title="Permalink to this headline">¶</a></h3>
 <p>GSSAPI mechanism modules are registered using the file
-<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal"><span class="pre">/gss/mech</span></code> or configuration files in the
-<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal"><span class="pre">/gss/mech.d</span></code> directory with a <code class="docutils literal"><span class="pre">.conf</span></code>
+<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal notranslate"><span class="pre">/gss/mech</span></code> or configuration files in the
+<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal notranslate"><span class="pre">/gss/mech.d</span></code> directory with a <code class="docutils literal notranslate"><span class="pre">.conf</span></code>
 suffix.  Each line in these files has the form:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">name</span>  <span class="n">oid</span>  <span class="n">pathname</span>  <span class="p">[</span><span class="n">options</span><span class="p">]</span>  <span class="o">&lt;</span><span class="nb">type</span><span class="o">&gt;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">name</span>  <span class="n">oid</span>  <span class="n">pathname</span>  <span class="p">[</span><span class="n">options</span><span class="p">]</span>  <span class="o">&lt;</span><span class="nb">type</span><span class="o">&gt;</span>
 </pre></div>
 </div>
 <p>Only the name, oid, and pathname are required.  <em>name</em> is the
@@ -249,28 +240,30 @@ type is “interposer”, for a module d
 other mechanisms.</p>
 <p>If the environment variable <strong>GSS_MECH_CONFIG</strong> is set, its value is
 used as the sole mechanism configuration filename.</p>
-</div>
-<div class="section" id="configuration-profile-modules">
+</section>
+<section id="configuration-profile-modules">
 <span id="profile-plugin-config"></span><h3>Configuration profile modules<a class="headerlink" href="#configuration-profile-modules" title="Permalink to this headline">¶</a></h3>
 <p>A configuration profile module replaces the information source for
 <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> itself.  To use a profile module, begin krb5.conf
 with the line:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">module</span> <span class="n">PATHNAME</span><span class="p">:</span><span class="n">STRING</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">module</span> <span class="n">PATHNAME</span><span class="p">:</span><span class="n">STRING</span>
 </pre></div>
 </div>
 <p>where <em>PATHNAME</em> is a path to the module shared object or DLL, and
 <em>STRING</em> is a string to provide to the module.  The module will then
 take over, and the rest of krb5.conf will be ignored.</p>
-</div>
-</div>
-</div>
+</section>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Host configuration</a><ul>
@@ -337,6 +330,7 @@ take over, and the rest of krb5.conf wil
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -344,8 +338,8 @@ take over, and the rest of krb5.conf wil
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/https.html 1.21.3-1/doc/html/admin/https.html
--- 1.21.2-1/doc/html/admin/https.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/https.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>HTTPS proxy configuration &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Authentication indicators" href="auth_indicator.html" />
     <link rel="prev" title="Encryption types" href="enctypes.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="https-proxy-configuration">
+  <section id="https-proxy-configuration">
 <span id="https"></span><h1>HTTPS proxy configuration<a class="headerlink" href="#https-proxy-configuration" title="Permalink to this headline">¶</a></h1>
 <p>In addition to being able to use UDP or TCP to communicate directly
 with a KDC as is outlined in RFC4120, and with kpasswd services in a
@@ -78,14 +69,14 @@ and servers.</p>
 <p>An HTTPS proxy server is provided as a feature in some versions of
 Microsoft Windows Server, and a WSGI implementation named <cite>kdcproxy</cite>
 is available in the python package index.</p>
-<div class="section" id="configuring-the-clients">
+<section id="configuring-the-clients">
 <h2>Configuring the clients<a class="headerlink" href="#configuring-the-clients" title="Permalink to this headline">¶</a></h2>
 <p>To use an HTTPS proxy, a client host must trust the CA which issued
 that proxy’s SSL certificate.  If that CA’s certificate is not in the
 system-wide default set of trusted certificates, configure the
 following relation in the client host’s <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> file in
 the appropriate <a class="reference internal" href="conf_files/krb5_conf.html#realms"><span class="std std-ref">[realms]</span></a> subsection:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">http_anchors</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">cacert</span><span class="o">.</span><span class="n">pem</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">http_anchors</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">cacert</span><span class="o">.</span><span class="n">pem</span>
 </pre></div>
 </div>
 <p>Adjust the pathname to match the path of the file which contains a
@@ -94,21 +85,23 @@ more fully in <a class="reference intern
 <p>Configure the client to access the KDC and kpasswd service by
 specifying their locations in its <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> file in the form
 of HTTPS URLs for the proxy server:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdc</span> <span class="o">=</span> <span class="n">https</span><span class="p">:</span><span class="o">//</span><span class="n">server</span><span class="o">.</span><span class="n">fqdn</span><span class="o">/</span><span class="n">KdcProxy</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdc</span> <span class="o">=</span> <span class="n">https</span><span class="p">:</span><span class="o">//</span><span class="n">server</span><span class="o">.</span><span class="n">fqdn</span><span class="o">/</span><span class="n">KdcProxy</span>
 <span class="n">kpasswd_server</span> <span class="o">=</span> <span class="n">https</span><span class="p">:</span><span class="o">//</span><span class="n">server</span><span class="o">.</span><span class="n">fqdn</span><span class="o">/</span><span class="n">KdcProxy</span>
 </pre></div>
 </div>
 <p>If the proxy and client are properly configured, client commands such
-as <code class="docutils literal"><span class="pre">kinit</span></code>, <code class="docutils literal"><span class="pre">kvno</span></code>, and <code class="docutils literal"><span class="pre">kpasswd</span></code> should all function normally.</p>
-</div>
-</div>
+as <code class="docutils literal notranslate"><span class="pre">kinit</span></code>, <code class="docutils literal notranslate"><span class="pre">kvno</span></code>, and <code class="docutils literal notranslate"><span class="pre">kpasswd</span></code> should all function normally.</p>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">HTTPS proxy configuration</a><ul>
@@ -168,6 +161,7 @@ as <code class="docutils literal"><span
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -175,8 +169,8 @@ as <code class="docutils literal"><span
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/index.html 1.21.3-1/doc/html/admin/index.html
--- 1.21.2-1/doc/html/admin/index.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/index.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>For administrators &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Installation guide" href="install.html" />
     <link rel="prev" title="sclient" href="../user/user_commands/sclient.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="for-administrators">
+  <section id="for-administrators">
 <h1>For administrators<a class="headerlink" href="#for-administrators" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
@@ -95,14 +86,16 @@
 <li class="toctree-l1"><a class="reference internal" href="various_envs.html">Various links</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">For administrators</a><ul>
@@ -161,6 +154,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -168,8 +162,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/install.html 1.21.3-1/doc/html/admin/install.html
--- 1.21.2-1/doc/html/admin/install.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/install.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Installation guide &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Installing KDCs" href="install_kdc.html" />
     <link rel="prev" title="For administrators" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="installation-guide">
+  <section id="installation-guide">
 <h1>Installation guide<a class="headerlink" href="#installation-guide" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="contents">
+<section id="contents">
 <h2>Contents<a class="headerlink" href="#contents" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -91,22 +82,24 @@
 </li>
 </ul>
 </div>
-</div>
-<div class="section" id="additional-references">
+</section>
+<section id="additional-references">
 <h2>Additional references<a class="headerlink" href="#additional-references" title="Permalink to this headline">¶</a></h2>
 <ol class="arabic simple">
-<li>Debian: <a class="reference external" href="http://techpubs.spinlocksolutions.com/dklar/kerberos.html">Setting up MIT Kerberos 5</a></li>
-<li>Solaris: <a class="reference external" href="https://docs.oracle.com/cd/E19253-01/816-4557/6maosrjv2/index.html">Configuring the Kerberos Service</a></li>
+<li><p>Debian: <a class="reference external" href="http://techpubs.spinlocksolutions.com/dklar/kerberos.html">Setting up MIT Kerberos 5</a></p></li>
+<li><p>Solaris: <a class="reference external" href="https://docs.oracle.com/cd/E19253-01/816-4557/6maosrjv2/index.html">Configuring the Kerberos Service</a></p></li>
 </ol>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Installation guide</a><ul>
@@ -172,6 +165,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -179,8 +173,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/install_appl_srv.html 1.21.3-1/doc/html/admin/install_appl_srv.html
--- 1.21.2-1/doc/html/admin/install_appl_srv.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/install_appl_srv.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>UNIX Application Servers &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Configuration Files" href="conf_files/index.html" />
     <link rel="prev" title="Installing and configuring UNIX client machines" href="install_clients.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="unix-application-servers">
+  <section id="unix-application-servers">
 <h1>UNIX Application Servers<a class="headerlink" href="#unix-application-servers" title="Permalink to this headline">¶</a></h1>
 <p>An application server is a host that provides one or more services
 over the network.  Application servers can be “secure” or “insecure.”
@@ -75,7 +66,7 @@ security that Kerberos authentication af
 some clients that do not have Kerberos V5 installed, you can run an
 insecure server, and still take advantage of Kerberos V5’s single
 sign-on capability.</p>
-<div class="section" id="the-keytab-file">
+<section id="the-keytab-file">
 <span id="keytab-file"></span><h2>The keytab file<a class="headerlink" href="#the-keytab-file" title="Permalink to this headline">¶</a></h2>
 <p>All Kerberos server machines need a keytab file to authenticate to the
 KDC.  By default on UNIX-like systems this file is named <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a>.
@@ -93,10 +84,10 @@ the database is described fully in <a cl
 generated by running <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> and issuing the <a class="reference internal" href="admin_commands/kadmin_local.html#ktadd"><span class="std std-ref">ktadd</span></a>
 command.</p>
 <p>For example, to generate a keytab file to allow the host
-<code class="docutils literal"><span class="pre">trillium.mit.edu</span></code> to authenticate for the services host, ftp, and
-pop, the administrator <code class="docutils literal"><span class="pre">joeadmin</span></code> would issue the command (on
-<code class="docutils literal"><span class="pre">trillium.mit.edu</span></code>):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">trillium</span><span class="o">%</span> <span class="n">kadmin</span>
+<code class="docutils literal notranslate"><span class="pre">trillium.mit.edu</span></code> to authenticate for the services host, ftp, and
+pop, the administrator <code class="docutils literal notranslate"><span class="pre">joeadmin</span></code> would issue the command (on
+<code class="docutils literal notranslate"><span class="pre">trillium.mit.edu</span></code>):</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">trillium</span><span class="o">%</span> <span class="n">kadmin</span>
 <span class="n">Authenticating</span> <span class="k">as</span> <span class="n">principal</span> <span class="n">root</span><span class="o">/</span><span class="n">admin</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="k">with</span> <span class="n">password</span><span class="o">.</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">root</span><span class="o">/</span><span class="n">admin</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="p">:</span>
 <span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="n">host</span><span class="o">/</span><span class="n">trillium</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="n">ftp</span><span class="o">/</span><span class="n">trillium</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="n">pop</span><span class="o">/</span><span class="n">trillium</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
@@ -108,10 +99,10 @@ pop, the administrator <code class="docu
 </pre></div>
 </div>
 <p>If you generate the keytab file on another host, you need to get a
-copy of the keytab file onto the destination host (<code class="docutils literal"><span class="pre">trillium</span></code>, in
+copy of the keytab file onto the destination host (<code class="docutils literal notranslate"><span class="pre">trillium</span></code>, in
 the above example) without sending it unencrypted over the network.</p>
-</div>
-<div class="section" id="some-advice-about-secure-hosts">
+</section>
+<section id="some-advice-about-secure-hosts">
 <h2>Some advice about secure hosts<a class="headerlink" href="#some-advice-about-secure-hosts" title="Permalink to this headline">¶</a></h2>
 <p>Kerberos V5 can protect your host from certain types of break-ins, but
 it is possible to install Kerberos V5 and still leave your host
@@ -126,15 +117,17 @@ be physically secured.</p>
 <p>The keytab file and any programs run by root, including the Kerberos
 V5 binaries, should be kept on local disk.  The keytab file should be
 readable only by root.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">UNIX Application Servers</a><ul>
@@ -200,6 +193,7 @@ readable only by root.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -207,8 +201,8 @@ readable only by root.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/install_clients.html 1.21.3-1/doc/html/admin/install_clients.html
--- 1.21.2-1/doc/html/admin/install_clients.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/install_clients.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Installing and configuring UNIX client machines &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="UNIX Application Servers" href="install_appl_srv.html" />
     <link rel="prev" title="Installing KDCs" href="install_kdc.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="installing-and-configuring-unix-client-machines">
+  <section id="installing-and-configuring-unix-client-machines">
 <h1>Installing and configuring UNIX client machines<a class="headerlink" href="#installing-and-configuring-unix-client-machines" title="Permalink to this headline">¶</a></h1>
 <p>The Kerberized client programs include <a class="reference internal" href="../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>,
 <a class="reference internal" href="../user/user_commands/klist.html#klist-1"><span class="std std-ref">klist</span></a>, <a class="reference internal" href="../user/user_commands/kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a>, and <a class="reference internal" href="../user/user_commands/kpasswd.html#kpasswd-1"><span class="std std-ref">kpasswd</span></a>.  All of
@@ -76,7 +67,7 @@ programs kinit, klist, and kdestroy.  If
 password changing integrated into the native password program (again,
 typically through PAM), you will need to educate users to use kpasswd
 in place of its non-Kerberos counterparts passwd.</p>
-<div class="section" id="client-machine-configuration-files">
+<section id="client-machine-configuration-files">
 <h2>Client machine configuration files<a class="headerlink" href="#client-machine-configuration-files" title="Permalink to this headline">¶</a></h2>
 <p>Each machine running Kerberos should have a <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> file.
 At a minimum, it should define a <strong>default_realm</strong> setting in
@@ -94,7 +85,7 @@ true for historical reasons only.</p>
 <p>If you anticipate users frequently logging into remote hosts
 (e.g., using ssh) using forwardable credentials, consider setting
 <strong>forwardable</strong> to true so that users obtain forwardable tickets by
-default.  Otherwise users will need to use <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-f</span></code> to get
+default.  Otherwise users will need to use <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-f</span></code> to get
 forwardable tickets.</p>
 <p>Consider adjusting the <strong>ticket_lifetime</strong> setting to match the likely
 length of sessions for your users.  For instance, if most of your
@@ -109,15 +100,17 @@ which hosts belong to which realms.  How
 are running release 1.7 or later, it is also reasonable to leave this
 section out on client machines and just define it in the KDC’s
 krb5.conf.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Installing and configuring UNIX client machines</a><ul>
@@ -182,6 +175,7 @@ krb5.conf.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -189,8 +183,8 @@ krb5.conf.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/install_kdc.html 1.21.3-1/doc/html/admin/install_kdc.html
--- 1.21.2-1/doc/html/admin/install_kdc.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/install_kdc.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Installing KDCs &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Installing and configuring UNIX client machines" href="install_clients.html" />
     <link rel="prev" title="Installation guide" href="install.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="installing-kdcs">
+  <section id="installing-kdcs">
 <h1>Installing KDCs<a class="headerlink" href="#installing-kdcs" title="Permalink to this headline">¶</a></h1>
 <p>When setting up Kerberos in a production environment, it is best to
 have multiple replica KDCs alongside with a primary KDC to ensure the
@@ -78,40 +69,40 @@ KDC with one of the replicas if necessar
 <a class="reference internal" href="#switch-primary-replica"><span class="std std-ref">Switching primary and replica KDCs</span></a>).  This installation procedure is based
 on that recommendation.</p>
 <div class="admonition warning">
-<p class="first admonition-title">Warning</p>
-<ul class="last simple">
-<li>The Kerberos system relies on the availability of correct time
+<p class="admonition-title">Warning</p>
+<ul class="simple">
+<li><p>The Kerberos system relies on the availability of correct time
 information.  Ensure that the primary and all replica KDCs have
-properly synchronized clocks.</li>
-<li>It is best to install and run KDCs on secured and dedicated
+properly synchronized clocks.</p></li>
+<li><p>It is best to install and run KDCs on secured and dedicated
 hardware with limited access.  If your KDC is also a file
 server, FTP server, Web server, or even just a client machine,
 someone who obtained root access through a security hole in any
 of those areas could potentially gain access to the Kerberos
-database.</li>
+database.</p></li>
 </ul>
 </div>
-<div class="section" id="install-and-configure-the-primary-kdc">
+<section id="install-and-configure-the-primary-kdc">
 <h2>Install and configure the primary KDC<a class="headerlink" href="#install-and-configure-the-primary-kdc" title="Permalink to this headline">¶</a></h2>
 <p>Install Kerberos either from the OS-provided packages or from the
 source (See <a class="reference internal" href="../build/doing_build.html#do-build"><span class="std std-ref">Building within a single tree</span></a>).</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
+<p class="admonition-title">Note</p>
 <p>For the purpose of this document we will use the following
 names:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kerberos</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>    <span class="o">-</span> <span class="n">primary</span> <span class="n">KDC</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kerberos</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>    <span class="o">-</span> <span class="n">primary</span> <span class="n">KDC</span>
 <span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>  <span class="o">-</span> <span class="n">replica</span> <span class="n">KDC</span>
 <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>      <span class="o">-</span> <span class="n">realm</span> <span class="n">name</span>
 <span class="o">.</span><span class="n">k5</span><span class="o">.</span><span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>  <span class="o">-</span> <span class="n">stash</span> <span class="n">file</span>
 <span class="n">admin</span><span class="o">/</span><span class="n">admin</span>         <span class="o">-</span> <span class="n">admin</span> <span class="n">principal</span>
 </pre></div>
 </div>
-<p class="last">See <a class="reference internal" href="../mitK5defaults.html#mitk5defaults"><span class="std std-ref">MIT Kerberos defaults</span></a> for the default names and locations
+<p>See <a class="reference internal" href="../mitK5defaults.html#mitk5defaults"><span class="std std-ref">MIT Kerberos defaults</span></a> for the default names and locations
 of the relevant to this topic files.  Adjust the names and
 paths to your system environment.</p>
 </div>
-</div>
-<div class="section" id="edit-kdc-configuration-files">
+</section>
+<section id="edit-kdc-configuration-files">
 <h2>Edit KDC configuration files<a class="headerlink" href="#edit-kdc-configuration-files" title="Permalink to this headline">¶</a></h2>
 <p>Modify the configuration files, <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> and
 <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>, to reflect the correct information (such as
@@ -126,11 +117,11 @@ section will explain those.</p>
 default ones, set <strong>KRB5_CONFIG</strong> and <strong>KRB5_KDC_PROFILE</strong> environment
 variables to point to the krb5.conf and kdc.conf respectively.  For
 example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">export</span> <span class="n">KRB5_CONFIG</span><span class="o">=/</span><span class="n">yourdir</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">conf</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">export</span> <span class="n">KRB5_CONFIG</span><span class="o">=/</span><span class="n">yourdir</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">conf</span>
 <span class="n">export</span> <span class="n">KRB5_KDC_PROFILE</span><span class="o">=/</span><span class="n">yourdir</span><span class="o">/</span><span class="n">kdc</span><span class="o">.</span><span class="n">conf</span>
 </pre></div>
 </div>
-<div class="section" id="krb5-conf">
+<section id="krb5-conf">
 <h3>krb5.conf<a class="headerlink" href="#krb5-conf" title="Permalink to this headline">¶</a></h3>
 <p>If you are not using DNS TXT records (see <a class="reference internal" href="realm_config.html#mapping-hostnames"><span class="std std-ref">Mapping hostnames onto Kerberos realms</span></a>),
 you must specify the <strong>default_realm</strong> in the <a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>
@@ -141,7 +132,7 @@ communicate with the kadmin server in ea
 tag must be set in the
 <a class="reference internal" href="conf_files/krb5_conf.html#realms"><span class="std std-ref">[realms]</span></a> section.</p>
 <p>An example krb5.conf file:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
     <span class="n">default_realm</span> <span class="o">=</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 
 <span class="p">[</span><span class="n">realms</span><span class="p">]</span>
@@ -152,14 +143,14 @@ tag must be set in the
     <span class="p">}</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="kdc-conf">
+</section>
+<section id="kdc-conf">
 <h3>kdc.conf<a class="headerlink" href="#kdc-conf" title="Permalink to this headline">¶</a></h3>
 <p>The kdc.conf file can be used to control the listening ports of the
 KDC and kadmind, as well as realm-specific defaults, the database type
 and location, and logging.</p>
 <p>An example kdc.conf file:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
     <span class="n">kdc_listen</span> <span class="o">=</span> <span class="mi">88</span>
     <span class="n">kdc_tcp_listen</span> <span class="o">=</span> <span class="mi">88</span>
 
@@ -185,23 +176,23 @@ and location, and logging.</p>
     <span class="n">default</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">log</span><span class="o">/</span><span class="n">krb5lib</span><span class="o">.</span><span class="n">log</span>
 </pre></div>
 </div>
-<p>Replace <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> and <code class="docutils literal"><span class="pre">kerberos.mit.edu</span></code> with the name of
+<p>Replace <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> and <code class="docutils literal notranslate"><span class="pre">kerberos.mit.edu</span></code> with the name of
 your Kerberos realm and server respectively.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">You have to have write permission on the target directories
+<p class="admonition-title">Note</p>
+<p>You have to have write permission on the target directories
 (these directories must exist) used by <strong>database_name</strong>,
 <strong>key_stash_file</strong>, and <strong>acl_file</strong>.</p>
 </div>
-</div>
-</div>
-<div class="section" id="create-the-kdc-database">
+</section>
+</section>
+<section id="create-the-kdc-database">
 <span id="create-db"></span><h2>Create the KDC database<a class="headerlink" href="#create-the-kdc-database" title="Permalink to this headline">¶</a></h2>
 <p>You will use the <a class="reference internal" href="admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a> command on the primary KDC to
 create the Kerberos database and the optional <a class="reference internal" href="../basic/stash_file_def.html#stash-definition"><span class="std std-ref">stash file</span></a>.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If you choose not to install a stash file, the KDC will
+<p class="admonition-title">Note</p>
+<p>If you choose not to install a stash file, the KDC will
 prompt you for the master key each time it starts up.  This
 means that the KDC will not be able to start automatically,
 such as after a system reboot.</p>
@@ -220,8 +211,8 @@ substituting the numeral “4” for the
 punctuation mark at the end.)</p>
 <p>The following is an example of how to create a Kerberos database and
 stash file on the primary KDC, using the <a class="reference internal" href="admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a> command.
-Replace <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> with the name of your Kerberos realm:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdb5_util</span> <span class="n">create</span> <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">-</span><span class="n">s</span>
+Replace <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> with the name of your Kerberos realm:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdb5_util</span> <span class="n">create</span> <span class="o">-</span><span class="n">r</span> <span class="n">ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span> <span class="o">-</span><span class="n">s</span>
 
 <span class="n">Initializing</span> <span class="n">database</span> <span class="s1">&#39;/usr/local/var/krb5kdc/principal&#39;</span> <span class="k">for</span> <span class="n">realm</span> <span class="s1">&#39;ATHENA.MIT.EDU&#39;</span><span class="p">,</span>
 <span class="n">master</span> <span class="n">key</span> <span class="n">name</span> <span class="s1">&#39;K/M@ATHENA.MIT.EDU&#39;</span>
@@ -232,30 +223,30 @@ Replace <code class="docutils literal"><
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
-<p>This will create five files in <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code> (or at the locations specified
+<p>This will create five files in <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code> (or at the locations specified
 in <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>):</p>
 <ul class="simple">
-<li>two Kerberos database files, <code class="docutils literal"><span class="pre">principal</span></code>, and <code class="docutils literal"><span class="pre">principal.ok</span></code></li>
-<li>the Kerberos administrative database file, <code class="docutils literal"><span class="pre">principal.kadm5</span></code></li>
-<li>the administrative database lock file, <code class="docutils literal"><span class="pre">principal.kadm5.lock</span></code></li>
-<li>the stash file, in this example <code class="docutils literal"><span class="pre">.k5.ATHENA.MIT.EDU</span></code>.  If you do
+<li><p>two Kerberos database files, <code class="docutils literal notranslate"><span class="pre">principal</span></code>, and <code class="docutils literal notranslate"><span class="pre">principal.ok</span></code></p></li>
+<li><p>the Kerberos administrative database file, <code class="docutils literal notranslate"><span class="pre">principal.kadm5</span></code></p></li>
+<li><p>the administrative database lock file, <code class="docutils literal notranslate"><span class="pre">principal.kadm5.lock</span></code></p></li>
+<li><p>the stash file, in this example <code class="docutils literal notranslate"><span class="pre">.k5.ATHENA.MIT.EDU</span></code>.  If you do
 not want a stash file, run the above command without the <strong>-s</strong>
-option.</li>
+option.</p></li>
 </ul>
 <p>For more information on administrating Kerberos database see
 <a class="reference internal" href="database.html#db-operations"><span class="std std-ref">Operations on the Kerberos database</span></a>.</p>
-</div>
-<div class="section" id="add-administrators-to-the-acl-file">
+</section>
+<section id="add-administrators-to-the-acl-file">
 <span id="admin-acl"></span><h2>Add administrators to the ACL file<a class="headerlink" href="#add-administrators-to-the-acl-file" title="Permalink to this headline">¶</a></h2>
 <p>Next, you need create an Access Control List (ACL) file and put the
 Kerberos principal of at least one of the administrators into it.
 This file is used by the <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon to control which
 principals may view and make privileged modifications to the Kerberos
 database files.  The ACL filename is determined by the <strong>acl_file</strong>
-variable in <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>; the default is <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kadm5.acl</span></code>.</p>
+variable in <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>; the default is <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kadm5.acl</span></code>.</p>
 <p>For more information on Kerberos ACL file see <a class="reference internal" href="conf_files/kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a>.</p>
-</div>
-<div class="section" id="add-administrators-to-the-kerberos-database">
+</section>
+<section id="add-administrators-to-the-kerberos-database">
 <span id="addadmin-kdb"></span><h2>Add administrators to the Kerberos database<a class="headerlink" href="#add-administrators-to-the-kerberos-database" title="Permalink to this headline">¶</a></h2>
 <p>Next you need to add administrative principals (i.e., principals who
 are allowed to administer Kerberos database) to the Kerberos database.
@@ -268,9 +259,9 @@ authentication to an admin server; inste
 write access to the Kerberos database on the local filesystem.</p>
 <p>The administrative principals you create should be the ones you added
 to the ACL file (see <a class="reference internal" href="#admin-acl"><span class="std std-ref">Add administrators to the ACL file</span></a>).</p>
-<p>In the following example, the administrative principal <code class="docutils literal"><span class="pre">admin/admin</span></code>
+<p>In the following example, the administrative principal <code class="docutils literal notranslate"><span class="pre">admin/admin</span></code>
 is created:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kadmin</span><span class="o">.</span><span class="n">local</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kadmin</span><span class="o">.</span><span class="n">local</span>
 
 <span class="n">kadmin</span><span class="o">.</span><span class="n">local</span><span class="p">:</span> <span class="n">addprinc</span> <span class="n">admin</span><span class="o">/</span><span class="n">admin</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 
@@ -282,28 +273,28 @@ is created:</p>
 <span class="n">kadmin</span><span class="o">.</span><span class="n">local</span><span class="p">:</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="start-the-kerberos-daemons-on-the-primary-kdc">
+</section>
+<section id="start-the-kerberos-daemons-on-the-primary-kdc">
 <span id="start-kdc-daemons"></span><h2>Start the Kerberos daemons on the primary KDC<a class="headerlink" href="#start-the-kerberos-daemons-on-the-primary-kdc" title="Permalink to this headline">¶</a></h2>
 <p>At this point, you are ready to start the Kerberos KDC
 (<a class="reference internal" href="admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a>) and administrative daemons on the primary KDC.  To
 do so, type:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">krb5kdc</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">krb5kdc</span>
 <span class="n">shell</span><span class="o">%</span> <span class="n">kadmind</span>
 </pre></div>
 </div>
 <p>Each server daemon will fork and run in the background.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">Assuming you want these daemons to start up automatically at
-boot time, you can add them to the KDC’s <code class="docutils literal"><span class="pre">/etc/rc</span></code> or
-<code class="docutils literal"><span class="pre">/etc/inittab</span></code> file.  You need to have a
+<p class="admonition-title">Note</p>
+<p>Assuming you want these daemons to start up automatically at
+boot time, you can add them to the KDC’s <code class="docutils literal notranslate"><span class="pre">/etc/rc</span></code> or
+<code class="docutils literal notranslate"><span class="pre">/etc/inittab</span></code> file.  You need to have a
 <a class="reference internal" href="../basic/stash_file_def.html#stash-definition"><span class="std std-ref">stash file</span></a> in order to do this.</p>
 </div>
 <p>You can verify that they started properly by checking for their
 startup messages in the logging locations you defined in
 <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> (see <a class="reference internal" href="conf_files/kdc_conf.html#logging"><span class="std std-ref">[logging]</span></a>).  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">tail</span> <span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">log</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">.</span><span class="n">log</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">tail</span> <span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">log</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">.</span><span class="n">log</span>
 <span class="n">Dec</span> <span class="mi">02</span> <span class="mi">12</span><span class="p">:</span><span class="mi">35</span><span class="p">:</span><span class="mi">47</span> <span class="n">beeblebrox</span> <span class="n">krb5kdc</span><span class="p">[</span><span class="mi">3187</span><span class="p">](</span><span class="n">info</span><span class="p">):</span> <span class="n">commencing</span> <span class="n">operation</span>
 <span class="n">shell</span><span class="o">%</span> <span class="n">tail</span> <span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">log</span><span class="o">/</span><span class="n">kadmin</span><span class="o">.</span><span class="n">log</span>
 <span class="n">Dec</span> <span class="mi">02</span> <span class="mi">12</span><span class="p">:</span><span class="mi">35</span><span class="p">:</span><span class="mi">52</span> <span class="n">beeblebrox</span> <span class="n">kadmind</span><span class="p">[</span><span class="mi">3189</span><span class="p">](</span><span class="n">info</span><span class="p">):</span> <span class="n">starting</span>
@@ -314,32 +305,32 @@ the logging output.</p>
 <p>As an additional verification, check if <a class="reference internal" href="../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a> succeeds
 against the principals that you have created on the previous step
 (<a class="reference internal" href="#addadmin-kdb"><span class="std std-ref">Add administrators to the Kerberos database</span></a>).  Run:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span> <span class="n">admin</span><span class="o">/</span><span class="n">admin</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span> <span class="n">admin</span><span class="o">/</span><span class="n">admin</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="install-the-replica-kdcs">
+</section>
+<section id="install-the-replica-kdcs">
 <h2>Install the replica KDCs<a class="headerlink" href="#install-the-replica-kdcs" title="Permalink to this headline">¶</a></h2>
 <p>You are now ready to start configuring the replica KDCs.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">Assuming you are setting the KDCs up so that you can easily
+<p class="admonition-title">Note</p>
+<p>Assuming you are setting the KDCs up so that you can easily
 switch the primary KDC with one of the replicas, you should
 perform each of these steps on the primary KDC as well as
 the replica KDCs, unless these instructions specify
 otherwise.</p>
 </div>
-<div class="section" id="create-host-keytabs-for-replica-kdcs">
+<section id="create-host-keytabs-for-replica-kdcs">
 <span id="replica-host-key"></span><h3>Create host keytabs for replica KDCs<a class="headerlink" href="#create-host-keytabs-for-replica-kdcs" title="Permalink to this headline">¶</a></h3>
-<p>Each KDC needs a <code class="docutils literal"><span class="pre">host</span></code> key in the Kerberos database.  These keys
+<p>Each KDC needs a <code class="docutils literal notranslate"><span class="pre">host</span></code> key in the Kerberos database.  These keys
 are used for mutual authentication when propagating the database dump
 file from the primary KDC to the secondary KDC servers.</p>
 <p>On the primary KDC, connect to administrative interface and create the
-host principal for each of the KDCs’ <code class="docutils literal"><span class="pre">host</span></code> services.  For example,
-if the primary KDC were called <code class="docutils literal"><span class="pre">kerberos.mit.edu</span></code>, and you had a
-replica KDC named <code class="docutils literal"><span class="pre">kerberos-1.mit.edu</span></code>, you would type the
+host principal for each of the KDCs’ <code class="docutils literal notranslate"><span class="pre">host</span></code> services.  For example,
+if the primary KDC were called <code class="docutils literal notranslate"><span class="pre">kerberos.mit.edu</span></code>, and you had a
+replica KDC named <code class="docutils literal notranslate"><span class="pre">kerberos-1.mit.edu</span></code>, you would type the
 following:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kadmin</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kadmin</span>
 <span class="n">kadmin</span><span class="p">:</span> <span class="n">addprinc</span> <span class="o">-</span><span class="n">randkey</span> <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
 <span class="n">No</span> <span class="n">policy</span> <span class="n">specified</span> <span class="k">for</span> <span class="s2">&quot;host/kerberos.mit.edu@ATHENA.MIT.EDU&quot;</span><span class="p">;</span> <span class="n">assigning</span> <span class="s2">&quot;default&quot;</span>
 <span class="n">Principal</span> <span class="s2">&quot;host/kerberos.mit.edu@ATHENA.MIT.EDU&quot;</span> <span class="n">created</span><span class="o">.</span>
@@ -352,13 +343,13 @@ following:</p>
 <p>It is not strictly necessary to have the primary KDC server in the
 Kerberos database, but it can be handy if you want to be able to swap
 the primary KDC with one of the replicas.</p>
-<p>Next, extract <code class="docutils literal"><span class="pre">host</span></code> random keys for all participating KDCs and
+<p>Next, extract <code class="docutils literal notranslate"><span class="pre">host</span></code> random keys for all participating KDCs and
 store them in each host’s default keytab file.  Ideally, you should
 extract each keytab locally on its own KDC.  If this is not feasible,
 you should use an encrypted session to send them across the network.
 To extract a keytab directly on a replica KDC called
-<code class="docutils literal"><span class="pre">kerberos-1.mit.edu</span></code>, you would execute the following command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<code class="docutils literal notranslate"><span class="pre">kerberos-1.mit.edu</span></code>, you would execute the following command:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">2</span><span class="p">,</span> <span class="n">encryption</span>
     <span class="nb">type</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">2</span><span class="p">,</span> <span class="n">encryption</span>
@@ -370,29 +361,29 @@ To extract a keytab directly on a replic
 </pre></div>
 </div>
 <p>If you are instead extracting a keytab for the replica KDC called
-<code class="docutils literal"><span class="pre">kerberos-1.mit.edu</span></code> on the primary KDC, you should use a dedicated
+<code class="docutils literal notranslate"><span class="pre">kerberos-1.mit.edu</span></code> on the primary KDC, you should use a dedicated
 temporary keytab file for that machine’s keytab:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="o">-</span><span class="n">k</span> <span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">keytab</span> <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">ktadd</span> <span class="o">-</span><span class="n">k</span> <span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">keytab</span> <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">2</span><span class="p">,</span> <span class="n">encryption</span>
     <span class="nb">type</span> <span class="n">aes256</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 <span class="n">Entry</span> <span class="k">for</span> <span class="n">principal</span> <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span> <span class="k">with</span> <span class="n">kvno</span> <span class="mi">2</span><span class="p">,</span> <span class="n">encryption</span>
     <span class="nb">type</span> <span class="n">aes128</span><span class="o">-</span><span class="n">cts</span><span class="o">-</span><span class="n">hmac</span><span class="o">-</span><span class="n">sha1</span><span class="o">-</span><span class="mi">96</span> <span class="n">added</span> <span class="n">to</span> <span class="n">keytab</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">.</span><span class="n">keytab</span><span class="o">.</span>
 </pre></div>
 </div>
-<p>The file <code class="docutils literal"><span class="pre">/tmp/kerberos-1.keytab</span></code> can then be installed as
-<code class="docutils literal"><span class="pre">/etc/krb5.keytab</span></code> on the host <code class="docutils literal"><span class="pre">kerberos-1.mit.edu</span></code>.</p>
-</div>
-<div class="section" id="configure-replica-kdcs">
+<p>The file <code class="docutils literal notranslate"><span class="pre">/tmp/kerberos-1.keytab</span></code> can then be installed as
+<code class="docutils literal notranslate"><span class="pre">/etc/krb5.keytab</span></code> on the host <code class="docutils literal notranslate"><span class="pre">kerberos-1.mit.edu</span></code>.</p>
+</section>
+<section id="configure-replica-kdcs">
 <h3>Configure replica KDCs<a class="headerlink" href="#configure-replica-kdcs" title="Permalink to this headline">¶</a></h3>
 <p>Database propagation copies the contents of the primary’s database,
 but does not propagate configuration files, stash files, or the kadm5
 ACL file.  The following files must be copied by hand to each replica
 (see <a class="reference internal" href="../mitK5defaults.html#mitk5defaults"><span class="std std-ref">MIT Kerberos defaults</span></a> for the default locations for these files):</p>
 <ul class="simple">
-<li>krb5.conf</li>
-<li>kdc.conf</li>
-<li>kadm5.acl</li>
-<li>master key stash file</li>
+<li><p>krb5.conf</p></li>
+<li><p>kdc.conf</p></li>
+<li><p>kadm5.acl</p></li>
+<li><p>master key stash file</p></li>
 </ul>
 <p>Move the copied files into their appropriate directories, exactly as
 on the primary KDC.  kadm5.acl is only needed to allow a replica to
@@ -401,30 +392,30 @@ swap with the primary KDC.</p>
 via the <a class="reference internal" href="admin_commands/kpropd.html#kpropd-8"><span class="std std-ref">kpropd</span></a> daemon.  You must explicitly specify the
 principals which are allowed to provide Kerberos dump updates on the
 replica machine with a new database.  Create a file named kpropd.acl
-in the KDC state directory containing the <code class="docutils literal"><span class="pre">host</span></code> principals for each
+in the KDC state directory containing the <code class="docutils literal notranslate"><span class="pre">host</span></code> principals for each
 of the KDCs:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 <span class="n">host</span><span class="o">/</span><span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 </pre></div>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If you expect that the primary and replica KDCs will be
+<p class="admonition-title">Note</p>
+<p>If you expect that the primary and replica KDCs will be
 switched at some point of time, list the host principals
 from all participating KDC servers in kpropd.acl files on
 all of the KDCs.  Otherwise, you only need to list the
 primary KDC’s host principal in the kpropd.acl files of the
 replica KDCs.</p>
 </div>
-<p>Then, add the following line to <code class="docutils literal"><span class="pre">/etc/inetd.conf</span></code> on each KDC
+<p>Then, add the following line to <code class="docutils literal notranslate"><span class="pre">/etc/inetd.conf</span></code> on each KDC
 (adjust the path to kpropd):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5_prop</span> <span class="n">stream</span> <span class="n">tcp</span> <span class="n">nowait</span> <span class="n">root</span> <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">sbin</span><span class="o">/</span><span class="n">kpropd</span> <span class="n">kpropd</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5_prop</span> <span class="n">stream</span> <span class="n">tcp</span> <span class="n">nowait</span> <span class="n">root</span> <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">sbin</span><span class="o">/</span><span class="n">kpropd</span> <span class="n">kpropd</span>
 </pre></div>
 </div>
-<p>You also need to add the following line to <code class="docutils literal"><span class="pre">/etc/services</span></code> on each
+<p>You also need to add the following line to <code class="docutils literal notranslate"><span class="pre">/etc/services</span></code> on each
 KDC, if it is not already present (assuming that the default port is
 used):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5_prop</span>       <span class="mi">754</span><span class="o">/</span><span class="n">tcp</span>               <span class="c1"># Kerberos replica propagation</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5_prop</span>       <span class="mi">754</span><span class="o">/</span><span class="n">tcp</span>               <span class="c1"># Kerberos replica propagation</span>
 </pre></div>
 </div>
 <p>Restart inetd daemon.</p>
@@ -434,17 +425,17 @@ required when incremental propagation is
 you’ll need to propagate the database from the primary server.</p>
 <p>NOTE: Do not start the replica KDC yet; you still do not have a copy
 of the primary’s database.</p>
-</div>
-<div class="section" id="propagate-the-database-to-each-replica-kdc">
+</section>
+<section id="propagate-the-database-to-each-replica-kdc">
 <span id="kprop-to-replicas"></span><h3>Propagate the database to each replica KDC<a class="headerlink" href="#propagate-the-database-to-each-replica-kdc" title="Permalink to this headline">¶</a></h3>
 <p>First, create a dump file of the database on the primary KDC, as
 follows:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdb5_util</span> <span class="n">dump</span> <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">replica_datatrans</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdb5_util</span> <span class="n">dump</span> <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">replica_datatrans</span>
 </pre></div>
 </div>
 <p>Then, manually propagate the database to each replica KDC, as in the
 following example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kprop</span> <span class="o">-</span><span class="n">f</span> <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">replica_datatrans</span> <span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kprop</span> <span class="o">-</span><span class="n">f</span> <span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">replica_datatrans</span> <span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span>
 
 <span class="n">Database</span> <span class="n">propagation</span> <span class="n">to</span> <span class="n">kerberos</span><span class="o">-</span><span class="mf">1.</span><span class="n">mit</span><span class="o">.</span><span class="n">edu</span><span class="p">:</span> <span class="n">SUCCEEDED</span>
 </pre></div>
@@ -452,11 +443,11 @@ following example:</p>
 <p>You will need a script to dump and propagate the database. The
 following is an example of a Bourne shell script that will do this.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">Remember that you need to replace <code class="docutils literal"><span class="pre">/usr/local/var/krb5kdc</span></code>
+<p class="admonition-title">Note</p>
+<p>Remember that you need to replace <code class="docutils literal notranslate"><span class="pre">/usr/local/var/krb5kdc</span></code>
 with the name of the KDC state directory.</p>
 </div>
-<div class="highlight-default"><div class="highlight"><pre><span></span>#!/bin/sh
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>#!/bin/sh
 
 kdclist = &quot;kerberos-1.mit.edu kerberos-2.mit.edu&quot;
 
@@ -472,26 +463,26 @@ done
 you decided on earlier (see <a class="reference internal" href="realm_config.html#db-prop"><span class="std std-ref">Database propagation</span></a>).</p>
 <p>Now that the replica KDC has a copy of the Kerberos database, you can
 start the krb5kdc daemon:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">krb5kdc</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">krb5kdc</span>
 </pre></div>
 </div>
 <p>As with the primary KDC, you will probably want to add this command to
-the KDCs’ <code class="docutils literal"><span class="pre">/etc/rc</span></code> or <code class="docutils literal"><span class="pre">/etc/inittab</span></code> files, so they will start
+the KDCs’ <code class="docutils literal notranslate"><span class="pre">/etc/rc</span></code> or <code class="docutils literal notranslate"><span class="pre">/etc/inittab</span></code> files, so they will start
 the krb5kdc daemon automatically at boot time.</p>
-<div class="section" id="propagation-failed">
+<section id="propagation-failed">
 <h4>Propagation failed?<a class="headerlink" href="#propagation-failed" title="Permalink to this headline">¶</a></h4>
 <p>You may encounter the following error messages. For a more detailed
 discussion on possible causes and solutions click on the error link
 to be redirected to <a class="reference internal" href="troubleshoot.html#troubleshoot"><span class="std std-ref">Troubleshooting</span></a> section.</p>
 <ol class="arabic simple">
-<li><a class="reference internal" href="troubleshoot.html#kprop-no-route"><span class="std std-ref">kprop: No route to host while connecting to server</span></a></li>
-<li><a class="reference internal" href="troubleshoot.html#kprop-con-refused"><span class="std std-ref">kprop: Connection refused while connecting to server</span></a></li>
-<li><a class="reference internal" href="troubleshoot.html#kprop-sendauth-exchange"><span class="std std-ref">kprop: Server rejected authentication (during sendauth exchange) while authenticating to server</span></a></li>
+<li><p><a class="reference internal" href="troubleshoot.html#kprop-no-route"><span class="std std-ref">kprop: No route to host while connecting to server</span></a></p></li>
+<li><p><a class="reference internal" href="troubleshoot.html#kprop-con-refused"><span class="std std-ref">kprop: Connection refused while connecting to server</span></a></p></li>
+<li><p><a class="reference internal" href="troubleshoot.html#kprop-sendauth-exchange"><span class="std std-ref">kprop: Server rejected authentication (during sendauth exchange) while authenticating to server</span></a></p></li>
 </ol>
-</div>
-</div>
-</div>
-<div class="section" id="add-kerberos-principals-to-the-database">
+</section>
+</section>
+</section>
+<section id="add-kerberos-principals-to-the-database">
 <h2>Add Kerberos principals to the database<a class="headerlink" href="#add-kerberos-principals-to-the-database" title="Permalink to this headline">¶</a></h2>
 <p>Once your KDCs are set up and running, you are ready to use
 <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> to load principals for your users, hosts, and other
@@ -501,8 +492,8 @@ fully in <a class="reference internal" h
 primary.  This might happen if you are upgrading the primary KDC, or
 if your primary KDC has a disk crash.  See the following section for
 the instructions.</p>
-</div>
-<div class="section" id="switching-primary-and-replica-kdcs">
+</section>
+<section id="switching-primary-and-replica-kdcs">
 <span id="switch-primary-replica"></span><h2>Switching primary and replica KDCs<a class="headerlink" href="#switching-primary-and-replica-kdcs" title="Permalink to this headline">¶</a></h2>
 <p>You may occasionally want to use one of your replica KDCs as the
 primary.  This might happen if you are upgrading the primary KDC, or
@@ -513,36 +504,38 @@ recommends), all you need to do to make
 <p>If the primary KDC is still running, do the following on the <em>old</em>
 primary KDC:</p>
 <ol class="arabic simple">
-<li>Kill the kadmind process.</li>
-<li>Disable the cron job that propagates the database.</li>
-<li>Run your database propagation script manually, to ensure that the
+<li><p>Kill the kadmind process.</p></li>
+<li><p>Disable the cron job that propagates the database.</p></li>
+<li><p>Run your database propagation script manually, to ensure that the
 replicas all have the latest copy of the database (see
-<a class="reference internal" href="#kprop-to-replicas"><span class="std std-ref">Propagate the database to each replica KDC</span></a>).</li>
+<a class="reference internal" href="#kprop-to-replicas"><span class="std std-ref">Propagate the database to each replica KDC</span></a>).</p></li>
 </ol>
 <p>On the <em>new</em> primary KDC:</p>
 <ol class="arabic simple">
-<li>Start the <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon (see <a class="reference internal" href="#start-kdc-daemons"><span class="std std-ref">Start the Kerberos daemons on the primary KDC</span></a>).</li>
-<li>Set up the cron job to propagate the database (see
-<a class="reference internal" href="#kprop-to-replicas"><span class="std std-ref">Propagate the database to each replica KDC</span></a>).</li>
-<li>Switch the CNAMEs of the old and new primary KDCs.  If you can’t do
+<li><p>Start the <a class="reference internal" href="admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a> daemon (see <a class="reference internal" href="#start-kdc-daemons"><span class="std std-ref">Start the Kerberos daemons on the primary KDC</span></a>).</p></li>
+<li><p>Set up the cron job to propagate the database (see
+<a class="reference internal" href="#kprop-to-replicas"><span class="std std-ref">Propagate the database to each replica KDC</span></a>).</p></li>
+<li><p>Switch the CNAMEs of the old and new primary KDCs.  If you can’t do
 this, you’ll need to change the <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> file on every
-client machine in your Kerberos realm.</li>
+client machine in your Kerberos realm.</p></li>
 </ol>
-</div>
-<div class="section" id="incremental-database-propagation">
+</section>
+<section id="incremental-database-propagation">
 <h2>Incremental database propagation<a class="headerlink" href="#incremental-database-propagation" title="Permalink to this headline">¶</a></h2>
 <p>If you expect your Kerberos database to become large, you may wish to
 set up incremental propagation to replica KDCs.  See
 <a class="reference internal" href="database.html#incr-db-prop"><span class="std std-ref">Incremental database propagation</span></a> for details.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Installing KDCs</a><ul>
@@ -628,6 +621,7 @@ set up incremental propagation to replic
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -635,8 +629,8 @@ set up incremental propagation to replic
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/lockout.html 1.21.3-1/doc/html/admin/lockout.html
--- 1.21.2-1/doc/html/admin/lockout.html	2023-08-14 16:17:34.000000000 +0000
+++ 1.21.3-1/doc/html/admin/lockout.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Account lockout &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Configuring Kerberos with OpenLDAP back-end" href="conf_ldap.html" />
     <link rel="prev" title="Database types" href="dbtypes.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,14 +52,14 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="account-lockout">
+  <section id="account-lockout">
 <span id="lockout"></span><h1>Account lockout<a class="headerlink" href="#account-lockout" title="Permalink to this headline">¶</a></h1>
 <p>As of release 1.8, the KDC can be configured to lock out principals
 after a number of failed authentication attempts within a period of
 time.  Account lockout can make it more difficult to attack a
 principal’s password by brute force, but also makes it easy for an
 attacker to deny access to a principal.</p>
-<div class="section" id="configuring-account-lockout">
+<section id="configuring-account-lockout">
 <h2>Configuring account lockout<a class="headerlink" href="#configuring-account-lockout" title="Permalink to this headline">¶</a></h2>
 <p>Account lockout only works for principals with the
 <strong>+requires_preauth</strong> flag set.  Without this flag, the KDC cannot
@@ -77,7 +68,7 @@ issued.  It is also important to set the
 principal to protect its password from an off-line dictionary attack
 through a TGS request.  You can set these flags on a principal with
 <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> as follows:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">modprinc</span> <span class="o">+</span><span class="n">requires_preauth</span> <span class="o">-</span><span class="n">allow_svr</span> <span class="n">PRINCNAME</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">modprinc</span> <span class="o">+</span><span class="n">requires_preauth</span> <span class="o">-</span><span class="n">allow_svr</span> <span class="n">PRINCNAME</span>
 </pre></div>
 </div>
 <p>Account lockout parameters are configured via <a class="reference internal" href="database.html#policies"><span class="std std-ref">policy objects</span></a>.  There may be an existing policy associated with user
@@ -85,28 +76,28 @@ principals (such as the “default” po
 new one and associate it with each user principal.</p>
 <p>The policy parameters related to account lockout are:</p>
 <ul class="simple">
-<li><a class="reference internal" href="admin_commands/kadmin_local.html#policy-maxfailure"><span class="std std-ref">maxfailure</span></a>: the number of failed attempts
-before the principal is locked out</li>
-<li><a class="reference internal" href="admin_commands/kadmin_local.html#policy-failurecountinterval"><span class="std std-ref">failurecountinterval</span></a>: the
-allowable interval between failed attempts</li>
-<li><a class="reference internal" href="admin_commands/kadmin_local.html#policy-lockoutduration"><span class="std std-ref">lockoutduration</span></a>: the amount of time
-a principal is locked out for</li>
+<li><p><a class="reference internal" href="admin_commands/kadmin_local.html#policy-maxfailure"><span class="std std-ref">maxfailure</span></a>: the number of failed attempts
+before the principal is locked out</p></li>
+<li><p><a class="reference internal" href="admin_commands/kadmin_local.html#policy-failurecountinterval"><span class="std std-ref">failurecountinterval</span></a>: the
+allowable interval between failed attempts</p></li>
+<li><p><a class="reference internal" href="admin_commands/kadmin_local.html#policy-lockoutduration"><span class="std std-ref">lockoutduration</span></a>: the amount of time
+a principal is locked out for</p></li>
 </ul>
 <p>Here is an example of setting these parameters on a new policy and
 associating it with a principal:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addpol</span> <span class="o">-</span><span class="n">maxfailure</span> <span class="mi">10</span> <span class="o">-</span><span class="n">failurecountinterval</span> <span class="mi">180</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">addpol</span> <span class="o">-</span><span class="n">maxfailure</span> <span class="mi">10</span> <span class="o">-</span><span class="n">failurecountinterval</span> <span class="mi">180</span>
     <span class="o">-</span><span class="n">lockoutduration</span> <span class="mi">60</span> <span class="n">lockout_policy</span>
 <span class="n">kadmin</span><span class="p">:</span> <span class="n">modprinc</span> <span class="o">-</span><span class="n">policy</span> <span class="n">lockout_policy</span> <span class="n">PRINCNAME</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="testing-account-lockout">
+</section>
+<section id="testing-account-lockout">
 <h2>Testing account lockout<a class="headerlink" href="#testing-account-lockout" title="Permalink to this headline">¶</a></h2>
 <p>To test that account lockout is working, try authenticating as the
 principal (hopefully not one that might be in use) multiple times with
 the wrong password.  For instance, if <strong>maxfailure</strong> is set to 2, you
 might see:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ kinit user
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ kinit user
 Password for user@KRBTEST.COM:
 kinit: Password incorrect while getting initial credentials
 $ kinit user
@@ -116,21 +107,21 @@ $ kinit user
 kinit: Client&#39;s credentials have been revoked while getting initial credentials
 </pre></div>
 </div>
-</div>
-<div class="section" id="account-lockout-principal-state">
+</section>
+<section id="account-lockout-principal-state">
 <h2>Account lockout principal state<a class="headerlink" href="#account-lockout-principal-state" title="Permalink to this headline">¶</a></h2>
 <p>A principal entry keeps three pieces of state related to account
 lockout:</p>
 <ul class="simple">
-<li>The time of last successful authentication</li>
-<li>The time of last failed authentication</li>
-<li>A counter of failed attempts</li>
+<li><p>The time of last successful authentication</p></li>
+<li><p>The time of last failed authentication</p></li>
+<li><p>A counter of failed attempts</p></li>
 </ul>
 <p>The time of last successful authentication is not actually needed for
 the account lockout system to function, but may be of administrative
 interest.  These fields can be observed with the <strong>getprinc</strong> kadmin
 command.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">getprinc</span> <span class="n">user</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">getprinc</span> <span class="n">user</span>
 <span class="n">Principal</span><span class="p">:</span> <span class="n">user</span><span class="nd">@KRBTEST</span><span class="o">.</span><span class="n">COM</span>
 <span class="o">...</span>
 <span class="n">Last</span> <span class="n">successful</span> <span class="n">authentication</span><span class="p">:</span> <span class="p">[</span><span class="n">never</span><span class="p">]</span>
@@ -141,12 +132,12 @@ command.  For example:</p>
 </div>
 <p>A principal which has been locked out can be administratively unlocked
 with the <strong>-unlock</strong> option to the <strong>modprinc</strong> kadmin command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">modprinc</span> <span class="o">-</span><span class="n">unlock</span> <span class="n">PRINCNAME</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">modprinc</span> <span class="o">-</span><span class="n">unlock</span> <span class="n">PRINCNAME</span>
 </pre></div>
 </div>
 <p>This command will reset the number of failed attempts to 0.</p>
-</div>
-<div class="section" id="kdc-replication-and-account-lockout">
+</section>
+<section id="kdc-replication-and-account-lockout">
 <h2>KDC replication and account lockout<a class="headerlink" href="#kdc-replication-and-account-lockout" title="Permalink to this headline">¶</a></h2>
 <p>The account lockout state of a principal is not replicated by either
 traditional <a class="reference internal" href="admin_commands/kprop.html#kprop-8"><span class="std std-ref">kprop</span></a> or incremental propagation.  Because of
@@ -164,8 +155,8 @@ reset to 1 on the next failure.</p>
 incremental propagation, such as the LDAP KDB module with multi-master
 LDAP replication, then account lockout state may be replicated between
 KDCs and the concerns of this section may not apply.</p>
-</div>
-<div class="section" id="kdc-performance-and-account-lockout">
+</section>
+<section id="kdc-performance-and-account-lockout">
 <span id="disable-lockout"></span><h2>KDC performance and account lockout<a class="headerlink" href="#kdc-performance-and-account-lockout" title="Permalink to this headline">¶</a></h2>
 <p>In order to fully track account lockout state, the KDC must write to
 the the database on each successful and failed authentication.
@@ -175,7 +166,7 @@ As of release 1.9, it is possible to tur
 tracking in order to improve performance, by setting the
 <strong>disable_last_success</strong> and <strong>disable_lockout</strong> variables in the
 database module subsection of <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">dbmodules</span><span class="p">]</span>
     <span class="n">DB</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">disable_last_success</span> <span class="o">=</span> <span class="n">true</span>
         <span class="n">disable_lockout</span> <span class="o">=</span> <span class="n">true</span>
@@ -187,23 +178,25 @@ have the largest positive impact on perf
 account lockout policies to operate.  However, it will make it
 impossible to observe the last successful authentication time with
 kadmin.</p>
-</div>
-<div class="section" id="kdc-setup-and-account-lockout">
+</section>
+<section id="kdc-setup-and-account-lockout">
 <h2>KDC setup and account lockout<a class="headerlink" href="#kdc-setup-and-account-lockout" title="Permalink to this headline">¶</a></h2>
 <p>To update the account lockout state on principals, the KDC must be
 able to write to the principal database.  For the DB2 module, no
 special setup is required.  For the LDAP module, the KDC DN must be
 granted write access to the principal objects.  If the KDC DN has only
 read access, account lockout will not function.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Account lockout</a><ul>
@@ -268,6 +261,7 @@ read access, account lockout will not fu
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -275,8 +269,8 @@ read access, account lockout will not fu
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/otp.html 1.21.3-1/doc/html/admin/otp.html
--- 1.21.2-1/doc/html/admin/otp.html	2023-08-14 16:17:35.000000000 +0000
+++ 1.21.3-1/doc/html/admin/otp.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>OTP Preauthentication &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="SPAKE Preauthentication" href="spake.html" />
     <link rel="prev" title="PKINIT configuration" href="pkinit.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="otp-preauthentication">
+  <section id="otp-preauthentication">
 <span id="otp-preauth"></span><h1>OTP Preauthentication<a class="headerlink" href="#otp-preauthentication" title="Permalink to this headline">¶</a></h1>
 <p>OTP is a preauthentication mechanism for Kerberos 5 which uses One
 Time Passwords (OTP) to authenticate the client to the KDC.  The OTP
@@ -74,11 +65,11 @@ deployed proprietary systems.</p>
 passing of RADIUS requests over a UNIX domain stream socket.  This
 permits the use of a local companion daemon which can handle the
 details of authentication.</p>
-<div class="section" id="defining-token-types">
+<section id="defining-token-types">
 <h2>Defining token types<a class="headerlink" href="#defining-token-types" title="Permalink to this headline">¶</a></h2>
 <p>Token types are defined in either <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> or
 <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> according to the following format:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">otp</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">otp</span><span class="p">]</span>
     <span class="o">&lt;</span><span class="n">name</span><span class="o">&gt;</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">server</span> <span class="o">=</span> <span class="o">&lt;</span><span class="n">host</span><span class="p">:</span><span class="n">port</span> <span class="ow">or</span> <span class="n">filename</span><span class="o">&gt;</span> <span class="p">(</span><span class="n">default</span><span class="p">:</span> <span class="n">see</span> <span class="n">below</span><span class="p">)</span>
         <span class="n">secret</span> <span class="o">=</span> <span class="o">&lt;</span><span class="n">filename</span><span class="o">&gt;</span>
@@ -93,7 +84,7 @@ details of authentication.</p>
 socket.  Otherwise, it is assumed to be in the format host:port.  When
 a UNIX domain socket is specified, the secret field is optional and an
 empty secret is used by default.  If the server field is not
-specified, it defaults to <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">RUNSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/&lt;name&gt;.socket</span></code>.</p>
+specified, it defaults to <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">RUNSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/&lt;name&gt;.socket</span></code>.</p>
 <p>When forwarding the request over RADIUS, by default the principal is
 used in the User-Name attribute of the RADIUS packet.  The strip_realm
 parameter controls whether the principal is forwarded with or without
@@ -102,27 +93,27 @@ the realm portion.</p>
 will be annotated with the specified authentication indicator (see
 <a class="reference internal" href="auth_indicator.html#auth-indicator"><span class="std std-ref">Authentication indicators</span></a>).  This key may be specified multiple times to
 add multiple indicators.</p>
-</div>
-<div class="section" id="the-default-token-type">
+</section>
+<section id="the-default-token-type">
 <h2>The default token type<a class="headerlink" href="#the-default-token-type" title="Permalink to this headline">¶</a></h2>
 <p>A default token type is used internally when no token type is specified for a
 given user.  It is defined as follows:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">otp</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">otp</span><span class="p">]</span>
     <span class="n">DEFAULT</span> <span class="o">=</span> <span class="p">{</span>
         <span class="n">strip_realm</span> <span class="o">=</span> <span class="n">false</span>
     <span class="p">}</span>
 </pre></div>
 </div>
-<p>The administrator may override the internal <code class="docutils literal"><span class="pre">DEFAULT</span></code> token type
+<p>The administrator may override the internal <code class="docutils literal notranslate"><span class="pre">DEFAULT</span></code> token type
 simply by defining a configuration with the same name.</p>
-</div>
-<div class="section" id="token-instance-configuration">
+</section>
+<section id="token-instance-configuration">
 <h2>Token instance configuration<a class="headerlink" href="#token-instance-configuration" title="Permalink to this headline">¶</a></h2>
 <p>To enable OTP for a client principal, the administrator must define
 the <strong>otp</strong> string attribute for that principal.  (See
 <a class="reference internal" href="admin_commands/kadmin_local.html#set-string"><span class="std std-ref">set_string</span></a>.)  The <strong>otp</strong> user string is a JSON string of the
 format:</p>
-<div class="highlight-xml"><div class="highlight"><pre><span></span>[{
+<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span>[{
     &quot;type&quot;: <span class="nt">&lt;string&gt;</span>,
     &quot;username&quot;: <span class="nt">&lt;string&gt;</span>,
     &quot;indicators&quot;: [<span class="nt">&lt;string&gt;</span>, ...]
@@ -131,29 +122,31 @@ format:</p>
 </div>
 <p>This is an array of token objects.  Both fields of token objects are
 optional.  The <strong>type</strong> field names the token type of this token; if
-not specified, it defaults to <code class="docutils literal"><span class="pre">DEFAULT</span></code>.  The <strong>username</strong> field
+not specified, it defaults to <code class="docutils literal notranslate"><span class="pre">DEFAULT</span></code>.  The <strong>username</strong> field
 specifies the value to be sent in the User-Name RADIUS attribute.  If
 not specified, the principal name is sent, with or without realm as
 defined in the token type.  The <strong>indicators</strong> field specifies a list
 of authentication indicators to annotate tickets with, overriding any
 indicators specified in the token type.</p>
-<p>For ease of configuration, an empty array (<code class="docutils literal"><span class="pre">[]</span></code>) is treated as
-equivalent to one DEFAULT token (<code class="docutils literal"><span class="pre">[{}]</span></code>).</p>
-</div>
-<div class="section" id="other-considerations">
+<p>For ease of configuration, an empty array (<code class="docutils literal notranslate"><span class="pre">[]</span></code>) is treated as
+equivalent to one DEFAULT token (<code class="docutils literal notranslate"><span class="pre">[{}]</span></code>).</p>
+</section>
+<section id="other-considerations">
 <h2>Other considerations<a class="headerlink" href="#other-considerations" title="Permalink to this headline">¶</a></h2>
 <ol class="arabic simple">
-<li>FAST is required for OTP to work.</li>
+<li><p>FAST is required for OTP to work.</p></li>
 </ol>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">OTP Preauthentication</a><ul>
@@ -216,6 +209,7 @@ equivalent to one DEFAULT token (<code c
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -223,8 +217,8 @@ equivalent to one DEFAULT token (<code c
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/pkinit.html 1.21.3-1/doc/html/admin/pkinit.html
--- 1.21.2-1/doc/html/admin/pkinit.html	2023-08-14 16:17:35.000000000 +0000
+++ 1.21.3-1/doc/html/admin/pkinit.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>PKINIT configuration &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="OTP Preauthentication" href="otp.html" />
     <link rel="prev" title="Backups of secure hosts" href="backup_host.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,14 +52,14 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="pkinit-configuration">
+  <section id="pkinit-configuration">
 <span id="pkinit"></span><h1>PKINIT configuration<a class="headerlink" href="#pkinit-configuration" title="Permalink to this headline">¶</a></h1>
 <p>PKINIT is a preauthentication mechanism for Kerberos 5 which uses
 X.509 certificates to authenticate the KDC to clients and vice versa.
 PKINIT can also be used to enable anonymity support, allowing clients
 to communicate securely with the KDC or with application servers
 without authenticating as a particular client principal.</p>
-<div class="section" id="creating-certificates">
+<section id="creating-certificates">
 <h2>Creating certificates<a class="headerlink" href="#creating-certificates" title="Permalink to this headline">¶</a></h2>
 <p>PKINIT requires an X.509 certificate for the KDC and one for each
 client principal which will authenticate using PKINIT.  For anonymous
@@ -80,18 +71,18 @@ certificate authority and create standar
 this section if you are using a commercially issued server certificate
 as the KDC certificate for anonymous PKINIT, or if you are configuring
 a client to use an Active Directory KDC.</p>
-<div class="section" id="generating-a-certificate-authority-certificate">
+<section id="generating-a-certificate-authority-certificate">
 <h3>Generating a certificate authority certificate<a class="headerlink" href="#generating-a-certificate-authority-certificate" title="Permalink to this headline">¶</a></h3>
 <p>You can establish a new certificate authority (CA) for use with a
 PKINIT deployment with the commands:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">openssl</span> <span class="n">genrsa</span> <span class="o">-</span><span class="n">out</span> <span class="n">cakey</span><span class="o">.</span><span class="n">pem</span> <span class="mi">2048</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">openssl</span> <span class="n">genrsa</span> <span class="o">-</span><span class="n">out</span> <span class="n">cakey</span><span class="o">.</span><span class="n">pem</span> <span class="mi">2048</span>
 <span class="n">openssl</span> <span class="n">req</span> <span class="o">-</span><span class="n">key</span> <span class="n">cakey</span><span class="o">.</span><span class="n">pem</span> <span class="o">-</span><span class="n">new</span> <span class="o">-</span><span class="n">x509</span> <span class="o">-</span><span class="n">out</span> <span class="n">cacert</span><span class="o">.</span><span class="n">pem</span> <span class="o">-</span><span class="n">days</span> <span class="mi">3650</span>
 </pre></div>
 </div>
 <p>The second command will ask for the values of several certificate
 fields.  These fields can be set to any values.  You can adjust the
 expiration time of the CA certificate by changing the number after
-<code class="docutils literal"><span class="pre">-days</span></code>.  Since the CA certificate must be deployed to client
+<code class="docutils literal notranslate"><span class="pre">-days</span></code>.  Since the CA certificate must be deployed to client
 machines each time it changes, it should normally have an expiration
 time far in the future; however, expiration times after 2037 may cause
 interoperability issues in rare circumstances.</p>
@@ -101,13 +92,13 @@ must be carefully protected.  cacert.pem
 certificate, which must be placed in the filesystems of the KDC and
 each client host.  cakey.pem will be required to create KDC and client
 certificates.</p>
-</div>
-<div class="section" id="generating-a-kdc-certificate">
+</section>
+<section id="generating-a-kdc-certificate">
 <h3>Generating a KDC certificate<a class="headerlink" href="#generating-a-kdc-certificate" title="Permalink to this headline">¶</a></h3>
 <p>A KDC certificate for use with PKINIT is required to have some unusual
 fields, which makes generating them with OpenSSL somewhat complicated.
 First, you will need a file containing the following:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>[kdc_cert]
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>[kdc_cert]
 basicConstraints=CA:FALSE
 keyUsage=nonRepudiation,digitalSignature,keyEncipherment,keyAgreement
 extendedKeyUsage=1.3.6.1.5.2.3.5
@@ -131,7 +122,7 @@ princ2=GeneralString:${ENV::REALM}
 </div>
 <p>If the above contents are placed in extensions.kdc, you can generate
 and sign a KDC certificate with the following commands:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">openssl</span> <span class="n">genrsa</span> <span class="o">-</span><span class="n">out</span> <span class="n">kdckey</span><span class="o">.</span><span class="n">pem</span> <span class="mi">2048</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">openssl</span> <span class="n">genrsa</span> <span class="o">-</span><span class="n">out</span> <span class="n">kdckey</span><span class="o">.</span><span class="n">pem</span> <span class="mi">2048</span>
 <span class="n">openssl</span> <span class="n">req</span> <span class="o">-</span><span class="n">new</span> <span class="o">-</span><span class="n">out</span> <span class="n">kdc</span><span class="o">.</span><span class="n">req</span> <span class="o">-</span><span class="n">key</span> <span class="n">kdckey</span><span class="o">.</span><span class="n">pem</span>
 <span class="n">env</span> <span class="n">REALM</span><span class="o">=</span><span class="n">YOUR_REALMNAME</span> <span class="n">openssl</span> <span class="n">x509</span> <span class="o">-</span><span class="n">req</span> <span class="o">-</span><span class="ow">in</span> <span class="n">kdc</span><span class="o">.</span><span class="n">req</span> \
     <span class="o">-</span><span class="n">CAkey</span> <span class="n">cakey</span><span class="o">.</span><span class="n">pem</span> <span class="o">-</span><span class="n">CA</span> <span class="n">cacert</span><span class="o">.</span><span class="n">pem</span> <span class="o">-</span><span class="n">out</span> <span class="n">kdc</span><span class="o">.</span><span class="n">pem</span> <span class="o">-</span><span class="n">days</span> <span class="mi">365</span> \
@@ -142,25 +133,25 @@ and sign a KDC certificate with the foll
 <p>The second command will ask for the values of certificate fields,
 which can be set to any values.  In the third command, substitute your
 KDC’s realm name for YOUR_REALMNAME.  You can adjust the certificate’s
-expiration date by changing the number after <code class="docutils literal"><span class="pre">-days</span></code>.  Remember to
+expiration date by changing the number after <code class="docutils literal notranslate"><span class="pre">-days</span></code>.  Remember to
 create a new KDC certificate before the old one expires.</p>
 <p>The result of this operation will be in two files, kdckey.pem and
 kdc.pem.  Both files must be placed in the KDC’s filesystem.
 kdckey.pem, which contains the KDC’s private key, must be carefully
 protected.</p>
-<p>If you examine the KDC certificate with <code class="docutils literal"><span class="pre">openssl</span> <span class="pre">x509</span> <span class="pre">-in</span> <span class="pre">kdc.pem</span>
+<p>If you examine the KDC certificate with <code class="docutils literal notranslate"><span class="pre">openssl</span> <span class="pre">x509</span> <span class="pre">-in</span> <span class="pre">kdc.pem</span>
 <span class="pre">-text</span> <span class="pre">-noout</span></code>, OpenSSL will not know how to display the KDC principal
 name in the Subject Alternative Name extension, so it will appear as
-<code class="docutils literal"><span class="pre">othername:&lt;unsupported&gt;</span></code>.  This is normal and does not mean
+<code class="docutils literal notranslate"><span class="pre">othername:&lt;unsupported&gt;</span></code>.  This is normal and does not mean
 anything is wrong with the KDC certificate.</p>
-</div>
-<div class="section" id="generating-client-certificates">
+</section>
+<section id="generating-client-certificates">
 <h3>Generating client certificates<a class="headerlink" href="#generating-client-certificates" title="Permalink to this headline">¶</a></h3>
 <p>PKINIT client certificates also must have some unusual certificate
 fields.  To generate a client certificate with OpenSSL for a
 single-component principal name, you will need an extensions file
 (different from the KDC extensions file above) containing:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>[client_cert]
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>[client_cert]
 basicConstraints=CA:FALSE
 keyUsage=digitalSignature,keyEncipherment,keyAgreement
 extendedKeyUsage=1.3.6.1.5.2.3.4
@@ -183,7 +174,7 @@ princ1=GeneralString:${ENV::CLIENT}
 </div>
 <p>If the above contents are placed in extensions.client, you can
 generate and sign a client certificate with the following commands:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">openssl</span> <span class="n">genrsa</span> <span class="o">-</span><span class="n">out</span> <span class="n">clientkey</span><span class="o">.</span><span class="n">pem</span> <span class="mi">2048</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">openssl</span> <span class="n">genrsa</span> <span class="o">-</span><span class="n">out</span> <span class="n">clientkey</span><span class="o">.</span><span class="n">pem</span> <span class="mi">2048</span>
 <span class="n">openssl</span> <span class="n">req</span> <span class="o">-</span><span class="n">new</span> <span class="o">-</span><span class="n">key</span> <span class="n">clientkey</span><span class="o">.</span><span class="n">pem</span> <span class="o">-</span><span class="n">out</span> <span class="n">client</span><span class="o">.</span><span class="n">req</span>
 <span class="n">env</span> <span class="n">REALM</span><span class="o">=</span><span class="n">YOUR_REALMNAME</span> <span class="n">CLIENT</span><span class="o">=</span><span class="n">YOUR_PRINCNAME</span> <span class="n">openssl</span> <span class="n">x509</span> \
     <span class="o">-</span><span class="n">CAkey</span> <span class="n">cakey</span><span class="o">.</span><span class="n">pem</span> <span class="o">-</span><span class="n">CA</span> <span class="n">cacert</span><span class="o">.</span><span class="n">pem</span> <span class="o">-</span><span class="n">req</span> <span class="o">-</span><span class="ow">in</span> <span class="n">client</span><span class="o">.</span><span class="n">req</span> \
@@ -199,69 +190,69 @@ command will ask for the values of certi
 set to any values.  In the third command, substitute your realm’s name
 for YOUR_REALMNAME and the client’s principal name (without realm) for
 YOUR_PRINCNAME.  You can adjust the certificate’s expiration date by
-changing the number after <code class="docutils literal"><span class="pre">-days</span></code>.</p>
+changing the number after <code class="docutils literal notranslate"><span class="pre">-days</span></code>.</p>
 <p>The result of this operation will be two files, clientkey.pem and
 client.pem.  Both files must be present on the client’s host;
 clientkey.pem, which contains the client’s private key, must be
 protected from access by others.</p>
 <p>As in the KDC certificate, OpenSSL will display the client principal
-name as <code class="docutils literal"><span class="pre">othername:&lt;unsupported&gt;</span></code> in the Subject Alternative Name
+name as <code class="docutils literal notranslate"><span class="pre">othername:&lt;unsupported&gt;</span></code> in the Subject Alternative Name
 extension of a PKINIT client certificate.</p>
 <p>If the client principal name contains more than one component
-(e.g. <code class="docutils literal"><span class="pre">host/example.com&#64;REALM</span></code>), the <code class="docutils literal"><span class="pre">[principals]</span></code> section of
-<code class="docutils literal"><span class="pre">extensions.client</span></code> must be altered to contain multiple entries.
-(Simply setting <code class="docutils literal"><span class="pre">CLIENT</span></code> to <code class="docutils literal"><span class="pre">host/example.com</span></code> would generate a
-certificate for <code class="docutils literal"><span class="pre">host\/example.com&#64;REALM</span></code> which would not match the
+(e.g. <code class="docutils literal notranslate"><span class="pre">host/example.com&#64;REALM</span></code>), the <code class="docutils literal notranslate"><span class="pre">[principals]</span></code> section of
+<code class="docutils literal notranslate"><span class="pre">extensions.client</span></code> must be altered to contain multiple entries.
+(Simply setting <code class="docutils literal notranslate"><span class="pre">CLIENT</span></code> to <code class="docutils literal notranslate"><span class="pre">host/example.com</span></code> would generate a
+certificate for <code class="docutils literal notranslate"><span class="pre">host\/example.com&#64;REALM</span></code> which would not match the
 multi-component principal name.)  For a two-component principal, the
 section should read:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>[principals]
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>[principals]
 princ1=GeneralString:${ENV::CLIENT1}
 princ2=GeneralString:${ENV::CLIENT2}
 </pre></div>
 </div>
-<p>The environment variables <code class="docutils literal"><span class="pre">CLIENT1</span></code> and <code class="docutils literal"><span class="pre">CLIENT2</span></code> must then be set
-to the first and second components when running <code class="docutils literal"><span class="pre">openssl</span> <span class="pre">x509</span></code>.</p>
-</div>
-</div>
-<div class="section" id="configuring-the-kdc">
+<p>The environment variables <code class="docutils literal notranslate"><span class="pre">CLIENT1</span></code> and <code class="docutils literal notranslate"><span class="pre">CLIENT2</span></code> must then be set
+to the first and second components when running <code class="docutils literal notranslate"><span class="pre">openssl</span> <span class="pre">x509</span></code>.</p>
+</section>
+</section>
+<section id="configuring-the-kdc">
 <h2>Configuring the KDC<a class="headerlink" href="#configuring-the-kdc" title="Permalink to this headline">¶</a></h2>
 <p>The KDC must have filesystem access to the KDC certificate (kdc.pem)
 and the KDC private key (kdckey.pem).  Configure the following
 relation in the KDC’s <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> file, either in the
 <a class="reference internal" href="conf_files/kdc_conf.html#kdcdefaults"><span class="std std-ref">[kdcdefaults]</span></a> section or in a <a class="reference internal" href="conf_files/kdc_conf.html#kdc-realms"><span class="std std-ref">[realms]</span></a> subsection (with
 appropriate pathnames):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">pkinit_identity</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">lib</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">kdc</span><span class="o">.</span><span class="n">pem</span><span class="p">,</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">lib</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">kdckey</span><span class="o">.</span><span class="n">pem</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pkinit_identity</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">lib</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">kdc</span><span class="o">.</span><span class="n">pem</span><span class="p">,</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">lib</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">kdckey</span><span class="o">.</span><span class="n">pem</span>
 </pre></div>
 </div>
 <p>If any clients will authenticate using regular (as opposed to
 anonymous) PKINIT, the KDC must also have filesystem access to the CA
 certificate (cacert.pem), and the following configuration (with the
 appropriate pathname):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">lib</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">cacert</span><span class="o">.</span><span class="n">pem</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">lib</span><span class="o">/</span><span class="n">krb5kdc</span><span class="o">/</span><span class="n">cacert</span><span class="o">.</span><span class="n">pem</span>
 </pre></div>
 </div>
 <p>Because of the larger size of requests and responses using PKINIT, you
 may also need to allow TCP access to the KDC:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kdc_tcp_listen</span> <span class="o">=</span> <span class="mi">88</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kdc_tcp_listen</span> <span class="o">=</span> <span class="mi">88</span>
 </pre></div>
 </div>
 <p>Restart the <a class="reference internal" href="admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a> daemon to pick up the configuration
 changes.</p>
 <p>The principal entry for each PKINIT-using client must be configured to
 require preauthentication.  Ensure this with the command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">q</span> <span class="s1">&#39;modprinc +requires_preauth YOUR_PRINCNAME&#39;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">q</span> <span class="s1">&#39;modprinc +requires_preauth YOUR_PRINCNAME&#39;</span>
 </pre></div>
 </div>
 <p>Starting with release 1.12, it is possible to remove the long-term
 keys of a principal entry, which can save some space in the database
 and help to clarify some PKINIT-related error conditions by not asking
 for a password:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">q</span> <span class="s1">&#39;purgekeys -all YOUR_PRINCNAME&#39;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">q</span> <span class="s1">&#39;purgekeys -all YOUR_PRINCNAME&#39;</span>
 </pre></div>
 </div>
 <p>These principal options can also be specified at principal creation
 time as follows:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">q</span> <span class="s1">&#39;add_principal +requires_preauth -nokey YOUR_PRINCNAME&#39;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">q</span> <span class="s1">&#39;add_principal +requires_preauth -nokey YOUR_PRINCNAME&#39;</span>
 </pre></div>
 </div>
 <p>By default, the KDC requires PKINIT client certificates to have the
@@ -271,7 +262,7 @@ client certificates based on the subject
 the standard PKINIT Subject Alternative Name, by setting the
 <strong>pkinit_cert_match</strong> string attribute on each client principal entry.
 For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="n">set_string</span> <span class="n">user</span><span class="nd">@REALM</span> <span class="n">pkinit_cert_match</span> <span class="s2">&quot;&lt;SUBJECT&gt;CN=user@REALM$&quot;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="n">set_string</span> <span class="n">user</span><span class="nd">@REALM</span> <span class="n">pkinit_cert_match</span> <span class="s2">&quot;&lt;SUBJECT&gt;CN=user@REALM$&quot;</span>
 </pre></div>
 </div>
 <p>The <strong>pkinit_cert_match</strong> string attribute follows the syntax used by
@@ -279,32 +270,32 @@ the <a class="reference internal" href="
 use of non-PKINIT client certificates, it will also be necessary to
 disable key usage checking using the <strong>pkinit_eku_checking</strong> relation;
 for example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
     <span class="n">pkinit_eku_checking</span> <span class="o">=</span> <span class="n">none</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="configuring-the-clients">
+</section>
+<section id="configuring-the-clients">
 <h2>Configuring the clients<a class="headerlink" href="#configuring-the-clients" title="Permalink to this headline">¶</a></h2>
 <p>Client hosts must be configured to trust the issuing authority for the
 KDC certificate.  For a newly established certificate authority, the
 client host must have filesystem access to the CA certificate
 (cacert.pem) and the following relation in <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> in the
 appropriate <a class="reference internal" href="conf_files/krb5_conf.html#realms"><span class="std std-ref">[realms]</span></a> subsection (with appropriate pathnames):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">cacert</span><span class="o">.</span><span class="n">pem</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">cacert</span><span class="o">.</span><span class="n">pem</span>
 </pre></div>
 </div>
 <p>If the KDC certificate is a commercially issued server certificate,
 the issuing certificate is most likely included in a system directory.
 You can specify it by filename as above, or specify the whole
 directory like so:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">DIR</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">ssl</span><span class="o">/</span><span class="n">certs</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pkinit_anchors</span> <span class="o">=</span> <span class="n">DIR</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">ssl</span><span class="o">/</span><span class="n">certs</span>
 </pre></div>
 </div>
 <p>A commercially issued server certificate will usually not have the
 standard PKINIT principal name or Extended Key Usage extensions, so
 the following additional configuration is required:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">pkinit_eku_checking</span> <span class="o">=</span> <span class="n">kpServerAuth</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pkinit_eku_checking</span> <span class="o">=</span> <span class="n">kpServerAuth</span>
 <span class="n">pkinit_kdc_hostname</span> <span class="o">=</span> <span class="n">hostname</span><span class="o">.</span><span class="n">of</span><span class="o">.</span><span class="n">kdc</span><span class="o">.</span><span class="n">certificate</span>
 </pre></div>
 </div>
@@ -319,13 +310,13 @@ client host must have filesystem access
 Configure the following relations in the client host’s
 <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> file in the appropriate <a class="reference internal" href="conf_files/krb5_conf.html#realms"><span class="std std-ref">[realms]</span></a> subsection
 (with appropriate pathnames):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">pkinit_identities</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">client</span><span class="o">.</span><span class="n">pem</span><span class="p">,</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">clientkey</span><span class="o">.</span><span class="n">pem</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pkinit_identities</span> <span class="o">=</span> <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">client</span><span class="o">.</span><span class="n">pem</span><span class="p">,</span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">clientkey</span><span class="o">.</span><span class="n">pem</span>
 </pre></div>
 </div>
 <p>If the KDC and client are properly configured, it should now be
-possible to run <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">username</span></code> without entering a password.</p>
-</div>
-<div class="section" id="anonymous-pkinit">
+possible to run <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">username</span></code> without entering a password.</p>
+</section>
+<section id="anonymous-pkinit">
 <span id="id1"></span><h2>Anonymous PKINIT<a class="headerlink" href="#anonymous-pkinit" title="Permalink to this headline">¶</a></h2>
 <p>Anonymity support in Kerberos allows a client to obtain a ticket
 without authenticating as any particular principal.  Such a ticket can
@@ -342,8 +333,8 @@ possibly <strong>pkinit_kdc_hostname</st
 to trust the issuing authority for the KDC certificate, but do not
 need to set the <strong>pkinit_identities</strong> variable.</p>
 <p>Anonymity support is not enabled by default.  To enable it, you must
-create the principal <code class="docutils literal"><span class="pre">WELLKNOWN/ANONYMOUS</span></code> using the command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">q</span> <span class="s1">&#39;addprinc -randkey WELLKNOWN/ANONYMOUS&#39;</span>
+create the principal <code class="docutils literal notranslate"><span class="pre">WELLKNOWN/ANONYMOUS</span></code> using the command:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span> <span class="o">-</span><span class="n">q</span> <span class="s1">&#39;addprinc -randkey WELLKNOWN/ANONYMOUS&#39;</span>
 </pre></div>
 </div>
 <p>Some Kerberos deployments include application servers which lack
@@ -352,14 +343,14 @@ can authenticate.  In such an environmen
 on the KDC would present a security issue.  If you need to enable
 anonymity support for TGTs (for use as FAST armor tickets) without
 enabling anonymous authentication to application servers, you can set
-the variable <strong>restrict_anonymous_to_tgt</strong> to <code class="docutils literal"><span class="pre">true</span></code> in the
+the variable <strong>restrict_anonymous_to_tgt</strong> to <code class="docutils literal notranslate"><span class="pre">true</span></code> in the
 appropriate <a class="reference internal" href="conf_files/kdc_conf.html#kdc-realms"><span class="std std-ref">[realms]</span></a> subsection of the KDC’s
 <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> file.</p>
-<p>To obtain anonymous credentials on a client, run <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-n</span></code>, or
-<code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-n</span> <span class="pre">&#64;REALMNAME</span></code> to specify a realm.  The resulting tickets
-will have the client name <code class="docutils literal"><span class="pre">WELLKNOWN/ANONYMOUS&#64;WELLKNOWN:ANONYMOUS</span></code>.</p>
-</div>
-<div class="section" id="freshness-tokens">
+<p>To obtain anonymous credentials on a client, run <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-n</span></code>, or
+<code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-n</span> <span class="pre">&#64;REALMNAME</span></code> to specify a realm.  The resulting tickets
+will have the client name <code class="docutils literal notranslate"><span class="pre">WELLKNOWN/ANONYMOUS&#64;WELLKNOWN:ANONYMOUS</span></code>.</p>
+</section>
+<section id="freshness-tokens">
 <h2>Freshness tokens<a class="headerlink" href="#freshness-tokens" title="Permalink to this headline">¶</a></h2>
 <p>Freshness tokens can ensure that the client has recently had access to
 its certificate private key.  If freshness tokens are not required by
@@ -370,25 +361,27 @@ client and are sent by the KDC when the
 them.  Because not all clients support freshness tokens yet, they are
 not required by default.  To check if freshness tokens are supported
 by a realm’s clients, look in the KDC logs for the lines:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">PKINIT</span><span class="p">:</span> <span class="n">freshness</span> <span class="n">token</span> <span class="n">received</span> <span class="kn">from</span> <span class="o">&lt;</span><span class="n">client</span> <span class="n">principal</span><span class="o">&gt;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">PKINIT</span><span class="p">:</span> <span class="n">freshness</span> <span class="n">token</span> <span class="n">received</span> <span class="kn">from</span> <span class="o">&lt;</span><span class="n">client</span> <span class="n">principal</span><span class="o">&gt;</span>
 <span class="n">PKINIT</span><span class="p">:</span> <span class="n">no</span> <span class="n">freshness</span> <span class="n">token</span> <span class="n">received</span> <span class="kn">from</span> <span class="o">&lt;</span><span class="n">client</span> <span class="n">principal</span><span class="o">&gt;</span>
 </pre></div>
 </div>
 <p>To require freshness tokens for all clients in a realm (except for
 clients authenticating anonymously), set the
-<strong>pkinit_require_freshness</strong> variable to <code class="docutils literal"><span class="pre">true</span></code> in the appropriate
+<strong>pkinit_require_freshness</strong> variable to <code class="docutils literal notranslate"><span class="pre">true</span></code> in the appropriate
 <a class="reference internal" href="conf_files/kdc_conf.html#kdc-realms"><span class="std std-ref">[realms]</span></a> subsection of the KDC’s <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> file.  To
-test that this option is in effect, run <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-X</span> <span class="pre">disable_freshness</span></code>
+test that this option is in effect, run <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-X</span> <span class="pre">disable_freshness</span></code>
 and verify that authentication is unsuccessful.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">PKINIT configuration</a><ul>
@@ -457,6 +450,7 @@ and verify that authentication is unsucc
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -464,8 +458,8 @@ and verify that authentication is unsucc
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/princ_dns.html 1.21.3-1/doc/html/admin/princ_dns.html
--- 1.21.2-1/doc/html/admin/princ_dns.html	2023-08-14 16:17:35.000000000 +0000
+++ 1.21.3-1/doc/html/admin/princ_dns.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Principal names and DNS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Encryption types" href="enctypes.html" />
     <link rel="prev" title="Addressing dictionary attack risks" href="dictionary.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,17 +52,17 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="principal-names-and-dns">
+  <section id="principal-names-and-dns">
 <h1>Principal names and DNS<a class="headerlink" href="#principal-names-and-dns" title="Permalink to this headline">¶</a></h1>
 <p>Kerberos clients can do DNS lookups to canonicalize service principal
 names.  This can cause difficulties when setting up Kerberos
 application servers, especially when the client’s name for the service
 is different from what the service thinks its name is.</p>
-<div class="section" id="service-principal-names">
+<section id="service-principal-names">
 <h2>Service principal names<a class="headerlink" href="#service-principal-names" title="Permalink to this headline">¶</a></h2>
 <p>A frequently used kind of principal name is the host-based service
 principal name.  This kind of principal name has two components: a
-service name and a hostname.  For example, <code class="docutils literal"><span class="pre">imap/imap.example.com</span></code>
+service name and a hostname.  For example, <code class="docutils literal notranslate"><span class="pre">imap/imap.example.com</span></code>
 is the principal name of the “imap” service on the host
 “imap.example.com”.  Other possible service names for the first
 component include “host” (remote login services such as ssh), “HTTP”,
@@ -83,52 +74,52 @@ deploying services.  For example, a shel
 “long-vanity-hostname.example.com”, but users will naturally prefer to
 type something like “login.example.com”.  Hostname aliases also allow
 for administrators to set up load balancing for some sorts of services
-based on rotating <code class="docutils literal"><span class="pre">CNAME</span></code> records in DNS.</p>
-</div>
-<div class="section" id="service-principal-canonicalization">
+based on rotating <code class="docutils literal notranslate"><span class="pre">CNAME</span></code> records in DNS.</p>
+</section>
+<section id="service-principal-canonicalization">
 <h2>Service principal canonicalization<a class="headerlink" href="#service-principal-canonicalization" title="Permalink to this headline">¶</a></h2>
 <p>In the MIT krb5 client library, canonicalization of host-based service
 principals is controlled by the <strong>dns_canonicalize_hostname</strong>,
 <strong>rnds</strong>, and <strong>qualify_shortname</strong> variables in <a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</p>
-<p>If <strong>dns_canonicalize_hostname</strong> is set to <code class="docutils literal"><span class="pre">true</span></code> (the default
+<p>If <strong>dns_canonicalize_hostname</strong> is set to <code class="docutils literal notranslate"><span class="pre">true</span></code> (the default
 value), the client performs forward resolution by looking up the IPv4
-and/or IPv6 addresses of the hostname using <code class="docutils literal"><span class="pre">getaddrinfo()</span></code>.  This
+and/or IPv6 addresses of the hostname using <code class="docutils literal notranslate"><span class="pre">getaddrinfo()</span></code>.  This
 process will typically add a domain suffix to the hostname if needed,
 and follow CNAME records in the DNS.  If <strong>rdns</strong> is also set to
-<code class="docutils literal"><span class="pre">true</span></code> (the default), the client will then perform a reverse lookup
-of the first returned Internet address using <code class="docutils literal"><span class="pre">getnameinfo()</span></code>,
+<code class="docutils literal notranslate"><span class="pre">true</span></code> (the default), the client will then perform a reverse lookup
+of the first returned Internet address using <code class="docutils literal notranslate"><span class="pre">getnameinfo()</span></code>,
 finding the name associated with the PTR record.</p>
-<p>If <strong>dns_canonicalize_hostname</strong> is set to <code class="docutils literal"><span class="pre">false</span></code>, the hostname is
+<p>If <strong>dns_canonicalize_hostname</strong> is set to <code class="docutils literal notranslate"><span class="pre">false</span></code>, the hostname is
 not canonicalized using DNS.  If the hostname has only one component
 (i.e. it contains no “.” characters), the host’s primary DNS search
 domain will be appended, if there is one.  The <strong>qualify_shortname</strong>
 variable can be used to override or disable this suffix.</p>
-<p>If <strong>dns_canonicalize_hostname</strong> is set to <code class="docutils literal"><span class="pre">fallback</span></code> (added in
+<p>If <strong>dns_canonicalize_hostname</strong> is set to <code class="docutils literal notranslate"><span class="pre">fallback</span></code> (added in
 release 1.18), the hostname is initially treated according to the
-rules for <code class="docutils literal"><span class="pre">dns_canonicalize_hostname=false</span></code>.  If a ticket request
+rules for <code class="docutils literal notranslate"><span class="pre">dns_canonicalize_hostname=false</span></code>.  If a ticket request
 fails because the service principal is unknown, the hostname will be
 canonicalized according to the rules for
-<code class="docutils literal"><span class="pre">dns_canonicalize_hostname=true</span></code> and the request will be retried.</p>
+<code class="docutils literal notranslate"><span class="pre">dns_canonicalize_hostname=true</span></code> and the request will be retried.</p>
 <p>In all cases, the hostname is converted to lowercase, and any trailing
 dot is removed.</p>
-</div>
-<div class="section" id="reverse-dns-mismatches">
+</section>
+<section id="reverse-dns-mismatches">
 <h2>Reverse DNS mismatches<a class="headerlink" href="#reverse-dns-mismatches" title="Permalink to this headline">¶</a></h2>
 <p>Sometimes, an enterprise will have control over its forward DNS but
 not its reverse DNS.  The reverse DNS is sometimes under the control
 of the Internet service provider of the enterprise, and the enterprise
 may not have much influence in setting up reverse DNS records for its
 address space.  If there are difficulties with getting forward and
-reverse DNS to match, it is best to set <code class="docutils literal"><span class="pre">rdns</span> <span class="pre">=</span> <span class="pre">false</span></code> on client
+reverse DNS to match, it is best to set <code class="docutils literal notranslate"><span class="pre">rdns</span> <span class="pre">=</span> <span class="pre">false</span></code> on client
 machines.</p>
-</div>
-<div class="section" id="overriding-application-behavior">
+</section>
+<section id="overriding-application-behavior">
 <h2>Overriding application behavior<a class="headerlink" href="#overriding-application-behavior" title="Permalink to this headline">¶</a></h2>
 <p>Applications can choose to use a default hostname component in their
 service principal name when accepting authentication, which avoids
 some sorts of hostname mismatches.  Because not all relevant
 applications do this yet, using the <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> setting:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
     <span class="n">ignore_acceptor_hostname</span> <span class="o">=</span> <span class="n">true</span>
 </pre></div>
 </div>
@@ -137,44 +128,46 @@ of service principal hostname and will a
 accept incoming authentications using any key in its keytab that
 matches the service name and realm name (if given).  This setting
 defaults to “false” and is available in releases krb5-1.10 and later.</p>
-</div>
-<div class="section" id="provisioning-keytabs">
+</section>
+<section id="provisioning-keytabs">
 <h2>Provisioning keytabs<a class="headerlink" href="#provisioning-keytabs" title="Permalink to this headline">¶</a></h2>
 <p>One service principal entry that should be in the keytab is a
 principal whose hostname component is the canonical hostname that
-<code class="docutils literal"><span class="pre">getaddrinfo()</span></code> reports for all known aliases for the host.  If the
+<code class="docutils literal notranslate"><span class="pre">getaddrinfo()</span></code> reports for all known aliases for the host.  If the
 reverse DNS information does not match this canonical hostname, an
 additional service principal entry should be in the keytab for this
 different hostname.</p>
-</div>
-<div class="section" id="specific-application-advice">
+</section>
+<section id="specific-application-advice">
 <h2>Specific application advice<a class="headerlink" href="#specific-application-advice" title="Permalink to this headline">¶</a></h2>
-<div class="section" id="secure-shell-ssh">
+<section id="secure-shell-ssh">
 <h3>Secure shell (ssh)<a class="headerlink" href="#secure-shell-ssh" title="Permalink to this headline">¶</a></h3>
-<p>Setting <code class="docutils literal"><span class="pre">GSSAPIStrictAcceptorCheck</span> <span class="pre">=</span> <span class="pre">no</span></code> in the configuration file
+<p>Setting <code class="docutils literal notranslate"><span class="pre">GSSAPIStrictAcceptorCheck</span> <span class="pre">=</span> <span class="pre">no</span></code> in the configuration file
 of modern versions of the openssh daemon will allow the daemon to try
 any key in its keytab when accepting a connection, rather than looking
 for the keytab entry that matches the host’s own idea of its name
-(typically the name that <code class="docutils literal"><span class="pre">gethostname()</span></code> returns).  This requires
+(typically the name that <code class="docutils literal notranslate"><span class="pre">gethostname()</span></code> returns).  This requires
 krb5-1.10 or later.</p>
-</div>
-<div class="section" id="openldap-ldapsearch-etc">
+</section>
+<section id="openldap-ldapsearch-etc">
 <h3>OpenLDAP (ldapsearch, etc.)<a class="headerlink" href="#openldap-ldapsearch-etc" title="Permalink to this headline">¶</a></h3>
 <p>OpenLDAP’s SASL implementation performs reverse DNS lookup in order to
 canonicalize service principal names, even if <strong>rdns</strong> is set to
-<code class="docutils literal"><span class="pre">false</span></code> in the Kerberos configuration.  To disable this behavior,
-add <code class="docutils literal"><span class="pre">SASL_NOCANON</span> <span class="pre">on</span></code> to <code class="docutils literal"><span class="pre">ldap.conf</span></code>, or set the
-<code class="docutils literal"><span class="pre">LDAPSASL_NOCANON</span></code> environment variable.</p>
-</div>
-</div>
-</div>
+<code class="docutils literal notranslate"><span class="pre">false</span></code> in the Kerberos configuration.  To disable this behavior,
+add <code class="docutils literal notranslate"><span class="pre">SASL_NOCANON</span> <span class="pre">on</span></code> to <code class="docutils literal notranslate"><span class="pre">ldap.conf</span></code>, or set the
+<code class="docutils literal notranslate"><span class="pre">LDAPSASL_NOCANON</span></code> environment variable.</p>
+</section>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Principal names and DNS</a><ul>
@@ -243,6 +236,7 @@ add <code class="docutils literal"><span
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -250,8 +244,8 @@ add <code class="docutils literal"><span
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/realm_config.html 1.21.3-1/doc/html/admin/realm_config.html
--- 1.21.2-1/doc/html/admin/realm_config.html	2023-08-14 16:17:35.000000000 +0000
+++ 1.21.3-1/doc/html/admin/realm_config.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Realm configuration decisions &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Database administration" href="database.html" />
     <link rel="prev" title="kadm5.acl" href="conf_files/kadm5_acl.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,38 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="realm-configuration-decisions">
+  <section id="realm-configuration-decisions">
 <h1>Realm configuration decisions<a class="headerlink" href="#realm-configuration-decisions" title="Permalink to this headline">¶</a></h1>
 <p>Before installing Kerberos V5, it is necessary to consider the
 following issues:</p>
 <ul class="simple">
-<li>The name of your Kerberos realm (or the name of each realm, if you
-need more than one).</li>
-<li>How you will assign your hostnames to Kerberos realms.</li>
-<li>Which ports your KDC and and kadmind services will use, if they will
-not be using the default ports.</li>
-<li>How many replica KDCs you need and where they should be located.</li>
-<li>The hostnames of your primary and replica KDCs.</li>
-<li>How frequently you will propagate the database from the primary KDC
-to the replica KDCs.</li>
+<li><p>The name of your Kerberos realm (or the name of each realm, if you
+need more than one).</p></li>
+<li><p>How you will assign your hostnames to Kerberos realms.</p></li>
+<li><p>Which ports your KDC and and kadmind services will use, if they will
+not be using the default ports.</p></li>
+<li><p>How many replica KDCs you need and where they should be located.</p></li>
+<li><p>The hostnames of your primary and replica KDCs.</p></li>
+<li><p>How frequently you will propagate the database from the primary KDC
+to the replica KDCs.</p></li>
 </ul>
-<div class="section" id="realm-name">
+<section id="realm-name">
 <h2>Realm name<a class="headerlink" href="#realm-name" title="Permalink to this headline">¶</a></h2>
 <p>Although your Kerberos realm can be any ASCII string, convention is to
 make it the same as your domain name, in upper-case letters.</p>
-<p>For example, hosts in the domain <code class="docutils literal"><span class="pre">example.com</span></code> would be in the
+<p>For example, hosts in the domain <code class="docutils literal notranslate"><span class="pre">example.com</span></code> would be in the
 Kerberos realm:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
 </pre></div>
 </div>
 <p>If you need multiple Kerberos realms, MIT recommends that you use
 descriptive names which end with your domain name, such as:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">BOSTON</span><span class="o">.</span><span class="n">EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">BOSTON</span><span class="o">.</span><span class="n">EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">HOUSTON</span><span class="o">.</span><span class="n">EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="mapping-hostnames-onto-kerberos-realms">
+</section>
+<section id="mapping-hostnames-onto-kerberos-realms">
 <span id="mapping-hostnames"></span><h2>Mapping hostnames onto Kerberos realms<a class="headerlink" href="#mapping-hostnames-onto-kerberos-realms" title="Permalink to this headline">¶</a></h2>
 <p>Mapping hostnames onto Kerberos realms is done in one of three ways.</p>
 <p>The first mechanism works through a set of rules in the
@@ -117,12 +108,12 @@ fine-tune referral behavior on the KDC.<
 are disabled by default because DNS is an insecure protocol and security
 holes could result if DNS records are spoofed.  If enabled, the client
 will try to look up a TXT record formed by prepending the prefix
-<code class="docutils literal"><span class="pre">_kerberos</span></code> to the hostname in question.  If that record is not
-found, the client will attempt a lookup by prepending <code class="docutils literal"><span class="pre">_kerberos</span></code> to the
+<code class="docutils literal notranslate"><span class="pre">_kerberos</span></code> to the hostname in question.  If that record is not
+found, the client will attempt a lookup by prepending <code class="docutils literal notranslate"><span class="pre">_kerberos</span></code> to the
 host’s domain name, then its parent domain, up to the top-level domain.
-For the hostname <code class="docutils literal"><span class="pre">boston.engineering.example.com</span></code>, the names looked up
+For the hostname <code class="docutils literal notranslate"><span class="pre">boston.engineering.example.com</span></code>, the names looked up
 would be:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">_kerberos</span><span class="o">.</span><span class="n">boston</span><span class="o">.</span><span class="n">engineering</span><span class="o">.</span><span class="n">example</span><span class="o">.</span><span class="n">com</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">_kerberos</span><span class="o">.</span><span class="n">boston</span><span class="o">.</span><span class="n">engineering</span><span class="o">.</span><span class="n">example</span><span class="o">.</span><span class="n">com</span>
 <span class="n">_kerberos</span><span class="o">.</span><span class="n">engineering</span><span class="o">.</span><span class="n">example</span><span class="o">.</span><span class="n">com</span>
 <span class="n">_kerberos</span><span class="o">.</span><span class="n">example</span><span class="o">.</span><span class="n">com</span>
 <span class="n">_kerberos</span><span class="o">.</span><span class="n">com</span>
@@ -131,8 +122,8 @@ would be:</p>
 <p>The value of the first TXT record found is taken as the realm name.</p>
 <p>Even if you do not choose to use this mechanism within your site,
 you may wish to set it up anyway, for use when interacting with other sites.</p>
-</div>
-<div class="section" id="ports-for-the-kdc-and-admin-services">
+</section>
+<section id="ports-for-the-kdc-and-admin-services">
 <h2>Ports for the KDC and admin services<a class="headerlink" href="#ports-for-the-kdc-and-admin-services" title="Permalink to this headline">¶</a></h2>
 <p>The default ports used by Kerberos are port 88 for the KDC and port
 749 for the admin server.  You can, however, choose to run on other
@@ -141,8 +132,8 @@ ports, as long as they are specified in
 <a class="reference internal" href="conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a> file on each KDC.  For a more thorough treatment of
 port numbers used by the Kerberos V5 programs, refer to the
 <a class="reference internal" href="appl_servers.html#conf-firewall"><span class="std std-ref">Configuring your firewall to work with Kerberos V5</span></a>.</p>
-</div>
-<div class="section" id="replica-kdcs">
+</section>
+<section id="replica-kdcs">
 <h2>Replica KDCs<a class="headerlink" href="#replica-kdcs" title="Permalink to this headline">¶</a></h2>
 <p>Replica KDCs provide an additional source of Kerberos ticket-granting
 services in the event of inaccessibility of the primary KDC.  The
@@ -154,22 +145,22 @@ KDC.  Therefore, you need to anticipate
 be unavailable and have a replica KDC to take up the slack.</p>
 <p>Some considerations include:</p>
 <ul class="simple">
-<li>Have at least one replica KDC as a backup, for when the primary KDC
-is down, is being upgraded, or is otherwise unavailable.</li>
-<li>If your network is split such that a network outage is likely to
+<li><p>Have at least one replica KDC as a backup, for when the primary KDC
+is down, is being upgraded, or is otherwise unavailable.</p></li>
+<li><p>If your network is split such that a network outage is likely to
 cause a network partition (some segment or segments of the network
 to become cut off or isolated from other segments), have a replica
-KDC accessible to each segment.</li>
-<li>If possible, have at least one replica KDC in a different building
+KDC accessible to each segment.</p></li>
+<li><p>If possible, have at least one replica KDC in a different building
 from the primary, in case of power outages, fires, or other
-localized disasters.</li>
+localized disasters.</p></li>
 </ul>
-</div>
-<div class="section" id="hostnames-for-kdcs">
+</section>
+<section id="hostnames-for-kdcs">
 <span id="kdc-hostnames"></span><h2>Hostnames for KDCs<a class="headerlink" href="#hostnames-for-kdcs" title="Permalink to this headline">¶</a></h2>
 <p>MIT recommends that your KDCs have a predefined set of CNAME records
-(DNS hostname aliases), such as <code class="docutils literal"><span class="pre">kerberos</span></code> for the primary KDC and
-<code class="docutils literal"><span class="pre">kerberos-1</span></code>, <code class="docutils literal"><span class="pre">kerberos-2</span></code>, … for the replica KDCs.  This way,
+(DNS hostname aliases), such as <code class="docutils literal notranslate"><span class="pre">kerberos</span></code> for the primary KDC and
+<code class="docutils literal notranslate"><span class="pre">kerberos-1</span></code>, <code class="docutils literal notranslate"><span class="pre">kerberos-2</span></code>, … for the replica KDCs.  This way,
 if you need to swap a machine, you only need to change a DNS entry,
 rather than having to change hostnames.</p>
 <p>As of MIT krb5 1.4, clients can locate a realm’s KDCs through DNS
@@ -179,44 +170,44 @@ number to contact for that service, opti
 prioritization.  The domain name used in the SRV record name is the
 realm name.  Several different Kerberos-related service names are
 used:</p>
-<dl class="docutils">
-<dt>_kerberos._udp</dt>
-<dd>This is for contacting any KDC by UDP.  This entry will be used
+<dl>
+<dt>_kerberos._udp</dt><dd><p>This is for contacting any KDC by UDP.  This entry will be used
 the most often.  Normally you should list port 88 on each of your
-KDCs.</dd>
-<dt>_kerberos._tcp</dt>
-<dd>This is for contacting any KDC by TCP.  Normally you should use
+KDCs.</p>
+</dd>
+<dt>_kerberos._tcp</dt><dd><p>This is for contacting any KDC by TCP.  Normally you should use
 port 88.  This entry should be omitted if the KDC does not listen
-on TCP ports, as was the default prior to release 1.13.</dd>
-<dt>_kerberos-master._udp</dt>
-<dd><p class="first">This entry should refer to those KDCs, if any, that will
+on TCP ports, as was the default prior to release 1.13.</p>
+</dd>
+<dt>_kerberos-master._udp</dt><dd><p>This entry should refer to those KDCs, if any, that will
 immediately see password changes to the Kerberos database.  If a
 user is logging in and the password appears to be incorrect, the
 client will retry with the primary KDC before failing with an
 “incorrect password” error given.</p>
-<p class="last">If you have only one KDC, or for whatever reason there is no
+<p>If you have only one KDC, or for whatever reason there is no
 accessible KDC that would get database changes faster than the
-others, you do not need to define this entry.  _kerberos-adm._tcp
-This should list port 749 on your primary KDC.  Support for it is
+others, you do not need to define this entry.</p>
+</dd>
+<dt>_kerberos-adm._tcp</dt><dd><p>This should list port 749 on your primary KDC.  Support for it is
 not complete at this time, but it will eventually be used by the
 <a class="reference internal" href="admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> program and related utilities.  For now, you will
 also need the <strong>admin_server</strong> variable in <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.</p>
 </dd>
-<dt>_kerberos-master._tcp</dt>
-<dd>The corresponding TCP port for _kerberos-master._udp, assuming the
-primary KDC listens on a TCP port.</dd>
-<dt>_kpasswd._udp</dt>
-<dd>This entry should list port 464 on your primary KDC.  It is used
+<dt>_kerberos-master._tcp</dt><dd><p>The corresponding TCP port for _kerberos-master._udp, assuming the
+primary KDC listens on a TCP port.</p>
+</dd>
+<dt>_kpasswd._udp</dt><dd><p>This entry should list port 464 on your primary KDC.  It is used
 when a user changes her password.  If this entry is not defined
 but a _kerberos-adm._tcp entry is defined, the client will use the
-_kerberos-adm._tcp entry with the port number changed to 464.</dd>
-<dt>_kpasswd._tcp</dt>
-<dd>The corresponding TCP port for _kpasswd._udp.</dd>
+_kerberos-adm._tcp entry with the port number changed to 464.</p>
+</dd>
+<dt>_kpasswd._tcp</dt><dd><p>The corresponding TCP port for _kpasswd._udp.</p>
+</dd>
 </dl>
 <p>The DNS SRV specification requires that the hostnames listed be the
 canonical names, not aliases.  So, for example, you might include the
 following records in your (BIND-style) zone file:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>$ORIGIN foobar.com.
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ORIGIN foobar.com.
 _kerberos               TXT       &quot;FOOBAR.COM&quot;
 kerberos                CNAME     daisy
 kerberos-1              CNAME     use-the-force-luke
@@ -235,8 +226,8 @@ using the <strong>kdc</strong>, <strong>
 <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.  Even if some clients will be configured with
 explicit server locations, providing SRV records will still benefit
 unconfigured clients, and be useful for other sites.</p>
-</div>
-<div class="section" id="kdc-discovery">
+</section>
+<section id="kdc-discovery">
 <span id="id1"></span><h2>KDC Discovery<a class="headerlink" href="#kdc-discovery" title="Permalink to this headline">¶</a></h2>
 <p>As of MIT krb5 1.15, clients can also locate KDCs in DNS through URI
 records (<span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc7553.html"><strong>RFC 7553</strong></a>).  Limitations with the SRV record format may
@@ -245,31 +236,31 @@ to other transport types, or find a prim
 can convey more information about a realm’s KDCs with a single query.</p>
 <p>The client performs a query for the following URI records:</p>
 <ul class="simple">
-<li><code class="docutils literal"><span class="pre">_kerberos.REALM</span></code> for finding KDCs.</li>
-<li><code class="docutils literal"><span class="pre">_kerberos-adm.REALM</span></code> for finding kadmin services.</li>
-<li><code class="docutils literal"><span class="pre">_kpasswd.REALM</span></code> for finding password services.</li>
+<li><p><code class="docutils literal notranslate"><span class="pre">_kerberos.REALM</span></code> for finding KDCs.</p></li>
+<li><p><code class="docutils literal notranslate"><span class="pre">_kerberos-adm.REALM</span></code> for finding kadmin services.</p></li>
+<li><p><code class="docutils literal notranslate"><span class="pre">_kpasswd.REALM</span></code> for finding password services.</p></li>
 </ul>
 <p>The URI record includes a priority, weight, and a URI string that
 consists of case-insensitive colon separated fields, in the form
-<code class="docutils literal"><span class="pre">scheme:[flags]:transport:residual</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">scheme:[flags]:transport:residual</span></code>.</p>
 <ul class="simple">
-<li><em>scheme</em> defines the registered URI type.  It should always be
-<code class="docutils literal"><span class="pre">krb5srv</span></code>.</li>
-<li><em>flags</em> contains zero or more flag characters.  Currently the only
-valid flag is <code class="docutils literal"><span class="pre">m</span></code>, which indicates that the record is for a
-primary server.</li>
-<li><em>transport</em> defines the transport type of the residual URL or
-address.  Accepted values are <code class="docutils literal"><span class="pre">tcp</span></code>, <code class="docutils literal"><span class="pre">udp</span></code>, or <code class="docutils literal"><span class="pre">kkdcp</span></code> for the
-MS-KKDCP type.</li>
-<li><em>residual</em> contains the hostname, IP address, or URL to be
+<li><p><em>scheme</em> defines the registered URI type.  It should always be
+<code class="docutils literal notranslate"><span class="pre">krb5srv</span></code>.</p></li>
+<li><p><em>flags</em> contains zero or more flag characters.  Currently the only
+valid flag is <code class="docutils literal notranslate"><span class="pre">m</span></code>, which indicates that the record is for a
+primary server.</p></li>
+<li><p><em>transport</em> defines the transport type of the residual URL or
+address.  Accepted values are <code class="docutils literal notranslate"><span class="pre">tcp</span></code>, <code class="docutils literal notranslate"><span class="pre">udp</span></code>, or <code class="docutils literal notranslate"><span class="pre">kkdcp</span></code> for the
+MS-KKDCP type.</p></li>
+<li><p><em>residual</em> contains the hostname, IP address, or URL to be
 contacted using the specified transport, with an optional port
 extension.  The MS-KKDCP transport type uses a HTTPS URL, and can
-include a port and/or path extension.</li>
+include a port and/or path extension.</p></li>
 </ul>
 <p>An example of URI records in a zone file:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">_kerberos</span><span class="o">.</span><span class="n">EXAMPLE</span><span class="o">.</span><span class="n">COM</span>  <span class="n">URI</span>  <span class="mi">10</span> <span class="mi">1</span> <span class="n">krb5srv</span><span class="p">:</span><span class="n">m</span><span class="p">:</span><span class="n">tcp</span><span class="p">:</span><span class="n">kdc1</span><span class="o">.</span><span class="n">example</span><span class="o">.</span><span class="n">com</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">_kerberos</span><span class="o">.</span><span class="n">EXAMPLE</span><span class="o">.</span><span class="n">COM</span>  <span class="n">URI</span>  <span class="mi">10</span> <span class="mi">1</span> <span class="n">krb5srv</span><span class="p">:</span><span class="n">m</span><span class="p">:</span><span class="n">tcp</span><span class="p">:</span><span class="n">kdc1</span><span class="o">.</span><span class="n">example</span><span class="o">.</span><span class="n">com</span>
                        <span class="n">URI</span>  <span class="mi">20</span> <span class="mi">1</span> <span class="n">krb5srv</span><span class="p">:</span><span class="n">m</span><span class="p">:</span><span class="n">udp</span><span class="p">:</span><span class="n">kdc2</span><span class="o">.</span><span class="n">example</span><span class="o">.</span><span class="n">com</span><span class="p">:</span><span class="mi">89</span>
-                       <span class="n">URI</span>  <span class="mi">40</span> <span class="mi">1</span> <span class="n">krb5srv</span><span class="p">::</span><span class="n">udp</span><span class="p">:</span><span class="mf">10.10</span><span class="o">.</span><span class="mf">0.23</span>
+                       <span class="n">URI</span>  <span class="mi">40</span> <span class="mi">1</span> <span class="n">krb5srv</span><span class="p">::</span><span class="n">udp</span><span class="p">:</span><span class="mf">10.10.0.23</span>
                        <span class="n">URI</span>  <span class="mi">30</span> <span class="mi">1</span> <span class="n">krb5srv</span><span class="p">::</span><span class="n">kkdcp</span><span class="p">:</span><span class="n">https</span><span class="p">:</span><span class="o">//</span><span class="n">proxy</span><span class="p">:</span><span class="mi">89</span><span class="o">/</span><span class="n">auth</span>
 </pre></div>
 </div>
@@ -278,8 +269,8 @@ include a port and/or path extension.</l
 <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> to False.  When enabled, URI lookups take
 precedence over SRV lookups, falling back to SRV lookups if no URI
 records are found.</p>
-</div>
-<div class="section" id="database-propagation">
+</section>
+<section id="database-propagation">
 <span id="db-prop"></span><h2>Database propagation<a class="headerlink" href="#database-propagation" title="Permalink to this headline">¶</a></h2>
 <p>The Kerberos database resides on the primary KDC, and must be
 propagated regularly (usually by a cron job) to the replica KDCs.  In
@@ -295,15 +286,17 @@ parallel.  To do this, have the primary
 one set of replicas, and then have each of these replicas propagate
 the database to additional replicas.</p>
 <p>See also <a class="reference internal" href="database.html#incr-db-prop"><span class="std std-ref">Incremental database propagation</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Realm configuration decisions</a><ul>
@@ -369,6 +362,7 @@ the database to additional replicas.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -376,8 +370,8 @@ the database to additional replicas.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/spake.html 1.21.3-1/doc/html/admin/spake.html
--- 1.21.2-1/doc/html/admin/spake.html	2023-08-14 16:17:35.000000000 +0000
+++ 1.21.3-1/doc/html/admin/spake.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>SPAKE Preauthentication &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Addressing dictionary attack risks" href="dictionary.html" />
     <link rel="prev" title="OTP Preauthentication" href="otp.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="spake-preauthentication">
+  <section id="spake-preauthentication">
 <span id="spake"></span><h1>SPAKE Preauthentication<a class="headerlink" href="#spake-preauthentication" title="Permalink to this headline">¶</a></h1>
 <p>SPAKE preauthentication (added in release 1.17) uses public key
 cryptography techniques to protect against <a class="reference internal" href="dictionary.html#dictionary"><span class="std std-ref">password dictionary
@@ -71,20 +62,20 @@ needs to be turned on.  Using SPAKE prea
 increase the CPU and network load on the KDC.</p>
 <p>SPAKE preauthentication can use one of four elliptic curve groups for
 its password-authenticated key exchange.  The recommended group is
-<code class="docutils literal"><span class="pre">edwards25519</span></code>; three NIST curves (<code class="docutils literal"><span class="pre">P-256</span></code>, <code class="docutils literal"><span class="pre">P-384</span></code>, and
-<code class="docutils literal"><span class="pre">P-521</span></code>) are also supported.</p>
-<p>By default, SPAKE with the <code class="docutils literal"><span class="pre">edwards25519</span></code> group is enabled on
+<code class="docutils literal notranslate"><span class="pre">edwards25519</span></code>; three NIST curves (<code class="docutils literal notranslate"><span class="pre">P-256</span></code>, <code class="docutils literal notranslate"><span class="pre">P-384</span></code>, and
+<code class="docutils literal notranslate"><span class="pre">P-521</span></code>) are also supported.</p>
+<p>By default, SPAKE with the <code class="docutils literal notranslate"><span class="pre">edwards25519</span></code> group is enabled on
 clients, but the KDC does not offer SPAKE by default.  To turn it on,
 set the <strong>spake_preauth_groups</strong> variable in <a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a> to a
 list of allowed groups.  This variable affects both the client and the
-KDC.  Simply setting it to <code class="docutils literal"><span class="pre">edwards25519</span></code> is recommended:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
+KDC.  Simply setting it to <code class="docutils literal notranslate"><span class="pre">edwards25519</span></code> is recommended:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">libdefaults</span><span class="p">]</span>
     <span class="n">spake_preauth_groups</span> <span class="o">=</span> <span class="n">edwards25519</span>
 </pre></div>
 </div>
 <p>Set the <strong>+requires_preauth</strong> and <strong>-allow_svr</strong> flags on client
 principal entries, as you would for any preauthentication mechanism:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">modprinc</span> <span class="o">+</span><span class="n">requires_preauth</span> <span class="o">-</span><span class="n">allow_svr</span> <span class="n">PRINCNAME</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">kadmin</span><span class="p">:</span> <span class="n">modprinc</span> <span class="o">+</span><span class="n">requires_preauth</span> <span class="o">-</span><span class="n">allow_svr</span> <span class="n">PRINCNAME</span>
 </pre></div>
 </div>
 <p>Clients which do not implement SPAKE preauthentication will fall back
@@ -93,7 +84,7 @@ to encrypted timestamp.</p>
 modifying the initial KDC response, defeating the protection against
 dictionary attacks.  To prevent this fallback on clients which do
 implement SPAKE preauthentication, set the
-<strong>disable_encrypted_timestamp</strong> variable to <code class="docutils literal"><span class="pre">true</span></code> in the
+<strong>disable_encrypted_timestamp</strong> variable to <code class="docutils literal notranslate"><span class="pre">true</span></code> in the
 <a class="reference internal" href="conf_files/krb5_conf.html#realms"><span class="std std-ref">[realms]</span></a> subsection for realms whose KDCs offer SPAKE
 preauthentication.</p>
 <p>By default, SPAKE preauthentication requires an extra network round
@@ -102,7 +93,7 @@ in a realm support SPAKE, this extra rou
 using an optimistic challenge, by setting the
 <strong>spake_preauth_kdc_challenge</strong> variable in <a class="reference internal" href="conf_files/kdc_conf.html#kdcdefaults"><span class="std std-ref">[kdcdefaults]</span></a> to a
 single group name:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[</span><span class="n">kdcdefaults</span><span class="p">]</span>
     <span class="n">spake_preauth_kdc_challenge</span> <span class="o">=</span> <span class="n">edwards25519</span>
 </pre></div>
 </div>
@@ -110,14 +101,16 @@ single group name:</p>
 initial authentication requests that do not result in SPAKE
 preauthentication, but will save work when SPAKE preauthentication is
 used.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">SPAKE Preauthentication</a></li>
@@ -174,6 +167,7 @@ used.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -181,8 +175,8 @@ used.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/troubleshoot.html 1.21.3-1/doc/html/admin/troubleshoot.html
--- 1.21.2-1/doc/html/admin/troubleshoot.html	2023-08-14 16:17:35.000000000 +0000
+++ 1.21.3-1/doc/html/admin/troubleshoot.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Troubleshooting &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Advanced topics" href="advanced/index.html" />
     <link rel="prev" title="Environment variables" href="env_variables.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,15 +52,15 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="troubleshooting">
+  <section id="troubleshooting">
 <span id="troubleshoot"></span><h1>Troubleshooting<a class="headerlink" href="#troubleshooting" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="trace-logging">
+<section id="trace-logging">
 <span id="id1"></span><h2>Trace logging<a class="headerlink" href="#trace-logging" title="Permalink to this headline">¶</a></h2>
 <p>Most programs using MIT krb5 1.9 or later can be made to provide
 information about internal krb5 library operations using trace
 logging.  To enable this, set the <strong>KRB5_TRACE</strong> environment variable
 to a filename before running the program.  On many operating systems,
-the filename <code class="docutils literal"><span class="pre">/dev/stdout</span></code> can be used to send trace logging output
+the filename <code class="docutils literal notranslate"><span class="pre">/dev/stdout</span></code> can be used to send trace logging output
 to standard output.</p>
 <p>Some programs do not honor <strong>KRB5_TRACE</strong>, either because they use
 secure library contexts (this generally applies to setuid programs and
@@ -77,7 +68,7 @@ parts of the login system) or because th
 trace logging system using the API.</p>
 <p>Here is a short example showing trace logging output for an invocation
 of the <a class="reference internal" href="../user/user_commands/kvno.html#kvno-1"><span class="std std-ref">kvno</span></a> command:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">env</span> <span class="n">KRB5_TRACE</span><span class="o">=/</span><span class="n">dev</span><span class="o">/</span><span class="n">stdout</span> <span class="n">kvno</span> <span class="n">krbtgt</span><span class="o">/</span><span class="n">KRBTEST</span><span class="o">.</span><span class="n">COM</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">env</span> <span class="n">KRB5_TRACE</span><span class="o">=/</span><span class="n">dev</span><span class="o">/</span><span class="n">stdout</span> <span class="n">kvno</span> <span class="n">krbtgt</span><span class="o">/</span><span class="n">KRBTEST</span><span class="o">.</span><span class="n">COM</span>
 <span class="p">[</span><span class="mi">9138</span><span class="p">]</span> <span class="mf">1332348778.823276</span><span class="p">:</span> <span class="n">Getting</span> <span class="n">credentials</span> <span class="n">user</span><span class="nd">@KRBTEST</span><span class="o">.</span><span class="n">COM</span> <span class="o">-&gt;</span>
     <span class="n">krbtgt</span><span class="o">/</span><span class="n">KRBTEST</span><span class="o">.</span><span class="n">COM</span><span class="nd">@KRBTEST</span><span class="o">.</span><span class="n">COM</span> <span class="n">using</span> <span class="n">ccache</span>
     <span class="n">FILE</span><span class="p">:</span><span class="o">/</span><span class="n">me</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">build</span><span class="o">/</span><span class="n">testdir</span><span class="o">/</span><span class="n">ccache</span>
@@ -87,38 +78,38 @@ of the <a class="reference internal" hre
 <span class="n">krbtgt</span><span class="o">/</span><span class="n">KRBTEST</span><span class="o">.</span><span class="n">COM</span><span class="nd">@KRBTEST</span><span class="o">.</span><span class="n">COM</span><span class="p">:</span> <span class="n">kvno</span> <span class="o">=</span> <span class="mi">1</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="list-of-errors">
+</section>
+<section id="list-of-errors">
 <h2>List of errors<a class="headerlink" href="#list-of-errors" title="Permalink to this headline">¶</a></h2>
-<div class="section" id="frequently-seen-errors">
+<section id="frequently-seen-errors">
 <h3>Frequently seen errors<a class="headerlink" href="#frequently-seen-errors" title="Permalink to this headline">¶</a></h3>
 <ol class="arabic simple">
-<li><a class="reference internal" href="#init-creds-etype-nosupp"><span class="std std-ref">KDC has no support for encryption type while getting initial credentials</span></a></li>
-<li><a class="reference internal" href="#cert-chain-etype-nosupp"><span class="std std-ref">credential verification failed: KDC has no support for encryption type</span></a></li>
-<li><a class="reference internal" href="#err-cert-chain-cert-expired"><span class="std std-ref">Cannot create cert chain: certificate has expired</span></a></li>
+<li><p><a class="reference internal" href="#init-creds-etype-nosupp"><span class="std std-ref">KDC has no support for encryption type while getting initial credentials</span></a></p></li>
+<li><p><a class="reference internal" href="#cert-chain-etype-nosupp"><span class="std std-ref">credential verification failed: KDC has no support for encryption type</span></a></p></li>
+<li><p><a class="reference internal" href="#err-cert-chain-cert-expired"><span class="std std-ref">Cannot create cert chain: certificate has expired</span></a></p></li>
 </ol>
-</div>
-<div class="section" id="errors-seen-by-admins">
+</section>
+<section id="errors-seen-by-admins">
 <h3>Errors seen by admins<a class="headerlink" href="#errors-seen-by-admins" title="Permalink to this headline">¶</a></h3>
 <ol class="arabic simple" id="prop-failed-start">
-<li><a class="reference internal" href="#kprop-no-route"><span class="std std-ref">kprop: No route to host while connecting to server</span></a></li>
-<li><a class="reference internal" href="#kprop-con-refused"><span class="std std-ref">kprop: Connection refused while connecting to server</span></a></li>
-<li><a class="reference internal" href="#kprop-sendauth-exchange"><span class="std std-ref">kprop: Server rejected authentication (during sendauth exchange) while authenticating to server</span></a></li>
+<li><p><a class="reference internal" href="#kprop-no-route"><span class="std std-ref">kprop: No route to host while connecting to server</span></a></p></li>
+<li><p><a class="reference internal" href="#kprop-con-refused"><span class="std std-ref">kprop: Connection refused while connecting to server</span></a></p></li>
+<li><p><a class="reference internal" href="#kprop-sendauth-exchange"><span class="std std-ref">kprop: Server rejected authentication (during sendauth exchange) while authenticating to server</span></a></p></li>
 </ol>
 <hr class="docutils" id="prop-failed-end" />
-<div class="section" id="kdc-has-no-support-for-encryption-type-while-getting-initial-credentials">
+<section id="kdc-has-no-support-for-encryption-type-while-getting-initial-credentials">
 <span id="init-creds-etype-nosupp"></span><h4>KDC has no support for encryption type while getting initial credentials<a class="headerlink" href="#kdc-has-no-support-for-encryption-type-while-getting-initial-credentials" title="Permalink to this headline">¶</a></h4>
-</div>
-<div class="section" id="credential-verification-failed-kdc-has-no-support-for-encryption-type">
+</section>
+<section id="credential-verification-failed-kdc-has-no-support-for-encryption-type">
 <span id="cert-chain-etype-nosupp"></span><h4>credential verification failed: KDC has no support for encryption type<a class="headerlink" href="#credential-verification-failed-kdc-has-no-support-for-encryption-type" title="Permalink to this headline">¶</a></h4>
 <p>This most commonly happens when trying to use a principal with only
 DES keys, in a release (MIT krb5 1.7 or later) which disables DES by
 default.  DES encryption is considered weak due to its inadequate key
 size.  If you cannot migrate away from its use, you can re-enable DES
-by adding <code class="docutils literal"><span class="pre">allow_weak_crypto</span> <span class="pre">=</span> <span class="pre">true</span></code> to the <a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>
+by adding <code class="docutils literal notranslate"><span class="pre">allow_weak_crypto</span> <span class="pre">=</span> <span class="pre">true</span></code> to the <a class="reference internal" href="conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>
 section of <a class="reference internal" href="conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.</p>
-</div>
-<div class="section" id="cannot-create-cert-chain-certificate-has-expired">
+</section>
+<section id="cannot-create-cert-chain-certificate-has-expired">
 <span id="err-cert-chain-cert-expired"></span><h4>Cannot create cert chain: certificate has expired<a class="headerlink" href="#cannot-create-cert-chain-certificate-has-expired" title="Permalink to this headline">¶</a></h4>
 <p>This error message indicates that PKINIT authentication failed because
 the client certificate, KDC certificate, or one of the certificates in
@@ -133,42 +124,44 @@ appear in <a class="reference internal"
 release 1.12, as an error message from kinit or another program which
 gets initial tickets.  The error message is more likely to appear
 properly on the client if the principal entry has no long-term keys.</p>
-</div>
-<div class="section" id="kprop-no-route-to-host-while-connecting-to-server">
+</section>
+<section id="kprop-no-route-to-host-while-connecting-to-server">
 <span id="kprop-no-route"></span><h4>kprop: No route to host while connecting to server<a class="headerlink" href="#kprop-no-route-to-host-while-connecting-to-server" title="Permalink to this headline">¶</a></h4>
 <p>Make sure that the hostname of the replica KDC (as given to kprop) is
 correct, and that any firewalls between the primary and the replica
 allow a connection on port 754.</p>
-</div>
-<div class="section" id="kprop-connection-refused-while-connecting-to-server">
+</section>
+<section id="kprop-connection-refused-while-connecting-to-server">
 <span id="kprop-con-refused"></span><h4>kprop: Connection refused while connecting to server<a class="headerlink" href="#kprop-connection-refused-while-connecting-to-server" title="Permalink to this headline">¶</a></h4>
 <p>If the replica KDC is intended to run kpropd out of inetd, make sure
 that inetd is configured to accept krb5_prop connections.  inetd may
 need to be restarted or sent a SIGHUP to recognize the new
 configuration.  If the replica is intended to run kpropd in standalone
 mode, make sure that it is running.</p>
-</div>
-<div class="section" id="kprop-server-rejected-authentication-during-sendauth-exchange-while-authenticating-to-server">
+</section>
+<section id="kprop-server-rejected-authentication-during-sendauth-exchange-while-authenticating-to-server">
 <span id="kprop-sendauth-exchange"></span><h4>kprop: Server rejected authentication (during sendauth exchange) while authenticating to server<a class="headerlink" href="#kprop-server-rejected-authentication-during-sendauth-exchange-while-authenticating-to-server" title="Permalink to this headline">¶</a></h4>
 <p>Make sure that:</p>
 <ol class="arabic simple">
-<li>The time is synchronized between the primary and replica KDCs.</li>
-<li>The master stash file was copied from the primary to the expected
-location on the replica.</li>
-<li>The replica has a keytab file in the default location containing a
-<code class="docutils literal"><span class="pre">host</span></code> principal for the replica’s hostname.</li>
+<li><p>The time is synchronized between the primary and replica KDCs.</p></li>
+<li><p>The master stash file was copied from the primary to the expected
+location on the replica.</p></li>
+<li><p>The replica has a keytab file in the default location containing a
+<code class="docutils literal notranslate"><span class="pre">host</span></code> principal for the replica’s hostname.</p></li>
 </ol>
-</div>
-</div>
-</div>
-</div>
+</section>
+</section>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Troubleshooting</a><ul>
@@ -241,6 +234,7 @@ location on the replica.</li>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -248,8 +242,8 @@ location on the replica.</li>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/admin/various_envs.html 1.21.3-1/doc/html/admin/various_envs.html
--- 1.21.2-1/doc/html/admin/various_envs.html	2023-08-14 16:17:35.000000000 +0000
+++ 1.21.3-1/doc/html/admin/various_envs.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Various links &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="For application developers" href="../appdev/index.html" />
     <link rel="prev" title="Retiring DES" href="advanced/retiring-des.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,38 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="various-links">
+  <section id="various-links">
 <h1>Various links<a class="headerlink" href="#various-links" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="whitepapers">
+<section id="whitepapers">
 <h2>Whitepapers<a class="headerlink" href="#whitepapers" title="Permalink to this headline">¶</a></h2>
 <ol class="arabic simple">
-<li><a class="reference external" href="https://kerberos.org/software/whitepapers.html">https://kerberos.org/software/whitepapers.html</a></li>
+<li><p><a class="reference external" href="https://kerberos.org/software/whitepapers.html">https://kerberos.org/software/whitepapers.html</a></p></li>
 </ol>
-</div>
-<div class="section" id="tutorials">
+</section>
+<section id="tutorials">
 <h2>Tutorials<a class="headerlink" href="#tutorials" title="Permalink to this headline">¶</a></h2>
 <ol class="arabic simple">
-<li>Fulvio Ricciardi  &lt;<a class="reference external" href="https://www.kerberos.org/software/tutorial.html">https://www.kerberos.org/software/tutorial.html</a>&gt;_</li>
+<li><p>Fulvio Ricciardi  &lt;<a class="reference external" href="https://www.kerberos.org/software/tutorial.html">https://www.kerberos.org/software/tutorial.html</a>&gt;_</p></li>
 </ol>
-</div>
-<div class="section" id="troubleshooting">
+</section>
+<section id="troubleshooting">
 <h2>Troubleshooting<a class="headerlink" href="#troubleshooting" title="Permalink to this headline">¶</a></h2>
 <ol class="arabic simple">
-<li><a class="reference external" href="https://wiki.ncsa.illinois.edu/display/ITS/Windows+Kerberos+Troubleshooting">https://wiki.ncsa.illinois.edu/display/ITS/Windows+Kerberos+Troubleshooting</a></li>
-<li><a class="reference external" href="https://www.shrubbery.net/solaris9ab/SUNWaadm/SYSADV6/p27.html">https://www.shrubbery.net/solaris9ab/SUNWaadm/SYSADV6/p27.html</a></li>
-<li><a class="reference external" href="https://docs.oracle.com/cd/E19253-01/816-4557/trouble-1/index.html">https://docs.oracle.com/cd/E19253-01/816-4557/trouble-1/index.html</a></li>
-<li><a class="reference external" href="https://docs.microsoft.com/en-us/previous-versions/tn-archive/bb463167(v=technet.10">https://docs.microsoft.com/en-us/previous-versions/tn-archive/bb463167(v=technet.10</a>)#EBAA</li>
-<li><a class="reference external" href="https://bugs.launchpad.net/ubuntu/+source/libpam-heimdal/+bug/86528">https://bugs.launchpad.net/ubuntu/+source/libpam-heimdal/+bug/86528</a></li>
+<li><p><a class="reference external" href="https://wiki.ncsa.illinois.edu/display/ITS/Windows+Kerberos+Troubleshooting">https://wiki.ncsa.illinois.edu/display/ITS/Windows+Kerberos+Troubleshooting</a></p></li>
+<li><p><a class="reference external" href="https://www.shrubbery.net/solaris9ab/SUNWaadm/SYSADV6/p27.html">https://www.shrubbery.net/solaris9ab/SUNWaadm/SYSADV6/p27.html</a></p></li>
+<li><p><a class="reference external" href="https://docs.oracle.com/cd/E19253-01/816-4557/trouble-1/index.html">https://docs.oracle.com/cd/E19253-01/816-4557/trouble-1/index.html</a></p></li>
+<li><p><a class="reference external" href="https://docs.microsoft.com/en-us/previous-versions/tn-archive/bb463167(v=technet.10">https://docs.microsoft.com/en-us/previous-versions/tn-archive/bb463167(v=technet.10</a>)#EBAA</p></li>
+<li><p><a class="reference external" href="https://bugs.launchpad.net/ubuntu/+source/libpam-heimdal/+bug/86528">https://bugs.launchpad.net/ubuntu/+source/libpam-heimdal/+bug/86528</a></p></li>
 </ol>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Various links</a><ul>
@@ -154,6 +147,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +155,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/gssapi.html 1.21.3-1/doc/html/appdev/gssapi.html
--- 1.21.2-1/doc/html/appdev/gssapi.html	2023-08-14 16:17:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/gssapi.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Developing with GSSAPI &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Year 2038 considerations for uses of krb5_timestamp" href="y2038.html" />
     <link rel="prev" title="For application developers" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="developing-with-gssapi">
+  <section id="developing-with-gssapi">
 <h1>Developing with GSSAPI<a class="headerlink" href="#developing-with-gssapi" title="Permalink to this headline">¶</a></h1>
 <p>The GSSAPI (Generic Security Services API) allows applications to
 communicate securely using Kerberos 5 or other security mechanisms.
@@ -74,50 +65,50 @@ server program.</p>
 <p>This documentation will describe how various ways of using the
 GSSAPI will behave with the krb5 mechanism as implemented in MIT krb5,
 as well as krb5-specific extensions to the GSSAPI.</p>
-<div class="section" id="name-types">
+<section id="name-types">
 <h2>Name types<a class="headerlink" href="#name-types" title="Permalink to this headline">¶</a></h2>
 <p>A GSSAPI application can name a local or remote entity by calling
 <a class="reference external" href="https://tools.ietf.org/html/rfc2744.html#section-5.16">gss_import_name</a>, specifying a name type and a value.  The following
 name types are supported by the krb5 mechanism:</p>
 <ul class="simple">
-<li><strong>GSS_C_NT_HOSTBASED_SERVICE</strong>: The value should be a string of the
-form <code class="docutils literal"><span class="pre">service</span></code> or <code class="docutils literal"><span class="pre">service&#64;hostname</span></code>.  This is the most common
+<li><p><strong>GSS_C_NT_HOSTBASED_SERVICE</strong>: The value should be a string of the
+form <code class="docutils literal notranslate"><span class="pre">service</span></code> or <code class="docutils literal notranslate"><span class="pre">service&#64;hostname</span></code>.  This is the most common
 way to name target services when initiating a security context, and
-is the most likely name type to work across multiple mechanisms.</li>
-<li><strong>GSS_KRB5_NT_PRINCIPAL_NAME</strong>: The value should be a principal name
+is the most likely name type to work across multiple mechanisms.</p></li>
+<li><p><strong>GSS_KRB5_NT_PRINCIPAL_NAME</strong>: The value should be a principal name
 string.  This name type only works with the krb5 mechanism, and is
-defined in the <code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_krb5.h&gt;</span></code> header.</li>
-<li><strong>GSS_C_NT_USER_NAME</strong> or <strong>GSS_C_NULL_OID</strong>: The value is treated
+defined in the <code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_krb5.h&gt;</span></code> header.</p></li>
+<li><p><strong>GSS_C_NT_USER_NAME</strong> or <strong>GSS_C_NULL_OID</strong>: The value is treated
 as an unparsed principal name string, as above.  These name types
 may work with mechanisms other than krb5, but will have different
 interpretations in those mechanisms.  <strong>GSS_C_NT_USER_NAME</strong> is
 intended to be used with a local username, which will parse into a
-single-component principal in the default realm.</li>
-<li><strong>GSS_C_NT_ANONYMOUS</strong>: The value is ignored.  The anonymous
+single-component principal in the default realm.</p></li>
+<li><p><strong>GSS_C_NT_ANONYMOUS</strong>: The value is ignored.  The anonymous
 principal is used, allowing a client to authenticate to a server
 without asserting a particular identity (which may or may not be
-allowed by a particular server or Kerberos realm).</li>
-<li><strong>GSS_C_NT_MACHINE_UID_NAME</strong>: The value is uid_t object.  On
+allowed by a particular server or Kerberos realm).</p></li>
+<li><p><strong>GSS_C_NT_MACHINE_UID_NAME</strong>: The value is uid_t object.  On
 Unix-like systems, the username of the uid is looked up in the
 system user database and the resulting username is parsed as a
-principal name.</li>
-<li><strong>GSS_C_NT_STRING_UID_NAME</strong>: As above, but the value is a decimal
-string representation of the uid.</li>
-<li><strong>GSS_C_NT_EXPORT_NAME</strong>: The value must be the result of a
-<a class="reference external" href="https://tools.ietf.org/html/rfc2744.html#section-5.13">gss_export_name</a> call.</li>
-<li><strong>GSS_KRB5_NT_ENTERPRISE_NAME</strong>: The value should be a krb5
+principal name.</p></li>
+<li><p><strong>GSS_C_NT_STRING_UID_NAME</strong>: As above, but the value is a decimal
+string representation of the uid.</p></li>
+<li><p><strong>GSS_C_NT_EXPORT_NAME</strong>: The value must be the result of a
+<a class="reference external" href="https://tools.ietf.org/html/rfc2744.html#section-5.13">gss_export_name</a> call.</p></li>
+<li><p><strong>GSS_KRB5_NT_ENTERPRISE_NAME</strong>: The value should be a krb5
 enterprise name string (see <span class="target" id="index-3"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6806.html"><strong>RFC 6806</strong></a> section 5), in the form
-<code class="docutils literal"><span class="pre">user&#64;suffix</span></code>.  This name type is used to convey alias names, and
-is defined in the <code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_krb5.h&gt;</span></code> header.  (New in
-release 1.17.)</li>
-<li><strong>GSS_KRB5_NT_X509_CERT</strong>: The value should be an X.509 certificate
+<code class="docutils literal notranslate"><span class="pre">user&#64;suffix</span></code>.  This name type is used to convey alias names, and
+is defined in the <code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_krb5.h&gt;</span></code> header.  (New in
+release 1.17.)</p></li>
+<li><p><strong>GSS_KRB5_NT_X509_CERT</strong>: The value should be an X.509 certificate
 encoded according to <span class="target" id="index-4"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5280.html"><strong>RFC 5280</strong></a>.  This name form can be used for
 the desired_name parameter of gss_acquire_cred_impersonate_name(),
 to identify the S4U2Self user by certificate.  (New in release
-1.19.)</li>
+1.19.)</p></li>
 </ul>
-</div>
-<div class="section" id="initiator-credentials">
+</section>
+<section id="initiator-credentials">
 <h2>Initiator credentials<a class="headerlink" href="#initiator-credentials" title="Permalink to this headline">¶</a></h2>
 <p>A GSSAPI client application uses <a class="reference external" href="https://tools.ietf.org/html/rfc2744.html#section-5.19">gss_init_sec_context</a> to establish a
 security context.  The <em>initiator_cred_handle</em> parameter determines
@@ -129,7 +120,7 @@ initiator credential.  The call to <a cl
 not have a specific name preference.</p>
 <p>If the desired name for a krb5 initiator credential is a host-based
 name, it is converted to a principal name of the form
-<code class="docutils literal"><span class="pre">service/hostname</span></code> in the local realm, where <em>hostname</em> is the local
+<code class="docutils literal notranslate"><span class="pre">service/hostname</span></code> in the local realm, where <em>hostname</em> is the local
 hostname if not specified.  The hostname will be canonicalized using
 forward name resolution, and possibly also using reverse name
 resolution depending on the value of the <strong>rdns</strong> variable in
@@ -167,8 +158,8 @@ for the first principal in the default c
 client keytab, the resulting tickets will be stored in the default
 cache or collection, and will be refreshed by future calls to
 <a class="reference external" href="https://tools.ietf.org/html/rfc2744.html#section-5.2">gss_acquire_cred</a> as they approach their expire time.</p>
-</div>
-<div class="section" id="acceptor-names">
+</section>
+<section id="acceptor-names">
 <h2>Acceptor names<a class="headerlink" href="#acceptor-names" title="Permalink to this headline">¶</a></h2>
 <p>A GSSAPI server application uses <a class="reference external" href="https://tools.ietf.org/html/rfc2744.html#section-5.1">gss_accept_sec_context</a> to establish
 a security context based on tokens provided by the client.  The
@@ -190,37 +181,37 @@ keytab, just as if no acceptor credentia
 the most common choice is a host-based name.  If the host-based
 <em>desired_name</em> contains just a <em>service</em>, then clients will be allowed
 to authenticate to any host-based service principal (that is, a
-principal of the form <code class="docutils literal"><span class="pre">service/hostname&#64;REALM</span></code>) for the named
+principal of the form <code class="docutils literal notranslate"><span class="pre">service/hostname&#64;REALM</span></code>) for the named
 service, regardless of hostname or realm, as long as it is present in
 the default keytab.  If the input name contains both a <em>service</em> and a
 <em>hostname</em>, clients will be allowed to authenticate to any host-based
 principal for the named service and hostname, regardless of realm.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If a <em>hostname</em> is specified, it will be canonicalized
+<p class="admonition-title">Note</p>
+<p>If a <em>hostname</em> is specified, it will be canonicalized
 using forward name resolution, and possibly also using
 reverse name resolution depending on the value of the
 <strong>rdns</strong> variable in <a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If the <strong>ignore_acceptor_hostname</strong> variable in
+<p class="admonition-title">Note</p>
+<p>If the <strong>ignore_acceptor_hostname</strong> variable in
 <a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a> is enabled, then <em>hostname</em> will be
 ignored even if one is specified in the input name.</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">In MIT krb5 versions prior to 1.10, and in Heimdal’s
+<p class="admonition-title">Note</p>
+<p>In MIT krb5 versions prior to 1.10, and in Heimdal’s
 implementation of the krb5 mechanism, an input name with
 just a <em>service</em> is treated like an input name of
-<code class="docutils literal"><span class="pre">service&#64;localhostname</span></code>, where <em>localhostname</em> is the
+<code class="docutils literal notranslate"><span class="pre">service&#64;localhostname</span></code>, where <em>localhostname</em> is the
 string returned by gethostname().</p>
 </div>
 <p>If the <em>desired_name</em> is a krb5 principal name or a local system name
 type which is mapped to a krb5 principal name, clients will only be
 allowed to authenticate to that principal in the default keytab.</p>
-</div>
-<div class="section" id="name-attributes">
+</section>
+<section id="name-attributes">
 <h2>Name Attributes<a class="headerlink" href="#name-attributes" title="Permalink to this headline">¶</a></h2>
 <p>In release 1.8 or later, the <a class="reference external" href="https://tools.ietf.org/html/rfc6680.txt#section-7.4">gss_inquire_name</a> and
 <a class="reference external" href="https://tools.ietf.org/html/6680.html#section-7.5">gss_get_name_attribute</a> functions, specified in <span class="target" id="index-5"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6680.html"><strong>RFC 6680</strong></a>, can be
@@ -228,20 +219,20 @@ used to retrieve name attributes from th
 <a class="reference external" href="https://tools.ietf.org/html/rfc2744.html#section-5.1">gss_accept_sec_context</a>.  The following attributes are defined when
 the krb5 mechanism is used:</p>
 <ul class="simple" id="gssapi-authind-attr">
-<li>“auth-indicators” attribute:</li>
+<li><p>“auth-indicators” attribute:</p></li>
 </ul>
 <p>This attribute will be included in the <a class="reference external" href="https://tools.ietf.org/html/rfc6680.txt#section-7.4">gss_inquire_name</a> output if the
 ticket contains <a class="reference internal" href="../admin/auth_indicator.html#auth-indicator"><span class="std std-ref">authentication indicators</span></a>.
 One indicator is returned per invocation of <a class="reference external" href="https://tools.ietf.org/html/6680.html#section-7.5">gss_get_name_attribute</a>,
 so multiple invocations may be necessary to retrieve all of the
 indicators from the ticket.  (New in release 1.15.)</p>
-</div>
-<div class="section" id="credential-store-extensions">
+</section>
+<section id="credential-store-extensions">
 <h2>Credential store extensions<a class="headerlink" href="#credential-store-extensions" title="Permalink to this headline">¶</a></h2>
 <p>Beginning with release 1.11, the following GSSAPI extensions declared
-in <code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code> can be used to specify how credentials
+in <code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code> can be used to specify how credentials
 are acquired or stored:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">struct</span> <span class="n">gss_key_value_element_struct</span> <span class="p">{</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">struct</span> <span class="n">gss_key_value_element_struct</span> <span class="p">{</span>
     <span class="n">const</span> <span class="n">char</span> <span class="o">*</span><span class="n">key</span><span class="p">;</span>
     <span class="n">const</span> <span class="n">char</span> <span class="o">*</span><span class="n">value</span><span class="p">;</span>
 <span class="p">};</span>
@@ -279,33 +270,33 @@ are acquired or stored:</p>
 information about how the credentials should be obtained and stored.
 The following options are supported by the krb5 mechanism:</p>
 <ul class="simple">
-<li><strong>ccache</strong>: For acquiring initiator credentials, the name of the
+<li><p><strong>ccache</strong>: For acquiring initiator credentials, the name of the
 <a class="reference internal" href="../basic/ccache_def.html#ccache-definition"><span class="std std-ref">credential cache</span></a> to which the handle will
 refer.  For storing credentials, the name of the cache or collection
-where the credentials will be stored (see below).</li>
-<li><strong>client_keytab</strong>: For acquiring initiator credentials, the name of
+where the credentials will be stored (see below).</p></li>
+<li><p><strong>client_keytab</strong>: For acquiring initiator credentials, the name of
 the <a class="reference internal" href="../basic/keytab_def.html#keytab-definition"><span class="std std-ref">keytab</span></a> which will be used, if
-necessary, to refresh the credentials in the cache.</li>
-<li><strong>keytab</strong>: For acquiring acceptor credentials, the name of the
+necessary, to refresh the credentials in the cache.</p></li>
+<li><p><strong>keytab</strong>: For acquiring acceptor credentials, the name of the
 <a class="reference internal" href="../basic/keytab_def.html#keytab-definition"><span class="std std-ref">keytab</span></a> to which the handle will refer.
 In release 1.19 and later, this option also determines the keytab to
 be used for verification when initiator credentials are acquired
-using a password and verified.</li>
-<li><strong>password</strong>: For acquiring initiator credentials, this option
+using a password and verified.</p></li>
+<li><p><strong>password</strong>: For acquiring initiator credentials, this option
 instructs the mechanism to acquire fresh credentials into a unique
 memory credential cache.  This option may not be used with the
 <strong>ccache</strong> or <strong>client_keytab</strong> options, and a <em>desired_name</em> must
-be specified.  (New in release 1.19.)</li>
-<li><strong>rcache</strong>: For acquiring acceptor credentials, the name of the
+be specified.  (New in release 1.19.)</p></li>
+<li><p><strong>rcache</strong>: For acquiring acceptor credentials, the name of the
 <a class="reference internal" href="../basic/rcache_def.html#rcache-definition"><span class="std std-ref">replay cache</span></a> to be used when processing
-the initiator tokens.  (New in release 1.13.)</li>
-<li><strong>verify</strong>: For acquiring initiator credentials, this option
+the initiator tokens.  (New in release 1.13.)</p></li>
+<li><p><strong>verify</strong>: For acquiring initiator credentials, this option
 instructs the mechanism to verify the credentials by obtaining a
 ticket to a service with a known key.  The service key is obtained
 from the keytab specified with the <strong>keytab</strong> option or the default
 keytab.  The value may be the name of a principal in the keytab, or
-the empty string.  If the empty string is given, any <code class="docutils literal"><span class="pre">host</span></code>
-service principal in the keytab may be used.  (New in release 1.19.)</li>
+the empty string.  If the empty string is given, any <code class="docutils literal notranslate"><span class="pre">host</span></code>
+service principal in the keytab may be used.  (New in release 1.19.)</p></li>
 </ul>
 <p>In release 1.20 or later, if a collection name is specified for
 <strong>cache</strong> in a call to gss_store_cred_into(), an existing cache for
@@ -315,12 +306,12 @@ false and the selected credential cache
 <strong>GSS_S_DUPLICATE_ELEMENT</strong> error will be returned.  If <em>default_cred</em>
 is true, the primary cache of the collection will be switched to the
 selected cache.</p>
-</div>
-<div class="section" id="importing-and-exporting-credentials">
+</section>
+<section id="importing-and-exporting-credentials">
 <h2>Importing and exporting credentials<a class="headerlink" href="#importing-and-exporting-credentials" title="Permalink to this headline">¶</a></h2>
 <p>The following GSSAPI extensions can be used to import and export
-credentials (declared in <code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_export_cred</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
+credentials (declared in <code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>):</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_export_cred</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
                           <span class="n">gss_cred_id_t</span> <span class="n">cred_handle</span><span class="p">,</span>
                           <span class="n">gss_buffer_t</span> <span class="n">token</span><span class="p">);</span>
 
@@ -358,8 +349,8 @@ delegated credentials received by <a cla
 case, the contents of the credential cache are serialized, so that the
 resulting token may be imported even if the original memory credential
 cache no longer exists.</p>
-</div>
-<div class="section" id="constrained-delegation-s4u">
+</section>
+<section id="constrained-delegation-s4u">
 <h2>Constrained delegation (S4U)<a class="headerlink" href="#constrained-delegation-s4u" title="Permalink to this headline">¶</a></h2>
 <p>The Microsoft S4U2Self and S4U2Proxy Kerberos protocol extensions
 allow an intermediate service to acquire credentials from a client to
@@ -386,7 +377,7 @@ determine that the client’s ticket is
 will place <strong>GSS_C_NO_CREDENTIAL</strong> in <em>delegated_cred_handle</em>.</p>
 <p>To acquire a proxy credential using an S4U2Self request, the service
 can use the following GSSAPI extension:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_acquire_cred_impersonate_name</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_acquire_cred_impersonate_name</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
                                             <span class="n">gss_cred_id_t</span> <span class="n">icred</span><span class="p">,</span>
                                             <span class="n">gss_name_t</span> <span class="n">desired_name</span><span class="p">,</span>
                                             <span class="n">OM_uint32</span> <span class="n">time_req</span><span class="p">,</span>
@@ -419,10 +410,10 @@ service.</p>
 <p>If an application needs to find out whether a credential it holds is a
 proxy credential and the name of the intermediate service, it can
 query the credential with the <strong>GSS_KRB5_GET_CRED_IMPERSONATOR</strong> OID
-(new in release 1.16, declared in <code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_krb5.h&gt;</span></code>) using
+(new in release 1.16, declared in <code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_krb5.h&gt;</span></code>) using
 the gss_inquire_cred_by_oid extension (declared in
-<code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_inquire_cred_by_oid</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
+<code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>):</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_inquire_cred_by_oid</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
                                   <span class="n">const</span> <span class="n">gss_cred_id_t</span> <span class="n">cred_handle</span><span class="p">,</span>
                                   <span class="n">gss_OID</span> <span class="n">desired_object</span><span class="p">,</span>
                                   <span class="n">gss_buffer_set_t</span> <span class="o">*</span><span class="n">data_set</span><span class="p">);</span>
@@ -434,14 +425,14 @@ unparsed principal name of the intermedi
 is not a proxy credential, <em>data_set</em> will be set to an empty buffer
 set.  If the library does not support the query,
 gss_inquire_cred_by_oid will return <strong>GSS_S_UNAVAILABLE</strong>.</p>
-</div>
-<div class="section" id="aead-message-wrapping">
+</section>
+<section id="aead-message-wrapping">
 <h2>AEAD message wrapping<a class="headerlink" href="#aead-message-wrapping" title="Permalink to this headline">¶</a></h2>
 <p>The following GSSAPI extensions (declared in
-<code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>) can be used to wrap and unwrap messages
+<code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>) can be used to wrap and unwrap messages
 with additional “associated data” which is integrity-checked but is
 not included in the output buffer:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_wrap_aead</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_wrap_aead</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
                         <span class="n">gss_ctx_id_t</span> <span class="n">context_handle</span><span class="p">,</span>
                         <span class="nb">int</span> <span class="n">conf_req_flag</span><span class="p">,</span> <span class="n">gss_qop_t</span> <span class="n">qop_req</span><span class="p">,</span>
                         <span class="n">gss_buffer_t</span> <span class="n">input_assoc_buffer</span><span class="p">,</span>
@@ -461,14 +452,14 @@ not included in the output buffer:</p>
 <p>Wrap tokens created with gss_wrap_aead will successfully unwrap only
 if the same <em>input_assoc_buffer</em> contents are presented to
 gss_unwrap_aead.</p>
-</div>
-<div class="section" id="iov-message-wrapping">
+</section>
+<section id="iov-message-wrapping">
 <h2>IOV message wrapping<a class="headerlink" href="#iov-message-wrapping" title="Permalink to this headline">¶</a></h2>
-<p>The following extensions (declared in <code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>) can
+<p>The following extensions (declared in <code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>) can
 be used for in-place encryption, fine-grained control over wrap token
 layout, and for constructing wrap tokens compatible with Microsoft DCE
 RPC:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">typedef</span> <span class="n">struct</span> <span class="n">gss_iov_buffer_desc_struct</span> <span class="p">{</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">typedef</span> <span class="n">struct</span> <span class="n">gss_iov_buffer_desc_struct</span> <span class="p">{</span>
     <span class="n">OM_uint32</span> <span class="nb">type</span><span class="p">;</span>
     <span class="n">gss_buffer_desc</span> <span class="n">buffer</span><span class="p">;</span>
 <span class="p">}</span> <span class="n">gss_iov_buffer_desc</span><span class="p">,</span> <span class="o">*</span><span class="n">gss_iov_buffer_t</span><span class="p">;</span>
@@ -500,22 +491,22 @@ RPC:</p>
 structures, each containing a type and a gss_buffer_desc structure.
 Valid types include:</p>
 <ul class="simple">
-<li><strong>GSS_C_BUFFER_TYPE_DATA</strong>: A data buffer to be included in the
+<li><p><strong>GSS_C_BUFFER_TYPE_DATA</strong>: A data buffer to be included in the
 token, and to be encrypted or decrypted in-place if the token is
-confidentiality-protected.</li>
-<li><strong>GSS_C_BUFFER_TYPE_HEADER</strong>: The GSSAPI wrap token header and
-underlying cryptographic header.</li>
-<li><strong>GSS_C_BUFFER_TYPE_TRAILER</strong>: The cryptographic trailer, if one is
-required.</li>
-<li><strong>GSS_C_BUFFER_TYPE_PADDING</strong>: Padding to be combined with the data
+confidentiality-protected.</p></li>
+<li><p><strong>GSS_C_BUFFER_TYPE_HEADER</strong>: The GSSAPI wrap token header and
+underlying cryptographic header.</p></li>
+<li><p><strong>GSS_C_BUFFER_TYPE_TRAILER</strong>: The cryptographic trailer, if one is
+required.</p></li>
+<li><p><strong>GSS_C_BUFFER_TYPE_PADDING</strong>: Padding to be combined with the data
 during encryption and decryption.  (The implementation may choose to
 place padding in the trailer buffer, in which case it will set the
-padding buffer length to 0.)</li>
-<li><strong>GSS_C_BUFFER_TYPE_STREAM</strong>: For unwrapping only, a buffer
-containing a complete wrap token in standard format to be unwrapped.</li>
-<li><strong>GSS_C_BUFFER_TYPE_SIGN_ONLY</strong>: A buffer to be included in the
+padding buffer length to 0.)</p></li>
+<li><p><strong>GSS_C_BUFFER_TYPE_STREAM</strong>: For unwrapping only, a buffer
+containing a complete wrap token in standard format to be unwrapped.</p></li>
+<li><p><strong>GSS_C_BUFFER_TYPE_SIGN_ONLY</strong>: A buffer to be included in the
 token’s integrity protection checksum, but not to be encrypted or
-included in the token itself.</li>
+included in the token itself.</p></li>
 </ul>
 <p>For gss_wrap_iov, the IOV list should contain one HEADER buffer,
 followed by zero or more SIGN_ONLY buffers, followed by one or more
@@ -531,7 +522,7 @@ gss_release_iov_buffer can be used to re
 within an iov list and unset their allocated flags.  Here is an
 example of how gss_wrap_iov can be used with allocation requested
 (<em>ctx</em> is assumed to be a previously established gss_ctx_id_t):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
 <span class="n">gss_iov_buffer_desc</span> <span class="n">iov</span><span class="p">[</span><span class="mi">4</span><span class="p">];</span>
 <span class="n">char</span> <span class="nb">str</span><span class="p">[]</span> <span class="o">=</span> <span class="s2">&quot;message&quot;</span><span class="p">;</span>
 
@@ -558,7 +549,7 @@ lengths of the HEADER, PADDING, and TRAI
 must be provided in the iov list so that padding length can be
 computed correctly, but the output buffers need not be initialized.
 Here is an example of using gss_wrap_iov_length and gss_wrap_iov:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
 <span class="n">gss_iov_buffer_desc</span> <span class="n">iov</span><span class="p">[</span><span class="mi">4</span><span class="p">];</span>
 <span class="n">char</span> <span class="nb">str</span><span class="p">[</span><span class="mi">1024</span><span class="p">]</span> <span class="o">=</span> <span class="s2">&quot;message&quot;</span><span class="p">,</span> <span class="o">*</span><span class="n">ptr</span><span class="p">;</span>
 
@@ -610,7 +601,7 @@ STREAM buffer, unless it has the <strong
 set, in which case it will be initialized with a copy of the decrypted
 data.  Here is an example (<em>token</em> and <em>token_len</em> are assumed to be a
 pre-existing pointer and length for a modifiable region of data):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
 <span class="n">gss_iov_buffer_desc</span> <span class="n">iov</span><span class="p">[</span><span class="mi">2</span><span class="p">];</span>
 
 <span class="n">iov</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">type</span> <span class="o">=</span> <span class="n">GSS_IOV_BUFFER_TYPE_STREAM</span><span class="p">;</span>
@@ -625,13 +616,13 @@ pre-existing pointer and length for a mo
  <span class="o">*</span> <span class="n">token</span><span class="o">.</span> <span class="o">*/</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="iov-mic-tokens">
+</section>
+<section id="iov-mic-tokens">
 <span id="gssapi-mic-token"></span><h2>IOV MIC tokens<a class="headerlink" href="#iov-mic-tokens" title="Permalink to this headline">¶</a></h2>
-<p>The following extensions (declared in <code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>) can
+<p>The following extensions (declared in <code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>) can
 be used in release 1.12 or later to construct and verify MIC tokens
 using an IOV list:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_get_mic_iov</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gss_get_mic_iov</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
                           <span class="n">gss_ctx_id_t</span> <span class="n">context_handle</span><span class="p">,</span>
                           <span class="n">gss_qop_t</span> <span class="n">qop_req</span><span class="p">,</span>
                           <span class="n">gss_iov_buffer_desc</span> <span class="o">*</span><span class="n">iov</span><span class="p">,</span>
@@ -654,10 +645,10 @@ using an IOV list:</p>
 structures, each containing a type and a gss_buffer_desc structure.
 Valid types include:</p>
 <ul class="simple">
-<li><strong>GSS_C_BUFFER_TYPE_DATA</strong> and <strong>GSS_C_BUFFER_TYPE_SIGN_ONLY</strong>: The
+<li><p><strong>GSS_C_BUFFER_TYPE_DATA</strong> and <strong>GSS_C_BUFFER_TYPE_SIGN_ONLY</strong>: The
 corresponding buffer for each of these types will be signed for the
-MIC token, in the order provided.</li>
-<li><strong>GSS_C_BUFFER_TYPE_MIC_TOKEN</strong>: The GSSAPI MIC token.</li>
+MIC token, in the order provided.</p></li>
+<li><p><strong>GSS_C_BUFFER_TYPE_MIC_TOKEN</strong>: The GSSAPI MIC token.</p></li>
 </ul>
 <p>The type of the MIC_TOKEN buffer may be combined with
 <strong>GSS_C_BUFFER_FLAG_ALLOCATE</strong> to request that gss_get_mic_iov
@@ -668,7 +659,7 @@ buffers within an iov list and unset the
 an example of how gss_get_mic_iov can be used with allocation
 requested (<em>ctx</em> is assumed to be a previously established
 gss_ctx_id_t):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
 <span class="n">gss_iov_buffer_desc</span> <span class="n">iov</span><span class="p">[</span><span class="mi">3</span><span class="p">];</span>
 
 <span class="n">iov</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">type</span> <span class="o">=</span> <span class="n">GSS_IOV_BUFFER_TYPE_DATA</span><span class="p">;</span>
@@ -692,7 +683,7 @@ gss_ctx_id_t):</p>
 gss_get_mic_iov, it should first call gss_get_mic_iov_length to query
 the length of the MIC_TOKEN buffer.  Here is an example of using
 gss_get_mic_iov_length and gss_get_mic_iov:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">;</span>
 <span class="n">gss_iov_buffer_desc</span> <span class="n">iov</span><span class="p">[</span><span class="mi">2</span><span class="p">];</span>
 <span class="n">char</span> <span class="n">data</span><span class="p">[</span><span class="mi">1024</span><span class="p">];</span>
 
@@ -713,15 +704,17 @@ gss_get_mic_iov_length and gss_get_mic_i
     <span class="n">handle_error</span><span class="p">(</span><span class="n">major</span><span class="p">,</span> <span class="n">minor</span><span class="p">);</span>
 </pre></div>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Developing with GSSAPI</a><ul>
@@ -772,6 +765,7 @@ gss_get_mic_iov_length and gss_get_mic_i
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -779,8 +773,8 @@ gss_get_mic_iov_length and gss_get_mic_i
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/h5l_mit_apidiff.html 1.21.3-1/doc/html/appdev/h5l_mit_apidiff.html
--- 1.21.2-1/doc/html/appdev/h5l_mit_apidiff.html	2023-08-14 16:17:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/h5l_mit_apidiff.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Differences between Heimdal and MIT Kerberos API &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Initial credentials" href="init_creds.html" />
     <link rel="prev" title="Year 2038 considerations for uses of krb5_timestamp" href="y2038.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,59 +52,61 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="differences-between-heimdal-and-mit-kerberos-api">
+  <section id="differences-between-heimdal-and-mit-kerberos-api">
 <h1>Differences between Heimdal and MIT Kerberos API<a class="headerlink" href="#differences-between-heimdal-and-mit-kerberos-api" title="Permalink to this headline">¶</a></h1>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="45%" />
-<col width="55%" />
+<col style="width: 45%" />
+<col style="width: 55%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><a class="reference internal" href="refs/api/krb5_auth_con_getaddrs.html#c.krb5_auth_con_getaddrs" title="krb5_auth_con_getaddrs"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_getaddrs()</span></code></a></td>
-<td>H5l: If either of the pointers to local_addr
+<tbody>
+<tr class="row-odd"><td><p><a class="reference internal" href="refs/api/krb5_auth_con_getaddrs.html#c.krb5_auth_con_getaddrs" title="krb5_auth_con_getaddrs"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_auth_con_getaddrs()</span></code></a></p></td>
+<td><p>H5l: If either of the pointers to local_addr
 and remote_addr is not NULL, it is freed
 first and then reallocated before being
 populated with the content of corresponding
-address from authentication context.</td>
+address from authentication context.</p></td>
 </tr>
-<tr class="row-even"><td><a class="reference internal" href="refs/api/krb5_auth_con_setaddrs.html#c.krb5_auth_con_setaddrs" title="krb5_auth_con_setaddrs"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_setaddrs()</span></code></a></td>
-<td>H5l: If either address is NULL, the previous
-address remains in place</td>
+<tr class="row-even"><td><p><a class="reference internal" href="refs/api/krb5_auth_con_setaddrs.html#c.krb5_auth_con_setaddrs" title="krb5_auth_con_setaddrs"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_auth_con_setaddrs()</span></code></a></p></td>
+<td><p>H5l: If either address is NULL, the previous
+address remains in place</p></td>
 </tr>
-<tr class="row-odd"><td><a class="reference internal" href="refs/api/krb5_auth_con_setports.html#c.krb5_auth_con_setports" title="krb5_auth_con_setports"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_setports()</span></code></a></td>
-<td>H5l: Not implemented as of version 1.3.3</td>
+<tr class="row-odd"><td><p><a class="reference internal" href="refs/api/krb5_auth_con_setports.html#c.krb5_auth_con_setports" title="krb5_auth_con_setports"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_auth_con_setports()</span></code></a></p></td>
+<td><p>H5l: Not implemented as of version 1.3.3</p></td>
 </tr>
-<tr class="row-even"><td><a class="reference internal" href="refs/api/krb5_auth_con_setrecvsubkey.html#c.krb5_auth_con_setrecvsubkey" title="krb5_auth_con_setrecvsubkey"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_setrecvsubkey()</span></code></a></td>
-<td>H5l: If either port is NULL, the previous
-port remains in place</td>
+<tr class="row-even"><td><p><a class="reference internal" href="refs/api/krb5_auth_con_setrecvsubkey.html#c.krb5_auth_con_setrecvsubkey" title="krb5_auth_con_setrecvsubkey"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_auth_con_setrecvsubkey()</span></code></a></p></td>
+<td><p>H5l: If either port is NULL, the previous
+port remains in place</p></td>
 </tr>
-<tr class="row-odd"><td><a class="reference internal" href="refs/api/krb5_auth_con_setsendsubkey.html#c.krb5_auth_con_setsendsubkey" title="krb5_auth_con_setsendsubkey"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_setsendsubkey()</span></code></a></td>
-<td>H5l: Not implemented as of version 1.3.3</td>
+<tr class="row-odd"><td><p><a class="reference internal" href="refs/api/krb5_auth_con_setsendsubkey.html#c.krb5_auth_con_setsendsubkey" title="krb5_auth_con_setsendsubkey"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_auth_con_setsendsubkey()</span></code></a></p></td>
+<td><p>H5l: Not implemented as of version 1.3.3</p></td>
 </tr>
-<tr class="row-even"><td><a class="reference internal" href="refs/api/krb5_cc_set_config.html#c.krb5_cc_set_config" title="krb5_cc_set_config"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_set_config()</span></code></a></td>
-<td>MIT: Before version 1.10 it was assumed that
-the last argument <em>data</em> is ALWAYS non-zero.</td>
+<tr class="row-even"><td><p><a class="reference internal" href="refs/api/krb5_cc_set_config.html#c.krb5_cc_set_config" title="krb5_cc_set_config"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_cc_set_config()</span></code></a></p></td>
+<td><p>MIT: Before version 1.10 it was assumed that
+the last argument <em>data</em> is ALWAYS non-zero.</p></td>
 </tr>
-<tr class="row-odd"><td><code class="xref c c-func docutils literal"><span class="pre">krb5_cccol_last_change_time()</span></code></td>
-<td>MIT: not implemented</td>
+<tr class="row-odd"><td><p><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_cccol_last_change_time()</span></code></p></td>
+<td><p>MIT: not implemented</p></td>
 </tr>
-<tr class="row-even"><td><a class="reference internal" href="refs/api/krb5_set_default_realm.html#c.krb5_set_default_realm" title="krb5_set_default_realm"><code class="xref c c-func docutils literal"><span class="pre">krb5_set_default_realm()</span></code></a></td>
-<td>H5l: Caches the computed default realm context
+<tr class="row-even"><td><p><a class="reference internal" href="refs/api/krb5_set_default_realm.html#c.krb5_set_default_realm" title="krb5_set_default_realm"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_set_default_realm()</span></code></a></p></td>
+<td><p>H5l: Caches the computed default realm context
 field.  If the second argument is NULL,
 it tries to retrieve it from libdefaults or DNS.
 MIT: Computes the default realm each time
-if it wasn’t explicitly set in the context</td>
+if it wasn’t explicitly set in the context</p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Differences between Heimdal and MIT Kerberos API</a></li>
@@ -152,6 +145,7 @@ if it wasn’t explicitly set in the con
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -159,8 +153,8 @@ if it wasn’t explicitly set in the con
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/index.html 1.21.3-1/doc/html/appdev/index.html
--- 1.21.2-1/doc/html/appdev/index.html	2023-08-14 16:17:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/index.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>For application developers &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Developing with GSSAPI" href="gssapi.html" />
     <link rel="prev" title="Various links" href="../admin/various_envs.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="for-application-developers">
+  <section id="for-application-developers">
 <h1>For application developers<a class="headerlink" href="#for-application-developers" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
@@ -77,14 +68,16 @@
 <li class="toctree-l1"><a class="reference internal" href="refs/index.html">Complete reference - API and datatypes</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">For application developers</a><ul>
@@ -125,6 +118,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -132,8 +126,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/init_creds.html 1.21.3-1/doc/html/appdev/init_creds.html
--- 1.21.2-1/doc/html/appdev/init_creds.html	2023-08-14 16:17:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/init_creds.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Initial credentials &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Principal manipulation and parsing" href="princ_handle.html" />
     <link rel="prev" title="Differences between Heimdal and MIT Kerberos API" href="h5l_mit_apidiff.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="initial-credentials">
+  <section id="initial-credentials">
 <h1>Initial credentials<a class="headerlink" href="#initial-credentials" title="Permalink to this headline">¶</a></h1>
 <p>Software that performs tasks such as logging users into a computer
 when they type their Kerberos password needs to get initial
@@ -81,13 +72,13 @@ over a secure channel), which they then
 this technique may be the only practical way to integrate Kerberos
 into some existing legacy systems, its use is contrary to the original
 design goals of Kerberos.</p>
-<p>The function <a class="reference internal" href="refs/api/krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_password()</span></code></a> will get initial
+<p>The function <a class="reference internal" href="refs/api/krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_init_creds_password()</span></code></a> will get initial
 credentials for a client using a password.  An application that needs
-to verify the credentials can call <a class="reference internal" href="refs/api/krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds()</span></code></a>.
+to verify the credentials can call <a class="reference internal" href="refs/api/krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_verify_init_creds()</span></code></a>.
 Here is an example of code to obtain and verify TGT credentials, given
 strings <em>princname</em> and <em>password</em> for the client principal name and
 password:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5_error_code</span> <span class="n">ret</span><span class="p">;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5_error_code</span> <span class="n">ret</span><span class="p">;</span>
 <span class="n">krb5_creds</span> <span class="n">creds</span><span class="p">;</span>
 <span class="n">krb5_principal</span> <span class="n">client_princ</span> <span class="o">=</span> <span class="n">NULL</span><span class="p">;</span>
 
@@ -107,14 +98,14 @@ password:</p>
 <span class="k">return</span> <span class="n">ret</span><span class="p">;</span>
 </pre></div>
 </div>
-<div class="section" id="options-for-get-init-creds">
+<section id="options-for-get-init-creds">
 <h2>Options for get_init_creds<a class="headerlink" href="#options-for-get-init-creds" title="Permalink to this headline">¶</a></h2>
-<p>The function <a class="reference internal" href="refs/api/krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_password()</span></code></a> takes an options
+<p>The function <a class="reference internal" href="refs/api/krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_init_creds_password()</span></code></a> takes an options
 parameter (which can be a null pointer).  Use the function
-<a class="reference internal" href="refs/api/krb5_get_init_creds_opt_alloc.html#c.krb5_get_init_creds_opt_alloc" title="krb5_get_init_creds_opt_alloc"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_alloc()</span></code></a> to allocate an options
-structure, and <a class="reference internal" href="refs/api/krb5_get_init_creds_opt_free.html#c.krb5_get_init_creds_opt_free" title="krb5_get_init_creds_opt_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_free()</span></code></a> to free it.  For
+<a class="reference internal" href="refs/api/krb5_get_init_creds_opt_alloc.html#c.krb5_get_init_creds_opt_alloc" title="krb5_get_init_creds_opt_alloc"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_init_creds_opt_alloc()</span></code></a> to allocate an options
+structure, and <a class="reference internal" href="refs/api/krb5_get_init_creds_opt_free.html#c.krb5_get_init_creds_opt_free" title="krb5_get_init_creds_opt_free"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_init_creds_opt_free()</span></code></a> to free it.  For
 example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5_error_code</span> <span class="n">ret</span><span class="p">;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5_error_code</span> <span class="n">ret</span><span class="p">;</span>
 <span class="n">krb5_get_init_creds_opt</span> <span class="o">*</span><span class="n">opt</span> <span class="o">=</span> <span class="n">NULL</span><span class="p">;</span>
 <span class="n">krb5_creds</span> <span class="n">creds</span><span class="p">;</span>
 
@@ -134,8 +125,8 @@ example:</p>
 <span class="k">return</span> <span class="n">ret</span><span class="p">;</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="getting-anonymous-credentials">
+</section>
+<section id="getting-anonymous-credentials">
 <h2>Getting anonymous credentials<a class="headerlink" href="#getting-anonymous-credentials" title="Permalink to this headline">¶</a></h2>
 <p>As of release 1.8, it is possible to obtain fully anonymous or
 partially anonymous (realm-exposed) credentials, if the KDC supports
@@ -144,14 +135,14 @@ release 1.8 if configured appropriately
 but does not support issuing realm-exposed anonymous credentials at
 this time.</p>
 <p>To obtain fully anonymous credentials, call
-<a class="reference internal" href="refs/api/krb5_get_init_creds_opt_set_anonymous.html#c.krb5_get_init_creds_opt_set_anonymous" title="krb5_get_init_creds_opt_set_anonymous"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_set_anonymous()</span></code></a> on the options
+<a class="reference internal" href="refs/api/krb5_get_init_creds_opt_set_anonymous.html#c.krb5_get_init_creds_opt_set_anonymous" title="krb5_get_init_creds_opt_set_anonymous"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_init_creds_opt_set_anonymous()</span></code></a> on the options
 structure to set the anonymous flag, and specify a client principal
 with the KDC’s realm and a single empty data component (the principal
-obtained by parsing <code class="docutils literal"><span class="pre">&#64;</span></code><em>realmname</em>).  Authentication will take
+obtained by parsing <code class="docutils literal notranslate"><span class="pre">&#64;</span></code><em>realmname</em>).  Authentication will take
 place using anonymous PKINIT; if successful, the client principal of
 the resulting tickets will be
-<code class="docutils literal"><span class="pre">WELLKNOWN/ANONYMOUS&#64;WELLKNOWN:ANONYMOUS</span></code>.  Here is an example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5_get_init_creds_opt_set_anonymous</span><span class="p">(</span><span class="n">opt</span><span class="p">,</span> <span class="mi">1</span><span class="p">);</span>
+<code class="docutils literal notranslate"><span class="pre">WELLKNOWN/ANONYMOUS&#64;WELLKNOWN:ANONYMOUS</span></code>.  Here is an example:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5_get_init_creds_opt_set_anonymous</span><span class="p">(</span><span class="n">opt</span><span class="p">,</span> <span class="mi">1</span><span class="p">);</span>
 <span class="n">ret</span> <span class="o">=</span> <span class="n">krb5_build_principal</span><span class="p">(</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">client_princ</span><span class="p">,</span> <span class="n">strlen</span><span class="p">(</span><span class="n">myrealm</span><span class="p">),</span>
                            <span class="n">myrealm</span><span class="p">,</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="p">(</span><span class="n">char</span> <span class="o">*</span><span class="p">)</span><span class="n">NULL</span><span class="p">);</span>
 <span class="k">if</span> <span class="p">(</span><span class="n">ret</span><span class="p">)</span>
@@ -166,22 +157,22 @@ the resulting tickets will be
 on the options structure as above, but specify a normal client
 principal in order to prove membership in the realm.  Authentication
 will take place as it normally does; if successful, the client
-principal of the resulting tickets will be <code class="docutils literal"><span class="pre">WELLKNOWN/ANONYMOUS&#64;</span></code><em>realmname</em>.</p>
-</div>
-<div class="section" id="user-interaction">
+principal of the resulting tickets will be <code class="docutils literal notranslate"><span class="pre">WELLKNOWN/ANONYMOUS&#64;</span></code><em>realmname</em>.</p>
+</section>
+<section id="user-interaction">
 <h2>User interaction<a class="headerlink" href="#user-interaction" title="Permalink to this headline">¶</a></h2>
 <p>Authenticating a user usually requires the entry of secret
 information, such as a password.  A password can be supplied directly
-to <a class="reference internal" href="refs/api/krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_password()</span></code></a> via the <em>password</em>
+to <a class="reference internal" href="refs/api/krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_init_creds_password()</span></code></a> via the <em>password</em>
 parameter, or the application can supply prompter and/or responder
 callbacks instead.  If callbacks are used, the user can also be
 queried for other secret information such as a PIN, informed of
 impending password expiration, or prompted to change a password which
 has expired.</p>
-<div class="section" id="prompter-callback">
+<section id="prompter-callback">
 <h3>Prompter callback<a class="headerlink" href="#prompter-callback" title="Permalink to this headline">¶</a></h3>
 <p>A prompter callback can be specified via the <em>prompter</em> and <em>data</em>
-parameters to <a class="reference internal" href="refs/api/krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_password()</span></code></a>.  The prompter
+parameters to <a class="reference internal" href="refs/api/krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_init_creds_password()</span></code></a>.  The prompter
 will be invoked each time the krb5 library has a question to ask or
 information to present.  When the prompter callback is invoked, the
 <em>banner</em> argument (if not null) is intended to be displayed to the
@@ -189,82 +180,82 @@ user, and the questions to be answered a
 array.  Each prompt contains a text question in the <em>prompt</em> field, a
 <em>hidden</em> bit to indicate whether the answer should be hidden from
 display, and a storage area for the answer in the <em>reply</em> field.  The
-callback should fill in each question’s <code class="docutils literal"><span class="pre">reply-&gt;data</span></code> with the
-answer, up to a maximum number of <code class="docutils literal"><span class="pre">reply-&gt;length</span></code> bytes, and then
-reset <code class="docutils literal"><span class="pre">reply-&gt;length</span></code> to the length of the answer.</p>
-<p>A prompter callback can call <a class="reference internal" href="refs/api/krb5_get_prompt_types.html#c.krb5_get_prompt_types" title="krb5_get_prompt_types"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_prompt_types()</span></code></a> to get an
+callback should fill in each question’s <code class="docutils literal notranslate"><span class="pre">reply-&gt;data</span></code> with the
+answer, up to a maximum number of <code class="docutils literal notranslate"><span class="pre">reply-&gt;length</span></code> bytes, and then
+reset <code class="docutils literal notranslate"><span class="pre">reply-&gt;length</span></code> to the length of the answer.</p>
+<p>A prompter callback can call <a class="reference internal" href="refs/api/krb5_get_prompt_types.html#c.krb5_get_prompt_types" title="krb5_get_prompt_types"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_prompt_types()</span></code></a> to get an
 array of type constants corresponding to the prompts, to get
 programmatic information about the semantic meaning of the questions.
-<a class="reference internal" href="refs/api/krb5_get_prompt_types.html#c.krb5_get_prompt_types" title="krb5_get_prompt_types"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_prompt_types()</span></code></a> may return a null pointer if no prompt
+<a class="reference internal" href="refs/api/krb5_get_prompt_types.html#c.krb5_get_prompt_types" title="krb5_get_prompt_types"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_prompt_types()</span></code></a> may return a null pointer if no prompt
 type information is available.</p>
 <p>Text-based applications can use a built-in text prompter
-implementation by supplying <a class="reference internal" href="refs/api/krb5_prompter_posix.html#c.krb5_prompter_posix" title="krb5_prompter_posix"><code class="xref c c-func docutils literal"><span class="pre">krb5_prompter_posix()</span></code></a> as the
+implementation by supplying <a class="reference internal" href="refs/api/krb5_prompter_posix.html#c.krb5_prompter_posix" title="krb5_prompter_posix"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_prompter_posix()</span></code></a> as the
 <em>prompter</em> parameter and a null pointer as the <em>data</em> parameter.  For
 example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">ret</span> <span class="o">=</span> <span class="n">krb5_get_init_creds_password</span><span class="p">(</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">creds</span><span class="p">,</span> <span class="n">client_princ</span><span class="p">,</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">ret</span> <span class="o">=</span> <span class="n">krb5_get_init_creds_password</span><span class="p">(</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">creds</span><span class="p">,</span> <span class="n">client_princ</span><span class="p">,</span>
                                    <span class="n">NULL</span><span class="p">,</span> <span class="n">krb5_prompter_posix</span><span class="p">,</span> <span class="n">NULL</span><span class="p">,</span> <span class="mi">0</span><span class="p">,</span>
                                    <span class="n">NULL</span><span class="p">,</span> <span class="n">NULL</span><span class="p">);</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="responder-callback">
+</section>
+<section id="responder-callback">
 <h3>Responder callback<a class="headerlink" href="#responder-callback" title="Permalink to this headline">¶</a></h3>
 <p>A responder callback can be specified through the init_creds options
-using the <a class="reference internal" href="refs/api/krb5_get_init_creds_opt_set_responder.html#c.krb5_get_init_creds_opt_set_responder" title="krb5_get_init_creds_opt_set_responder"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_set_responder()</span></code></a> function.
+using the <a class="reference internal" href="refs/api/krb5_get_init_creds_opt_set_responder.html#c.krb5_get_init_creds_opt_set_responder" title="krb5_get_init_creds_opt_set_responder"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_get_init_creds_opt_set_responder()</span></code></a> function.
 Responder callbacks can present a more sophisticated user interface
 for authentication secrets.  The responder callback is usually invoked
 only once per authentication, with a list of questions produced by all
 of the allowed preauthentication mechanisms.</p>
 <p>When the responder callback is invoked, the <em>rctx</em> argument can be
 accessed to obtain the list of questions and to answer them.  The
-<a class="reference internal" href="refs/api/krb5_responder_list_questions.html#c.krb5_responder_list_questions" title="krb5_responder_list_questions"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_list_questions()</span></code></a> function retrieves an array of
+<a class="reference internal" href="refs/api/krb5_responder_list_questions.html#c.krb5_responder_list_questions" title="krb5_responder_list_questions"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_responder_list_questions()</span></code></a> function retrieves an array of
 question types.  For each question type, the
-<a class="reference internal" href="refs/api/krb5_responder_get_challenge.html#c.krb5_responder_get_challenge" title="krb5_responder_get_challenge"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_get_challenge()</span></code></a> function retrieves additional
+<a class="reference internal" href="refs/api/krb5_responder_get_challenge.html#c.krb5_responder_get_challenge" title="krb5_responder_get_challenge"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_responder_get_challenge()</span></code></a> function retrieves additional
 information about the question, if applicable, and the
-<a class="reference internal" href="refs/api/krb5_responder_set_answer.html#c.krb5_responder_set_answer" title="krb5_responder_set_answer"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_set_answer()</span></code></a> function sets the answer.</p>
+<a class="reference internal" href="refs/api/krb5_responder_set_answer.html#c.krb5_responder_set_answer" title="krb5_responder_set_answer"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_responder_set_answer()</span></code></a> function sets the answer.</p>
 <p>Responder question types, challenges, and answers are UTF-8 strings.
 The question type is a well-known string; the meaning of the challenge
 and answer depend on the question type.  If an application does not
 understand a question type, it cannot interpret the challenge or
 provide an answer.  Failing to answer a question typically results in
 the prompter callback being used as a fallback.</p>
-<div class="section" id="password-question">
+<section id="password-question">
 <h4>Password question<a class="headerlink" href="#password-question" title="Permalink to this headline">¶</a></h4>
-<p>The <code class="xref c c-macro docutils literal"><span class="pre">KRB5_RESPONDER_QUESTION_PASSWORD</span></code> (or <code class="docutils literal"><span class="pre">&quot;password&quot;</span></code>)
+<p>The <code class="xref c c-macro docutils literal notranslate"><span class="pre">KRB5_RESPONDER_QUESTION_PASSWORD</span></code> (or <code class="docutils literal notranslate"><span class="pre">&quot;password&quot;</span></code>)
 question type requests the user’s password.  This question does not
 have a challenge, and the response is simply the password string.</p>
-</div>
-<div class="section" id="one-time-password-question">
+</section>
+<section id="one-time-password-question">
 <h4>One-time password question<a class="headerlink" href="#one-time-password-question" title="Permalink to this headline">¶</a></h4>
-<p>The <code class="xref c c-macro docutils literal"><span class="pre">KRB5_RESPONDER_QUESTION_OTP</span></code> (or <code class="docutils literal"><span class="pre">&quot;otp&quot;</span></code>) question
+<p>The <code class="xref c c-macro docutils literal notranslate"><span class="pre">KRB5_RESPONDER_QUESTION_OTP</span></code> (or <code class="docutils literal notranslate"><span class="pre">&quot;otp&quot;</span></code>) question
 type requests a choice among one-time password tokens and the PIN and
 value for the chosen token.  The challenge and answer are JSON-encoded
 strings, but an application can use convenience functions to avoid
 doing any JSON processing itself.</p>
-<p>The <a class="reference internal" href="refs/api/krb5_responder_otp_get_challenge.html#c.krb5_responder_otp_get_challenge" title="krb5_responder_otp_get_challenge"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_otp_get_challenge()</span></code></a> function decodes the
+<p>The <a class="reference internal" href="refs/api/krb5_responder_otp_get_challenge.html#c.krb5_responder_otp_get_challenge" title="krb5_responder_otp_get_challenge"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_responder_otp_get_challenge()</span></code></a> function decodes the
 challenge into a krb5_responder_otp_challenge structure.  The
-<a class="reference internal" href="refs/api/krb5_responder_otp_set_answer.html#c.krb5_responder_otp_set_answer" title="krb5_responder_otp_set_answer"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_otp_set_answer()</span></code></a> function selects one of the
+<a class="reference internal" href="refs/api/krb5_responder_otp_set_answer.html#c.krb5_responder_otp_set_answer" title="krb5_responder_otp_set_answer"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_responder_otp_set_answer()</span></code></a> function selects one of the
 token information elements from the challenge and supplies the value
 and pin for that token.</p>
-</div>
-<div class="section" id="pkinit-password-or-pin-question">
+</section>
+<section id="pkinit-password-or-pin-question">
 <h4>PKINIT password or PIN question<a class="headerlink" href="#pkinit-password-or-pin-question" title="Permalink to this headline">¶</a></h4>
-<p>The <code class="xref c c-macro docutils literal"><span class="pre">KRB5_RESPONDER_QUESTION_PKINIT</span></code> (or <code class="docutils literal"><span class="pre">&quot;pkinit&quot;</span></code>) question
+<p>The <code class="xref c c-macro docutils literal notranslate"><span class="pre">KRB5_RESPONDER_QUESTION_PKINIT</span></code> (or <code class="docutils literal notranslate"><span class="pre">&quot;pkinit&quot;</span></code>) question
 type requests PINs for hardware devices and/or passwords for encrypted
 credentials which are stored on disk, potentially also supplying
 information about the state of the hardware devices.  The challenge and
 answer are JSON-encoded strings, but an application can use convenience
 functions to avoid doing any JSON processing itself.</p>
-<p>The <a class="reference internal" href="refs/api/krb5_responder_pkinit_get_challenge.html#c.krb5_responder_pkinit_get_challenge" title="krb5_responder_pkinit_get_challenge"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_pkinit_get_challenge()</span></code></a> function decodes the
+<p>The <a class="reference internal" href="refs/api/krb5_responder_pkinit_get_challenge.html#c.krb5_responder_pkinit_get_challenge" title="krb5_responder_pkinit_get_challenge"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_responder_pkinit_get_challenge()</span></code></a> function decodes the
 challenges into a krb5_responder_pkinit_challenge structure.  The
-<a class="reference internal" href="refs/api/krb5_responder_pkinit_set_answer.html#c.krb5_responder_pkinit_set_answer" title="krb5_responder_pkinit_set_answer"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_pkinit_set_answer()</span></code></a> function can be used to
+<a class="reference internal" href="refs/api/krb5_responder_pkinit_set_answer.html#c.krb5_responder_pkinit_set_answer" title="krb5_responder_pkinit_set_answer"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_responder_pkinit_set_answer()</span></code></a> function can be used to
 supply the PIN or password for a particular client credential, and can
 be called multiple times.</p>
-</div>
-<div class="section" id="example">
+</section>
+<section id="example">
 <h4>Example<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h4>
 <p>Here is an example of using a responder callback:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">static</span> <span class="n">krb5_error_code</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">static</span> <span class="n">krb5_error_code</span>
 <span class="n">my_responder</span><span class="p">(</span><span class="n">krb5_context</span> <span class="n">context</span><span class="p">,</span> <span class="n">void</span> <span class="o">*</span><span class="n">data</span><span class="p">,</span>
              <span class="n">krb5_responder_context</span> <span class="n">rctx</span><span class="p">)</span>
 <span class="p">{</span>
@@ -315,18 +306,18 @@ be called multiple times.</p>
 <span class="p">}</span>
 </pre></div>
 </div>
-</div>
-</div>
-</div>
-<div class="section" id="verifying-initial-credentials">
+</section>
+</section>
+</section>
+<section id="verifying-initial-credentials">
 <h2>Verifying initial credentials<a class="headerlink" href="#verifying-initial-credentials" title="Permalink to this headline">¶</a></h2>
-<p>Use the function <a class="reference internal" href="refs/api/krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds()</span></code></a> to verify initial
+<p>Use the function <a class="reference internal" href="refs/api/krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_verify_init_creds()</span></code></a> to verify initial
 credentials.  It takes an options structure (which can be a null
-pointer).  Use <a class="reference internal" href="refs/api/krb5_verify_init_creds_opt_init.html#c.krb5_verify_init_creds_opt_init" title="krb5_verify_init_creds_opt_init"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds_opt_init()</span></code></a> to initialize
+pointer).  Use <a class="reference internal" href="refs/api/krb5_verify_init_creds_opt_init.html#c.krb5_verify_init_creds_opt_init" title="krb5_verify_init_creds_opt_init"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_verify_init_creds_opt_init()</span></code></a> to initialize
 the caller-allocated options structure, and
-<a class="reference internal" href="refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.html#c.krb5_verify_init_creds_opt_set_ap_req_nofail" title="krb5_verify_init_creds_opt_set_ap_req_nofail"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds_opt_set_ap_req_nofail()</span></code></a> to set the
+<a class="reference internal" href="refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.html#c.krb5_verify_init_creds_opt_set_ap_req_nofail" title="krb5_verify_init_creds_opt_set_ap_req_nofail"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_verify_init_creds_opt_set_ap_req_nofail()</span></code></a> to set the
 “nofail” option.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5_verify_init_creds_opt</span> <span class="n">vopt</span><span class="p">;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5_verify_init_creds_opt</span> <span class="n">vopt</span><span class="p">;</span>
 
 <span class="n">krb5_verify_init_creds_opt_init</span><span class="p">(</span><span class="o">&amp;</span><span class="n">vopt</span><span class="p">);</span>
 <span class="n">krb5_verify_init_creds_opt_set_ap_req_nofail</span><span class="p">(</span><span class="o">&amp;</span><span class="n">vopt</span><span class="p">,</span> <span class="mi">1</span><span class="p">);</span>
@@ -335,7 +326,7 @@ the caller-allocated options structure,
 </div>
 <p>The confusingly named “nofail” option, when set, means that the
 verification must actually succeed in order for
-<a class="reference internal" href="refs/api/krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds()</span></code></a> to indicate success.  The default
+<a class="reference internal" href="refs/api/krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_verify_init_creds()</span></code></a> to indicate success.  The default
 state of this option (cleared) means that if there is no key material
 available to verify the user credentials, the verification will
 succeed anyway.  (The default can be changed by a configuration file
@@ -345,15 +336,17 @@ desktop workstations need to allow users
 The security risks from this practice are mitigated by the absence of
 valuable state on the shared workstations—any valuable resources
 that the users would access reside on networked servers.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Initial credentials</a><ul>
@@ -408,6 +401,7 @@ that the users would access reside on ne
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -415,8 +409,8 @@ that the users would access reside on ne
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/princ_handle.html 1.21.3-1/doc/html/appdev/princ_handle.html
--- 1.21.2-1/doc/html/appdev/princ_handle.html	2023-08-14 16:17:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/princ_handle.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Principal manipulation and parsing &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Complete reference - API and datatypes" href="refs/index.html" />
     <link rel="prev" title="Initial credentials" href="init_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="principal-manipulation-and-parsing">
+  <section id="principal-manipulation-and-parsing">
 <h1>Principal manipulation and parsing<a class="headerlink" href="#principal-manipulation-and-parsing" title="Permalink to this headline">¶</a></h1>
 <p>Kerberos principal structure</p>
-<p><a class="reference internal" href="refs/types/krb5_principal_data.html#c.krb5_principal_data" title="krb5_principal_data"><code class="xref c c-type docutils literal"><span class="pre">krb5_principal_data</span></code></a></p>
-<p><a class="reference internal" href="refs/types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><code class="xref c c-type docutils literal"><span class="pre">krb5_principal</span></code></a></p>
+<p><a class="reference internal" href="refs/types/krb5_principal_data.html#c.krb5_principal_data" title="krb5_principal_data"><code class="xref c c-type docutils literal notranslate"><span class="pre">krb5_principal_data</span></code></a></p>
+<p><a class="reference internal" href="refs/types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><code class="xref c c-type docutils literal notranslate"><span class="pre">krb5_principal</span></code></a></p>
 <p>Create and free principal</p>
-<p><a class="reference internal" href="refs/api/krb5_build_principal.html#c.krb5_build_principal" title="krb5_build_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_build_principal()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_build_principal_alloc_va.html#c.krb5_build_principal_alloc_va" title="krb5_build_principal_alloc_va"><code class="xref c c-func docutils literal"><span class="pre">krb5_build_principal_alloc_va()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_build_principal_ext.html#c.krb5_build_principal_ext" title="krb5_build_principal_ext"><code class="xref c c-func docutils literal"><span class="pre">krb5_build_principal_ext()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_copy_principal.html#c.krb5_copy_principal" title="krb5_copy_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_copy_principal()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_cc_get_principal.html#c.krb5_cc_get_principal" title="krb5_cc_get_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_get_principal()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_build_principal.html#c.krb5_build_principal" title="krb5_build_principal"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_build_principal()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_build_principal_alloc_va.html#c.krb5_build_principal_alloc_va" title="krb5_build_principal_alloc_va"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_build_principal_alloc_va()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_build_principal_ext.html#c.krb5_build_principal_ext" title="krb5_build_principal_ext"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_build_principal_ext()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_copy_principal.html#c.krb5_copy_principal" title="krb5_copy_principal"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_copy_principal()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_free_principal()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_cc_get_principal.html#c.krb5_cc_get_principal" title="krb5_cc_get_principal"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_cc_get_principal()</span></code></a></p>
 <p>Comparing</p>
-<p><a class="reference internal" href="refs/api/krb5_principal_compare.html#c.krb5_principal_compare" title="krb5_principal_compare"><code class="xref c c-func docutils literal"><span class="pre">krb5_principal_compare()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_principal_compare_flags.html#c.krb5_principal_compare_flags" title="krb5_principal_compare_flags"><code class="xref c c-func docutils literal"><span class="pre">krb5_principal_compare_flags()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_principal_compare_any_realm.html#c.krb5_principal_compare_any_realm" title="krb5_principal_compare_any_realm"><code class="xref c c-func docutils literal"><span class="pre">krb5_principal_compare_any_realm()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_sname_match.html#c.krb5_sname_match" title="krb5_sname_match"><code class="xref c c-func docutils literal"><span class="pre">krb5_sname_match()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_sname_to_principal.html#c.krb5_sname_to_principal" title="krb5_sname_to_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_sname_to_principal()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_principal_compare.html#c.krb5_principal_compare" title="krb5_principal_compare"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_principal_compare()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_principal_compare_flags.html#c.krb5_principal_compare_flags" title="krb5_principal_compare_flags"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_principal_compare_flags()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_principal_compare_any_realm.html#c.krb5_principal_compare_any_realm" title="krb5_principal_compare_any_realm"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_principal_compare_any_realm()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_sname_match.html#c.krb5_sname_match" title="krb5_sname_match"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_sname_match()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_sname_to_principal.html#c.krb5_sname_to_principal" title="krb5_sname_to_principal"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_sname_to_principal()</span></code></a></p>
 <p>Parsing:</p>
-<p><a class="reference internal" href="refs/api/krb5_parse_name.html#c.krb5_parse_name" title="krb5_parse_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_parse_name()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_parse_name_flags.html#c.krb5_parse_name_flags" title="krb5_parse_name_flags"><code class="xref c c-func docutils literal"><span class="pre">krb5_parse_name_flags()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_unparse_name.html#c.krb5_unparse_name" title="krb5_unparse_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_unparse_name()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_unparse_name_flags.html#c.krb5_unparse_name_flags" title="krb5_unparse_name_flags"><code class="xref c c-func docutils literal"><span class="pre">krb5_unparse_name_flags()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_parse_name.html#c.krb5_parse_name" title="krb5_parse_name"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_parse_name()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_parse_name_flags.html#c.krb5_parse_name_flags" title="krb5_parse_name_flags"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_parse_name_flags()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_unparse_name.html#c.krb5_unparse_name" title="krb5_unparse_name"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_unparse_name()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_unparse_name_flags.html#c.krb5_unparse_name_flags" title="krb5_unparse_name_flags"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_unparse_name_flags()</span></code></a></p>
 <p>Utilities:</p>
-<p><a class="reference internal" href="refs/api/krb5_is_config_principal.html#c.krb5_is_config_principal" title="krb5_is_config_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_is_config_principal()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_kuserok.html#c.krb5_kuserok" title="krb5_kuserok"><code class="xref c c-func docutils literal"><span class="pre">krb5_kuserok()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_set_password.html#c.krb5_set_password" title="krb5_set_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_set_password()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_set_password_using_ccache.html#c.krb5_set_password_using_ccache" title="krb5_set_password_using_ccache"><code class="xref c c-func docutils literal"><span class="pre">krb5_set_password_using_ccache()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_set_principal_realm.html#c.krb5_set_principal_realm" title="krb5_set_principal_realm"><code class="xref c c-func docutils literal"><span class="pre">krb5_set_principal_realm()</span></code></a></p>
-<p><a class="reference internal" href="refs/api/krb5_realm_compare.html#c.krb5_realm_compare" title="krb5_realm_compare"><code class="xref c c-func docutils literal"><span class="pre">krb5_realm_compare()</span></code></a></p>
-</div>
+<p><a class="reference internal" href="refs/api/krb5_is_config_principal.html#c.krb5_is_config_principal" title="krb5_is_config_principal"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_is_config_principal()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_kuserok.html#c.krb5_kuserok" title="krb5_kuserok"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_kuserok()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_set_password.html#c.krb5_set_password" title="krb5_set_password"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_set_password()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_set_password_using_ccache.html#c.krb5_set_password_using_ccache" title="krb5_set_password_using_ccache"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_set_password_using_ccache()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_set_principal_realm.html#c.krb5_set_principal_realm" title="krb5_set_principal_realm"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_set_principal_realm()</span></code></a></p>
+<p><a class="reference internal" href="refs/api/krb5_realm_compare.html#c.krb5_realm_compare" title="krb5_realm_compare"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_realm_compare()</span></code></a></p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Principal manipulation and parsing</a></li>
@@ -137,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -144,8 +138,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/index.html 1.21.3-1/doc/html/appdev/refs/api/index.html
--- 1.21.2-1/doc/html/appdev/refs/api/index.html	2023-08-14 16:17:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/index.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5 API &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_build_principal - Build a principal name using null-terminated strings." href="krb5_build_principal.html" />
     <link rel="prev" title="Complete reference - API and datatypes" href="../index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-api">
+  <section id="krb5-api">
 <h1>krb5 API<a class="headerlink" href="#krb5-api" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="frequently-used-public-interfaces">
+<section id="frequently-used-public-interfaces">
 <h2>Frequently used public interfaces<a class="headerlink" href="#frequently-used-public-interfaces" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -85,7 +76,7 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_chpw_message.html">krb5_chpw_message -  Get a result message for changing or setting a password.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_expand_hostname.html">krb5_expand_hostname -  Canonicalize a hostname, possibly using name service.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_free_context.html">krb5_free_context -  Free a krb5 library context.</a></li>
-<li class="toctree-l1"><a class="reference internal" href="krb5_free_error_message.html">krb5_free_error_message -  Free an error message generated by krb5_get_error_message() .</a></li>
+<li class="toctree-l1"><a class="reference internal" href="krb5_free_error_message.html">krb5_free_error_message -  Free an error message generated by krb5_get_error_message().</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_free_principal.html">krb5_free_principal -  Free the storage assigned to a principal.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_fwd_tgt_creds.html">krb5_fwd_tgt_creds -  Get a forwarded TGT and format a KRB-CRED message.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_get_default_realm.html">krb5_get_default_realm -  Retrieve the default realm.</a></li>
@@ -147,10 +138,10 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_responder_set_answer.html">krb5_responder_set_answer -  Answer a named question in the responder context.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_responder_otp_get_challenge.html">krb5_responder_otp_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_responder_otp_set_answer.html">krb5_responder_otp_set_answer -  Answer the KRB5_RESPONDER_QUESTION_OTP question.</a></li>
-<li class="toctree-l1"><a class="reference internal" href="krb5_responder_otp_challenge_free.html">krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge() .</a></li>
+<li class="toctree-l1"><a class="reference internal" href="krb5_responder_otp_challenge_free.html">krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge().</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_responder_pkinit_get_challenge.html">krb5_responder_pkinit_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_responder_pkinit_set_answer.html">krb5_responder_pkinit_set_answer -  Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity.</a></li>
-<li class="toctree-l1"><a class="reference internal" href="krb5_responder_pkinit_challenge_free.html">krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge() .</a></li>
+<li class="toctree-l1"><a class="reference internal" href="krb5_responder_pkinit_challenge_free.html">krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge().</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_set_default_realm.html">krb5_set_default_realm -  Override the default realm for the specified context.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_set_password.html">krb5_set_password -  Set a password for a principal using specified credentials.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_set_password_using_ccache.html">krb5_set_password_using_ccache -  Set a password for a principal using cached credentials.</a></li>
@@ -167,8 +158,8 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_verify_authdata_kdc_issued.html">krb5_verify_authdata_kdc_issued -  Unwrap and verify AD-KDCIssued authorization data.</a></li>
 </ul>
 </div>
-</div>
-<div class="section" id="rarely-used-public-interfaces">
+</section>
+<section id="rarely-used-public-interfaces">
 <h2>Rarely used public interfaces<a class="headerlink" href="#rarely-used-public-interfaces" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -255,10 +246,10 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_free_creds.html">krb5_free_creds -  Free a krb5_creds structure.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_free_data.html">krb5_free_data -  Free a krb5_data structure.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_free_data_contents.html">krb5_free_data_contents -  Free the contents of a krb5_data structure and zero the data field.</a></li>
-<li class="toctree-l1"><a class="reference internal" href="krb5_free_default_realm.html">krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm() .</a></li>
+<li class="toctree-l1"><a class="reference internal" href="krb5_free_default_realm.html">krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm().</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_free_enctypes.html">krb5_free_enctypes -  Free an array of encryption types.</a></li>
-<li class="toctree-l1"><a class="reference internal" href="krb5_free_error.html">krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth() .</a></li>
-<li class="toctree-l1"><a class="reference internal" href="krb5_free_host_realm.html">krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm() .</a></li>
+<li class="toctree-l1"><a class="reference internal" href="krb5_free_error.html">krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth().</a></li>
+<li class="toctree-l1"><a class="reference internal" href="krb5_free_host_realm.html">krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm().</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_free_keyblock.html">krb5_free_keyblock -  Free a krb5_keyblock structure.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_free_keyblock_contents.html">krb5_free_keyblock_contents -  Free the contents of a krb5_keyblock structure.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_free_keytab_entry_contents.html">krb5_free_keytab_entry_contents -  Free the contents of a key table entry.</a></li>
@@ -357,8 +348,8 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_wrap_error_message.html">krb5_wrap_error_message -  Add a prefix to a different error code’s message.</a></li>
 </ul>
 </div>
-</div>
-<div class="section" id="public-interfaces-that-should-not-be-called-directly">
+</section>
+<section id="public-interfaces-that-should-not-be-called-directly">
 <h2>Public interfaces that should not be called directly<a class="headerlink" href="#public-interfaces-that-should-not-be-called-directly" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -373,7 +364,7 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_c_encrypt_iov.html">krb5_c_encrypt_iov -  Encrypt data in place supporting AEAD (operates on keyblock).</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_c_encrypt_length.html">krb5_c_encrypt_length -  Compute encrypted data length.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_c_enctype_compare.html">krb5_c_enctype_compare -  Compare two encryption types.</a></li>
-<li class="toctree-l1"><a class="reference internal" href="krb5_c_free_state.html">krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state() .</a></li>
+<li class="toctree-l1"><a class="reference internal" href="krb5_c_free_state.html">krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state().</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_c_fx_cf2_simple.html">krb5_c_fx_cf2_simple -  Compute the KRB-FX-CF2 combination of two keys and pepper strings.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_c_init_state.html">krb5_c_init_state -  Initialize a new cipher state.</a></li>
 <li class="toctree-l1"><a class="reference internal" href="krb5_c_is_coll_proof_cksum.html">krb5_c_is_coll_proof_cksum -  Test whether a checksum type is collision-proof.</a></li>
@@ -424,8 +415,8 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_k_verify_checksum_iov.html">krb5_k_verify_checksum_iov -  Validate a checksum element in IOV array (operates on opaque key).</a></li>
 </ul>
 </div>
-</div>
-<div class="section" id="legacy-convenience-interfaces">
+</section>
+<section id="legacy-convenience-interfaces">
 <h2>Legacy convenience interfaces<a class="headerlink" href="#legacy-convenience-interfaces" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -434,8 +425,8 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_sendauth.html">krb5_sendauth -  Client function for sendauth protocol.</a></li>
 </ul>
 </div>
-</div>
-<div class="section" id="deprecated-public-interfaces">
+</section>
+<section id="deprecated-public-interfaces">
 <h2>Deprecated public interfaces<a class="headerlink" href="#deprecated-public-interfaces" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -469,15 +460,17 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_verify_checksum.html">krb5_verify_checksum</a></li>
 </ul>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5 API</a><ul>
@@ -528,6 +521,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -535,8 +529,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_425_conv_principal.html 1.21.3-1/doc/html/appdev/refs/api/krb5_425_conv_principal.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_425_conv_principal.html	2023-08-14 16:17:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_425_conv_principal.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_425_conv_principal - Convert a Kerberos V4 principal to a Kerberos V5 principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_524_conv_principal - Convert a Kerberos V5 principal to a Kerberos V4 principal." href="krb5_524_conv_principal.html" />
     <link rel="prev" title="krb5_verify_authdata_kdc_issued - Unwrap and verify AD-KDCIssued authorization data." href="krb5_verify_authdata_kdc_issued.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-425-conv-principal-convert-a-kerberos-v4-principal-to-a-kerberos-v5-principal">
+  <section id="krb5-425-conv-principal-convert-a-kerberos-v4-principal-to-a-kerberos-v5-principal">
 <h1>krb5_425_conv_principal -  Convert a Kerberos V4 principal to a Kerberos V5 principal.<a class="headerlink" href="#krb5-425-conv-principal-convert-a-kerberos-v4-principal-to-a-kerberos-v5-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_425_conv_principal">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_425_conv_principal</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;name</em>, const char *<em>&nbsp;instance</em>, const char *<em>&nbsp;realm</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;princ</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_425_conv_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_425_conv_principal">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_425_conv_principal</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">instance</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">princ</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_425_conv_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>name</strong> - V4 name</p>
 <p><strong>[in]</strong> <strong>instance</strong> - V4 instance</p>
 <p><strong>[in]</strong> <strong>realm</strong> - Realm</p>
-<p class="last"><strong>[out]</strong> <strong>princ</strong> - V5 principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>princ</strong> - V5 principal</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function builds a <em>princ</em> from V4 specification based on given input <em>name.instance&#64;realm</em> .</p>
-<p>Use <a class="reference internal" href="krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a> to free <em>princ</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_principal() to free <em>princ</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_425_conv_principal -  Convert a Kerberos V4 principal to a Kerberos V5 principal.</a></li>
@@ -145,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +138,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_524_conv_principal.html 1.21.3-1/doc/html/appdev/refs/api/krb5_524_conv_principal.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_524_conv_principal.html	2023-08-14 16:17:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_524_conv_principal.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_524_conv_principal - Convert a Kerberos V5 principal to a Kerberos V4 principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_address_compare - Compare two Kerberos addresses." href="krb5_address_compare.html" />
     <link rel="prev" title="krb5_425_conv_principal - Convert a Kerberos V4 principal to a Kerberos V5 principal." href="krb5_425_conv_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-524-conv-principal-convert-a-kerberos-v5-principal-to-a-kerberos-v4-principal">
+  <section id="krb5-524-conv-principal-convert-a-kerberos-v5-principal-to-a-kerberos-v4-principal">
 <h1>krb5_524_conv_principal -  Convert a Kerberos V5 principal to a Kerberos V4 principal.<a class="headerlink" href="#krb5-524-conv-principal-convert-a-kerberos-v5-principal-to-a-kerberos-v4-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_524_conv_principal">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_524_conv_principal</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ</em>, char *<em>&nbsp;name</em>, char *<em>&nbsp;inst</em>, char *<em>&nbsp;realm</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_524_conv_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_524_conv_principal">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_524_conv_principal</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">inst</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_524_conv_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>princ</strong> - V5 Principal</p>
 <p><strong>[out]</strong> <strong>name</strong> - V4 principal’s name to be filled in</p>
 <p><strong>[out]</strong> <strong>inst</strong> - V4 principal’s instance name to be filled in</p>
-<p class="last"><strong>[out]</strong> <strong>realm</strong> - Principal’s realm name to be filled in</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>KRB5_INVALID_PRINCIPAL   Invalid principal name</li>
-<li>KRB5_CONFIG_CANTOPEN   Can’t open or find Kerberos configuration file</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>realm</strong> - Principal’s realm name to be filled in</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KRB5_INVALID_PRINCIPAL   Invalid principal name</p></li>
+<li><p>KRB5_CONFIG_CANTOPEN   Can’t open or find Kerberos configuration file</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function separates a V5 principal <em>princ</em> into <em>name</em> , <em>instance</em> , and <em>realm</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_524_conv_principal -  Convert a Kerberos V5 principal to a Kerberos V4 principal.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_524_convert_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_524_convert_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_524_convert_creds.html	2023-08-14 16:17:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_524_convert_creds.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_524_convert_creds - Convert a Kerberos V5 credentials to a Kerberos V4 credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getlocalsubkey" href="krb5_auth_con_getlocalsubkey.html" />
     <link rel="prev" title="krb5_sendauth - Client function for sendauth protocol." href="krb5_sendauth.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-524-convert-creds-convert-a-kerberos-v5-credentials-to-a-kerberos-v4-credentials">
+  <section id="krb5-524-convert-creds-convert-a-kerberos-v5-credentials-to-a-kerberos-v4-credentials">
 <h1>krb5_524_convert_creds -  Convert a Kerberos V5 credentials to a Kerberos V4 credentials.<a class="headerlink" href="#krb5-524-convert-creds-convert-a-kerberos-v5-credentials-to-a-kerberos-v4-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_524_convert_creds">
-int <code class="descname">krb5_524_convert_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;v5creds</em>, struct credentials *<em>&nbsp;v4creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_524_convert_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_524_convert_creds">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_524_convert_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">v5creds</span></span>, <span class="k"><span class="pre">struct</span></span><span class="w"> </span><span class="n"><span class="pre">credentials</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">v4creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_524_convert_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>v5creds</strong></p>
-<p class="last"><strong>v4creds</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>KRB524_KRB4_DISABLED   (always)</li>
+<p><strong>v4creds</strong></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>KRB524_KRB4_DISABLED   (always)</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">Not implemented</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>Not implemented</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_524_convert_creds -  Convert a Kerberos V5 credentials to a Kerberos V4 credentials.</a></li>
@@ -145,6 +130,7 @@ int <code class="descname">krb5_524_conv
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +138,8 @@ int <code class="descname">krb5_524_conv
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_address_compare.html 1.21.3-1/doc/html/appdev/refs/api/krb5_address_compare.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_address_compare.html	2023-08-14 16:17:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_address_compare.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_address_compare - Compare two Kerberos addresses. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_address_order - Return an ordering of the specified addresses." href="krb5_address_order.html" />
     <link rel="prev" title="krb5_524_conv_principal - Convert a Kerberos V5 principal to a Kerberos V4 principal." href="krb5_524_conv_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-address-compare-compare-two-kerberos-addresses">
+  <section id="krb5-address-compare-compare-two-kerberos-addresses">
 <h1>krb5_address_compare -  Compare two Kerberos addresses.<a class="headerlink" href="#krb5-address-compare-compare-two-kerberos-addresses" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_address_compare">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_address_compare</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *<em>&nbsp;addr1</em>, const <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *<em>&nbsp;addr2</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_address_compare" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_address_compare">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_address_compare</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addr1</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addr2</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_address_compare" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>addr1</strong> - First address to be compared</p>
-<p class="last"><strong>[in]</strong> <strong>addr2</strong> - Second address to be compared</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE if the addresses are the same, FALSE otherwise</li>
+<p><strong>[in]</strong> <strong>addr2</strong> - Second address to be compared</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE if the addresses are the same, FALSE otherwise</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_address_compare -  Compare two Kerberos addresses.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_address_order.html 1.21.3-1/doc/html/appdev/refs/api/krb5_address_order.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_address_order.html	2023-08-14 16:17:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_address_order.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_address_order - Return an ordering of the specified addresses. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_address_search - Search a list of addresses for a specified address." href="krb5_address_search.html" />
     <link rel="prev" title="krb5_address_compare - Compare two Kerberos addresses." href="krb5_address_compare.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-address-order-return-an-ordering-of-the-specified-addresses">
+  <section id="krb5-address-order-return-an-ordering-of-the-specified-addresses">
 <h1>krb5_address_order -  Return an ordering of the specified addresses.<a class="headerlink" href="#krb5-address-order-return-an-ordering-of-the-specified-addresses" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_address_order">
-int <code class="descname">krb5_address_order</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *<em>&nbsp;addr1</em>, const <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *<em>&nbsp;addr2</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_address_order" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_address_order">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_address_order</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addr1</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addr2</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_address_order" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>addr1</strong> - First address</p>
-<p class="last"><strong>[in]</strong> <strong>addr2</strong> - Second address</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   if The two addresses are the same</li>
-<li>&lt;   0 First address is less than second</li>
-<li>&gt;   0 First address is greater than second</li>
+<p><strong>[in]</strong> <strong>addr2</strong> - Second address</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   if The two addresses are the same</p></li>
+<li><p>&lt;   0 First address is less than second</p></li>
+<li><p>&gt;   0 First address is greater than second</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_address_order -  Return an ordering of the specified addresses.</a></li>
@@ -143,6 +128,7 @@ int <code class="descname">krb5_address_
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@ int <code class="descname">krb5_address_
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_address_search.html 1.21.3-1/doc/html/appdev/refs/api/krb5_address_search.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_address_search.html	2023-08-14 16:17:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_address_search.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_address_search - Search a list of addresses for a specified address. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_allow_weak_crypto - Allow the application to override the profile’s allow_weak_crypto setting." href="krb5_allow_weak_crypto.html" />
     <link rel="prev" title="krb5_address_order - Return an ordering of the specified addresses." href="krb5_address_order.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-address-search-search-a-list-of-addresses-for-a-specified-address">
+  <section id="krb5-address-search-search-a-list-of-addresses-for-a-specified-address">
 <h1>krb5_address_search -  Search a list of addresses for a specified address.<a class="headerlink" href="#krb5-address-search-search-a-list-of-addresses-for-a-specified-address" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_address_search">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_address_search</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *<em>&nbsp;addr</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *const *<em>&nbsp;addrlist</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_address_search" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_address_search">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_address_search</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addr</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addrlist</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_address_search" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>addr</strong> - Address to search for</p>
-<p class="last"><strong>[in]</strong> <strong>addrlist</strong> - Address list to be searched (or NULL)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE if addr is listed in addrlist , or addrlist is NULL; FALSE otherwise</li>
+<p><strong>[in]</strong> <strong>addrlist</strong> - Address list to be searched (or NULL)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE if addr is listed in addrlist , or addrlist is NULL; FALSE otherwise</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If <em>addrlist</em> contains only a NetBIOS addresses, it will be treated as a null list.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>If <em>addrlist</em> contains only a NetBIOS addresses, it will be treated as a null list.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_address_search -  Search a list of addresses for a specified address.</a></li>
@@ -145,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +138,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_allow_weak_crypto.html 1.21.3-1/doc/html/appdev/refs/api/krb5_allow_weak_crypto.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_allow_weak_crypto.html	2023-08-14 16:17:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_allow_weak_crypto.html	2024-06-26 20:00:52.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_allow_weak_crypto - Allow the application to override the profile’s allow_weak_crypto setting. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_aname_to_localname - Convert a principal name to a local name." href="krb5_aname_to_localname.html" />
     <link rel="prev" title="krb5_address_search - Search a list of addresses for a specified address." href="krb5_address_search.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-allow-weak-crypto-allow-the-application-to-override-the-profile-s-allow-weak-crypto-setting">
+  <section id="krb5-allow-weak-crypto-allow-the-application-to-override-the-profile-s-allow-weak-crypto-setting">
 <h1>krb5_allow_weak_crypto -  Allow the application to override the profile’s allow_weak_crypto setting.<a class="headerlink" href="#krb5-allow-weak-crypto-allow-the-application-to-override-the-profile-s-allow-weak-crypto-setting" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_allow_weak_crypto">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_allow_weak_crypto</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a><em>&nbsp;enable</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_allow_weak_crypto" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_allow_weak_crypto">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_allow_weak_crypto</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="n"><span class="pre">enable</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_allow_weak_crypto" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>enable</strong> - Boolean flag</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   (always)</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>enable</strong> - Boolean flag</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   (always)</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function allows an application to override the allow_weak_crypto setting. It is primarily for use by aklog.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_allow_weak_crypto -  Allow the application to override the profile’s allow_weak_crypto setting.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_aname_to_localname.html 1.21.3-1/doc/html/appdev/refs/api/krb5_aname_to_localname.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_aname_to_localname.html	2023-08-14 16:17:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_aname_to_localname.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_aname_to_localname - Convert a principal name to a local name. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_anonymous_principal - Build an anonymous principal." href="krb5_anonymous_principal.html" />
     <link rel="prev" title="krb5_allow_weak_crypto - Allow the application to override the profile’s allow_weak_crypto setting." href="krb5_allow_weak_crypto.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-aname-to-localname-convert-a-principal-name-to-a-local-name">
+  <section id="krb5-aname-to-localname-convert-a-principal-name-to-a-local-name">
 <h1>krb5_aname_to_localname -  Convert a principal name to a local name.<a class="headerlink" href="#krb5-aname-to-localname-convert-a-principal-name-to-a-local-name" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_aname_to_localname">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_aname_to_localname</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;aname</em>, int<em>&nbsp;lnsize_in</em>, char *<em>&nbsp;lname</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_aname_to_localname" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_aname_to_localname">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_aname_to_localname</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">aname</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">lnsize_in</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">lname</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_aname_to_localname" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>aname</strong> - Principal name</p>
 <p><strong>[in]</strong> <strong>lnsize_in</strong> - Space available in <em>lname</em></p>
-<p class="last"><strong>[out]</strong> <strong>lname</strong> - Local name buffer to be filled in</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>System   errors</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>lname</strong> - Local name buffer to be filled in</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>System   errors</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>If <em>aname</em> does not correspond to any local account, KRB5_LNAME_NOTRANS is returned. If <em>lnsize_in</em> is too small for the local name, KRB5_CONFIG_NOTENUFSPACE is returned.</p>
 <p>Local names, rather than principal names, can be used by programs that translate to an environment-specific name (for example, a user account name).</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_aname_to_localname -  Convert a principal name to a local name.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_anonymous_principal.html 1.21.3-1/doc/html/appdev/refs/api/krb5_anonymous_principal.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_anonymous_principal.html	2023-08-14 16:17:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_anonymous_principal.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_anonymous_principal - Build an anonymous principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_anonymous_realm - Return an anonymous realm data." href="krb5_anonymous_realm.html" />
     <link rel="prev" title="krb5_aname_to_localname - Convert a principal name to a local name." href="krb5_aname_to_localname.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-anonymous-principal-build-an-anonymous-principal">
+  <section id="krb5-anonymous-principal-build-an-anonymous-principal">
 <h1>krb5_anonymous_principal -  Build an anonymous principal.<a class="headerlink" href="#krb5-anonymous-principal-build-an-anonymous-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_anonymous_principal">
-<a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a> <code class="descname">krb5_anonymous_principal</code><span class="sig-paren">(</span>void<em>&nbsp;None</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_anonymous_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_anonymous_principal">
+<a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_anonymous_principal</span></span></span><span class="sig-paren">(</span><span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="n"><span class="pre">None</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_anonymous_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>None</strong></td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>None</strong></p>
+</dd>
+</dl>
 <p>This function returns constant storage that must not be freed.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="../macros/KRB5_ANONYMOUS_PRINCSTR.html#KRB5_ANONYMOUS_PRINCSTR" title="KRB5_ANONYMOUS_PRINCSTR"><code class="xref py py-data docutils literal"><span class="pre">KRB5_ANONYMOUS_PRINCSTR</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>#KRB5_ANONYMOUS_PRINCSTR</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_anonymous_principal -  Build an anonymous principal.</a></li>
@@ -132,6 +122,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +130,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_anonymous_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_anonymous_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_anonymous_realm.html	2023-08-14 16:17:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_anonymous_realm.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_anonymous_realm - Return an anonymous realm data. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_appdefault_boolean - Retrieve a boolean value from the appdefaults section of krb5.conf." href="krb5_appdefault_boolean.html" />
     <link rel="prev" title="krb5_anonymous_principal - Build an anonymous principal." href="krb5_anonymous_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-anonymous-realm-return-an-anonymous-realm-data">
+  <section id="krb5-anonymous-realm-return-an-anonymous-realm-data">
 <h1>krb5_anonymous_realm -  Return an anonymous realm data.<a class="headerlink" href="#krb5-anonymous-realm-return-an-anonymous-realm-data" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_anonymous_realm">
-const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> * <code class="descname">krb5_anonymous_realm</code><span class="sig-paren">(</span>void<em>&nbsp;None</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_anonymous_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_anonymous_realm">
+<span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-name descname"><span class="n"><span class="pre">krb5_anonymous_realm</span></span></span><span class="sig-paren">(</span><span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="n"><span class="pre">None</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_anonymous_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>None</strong></td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>None</strong></p>
+</dd>
+</dl>
 <p>This function returns constant storage that must not be freed.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="../macros/KRB5_ANONYMOUS_REALMSTR.html#KRB5_ANONYMOUS_REALMSTR" title="KRB5_ANONYMOUS_REALMSTR"><code class="xref py py-data docutils literal"><span class="pre">KRB5_ANONYMOUS_REALMSTR</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>#KRB5_ANONYMOUS_REALMSTR</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_anonymous_realm -  Return an anonymous realm data.</a></li>
@@ -132,6 +122,7 @@ const <a class="reference internal" href
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +130,8 @@ const <a class="reference internal" href
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_appdefault_boolean.html 1.21.3-1/doc/html/appdev/refs/api/krb5_appdefault_boolean.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_appdefault_boolean.html	2023-08-14 16:17:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_appdefault_boolean.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_appdefault_boolean - Retrieve a boolean value from the appdefaults section of krb5.conf. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_appdefault_string - Retrieve a string value from the appdefaults section of krb5.conf." href="krb5_appdefault_string.html" />
     <link rel="prev" title="krb5_anonymous_realm - Return an anonymous realm data." href="krb5_anonymous_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-appdefault-boolean-retrieve-a-boolean-value-from-the-appdefaults-section-of-krb5-conf">
+  <section id="krb5-appdefault-boolean-retrieve-a-boolean-value-from-the-appdefaults-section-of-krb5-conf">
 <h1>krb5_appdefault_boolean -  Retrieve a boolean value from the appdefaults section of krb5.conf.<a class="headerlink" href="#krb5-appdefault-boolean-retrieve-a-boolean-value-from-the-appdefaults-section-of-krb5-conf" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_appdefault_boolean">
-void <code class="descname">krb5_appdefault_boolean</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;appname</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;realm</em>, const char *<em>&nbsp;option</em>, int<em>&nbsp;default_value</em>, int *<em>&nbsp;ret_value</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_appdefault_boolean" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_appdefault_boolean">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_appdefault_boolean</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">appname</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">option</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">default_value</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ret_value</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_appdefault_boolean" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>appname</strong> - Application name</p>
 <p><strong>[in]</strong> <strong>realm</strong> - Realm name</p>
 <p><strong>[in]</strong> <strong>option</strong> - Option to be checked</p>
 <p><strong>[in]</strong> <strong>default_value</strong> - Default value to return if no match is found</p>
-<p class="last"><strong>[out]</strong> <strong>ret_value</strong> - Boolean value of <em>option</em></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>ret_value</strong> - Boolean value of <em>option</em></p>
+</dd>
+</dl>
 <p>This function gets the application defaults for <em>option</em> based on the given <em>appname</em> and/or <em>realm</em> .</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_appdefault_string.html#c.krb5_appdefault_string" title="krb5_appdefault_string"><code class="xref c c-func docutils literal"><span class="pre">krb5_appdefault_string()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_appdefault_string()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_appdefault_boolean -  Retrieve a boolean value from the appdefaults section of krb5.conf.</a></li>
@@ -138,6 +127,7 @@ void <code class="descname">krb5_appdefa
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -145,8 +135,8 @@ void <code class="descname">krb5_appdefa
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_appdefault_string.html 1.21.3-1/doc/html/appdev/refs/api/krb5_appdefault_string.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_appdefault_string.html	2023-08-14 16:17:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_appdefault_string.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_appdefault_string - Retrieve a string value from the appdefaults section of krb5.conf. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_free - Free a krb5_auth_context structure." href="krb5_auth_con_free.html" />
     <link rel="prev" title="krb5_appdefault_boolean - Retrieve a boolean value from the appdefaults section of krb5.conf." href="krb5_appdefault_boolean.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-appdefault-string-retrieve-a-string-value-from-the-appdefaults-section-of-krb5-conf">
+  <section id="krb5-appdefault-string-retrieve-a-string-value-from-the-appdefaults-section-of-krb5-conf">
 <h1>krb5_appdefault_string -  Retrieve a string value from the appdefaults section of krb5.conf.<a class="headerlink" href="#krb5-appdefault-string-retrieve-a-string-value-from-the-appdefaults-section-of-krb5-conf" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_appdefault_string">
-void <code class="descname">krb5_appdefault_string</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;appname</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;realm</em>, const char *<em>&nbsp;option</em>, const char *<em>&nbsp;default_value</em>, char **<em>&nbsp;ret_value</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_appdefault_string" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_appdefault_string">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_appdefault_string</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">appname</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">option</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">default_value</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ret_value</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_appdefault_string" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>appname</strong> - Application name</p>
 <p><strong>[in]</strong> <strong>realm</strong> - Realm name</p>
 <p><strong>[in]</strong> <strong>option</strong> - Option to be checked</p>
 <p><strong>[in]</strong> <strong>default_value</strong> - Default value to return if no match is found</p>
-<p class="last"><strong>[out]</strong> <strong>ret_value</strong> - String value of <em>option</em></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>ret_value</strong> - String value of <em>option</em></p>
+</dd>
+</dl>
 <p>This function gets the application defaults for <em>option</em> based on the given <em>appname</em> and/or <em>realm</em> .</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_appdefault_boolean.html#c.krb5_appdefault_boolean" title="krb5_appdefault_boolean"><code class="xref c c-func docutils literal"><span class="pre">krb5_appdefault_boolean()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_appdefault_boolean()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_appdefault_string -  Retrieve a string value from the appdefaults section of krb5.conf.</a></li>
@@ -138,6 +127,7 @@ void <code class="descname">krb5_appdefa
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -145,8 +135,8 @@ void <code class="descname">krb5_appdefa
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_free.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_free.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_free.html	2023-08-14 16:17:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_free.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_free - Free a krb5_auth_context structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_genaddrs - Generate auth context addresses from a connected socket." href="krb5_auth_con_genaddrs.html" />
     <link rel="prev" title="krb5_appdefault_string - Retrieve a string value from the appdefaults section of krb5.conf." href="krb5_appdefault_string.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-free-free-a-krb5-auth-context-structure">
+  <section id="krb5-auth-con-free-free-a-krb5-auth-context-structure">
 <h1>krb5_auth_con_free -  Free a krb5_auth_context structure.<a class="headerlink" href="#krb5-auth-con-free-free-a-krb5-auth-context-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_free">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_free</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_free" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_free">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_free</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_free" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>auth_context</strong> - Authentication context to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   (always)</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context to be freed</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   (always)</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function frees an auth context allocated by <a class="reference internal" href="krb5_auth_con_init.html#c.krb5_auth_con_init" title="krb5_auth_con_init"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_init()</span></code></a> .</p>
-</div>
+</dd>
+</dl>
+<p>This function frees an auth context allocated by krb5_auth_con_init().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_free -  Free a krb5_auth_context structure.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_genaddrs.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_genaddrs.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_genaddrs.html	2023-08-14 16:17:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_genaddrs.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_genaddrs - Generate auth context addresses from a connected socket. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_get_checksum_func - Get the checksum callback from an auth context." href="krb5_auth_con_get_checksum_func.html" />
     <link rel="prev" title="krb5_auth_con_free - Free a krb5_auth_context structure." href="krb5_auth_con_free.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-genaddrs-generate-auth-context-addresses-from-a-connected-socket">
+  <section id="krb5-auth-con-genaddrs-generate-auth-context-addresses-from-a-connected-socket">
 <h1>krb5_auth_con_genaddrs -  Generate auth context addresses from a connected socket.<a class="headerlink" href="#krb5-auth-con-genaddrs-generate-auth-context-addresses-from-a-connected-socket" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_genaddrs">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_genaddrs</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, int<em>&nbsp;infd</em>, int<em>&nbsp;flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_genaddrs" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_genaddrs">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_genaddrs</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">infd</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_genaddrs" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>infd</strong> - Connected socket descriptor</p>
-<p class="last"><strong>[in]</strong> <strong>flags</strong> - Flags</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>flags</strong> - Flags</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function sets the local and/or remote addresses in <em>auth_context</em> based on the local and remote endpoints of the socket <em>infd</em> . The following flags determine the operations performed:</p>
 <blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR.html#KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR" title="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR</span></code></a> Generate local address.</li>
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR.html#KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR" title="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR</span></code></a> Generate remote address.</li>
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR.html#KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR" title="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR</span></code></a> Generate local address and port.</li>
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR.html#KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR" title="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR</span></code></a> Generate remote address and port.</li>
+<li><p>#KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR Generate local address.</p></li>
+<li><p>#KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR Generate remote address.</p></li>
+<li><p>#KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR Generate local address and port.</p></li>
+<li><p>#KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR Generate remote address and port.</p></li>
 </ul>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_genaddrs -  Generate auth context addresses from a connected socket.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_get_checksum_func.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_get_checksum_func.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_get_checksum_func.html	2023-08-14 16:17:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_get_checksum_func.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_get_checksum_func - Get the checksum callback from an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getaddrs - Retrieve address fields from an auth context." href="krb5_auth_con_getaddrs.html" />
     <link rel="prev" title="krb5_auth_con_genaddrs - Generate auth context addresses from a connected socket." href="krb5_auth_con_genaddrs.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-get-checksum-func-get-the-checksum-callback-from-an-auth-context">
+  <section id="krb5-auth-con-get-checksum-func-get-the-checksum-callback-from-an-auth-context">
 <h1>krb5_auth_con_get_checksum_func -  Get the checksum callback from an auth context.<a class="headerlink" href="#krb5-auth-con-get-checksum-func-get-the-checksum-callback-from-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_get_checksum_func">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_get_checksum_func</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_mk_req_checksum_func.html#c.krb5_mk_req_checksum_func" title="krb5_mk_req_checksum_func">krb5_mk_req_checksum_func</a> *<em>&nbsp;func</em>, void **<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_get_checksum_func" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_get_checksum_func">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_get_checksum_func</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_mk_req_checksum_func.html#c.krb5_mk_req_checksum_func" title="krb5_mk_req_checksum_func"><span class="n"><span class="pre">krb5_mk_req_checksum_func</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">func</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_get_checksum_func" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[out]</strong> <strong>func</strong> - Checksum callback</p>
-<p class="last"><strong>[out]</strong> <strong>data</strong> - Callback argument</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   (always)</li>
+<p><strong>[out]</strong> <strong>data</strong> - Callback argument</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   (always)</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_get_checksum_func -  Get the checksum callback from an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getaddrs.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getaddrs.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getaddrs.html	2023-08-14 16:17:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getaddrs.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getaddrs - Retrieve address fields from an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getauthenticator - Retrieve the authenticator from an auth context." href="krb5_auth_con_getauthenticator.html" />
     <link rel="prev" title="krb5_auth_con_get_checksum_func - Get the checksum callback from an auth context." href="krb5_auth_con_get_checksum_func.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getaddrs-retrieve-address-fields-from-an-auth-context">
+  <section id="krb5-auth-con-getaddrs-retrieve-address-fields-from-an-auth-context">
 <h1>krb5_auth_con_getaddrs -  Retrieve address fields from an auth context.<a class="headerlink" href="#krb5-auth-con-getaddrs-retrieve-address-fields-from-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getaddrs">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getaddrs</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> **<em>&nbsp;local_addr</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> **<em>&nbsp;remote_addr</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getaddrs" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getaddrs">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getaddrs</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">local_addr</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">remote_addr</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getaddrs" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[out]</strong> <strong>local_addr</strong> - Local address (NULL if not needed)</p>
-<p class="last"><strong>[out]</strong> <strong>remote_addr</strong> - Remote address (NULL if not needed)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>remote_addr</strong> - Remote address (NULL if not needed)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getaddrs -  Retrieve address fields from an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getauthenticator.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getauthenticator.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getauthenticator.html	2023-08-14 16:17:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getauthenticator.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getauthenticator - Retrieve the authenticator from an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getflags - Retrieve flags from a krb5_auth_context structure." href="krb5_auth_con_getflags.html" />
     <link rel="prev" title="krb5_auth_con_getaddrs - Retrieve address fields from an auth context." href="krb5_auth_con_getaddrs.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getauthenticator-retrieve-the-authenticator-from-an-auth-context">
+  <section id="krb5-auth-con-getauthenticator-retrieve-the-authenticator-from-an-auth-context">
 <h1>krb5_auth_con_getauthenticator -  Retrieve the authenticator from an auth context.<a class="headerlink" href="#krb5-auth-con-getauthenticator-retrieve-the-authenticator-from-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getauthenticator">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getauthenticator</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator">krb5_authenticator</a> **<em>&nbsp;authenticator</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getauthenticator" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getauthenticator">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getauthenticator</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">authenticator</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getauthenticator" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>authenticator</strong> - Authenticator</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success. Otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>authenticator</strong> - Authenticator</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success. Otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_free_authenticator.html#c.krb5_free_authenticator" title="krb5_free_authenticator"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_authenticator()</span></code></a> to free <em>authenticator</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>Use krb5_free_authenticator() to free <em>authenticator</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getauthenticator -  Retrieve the authenticator from an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getflags.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getflags.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getflags.html	2023-08-14 16:17:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getflags.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getflags - Retrieve flags from a krb5_auth_context structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getkey - Retrieve the session key from an auth context as a keyblock." href="krb5_auth_con_getkey.html" />
     <link rel="prev" title="krb5_auth_con_getauthenticator - Retrieve the authenticator from an auth context." href="krb5_auth_con_getauthenticator.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getflags-retrieve-flags-from-a-krb5-auth-context-structure">
+  <section id="krb5-auth-con-getflags-retrieve-flags-from-a-krb5-auth-context-structure">
 <h1>krb5_auth_con_getflags -  Retrieve flags from a krb5_auth_context structure.<a class="headerlink" href="#krb5-auth-con-getflags-retrieve-flags-from-a-krb5-auth-context-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getflags">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getflags</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a> *<em>&nbsp;flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getflags" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getflags">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getflags</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getflags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>flags</strong> - Flags bit mask</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   (always)</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>flags</strong> - Flags bit mask</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   (always)</p></li>
+</ul>
+</dd>
+</dl>
 <p>Valid values for <em>flags</em> are:</p>
 <blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> Use timestamps</li>
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> Save timestamps</li>
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> Use sequence numbers</li>
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> Save sequence numbers</li>
+<li><p>#KRB5_AUTH_CONTEXT_DO_TIME Use timestamps</p></li>
+<li><p>#KRB5_AUTH_CONTEXT_RET_TIME Save timestamps</p></li>
+<li><p>#KRB5_AUTH_CONTEXT_DO_SEQUENCE Use sequence numbers</p></li>
+<li><p>#KRB5_AUTH_CONTEXT_RET_SEQUENCE Save sequence numbers</p></li>
 </ul>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getflags -  Retrieve flags from a krb5_auth_context structure.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getkey.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getkey.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getkey.html	2023-08-14 16:17:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getkey.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getkey - Retrieve the session key from an auth context as a keyblock. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getkey_k - Retrieve the session key from an auth context." href="krb5_auth_con_getkey_k.html" />
     <link rel="prev" title="krb5_auth_con_getflags - Retrieve flags from a krb5_auth_context structure." href="krb5_auth_con_getflags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getkey-retrieve-the-session-key-from-an-auth-context-as-a-keyblock">
+  <section id="krb5-auth-con-getkey-retrieve-the-session-key-from-an-auth-context-as-a-keyblock">
 <h1>krb5_auth_con_getkey -  Retrieve the session key from an auth context as a keyblock.<a class="headerlink" href="#krb5-auth-con-getkey-retrieve-the-session-key-from-an-auth-context-as-a-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getkey">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getkey</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;keyblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getkey">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getkey</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>keyblock</strong> - Session key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success. Otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>keyblock</strong> - Session key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success. Otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a keyblock containing the session key from <em>auth_context</em> . Use <a class="reference internal" href="krb5_free_keyblock.html#c.krb5_free_keyblock" title="krb5_free_keyblock"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock()</span></code></a> to free <em>keyblock</em> when it is no longer needed</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a keyblock containing the session key from <em>auth_context</em> . Use krb5_free_keyblock() to free <em>keyblock</em> when it is no longer needed</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getkey -  Retrieve the session key from an auth context as a keyblock.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getkey_k.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getkey_k.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getkey_k.html	2023-08-14 16:17:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getkey_k.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getkey_k - Retrieve the session key from an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getlocalseqnumber - Retrieve the local sequence number from an auth context." href="krb5_auth_con_getlocalseqnumber.html" />
     <link rel="prev" title="krb5_auth_con_getkey - Retrieve the session key from an auth context as a keyblock." href="krb5_auth_con_getkey.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getkey-k-retrieve-the-session-key-from-an-auth-context">
+  <section id="krb5-auth-con-getkey-k-retrieve-the-session-key-from-an-auth-context">
 <h1>krb5_auth_con_getkey_k -  Retrieve the session key from an auth context.<a class="headerlink" href="#krb5-auth-con-getkey-k-retrieve-the-session-key-from-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getkey_k">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getkey_k</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a> *<em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getkey_k" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getkey_k">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getkey_k</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getkey_k" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>key</strong> - Session key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   (always)</li>
+<p><strong>[out]</strong> <strong>key</strong> - Session key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   (always)</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function sets <em>key</em> to the session key from <em>auth_context</em> . Use <a class="reference internal" href="krb5_k_free_key.html#c.krb5_k_free_key" title="krb5_k_free_key"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_free_key()</span></code></a> to release <em>key</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function sets <em>key</em> to the session key from <em>auth_context</em> . Use krb5_k_free_key() to release <em>key</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getkey_k -  Retrieve the session key from an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getlocalseqnumber.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getlocalseqnumber.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getlocalseqnumber.html	2023-08-14 16:17:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getlocalseqnumber.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getlocalseqnumber - Retrieve the local sequence number from an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getrcache - Retrieve the replay cache from an auth context." href="krb5_auth_con_getrcache.html" />
     <link rel="prev" title="krb5_auth_con_getkey_k - Retrieve the session key from an auth context." href="krb5_auth_con_getkey_k.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getlocalseqnumber-retrieve-the-local-sequence-number-from-an-auth-context">
+  <section id="krb5-auth-con-getlocalseqnumber-retrieve-the-local-sequence-number-from-an-auth-context">
 <h1>krb5_auth_con_getlocalseqnumber -  Retrieve the local sequence number from an auth context.<a class="headerlink" href="#krb5-auth-con-getlocalseqnumber-retrieve-the-local-sequence-number-from-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getlocalseqnumber">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getlocalseqnumber</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a> *<em>&nbsp;seqnumber</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getlocalseqnumber" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getlocalseqnumber">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getlocalseqnumber</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">seqnumber</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getlocalseqnumber" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>seqnumber</strong> - Local sequence number</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>seqnumber</strong> - Local sequence number</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Retrieve the local sequence number from <em>auth_context</em> and return it in <em>seqnumber</em> . The <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> flag must be set in <em>auth_context</em> for this function to be useful.</p>
-</div>
+</dd>
+</dl>
+<p>Retrieve the local sequence number from <em>auth_context</em> and return it in <em>seqnumber</em> . The #KRB5_AUTH_CONTEXT_DO_SEQUENCE flag must be set in <em>auth_context</em> for this function to be useful.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getlocalseqnumber -  Retrieve the local sequence number from an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getlocalsubkey.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getlocalsubkey.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getlocalsubkey.html	2023-08-14 16:17:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getlocalsubkey.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getlocalsubkey &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getremotesubkey" href="krb5_auth_con_getremotesubkey.html" />
     <link rel="prev" title="krb5_524_convert_creds - Convert a Kerberos V5 credentials to a Kerberos V4 credentials." href="krb5_524_convert_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getlocalsubkey">
+  <section id="krb5-auth-con-getlocalsubkey">
 <h1>krb5_auth_con_getlocalsubkey<a class="headerlink" href="#krb5-auth-con-getlocalsubkey" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getlocalsubkey">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getlocalsubkey</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;keyblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getlocalsubkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getlocalsubkey">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getlocalsubkey</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getlocalsubkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>auth_context</strong></p>
-<p class="last"><strong>keyblock</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>DEPRECATED Replaced by krb5_auth_con_getsendsubkey() .</p>
-</div>
+<p><strong>keyblock</strong></p>
+</dd>
+</dl>
+<p>DEPRECATED Replaced by krb5_auth_con_getsendsubkey().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getlocalsubkey</a></li>
@@ -131,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getrcache.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getrcache.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getrcache.html	2023-08-14 16:17:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getrcache.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getrcache - Retrieve the replay cache from an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getrecvsubkey - Retrieve the receiving subkey from an auth context as a keyblock." href="krb5_auth_con_getrecvsubkey.html" />
     <link rel="prev" title="krb5_auth_con_getlocalseqnumber - Retrieve the local sequence number from an auth context." href="krb5_auth_con_getlocalseqnumber.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getrcache-retrieve-the-replay-cache-from-an-auth-context">
+  <section id="krb5-auth-con-getrcache-retrieve-the-replay-cache-from-an-auth-context">
 <h1>krb5_auth_con_getrcache -  Retrieve the replay cache from an auth context.<a class="headerlink" href="#krb5-auth-con-getrcache-retrieve-the-replay-cache-from-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getrcache">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getrcache</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_rcache.html#c.krb5_rcache" title="krb5_rcache">krb5_rcache</a> *<em>&nbsp;rcache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getrcache" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getrcache">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getrcache</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_rcache.html#c.krb5_rcache" title="krb5_rcache"><span class="n"><span class="pre">krb5_rcache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rcache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getrcache" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>rcache</strong> - Replay cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   (always)</li>
+<p><strong>[out]</strong> <strong>rcache</strong> - Replay cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   (always)</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function fetches the replay cache from <em>auth_context</em> . The caller should not close <em>rcache</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getrcache -  Retrieve the replay cache from an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getrecvsubkey.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getrecvsubkey.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getrecvsubkey.html	2023-08-14 16:17:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getrecvsubkey.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getrecvsubkey - Retrieve the receiving subkey from an auth context as a keyblock. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getrecvsubkey_k - Retrieve the receiving subkey from an auth context as a keyblock." href="krb5_auth_con_getrecvsubkey_k.html" />
     <link rel="prev" title="krb5_auth_con_getrcache - Retrieve the replay cache from an auth context." href="krb5_auth_con_getrcache.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getrecvsubkey-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock">
+  <section id="krb5-auth-con-getrecvsubkey-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock">
 <h1>krb5_auth_con_getrecvsubkey -  Retrieve the receiving subkey from an auth context as a keyblock.<a class="headerlink" href="#krb5-auth-con-getrecvsubkey-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getrecvsubkey">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getrecvsubkey</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;ac</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;keyblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getrecvsubkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getrecvsubkey">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getrecvsubkey</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ac</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getrecvsubkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ac</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>keyblock</strong> - Receiving subkey</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>keyblock</strong> - Receiving subkey</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a keyblock containing the receiving subkey from <em>auth_context</em> . Use <a class="reference internal" href="krb5_free_keyblock.html#c.krb5_free_keyblock" title="krb5_free_keyblock"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock()</span></code></a> to free <em>keyblock</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a keyblock containing the receiving subkey from <em>auth_context</em> . Use krb5_free_keyblock() to free <em>keyblock</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getrecvsubkey -  Retrieve the receiving subkey from an auth context as a keyblock.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getrecvsubkey_k.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getrecvsubkey_k.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getrecvsubkey_k.html	2023-08-14 16:17:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getrecvsubkey_k.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getrecvsubkey_k - Retrieve the receiving subkey from an auth context as a keyblock. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getremoteseqnumber - Retrieve the remote sequence number from an auth context." href="krb5_auth_con_getremoteseqnumber.html" />
     <link rel="prev" title="krb5_auth_con_getrecvsubkey - Retrieve the receiving subkey from an auth context as a keyblock." href="krb5_auth_con_getrecvsubkey.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getrecvsubkey-k-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock">
+  <section id="krb5-auth-con-getrecvsubkey-k-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock">
 <h1>krb5_auth_con_getrecvsubkey_k -  Retrieve the receiving subkey from an auth context as a keyblock.<a class="headerlink" href="#krb5-auth-con-getrecvsubkey-k-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getrecvsubkey_k">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getrecvsubkey_k</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;ac</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a> *<em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getrecvsubkey_k" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getrecvsubkey_k">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getrecvsubkey_k</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ac</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getrecvsubkey_k" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ac</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>key</strong> - Receiving subkey</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>key</strong> - Receiving subkey</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function sets <em>key</em> to the receiving subkey from <em>auth_context</em> . Use <a class="reference internal" href="krb5_k_free_key.html#c.krb5_k_free_key" title="krb5_k_free_key"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_free_key()</span></code></a> to release <em>key</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function sets <em>key</em> to the receiving subkey from <em>auth_context</em> . Use krb5_k_free_key() to release <em>key</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getrecvsubkey_k -  Retrieve the receiving subkey from an auth context as a keyblock.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getremoteseqnumber.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getremoteseqnumber.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getremoteseqnumber.html	2023-08-14 16:17:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getremoteseqnumber.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getremoteseqnumber - Retrieve the remote sequence number from an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getsendsubkey - Retrieve the send subkey from an auth context as a keyblock." href="krb5_auth_con_getsendsubkey.html" />
     <link rel="prev" title="krb5_auth_con_getrecvsubkey_k - Retrieve the receiving subkey from an auth context as a keyblock." href="krb5_auth_con_getrecvsubkey_k.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getremoteseqnumber-retrieve-the-remote-sequence-number-from-an-auth-context">
+  <section id="krb5-auth-con-getremoteseqnumber-retrieve-the-remote-sequence-number-from-an-auth-context">
 <h1>krb5_auth_con_getremoteseqnumber -  Retrieve the remote sequence number from an auth context.<a class="headerlink" href="#krb5-auth-con-getremoteseqnumber-retrieve-the-remote-sequence-number-from-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getremoteseqnumber">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getremoteseqnumber</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a> *<em>&nbsp;seqnumber</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getremoteseqnumber" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getremoteseqnumber">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getremoteseqnumber</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">seqnumber</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getremoteseqnumber" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>seqnumber</strong> - Remote sequence number</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>seqnumber</strong> - Remote sequence number</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Retrieve the remote sequence number from <em>auth_context</em> and return it in <em>seqnumber</em> . The <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> flag must be set in <em>auth_context</em> for this function to be useful.</p>
-</div>
+</dd>
+</dl>
+<p>Retrieve the remote sequence number from <em>auth_context</em> and return it in <em>seqnumber</em> . The #KRB5_AUTH_CONTEXT_DO_SEQUENCE flag must be set in <em>auth_context</em> for this function to be useful.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getremoteseqnumber -  Retrieve the remote sequence number from an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getremotesubkey.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getremotesubkey.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getremotesubkey.html	2023-08-14 16:17:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getremotesubkey.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getremotesubkey &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_initivector - Cause an auth context to use cipher state." href="krb5_auth_con_initivector.html" />
     <link rel="prev" title="krb5_auth_con_getlocalsubkey" href="krb5_auth_con_getlocalsubkey.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getremotesubkey">
+  <section id="krb5-auth-con-getremotesubkey">
 <h1>krb5_auth_con_getremotesubkey<a class="headerlink" href="#krb5-auth-con-getremotesubkey" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getremotesubkey">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getremotesubkey</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;keyblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getremotesubkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getremotesubkey">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getremotesubkey</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getremotesubkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>auth_context</strong></p>
-<p class="last"><strong>keyblock</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>DEPRECATED Replaced by krb5_auth_con_getrecvsubkey() .</p>
-</div>
+<p><strong>keyblock</strong></p>
+</dd>
+</dl>
+<p>DEPRECATED Replaced by krb5_auth_con_getrecvsubkey().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getremotesubkey</a></li>
@@ -131,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getsendsubkey.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getsendsubkey.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getsendsubkey.html	2023-08-14 16:17:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getsendsubkey.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getsendsubkey - Retrieve the send subkey from an auth context as a keyblock. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_getsendsubkey_k - Retrieve the send subkey from an auth context." href="krb5_auth_con_getsendsubkey_k.html" />
     <link rel="prev" title="krb5_auth_con_getremoteseqnumber - Retrieve the remote sequence number from an auth context." href="krb5_auth_con_getremoteseqnumber.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getsendsubkey-retrieve-the-send-subkey-from-an-auth-context-as-a-keyblock">
+  <section id="krb5-auth-con-getsendsubkey-retrieve-the-send-subkey-from-an-auth-context-as-a-keyblock">
 <h1>krb5_auth_con_getsendsubkey -  Retrieve the send subkey from an auth context as a keyblock.<a class="headerlink" href="#krb5-auth-con-getsendsubkey-retrieve-the-send-subkey-from-an-auth-context-as-a-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getsendsubkey">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getsendsubkey</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;ac</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;keyblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getsendsubkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getsendsubkey">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getsendsubkey</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ac</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getsendsubkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ac</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>keyblock</strong> - Send subkey</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>keyblock</strong> - Send subkey</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a keyblock containing the send subkey from <em>auth_context</em> . Use <a class="reference internal" href="krb5_free_keyblock.html#c.krb5_free_keyblock" title="krb5_free_keyblock"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock()</span></code></a> to free <em>keyblock</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a keyblock containing the send subkey from <em>auth_context</em> . Use krb5_free_keyblock() to free <em>keyblock</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getsendsubkey -  Retrieve the send subkey from an auth context as a keyblock.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getsendsubkey_k.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getsendsubkey_k.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_getsendsubkey_k.html	2023-08-14 16:17:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_getsendsubkey_k.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_getsendsubkey_k - Retrieve the send subkey from an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_init - Create and initialize an authentication context." href="krb5_auth_con_init.html" />
     <link rel="prev" title="krb5_auth_con_getsendsubkey - Retrieve the send subkey from an auth context as a keyblock." href="krb5_auth_con_getsendsubkey.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-getsendsubkey-k-retrieve-the-send-subkey-from-an-auth-context">
+  <section id="krb5-auth-con-getsendsubkey-k-retrieve-the-send-subkey-from-an-auth-context">
 <h1>krb5_auth_con_getsendsubkey_k -  Retrieve the send subkey from an auth context.<a class="headerlink" href="#krb5-auth-con-getsendsubkey-k-retrieve-the-send-subkey-from-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_getsendsubkey_k">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_getsendsubkey_k</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;ac</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a> *<em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getsendsubkey_k" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_getsendsubkey_k">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_getsendsubkey_k</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ac</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_getsendsubkey_k" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ac</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>key</strong> - Send subkey</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>key</strong> - Send subkey</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function sets <em>key</em> to the send subkey from <em>auth_context</em> . Use <a class="reference internal" href="krb5_k_free_key.html#c.krb5_k_free_key" title="krb5_k_free_key"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_free_key()</span></code></a> to release <em>key</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function sets <em>key</em> to the send subkey from <em>auth_context</em> . Use krb5_k_free_key() to release <em>key</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_getsendsubkey_k -  Retrieve the send subkey from an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_init.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_init.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_init.html	2023-08-14 16:17:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_init.html	2024-06-26 20:00:53.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_init - Create and initialize an authentication context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_set_checksum_func - Set a checksum callback in an auth context." href="krb5_auth_con_set_checksum_func.html" />
     <link rel="prev" title="krb5_auth_con_getsendsubkey_k - Retrieve the send subkey from an auth context." href="krb5_auth_con_getsendsubkey_k.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-init-create-and-initialize-an-authentication-context">
+  <section id="krb5-auth-con-init-create-and-initialize-an-authentication-context">
 <h1>krb5_auth_con_init -  Create and initialize an authentication context.<a class="headerlink" href="#krb5-auth-con-init-create-and-initialize-an-authentication-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_init">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_init</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a> *<em>&nbsp;auth_context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_init" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_init">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_init</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">auth_context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_init" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>auth_context</strong> - Authentication context</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>auth_context</strong> - Authentication context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function creates an authentication context to hold configuration and state relevant to krb5 functions for authenticating principals and protecting messages once authentication has occurred.</p>
-<p>By default, flags for the context are set to enable the use of the replay cache ( <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> ), but not sequence numbers. Use <a class="reference internal" href="krb5_auth_con_setflags.html#c.krb5_auth_con_setflags" title="krb5_auth_con_setflags"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_setflags()</span></code></a> to change the flags.</p>
-<p>The allocated <em>auth_context</em> must be freed with <a class="reference internal" href="krb5_auth_con_free.html#c.krb5_auth_con_free" title="krb5_auth_con_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_free()</span></code></a> when it is no longer needed.</p>
-</div>
+<p>By default, flags for the context are set to enable the use of the replay cache (#KRB5_AUTH_CONTEXT_DO_TIME), but not sequence numbers. Use krb5_auth_con_setflags() to change the flags.</p>
+<p>The allocated <em>auth_context</em> must be freed with krb5_auth_con_free() when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_init -  Create and initialize an authentication context.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_initivector.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_initivector.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_initivector.html	2023-08-14 16:17:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_initivector.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_initivector - Cause an auth context to use cipher state. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_build_principal_va" href="krb5_build_principal_va.html" />
     <link rel="prev" title="krb5_auth_con_getremotesubkey" href="krb5_auth_con_getremotesubkey.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-initivector-cause-an-auth-context-to-use-cipher-state">
+  <section id="krb5-auth-con-initivector-cause-an-auth-context-to-use-cipher-state">
 <h1>krb5_auth_con_initivector -  Cause an auth context to use cipher state.<a class="headerlink" href="#krb5-auth-con-initivector-cause-an-auth-context-to-use-cipher-state" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_initivector">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_initivector</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_initivector" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_initivector">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_initivector</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_initivector" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Prepare <em>auth_context</em> to use cipher state when <a class="reference internal" href="krb5_mk_priv.html#c.krb5_mk_priv" title="krb5_mk_priv"><code class="xref c c-func docutils literal"><span class="pre">krb5_mk_priv()</span></code></a> or <a class="reference internal" href="krb5_rd_priv.html#c.krb5_rd_priv" title="krb5_rd_priv"><code class="xref c c-func docutils literal"><span class="pre">krb5_rd_priv()</span></code></a> encrypt or decrypt data.</p>
-</div>
+</dd>
+</dl>
+<p>Prepare <em>auth_context</em> to use cipher state when krb5_mk_priv() or krb5_rd_priv() encrypt or decrypt data.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_initivector -  Cause an auth context to use cipher state.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_set_checksum_func.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_set_checksum_func.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_set_checksum_func.html	2023-08-14 16:17:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_set_checksum_func.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_set_checksum_func - Set a checksum callback in an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_set_req_cksumtype - Set checksum type in an an auth context." href="krb5_auth_con_set_req_cksumtype.html" />
     <link rel="prev" title="krb5_auth_con_init - Create and initialize an authentication context." href="krb5_auth_con_init.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-set-checksum-func-set-a-checksum-callback-in-an-auth-context">
+  <section id="krb5-auth-con-set-checksum-func-set-a-checksum-callback-in-an-auth-context">
 <h1>krb5_auth_con_set_checksum_func -  Set a checksum callback in an auth context.<a class="headerlink" href="#krb5-auth-con-set-checksum-func-set-a-checksum-callback-in-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_set_checksum_func">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_set_checksum_func</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_mk_req_checksum_func.html#c.krb5_mk_req_checksum_func" title="krb5_mk_req_checksum_func">krb5_mk_req_checksum_func</a><em>&nbsp;func</em>, void *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_set_checksum_func" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_set_checksum_func">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_set_checksum_func</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_mk_req_checksum_func.html#c.krb5_mk_req_checksum_func" title="krb5_mk_req_checksum_func"><span class="n"><span class="pre">krb5_mk_req_checksum_func</span></span></a><span class="w"> </span><span class="n"><span class="pre">func</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_set_checksum_func" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>func</strong> - Checksum callback</p>
-<p class="last"><strong>[in]</strong> <strong>data</strong> - Callback argument</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   (always)</li>
+<p><strong>[in]</strong> <strong>data</strong> - Callback argument</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   (always)</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Set a callback to obtain checksum data in <a class="reference internal" href="krb5_mk_req.html#c.krb5_mk_req" title="krb5_mk_req"><code class="xref c c-func docutils literal"><span class="pre">krb5_mk_req()</span></code></a> . The callback will be invoked after the subkey and local sequence number are stored in <em>auth_context</em> .</p>
-</div>
+</dd>
+</dl>
+<p>Set a callback to obtain checksum data in krb5_mk_req(). The callback will be invoked after the subkey and local sequence number are stored in <em>auth_context</em> .</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_set_checksum_func -  Set a checksum callback in an auth context.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_set_req_cksumtype.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_set_req_cksumtype.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_set_req_cksumtype.html	2023-08-14 16:17:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_set_req_cksumtype.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_set_req_cksumtype - Set checksum type in an an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_setaddrs - Set the local and remote addresses in an auth context." href="krb5_auth_con_setaddrs.html" />
     <link rel="prev" title="krb5_auth_con_set_checksum_func - Set a checksum callback in an auth context." href="krb5_auth_con_set_checksum_func.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-set-req-cksumtype-set-checksum-type-in-an-an-auth-context">
+  <section id="krb5-auth-con-set-req-cksumtype-set-checksum-type-in-an-an-auth-context">
 <h1>krb5_auth_con_set_req_cksumtype -  Set checksum type in an an auth context.<a class="headerlink" href="#krb5-auth-con-set-req-cksumtype-set-checksum-type-in-an-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_set_req_cksumtype">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_set_req_cksumtype</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;cksumtype</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_set_req_cksumtype" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_set_req_cksumtype">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_set_req_cksumtype</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">cksumtype</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_set_req_cksumtype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success. Otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success. Otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function sets the checksum type in <em>auth_context</em> to be used by <a class="reference internal" href="krb5_mk_req.html#c.krb5_mk_req" title="krb5_mk_req"><code class="xref c c-func docutils literal"><span class="pre">krb5_mk_req()</span></code></a> for the authenticator checksum.</p>
-</div>
+</dd>
+</dl>
+<p>This function sets the checksum type in <em>auth_context</em> to be used by krb5_mk_req() for the authenticator checksum.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_set_req_cksumtype -  Set checksum type in an an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setaddrs.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setaddrs.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setaddrs.html	2023-08-14 16:17:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setaddrs.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_setaddrs - Set the local and remote addresses in an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_setflags - Set a flags field in a krb5_auth_context structure." href="krb5_auth_con_setflags.html" />
     <link rel="prev" title="krb5_auth_con_set_req_cksumtype - Set checksum type in an an auth context." href="krb5_auth_con_set_req_cksumtype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-setaddrs-set-the-local-and-remote-addresses-in-an-auth-context">
+  <section id="krb5-auth-con-setaddrs-set-the-local-and-remote-addresses-in-an-auth-context">
 <h1>krb5_auth_con_setaddrs -  Set the local and remote addresses in an auth context.<a class="headerlink" href="#krb5-auth-con-setaddrs-set-the-local-and-remote-addresses-in-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_setaddrs">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_setaddrs</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *<em>&nbsp;local_addr</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *<em>&nbsp;remote_addr</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setaddrs" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_setaddrs">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_setaddrs</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">local_addr</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">remote_addr</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setaddrs" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>local_addr</strong> - Local address</p>
-<p class="last"><strong>[in]</strong> <strong>remote_addr</strong> - Remote address</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>remote_addr</strong> - Remote address</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function releases the storage assigned to the contents of the local and remote addresses of <em>auth_context</em> and then sets them to <em>local_addr</em> and <em>remote_addr</em> respectively.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_auth_con_genaddrs.html#c.krb5_auth_con_genaddrs" title="krb5_auth_con_genaddrs"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_genaddrs()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_auth_con_genaddrs()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_setaddrs -  Set the local and remote addresses in an auth context.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setflags.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setflags.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setflags.html	2023-08-14 16:17:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setflags.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_setflags - Set a flags field in a krb5_auth_context structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_setports - Set local and remote port fields in an auth context." href="krb5_auth_con_setports.html" />
     <link rel="prev" title="krb5_auth_con_setaddrs - Set the local and remote addresses in an auth context." href="krb5_auth_con_setaddrs.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-setflags-set-a-flags-field-in-a-krb5-auth-context-structure">
+  <section id="krb5-auth-con-setflags-set-a-flags-field-in-a-krb5-auth-context-structure">
 <h1>krb5_auth_con_setflags -  Set a flags field in a krb5_auth_context structure.<a class="headerlink" href="#krb5-auth-con-setflags-set-a-flags-field-in-a-krb5-auth-context-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_setflags">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_setflags</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a><em>&nbsp;flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setflags" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_setflags">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_setflags</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="n"><span class="pre">flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setflags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[in]</strong> <strong>flags</strong> - Flags bit mask</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   (always)</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>flags</strong> - Flags bit mask</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   (always)</p></li>
+</ul>
+</dd>
+</dl>
 <p>Valid values for <em>flags</em> are:</p>
 <blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> Use timestamps</li>
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> Save timestamps</li>
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> Use sequence numbers</li>
-<li><a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> Save sequence numbers</li>
+<li><p>#KRB5_AUTH_CONTEXT_DO_TIME Use timestamps</p></li>
+<li><p>#KRB5_AUTH_CONTEXT_RET_TIME Save timestamps</p></li>
+<li><p>#KRB5_AUTH_CONTEXT_DO_SEQUENCE Use sequence numbers</p></li>
+<li><p>#KRB5_AUTH_CONTEXT_RET_SEQUENCE Save sequence numbers</p></li>
 </ul>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_setflags -  Set a flags field in a krb5_auth_context structure.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setports.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setports.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setports.html	2023-08-14 16:17:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setports.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_setports - Set local and remote port fields in an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_setrcache - Set the replay cache in an auth context." href="krb5_auth_con_setrcache.html" />
     <link rel="prev" title="krb5_auth_con_setflags - Set a flags field in a krb5_auth_context structure." href="krb5_auth_con_setflags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-setports-set-local-and-remote-port-fields-in-an-auth-context">
+  <section id="krb5-auth-con-setports-set-local-and-remote-port-fields-in-an-auth-context">
 <h1>krb5_auth_con_setports -  Set local and remote port fields in an auth context.<a class="headerlink" href="#krb5-auth-con-setports-set-local-and-remote-port-fields-in-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_setports">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_setports</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *<em>&nbsp;local_port</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *<em>&nbsp;remote_port</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setports" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_setports">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_setports</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">local_port</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">remote_port</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setports" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>local_port</strong> - Local port</p>
-<p class="last"><strong>[in]</strong> <strong>remote_port</strong> - Remote port</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>remote_port</strong> - Remote port</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function releases the storage assigned to the contents of the local and remote ports of <em>auth_context</em> and then sets them to <em>local_port</em> and <em>remote_port</em> respectively.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_auth_con_genaddrs.html#c.krb5_auth_con_genaddrs" title="krb5_auth_con_genaddrs"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_genaddrs()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_auth_con_genaddrs()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_setports -  Set local and remote port fields in an auth context.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setrcache.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setrcache.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setrcache.html	2023-08-14 16:17:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setrcache.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_setrcache - Set the replay cache in an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_setrecvsubkey - Set the receiving subkey in an auth context with a keyblock." href="krb5_auth_con_setrecvsubkey.html" />
     <link rel="prev" title="krb5_auth_con_setports - Set local and remote port fields in an auth context." href="krb5_auth_con_setports.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-setrcache-set-the-replay-cache-in-an-auth-context">
+  <section id="krb5-auth-con-setrcache-set-the-replay-cache-in-an-auth-context">
 <h1>krb5_auth_con_setrcache -  Set the replay cache in an auth context.<a class="headerlink" href="#krb5-auth-con-setrcache-set-the-replay-cache-in-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_setrcache">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_setrcache</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_rcache.html#c.krb5_rcache" title="krb5_rcache">krb5_rcache</a><em>&nbsp;rcache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setrcache" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_setrcache">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_setrcache</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_rcache.html#c.krb5_rcache" title="krb5_rcache"><span class="n"><span class="pre">krb5_rcache</span></span></a><span class="w"> </span><span class="n"><span class="pre">rcache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setrcache" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[in]</strong> <strong>rcache</strong> - Replay cache haddle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>rcache</strong> - Replay cache haddle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function sets the replay cache in <em>auth_context</em> to <em>rcache</em> . <em>rcache</em> will be closed when <em>auth_context</em> is freed, so the caller should relinquish that responsibility.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_setrcache -  Set the replay cache in an auth context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setrecvsubkey.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setrecvsubkey.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setrecvsubkey.html	2023-08-14 16:17:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setrecvsubkey.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_setrecvsubkey - Set the receiving subkey in an auth context with a keyblock. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_setrecvsubkey_k - Set the receiving subkey in an auth context." href="krb5_auth_con_setrecvsubkey_k.html" />
     <link rel="prev" title="krb5_auth_con_setrcache - Set the replay cache in an auth context." href="krb5_auth_con_setrcache.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-setrecvsubkey-set-the-receiving-subkey-in-an-auth-context-with-a-keyblock">
+  <section id="krb5-auth-con-setrecvsubkey-set-the-receiving-subkey-in-an-auth-context-with-a-keyblock">
 <h1>krb5_auth_con_setrecvsubkey -  Set the receiving subkey in an auth context with a keyblock.<a class="headerlink" href="#krb5-auth-con-setrecvsubkey-set-the-receiving-subkey-in-an-auth-context-with-a-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_setrecvsubkey">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_setrecvsubkey</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;ac</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;keyblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setrecvsubkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_setrecvsubkey">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_setrecvsubkey</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ac</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setrecvsubkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ac</strong> - Authentication context</p>
-<p class="last"><strong>[in]</strong> <strong>keyblock</strong> - Receiving subkey</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>keyblock</strong> - Receiving subkey</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function sets the receiving subkey in <em>ac</em> to a copy of <em>keyblock</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_setrecvsubkey -  Set the receiving subkey in an auth context with a keyblock.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setrecvsubkey_k.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setrecvsubkey_k.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setrecvsubkey_k.html	2023-08-14 16:17:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setrecvsubkey_k.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_setrecvsubkey_k - Set the receiving subkey in an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_setsendsubkey - Set the send subkey in an auth context with a keyblock." href="krb5_auth_con_setsendsubkey.html" />
     <link rel="prev" title="krb5_auth_con_setrecvsubkey - Set the receiving subkey in an auth context with a keyblock." href="krb5_auth_con_setrecvsubkey.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-setrecvsubkey-k-set-the-receiving-subkey-in-an-auth-context">
+  <section id="krb5-auth-con-setrecvsubkey-k-set-the-receiving-subkey-in-an-auth-context">
 <h1>krb5_auth_con_setrecvsubkey_k -  Set the receiving subkey in an auth context.<a class="headerlink" href="#krb5-auth-con-setrecvsubkey-k-set-the-receiving-subkey-in-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_setrecvsubkey_k">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_setrecvsubkey_k</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;ac</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setrecvsubkey_k" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_setrecvsubkey_k">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_setrecvsubkey_k</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ac</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setrecvsubkey_k" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ac</strong> - Authentication context</p>
-<p class="last"><strong>[in]</strong> <strong>key</strong> - Receiving subkey</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>key</strong> - Receiving subkey</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function sets the receiving subkey in <em>ac</em> to <em>key</em> , incrementing its reference count.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_setrecvsubkey_k -  Set the receiving subkey in an auth context.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setsendsubkey.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setsendsubkey.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setsendsubkey.html	2023-08-14 16:17:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setsendsubkey.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_setsendsubkey - Set the send subkey in an auth context with a keyblock. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_setsendsubkey_k - Set the send subkey in an auth context." href="krb5_auth_con_setsendsubkey_k.html" />
     <link rel="prev" title="krb5_auth_con_setrecvsubkey_k - Set the receiving subkey in an auth context." href="krb5_auth_con_setrecvsubkey_k.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-setsendsubkey-set-the-send-subkey-in-an-auth-context-with-a-keyblock">
+  <section id="krb5-auth-con-setsendsubkey-set-the-send-subkey-in-an-auth-context-with-a-keyblock">
 <h1>krb5_auth_con_setsendsubkey -  Set the send subkey in an auth context with a keyblock.<a class="headerlink" href="#krb5-auth-con-setsendsubkey-set-the-send-subkey-in-an-auth-context-with-a-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_setsendsubkey">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_setsendsubkey</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;ac</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;keyblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setsendsubkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_setsendsubkey">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_setsendsubkey</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ac</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setsendsubkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ac</strong> - Authentication context</p>
-<p class="last"><strong>[in]</strong> <strong>keyblock</strong> - Send subkey</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success. Otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>keyblock</strong> - Send subkey</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success. Otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function sets the send subkey in <em>ac</em> to a copy of <em>keyblock</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_setsendsubkey -  Set the send subkey in an auth context with a keyblock.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setsendsubkey_k.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setsendsubkey_k.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setsendsubkey_k.html	2023-08-14 16:17:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setsendsubkey_k.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_setsendsubkey_k - Set the send subkey in an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_con_setuseruserkey - Set the session key in an auth context." href="krb5_auth_con_setuseruserkey.html" />
     <link rel="prev" title="krb5_auth_con_setsendsubkey - Set the send subkey in an auth context with a keyblock." href="krb5_auth_con_setsendsubkey.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-setsendsubkey-k-set-the-send-subkey-in-an-auth-context">
+  <section id="krb5-auth-con-setsendsubkey-k-set-the-send-subkey-in-an-auth-context">
 <h1>krb5_auth_con_setsendsubkey_k -  Set the send subkey in an auth context.<a class="headerlink" href="#krb5-auth-con-setsendsubkey-k-set-the-send-subkey-in-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_setsendsubkey_k">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_setsendsubkey_k</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;ac</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setsendsubkey_k" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_setsendsubkey_k">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_setsendsubkey_k</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ac</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setsendsubkey_k" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ac</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>key</strong> - Send subkey</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>key</strong> - Send subkey</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function sets the send subkey in <em>ac</em> to <em>key</em> , incrementing its reference count.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_setsendsubkey_k -  Set the send subkey in an auth context.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setuseruserkey.html 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setuseruserkey.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_auth_con_setuseruserkey.html	2023-08-14 16:17:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_auth_con_setuseruserkey.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_con_setuseruserkey - Set the session key in an auth context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_cache_match - Find a credential cache with a specified client principal." href="krb5_cc_cache_match.html" />
     <link rel="prev" title="krb5_auth_con_setsendsubkey_k - Set the send subkey in an auth context." href="krb5_auth_con_setsendsubkey_k.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-con-setuseruserkey-set-the-session-key-in-an-auth-context">
+  <section id="krb5-auth-con-setuseruserkey-set-the-session-key-in-an-auth-context">
 <h1>krb5_auth_con_setuseruserkey -  Set the session key in an auth context.<a class="headerlink" href="#krb5-auth-con-setuseruserkey-set-the-session-key-in-an-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_auth_con_setuseruserkey">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_auth_con_setuseruserkey</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;keyblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setuseruserkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_auth_con_setuseruserkey">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_con_setuseruserkey</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_auth_con_setuseruserkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[in]</strong> <strong>keyblock</strong> - User key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>keyblock</strong> - User key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_con_setuseruserkey -  Set the session key in an auth context.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_build_principal.html 1.21.3-1/doc/html/appdev/refs/api/krb5_build_principal.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_build_principal.html	2023-08-14 16:17:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_build_principal.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_build_principal - Build a principal name using null-terminated strings. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_build_principal_alloc_va - Build a principal name, using a precomputed variable argument list." href="krb5_build_principal_alloc_va.html" />
     <link rel="prev" title="krb5 API" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-build-principal-build-a-principal-name-using-null-terminated-strings">
+  <section id="krb5-build-principal-build-a-principal-name-using-null-terminated-strings">
 <h1>krb5_build_principal -  Build a principal name using null-terminated strings.<a class="headerlink" href="#krb5-build-principal-build-a-principal-name-using-null-terminated-strings" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_build_principal">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_build_principal</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;princ</em>, unsigned int<em>&nbsp;rlen</em>, const char *<em>&nbsp;realm</em>, ...<span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_build_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_build_principal">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_build_principal</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">princ</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">rlen</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span>, <span class="p"><span class="pre">...</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_build_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>princ</strong> - Principal name</p>
 <p><strong>[in]</strong> <strong>rlen</strong> - Realm name length</p>
-<p class="last"><strong>[in]</strong> <strong>realm</strong> - Realm name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Call <a class="reference internal" href="krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a> to free <em>princ</em> when it is no longer needed.</p>
+<p><strong>[in]</strong> <strong>realm</strong> - Realm name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Call krb5_free_principal() to free <em>princ</em> when it is no longer needed.</p>
 <p>Beginning with release 1.20, the name type of the principal will be inferred as <strong>KRB5_NT_SRV_INST</strong> or <strong>KRB5_NT_WELLKNOWN</strong> based on the principal name. The type will be <strong>KRB5_NT_PRINCIPAL</strong> if a type cannot be inferred.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last"><a class="reference internal" href="#c.krb5_build_principal" title="krb5_build_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_build_principal()</span></code></a> and <a class="reference internal" href="krb5_build_principal_alloc_va.html#c.krb5_build_principal_alloc_va" title="krb5_build_principal_alloc_va"><code class="xref c c-func docutils literal"><span class="pre">krb5_build_principal_alloc_va()</span></code></a> perform the same task. <a class="reference internal" href="#c.krb5_build_principal" title="krb5_build_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_build_principal()</span></code></a> takes variadic arguments. <a class="reference internal" href="krb5_build_principal_alloc_va.html#c.krb5_build_principal_alloc_va" title="krb5_build_principal_alloc_va"><code class="xref c c-func docutils literal"><span class="pre">krb5_build_principal_alloc_va()</span></code></a> takes a pre-computed <em>varargs</em> pointer.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>krb5_build_principal() and krb5_build_principal_alloc_va() perform the same task. krb5_build_principal() takes variadic arguments. krb5_build_principal_alloc_va() takes a pre-computed <em>varargs</em> pointer.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_build_principal -  Build a principal name using null-terminated strings.</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_build_principal_alloc_va.html 1.21.3-1/doc/html/appdev/refs/api/krb5_build_principal_alloc_va.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_build_principal_alloc_va.html	2023-08-14 16:17:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_build_principal_alloc_va.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_build_principal_alloc_va - Build a principal name, using a precomputed variable argument list. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_build_principal_ext - Build a principal name using length-counted strings." href="krb5_build_principal_ext.html" />
     <link rel="prev" title="krb5_build_principal - Build a principal name using null-terminated strings." href="krb5_build_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-build-principal-alloc-va-build-a-principal-name-using-a-precomputed-variable-argument-list">
+  <section id="krb5-build-principal-alloc-va-build-a-principal-name-using-a-precomputed-variable-argument-list">
 <h1>krb5_build_principal_alloc_va -  Build a principal name, using a precomputed variable argument list.<a class="headerlink" href="#krb5-build-principal-alloc-va-build-a-principal-name-using-a-precomputed-variable-argument-list" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_build_principal_alloc_va">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_build_principal_alloc_va</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;princ</em>, unsigned int<em>&nbsp;rlen</em>, const char *<em>&nbsp;realm</em>, va_list<em>&nbsp;ap</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_build_principal_alloc_va" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_build_principal_alloc_va">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_build_principal_alloc_va</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">princ</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">rlen</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span>, <span class="n"><span class="pre">va_list</span></span><span class="w"> </span><span class="n"><span class="pre">ap</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_build_principal_alloc_va" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>princ</strong> - Principal structure</p>
 <p><strong>[in]</strong> <strong>rlen</strong> - Realm name length</p>
 <p><strong>[in]</strong> <strong>realm</strong> - Realm name</p>
-<p class="last"><strong>[in]</strong> <strong>ap</strong> - List of char * components, ending with NULL</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Similar to <a class="reference internal" href="krb5_build_principal.html#c.krb5_build_principal" title="krb5_build_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_build_principal()</span></code></a> , this function builds a principal name, but its name components are specified as a va_list.</p>
-<p>Use <a class="reference internal" href="krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a> to deallocate <em>princ</em> when it is no longer needed.</p>
-</div>
+<p><strong>[in]</strong> <strong>ap</strong> - List of char * components, ending with NULL</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Similar to krb5_build_principal(), this function builds a principal name, but its name components are specified as a va_list.</p>
+<p>Use krb5_free_principal() to deallocate <em>princ</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_build_principal_alloc_va -  Build a principal name, using a precomputed variable argument list.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_build_principal_ext.html 1.21.3-1/doc/html/appdev/refs/api/krb5_build_principal_ext.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_build_principal_ext.html	2023-08-14 16:17:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_build_principal_ext.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_build_principal_ext - Build a principal name using length-counted strings. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_close - Close a credential cache handle." href="krb5_cc_close.html" />
     <link rel="prev" title="krb5_build_principal_alloc_va - Build a principal name, using a precomputed variable argument list." href="krb5_build_principal_alloc_va.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-build-principal-ext-build-a-principal-name-using-length-counted-strings">
+  <section id="krb5-build-principal-ext-build-a-principal-name-using-length-counted-strings">
 <h1>krb5_build_principal_ext -  Build a principal name using length-counted strings.<a class="headerlink" href="#krb5-build-principal-ext-build-a-principal-name-using-length-counted-strings" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_build_principal_ext">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_build_principal_ext</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;princ</em>, unsigned int<em>&nbsp;rlen</em>, const char *<em>&nbsp;realm</em>, ...<span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_build_principal_ext" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_build_principal_ext">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_build_principal_ext</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">princ</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">rlen</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span>, <span class="p"><span class="pre">...</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_build_principal_ext" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>princ</strong> - Principal name</p>
 <p><strong>[in]</strong> <strong>rlen</strong> - Realm name length</p>
-<p class="last"><strong>[in]</strong> <strong>realm</strong> - Realm name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a principal from a length-counted string and a variable-length list of length-counted components. The list of components ends with the first 0 length argument (so it is not possible to specify an empty component with this function). Call <a class="reference internal" href="krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a> to free allocated memory for principal when it is no longer needed.</p>
+<p><strong>[in]</strong> <strong>realm</strong> - Realm name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>This function creates a principal from a length-counted string and a variable-length list of length-counted components. The list of components ends with the first 0 length argument (so it is not possible to specify an empty component with this function). Call krb5_free_principal() to free allocated memory for principal when it is no longer needed.</p>
 <p>Beginning with release 1.20, the name type of the principal will be inferred as <strong>KRB5_NT_SRV_INST</strong> or <strong>KRB5_NT_WELLKNOWN</strong> based on the principal name. The type will be <strong>KRB5_NT_PRINCIPAL</strong> if a type cannot be inferred.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_build_principal_ext -  Build a principal name using length-counted strings.</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_build_principal_va.html 1.21.3-1/doc/html/appdev/refs/api/krb5_build_principal_va.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_build_principal_va.html	2023-08-14 16:18:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_build_principal_va.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_build_principal_va &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_random_seed" href="krb5_c_random_seed.html" />
     <link rel="prev" title="krb5_auth_con_initivector - Cause an auth context to use cipher state." href="krb5_auth_con_initivector.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-build-principal-va">
+  <section id="krb5-build-principal-va">
 <h1>krb5_build_principal_va<a class="headerlink" href="#krb5-build-principal-va" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_build_principal_va">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_build_principal_va</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;princ</em>, unsigned int<em>&nbsp;rlen</em>, const char *<em>&nbsp;realm</em>, va_list<em>&nbsp;ap</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_build_principal_va" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_build_principal_va">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_build_principal_va</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">rlen</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span>, <span class="n"><span class="pre">va_list</span></span><span class="w"> </span><span class="n"><span class="pre">ap</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_build_principal_va" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>princ</strong></p>
 <p><strong>rlen</strong></p>
 <p><strong>realm</strong></p>
-<p class="last"><strong>ap</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>DEPRECATED Replaced by krb5_build_principal_alloc_va() .</p>
-</div>
+<p><strong>ap</strong></p>
+</dd>
+</dl>
+<p>DEPRECATED Replaced by krb5_build_principal_alloc_va().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_build_principal_va</a></li>
@@ -133,6 +122,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_block_size.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_block_size.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_block_size.html	2023-08-14 16:18:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_block_size.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_block_size - Return cipher block size. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_checksum_length - Return the length of checksums for a checksum type." href="krb5_c_checksum_length.html" />
     <link rel="prev" title="krb5_wrap_error_message - Add a prefix to a different error code’s message." href="krb5_wrap_error_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-block-size-return-cipher-block-size">
+  <section id="krb5-c-block-size-return-cipher-block-size">
 <h1>krb5_c_block_size -  Return cipher block size.<a class="headerlink" href="#krb5-c-block-size-return-cipher-block-size" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_block_size">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_block_size</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, size_t *<em>&nbsp;blocksize</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_block_size" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_block_size">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_block_size</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">blocksize</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_block_size" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
-<p class="last"><strong>[out]</strong> <strong>blocksize</strong> - Block size for <em>enctype</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>blocksize</strong> - Block size for <em>enctype</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_block_size -  Return cipher block size.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_checksum_length.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_checksum_length.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_checksum_length.html	2023-08-14 16:18:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_checksum_length.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_checksum_length - Return the length of checksums for a checksum type. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_crypto_length - Return a length of a message field specific to the encryption type." href="krb5_c_crypto_length.html" />
     <link rel="prev" title="krb5_c_block_size - Return cipher block size." href="krb5_c_block_size.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-checksum-length-return-the-length-of-checksums-for-a-checksum-type">
+  <section id="krb5-c-checksum-length-return-the-length-of-checksums-for-a-checksum-type">
 <h1>krb5_c_checksum_length -  Return the length of checksums for a checksum type.<a class="headerlink" href="#krb5-c-checksum-length-return-the-length-of-checksums-for-a-checksum-type" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_checksum_length">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_checksum_length</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;cksumtype</em>, size_t *<em>&nbsp;length</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_checksum_length" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_checksum_length">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_checksum_length</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">cksumtype</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">length</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_checksum_length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type</p>
-<p class="last"><strong>[out]</strong> <strong>length</strong> - Checksum length</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>length</strong> - Checksum length</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_checksum_length -  Return the length of checksums for a checksum type.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_crypto_length.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_crypto_length.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_crypto_length.html	2023-08-14 16:18:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_crypto_length.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_crypto_length - Return a length of a message field specific to the encryption type. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_crypto_length_iov - Fill in lengths for header, trailer and padding in a IOV array." href="krb5_c_crypto_length_iov.html" />
     <link rel="prev" title="krb5_c_checksum_length - Return the length of checksums for a checksum type." href="krb5_c_checksum_length.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-crypto-length-return-a-length-of-a-message-field-specific-to-the-encryption-type">
+  <section id="krb5-c-crypto-length-return-a-length-of-a-message-field-specific-to-the-encryption-type">
 <h1>krb5_c_crypto_length -  Return a length of a message field specific to the encryption type.<a class="headerlink" href="#krb5-c-crypto-length-return-a-length-of-a-message-field-specific-to-the-encryption-type" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_crypto_length">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_crypto_length</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, <a class="reference internal" href="../types/krb5_cryptotype.html#c.krb5_cryptotype" title="krb5_cryptotype">krb5_cryptotype</a><em>&nbsp;type</em>, unsigned int *<em>&nbsp;size</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_crypto_length" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_crypto_length">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_crypto_length</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <a class="reference internal" href="../types/krb5_cryptotype.html#c.krb5_cryptotype" title="krb5_cryptotype"><span class="n"><span class="pre">krb5_cryptotype</span></span></a><span class="w"> </span><span class="n"><span class="pre">type</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">size</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_crypto_length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
-<p><strong>[in]</strong> <strong>type</strong> - Type field (See <code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE</span></code> types)</p>
-<p class="last"><strong>[out]</strong> <strong>size</strong> - Length of the <em>type</em> specific to <em>enctype</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>type</strong> - Type field (See KRB5_CRYPTO_TYPE macros)</p>
+<p><strong>[out]</strong> <strong>size</strong> - Length of the <em>type</em> specific to <em>enctype</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_crypto_length -  Return a length of a message field specific to the encryption type.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_crypto_length_iov.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_crypto_length_iov.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_crypto_length_iov.html	2023-08-14 16:18:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_crypto_length_iov.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_crypto_length_iov - Fill in lengths for header, trailer and padding in a IOV array. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_decrypt - Decrypt data using a key (operates on keyblock)." href="krb5_c_decrypt.html" />
     <link rel="prev" title="krb5_c_crypto_length - Return a length of a message field specific to the encryption type." href="krb5_c_crypto_length.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-crypto-length-iov-fill-in-lengths-for-header-trailer-and-padding-in-a-iov-array">
+  <section id="krb5-c-crypto-length-iov-fill-in-lengths-for-header-trailer-and-padding-in-a-iov-array">
 <h1>krb5_c_crypto_length_iov -  Fill in lengths for header, trailer and padding in a IOV array.<a class="headerlink" href="#krb5-c-crypto-length-iov-fill-in-lengths-for-header-trailer-and-padding-in-a-iov-array" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_crypto_length_iov">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_crypto_length_iov</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov">krb5_crypto_iov</a> *<em>&nbsp;data</em>, size_t<em>&nbsp;num_data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_crypto_length_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_crypto_length_iov">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_crypto_length_iov</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">num_data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_crypto_length_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[inout]</strong> <strong>data</strong> - IOV array</p>
-<p class="last"><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Padding is set to the actual padding required based on the provided <em>data</em> buffers. Typically this API is used after setting up the data buffers and <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.html#KRB5_CRYPTO_TYPE_SIGN_ONLY" title="KRB5_CRYPTO_TYPE_SIGN_ONLY"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_SIGN_ONLY</span></code></a> buffers, but before actually allocating header, trailer and padding.</p>
-</div>
+</dd>
+</dl>
+<p>Padding is set to the actual padding required based on the provided <em>data</em> buffers. Typically this API is used after setting up the data buffers and #KRB5_CRYPTO_TYPE_SIGN_ONLY buffers, but before actually allocating header, trailer and padding.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_crypto_length_iov -  Fill in lengths for header, trailer and padding in a IOV array.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_decrypt.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_decrypt.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_decrypt.html	2023-08-14 16:18:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_decrypt.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_decrypt - Decrypt data using a key (operates on keyblock). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_decrypt_iov - Decrypt data in place supporting AEAD (operates on keyblock)." href="krb5_c_decrypt_iov.html" />
     <link rel="prev" title="krb5_c_crypto_length_iov - Fill in lengths for header, trailer and padding in a IOV array." href="krb5_c_crypto_length_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-decrypt-decrypt-data-using-a-key-operates-on-keyblock">
+  <section id="krb5-c-decrypt-decrypt-data-using-a-key-operates-on-keyblock">
 <h1>krb5_c_decrypt -  Decrypt data using a key (operates on keyblock).<a class="headerlink" href="#krb5-c-decrypt-decrypt-data-using-a-key-operates-on-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_decrypt">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_decrypt</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;cipher_state</em>, const <a class="reference internal" href="../types/krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;output</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_decrypt" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_decrypt">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_decrypt</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cipher_state</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">output</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_decrypt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[inout]</strong> <strong>cipher_state</strong> - Cipher state; specify NULL if not needed</p>
 <p><strong>[in]</strong> <strong>input</strong> - Encrypted data</p>
-<p class="last"><strong>[out]</strong> <strong>output</strong> - Decrypted data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>output</strong> - Decrypted data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function decrypts the data block <em>input</em> and stores the output into <em>output</em> . The actual decryption key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the encryption type. If non-null, <em>cipher_state</em> specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The caller must initialize <em>output</em> and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let <a class="reference internal" href="#c.krb5_c_decrypt" title="krb5_c_decrypt"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_decrypt()</span></code></a> trim <em>output-&gt;length</em> . For some enctypes, the resulting <em>output-&gt;length</em> may include padding bytes.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The caller must initialize <em>output</em> and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let krb5_c_decrypt() trim <em>output-&gt;length</em> . For some enctypes, the resulting <em>output-&gt;length</em> may include padding bytes.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_decrypt -  Decrypt data using a key (operates on keyblock).</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_decrypt_iov.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_decrypt_iov.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_decrypt_iov.html	2023-08-14 16:18:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_decrypt_iov.html	2024-06-26 20:00:54.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_decrypt_iov - Decrypt data in place supporting AEAD (operates on keyblock). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_derive_prfplus - Derive a key using some input data (via RFC 6113 PRF+)." href="krb5_c_derive_prfplus.html" />
     <link rel="prev" title="krb5_c_decrypt - Decrypt data using a key (operates on keyblock)." href="krb5_c_decrypt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-keyblock">
+  <section id="krb5-c-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-keyblock">
 <h1>krb5_c_decrypt_iov -  Decrypt data in place supporting AEAD (operates on keyblock).<a class="headerlink" href="#krb5-c-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_decrypt_iov">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_decrypt_iov</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;keyblock</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;cipher_state</em>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov">krb5_crypto_iov</a> *<em>&nbsp;data</em>, size_t<em>&nbsp;num_data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_decrypt_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_decrypt_iov">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_decrypt_iov</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cipher_state</span></span>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">num_data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_decrypt_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>keyblock</strong> - Encryption key</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[in]</strong> <strong>cipher_state</strong> - Cipher state; specify NULL if not needed</p>
 <p><strong>[inout]</strong> <strong>data</strong> - IOV array. Modified in-place.</p>
-<p class="last"><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function decrypts the data block <em>data</em> and stores the output in-place. The actual decryption key will be derived from <em>keyblock</em> and <em>usage</em> if key derivation is specified for the encryption type. If non-null, <em>cipher_state</em> specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5_crypto_iov structures before calling into this API.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="#c.krb5_c_decrypt_iov" title="krb5_c_decrypt_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_decrypt_iov()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_c_decrypt_iov()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">On return from a <a class="reference internal" href="#c.krb5_c_decrypt_iov" title="krb5_c_decrypt_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_decrypt_iov()</span></code></a> call, the <em>data-&gt;length</em> in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>On return from a krb5_c_decrypt_iov() call, the <em>data-&gt;length</em> in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_decrypt_iov -  Decrypt data in place supporting AEAD (operates on keyblock).</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_derive_prfplus.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_derive_prfplus.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_derive_prfplus.html	2023-08-14 16:18:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_derive_prfplus.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_derive_prfplus - Derive a key using some input data (via RFC 6113 PRF+). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_encrypt - Encrypt data using a key (operates on keyblock)." href="krb5_c_encrypt.html" />
     <link rel="prev" title="krb5_c_decrypt_iov - Decrypt data in place supporting AEAD (operates on keyblock)." href="krb5_c_decrypt_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-derive-prfplus-derive-a-key-using-some-input-data-via-rfc-6113-prf">
+  <section id="krb5-c-derive-prfplus-derive-a-key-using-some-input-data-via-rfc-6113-prf">
 <h1>krb5_c_derive_prfplus -  Derive a key using some input data (via RFC 6113 PRF+).<a class="headerlink" href="#krb5-c-derive-prfplus-derive-a-key-using-some-input-data-via-rfc-6113-prf" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_derive_prfplus">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_derive_prfplus</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;k</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_derive_prfplus" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_derive_prfplus">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_derive_prfplus</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_derive_prfplus" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>k</strong> - KDC contribution key</p>
 <p><strong>[in]</strong> <strong>input</strong> - Input string</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Output key enctype (or <strong>ENCTYPE_NULL</strong> )</p>
-<p class="last"><strong>[out]</strong> <strong>out</strong> - Derived keyblock</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>out</strong> - Derived keyblock</p>
+</dd>
+</dl>
 <p>This function uses PRF+ as defined in RFC 6113 to derive a key from another key and an input string. If <em>enctype</em> is <strong>ENCTYPE_NULL</strong> , the output key will have the same enctype as the input key.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_derive_prfplus -  Derive a key using some input data (via RFC 6113 PRF+).</a></li>
@@ -133,6 +122,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_encrypt.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_encrypt.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_encrypt.html	2023-08-14 16:18:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_encrypt.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_encrypt - Encrypt data using a key (operates on keyblock). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_encrypt_iov - Encrypt data in place supporting AEAD (operates on keyblock)." href="krb5_c_encrypt_iov.html" />
     <link rel="prev" title="krb5_c_derive_prfplus - Derive a key using some input data (via RFC 6113 PRF+)." href="krb5_c_derive_prfplus.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-encrypt-encrypt-data-using-a-key-operates-on-keyblock">
+  <section id="krb5-c-encrypt-encrypt-data-using-a-key-operates-on-keyblock">
 <h1>krb5_c_encrypt -  Encrypt data using a key (operates on keyblock).<a class="headerlink" href="#krb5-c-encrypt-encrypt-data-using-a-key-operates-on-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_encrypt">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_encrypt</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;cipher_state</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a> *<em>&nbsp;output</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_encrypt" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_encrypt">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_encrypt</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cipher_state</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">output</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_encrypt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[inout]</strong> <strong>cipher_state</strong> - Cipher state; specify NULL if not needed</p>
 <p><strong>[in]</strong> <strong>input</strong> - Data to be encrypted</p>
-<p class="last"><strong>[out]</strong> <strong>output</strong> - Encrypted data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>output</strong> - Encrypted data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function encrypts the data block <em>input</em> and stores the output into <em>output</em> . The actual encryption key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the encryption type. If non-null, <em>cipher_state</em> specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation.</p>
+</dd>
+</dl>
+<p>This function encrypts the data block <em>input</em> and stores the outputinto <em>output</em> . The actual encryption key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the encryption type. If non-null, <em>cipher_state</em> specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The caller must initialize <em>output</em> and allocate at least enough space for the result (using <a class="reference internal" href="krb5_c_encrypt_length.html#c.krb5_c_encrypt_length" title="krb5_c_encrypt_length"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_encrypt_length()</span></code></a> to determine the amount of space needed). <em>output-&gt;length</em> will be set to the actual length of the ciphertext.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The caller must initialize <em>output</em> and allocate at least enough space for the result (using krb5_c_encrypt_length() to determine the amount of space needed). <em>output-&gt;length</em> will be set to the actual length of the ciphertext.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_encrypt -  Encrypt data using a key (operates on keyblock).</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_encrypt_iov.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_encrypt_iov.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_encrypt_iov.html	2023-08-14 16:18:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_encrypt_iov.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_encrypt_iov - Encrypt data in place supporting AEAD (operates on keyblock). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_encrypt_length - Compute encrypted data length." href="krb5_c_encrypt_length.html" />
     <link rel="prev" title="krb5_c_encrypt - Encrypt data using a key (operates on keyblock)." href="krb5_c_encrypt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-keyblock">
+  <section id="krb5-c-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-keyblock">
 <h1>krb5_c_encrypt_iov -  Encrypt data in place supporting AEAD (operates on keyblock).<a class="headerlink" href="#krb5-c-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_encrypt_iov">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_encrypt_iov</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;keyblock</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;cipher_state</em>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov">krb5_crypto_iov</a> *<em>&nbsp;data</em>, size_t<em>&nbsp;num_data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_encrypt_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_encrypt_iov">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_encrypt_iov</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cipher_state</span></span>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">num_data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_encrypt_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>keyblock</strong> - Encryption key</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[in]</strong> <strong>cipher_state</strong> - Cipher state; specify NULL if not needed</p>
 <p><strong>[inout]</strong> <strong>data</strong> - IOV array. Modified in-place.</p>
-<p class="last"><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function encrypts the data block <em>data</em> and stores the output in-place. The actual encryption key will be derived from <em>keyblock</em> and <em>usage</em> if key derivation is specified for the encryption type. If non-null, <em>cipher_state</em> specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5_crypto_iov structures before calling into this API.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_c_decrypt_iov.html#c.krb5_c_decrypt_iov" title="krb5_c_decrypt_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_decrypt_iov()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_c_decrypt_iov()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">On return from a <a class="reference internal" href="#c.krb5_c_encrypt_iov" title="krb5_c_encrypt_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_encrypt_iov()</span></code></a> call, the <em>data-&gt;length</em> in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>On return from a krb5_c_encrypt_iov() call, the <em>data-&gt;length</em> in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_encrypt_iov -  Encrypt data in place supporting AEAD (operates on keyblock).</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_encrypt_length.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_encrypt_length.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_encrypt_length.html	2023-08-14 16:18:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_encrypt_length.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_encrypt_length - Compute encrypted data length. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_enctype_compare - Compare two encryption types." href="krb5_c_enctype_compare.html" />
     <link rel="prev" title="krb5_c_encrypt_iov - Encrypt data in place supporting AEAD (operates on keyblock)." href="krb5_c_encrypt_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-encrypt-length-compute-encrypted-data-length">
+  <section id="krb5-c-encrypt-length-compute-encrypted-data-length">
 <h1>krb5_c_encrypt_length -  Compute encrypted data length.<a class="headerlink" href="#krb5-c-encrypt-length-compute-encrypted-data-length" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_encrypt_length">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_encrypt_length</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, size_t<em>&nbsp;inputlen</em>, size_t *<em>&nbsp;length</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_encrypt_length" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_encrypt_length">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_encrypt_length</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">inputlen</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">length</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_encrypt_length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[in]</strong> <strong>inputlen</strong> - Length of the data to be encrypted</p>
-<p class="last"><strong>[out]</strong> <strong>length</strong> - Length of the encrypted data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>length</strong> - Length of the encrypted data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function computes the length of the ciphertext produced by encrypting <em>inputlen</em> bytes including padding, confounder, and checksum.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_encrypt_length -  Compute encrypted data length.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_enctype_compare.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_enctype_compare.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_enctype_compare.html	2023-08-14 16:18:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_enctype_compare.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_enctype_compare - Compare two encryption types. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
-    <link rel="next" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state() ." href="krb5_c_free_state.html" />
+    <link rel="next" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state()." href="krb5_c_free_state.html" />
     <link rel="prev" title="krb5_c_encrypt_length - Compute encrypted data length." href="krb5_c_encrypt_length.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -42,7 +33,7 @@
             accesskey="C">Contents</a> |
         <a href="krb5_c_encrypt_length.html" title="krb5_c_encrypt_length - Compute encrypted data length."
             accesskey="P">previous</a> |
-        <a href="krb5_c_free_state.html" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state() ."
+        <a href="krb5_c_free_state.html" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state()."
             accesskey="N">next</a> |
         <a href="../../../genindex.html" title="General Index"
             accesskey="I">index</a> |
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-enctype-compare-compare-two-encryption-types">
+  <section id="krb5-c-enctype-compare-compare-two-encryption-types">
 <h1>krb5_c_enctype_compare -  Compare two encryption types.<a class="headerlink" href="#krb5-c-enctype-compare-compare-two-encryption-types" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_enctype_compare">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_enctype_compare</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;e1</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;e2</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> *<em>&nbsp;similar</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_enctype_compare" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_enctype_compare">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_enctype_compare</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">e1</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">e2</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">similar</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_enctype_compare" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>e1</strong> - First encryption type</p>
 <p><strong>[in]</strong> <strong>e2</strong> - Second encryption type</p>
-<p class="last"><strong>[out]</strong> <strong>similar</strong> - <strong>TRUE</strong> if types are similar, <strong>FALSE</strong> if not</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>similar</strong> - <strong>TRUE</strong> if types are similar, <strong>FALSE</strong> if not</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function determines whether two encryption types use the same kind of keys.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_enctype_compare -  Compare two encryption types.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -159,7 +145,7 @@
             >Contents</a> |
         <a href="krb5_c_encrypt_length.html" title="krb5_c_encrypt_length - Compute encrypted data length."
             >previous</a> |
-        <a href="krb5_c_free_state.html" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state() ."
+        <a href="krb5_c_free_state.html" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state()."
             >next</a> |
         <a href="../../../genindex.html" title="General Index"
             >index</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_free_state.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_free_state.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_free_state.html	2023-08-14 16:18:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_free_state.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <title>krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state() . &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
+    <title>krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state(). &#8212; MIT Kerberos Documentation</title>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_fx_cf2_simple - Compute the KRB-FX-CF2 combination of two keys and pepper strings." href="krb5_c_fx_cf2_simple.html" />
     <link rel="prev" title="krb5_c_enctype_compare - Compare two encryption types." href="krb5_c_enctype_compare.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -48,7 +39,7 @@
             accesskey="I">index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             accesskey="S">Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state().">feedback</a>
             </div>
         </div>
     </div>
@@ -61,46 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-free-state-free-a-cipher-state-previously-allocated-by-krb5-c-init-state">
-<h1>krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state() .<a class="headerlink" href="#krb5-c-free-state-free-a-cipher-state-previously-allocated-by-krb5-c-init-state" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_free_state">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_free_state</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;state</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_free_state" title="Permalink to this definition">¶</a></dt>
+  <section id="krb5-c-free-state-free-a-cipher-state-previously-allocated-by-krb5-c-init-state">
+<h1>krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state().<a class="headerlink" href="#krb5-c-free-state-free-a-cipher-state-previously-allocated-by-krb5-c-init-state" title="Permalink to this headline">¶</a></h1>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_free_state">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_free_state</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">state</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_free_state" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Key</p>
-<p class="last"><strong>[in]</strong> <strong>state</strong> - Cipher state to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>state</strong> - Cipher state to be freed</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
-<li><a class="reference internal" href="#">krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state() .</a></li>
+<li><a class="reference internal" href="#">krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state().</a></li>
 </ul>
 
     <br/>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -163,7 +149,7 @@
             >index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             >Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state().">feedback</a>
             </div>
         </div>
     </div>
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_fx_cf2_simple.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_fx_cf2_simple.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_fx_cf2_simple.html	2023-08-14 16:18:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_fx_cf2_simple.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_fx_cf2_simple - Compute the KRB-FX-CF2 combination of two keys and pepper strings. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_init_state - Initialize a new cipher state." href="krb5_c_init_state.html" />
-    <link rel="prev" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state() ." href="krb5_c_free_state.html" /> 
-  </head>
-  <body>
+    <link rel="prev" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state()." href="krb5_c_free_state.html" /> 
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -40,7 +31,7 @@
                 
         <a href="../../../index.html" title="Full Table of Contents"
             accesskey="C">Contents</a> |
-        <a href="krb5_c_free_state.html" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state() ."
+        <a href="krb5_c_free_state.html" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state()."
             accesskey="P">previous</a> |
         <a href="krb5_c_init_state.html" title="krb5_c_init_state - Initialize a new cipher state."
             accesskey="N">next</a> |
@@ -61,47 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-fx-cf2-simple-compute-the-krb-fx-cf2-combination-of-two-keys-and-pepper-strings">
+  <section id="krb5-c-fx-cf2-simple-compute-the-krb-fx-cf2-combination-of-two-keys-and-pepper-strings">
 <h1>krb5_c_fx_cf2_simple -  Compute the KRB-FX-CF2 combination of two keys and pepper strings.<a class="headerlink" href="#krb5-c-fx-cf2-simple-compute-the-krb-fx-cf2-combination-of-two-keys-and-pepper-strings" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_fx_cf2_simple">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_fx_cf2_simple</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;k1</em>, const char *<em>&nbsp;pepper1</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;k2</em>, const char *<em>&nbsp;pepper2</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_fx_cf2_simple" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_fx_cf2_simple">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_fx_cf2_simple</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k1</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pepper1</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k2</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pepper2</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_fx_cf2_simple" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>k1</strong> - KDC contribution key</p>
 <p><strong>[in]</strong> <strong>pepper1</strong> - String”PKINIT”</p>
 <p><strong>[in]</strong> <strong>k2</strong> - Reply key</p>
 <p><strong>[in]</strong> <strong>pepper2</strong> - String”KeyExchange”</p>
-<p class="last"><strong>[out]</strong> <strong>out</strong> - Output key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>out</strong> - Output key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function computes the KRB-FX-CF2 function over its inputs and places the results in a newly allocated keyblock. This function is simple in that it assumes that <em>pepper1</em> and <em>pepper2</em> are C strings with no internal nulls and that the enctype of the result will be the same as that of <em>k1</em> . <em>k1</em> and <em>k2</em> may be of different enctypes.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_fx_cf2_simple -  Compute the KRB-FX-CF2 combination of two keys and pepper strings.</a></li>
@@ -145,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,14 +138,14 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
         <a href="../../../index.html" title="Full Table of Contents"
             >Contents</a> |
-        <a href="krb5_c_free_state.html" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state() ."
+        <a href="krb5_c_free_state.html" title="krb5_c_free_state - Free a cipher state previously allocated by krb5_c_init_state()."
             >previous</a> |
         <a href="krb5_c_init_state.html" title="krb5_c_init_state - Initialize a new cipher state."
             >next</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_init_state.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_init_state.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_init_state.html	2023-08-14 16:18:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_init_state.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_init_state - Initialize a new cipher state. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_is_coll_proof_cksum - Test whether a checksum type is collision-proof." href="krb5_c_is_coll_proof_cksum.html" />
     <link rel="prev" title="krb5_c_fx_cf2_simple - Compute the KRB-FX-CF2 combination of two keys and pepper strings." href="krb5_c_fx_cf2_simple.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-init-state-initialize-a-new-cipher-state">
+  <section id="krb5-c-init-state-initialize-a-new-cipher-state">
 <h1>krb5_c_init_state -  Initialize a new cipher state.<a class="headerlink" href="#krb5-c-init-state-initialize-a-new-cipher-state" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_init_state">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_init_state</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;new_state</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_init_state" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_init_state">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_init_state</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">new_state</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_init_state" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Key</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
-<p class="last"><strong>[out]</strong> <strong>new_state</strong> - New cipher state</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
+<p><strong>[out]</strong> <strong>new_state</strong> - New cipher state</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_init_state -  Initialize a new cipher state.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_is_coll_proof_cksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_is_coll_proof_cksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_is_coll_proof_cksum.html	2023-08-14 16:18:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_is_coll_proof_cksum.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_is_coll_proof_cksum - Test whether a checksum type is collision-proof. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_is_keyed_cksum - Test whether a checksum type is keyed." href="krb5_c_is_keyed_cksum.html" />
     <link rel="prev" title="krb5_c_init_state - Initialize a new cipher state." href="krb5_c_init_state.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-is-coll-proof-cksum-test-whether-a-checksum-type-is-collision-proof">
+  <section id="krb5-c-is-coll-proof-cksum-test-whether-a-checksum-type-is-collision-proof">
 <h1>krb5_c_is_coll_proof_cksum -  Test whether a checksum type is collision-proof.<a class="headerlink" href="#krb5-c-is-coll-proof-cksum-test-whether-a-checksum-type-is-collision-proof" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_is_coll_proof_cksum">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_c_is_coll_proof_cksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;ctype</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_is_coll_proof_cksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_is_coll_proof_cksum">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_is_coll_proof_cksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctype</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_is_coll_proof_cksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>ctype</strong> - Checksum type</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE if ctype is collision-proof, FALSE if it is not collision-proof or not a valid checksum type.</li>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctype</strong> - Checksum type</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE if ctype is collision-proof, FALSE if it is not collision-proof or not a valid checksum type.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_is_coll_proof_cksum -  Test whether a checksum type is collision-proof.</a></li>
@@ -138,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -145,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_is_keyed_cksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_is_keyed_cksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_is_keyed_cksum.html	2023-08-14 16:18:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_is_keyed_cksum.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_is_keyed_cksum - Test whether a checksum type is keyed. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_keyed_checksum_types - Return a list of keyed checksum types usable with an encryption type." href="krb5_c_keyed_checksum_types.html" />
     <link rel="prev" title="krb5_c_is_coll_proof_cksum - Test whether a checksum type is collision-proof." href="krb5_c_is_coll_proof_cksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-is-keyed-cksum-test-whether-a-checksum-type-is-keyed">
+  <section id="krb5-c-is-keyed-cksum-test-whether-a-checksum-type-is-keyed">
 <h1>krb5_c_is_keyed_cksum -  Test whether a checksum type is keyed.<a class="headerlink" href="#krb5-c-is-keyed-cksum-test-whether-a-checksum-type-is-keyed" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_is_keyed_cksum">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_c_is_keyed_cksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;ctype</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_is_keyed_cksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_is_keyed_cksum">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_is_keyed_cksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctype</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_is_keyed_cksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>ctype</strong> - Checksum type</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE if ctype is a keyed checksum type, FALSE otherwise.</li>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctype</strong> - Checksum type</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE if ctype is a keyed checksum type, FALSE otherwise.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_is_keyed_cksum -  Test whether a checksum type is keyed.</a></li>
@@ -138,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -145,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_keyed_checksum_types.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_keyed_checksum_types.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_keyed_checksum_types.html	2023-08-14 16:18:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_keyed_checksum_types.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_keyed_checksum_types - Return a list of keyed checksum types usable with an encryption type. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_keylengths - Return length of the specified key in bytes." href="krb5_c_keylengths.html" />
     <link rel="prev" title="krb5_c_is_keyed_cksum - Test whether a checksum type is keyed." href="krb5_c_is_keyed_cksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-keyed-checksum-types-return-a-list-of-keyed-checksum-types-usable-with-an-encryption-type">
+  <section id="krb5-c-keyed-checksum-types-return-a-list-of-keyed-checksum-types-usable-with-an-encryption-type">
 <h1>krb5_c_keyed_checksum_types -  Return a list of keyed checksum types usable with an encryption type.<a class="headerlink" href="#krb5-c-keyed-checksum-types-return-a-list-of-keyed-checksum-types-usable-with-an-encryption-type" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_keyed_checksum_types">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_keyed_checksum_types</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, unsigned int *<em>&nbsp;count</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a> **<em>&nbsp;cksumtypes</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_keyed_checksum_types" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_keyed_checksum_types">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_keyed_checksum_types</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">count</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cksumtypes</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_keyed_checksum_types" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[out]</strong> <strong>count</strong> - Count of allowable checksum types</p>
-<p class="last"><strong>[out]</strong> <strong>cksumtypes</strong> - Array of allowable checksum types</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>cksumtypes</strong> - Array of allowable checksum types</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_free_cksumtypes.html#c.krb5_free_cksumtypes" title="krb5_free_cksumtypes"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_cksumtypes()</span></code></a> to free <em>cksumtypes</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>Use krb5_free_cksumtypes() to free <em>cksumtypes</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_keyed_checksum_types -  Return a list of keyed checksum types usable with an encryption type.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_keylengths.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_keylengths.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_keylengths.html	2023-08-14 16:18:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_keylengths.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_keylengths - Return length of the specified key in bytes. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_make_checksum - Compute a checksum (operates on keyblock)." href="krb5_c_make_checksum.html" />
     <link rel="prev" title="krb5_c_keyed_checksum_types - Return a list of keyed checksum types usable with an encryption type." href="krb5_c_keyed_checksum_types.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-keylengths-return-length-of-the-specified-key-in-bytes">
+  <section id="krb5-c-keylengths-return-length-of-the-specified-key-in-bytes">
 <h1>krb5_c_keylengths -  Return length of the specified key in bytes.<a class="headerlink" href="#krb5-c-keylengths-return-length-of-the-specified-key-in-bytes" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_keylengths">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_keylengths</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, size_t *<em>&nbsp;keybytes</em>, size_t *<em>&nbsp;keylength</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_keylengths" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_keylengths">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_keylengths</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keybytes</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keylength</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_keylengths" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[out]</strong> <strong>keybytes</strong> - Number of bytes required to make a key</p>
-<p class="last"><strong>[out]</strong> <strong>keylength</strong> - Length of final key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>keylength</strong> - Length of final key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_keylengths -  Return length of the specified key in bytes.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_make_checksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_make_checksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_make_checksum.html	2023-08-14 16:18:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_make_checksum.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_make_checksum - Compute a checksum (operates on keyblock). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_make_checksum_iov - Fill in a checksum element in IOV array (operates on keyblock)" href="krb5_c_make_checksum_iov.html" />
     <link rel="prev" title="krb5_c_keylengths - Return length of the specified key in bytes." href="krb5_c_keylengths.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-make-checksum-compute-a-checksum-operates-on-keyblock">
+  <section id="krb5-c-make-checksum-compute-a-checksum-operates-on-keyblock">
 <h1>krb5_c_make_checksum -  Compute a checksum (operates on keyblock).<a class="headerlink" href="#krb5-c-make-checksum-compute-a-checksum-operates-on-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_make_checksum">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_make_checksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;cksumtype</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> *<em>&nbsp;cksum</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_make_checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_make_checksum">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_make_checksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">cksumtype</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cksum</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_make_checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type (0 for mandatory type)</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key for a keyed checksum</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[in]</strong> <strong>input</strong> - Input data</p>
-<p class="last"><strong>[out]</strong> <strong>cksum</strong> - Generated checksum</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>cksum</strong> - Generated checksum</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function computes a checksum of type <em>cksumtype</em> over <em>input</em> , using <em>key</em> if the checksum type is a keyed checksum. If <em>cksumtype</em> is 0 and <em>key</em> is non-null, the checksum type will be the mandatory-to-implement checksum type for the key’s encryption type. The actual checksum key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the checksum type. The newly created <em>cksum</em> must be released by calling <a class="reference internal" href="krb5_free_checksum_contents.html#c.krb5_free_checksum_contents" title="krb5_free_checksum_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_checksum_contents()</span></code></a> when it is no longer needed.</p>
+</dd>
+</dl>
+<p>This function computes a checksum of type <em>cksumtype</em> over <em>input</em> , using <em>key</em> if the checksum type is a keyed checksum. If <em>cksumtype</em> is 0 and <em>key</em> is non-null, the checksum type will be the mandatory-to-implement checksum type for the key’s encryption type. The actual checksum key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the checksum type. The newly created <em>cksum</em> must be released by calling krb5_free_checksum_contents() when it is no longer needed.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_c_verify_checksum.html#c.krb5_c_verify_checksum" title="krb5_c_verify_checksum"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_verify_checksum()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_c_verify_checksum()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function is similar to <a class="reference internal" href="krb5_k_make_checksum.html#c.krb5_k_make_checksum" title="krb5_k_make_checksum"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_make_checksum()</span></code></a> , but operates on keyblock <em>key</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This function is similar to krb5_k_make_checksum(), but operates on keyblock <em>key</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_make_checksum -  Compute a checksum (operates on keyblock).</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_make_checksum_iov.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_make_checksum_iov.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_make_checksum_iov.html	2023-08-14 16:18:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_make_checksum_iov.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_make_checksum_iov - Fill in a checksum element in IOV array (operates on keyblock) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_make_random_key - Generate an enctype-specific random encryption key." href="krb5_c_make_random_key.html" />
     <link rel="prev" title="krb5_c_make_checksum - Compute a checksum (operates on keyblock)." href="krb5_c_make_checksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-keyblock">
+  <section id="krb5-c-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-keyblock">
 <h1>krb5_c_make_checksum_iov -  Fill in a checksum element in IOV array (operates on keyblock)<a class="headerlink" href="#krb5-c-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_make_checksum_iov">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_make_checksum_iov</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;cksumtype</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov">krb5_crypto_iov</a> *<em>&nbsp;data</em>, size_t<em>&nbsp;num_data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_make_checksum_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_make_checksum_iov">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_make_checksum_iov</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">cksumtype</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">num_data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_make_checksum_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type (0 for mandatory type)</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key for a keyed checksum</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[inout]</strong> <strong>data</strong> - IOV array</p>
-<p class="last"><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Create a checksum in the <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_CHECKSUM.html#KRB5_CRYPTO_TYPE_CHECKSUM" title="KRB5_CRYPTO_TYPE_CHECKSUM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_CHECKSUM</span></code></a> element over <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_DATA.html#KRB5_CRYPTO_TYPE_DATA" title="KRB5_CRYPTO_TYPE_DATA"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_DATA</span></code></a> and <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.html#KRB5_CRYPTO_TYPE_SIGN_ONLY" title="KRB5_CRYPTO_TYPE_SIGN_ONLY"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_SIGN_ONLY</span></code></a> chunks in <em>data</em> . Only the <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_CHECKSUM.html#KRB5_CRYPTO_TYPE_CHECKSUM" title="KRB5_CRYPTO_TYPE_CHECKSUM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_CHECKSUM</span></code></a> region is modified.</p>
+</dd>
+</dl>
+<p>Create a checksum in the #KRB5_CRYPTO_TYPE_CHECKSUM element over #KRB5_CRYPTO_TYPE_DATA and #KRB5_CRYPTO_TYPE_SIGN_ONLY chunks in <em>data</em> . Only the #KRB5_CRYPTO_TYPE_CHECKSUM region is modified.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_c_verify_checksum_iov.html#c.krb5_c_verify_checksum_iov" title="krb5_c_verify_checksum_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_verify_checksum_iov()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_c_verify_checksum_iov()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function is similar to <a class="reference internal" href="krb5_k_make_checksum_iov.html#c.krb5_k_make_checksum_iov" title="krb5_k_make_checksum_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_make_checksum_iov()</span></code></a> , but operates on keyblock <em>key</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This function is similar to krb5_k_make_checksum_iov(), but operates on keyblock <em>key</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_make_checksum_iov -  Fill in a checksum element in IOV array (operates on keyblock)</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_make_random_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_make_random_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_make_random_key.html	2023-08-14 16:18:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_make_random_key.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_make_random_key - Generate an enctype-specific random encryption key. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_padding_length - Return a number of padding octets." href="krb5_c_padding_length.html" />
     <link rel="prev" title="krb5_c_make_checksum_iov - Fill in a checksum element in IOV array (operates on keyblock)" href="krb5_c_make_checksum_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-make-random-key-generate-an-enctype-specific-random-encryption-key">
+  <section id="krb5-c-make-random-key-generate-an-enctype-specific-random-encryption-key">
 <h1>krb5_c_make_random_key -  Generate an enctype-specific random encryption key.<a class="headerlink" href="#krb5-c-make-random-key-generate-an-enctype-specific-random-encryption-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_make_random_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_make_random_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;k5_random_key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_make_random_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_make_random_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_make_random_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k5_random_key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_make_random_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type of the generated key</p>
-<p class="last"><strong>[out]</strong> <strong>k5_random_key</strong> - An allocated and initialized keyblock</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>k5_random_key</strong> - An allocated and initialized keyblock</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_free_keyblock_contents.html#c.krb5_free_keyblock_contents" title="krb5_free_keyblock_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock_contents()</span></code></a> to free <em>k5_random_key</em> when no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>Use krb5_free_keyblock_contents() to free <em>k5_random_key</em> when no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_make_random_key -  Generate an enctype-specific random encryption key.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_padding_length.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_padding_length.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_padding_length.html	2023-08-14 16:18:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_padding_length.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_padding_length - Return a number of padding octets. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_prf - Generate enctype-specific pseudo-random bytes." href="krb5_c_prf.html" />
     <link rel="prev" title="krb5_c_make_random_key - Generate an enctype-specific random encryption key." href="krb5_c_make_random_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-padding-length-return-a-number-of-padding-octets">
+  <section id="krb5-c-padding-length-return-a-number-of-padding-octets">
 <h1>krb5_c_padding_length -  Return a number of padding octets.<a class="headerlink" href="#krb5-c-padding-length-return-a-number-of-padding-octets" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_padding_length">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_padding_length</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, size_t<em>&nbsp;data_length</em>, unsigned int *<em>&nbsp;size</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_padding_length" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_padding_length">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_padding_length</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">data_length</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">size</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_padding_length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[in]</strong> <strong>data_length</strong> - Length of the plaintext to pad</p>
-<p class="last"><strong>[out]</strong> <strong>size</strong> - Number of padding octets</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - KRB5_BAD_ENCTYPE</li>
+<p><strong>[out]</strong> <strong>size</strong> - Number of padding octets</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - KRB5_BAD_ENCTYPE</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function returns the number of the padding octets required to pad <em>data_length</em> octets of plaintext.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_padding_length -  Return a number of padding octets.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_prf.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_prf.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_prf.html	2023-08-14 16:18:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_prf.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_prf - Generate enctype-specific pseudo-random bytes. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_prfplus - Generate pseudo-random bytes using RFC 6113 PRF+." href="krb5_c_prfplus.html" />
     <link rel="prev" title="krb5_c_padding_length - Return a number of padding octets." href="krb5_c_padding_length.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-prf-generate-enctype-specific-pseudo-random-bytes">
+  <section id="krb5-c-prf-generate-enctype-specific-pseudo-random-bytes">
 <h1>krb5_c_prf -  Generate enctype-specific pseudo-random bytes.<a class="headerlink" href="#krb5-c-prf-generate-enctype-specific-pseudo-random-bytes" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_prf">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_prf</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;keyblock</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;output</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_prf" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_prf">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_prf</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">output</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_prf" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>keyblock</strong> - Key</p>
 <p><strong>[in]</strong> <strong>input</strong> - Input data</p>
-<p class="last"><strong>[out]</strong> <strong>output</strong> - Output data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>output</strong> - Output data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function selects a pseudo-random function based on <em>keyblock</em> and computes its value over <em>input</em> , placing the result into <em>output</em> . The caller must preinitialize <em>output</em> and allocate space for the result, using <a class="reference internal" href="krb5_c_prf_length.html#c.krb5_c_prf_length" title="krb5_c_prf_length"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_prf_length()</span></code></a> to determine the required length.</p>
-</div>
+</dd>
+</dl>
+<p>This function selects a pseudo-random function based on <em>keyblock</em> and computes its value over <em>input</em> , placing the result into <em>output</em> . The caller must preinitialize <em>output</em> and allocate space for the result, using krb5_c_prf_length() to determine the required length.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_prf -  Generate enctype-specific pseudo-random bytes.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_prf_length.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_prf_length.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_prf_length.html	2023-08-14 16:18:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_prf_length.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_prf_length - Get the output length of pseudo-random functions for an encryption type. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_random_add_entropy" href="krb5_c_random_add_entropy.html" />
     <link rel="prev" title="krb5_c_prfplus - Generate pseudo-random bytes using RFC 6113 PRF+." href="krb5_c_prfplus.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-prf-length-get-the-output-length-of-pseudo-random-functions-for-an-encryption-type">
+  <section id="krb5-c-prf-length-get-the-output-length-of-pseudo-random-functions-for-an-encryption-type">
 <h1>krb5_c_prf_length -  Get the output length of pseudo-random functions for an encryption type.<a class="headerlink" href="#krb5-c-prf-length-get-the-output-length-of-pseudo-random-functions-for-an-encryption-type" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_prf_length">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_prf_length</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, size_t *<em>&nbsp;len</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_prf_length" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_prf_length">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_prf_length</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">len</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_prf_length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
-<p class="last"><strong>[out]</strong> <strong>len</strong> - Length of PRF output</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>len</strong> - Length of PRF output</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_prf_length -  Get the output length of pseudo-random functions for an encryption type.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_prfplus.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_prfplus.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_prfplus.html	2023-08-14 16:18:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_prfplus.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_prfplus - Generate pseudo-random bytes using RFC 6113 PRF+. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_prf_length - Get the output length of pseudo-random functions for an encryption type." href="krb5_c_prf_length.html" />
     <link rel="prev" title="krb5_c_prf - Generate enctype-specific pseudo-random bytes." href="krb5_c_prf.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-prfplus-generate-pseudo-random-bytes-using-rfc-6113-prf">
+  <section id="krb5-c-prfplus-generate-pseudo-random-bytes-using-rfc-6113-prf">
 <h1>krb5_c_prfplus -  Generate pseudo-random bytes using RFC 6113 PRF+.<a class="headerlink" href="#krb5-c-prfplus-generate-pseudo-random-bytes-using-rfc-6113-prf" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_prfplus">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_prfplus</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;k</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;output</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_prfplus" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_prfplus">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_prfplus</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">output</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_prfplus" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>k</strong> - KDC contribution key</p>
 <p><strong>[in]</strong> <strong>input</strong> - Input data</p>
-<p class="last"><strong>[out]</strong> <strong>output</strong> - Pseudo-random output buffer</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>0 on success, E2BIG if output-&gt;length is too large for PRF+ to generate, ENOMEM on allocation failure, or an error code from krb5_c_prf()</li>
+<p><strong>[out]</strong> <strong>output</strong> - Pseudo-random output buffer</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0 on success, E2BIG if output-&gt;length is too large for PRF+ to generate, ENOMEM on allocation failure, or an error code from krb5_c_prf()</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function fills <em>output</em> with PRF+(k, input) as defined in RFC 6113 section 5.1. The caller must preinitialize <em>output</em> and allocate the desired amount of space. The length of the pseudo-random output will match the length of <em>output</em> .</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">RFC 4402 defines a different PRF+ operation. This function does not implement that operation.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>RFC 4402 defines a different PRF+ operation. This function does not implement that operation.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_prfplus -  Generate pseudo-random bytes using RFC 6113 PRF+.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_add_entropy.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_add_entropy.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_add_entropy.html	2023-08-14 16:18:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_add_entropy.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_random_add_entropy &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_random_make_octets - Generate pseudo-random bytes." href="krb5_c_random_make_octets.html" />
     <link rel="prev" title="krb5_c_prf_length - Get the output length of pseudo-random functions for an encryption type." href="krb5_c_prf_length.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-random-add-entropy">
+  <section id="krb5-c-random-add-entropy">
 <h1>krb5_c_random_add_entropy<a class="headerlink" href="#krb5-c-random-add-entropy" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_random_add_entropy">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_random_add_entropy</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, unsigned int<em>&nbsp;randsource</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_add_entropy" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_random_add_entropy">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_random_add_entropy</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">randsource</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_add_entropy" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>randsource</strong></p>
-<p class="last"><strong>data</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>data</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED This call is no longer necessary.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_random_add_entropy</a></li>
@@ -131,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_make_octets.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_make_octets.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_make_octets.html	2023-08-14 16:18:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_make_octets.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_random_make_octets - Generate pseudo-random bytes. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_random_os_entropy" href="krb5_c_random_os_entropy.html" />
     <link rel="prev" title="krb5_c_random_add_entropy" href="krb5_c_random_add_entropy.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-random-make-octets-generate-pseudo-random-bytes">
+  <section id="krb5-c-random-make-octets-generate-pseudo-random-bytes">
 <h1>krb5_c_random_make_octets -  Generate pseudo-random bytes.<a class="headerlink" href="#krb5-c-random-make-octets-generate-pseudo-random-bytes" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_random_make_octets">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_random_make_octets</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_make_octets" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_random_make_octets">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_random_make_octets</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_make_octets" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>data</strong> - Random data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>data</strong> - Random data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Fills in <em>data</em> with bytes from the PRNG used by krb5 crypto operations. The caller must preinitialize <em>data</em> and allocate the desired amount of space.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_random_make_octets -  Generate pseudo-random bytes.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_os_entropy.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_os_entropy.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_os_entropy.html	2023-08-14 16:18:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_os_entropy.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_random_os_entropy &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_random_to_key - Generate an enctype-specific key from random data." href="krb5_c_random_to_key.html" />
     <link rel="prev" title="krb5_c_random_make_octets - Generate pseudo-random bytes." href="krb5_c_random_make_octets.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-random-os-entropy">
+  <section id="krb5-c-random-os-entropy">
 <h1>krb5_c_random_os_entropy<a class="headerlink" href="#krb5-c-random-os-entropy" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_random_os_entropy">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_random_os_entropy</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, int<em>&nbsp;strong</em>, int *<em>&nbsp;success</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_os_entropy" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_random_os_entropy">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_random_os_entropy</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">strong</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">success</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_os_entropy" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>strong</strong></p>
-<p class="last"><strong>success</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>success</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED This call is no longer necessary.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_random_os_entropy</a></li>
@@ -131,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_seed.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_seed.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_seed.html	2023-08-14 16:18:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_seed.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_random_seed &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_calculate_checksum" href="krb5_calculate_checksum.html" />
     <link rel="prev" title="krb5_build_principal_va" href="krb5_build_principal_va.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-random-seed">
+  <section id="krb5-c-random-seed">
 <h1>krb5_c_random_seed<a class="headerlink" href="#krb5-c-random-seed" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_random_seed">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_random_seed</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_seed" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_random_seed">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_random_seed</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_seed" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
-<p class="last"><strong>data</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
+<p><strong>data</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED This call is no longer necessary.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_random_seed</a></li>
@@ -130,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_to_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_to_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_random_to_key.html	2023-08-14 16:18:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_random_to_key.html	2024-06-26 20:00:55.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_random_to_key - Generate an enctype-specific key from random data. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_string_to_key - Convert a string (such a password) to a key." href="krb5_c_string_to_key.html" />
     <link rel="prev" title="krb5_c_random_os_entropy" href="krb5_c_random_os_entropy.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-random-to-key-generate-an-enctype-specific-key-from-random-data">
+  <section id="krb5-c-random-to-key-generate-an-enctype-specific-key-from-random-data">
 <h1>krb5_c_random_to_key -  Generate an enctype-specific key from random data.<a class="headerlink" href="#krb5-c-random-to-key-generate-an-enctype-specific-key-from-random-data" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_random_to_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_random_to_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;random_data</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;k5_random_key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_to_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_random_to_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_random_to_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">random_data</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k5_random_key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_random_to_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[in]</strong> <strong>random_data</strong> - Random input data</p>
-<p class="last"><strong>[out]</strong> <strong>k5_random_key</strong> - Resulting key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>k5_random_key</strong> - Resulting key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function takes random input data <em>random_data</em> and produces a valid key <em>k5_random_key</em> for a given <em>enctype</em> .</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_c_keylengths.html#c.krb5_c_keylengths" title="krb5_c_keylengths"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_keylengths()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_c_keylengths()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">It is assumed that <em>k5_random_key</em> has already been initialized and <em>k5_random_key-&gt;contents</em> has been allocated with the correct length.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>It is assumed that <em>k5_random_key</em> has already been initialized and <em>k5_random_key-&gt;contents</em> has been allocated with the correct length.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_random_to_key -  Generate an enctype-specific key from random data.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_string_to_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_string_to_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_string_to_key.html	2023-08-14 16:18:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_string_to_key.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_string_to_key - Convert a string (such a password) to a key. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_string_to_key_with_params - Convert a string (such as a password) to a key with additional parameters." href="krb5_c_string_to_key_with_params.html" />
     <link rel="prev" title="krb5_c_random_to_key - Generate an enctype-specific key from random data." href="krb5_c_random_to_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,46 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-string-to-key-convert-a-string-such-a-password-to-a-key">
+  <section id="krb5-c-string-to-key-convert-a-string-such-a-password-to-a-key">
 <h1>krb5_c_string_to_key -  Convert a string (such a password) to a key.<a class="headerlink" href="#krb5-c-string-to-key-convert-a-string-such-a-password-to-a-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_string_to_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_string_to_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;string</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;salt</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_string_to_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_string_to_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_string_to_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">string</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">salt</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_string_to_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[in]</strong> <strong>string</strong> - String to be converted</p>
 <p><strong>[in]</strong> <strong>salt</strong> - Salt value</p>
-<p class="last"><strong>[out]</strong> <strong>key</strong> - Generated key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>key</strong> - Generated key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function converts <em>string</em> to a <em>key</em> of encryption type <em>enctype</em> , using the specified <em>salt</em> . The newly created <em>key</em> must be released by calling <a class="reference internal" href="krb5_free_keyblock_contents.html#c.krb5_free_keyblock_contents" title="krb5_free_keyblock_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock_contents()</span></code></a> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function converts <em>string</em> to a <em>key</em> of encryption type <em>enctype</em> , using the specified <em>salt</em> . The newly created <em>key</em> must be released by calling krb5_free_keyblock_contents() when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_string_to_key -  Convert a string (such a password) to a key.</a></li>
@@ -144,6 +129,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -151,8 +137,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_string_to_key_with_params.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_string_to_key_with_params.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_string_to_key_with_params.html	2023-08-14 16:18:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_string_to_key_with_params.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_string_to_key_with_params - Convert a string (such as a password) to a key with additional parameters. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_valid_cksumtype - Verify that specified checksum type is a valid Kerberos checksum type." href="krb5_c_valid_cksumtype.html" />
     <link rel="prev" title="krb5_c_string_to_key - Convert a string (such a password) to a key." href="krb5_c_string_to_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-string-to-key-with-params-convert-a-string-such-as-a-password-to-a-key-with-additional-parameters">
+  <section id="krb5-c-string-to-key-with-params-convert-a-string-such-as-a-password-to-a-key-with-additional-parameters">
 <h1>krb5_c_string_to_key_with_params -  Convert a string (such as a password) to a key with additional parameters.<a class="headerlink" href="#krb5-c-string-to-key-with-params-convert-a-string-such-as-a-password-to-a-key-with-additional-parameters" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_string_to_key_with_params">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_string_to_key_with_params</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;string</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;salt</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;params</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_string_to_key_with_params" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_string_to_key_with_params">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_string_to_key_with_params</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">string</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">salt</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">params</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_string_to_key_with_params" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[in]</strong> <strong>string</strong> - String to be converted</p>
 <p><strong>[in]</strong> <strong>salt</strong> - Salt value</p>
 <p><strong>[in]</strong> <strong>params</strong> - Parameters</p>
-<p class="last"><strong>[out]</strong> <strong>key</strong> - Generated key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>key</strong> - Generated key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is similar to <a class="reference internal" href="krb5_c_string_to_key.html#c.krb5_c_string_to_key" title="krb5_c_string_to_key"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_string_to_key()</span></code></a> , but also takes parameters which may affect the algorithm in an enctype-dependent way. The newly created <em>key</em> must be released by calling <a class="reference internal" href="krb5_free_keyblock_contents.html#c.krb5_free_keyblock_contents" title="krb5_free_keyblock_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock_contents()</span></code></a> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function is similar to krb5_c_string_to_key(), but also takes parameters which may affect the algorithm in an enctype-dependent way. The newly created <em>key</em> must be released by calling krb5_free_keyblock_contents() when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_string_to_key_with_params -  Convert a string (such as a password) to a key with additional parameters.</a></li>
@@ -145,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +138,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_valid_cksumtype.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_valid_cksumtype.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_valid_cksumtype.html	2023-08-14 16:18:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_valid_cksumtype.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_valid_cksumtype - Verify that specified checksum type is a valid Kerberos checksum type. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_valid_enctype - Verify that a specified encryption type is a valid Kerberos encryption type." href="krb5_c_valid_enctype.html" />
     <link rel="prev" title="krb5_c_string_to_key_with_params - Convert a string (such as a password) to a key with additional parameters." href="krb5_c_string_to_key_with_params.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-valid-cksumtype-verify-that-specified-checksum-type-is-a-valid-kerberos-checksum-type">
+  <section id="krb5-c-valid-cksumtype-verify-that-specified-checksum-type-is-a-valid-kerberos-checksum-type">
 <h1>krb5_c_valid_cksumtype -  Verify that specified checksum type is a valid Kerberos checksum type.<a class="headerlink" href="#krb5-c-valid-cksumtype-verify-that-specified-checksum-type-is-a-valid-kerberos-checksum-type" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_valid_cksumtype">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_c_valid_cksumtype</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;ctype</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_valid_cksumtype" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_valid_cksumtype">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_valid_cksumtype</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctype</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_valid_cksumtype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>ctype</strong> - Checksum type</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE if ctype is valid, FALSE if not</li>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctype</strong> - Checksum type</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE if ctype is valid, FALSE if not</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_valid_cksumtype -  Verify that specified checksum type is a valid Kerberos checksum type.</a></li>
@@ -138,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -145,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_valid_enctype.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_valid_enctype.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_valid_enctype.html	2023-08-14 16:18:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_valid_enctype.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_valid_enctype - Verify that a specified encryption type is a valid Kerberos encryption type. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_verify_checksum - Verify a checksum (operates on keyblock)." href="krb5_c_verify_checksum.html" />
     <link rel="prev" title="krb5_c_valid_cksumtype - Verify that specified checksum type is a valid Kerberos checksum type." href="krb5_c_valid_cksumtype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-valid-enctype-verify-that-a-specified-encryption-type-is-a-valid-kerberos-encryption-type">
+  <section id="krb5-c-valid-enctype-verify-that-a-specified-encryption-type-is-a-valid-kerberos-encryption-type">
 <h1>krb5_c_valid_enctype -  Verify that a specified encryption type is a valid Kerberos encryption type.<a class="headerlink" href="#krb5-c-valid-enctype-verify-that-a-specified-encryption-type-is-a-valid-kerberos-encryption-type" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_valid_enctype">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_c_valid_enctype</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;ktype</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_valid_enctype" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_valid_enctype">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_valid_enctype</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">ktype</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_valid_enctype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>ktype</strong> - Encryption type</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE if ktype is valid, FALSE if not</li>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ktype</strong> - Encryption type</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE if ktype is valid, FALSE if not</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_valid_enctype -  Verify that a specified encryption type is a valid Kerberos encryption type.</a></li>
@@ -138,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -145,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_verify_checksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_verify_checksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_verify_checksum.html	2023-08-14 16:18:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_verify_checksum.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_verify_checksum - Verify a checksum (operates on keyblock). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_verify_checksum_iov - Validate a checksum element in IOV array (operates on keyblock)." href="krb5_c_verify_checksum_iov.html" />
     <link rel="prev" title="krb5_c_valid_enctype - Verify that a specified encryption type is a valid Kerberos encryption type." href="krb5_c_valid_enctype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-verify-checksum-verify-a-checksum-operates-on-keyblock">
+  <section id="krb5-c-verify-checksum-verify-a-checksum-operates-on-keyblock">
 <h1>krb5_c_verify_checksum -  Verify a checksum (operates on keyblock).<a class="headerlink" href="#krb5-c-verify-checksum-verify-a-checksum-operates-on-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_verify_checksum">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_verify_checksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em>, const <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> *<em>&nbsp;cksum</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> *<em>&nbsp;valid</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_verify_checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_verify_checksum">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_verify_checksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cksum</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">valid</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_verify_checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key for a keyed checksum</p>
 <p><strong>[in]</strong> <strong>usage</strong> - <em>key</em> usage</p>
 <p><strong>[in]</strong> <strong>data</strong> - Data to be used to compute a new checksum using <em>key</em> to compare <em>cksum</em> against</p>
 <p><strong>[in]</strong> <strong>cksum</strong> - Checksum to be verified</p>
-<p class="last"><strong>[out]</strong> <strong>valid</strong> - Non-zero for success, zero for failure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>valid</strong> - Non-zero for success, zero for failure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function verifies that <em>cksum</em> is a valid checksum for <em>data</em> . If the checksum type of <em>cksum</em> is a keyed checksum, <em>key</em> is used to verify the checksum. If the checksum type in <em>cksum</em> is 0 and <em>key</em> is not NULL, the mandatory checksum type for <em>key</em> will be used. The actual checksum key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the checksum type.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function is similar to <a class="reference internal" href="krb5_k_verify_checksum.html#c.krb5_k_verify_checksum" title="krb5_k_verify_checksum"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_verify_checksum()</span></code></a> , but operates on keyblock <em>key</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This function is similar to krb5_k_verify_checksum(), but operates on keyblock <em>key</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_verify_checksum -  Verify a checksum (operates on keyblock).</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_c_verify_checksum_iov.html 1.21.3-1/doc/html/appdev/refs/api/krb5_c_verify_checksum_iov.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_c_verify_checksum_iov.html	2023-08-14 16:18:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_c_verify_checksum_iov.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_c_verify_checksum_iov - Validate a checksum element in IOV array (operates on keyblock). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cksumtype_to_string - Convert a checksum type to a string." href="krb5_cksumtype_to_string.html" />
     <link rel="prev" title="krb5_c_verify_checksum - Verify a checksum (operates on keyblock)." href="krb5_c_verify_checksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,56 +52,50 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-c-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-keyblock">
+  <section id="krb5-c-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-keyblock">
 <h1>krb5_c_verify_checksum_iov -  Validate a checksum element in IOV array (operates on keyblock).<a class="headerlink" href="#krb5-c-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_c_verify_checksum_iov">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_c_verify_checksum_iov</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;cksumtype</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov">krb5_crypto_iov</a> *<em>&nbsp;data</em>, size_t<em>&nbsp;num_data</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> *<em>&nbsp;valid</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_verify_checksum_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_c_verify_checksum_iov">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_c_verify_checksum_iov</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">cksumtype</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">num_data</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">valid</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_c_verify_checksum_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type (0 for mandatory type)</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key for a keyed checksum</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[in]</strong> <strong>data</strong> - IOV array</p>
 <p><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
-<p class="last"><strong>[out]</strong> <strong>valid</strong> - Non-zero for success, zero for failure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>valid</strong> - Non-zero for success, zero for failure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Confirm that the checksum in the <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_CHECKSUM.html#KRB5_CRYPTO_TYPE_CHECKSUM" title="KRB5_CRYPTO_TYPE_CHECKSUM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_CHECKSUM</span></code></a> element is a valid checksum of the <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_DATA.html#KRB5_CRYPTO_TYPE_DATA" title="KRB5_CRYPTO_TYPE_DATA"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_DATA</span></code></a> and <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.html#KRB5_CRYPTO_TYPE_SIGN_ONLY" title="KRB5_CRYPTO_TYPE_SIGN_ONLY"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_SIGN_ONLY</span></code></a> regions in the iov.</p>
+</dd>
+</dl>
+<p>Confirm that the checksum in the #KRB5_CRYPTO_TYPE_CHECKSUM element is a valid checksum of the #KRB5_CRYPTO_TYPE_DATA and #KRB5_CRYPTO_TYPE_SIGN_ONLY regions in the iov.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_c_make_checksum_iov.html#c.krb5_c_make_checksum_iov" title="krb5_c_make_checksum_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_make_checksum_iov()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_c_make_checksum_iov()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function is similar to <a class="reference internal" href="krb5_k_verify_checksum_iov.html#c.krb5_k_verify_checksum_iov" title="krb5_k_verify_checksum_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_verify_checksum_iov()</span></code></a> , but operates on keyblock <em>key</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This function is similar to krb5_k_verify_checksum_iov(), but operates on keyblock <em>key</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_c_verify_checksum_iov -  Validate a checksum element in IOV array (operates on keyblock).</a></li>
@@ -154,6 +139,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +147,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_calculate_checksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_calculate_checksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_calculate_checksum.html	2023-08-14 16:18:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_calculate_checksum.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_calculate_checksum &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_checksum_size" href="krb5_checksum_size.html" />
     <link rel="prev" title="krb5_c_random_seed" href="krb5_c_random_seed.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-calculate-checksum">
+  <section id="krb5-calculate-checksum">
 <h1>krb5_calculate_checksum<a class="headerlink" href="#krb5-calculate-checksum" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_calculate_checksum">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_calculate_checksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;ctype</em>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer">krb5_const_pointer</a><em>&nbsp;in</em>, size_t<em>&nbsp;in_length</em>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer">krb5_const_pointer</a><em>&nbsp;seed</em>, size_t<em>&nbsp;seed_length</em>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> *<em>&nbsp;outcksum</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_calculate_checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_calculate_checksum">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_calculate_checksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctype</span></span>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer"><span class="n"><span class="pre">krb5_const_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">in</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">in_length</span></span>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer"><span class="n"><span class="pre">krb5_const_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">seed</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">seed_length</span></span>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outcksum</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_calculate_checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>ctype</strong></p>
 <p><strong>in</strong></p>
 <p><strong>in_length</strong></p>
 <p><strong>seed</strong></p>
 <p><strong>seed_length</strong></p>
-<p class="last"><strong>outcksum</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>outcksum</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED See krb5_c_make_checksum()</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_calculate_checksum</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_cache_match.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_cache_match.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_cache_match.html	2023-08-14 16:18:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_cache_match.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_cache_match - Find a credential cache with a specified client principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_copy_creds - Copy a credential cache." href="krb5_cc_copy_creds.html" />
     <link rel="prev" title="krb5_auth_con_setuseruserkey - Set the session key in an auth context." href="krb5_auth_con_setuseruserkey.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-cache-match-find-a-credential-cache-with-a-specified-client-principal">
+  <section id="krb5-cc-cache-match-find-a-credential-cache-with-a-specified-client-principal">
 <h1>krb5_cc_cache_match -  Find a credential cache with a specified client principal.<a class="headerlink" href="#krb5-cc-cache-match-find-a-credential-cache-with-a-specified-client-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_cache_match">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_cache_match</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;client</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a> *<em>&nbsp;cache_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_cache_match" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_cache_match">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_cache_match</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">client</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cache_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_cache_match" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>client</strong> - Client principal</p>
-<p class="last"><strong>[out]</strong> <strong>cache_out</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success</li>
-<li>KRB5_CC_NOTFOUND   None</li>
+<p><strong>[out]</strong> <strong>cache_out</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KRB5_CC_NOTFOUND   None</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Find a cache within the collection whose default principal is <em>client</em> . Use <em>krb5_cc_close</em> to close <em>ccache</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.10</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.10</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_cache_match -  Find a credential cache with a specified client principal.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_close.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_close.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_close.html	2023-08-14 16:18:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_close.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_close - Close a credential cache handle. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_default - Resolve the default credential cache name." href="krb5_cc_default.html" />
     <link rel="prev" title="krb5_build_principal_ext - Build a principal name using length-counted strings." href="krb5_build_principal_ext.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-close-close-a-credential-cache-handle">
+  <section id="krb5-cc-close-close-a-credential-cache-handle">
 <h1>krb5_cc_close -  Close a credential cache handle.<a class="headerlink" href="#krb5-cc-close-close-a-credential-cache-handle" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_close">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_close</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_close" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_close">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_close</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_close" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function closes a credential cache handle <em>cache</em> without affecting the contents of the cache.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_close -  Close a credential cache handle.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_copy_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_copy_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_copy_creds.html	2023-08-14 16:18:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_copy_creds.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_copy_creds - Copy a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_end_seq_get - Finish a series of sequential processing credential cache entries." href="krb5_cc_end_seq_get.html" />
     <link rel="prev" title="krb5_cc_cache_match - Find a credential cache with a specified client principal." href="krb5_cc_cache_match.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-copy-creds-copy-a-credential-cache">
+  <section id="krb5-cc-copy-creds-copy-a-credential-cache">
 <h1>krb5_cc_copy_creds -  Copy a credential cache.<a class="headerlink" href="#krb5-cc-copy-creds-copy-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_copy_creds">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_copy_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;incc</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;outcc</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_copy_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_copy_creds">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_copy_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">incc</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">outcc</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_copy_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>incc</strong> - Credential cache to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>outcc</strong> - Copy of credential cache to be filled in</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>outcc</strong> - Copy of credential cache to be filled in</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_copy_creds -  Copy a credential cache.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_default.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_default.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_default.html	2023-08-14 16:18:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_default.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_default - Resolve the default credential cache name. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_default_name - Return the name of the default credential cache." href="krb5_cc_default_name.html" />
     <link rel="prev" title="krb5_cc_close - Close a credential cache handle." href="krb5_cc_close.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-default-resolve-the-default-credential-cache-name">
+  <section id="krb5-cc-default-resolve-the-default-credential-cache-name">
 <h1>krb5_cc_default -  Resolve the default credential cache name.<a class="headerlink" href="#krb5-cc-default-resolve-the-default-credential-cache-name" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_default">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_default</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a> *<em>&nbsp;ccache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_default" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_default">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_default</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ccache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_default" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>ccache</strong> - Pointer to credential cache name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>KV5M_CONTEXT   Bad magic number for _krb5_context structure</li>
-<li>KRB5_FCC_INTERNAL   The name of the default credential cache cannot be obtained</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Create a handle to the default credential cache as given by <a class="reference internal" href="krb5_cc_default_name.html#c.krb5_cc_default_name" title="krb5_cc_default_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_default_name()</span></code></a> .</p>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>ccache</strong> - Pointer to credential cache name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KV5M_CONTEXT   Bad magic number for _krb5_context structure</p></li>
+<li><p>KRB5_FCC_INTERNAL   The name of the default credential cache cannot be obtained</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Create a handle to the default credential cache as given by krb5_cc_default_name().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_default -  Resolve the default credential cache name.</a></li>
@@ -148,6 +133,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +141,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_default_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_default_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_default_name.html	2023-08-14 16:18:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_default_name.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_default_name - Return the name of the default credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_destroy - Destroy a credential cache." href="krb5_cc_destroy.html" />
     <link rel="prev" title="krb5_cc_default - Resolve the default credential cache name." href="krb5_cc_default.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-default-name-return-the-name-of-the-default-credential-cache">
+  <section id="krb5-cc-default-name-return-the-name-of-the-default-credential-cache">
 <h1>krb5_cc_default_name -  Return the name of the default credential cache.<a class="headerlink" href="#krb5-cc-default-name-return-the-name-of-the-default-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_default_name">
-const char * <code class="descname">krb5_cc_default_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_default_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_default_name">
+<span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_default_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_default_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>context</strong> - Library context</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Name of default credential cache for the current user.</li>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>Name of default credential cache for the current user.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Return a pointer to the default credential cache name for <em>context</em> , as determined by a prior call to <a class="reference internal" href="krb5_cc_set_default_name.html#c.krb5_cc_set_default_name" title="krb5_cc_set_default_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_set_default_name()</span></code></a> , by the KRB5CCNAME environment variable, by the default_ccache_name profile variable, or by the operating system or build-time default value. The returned value must not be modified or freed by the caller. The returned value becomes invalid when <em>context</em> is destroyed <a class="reference internal" href="krb5_free_context.html#c.krb5_free_context" title="krb5_free_context"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_context()</span></code></a> or if a subsequent call to <a class="reference internal" href="krb5_cc_set_default_name.html#c.krb5_cc_set_default_name" title="krb5_cc_set_default_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_set_default_name()</span></code></a> is made on <em>context</em> .</p>
-<p>The default credential cache name is cached in <em>context</em> between calls to this function, so if the value of KRB5CCNAME changes in the process environment after the first call to this function on, that change will not be reflected in later calls with the same context. The caller can invoke <a class="reference internal" href="krb5_cc_set_default_name.html#c.krb5_cc_set_default_name" title="krb5_cc_set_default_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_set_default_name()</span></code></a> with a NULL value of <em>name</em> to clear the cached value and force the default name to be recomputed.</p>
-</div>
+</dd>
+</dl>
+<p>Return a pointer to the default credential cache name for <em>context</em> , as determined by a prior call to krb5_cc_set_default_name(), by the KRB5CCNAME environment variable, by the default_ccache_name profile variable, or by the operating system or build-time default value. The returned value must not be modified or freed by the caller. The returned value becomes invalid when <em>context</em> is destroyed krb5_free_context() or if a subsequent call to krb5_cc_set_default_name() is made on <em>context</em> .</p>
+<p>The default credential cache name is cached in <em>context</em> between calls to this function, so if the value of KRB5CCNAME changes in the process environment after the first call to this function on, that change will not be reflected in later calls with the same context. The caller can invoke krb5_cc_set_default_name() with a NULL value of <em>name</em> to clear the cached value and force the default name to be recomputed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_default_name -  Return the name of the default credential cache.</a></li>
@@ -140,6 +126,7 @@ const char * <code class="descname">krb5
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +134,8 @@ const char * <code class="descname">krb5
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_destroy.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_destroy.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_destroy.html	2023-08-14 16:18:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_destroy.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_destroy - Destroy a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_dup - Duplicate ccache handle." href="krb5_cc_dup.html" />
     <link rel="prev" title="krb5_cc_default_name - Return the name of the default credential cache." href="krb5_cc_default_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-destroy-destroy-a-credential-cache">
+  <section id="krb5-cc-destroy-destroy-a-credential-cache">
 <h1>krb5_cc_destroy -  Destroy a credential cache.<a class="headerlink" href="#krb5-cc-destroy-destroy-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_destroy">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_destroy</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_destroy" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_destroy">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_destroy</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_destroy" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Permission errors</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Permission errors</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function destroys any existing contents of <em>cache</em> and closes the handle to it.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_destroy -  Destroy a credential cache.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_dup.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_dup.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_dup.html	2023-08-14 16:18:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_dup.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_dup - Duplicate ccache handle. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_get_name - Retrieve the name, but not type of a credential cache." href="krb5_cc_get_name.html" />
     <link rel="prev" title="krb5_cc_destroy - Destroy a credential cache." href="krb5_cc_destroy.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-dup-duplicate-ccache-handle">
+  <section id="krb5-cc-dup-duplicate-ccache-handle">
 <h1>krb5_cc_dup -  Duplicate ccache handle.<a class="headerlink" href="#krb5-cc-dup-duplicate-ccache-handle" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_dup">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_dup</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;in</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a> *<em>&nbsp;out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_dup" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_dup">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_dup</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">in</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_dup" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>in</strong> - Credential cache handle to be duplicated</p>
-<p class="last"><strong>[out]</strong> <strong>out</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>out</strong> - Credential cache handle</p>
+</dd>
+</dl>
 <p>Create a new handle referring to the same cache as <em>in</em> . The new handle and <em>in</em> can be closed independently.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_dup -  Duplicate ccache handle.</a></li>
@@ -131,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_end_seq_get.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_end_seq_get.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_end_seq_get.html	2023-08-14 16:18:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_end_seq_get.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_end_seq_get - Finish a series of sequential processing credential cache entries. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_get_config - Get a configuration value from a credential cache." href="krb5_cc_get_config.html" />
     <link rel="prev" title="krb5_cc_copy_creds - Copy a credential cache." href="krb5_cc_copy_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-end-seq-get-finish-a-series-of-sequential-processing-credential-cache-entries">
+  <section id="krb5-cc-end-seq-get-finish-a-series-of-sequential-processing-credential-cache-entries">
 <h1>krb5_cc_end_seq_get -  Finish a series of sequential processing credential cache entries.<a class="headerlink" href="#krb5-cc-end-seq-get-finish-a-series-of-sequential-processing-credential-cache-entries" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_end_seq_get">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_end_seq_get</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_cc_cursor.html#c.krb5_cc_cursor" title="krb5_cc_cursor">krb5_cc_cursor</a> *<em>&nbsp;cursor</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_end_seq_get" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_end_seq_get">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_end_seq_get</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_cc_cursor.html#c.krb5_cc_cursor" title="krb5_cc_cursor"><span class="n"><span class="pre">krb5_cc_cursor</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cursor</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_end_seq_get" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-<p class="last"><strong>[in]</strong> <strong>cursor</strong> - Cursor</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   (always)</li>
+<p><strong>[in]</strong> <strong>cursor</strong> - Cursor</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   (always)</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function finishes processing credential cache entries and invalidates <em>cursor</em> .</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_cc_start_seq_get.html#c.krb5_cc_start_seq_get" title="krb5_cc_start_seq_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_start_seq_get()</span></code></a> , <a class="reference internal" href="krb5_cc_next_cred.html#c.krb5_cc_next_cred" title="krb5_cc_next_cred"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_next_cred()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_cc_start_seq_get(), krb5_cc_next_cred()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_end_seq_get -  Finish a series of sequential processing credential cache entries.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_gen_new.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_gen_new.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_gen_new.html	2023-08-14 16:18:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_gen_new.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_gen_new &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_credentials_renew" href="krb5_get_credentials_renew.html" />
     <link rel="prev" title="krb5_finish_random_key" href="krb5_finish_random_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-gen-new">
+  <section id="krb5-cc-gen-new">
 <h1>krb5_cc_gen_new<a class="headerlink" href="#krb5-cc-gen-new" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_gen_new">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_gen_new</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a> *<em>&nbsp;cache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_gen_new" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_gen_new">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_gen_new</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_gen_new" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
-<p class="last"><strong>cache</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
+<p><strong>cache</strong></p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_gen_new</a></li>
@@ -129,6 +118,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_config.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_config.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_config.html	2023-08-14 16:18:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_config.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_get_config - Get a configuration value from a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_get_flags - Retrieve flags from a credential cache structure." href="krb5_cc_get_flags.html" />
     <link rel="prev" title="krb5_cc_end_seq_get - Finish a series of sequential processing credential cache entries." href="krb5_cc_end_seq_get.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-get-config-get-a-configuration-value-from-a-credential-cache">
+  <section id="krb5-cc-get-config-get-a-configuration-value-from-a-credential-cache">
 <h1>krb5_cc_get_config -  Get a configuration value from a credential cache.<a class="headerlink" href="#krb5-cc-get-config-get-a-configuration-value-from-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_get_config">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_get_config</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;id</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, const char *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_config" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_get_config">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_get_config</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">id</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_config" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>id</strong> - Credential cache handle</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Configuration for this principal; if NULL, global for the whole cache</p>
 <p><strong>[in]</strong> <strong>key</strong> - Name of config variable</p>
-<p class="last"><strong>[out]</strong> <strong>data</strong> - Data to be fetched</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>data</em> when it is no longer needed.</p>
-</div>
+<p><strong>[out]</strong> <strong>data</strong> - Data to be fetched</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Use krb5_free_data_contents() to free <em>data</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_get_config -  Get a configuration value from a credential cache.</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_flags.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_flags.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_flags.html	2023-08-14 16:18:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_flags.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_get_flags - Retrieve flags from a credential cache structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_get_full_name - Retrieve the full name of a credential cache." href="krb5_cc_get_full_name.html" />
     <link rel="prev" title="krb5_cc_get_config - Get a configuration value from a credential cache." href="krb5_cc_get_config.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-get-flags-retrieve-flags-from-a-credential-cache-structure">
+  <section id="krb5-cc-get-flags-retrieve-flags-from-a-credential-cache-structure">
 <h1>krb5_cc_get_flags -  Retrieve flags from a credential cache structure.<a class="headerlink" href="#krb5-cc-get-flags-retrieve-flags-from-a-credential-cache-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_get_flags">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_get_flags</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a> *<em>&nbsp;flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_get_flags">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_get_flags</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-<p class="last"><strong>[out]</strong> <strong>flags</strong> - Flag bit mask</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>flags</strong> - Flag bit mask</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">For memory credential cache always returns a flag mask of 0.</p>
-</div>
+<p class="admonition-title">Warning</p>
+<p>For memory credential cache always returns a flag mask of 0.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_get_flags -  Retrieve flags from a credential cache structure.</a></li>
@@ -145,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +138,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_full_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_full_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_full_name.html	2023-08-14 16:18:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_full_name.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_get_full_name - Retrieve the full name of a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_move - Move a credential cache." href="krb5_cc_move.html" />
     <link rel="prev" title="krb5_cc_get_flags - Retrieve flags from a credential cache structure." href="krb5_cc_get_flags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-get-full-name-retrieve-the-full-name-of-a-credential-cache">
+  <section id="krb5-cc-get-full-name-retrieve-the-full-name-of-a-credential-cache">
 <h1>krb5_cc_get_full_name -  Retrieve the full name of a credential cache.<a class="headerlink" href="#krb5-cc-get-full-name-retrieve-the-full-name-of-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_get_full_name">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_get_full_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, char **<em>&nbsp;fullname_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_full_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_get_full_name">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_get_full_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">fullname_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_full_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-<p class="last"><strong>[out]</strong> <strong>fullname_out</strong> - Full name of cache</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_free_string.html#c.krb5_free_string" title="krb5_free_string"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_string()</span></code></a> to free <em>fullname_out</em> when it is no longer needed.</p>
+<p><strong>[out]</strong> <strong>fullname_out</strong> - Full name of cache</p>
+</dd>
+</dl>
+<p>Use krb5_free_string() to free <em>fullname_out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.10</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.10</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_get_full_name -  Retrieve the full name of a credential cache.</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_name.html	2023-08-14 16:18:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_name.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_get_name - Retrieve the name, but not type of a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_get_principal - Get the default principal of a credential cache." href="krb5_cc_get_principal.html" />
     <link rel="prev" title="krb5_cc_dup - Duplicate ccache handle." href="krb5_cc_dup.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,46 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-get-name-retrieve-the-name-but-not-type-of-a-credential-cache">
+  <section id="krb5-cc-get-name-retrieve-the-name-but-not-type-of-a-credential-cache">
 <h1>krb5_cc_get_name -  Retrieve the name, but not type of a credential cache.<a class="headerlink" href="#krb5-cc-get-name-retrieve-the-name-but-not-type-of-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_get_name">
-const char * <code class="descname">krb5_cc_get_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_get_name">
+<span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_get_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>On success - the name of the credential cache.</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>On success - the name of the credential cache.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">Returns the name of the credential cache. The result is an alias into <em>cache</em> and should not be freed or modified by the caller. This name does not include the cache type, so should not be used as input to <a class="reference internal" href="krb5_cc_resolve.html#c.krb5_cc_resolve" title="krb5_cc_resolve"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_resolve()</span></code></a> .</p>
-</div>
+<p class="admonition-title">Warning</p>
+<p>Returns the name of the credential cache. The result is an alias into <em>cache</em> and should not be freed or modified by the caller. This name does not include the cache type, so should not be used as input to krb5_cc_resolve().</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_get_name -  Retrieve the name, but not type of a credential cache.</a></li>
@@ -144,6 +129,7 @@ const char * <code class="descname">krb5
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -151,8 +137,8 @@ const char * <code class="descname">krb5
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_principal.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_principal.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_principal.html	2023-08-14 16:18:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_principal.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_get_principal - Get the default principal of a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_get_type - Retrieve the type of a credential cache." href="krb5_cc_get_type.html" />
     <link rel="prev" title="krb5_cc_get_name - Retrieve the name, but not type of a credential cache." href="krb5_cc_get_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-get-principal-get-the-default-principal-of-a-credential-cache">
+  <section id="krb5-cc-get-principal-get-the-default-principal-of-a-credential-cache">
 <h1>krb5_cc_get_principal -  Get the default principal of a credential cache.<a class="headerlink" href="#krb5-cc-get-principal-get-the-default-principal-of-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_get_principal">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_get_principal</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;principal</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_get_principal">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_get_principal</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">principal</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-<p class="last"><strong>[out]</strong> <strong>principal</strong> - Primary principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Returns the default client principal of a credential cache as set by <a class="reference internal" href="krb5_cc_initialize.html#c.krb5_cc_initialize" title="krb5_cc_initialize"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_initialize()</span></code></a> .</p>
-<p>Use <a class="reference internal" href="krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a> to free <em>principal</em> when it is no longer needed.</p>
-</div>
+<p><strong>[out]</strong> <strong>principal</strong> - Primary principal</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Returns the default client principal of a credential cache as set by krb5_cc_initialize().</p>
+<p>Use krb5_free_principal() to free <em>principal</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_get_principal -  Get the default principal of a credential cache.</a></li>
@@ -148,6 +133,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +141,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_type.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_type.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_get_type.html	2023-08-14 16:18:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_get_type.html	2024-06-26 20:00:56.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_get_type - Retrieve the type of a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_initialize - Initialize a credential cache." href="krb5_cc_initialize.html" />
     <link rel="prev" title="krb5_cc_get_principal - Get the default principal of a credential cache." href="krb5_cc_get_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-get-type-retrieve-the-type-of-a-credential-cache">
+  <section id="krb5-cc-get-type-retrieve-the-type-of-a-credential-cache">
 <h1>krb5_cc_get_type -  Retrieve the type of a credential cache.<a class="headerlink" href="#krb5-cc-get-type-retrieve-the-type-of-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_get_type">
-const char * <code class="descname">krb5_cc_get_type</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_get_type">
+<span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_get_type</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_get_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>The type of a credential cache as an alias that must not be modified or freed by the caller.</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>The type of a credential cache as an alias that must not be modified or freed by the caller.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_get_type -  Retrieve the type of a credential cache.</a></li>
@@ -140,6 +125,7 @@ const char * <code class="descname">krb5
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@ const char * <code class="descname">krb5
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_initialize.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_initialize.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_initialize.html	2023-08-14 16:18:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_initialize.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_initialize - Initialize a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_new_unique - Create a new credential cache of the specified type with a unique name." href="krb5_cc_new_unique.html" />
     <link rel="prev" title="krb5_cc_get_type - Retrieve the type of a credential cache." href="krb5_cc_get_type.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-initialize-initialize-a-credential-cache">
+  <section id="krb5-cc-initialize-initialize-a-credential-cache">
 <h1>krb5_cc_initialize -  Initialize a credential cache.<a class="headerlink" href="#krb5-cc-initialize-initialize-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_initialize">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_initialize</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;principal</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_initialize" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_initialize">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_initialize</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_initialize" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-<p class="last"><strong>[in]</strong> <strong>principal</strong> - Default principal name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>System errors; Permission errors; Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>principal</strong> - Default principal name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>System errors; Permission errors; Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Destroy any existing contents of <em>cache</em> and initialize it for the default principal <em>principal</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_initialize -  Initialize a credential cache.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_move.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_move.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_move.html	2023-08-14 16:18:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_move.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_move - Move a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_next_cred - Retrieve the next entry from the credential cache." href="krb5_cc_next_cred.html" />
     <link rel="prev" title="krb5_cc_get_full_name - Retrieve the full name of a credential cache." href="krb5_cc_get_full_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-move-move-a-credential-cache">
+  <section id="krb5-cc-move-move-a-credential-cache">
 <h1>krb5_cc_move -  Move a credential cache.<a class="headerlink" href="#krb5-cc-move-move-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_move">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_move</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;src</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;dst</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_move" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_move">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_move</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">src</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">dst</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_move" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>src</strong> - The credential cache to move the content from</p>
-<p class="last"><strong>[in]</strong> <strong>dst</strong> - The credential cache to move the content to</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success; src is closed.</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes; src is still allocated.</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>dst</strong> - The credential cache to move the content to</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; src is closed.</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes; src is still allocated.</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function reinitializes <em>dst</em> and populates it with the credentials and default principal of <em>src</em> ; then, if successful, destroys <em>src</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_move -  Move a credential cache.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_new_unique.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_new_unique.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_new_unique.html	2023-08-14 16:18:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_new_unique.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_new_unique - Create a new credential cache of the specified type with a unique name. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_resolve - Resolve a credential cache name." href="krb5_cc_resolve.html" />
     <link rel="prev" title="krb5_cc_initialize - Initialize a credential cache." href="krb5_cc_initialize.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-new-unique-create-a-new-credential-cache-of-the-specified-type-with-a-unique-name">
+  <section id="krb5-cc-new-unique-create-a-new-credential-cache-of-the-specified-type-with-a-unique-name">
 <h1>krb5_cc_new_unique -  Create a new credential cache of the specified type with a unique name.<a class="headerlink" href="#krb5-cc-new-unique-create-a-new-credential-cache-of-the-specified-type-with-a-unique-name" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_new_unique">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_new_unique</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;type</em>, const char *<em>&nbsp;hint</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a> *<em>&nbsp;id</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_new_unique" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_new_unique">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_new_unique</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">type</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">hint</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">id</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_new_unique" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>type</strong> - Credential cache type name</p>
 <p><strong>[in]</strong> <strong>hint</strong> - Unused</p>
-<p class="last"><strong>[out]</strong> <strong>id</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<p><strong>[out]</strong> <strong>id</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_new_unique -  Create a new credential cache of the specified type with a unique name.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_next_cred.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_next_cred.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_next_cred.html	2023-08-14 16:18:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_next_cred.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_next_cred - Retrieve the next entry from the credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_remove_cred - Remove credentials from a credential cache." href="krb5_cc_remove_cred.html" />
     <link rel="prev" title="krb5_cc_move - Move a credential cache." href="krb5_cc_move.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-next-cred-retrieve-the-next-entry-from-the-credential-cache">
+  <section id="krb5-cc-next-cred-retrieve-the-next-entry-from-the-credential-cache">
 <h1>krb5_cc_next_cred -  Retrieve the next entry from the credential cache.<a class="headerlink" href="#krb5-cc-next-cred-retrieve-the-next-entry-from-the-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_next_cred">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_next_cred</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_cc_cursor.html#c.krb5_cc_cursor" title="krb5_cc_cursor">krb5_cc_cursor</a> *<em>&nbsp;cursor</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_next_cred" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_next_cred">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_next_cred</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_cc_cursor.html#c.krb5_cc_cursor" title="krb5_cc_cursor"><span class="n"><span class="pre">krb5_cc_cursor</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cursor</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_next_cred" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
 <p><strong>[in]</strong> <strong>cursor</strong> - Cursor</p>
-<p class="last"><strong>[out]</strong> <strong>creds</strong> - Next credential cache entry</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>creds</strong> - Next credential cache entry</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function fills in <em>creds</em> with the next entry in <em>cache</em> and advances <em>cursor</em> .</p>
-<p>Use <a class="reference internal" href="krb5_free_cred_contents.html#c.krb5_free_cred_contents" title="krb5_free_cred_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_cred_contents()</span></code></a> to free <em>creds</em> when it is no longer needed.</p>
+<p>Use krb5_free_cred_contents() to free <em>creds</em> when it is no longer needed.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_cc_start_seq_get.html#c.krb5_cc_start_seq_get" title="krb5_cc_start_seq_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_start_seq_get()</span></code></a> , krb5_end_seq_get()</p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_cc_start_seq_get(), krb5_end_seq_get()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_next_cred -  Retrieve the next entry from the credential cache.</a></li>
@@ -148,6 +133,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +141,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_remove_cred.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_remove_cred.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_remove_cred.html	2023-08-14 16:18:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_remove_cred.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_remove_cred - Remove credentials from a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_retrieve_cred - Retrieve a specified credentials from a credential cache." href="krb5_cc_retrieve_cred.html" />
     <link rel="prev" title="krb5_cc_next_cred - Retrieve the next entry from the credential cache." href="krb5_cc_next_cred.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,48 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-remove-cred-remove-credentials-from-a-credential-cache">
+  <section id="krb5-cc-remove-cred-remove-credentials-from-a-credential-cache">
 <h1>krb5_cc_remove_cred -  Remove credentials from a credential cache.<a class="headerlink" href="#krb5-cc-remove-cred-remove-credentials-from-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_remove_cred">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_remove_cred</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;flags</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_remove_cred" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_remove_cred">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_remove_cred</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">flags</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_remove_cred" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
 <p><strong>[in]</strong> <strong>flags</strong> - Bitwise-ORed search flags</p>
-<p class="last"><strong>[in]</strong> <strong>creds</strong> - Credentials to be matched</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>KRB5_CC_NOSUPP   Not implemented for this cache type</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>No matches found; Data cannot be deleted; Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function accepts the same flag values as <a class="reference internal" href="krb5_cc_retrieve_cred.html#c.krb5_cc_retrieve_cred" title="krb5_cc_retrieve_cred"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_retrieve_cred()</span></code></a> .</p>
+<p><strong>[in]</strong> <strong>creds</strong> - Credentials to be matched</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>KRB5_CC_NOSUPP   Not implemented for this cache type</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>No matches found; Data cannot be deleted; Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>This function accepts the same flag values as krb5_cc_retrieve_cred().</p>
 <div class="admonition warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">This function is not implemented for some cache types.</p>
-</div>
+<p class="admonition-title">Warning</p>
+<p>This function is not implemented for some cache types.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_remove_cred -  Remove credentials from a credential cache.</a></li>
@@ -152,6 +137,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -159,8 +145,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_resolve.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_resolve.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_resolve.html	2023-08-14 16:18:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_resolve.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_resolve - Resolve a credential cache name. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_change_password - Change a password for an existing Kerberos account." href="krb5_change_password.html" />
     <link rel="prev" title="krb5_cc_new_unique - Create a new credential cache of the specified type with a unique name." href="krb5_cc_new_unique.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-resolve-resolve-a-credential-cache-name">
+  <section id="krb5-cc-resolve-resolve-a-credential-cache-name">
 <h1>krb5_cc_resolve -  Resolve a credential cache name.<a class="headerlink" href="#krb5-cc-resolve-resolve-a-credential-cache-name" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_resolve">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_resolve</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;name</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a> *<em>&nbsp;cache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_resolve" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_resolve">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_resolve</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_resolve" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>name</strong> - Credential cache name to be resolved</p>
-<p class="last"><strong>[out]</strong> <strong>cache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>cache</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Fills in <em>cache</em> with a <em>cache</em> handle that corresponds to the name in <em>name</em> . <em>name</em> should be of the form <strong>type:residual</strong> , and <em>type</em> must be a type known to the library. If the <em>name</em> does not contain a colon, interpret it as a file name.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_resolve -  Resolve a credential cache name.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_retrieve_cred.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_retrieve_cred.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_retrieve_cred.html	2023-08-14 16:18:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_retrieve_cred.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_retrieve_cred - Retrieve a specified credentials from a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_select - Select a credential cache to use with a server principal." href="krb5_cc_select.html" />
     <link rel="prev" title="krb5_cc_remove_cred - Remove credentials from a credential cache." href="krb5_cc_remove_cred.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,64 +52,58 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-retrieve-cred-retrieve-a-specified-credentials-from-a-credential-cache">
+  <section id="krb5-cc-retrieve-cred-retrieve-a-specified-credentials-from-a-credential-cache">
 <h1>krb5_cc_retrieve_cred -  Retrieve a specified credentials from a credential cache.<a class="headerlink" href="#krb5-cc-retrieve-cred-retrieve-a-specified-credentials-from-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_retrieve_cred">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_retrieve_cred</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;flags</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;mcreds</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_retrieve_cred" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_retrieve_cred">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_retrieve_cred</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">flags</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">mcreds</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_retrieve_cred" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
 <p><strong>[in]</strong> <strong>flags</strong> - Flags bit mask</p>
 <p><strong>[in]</strong> <strong>mcreds</strong> - Credentials to match</p>
-<p class="last"><strong>[out]</strong> <strong>creds</strong> - Credentials matching the requested value</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>creds</strong> - Credentials matching the requested value</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function searches a credential cache for credentials matching <em>mcreds</em> and returns it if found.</p>
 <p>Valid values for <em>flags</em> are:</p>
 <blockquote>
 <div><blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_TC_MATCH_TIMES.html#KRB5_TC_MATCH_TIMES" title="KRB5_TC_MATCH_TIMES"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_MATCH_TIMES</span></code></a> The requested lifetime must be at least as great as in <em>mcreds</em> .</li>
-<li><a class="reference internal" href="../macros/KRB5_TC_MATCH_IS_SKEY.html#KRB5_TC_MATCH_IS_SKEY" title="KRB5_TC_MATCH_IS_SKEY"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_MATCH_IS_SKEY</span></code></a> The <em>is_skey</em> field much match exactly.</li>
-<li><a class="reference internal" href="../macros/KRB5_TC_MATCH_FLAGS.html#KRB5_TC_MATCH_FLAGS" title="KRB5_TC_MATCH_FLAGS"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_MATCH_FLAGS</span></code></a> Flags set in <em>mcreds</em> must be set.</li>
-<li><a class="reference internal" href="../macros/KRB5_TC_MATCH_TIMES_EXACT.html#KRB5_TC_MATCH_TIMES_EXACT" title="KRB5_TC_MATCH_TIMES_EXACT"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_MATCH_TIMES_EXACT</span></code></a> The requested lifetime must match exactly.</li>
-<li><a class="reference internal" href="../macros/KRB5_TC_MATCH_FLAGS_EXACT.html#KRB5_TC_MATCH_FLAGS_EXACT" title="KRB5_TC_MATCH_FLAGS_EXACT"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_MATCH_FLAGS_EXACT</span></code></a> Flags must match exactly.</li>
-<li><a class="reference internal" href="../macros/KRB5_TC_MATCH_AUTHDATA.html#KRB5_TC_MATCH_AUTHDATA" title="KRB5_TC_MATCH_AUTHDATA"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_MATCH_AUTHDATA</span></code></a> The authorization data must match.</li>
-<li><a class="reference internal" href="../macros/KRB5_TC_MATCH_SRV_NAMEONLY.html#KRB5_TC_MATCH_SRV_NAMEONLY" title="KRB5_TC_MATCH_SRV_NAMEONLY"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_MATCH_SRV_NAMEONLY</span></code></a> Only the name portion of the principal name must match, not the realm.</li>
-<li><a class="reference internal" href="../macros/KRB5_TC_MATCH_2ND_TKT.html#KRB5_TC_MATCH_2ND_TKT" title="KRB5_TC_MATCH_2ND_TKT"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_MATCH_2ND_TKT</span></code></a> The second tickets must match.</li>
-<li><a class="reference internal" href="../macros/KRB5_TC_MATCH_KTYPE.html#KRB5_TC_MATCH_KTYPE" title="KRB5_TC_MATCH_KTYPE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_MATCH_KTYPE</span></code></a> The encryption key types must match.</li>
-<li><a class="reference internal" href="../macros/KRB5_TC_SUPPORTED_KTYPES.html#KRB5_TC_SUPPORTED_KTYPES" title="KRB5_TC_SUPPORTED_KTYPES"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TC_SUPPORTED_KTYPES</span></code></a> Check all matching entries that have any supported encryption type and return the one with the encryption type listed earliest.</li>
+<li><p>#KRB5_TC_MATCH_TIMES The requested lifetime must be at least as great as in <em>mcreds</em> .</p></li>
+<li><p>#KRB5_TC_MATCH_IS_SKEY The <em>is_skey</em> field much match exactly.</p></li>
+<li><p>#KRB5_TC_MATCH_FLAGS Flags set in <em>mcreds</em> must be set.</p></li>
+<li><p>#KRB5_TC_MATCH_TIMES_EXACT The requested lifetime must match exactly.</p></li>
+<li><p>#KRB5_TC_MATCH_FLAGS_EXACT Flags must match exactly.</p></li>
+<li><p>#KRB5_TC_MATCH_AUTHDATA The authorization data must match.</p></li>
+<li><p>#KRB5_TC_MATCH_SRV_NAMEONLY Only the name portion of the principal name must match, not the realm.</p></li>
+<li><p>#KRB5_TC_MATCH_2ND_TKT The second tickets must match.</p></li>
+<li><p>#KRB5_TC_MATCH_KTYPE The encryption key types must match.</p></li>
+<li><p>#KRB5_TC_SUPPORTED_KTYPES Check all matching entries that have any supported encryption type and return the one with the encryption type listed earliest.</p></li>
 </ul>
 </div></blockquote>
-<p>Use <a class="reference internal" href="krb5_free_cred_contents.html#c.krb5_free_cred_contents" title="krb5_free_cred_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_cred_contents()</span></code></a> to free <em>creds</em> when it is no longer needed.</p>
+<p>Use krb5_free_cred_contents() to free <em>creds</em> when it is no longer needed.</p>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_retrieve_cred -  Retrieve a specified credentials from a credential cache.</a></li>
@@ -162,6 +147,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -169,8 +155,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_select.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_select.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_select.html	2023-08-14 16:18:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_select.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_select - Select a credential cache to use with a server principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_set_config - Store a configuration value in a credential cache." href="krb5_cc_set_config.html" />
     <link rel="prev" title="krb5_cc_retrieve_cred - Retrieve a specified credentials from a credential cache." href="krb5_cc_retrieve_cred.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-select-select-a-credential-cache-to-use-with-a-server-principal">
+  <section id="krb5-cc-select-select-a-credential-cache-to-use-with-a-server-principal">
 <h1>krb5_cc_select -  Select a credential cache to use with a server principal.<a class="headerlink" href="#krb5-cc-select-select-a-credential-cache-to-use-with-a-server-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_select">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_select</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;server</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a> *<em>&nbsp;cache_out</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;princ_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_select" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_select">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_select</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">server</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cache_out</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">princ_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_select" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>server</strong> - Server principal</p>
 <p><strong>[out]</strong> <strong>cache_out</strong> - Credential cache handle</p>
-<p class="last"><strong>[out]</strong> <strong>princ_out</strong> - Client principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>If an appropriate cache is found, 0 is returned, cache_out is set to the selected cache, and princ_out is set to the default principal of that cache.</li>
+<p><strong>[out]</strong> <strong>princ_out</strong> - Client principal</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>If an appropriate cache is found, 0 is returned, cache_out is set to the selected cache, and princ_out is set to the default principal of that cache.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Select a cache within the collection containing credentials most appropriate for use with <em>server</em> , according to configured rules and heuristics.</p>
-<p>Use <a class="reference internal" href="krb5_cc_close.html#c.krb5_cc_close" title="krb5_cc_close"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_close()</span></code></a> to release <em>cache_out</em> when it is no longer needed. Use <a class="reference internal" href="krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a> to release <em>princ_out</em> when it is no longer needed. Note that <em>princ_out</em> is set in some error conditions.</p>
+<p>Use krb5_cc_close() to release <em>cache_out</em> when it is no longer needed. Use krb5_free_principal() to release <em>princ_out</em> when it is no longer needed. Note that <em>princ_out</em> is set in some error conditions.</p>
 <p>If the appropriate client principal can be authoritatively determined but the cache collection contains no credentials for that principal, then KRB5_CC_NOTFOUND is returned, <em>cache_out</em> is set to NULL, and <em>princ_out</em> is set to the appropriate client principal.</p>
 <p>If no configured mechanism can determine the appropriate cache or principal, KRB5_CC_NOTFOUND is returned and <em>cache_out</em> and <em>princ_out</em> are set to NULL.</p>
 <p>Any other error code indicates a fatal error in the processing of a cache selection mechanism.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.10</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.10</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_select -  Select a credential cache to use with a server principal.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_set_config.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_set_config.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_set_config.html	2023-08-14 16:18:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_set_config.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_set_config - Store a configuration value in a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_set_default_name - Set the default credential cache name." href="krb5_cc_set_default_name.html" />
     <link rel="prev" title="krb5_cc_select - Select a credential cache to use with a server principal." href="krb5_cc_select.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,58 +52,52 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-set-config-store-a-configuration-value-in-a-credential-cache">
+  <section id="krb5-cc-set-config-store-a-configuration-value-in-a-credential-cache">
 <h1>krb5_cc_set_config -  Store a configuration value in a credential cache.<a class="headerlink" href="#krb5-cc-set-config-store-a-configuration-value-in-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_set_config">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_set_config</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;id</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, const char *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_set_config" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_set_config">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_set_config</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">id</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_set_config" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>id</strong> - Credential cache handle</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Configuration for a specific principal; if NULL, global for the whole cache</p>
 <p><strong>[in]</strong> <strong>key</strong> - Name of config variable</p>
-<p class="last"><strong>[in]</strong> <strong>data</strong> - Data to store, or NULL to remove</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>data</strong> - Data to store, or NULL to remove</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <div class="admonition warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">Before version 1.10 <em>data</em> was assumed to be always non-null.</p>
+<p class="admonition-title">Warning</p>
+<p>Before version 1.10 <em>data</em> was assumed to be always non-null.</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">Existing configuration under the same key is over-written.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>Existing configuration under the same key is over-written.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_set_config -  Store a configuration value in a credential cache.</a></li>
@@ -156,6 +141,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -163,8 +149,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_set_default_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_set_default_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_set_default_name.html	2023-08-14 16:18:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_set_default_name.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_set_default_name - Set the default credential cache name. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_set_flags - Set options flags on a credential cache." href="krb5_cc_set_flags.html" />
     <link rel="prev" title="krb5_cc_set_config - Store a configuration value in a credential cache." href="krb5_cc_set_config.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-set-default-name-set-the-default-credential-cache-name">
+  <section id="krb5-cc-set-default-name-set-the-default-credential-cache-name">
 <h1>krb5_cc_set_default_name -  Set the default credential cache name.<a class="headerlink" href="#krb5-cc-set-default-name-set-the-default-credential-cache-name" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_set_default_name">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_set_default_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;name</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_set_default_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_set_default_name">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_set_default_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_set_default_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>name</strong> - Default credential cache name or NULL</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>KV5M_CONTEXT   Bad magic number for _krb5_context structure</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>name</strong> - Default credential cache name or NULL</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KV5M_CONTEXT   Bad magic number for _krb5_context structure</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Set the default credential cache name to <em>name</em> for future operations using <em>context</em> . If <em>name</em> is NULL, clear any previous application-set default name and forget any cached value of the default name for <em>context</em> .</p>
-<p>Calls to this function invalidate the result of any previous calls to <a class="reference internal" href="krb5_cc_default_name.html#c.krb5_cc_default_name" title="krb5_cc_default_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_default_name()</span></code></a> using <em>context</em> .</p>
-</div>
+<p>Calls to this function invalidate the result of any previous calls to krb5_cc_default_name() using <em>context</em> .</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_set_default_name -  Set the default credential cache name.</a></li>
@@ -148,6 +133,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +141,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_set_flags.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_set_flags.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_set_flags.html	2023-08-14 16:18:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_set_flags.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_set_flags - Set options flags on a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_start_seq_get - Prepare to sequentially read every credential in a credential cache." href="krb5_cc_start_seq_get.html" />
     <link rel="prev" title="krb5_cc_set_default_name - Set the default credential cache name." href="krb5_cc_set_default_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-set-flags-set-options-flags-on-a-credential-cache">
+  <section id="krb5-cc-set-flags-set-options-flags-on-a-credential-cache">
 <h1>krb5_cc_set_flags -  Set options flags on a credential cache.<a class="headerlink" href="#krb5-cc-set-flags-set-options-flags-on-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_set_flags">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_set_flags</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_set_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_set_flags">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_set_flags</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_set_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-<p class="last"><strong>[in]</strong> <strong>flags</strong> - Flag bit mask</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>flags</strong> - Flag bit mask</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function resets <em>cache</em> flags to <em>flags</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_set_flags -  Set options flags on a credential cache.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_start_seq_get.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_start_seq_get.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_start_seq_get.html	2023-08-14 16:18:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_start_seq_get.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_start_seq_get - Prepare to sequentially read every credential in a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_store_cred - Store credentials in a credential cache." href="krb5_cc_store_cred.html" />
     <link rel="prev" title="krb5_cc_set_flags - Set options flags on a credential cache." href="krb5_cc_set_flags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-start-seq-get-prepare-to-sequentially-read-every-credential-in-a-credential-cache">
+  <section id="krb5-cc-start-seq-get-prepare-to-sequentially-read-every-credential-in-a-credential-cache">
 <h1>krb5_cc_start_seq_get -  Prepare to sequentially read every credential in a credential cache.<a class="headerlink" href="#krb5-cc-start-seq-get-prepare-to-sequentially-read-every-credential-in-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_start_seq_get">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_start_seq_get</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_cc_cursor.html#c.krb5_cc_cursor" title="krb5_cc_cursor">krb5_cc_cursor</a> *<em>&nbsp;cursor</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_start_seq_get" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_start_seq_get">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_start_seq_get</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_cc_cursor.html#c.krb5_cc_cursor" title="krb5_cc_cursor"><span class="n"><span class="pre">krb5_cc_cursor</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cursor</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_start_seq_get" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-<p class="last"><strong>[out]</strong> <strong>cursor</strong> - Cursor</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>cursor</strong> - Cursor</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<blockquote>
-<div><a class="reference internal" href="krb5_cc_end_seq_get.html#c.krb5_cc_end_seq_get" title="krb5_cc_end_seq_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_end_seq_get()</span></code></a> must be called to complete the retrieve operation.</div></blockquote>
+</dd>
+</dl>
+<p>krb5_cc_end_seq_get() must be called to complete the retrieve operation.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If the cache represented by <em>cache</em> is modified between the time of the call to this function and the time of the final <a class="reference internal" href="krb5_cc_end_seq_get.html#c.krb5_cc_end_seq_get" title="krb5_cc_end_seq_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_end_seq_get()</span></code></a> , these changes may not be reflected in the results of <a class="reference internal" href="krb5_cc_next_cred.html#c.krb5_cc_next_cred" title="krb5_cc_next_cred"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_next_cred()</span></code></a> calls.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>If the cache represented by <em>cache</em> is modified between the time of the call to this function and the time of the final krb5_cc_end_seq_get(), these changes may not be reflected in the results of krb5_cc_next_cred() calls.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_start_seq_get -  Prepare to sequentially read every credential in a credential cache.</a></li>
@@ -147,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_store_cred.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_store_cred.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_store_cred.html	2023-08-14 16:18:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_store_cred.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_store_cred - Store credentials in a credential cache. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_support_switch - Determine whether a credential cache type supports switching." href="krb5_cc_support_switch.html" />
     <link rel="prev" title="krb5_cc_start_seq_get - Prepare to sequentially read every credential in a credential cache." href="krb5_cc_start_seq_get.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-store-cred-store-credentials-in-a-credential-cache">
+  <section id="krb5-cc-store-cred-store-credentials-in-a-credential-cache">
 <h1>krb5_cc_store_cred -  Store credentials in a credential cache.<a class="headerlink" href="#krb5-cc-store-cred-store-credentials-in-a-credential-cache" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_store_cred">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_store_cred</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_store_cred" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_store_cred">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_store_cred</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_store_cred" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-<p class="last"><strong>[in]</strong> <strong>creds</strong> - Credentials to be stored in cache</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Permission errors; storage failure errors; Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>creds</strong> - Credentials to be stored in cache</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Permission errors; storage failure errors; Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function stores <em>creds</em> into <em>cache</em> . If <em>creds-&gt;server</em> and the server in the decoded ticket <em>creds-&gt;ticket</em> differ, the credentials will be stored under both server principal names.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_store_cred -  Store credentials in a credential cache.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_support_switch.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_support_switch.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_support_switch.html	2023-08-14 16:18:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_support_switch.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_support_switch - Determine whether a credential cache type supports switching. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_switch - Make a credential cache the primary cache for its collection." href="krb5_cc_switch.html" />
     <link rel="prev" title="krb5_cc_store_cred - Store credentials in a credential cache." href="krb5_cc_store_cred.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-support-switch-determine-whether-a-credential-cache-type-supports-switching">
+  <section id="krb5-cc-support-switch-determine-whether-a-credential-cache-type-supports-switching">
 <h1>krb5_cc_support_switch -  Determine whether a credential cache type supports switching.<a class="headerlink" href="#krb5-cc-support-switch-determine-whether-a-credential-cache-type-supports-switching" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_support_switch">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_cc_support_switch</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;type</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_support_switch" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_support_switch">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_support_switch</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">type</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_support_switch" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>type</strong> - Credential cache type</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE   if type supports switching</li>
-<li>FALSE   if it does not or is not a valid credential cache type.</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>type</strong> - Credential cache type</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE   if type supports switching</p></li>
+<li><p>FALSE   if it does not or is not a valid credential cache type.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.10</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.10</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_support_switch -  Determine whether a credential cache type supports switching.</a></li>
@@ -145,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +138,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_switch.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_switch.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cc_switch.html	2023-08-14 16:18:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cc_switch.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_switch - Make a credential cache the primary cache for its collection. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cccol_cursor_free - Free a credential cache collection cursor." href="krb5_cccol_cursor_free.html" />
     <link rel="prev" title="krb5_cc_support_switch - Determine whether a credential cache type supports switching." href="krb5_cc_support_switch.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-switch-make-a-credential-cache-the-primary-cache-for-its-collection">
+  <section id="krb5-cc-switch-make-a-credential-cache-the-primary-cache-for-its-collection">
 <h1>krb5_cc_switch -  Make a credential cache the primary cache for its collection.<a class="headerlink" href="#krb5-cc-switch-make-a-credential-cache-the-primary-cache-for-its-collection" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cc_switch">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cc_switch</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_switch" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cc_switch">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_switch</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cc_switch" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success, or the type of cache doesn’t support switching</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>cache</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success, or the type of cache doesn’t support switching</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>If the type of <em>cache</em> supports it, set <em>cache</em> to be the primary credential cache for the collection it belongs to.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_switch -  Make a credential cache the primary cache for its collection.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cccol_cursor_free.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cccol_cursor_free.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cccol_cursor_free.html	2023-08-14 16:18:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cccol_cursor_free.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cccol_cursor_free - Free a credential cache collection cursor. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cccol_cursor_new - Prepare to iterate over the collection of known credential caches." href="krb5_cccol_cursor_new.html" />
     <link rel="prev" title="krb5_cc_switch - Make a credential cache the primary cache for its collection." href="krb5_cc_switch.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,46 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cccol-cursor-free-free-a-credential-cache-collection-cursor">
+  <section id="krb5-cccol-cursor-free-free-a-credential-cache-collection-cursor">
 <h1>krb5_cccol_cursor_free -  Free a credential cache collection cursor.<a class="headerlink" href="#krb5-cccol-cursor-free-free-a-credential-cache-collection-cursor" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cccol_cursor_free">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cccol_cursor_free</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cccol_cursor.html#c.krb5_cccol_cursor" title="krb5_cccol_cursor">krb5_cccol_cursor</a> *<em>&nbsp;cursor</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cccol_cursor_free" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cccol_cursor_free">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cccol_cursor_free</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cccol_cursor.html#c.krb5_cccol_cursor" title="krb5_cccol_cursor"><span class="n"><span class="pre">krb5_cccol_cursor</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cursor</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cccol_cursor_free" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>cursor</strong> - Cursor</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>cursor</strong> - Cursor</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_cccol_cursor_new.html#c.krb5_cccol_cursor_new" title="krb5_cccol_cursor_new"><code class="xref c c-func docutils literal"><span class="pre">krb5_cccol_cursor_new()</span></code></a> , <a class="reference internal" href="krb5_cccol_cursor_next.html#c.krb5_cccol_cursor_next" title="krb5_cccol_cursor_next"><code class="xref c c-func docutils literal"><span class="pre">krb5_cccol_cursor_next()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_cccol_cursor_new(), krb5_cccol_cursor_next()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cccol_cursor_free -  Free a credential cache collection cursor.</a></li>
@@ -144,6 +129,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -151,8 +137,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cccol_cursor_new.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cccol_cursor_new.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cccol_cursor_new.html	2023-08-14 16:18:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cccol_cursor_new.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cccol_cursor_new - Prepare to iterate over the collection of known credential caches. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cccol_cursor_next - Get the next credential cache in the collection." href="krb5_cccol_cursor_next.html" />
     <link rel="prev" title="krb5_cccol_cursor_free - Free a credential cache collection cursor." href="krb5_cccol_cursor_free.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cccol-cursor-new-prepare-to-iterate-over-the-collection-of-known-credential-caches">
+  <section id="krb5-cccol-cursor-new-prepare-to-iterate-over-the-collection-of-known-credential-caches">
 <h1>krb5_cccol_cursor_new -  Prepare to iterate over the collection of known credential caches.<a class="headerlink" href="#krb5-cccol-cursor-new-prepare-to-iterate-over-the-collection-of-known-credential-caches" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cccol_cursor_new">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cccol_cursor_new</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cccol_cursor.html#c.krb5_cccol_cursor" title="krb5_cccol_cursor">krb5_cccol_cursor</a> *<em>&nbsp;cursor</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cccol_cursor_new" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cccol_cursor_new">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cccol_cursor_new</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cccol_cursor.html#c.krb5_cccol_cursor" title="krb5_cccol_cursor"><span class="n"><span class="pre">krb5_cccol_cursor</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cursor</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cccol_cursor_new" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>cursor</strong> - Cursor</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>cursor</strong> - Cursor</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Get a new cache iteration <em>cursor</em> that will iterate over all known credential caches independent of type.</p>
-<p>Use <a class="reference internal" href="krb5_cccol_cursor_free.html#c.krb5_cccol_cursor_free" title="krb5_cccol_cursor_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_cccol_cursor_free()</span></code></a> to release <em>cursor</em> when it is no longer needed.</p>
+<p>Use krb5_cccol_cursor_free() to release <em>cursor</em> when it is no longer needed.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_cccol_cursor_next.html#c.krb5_cccol_cursor_next" title="krb5_cccol_cursor_next"><code class="xref c c-func docutils literal"><span class="pre">krb5_cccol_cursor_next()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_cccol_cursor_next()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cccol_cursor_new -  Prepare to iterate over the collection of known credential caches.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cccol_cursor_next.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cccol_cursor_next.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cccol_cursor_next.html	2023-08-14 16:18:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cccol_cursor_next.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cccol_cursor_next - Get the next credential cache in the collection. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cccol_have_content - Check if the credential cache collection contains any initialized caches." href="krb5_cccol_have_content.html" />
     <link rel="prev" title="krb5_cccol_cursor_new - Prepare to iterate over the collection of known credential caches." href="krb5_cccol_cursor_new.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cccol-cursor-next-get-the-next-credential-cache-in-the-collection">
+  <section id="krb5-cccol-cursor-next-get-the-next-credential-cache-in-the-collection">
 <h1>krb5_cccol_cursor_next -  Get the next credential cache in the collection.<a class="headerlink" href="#krb5-cccol-cursor-next-get-the-next-credential-cache-in-the-collection" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cccol_cursor_next">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cccol_cursor_next</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cccol_cursor.html#c.krb5_cccol_cursor" title="krb5_cccol_cursor">krb5_cccol_cursor</a><em>&nbsp;cursor</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a> *<em>&nbsp;ccache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cccol_cursor_next" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cccol_cursor_next">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cccol_cursor_next</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cccol_cursor.html#c.krb5_cccol_cursor" title="krb5_cccol_cursor"><span class="n"><span class="pre">krb5_cccol_cursor</span></span></a><span class="w"> </span><span class="n"><span class="pre">cursor</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ccache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cccol_cursor_next" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cursor</strong> - Cursor</p>
-<p class="last"><strong>[out]</strong> <strong>ccache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>ccache</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_cc_close.html#c.krb5_cc_close" title="krb5_cc_close"><code class="xref c c-func docutils literal"><span class="pre">krb5_cc_close()</span></code></a> to close <em>ccache</em> when it is no longer needed.</p>
+</dd>
+</dl>
+<p>Use krb5_cc_close() to close <em>ccache</em> when it is no longer needed.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_cccol_cursor_new.html#c.krb5_cccol_cursor_new" title="krb5_cccol_cursor_new"><code class="xref c c-func docutils literal"><span class="pre">krb5_cccol_cursor_new()</span></code></a> , <a class="reference internal" href="krb5_cccol_cursor_free.html#c.krb5_cccol_cursor_free" title="krb5_cccol_cursor_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_cccol_cursor_free()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_cccol_cursor_new(), krb5_cccol_cursor_free()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">When all caches are iterated over and the end of the list is reached, <em>ccache</em> is set to NULL.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>When all caches are iterated over and the end of the list is reached, <em>ccache</em> is set to NULL.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cccol_cursor_next -  Get the next credential cache in the collection.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cccol_have_content.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cccol_have_content.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cccol_have_content.html	2023-08-14 16:18:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cccol_have_content.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cccol_have_content - Check if the credential cache collection contains any initialized caches. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_clear_error_message - Clear the extended error message in a context." href="krb5_clear_error_message.html" />
     <link rel="prev" title="krb5_cccol_cursor_next - Get the next credential cache in the collection." href="krb5_cccol_cursor_next.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cccol-have-content-check-if-the-credential-cache-collection-contains-any-initialized-caches">
+  <section id="krb5-cccol-have-content-check-if-the-credential-cache-collection-contains-any-initialized-caches">
 <h1>krb5_cccol_have_content -  Check if the credential cache collection contains any initialized caches.<a class="headerlink" href="#krb5-cccol-have-content-check-if-the-credential-cache-collection-contains-any-initialized-caches" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cccol_have_content">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cccol_have_content</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cccol_have_content" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cccol_have_content">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cccol_have_content</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cccol_have_content" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>context</strong> - Library context</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   At least one initialized cache is present in the collection</li>
-<li>KRB5_CC_NOTFOUND   The collection contains no caches</li>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   At least one initialized cache is present in the collection</p></li>
+<li><p>KRB5_CC_NOTFOUND   The collection contains no caches</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cccol_have_content -  Check if the credential cache collection contains any initialized caches.</a></li>
@@ -143,6 +129,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +137,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_change_password.html 1.21.3-1/doc/html/appdev/refs/api/krb5_change_password.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_change_password.html	2023-08-14 16:18:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_change_password.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_change_password - Change a password for an existing Kerberos account. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_chpw_message - Get a result message for changing or setting a password." href="krb5_chpw_message.html" />
     <link rel="prev" title="krb5_cc_resolve - Resolve a credential cache name." href="krb5_cc_resolve.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,57 +52,51 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-change-password-change-a-password-for-an-existing-kerberos-account">
+  <section id="krb5-change-password-change-a-password-for-an-existing-kerberos-account">
 <h1>krb5_change_password -  Change a password for an existing Kerberos account.<a class="headerlink" href="#krb5-change-password-change-a-password-for-an-existing-kerberos-account" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_change_password">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_change_password</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, const char *<em>&nbsp;newpw</em>, int *<em>&nbsp;result_code</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;result_code_string</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;result_string</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_change_password" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_change_password">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_change_password</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">newpw</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">result_code</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">result_code_string</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">result_string</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_change_password" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>creds</strong> - Credentials for kadmin/changepw service</p>
 <p><strong>[in]</strong> <strong>newpw</strong> - New password</p>
 <p><strong>[out]</strong> <strong>result_code</strong> - Numeric error code from server</p>
 <p><strong>[out]</strong> <strong>result_code_string</strong> - String equivalent to <em>result_code</em></p>
-<p class="last"><strong>[out]</strong> <strong>result_string</strong> - Change password response from the KDC</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>result_string</strong> - Change password response from the KDC</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Change the password for the existing principal identified by <em>creds</em> .</p>
 <p>The possible values of the output <em>result_code</em> are:</p>
 <blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_KPASSWD_SUCCESS.html#KRB5_KPASSWD_SUCCESS" title="KRB5_KPASSWD_SUCCESS"><code class="xref py py-data docutils literal"><span class="pre">KRB5_KPASSWD_SUCCESS</span></code></a> (0) - success</li>
-<li><a class="reference internal" href="../macros/KRB5_KPASSWD_MALFORMED.html#KRB5_KPASSWD_MALFORMED" title="KRB5_KPASSWD_MALFORMED"><code class="xref py py-data docutils literal"><span class="pre">KRB5_KPASSWD_MALFORMED</span></code></a> (1) - Malformed request error</li>
-<li><a class="reference internal" href="../macros/KRB5_KPASSWD_HARDERROR.html#KRB5_KPASSWD_HARDERROR" title="KRB5_KPASSWD_HARDERROR"><code class="xref py py-data docutils literal"><span class="pre">KRB5_KPASSWD_HARDERROR</span></code></a> (2) - Server error</li>
-<li><a class="reference internal" href="../macros/KRB5_KPASSWD_AUTHERROR.html#KRB5_KPASSWD_AUTHERROR" title="KRB5_KPASSWD_AUTHERROR"><code class="xref py py-data docutils literal"><span class="pre">KRB5_KPASSWD_AUTHERROR</span></code></a> (3) - Authentication error</li>
-<li><a class="reference internal" href="../macros/KRB5_KPASSWD_SOFTERROR.html#KRB5_KPASSWD_SOFTERROR" title="KRB5_KPASSWD_SOFTERROR"><code class="xref py py-data docutils literal"><span class="pre">KRB5_KPASSWD_SOFTERROR</span></code></a> (4) - Password change rejected</li>
+<li><p>#KRB5_KPASSWD_SUCCESS (0) - success</p></li>
+<li><p>#KRB5_KPASSWD_MALFORMED (1) - Malformed request error</p></li>
+<li><p>#KRB5_KPASSWD_HARDERROR (2) - Server error</p></li>
+<li><p>#KRB5_KPASSWD_AUTHERROR (3) - Authentication error</p></li>
+<li><p>#KRB5_KPASSWD_SOFTERROR (4) - Password change rejected</p></li>
 </ul>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_change_password -  Change a password for an existing Kerberos account.</a></li>
@@ -155,6 +140,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +148,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_check_clockskew.html 1.21.3-1/doc/html/appdev/refs/api/krb5_check_clockskew.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_check_clockskew.html	2023-08-14 16:18:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_check_clockskew.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_check_clockskew - Check if a timestamp is within the allowed clock skew of the current time. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_addresses - Copy an array of addresses." href="krb5_copy_addresses.html" />
     <link rel="prev" title="krb5_clear_error_message - Clear the extended error message in a context." href="krb5_clear_error_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-check-clockskew-check-if-a-timestamp-is-within-the-allowed-clock-skew-of-the-current-time">
+  <section id="krb5-check-clockskew-check-if-a-timestamp-is-within-the-allowed-clock-skew-of-the-current-time">
 <h1>krb5_check_clockskew -  Check if a timestamp is within the allowed clock skew of the current time.<a class="headerlink" href="#krb5-check-clockskew-check-if-a-timestamp-is-within-the-allowed-clock-skew-of-the-current-time" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_check_clockskew">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_check_clockskew</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a><em>&nbsp;date</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_check_clockskew" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_check_clockskew">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_check_clockskew</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="n"><span class="pre">date</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_check_clockskew" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>date</strong> - Timestamp to check</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success</li>
-<li>KRB5KRB_AP_ERR_SKEW    date is not within allowable clock skew</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>date</strong> - Timestamp to check</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KRB5KRB_AP_ERR_SKEW    date is not within allowable clock skew</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function checks if <em>date</em> is close enough to the current time according to the configured allowable clock skew.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.10</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.10</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_check_clockskew -  Check if a timestamp is within the allowed clock skew of the current time.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_checksum_size.html 1.21.3-1/doc/html/appdev/refs/api/krb5_checksum_size.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_checksum_size.html	2023-08-14 16:18:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_checksum_size.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_checksum_size &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_encrypt" href="krb5_encrypt.html" />
     <link rel="prev" title="krb5_calculate_checksum" href="krb5_calculate_checksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-checksum-size">
+  <section id="krb5-checksum-size">
 <h1>krb5_checksum_size<a class="headerlink" href="#krb5-checksum-size" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_checksum_size">
-size_t <code class="descname">krb5_checksum_size</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;ctype</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_checksum_size" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_checksum_size">
+<span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_checksum_size</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctype</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_checksum_size" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
-<p class="last"><strong>ctype</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
+<p><strong>ctype</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED See krb5_c_checksum_length()</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_checksum_size</a></li>
@@ -130,6 +119,7 @@ size_t <code class="descname">krb5_check
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ size_t <code class="descname">krb5_check
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_chpw_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_chpw_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_chpw_message.html	2023-08-14 16:18:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_chpw_message.html	2024-06-26 20:00:57.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_chpw_message - Get a result message for changing or setting a password. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_expand_hostname - Canonicalize a hostname, possibly using name service." href="krb5_expand_hostname.html" />
     <link rel="prev" title="krb5_change_password - Change a password for an existing Kerberos account." href="krb5_change_password.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,48 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-chpw-message-get-a-result-message-for-changing-or-setting-a-password">
+  <section id="krb5-chpw-message-get-a-result-message-for-changing-or-setting-a-password">
 <h1>krb5_chpw_message -  Get a result message for changing or setting a password.<a class="headerlink" href="#krb5-chpw-message-get-a-result-message-for-changing-or-setting-a-password" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_chpw_message">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_chpw_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;server_string</em>, char **<em>&nbsp;message_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_chpw_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_chpw_message">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_chpw_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">server_string</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">message_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_chpw_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>server_string</strong> - Data returned from the remote system</p>
-<p class="last"><strong>[out]</strong> <strong>message_out</strong> - A message displayable to the user</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function processes the <em>server_string</em> returned in the <em>result_string</em> parameter of <a class="reference internal" href="krb5_change_password.html#c.krb5_change_password" title="krb5_change_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_change_password()</span></code></a> , <a class="reference internal" href="krb5_set_password.html#c.krb5_set_password" title="krb5_set_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_set_password()</span></code></a> , and related functions, and returns a displayable string. If <em>server_string</em> contains Active Directory structured policy information, it will be converted into human-readable text.</p>
-<p>Use <a class="reference internal" href="krb5_free_string.html#c.krb5_free_string" title="krb5_free_string"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_string()</span></code></a> to free <em>message_out</em> when it is no longer needed.</p>
+<p><strong>[out]</strong> <strong>message_out</strong> - A message displayable to the user</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>This function processes the <em>server_string</em> returned in the <em>result_string</em> parameter of krb5_change_password(), krb5_set_password(), and related functions, and returns a displayable string. If <em>server_string</em> contains Active Directory structured policy information, it will be converted into human-readable text.</p>
+<p>Use krb5_free_string() to free <em>message_out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_chpw_message -  Get a result message for changing or setting a password.</a></li>
@@ -152,6 +137,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -159,8 +145,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_cksumtype_to_string.html 1.21.3-1/doc/html/appdev/refs/api/krb5_cksumtype_to_string.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_cksumtype_to_string.html	2023-08-14 16:18:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_cksumtype_to_string.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cksumtype_to_string - Convert a checksum type to a string. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_decode_authdata_container - Unwrap authorization data." href="krb5_decode_authdata_container.html" />
     <link rel="prev" title="krb5_c_verify_checksum_iov - Validate a checksum element in IOV array (operates on keyblock)." href="krb5_c_verify_checksum_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cksumtype-to-string-convert-a-checksum-type-to-a-string">
+  <section id="krb5-cksumtype-to-string-convert-a-checksum-type-to-a-string">
 <h1>krb5_cksumtype_to_string -  Convert a checksum type to a string.<a class="headerlink" href="#krb5-cksumtype-to-string-convert-a-checksum-type-to-a-string" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_cksumtype_to_string">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_cksumtype_to_string</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;cksumtype</em>, char *<em>&nbsp;buffer</em>, size_t<em>&nbsp;buflen</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cksumtype_to_string" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_cksumtype_to_string">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cksumtype_to_string</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">cksumtype</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">buffer</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">buflen</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_cksumtype_to_string" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type</p>
 <p><strong>[out]</strong> <strong>buffer</strong> - Buffer to hold converted checksum type</p>
-<p class="last"><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cksumtype_to_string -  Convert a checksum type to a string.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_clear_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_clear_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_clear_error_message.html	2023-08-14 16:18:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_clear_error_message.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_clear_error_message - Clear the extended error message in a context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_check_clockskew - Check if a timestamp is within the allowed clock skew of the current time." href="krb5_check_clockskew.html" />
     <link rel="prev" title="krb5_cccol_have_content - Check if the credential cache collection contains any initialized caches." href="krb5_cccol_have_content.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,30 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-clear-error-message-clear-the-extended-error-message-in-a-context">
+  <section id="krb5-clear-error-message-clear-the-extended-error-message-in-a-context">
 <h1>krb5_clear_error_message -  Clear the extended error message in a context.<a class="headerlink" href="#krb5-clear-error-message-clear-the-extended-error-message-in-a-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_clear_error_message">
-void <code class="descname">krb5_clear_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_clear_error_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_clear_error_message">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_clear_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_clear_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>ctx</strong> - Library context</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+</dd>
+</dl>
 <p>This function unsets the extended error message in a context, to ensure that it is not mistakenly applied to another occurrence of the same error code.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_clear_error_message -  Clear the extended error message in a context.</a></li>
@@ -128,6 +118,7 @@ void <code class="descname">krb5_clear_e
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -135,8 +126,8 @@ void <code class="descname">krb5_clear_e
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_addresses.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_addresses.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_addresses.html	2023-08-14 16:18:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_addresses.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_addresses - Copy an array of addresses. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_authdata - Copy an authorization data list." href="krb5_copy_authdata.html" />
     <link rel="prev" title="krb5_check_clockskew - Check if a timestamp is within the allowed clock skew of the current time." href="krb5_check_clockskew.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-addresses-copy-an-array-of-addresses">
+  <section id="krb5-copy-addresses-copy-an-array-of-addresses">
 <h1>krb5_copy_addresses -  Copy an array of addresses.<a class="headerlink" href="#krb5-copy-addresses-copy-an-array-of-addresses" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_addresses">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_addresses</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *const *<em>&nbsp;inaddr</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> ***<em>&nbsp;outaddr</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_addresses" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_addresses">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_addresses</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">inaddr</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outaddr</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_addresses" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>inaddr</strong> - Array of addresses to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>outaddr</strong> - Copy of array of addresses</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>outaddr</strong> - Copy of array of addresses</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new address array containing a copy of <em>inaddr</em> . Use <a class="reference internal" href="krb5_free_addresses.html#c.krb5_free_addresses" title="krb5_free_addresses"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_addresses()</span></code></a> to free <em>outaddr</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a new address array containing a copy of <em>inaddr</em> . Use krb5_free_addresses() to free <em>outaddr</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_addresses -  Copy an array of addresses.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_authdata.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_authdata.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_authdata.html	2023-08-14 16:18:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_authdata.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_authdata - Copy an authorization data list. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_authenticator - Copy a krb5_authenticator structure." href="krb5_copy_authenticator.html" />
     <link rel="prev" title="krb5_copy_addresses - Copy an array of addresses." href="krb5_copy_addresses.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-authdata-copy-an-authorization-data-list">
+  <section id="krb5-copy-authdata-copy-an-authorization-data-list">
 <h1>krb5_copy_authdata -  Copy an authorization data list.<a class="headerlink" href="#krb5-copy-authdata-copy-an-authorization-data-list" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_authdata">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_authdata</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> *const *<em>&nbsp;in_authdat</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> ***<em>&nbsp;out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_authdata" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_authdata">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_authdata</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_authdat</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_authdata" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>in_authdat</strong> - List of <em>krb5_authdata</em> structures</p>
-<p class="last"><strong>[out]</strong> <strong>out</strong> - New array of <em>krb5_authdata</em> structures</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>out</strong> - New array of <em>krb5_authdata</em> structures</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new authorization data list containing a copy of <em>in_authdat</em> , which must be null-terminated. Use <a class="reference internal" href="krb5_free_authdata.html#c.krb5_free_authdata" title="krb5_free_authdata"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_authdata()</span></code></a> to free <em>out</em> when it is no longer needed.</p>
+</dd>
+</dl>
+<p>This function creates a new authorization data list containing a copy of <em>in_authdat</em> , which must be null-terminated. Use krb5_free_authdata() to free <em>out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The last array entry in <em>in_authdat</em> must be a NULL pointer.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The last array entry in <em>in_authdat</em> must be a NULL pointer.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_authdata -  Copy an authorization data list.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_authenticator.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_authenticator.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_authenticator.html	2023-08-14 16:18:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_authenticator.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_authenticator - Copy a krb5_authenticator structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_checksum - Copy a krb5_checksum structure." href="krb5_copy_checksum.html" />
     <link rel="prev" title="krb5_copy_authdata - Copy an authorization data list." href="krb5_copy_authdata.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-authenticator-copy-a-krb5-authenticator-structure">
+  <section id="krb5-copy-authenticator-copy-a-krb5-authenticator-structure">
 <h1>krb5_copy_authenticator -  Copy a krb5_authenticator structure.<a class="headerlink" href="#krb5-copy-authenticator-copy-a-krb5-authenticator-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_authenticator">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_authenticator</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator">krb5_authenticator</a> *<em>&nbsp;authfrom</em>, <a class="reference internal" href="../types/krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator">krb5_authenticator</a> **<em>&nbsp;authto</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_authenticator" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_authenticator">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_authenticator</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">authfrom</span></span>, <a class="reference internal" href="../types/krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">authto</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_authenticator" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>authfrom</strong> - krb5_authenticator structure to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>authto</strong> - Copy of krb5_authenticator structure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>authto</strong> - Copy of krb5_authenticator structure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new krb5_authenticator structure with the content of <em>authfrom</em> . Use <a class="reference internal" href="krb5_free_authenticator.html#c.krb5_free_authenticator" title="krb5_free_authenticator"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_authenticator()</span></code></a> to free <em>authto</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a new krb5_authenticator structure with the content of <em>authfrom</em> . Use krb5_free_authenticator() to free <em>authto</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_authenticator -  Copy a krb5_authenticator structure.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_checksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_checksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_checksum.html	2023-08-14 16:18:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_checksum.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_checksum - Copy a krb5_checksum structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_context - Copy a krb5_context structure." href="krb5_copy_context.html" />
     <link rel="prev" title="krb5_copy_authenticator - Copy a krb5_authenticator structure." href="krb5_copy_authenticator.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-checksum-copy-a-krb5-checksum-structure">
+  <section id="krb5-copy-checksum-copy-a-krb5-checksum-structure">
 <h1>krb5_copy_checksum -  Copy a krb5_checksum structure.<a class="headerlink" href="#krb5-copy-checksum-copy-a-krb5-checksum-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_checksum">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_checksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> *<em>&nbsp;ckfrom</em>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> **<em>&nbsp;ckto</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_checksum">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_checksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ckfrom</span></span>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ckto</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ckfrom</strong> - Checksum to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>ckto</strong> - Copy of krb5_checksum structure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>ckto</strong> - Copy of krb5_checksum structure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new krb5_checksum structure with the contents of <em>ckfrom</em> . Use <a class="reference internal" href="krb5_free_checksum.html#c.krb5_free_checksum" title="krb5_free_checksum"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_checksum()</span></code></a> to free <em>ckto</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a new krb5_checksum structure with the contents of <em>ckfrom</em> . Use krb5_free_checksum() to free <em>ckto</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_checksum -  Copy a krb5_checksum structure.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_context.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_context.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_context.html	2023-08-14 16:18:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_context.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_context - Copy a krb5_context structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_creds - Copy a krb5_creds structure." href="krb5_copy_creds.html" />
     <link rel="prev" title="krb5_copy_checksum - Copy a krb5_checksum structure." href="krb5_copy_checksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-context-copy-a-krb5-context-structure">
+  <section id="krb5-copy-context-copy-a-krb5-context-structure">
 <h1>krb5_copy_context -  Copy a krb5_context structure.<a class="headerlink" href="#krb5-copy-context-copy-a-krb5-context-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_context">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_context</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a> *<em>&nbsp;nctx_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_context" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_context">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_context</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">nctx_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_context" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>nctx_out</strong> - New context structure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>The newly created context must be released by calling <a class="reference internal" href="krb5_free_context.html#c.krb5_free_context" title="krb5_free_context"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_context()</span></code></a> when it is no longer needed.</p>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>nctx_out</strong> - New context structure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>The newly created context must be released by calling krb5_free_context() when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_context -  Copy a krb5_context structure.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_creds.html	2023-08-14 16:18:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_creds.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_creds - Copy a krb5_creds structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_data - Copy a krb5_data object." href="krb5_copy_data.html" />
     <link rel="prev" title="krb5_copy_context - Copy a krb5_context structure." href="krb5_copy_context.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-creds-copy-a-krb5-creds-structure">
+  <section id="krb5-copy-creds-copy-a-krb5-creds-structure">
 <h1>krb5_copy_creds -  Copy a krb5_creds structure.<a class="headerlink" href="#krb5-copy-creds-copy-a-krb5-creds-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_creds">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;incred</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> **<em>&nbsp;outcred</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_creds">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">incred</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outcred</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>incred</strong> - Credentials structure to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>outcred</strong> - Copy of <em>incred</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>outcred</strong> - Copy of <em>incred</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new credential with the contents of <em>incred</em> . Use <a class="reference internal" href="krb5_free_creds.html#c.krb5_free_creds" title="krb5_free_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_creds()</span></code></a> to free <em>outcred</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a new credential with the contents of <em>incred</em> . Use krb5_free_creds() to free <em>outcred</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_creds -  Copy a krb5_creds structure.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_data.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_data.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_data.html	2023-08-14 16:18:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_data.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_data - Copy a krb5_data object. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_error_message - Copy the most recent extended error message from one context to another." href="krb5_copy_error_message.html" />
     <link rel="prev" title="krb5_copy_creds - Copy a krb5_creds structure." href="krb5_copy_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-data-copy-a-krb5-data-object">
+  <section id="krb5-copy-data-copy-a-krb5-data-object">
 <h1>krb5_copy_data -  Copy a krb5_data object.<a class="headerlink" href="#krb5-copy-data-copy-a-krb5-data-object" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_data">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_data</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;indata</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> **<em>&nbsp;outdata</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_data">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_data</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">indata</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outdata</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>indata</strong> - Data object to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>outdata</strong> - Copy of <em>indata</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>outdata</strong> - Copy of <em>indata</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new krb5_data object with the contents of <em>indata</em> . Use <a class="reference internal" href="krb5_free_data.html#c.krb5_free_data" title="krb5_free_data"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data()</span></code></a> to free <em>outdata</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a new krb5_data object with the contents of <em>indata</em> . Use krb5_free_data() to free <em>outdata</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_data -  Copy a krb5_data object.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_error_message.html	2023-08-14 16:18:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_error_message.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_error_message - Copy the most recent extended error message from one context to another. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_keyblock - Copy a keyblock." href="krb5_copy_keyblock.html" />
     <link rel="prev" title="krb5_copy_data - Copy a krb5_data object." href="krb5_copy_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-error-message-copy-the-most-recent-extended-error-message-from-one-context-to-another">
+  <section id="krb5-copy-error-message-copy-the-most-recent-extended-error-message-from-one-context-to-another">
 <h1>krb5_copy_error_message -  Copy the most recent extended error message from one context to another.<a class="headerlink" href="#krb5-copy-error-message-copy-the-most-recent-extended-error-message-from-one-context-to-another" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_error_message">
-void <code class="descname">krb5_copy_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;dest_ctx</em>, <a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;src_ctx</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_error_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_error_message">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">dest_ctx</span></span>, <a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">src_ctx</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>dest_ctx</strong> - Library context to copy message to</p>
-<p class="last"><strong>[in]</strong> <strong>src_ctx</strong> - Library context with current message</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>dest_ctx</strong> - Library context to copy message to</p>
+<p><strong>[in]</strong> <strong>src_ctx</strong> - Library context with current message</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_error_message -  Copy the most recent extended error message from one context to another.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_copy_er
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_copy_er
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_keyblock.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_keyblock.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_keyblock.html	2023-08-14 16:18:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_keyblock.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_keyblock - Copy a keyblock. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_keyblock_contents - Copy the contents of a keyblock." href="krb5_copy_keyblock_contents.html" />
     <link rel="prev" title="krb5_copy_error_message - Copy the most recent extended error message from one context to another." href="krb5_copy_error_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-keyblock-copy-a-keyblock">
+  <section id="krb5-copy-keyblock-copy-a-keyblock">
 <h1>krb5_copy_keyblock -  Copy a keyblock.<a class="headerlink" href="#krb5-copy-keyblock-copy-a-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_keyblock">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_keyblock</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;from</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;to</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_keyblock" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_keyblock">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_keyblock</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">from</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">to</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_keyblock" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>from</strong> - Keyblock to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>to</strong> - Copy of keyblock <em>from</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>to</strong> - Copy of keyblock <em>from</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new keyblock with the same contents as <em>from</em> . Use <a class="reference internal" href="krb5_free_keyblock.html#c.krb5_free_keyblock" title="krb5_free_keyblock"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock()</span></code></a> to free <em>to</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a new keyblock with the same contents as <em>from</em> . Use krb5_free_keyblock() to free <em>to</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_keyblock -  Copy a keyblock.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_keyblock_contents.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_keyblock_contents.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_keyblock_contents.html	2023-08-14 16:18:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_keyblock_contents.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_keyblock_contents - Copy the contents of a keyblock. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_principal - Copy a principal." href="krb5_copy_principal.html" />
     <link rel="prev" title="krb5_copy_keyblock - Copy a keyblock." href="krb5_copy_keyblock.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-keyblock-contents-copy-the-contents-of-a-keyblock">
+  <section id="krb5-copy-keyblock-contents-copy-the-contents-of-a-keyblock">
 <h1>krb5_copy_keyblock_contents -  Copy the contents of a keyblock.<a class="headerlink" href="#krb5-copy-keyblock-contents-copy-the-contents-of-a-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_keyblock_contents">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_keyblock_contents</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;from</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;to</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_keyblock_contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_keyblock_contents">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_keyblock_contents</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">from</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">to</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_keyblock_contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>from</strong> - Key to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>to</strong> - Output key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>to</strong> - Output key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function copies the contents of <em>from</em> to <em>to</em> . Use <a class="reference internal" href="krb5_free_keyblock_contents.html#c.krb5_free_keyblock_contents" title="krb5_free_keyblock_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock_contents()</span></code></a> to free <em>to</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function copies the contents of <em>from</em> to <em>to</em> . Use krb5_free_keyblock_contents() to free <em>to</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_keyblock_contents -  Copy the contents of a keyblock.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_principal.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_principal.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_principal.html	2023-08-14 16:18:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_principal.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_principal - Copy a principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_copy_ticket - Copy a krb5_ticket structure." href="krb5_copy_ticket.html" />
     <link rel="prev" title="krb5_copy_keyblock_contents - Copy the contents of a keyblock." href="krb5_copy_keyblock_contents.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-principal-copy-a-principal">
+  <section id="krb5-copy-principal-copy-a-principal">
 <h1>krb5_copy_principal -  Copy a principal.<a class="headerlink" href="#krb5-copy-principal-copy-a-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_principal">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_principal</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;inprinc</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;outprinc</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_principal">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_principal</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">inprinc</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outprinc</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>inprinc</strong> - Principal to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>outprinc</strong> - Copy of <em>inprinc</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>outprinc</strong> - Copy of <em>inprinc</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new principal structure with the contents of <em>inprinc</em> . Use <a class="reference internal" href="krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a> to free <em>outprinc</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a new principal structure with the contents of <em>inprinc</em> . Use krb5_free_principal() to free <em>outprinc</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_principal -  Copy a principal.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_ticket.html 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_ticket.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_copy_ticket.html	2023-08-14 16:18:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_copy_ticket.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_copy_ticket - Copy a krb5_ticket structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_find_authdata - Find authorization data elements." href="krb5_find_authdata.html" />
     <link rel="prev" title="krb5_copy_principal - Copy a principal." href="krb5_copy_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-copy-ticket-copy-a-krb5-ticket-structure">
+  <section id="krb5-copy-ticket-copy-a-krb5-ticket-structure">
 <h1>krb5_copy_ticket -  Copy a krb5_ticket structure.<a class="headerlink" href="#krb5-copy-ticket-copy-a-krb5-ticket-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_copy_ticket">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_copy_ticket</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a> *<em>&nbsp;from</em>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a> **<em>&nbsp;pto</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_copy_ticket">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_copy_ticket</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">from</span></span>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pto</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_copy_ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>from</strong> - Ticket to be copied</p>
-<p class="last"><strong>[out]</strong> <strong>pto</strong> - Copy of ticket</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>pto</strong> - Copy of ticket</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new krb5_ticket structure containing the contents of <em>from</em> . Use <a class="reference internal" href="krb5_free_ticket.html#c.krb5_free_ticket" title="krb5_free_ticket"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_ticket()</span></code></a> to free <em>pto</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a new krb5_ticket structure containing the contents of <em>from</em> . Use krb5_free_ticket() to free <em>pto</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_copy_ticket -  Copy a krb5_ticket structure.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_decode_authdata_container.html 1.21.3-1/doc/html/appdev/refs/api/krb5_decode_authdata_container.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_decode_authdata_container.html	2023-08-14 16:18:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_decode_authdata_container.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_decode_authdata_container - Unwrap authorization data. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_decode_ticket - Decode an ASN.1-formatted ticket." href="krb5_decode_ticket.html" />
     <link rel="prev" title="krb5_cksumtype_to_string - Convert a checksum type to a string." href="krb5_cksumtype_to_string.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-decode-authdata-container-unwrap-authorization-data">
+  <section id="krb5-decode-authdata-container-unwrap-authorization-data">
 <h1>krb5_decode_authdata_container -  Unwrap authorization data.<a class="headerlink" href="#krb5-decode-authdata-container-unwrap-authorization-data" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_decode_authdata_container">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_decode_authdata_container</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_authdatatype.html#c.krb5_authdatatype" title="krb5_authdatatype">krb5_authdatatype</a><em>&nbsp;type</em>, const <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> *<em>&nbsp;container</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> ***<em>&nbsp;authdata</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_decode_authdata_container" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_decode_authdata_container">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_decode_authdata_container</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_authdatatype.html#c.krb5_authdatatype" title="krb5_authdatatype"><span class="n"><span class="pre">krb5_authdatatype</span></span></a><span class="w"> </span><span class="n"><span class="pre">type</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">container</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">authdata</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_decode_authdata_container" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p><strong>[in]</strong> <strong>type</strong> - <code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTHDATA</span></code> type of <em>container</em></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>type</strong> - Container type (see KRB5_AUTHDATA macros)</p>
 <p><strong>[in]</strong> <strong>container</strong> - Authorization data to be decoded</p>
-<p class="last"><strong>[out]</strong> <strong>authdata</strong> - List of decoded authorization data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>authdata</strong> - List of decoded authorization data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_encode_authdata_container.html#c.krb5_encode_authdata_container" title="krb5_encode_authdata_container"><code class="xref c c-func docutils literal"><span class="pre">krb5_encode_authdata_container()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_encode_authdata_container()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_decode_authdata_container -  Unwrap authorization data.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_decode_ticket.html 1.21.3-1/doc/html/appdev/refs/api/krb5_decode_ticket.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_decode_ticket.html	2023-08-14 16:18:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_decode_ticket.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_decode_ticket - Decode an ASN.1-formatted ticket. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_deltat_to_string - Convert a relative time value to a string." href="krb5_deltat_to_string.html" />
     <link rel="prev" title="krb5_decode_authdata_container - Unwrap authorization data." href="krb5_decode_authdata_container.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-decode-ticket-decode-an-asn-1-formatted-ticket">
+  <section id="krb5-decode-ticket-decode-an-asn-1-formatted-ticket">
 <h1>krb5_decode_ticket -  Decode an ASN.1-formatted ticket.<a class="headerlink" href="#krb5-decode-ticket-decode-an-asn-1-formatted-ticket" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_decode_ticket">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_decode_ticket</code><span class="sig-paren">(</span>const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;code</em>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a> **<em>&nbsp;rep</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_decode_ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_decode_ticket">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_decode_ticket</span></span></span><span class="sig-paren">(</span><span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">code</span></span>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rep</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_decode_ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>code</strong> - ASN.1-formatted ticket</p>
-<p class="last"><strong>[out]</strong> <strong>rep</strong> - Decoded ticket information</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>code</strong> - ASN.1-formatted ticket</p>
+<p><strong>[out]</strong> <strong>rep</strong> - Decoded ticket information</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_decode_ticket -  Decode an ASN.1-formatted ticket.</a></li>
@@ -140,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_decrypt.html 1.21.3-1/doc/html/appdev/refs/api/krb5_decrypt.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_decrypt.html	2023-08-14 16:18:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_decrypt.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_decrypt &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_eblock_enctype" href="krb5_eblock_enctype.html" />
     <link rel="prev" title="krb5_encrypt" href="krb5_encrypt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,36 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-decrypt">
+  <section id="krb5-decrypt">
 <h1>krb5_decrypt<a class="headerlink" href="#krb5-decrypt" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_decrypt">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_decrypt</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer">krb5_const_pointer</a><em>&nbsp;inptr</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a><em>&nbsp;outptr</em>, size_t<em>&nbsp;size</em>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a><em>&nbsp;ivec</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_decrypt" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_decrypt">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_decrypt</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer"><span class="n"><span class="pre">krb5_const_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">inptr</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">outptr</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">size</span></span>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">ivec</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_decrypt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>inptr</strong></p>
 <p><strong>outptr</strong></p>
 <p><strong>size</strong></p>
 <p><strong>eblock</strong></p>
-<p class="last"><strong>ivec</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>ivec</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_decrypt</a></li>
@@ -134,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -141,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_deltat_to_string.html 1.21.3-1/doc/html/appdev/refs/api/krb5_deltat_to_string.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_deltat_to_string.html	2023-08-14 16:18:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_deltat_to_string.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_deltat_to_string - Convert a relative time value to a string. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_encode_authdata_container - Wrap authorization data in a container." href="krb5_encode_authdata_container.html" />
     <link rel="prev" title="krb5_decode_ticket - Decode an ASN.1-formatted ticket." href="krb5_decode_ticket.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-deltat-to-string-convert-a-relative-time-value-to-a-string">
+  <section id="krb5-deltat-to-string-convert-a-relative-time-value-to-a-string">
 <h1>krb5_deltat_to_string -  Convert a relative time value to a string.<a class="headerlink" href="#krb5-deltat-to-string-convert-a-relative-time-value-to-a-string" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_deltat_to_string">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_deltat_to_string</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat">krb5_deltat</a><em>&nbsp;deltat</em>, char *<em>&nbsp;buffer</em>, size_t<em>&nbsp;buflen</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_deltat_to_string" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_deltat_to_string">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_deltat_to_string</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat"><span class="n"><span class="pre">krb5_deltat</span></span></a><span class="w"> </span><span class="n"><span class="pre">deltat</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">buffer</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">buflen</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_deltat_to_string" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>deltat</strong> - Relative time value to convert</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>deltat</strong> - Relative time value to convert</p>
 <p><strong>[out]</strong> <strong>buffer</strong> - Buffer to hold time string</p>
-<p class="last"><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_deltat_to_string -  Convert a relative time value to a string.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_eblock_enctype.html 1.21.3-1/doc/html/appdev/refs/api/krb5_eblock_enctype.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_eblock_enctype.html	2023-08-14 16:18:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_eblock_enctype.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_eblock_enctype &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_encrypt_size" href="krb5_encrypt_size.html" />
     <link rel="prev" title="krb5_decrypt" href="krb5_decrypt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-eblock-enctype">
+  <section id="krb5-eblock-enctype">
 <h1>krb5_eblock_enctype<a class="headerlink" href="#krb5-eblock-enctype" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_eblock_enctype">
-<a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> <code class="descname">krb5_eblock_enctype</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_eblock_enctype" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_eblock_enctype">
+<a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_eblock_enctype</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_eblock_enctype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
-<p class="last"><strong>eblock</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
+<p><strong>eblock</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_eblock_enctype</a></li>
@@ -130,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_encode_authdata_container.html 1.21.3-1/doc/html/appdev/refs/api/krb5_encode_authdata_container.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_encode_authdata_container.html	2023-08-14 16:18:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_encode_authdata_container.html	2024-06-26 20:00:58.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_encode_authdata_container - Wrap authorization data in a container. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_enctype_to_name - Convert an encryption type to a name or alias." href="krb5_enctype_to_name.html" />
     <link rel="prev" title="krb5_deltat_to_string - Convert a relative time value to a string." href="krb5_deltat_to_string.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-encode-authdata-container-wrap-authorization-data-in-a-container">
+  <section id="krb5-encode-authdata-container-wrap-authorization-data-in-a-container">
 <h1>krb5_encode_authdata_container -  Wrap authorization data in a container.<a class="headerlink" href="#krb5-encode-authdata-container-wrap-authorization-data-in-a-container" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_encode_authdata_container">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_encode_authdata_container</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_authdatatype.html#c.krb5_authdatatype" title="krb5_authdatatype">krb5_authdatatype</a><em>&nbsp;type</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> *const *<em>&nbsp;authdata</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> ***<em>&nbsp;container</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_encode_authdata_container" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_encode_authdata_container">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_encode_authdata_container</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_authdatatype.html#c.krb5_authdatatype" title="krb5_authdatatype"><span class="n"><span class="pre">krb5_authdatatype</span></span></a><span class="w"> </span><span class="n"><span class="pre">type</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">authdata</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">container</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_encode_authdata_container" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p><strong>[in]</strong> <strong>type</strong> - <code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTHDATA</span></code> type of <em>container</em></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>type</strong> - Container type (see KRB5_AUTHDATA macros)</p>
 <p><strong>[in]</strong> <strong>authdata</strong> - List of authorization data to be encoded</p>
-<p class="last"><strong>[out]</strong> <strong>container</strong> - List of encoded authorization data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>container</strong> - List of encoded authorization data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>The result is returned in <em>container</em> as a single-element list.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_decode_authdata_container.html#c.krb5_decode_authdata_container" title="krb5_decode_authdata_container"><code class="xref c c-func docutils literal"><span class="pre">krb5_decode_authdata_container()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_decode_authdata_container()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_encode_authdata_container -  Wrap authorization data in a container.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_encrypt.html 1.21.3-1/doc/html/appdev/refs/api/krb5_encrypt.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_encrypt.html	2023-08-14 16:18:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_encrypt.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_encrypt &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_decrypt" href="krb5_decrypt.html" />
     <link rel="prev" title="krb5_checksum_size" href="krb5_checksum_size.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,36 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-encrypt">
+  <section id="krb5-encrypt">
 <h1>krb5_encrypt<a class="headerlink" href="#krb5-encrypt" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_encrypt">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_encrypt</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer">krb5_const_pointer</a><em>&nbsp;inptr</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a><em>&nbsp;outptr</em>, size_t<em>&nbsp;size</em>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a><em>&nbsp;ivec</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_encrypt" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_encrypt">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_encrypt</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer"><span class="n"><span class="pre">krb5_const_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">inptr</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">outptr</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">size</span></span>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">ivec</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_encrypt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>inptr</strong></p>
 <p><strong>outptr</strong></p>
 <p><strong>size</strong></p>
 <p><strong>eblock</strong></p>
-<p class="last"><strong>ivec</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>ivec</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_encrypt</a></li>
@@ -134,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -141,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_encrypt_size.html 1.21.3-1/doc/html/appdev/refs/api/krb5_encrypt_size.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_encrypt_size.html	2023-08-14 16:18:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_encrypt_size.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_encrypt_size &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_finish_key" href="krb5_finish_key.html" />
     <link rel="prev" title="krb5_eblock_enctype" href="krb5_eblock_enctype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-encrypt-size">
+  <section id="krb5-encrypt-size">
 <h1>krb5_encrypt_size<a class="headerlink" href="#krb5-encrypt-size" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_encrypt_size">
-size_t <code class="descname">krb5_encrypt_size</code><span class="sig-paren">(</span>size_t<em>&nbsp;length</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;crypto</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_encrypt_size" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_encrypt_size">
+<span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_encrypt_size</span></span></span><span class="sig-paren">(</span><span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">length</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">crypto</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_encrypt_size" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>length</strong></p>
-<p class="last"><strong>crypto</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>length</strong></p>
+<p><strong>crypto</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_encrypt_size</a></li>
@@ -130,6 +119,7 @@ size_t <code class="descname">krb5_encry
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ size_t <code class="descname">krb5_encry
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_enctype_to_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_enctype_to_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_enctype_to_name.html	2023-08-14 16:18:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_enctype_to_name.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_enctype_to_name - Convert an encryption type to a name or alias. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_enctype_to_string - Convert an encryption type to a string." href="krb5_enctype_to_string.html" />
     <link rel="prev" title="krb5_encode_authdata_container - Wrap authorization data in a container." href="krb5_encode_authdata_container.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-enctype-to-name-convert-an-encryption-type-to-a-name-or-alias">
+  <section id="krb5-enctype-to-name-convert-an-encryption-type-to-a-name-or-alias">
 <h1>krb5_enctype_to_name -  Convert an encryption type to a name or alias.<a class="headerlink" href="#krb5-enctype-to-name-convert-an-encryption-type-to-a-name-or-alias" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_enctype_to_name">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_enctype_to_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a><em>&nbsp;shortest</em>, char *<em>&nbsp;buffer</em>, size_t<em>&nbsp;buflen</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_enctype_to_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_enctype_to_name">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_enctype_to_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="n"><span class="pre">shortest</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">buffer</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">buflen</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_enctype_to_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[in]</strong> <strong>shortest</strong> - Flag</p>
 <p><strong>[out]</strong> <strong>buffer</strong> - Buffer to hold encryption type string</p>
-<p class="last"><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>If <em>shortest</em> is FALSE, this function returns the enctype’s canonical name (like”aes128-cts-hmac-sha1-96”). If <em>shortest</em> is TRUE, it return the enctype’s shortest alias (like”aes128-cts”).</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_enctype_to_name -  Convert an encryption type to a name or alias.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_enctype_to_string.html 1.21.3-1/doc/html/appdev/refs/api/krb5_enctype_to_string.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_enctype_to_string.html	2023-08-14 16:18:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_enctype_to_string.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_enctype_to_string - Convert an encryption type to a string. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_checksum - Free a krb5_checksum structure." href="krb5_free_checksum.html" />
     <link rel="prev" title="krb5_enctype_to_name - Convert an encryption type to a name or alias." href="krb5_enctype_to_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-enctype-to-string-convert-an-encryption-type-to-a-string">
+  <section id="krb5-enctype-to-string-convert-an-encryption-type-to-a-string">
 <h1>krb5_enctype_to_string -  Convert an encryption type to a string.<a class="headerlink" href="#krb5-enctype-to-string-convert-an-encryption-type-to-a-string" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_enctype_to_string">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_enctype_to_string</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, char *<em>&nbsp;buffer</em>, size_t<em>&nbsp;buflen</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_enctype_to_string" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_enctype_to_string">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_enctype_to_string</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">buffer</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">buflen</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_enctype_to_string" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[out]</strong> <strong>buffer</strong> - Buffer to hold encryption type string</p>
-<p class="last"><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_enctype_to_string -  Convert an encryption type to a string.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_expand_hostname.html 1.21.3-1/doc/html/appdev/refs/api/krb5_expand_hostname.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_expand_hostname.html	2023-08-14 16:18:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_expand_hostname.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_expand_hostname - Canonicalize a hostname, possibly using name service. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_context - Free a krb5 library context." href="krb5_free_context.html" />
     <link rel="prev" title="krb5_chpw_message - Get a result message for changing or setting a password." href="krb5_chpw_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-expand-hostname-canonicalize-a-hostname-possibly-using-name-service">
+  <section id="krb5-expand-hostname-canonicalize-a-hostname-possibly-using-name-service">
 <h1>krb5_expand_hostname -  Canonicalize a hostname, possibly using name service.<a class="headerlink" href="#krb5-expand-hostname-canonicalize-a-hostname-possibly-using-name-service" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_expand_hostname">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_expand_hostname</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;host</em>, char **<em>&nbsp;canonhost_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_expand_hostname" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_expand_hostname">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_expand_hostname</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">host</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">canonhost_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_expand_hostname" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>host</strong> - Input hostname</p>
-<p class="last"><strong>[out]</strong> <strong>canonhost_out</strong> - Canonicalized hostname</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function canonicalizes orig_hostname, possibly using name service lookups if configuration permits. Use <a class="reference internal" href="krb5_free_string.html#c.krb5_free_string" title="krb5_free_string"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_string()</span></code></a> to free <em>canonhost_out</em> when it is no longer needed.</p>
+<p><strong>[out]</strong> <strong>canonhost_out</strong> - Canonicalized hostname</p>
+</dd>
+</dl>
+<p>This function canonicalizes orig_hostname, possibly using name service lookups if configuration permits. Use krb5_free_string() to free <em>canonhost_out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.15</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.15</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_expand_hostname -  Canonicalize a hostname, possibly using name service.</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_find_authdata.html 1.21.3-1/doc/html/appdev/refs/api/krb5_find_authdata.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_find_authdata.html	2023-08-14 16:18:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_find_authdata.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_find_authdata - Find authorization data elements. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_addresses - Free the data stored in array of addresses." href="krb5_free_addresses.html" />
     <link rel="prev" title="krb5_copy_ticket - Copy a krb5_ticket structure." href="krb5_copy_ticket.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,39 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-find-authdata-find-authorization-data-elements">
+  <section id="krb5-find-authdata-find-authorization-data-elements">
 <h1>krb5_find_authdata -  Find authorization data elements.<a class="headerlink" href="#krb5-find-authdata-find-authorization-data-elements" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_find_authdata">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_find_authdata</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> *const *<em>&nbsp;ticket_authdata</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> *const *<em>&nbsp;ap_req_authdata</em>, <a class="reference internal" href="../types/krb5_authdatatype.html#c.krb5_authdatatype" title="krb5_authdatatype">krb5_authdatatype</a><em>&nbsp;ad_type</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> ***<em>&nbsp;results</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_find_authdata" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_find_authdata">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_find_authdata</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ticket_authdata</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ap_req_authdata</span></span>, <a class="reference internal" href="../types/krb5_authdatatype.html#c.krb5_authdatatype" title="krb5_authdatatype"><span class="n"><span class="pre">krb5_authdatatype</span></span></a><span class="w"> </span><span class="n"><span class="pre">ad_type</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">results</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_find_authdata" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ticket_authdata</strong> - Authorization data list from ticket</p>
 <p><strong>[in]</strong> <strong>ap_req_authdata</strong> - Authorization data list from AP request</p>
 <p><strong>[in]</strong> <strong>ad_type</strong> - Authorization data type to find</p>
-<p class="last"><strong>[out]</strong> <strong>results</strong> - List of matching entries</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function searches <em>ticket_authdata</em> and <em>ap_req_authdata</em> for elements of type <em>ad_type</em> . Either input list may be NULL, in which case it will not be searched; otherwise, the input lists must be terminated by NULL entries. This function will search inside AD-IF-RELEVANT containers if found in either list. Use <a class="reference internal" href="krb5_free_authdata.html#c.krb5_free_authdata" title="krb5_free_authdata"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_authdata()</span></code></a> to free <em>results</em> when it is no longer needed.</p>
+<p><strong>[out]</strong> <strong>results</strong> - List of matching entries</p>
+</dd>
+</dl>
+<p>This function searches <em>ticket_authdata</em> and <em>ap_req_authdata</em> for elements of type <em>ad_type</em> . Either input list may be NULL, in which case it will not be searched; otherwise, the input lists must be terminated by NULL entries. This function will search inside AD-IF-RELEVANT containers if found in either list. Use krb5_free_authdata() to free <em>results</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.10</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.10</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_find_authdata -  Find authorization data elements.</a></li>
@@ -137,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -144,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_finish_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_finish_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_finish_key.html	2023-08-14 16:18:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_finish_key.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_finish_key &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_finish_random_key" href="krb5_finish_random_key.html" />
     <link rel="prev" title="krb5_encrypt_size" href="krb5_encrypt_size.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-finish-key">
+  <section id="krb5-finish-key">
 <h1>krb5_finish_key<a class="headerlink" href="#krb5-finish-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_finish_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_finish_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_finish_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_finish_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_finish_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_finish_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
-<p class="last"><strong>eblock</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
+<p><strong>eblock</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_finish_key</a></li>
@@ -130,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_finish_random_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_finish_random_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_finish_random_key.html	2023-08-14 16:18:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_finish_random_key.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_finish_random_key &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_gen_new" href="krb5_cc_gen_new.html" />
     <link rel="prev" title="krb5_finish_key" href="krb5_finish_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-finish-random-key">
+  <section id="krb5-finish-random-key">
 <h1>krb5_finish_random_key<a class="headerlink" href="#krb5-finish-random-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_finish_random_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_finish_random_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a> *<em>&nbsp;ptr</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_finish_random_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_finish_random_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_finish_random_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ptr</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_finish_random_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>eblock</strong></p>
-<p class="last"><strong>ptr</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>ptr</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_finish_random_key</a></li>
@@ -131,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_addresses.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_addresses.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_addresses.html	2023-08-14 16:18:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_addresses.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_addresses - Free the data stored in array of addresses. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_ap_rep_enc_part - Free a krb5_ap_rep_enc_part structure." href="krb5_free_ap_rep_enc_part.html" />
     <link rel="prev" title="krb5_find_authdata - Find authorization data elements." href="krb5_find_authdata.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,36 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-addresses-free-the-data-stored-in-array-of-addresses">
+  <section id="krb5-free-addresses-free-the-data-stored-in-array-of-addresses">
 <h1>krb5_free_addresses -  Free the data stored in array of addresses.<a class="headerlink" href="#krb5-free-addresses-free-the-data-stored-in-array-of-addresses" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_addresses">
-void <code class="descname">krb5_free_addresses</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> **<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_addresses" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_addresses">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_addresses</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_addresses" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Array of addresses to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Array of addresses to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the array itself.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The last entry in the array must be a NULL pointer.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The last entry in the array must be a NULL pointer.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_addresses -  Free the data stored in array of addresses.</a></li>
@@ -134,6 +123,7 @@ void <code class="descname">krb5_free_ad
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -141,8 +131,8 @@ void <code class="descname">krb5_free_ad
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_ap_rep_enc_part.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_ap_rep_enc_part.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_ap_rep_enc_part.html	2023-08-14 16:18:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_ap_rep_enc_part.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_ap_rep_enc_part - Free a krb5_ap_rep_enc_part structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_authdata - Free the storage assigned to array of authentication data." href="krb5_free_authdata.html" />
     <link rel="prev" title="krb5_free_addresses - Free the data stored in array of addresses." href="krb5_free_addresses.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-ap-rep-enc-part-free-a-krb5-ap-rep-enc-part-structure">
+  <section id="krb5-free-ap-rep-enc-part-free-a-krb5-ap-rep-enc-part-structure">
 <h1>krb5_free_ap_rep_enc_part -  Free a krb5_ap_rep_enc_part structure.<a class="headerlink" href="#krb5-free-ap-rep-enc-part-free-a-krb5-ap-rep-enc-part-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_ap_rep_enc_part">
-void <code class="descname">krb5_free_ap_rep_enc_part</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ap_rep_enc_part.html#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part">krb5_ap_rep_enc_part</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_ap_rep_enc_part" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_ap_rep_enc_part">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_ap_rep_enc_part</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ap_rep_enc_part.html#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part"><span class="n"><span class="pre">krb5_ap_rep_enc_part</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_ap_rep_enc_part" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - AP-REP enc part to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - AP-REP enc part to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_ap_rep_enc_part -  Free a krb5_ap_rep_enc_part structure.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_ap
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_ap
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_authdata.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_authdata.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_authdata.html	2023-08-14 16:18:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_authdata.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_authdata - Free the storage assigned to array of authentication data. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_authenticator - Free a krb5_authenticator structure." href="krb5_free_authenticator.html" />
     <link rel="prev" title="krb5_free_ap_rep_enc_part - Free a krb5_ap_rep_enc_part structure." href="krb5_free_ap_rep_enc_part.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,36 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-authdata-free-the-storage-assigned-to-array-of-authentication-data">
+  <section id="krb5-free-authdata-free-the-storage-assigned-to-array-of-authentication-data">
 <h1>krb5_free_authdata -  Free the storage assigned to array of authentication data.<a class="headerlink" href="#krb5-free-authdata-free-the-storage-assigned-to-array-of-authentication-data" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_authdata">
-void <code class="descname">krb5_free_authdata</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> **<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_authdata" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_authdata">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_authdata</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_authdata" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Array of authentication data to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Array of authentication data to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the array itself.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The last entry in the array must be a NULL pointer.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The last entry in the array must be a NULL pointer.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_authdata -  Free the storage assigned to array of authentication data.</a></li>
@@ -134,6 +123,7 @@ void <code class="descname">krb5_free_au
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -141,8 +131,8 @@ void <code class="descname">krb5_free_au
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_authenticator.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_authenticator.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_authenticator.html	2023-08-14 16:18:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_authenticator.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_authenticator - Free a krb5_authenticator structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_cred_contents - Free the contents of a krb5_creds structure." href="krb5_free_cred_contents.html" />
     <link rel="prev" title="krb5_free_authdata - Free the storage assigned to array of authentication data." href="krb5_free_authdata.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-authenticator-free-a-krb5-authenticator-structure">
+  <section id="krb5-free-authenticator-free-a-krb5-authenticator-structure">
 <h1>krb5_free_authenticator -  Free a krb5_authenticator structure.<a class="headerlink" href="#krb5-free-authenticator-free-a-krb5-authenticator-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_authenticator">
-void <code class="descname">krb5_free_authenticator</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator">krb5_authenticator</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_authenticator" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_authenticator">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_authenticator</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_authenticator" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Authenticator structure to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Authenticator structure to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_authenticator -  Free a krb5_authenticator structure.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_au
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_au
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_checksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_checksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_checksum.html	2023-08-14 16:18:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_checksum.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_checksum - Free a krb5_checksum structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_checksum_contents - Free the contents of a krb5_checksum structure." href="krb5_free_checksum_contents.html" />
     <link rel="prev" title="krb5_enctype_to_string - Convert an encryption type to a string." href="krb5_enctype_to_string.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-checksum-free-a-krb5-checksum-structure">
+  <section id="krb5-free-checksum-free-a-krb5-checksum-structure">
 <h1>krb5_free_checksum -  Free a krb5_checksum structure.<a class="headerlink" href="#krb5-free-checksum-free-a-krb5-checksum-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_checksum">
-void <code class="descname">krb5_free_checksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_checksum">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_checksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Checksum structure to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Checksum structure to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_checksum -  Free a krb5_checksum structure.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_ch
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_ch
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_checksum_contents.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_checksum_contents.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_checksum_contents.html	2023-08-14 16:18:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_checksum_contents.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_checksum_contents - Free the contents of a krb5_checksum structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_cksumtypes - Free an array of checksum types." href="krb5_free_cksumtypes.html" />
     <link rel="prev" title="krb5_free_checksum - Free a krb5_checksum structure." href="krb5_free_checksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-checksum-contents-free-the-contents-of-a-krb5-checksum-structure">
+  <section id="krb5-free-checksum-contents-free-the-contents-of-a-krb5-checksum-structure">
 <h1>krb5_free_checksum_contents -  Free the contents of a krb5_checksum structure.<a class="headerlink" href="#krb5-free-checksum-contents-free-the-contents-of-a-krb5-checksum-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_checksum_contents">
-void <code class="descname">krb5_free_checksum_contents</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_checksum_contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_checksum_contents">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_checksum_contents</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_checksum_contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Checksum structure to free contents of</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Checksum structure to free contents of</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> , but not the structure itself. It sets the checksum’s data pointer to null and (beginning in release 1.19) sets its length to zero.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_checksum_contents -  Free the contents of a krb5_checksum structure.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_ch
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_ch
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_cksumtypes.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_cksumtypes.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_cksumtypes.html	2023-08-14 16:18:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_cksumtypes.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_cksumtypes - Free an array of checksum types. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_tgt_creds - Free an array of credential structures." href="krb5_free_tgt_creds.html" />
     <link rel="prev" title="krb5_free_checksum_contents - Free the contents of a krb5_checksum structure." href="krb5_free_checksum_contents.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-cksumtypes-free-an-array-of-checksum-types">
+  <section id="krb5-free-cksumtypes-free-an-array-of-checksum-types">
 <h1>krb5_free_cksumtypes -  Free an array of checksum types.<a class="headerlink" href="#krb5-free-cksumtypes-free-an-array-of-checksum-types" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_cksumtypes">
-void <code class="descname">krb5_free_cksumtypes</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_cksumtypes" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_cksumtypes">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_cksumtypes</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_cksumtypes" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Array of checksum types to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Array of checksum types to be freed</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_cksumtypes -  Free an array of checksum types.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_free_ck
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_free_ck
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_context.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_context.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_context.html	2023-08-14 16:18:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_context.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_context - Free a krb5 library context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
-    <link rel="next" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message() ." href="krb5_free_error_message.html" />
+    <link rel="next" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message()." href="krb5_free_error_message.html" />
     <link rel="prev" title="krb5_expand_hostname - Canonicalize a hostname, possibly using name service." href="krb5_expand_hostname.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -42,7 +33,7 @@
             accesskey="C">Contents</a> |
         <a href="krb5_expand_hostname.html" title="krb5_expand_hostname - Canonicalize a hostname, possibly using name service."
             accesskey="P">previous</a> |
-        <a href="krb5_free_error_message.html" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message() ."
+        <a href="krb5_free_error_message.html" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message()."
             accesskey="N">next</a> |
         <a href="../../../genindex.html" title="General Index"
             accesskey="I">index</a> |
@@ -61,30 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-context-free-a-krb5-library-context">
+  <section id="krb5-free-context-free-a-krb5-library-context">
 <h1>krb5_free_context -  Free a krb5 library context.<a class="headerlink" href="#krb5-free-context-free-a-krb5-library-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_context">
-void <code class="descname">krb5_free_context</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_context" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_context">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_context</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_context" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>context</strong> - Library context</td>
-</tr>
-</tbody>
-</table>
-<p>This function frees a <em>context</em> that was created by <a class="reference internal" href="krb5_init_context.html#c.krb5_init_context" title="krb5_init_context"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_context()</span></code></a> or <a class="reference internal" href="krb5_init_secure_context.html#c.krb5_init_secure_context" title="krb5_init_secure_context"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_secure_context()</span></code></a> .</p>
-</div>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+</dd>
+</dl>
+<p>This function frees a <em>context</em> that was created by krb5_init_context() or krb5_init_secure_context().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_context -  Free a krb5 library context.</a></li>
@@ -128,6 +118,7 @@ void <code class="descname">krb5_free_co
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -135,8 +126,8 @@ void <code class="descname">krb5_free_co
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -144,7 +135,7 @@ void <code class="descname">krb5_free_co
             >Contents</a> |
         <a href="krb5_expand_hostname.html" title="krb5_expand_hostname - Canonicalize a hostname, possibly using name service."
             >previous</a> |
-        <a href="krb5_free_error_message.html" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message() ."
+        <a href="krb5_free_error_message.html" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message()."
             >next</a> |
         <a href="../../../genindex.html" title="General Index"
             >index</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_cred_contents.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_cred_contents.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_cred_contents.html	2023-08-14 16:18:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_cred_contents.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_cred_contents - Free the contents of a krb5_creds structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_creds - Free a krb5_creds structure." href="krb5_free_creds.html" />
     <link rel="prev" title="krb5_free_authenticator - Free a krb5_authenticator structure." href="krb5_free_authenticator.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-cred-contents-free-the-contents-of-a-krb5-creds-structure">
+  <section id="krb5-free-cred-contents-free-the-contents-of-a-krb5-creds-structure">
 <h1>krb5_free_cred_contents -  Free the contents of a krb5_creds structure.<a class="headerlink" href="#krb5-free-cred-contents-free-the-contents-of-a-krb5-creds-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_cred_contents">
-void <code class="descname">krb5_free_cred_contents</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_cred_contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_cred_contents">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_cred_contents</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_cred_contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Credential structure to free contents of</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Credential structure to free contents of</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> , but not the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_cred_contents -  Free the contents of a krb5_creds structure.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_cr
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_cr
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_creds.html	2023-08-14 16:18:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_creds.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_creds - Free a krb5_creds structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_data - Free a krb5_data structure." href="krb5_free_data.html" />
     <link rel="prev" title="krb5_free_cred_contents - Free the contents of a krb5_creds structure." href="krb5_free_cred_contents.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-creds-free-a-krb5-creds-structure">
+  <section id="krb5-free-creds-free-a-krb5-creds-structure">
 <h1>krb5_free_creds -  Free a krb5_creds structure.<a class="headerlink" href="#krb5-free-creds-free-a-krb5-creds-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_creds">
-void <code class="descname">krb5_free_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_creds">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Credential structure to be freed.</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Credential structure to be freed.</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_creds -  Free a krb5_creds structure.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_cr
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_cr
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_data.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_data.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_data.html	2023-08-14 16:18:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_data.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_data - Free a krb5_data structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_data_contents - Free the contents of a krb5_data structure and zero the data field." href="krb5_free_data_contents.html" />
     <link rel="prev" title="krb5_free_creds - Free a krb5_creds structure." href="krb5_free_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-data-free-a-krb5-data-structure">
+  <section id="krb5-free-data-free-a-krb5-data-structure">
 <h1>krb5_free_data -  Free a krb5_data structure.<a class="headerlink" href="#krb5-free-data-free-a-krb5-data-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_data">
-void <code class="descname">krb5_free_data</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_data">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_data</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Data structure to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Data structure to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_data -  Free a krb5_data structure.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_da
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_da
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_data_contents.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_data_contents.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_data_contents.html	2023-08-14 16:18:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_data_contents.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_data_contents - Free the contents of a krb5_data structure and zero the data field. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
-    <link rel="next" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm() ." href="krb5_free_default_realm.html" />
+    <link rel="next" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm()." href="krb5_free_default_realm.html" />
     <link rel="prev" title="krb5_free_data - Free a krb5_data structure." href="krb5_free_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -42,7 +33,7 @@
             accesskey="C">Contents</a> |
         <a href="krb5_free_data.html" title="krb5_free_data - Free a krb5_data structure."
             accesskey="P">previous</a> |
-        <a href="krb5_free_default_realm.html" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm() ."
+        <a href="krb5_free_default_realm.html" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm()."
             accesskey="N">next</a> |
         <a href="../../../genindex.html" title="General Index"
             accesskey="I">index</a> |
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-data-contents-free-the-contents-of-a-krb5-data-structure-and-zero-the-data-field">
+  <section id="krb5-free-data-contents-free-the-contents-of-a-krb5-data-structure-and-zero-the-data-field">
 <h1>krb5_free_data_contents -  Free the contents of a krb5_data structure and zero the data field.<a class="headerlink" href="#krb5-free-data-contents-free-the-contents-of-a-krb5-data-structure-and-zero-the-data-field" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_data_contents">
-void <code class="descname">krb5_free_data_contents</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_data_contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_data_contents">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_data_contents</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_data_contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Data structure to free contents of</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Data structure to free contents of</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> , but not the structure itself. It sets the structure’s data pointer to null and (beginning in release 1.19) sets its length to zero.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_data_contents -  Free the contents of a krb5_data structure and zero the data field.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_da
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_da
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -146,7 +136,7 @@ void <code class="descname">krb5_free_da
             >Contents</a> |
         <a href="krb5_free_data.html" title="krb5_free_data - Free a krb5_data structure."
             >previous</a> |
-        <a href="krb5_free_default_realm.html" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm() ."
+        <a href="krb5_free_default_realm.html" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm()."
             >next</a> |
         <a href="../../../genindex.html" title="General Index"
             >index</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_default_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_default_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_default_realm.html	2023-08-14 16:18:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_default_realm.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <title>krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm() . &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
+    <title>krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm(). &#8212; MIT Kerberos Documentation</title>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_enctypes - Free an array of encryption types." href="krb5_free_enctypes.html" />
     <link rel="prev" title="krb5_free_data_contents - Free the contents of a krb5_data structure and zero the data field." href="krb5_free_data_contents.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -48,7 +39,7 @@
             accesskey="I">index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             accesskey="S">Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm().">feedback</a>
             </div>
         </div>
     </div>
@@ -61,34 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-default-realm-free-a-default-realm-string-returned-by-krb5-get-default-realm">
-<h1>krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm() .<a class="headerlink" href="#krb5-free-default-realm-free-a-default-realm-string-returned-by-krb5-get-default-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_default_realm">
-void <code class="descname">krb5_free_default_realm</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, char *<em>&nbsp;lrealm</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_default_realm" title="Permalink to this definition">¶</a></dt>
+  <section id="krb5-free-default-realm-free-a-default-realm-string-returned-by-krb5-get-default-realm">
+<h1>krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm().<a class="headerlink" href="#krb5-free-default-realm-free-a-default-realm-string-returned-by-krb5-get-default-realm" title="Permalink to this headline">¶</a></h1>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_default_realm">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_default_realm</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">lrealm</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_default_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>lrealm</strong> - Realm to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>lrealm</strong> - Realm to be freed</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
-<li><a class="reference internal" href="#">krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm() .</a></li>
+<li><a class="reference internal" href="#">krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm().</a></li>
 </ul>
 
     <br/>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_free_de
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_free_de
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -151,7 +141,7 @@ void <code class="descname">krb5_free_de
             >index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             >Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm().">feedback</a>
             </div>
         </div>
     </div>
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_enctypes.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_enctypes.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_enctypes.html	2023-08-14 16:18:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_enctypes.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_enctypes - Free an array of encryption types. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
-    <link rel="next" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth() ." href="krb5_free_error.html" />
-    <link rel="prev" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm() ." href="krb5_free_default_realm.html" /> 
-  </head>
-  <body>
+    <link rel="next" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth()." href="krb5_free_error.html" />
+    <link rel="prev" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm()." href="krb5_free_default_realm.html" /> 
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -40,9 +31,9 @@
                 
         <a href="../../../index.html" title="Full Table of Contents"
             accesskey="C">Contents</a> |
-        <a href="krb5_free_default_realm.html" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm() ."
+        <a href="krb5_free_default_realm.html" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm()."
             accesskey="P">previous</a> |
-        <a href="krb5_free_error.html" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth() ."
+        <a href="krb5_free_error.html" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth()."
             accesskey="N">next</a> |
         <a href="../../../genindex.html" title="General Index"
             accesskey="I">index</a> |
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-enctypes-free-an-array-of-encryption-types">
+  <section id="krb5-free-enctypes-free-an-array-of-encryption-types">
 <h1>krb5_free_enctypes -  Free an array of encryption types.<a class="headerlink" href="#krb5-free-enctypes-free-an-array-of-encryption-types" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_enctypes">
-void <code class="descname">krb5_free_enctypes</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_enctypes" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_enctypes">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_enctypes</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_enctypes" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Array of enctypes to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Array of enctypes to be freed</p>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.12</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.12</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_enctypes -  Free an array of encryption types.</a></li>
@@ -133,6 +122,7 @@ void <code class="descname">krb5_free_en
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,16 +130,16 @@ void <code class="descname">krb5_free_en
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
         <a href="../../../index.html" title="Full Table of Contents"
             >Contents</a> |
-        <a href="krb5_free_default_realm.html" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm() ."
+        <a href="krb5_free_default_realm.html" title="krb5_free_default_realm - Free a default realm string returned by krb5_get_default_realm()."
             >previous</a> |
-        <a href="krb5_free_error.html" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth() ."
+        <a href="krb5_free_error.html" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth()."
             >next</a> |
         <a href="../../../genindex.html" title="General Index"
             >index</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_error.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_error.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_error.html	2023-08-14 16:18:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_error.html	2024-06-26 20:00:59.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <title>krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth() . &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
+    <title>krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth(). &#8212; MIT Kerberos Documentation</title>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
-    <link rel="next" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm() ." href="krb5_free_host_realm.html" />
+    <link rel="next" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm()." href="krb5_free_host_realm.html" />
     <link rel="prev" title="krb5_free_enctypes - Free an array of encryption types." href="krb5_free_enctypes.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -42,13 +33,13 @@
             accesskey="C">Contents</a> |
         <a href="krb5_free_enctypes.html" title="krb5_free_enctypes - Free an array of encryption types."
             accesskey="P">previous</a> |
-        <a href="krb5_free_host_realm.html" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm() ."
+        <a href="krb5_free_host_realm.html" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm()."
             accesskey="N">next</a> |
         <a href="../../../genindex.html" title="General Index"
             accesskey="I">index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             accesskey="S">Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth().">feedback</a>
             </div>
         </div>
     </div>
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-error-free-an-error-allocated-by-krb5-read-error-or-krb5-sendauth">
-<h1>krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth() .<a class="headerlink" href="#krb5-free-error-free-an-error-allocated-by-krb5-read-error-or-krb5-sendauth" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_error">
-void <code class="descname">krb5_free_error</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error">krb5_error</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_error" title="Permalink to this definition">¶</a></dt>
+  <section id="krb5-free-error-free-an-error-allocated-by-krb5-read-error-or-krb5-sendauth">
+<h1>krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth().<a class="headerlink" href="#krb5-free-error-free-an-error-allocated-by-krb5-read-error-or-krb5-sendauth" title="Permalink to this headline">¶</a></h1>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_error">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_error</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_error" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Error data structure to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Error data structure to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
-<li><a class="reference internal" href="#">krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth() .</a></li>
+<li><a class="reference internal" href="#">krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth().</a></li>
 </ul>
 
     <br/>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_er
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_er
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -146,13 +136,13 @@ void <code class="descname">krb5_free_er
             >Contents</a> |
         <a href="krb5_free_enctypes.html" title="krb5_free_enctypes - Free an array of encryption types."
             >previous</a> |
-        <a href="krb5_free_host_realm.html" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm() ."
+        <a href="krb5_free_host_realm.html" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm()."
             >next</a> |
         <a href="../../../genindex.html" title="General Index"
             >index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             >Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth().">feedback</a>
             </div>
         </div>
     </div>
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_error_message.html	2023-08-14 16:18:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_error_message.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <title>krb5_free_error_message - Free an error message generated by krb5_get_error_message() . &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
+    <title>krb5_free_error_message - Free an error message generated by krb5_get_error_message(). &#8212; MIT Kerberos Documentation</title>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_principal - Free the storage assigned to a principal." href="krb5_free_principal.html" />
     <link rel="prev" title="krb5_free_context - Free a krb5 library context." href="krb5_free_context.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -48,7 +39,7 @@
             accesskey="I">index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             accesskey="S">Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_error_message -  Free an error message generated by krb5_get_error_message() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_error_message -  Free an error message generated by krb5_get_error_message().">feedback</a>
             </div>
         </div>
     </div>
@@ -61,34 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-error-message-free-an-error-message-generated-by-krb5-get-error-message">
-<h1>krb5_free_error_message -  Free an error message generated by krb5_get_error_message() .<a class="headerlink" href="#krb5-free-error-message-free-an-error-message-generated-by-krb5-get-error-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_error_message">
-void <code class="descname">krb5_free_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, const char *<em>&nbsp;msg</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_error_message" title="Permalink to this definition">¶</a></dt>
+  <section id="krb5-free-error-message-free-an-error-message-generated-by-krb5-get-error-message">
+<h1>krb5_free_error_message -  Free an error message generated by krb5_get_error_message().<a class="headerlink" href="#krb5-free-error-message-free-an-error-message-generated-by-krb5-get-error-message" title="Permalink to this headline">¶</a></h1>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_error_message">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">msg</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>msg</strong> - Pointer to error message</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>msg</strong> - Pointer to error message</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
-<li><a class="reference internal" href="#">krb5_free_error_message -  Free an error message generated by krb5_get_error_message() .</a></li>
+<li><a class="reference internal" href="#">krb5_free_error_message -  Free an error message generated by krb5_get_error_message().</a></li>
 </ul>
 
     <br/>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_free_er
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_free_er
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -151,7 +141,7 @@ void <code class="descname">krb5_free_er
             >index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             >Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_error_message -  Free an error message generated by krb5_get_error_message() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_error_message -  Free an error message generated by krb5_get_error_message().">feedback</a>
             </div>
         </div>
     </div>
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_host_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_host_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_host_realm.html	2023-08-14 16:18:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_host_realm.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <title>krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm() . &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
+    <title>krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm(). &#8212; MIT Kerberos Documentation</title>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_keyblock - Free a krb5_keyblock structure." href="krb5_free_keyblock.html" />
-    <link rel="prev" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth() ." href="krb5_free_error.html" /> 
-  </head>
-  <body>
+    <link rel="prev" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth()." href="krb5_free_error.html" /> 
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -40,7 +31,7 @@
                 
         <a href="../../../index.html" title="Full Table of Contents"
             accesskey="C">Contents</a> |
-        <a href="krb5_free_error.html" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth() ."
+        <a href="krb5_free_error.html" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth()."
             accesskey="P">previous</a> |
         <a href="krb5_free_keyblock.html" title="krb5_free_keyblock - Free a krb5_keyblock structure."
             accesskey="N">next</a> |
@@ -48,7 +39,7 @@
             accesskey="I">index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             accesskey="S">Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm().">feedback</a>
             </div>
         </div>
     </div>
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-host-realm-free-the-memory-allocated-by-krb5-get-host-realm">
-<h1>krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm() .<a class="headerlink" href="#krb5-free-host-realm-free-the-memory-allocated-by-krb5-get-host-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_host_realm">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_free_host_realm</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, char *const *<em>&nbsp;realmlist</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_host_realm" title="Permalink to this definition">¶</a></dt>
+  <section id="krb5-free-host-realm-free-the-memory-allocated-by-krb5-get-host-realm">
+<h1>krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm().<a class="headerlink" href="#krb5-free-host-realm-free-the-memory-allocated-by-krb5-get-host-realm" title="Permalink to this headline">¶</a></h1>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_host_realm">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_host_realm</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realmlist</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_host_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>realmlist</strong> - List of realm names to be released</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>realmlist</strong> - List of realm names to be released</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
-<li><a class="reference internal" href="#">krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm() .</a></li>
+<li><a class="reference internal" href="#">krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm().</a></li>
 </ul>
 
     <br/>
@@ -145,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,14 +138,14 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
         <a href="../../../index.html" title="Full Table of Contents"
             >Contents</a> |
-        <a href="krb5_free_error.html" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth() ."
+        <a href="krb5_free_error.html" title="krb5_free_error - Free an error allocated by krb5_read_error() or krb5_sendauth()."
             >previous</a> |
         <a href="krb5_free_keyblock.html" title="krb5_free_keyblock - Free a krb5_keyblock structure."
             >next</a> |
@@ -167,7 +153,7 @@
             >index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             >Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm().">feedback</a>
             </div>
         </div>
     </div>
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_keyblock.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_keyblock.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_keyblock.html	2023-08-14 16:18:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_keyblock.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_keyblock - Free a krb5_keyblock structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_keyblock_contents - Free the contents of a krb5_keyblock structure." href="krb5_free_keyblock_contents.html" />
-    <link rel="prev" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm() ." href="krb5_free_host_realm.html" /> 
-  </head>
-  <body>
+    <link rel="prev" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm()." href="krb5_free_host_realm.html" /> 
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -40,7 +31,7 @@
                 
         <a href="../../../index.html" title="Full Table of Contents"
             accesskey="C">Contents</a> |
-        <a href="krb5_free_host_realm.html" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm() ."
+        <a href="krb5_free_host_realm.html" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm()."
             accesskey="P">previous</a> |
         <a href="krb5_free_keyblock_contents.html" title="krb5_free_keyblock_contents - Free the contents of a krb5_keyblock structure."
             accesskey="N">next</a> |
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-keyblock-free-a-krb5-keyblock-structure">
+  <section id="krb5-free-keyblock-free-a-krb5-keyblock-structure">
 <h1>krb5_free_keyblock -  Free a krb5_keyblock structure.<a class="headerlink" href="#krb5-free-keyblock-free-a-krb5-keyblock-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_keyblock">
-void <code class="descname">krb5_free_keyblock</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_keyblock" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_keyblock">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_keyblock</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_keyblock" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Keyblock to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Keyblock to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_keyblock -  Free a krb5_keyblock structure.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_ke
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,14 +127,14 @@ void <code class="descname">krb5_free_ke
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
         <a href="../../../index.html" title="Full Table of Contents"
             >Contents</a> |
-        <a href="krb5_free_host_realm.html" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm() ."
+        <a href="krb5_free_host_realm.html" title="krb5_free_host_realm - Free the memory allocated by krb5_get_host_realm()."
             >previous</a> |
         <a href="krb5_free_keyblock_contents.html" title="krb5_free_keyblock_contents - Free the contents of a krb5_keyblock structure."
             >next</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_keyblock_contents.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_keyblock_contents.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_keyblock_contents.html	2023-08-14 16:18:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_keyblock_contents.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_keyblock_contents - Free the contents of a krb5_keyblock structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_keytab_entry_contents - Free the contents of a key table entry." href="krb5_free_keytab_entry_contents.html" />
     <link rel="prev" title="krb5_free_keyblock - Free a krb5_keyblock structure." href="krb5_free_keyblock.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-keyblock-contents-free-the-contents-of-a-krb5-keyblock-structure">
+  <section id="krb5-free-keyblock-contents-free-the-contents-of-a-krb5-keyblock-structure">
 <h1>krb5_free_keyblock_contents -  Free the contents of a krb5_keyblock structure.<a class="headerlink" href="#krb5-free-keyblock-contents-free-the-contents-of-a-krb5-keyblock-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_keyblock_contents">
-void <code class="descname">krb5_free_keyblock_contents</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_keyblock_contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_keyblock_contents">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_keyblock_contents</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_keyblock_contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>key</strong> - Keyblock to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>key</strong> - Keyblock to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>key</em> , but not the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_keyblock_contents -  Free the contents of a krb5_keyblock structure.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_ke
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_ke
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_keytab_entry_contents.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_keytab_entry_contents.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_keytab_entry_contents.html	2023-08-14 16:18:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_keytab_entry_contents.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_keytab_entry_contents - Free the contents of a key table entry. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_string - Free a string allocated by a krb5 function." href="krb5_free_string.html" />
     <link rel="prev" title="krb5_free_keyblock_contents - Free the contents of a krb5_keyblock structure." href="krb5_free_keyblock_contents.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,46 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-keytab-entry-contents-free-the-contents-of-a-key-table-entry">
+  <section id="krb5-free-keytab-entry-contents-free-the-contents-of-a-key-table-entry">
 <h1>krb5_free_keytab_entry_contents -  Free the contents of a key table entry.<a class="headerlink" href="#krb5-free-keytab-entry-contents-free-the-contents-of-a-key-table-entry" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_keytab_entry_contents">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_free_keytab_entry_contents</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry">krb5_keytab_entry</a> *<em>&nbsp;entry</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_keytab_entry_contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_keytab_entry_contents">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_keytab_entry_contents</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">entry</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_keytab_entry_contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>entry</strong> - Key table entry whose contents are to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>entry</strong> - Key table entry whose contents are to be freed</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The pointer is not freed.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The pointer is not freed.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_keytab_entry_contents -  Free the contents of a key table entry.</a></li>
@@ -144,6 +129,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -151,8 +137,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_principal.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_principal.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_principal.html	2023-08-14 16:19:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_principal.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_principal - Free the storage assigned to a principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_fwd_tgt_creds - Get a forwarded TGT and format a KRB-CRED message." href="krb5_fwd_tgt_creds.html" />
-    <link rel="prev" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message() ." href="krb5_free_error_message.html" /> 
-  </head>
-  <body>
+    <link rel="prev" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message()." href="krb5_free_error_message.html" /> 
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -40,7 +31,7 @@
                 
         <a href="../../../index.html" title="Full Table of Contents"
             accesskey="C">Contents</a> |
-        <a href="krb5_free_error_message.html" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message() ."
+        <a href="krb5_free_error_message.html" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message()."
             accesskey="P">previous</a> |
         <a href="krb5_fwd_tgt_creds.html" title="krb5_fwd_tgt_creds - Get a forwarded TGT and format a KRB-CRED message."
             accesskey="N">next</a> |
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-principal-free-the-storage-assigned-to-a-principal">
+  <section id="krb5-free-principal-free-the-storage-assigned-to-a-principal">
 <h1>krb5_free_principal -  Free the storage assigned to a principal.<a class="headerlink" href="#krb5-free-principal-free-the-storage-assigned-to-a-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_principal">
-void <code class="descname">krb5_free_principal</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_principal">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_principal</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Principal to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Principal to be freed</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_principal -  Free the storage assigned to a principal.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_free_pr
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,14 +126,14 @@ void <code class="descname">krb5_free_pr
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
         <a href="../../../index.html" title="Full Table of Contents"
             >Contents</a> |
-        <a href="krb5_free_error_message.html" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message() ."
+        <a href="krb5_free_error_message.html" title="krb5_free_error_message - Free an error message generated by krb5_get_error_message()."
             >previous</a> |
         <a href="krb5_fwd_tgt_creds.html" title="krb5_fwd_tgt_creds - Get a forwarded TGT and format a KRB-CRED message."
             >next</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_string.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_string.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_string.html	2023-08-14 16:19:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_string.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_string - Free a string allocated by a krb5 function. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_ticket - Free a ticket." href="krb5_free_ticket.html" />
     <link rel="prev" title="krb5_free_keytab_entry_contents - Free the contents of a key table entry." href="krb5_free_keytab_entry_contents.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-string-free-a-string-allocated-by-a-krb5-function">
+  <section id="krb5-free-string-free-a-string-allocated-by-a-krb5-function">
 <h1>krb5_free_string -  Free a string allocated by a krb5 function.<a class="headerlink" href="#krb5-free-string-free-a-string-allocated-by-a-krb5-function" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_string">
-void <code class="descname">krb5_free_string</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, char *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_string" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_string">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_string</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_string" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - String to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - String to be freed</p>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.10</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.10</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_string -  Free a string allocated by a krb5 function.</a></li>
@@ -133,6 +122,7 @@ void <code class="descname">krb5_free_st
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@ void <code class="descname">krb5_free_st
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_tgt_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_tgt_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_tgt_creds.html	2023-08-14 16:19:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_tgt_creds.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_tgt_creds - Free an array of credential structures. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_create_key - Create a krb5_key from the enctype and key data in a keyblock." href="krb5_k_create_key.html" />
     <link rel="prev" title="krb5_free_cksumtypes - Free an array of checksum types." href="krb5_free_cksumtypes.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-tgt-creds-free-an-array-of-credential-structures">
+  <section id="krb5-free-tgt-creds-free-an-array-of-credential-structures">
 <h1>krb5_free_tgt_creds -  Free an array of credential structures.<a class="headerlink" href="#krb5-free-tgt-creds-free-an-array-of-credential-structures" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_tgt_creds">
-void <code class="descname">krb5_free_tgt_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> **<em>&nbsp;tgts</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_tgt_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_tgt_creds">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_tgt_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">tgts</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_tgt_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>tgts</strong> - Null-terminated array of credentials to free</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>tgts</strong> - Null-terminated array of credentials to free</p>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The last entry in the array <em>tgts</em> must be a NULL pointer.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The last entry in the array <em>tgts</em> must be a NULL pointer.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_tgt_creds -  Free an array of credential structures.</a></li>
@@ -133,6 +122,7 @@ void <code class="descname">krb5_free_tg
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@ void <code class="descname">krb5_free_tg
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_ticket.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_ticket.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_ticket.html	2023-08-14 16:19:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_ticket.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_ticket - Free a ticket. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_free_unparsed_name - Free a string representation of a principal." href="krb5_free_unparsed_name.html" />
     <link rel="prev" title="krb5_free_string - Free a string allocated by a krb5 function." href="krb5_free_string.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-ticket-free-a-ticket">
+  <section id="krb5-free-ticket-free-a-ticket">
 <h1>krb5_free_ticket -  Free a ticket.<a class="headerlink" href="#krb5-free-ticket-free-a-ticket" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_ticket">
-void <code class="descname">krb5_free_ticket</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a> *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_ticket">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_ticket</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Ticket to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Ticket to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>val</em> and the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_ticket -  Free a ticket.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_free_ti
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_free_ti
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_free_unparsed_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_free_unparsed_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_free_unparsed_name.html	2023-08-14 16:19:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_free_unparsed_name.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_free_unparsed_name - Free a string representation of a principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_etype_info - Retrieve enctype, salt and s2kparams from KDC." href="krb5_get_etype_info.html" />
     <link rel="prev" title="krb5_free_ticket - Free a ticket." href="krb5_free_ticket.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-free-unparsed-name-free-a-string-representation-of-a-principal">
+  <section id="krb5-free-unparsed-name-free-a-string-representation-of-a-principal">
 <h1>krb5_free_unparsed_name -  Free a string representation of a principal.<a class="headerlink" href="#krb5-free-unparsed-name-free-a-string-representation-of-a-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_free_unparsed_name">
-void <code class="descname">krb5_free_unparsed_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, char *<em>&nbsp;val</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_unparsed_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_free_unparsed_name">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_free_unparsed_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">val</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_free_unparsed_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>val</strong> - Name string to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>val</strong> - Name string to be freed</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_free_unparsed_name -  Free a string representation of a principal.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_free_un
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_free_un
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_fwd_tgt_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_fwd_tgt_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_fwd_tgt_creds.html	2023-08-14 16:19:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_fwd_tgt_creds.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_fwd_tgt_creds - Get a forwarded TGT and format a KRB-CRED message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_default_realm - Retrieve the default realm." href="krb5_get_default_realm.html" />
     <link rel="prev" title="krb5_free_principal - Free the storage assigned to a principal." href="krb5_free_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,58 +52,52 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-fwd-tgt-creds-get-a-forwarded-tgt-and-format-a-krb-cred-message">
+  <section id="krb5-fwd-tgt-creds-get-a-forwarded-tgt-and-format-a-krb-cred-message">
 <h1>krb5_fwd_tgt_creds -  Get a forwarded TGT and format a KRB-CRED message.<a class="headerlink" href="#krb5-fwd-tgt-creds-get-a-forwarded-tgt-and-format-a-krb-cred-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_fwd_tgt_creds">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_fwd_tgt_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, const char *<em>&nbsp;rhost</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;client</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;server</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;cc</em>, int<em>&nbsp;forwardable</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;outbuf</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_fwd_tgt_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_fwd_tgt_creds">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_fwd_tgt_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rhost</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">client</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">server</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">cc</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">forwardable</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outbuf</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_fwd_tgt_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>rhost</strong> - Remote host</p>
 <p><strong>[in]</strong> <strong>client</strong> - Client principal of TGT</p>
 <p><strong>[in]</strong> <strong>server</strong> - Principal of server to receive TGT</p>
 <p><strong>[in]</strong> <strong>cc</strong> - Credential cache handle (NULL to use default)</p>
 <p><strong>[in]</strong> <strong>forwardable</strong> - Whether TGT should be forwardable</p>
-<p class="last"><strong>[out]</strong> <strong>outbuf</strong> - KRB-CRED message</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>ENOMEM   Insufficient memory</li>
-<li>KRB5_PRINC_NOMATCH   Requested principal and ticket do not match</li>
-<li>KRB5_NO_TKT_SUPPLIED   Request did not supply a ticket</li>
-<li>KRB5_CC_BADNAME   Credential cache name or principal name malformed</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Get a TGT for use at the remote host <em>rhost</em> and format it into a KRB-CRED message. If <em>rhost</em> is NULL and <em>server</em> is of type <a class="reference internal" href="../macros/KRB5_NT_SRV_HST.html#KRB5_NT_SRV_HST" title="KRB5_NT_SRV_HST"><code class="xref py py-data docutils literal"><span class="pre">KRB5_NT_SRV_HST</span></code></a> , the second component of <em>server</em> will be used.</p>
-</div>
+<p><strong>[out]</strong> <strong>outbuf</strong> - KRB-CRED message</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>ENOMEM   Insufficient memory</p></li>
+<li><p>KRB5_PRINC_NOMATCH   Requested principal and ticket do not match</p></li>
+<li><p>KRB5_NO_TKT_SUPPLIED   Request did not supply a ticket</p></li>
+<li><p>KRB5_CC_BADNAME   Credential cache name or principal name malformed</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Get a TGT for use at the remote host <em>rhost</em> and format it into a KRB-CRED message. If <em>rhost</em> is NULL and <em>server</em> is of type #KRB5_NT_SRV_HST, the second component of <em>server</em> will be used.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_fwd_tgt_creds -  Get a forwarded TGT and format a KRB-CRED message.</a></li>
@@ -156,6 +141,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -163,8 +149,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_credentials.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_credentials.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_credentials.html	2023-08-14 16:19:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_credentials.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_credentials - Get an additional ticket. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_fallback_host_realm" href="krb5_get_fallback_host_realm.html" />
     <link rel="prev" title="krb5_get_host_realm - Get the Kerberos realm names for a host." href="krb5_get_host_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,64 +52,58 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-credentials-get-an-additional-ticket">
+  <section id="krb5-get-credentials-get-an-additional-ticket">
 <h1>krb5_get_credentials -  Get an additional ticket.<a class="headerlink" href="#krb5-get-credentials-get-an-additional-ticket" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_credentials">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_credentials</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;options</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;in_creds</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> **<em>&nbsp;out_creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_credentials" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_credentials">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_credentials</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">options</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_creds</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out_creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_credentials" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>options</strong> - Options</p>
 <p><strong>[in]</strong> <strong>ccache</strong> - Credential cache handle</p>
 <p><strong>[in]</strong> <strong>in_creds</strong> - Input credentials</p>
-<p class="last"><strong>[out]</strong> <strong>out_creds</strong> - Output updated credentials</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>out_creds</strong> - Output updated credentials</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Use <em>ccache</em> or a TGS exchange to get a service ticket matching <em>in_creds</em> .</p>
 <p>Valid values for <em>options</em> are:</p>
 <blockquote>
 <div><blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_GC_CACHED.html#KRB5_GC_CACHED" title="KRB5_GC_CACHED"><code class="xref py py-data docutils literal"><span class="pre">KRB5_GC_CACHED</span></code></a> Search only credential cache for the ticket</li>
-<li><a class="reference internal" href="../macros/KRB5_GC_USER_USER.html#KRB5_GC_USER_USER" title="KRB5_GC_USER_USER"><code class="xref py py-data docutils literal"><span class="pre">KRB5_GC_USER_USER</span></code></a> Return a user to user authentication ticket</li>
+<li><p>#KRB5_GC_CACHED Search only credential cache for the ticket</p></li>
+<li><p>#KRB5_GC_USER_USER Return a user to user authentication ticket</p></li>
 </ul>
 </div></blockquote>
 <p><em>in_creds</em> must be non-null. <em>in_creds-&gt;client</em> and <em>in_creds-&gt;server</em> must be filled in to specify the client and the server respectively. If any authorization data needs to be requested for the service ticket (such as restrictions on how the ticket can be used), specify it in <em>in_creds-&gt;authdata</em> ; otherwise set <em>in_creds-&gt;authdata</em> to NULL. The session key type is specified in <em>in_creds-&gt;keyblock.enctype</em> , if it is nonzero.</p>
 </div></blockquote>
 <p>The expiration date is specified in <em>in_creds-&gt;times.endtime</em> . The KDC may return tickets with an earlier expiration date. If <em>in_creds-&gt;times.endtime</em> is set to 0, the latest possible expiration date will be requested.</p>
 <p>Any returned ticket and intermediate ticket-granting tickets are stored in <em>ccache</em> .</p>
-<p>Use <a class="reference internal" href="krb5_free_creds.html#c.krb5_free_creds" title="krb5_free_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_creds()</span></code></a> to free <em>out_creds</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_creds() to free <em>out_creds</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_credentials -  Get an additional ticket.</a></li>
@@ -162,6 +147,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -169,8 +155,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_credentials_renew.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_credentials_renew.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_credentials_renew.html	2023-08-14 16:19:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_credentials_renew.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_credentials_renew &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_credentials_validate" href="krb5_get_credentials_validate.html" />
     <link rel="prev" title="krb5_cc_gen_new" href="krb5_cc_gen_new.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-credentials-renew">
+  <section id="krb5-get-credentials-renew">
 <h1>krb5_get_credentials_renew<a class="headerlink" href="#krb5-get-credentials-renew" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_credentials_renew">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_credentials_renew</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;options</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;in_creds</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> **<em>&nbsp;out_creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_credentials_renew" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_credentials_renew">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_credentials_renew</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">options</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_creds</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out_creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_credentials_renew" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>options</strong></p>
 <p><strong>ccache</strong></p>
 <p><strong>in_creds</strong></p>
-<p class="last"><strong>out_creds</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>out_creds</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_get_renewed_creds.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_credentials_renew</a></li>
@@ -133,6 +122,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_credentials_validate.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_credentials_validate.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_credentials_validate.html	2023-08-14 16:19:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_credentials_validate.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_credentials_validate &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_in_tkt_with_password" href="krb5_get_in_tkt_with_password.html" />
     <link rel="prev" title="krb5_get_credentials_renew" href="krb5_get_credentials_renew.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-credentials-validate">
+  <section id="krb5-get-credentials-validate">
 <h1>krb5_get_credentials_validate<a class="headerlink" href="#krb5-get-credentials-validate" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_credentials_validate">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_credentials_validate</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;options</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;in_creds</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> **<em>&nbsp;out_creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_credentials_validate" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_credentials_validate">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_credentials_validate</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">options</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_creds</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out_creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_credentials_validate" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>options</strong></p>
 <p><strong>ccache</strong></p>
 <p><strong>in_creds</strong></p>
-<p class="last"><strong>out_creds</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>out_creds</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_get_validated_creds.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_credentials_validate</a></li>
@@ -133,6 +122,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_default_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_default_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_default_realm.html	2023-08-14 16:19:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_default_realm.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_default_realm - Retrieve the default realm. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_error_message - Get the (possibly extended) error message for a code." href="krb5_get_error_message.html" />
     <link rel="prev" title="krb5_fwd_tgt_creds - Get a forwarded TGT and format a KRB-CRED message." href="krb5_fwd_tgt_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-default-realm-retrieve-the-default-realm">
+  <section id="krb5-get-default-realm-retrieve-the-default-realm">
 <h1>krb5_get_default_realm -  Retrieve the default realm.<a class="headerlink" href="#krb5-get-default-realm-retrieve-the-default-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_default_realm">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_default_realm</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, char **<em>&nbsp;lrealm</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_default_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_default_realm">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_default_realm</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">lrealm</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_default_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>lrealm</strong> - Default realm name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>lrealm</strong> - Default realm name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Retrieves the default realm to be used if no user-specified realm is available.</p>
-<p>Use <a class="reference internal" href="krb5_free_default_realm.html#c.krb5_free_default_realm" title="krb5_free_default_realm"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_default_realm()</span></code></a> to free <em>lrealm</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_default_realm() to free <em>lrealm</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_default_realm -  Retrieve the default realm.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_error_message.html	2023-08-14 16:19:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_error_message.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_error_message - Get the (possibly extended) error message for a code. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_host_realm - Get the Kerberos realm names for a host." href="krb5_get_host_realm.html" />
     <link rel="prev" title="krb5_get_default_realm - Retrieve the default realm." href="krb5_get_default_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,38 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-error-message-get-the-possibly-extended-error-message-for-a-code">
+  <section id="krb5-get-error-message-get-the-possibly-extended-error-message-for-a-code">
 <h1>krb5_get_error_message -  Get the (possibly extended) error message for a code.<a class="headerlink" href="#krb5-get-error-message-get-the-possibly-extended-error-message-for-a-code" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_error_message">
-const char * <code class="descname">krb5_get_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a><em>&nbsp;code</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_error_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_error_message">
+<span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="n"><span class="pre">code</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>code</strong> - Error code</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>The behavior of <a class="reference internal" href="#c.krb5_get_error_message" title="krb5_get_error_message"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_error_message()</span></code></a> is only defined the first time it is called after a failed call to a krb5 function using the same context, and only when the error code passed in is the same as that returned by the krb5 function.</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>code</strong> - Error code</p>
+</dd>
+</dl>
+<p>The behavior of krb5_get_error_message() is only defined the first time it is called after a failed call to a krb5 function using the same context, and only when the error code passed in is the same as that returned by the krb5 function.</p>
 <p>This function never returns NULL, so its result may be used unconditionally as a C string.</p>
-<p>The string returned by this function must be freed using <a class="reference internal" href="krb5_free_error_message.html#c.krb5_free_error_message" title="krb5_free_error_message"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_error_message()</span></code></a></p>
+<p>The string returned by this function must be freed using krb5_free_error_message()</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">Future versions may return the same string for the second and following calls.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>Future versions may return the same string for the second and following calls.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_error_message -  Get the (possibly extended) error message for a code.</a></li>
@@ -136,6 +125,7 @@ const char * <code class="descname">krb5
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,8 +133,8 @@ const char * <code class="descname">krb5
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_etype_info.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_etype_info.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_etype_info.html	2023-08-14 16:19:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_etype_info.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_etype_info - Retrieve enctype, salt and s2kparams from KDC. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_permitted_enctypes - Return a list of encryption types permitted for session keys." href="krb5_get_permitted_enctypes.html" />
     <link rel="prev" title="krb5_free_unparsed_name - Free a string representation of a principal." href="krb5_free_unparsed_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,59 +52,54 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-etype-info-retrieve-enctype-salt-and-s2kparams-from-kdc">
+  <section id="krb5-get-etype-info-retrieve-enctype-salt-and-s2kparams-from-kdc">
 <h1>krb5_get_etype_info -  Retrieve enctype, salt and s2kparams from KDC.<a class="headerlink" href="#krb5-get-etype-info-retrieve-enctype-salt-and-s2kparams-from-kdc" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_etype_info">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_etype_info</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;principal</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *<em>&nbsp;enctype_out</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;salt_out</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;s2kparams_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_etype_info" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_etype_info">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_etype_info</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">enctype_out</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">salt_out</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">s2kparams_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_etype_info" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Principal whose information is requested</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Initial credential options</p>
 <p><strong>[out]</strong> <strong>enctype_out</strong> - The enctype chosen by KDC</p>
 <p><strong>[out]</strong> <strong>salt_out</strong> - Salt returned from KDC</p>
-<p class="last"><strong>[out]</strong> <strong>s2kparams_out</strong> - String-to-key parameters returned from KDC</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>A Kerberos error code</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>s2kparams_out</strong> - String-to-key parameters returned from KDC</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>A Kerberos error code</p></li>
+</ul>
+</dd>
+</dl>
 <p>Send an initial ticket request for <em>principal</em> and extract the encryption type, salt type, and string-to-key parameters from the KDC response. If the KDC provides no etype-info, set <em>enctype_out</em> to <strong>ENCTYPE_NULL</strong> and set <em>salt_out</em> and <em>s2kparams_out</em> to empty. If the KDC etype-info provides no salt, compute the default salt and place it in <em>salt_out</em> . If the KDC etype-info provides no string-to-key parameters, set <em>s2kparams_out</em> to empty.</p>
 <blockquote>
-<div><em>opt</em> may be used to specify options which affect the initial request, such as request encryption types or a FAST armor cache (see <a class="reference internal" href="krb5_get_init_creds_opt_set_etype_list.html#c.krb5_get_init_creds_opt_set_etype_list" title="krb5_get_init_creds_opt_set_etype_list"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_set_etype_list()</span></code></a> and <a class="reference internal" href="krb5_get_init_creds_opt_set_fast_ccache_name.html#c.krb5_get_init_creds_opt_set_fast_ccache_name" title="krb5_get_init_creds_opt_set_fast_ccache_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_set_fast_ccache_name()</span></code></a> ).</div></blockquote>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>salt_out</em> and <em>s2kparams_out</em> when they are no longer needed.</p>
+<div><p><em>opt</em> may be used to specify options which affect the initial request, such as request encryption types or a FAST armor cache (see krb5_get_init_creds_opt_set_etype_list() and krb5_get_init_creds_opt_set_fast_ccache_name()).</p>
+</div></blockquote>
+<p>Use krb5_free_data_contents() to free <em>salt_out</em> and <em>s2kparams_out</em> when they are no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.17</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.17</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_etype_info -  Retrieve enctype, salt and s2kparams from KDC.</a></li>
@@ -157,6 +143,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -164,8 +151,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_fallback_host_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_fallback_host_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_fallback_host_realm.html	2023-08-14 16:19:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_fallback_host_realm.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_fallback_host_realm &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_keytab - Get initial credentials using a key table." href="krb5_get_init_creds_keytab.html" />
     <link rel="prev" title="krb5_get_credentials - Get an additional ticket." href="krb5_get_credentials.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-fallback-host-realm">
+  <section id="krb5-get-fallback-host-realm">
 <h1>krb5_get_fallback_host_realm<a class="headerlink" href="#krb5-get-fallback-host-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_fallback_host_realm">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_fallback_host_realm</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;hdata</em>, char ***<em>&nbsp;realmsp</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_fallback_host_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_fallback_host_realm">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_fallback_host_realm</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">hdata</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realmsp</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_fallback_host_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>hdata</strong> - Host name (or NULL)</p>
-<p class="last"><strong>[out]</strong> <strong>realmsp</strong> - Null-terminated list of realm names</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>realmsp</strong> - Null-terminated list of realm names</p>
+</dd>
+</dl>
 <p>Fill in <em>realmsp</em> with a pointer to a null-terminated list of realm names obtained through heuristics or insecure resolution methods which have lower priority than KDC referrals.</p>
 <p>If <em>host</em> is NULL, the local host’s realms are determined.</p>
-<p>Use <a class="reference internal" href="krb5_free_host_realm.html#c.krb5_free_host_realm" title="krb5_free_host_realm"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_host_realm()</span></code></a> to release <em>realmsp</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_host_realm() to release <em>realmsp</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_fallback_host_realm</a></li>
@@ -133,6 +122,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_host_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_host_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_host_realm.html	2023-08-14 16:19:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_host_realm.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_host_realm - Get the Kerberos realm names for a host. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_credentials - Get an additional ticket." href="krb5_get_credentials.html" />
     <link rel="prev" title="krb5_get_error_message - Get the (possibly extended) error message for a code." href="krb5_get_error_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-host-realm-get-the-kerberos-realm-names-for-a-host">
+  <section id="krb5-get-host-realm-get-the-kerberos-realm-names-for-a-host">
 <h1>krb5_get_host_realm -  Get the Kerberos realm names for a host.<a class="headerlink" href="#krb5-get-host-realm-get-the-kerberos-realm-names-for-a-host" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_host_realm">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_host_realm</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;host</em>, char ***<em>&nbsp;realmsp</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_host_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_host_realm">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_host_realm</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">host</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realmsp</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_host_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>host</strong> - Host name (or NULL)</p>
-<p class="last"><strong>[out]</strong> <strong>realmsp</strong> - Null-terminated list of realm names</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>ENOMEM   Insufficient memory</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>realmsp</strong> - Null-terminated list of realm names</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>ENOMEM   Insufficient memory</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Fill in <em>realmsp</em> with a pointer to a null-terminated list of realm names. If there are no known realms for the host, a list containing the referral (empty) realm is returned.</p>
 <p>If <em>host</em> is NULL, the local host’s realms are determined.</p>
-<p>Use <a class="reference internal" href="krb5_free_host_realm.html#c.krb5_free_host_realm" title="krb5_free_host_realm"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_host_realm()</span></code></a> to release <em>realmsp</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_host_realm() to release <em>realmsp</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_host_realm -  Get the Kerberos realm names for a host.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_keytab.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_keytab.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_keytab.html	2023-08-14 16:19:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_keytab.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_in_tkt_with_keytab &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_init" href="krb5_get_init_creds_opt_init.html" />
     <link rel="prev" title="krb5_get_in_tkt_with_skey" href="krb5_get_in_tkt_with_skey.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,18 +52,16 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-in-tkt-with-keytab">
+  <section id="krb5-get-in-tkt-with-keytab">
 <h1>krb5_get_in_tkt_with_keytab<a class="headerlink" href="#krb5-get-in-tkt-with-keytab" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_in_tkt_with_keytab">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_in_tkt_with_keytab</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;options</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *const *<em>&nbsp;addrs</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *<em>&nbsp;ktypes</em>, <a class="reference internal" href="../types/krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype">krb5_preauthtype</a> *<em>&nbsp;pre_auth_types</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;arg_keytab</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_kdc_rep.html#c.krb5_kdc_rep" title="krb5_kdc_rep">krb5_kdc_rep</a> **<em>&nbsp;ret_as_reply</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_in_tkt_with_keytab" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_in_tkt_with_keytab">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_in_tkt_with_keytab</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">options</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addrs</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ktypes</span></span>, <a class="reference internal" href="../types/krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype"><span class="n"><span class="pre">krb5_preauthtype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pre_auth_types</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">arg_keytab</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_kdc_rep.html#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ret_as_reply</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_in_tkt_with_keytab" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>options</strong></p>
 <p><strong>addrs</strong></p>
 <p><strong>ktypes</strong></p>
@@ -80,20 +69,20 @@
 <p><strong>arg_keytab</strong></p>
 <p><strong>ccache</strong></p>
 <p><strong>creds</strong></p>
-<p class="last"><strong>ret_as_reply</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>DEPRECATED Replaced by krb5_get_init_creds_keytab() .</p>
-</div>
+<p><strong>ret_as_reply</strong></p>
+</dd>
+</dl>
+<p>DEPRECATED Replaced by krb5_get_init_creds_keytab().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_in_tkt_with_keytab</a></li>
@@ -137,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -144,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_password.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_password.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_password.html	2023-08-14 16:19:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_password.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_in_tkt_with_password &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_in_tkt_with_skey" href="krb5_get_in_tkt_with_skey.html" />
     <link rel="prev" title="krb5_get_credentials_validate" href="krb5_get_credentials_validate.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,18 +52,16 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-in-tkt-with-password">
+  <section id="krb5-get-in-tkt-with-password">
 <h1>krb5_get_in_tkt_with_password<a class="headerlink" href="#krb5-get-in-tkt-with-password" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_in_tkt_with_password">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_in_tkt_with_password</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;options</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *const *<em>&nbsp;addrs</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *<em>&nbsp;ktypes</em>, <a class="reference internal" href="../types/krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype">krb5_preauthtype</a> *<em>&nbsp;pre_auth_types</em>, const char *<em>&nbsp;password</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_kdc_rep.html#c.krb5_kdc_rep" title="krb5_kdc_rep">krb5_kdc_rep</a> **<em>&nbsp;ret_as_reply</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_in_tkt_with_password" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_in_tkt_with_password">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_in_tkt_with_password</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">options</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addrs</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ktypes</span></span>, <a class="reference internal" href="../types/krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype"><span class="n"><span class="pre">krb5_preauthtype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pre_auth_types</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">password</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_kdc_rep.html#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ret_as_reply</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_in_tkt_with_password" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>options</strong></p>
 <p><strong>addrs</strong></p>
 <p><strong>ktypes</strong></p>
@@ -80,20 +69,20 @@
 <p><strong>password</strong></p>
 <p><strong>ccache</strong></p>
 <p><strong>creds</strong></p>
-<p class="last"><strong>ret_as_reply</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>DEPRECATED Replaced by krb5_get_init_creds_password() .</p>
-</div>
+<p><strong>ret_as_reply</strong></p>
+</dd>
+</dl>
+<p>DEPRECATED Replaced by krb5_get_init_creds_password().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_in_tkt_with_password</a></li>
@@ -137,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -144,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_skey.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_skey.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_skey.html	2023-08-14 16:19:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_in_tkt_with_skey.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_in_tkt_with_skey &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_in_tkt_with_keytab" href="krb5_get_in_tkt_with_keytab.html" />
     <link rel="prev" title="krb5_get_in_tkt_with_password" href="krb5_get_in_tkt_with_password.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,18 +52,16 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-in-tkt-with-skey">
+  <section id="krb5-get-in-tkt-with-skey">
 <h1>krb5_get_in_tkt_with_skey<a class="headerlink" href="#krb5-get-in-tkt-with-skey" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_in_tkt_with_skey">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_in_tkt_with_skey</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;options</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> *const *<em>&nbsp;addrs</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *<em>&nbsp;ktypes</em>, <a class="reference internal" href="../types/krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype">krb5_preauthtype</a> *<em>&nbsp;pre_auth_types</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_kdc_rep.html#c.krb5_kdc_rep" title="krb5_kdc_rep">krb5_kdc_rep</a> **<em>&nbsp;ret_as_reply</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_in_tkt_with_skey" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_in_tkt_with_skey">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_in_tkt_with_skey</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">options</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addrs</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ktypes</span></span>, <a class="reference internal" href="../types/krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype"><span class="n"><span class="pre">krb5_preauthtype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pre_auth_types</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_kdc_rep.html#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ret_as_reply</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_in_tkt_with_skey" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>options</strong></p>
 <p><strong>addrs</strong></p>
 <p><strong>ktypes</strong></p>
@@ -80,20 +69,20 @@
 <p><strong>key</strong></p>
 <p><strong>ccache</strong></p>
 <p><strong>creds</strong></p>
-<p class="last"><strong>ret_as_reply</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>ret_as_reply</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_get_init_creds().</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_in_tkt_with_skey</a></li>
@@ -137,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -144,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_keytab.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_keytab.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_keytab.html	2023-08-14 16:19:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_keytab.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_keytab - Get initial credentials using a key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_alloc - Allocate a new initial credential options structure." href="krb5_get_init_creds_opt_alloc.html" />
     <link rel="prev" title="krb5_get_fallback_host_realm" href="krb5_get_fallback_host_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-keytab-get-initial-credentials-using-a-key-table">
+  <section id="krb5-get-init-creds-keytab-get-initial-credentials-using-a-key-table">
 <h1>krb5_get_init_creds_keytab -  Get initial credentials using a key table.<a class="headerlink" href="#krb5-get-init-creds-keytab-get-initial-credentials-using-a-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_keytab">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_keytab</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;client</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;arg_keytab</em>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat">krb5_deltat</a><em>&nbsp;start_time</em>, const char *<em>&nbsp;in_tkt_service</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;k5_gic_options</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_keytab" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_keytab">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_keytab</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">client</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">arg_keytab</span></span>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat"><span class="n"><span class="pre">krb5_deltat</span></span></a><span class="w"> </span><span class="n"><span class="pre">start_time</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_tkt_service</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k5_gic_options</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_keytab" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>creds</strong> - New credentials</p>
 <p><strong>[in]</strong> <strong>client</strong> - Client principal</p>
 <p><strong>[in]</strong> <strong>arg_keytab</strong> - Key table handle</p>
 <p><strong>[in]</strong> <strong>start_time</strong> - Time when ticket becomes valid (0 for now)</p>
 <p><strong>[in]</strong> <strong>in_tkt_service</strong> - Service name of initial credentials (or NULL)</p>
-<p class="last"><strong>[in]</strong> <strong>k5_gic_options</strong> - Initial credential options</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>k5_gic_options</strong> - Initial credential options</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function requests KDC for an initial credentials for <em>client</em> using a client key stored in <em>arg_keytab</em> . If <em>in_tkt_service</em> is specified, it is parsed as a principal name (with the realm ignored) and used as the service principal for the request; otherwise the ticket-granting service is used.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_keytab -  Get initial credentials using a key table.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_alloc.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_alloc.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_alloc.html	2023-08-14 16:19:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_alloc.html	2024-06-26 20:01:00.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_alloc - Allocate a new initial credential options structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_free - Free initial credential options." href="krb5_get_init_creds_opt_free.html" />
     <link rel="prev" title="krb5_get_init_creds_keytab - Get initial credentials using a key table." href="krb5_get_init_creds_keytab.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-alloc-allocate-a-new-initial-credential-options-structure">
+  <section id="krb5-get-init-creds-opt-alloc-allocate-a-new-initial-credential-options-structure">
 <h1>krb5_get_init_creds_opt_alloc -  Allocate a new initial credential options structure.<a class="headerlink" href="#krb5-get-init-creds-opt-alloc-allocate-a-new-initial-credential-options-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_alloc">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_alloc</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> **<em>&nbsp;opt</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_alloc" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_alloc">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_alloc</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_alloc" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>opt</strong> - New options structure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   - Success; Kerberos errors otherwise.</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>opt</strong> - New options structure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   - Success; Kerberos errors otherwise.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is the preferred way to create an options structure for getting initial credentials, and is required to make use of certain options. Use <a class="reference internal" href="krb5_get_init_creds_opt_free.html#c.krb5_get_init_creds_opt_free" title="krb5_get_init_creds_opt_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_free()</span></code></a> to free <em>opt</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function is the preferred way to create an options structure for getting initial credentials, and is required to make use of certain options. Use krb5_get_init_creds_opt_free() to free <em>opt</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_alloc -  Allocate a new initial credential options structure.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_free.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_free.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_free.html	2023-08-14 16:19:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_free.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_free - Free initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_get_fast_flags - Retrieve FAST flags from initial credential options." href="krb5_get_init_creds_opt_get_fast_flags.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_alloc - Allocate a new initial credential options structure." href="krb5_get_init_creds_opt_alloc.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-free-free-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-free-free-initial-credential-options">
 <h1>krb5_get_init_creds_opt_free -  Free initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-free-free-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_free">
-void <code class="descname">krb5_get_init_creds_opt_free</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_free" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_free">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_free</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_free" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>opt</strong> - Options structure to free</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>opt</strong> - Options structure to free</p>
+</dd>
+</dl>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_get_init_creds_opt_alloc.html#c.krb5_get_init_creds_opt_alloc" title="krb5_get_init_creds_opt_alloc"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_alloc()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_get_init_creds_opt_alloc()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_free -  Free initial credential options.</a></li>
@@ -133,6 +122,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags.html	2023-08-14 16:19:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_get_fast_flags - Retrieve FAST flags from initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_address_list - Set address restrictions in initial credential options." href="krb5_get_init_creds_opt_set_address_list.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_free - Free initial credential options." href="krb5_get_init_creds_opt_free.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-get-fast-flags-retrieve-fast-flags-from-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-get-fast-flags-retrieve-fast-flags-from-initial-credential-options">
 <h1>krb5_get_init_creds_opt_get_fast_flags -  Retrieve FAST flags from initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-get-fast-flags-retrieve-fast-flags-from-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_get_fast_flags">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_get_fast_flags</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a> *<em>&nbsp;out_flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_get_fast_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_get_fast_flags">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_get_fast_flags</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out_flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_get_fast_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options</p>
-<p class="last"><strong>[out]</strong> <strong>out_flags</strong> - FAST flags</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   - Success; Kerberos errors otherwise.</li>
+<p><strong>[out]</strong> <strong>out_flags</strong> - FAST flags</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   - Success; Kerberos errors otherwise.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_get_fast_flags -  Retrieve FAST flags from initial credential options.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_init.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_init.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_init.html	2023-08-14 16:19:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_init.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_init &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_random_key" href="krb5_init_random_key.html" />
     <link rel="prev" title="krb5_get_in_tkt_with_keytab" href="krb5_get_in_tkt_with_keytab.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,30 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-init">
+  <section id="krb5-get-init-creds-opt-init">
 <h1>krb5_get_init_creds_opt_init<a class="headerlink" href="#krb5-get-init-creds-opt-init" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_init">
-void <code class="descname">krb5_get_init_creds_opt_init</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_init" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_init">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_init</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_init" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>opt</strong></td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>opt</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Use krb5_get_init_creds_opt_alloc() instead.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_init</a></li>
@@ -128,6 +118,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -135,8 +126,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_address_list.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_address_list.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_address_list.html	2023-08-14 16:19:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_address_list.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_address_list - Set address restrictions in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_anonymous - Set or unset the anonymous flag in initial credential options." href="krb5_get_init_creds_opt_set_anonymous.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_get_fast_flags - Retrieve FAST flags from initial credential options." href="krb5_get_init_creds_opt_get_fast_flags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-address-list-set-address-restrictions-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-address-list-set-address-restrictions-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_address_list -  Set address restrictions in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-address-list-set-address-restrictions-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_address_list">
-void <code class="descname">krb5_get_init_creds_opt_set_address_list</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> **<em>&nbsp;addresses</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_address_list" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_address_list">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_address_list</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addresses</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_address_list" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
-<p class="last"><strong>[in]</strong> <strong>addresses</strong> - Null-terminated array of addresses</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<p><strong>[in]</strong> <strong>addresses</strong> - Null-terminated array of addresses</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_address_list -  Set address restrictions in initial credential options.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_anonymous.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_anonymous.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_anonymous.html	2023-08-14 16:19:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_anonymous.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_anonymous - Set or unset the anonymous flag in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_canonicalize - Set or unset the canonicalize flag in initial credential options." href="krb5_get_init_creds_opt_set_canonicalize.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_address_list - Set address restrictions in initial credential options." href="krb5_get_init_creds_opt_set_address_list.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-anonymous-set-or-unset-the-anonymous-flag-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-anonymous-set-or-unset-the-anonymous-flag-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_anonymous -  Set or unset the anonymous flag in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-anonymous-set-or-unset-the-anonymous-flag-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_anonymous">
-void <code class="descname">krb5_get_init_creds_opt_set_anonymous</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, int<em>&nbsp;anonymous</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_anonymous" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_anonymous">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_anonymous</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">anonymous</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_anonymous" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
-<p class="last"><strong>[in]</strong> <strong>anonymous</strong> - Whether to make an anonymous request</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<p><strong>[in]</strong> <strong>anonymous</strong> - Whether to make an anonymous request</p>
+</dd>
+</dl>
 <p>This function may be used to request anonymous credentials from the KDC by setting <em>anonymous</em> to non-zero. Note that anonymous credentials are only a request; clients must verify that credentials are anonymous if that is a requirement.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_anonymous -  Set or unset the anonymous flag in initial credential options.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize.html	2023-08-14 16:19:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_canonicalize - Set or unset the canonicalize flag in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_change_password_prompt - Set or unset change-password-prompt flag in initial credential options." href="krb5_get_init_creds_opt_set_change_password_prompt.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_anonymous - Set or unset the anonymous flag in initial credential options." href="krb5_get_init_creds_opt_set_anonymous.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-canonicalize-set-or-unset-the-canonicalize-flag-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-canonicalize-set-or-unset-the-canonicalize-flag-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_canonicalize -  Set or unset the canonicalize flag in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-canonicalize-set-or-unset-the-canonicalize-flag-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_canonicalize">
-void <code class="descname">krb5_get_init_creds_opt_set_canonicalize</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, int<em>&nbsp;canonicalize</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_canonicalize" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_canonicalize">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_canonicalize</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">canonicalize</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_canonicalize" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
-<p class="last"><strong>[in]</strong> <strong>canonicalize</strong> - Whether to canonicalize client principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<p><strong>[in]</strong> <strong>canonicalize</strong> - Whether to canonicalize client principal</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_canonicalize -  Set or unset the canonicalize flag in initial credential options.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.html	2023-08-14 16:19:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_change_password_prompt - Set or unset change-password-prompt flag in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_etype_list - Set allowable encryption types in initial credential options." href="krb5_get_init_creds_opt_set_etype_list.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_canonicalize - Set or unset the canonicalize flag in initial credential options." href="krb5_get_init_creds_opt_set_canonicalize.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-change-password-prompt-set-or-unset-change-password-prompt-flag-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-change-password-prompt-set-or-unset-change-password-prompt-flag-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_change_password_prompt -  Set or unset change-password-prompt flag in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-change-password-prompt-set-or-unset-change-password-prompt-flag-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_change_password_prompt">
-void <code class="descname">krb5_get_init_creds_opt_set_change_password_prompt</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, int<em>&nbsp;prompt</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_change_password_prompt" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_change_password_prompt">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_change_password_prompt</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">prompt</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_change_password_prompt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
-<p class="last"><strong>[in]</strong> <strong>prompt</strong> - Whether to prompt to change password</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This flag is on by default. It controls whether <a class="reference internal" href="krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_password()</span></code></a> will react to an expired-password error by prompting for a new password and attempting to change the old one.</p>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<p><strong>[in]</strong> <strong>prompt</strong> - Whether to prompt to change password</p>
+</dd>
+</dl>
+<p>This flag is on by default. It controls whether krb5_get_init_creds_password() will react to an expired-password error by prompting for a new password and attempting to change the old one.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_change_password_prompt -  Set or unset change-password-prompt flag in initial credential options.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_etype_list.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_etype_list.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_etype_list.html	2023-08-14 16:19:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_etype_list.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_etype_list - Set allowable encryption types in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_expire_callback - Set an expiration callback in initial credential options." href="krb5_get_init_creds_opt_set_expire_callback.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_change_password_prompt - Set or unset change-password-prompt flag in initial credential options." href="krb5_get_init_creds_opt_set_change_password_prompt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-etype-list-set-allowable-encryption-types-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-etype-list-set-allowable-encryption-types-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_etype_list -  Set allowable encryption types in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-etype-list-set-allowable-encryption-types-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_etype_list">
-void <code class="descname">krb5_get_init_creds_opt_set_etype_list</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *<em>&nbsp;etype_list</em>, int<em>&nbsp;etype_list_length</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_etype_list" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_etype_list">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_etype_list</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">etype_list</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">etype_list_length</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_etype_list" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
 <p><strong>[in]</strong> <strong>etype_list</strong> - Array of encryption types</p>
-<p class="last"><strong>[in]</strong> <strong>etype_list_length</strong> - Length of <em>etype_list</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<p><strong>[in]</strong> <strong>etype_list_length</strong> - Length of <em>etype_list</em></p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_etype_list -  Set allowable encryption types in initial credential options.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.html	2023-08-14 16:19:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_expire_callback - Set an expiration callback in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_fast_ccache - Set FAST armor cache in initial credential options." href="krb5_get_init_creds_opt_set_fast_ccache.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_etype_list - Set allowable encryption types in initial credential options." href="krb5_get_init_creds_opt_set_etype_list.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-expire-callback-set-an-expiration-callback-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-expire-callback-set-an-expiration-callback-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_expire_callback -  Set an expiration callback in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-expire-callback-set-an-expiration-callback-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_expire_callback">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_set_expire_callback</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_expire_callback_func.html#c.krb5_expire_callback_func" title="krb5_expire_callback_func">krb5_expire_callback_func</a><em>&nbsp;cb</em>, void *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_expire_callback" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_expire_callback">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_expire_callback</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_expire_callback_func.html#c.krb5_expire_callback_func" title="krb5_expire_callback_func"><span class="n"><span class="pre">krb5_expire_callback_func</span></span></a><span class="w"> </span><span class="n"><span class="pre">cb</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_expire_callback" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
 <p><strong>[in]</strong> <strong>cb</strong> - Callback function</p>
-<p class="last"><strong>[in]</strong> <strong>data</strong> - Callback argument</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>data</strong> - Callback argument</p>
+</dd>
+</dl>
 <p>Set a callback to receive password and account expiration times.</p>
 <blockquote>
-<div><em>cb</em> will be invoked if and only if credentials are successfully acquired. The callback will receive the <em>context</em> from the calling function and the <em>data</em> argument supplied with this API. The remaining arguments should be interpreted as follows:</div></blockquote>
+<div><p><em>cb</em> will be invoked if and only if credentials are successfully acquired. The callback will receive the <em>context</em> from the calling function and the <em>data</em> argument supplied with this API. The remaining arguments should be interpreted as follows:</p>
+</div></blockquote>
 <p>If <em>is_last_req</em> is true, then the KDC reply contained last-req entries which unambiguously indicated the password expiration, account expiration, or both. (If either value was not present, the corresponding argument will be 0.) Furthermore, a non-zero <em>password_expiration</em> should be taken as a suggestion from the KDC that a warning be displayed.</p>
 <p>If <em>is_last_req</em> is false, then <em>account_expiration</em> will be 0 and <em>password_expiration</em> will contain the expiration time of either the password or account, or 0 if no expiration time was indicated in the KDC reply. The callback should independently decide whether to display a password expiration warning.</p>
 <p>Note that <em>cb</em> may be invoked even if credentials are being acquired for the kadmin/changepw service in order to change the password. It is the caller’s responsibility to avoid displaying a password expiry warning in this case.</p>
 <div class="admonition warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">Setting an expire callback with this API will cause <a class="reference internal" href="krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_password()</span></code></a> not to send password expiry warnings to the prompter, as it ordinarily may.</p>
+<p class="admonition-title">Warning</p>
+<p>Setting an expire callback with this API will cause krb5_get_init_creds_password() not to send password expiry warnings to the prompter, as it ordinarily may.</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_expire_callback -  Set an expiration callback in initial credential options.</a></li>
@@ -145,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.html	2023-08-14 16:19:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_fast_ccache - Set FAST armor cache in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_fast_ccache_name - Set location of FAST armor ccache in initial credential options." href="krb5_get_init_creds_opt_set_fast_ccache_name.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_expire_callback - Set an expiration callback in initial credential options." href="krb5_get_init_creds_opt_set_expire_callback.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-fast-ccache-set-fast-armor-cache-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-fast-ccache-set-fast-armor-cache-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_fast_ccache -  Set FAST armor cache in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-fast-ccache-set-fast-armor-cache-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_fast_ccache">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_set_fast_ccache</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_fast_ccache" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_fast_ccache">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_fast_ccache</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_fast_ccache" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options</p>
-<p class="last"><strong>[in]</strong> <strong>ccache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is similar to <a class="reference internal" href="krb5_get_init_creds_opt_set_fast_ccache_name.html#c.krb5_get_init_creds_opt_set_fast_ccache_name" title="krb5_get_init_creds_opt_set_fast_ccache_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_set_fast_ccache_name()</span></code></a> , but uses a credential cache handle instead of a name.</p>
+<p><strong>[in]</strong> <strong>ccache</strong> - Credential cache handle</p>
+</dd>
+</dl>
+<p>This function is similar to krb5_get_init_creds_opt_set_fast_ccache_name(), but uses a credential cache handle instead of a name.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_fast_ccache -  Set FAST armor cache in initial credential options.</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.html	2023-08-14 16:19:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_fast_ccache_name - Set location of FAST armor ccache in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_fast_flags - Set FAST flags in initial credential options." href="krb5_get_init_creds_opt_set_fast_flags.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_fast_ccache - Set FAST armor cache in initial credential options." href="krb5_get_init_creds_opt_set_fast_ccache.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-fast-ccache-name-set-location-of-fast-armor-ccache-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-fast-ccache-name-set-location-of-fast-armor-ccache-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_fast_ccache_name -  Set location of FAST armor ccache in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-fast-ccache-name-set-location-of-fast-armor-ccache-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_fast_ccache_name">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_set_fast_ccache_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, const char *<em>&nbsp;fast_ccache_name</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_fast_ccache_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_fast_ccache_name">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_fast_ccache_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">fast_ccache_name</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_fast_ccache_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options</p>
-<p class="last"><strong>[in]</strong> <strong>fast_ccache_name</strong> - Credential cache name</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>fast_ccache_name</strong> - Credential cache name</p>
+</dd>
+</dl>
 <p>Sets the location of a credential cache containing an armor ticket to protect an initial credential exchange using the FAST protocol extension.</p>
-<p>In version 1.7, setting an armor ccache requires that FAST be used for the exchange. In version 1.8 or later, setting the armor ccache causes FAST to be used if the KDC supports it; <a class="reference internal" href="krb5_get_init_creds_opt_set_fast_flags.html#c.krb5_get_init_creds_opt_set_fast_flags" title="krb5_get_init_creds_opt_set_fast_flags"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_set_fast_flags()</span></code></a> must be used to require that FAST be used.</p>
-</div>
+<p>In version 1.7, setting an armor ccache requires that FAST be used for the exchange. In version 1.8 or later, setting the armor ccache causes FAST to be used if the KDC supports it; krb5_get_init_creds_opt_set_fast_flags() must be used to require that FAST be used.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_fast_ccache_name -  Set location of FAST armor ccache in initial credential options.</a></li>
@@ -132,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.html	2023-08-14 16:19:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_fast_flags - Set FAST flags in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_forwardable - Set or unset the forwardable flag in initial credential options." href="krb5_get_init_creds_opt_set_forwardable.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_fast_ccache_name - Set location of FAST armor ccache in initial credential options." href="krb5_get_init_creds_opt_set_fast_ccache_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-fast-flags-set-fast-flags-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-fast-flags-set-fast-flags-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_fast_flags -  Set FAST flags in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-fast-flags-set-fast-flags-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_fast_flags">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_set_fast_flags</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_fast_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_fast_flags">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_fast_flags</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_fast_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options</p>
-<p class="last"><strong>[in]</strong> <strong>flags</strong> - FAST flags</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   - Success; Kerberos errors otherwise.</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>flags</strong> - FAST flags</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   - Success; Kerberos errors otherwise.</p></li>
+</ul>
+</dd>
+</dl>
 <p>The following flag values are valid:</p>
 <blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_FAST_REQUIRED.html#KRB5_FAST_REQUIRED" title="KRB5_FAST_REQUIRED"><code class="xref py py-data docutils literal"><span class="pre">KRB5_FAST_REQUIRED</span></code></a> - Require FAST to be used</li>
+<li><p>#KRB5_FAST_REQUIRED - Require FAST to be used</p></li>
 </ul>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_fast_flags -  Set FAST flags in initial credential options.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_forwardable.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_forwardable.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_forwardable.html	2023-08-14 16:19:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_forwardable.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_forwardable - Set or unset the forwardable flag in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_in_ccache - Set an input credential cache in initial credential options." href="krb5_get_init_creds_opt_set_in_ccache.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_fast_flags - Set FAST flags in initial credential options." href="krb5_get_init_creds_opt_set_fast_flags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-forwardable-set-or-unset-the-forwardable-flag-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-forwardable-set-or-unset-the-forwardable-flag-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_forwardable -  Set or unset the forwardable flag in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-forwardable-set-or-unset-the-forwardable-flag-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_forwardable">
-void <code class="descname">krb5_get_init_creds_opt_set_forwardable</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, int<em>&nbsp;forwardable</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_forwardable" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_forwardable">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_forwardable</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">forwardable</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_forwardable" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
-<p class="last"><strong>[in]</strong> <strong>forwardable</strong> - Whether credentials should be forwardable</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<p><strong>[in]</strong> <strong>forwardable</strong> - Whether credentials should be forwardable</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_forwardable -  Set or unset the forwardable flag in initial credential options.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache.html	2023-08-14 16:19:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_in_ccache - Set an input credential cache in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_out_ccache - Set an output credential cache in initial credential options." href="krb5_get_init_creds_opt_set_out_ccache.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_forwardable - Set or unset the forwardable flag in initial credential options." href="krb5_get_init_creds_opt_set_forwardable.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-in-ccache-set-an-input-credential-cache-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-in-ccache-set-an-input-credential-cache-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_in_ccache -  Set an input credential cache in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-in-ccache-set-an-input-credential-cache-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_in_ccache">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_set_in_ccache</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_in_ccache" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_in_ccache">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_in_ccache</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_in_ccache" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options</p>
-<p class="last"><strong>[in]</strong> <strong>ccache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>ccache</strong> - Credential cache handle</p>
+</dd>
+</dl>
 <p>If an input credential cache is set, then the krb5_get_init_creds family of APIs will read settings from it. Setting an input ccache is desirable when the application wishes to perform authentication in the same way (using the same preauthentication mechanisms, and making the same non-security- sensitive choices) as the previous authentication attempt, which stored information in the passed-in ccache.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_in_ccache -  Set an input credential cache in initial credential options.</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache.html	2023-08-14 16:19:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_out_ccache - Set an output credential cache in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_pa - Supply options for preauthentication in initial credential options." href="krb5_get_init_creds_opt_set_pa.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_in_ccache - Set an input credential cache in initial credential options." href="krb5_get_init_creds_opt_set_in_ccache.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-out-ccache-set-an-output-credential-cache-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-out-ccache-set-an-output-credential-cache-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_out_ccache -  Set an output credential cache in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-out-ccache-set-an-output-credential-cache-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_out_ccache">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_set_out_ccache</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_out_ccache" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_out_ccache">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_out_ccache</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_out_ccache" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options</p>
-<p class="last"><strong>[in]</strong> <strong>ccache</strong> - Credential cache handle</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>ccache</strong> - Credential cache handle</p>
+</dd>
+</dl>
 <p>If an output credential cache is set, then the krb5_get_init_creds family of APIs will write credentials to it. Setting an output ccache is desirable both because it simplifies calling code and because it permits the krb5_get_init_creds APIs to write out configuration information about the realm to the ccache.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_out_ccache -  Set an output credential cache in initial credential options.</a></li>
@@ -131,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_pa.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_pa.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_pa.html	2023-08-14 16:19:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_pa.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_pa - Supply options for preauthentication in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_pac_request - Ask the KDC to include or not include a PAC in the ticket." href="krb5_get_init_creds_opt_set_pac_request.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_out_ccache - Set an output credential cache in initial credential options." href="krb5_get_init_creds_opt_set_out_ccache.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-pa-supply-options-for-preauthentication-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-pa-supply-options-for-preauthentication-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_pa -  Supply options for preauthentication in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-pa-supply-options-for-preauthentication-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_pa">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_set_pa</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, const char *<em>&nbsp;attr</em>, const char *<em>&nbsp;value</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_pa" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_pa">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_pa</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">attr</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">value</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_pa" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
 <p><strong>[in]</strong> <strong>attr</strong> - Preauthentication option name</p>
-<p class="last"><strong>[in]</strong> <strong>value</strong> - Preauthentication option value</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>value</strong> - Preauthentication option value</p>
+</dd>
+</dl>
 <p>This function allows the caller to supply options for preauthentication. The values of <em>attr</em> and <em>value</em> are supplied to each preauthentication module available within <em>context</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_pa -  Supply options for preauthentication in initial credential options.</a></li>
@@ -132,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_pac_request.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_pac_request.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_pac_request.html	2023-08-14 16:19:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_pac_request.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_pac_request - Ask the KDC to include or not include a PAC in the ticket. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_preauth_list - Set preauthentication types in initial credential options." href="krb5_get_init_creds_opt_set_preauth_list.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_pa - Supply options for preauthentication in initial credential options." href="krb5_get_init_creds_opt_set_pa.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-pac-request-ask-the-kdc-to-include-or-not-include-a-pac-in-the-ticket">
+  <section id="krb5-get-init-creds-opt-set-pac-request-ask-the-kdc-to-include-or-not-include-a-pac-in-the-ticket">
 <h1>krb5_get_init_creds_opt_set_pac_request -  Ask the KDC to include or not include a PAC in the ticket.<a class="headerlink" href="#krb5-get-init-creds-opt-set-pac-request-ask-the-kdc-to-include-or-not-include-a-pac-in-the-ticket" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_pac_request">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_set_pac_request</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a><em>&nbsp;req_pac</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_pac_request" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_pac_request">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_pac_request</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="n"><span class="pre">req_pac</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_pac_request" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
-<p class="last"><strong>[in]</strong> <strong>req_pac</strong> - Whether to request a PAC or not</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>req_pac</strong> - Whether to request a PAC or not</p>
+</dd>
+</dl>
 <p>If this option is set, the AS request will include a PAC-REQUEST pa-data item explicitly asking the KDC to either include or not include a privilege attribute certificate in the ticket authorization data. By default, no request is made; typically the KDC will default to including a PAC if it supports them.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.15</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.15</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_pac_request -  Ask the KDC to include or not include a PAC in the ticket.</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.html	2023-08-14 16:19:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_preauth_list - Set preauthentication types in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_proxiable - Set or unset the proxiable flag in initial credential options." href="krb5_get_init_creds_opt_set_proxiable.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_pac_request - Ask the KDC to include or not include a PAC in the ticket." href="krb5_get_init_creds_opt_set_pac_request.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-preauth-list-set-preauthentication-types-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-preauth-list-set-preauthentication-types-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_preauth_list -  Set preauthentication types in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-preauth-list-set-preauthentication-types-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_preauth_list">
-void <code class="descname">krb5_get_init_creds_opt_set_preauth_list</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype">krb5_preauthtype</a> *<em>&nbsp;preauth_list</em>, int<em>&nbsp;preauth_list_length</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_preauth_list" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_preauth_list">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_preauth_list</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype"><span class="n"><span class="pre">krb5_preauthtype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">preauth_list</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">preauth_list_length</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_preauth_list" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
 <p><strong>[in]</strong> <strong>preauth_list</strong> - Array of preauthentication types</p>
-<p class="last"><strong>[in]</strong> <strong>preauth_list_length</strong> - Length of <em>preauth_list</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function can be used to perform optimistic preauthentication when getting initial credentials, in combination with <a class="reference internal" href="krb5_get_init_creds_opt_set_salt.html#c.krb5_get_init_creds_opt_set_salt" title="krb5_get_init_creds_opt_set_salt"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_set_salt()</span></code></a> and <a class="reference internal" href="krb5_get_init_creds_opt_set_pa.html#c.krb5_get_init_creds_opt_set_pa" title="krb5_get_init_creds_opt_set_pa"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_opt_set_pa()</span></code></a> .</p>
-</div>
+<p><strong>[in]</strong> <strong>preauth_list_length</strong> - Length of <em>preauth_list</em></p>
+</dd>
+</dl>
+<p>This function can be used to perform optimistic preauthentication when getting initial credentials, in combination with krb5_get_init_creds_opt_set_salt() and krb5_get_init_creds_opt_set_pa().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_preauth_list -  Set preauthentication types in initial credential options.</a></li>
@@ -131,6 +120,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_proxiable.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_proxiable.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_proxiable.html	2023-08-14 16:19:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_proxiable.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_proxiable - Set or unset the proxiable flag in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_renew_life - Set the ticket renewal lifetime in initial credential options." href="krb5_get_init_creds_opt_set_renew_life.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_preauth_list - Set preauthentication types in initial credential options." href="krb5_get_init_creds_opt_set_preauth_list.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-proxiable-set-or-unset-the-proxiable-flag-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-proxiable-set-or-unset-the-proxiable-flag-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_proxiable -  Set or unset the proxiable flag in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-proxiable-set-or-unset-the-proxiable-flag-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_proxiable">
-void <code class="descname">krb5_get_init_creds_opt_set_proxiable</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, int<em>&nbsp;proxiable</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_proxiable" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_proxiable">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_proxiable</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">proxiable</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_proxiable" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
-<p class="last"><strong>[in]</strong> <strong>proxiable</strong> - Whether credentials should be proxiable</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<p><strong>[in]</strong> <strong>proxiable</strong> - Whether credentials should be proxiable</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_proxiable -  Set or unset the proxiable flag in initial credential options.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_renew_life.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_renew_life.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_renew_life.html	2023-08-14 16:19:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_renew_life.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_renew_life - Set the ticket renewal lifetime in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_responder - Set the responder function in initial credential options." href="krb5_get_init_creds_opt_set_responder.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_proxiable - Set or unset the proxiable flag in initial credential options." href="krb5_get_init_creds_opt_set_proxiable.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-renew-life-set-the-ticket-renewal-lifetime-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-renew-life-set-the-ticket-renewal-lifetime-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_renew_life -  Set the ticket renewal lifetime in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-renew-life-set-the-ticket-renewal-lifetime-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_renew_life">
-void <code class="descname">krb5_get_init_creds_opt_set_renew_life</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat">krb5_deltat</a><em>&nbsp;renew_life</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_renew_life" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_renew_life">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_renew_life</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat"><span class="n"><span class="pre">krb5_deltat</span></span></a><span class="w"> </span><span class="n"><span class="pre">renew_life</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_renew_life" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Pointer to <em>options</em> field</p>
-<p class="last"><strong>[in]</strong> <strong>renew_life</strong> - Ticket renewal lifetime</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Pointer to <em>options</em> field</p>
+<p><strong>[in]</strong> <strong>renew_life</strong> - Ticket renewal lifetime</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_renew_life -  Set the ticket renewal lifetime in initial credential options.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_responder.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_responder.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_responder.html	2023-08-14 16:19:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_responder.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_responder - Set the responder function in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_salt - Set salt for optimistic preauthentication in initial credential options." href="krb5_get_init_creds_opt_set_salt.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_renew_life - Set the ticket renewal lifetime in initial credential options." href="krb5_get_init_creds_opt_set_renew_life.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-responder-set-the-responder-function-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-responder-set-the-responder-function-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_responder -  Set the responder function in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-responder-set-the-responder-function-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_responder">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_opt_set_responder</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_responder_fn.html#c.krb5_responder_fn" title="krb5_responder_fn">krb5_responder_fn</a><em>&nbsp;responder</em>, void *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_responder" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_responder">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_responder</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_responder_fn.html#c.krb5_responder_fn" title="krb5_responder_fn"><span class="n"><span class="pre">krb5_responder_fn</span></span></a><span class="w"> </span><span class="n"><span class="pre">responder</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_responder" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
 <p><strong>[in]</strong> <strong>responder</strong> - Responder function</p>
-<p class="last"><strong>[in]</strong> <strong>data</strong> - Responder data argument</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>data</strong> - Responder data argument</p>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_responder -  Set the responder function in initial credential options.</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_salt.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_salt.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_salt.html	2023-08-14 16:19:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_salt.html	2024-06-26 20:01:01.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_salt - Set salt for optimistic preauthentication in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt_set_tkt_life - Set the ticket lifetime in initial credential options." href="krb5_get_init_creds_opt_set_tkt_life.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_responder - Set the responder function in initial credential options." href="krb5_get_init_creds_opt_set_responder.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-salt-set-salt-for-optimistic-preauthentication-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-salt-set-salt-for-optimistic-preauthentication-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_salt -  Set salt for optimistic preauthentication in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-salt-set-salt-for-optimistic-preauthentication-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_salt">
-void <code class="descname">krb5_get_init_creds_opt_set_salt</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;salt</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_salt" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_salt">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_salt</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">salt</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_salt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
-<p class="last"><strong>[in]</strong> <strong>salt</strong> - Salt data</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<p><strong>[in]</strong> <strong>salt</strong> - Salt data</p>
+</dd>
+</dl>
 <p>When getting initial credentials with a password, a salt string it used to convert the password to a key. Normally this salt is obtained from the first KDC reply, but when performing optimistic preauthentication, the client may need to supply the salt string with this function.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_salt -  Set salt for optimistic preauthentication in initial credential options.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life.html	2023-08-14 16:19:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt_set_tkt_life - Set the ticket lifetime in initial credential options. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_password - Get initial credentials using a password." href="krb5_get_init_creds_password.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_salt - Set salt for optimistic preauthentication in initial credential options." href="krb5_get_init_creds_opt_set_salt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-set-tkt-life-set-the-ticket-lifetime-in-initial-credential-options">
+  <section id="krb5-get-init-creds-opt-set-tkt-life-set-the-ticket-lifetime-in-initial-credential-options">
 <h1>krb5_get_init_creds_opt_set_tkt_life -  Set the ticket lifetime in initial credential options.<a class="headerlink" href="#krb5-get-init-creds-opt-set-tkt-life-set-the-ticket-lifetime-in-initial-credential-options" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_opt_set_tkt_life">
-void <code class="descname">krb5_get_init_creds_opt_set_tkt_life</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;opt</em>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat">krb5_deltat</a><em>&nbsp;tkt_life</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_tkt_life" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt_set_tkt_life">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt_set_tkt_life</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">opt</span></span>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat"><span class="n"><span class="pre">krb5_deltat</span></span></a><span class="w"> </span><span class="n"><span class="pre">tkt_life</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_opt_set_tkt_life" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
-<p class="last"><strong>[in]</strong> <strong>tkt_life</strong> - Ticket lifetime</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>opt</strong> - Options structure</p>
+<p><strong>[in]</strong> <strong>tkt_life</strong> - Ticket lifetime</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt_set_tkt_life -  Set the ticket lifetime in initial credential options.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_get_ini
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_get_ini
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_password.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_password.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_init_creds_password.html	2023-08-14 16:19:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_init_creds_password.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_password - Get initial credentials using a password. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_profile - Retrieve configuration profile from the context." href="krb5_get_profile.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_set_tkt_life - Set the ticket lifetime in initial credential options." href="krb5_get_init_creds_opt_set_tkt_life.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,18 +52,16 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-password-get-initial-credentials-using-a-password">
+  <section id="krb5-get-init-creds-password-get-initial-credentials-using-a-password">
 <h1>krb5_get_init_creds_password -  Get initial credentials using a password.<a class="headerlink" href="#krb5-get-init-creds-password-get-initial-credentials-using-a-password" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_init_creds_password">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_init_creds_password</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;client</em>, const char *<em>&nbsp;password</em>, <a class="reference internal" href="../types/krb5_prompter_fct.html#c.krb5_prompter_fct" title="krb5_prompter_fct">krb5_prompter_fct</a><em>&nbsp;prompter</em>, void *<em>&nbsp;data</em>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat">krb5_deltat</a><em>&nbsp;start_time</em>, const char *<em>&nbsp;in_tkt_service</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;k5_gic_options</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_password" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_password">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_password</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">client</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">password</span></span>, <a class="reference internal" href="../types/krb5_prompter_fct.html#c.krb5_prompter_fct" title="krb5_prompter_fct"><span class="n"><span class="pre">krb5_prompter_fct</span></span></a><span class="w"> </span><span class="n"><span class="pre">prompter</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat"><span class="n"><span class="pre">krb5_deltat</span></span></a><span class="w"> </span><span class="n"><span class="pre">start_time</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_tkt_service</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k5_gic_options</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_init_creds_password" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>creds</strong> - New credentials</p>
 <p><strong>[in]</strong> <strong>client</strong> - Client principal</p>
 <p><strong>[in]</strong> <strong>password</strong> - Password (or NULL)</p>
@@ -80,45 +69,41 @@
 <p><strong>[in]</strong> <strong>data</strong> - Prompter callback data</p>
 <p><strong>[in]</strong> <strong>start_time</strong> - Time when ticket becomes valid (0 for now)</p>
 <p><strong>[in]</strong> <strong>in_tkt_service</strong> - Service name of initial credentials (or NULL)</p>
-<p class="last"><strong>[in]</strong> <strong>k5_gic_options</strong> - Initial credential options</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>EINVAL   Invalid argument</li>
-<li>KRB5_KDC_UNREACH   Cannot contact any KDC for requested realm</li>
-<li>KRB5_PREAUTH_FAILED   Generic Pre-athentication failure</li>
-<li>KRB5_LIBOS_PWDINTR   Password read interrupted</li>
-<li>KRB5_REALM_CANT_RESOLVE   Cannot resolve network address for KDC in requested realm</li>
-<li>KRB5KDC_ERR_KEY_EXP   Password has expired</li>
-<li>KRB5_LIBOS_BADPWDMATCH   Password mismatch</li>
-<li>KRB5_CHPW_PWDNULL   New password cannot be zero length</li>
-<li>KRB5_CHPW_FAIL   Password change failed</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>k5_gic_options</strong> - Initial credential options</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>EINVAL   Invalid argument</p></li>
+<li><p>KRB5_KDC_UNREACH   Cannot contact any KDC for requested realm</p></li>
+<li><p>KRB5_PREAUTH_FAILED   Generic Pre-athentication failure</p></li>
+<li><p>KRB5_LIBOS_PWDINTR   Password read interrupted</p></li>
+<li><p>KRB5_REALM_CANT_RESOLVE   Cannot resolve network address for KDC in requested realm</p></li>
+<li><p>KRB5KDC_ERR_KEY_EXP   Password has expired</p></li>
+<li><p>KRB5_LIBOS_BADPWDMATCH   Password mismatch</p></li>
+<li><p>KRB5_CHPW_PWDNULL   New password cannot be zero length</p></li>
+<li><p>KRB5_CHPW_FAIL   Password change failed</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function requests KDC for an initial credentials for <em>client</em> using <em>password</em> . If <em>password</em> is NULL, a password will be prompted for using <em>prompter</em> if necessary. If <em>in_tkt_service</em> is specified, it is parsed as a principal name (with the realm ignored) and used as the service principal for the request; otherwise the ticket-granting service is used.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_password -  Get initial credentials using a password.</a></li>
@@ -162,6 +147,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -169,8 +155,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_permitted_enctypes.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_permitted_enctypes.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_permitted_enctypes.html	2023-08-14 16:19:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_permitted_enctypes.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_permitted_enctypes - Return a list of encryption types permitted for session keys. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_server_rcache - Generate a replay cache object for server use and open it." href="krb5_get_server_rcache.html" />
     <link rel="prev" title="krb5_get_etype_info - Retrieve enctype, salt and s2kparams from KDC." href="krb5_get_etype_info.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-permitted-enctypes-return-a-list-of-encryption-types-permitted-for-session-keys">
+  <section id="krb5-get-permitted-enctypes-return-a-list-of-encryption-types-permitted-for-session-keys">
 <h1>krb5_get_permitted_enctypes -  Return a list of encryption types permitted for session keys.<a class="headerlink" href="#krb5-get-permitted-enctypes-return-a-list-of-encryption-types-permitted-for-session-keys" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_permitted_enctypes">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_permitted_enctypes</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> **<em>&nbsp;ktypes</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_permitted_enctypes" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_permitted_enctypes">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_permitted_enctypes</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ktypes</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_permitted_enctypes" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>ktypes</strong> - Zero-terminated list of encryption types</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>ktypes</strong> - Zero-terminated list of encryption types</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function returns the list of encryption types permitted for session keys within <em>context</em> , as determined by configuration or by a previous call to <a class="reference internal" href="krb5_set_default_tgs_enctypes.html#c.krb5_set_default_tgs_enctypes" title="krb5_set_default_tgs_enctypes"><code class="xref c c-func docutils literal"><span class="pre">krb5_set_default_tgs_enctypes()</span></code></a> .</p>
-<p>Use <a class="reference internal" href="krb5_free_enctypes.html#c.krb5_free_enctypes" title="krb5_free_enctypes"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_enctypes()</span></code></a> to free <em>ktypes</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function returns the list of encryption types permitted for session keys within <em>context</em> , as determined by configuration or by a previous call to krb5_set_default_tgs_enctypes().</p>
+<p>Use krb5_free_enctypes() to free <em>ktypes</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_permitted_enctypes -  Return a list of encryption types permitted for session keys.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_profile.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_profile.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_profile.html	2023-08-14 16:19:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_profile.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_profile - Retrieve configuration profile from the context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_prompt_types - Get prompt types array from a context." href="krb5_get_prompt_types.html" />
     <link rel="prev" title="krb5_get_init_creds_password - Get initial credentials using a password." href="krb5_get_init_creds_password.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-profile-retrieve-configuration-profile-from-the-context">
+  <section id="krb5-get-profile-retrieve-configuration-profile-from-the-context">
 <h1>krb5_get_profile -  Retrieve configuration profile from the context.<a class="headerlink" href="#krb5-get-profile-retrieve-configuration-profile-from-the-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_profile">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_profile</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, struct _profile_t **<em>&nbsp;profile</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_profile" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_profile">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_profile</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">struct</span></span><span class="w"> </span><span class="n"><span class="pre">_profile_t</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">profile</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_profile" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>profile</strong> - Pointer to data read from a configuration file</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>profile</strong> - Pointer to data read from a configuration file</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function creates a new <em>profile</em> object that reflects profile in the supplied <em>context</em> .</p>
 <p>The <em>profile</em> object may be freed with profile_release() function. See profile.h and profile API for more details.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_profile -  Retrieve configuration profile from the context.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_prompt_types.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_prompt_types.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_prompt_types.html	2023-08-14 16:19:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_prompt_types.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_prompt_types - Get prompt types array from a context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_renewed_creds - Get renewed credential from KDC using an existing credential." href="krb5_get_renewed_creds.html" />
     <link rel="prev" title="krb5_get_profile - Retrieve configuration profile from the context." href="krb5_get_profile.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-prompt-types-get-prompt-types-array-from-a-context">
+  <section id="krb5-get-prompt-types-get-prompt-types-array-from-a-context">
 <h1>krb5_get_prompt_types -  Get prompt types array from a context.<a class="headerlink" href="#krb5-get-prompt-types-get-prompt-types-array-from-a-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_prompt_types">
-<a class="reference internal" href="../types/krb5_prompt_type.html#c.krb5_prompt_type" title="krb5_prompt_type">krb5_prompt_type</a> * <code class="descname">krb5_get_prompt_types</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_prompt_types" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_prompt_types">
+<a class="reference internal" href="../types/krb5_prompt_type.html#c.krb5_prompt_type" title="krb5_prompt_type"><span class="n"><span class="pre">krb5_prompt_type</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_prompt_types</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_prompt_types" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>context</strong> - Library context</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Pointer to an array of prompt types corresponding to the prompter’s prompts arguments. Each type has one of the following values: KRB5_PROMPT_TYPE_PASSWORD KRB5_PROMPT_TYPE_NEW_PASSWORD KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN KRB5_PROMPT_TYPE_PREAUTH</li>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>Pointer to an array of prompt types corresponding to the prompter’s prompts arguments. Each type has one of the following values: #KRB5_PROMPT_TYPE_PASSWORD #KRB5_PROMPT_TYPE_NEW_PASSWORD #KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN #KRB5_PROMPT_TYPE_PREAUTH</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_prompt_types -  Get prompt types array from a context.</a></li>
@@ -138,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -145,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_renewed_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_renewed_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_renewed_creds.html	2023-08-14 16:19:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_renewed_creds.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_renewed_creds - Get renewed credential from KDC using an existing credential. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_validated_creds - Get validated credentials from the KDC." href="krb5_get_validated_creds.html" />
     <link rel="prev" title="krb5_get_prompt_types - Get prompt types array from a context." href="krb5_get_prompt_types.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-renewed-creds-get-renewed-credential-from-kdc-using-an-existing-credential">
+  <section id="krb5-get-renewed-creds-get-renewed-credential-from-kdc-using-an-existing-credential">
 <h1>krb5_get_renewed_creds -  Get renewed credential from KDC using an existing credential.<a class="headerlink" href="#krb5-get-renewed-creds-get-renewed-credential-from-kdc-using-an-existing-credential" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_renewed_creds">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_renewed_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;client</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, const char *<em>&nbsp;in_tkt_service</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_renewed_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_renewed_creds">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_renewed_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">client</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_tkt_service</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_renewed_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>creds</strong> - Renewed credentials</p>
 <p><strong>[in]</strong> <strong>client</strong> - Client principal name</p>
 <p><strong>[in]</strong> <strong>ccache</strong> - Credential cache</p>
-<p class="last"><strong>[in]</strong> <strong>in_tkt_service</strong> - Server principal string (or NULL)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>in_tkt_service</strong> - Server principal string (or NULL)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function gets a renewed credential using an existing one from <em>ccache</em> . If <em>in_tkt_service</em> is specified, it is parsed (with the realm part ignored) and used as the server principal of the credential; otherwise, the ticket-granting service is used.</p>
 <p>If successful, the renewed credential is placed in <em>creds</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_renewed_creds -  Get renewed credential from KDC using an existing credential.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_server_rcache.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_server_rcache.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_server_rcache.html	2023-08-14 16:19:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_server_rcache.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_server_rcache - Generate a replay cache object for server use and open it. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_time_offsets - Return the time offsets from the os context." href="krb5_get_time_offsets.html" />
     <link rel="prev" title="krb5_get_permitted_enctypes - Return a list of encryption types permitted for session keys." href="krb5_get_permitted_enctypes.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-server-rcache-generate-a-replay-cache-object-for-server-use-and-open-it">
+  <section id="krb5-get-server-rcache-generate-a-replay-cache-object-for-server-use-and-open-it">
 <h1>krb5_get_server_rcache -  Generate a replay cache object for server use and open it.<a class="headerlink" href="#krb5-get-server-rcache-generate-a-replay-cache-object-for-server-use-and-open-it" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_server_rcache">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_server_rcache</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;piece</em>, <a class="reference internal" href="../types/krb5_rcache.html#c.krb5_rcache" title="krb5_rcache">krb5_rcache</a> *<em>&nbsp;rcptr</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_server_rcache" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_server_rcache">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_server_rcache</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">piece</span></span>, <a class="reference internal" href="../types/krb5_rcache.html#c.krb5_rcache" title="krb5_rcache"><span class="n"><span class="pre">krb5_rcache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rcptr</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_server_rcache" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>piece</strong> - Unused (replay cache identifier)</p>
-<p class="last"><strong>[out]</strong> <strong>rcptr</strong> - Handle to an open rcache</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>rcptr</strong> - Handle to an open rcache</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function creates a handle to the default replay cache. Use krb5_rc_close() to close <em>rcptr</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">Prior to release 1.18, this function creates a handle to a different replay cache for each unique value of <em>piece</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>Prior to release 1.18, this function creates a handle to a different replay cache for each unique value of <em>piece</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_server_rcache -  Generate a replay cache object for server use and open it.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_time_offsets.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_time_offsets.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_time_offsets.html	2023-08-14 16:19:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_time_offsets.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_time_offsets - Return the time offsets from the os context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_context_profile - Create a krb5 library context using a specified profile." href="krb5_init_context_profile.html" />
     <link rel="prev" title="krb5_get_server_rcache - Generate a replay cache object for server use and open it." href="krb5_get_server_rcache.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-time-offsets-return-the-time-offsets-from-the-os-context">
+  <section id="krb5-get-time-offsets-return-the-time-offsets-from-the-os-context">
 <h1>krb5_get_time_offsets -  Return the time offsets from the os context.<a class="headerlink" href="#krb5-get-time-offsets-return-the-time-offsets-from-the-os-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_time_offsets">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_time_offsets</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a> *<em>&nbsp;seconds</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a> *<em>&nbsp;microseconds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_time_offsets" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_time_offsets">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_time_offsets</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">seconds</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">microseconds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_time_offsets" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>seconds</strong> - Time offset, seconds portion</p>
-<p class="last"><strong>[out]</strong> <strong>microseconds</strong> - Time offset, microseconds portion</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>microseconds</strong> - Time offset, microseconds portion</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function returns the time offsets in <em>context</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_time_offsets -  Return the time offsets from the os context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_get_validated_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_get_validated_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_get_validated_creds.html	2023-08-14 16:19:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_get_validated_creds.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_validated_creds - Get validated credentials from the KDC. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_context - Create a krb5 library context." href="krb5_init_context.html" />
     <link rel="prev" title="krb5_get_renewed_creds - Get renewed credential from KDC using an existing credential." href="krb5_get_renewed_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,57 +52,51 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-validated-creds-get-validated-credentials-from-the-kdc">
+  <section id="krb5-get-validated-creds-get-validated-credentials-from-the-kdc">
 <h1>krb5_get_validated_creds -  Get validated credentials from the KDC.<a class="headerlink" href="#krb5-get-validated-creds-get-validated-credentials-from-the-kdc" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_get_validated_creds">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_get_validated_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;client</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, const char *<em>&nbsp;in_tkt_service</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_validated_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_get_validated_creds">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_validated_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">client</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_tkt_service</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_get_validated_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>creds</strong> - Validated credentials</p>
 <p><strong>[in]</strong> <strong>client</strong> - Client principal name</p>
 <p><strong>[in]</strong> <strong>ccache</strong> - Credential cache</p>
-<p class="last"><strong>[in]</strong> <strong>in_tkt_service</strong> - Server principal string (or NULL)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>KRB5_NO_2ND_TKT   Request missing second ticket</li>
-<li>KRB5_NO_TKT_SUPPLIED   Request did not supply a ticket</li>
-<li>KRB5_PRINC_NOMATCH   Requested principal and ticket do not match</li>
-<li>KRB5_KDCREP_MODIFIED   KDC reply did not match expectations</li>
-<li>KRB5_KDCREP_SKEW   Clock skew too great in KDC reply</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>in_tkt_service</strong> - Server principal string (or NULL)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KRB5_NO_2ND_TKT   Request missing second ticket</p></li>
+<li><p>KRB5_NO_TKT_SUPPLIED   Request did not supply a ticket</p></li>
+<li><p>KRB5_PRINC_NOMATCH   Requested principal and ticket do not match</p></li>
+<li><p>KRB5_KDCREP_MODIFIED   KDC reply did not match expectations</p></li>
+<li><p>KRB5_KDCREP_SKEW   Clock skew too great in KDC reply</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function gets a validated credential using a postdated credential from <em>ccache</em> . If <em>in_tkt_service</em> is specified, it is parsed (with the realm part ignored) and used as the server principal of the credential; otherwise, the ticket-granting service is used.</p>
 <p>If successful, the validated credential is placed in <em>creds</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_validated_creds -  Get validated credentials from the KDC.</a></li>
@@ -155,6 +140,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +148,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_context.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_context.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_context.html	2023-08-14 16:19:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_context.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_context - Create a krb5 library context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_secure_context - Create a krb5 library context using only configuration files." href="krb5_init_secure_context.html" />
     <link rel="prev" title="krb5_get_validated_creds - Get validated credentials from the KDC." href="krb5_get_validated_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-context-create-a-krb5-library-context">
+  <section id="krb5-init-context-create-a-krb5-library-context">
 <h1>krb5_init_context -  Create a krb5 library context.<a class="headerlink" href="#krb5-init-context-create-a-krb5-library-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_context">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_context</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a> *<em>&nbsp;context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_context" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_context">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_context</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_context" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[out]</strong> <strong>context</strong> - Library context</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>The <em>context</em> must be released by calling <a class="reference internal" href="krb5_free_context.html#c.krb5_free_context" title="krb5_free_context"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_context()</span></code></a> when it is no longer needed.</p>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[out]</strong> <strong>context</strong> - Library context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>The <em>context</em> must be released by calling krb5_free_context() when it is no longer needed.</p>
 <div class="admonition warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">Any program or module that needs the Kerberos code to not trust the environment must use <a class="reference internal" href="krb5_init_secure_context.html#c.krb5_init_secure_context" title="krb5_init_secure_context"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_secure_context()</span></code></a> , or clean out the environment.</p>
-</div>
+<p class="admonition-title">Warning</p>
+<p>Any program or module that needs the Kerberos code to not trust the environment must use krb5_init_secure_context(), or clean out the environment.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_context -  Create a krb5 library context.</a></li>
@@ -148,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_context_profile.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_context_profile.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_context_profile.html	2023-08-14 16:19:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_context_profile.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_context_profile - Create a krb5 library context using a specified profile. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_free - Free an initial credentials context." href="krb5_init_creds_free.html" />
     <link rel="prev" title="krb5_get_time_offsets - Return the time offsets from the os context." href="krb5_get_time_offsets.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,39 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-context-profile-create-a-krb5-library-context-using-a-specified-profile">
+  <section id="krb5-init-context-profile-create-a-krb5-library-context-using-a-specified-profile">
 <h1>krb5_init_context_profile -  Create a krb5 library context using a specified profile.<a class="headerlink" href="#krb5-init-context-profile-create-a-krb5-library-context-using-a-specified-profile" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_context_profile">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_context_profile</code><span class="sig-paren">(</span>struct _profile_t *<em>&nbsp;profile</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;flags</em>, <a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a> *<em>&nbsp;context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_context_profile" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_context_profile">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_context_profile</span></span></span><span class="sig-paren">(</span><span class="k"><span class="pre">struct</span></span><span class="w"> </span><span class="n"><span class="pre">_profile_t</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">profile</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">flags</span></span>, <a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_context_profile" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>profile</strong> - Profile object (NULL to create default profile)</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>profile</strong> - Profile object (NULL to create default profile)</p>
 <p><strong>[in]</strong> <strong>flags</strong> - Context initialization flags</p>
-<p class="last"><strong>[out]</strong> <strong>context</strong> - Library context</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>context</strong> - Library context</p>
+</dd>
+</dl>
 <p>Create a context structure, optionally using a specified profile and initialization flags. If <em>profile</em> is NULL, the default profile will be created from config files. If <em>profile</em> is non-null, a copy of it will be made for the new context; the caller should still clean up its copy. Valid flag values are:</p>
 <blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_INIT_CONTEXT_SECURE.html#KRB5_INIT_CONTEXT_SECURE" title="KRB5_INIT_CONTEXT_SECURE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_INIT_CONTEXT_SECURE</span></code></a> Ignore environment variables</li>
-<li><a class="reference internal" href="../macros/KRB5_INIT_CONTEXT_KDC.html#KRB5_INIT_CONTEXT_KDC" title="KRB5_INIT_CONTEXT_KDC"><code class="xref py py-data docutils literal"><span class="pre">KRB5_INIT_CONTEXT_KDC</span></code></a> Use KDC configuration if creating profile</li>
+<li><p>#KRB5_INIT_CONTEXT_SECURE Ignore environment variables</p></li>
+<li><p>#KRB5_INIT_CONTEXT_KDC Use KDC configuration if creating profile</p></li>
 </ul>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_context_profile -  Create a krb5 library context using a specified profile.</a></li>
@@ -137,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -144,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_free.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_free.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_free.html	2023-08-14 16:19:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_free.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_free - Free an initial credentials context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_get - Acquire credentials using an initial credentials context." href="krb5_init_creds_get.html" />
     <link rel="prev" title="krb5_init_context_profile - Create a krb5 library context using a specified profile." href="krb5_init_context_profile.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-free-free-an-initial-credentials-context">
+  <section id="krb5-init-creds-free-free-an-initial-credentials-context">
 <h1>krb5_init_creds_free -  Free an initial credentials context.<a class="headerlink" href="#krb5-init-creds-free-free-an-initial-credentials-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_free">
-void <code class="descname">krb5_init_creds_free</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a><em>&nbsp;ctx</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_free" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_free">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_free</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_free" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
+</dd>
+</dl>
 <blockquote>
-<div><em>context</em> must be the same as the one passed to <a class="reference internal" href="krb5_init_creds_init.html#c.krb5_init_creds_init" title="krb5_init_creds_init"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_init()</span></code></a> for this initial credentials context.</div></blockquote>
-</div>
+<div><p><em>context</em> must be the same as the one passed to krb5_init_creds_init() for this initial credentials context.</p>
+</div></blockquote>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_free -  Free an initial credentials context.</a></li>
@@ -131,6 +121,7 @@ void <code class="descname">krb5_init_cr
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +129,8 @@ void <code class="descname">krb5_init_cr
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_get.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_get.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_get.html	2023-08-14 16:19:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_get.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_get - Acquire credentials using an initial credentials context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_get_creds - Retrieve acquired credentials from an initial credentials context." href="krb5_init_creds_get_creds.html" />
     <link rel="prev" title="krb5_init_creds_free - Free an initial credentials context." href="krb5_init_creds_free.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-get-acquire-credentials-using-an-initial-credentials-context">
+  <section id="krb5-init-creds-get-acquire-credentials-using-an-initial-credentials-context">
 <h1>krb5_init_creds_get -  Acquire credentials using an initial credentials context.<a class="headerlink" href="#krb5-init-creds-get-acquire-credentials-using-an-initial-credentials-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_get">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_creds_get</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a><em>&nbsp;ctx</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_get" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_get">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_get</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_get" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function synchronously obtains credentials using a context created by <a class="reference internal" href="krb5_init_creds_init.html#c.krb5_init_creds_init" title="krb5_init_creds_init"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_init()</span></code></a> . On successful return, the credentials can be retrieved with <a class="reference internal" href="krb5_init_creds_get_creds.html#c.krb5_init_creds_get_creds" title="krb5_init_creds_get_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_get_creds()</span></code></a> .</p>
+</dd>
+</dl>
+<p>This function synchronously obtains credentials using a context created by krb5_init_creds_init(). On successful return, the credentials can be retrieved with krb5_init_creds_get_creds().</p>
 <blockquote>
-<div><em>context</em> must be the same as the one passed to <a class="reference internal" href="krb5_init_creds_init.html#c.krb5_init_creds_init" title="krb5_init_creds_init"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_init()</span></code></a> for this initial credentials context.</div></blockquote>
-</div>
+<div><p><em>context</em> must be the same as the one passed to krb5_init_creds_init() for this initial credentials context.</p>
+</div></blockquote>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_get -  Acquire credentials using an initial credentials context.</a></li>
@@ -143,6 +129,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +137,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_get_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_get_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_get_creds.html	2023-08-14 16:19:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_get_creds.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_get_creds - Retrieve acquired credentials from an initial credentials context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_get_error - Get the last error from KDC from an initial credentials context." href="krb5_init_creds_get_error.html" />
     <link rel="prev" title="krb5_init_creds_get - Acquire credentials using an initial credentials context." href="krb5_init_creds_get.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-get-creds-retrieve-acquired-credentials-from-an-initial-credentials-context">
+  <section id="krb5-init-creds-get-creds-retrieve-acquired-credentials-from-an-initial-credentials-context">
 <h1>krb5_init_creds_get_creds -  Retrieve acquired credentials from an initial credentials context.<a class="headerlink" href="#krb5-init-creds-get-creds-retrieve-acquired-credentials-from-an-initial-credentials-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_get_creds">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_creds_get_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_get_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_get_creds">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_get_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_get_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
-<p class="last"><strong>[out]</strong> <strong>creds</strong> - Acquired credentials</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>creds</strong> - Acquired credentials</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function copies the acquired initial credentials from <em>ctx</em> into <em>creds</em> , after the successful completion of <a class="reference internal" href="krb5_init_creds_get.html#c.krb5_init_creds_get" title="krb5_init_creds_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_get()</span></code></a> or <a class="reference internal" href="krb5_init_creds_step.html#c.krb5_init_creds_step" title="krb5_init_creds_step"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_step()</span></code></a> . Use <a class="reference internal" href="krb5_free_cred_contents.html#c.krb5_free_cred_contents" title="krb5_free_cred_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_cred_contents()</span></code></a> to free <em>creds</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function copies the acquired initial credentials from <em>ctx</em> into <em>creds</em> , after the successful completion of krb5_init_creds_get() or krb5_init_creds_step(). Use krb5_free_cred_contents() to free <em>creds</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_get_creds -  Retrieve acquired credentials from an initial credentials context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_get_error.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_get_error.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_get_error.html	2023-08-14 16:19:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_get_error.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_get_error - Get the last error from KDC from an initial credentials context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_get_times - Retrieve ticket times from an initial credentials context." href="krb5_init_creds_get_times.html" />
     <link rel="prev" title="krb5_init_creds_get_creds - Retrieve acquired credentials from an initial credentials context." href="krb5_init_creds_get_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-get-error-get-the-last-error-from-kdc-from-an-initial-credentials-context">
+  <section id="krb5-init-creds-get-error-get-the-last-error-from-kdc-from-an-initial-credentials-context">
 <h1>krb5_init_creds_get_error -  Get the last error from KDC from an initial credentials context.<a class="headerlink" href="#krb5-init-creds-get-error-get-the-last-error-from-kdc-from-an-initial-credentials-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_get_error">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_creds_get_error</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error">krb5_error</a> **<em>&nbsp;error</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_get_error" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_get_error">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_get_error</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">error</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_get_error" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
-<p class="last"><strong>[out]</strong> <strong>error</strong> - Error from KDC, or NULL if none was received</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>error</strong> - Error from KDC, or NULL if none was received</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_get_error -  Get the last error from KDC from an initial credentials context.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_get_times.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_get_times.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_get_times.html	2023-08-14 16:19:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_get_times.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_get_times - Retrieve ticket times from an initial credentials context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_init - Create a context for acquiring initial credentials." href="krb5_init_creds_init.html" />
     <link rel="prev" title="krb5_init_creds_get_error - Get the last error from KDC from an initial credentials context." href="krb5_init_creds_get_error.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-get-times-retrieve-ticket-times-from-an-initial-credentials-context">
+  <section id="krb5-init-creds-get-times-retrieve-ticket-times-from-an-initial-credentials-context">
 <h1>krb5_init_creds_get_times -  Retrieve ticket times from an initial credentials context.<a class="headerlink" href="#krb5-init-creds-get-times-retrieve-ticket-times-from-an-initial-credentials-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_get_times">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_creds_get_times</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times">krb5_ticket_times</a> *<em>&nbsp;times</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_get_times" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_get_times">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_get_times</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">times</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_get_times" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
-<p class="last"><strong>[out]</strong> <strong>times</strong> - Ticket times for acquired credentials</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>times</strong> - Ticket times for acquired credentials</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>The initial credentials context must have completed obtaining credentials via either <a class="reference internal" href="krb5_init_creds_get.html#c.krb5_init_creds_get" title="krb5_init_creds_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_get()</span></code></a> or <a class="reference internal" href="krb5_init_creds_step.html#c.krb5_init_creds_step" title="krb5_init_creds_step"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_step()</span></code></a> .</p>
-</div>
+</dd>
+</dl>
+<p>The initial credentials context must have completed obtaining credentials via either krb5_init_creds_get() or krb5_init_creds_step().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_get_times -  Retrieve ticket times from an initial credentials context.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_init.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_init.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_init.html	2023-08-14 16:19:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_init.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_init - Create a context for acquiring initial credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_set_keytab - Specify a keytab to use for acquiring initial credentials." href="krb5_init_creds_set_keytab.html" />
     <link rel="prev" title="krb5_init_creds_get_times - Retrieve ticket times from an initial credentials context." href="krb5_init_creds_get_times.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-init-create-a-context-for-acquiring-initial-credentials">
+  <section id="krb5-init-creds-init-create-a-context-for-acquiring-initial-credentials">
 <h1>krb5_init_creds_init -  Create a context for acquiring initial credentials.<a class="headerlink" href="#krb5-init-creds-init-create-a-context-for-acquiring-initial-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_init">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_creds_init</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;client</em>, <a class="reference internal" href="../types/krb5_prompter_fct.html#c.krb5_prompter_fct" title="krb5_prompter_fct">krb5_prompter_fct</a><em>&nbsp;prompter</em>, void *<em>&nbsp;data</em>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat">krb5_deltat</a><em>&nbsp;start_time</em>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt">krb5_get_init_creds_opt</a> *<em>&nbsp;options</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a> *<em>&nbsp;ctx</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_init" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_init">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_init</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">client</span></span>, <a class="reference internal" href="../types/krb5_prompter_fct.html#c.krb5_prompter_fct" title="krb5_prompter_fct"><span class="n"><span class="pre">krb5_prompter_fct</span></span></a><span class="w"> </span><span class="n"><span class="pre">prompter</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat"><span class="n"><span class="pre">krb5_deltat</span></span></a><span class="w"> </span><span class="n"><span class="pre">start_time</span></span>, <a class="reference internal" href="../types/krb5_get_init_creds_opt.html#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">options</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ctx</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_init" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>client</strong> - Client principal to get initial creds for</p>
 <p><strong>[in]</strong> <strong>prompter</strong> - Prompter callback</p>
 <p><strong>[in]</strong> <strong>data</strong> - Prompter callback argument</p>
 <p><strong>[in]</strong> <strong>start_time</strong> - Time when credentials become valid (0 for now)</p>
 <p><strong>[in]</strong> <strong>options</strong> - Options structure (NULL for default)</p>
-<p class="last"><strong>[out]</strong> <strong>ctx</strong> - New initial credentials context</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>ctx</strong> - New initial credentials context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a new context for acquiring initial credentials. Use <a class="reference internal" href="krb5_init_creds_free.html#c.krb5_init_creds_free" title="krb5_init_creds_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_free()</span></code></a> to free <em>ctx</em> when it is no longer needed.</p>
-<p>Any subsequent calls to <a class="reference internal" href="krb5_init_creds_step.html#c.krb5_init_creds_step" title="krb5_init_creds_step"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_step()</span></code></a> , <a class="reference internal" href="krb5_init_creds_get.html#c.krb5_init_creds_get" title="krb5_init_creds_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_get()</span></code></a> , or <a class="reference internal" href="krb5_init_creds_free.html#c.krb5_init_creds_free" title="krb5_init_creds_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_free()</span></code></a> for this initial credentials context must use the same <em>context</em> argument as the one passed to this function.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a new context for acquiring initial credentials. Use krb5_init_creds_free() to free <em>ctx</em> when it is no longer needed.</p>
+<p>Any subsequent calls to krb5_init_creds_step(), krb5_init_creds_get(), or krb5_init_creds_free() for this initial credentials context must use the same <em>context</em> argument as the one passed to this function.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_init -  Create a context for acquiring initial credentials.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_set_keytab.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_set_keytab.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_set_keytab.html	2023-08-14 16:19:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_set_keytab.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_set_keytab - Specify a keytab to use for acquiring initial credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_set_password - Set a password for acquiring initial credentials." href="krb5_init_creds_set_password.html" />
     <link rel="prev" title="krb5_init_creds_init - Create a context for acquiring initial credentials." href="krb5_init_creds_init.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-set-keytab-specify-a-keytab-to-use-for-acquiring-initial-credentials">
+  <section id="krb5-init-creds-set-keytab-specify-a-keytab-to-use-for-acquiring-initial-credentials">
 <h1>krb5_init_creds_set_keytab -  Specify a keytab to use for acquiring initial credentials.<a class="headerlink" href="#krb5-init-creds-set-keytab-specify-a-keytab-to-use-for-acquiring-initial-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_set_keytab">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_creds_set_keytab</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_set_keytab" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_set_keytab">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_set_keytab</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_set_keytab" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
-<p class="last"><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function supplies a keytab containing the client key for an initial credentials request.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_set_keytab -  Specify a keytab to use for acquiring initial credentials.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_set_password.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_set_password.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_set_password.html	2023-08-14 16:19:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_set_password.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_set_password - Set a password for acquiring initial credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_set_service - Specify a service principal for acquiring initial credentials." href="krb5_init_creds_set_service.html" />
     <link rel="prev" title="krb5_init_creds_set_keytab - Specify a keytab to use for acquiring initial credentials." href="krb5_init_creds_set_keytab.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-set-password-set-a-password-for-acquiring-initial-credentials">
+  <section id="krb5-init-creds-set-password-set-a-password-for-acquiring-initial-credentials">
 <h1>krb5_init_creds_set_password -  Set a password for acquiring initial credentials.<a class="headerlink" href="#krb5-init-creds-set-password-set-a-password-for-acquiring-initial-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_set_password">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_creds_set_password</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a><em>&nbsp;ctx</em>, const char *<em>&nbsp;password</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_set_password" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_set_password">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_set_password</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">password</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_set_password" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
-<p class="last"><strong>[in]</strong> <strong>password</strong> - Password</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>password</strong> - Password</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function supplies a password to be used to construct the client key for an initial credentials request.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_set_password -  Set a password for acquiring initial credentials.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_set_service.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_set_service.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_set_service.html	2023-08-14 16:19:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_set_service.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_set_service - Specify a service principal for acquiring initial credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_step - Get the next KDC request for acquiring initial credentials." href="krb5_init_creds_step.html" />
     <link rel="prev" title="krb5_init_creds_set_password - Set a password for acquiring initial credentials." href="krb5_init_creds_set_password.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-set-service-specify-a-service-principal-for-acquiring-initial-credentials">
+  <section id="krb5-init-creds-set-service-specify-a-service-principal-for-acquiring-initial-credentials">
 <h1>krb5_init_creds_set_service -  Specify a service principal for acquiring initial credentials.<a class="headerlink" href="#krb5-init-creds-set-service-specify-a-service-principal-for-acquiring-initial-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_set_service">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_creds_set_service</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a><em>&nbsp;ctx</em>, const char *<em>&nbsp;service</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_set_service" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_set_service">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_set_service</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">service</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_set_service" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
-<p class="last"><strong>[in]</strong> <strong>service</strong> - Service principal string</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>service</strong> - Service principal string</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function supplies a service principal string to acquire initial credentials for instead of the default krbtgt service. <em>service</em> is parsed as a principal name; any realm part is ignored.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_set_service -  Specify a service principal for acquiring initial credentials.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_step.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_step.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_creds_step.html	2023-08-14 16:19:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_creds_step.html	2024-06-26 20:01:02.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_step - Get the next KDC request for acquiring initial credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_keyblock - Initialize an empty krb5_keyblock ." href="krb5_init_keyblock.html" />
     <link rel="prev" title="krb5_init_creds_set_service - Specify a service principal for acquiring initial credentials." href="krb5_init_creds_set_service.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-step-get-the-next-kdc-request-for-acquiring-initial-credentials">
+  <section id="krb5-init-creds-step-get-the-next-kdc-request-for-acquiring-initial-credentials">
 <h1>krb5_init_creds_step -  Get the next KDC request for acquiring initial credentials.<a class="headerlink" href="#krb5-init-creds-step-get-the-next-kdc-request-for-acquiring-initial-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_creds_step">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_creds_step</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context">krb5_init_creds_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;in</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;out</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;realm</em>, unsigned int *<em>&nbsp;flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_step" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_creds_step">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_step</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_init_creds_context.html#c.krb5_init_creds_context" title="krb5_init_creds_context"><span class="n"><span class="pre">krb5_init_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_creds_step" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - Initial credentials context</p>
 <p><strong>[in]</strong> <strong>in</strong> - KDC response (empty on the first call)</p>
 <p><strong>[out]</strong> <strong>out</strong> - Next KDC request</p>
 <p><strong>[out]</strong> <strong>realm</strong> - Realm for next KDC request</p>
-<p class="last"><strong>[out]</strong> <strong>flags</strong> - Output flags</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>flags</strong> - Output flags</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function constructs the next KDC request in an initial credential exchange, allowing the caller to control the transport of KDC requests and replies. On the first call, <em>in</em> should be set to an empty buffer; on subsequent calls, it should be set to the KDC’s reply to the previous request.</p>
-<p>If more requests are needed, <em>flags</em> will be set to <a class="reference internal" href="../macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.html#KRB5_INIT_CREDS_STEP_FLAG_CONTINUE" title="KRB5_INIT_CREDS_STEP_FLAG_CONTINUE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_INIT_CREDS_STEP_FLAG_CONTINUE</span></code></a> and the next request will be placed in <em>out</em> . If no more requests are needed, <em>flags</em> will not contain <a class="reference internal" href="../macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.html#KRB5_INIT_CREDS_STEP_FLAG_CONTINUE" title="KRB5_INIT_CREDS_STEP_FLAG_CONTINUE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_INIT_CREDS_STEP_FLAG_CONTINUE</span></code></a> and <em>out</em> will be empty.</p>
+<p>If more requests are needed, <em>flags</em> will be set to #KRB5_INIT_CREDS_STEP_FLAG_CONTINUE and the next request will be placed in <em>out</em> . If no more requests are needed, <em>flags</em> will not contain #KRB5_INIT_CREDS_STEP_FLAG_CONTINUE and <em>out</em> will be empty.</p>
 <p>If this function returns <strong>KRB5KRB_ERR_RESPONSE_TOO_BIG</strong> , the caller should transmit the next request using TCP rather than UDP. If this function returns any other error, the initial credential exchange has failed.</p>
 <blockquote>
-<div><em>context</em> must be the same as the one passed to <a class="reference internal" href="krb5_init_creds_init.html#c.krb5_init_creds_init" title="krb5_init_creds_init"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_init()</span></code></a> for this initial credentials context.</div></blockquote>
-</div>
+<div><p><em>context</em> must be the same as the one passed to krb5_init_creds_init() for this initial credentials context.</p>
+</div></blockquote>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_step -  Get the next KDC request for acquiring initial credentials.</a></li>
@@ -149,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_keyblock.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_keyblock.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_keyblock.html	2023-08-14 16:19:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_keyblock.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_keyblock - Initialize an empty krb5_keyblock . &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_is_referral_realm - Check for a match with KRB5_REFERRAL_REALM." href="krb5_is_referral_realm.html" />
     <link rel="prev" title="krb5_init_creds_step - Get the next KDC request for acquiring initial credentials." href="krb5_init_creds_step.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-keyblock-initialize-an-empty-krb5-keyblock">
+  <section id="krb5-init-keyblock-initialize-an-empty-krb5-keyblock">
 <h1>krb5_init_keyblock -  Initialize an empty krb5_keyblock .<a class="headerlink" href="#krb5-init-keyblock-initialize-an-empty-krb5-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_keyblock">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_keyblock</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, size_t<em>&nbsp;length</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_keyblock" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_keyblock">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_keyblock</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">length</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_keyblock" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type</p>
 <p><strong>[in]</strong> <strong>length</strong> - Length of keyblock (or 0)</p>
-<p class="last"><strong>[out]</strong> <strong>out</strong> - New keyblock structure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>out</strong> - New keyblock structure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Initialize a new keyblock and allocate storage for the contents of the key. It is legal to pass in a length of 0, in which case contents are left unallocated. Use <a class="reference internal" href="krb5_free_keyblock.html#c.krb5_free_keyblock" title="krb5_free_keyblock"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock()</span></code></a> to free <em>out</em> when it is no longer needed.</p>
+</dd>
+</dl>
+<p>Initialize a new keyblock and allocate storage for the contents of the key. It is legal to pass in a length of 0, in which case contents are left unallocated. Use krb5_free_keyblock() to free <em>out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If <em>length</em> is set to 0, contents are left unallocated.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>If <em>length</em> is set to 0, contents are left unallocated.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_keyblock -  Initialize an empty krb5_keyblock .</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_random_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_random_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_random_key.html	2023-08-14 16:19:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_random_key.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_random_key &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_free_entry" href="krb5_kt_free_entry.html" />
     <link rel="prev" title="krb5_get_init_creds_opt_init" href="krb5_get_init_creds_opt_init.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-random-key">
+  <section id="krb5-init-random-key">
 <h1>krb5_init_random_key<a class="headerlink" href="#krb5-init-random-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_random_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_random_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;keyblock</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a> *<em>&nbsp;ptr</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_random_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_random_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_random_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ptr</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_random_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>eblock</strong></p>
 <p><strong>keyblock</strong></p>
-<p class="last"><strong>ptr</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>ptr</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_random_key</a></li>
@@ -132,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_init_secure_context.html 1.21.3-1/doc/html/appdev/refs/api/krb5_init_secure_context.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_init_secure_context.html	2023-08-14 16:19:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_init_secure_context.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_secure_context - Create a krb5 library context using only configuration files. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_is_config_principal - Test whether a principal is a configuration principal." href="krb5_is_config_principal.html" />
     <link rel="prev" title="krb5_init_context - Create a krb5 library context." href="krb5_init_context.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-secure-context-create-a-krb5-library-context-using-only-configuration-files">
+  <section id="krb5-init-secure-context-create-a-krb5-library-context-using-only-configuration-files">
 <h1>krb5_init_secure_context -  Create a krb5 library context using only configuration files.<a class="headerlink" href="#krb5-init-secure-context-create-a-krb5-library-context-using-only-configuration-files" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_init_secure_context">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_init_secure_context</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a> *<em>&nbsp;context</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_secure_context" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_init_secure_context">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_secure_context</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">context</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_init_secure_context" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[out]</strong> <strong>context</strong> - Library context</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[out]</strong> <strong>context</strong> - Library context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Create a context structure, using only system configuration files. All information passed through the environment variables is ignored.</p>
-<p>The <em>context</em> must be released by calling <a class="reference internal" href="krb5_free_context.html#c.krb5_free_context" title="krb5_free_context"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_context()</span></code></a> when it is no longer needed.</p>
-</div>
+<p>The <em>context</em> must be released by calling krb5_free_context() when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_secure_context -  Create a krb5 library context using only configuration files.</a></li>
@@ -145,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_is_config_principal.html 1.21.3-1/doc/html/appdev/refs/api/krb5_is_config_principal.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_is_config_principal.html	2023-08-14 16:19:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_is_config_principal.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_is_config_principal - Test whether a principal is a configuration principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_is_thread_safe - Test whether the Kerberos library was built with multithread support." href="krb5_is_thread_safe.html" />
     <link rel="prev" title="krb5_init_secure_context - Create a krb5 library context using only configuration files." href="krb5_init_secure_context.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-is-config-principal-test-whether-a-principal-is-a-configuration-principal">
+  <section id="krb5-is-config-principal-test-whether-a-principal-is-a-configuration-principal">
 <h1>krb5_is_config_principal -  Test whether a principal is a configuration principal.<a class="headerlink" href="#krb5-is-config-principal-test-whether-a-principal-is-a-configuration-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_is_config_principal">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_is_config_principal</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_is_config_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_is_config_principal">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_is_config_principal</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_is_config_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>principal</strong> - Principal to check</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE if the principal is a configuration principal (generated part of krb5_cc_set_config() ); FALSE otherwise.</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>principal</strong> - Principal to check</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE if the principal is a configuration principal (generated part of krb5_cc_set_config()); FALSE otherwise.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_is_config_principal -  Test whether a principal is a configuration principal.</a></li>
@@ -140,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_is_referral_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_is_referral_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_is_referral_realm.html	2023-08-14 16:19:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_is_referral_realm.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_is_referral_realm - Check for a match with KRB5_REFERRAL_REALM. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kdc_sign_ticket - Sign a PAC, possibly including a ticket signature." href="krb5_kdc_sign_ticket.html" />
     <link rel="prev" title="krb5_init_keyblock - Initialize an empty krb5_keyblock ." href="krb5_init_keyblock.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-is-referral-realm-check-for-a-match-with-krb5-referral-realm">
+  <section id="krb5-is-referral-realm-check-for-a-match-with-krb5-referral-realm">
 <h1>krb5_is_referral_realm -  Check for a match with KRB5_REFERRAL_REALM.<a class="headerlink" href="#krb5-is-referral-realm-check-for-a-match-with-krb5-referral-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_is_referral_realm">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_is_referral_realm</code><span class="sig-paren">(</span>const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;r</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_is_referral_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_is_referral_realm">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_is_referral_realm</span></span></span><span class="sig-paren">(</span><span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">r</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_is_referral_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>r</strong> - Realm to check</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE if r is zero-length, FALSE otherwise</li>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>r</strong> - Realm to check</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE if r is zero-length, FALSE otherwise</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_is_referral_realm -  Check for a match with KRB5_REFERRAL_REALM.</a></li>
@@ -138,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -145,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_is_thread_safe.html 1.21.3-1/doc/html/appdev/refs/api/krb5_is_thread_safe.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_is_thread_safe.html	2023-08-14 16:19:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_is_thread_safe.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_is_thread_safe - Test whether the Kerberos library was built with multithread support. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_close - Close a key table handle." href="krb5_kt_close.html" />
     <link rel="prev" title="krb5_is_config_principal - Test whether a principal is a configuration principal." href="krb5_is_config_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-is-thread-safe-test-whether-the-kerberos-library-was-built-with-multithread-support">
+  <section id="krb5-is-thread-safe-test-whether-the-kerberos-library-was-built-with-multithread-support">
 <h1>krb5_is_thread_safe -  Test whether the Kerberos library was built with multithread support.<a class="headerlink" href="#krb5-is-thread-safe-test-whether-the-kerberos-library-was-built-with-multithread-support" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_is_thread_safe">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_is_thread_safe</code><span class="sig-paren">(</span>void<em>&nbsp;None</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_is_thread_safe" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_is_thread_safe">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_is_thread_safe</span></span></span><span class="sig-paren">(</span><span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="n"><span class="pre">None</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_is_thread_safe" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>None</strong></td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE   if the library is threadsafe; FALSE otherwise</li>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>None</strong></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE   if the library is threadsafe; FALSE otherwise</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_is_thread_safe -  Test whether the Kerberos library was built with multithread support.</a></li>
@@ -138,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -145,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_create_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_create_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_create_key.html	2023-08-14 16:19:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_create_key.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_create_key - Create a krb5_key from the enctype and key data in a keyblock. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_decrypt - Decrypt data using a key (operates on opaque key)." href="krb5_k_decrypt.html" />
     <link rel="prev" title="krb5_free_tgt_creds - Free an array of credential structures." href="krb5_free_tgt_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-create-key-create-a-krb5-key-from-the-enctype-and-key-data-in-a-keyblock">
+  <section id="krb5-k-create-key-create-a-krb5-key-from-the-enctype-and-key-data-in-a-keyblock">
 <h1>krb5_k_create_key -  Create a krb5_key from the enctype and key data in a keyblock.<a class="headerlink" href="#krb5-k-create-key-create-a-krb5-key-from-the-enctype-and-key-data-in-a-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_create_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_create_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key_data</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a> *<em>&nbsp;out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_create_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_create_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_create_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key_data</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_create_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key_data</strong> - Keyblock</p>
-<p class="last"><strong>[out]</strong> <strong>out</strong> - Opaque key</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - KRB5_BAD_ENCTYPE</li>
+<p><strong>[out]</strong> <strong>out</strong> - Opaque key</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - KRB5_BAD_ENCTYPE</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>The reference count on a key <em>out</em> is set to 1. Use <a class="reference internal" href="krb5_k_free_key.html#c.krb5_k_free_key" title="krb5_k_free_key"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_free_key()</span></code></a> to free <em>out</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>The reference count on a key <em>out</em> is set to 1. Use krb5_k_free_key() to free <em>out</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_create_key -  Create a krb5_key from the enctype and key data in a keyblock.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_decrypt.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_decrypt.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_decrypt.html	2023-08-14 16:19:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_decrypt.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_decrypt - Decrypt data using a key (operates on opaque key). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_decrypt_iov - Decrypt data in place supporting AEAD (operates on opaque key)." href="krb5_k_decrypt_iov.html" />
     <link rel="prev" title="krb5_k_create_key - Create a krb5_key from the enctype and key data in a keyblock." href="krb5_k_create_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-decrypt-decrypt-data-using-a-key-operates-on-opaque-key">
+  <section id="krb5-k-decrypt-decrypt-data-using-a-key-operates-on-opaque-key">
 <h1>krb5_k_decrypt -  Decrypt data using a key (operates on opaque key).<a class="headerlink" href="#krb5-k-decrypt-decrypt-data-using-a-key-operates-on-opaque-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_decrypt">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_decrypt</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;cipher_state</em>, const <a class="reference internal" href="../types/krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;output</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_decrypt" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_decrypt">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_decrypt</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cipher_state</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">output</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_decrypt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[inout]</strong> <strong>cipher_state</strong> - Cipher state; specify NULL if not needed</p>
 <p><strong>[in]</strong> <strong>input</strong> - Encrypted data</p>
-<p class="last"><strong>[out]</strong> <strong>output</strong> - Decrypted data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>output</strong> - Decrypted data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function decrypts the data block <em>input</em> and stores the output into <em>output</em> . The actual decryption key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the encryption type. If non-null, <em>cipher_state</em> specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The caller must initialize <em>output</em> and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let <a class="reference internal" href="krb5_c_decrypt.html#c.krb5_c_decrypt" title="krb5_c_decrypt"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_decrypt()</span></code></a> trim <em>output-&gt;length</em> . For some enctypes, the resulting <em>output-&gt;length</em> may include padding bytes.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The caller must initialize <em>output</em> and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let krb5_c_decrypt() trim <em>output-&gt;length</em> . For some enctypes, the resulting <em>output-&gt;length</em> may include padding bytes.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_decrypt -  Decrypt data using a key (operates on opaque key).</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_decrypt_iov.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_decrypt_iov.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_decrypt_iov.html	2023-08-14 16:19:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_decrypt_iov.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_decrypt_iov - Decrypt data in place supporting AEAD (operates on opaque key). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_encrypt - Encrypt data using a key (operates on opaque key)." href="krb5_k_encrypt.html" />
     <link rel="prev" title="krb5_k_decrypt - Decrypt data using a key (operates on opaque key)." href="krb5_k_decrypt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-opaque-key">
+  <section id="krb5-k-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-opaque-key">
 <h1>krb5_k_decrypt_iov -  Decrypt data in place supporting AEAD (operates on opaque key).<a class="headerlink" href="#krb5-k-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-opaque-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_decrypt_iov">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_decrypt_iov</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;cipher_state</em>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov">krb5_crypto_iov</a> *<em>&nbsp;data</em>, size_t<em>&nbsp;num_data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_decrypt_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_decrypt_iov">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_decrypt_iov</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cipher_state</span></span>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">num_data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_decrypt_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[in]</strong> <strong>cipher_state</strong> - Cipher state; specify NULL if not needed</p>
 <p><strong>[inout]</strong> <strong>data</strong> - IOV array. Modified in-place.</p>
-<p class="last"><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function decrypts the data block <em>data</em> and stores the output in-place. The actual decryption key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the encryption type. If non-null, <em>cipher_state</em> specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5_crypto_iov structures before calling into this API.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_k_encrypt_iov.html#c.krb5_k_encrypt_iov" title="krb5_k_encrypt_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_encrypt_iov()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_k_encrypt_iov()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">On return from a <a class="reference internal" href="krb5_c_decrypt_iov.html#c.krb5_c_decrypt_iov" title="krb5_c_decrypt_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_decrypt_iov()</span></code></a> call, the <em>data-&gt;length</em> in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>On return from a krb5_c_decrypt_iov() call, the <em>data-&gt;length</em> in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_decrypt_iov -  Decrypt data in place supporting AEAD (operates on opaque key).</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_encrypt.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_encrypt.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_encrypt.html	2023-08-14 16:19:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_encrypt.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_encrypt - Encrypt data using a key (operates on opaque key). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_encrypt_iov - Encrypt data in place supporting AEAD (operates on opaque key)." href="krb5_k_encrypt_iov.html" />
     <link rel="prev" title="krb5_k_decrypt_iov - Decrypt data in place supporting AEAD (operates on opaque key)." href="krb5_k_decrypt_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-encrypt-encrypt-data-using-a-key-operates-on-opaque-key">
+  <section id="krb5-k-encrypt-encrypt-data-using-a-key-operates-on-opaque-key">
 <h1>krb5_k_encrypt -  Encrypt data using a key (operates on opaque key).<a class="headerlink" href="#krb5-k-encrypt-encrypt-data-using-a-key-operates-on-opaque-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_encrypt">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_encrypt</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;cipher_state</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a> *<em>&nbsp;output</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_encrypt" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_encrypt">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_encrypt</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cipher_state</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">output</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_encrypt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[inout]</strong> <strong>cipher_state</strong> - Cipher state; specify NULL if not needed</p>
 <p><strong>[in]</strong> <strong>input</strong> - Data to be encrypted</p>
-<p class="last"><strong>[out]</strong> <strong>output</strong> - Encrypted data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>output</strong> - Encrypted data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function encrypts the data block <em>input</em> and stores the output into <em>output</em> . The actual encryption key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the encryption type. If non-null, <em>cipher_state</em> specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The caller must initialize <em>output</em> and allocate at least enough space for the result (using <a class="reference internal" href="krb5_c_encrypt_length.html#c.krb5_c_encrypt_length" title="krb5_c_encrypt_length"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_encrypt_length()</span></code></a> to determine the amount of space needed). <em>output-&gt;length</em> will be set to the actual length of the ciphertext.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The caller must initialize <em>output</em> and allocate at least enough space for the result (using krb5_c_encrypt_length() to determine the amount of space needed). <em>output-&gt;length</em> will be set to the actual length of the ciphertext.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_encrypt -  Encrypt data using a key (operates on opaque key).</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_encrypt_iov.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_encrypt_iov.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_encrypt_iov.html	2023-08-14 16:19:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_encrypt_iov.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_encrypt_iov - Encrypt data in place supporting AEAD (operates on opaque key). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_free_key - Decrement the reference count on a key and free it if it hits zero." href="krb5_k_free_key.html" />
     <link rel="prev" title="krb5_k_encrypt - Encrypt data using a key (operates on opaque key)." href="krb5_k_encrypt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-opaque-key">
+  <section id="krb5-k-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-opaque-key">
 <h1>krb5_k_encrypt_iov -  Encrypt data in place supporting AEAD (operates on opaque key).<a class="headerlink" href="#krb5-k-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-opaque-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_encrypt_iov">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_encrypt_iov</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;cipher_state</em>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov">krb5_crypto_iov</a> *<em>&nbsp;data</em>, size_t<em>&nbsp;num_data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_encrypt_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_encrypt_iov">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_encrypt_iov</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cipher_state</span></span>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">num_data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_encrypt_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[in]</strong> <strong>cipher_state</strong> - Cipher state; specify NULL if not needed</p>
 <p><strong>[inout]</strong> <strong>data</strong> - IOV array. Modified in-place.</p>
-<p class="last"><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function encrypts the data block <em>data</em> and stores the output in-place. The actual encryption key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the encryption type. If non-null, <em>cipher_state</em> specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5_crypto_iov structures before calling into this API.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_k_decrypt_iov.html#c.krb5_k_decrypt_iov" title="krb5_k_decrypt_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_decrypt_iov()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_k_decrypt_iov()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">On return from a <a class="reference internal" href="krb5_c_encrypt_iov.html#c.krb5_c_encrypt_iov" title="krb5_c_encrypt_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_encrypt_iov()</span></code></a> call, the <em>data-&gt;length</em> in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>On return from a krb5_c_encrypt_iov() call, the <em>data-&gt;length</em> in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_encrypt_iov -  Encrypt data in place supporting AEAD (operates on opaque key).</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_free_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_free_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_free_key.html	2023-08-14 16:19:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_free_key.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_free_key - Decrement the reference count on a key and free it if it hits zero. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_key_enctype - Retrieve the enctype of a krb5_key structure." href="krb5_k_key_enctype.html" />
     <link rel="prev" title="krb5_k_encrypt_iov - Encrypt data in place supporting AEAD (operates on opaque key)." href="krb5_k_encrypt_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-free-key-decrement-the-reference-count-on-a-key-and-free-it-if-it-hits-zero">
+  <section id="krb5-k-free-key-decrement-the-reference-count-on-a-key-and-free-it-if-it-hits-zero">
 <h1>krb5_k_free_key -  Decrement the reference count on a key and free it if it hits zero.<a class="headerlink" href="#krb5-k-free-key-decrement-the-reference-count-on-a-key-and-free-it-if-it-hits-zero" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_free_key">
-void <code class="descname">krb5_k_free_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_free_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_free_key">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_free_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_free_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
-<p class="last"><strong>key</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
+<p><strong>key</strong></p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_free_key -  Decrement the reference count on a key and free it if it hits zero.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_k_free_
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_k_free_
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_key_enctype.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_key_enctype.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_key_enctype.html	2023-08-14 16:19:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_key_enctype.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_key_enctype - Retrieve the enctype of a krb5_key structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_key_keyblock - Retrieve a copy of the keyblock from a krb5_key structure." href="krb5_k_key_keyblock.html" />
     <link rel="prev" title="krb5_k_free_key - Decrement the reference count on a key and free it if it hits zero." href="krb5_k_free_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-key-enctype-retrieve-the-enctype-of-a-krb5-key-structure">
+  <section id="krb5-k-key-enctype-retrieve-the-enctype-of-a-krb5-key-structure">
 <h1>krb5_k_key_enctype -  Retrieve the enctype of a krb5_key structure.<a class="headerlink" href="#krb5-k-key-enctype-retrieve-the-enctype-of-a-krb5-key-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_key_enctype">
-<a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> <code class="descname">krb5_k_key_enctype</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_key_enctype" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_key_enctype">
+<a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_key_enctype</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_key_enctype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
-<p class="last"><strong>key</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
+<p><strong>key</strong></p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_key_enctype -  Retrieve the enctype of a krb5_key structure.</a></li>
@@ -129,6 +118,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_key_keyblock.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_key_keyblock.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_key_keyblock.html	2023-08-14 16:19:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_key_keyblock.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_key_keyblock - Retrieve a copy of the keyblock from a krb5_key structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_make_checksum - Compute a checksum (operates on opaque key)." href="krb5_k_make_checksum.html" />
     <link rel="prev" title="krb5_k_key_enctype - Retrieve the enctype of a krb5_key structure." href="krb5_k_key_enctype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-key-keyblock-retrieve-a-copy-of-the-keyblock-from-a-krb5-key-structure">
+  <section id="krb5-k-key-keyblock-retrieve-a-copy-of-the-keyblock-from-a-krb5-key-structure">
 <h1>krb5_k_key_keyblock -  Retrieve a copy of the keyblock from a krb5_key structure.<a class="headerlink" href="#krb5-k-key-keyblock-retrieve-a-copy-of-the-keyblock-from-a-krb5-key-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_key_keyblock">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_key_keyblock</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;key_data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_key_keyblock" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_key_keyblock">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_key_keyblock</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key_data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_key_keyblock" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>key</strong></p>
-<p class="last"><strong>key_data</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<p><strong>key_data</strong></p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_key_keyblock -  Retrieve a copy of the keyblock from a krb5_key structure.</a></li>
@@ -130,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_make_checksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_make_checksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_make_checksum.html	2023-08-14 16:19:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_make_checksum.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_make_checksum - Compute a checksum (operates on opaque key). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_make_checksum_iov - Fill in a checksum element in IOV array (operates on opaque key)" href="krb5_k_make_checksum_iov.html" />
     <link rel="prev" title="krb5_k_key_keyblock - Retrieve a copy of the keyblock from a krb5_key structure." href="krb5_k_key_keyblock.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-make-checksum-compute-a-checksum-operates-on-opaque-key">
+  <section id="krb5-k-make-checksum-compute-a-checksum-operates-on-opaque-key">
 <h1>krb5_k_make_checksum -  Compute a checksum (operates on opaque key).<a class="headerlink" href="#krb5-k-make-checksum-compute-a-checksum-operates-on-opaque-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_make_checksum">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_make_checksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;cksumtype</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> *<em>&nbsp;cksum</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_make_checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_make_checksum">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_make_checksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">cksumtype</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cksum</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_make_checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type (0 for mandatory type)</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key for a keyed checksum</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[in]</strong> <strong>input</strong> - Input data</p>
-<p class="last"><strong>[out]</strong> <strong>cksum</strong> - Generated checksum</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>cksum</strong> - Generated checksum</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function computes a checksum of type <em>cksumtype</em> over <em>input</em> , using <em>key</em> if the checksum type is a keyed checksum. If <em>cksumtype</em> is 0 and <em>key</em> is non-null, the checksum type will be the mandatory-to-implement checksum type for the key’s encryption type. The actual checksum key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the checksum type. The newly created <em>cksum</em> must be released by calling <a class="reference internal" href="krb5_free_checksum_contents.html#c.krb5_free_checksum_contents" title="krb5_free_checksum_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_checksum_contents()</span></code></a> when it is no longer needed.</p>
+</dd>
+</dl>
+<p>This function computes a checksum of type <em>cksumtype</em> over <em>input</em> , using <em>key</em> if the checksum type is a keyed checksum. If <em>cksumtype</em> is 0 and <em>key</em> is non-null, the checksum type will be the mandatory-to-implement checksum type for the key’s encryption type. The actual checksum key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the checksum type. The newly created <em>cksum</em> must be released by calling krb5_free_checksum_contents() when it is no longer needed.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_c_verify_checksum.html#c.krb5_c_verify_checksum" title="krb5_c_verify_checksum"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_verify_checksum()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_c_verify_checksum()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function is similar to <a class="reference internal" href="krb5_c_make_checksum.html#c.krb5_c_make_checksum" title="krb5_c_make_checksum"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_make_checksum()</span></code></a> , but operates on opaque <em>key</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This function is similar to krb5_c_make_checksum(), but operates on opaque <em>key</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_make_checksum -  Compute a checksum (operates on opaque key).</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_make_checksum_iov.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_make_checksum_iov.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_make_checksum_iov.html	2023-08-14 16:19:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_make_checksum_iov.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_make_checksum_iov - Fill in a checksum element in IOV array (operates on opaque key) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_prf - Generate enctype-specific pseudo-random bytes (operates on opaque key)." href="krb5_k_prf.html" />
     <link rel="prev" title="krb5_k_make_checksum - Compute a checksum (operates on opaque key)." href="krb5_k_make_checksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-opaque-key">
+  <section id="krb5-k-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-opaque-key">
 <h1>krb5_k_make_checksum_iov -  Fill in a checksum element in IOV array (operates on opaque key)<a class="headerlink" href="#krb5-k-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-opaque-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_make_checksum_iov">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_make_checksum_iov</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;cksumtype</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov">krb5_crypto_iov</a> *<em>&nbsp;data</em>, size_t<em>&nbsp;num_data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_make_checksum_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_make_checksum_iov">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_make_checksum_iov</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">cksumtype</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">num_data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_make_checksum_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type (0 for mandatory type)</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key for a keyed checksum</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[inout]</strong> <strong>data</strong> - IOV array</p>
-<p class="last"><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Create a checksum in the <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_CHECKSUM.html#KRB5_CRYPTO_TYPE_CHECKSUM" title="KRB5_CRYPTO_TYPE_CHECKSUM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_CHECKSUM</span></code></a> element over <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_DATA.html#KRB5_CRYPTO_TYPE_DATA" title="KRB5_CRYPTO_TYPE_DATA"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_DATA</span></code></a> and <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.html#KRB5_CRYPTO_TYPE_SIGN_ONLY" title="KRB5_CRYPTO_TYPE_SIGN_ONLY"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_SIGN_ONLY</span></code></a> chunks in <em>data</em> . Only the <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_CHECKSUM.html#KRB5_CRYPTO_TYPE_CHECKSUM" title="KRB5_CRYPTO_TYPE_CHECKSUM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_CHECKSUM</span></code></a> region is modified.</p>
+</dd>
+</dl>
+<p>Create a checksum in the #KRB5_CRYPTO_TYPE_CHECKSUM element over #KRB5_CRYPTO_TYPE_DATA and #KRB5_CRYPTO_TYPE_SIGN_ONLY chunks in <em>data</em> . Only the #KRB5_CRYPTO_TYPE_CHECKSUM region is modified.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_k_verify_checksum_iov.html#c.krb5_k_verify_checksum_iov" title="krb5_k_verify_checksum_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_verify_checksum_iov()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_k_verify_checksum_iov()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function is similar to <a class="reference internal" href="krb5_c_make_checksum_iov.html#c.krb5_c_make_checksum_iov" title="krb5_c_make_checksum_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_make_checksum_iov()</span></code></a> , but operates on opaque <em>key</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This function is similar to krb5_c_make_checksum_iov(), but operates on opaque <em>key</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_make_checksum_iov -  Fill in a checksum element in IOV array (operates on opaque key)</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_prf.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_prf.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_prf.html	2023-08-14 16:19:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_prf.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_prf - Generate enctype-specific pseudo-random bytes (operates on opaque key). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_reference_key - Increment the reference count on a key." href="krb5_k_reference_key.html" />
     <link rel="prev" title="krb5_k_make_checksum_iov - Fill in a checksum element in IOV array (operates on opaque key)" href="krb5_k_make_checksum_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-prf-generate-enctype-specific-pseudo-random-bytes-operates-on-opaque-key">
+  <section id="krb5-k-prf-generate-enctype-specific-pseudo-random-bytes-operates-on-opaque-key">
 <h1>krb5_k_prf -  Generate enctype-specific pseudo-random bytes (operates on opaque key).<a class="headerlink" href="#krb5-k-prf-generate-enctype-specific-pseudo-random-bytes-operates-on-opaque-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_prf">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_prf</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;input</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;output</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_prf" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_prf">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_prf</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">input</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">output</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_prf" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Key</p>
 <p><strong>[in]</strong> <strong>input</strong> - Input data</p>
-<p class="last"><strong>[out]</strong> <strong>output</strong> - Output data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>output</strong> - Output data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function selects a pseudo-random function based on <em>key</em> and computes its value over <em>input</em> , placing the result into <em>output</em> . The caller must preinitialize <em>output</em> and allocate space for the result.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function is similar to <a class="reference internal" href="krb5_c_prf.html#c.krb5_c_prf" title="krb5_c_prf"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_prf()</span></code></a> , but operates on opaque <em>key</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This function is similar to krb5_c_prf(), but operates on opaque <em>key</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_prf -  Generate enctype-specific pseudo-random bytes (operates on opaque key).</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_reference_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_reference_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_reference_key.html	2023-08-14 16:19:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_reference_key.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_reference_key - Increment the reference count on a key. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_verify_checksum - Verify a checksum (operates on opaque key)." href="krb5_k_verify_checksum.html" />
     <link rel="prev" title="krb5_k_prf - Generate enctype-specific pseudo-random bytes (operates on opaque key)." href="krb5_k_prf.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-reference-key-increment-the-reference-count-on-a-key">
+  <section id="krb5-k-reference-key-increment-the-reference-count-on-a-key">
 <h1>krb5_k_reference_key -  Increment the reference count on a key.<a class="headerlink" href="#krb5-k-reference-key-increment-the-reference-count-on-a-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_reference_key">
-void <code class="descname">krb5_k_reference_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_reference_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_reference_key">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_reference_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_reference_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
-<p class="last"><strong>key</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
+<p><strong>key</strong></p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_reference_key -  Increment the reference count on a key.</a></li>
@@ -129,6 +118,7 @@ void <code class="descname">krb5_k_refer
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +126,8 @@ void <code class="descname">krb5_k_refer
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_verify_checksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_verify_checksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_verify_checksum.html	2023-08-14 16:19:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_verify_checksum.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_verify_checksum - Verify a checksum (operates on opaque key). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_k_verify_checksum_iov - Validate a checksum element in IOV array (operates on opaque key)." href="krb5_k_verify_checksum_iov.html" />
     <link rel="prev" title="krb5_k_reference_key - Increment the reference count on a key." href="krb5_k_reference_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-verify-checksum-verify-a-checksum-operates-on-opaque-key">
+  <section id="krb5-k-verify-checksum-verify-a-checksum-operates-on-opaque-key">
 <h1>krb5_k_verify_checksum -  Verify a checksum (operates on opaque key).<a class="headerlink" href="#krb5-k-verify-checksum-verify-a-checksum-operates-on-opaque-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_verify_checksum">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_verify_checksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em>, const <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> *<em>&nbsp;cksum</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> *<em>&nbsp;valid</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_verify_checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_verify_checksum">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_verify_checksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cksum</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">valid</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_verify_checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key for a keyed checksum</p>
 <p><strong>[in]</strong> <strong>usage</strong> - <em>key</em> usage</p>
 <p><strong>[in]</strong> <strong>data</strong> - Data to be used to compute a new checksum using <em>key</em> to compare <em>cksum</em> against</p>
 <p><strong>[in]</strong> <strong>cksum</strong> - Checksum to be verified</p>
-<p class="last"><strong>[out]</strong> <strong>valid</strong> - Non-zero for success, zero for failure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>valid</strong> - Non-zero for success, zero for failure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function verifies that <em>cksum</em> is a valid checksum for <em>data</em> . If the checksum type of <em>cksum</em> is a keyed checksum, <em>key</em> is used to verify the checksum. If the checksum type in <em>cksum</em> is 0 and <em>key</em> is not NULL, the mandatory checksum type for <em>key</em> will be used. The actual checksum key will be derived from <em>key</em> and <em>usage</em> if key derivation is specified for the checksum type.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function is similar to <a class="reference internal" href="krb5_c_verify_checksum.html#c.krb5_c_verify_checksum" title="krb5_c_verify_checksum"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_verify_checksum()</span></code></a> , but operates on opaque <em>key</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This function is similar to krb5_c_verify_checksum(), but operates on opaque <em>key</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_verify_checksum -  Verify a checksum (operates on opaque key).</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_k_verify_checksum_iov.html 1.21.3-1/doc/html/appdev/refs/api/krb5_k_verify_checksum_iov.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_k_verify_checksum_iov.html	2023-08-14 16:19:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_k_verify_checksum_iov.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_k_verify_checksum_iov - Validate a checksum element in IOV array (operates on opaque key). &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_recvauth - Server function for sendauth protocol." href="krb5_recvauth.html" />
     <link rel="prev" title="krb5_k_verify_checksum - Verify a checksum (operates on opaque key)." href="krb5_k_verify_checksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,56 +52,50 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-k-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-opaque-key">
+  <section id="krb5-k-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-opaque-key">
 <h1>krb5_k_verify_checksum_iov -  Validate a checksum element in IOV array (operates on opaque key).<a class="headerlink" href="#krb5-k-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-opaque-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_k_verify_checksum_iov">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_k_verify_checksum_iov</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;cksumtype</em>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key">krb5_key</a><em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage">krb5_keyusage</a><em>&nbsp;usage</em>, const <a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov">krb5_crypto_iov</a> *<em>&nbsp;data</em>, size_t<em>&nbsp;num_data</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> *<em>&nbsp;valid</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_verify_checksum_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_k_verify_checksum_iov">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_k_verify_checksum_iov</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">cksumtype</span></span>, <a class="reference internal" href="../types/krb5_key.html#c.krb5_key" title="krb5_key"><span class="n"><span class="pre">krb5_key</span></span></a><span class="w"> </span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_keyusage.html#c.krb5_keyusage" title="krb5_keyusage"><span class="n"><span class="pre">krb5_keyusage</span></span></a><span class="w"> </span><span class="n"><span class="pre">usage</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_crypto_iov.html#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">num_data</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">valid</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_k_verify_checksum_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>cksumtype</strong> - Checksum type (0 for mandatory type)</p>
 <p><strong>[in]</strong> <strong>key</strong> - Encryption key for a keyed checksum</p>
-<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see <code class="xref py py-data docutils literal"><span class="pre">KRB5_KEYUSAGE</span></code> types)</p>
+<p><strong>[in]</strong> <strong>usage</strong> - Key usage (see KRB5_KEYUSAGE macros)</p>
 <p><strong>[in]</strong> <strong>data</strong> - IOV array</p>
 <p><strong>[in]</strong> <strong>num_data</strong> - Size of <em>data</em></p>
-<p class="last"><strong>[out]</strong> <strong>valid</strong> - Non-zero for success, zero for failure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>valid</strong> - Non-zero for success, zero for failure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Confirm that the checksum in the <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_CHECKSUM.html#KRB5_CRYPTO_TYPE_CHECKSUM" title="KRB5_CRYPTO_TYPE_CHECKSUM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_CHECKSUM</span></code></a> element is a valid checksum of the <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_DATA.html#KRB5_CRYPTO_TYPE_DATA" title="KRB5_CRYPTO_TYPE_DATA"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_DATA</span></code></a> and <a class="reference internal" href="../macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.html#KRB5_CRYPTO_TYPE_SIGN_ONLY" title="KRB5_CRYPTO_TYPE_SIGN_ONLY"><code class="xref py py-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_SIGN_ONLY</span></code></a> regions in the iov.</p>
+</dd>
+</dl>
+<p>Confirm that the checksum in the #KRB5_CRYPTO_TYPE_CHECKSUM element is a valid checksum of the #KRB5_CRYPTO_TYPE_DATA and #KRB5_CRYPTO_TYPE_SIGN_ONLY regions in the iov.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_k_make_checksum_iov.html#c.krb5_k_make_checksum_iov" title="krb5_k_make_checksum_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_k_make_checksum_iov()</span></code></a></p>
+<p class="admonition-title">See also</p>
+<p>krb5_k_make_checksum_iov()</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function is similar to <a class="reference internal" href="krb5_c_verify_checksum_iov.html#c.krb5_c_verify_checksum_iov" title="krb5_c_verify_checksum_iov"><code class="xref c c-func docutils literal"><span class="pre">krb5_c_verify_checksum_iov()</span></code></a> , but operates on opaque <em>key</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This function is similar to krb5_c_verify_checksum_iov(), but operates on opaque <em>key</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_k_verify_checksum_iov -  Validate a checksum element in IOV array (operates on opaque key).</a></li>
@@ -154,6 +139,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +147,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kdc_sign_ticket.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kdc_sign_ticket.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kdc_sign_ticket.html	2023-08-14 16:19:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kdc_sign_ticket.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kdc_sign_ticket - Sign a PAC, possibly including a ticket signature. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kdc_verify_ticket - Verify a PAC, possibly including ticket signature." href="krb5_kdc_verify_ticket.html" />
     <link rel="prev" title="krb5_is_referral_realm - Check for a match with KRB5_REFERRAL_REALM." href="krb5_is_referral_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kdc-sign-ticket-sign-a-pac-possibly-including-a-ticket-signature">
+  <section id="krb5-kdc-sign-ticket-sign-a-pac-possibly-including-a-ticket-signature">
 <h1>krb5_kdc_sign_ticket -  Sign a PAC, possibly including a ticket signature.<a class="headerlink" href="#krb5-kdc-sign-ticket-sign-a-pac-possibly-including-a-ticket-signature" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kdc_sign_ticket">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kdc_sign_ticket</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_enc_tkt_part.html#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part">krb5_enc_tkt_part</a> *<em>&nbsp;enc_tkt</em>, const <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;server_princ</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;client_princ</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;server</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;privsvr</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a><em>&nbsp;with_realm</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kdc_sign_ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kdc_sign_ticket">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kdc_sign_ticket</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_enc_tkt_part.html#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">enc_tkt</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">server_princ</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">client_princ</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">server</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">privsvr</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="n"><span class="pre">with_realm</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kdc_sign_ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enc_tkt</strong> - The ticket for the signature</p>
 <p><strong>[in]</strong> <strong>pac</strong> - PAC handle</p>
 <p><strong>[in]</strong> <strong>server_princ</strong> - Canonical ticket server name</p>
 <p><strong>[in]</strong> <strong>client_princ</strong> - PAC_CLIENT_INFO principal (or NULL)</p>
 <p><strong>[in]</strong> <strong>server</strong> - Key for server checksum</p>
 <p><strong>[in]</strong> <strong>privsvr</strong> - Key for KDC and ticket checksum</p>
-<p class="last"><strong>[in]</strong> <strong>with_realm</strong> - If true, include the realm of <em>principal</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   on success, otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>with_realm</strong> - If true, include the realm of <em>principal</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   on success, otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Sign <em>pac</em> using the keys <em>server</em> and <em>privsvr</em> . Include a ticket signature over <em>enc_tkt</em> if <em>server_princ</em> is not a TGS or kadmin/changepw principal name. Add the signed PAC’s encoding to the authorization data of <em>enc_tkt</em> in the first slot, wrapped in an AD-IF-RELEVANT container. If <em>client_princ</em> is non-null, add a PAC_CLIENT_INFO buffer, including the realm if <em>with_realm</em> is true.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.20</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.20</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kdc_sign_ticket -  Sign a PAC, possibly including a ticket signature.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kdc_verify_ticket.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kdc_verify_ticket.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kdc_verify_ticket.html	2023-08-14 16:19:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kdc_verify_ticket.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kdc_verify_ticket - Verify a PAC, possibly including ticket signature. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_add_entry - Add a new entry to a key table." href="krb5_kt_add_entry.html" />
     <link rel="prev" title="krb5_kdc_sign_ticket - Sign a PAC, possibly including a ticket signature." href="krb5_kdc_sign_ticket.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,56 +52,50 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kdc-verify-ticket-verify-a-pac-possibly-including-ticket-signature">
+  <section id="krb5-kdc-verify-ticket-verify-a-pac-possibly-including-ticket-signature">
 <h1>krb5_kdc_verify_ticket -  Verify a PAC, possibly including ticket signature.<a class="headerlink" href="#krb5-kdc-verify-ticket-verify-a-pac-possibly-including-ticket-signature" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kdc_verify_ticket">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kdc_verify_ticket</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_enc_tkt_part.html#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part">krb5_enc_tkt_part</a> *<em>&nbsp;enc_tkt</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;server_princ</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;server</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;privsvr</em>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a> *<em>&nbsp;pac_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kdc_verify_ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kdc_verify_ticket">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kdc_verify_ticket</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_enc_tkt_part.html#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">enc_tkt</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">server_princ</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">server</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">privsvr</span></span>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pac_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kdc_verify_ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enc_tkt</strong> - Ticket enc-part, possibly containing a PAC</p>
 <p><strong>[in]</strong> <strong>server_princ</strong> - Canonicalized name of ticket server</p>
 <p><strong>[in]</strong> <strong>server</strong> - Key to validate server checksum (or NULL)</p>
 <p><strong>[in]</strong> <strong>privsvr</strong> - Key to validate KDC checksum (or NULL)</p>
-<p class="last"><strong>[out]</strong> <strong>pac_out</strong> - Verified PAC (NULL if no PAC included)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>pac_out</strong> - Verified PAC (NULL if no PAC included)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>If a PAC is present in <em>enc_tkt</em> , verify its signatures. If <em>privsvr</em> is not NULL and <em>server_princ</em> is not a krbtgt or kadmin/changepw service, require a ticket signature over <em>enc_tkt</em> in addition to the KDC signature. Place the verified PAC in <em>pac_out</em> . If an invalid PAC signature is found, return an error matching the Windows KDC protocol code for that condition as closely as possible.</p>
 <p>If no PAC is present in <em>enc_tkt</em> , set <em>pac_out</em> to NULL and return successfully.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function does not validate the PAC_CLIENT_INFO buffer. If a specific value is expected, the caller can make a separate call to <a class="reference internal" href="krb5_pac_verify_ext.html#c.krb5_pac_verify_ext" title="krb5_pac_verify_ext"><code class="xref c c-func docutils literal"><span class="pre">krb5_pac_verify_ext()</span></code></a> with a principal but no keys.</p>
+<p class="admonition-title">Note</p>
+<p>This function does not validate the PAC_CLIENT_INFO buffer. If a specific value is expected, the caller can make a separate call to krb5_pac_verify_ext() with a principal but no keys.</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.20</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.20</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kdc_verify_ticket -  Verify a PAC, possibly including ticket signature.</a></li>
@@ -154,6 +139,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +147,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_add_entry.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_add_entry.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_add_entry.html	2023-08-14 16:19:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_add_entry.html	2024-06-26 20:01:03.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_add_entry - Add a new entry to a key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_end_seq_get - Release a keytab cursor." href="krb5_kt_end_seq_get.html" />
     <link rel="prev" title="krb5_kdc_verify_ticket - Verify a PAC, possibly including ticket signature." href="krb5_kdc_verify_ticket.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-add-entry-add-a-new-entry-to-a-key-table">
+  <section id="krb5-kt-add-entry-add-a-new-entry-to-a-key-table">
 <h1>krb5_kt_add_entry -  Add a new entry to a key table.<a class="headerlink" href="#krb5-kt-add-entry-add-a-new-entry-to-a-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_add_entry">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_add_entry</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;id</em>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry">krb5_keytab_entry</a> *<em>&nbsp;entry</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_add_entry" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_add_entry">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_add_entry</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">id</span></span>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">entry</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_add_entry" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>id</strong> - Key table handle</p>
-<p class="last"><strong>[in]</strong> <strong>entry</strong> - Entry to be added</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>ENOMEM   Insufficient memory</li>
-<li>KRB5_KT_NOWRITE   Key table is not writeable</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<p><strong>[in]</strong> <strong>entry</strong> - Entry to be added</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>ENOMEM   Insufficient memory</p></li>
+<li><p>KRB5_KT_NOWRITE   Key table is not writeable</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_add_entry -  Add a new entry to a key table.</a></li>
@@ -148,6 +133,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +141,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_client_default.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_client_default.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_client_default.html	2023-08-14 16:19:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_client_default.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_client_default - Resolve the default client key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_default - Resolve the default key table." href="krb5_kt_default.html" />
     <link rel="prev" title="krb5_kt_close - Close a key table handle." href="krb5_kt_close.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-client-default-resolve-the-default-client-key-table">
+  <section id="krb5-kt-client-default-resolve-the-default-client-key-table">
 <h1>krb5_kt_client_default -  Resolve the default client key table.<a class="headerlink" href="#krb5-kt-client-default-resolve-the-default-client-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_client_default">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_client_default</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a> *<em>&nbsp;keytab_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_client_default" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_client_default">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_client_default</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keytab_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_client_default" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>keytab_out</strong> - Key table handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>keytab_out</strong> - Key table handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Fill <em>keytab_out</em> with a handle to the default client key table.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_client_default -  Resolve the default client key table.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_close.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_close.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_close.html	2023-08-14 16:19:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_close.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_close - Close a key table handle. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_client_default - Resolve the default client key table." href="krb5_kt_client_default.html" />
     <link rel="prev" title="krb5_is_thread_safe - Test whether the Kerberos library was built with multithread support." href="krb5_is_thread_safe.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-close-close-a-key-table-handle">
+  <section id="krb5-kt-close-close-a-key-table-handle">
 <h1>krb5_kt_close -  Close a key table handle.<a class="headerlink" href="#krb5-kt-close-close-a-key-table-handle" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_close">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_close</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_close" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_close">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_close</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_close" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   None</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   None</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_close -  Close a key table handle.</a></li>
@@ -140,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_default.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_default.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_default.html	2023-08-14 16:19:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_default.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_default - Resolve the default key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_default_name - Get the default key table name." href="krb5_kt_default_name.html" />
     <link rel="prev" title="krb5_kt_client_default - Resolve the default client key table." href="krb5_kt_client_default.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-default-resolve-the-default-key-table">
+  <section id="krb5-kt-default-resolve-the-default-key-table">
 <h1>krb5_kt_default -  Resolve the default key table.<a class="headerlink" href="#krb5-kt-default-resolve-the-default-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_default">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_default</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a> *<em>&nbsp;id</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_default" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_default">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_default</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">id</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_default" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>id</strong> - Key table handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>id</strong> - Key table handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Set <em>id</em> to a handle to the default key table. The key table is not opened.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_default -  Resolve the default key table.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_default_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_default_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_default_name.html	2023-08-14 16:19:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_default_name.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_default_name - Get the default key table name. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_dup - Duplicate keytab handle." href="krb5_kt_dup.html" />
     <link rel="prev" title="krb5_kt_default - Resolve the default key table." href="krb5_kt_default.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-default-name-get-the-default-key-table-name">
+  <section id="krb5-kt-default-name-get-the-default-key-table-name">
 <h1>krb5_kt_default_name -  Get the default key table name.<a class="headerlink" href="#krb5-kt-default-name-get-the-default-key-table-name" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_default_name">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_default_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, char *<em>&nbsp;name</em>, int<em>&nbsp;name_size</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_default_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_default_name">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_default_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">name_size</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_default_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>name</strong> - Default key table name</p>
-<p class="last"><strong>[in]</strong> <strong>name_size</strong> - Space available in <em>name</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>KRB5_CONFIG_NOTENUFSPACE   Buffer is too short</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>name_size</strong> - Space available in <em>name</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KRB5_CONFIG_NOTENUFSPACE   Buffer is too short</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Fill <em>name</em> with the name of the default key table for <em>context</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_default_name -  Get the default key table name.</a></li>
@@ -148,6 +133,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +141,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_dup.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_dup.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_dup.html	2023-08-14 16:19:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_dup.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_dup - Duplicate keytab handle. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_get_name - Get a key table name." href="krb5_kt_get_name.html" />
     <link rel="prev" title="krb5_kt_default_name - Get the default key table name." href="krb5_kt_default_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-dup-duplicate-keytab-handle">
+  <section id="krb5-kt-dup-duplicate-keytab-handle">
 <h1>krb5_kt_dup -  Duplicate keytab handle.<a class="headerlink" href="#krb5-kt-dup-duplicate-keytab-handle" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_dup">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_dup</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;in</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a> *<em>&nbsp;out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_dup" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_dup">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_dup</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">in</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_dup" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>in</strong> - Key table handle to be duplicated</p>
-<p class="last"><strong>[out]</strong> <strong>out</strong> - Key table handle</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>out</strong> - Key table handle</p>
+</dd>
+</dl>
 <p>Create a new handle referring to the same key table as <em>in</em> . The new handle and <em>in</em> can be closed independently.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.12</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.12</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_dup -  Duplicate keytab handle.</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_end_seq_get.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_end_seq_get.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_end_seq_get.html	2023-08-14 16:19:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_end_seq_get.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_end_seq_get - Release a keytab cursor. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_get_entry - Get an entry from a key table." href="krb5_kt_get_entry.html" />
     <link rel="prev" title="krb5_kt_add_entry - Add a new entry to a key table." href="krb5_kt_add_entry.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-end-seq-get-release-a-keytab-cursor">
+  <section id="krb5-kt-end-seq-get-release-a-keytab-cursor">
 <h1>krb5_kt_end_seq_get -  Release a keytab cursor.<a class="headerlink" href="#krb5-kt-end-seq-get-release-a-keytab-cursor" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_end_seq_get">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_end_seq_get</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em>, <a class="reference internal" href="../types/krb5_kt_cursor.html#c.krb5_kt_cursor" title="krb5_kt_cursor">krb5_kt_cursor</a> *<em>&nbsp;cursor</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_end_seq_get" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_end_seq_get">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_end_seq_get</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span>, <a class="reference internal" href="../types/krb5_kt_cursor.html#c.krb5_kt_cursor" title="krb5_kt_cursor"><span class="n"><span class="pre">krb5_kt_cursor</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cursor</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_end_seq_get" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
-<p class="last"><strong>[out]</strong> <strong>cursor</strong> - Cursor</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function should be called to release the cursor created by <a class="reference internal" href="krb5_kt_start_seq_get.html#c.krb5_kt_start_seq_get" title="krb5_kt_start_seq_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_kt_start_seq_get()</span></code></a> .</p>
-</div>
+<p><strong>[out]</strong> <strong>cursor</strong> - Cursor</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>This function should be called to release the cursor created by krb5_kt_start_seq_get().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_end_seq_get -  Release a keytab cursor.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_free_entry.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_free_entry.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_free_entry.html	2023-08-14 16:19:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_free_entry.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_free_entry &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_random_key" href="krb5_random_key.html" />
     <link rel="prev" title="krb5_init_random_key" href="krb5_init_random_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-free-entry">
+  <section id="krb5-kt-free-entry">
 <h1>krb5_kt_free_entry<a class="headerlink" href="#krb5-kt-free-entry" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_free_entry">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_free_entry</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry">krb5_keytab_entry</a> *<em>&nbsp;entry</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_free_entry" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_free_entry">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_free_entry</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">entry</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_free_entry" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
-<p class="last"><strong>entry</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
+<p><strong>entry</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Use krb5_free_keytab_entry_contents instead.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_free_entry</a></li>
@@ -130,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_get_entry.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_get_entry.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_get_entry.html	2023-08-14 16:19:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_get_entry.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_get_entry - Get an entry from a key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_have_content - Check if a keytab exists and contains entries." href="krb5_kt_have_content.html" />
     <link rel="prev" title="krb5_kt_end_seq_get - Release a keytab cursor." href="krb5_kt_end_seq_get.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-get-entry-get-an-entry-from-a-key-table">
+  <section id="krb5-kt-get-entry-get-an-entry-from-a-key-table">
 <h1>krb5_kt_get_entry -  Get an entry from a key table.<a class="headerlink" href="#krb5-kt-get-entry-get-an-entry-from-a-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_get_entry">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_get_entry</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, <a class="reference internal" href="../types/krb5_kvno.html#c.krb5_kvno" title="krb5_kvno">krb5_kvno</a><em>&nbsp;vno</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry">krb5_keytab_entry</a> *<em>&nbsp;entry</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_get_entry" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_get_entry">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_get_entry</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <a class="reference internal" href="../types/krb5_kvno.html#c.krb5_kvno" title="krb5_kvno"><span class="n"><span class="pre">krb5_kvno</span></span></a><span class="w"> </span><span class="n"><span class="pre">vno</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">entry</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_get_entry" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Principal name</p>
 <p><strong>[in]</strong> <strong>vno</strong> - Key version number (0 for highest available)</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type (0 zero for any enctype)</p>
-<p class="last"><strong>[out]</strong> <strong>entry</strong> - Returned entry from key table</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success</li>
-<li>Kerberos   error codes on failure</li>
+<p><strong>[out]</strong> <strong>entry</strong> - Returned entry from key table</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>Kerberos   error codes on failure</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Retrieve an entry from a key table which matches the <em>keytab</em> , <em>principal</em> , <em>vno</em> , and <em>enctype</em> . If <em>vno</em> is zero, retrieve the highest-numbered kvno matching the other fields. If <em>enctype</em> is 0, match any enctype.</p>
-<p>Use <a class="reference internal" href="krb5_free_keytab_entry_contents.html#c.krb5_free_keytab_entry_contents" title="krb5_free_keytab_entry_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keytab_entry_contents()</span></code></a> to free <em>entry</em> when it is no longer needed.</p>
+<p>Use krb5_free_keytab_entry_contents() to free <em>entry</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If <em>vno</em> is zero, the function retrieves the highest-numbered-kvno entry that matches the specified principal.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>If <em>vno</em> is zero, the function retrieves the highest-numbered-kvno entry that matches the specified principal.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_get_entry -  Get an entry from a key table.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_get_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_get_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_get_name.html	2023-08-14 16:19:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_get_name.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_get_name - Get a key table name. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_get_type - Return the type of a key table." href="krb5_kt_get_type.html" />
     <link rel="prev" title="krb5_kt_dup - Duplicate keytab handle." href="krb5_kt_dup.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-get-name-get-a-key-table-name">
+  <section id="krb5-kt-get-name-get-a-key-table-name">
 <h1>krb5_kt_get_name -  Get a key table name.<a class="headerlink" href="#krb5-kt-get-name-get-a-key-table-name" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_get_name">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_get_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em>, char *<em>&nbsp;name</em>, unsigned int<em>&nbsp;namelen</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_get_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_get_name">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_get_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">namelen</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_get_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
 <p><strong>[out]</strong> <strong>name</strong> - Key table name</p>
-<p class="last"><strong>[in]</strong> <strong>namelen</strong> - Maximum length to fill in name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>KRB5_KT_NAME_TOOLONG   Key table name does not fit in namelen bytes</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>namelen</strong> - Maximum length to fill in name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KRB5_KT_NAME_TOOLONG   Key table name does not fit in namelen bytes</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Fill <em>name</em> with the name of <em>keytab</em> including the type and delimiter.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_get_name -  Get a key table name.</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_get_type.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_get_type.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_get_type.html	2023-08-14 16:19:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_get_type.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_get_type - Return the type of a key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_resolve - Get a handle for a key table." href="krb5_kt_resolve.html" />
     <link rel="prev" title="krb5_kt_get_name - Get a key table name." href="krb5_kt_get_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-get-type-return-the-type-of-a-key-table">
+  <section id="krb5-kt-get-type-return-the-type-of-a-key-table">
 <h1>krb5_kt_get_type -  Return the type of a key table.<a class="headerlink" href="#krb5-kt-get-type-return-the-type-of-a-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_get_type">
-const char * <code class="descname">krb5_kt_get_type</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_get_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_get_type">
+<span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_get_type</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_get_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>The type of a key table as an alias that must not be modified or freed by the caller.</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>The type of a key table as an alias that must not be modified or freed by the caller.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_get_type -  Return the type of a key table.</a></li>
@@ -140,6 +125,7 @@ const char * <code class="descname">krb5
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@ const char * <code class="descname">krb5
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_have_content.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_have_content.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_have_content.html	2023-08-14 16:19:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_have_content.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_have_content - Check if a keytab exists and contains entries. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_next_entry - Retrieve the next entry from the key table." href="krb5_kt_next_entry.html" />
     <link rel="prev" title="krb5_kt_get_entry - Get an entry from a key table." href="krb5_kt_get_entry.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-have-content-check-if-a-keytab-exists-and-contains-entries">
+  <section id="krb5-kt-have-content-check-if-a-keytab-exists-and-contains-entries">
 <h1>krb5_kt_have_content -  Check if a keytab exists and contains entries.<a class="headerlink" href="#krb5-kt-have-content-check-if-a-keytab-exists-and-contains-entries" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_have_content">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_have_content</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_have_content" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_have_content">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_have_content</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_have_content" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Keytab exists and contains entries</li>
-<li>KRB5_KT_NOTFOUND   Keytab does not contain entries</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Keytab exists and contains entries</p></li>
+<li><p>KRB5_KT_NOTFOUND   Keytab does not contain entries</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_have_content -  Check if a keytab exists and contains entries.</a></li>
@@ -145,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +138,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_next_entry.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_next_entry.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_next_entry.html	2023-08-14 16:19:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_next_entry.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_next_entry - Retrieve the next entry from the key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_read_service_key - Retrieve a service key from a key table." href="krb5_kt_read_service_key.html" />
     <link rel="prev" title="krb5_kt_have_content - Check if a keytab exists and contains entries." href="krb5_kt_have_content.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-next-entry-retrieve-the-next-entry-from-the-key-table">
+  <section id="krb5-kt-next-entry-retrieve-the-next-entry-from-the-key-table">
 <h1>krb5_kt_next_entry -  Retrieve the next entry from the key table.<a class="headerlink" href="#krb5-kt-next-entry-retrieve-the-next-entry-from-the-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_next_entry">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_next_entry</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry">krb5_keytab_entry</a> *<em>&nbsp;entry</em>, <a class="reference internal" href="../types/krb5_kt_cursor.html#c.krb5_kt_cursor" title="krb5_kt_cursor">krb5_kt_cursor</a> *<em>&nbsp;cursor</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_next_entry" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_next_entry">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_next_entry</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">entry</span></span>, <a class="reference internal" href="../types/krb5_kt_cursor.html#c.krb5_kt_cursor" title="krb5_kt_cursor"><span class="n"><span class="pre">krb5_kt_cursor</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cursor</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_next_entry" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
 <p><strong>[out]</strong> <strong>entry</strong> - Returned key table entry</p>
-<p class="last"><strong>[in]</strong> <strong>cursor</strong> - Key table cursor</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>KRB5_KT_END   - if the last entry was reached</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Return the next sequential entry in <em>keytab</em> and advance <em>cursor</em> . Callers must release the returned entry with <a class="reference internal" href="krb5_kt_free_entry.html#c.krb5_kt_free_entry" title="krb5_kt_free_entry"><code class="xref c c-func docutils literal"><span class="pre">krb5_kt_free_entry()</span></code></a> .</p>
-</div>
+<p><strong>[in]</strong> <strong>cursor</strong> - Key table cursor</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KRB5_KT_END   - if the last entry was reached</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Return the next sequential entry in <em>keytab</em> and advance <em>cursor</em> . Callers must release the returned entry with krb5_kt_free_entry().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_next_entry -  Retrieve the next entry from the key table.</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_read_service_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_read_service_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_read_service_key.html	2023-08-14 16:19:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_read_service_key.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_read_service_key - Retrieve a service key from a key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_remove_entry - Remove an entry from a key table." href="krb5_kt_remove_entry.html" />
     <link rel="prev" title="krb5_kt_next_entry - Retrieve the next entry from the key table." href="krb5_kt_next_entry.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,48 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-read-service-key-retrieve-a-service-key-from-a-key-table">
+  <section id="krb5-kt-read-service-key-retrieve-a-service-key-from-a-key-table">
 <h1>krb5_kt_read_service_key -  Retrieve a service key from a key table.<a class="headerlink" href="#krb5-kt-read-service-key-retrieve-a-service-key-from-a-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_read_service_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_read_service_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a><em>&nbsp;keyprocarg</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;principal</em>, <a class="reference internal" href="../types/krb5_kvno.html#c.krb5_kvno" title="krb5_kvno">krb5_kvno</a><em>&nbsp;vno</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_read_service_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_read_service_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_read_service_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">keyprocarg</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <a class="reference internal" href="../types/krb5_kvno.html#c.krb5_kvno" title="krb5_kvno"><span class="n"><span class="pre">krb5_kvno</span></span></a><span class="w"> </span><span class="n"><span class="pre">vno</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_read_service_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>keyprocarg</strong> - Name of a key table (NULL to use default name)</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Service principal</p>
 <p><strong>[in]</strong> <strong>vno</strong> - Key version number (0 for highest available)</p>
 <p><strong>[in]</strong> <strong>enctype</strong> - Encryption type (0 for any type)</p>
-<p class="last"><strong>[out]</strong> <strong>key</strong> - Service key from key table</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error code if not found or keyprocarg is invalid.</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>key</strong> - Service key from key table</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error code if not found or keyprocarg is invalid.</p></li>
+</ul>
+</dd>
+</dl>
 <p>Open and search the specified key table for the entry identified by <em>principal</em> , <em>enctype</em> , and <em>vno</em> . If no key is found, return an error code.</p>
 <p>The default key table is used, unless <em>keyprocarg</em> is non-null. <em>keyprocarg</em> designates a specific key table.</p>
-<p>Use <a class="reference internal" href="krb5_free_keyblock.html#c.krb5_free_keyblock" title="krb5_free_keyblock"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_keyblock()</span></code></a> to free <em>key</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_keyblock() to free <em>key</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_read_service_key -  Retrieve a service key from a key table.</a></li>
@@ -152,6 +137,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -159,8 +145,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_remove_entry.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_remove_entry.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_remove_entry.html	2023-08-14 16:19:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_remove_entry.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_remove_entry - Remove an entry from a key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_start_seq_get - Start a sequential retrieval of key table entries." href="krb5_kt_start_seq_get.html" />
     <link rel="prev" title="krb5_kt_read_service_key - Retrieve a service key from a key table." href="krb5_kt_read_service_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-remove-entry-remove-an-entry-from-a-key-table">
+  <section id="krb5-kt-remove-entry-remove-an-entry-from-a-key-table">
 <h1>krb5_kt_remove_entry -  Remove an entry from a key table.<a class="headerlink" href="#krb5-kt-remove-entry-remove-an-entry-from-a-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_remove_entry">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_remove_entry</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;id</em>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry">krb5_keytab_entry</a> *<em>&nbsp;entry</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_remove_entry" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_remove_entry">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_remove_entry</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">id</span></span>, <a class="reference internal" href="../types/krb5_keytab_entry.html#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">entry</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_remove_entry" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>id</strong> - Key table handle</p>
-<p class="last"><strong>[in]</strong> <strong>entry</strong> - Entry to remove from key table</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>KRB5_KT_NOWRITE   Key table is not writable</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<p><strong>[in]</strong> <strong>entry</strong> - Entry to remove from key table</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KRB5_KT_NOWRITE   Key table is not writable</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_remove_entry -  Remove an entry from a key table.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_resolve.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_resolve.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_resolve.html	2023-08-14 16:19:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_resolve.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_resolve - Get a handle for a key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kuserok - Determine if a principal is authorized to log in as a local user." href="krb5_kuserok.html" />
     <link rel="prev" title="krb5_kt_get_type - Return the type of a key table." href="krb5_kt_get_type.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-resolve-get-a-handle-for-a-key-table">
+  <section id="krb5-kt-resolve-get-a-handle-for-a-key-table">
 <h1>krb5_kt_resolve -  Get a handle for a key table.<a class="headerlink" href="#krb5-kt-resolve-get-a-handle-for-a-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_resolve">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_resolve</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;name</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a> *<em>&nbsp;ktid</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_resolve" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_resolve">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_resolve</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ktid</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_resolve" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>name</strong> - Name of the key table</p>
-<p class="last"><strong>[out]</strong> <strong>ktid</strong> - Key table handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Resolve the key table name <em>name</em> and set <em>ktid</em> to a handle identifying the key table. Use <a class="reference internal" href="krb5_kt_close.html#c.krb5_kt_close" title="krb5_kt_close"><code class="xref c c-func docutils literal"><span class="pre">krb5_kt_close()</span></code></a> to free <em>ktid</em> when it is no longer needed.</p>
+<p><strong>[out]</strong> <strong>ktid</strong> - Key table handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Resolve the key table name <em>name</em> and set <em>ktid</em> to a handle identifying the key table. Use krb5_kt_close() to free <em>ktid</em> when it is no longer needed.</p>
 <blockquote>
-<div><em>name</em> must be of the form <strong>type:residual</strong> , where <em>type</em> must be a type known to the library and <em>residual</em> portion should be specific to the particular keytab type. If no <em>type</em> is given, the default is <strong>FILE</strong> .</div></blockquote>
+<div><p><em>name</em> must be of the form <strong>type:residual</strong> , where <em>type</em> must be a type known to the library and <em>residual</em> portion should be specific to the particular keytab type. If no <em>type</em> is given, the default is <strong>FILE</strong> .</p>
+</div></blockquote>
 <p>If <em>name</em> is of type <strong>FILE</strong> , the keytab file is not opened by this call.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_resolve -  Get a handle for a key table.</a></li>
@@ -150,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_start_seq_get.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_start_seq_get.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kt_start_seq_get.html	2023-08-14 16:19:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kt_start_seq_get.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_start_seq_get - Start a sequential retrieval of key table entries. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_make_authdata_kdc_issued - Encode and sign AD-KDCIssued authorization data." href="krb5_make_authdata_kdc_issued.html" />
     <link rel="prev" title="krb5_kt_remove_entry - Remove an entry from a key table." href="krb5_kt_remove_entry.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-start-seq-get-start-a-sequential-retrieval-of-key-table-entries">
+  <section id="krb5-kt-start-seq-get-start-a-sequential-retrieval-of-key-table-entries">
 <h1>krb5_kt_start_seq_get -  Start a sequential retrieval of key table entries.<a class="headerlink" href="#krb5-kt-start-seq-get-start-a-sequential-retrieval-of-key-table-entries" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kt_start_seq_get">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_kt_start_seq_get</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em>, <a class="reference internal" href="../types/krb5_kt_cursor.html#c.krb5_kt_cursor" title="krb5_kt_cursor">krb5_kt_cursor</a> *<em>&nbsp;cursor</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_start_seq_get" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kt_start_seq_get">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_start_seq_get</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span>, <a class="reference internal" href="../types/krb5_kt_cursor.html#c.krb5_kt_cursor" title="krb5_kt_cursor"><span class="n"><span class="pre">krb5_kt_cursor</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cursor</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kt_start_seq_get" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>keytab</strong> - Key table handle</p>
-<p class="last"><strong>[out]</strong> <strong>cursor</strong> - Cursor</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Prepare to read sequentially every key in the specified key table. Use <a class="reference internal" href="krb5_kt_end_seq_get.html#c.krb5_kt_end_seq_get" title="krb5_kt_end_seq_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_kt_end_seq_get()</span></code></a> to release the cursor when it is no longer needed.</p>
-</div>
+<p><strong>[out]</strong> <strong>cursor</strong> - Cursor</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Prepare to read sequentially every key in the specified key table. Use krb5_kt_end_seq_get() to release the cursor when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_start_seq_get -  Start a sequential retrieval of key table entries.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_kuserok.html 1.21.3-1/doc/html/appdev/refs/api/krb5_kuserok.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_kuserok.html	2023-08-14 16:19:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_kuserok.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kuserok - Determine if a principal is authorized to log in as a local user. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_parse_name - Convert a string principal name to a krb5_principal structure." href="krb5_parse_name.html" />
     <link rel="prev" title="krb5_kt_resolve - Get a handle for a key table." href="krb5_kt_resolve.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kuserok-determine-if-a-principal-is-authorized-to-log-in-as-a-local-user">
+  <section id="krb5-kuserok-determine-if-a-principal-is-authorized-to-log-in-as-a-local-user">
 <h1>krb5_kuserok -  Determine if a principal is authorized to log in as a local user.<a class="headerlink" href="#krb5-kuserok-determine-if-a-principal-is-authorized-to-log-in-as-a-local-user" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_kuserok">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_kuserok</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;principal</em>, const char *<em>&nbsp;luser</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kuserok" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_kuserok">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kuserok</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">luser</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_kuserok" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Principal name</p>
-<p class="last"><strong>[in]</strong> <strong>luser</strong> - Local username</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE   Principal is authorized to log in as user; FALSE otherwise.</li>
+<p><strong>[in]</strong> <strong>luser</strong> - Local username</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE   Principal is authorized to log in as user; FALSE otherwise.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Determine whether <em>principal</em> is authorized to log in as a local user <em>luser</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kuserok -  Determine if a principal is authorized to log in as a local user.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_make_authdata_kdc_issued.html 1.21.3-1/doc/html/appdev/refs/api/krb5_make_authdata_kdc_issued.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_make_authdata_kdc_issued.html	2023-08-14 16:19:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_make_authdata_kdc_issued.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_make_authdata_kdc_issued - Encode and sign AD-KDCIssued authorization data. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_marshal_credentials - Serialize a krb5_creds object." href="krb5_marshal_credentials.html" />
     <link rel="prev" title="krb5_kt_start_seq_get - Start a sequential retrieval of key table entries." href="krb5_kt_start_seq_get.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-make-authdata-kdc-issued-encode-and-sign-ad-kdcissued-authorization-data">
+  <section id="krb5-make-authdata-kdc-issued-encode-and-sign-ad-kdcissued-authorization-data">
 <h1>krb5_make_authdata_kdc_issued -  Encode and sign AD-KDCIssued authorization data.<a class="headerlink" href="#krb5-make-authdata-kdc-issued-encode-and-sign-ad-kdcissued-authorization-data" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_make_authdata_kdc_issued">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_make_authdata_kdc_issued</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;issuer</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> *const *<em>&nbsp;authdata</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> ***<em>&nbsp;ad_kdcissued</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_make_authdata_kdc_issued" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_make_authdata_kdc_issued">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_make_authdata_kdc_issued</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">issuer</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">authdata</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ad_kdcissued</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_make_authdata_kdc_issued" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Session key</p>
 <p><strong>[in]</strong> <strong>issuer</strong> - The name of the issuing principal</p>
 <p><strong>[in]</strong> <strong>authdata</strong> - List of authorization data to be signed</p>
-<p class="last"><strong>[out]</strong> <strong>ad_kdcissued</strong> - List containing AD-KDCIssued authdata</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>ad_kdcissued</strong> - List containing AD-KDCIssued authdata</p>
+</dd>
+</dl>
 <p>This function wraps a list of authorization data entries <em>authdata</em> in an AD-KDCIssued container (see RFC 4120 section 5.2.6.2) signed with <em>key</em> . The result is returned in <em>ad_kdcissued</em> as a single-element list.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_make_authdata_kdc_issued -  Encode and sign AD-KDCIssued authorization data.</a></li>
@@ -133,6 +122,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_marshal_credentials.html 1.21.3-1/doc/html/appdev/refs/api/krb5_marshal_credentials.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_marshal_credentials.html	2023-08-14 16:19:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_marshal_credentials.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_marshal_credentials - Serialize a krb5_creds object. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_merge_authdata - Merge two authorization data lists into a new list." href="krb5_merge_authdata.html" />
     <link rel="prev" title="krb5_make_authdata_kdc_issued - Encode and sign AD-KDCIssued authorization data." href="krb5_make_authdata_kdc_issued.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-marshal-credentials-serialize-a-krb5-creds-object">
+  <section id="krb5-marshal-credentials-serialize-a-krb5-creds-object">
 <h1>krb5_marshal_credentials -  Serialize a krb5_creds object.<a class="headerlink" href="#krb5-marshal-credentials-serialize-a-krb5-creds-object" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_marshal_credentials">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_marshal_credentials</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;in_creds</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> **<em>&nbsp;data_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_marshal_credentials" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_marshal_credentials">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_marshal_credentials</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_creds</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_marshal_credentials" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>in_creds</strong> - The credentials object to serialize</p>
-<p class="last"><strong>[out]</strong> <strong>data_out</strong> - The serialized credentials</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>data_out</strong> - The serialized credentials</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Serialize <em>creds</em> in the format used by the FILE ccache format (vesion 4) and KCM ccache protocol.</p>
-<p>Use <a class="reference internal" href="krb5_free_data.html#c.krb5_free_data" title="krb5_free_data"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data()</span></code></a> to free <em>data_out</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_data() to free <em>data_out</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_marshal_credentials -  Serialize a krb5_creds object.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_merge_authdata.html 1.21.3-1/doc/html/appdev/refs/api/krb5_merge_authdata.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_merge_authdata.html	2023-08-14 16:19:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_merge_authdata.html	2024-06-26 20:01:04.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_merge_authdata - Merge two authorization data lists into a new list. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_1cred - Format a KRB-CRED message for a single set of credentials." href="krb5_mk_1cred.html" />
     <link rel="prev" title="krb5_marshal_credentials - Serialize a krb5_creds object." href="krb5_marshal_credentials.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-merge-authdata-merge-two-authorization-data-lists-into-a-new-list">
+  <section id="krb5-merge-authdata-merge-two-authorization-data-lists-into-a-new-list">
 <h1>krb5_merge_authdata -  Merge two authorization data lists into a new list.<a class="headerlink" href="#krb5-merge-authdata-merge-two-authorization-data-lists-into-a-new-list" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_merge_authdata">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_merge_authdata</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> *const *<em>&nbsp;inauthdat1</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> *const *<em>&nbsp;inauthdat2</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> ***<em>&nbsp;outauthdat</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_merge_authdata" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_merge_authdata">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_merge_authdata</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">inauthdat1</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">inauthdat2</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outauthdat</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_merge_authdata" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>inauthdat1</strong> - First list of <em>krb5_authdata</em> structures</p>
 <p><strong>[in]</strong> <strong>inauthdat2</strong> - Second list of <em>krb5_authdata</em> structures</p>
-<p class="last"><strong>[out]</strong> <strong>outauthdat</strong> - Merged list of <em>krb5_authdata</em> structures</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>outauthdat</strong> - Merged list of <em>krb5_authdata</em> structures</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Merge two authdata arrays, such as the array from a ticket and authenticator. Use <a class="reference internal" href="krb5_free_authdata.html#c.krb5_free_authdata" title="krb5_free_authdata"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_authdata()</span></code></a> to free <em>outauthdat</em> when it is no longer needed.</p>
+</dd>
+</dl>
+<p>Merge two authdata arrays, such as the array from a ticket and authenticator. Use krb5_free_authdata() to free <em>outauthdat</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The last array entry in <em>inauthdat1</em> and <em>inauthdat2</em> must be a NULL pointer.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The last array entry in <em>inauthdat1</em> and <em>inauthdat2</em> must be a NULL pointer.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_merge_authdata -  Merge two authorization data lists into a new list.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_1cred.html 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_1cred.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_1cred.html	2023-08-14 16:19:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_1cred.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_1cred - Format a KRB-CRED message for a single set of credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_error - Format and encode a KRB_ERROR message." href="krb5_mk_error.html" />
     <link rel="prev" title="krb5_merge_authdata - Merge two authorization data lists into a new list." href="krb5_merge_authdata.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-1cred-format-a-krb-cred-message-for-a-single-set-of-credentials">
+  <section id="krb5-mk-1cred-format-a-krb-cred-message-for-a-single-set-of-credentials">
 <h1>krb5_mk_1cred -  Format a KRB-CRED message for a single set of credentials.<a class="headerlink" href="#krb5-mk-1cred-format-a-krb-cred-message-for-a-single-set-of-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_mk_1cred">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_mk_1cred</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> **<em>&nbsp;der_out</em>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data">krb5_replay_data</a> *<em>&nbsp;rdata_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_1cred" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_mk_1cred">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_1cred</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">der_out</span></span>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rdata_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_1cred" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>creds</strong> - Pointer to credentials</p>
 <p><strong>[out]</strong> <strong>der_out</strong> - Encoded credentials</p>
-<p class="last"><strong>[out]</strong> <strong>rdata_out</strong> - Replay cache data (NULL if not needed)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>ENOMEM   Insufficient memory</li>
-<li>KRB5_RC_REQUIRED   Message replay detection requires rcache parameter</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This is a convenience function that calls <a class="reference internal" href="krb5_mk_ncred.html#c.krb5_mk_ncred" title="krb5_mk_ncred"><code class="xref c c-func docutils literal"><span class="pre">krb5_mk_ncred()</span></code></a> with a single set of credentials.</p>
-</div>
+<p><strong>[out]</strong> <strong>rdata_out</strong> - Replay cache data (NULL if not needed)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>ENOMEM   Insufficient memory</p></li>
+<li><p>KRB5_RC_REQUIRED   Message replay detection requires rcache parameter</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>This is a convenience function that calls krb5_mk_ncred() with a single set of credentials.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_1cred -  Format a KRB-CRED message for a single set of credentials.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_error.html 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_error.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_error.html	2023-08-14 16:19:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_error.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_error - Format and encode a KRB_ERROR message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_ncred - Format a KRB-CRED message for an array of credentials." href="krb5_mk_ncred.html" />
     <link rel="prev" title="krb5_mk_1cred - Format a KRB-CRED message for a single set of credentials." href="krb5_mk_1cred.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-error-format-and-encode-a-krb-error-message">
+  <section id="krb5-mk-error-format-and-encode-a-krb-error-message">
 <h1>krb5_mk_error -  Format and encode a KRB_ERROR message.<a class="headerlink" href="#krb5-mk-error-format-and-encode-a-krb-error-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_mk_error">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_mk_error</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error">krb5_error</a> *<em>&nbsp;dec_err</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;enc_err</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_error" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_mk_error">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_error</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">dec_err</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">enc_err</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_error" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>dec_err</strong> - Error structure to be encoded</p>
-<p class="last"><strong>[out]</strong> <strong>enc_err</strong> - Encoded error structure</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>enc_err</strong> - Encoded error structure</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function creates a <strong>KRB_ERROR</strong> message in <em>enc_err</em> . Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>enc_err</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function creates a <strong>KRB_ERROR</strong> message in <em>enc_err</em> . Use krb5_free_data_contents() to free <em>enc_err</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_error -  Format and encode a KRB_ERROR message.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_ncred.html 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_ncred.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_ncred.html	2023-08-14 16:19:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_ncred.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_ncred - Format a KRB-CRED message for an array of credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_priv - Format a KRB-PRIV message." href="krb5_mk_priv.html" />
     <link rel="prev" title="krb5_mk_error - Format and encode a KRB_ERROR message." href="krb5_mk_error.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,62 +52,56 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-ncred-format-a-krb-cred-message-for-an-array-of-credentials">
+  <section id="krb5-mk-ncred-format-a-krb-cred-message-for-an-array-of-credentials">
 <h1>krb5_mk_ncred -  Format a KRB-CRED message for an array of credentials.<a class="headerlink" href="#krb5-mk-ncred-format-a-krb-cred-message-for-an-array-of-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_mk_ncred">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_mk_ncred</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> **<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> **<em>&nbsp;der_out</em>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data">krb5_replay_data</a> *<em>&nbsp;rdata_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_ncred" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_mk_ncred">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_ncred</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">der_out</span></span>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rdata_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_ncred" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>creds</strong> - Null-terminated array of credentials</p>
 <p><strong>[out]</strong> <strong>der_out</strong> - Encoded credentials</p>
-<p class="last"><strong>[out]</strong> <strong>rdata_out</strong> - Replay cache information (NULL if not needed)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>ENOMEM   Insufficient memory</li>
-<li>KRB5_RC_REQUIRED   Message replay detection requires rcache parameter</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function takes an array of credentials <em>creds</em> and formats a <strong>KRB-CRED</strong> message <em>der_out</em> to pass to <a class="reference internal" href="krb5_rd_cred.html#c.krb5_rd_cred" title="krb5_rd_cred"><code class="xref c c-func docutils literal"><span class="pre">krb5_rd_cred()</span></code></a> .</p>
+<p><strong>[out]</strong> <strong>rdata_out</strong> - Replay cache information (NULL if not needed)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>ENOMEM   Insufficient memory</p></li>
+<li><p>KRB5_RC_REQUIRED   Message replay detection requires rcache parameter</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>This function takes an array of credentials <em>creds</em> and formats a <strong>KRB-CRED</strong> message <em>der_out</em> to pass to krb5_rd_cred().</p>
 <p>The local and remote addresses in <em>auth_context</em> are optional; if either is specified, they are used to form the sender and receiver addresses in the KRB-CRED message.</p>
-<p>If the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> flag is set in <em>auth_context</em> , an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> is not set, no replay cache is used. If <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> is set in <em>auth_context</em> , the timestamp used for the KRB-CRED message is stored in <em>rdata_out</em> .</p>
-<p>If either <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> is set, the <em>auth_context</em> local sequence number is included in the KRB-CRED message and then incremented. If <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> is set, the sequence number used is stored in <em>rdata_out</em> .</p>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>der_out</em> when it is no longer needed.</p>
+<p>If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in <em>auth_context</em> , an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If #KRB5_AUTH_CONTEXT_DO_TIME is not set, no replay cache is used. If #KRB5_AUTH_CONTEXT_RET_TIME is set in <em>auth_context</em> , the timestamp used for the KRB-CRED message is stored in <em>rdata_out</em> .</p>
+<p>If either #KRB5_AUTH_CONTEXT_DO_SEQUENCE or #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the <em>auth_context</em> local sequence number is included in the KRB-CRED message and then incremented. If #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the sequence number used is stored in <em>rdata_out</em> .</p>
+<p>Use krb5_free_data_contents() to free <em>der_out</em> when it is no longer needed.</p>
 <p>The message will be encrypted using the send subkey of <em>auth_context</em> if it is present, or the session key otherwise. If neither key is present, the credentials will not be encrypted, and the message should only be sent over a secure channel. No replay cache entry is used in this case.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The <em>rdata_out</em> argument is required if the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> flag is set in <em>auth_context</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The <em>rdata_out</em> argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in <em>auth_context</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_ncred -  Format a KRB-CRED message for an array of credentials.</a></li>
@@ -160,6 +145,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -167,8 +153,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_priv.html 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_priv.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_priv.html	2023-08-14 16:19:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_priv.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_priv - Format a KRB-PRIV message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_rep - Format and encrypt a KRB_AP_REP message." href="krb5_mk_rep.html" />
     <link rel="prev" title="krb5_mk_ncred - Format a KRB-CRED message for an array of credentials." href="krb5_mk_ncred.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,48 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-priv-format-a-krb-priv-message">
+  <section id="krb5-mk-priv-format-a-krb-priv-message">
 <h1>krb5_mk_priv -  Format a KRB-PRIV message.<a class="headerlink" href="#krb5-mk-priv-format-a-krb-priv-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_mk_priv">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_mk_priv</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;userdata</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;der_out</em>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data">krb5_replay_data</a> *<em>&nbsp;rdata_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_priv" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_mk_priv">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_priv</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">userdata</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">der_out</span></span>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rdata_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_priv" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>userdata</strong> - User data for <strong>KRB-PRIV</strong> message</p>
 <p><strong>[out]</strong> <strong>der_out</strong> - Formatted <strong>KRB-PRIV</strong> message</p>
-<p class="last"><strong>[out]</strong> <strong>rdata_out</strong> - Replay data (NULL if not needed)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>rdata_out</strong> - Replay data (NULL if not needed)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is similar to <a class="reference internal" href="krb5_mk_safe.html#c.krb5_mk_safe" title="krb5_mk_safe"><code class="xref c c-func docutils literal"><span class="pre">krb5_mk_safe()</span></code></a> , but the message is encrypted and integrity-protected, not just integrity-protected.</p>
+</dd>
+</dl>
+<p>This function is similar to krb5_mk_safe(), but the message is encrypted and integrity-protected, not just integrity-protected.</p>
 <p>The local address in <em>auth_context</em> must be set, and is used to form the sender address used in the KRB-PRIV message. The remote address is optional; if specified, it will be used to form the receiver address used in the message.</p>
-<p>If the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> flag is set in <em>auth_context</em> , a timestamp is included in the KRB-PRIV message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> is not set, no replay cache is used. If <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> is set in <em>auth_context</em> , a timestamp is included in the KRB-PRIV message and is stored in <em>rdata_out</em> .</p>
-<p>If either <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> is set, the <em>auth_context</em> local sequence number is included in the KRB-PRIV message and then incremented. If <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> is set, the sequence number used is stored in <em>rdata_out</em> .</p>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>der_out</em> when it is no longer needed.</p>
+<p>If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in <em>auth_context</em> , a timestamp is included in the KRB-PRIV message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If #KRB5_AUTH_CONTEXT_DO_TIME is not set, no replay cache is used. If #KRB5_AUTH_CONTEXT_RET_TIME is set in <em>auth_context</em> , a timestamp is included in the KRB-PRIV message and is stored in <em>rdata_out</em> .</p>
+<p>If either #KRB5_AUTH_CONTEXT_DO_SEQUENCE or #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the <em>auth_context</em> local sequence number is included in the KRB-PRIV message and then incremented. If #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the sequence number used is stored in <em>rdata_out</em> .</p>
+<p>Use krb5_free_data_contents() to free <em>der_out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The <em>rdata_out</em> argument is required if the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> flag is set in <em>auth_context</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The <em>rdata_out</em> argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in <em>auth_context</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_priv -  Format a KRB-PRIV message.</a></li>
@@ -152,6 +137,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -159,8 +145,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_rep.html 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_rep.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_rep.html	2023-08-14 16:19:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_rep.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_rep - Format and encrypt a KRB_AP_REP message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_rep_dce - Format and encrypt a KRB_AP_REP message for DCE RPC." href="krb5_mk_rep_dce.html" />
     <link rel="prev" title="krb5_mk_priv - Format a KRB-PRIV message." href="krb5_mk_priv.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,46 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-rep-format-and-encrypt-a-krb-ap-rep-message">
+  <section id="krb5-mk-rep-format-and-encrypt-a-krb-ap-rep-message">
 <h1>krb5_mk_rep -  Format and encrypt a KRB_AP_REP message.<a class="headerlink" href="#krb5-mk-rep-format-and-encrypt-a-krb-ap-rep-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_mk_rep">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_mk_rep</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;outbuf</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_rep" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_mk_rep">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_rep</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outbuf</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_rep" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>outbuf</strong> - <strong>AP-REP</strong> message</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>outbuf</strong> - <strong>AP-REP</strong> message</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function fills in <em>outbuf</em> with an AP-REP message using information from <em>auth_context</em> .</p>
-<p>If the flags in <em>auth_context</em> indicate that a sequence number should be used (either <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> ) and the local sequence number in <em>auth_context</em> is 0, a new number will be generated with krb5_generate_seq_number().</p>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>outbuf</em> when it is no longer needed.</p>
-</div>
+<p>If the flags in <em>auth_context</em> indicate that a sequence number should be used (either #KRB5_AUTH_CONTEXT_DO_SEQUENCE or #KRB5_AUTH_CONTEXT_RET_SEQUENCE) and the local sequence number in <em>auth_context</em> is 0, a new number will be generated with krb5_generate_seq_number().</p>
+<p>Use krb5_free_data_contents() to free <em>outbuf</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_rep -  Format and encrypt a KRB_AP_REP message.</a></li>
@@ -144,6 +129,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -151,8 +137,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_rep_dce.html 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_rep_dce.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_rep_dce.html	2023-08-14 16:19:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_rep_dce.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_rep_dce - Format and encrypt a KRB_AP_REP message for DCE RPC. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_req - Create a KRB_AP_REQ message." href="krb5_mk_req.html" />
     <link rel="prev" title="krb5_mk_rep - Format and encrypt a KRB_AP_REP message." href="krb5_mk_rep.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-rep-dce-format-and-encrypt-a-krb-ap-rep-message-for-dce-rpc">
+  <section id="krb5-mk-rep-dce-format-and-encrypt-a-krb-ap-rep-message-for-dce-rpc">
 <h1>krb5_mk_rep_dce -  Format and encrypt a KRB_AP_REP message for DCE RPC.<a class="headerlink" href="#krb5-mk-rep-dce-format-and-encrypt-a-krb-ap-rep-message-for-dce-rpc" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_mk_rep_dce">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_mk_rep_dce</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;outbuf</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_rep_dce" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_mk_rep_dce">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_rep_dce</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outbuf</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_rep_dce" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
-<p class="last"><strong>[out]</strong> <strong>outbuf</strong> - <strong>AP-REP</strong> message</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>outbuf</strong> - <strong>AP-REP</strong> message</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>outbuf</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>Use krb5_free_data_contents() to free <em>outbuf</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_rep_dce -  Format and encrypt a KRB_AP_REP message for DCE RPC.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_req.html 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_req.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_req.html	2023-08-14 16:19:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_req.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_req - Create a KRB_AP_REQ message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_req_extended - Create a KRB_AP_REQ message using supplied credentials." href="krb5_mk_req_extended.html" />
     <link rel="prev" title="krb5_mk_rep_dce - Format and encrypt a KRB_AP_REP message for DCE RPC." href="krb5_mk_rep_dce.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-req-create-a-krb-ap-req-message">
+  <section id="krb5-mk-req-create-a-krb-ap-req-message">
 <h1>krb5_mk_req -  Create a KRB_AP_REQ message.<a class="headerlink" href="#krb5-mk-req-create-a-krb-ap-req-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_mk_req">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_mk_req</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a> *<em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;ap_req_options</em>, const char *<em>&nbsp;service</em>, const char *<em>&nbsp;hostname</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;in_data</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;outbuf</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_req" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_mk_req">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_req</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">ap_req_options</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">service</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">hostname</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_data</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outbuf</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_req" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[inout]</strong> <strong>auth_context</strong> - Pre-existing or newly created auth context</p>
-<p><strong>[in]</strong> <strong>ap_req_options</strong> - <code class="xref py py-data docutils literal"><span class="pre">AP_OPTS</span></code> options</p>
+<p><strong>[in]</strong> <strong>ap_req_options</strong> - Options (see AP_OPTS macros)</p>
 <p><strong>[in]</strong> <strong>service</strong> - Service name, or NULL to use <strong>“host”</strong></p>
 <p><strong>[in]</strong> <strong>hostname</strong> - Host name, or NULL to use local hostname</p>
 <p><strong>[in]</strong> <strong>in_data</strong> - Application data to be checksummed in the authenticator, or NULL</p>
 <p><strong>[in]</strong> <strong>ccache</strong> - Credential cache used to obtain credentials for the desired service.</p>
-<p class="last"><strong>[out]</strong> <strong>outbuf</strong> - <strong>AP-REQ</strong> message</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>outbuf</strong> - <strong>AP-REQ</strong> message</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is similar to <a class="reference internal" href="krb5_mk_req_extended.html#c.krb5_mk_req_extended" title="krb5_mk_req_extended"><code class="xref c c-func docutils literal"><span class="pre">krb5_mk_req_extended()</span></code></a> except that it uses a given <em>hostname</em> , <em>service</em> , and <em>ccache</em> to construct a service principal name and obtain credentials.</p>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>outbuf</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function is similar to krb5_mk_req_extended() except that it uses a given <em>hostname</em> , <em>service</em> , and <em>ccache</em> to construct a service principal name and obtain credentials.</p>
+<p>Use krb5_free_data_contents() to free <em>outbuf</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_req -  Create a KRB_AP_REQ message.</a></li>
@@ -148,6 +133,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +141,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_req_extended.html 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_req_extended.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_req_extended.html	2023-08-14 16:19:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_req_extended.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_req_extended - Create a KRB_AP_REQ message using supplied credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_safe - Format a KRB-SAFE message." href="krb5_mk_safe.html" />
     <link rel="prev" title="krb5_mk_req - Create a KRB_AP_REQ message." href="krb5_mk_req.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,62 +52,56 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-req-extended-create-a-krb-ap-req-message-using-supplied-credentials">
+  <section id="krb5-mk-req-extended-create-a-krb-ap-req-message-using-supplied-credentials">
 <h1>krb5_mk_req_extended -  Create a KRB_AP_REQ message using supplied credentials.<a class="headerlink" href="#krb5-mk-req-extended-create-a-krb-ap-req-message-using-supplied-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_mk_req_extended">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_mk_req_extended</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a> *<em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;ap_req_options</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;in_data</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;in_creds</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;outbuf</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_req_extended" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_mk_req_extended">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_req_extended</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">ap_req_options</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_data</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_creds</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">outbuf</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_req_extended" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[inout]</strong> <strong>auth_context</strong> - Pre-existing or newly created auth context</p>
-<p><strong>[in]</strong> <strong>ap_req_options</strong> - <code class="xref py py-data docutils literal"><span class="pre">AP_OPTS</span></code> options</p>
+<p><strong>[in]</strong> <strong>ap_req_options</strong> - Options (see AP_OPTS macros)</p>
 <p><strong>[in]</strong> <strong>in_data</strong> - Application data to be checksummed in the authenticator, or NULL</p>
 <p><strong>[in]</strong> <strong>in_creds</strong> - Credentials for the service with valid ticket and key</p>
-<p class="last"><strong>[out]</strong> <strong>outbuf</strong> - <strong>AP-REQ</strong> message</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>outbuf</strong> - <strong>AP-REQ</strong> message</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Valid <em>ap_req_options</em> are:</p>
 <blockquote>
 <div><blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/AP_OPTS_USE_SESSION_KEY.html#AP_OPTS_USE_SESSION_KEY" title="AP_OPTS_USE_SESSION_KEY"><code class="xref py py-data docutils literal"><span class="pre">AP_OPTS_USE_SESSION_KEY</span></code></a> - Use the session key when creating the request used for user to user authentication.</li>
-<li><a class="reference internal" href="../macros/AP_OPTS_MUTUAL_REQUIRED.html#AP_OPTS_MUTUAL_REQUIRED" title="AP_OPTS_MUTUAL_REQUIRED"><code class="xref py py-data docutils literal"><span class="pre">AP_OPTS_MUTUAL_REQUIRED</span></code></a> - Request a mutual authentication packet from the receiver.</li>
-<li><a class="reference internal" href="../macros/AP_OPTS_USE_SUBKEY.html#AP_OPTS_USE_SUBKEY" title="AP_OPTS_USE_SUBKEY"><code class="xref py py-data docutils literal"><span class="pre">AP_OPTS_USE_SUBKEY</span></code></a> - Generate a subsession key from the current session key obtained from the credentials.</li>
+<li><p>#AP_OPTS_USE_SESSION_KEY - Use the session key when creating the request used for user to user authentication.</p></li>
+<li><p>#AP_OPTS_MUTUAL_REQUIRED - Request a mutual authentication packet from the receiver.</p></li>
+<li><p>#AP_OPTS_USE_SUBKEY - Generate a subsession key from the current session key obtained from the credentials.</p></li>
 </ul>
 </div></blockquote>
-<p>This function creates a KRB_AP_REQ message using supplied credentials <em>in_creds</em> . <em>auth_context</em> may point to an existing auth context or to NULL, in which case a new one will be created. If <em>in_data</em> is non-null, a checksum of it will be included in the authenticator contained in the KRB_AP_REQ message. Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>outbuf</em> when it is no longer needed.</p>
+<p>This function creates a KRB_AP_REQ message using supplied credentials <em>in_creds</em> . <em>auth_context</em> may point to an existing auth context or to NULL, in which case a new one will be created. If <em>in_data</em> is non-null, a checksum of it will be included in the authenticator contained in the KRB_AP_REQ message. Use krb5_free_data_contents() to free <em>outbuf</em> when it is no longer needed.</p>
 </div></blockquote>
 <p>On successful return, the authenticator is stored in <em>auth_context</em> with the <em>client</em> and <em>checksum</em> fields nulled out. (This is to prevent pointer-sharing problems; the caller should not need these fields anyway, since the caller supplied them.)</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_mk_req.html#c.krb5_mk_req" title="krb5_mk_req"><code class="xref c c-func docutils literal"><span class="pre">krb5_mk_req()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_mk_req()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_req_extended -  Create a KRB_AP_REQ message using supplied credentials.</a></li>
@@ -160,6 +145,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -167,8 +153,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_safe.html 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_safe.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_mk_safe.html	2023-08-14 16:19:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_mk_safe.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_safe - Format a KRB-SAFE message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_os_localaddr - Return all interface addresses for this host." href="krb5_os_localaddr.html" />
     <link rel="prev" title="krb5_mk_req_extended - Create a KRB_AP_REQ message using supplied credentials." href="krb5_mk_req_extended.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-safe-format-a-krb-safe-message">
+  <section id="krb5-mk-safe-format-a-krb-safe-message">
 <h1>krb5_mk_safe -  Format a KRB-SAFE message.<a class="headerlink" href="#krb5-mk-safe-format-a-krb-safe-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_mk_safe">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_mk_safe</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;userdata</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;der_out</em>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data">krb5_replay_data</a> *<em>&nbsp;rdata_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_safe" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_mk_safe">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_safe</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">userdata</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">der_out</span></span>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rdata_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_mk_safe" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>userdata</strong> - User data in the message</p>
 <p><strong>[out]</strong> <strong>der_out</strong> - Formatted <strong>KRB-SAFE</strong> buffer</p>
-<p class="last"><strong>[out]</strong> <strong>rdata_out</strong> - Replay data. Specify NULL if not needed</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>rdata_out</strong> - Replay data. Specify NULL if not needed</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function creates an integrity protected <strong>KRB-SAFE</strong> message using data supplied by the application.</p>
-<p>Fields in <em>auth_context</em> specify the checksum type, the keyblock that can be used to seed the checksum, full addresses (host and port) for the sender and receiver, and <code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT</span></code> flags.</p>
+<p>Fields in <em>auth_context</em> specify the checksum type, the keyblock that can be used to seed the checksum, full addresses (host and port) for the sender and receiver, and KRB5_AUTH_CONTEXT flags.</p>
 <p>The local address in <em>auth_context</em> must be set, and is used to form the sender address used in the KRB-SAFE message. The remote address is optional; if specified, it will be used to form the receiver address used in the message.</p>
-<p>If the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> flag is set in <em>auth_context</em> , a timestamp is included in the KRB-SAFE message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> is not set, no replay cache is used. If <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> is set in <em>auth_context</em> , a timestamp is included in the KRB-SAFE message and is stored in <em>rdata_out</em> .</p>
-<p>If either <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> is set, the <em>auth_context</em> local sequence number is included in the KRB-SAFE message and then incremented. If <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> is set, the sequence number used is stored in <em>rdata_out</em> .</p>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>der_out</em> when it is no longer needed.</p>
+<p>If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in <em>auth_context</em> , a timestamp is included in the KRB-SAFE message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If #KRB5_AUTH_CONTEXT_DO_TIME is not set, no replay cache is used. If #KRB5_AUTH_CONTEXT_RET_TIME is set in <em>auth_context</em> , a timestamp is included in the KRB-SAFE message and is stored in <em>rdata_out</em> .</p>
+<p>If either #KRB5_AUTH_CONTEXT_DO_SEQUENCE or #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the <em>auth_context</em> local sequence number is included in the KRB-SAFE message and then incremented. If #KRB5_AUTH_CONTEXT_RET_SEQUENCE is set, the sequence number used is stored in <em>rdata_out</em> .</p>
+<p>Use krb5_free_data_contents() to free <em>der_out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The <em>rdata_out</em> argument is required if the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> flag is set in <em>auth_context</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The <em>rdata_out</em> argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in <em>auth_context</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_safe -  Format a KRB-SAFE message.</a></li>
@@ -153,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -160,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_os_localaddr.html 1.21.3-1/doc/html/appdev/refs/api/krb5_os_localaddr.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_os_localaddr.html	2023-08-14 16:19:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_os_localaddr.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_os_localaddr - Return all interface addresses for this host. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_add_buffer - Add a buffer to a PAC handle." href="krb5_pac_add_buffer.html" />
     <link rel="prev" title="krb5_mk_safe - Format a KRB-SAFE message." href="krb5_mk_safe.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-os-localaddr-return-all-interface-addresses-for-this-host">
+  <section id="krb5-os-localaddr-return-all-interface-addresses-for-this-host">
 <h1>krb5_os_localaddr -  Return all interface addresses for this host.<a class="headerlink" href="#krb5-os-localaddr-return-all-interface-addresses-for-this-host" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_os_localaddr">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_os_localaddr</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a> ***<em>&nbsp;addr</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_os_localaddr" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_os_localaddr">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_os_localaddr</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">addr</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_os_localaddr" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>addr</strong> - Array of krb5_address pointers, ending with NULL</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>addr</strong> - Array of krb5_address pointers, ending with NULL</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_free_addresses.html#c.krb5_free_addresses" title="krb5_free_addresses"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_addresses()</span></code></a> to free <em>addr</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>Use krb5_free_addresses() to free <em>addr</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_os_localaddr -  Return all interface addresses for this host.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_add_buffer.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_add_buffer.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_add_buffer.html	2023-08-14 16:19:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_add_buffer.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_add_buffer - Add a buffer to a PAC handle. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_free - Free a PAC handle." href="krb5_pac_free.html" />
     <link rel="prev" title="krb5_os_localaddr - Return all interface addresses for this host." href="krb5_os_localaddr.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,57 +52,51 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-add-buffer-add-a-buffer-to-a-pac-handle">
+  <section id="krb5-pac-add-buffer-add-a-buffer-to-a-pac-handle">
 <h1>krb5_pac_add_buffer -  Add a buffer to a PAC handle.<a class="headerlink" href="#krb5-pac-add-buffer-add-a-buffer-to-a-pac-handle" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_add_buffer">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_add_buffer</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em>, <a class="reference internal" href="../types/krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4">krb5_ui_4</a><em>&nbsp;type</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_add_buffer" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_add_buffer">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_add_buffer</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span>, <a class="reference internal" href="../types/krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4"><span class="n"><span class="pre">krb5_ui_4</span></span></a><span class="w"> </span><span class="n"><span class="pre">type</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_add_buffer" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>pac</strong> - PAC handle</p>
 <p><strong>[in]</strong> <strong>type</strong> - Buffer type</p>
-<p class="last"><strong>[in]</strong> <strong>data</strong> - contents</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>data</strong> - contents</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function adds a buffer of type <em>type</em> and contents <em>data</em> to <em>pac</em> if there isn’t already a buffer of this type present.</p>
 <p>The valid values of <em>type</em> is one of the following:</p>
 <blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_PAC_LOGON_INFO.html#KRB5_PAC_LOGON_INFO" title="KRB5_PAC_LOGON_INFO"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PAC_LOGON_INFO</span></code></a> - Logon information</li>
-<li><a class="reference internal" href="../macros/KRB5_PAC_CREDENTIALS_INFO.html#KRB5_PAC_CREDENTIALS_INFO" title="KRB5_PAC_CREDENTIALS_INFO"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PAC_CREDENTIALS_INFO</span></code></a> - Credentials information</li>
-<li><a class="reference internal" href="../macros/KRB5_PAC_SERVER_CHECKSUM.html#KRB5_PAC_SERVER_CHECKSUM" title="KRB5_PAC_SERVER_CHECKSUM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PAC_SERVER_CHECKSUM</span></code></a> - Server checksum</li>
-<li><a class="reference internal" href="../macros/KRB5_PAC_PRIVSVR_CHECKSUM.html#KRB5_PAC_PRIVSVR_CHECKSUM" title="KRB5_PAC_PRIVSVR_CHECKSUM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PAC_PRIVSVR_CHECKSUM</span></code></a> - KDC checksum</li>
-<li><a class="reference internal" href="../macros/KRB5_PAC_CLIENT_INFO.html#KRB5_PAC_CLIENT_INFO" title="KRB5_PAC_CLIENT_INFO"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PAC_CLIENT_INFO</span></code></a> - Client name and ticket information</li>
-<li><a class="reference internal" href="../macros/KRB5_PAC_DELEGATION_INFO.html#KRB5_PAC_DELEGATION_INFO" title="KRB5_PAC_DELEGATION_INFO"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PAC_DELEGATION_INFO</span></code></a> - Constrained delegation information</li>
-<li><a class="reference internal" href="../macros/KRB5_PAC_UPN_DNS_INFO.html#KRB5_PAC_UPN_DNS_INFO" title="KRB5_PAC_UPN_DNS_INFO"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PAC_UPN_DNS_INFO</span></code></a> - User principal name and DNS information</li>
+<li><p>#KRB5_PAC_LOGON_INFO - Logon information</p></li>
+<li><p>#KRB5_PAC_CREDENTIALS_INFO - Credentials information</p></li>
+<li><p>#KRB5_PAC_SERVER_CHECKSUM - Server checksum</p></li>
+<li><p>#KRB5_PAC_PRIVSVR_CHECKSUM - KDC checksum</p></li>
+<li><p>#KRB5_PAC_CLIENT_INFO - Client name and ticket information</p></li>
+<li><p>#KRB5_PAC_DELEGATION_INFO - Constrained delegation information</p></li>
+<li><p>#KRB5_PAC_UPN_DNS_INFO - User principal name and DNS information</p></li>
 </ul>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_add_buffer -  Add a buffer to a PAC handle.</a></li>
@@ -155,6 +140,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +148,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_free.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_free.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_free.html	2023-08-14 16:19:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_free.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_free - Free a PAC handle. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_get_buffer - Retrieve a buffer value from a PAC." href="krb5_pac_get_buffer.html" />
     <link rel="prev" title="krb5_pac_add_buffer - Add a buffer to a PAC handle." href="krb5_pac_add_buffer.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-free-free-a-pac-handle">
+  <section id="krb5-pac-free-free-a-pac-handle">
 <h1>krb5_pac_free -  Free a PAC handle.<a class="headerlink" href="#krb5-pac-free-free-a-pac-handle" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_free">
-void <code class="descname">krb5_pac_free</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_free" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_free">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_free</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_free" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>pac</strong> - PAC to be freed</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>pac</strong> - PAC to be freed</p>
+</dd>
+</dl>
 <p>This function frees the contents of <em>pac</em> and the structure itself.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_free -  Free a PAC handle.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_pac_fre
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_pac_fre
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_get_buffer.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_get_buffer.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_get_buffer.html	2023-08-14 16:19:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_get_buffer.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_get_buffer - Retrieve a buffer value from a PAC. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_get_types - Return an array of buffer types in a PAC handle." href="krb5_pac_get_types.html" />
     <link rel="prev" title="krb5_pac_free - Free a PAC handle." href="krb5_pac_free.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-get-buffer-retrieve-a-buffer-value-from-a-pac">
+  <section id="krb5-pac-get-buffer-retrieve-a-buffer-value-from-a-pac">
 <h1>krb5_pac_get_buffer -  Retrieve a buffer value from a PAC.<a class="headerlink" href="#krb5-pac-get-buffer-retrieve-a-buffer-value-from-a-pac" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_get_buffer">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_get_buffer</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em>, <a class="reference internal" href="../types/krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4">krb5_ui_4</a><em>&nbsp;type</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_get_buffer" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_get_buffer">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_get_buffer</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span>, <a class="reference internal" href="../types/krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4"><span class="n"><span class="pre">krb5_ui_4</span></span></a><span class="w"> </span><span class="n"><span class="pre">type</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_get_buffer" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>pac</strong> - PAC handle</p>
 <p><strong>[in]</strong> <strong>type</strong> - Type of buffer to retrieve</p>
-<p class="last"><strong>[out]</strong> <strong>data</strong> - Buffer value</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>data</strong> - Buffer value</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>data</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>Use krb5_free_data_contents() to free <em>data</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_get_buffer -  Retrieve a buffer value from a PAC.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_get_client_info.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_get_client_info.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_get_client_info.html	2023-08-14 16:19:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_get_client_info.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_get_client_info - Read client information from a PAC. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_prepend_error_message - Add a prefix to the message for an error code." href="krb5_prepend_error_message.html" />
     <link rel="prev" title="krb5_pac_verify_ext - Verify a PAC, possibly from a specified realm." href="krb5_pac_verify_ext.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-get-client-info-read-client-information-from-a-pac">
+  <section id="krb5-pac-get-client-info-read-client-information-from-a-pac">
 <h1>krb5_pac_get_client_info -  Read client information from a PAC.<a class="headerlink" href="#krb5-pac-get-client-info-read-client-information-from-a-pac" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_get_client_info">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_get_client_info</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a> *<em>&nbsp;authtime_out</em>, char **<em>&nbsp;princname_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_get_client_info" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_get_client_info">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_get_client_info</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">authtime_out</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">princname_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_get_client_info" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>pac</strong> - PAC handle</p>
 <p><strong>[out]</strong> <strong>authtime_out</strong> - Authentication timestamp (NULL if not needed)</p>
-<p class="last"><strong>[out]</strong> <strong>princname_out</strong> - Client account name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   on success, ENOENT if no PAC_CLIENT_INFO buffer is present in pac , ERANGE if the buffer contains invalid lengths.</li>
+<p><strong>[out]</strong> <strong>princname_out</strong> - Client account name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   on success, ENOENT if no PAC_CLIENT_INFO buffer is present in pac , ERANGE if the buffer contains invalid lengths.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Read the PAC_CLIENT_INFO buffer in <em>pac</em> . Place the client account name as a string in <em>princname_out</em> . If <em>authtime_out</em> is not NULL, place the initial authentication timestamp in <em>authtime_out</em> .</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.18</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.18</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_get_client_info -  Read client information from a PAC.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_get_types.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_get_types.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_get_types.html	2023-08-14 16:19:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_get_types.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_get_types - Return an array of buffer types in a PAC handle. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_init - Create an empty Privilege Attribute Certificate (PAC) handle." href="krb5_pac_init.html" />
     <link rel="prev" title="krb5_pac_get_buffer - Retrieve a buffer value from a PAC." href="krb5_pac_get_buffer.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-get-types-return-an-array-of-buffer-types-in-a-pac-handle">
+  <section id="krb5-pac-get-types-return-an-array-of-buffer-types-in-a-pac-handle">
 <h1>krb5_pac_get_types -  Return an array of buffer types in a PAC handle.<a class="headerlink" href="#krb5-pac-get-types-return-an-array-of-buffer-types-in-a-pac-handle" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_get_types">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_get_types</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em>, size_t *<em>&nbsp;len</em>, <a class="reference internal" href="../types/krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4">krb5_ui_4</a> **<em>&nbsp;types</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_get_types" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_get_types">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_get_types</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">len</span></span>, <a class="reference internal" href="../types/krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4"><span class="n"><span class="pre">krb5_ui_4</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">types</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_get_types" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>pac</strong> - PAC handle</p>
 <p><strong>[out]</strong> <strong>len</strong> - Number of entries in <em>types</em></p>
-<p class="last"><strong>[out]</strong> <strong>types</strong> - Array of buffer types</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>types</strong> - Array of buffer types</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_get_types -  Return an array of buffer types in a PAC handle.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_init.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_init.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_init.html	2023-08-14 16:19:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_init.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_init - Create an empty Privilege Attribute Certificate (PAC) handle. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_parse - Unparse an encoded PAC into a new handle." href="krb5_pac_parse.html" />
     <link rel="prev" title="krb5_pac_get_types - Return an array of buffer types in a PAC handle." href="krb5_pac_get_types.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-init-create-an-empty-privilege-attribute-certificate-pac-handle">
+  <section id="krb5-pac-init-create-an-empty-privilege-attribute-certificate-pac-handle">
 <h1>krb5_pac_init -  Create an empty Privilege Attribute Certificate (PAC) handle.<a class="headerlink" href="#krb5-pac-init-create-an-empty-privilege-attribute-certificate-pac-handle" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_init">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_init</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a> *<em>&nbsp;pac</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_init" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_init">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_init</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pac</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_init" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>pac</strong> - New PAC handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>pac</strong> - New PAC handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_pac_free.html#c.krb5_pac_free" title="krb5_pac_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_pac_free()</span></code></a> to free <em>pac</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>Use krb5_pac_free() to free <em>pac</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_init -  Create an empty Privilege Attribute Certificate (PAC) handle.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_parse.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_parse.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_parse.html	2023-08-14 16:19:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_parse.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_parse - Unparse an encoded PAC into a new handle. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_sign" href="krb5_pac_sign.html" />
     <link rel="prev" title="krb5_pac_init - Create an empty Privilege Attribute Certificate (PAC) handle." href="krb5_pac_init.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-parse-unparse-an-encoded-pac-into-a-new-handle">
+  <section id="krb5-pac-parse-unparse-an-encoded-pac-into-a-new-handle">
 <h1>krb5_pac_parse -  Unparse an encoded PAC into a new handle.<a class="headerlink" href="#krb5-pac-parse-unparse-an-encoded-pac-into-a-new-handle" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_parse">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_parse</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const void *<em>&nbsp;ptr</em>, size_t<em>&nbsp;len</em>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a> *<em>&nbsp;pac</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_parse" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_parse">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_parse</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ptr</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">len</span></span>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pac</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_parse" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ptr</strong> - PAC buffer</p>
 <p><strong>[in]</strong> <strong>len</strong> - Length of <em>ptr</em></p>
-<p class="last"><strong>[out]</strong> <strong>pac</strong> - PAC handle</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>pac</strong> - PAC handle</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Use <a class="reference internal" href="krb5_pac_free.html#c.krb5_pac_free" title="krb5_pac_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_pac_free()</span></code></a> to free <em>pac</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>Use krb5_pac_free() to free <em>pac</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_parse -  Unparse an encoded PAC into a new handle.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_sign.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_sign.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_sign.html	2023-08-14 16:20:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_sign.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_sign &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_sign_ext" href="krb5_pac_sign_ext.html" />
     <link rel="prev" title="krb5_pac_parse - Unparse an encoded PAC into a new handle." href="krb5_pac_parse.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-sign">
+  <section id="krb5-pac-sign">
 <h1>krb5_pac_sign<a class="headerlink" href="#krb5-pac-sign" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_sign">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_sign</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a><em>&nbsp;authtime</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;server_key</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;privsvr_key</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_sign" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_sign">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_sign</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="n"><span class="pre">authtime</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">server_key</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">privsvr_key</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_sign" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>pac</strong></p>
 <p><strong>authtime</strong></p>
 <p><strong>principal</strong></p>
 <p><strong>server_key</strong></p>
 <p><strong>privsvr_key</strong></p>
-<p class="last"><strong>data</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>data</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Use krb5_kdc_sign_ticket() instead.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_sign</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_sign_ext.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_sign_ext.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_sign_ext.html	2023-08-14 16:20:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_sign_ext.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_sign_ext &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_verify - Verify a PAC." href="krb5_pac_verify.html" />
     <link rel="prev" title="krb5_pac_sign" href="krb5_pac_sign.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,38 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-sign-ext">
+  <section id="krb5-pac-sign-ext">
 <h1>krb5_pac_sign_ext<a class="headerlink" href="#krb5-pac-sign-ext" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_sign_ext">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_sign_ext</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a><em>&nbsp;authtime</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;server_key</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;privsvr_key</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a><em>&nbsp;with_realm</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_sign_ext" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_sign_ext">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_sign_ext</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="n"><span class="pre">authtime</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">server_key</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">privsvr_key</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="n"><span class="pre">with_realm</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_sign_ext" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>pac</strong></p>
 <p><strong>authtime</strong></p>
 <p><strong>principal</strong></p>
 <p><strong>server_key</strong></p>
 <p><strong>privsvr_key</strong></p>
 <p><strong>with_realm</strong></p>
-<p class="last"><strong>data</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>data</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Use krb5_kdc_sign_ticket() instead.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_sign_ext</a></li>
@@ -136,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_verify.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_verify.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_verify.html	2023-08-14 16:20:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_verify.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_verify - Verify a PAC. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_verify_ext - Verify a PAC, possibly from a specified realm." href="krb5_pac_verify_ext.html" />
     <link rel="prev" title="krb5_pac_sign_ext" href="krb5_pac_sign_ext.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-verify-verify-a-pac">
+  <section id="krb5-pac-verify-verify-a-pac">
 <h1>krb5_pac_verify -  Verify a PAC.<a class="headerlink" href="#krb5-pac-verify-verify-a-pac" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_verify">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_verify</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a><em>&nbsp;authtime</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;server</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;privsvr</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_verify" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_verify">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_verify</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="n"><span class="pre">authtime</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">server</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">privsvr</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_verify" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>pac</strong> - PAC handle</p>
 <p><strong>[in]</strong> <strong>authtime</strong> - Expected timestamp</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Expected principal name (or NULL)</p>
 <p><strong>[in]</strong> <strong>server</strong> - Key to validate server checksum (or NULL)</p>
-<p class="last"><strong>[in]</strong> <strong>privsvr</strong> - Key to validate KDC checksum (or NULL)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>privsvr</strong> - Key to validate KDC checksum (or NULL)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function validates <em>pac</em> against the supplied <em>server</em> , <em>privsvr</em> , <em>principal</em> and <em>authtime</em> . If <em>principal</em> is NULL, the principal and authtime are not verified. If <em>server</em> or <em>privsvr</em> is NULL, the corresponding checksum is not verified.</p>
 <p>If successful, <em>pac</em> is marked as verified.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">A checksum mismatch can occur if the PAC was copied from a cross-realm TGT by an ignorant KDC; also macOS Server Open Directory (as of 10.6) generates PACs with no server checksum at all. One should consider not failing the whole authentication because of this reason, but, instead, treating the ticket as if it did not contain a PAC or marking the PAC information as non-verified.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>A checksum mismatch can occur if the PAC was copied from a cross-realm TGT by an ignorant KDC; also macOS Server Open Directory (as of 10.6) generates PACs with no server checksum at all. One should consider not failing the whole authentication because of this reason, but, instead, treating the ticket as if it did not contain a PAC or marking the PAC information as non-verified.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_verify -  Verify a PAC.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_verify_ext.html 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_verify_ext.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_pac_verify_ext.html	2023-08-14 16:20:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_pac_verify_ext.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac_verify_ext - Verify a PAC, possibly from a specified realm. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac_get_client_info - Read client information from a PAC." href="krb5_pac_get_client_info.html" />
     <link rel="prev" title="krb5_pac_verify - Verify a PAC." href="krb5_pac_verify.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,41 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-verify-ext-verify-a-pac-possibly-from-a-specified-realm">
+  <section id="krb5-pac-verify-ext-verify-a-pac-possibly-from-a-specified-realm">
 <h1>krb5_pac_verify_ext -  Verify a PAC, possibly from a specified realm.<a class="headerlink" href="#krb5-pac-verify-ext-verify-a-pac-possibly-from-a-specified-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_pac_verify_ext">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_pac_verify_ext</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac">krb5_pac</a><em>&nbsp;pac</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a><em>&nbsp;authtime</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;server</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;privsvr</em>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a><em>&nbsp;with_realm</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_verify_ext" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_pac_verify_ext">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac_verify_ext</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_pac.html#c.krb5_pac" title="krb5_pac"><span class="n"><span class="pre">krb5_pac</span></span></a><span class="w"> </span><span class="n"><span class="pre">pac</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="n"><span class="pre">authtime</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">server</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">privsvr</span></span>, <a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="n"><span class="pre">with_realm</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_pac_verify_ext" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>pac</strong> - PAC handle</p>
 <p><strong>[in]</strong> <strong>authtime</strong> - Expected timestamp</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Expected principal name (or NULL)</p>
 <p><strong>[in]</strong> <strong>server</strong> - Key to validate server checksum (or NULL)</p>
 <p><strong>[in]</strong> <strong>privsvr</strong> - Key to validate KDC checksum (or NULL)</p>
-<p class="last"><strong>[in]</strong> <strong>with_realm</strong> - If true, expect the realm of <em>principal</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is similar to <a class="reference internal" href="krb5_pac_verify.html#c.krb5_pac_verify" title="krb5_pac_verify"><code class="xref c c-func docutils literal"><span class="pre">krb5_pac_verify()</span></code></a> , but adds a parameter <em>with_realm</em> . If <em>with_realm</em> is true, the PAC_CLIENT_INFO field is expected to include the realm of <em>principal</em> as well as the name. This flag is necessary to verify PACs in cross-realm S4U2Self referral TGTs.</p>
+<p><strong>[in]</strong> <strong>with_realm</strong> - If true, expect the realm of <em>principal</em></p>
+</dd>
+</dl>
+<p>This function is similar to krb5_pac_verify(), but adds a parameter <em>with_realm</em> . If <em>with_realm</em> is true, the PAC_CLIENT_INFO field is expected to include the realm of <em>principal</em> as well as the name. This flag is necessary to verify PACs in cross-realm S4U2Self referral TGTs.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.17</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.17</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac_verify_ext -  Verify a PAC, possibly from a specified realm.</a></li>
@@ -139,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -146,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_parse_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_parse_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_parse_name.html	2023-08-14 16:20:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_parse_name.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_parse_name - Convert a string principal name to a krb5_principal structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_parse_name_flags - Convert a string principal name to a krb5_principal with flags." href="krb5_parse_name_flags.html" />
     <link rel="prev" title="krb5_kuserok - Determine if a principal is authorized to log in as a local user." href="krb5_kuserok.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,57 +52,51 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-parse-name-convert-a-string-principal-name-to-a-krb5-principal-structure">
+  <section id="krb5-parse-name-convert-a-string-principal-name-to-a-krb5-principal-structure">
 <h1>krb5_parse_name -  Convert a string principal name to a krb5_principal structure.<a class="headerlink" href="#krb5-parse-name-convert-a-string-principal-name-to-a-krb5-principal-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_parse_name">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_parse_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;name</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;principal_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_parse_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_parse_name">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_parse_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">principal_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_parse_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>name</strong> - String representation of a principal name</p>
-<p class="last"><strong>[out]</strong> <strong>principal_out</strong> - New principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>principal_out</strong> - New principal</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Convert a string representation of a principal name to a krb5_principal structure.</p>
 <p>A string representation of a Kerberos name consists of one or more principal name components, separated by slashes, optionally followed by the &#64; character and a realm name. If the realm name is not specified, the local realm is used.</p>
 <p>To use the slash and &#64; symbols as part of a component (quoted) instead of using them as a component separator or as a realm prefix), put a backslash () character in front of the symbol. Similarly, newline, tab, backspace, and NULL characters can be included in a component by using <strong>n</strong> , <strong>t</strong> , <strong>b</strong> or <strong>0</strong> , respectively.</p>
 <p>Beginning with release 1.20, the name type of the principal will be inferred as <strong>KRB5_NT_SRV_INST</strong> or <strong>KRB5_NT_WELLKNOWN</strong> based on the principal name. The type will be <strong>KRB5_NT_PRINCIPAL</strong> if a type cannot be inferred.</p>
-<p>Use <a class="reference internal" href="krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a> to free <em>principal_out</em> when it is no longer needed.</p>
+<p>Use krb5_free_principal() to free <em>principal_out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The realm in a Kerberos <em>name</em> cannot contain slash, colon, or NULL characters.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The realm in a Kerberos <em>name</em> cannot contain slash, colon, or NULL characters.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_parse_name -  Convert a string principal name to a krb5_principal structure.</a></li>
@@ -155,6 +140,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +148,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_parse_name_flags.html 1.21.3-1/doc/html/appdev/refs/api/krb5_parse_name_flags.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_parse_name_flags.html	2023-08-14 16:20:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_parse_name_flags.html	2024-06-26 20:01:05.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_parse_name_flags - Convert a string principal name to a krb5_principal with flags. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_principal_compare - Compare two principals." href="krb5_principal_compare.html" />
     <link rel="prev" title="krb5_parse_name - Convert a string principal name to a krb5_principal structure." href="krb5_parse_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,63 +52,57 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-parse-name-flags-convert-a-string-principal-name-to-a-krb5-principal-with-flags">
+  <section id="krb5-parse-name-flags-convert-a-string-principal-name-to-a-krb5-principal-with-flags">
 <h1>krb5_parse_name_flags -  Convert a string principal name to a krb5_principal with flags.<a class="headerlink" href="#krb5-parse-name-flags-convert-a-string-principal-name-to-a-krb5-principal-with-flags" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_parse_name_flags">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_parse_name_flags</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;name</em>, int<em>&nbsp;flags</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;principal_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_parse_name_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_parse_name_flags">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_parse_name_flags</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">flags</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">principal_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_parse_name_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>name</strong> - String representation of a principal name</p>
 <p><strong>[in]</strong> <strong>flags</strong> - Flag</p>
-<p class="last"><strong>[out]</strong> <strong>principal_out</strong> - New principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Similar to <a class="reference internal" href="krb5_parse_name.html#c.krb5_parse_name" title="krb5_parse_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_parse_name()</span></code></a> , this function converts a single-string representation of a principal name to a krb5_principal structure.</p>
+<p><strong>[out]</strong> <strong>principal_out</strong> - New principal</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>Similar to krb5_parse_name(), this function converts a single-string representation of a principal name to a krb5_principal structure.</p>
 <p>The following flags are valid:</p>
 <blockquote>
 <div><blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_PARSE_NO_REALM.html#KRB5_PRINCIPAL_PARSE_NO_REALM" title="KRB5_PRINCIPAL_PARSE_NO_REALM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_PARSE_NO_REALM</span></code></a> - no realm must be present in <em>name</em></li>
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM.html#KRB5_PRINCIPAL_PARSE_REQUIRE_REALM" title="KRB5_PRINCIPAL_PARSE_REQUIRE_REALM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_PARSE_REQUIRE_REALM</span></code></a> - realm must be present in <em>name</em></li>
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE.html#KRB5_PRINCIPAL_PARSE_ENTERPRISE" title="KRB5_PRINCIPAL_PARSE_ENTERPRISE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_PARSE_ENTERPRISE</span></code></a> - create single-component enterprise principal</li>
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM.html#KRB5_PRINCIPAL_PARSE_IGNORE_REALM" title="KRB5_PRINCIPAL_PARSE_IGNORE_REALM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_PARSE_IGNORE_REALM</span></code></a> - ignore realm if present in <em>name</em></li>
+<li><p>#KRB5_PRINCIPAL_PARSE_NO_REALM - no realm must be present in <em>name</em></p></li>
+<li><p>#KRB5_PRINCIPAL_PARSE_REQUIRE_REALM - realm must be present in <em>name</em></p></li>
+<li><p>#KRB5_PRINCIPAL_PARSE_ENTERPRISE - create single-component enterprise principal</p></li>
+<li><p>#KRB5_PRINCIPAL_PARSE_IGNORE_REALM - ignore realm if present in <em>name</em></p></li>
 </ul>
 </div></blockquote>
 <p>If <strong>KRB5_PRINCIPAL_PARSE_NO_REALM</strong> or <strong>KRB5_PRINCIPAL_PARSE_IGNORE_REALM</strong> is specified in <em>flags</em> , the realm of the new principal will be empty. Otherwise, the default realm for <em>context</em> will be used if <em>name</em> does not specify a realm.</p>
 </div></blockquote>
-<p>Use <a class="reference internal" href="krb5_free_principal.html#c.krb5_free_principal" title="krb5_free_principal"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_principal()</span></code></a> to free <em>principal_out</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_principal() to free <em>principal_out</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_parse_name_flags -  Convert a string principal name to a krb5_principal with flags.</a></li>
@@ -161,6 +146,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -168,8 +154,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_prepend_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_prepend_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_prepend_error_message.html	2023-08-14 16:20:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_prepend_error_message.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_prepend_error_message - Add a prefix to the message for an error code. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_principal2salt - Convert a principal name into the default salt for that principal." href="krb5_principal2salt.html" />
     <link rel="prev" title="krb5_pac_get_client_info - Read client information from a PAC." href="krb5_pac_get_client_info.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-prepend-error-message-add-a-prefix-to-the-message-for-an-error-code">
+  <section id="krb5-prepend-error-message-add-a-prefix-to-the-message-for-an-error-code">
 <h1>krb5_prepend_error_message -  Add a prefix to the message for an error code.<a class="headerlink" href="#krb5-prepend-error-message-add-a-prefix-to-the-message-for-an-error-code" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_prepend_error_message">
-void <code class="descname">krb5_prepend_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a><em>&nbsp;code</em>, const char *<em>&nbsp;fmt</em>, ...<span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_prepend_error_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_prepend_error_message">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_prepend_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="n"><span class="pre">code</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">fmt</span></span>, <span class="p"><span class="pre">...</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_prepend_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>code</strong> - Error code</p>
-<p class="last"><strong>[in]</strong> <strong>fmt</strong> - Format string for error message prefix</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>fmt</strong> - Format string for error message prefix</p>
+</dd>
+</dl>
 <p>Format a message and prepend it to the current message for <em>code</em> . The prefix will be separated from the old message with a colon and space.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_prepend_error_message -  Add a prefix to the message for an error code.</a></li>
@@ -131,6 +120,7 @@ void <code class="descname">krb5_prepend
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@ void <code class="descname">krb5_prepend
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_principal2salt.html 1.21.3-1/doc/html/appdev/refs/api/krb5_principal2salt.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_principal2salt.html	2023-08-14 16:20:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_principal2salt.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_principal2salt - Convert a principal name into the default salt for that principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_rd_cred - Read and validate a KRB-CRED message." href="krb5_rd_cred.html" />
     <link rel="prev" title="krb5_prepend_error_message - Add a prefix to the message for an error code." href="krb5_prepend_error_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal2salt-convert-a-principal-name-into-the-default-salt-for-that-principal">
+  <section id="krb5-principal2salt-convert-a-principal-name-into-the-default-salt-for-that-principal">
 <h1>krb5_principal2salt -  Convert a principal name into the default salt for that principal.<a class="headerlink" href="#krb5-principal2salt-convert-a-principal-name-into-the-default-salt-for-that-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_principal2salt">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_principal2salt</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;pr</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;ret</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_principal2salt" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_principal2salt">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_principal2salt</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">pr</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ret</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_principal2salt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>pr</strong> - Principal name</p>
-<p class="last"><strong>[out]</strong> <strong>ret</strong> - Default salt for <em>pr</em> to be filled in</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>ret</strong> - Default salt for <em>pr</em> to be filled in</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_principal2salt -  Convert a principal name into the default salt for that principal.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_principal_compare.html 1.21.3-1/doc/html/appdev/refs/api/krb5_principal_compare.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_principal_compare.html	2023-08-14 16:20:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_principal_compare.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_principal_compare - Compare two principals. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_principal_compare_any_realm - Compare two principals ignoring realm components." href="krb5_principal_compare_any_realm.html" />
     <link rel="prev" title="krb5_parse_name_flags - Convert a string principal name to a krb5_principal with flags." href="krb5_parse_name_flags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-compare-compare-two-principals">
+  <section id="krb5-principal-compare-compare-two-principals">
 <h1>krb5_principal_compare -  Compare two principals.<a class="headerlink" href="#krb5-principal-compare-compare-two-principals" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_principal_compare">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_principal_compare</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ1</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ2</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_principal_compare" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_principal_compare">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_principal_compare</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ1</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ2</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_principal_compare" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>princ1</strong> - First principal</p>
-<p class="last"><strong>[in]</strong> <strong>princ2</strong> - Second principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE   if the principals are the same; FALSE otherwise</li>
+<p><strong>[in]</strong> <strong>princ2</strong> - Second principal</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE   if the principals are the same; FALSE otherwise</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_principal_compare -  Compare two principals.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_principal_compare_any_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_principal_compare_any_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_principal_compare_any_realm.html	2023-08-14 16:20:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_principal_compare_any_realm.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_principal_compare_any_realm - Compare two principals ignoring realm components. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_principal_compare_flags - Compare two principals with additional flags." href="krb5_principal_compare_flags.html" />
     <link rel="prev" title="krb5_principal_compare - Compare two principals." href="krb5_principal_compare.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-compare-any-realm-compare-two-principals-ignoring-realm-components">
+  <section id="krb5-principal-compare-any-realm-compare-two-principals-ignoring-realm-components">
 <h1>krb5_principal_compare_any_realm -  Compare two principals ignoring realm components.<a class="headerlink" href="#krb5-principal-compare-any-realm-compare-two-principals-ignoring-realm-components" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_principal_compare_any_realm">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_principal_compare_any_realm</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ1</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ2</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_principal_compare_any_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_principal_compare_any_realm">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_principal_compare_any_realm</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ1</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ2</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_principal_compare_any_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>princ1</strong> - First principal</p>
-<p class="last"><strong>[in]</strong> <strong>princ2</strong> - Second principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE   if the principals are the same; FALSE otherwise</li>
+<p><strong>[in]</strong> <strong>princ2</strong> - Second principal</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE   if the principals are the same; FALSE otherwise</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Similar to <a class="reference internal" href="krb5_principal_compare.html#c.krb5_principal_compare" title="krb5_principal_compare"><code class="xref c c-func docutils literal"><span class="pre">krb5_principal_compare()</span></code></a> , but do not compare the realm components of the principals.</p>
-</div>
+</dd>
+</dl>
+<p>Similar to krb5_principal_compare(), but do not compare the realm components of the principals.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_principal_compare_any_realm -  Compare two principals ignoring realm components.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_principal_compare_flags.html 1.21.3-1/doc/html/appdev/refs/api/krb5_principal_compare_flags.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_principal_compare_flags.html	2023-08-14 16:20:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_principal_compare_flags.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_principal_compare_flags - Compare two principals with additional flags. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_prompter_posix - Prompt user for password." href="krb5_prompter_posix.html" />
     <link rel="prev" title="krb5_principal_compare_any_realm - Compare two principals ignoring realm components." href="krb5_principal_compare_any_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,57 +52,51 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-compare-flags-compare-two-principals-with-additional-flags">
+  <section id="krb5-principal-compare-flags-compare-two-principals-with-additional-flags">
 <h1>krb5_principal_compare_flags -  Compare two principals with additional flags.<a class="headerlink" href="#krb5-principal-compare-flags-compare-two-principals-with-additional-flags" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_principal_compare_flags">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_principal_compare_flags</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ1</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ2</em>, int<em>&nbsp;flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_principal_compare_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_principal_compare_flags">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_principal_compare_flags</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ1</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ2</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_principal_compare_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>princ1</strong> - First principal</p>
 <p><strong>[in]</strong> <strong>princ2</strong> - Second principal</p>
-<p class="last"><strong>[in]</strong> <strong>flags</strong> - Flags</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE   if the principal names are the same; FALSE otherwise</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>flags</strong> - Flags</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE   if the principal names are the same; FALSE otherwise</p></li>
+</ul>
+</dd>
+</dl>
 <p>Valid flags are:</p>
 <blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM.html#KRB5_PRINCIPAL_COMPARE_IGNORE_REALM" title="KRB5_PRINCIPAL_COMPARE_IGNORE_REALM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_COMPARE_IGNORE_REALM</span></code></a> - ignore realm component</li>
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE.html#KRB5_PRINCIPAL_COMPARE_ENTERPRISE" title="KRB5_PRINCIPAL_COMPARE_ENTERPRISE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_COMPARE_ENTERPRISE</span></code></a> - UPNs as real principals</li>
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD.html#KRB5_PRINCIPAL_COMPARE_CASEFOLD" title="KRB5_PRINCIPAL_COMPARE_CASEFOLD"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_COMPARE_CASEFOLD</span></code></a> case-insensitive</li>
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_COMPARE_UTF8.html#KRB5_PRINCIPAL_COMPARE_UTF8" title="KRB5_PRINCIPAL_COMPARE_UTF8"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_COMPARE_UTF8</span></code></a> - treat principals as UTF-8</li>
+<li><p>#KRB5_PRINCIPAL_COMPARE_IGNORE_REALM - ignore realm component</p></li>
+<li><p>#KRB5_PRINCIPAL_COMPARE_ENTERPRISE - UPNs as real principals</p></li>
+<li><p>#KRB5_PRINCIPAL_COMPARE_CASEFOLD case-insensitive</p></li>
+<li><p>#KRB5_PRINCIPAL_COMPARE_UTF8 - treat principals as UTF-8</p></li>
 </ul>
 </div></blockquote>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_principal_compare.html#c.krb5_principal_compare" title="krb5_principal_compare"><code class="xref c c-func docutils literal"><span class="pre">krb5_principal_compare()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_principal_compare()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_principal_compare_flags -  Compare two principals with additional flags.</a></li>
@@ -155,6 +140,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +148,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_process_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_process_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_process_key.html	2023-08-14 16:20:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_process_key.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_process_key &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_string_to_key" href="krb5_string_to_key.html" />
     <link rel="prev" title="krb5_random_key" href="krb5_random_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-process-key">
+  <section id="krb5-process-key">
 <h1>krb5_process_key<a class="headerlink" href="#krb5-process-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_process_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_process_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_process_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_process_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_process_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_process_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>eblock</strong></p>
-<p class="last"><strong>key</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>key</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_process_key</a></li>
@@ -131,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_prompter_posix.html 1.21.3-1/doc/html/appdev/refs/api/krb5_prompter_posix.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_prompter_posix.html	2023-08-14 16:20:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_prompter_posix.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_prompter_posix - Prompt user for password. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_realm_compare - Compare the realms of two principals." href="krb5_realm_compare.html" />
     <link rel="prev" title="krb5_principal_compare_flags - Compare two principals with additional flags." href="krb5_principal_compare_flags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-prompter-posix-prompt-user-for-password">
+  <section id="krb5-prompter-posix-prompt-user-for-password">
 <h1>krb5_prompter_posix -  Prompt user for password.<a class="headerlink" href="#krb5-prompter-posix-prompt-user-for-password" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_prompter_posix">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_prompter_posix</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, void *<em>&nbsp;data</em>, const char *<em>&nbsp;name</em>, const char *<em>&nbsp;banner</em>, int<em>&nbsp;num_prompts</em>, <a class="reference internal" href="../types/krb5_prompt.html#c.krb5_prompt" title="krb5_prompt">krb5_prompt</a><em>&nbsp;prompts</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_prompter_posix" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_prompter_posix">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_prompter_posix</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">banner</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">num_prompts</span></span>, <a class="reference internal" href="../types/krb5_prompt.html#c.krb5_prompt" title="krb5_prompt"><span class="n"><span class="pre">krb5_prompt</span></span></a><span class="w"> </span><span class="n"><span class="pre">prompts</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_prompter_posix" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>data</strong> - Unused (callback argument)</p>
 <p><strong>[in]</strong> <strong>name</strong> - Name to output during prompt</p>
 <p><strong>[in]</strong> <strong>banner</strong> - Banner to output during prompt</p>
 <p><strong>[in]</strong> <strong>num_prompts</strong> - Number of prompts in <em>prompts</em></p>
-<p class="last"><strong>[in]</strong> <strong>prompts</strong> - Array of prompts and replies</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is intended to be used as a prompter callback for <a class="reference internal" href="krb5_get_init_creds_password.html#c.krb5_get_init_creds_password" title="krb5_get_init_creds_password"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_init_creds_password()</span></code></a> or <a class="reference internal" href="krb5_init_creds_init.html#c.krb5_init_creds_init" title="krb5_init_creds_init"><code class="xref c c-func docutils literal"><span class="pre">krb5_init_creds_init()</span></code></a> .</p>
+<p><strong>[in]</strong> <strong>prompts</strong> - Array of prompts and replies</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>This function is intended to be used as a prompter callback for krb5_get_init_creds_password() or krb5_init_creds_init().</p>
 <p>Writes <em>name</em> and <em>banner</em> to stdout, each followed by a newline, then writes each prompt field in the <em>prompts</em> array, followed by”:”, and sets the reply field of the entry to a line of input read from stdin. If the hidden flag is set for a prompt, then terminal echoing is turned off when input is read.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_prompter_posix -  Prompt user for password.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_random_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_random_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_random_key.html	2023-08-14 16:20:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_random_key.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_random_key &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_process_key" href="krb5_process_key.html" />
     <link rel="prev" title="krb5_kt_free_entry" href="krb5_kt_free_entry.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-random-key">
+  <section id="krb5-random-key">
 <h1>krb5_random_key<a class="headerlink" href="#krb5-random-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_random_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_random_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a><em>&nbsp;ptr</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> **<em>&nbsp;keyblock</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_random_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_random_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_random_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">ptr</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_random_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>eblock</strong></p>
 <p><strong>ptr</strong></p>
-<p class="last"><strong>keyblock</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>keyblock</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_random_key</a></li>
@@ -132,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_cred.html 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_cred.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_cred.html	2023-08-14 16:20:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_cred.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_rd_cred - Read and validate a KRB-CRED message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_rd_error - Decode a KRB-ERROR message." href="krb5_rd_error.html" />
     <link rel="prev" title="krb5_principal2salt - Convert a principal name into the default salt for that principal." href="krb5_principal2salt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-rd-cred-read-and-validate-a-krb-cred-message">
+  <section id="krb5-rd-cred-read-and-validate-a-krb-cred-message">
 <h1>krb5_rd_cred -  Read and validate a KRB-CRED message.<a class="headerlink" href="#krb5-rd-cred-read-and-validate-a-krb-cred-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_rd_cred">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_rd_cred</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;creddata</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> ***<em>&nbsp;creds_out</em>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data">krb5_replay_data</a> *<em>&nbsp;rdata_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_cred" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_rd_cred">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_rd_cred</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creddata</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds_out</span></span>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rdata_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_cred" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>creddata</strong> - <strong>KRB-CRED</strong> message</p>
 <p><strong>[out]</strong> <strong>creds_out</strong> - Null-terminated array of forwarded credentials</p>
-<p class="last"><strong>[out]</strong> <strong>rdata_out</strong> - Replay data (NULL if not needed)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>rdata_out</strong> - Replay data (NULL if not needed)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <blockquote>
-<div><em>creddata</em> will be decrypted using the receiving subkey if it is present in <em>auth_context</em> , or the session key if the receiving subkey is not present or fails to decrypt the message.</div></blockquote>
-<p>Use <a class="reference internal" href="krb5_free_tgt_creds.html#c.krb5_free_tgt_creds" title="krb5_free_tgt_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_tgt_creds()</span></code></a> to free <em>creds_out</em> when it is no longer needed.</p>
+<div><p><em>creddata</em> will be decrypted using the receiving subkey if it is present in <em>auth_context</em> , or the session key if the receiving subkey is not present or fails to decrypt the message.</p>
+</div></blockquote>
+<p>Use krb5_free_tgt_creds() to free <em>creds_out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The <em>rdata_out</em> argument is required if the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> flag is set in <em>auth_context</em> .`</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The <em>rdata_out</em> argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in <em>auth_context</em> .`</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_rd_cred -  Read and validate a KRB-CRED message.</a></li>
@@ -150,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_error.html 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_error.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_error.html	2023-08-14 16:20:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_error.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_rd_error - Decode a KRB-ERROR message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_rd_priv - Process a KRB-PRIV message." href="krb5_rd_priv.html" />
     <link rel="prev" title="krb5_rd_cred - Read and validate a KRB-CRED message." href="krb5_rd_cred.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-rd-error-decode-a-krb-error-message">
+  <section id="krb5-rd-error-decode-a-krb-error-message">
 <h1>krb5_rd_error -  Decode a KRB-ERROR message.<a class="headerlink" href="#krb5-rd-error-decode-a-krb-error-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_rd_error">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_rd_error</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;enc_errbuf</em>, <a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error">krb5_error</a> **<em>&nbsp;dec_error</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_error" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_rd_error">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_rd_error</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">enc_errbuf</span></span>, <a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">dec_error</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_error" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>enc_errbuf</strong> - Encoded error message</p>
-<p class="last"><strong>[out]</strong> <strong>dec_error</strong> - Decoded error message</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>dec_error</strong> - Decoded error message</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function processes <strong>KRB-ERROR</strong> message <em>enc_errbuf</em> and returns an allocated structure <em>dec_error</em> containing the error message. Use <a class="reference internal" href="krb5_free_error.html#c.krb5_free_error" title="krb5_free_error"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_error()</span></code></a> to free <em>dec_error</em> when it is no longer needed.</p>
-</div>
+</dd>
+</dl>
+<p>This function processes <strong>KRB-ERROR</strong> message <em>enc_errbuf</em> and returns an allocated structure <em>dec_error</em> containing the error message. Use krb5_free_error() to free <em>dec_error</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_rd_error -  Decode a KRB-ERROR message.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_priv.html 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_priv.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_priv.html	2023-08-14 16:20:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_priv.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_rd_priv - Process a KRB-PRIV message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_rd_rep - Parse and decrypt a KRB_AP_REP message." href="krb5_rd_rep.html" />
     <link rel="prev" title="krb5_rd_error - Decode a KRB-ERROR message." href="krb5_rd_error.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,48 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-rd-priv-process-a-krb-priv-message">
+  <section id="krb5-rd-priv-process-a-krb-priv-message">
 <h1>krb5_rd_priv -  Process a KRB-PRIV message.<a class="headerlink" href="#krb5-rd-priv-process-a-krb-priv-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_rd_priv">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_rd_priv</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;inbuf</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;userdata_out</em>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data">krb5_replay_data</a> *<em>&nbsp;rdata_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_priv" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_rd_priv">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_rd_priv</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">inbuf</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">userdata_out</span></span>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rdata_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_priv" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication structure</p>
 <p><strong>[in]</strong> <strong>inbuf</strong> - <strong>KRB-PRIV</strong> message to be parsed</p>
 <p><strong>[out]</strong> <strong>userdata_out</strong> - Data parsed from <strong>KRB-PRIV</strong> message</p>
-<p class="last"><strong>[out]</strong> <strong>rdata_out</strong> - Replay data. Specify NULL if not needed</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>rdata_out</strong> - Replay data. Specify NULL if not needed</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function parses a <strong>KRB-PRIV</strong> message, verifies its integrity, and stores its unencrypted data into <em>userdata_out</em> .</p>
 <p>If <em>auth_context</em> has a remote address set, the address will be used to verify the sender address in the KRB-PRIV message. If <em>auth_context</em> has a local address set, it will be used to verify the receiver address in the KRB-PRIV message if the message contains one.</p>
-<p>If the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> flag is set in <em>auth_context</em> , the sequence number of the KRB-PRIV message is checked against the remote sequence number field of <em>auth_context</em> . Otherwise, the sequence number is not used.</p>
-<p>If the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> flag is set in <em>auth_context</em> , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.</p>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>userdata_out</em> when it is no longer needed.</p>
+<p>If the #KRB5_AUTH_CONTEXT_DO_SEQUENCE flag is set in <em>auth_context</em> , the sequence number of the KRB-PRIV message is checked against the remote sequence number field of <em>auth_context</em> . Otherwise, the sequence number is not used.</p>
+<p>If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in <em>auth_context</em> , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.</p>
+<p>Use krb5_free_data_contents() to free <em>userdata_out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The <em>rdata_out</em> argument is required if the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> flag is set in <em>auth_context</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The <em>rdata_out</em> argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in <em>auth_context</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_rd_priv -  Process a KRB-PRIV message.</a></li>
@@ -152,6 +137,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -159,8 +145,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_rep.html 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_rep.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_rep.html	2023-08-14 16:20:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_rep.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_rd_rep - Parse and decrypt a KRB_AP_REP message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_rd_rep_dce - Parse and decrypt a KRB_AP_REP message for DCE RPC." href="krb5_rd_rep_dce.html" />
     <link rel="prev" title="krb5_rd_priv - Process a KRB-PRIV message." href="krb5_rd_priv.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,46 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-rd-rep-parse-and-decrypt-a-krb-ap-rep-message">
+  <section id="krb5-rd-rep-parse-and-decrypt-a-krb-ap-rep-message">
 <h1>krb5_rd_rep -  Parse and decrypt a KRB_AP_REP message.<a class="headerlink" href="#krb5-rd-rep-parse-and-decrypt-a-krb-ap-rep-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_rd_rep">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_rd_rep</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;inbuf</em>, <a class="reference internal" href="../types/krb5_ap_rep_enc_part.html#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part">krb5_ap_rep_enc_part</a> **<em>&nbsp;repl</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_rep" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_rd_rep">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_rd_rep</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">inbuf</span></span>, <a class="reference internal" href="../types/krb5_ap_rep_enc_part.html#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part"><span class="n"><span class="pre">krb5_ap_rep_enc_part</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">repl</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_rep" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>inbuf</strong> - AP-REP message</p>
-<p class="last"><strong>[out]</strong> <strong>repl</strong> - Decrypted reply message</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>repl</strong> - Decrypted reply message</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function parses, decrypts and verifies a message from <em>inbuf</em> and fills in <em>repl</em> with a pointer to allocated memory containing the fields from the encrypted response.</p>
-<p>Use <a class="reference internal" href="krb5_free_ap_rep_enc_part.html#c.krb5_free_ap_rep_enc_part" title="krb5_free_ap_rep_enc_part"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_ap_rep_enc_part()</span></code></a> to free <em>repl</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_ap_rep_enc_part() to free <em>repl</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_rd_rep -  Parse and decrypt a KRB_AP_REP message.</a></li>
@@ -144,6 +129,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -151,8 +137,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_rep_dce.html 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_rep_dce.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_rep_dce.html	2023-08-14 16:20:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_rep_dce.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_rd_rep_dce - Parse and decrypt a KRB_AP_REP message for DCE RPC. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_rd_req - Parse and decrypt a KRB_AP_REQ message." href="krb5_rd_req.html" />
     <link rel="prev" title="krb5_rd_rep - Parse and decrypt a KRB_AP_REP message." href="krb5_rd_rep.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-rd-rep-dce-parse-and-decrypt-a-krb-ap-rep-message-for-dce-rpc">
+  <section id="krb5-rd-rep-dce-parse-and-decrypt-a-krb-ap-rep-message-for-dce-rpc">
 <h1>krb5_rd_rep_dce -  Parse and decrypt a KRB_AP_REP message for DCE RPC.<a class="headerlink" href="#krb5-rd-rep-dce-parse-and-decrypt-a-krb-ap-rep-message-for-dce-rpc" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_rd_rep_dce">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_rd_rep_dce</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;inbuf</em>, <a class="reference internal" href="../types/krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4">krb5_ui_4</a> *<em>&nbsp;nonce</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_rep_dce" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_rd_rep_dce">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_rd_rep_dce</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">inbuf</span></span>, <a class="reference internal" href="../types/krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4"><span class="n"><span class="pre">krb5_ui_4</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">nonce</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_rep_dce" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>inbuf</strong> - AP-REP message</p>
-<p class="last"><strong>[out]</strong> <strong>nonce</strong> - Sequence number from the decrypted reply</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>nonce</strong> - Sequence number from the decrypted reply</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function parses, decrypts and verifies a message from <em>inbuf</em> and fills in <em>nonce</em> with a decrypted reply sequence number.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_rd_rep_dce -  Parse and decrypt a KRB_AP_REP message for DCE RPC.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_req.html 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_req.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_req.html	2023-08-14 16:20:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_req.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_rd_req - Parse and decrypt a KRB_AP_REQ message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_rd_safe - Process KRB-SAFE message." href="krb5_rd_safe.html" />
     <link rel="prev" title="krb5_rd_rep_dce - Parse and decrypt a KRB_AP_REP message for DCE RPC." href="krb5_rd_rep_dce.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,63 +52,57 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-rd-req-parse-and-decrypt-a-krb-ap-req-message">
+  <section id="krb5-rd-req-parse-and-decrypt-a-krb-ap-req-message">
 <h1>krb5_rd_req -  Parse and decrypt a KRB_AP_REQ message.<a class="headerlink" href="#krb5-rd-req-parse-and-decrypt-a-krb-ap-req-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_rd_req">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_rd_req</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a> *<em>&nbsp;auth_context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;inbuf</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;server</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a> *<em>&nbsp;ap_req_options</em>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a> **<em>&nbsp;ticket</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_req" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_rd_req">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_rd_req</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">auth_context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">inbuf</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">server</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ap_req_options</span></span>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ticket</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_req" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[inout]</strong> <strong>auth_context</strong> - Pre-existing or newly created auth context</p>
 <p><strong>[in]</strong> <strong>inbuf</strong> - AP-REQ message to be parsed</p>
 <p><strong>[in]</strong> <strong>server</strong> - Matching principal for server, or NULL to allow any principal in keytab</p>
 <p><strong>[in]</strong> <strong>keytab</strong> - Key table, or NULL to use the default</p>
 <p><strong>[out]</strong> <strong>ap_req_options</strong> - If non-null, the AP-REQ flags on output</p>
-<p class="last"><strong>[out]</strong> <strong>ticket</strong> - If non-null, ticket from the AP-REQ message</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>ticket</strong> - If non-null, ticket from the AP-REQ message</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function parses, decrypts and verifies a AP-REQ message from <em>inbuf</em> and stores the authenticator in <em>auth_context</em> .</p>
-<p>If a keyblock was specified in <em>auth_context</em> using <a class="reference internal" href="krb5_auth_con_setuseruserkey.html#c.krb5_auth_con_setuseruserkey" title="krb5_auth_con_setuseruserkey"><code class="xref c c-func docutils literal"><span class="pre">krb5_auth_con_setuseruserkey()</span></code></a> , that key is used to decrypt the ticket in AP-REQ message and <em>keytab</em> is ignored. In this case, <em>server</em> should be specified as a complete principal name to allow for proper transited-path checking and replay cache selection.</p>
-<p>Otherwise, the decryption key is obtained from <em>keytab</em> , or from the default keytab if it is NULL. In this case, <em>server</em> may be a complete principal name, a matching principal (see <a class="reference internal" href="krb5_sname_match.html#c.krb5_sname_match" title="krb5_sname_match"><code class="xref c c-func docutils literal"><span class="pre">krb5_sname_match()</span></code></a> ), or NULL to match any principal name. The keys tried against the encrypted part of the ticket are determined as follows:</p>
+<p>If a keyblock was specified in <em>auth_context</em> using krb5_auth_con_setuseruserkey(), that key is used to decrypt the ticket in AP-REQ message and <em>keytab</em> is ignored. In this case, <em>server</em> should be specified as a complete principal name to allow for proper transited-path checking and replay cache selection.</p>
+<p>Otherwise, the decryption key is obtained from <em>keytab</em> , or from the default keytab if it is NULL. In this case, <em>server</em> may be a complete principal name, a matching principal (see krb5_sname_match()), or NULL to match any principal name. The keys tried against the encrypted part of the ticket are determined as follows:</p>
 <blockquote>
 <div><ul class="simple">
-<li>If <em>server</em> is a complete principal name, then its entry in <em>keytab</em> is tried.</li>
-<li>Otherwise, if <em>keytab</em> is iterable, then all entries in <em>keytab</em> which match <em>server</em> are tried.</li>
-<li>Otherwise, the server principal in the ticket must match <em>server</em> , and its entry in <em>keytab</em> is tried.</li>
+<li><p>If <em>server</em> is a complete principal name, then its entry in <em>keytab</em> is tried.</p></li>
+<li><p>Otherwise, if <em>keytab</em> is iterable, then all entries in <em>keytab</em> which match <em>server</em> are tried.</p></li>
+<li><p>Otherwise, the server principal in the ticket must match <em>server</em> , and its entry in <em>keytab</em> is tried.</p></li>
 </ul>
 </div></blockquote>
 <p>The client specified in the decrypted authenticator must match the client specified in the decrypted ticket.</p>
 <p>If the <em>remote_addr</em> field of <em>auth_context</em> is set, the request must come from that address.</p>
 <p>If a replay cache handle is provided in the <em>auth_context</em> , the authenticator and ticket are verified against it. If no conflict is found, the new authenticator is then stored in the replay cache of <em>auth_context</em> .</p>
 <p>Various other checks are performed on the decoded data, including cross-realm policy, clockskew, and ticket validation times.</p>
-<p>On success the authenticator, subkey, and remote sequence number of the request are stored in <em>auth_context</em> . If the <a class="reference internal" href="../macros/AP_OPTS_MUTUAL_REQUIRED.html#AP_OPTS_MUTUAL_REQUIRED" title="AP_OPTS_MUTUAL_REQUIRED"><code class="xref py py-data docutils literal"><span class="pre">AP_OPTS_MUTUAL_REQUIRED</span></code></a> bit is set, the local sequence number is XORed with the remote sequence number in the request.</p>
-<p>Use <a class="reference internal" href="krb5_free_ticket.html#c.krb5_free_ticket" title="krb5_free_ticket"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_ticket()</span></code></a> to free <em>ticket</em> when it is no longer needed.</p>
-</div>
+<p>On success the authenticator, subkey, and remote sequence number of the request are stored in <em>auth_context</em> . If the #AP_OPTS_MUTUAL_REQUIRED bit is set, the local sequence number is XORed with the remote sequence number in the request.</p>
+<p>Use krb5_free_ticket() to free <em>ticket</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_rd_req -  Parse and decrypt a KRB_AP_REQ message.</a></li>
@@ -161,6 +146,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -168,8 +154,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_safe.html 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_safe.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_rd_safe.html	2023-08-14 16:20:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_rd_safe.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_rd_safe - Process KRB-SAFE message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_read_password - Read a password from keyboard input." href="krb5_read_password.html" />
     <link rel="prev" title="krb5_rd_req - Parse and decrypt a KRB_AP_REQ message." href="krb5_rd_req.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,48 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-rd-safe-process-krb-safe-message">
+  <section id="krb5-rd-safe-process-krb-safe-message">
 <h1>krb5_rd_safe -  Process KRB-SAFE message.<a class="headerlink" href="#krb5-rd-safe-process-krb-safe-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_rd_safe">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_rd_safe</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a><em>&nbsp;auth_context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;inbuf</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;userdata_out</em>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data">krb5_replay_data</a> *<em>&nbsp;rdata_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_safe" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_rd_safe">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_rd_safe</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">auth_context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">inbuf</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">userdata_out</span></span>, <a class="reference internal" href="../types/krb5_replay_data.html#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rdata_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_rd_safe" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>auth_context</strong> - Authentication context</p>
 <p><strong>[in]</strong> <strong>inbuf</strong> - <strong>KRB-SAFE</strong> message to be parsed</p>
 <p><strong>[out]</strong> <strong>userdata_out</strong> - Data parsed from <strong>KRB-SAFE</strong> message</p>
-<p class="last"><strong>[out]</strong> <strong>rdata_out</strong> - Replay data. Specify NULL if not needed</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>rdata_out</strong> - Replay data. Specify NULL if not needed</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function parses a <strong>KRB-SAFE</strong> message, verifies its integrity, and stores its data into <em>userdata_out</em> .</p>
 <p>If <em>auth_context</em> has a remote address set, the address will be used to verify the sender address in the KRB-SAFE message. If <em>auth_context</em> has a local address set, it will be used to verify the receiver address in the KRB-SAFE message if the message contains one.</p>
-<p>If the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></a> flag is set in <em>auth_context</em> , the sequence number of the KRB-SAFE message is checked against the remote sequence number field of <em>auth_context</em> . Otherwise, the sequence number is not used.</p>
-<p>If the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_DO_TIME.html#KRB5_AUTH_CONTEXT_DO_TIME" title="KRB5_AUTH_CONTEXT_DO_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></a> flag is set in <em>auth_context</em> , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.</p>
-<p>Use <a class="reference internal" href="krb5_free_data_contents.html#c.krb5_free_data_contents" title="krb5_free_data_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_data_contents()</span></code></a> to free <em>userdata_out</em> when it is no longer needed.</p>
+<p>If the #KRB5_AUTH_CONTEXT_DO_SEQUENCE flag is set in <em>auth_context</em> , the sequence number of the KRB-SAFE message is checked against the remote sequence number field of <em>auth_context</em> . Otherwise, the sequence number is not used.</p>
+<p>If the #KRB5_AUTH_CONTEXT_DO_TIME flag is set in <em>auth_context</em> , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.</p>
+<p>Use krb5_free_data_contents() to free <em>userdata_out</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The <em>rdata_out</em> argument is required if the <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_TIME.html#KRB5_AUTH_CONTEXT_RET_TIME" title="KRB5_AUTH_CONTEXT_RET_TIME"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></a> or <a class="reference internal" href="../macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></a> flag is set in <em>auth_context</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>The <em>rdata_out</em> argument is required if the #KRB5_AUTH_CONTEXT_RET_TIME or #KRB5_AUTH_CONTEXT_RET_SEQUENCE flag is set in <em>auth_context</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_rd_safe -  Process KRB-SAFE message.</a></li>
@@ -152,6 +137,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -159,8 +145,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_read_password.html 1.21.3-1/doc/html/appdev/refs/api/krb5_read_password.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_read_password.html	2023-08-14 16:20:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_read_password.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_read_password - Read a password from keyboard input. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_salttype_to_string - Convert a salt type to a string." href="krb5_salttype_to_string.html" />
     <link rel="prev" title="krb5_rd_safe - Process KRB-SAFE message." href="krb5_rd_safe.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,56 +52,51 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-read-password-read-a-password-from-keyboard-input">
+  <section id="krb5-read-password-read-a-password-from-keyboard-input">
 <h1>krb5_read_password -  Read a password from keyboard input.<a class="headerlink" href="#krb5-read-password-read-a-password-from-keyboard-input" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_read_password">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_read_password</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;prompt</em>, const char *<em>&nbsp;prompt2</em>, char *<em>&nbsp;return_pwd</em>, unsigned int *<em>&nbsp;size_return</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_read_password" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_read_password">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_read_password</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">prompt</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">prompt2</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">return_pwd</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">size_return</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_read_password" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>prompt</strong> - First user prompt when reading password</p>
 <p><strong>[in]</strong> <strong>prompt2</strong> - Second user prompt (NULL to prompt only once)</p>
 <p><strong>[out]</strong> <strong>return_pwd</strong> - Returned password</p>
-<p class="last"><strong>[inout]</strong> <strong>size_return</strong> - On input, maximum size of password; on output, size of password read</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Error in reading or verifying the password</li>
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[inout]</strong> <strong>size_return</strong> - On input, maximum size of password; on output, size of password read</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Error in reading or verifying the password</p></li>
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function reads a password from keyboard input and stores it in <em>return_pwd</em> . <em>size_return</em> should be set by the caller to the amount of storage space available in <em>return_pwd</em> ; on successful return, it will be set to the length of the password read.</p>
 <blockquote>
-<div><em>prompt</em> is printed to the terminal, followed by”:”, and then a password is read from the keyboard.</div></blockquote>
+<div><p><em>prompt</em> is printed to the terminal, followed by”:”, and then a password is read from the keyboard.</p>
+</div></blockquote>
 <p>If <em>prompt2</em> is NULL, the password is read only once. Otherwise, <em>prompt2</em> is printed to the terminal and a second password is read. If the two passwords entered are not identical, KRB5_LIBOS_BADPWDMATCH is returned.</p>
 <p>Echoing is turned off when the password is read.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_read_password -  Read a password from keyboard input.</a></li>
@@ -154,6 +140,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +148,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_realm_compare.html 1.21.3-1/doc/html/appdev/refs/api/krb5_realm_compare.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_realm_compare.html	2023-08-14 16:20:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_realm_compare.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_realm_compare - Compare the realms of two principals. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_get_challenge - Retrieve the challenge data for a given question in the responder context." href="krb5_responder_get_challenge.html" />
     <link rel="prev" title="krb5_prompter_posix - Prompt user for password." href="krb5_prompter_posix.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-realm-compare-compare-the-realms-of-two-principals">
+  <section id="krb5-realm-compare-compare-the-realms-of-two-principals">
 <h1>krb5_realm_compare -  Compare the realms of two principals.<a class="headerlink" href="#krb5-realm-compare-compare-the-realms-of-two-principals" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_realm_compare">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_realm_compare</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ1</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ2</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_realm_compare" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_realm_compare">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_realm_compare</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ1</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ2</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_realm_compare" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>princ1</strong> - First principal</p>
-<p class="last"><strong>[in]</strong> <strong>princ2</strong> - Second principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE   if the realm names are the same; FALSE otherwise</li>
+<p><strong>[in]</strong> <strong>princ2</strong> - Second principal</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE   if the realm names are the same; FALSE otherwise</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_realm_compare -  Compare the realms of two principals.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_recvauth.html 1.21.3-1/doc/html/appdev/refs/api/krb5_recvauth.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_recvauth.html	2023-08-14 16:20:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_recvauth.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_recvauth - Server function for sendauth protocol. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_recvauth_version - Server function for sendauth protocol with version parameter." href="krb5_recvauth_version.html" />
     <link rel="prev" title="krb5_k_verify_checksum_iov - Validate a checksum element in IOV array (operates on opaque key)." href="krb5_k_verify_checksum_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,48 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-recvauth-server-function-for-sendauth-protocol">
+  <section id="krb5-recvauth-server-function-for-sendauth-protocol">
 <h1>krb5_recvauth -  Server function for sendauth protocol.<a class="headerlink" href="#krb5-recvauth-server-function-for-sendauth-protocol" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_recvauth">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_recvauth</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a> *<em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a><em>&nbsp;fd</em>, char *<em>&nbsp;appl_version</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;server</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a><em>&nbsp;flags</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a> **<em>&nbsp;ticket</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_recvauth" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_recvauth">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_recvauth</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">fd</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">appl_version</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">server</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="n"><span class="pre">flags</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ticket</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_recvauth" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[inout]</strong> <strong>auth_context</strong> - Pre-existing or newly created auth context</p>
 <p><strong>[in]</strong> <strong>fd</strong> - File descriptor</p>
 <p><strong>[in]</strong> <strong>appl_version</strong> - Application protocol version to be matched against the client’s application version</p>
 <p><strong>[in]</strong> <strong>server</strong> - Server principal (NULL for any in <em>keytab</em> )</p>
 <p><strong>[in]</strong> <strong>flags</strong> - Additional specifications</p>
 <p><strong>[in]</strong> <strong>keytab</strong> - Key table containing service keys</p>
-<p class="last"><strong>[out]</strong> <strong>ticket</strong> - Ticket (NULL if not needed)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>ticket</strong> - Ticket (NULL if not needed)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function performs the server side of a sendauth/recvauth exchange by sending and receiving messages over <em>fd</em> .</p>
-<p>Use <a class="reference internal" href="krb5_free_ticket.html#c.krb5_free_ticket" title="krb5_free_ticket"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_ticket()</span></code></a> to free <em>ticket</em> when it is no longer needed.</p>
+<p>Use krb5_free_ticket() to free <em>ticket</em> when it is no longer needed.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_sendauth.html#c.krb5_sendauth" title="krb5_sendauth"><code class="xref c c-func docutils literal"><span class="pre">krb5_sendauth()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_sendauth()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_recvauth -  Server function for sendauth protocol.</a></li>
@@ -152,6 +137,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -159,8 +145,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_recvauth_version.html 1.21.3-1/doc/html/appdev/refs/api/krb5_recvauth_version.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_recvauth_version.html	2023-08-14 16:20:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_recvauth_version.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_recvauth_version - Server function for sendauth protocol with version parameter. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_sendauth - Client function for sendauth protocol." href="krb5_sendauth.html" />
     <link rel="prev" title="krb5_recvauth - Server function for sendauth protocol." href="krb5_recvauth.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-recvauth-version-server-function-for-sendauth-protocol-with-version-parameter">
+  <section id="krb5-recvauth-version-server-function-for-sendauth-protocol-with-version-parameter">
 <h1>krb5_recvauth_version -  Server function for sendauth protocol with version parameter.<a class="headerlink" href="#krb5-recvauth-version-server-function-for-sendauth-protocol-with-version-parameter" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_recvauth_version">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_recvauth_version</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a> *<em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a><em>&nbsp;fd</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;server</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a><em>&nbsp;flags</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a> **<em>&nbsp;ticket</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;version</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_recvauth_version" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_recvauth_version">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_recvauth_version</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">fd</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">server</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="n"><span class="pre">flags</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ticket</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">version</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_recvauth_version" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[inout]</strong> <strong>auth_context</strong> - Pre-existing or newly created auth context</p>
 <p><strong>[in]</strong> <strong>fd</strong> - File descriptor</p>
 <p><strong>[in]</strong> <strong>server</strong> - Server principal (NULL for any in <em>keytab</em> )</p>
 <p><strong>[in]</strong> <strong>flags</strong> - Additional specifications</p>
 <p><strong>[in]</strong> <strong>keytab</strong> - Decryption key</p>
 <p><strong>[out]</strong> <strong>ticket</strong> - Ticket (NULL if not needed)</p>
-<p class="last"><strong>[out]</strong> <strong>version</strong> - sendauth protocol version (NULL if not needed)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>version</strong> - sendauth protocol version (NULL if not needed)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is similar to <a class="reference internal" href="krb5_recvauth.html#c.krb5_recvauth" title="krb5_recvauth"><code class="xref c c-func docutils literal"><span class="pre">krb5_recvauth()</span></code></a> with the additional output information place into <em>version</em> .</p>
-</div>
+</dd>
+</dl>
+<p>This function is similar to krb5_recvauth() with the additional output information place into <em>version</em> .</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_recvauth_version -  Server function for sendauth protocol with version parameter.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_get_challenge.html 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_get_challenge.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_get_challenge.html	2023-08-14 16:20:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_get_challenge.html	2024-06-26 20:01:06.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_get_challenge - Retrieve the challenge data for a given question in the responder context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_list_questions - List the question names contained in the responder context." href="krb5_responder_list_questions.html" />
     <link rel="prev" title="krb5_realm_compare - Compare the realms of two principals." href="krb5_realm_compare.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-get-challenge-retrieve-the-challenge-data-for-a-given-question-in-the-responder-context">
+  <section id="krb5-responder-get-challenge-retrieve-the-challenge-data-for-a-given-question-in-the-responder-context">
 <h1>krb5_responder_get_challenge -  Retrieve the challenge data for a given question in the responder context.<a class="headerlink" href="#krb5-responder-get-challenge-retrieve-the-challenge-data-for-a-given-question-in-the-responder-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_responder_get_challenge">
-const char * <code class="descname">krb5_responder_get_challenge</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context">krb5_responder_context</a><em>&nbsp;rctx</em>, const char *<em>&nbsp;question</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_get_challenge" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_responder_get_challenge">
+<span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_get_challenge</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context"><span class="n"><span class="pre">krb5_responder_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">rctx</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">question</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_get_challenge" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
-<p class="last"><strong>[in]</strong> <strong>question</strong> - Question name</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>question</strong> - Question name</p>
+</dd>
+</dl>
 <p>Return a pointer to a C string containing the challenge for <em>question</em> within <em>rctx</em> , or NULL if the question is not present in <em>rctx</em> . The structure of the question depends on the question name, but will always be printable UTF-8 text. The returned pointer is an alias, valid only as long as the lifetime of <em>rctx</em> , and should not be modified or freed by the caller.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_get_challenge -  Retrieve the challenge data for a given question in the responder context.</a></li>
@@ -135,6 +124,7 @@ const char * <code class="descname">krb5
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@ const char * <code class="descname">krb5
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_list_questions.html 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_list_questions.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_list_questions.html	2023-08-14 16:20:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_list_questions.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_list_questions - List the question names contained in the responder context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_set_answer - Answer a named question in the responder context." href="krb5_responder_set_answer.html" />
     <link rel="prev" title="krb5_responder_get_challenge - Retrieve the challenge data for a given question in the responder context." href="krb5_responder_get_challenge.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,36 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-list-questions-list-the-question-names-contained-in-the-responder-context">
+  <section id="krb5-responder-list-questions-list-the-question-names-contained-in-the-responder-context">
 <h1>krb5_responder_list_questions -  List the question names contained in the responder context.<a class="headerlink" href="#krb5-responder-list-questions-list-the-question-names-contained-in-the-responder-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_responder_list_questions">
-const char *const * <code class="descname">krb5_responder_list_questions</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context">krb5_responder_context</a><em>&nbsp;rctx</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_list_questions" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_responder_list_questions">
+<span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_list_questions</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context"><span class="n"><span class="pre">krb5_responder_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">rctx</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_list_questions" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Return a pointer to a null-terminated list of question names which are present in <em>rctx</em> . The pointer is an alias, valid only as long as the lifetime of <em>rctx</em> , and should not be modified or freed by the caller. A question’s challenge can be retrieved using <a class="reference internal" href="krb5_responder_get_challenge.html#c.krb5_responder_get_challenge" title="krb5_responder_get_challenge"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_get_challenge()</span></code></a> and answered using <a class="reference internal" href="krb5_responder_set_answer.html#c.krb5_responder_set_answer" title="krb5_responder_set_answer"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_set_answer()</span></code></a> .</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
+</dd>
+</dl>
+<p>Return a pointer to a null-terminated list of question names which are present in <em>rctx</em> . The pointer is an alias, valid only as long as the lifetime of <em>rctx</em> , and should not be modified or freed by the caller. A question’s challenge can be retrieved using krb5_responder_get_challenge() and answered using krb5_responder_set_answer().</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_list_questions -  List the question names contained in the responder context.</a></li>
@@ -134,6 +123,7 @@ const char *const * <code class="descnam
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -141,8 +131,8 @@ const char *const * <code class="descnam
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_otp_challenge_free.html 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_otp_challenge_free.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_otp_challenge_free.html	2023-08-14 16:20:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_otp_challenge_free.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <title>krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge() . &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
+    <title>krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge(). &#8212; MIT Kerberos Documentation</title>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_pkinit_get_challenge - Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct." href="krb5_responder_pkinit_get_challenge.html" />
     <link rel="prev" title="krb5_responder_otp_set_answer - Answer the KRB5_RESPONDER_QUESTION_OTP question." href="krb5_responder_otp_set_answer.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -48,7 +39,7 @@
             accesskey="I">index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             accesskey="S">Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge().">feedback</a>
             </div>
         </div>
     </div>
@@ -61,39 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-challenge-free-free-the-value-returned-by-krb5-responder-otp-get-challenge">
-<h1>krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge() .<a class="headerlink" href="#krb5-responder-otp-challenge-free-free-the-value-returned-by-krb5-responder-otp-get-challenge" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_responder_otp_challenge_free">
-void <code class="descname">krb5_responder_otp_challenge_free</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context">krb5_responder_context</a><em>&nbsp;rctx</em>, <a class="reference internal" href="../types/krb5_responder_otp_challenge.html#c.krb5_responder_otp_challenge" title="krb5_responder_otp_challenge">krb5_responder_otp_challenge</a> *<em>&nbsp;chl</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_otp_challenge_free" title="Permalink to this definition">¶</a></dt>
+  <section id="krb5-responder-otp-challenge-free-free-the-value-returned-by-krb5-responder-otp-get-challenge">
+<h1>krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge().<a class="headerlink" href="#krb5-responder-otp-challenge-free-free-the-value-returned-by-krb5-responder-otp-get-challenge" title="Permalink to this headline">¶</a></h1>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_challenge_free">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_otp_challenge_free</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context"><span class="n"><span class="pre">krb5_responder_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">rctx</span></span>, <a class="reference internal" href="../types/krb5_responder_otp_challenge.html#c.krb5_responder_otp_challenge" title="krb5_responder_otp_challenge"><span class="n"><span class="pre">krb5_responder_otp_challenge</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">chl</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_otp_challenge_free" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
-<p class="last"><strong>[in]</strong> <strong>chl</strong> - The challenge to free</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>chl</strong> - The challenge to free</p>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
-<li><a class="reference internal" href="#">krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge() .</a></li>
+<li><a class="reference internal" href="#">krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge().</a></li>
 </ul>
 
     <br/>
@@ -134,6 +123,7 @@ void <code class="descname">krb5_respond
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -141,8 +131,8 @@ void <code class="descname">krb5_respond
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -156,7 +146,7 @@ void <code class="descname">krb5_respond
             >index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             >Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge().">feedback</a>
             </div>
         </div>
     </div>
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_otp_get_challenge.html 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_otp_get_challenge.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_otp_get_challenge.html	2023-08-14 16:20:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_otp_get_challenge.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_otp_get_challenge - Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_otp_set_answer - Answer the KRB5_RESPONDER_QUESTION_OTP question." href="krb5_responder_otp_set_answer.html" />
     <link rel="prev" title="krb5_responder_set_answer - Answer a named question in the responder context." href="krb5_responder_set_answer.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,38 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-get-challenge-decode-the-krb5-responder-question-otp-to-a-c-struct">
+  <section id="krb5-responder-otp-get-challenge-decode-the-krb5-responder-question-otp-to-a-c-struct">
 <h1>krb5_responder_otp_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct.<a class="headerlink" href="#krb5-responder-otp-get-challenge-decode-the-krb5-responder-question-otp-to-a-c-struct" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_responder_otp_get_challenge">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_responder_otp_get_challenge</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context">krb5_responder_context</a><em>&nbsp;rctx</em>, <a class="reference internal" href="../types/krb5_responder_otp_challenge.html#c.krb5_responder_otp_challenge" title="krb5_responder_otp_challenge">krb5_responder_otp_challenge</a> **<em>&nbsp;chl</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_otp_get_challenge" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_get_challenge">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_otp_get_challenge</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context"><span class="n"><span class="pre">krb5_responder_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">rctx</span></span>, <a class="reference internal" href="../types/krb5_responder_otp_challenge.html#c.krb5_responder_otp_challenge" title="krb5_responder_otp_challenge"><span class="n"><span class="pre">krb5_responder_otp_challenge</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">chl</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_otp_get_challenge" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
-<p class="last"><strong>[out]</strong> <strong>chl</strong> - Challenge structure</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>chl</strong> - Challenge structure</p>
+</dd>
+</dl>
 <p>A convenience function which parses the KRB5_RESPONDER_QUESTION_OTP question challenge data, making it available in native C. The main feature of this function is the ability to interact with OTP tokens without parsing the JSON.</p>
-<p>The returned value must be passed to <a class="reference internal" href="krb5_responder_otp_challenge_free.html#c.krb5_responder_otp_challenge_free" title="krb5_responder_otp_challenge_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_otp_challenge_free()</span></code></a> to be freed.</p>
+<p>The returned value must be passed to krb5_responder_otp_challenge_free() to be freed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_otp_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct.</a></li>
@@ -136,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_otp_set_answer.html 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_otp_set_answer.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_otp_set_answer.html	2023-08-14 16:20:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_otp_set_answer.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_otp_set_answer - Answer the KRB5_RESPONDER_QUESTION_OTP question. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
-    <link rel="next" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge() ." href="krb5_responder_otp_challenge_free.html" />
+    <link rel="next" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge()." href="krb5_responder_otp_challenge_free.html" />
     <link rel="prev" title="krb5_responder_otp_get_challenge - Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct." href="krb5_responder_otp_get_challenge.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -42,7 +33,7 @@
             accesskey="C">Contents</a> |
         <a href="krb5_responder_otp_get_challenge.html" title="krb5_responder_otp_get_challenge - Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct."
             accesskey="P">previous</a> |
-        <a href="krb5_responder_otp_challenge_free.html" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge() ."
+        <a href="krb5_responder_otp_challenge_free.html" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge()."
             accesskey="N">next</a> |
         <a href="../../../genindex.html" title="General Index"
             accesskey="I">index</a> |
@@ -61,38 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-set-answer-answer-the-krb5-responder-question-otp-question">
+  <section id="krb5-responder-otp-set-answer-answer-the-krb5-responder-question-otp-question">
 <h1>krb5_responder_otp_set_answer -  Answer the KRB5_RESPONDER_QUESTION_OTP question.<a class="headerlink" href="#krb5-responder-otp-set-answer-answer-the-krb5-responder-question-otp-question" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_responder_otp_set_answer">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_responder_otp_set_answer</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context">krb5_responder_context</a><em>&nbsp;rctx</em>, size_t<em>&nbsp;ti</em>, const char *<em>&nbsp;value</em>, const char *<em>&nbsp;pin</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_otp_set_answer" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_set_answer">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_otp_set_answer</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context"><span class="n"><span class="pre">krb5_responder_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">rctx</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">ti</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">value</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pin</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_otp_set_answer" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
 <p><strong>[in]</strong> <strong>ti</strong> - The index of the tokeninfo selected</p>
 <p><strong>[in]</strong> <strong>value</strong> - The value to set, or NULL for none</p>
-<p class="last"><strong>[in]</strong> <strong>pin</strong> - The pin to set, or NULL for none</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>pin</strong> - The pin to set, or NULL for none</p>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_otp_set_answer -  Answer the KRB5_RESPONDER_QUESTION_OTP question.</a></li>
@@ -136,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -152,7 +142,7 @@
             >Contents</a> |
         <a href="krb5_responder_otp_get_challenge.html" title="krb5_responder_otp_get_challenge - Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct."
             >previous</a> |
-        <a href="krb5_responder_otp_challenge_free.html" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge() ."
+        <a href="krb5_responder_otp_challenge_free.html" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge()."
             >next</a> |
         <a href="../../../genindex.html" title="General Index"
             >index</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_pkinit_challenge_free.html 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_pkinit_challenge_free.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_pkinit_challenge_free.html	2023-08-14 16:20:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_pkinit_challenge_free.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <title>krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge() . &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
+    <title>krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge(). &#8212; MIT Kerberos Documentation</title>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_default_realm - Override the default realm for the specified context." href="krb5_set_default_realm.html" />
     <link rel="prev" title="krb5_responder_pkinit_set_answer - Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity." href="krb5_responder_pkinit_set_answer.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -48,7 +39,7 @@
             accesskey="I">index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             accesskey="S">Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge().">feedback</a>
             </div>
         </div>
     </div>
@@ -61,39 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-pkinit-challenge-free-free-the-value-returned-by-krb5-responder-pkinit-get-challenge">
-<h1>krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge() .<a class="headerlink" href="#krb5-responder-pkinit-challenge-free-free-the-value-returned-by-krb5-responder-pkinit-get-challenge" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_responder_pkinit_challenge_free">
-void <code class="descname">krb5_responder_pkinit_challenge_free</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context">krb5_responder_context</a><em>&nbsp;rctx</em>, <a class="reference internal" href="../types/krb5_responder_pkinit_challenge.html#c.krb5_responder_pkinit_challenge" title="krb5_responder_pkinit_challenge">krb5_responder_pkinit_challenge</a> *<em>&nbsp;chl</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_pkinit_challenge_free" title="Permalink to this definition">¶</a></dt>
+  <section id="krb5-responder-pkinit-challenge-free-free-the-value-returned-by-krb5-responder-pkinit-get-challenge">
+<h1>krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge().<a class="headerlink" href="#krb5-responder-pkinit-challenge-free-free-the-value-returned-by-krb5-responder-pkinit-get-challenge" title="Permalink to this headline">¶</a></h1>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_responder_pkinit_challenge_free">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_pkinit_challenge_free</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context"><span class="n"><span class="pre">krb5_responder_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">rctx</span></span>, <a class="reference internal" href="../types/krb5_responder_pkinit_challenge.html#c.krb5_responder_pkinit_challenge" title="krb5_responder_pkinit_challenge"><span class="n"><span class="pre">krb5_responder_pkinit_challenge</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">chl</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_pkinit_challenge_free" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
-<p class="last"><strong>[in]</strong> <strong>chl</strong> - The challenge to free</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>chl</strong> - The challenge to free</p>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.12</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.12</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
-<li><a class="reference internal" href="#">krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge() .</a></li>
+<li><a class="reference internal" href="#">krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge().</a></li>
 </ul>
 
     <br/>
@@ -134,6 +123,7 @@ void <code class="descname">krb5_respond
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -141,8 +131,8 @@ void <code class="descname">krb5_respond
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -156,7 +146,7 @@ void <code class="descname">krb5_respond
             >index</a> |
         <a href="../../../search.html" title="Enter search criteria"
             >Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge() .">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge().">feedback</a>
             </div>
         </div>
     </div>
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_pkinit_get_challenge.html 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_pkinit_get_challenge.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_pkinit_get_challenge.html	2023-08-14 16:20:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_pkinit_get_challenge.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_pkinit_get_challenge - Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_pkinit_set_answer - Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity." href="krb5_responder_pkinit_set_answer.html" />
-    <link rel="prev" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge() ." href="krb5_responder_otp_challenge_free.html" /> 
-  </head>
-  <body>
+    <link rel="prev" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge()." href="krb5_responder_otp_challenge_free.html" /> 
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -40,7 +31,7 @@
                 
         <a href="../../../index.html" title="Full Table of Contents"
             accesskey="C">Contents</a> |
-        <a href="krb5_responder_otp_challenge_free.html" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge() ."
+        <a href="krb5_responder_otp_challenge_free.html" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge()."
             accesskey="P">previous</a> |
         <a href="krb5_responder_pkinit_set_answer.html" title="krb5_responder_pkinit_set_answer - Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity."
             accesskey="N">next</a> |
@@ -61,38 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-pkinit-get-challenge-decode-the-krb5-responder-question-pkinit-to-a-c-struct">
+  <section id="krb5-responder-pkinit-get-challenge-decode-the-krb5-responder-question-pkinit-to-a-c-struct">
 <h1>krb5_responder_pkinit_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct.<a class="headerlink" href="#krb5-responder-pkinit-get-challenge-decode-the-krb5-responder-question-pkinit-to-a-c-struct" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_responder_pkinit_get_challenge">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_responder_pkinit_get_challenge</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context">krb5_responder_context</a><em>&nbsp;rctx</em>, <a class="reference internal" href="../types/krb5_responder_pkinit_challenge.html#c.krb5_responder_pkinit_challenge" title="krb5_responder_pkinit_challenge">krb5_responder_pkinit_challenge</a> **<em>&nbsp;chl_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_pkinit_get_challenge" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_responder_pkinit_get_challenge">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_pkinit_get_challenge</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context"><span class="n"><span class="pre">krb5_responder_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">rctx</span></span>, <a class="reference internal" href="../types/krb5_responder_pkinit_challenge.html#c.krb5_responder_pkinit_challenge" title="krb5_responder_pkinit_challenge"><span class="n"><span class="pre">krb5_responder_pkinit_challenge</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">chl_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_pkinit_get_challenge" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
-<p class="last"><strong>[out]</strong> <strong>chl_out</strong> - Challenge structure</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>chl_out</strong> - Challenge structure</p>
+</dd>
+</dl>
 <p>A convenience function which parses the KRB5_RESPONDER_QUESTION_PKINIT question challenge data, making it available in native C. The main feature of this function is the ability to read the challenge without parsing the JSON.</p>
-<p>The returned value must be passed to <a class="reference internal" href="krb5_responder_pkinit_challenge_free.html#c.krb5_responder_pkinit_challenge_free" title="krb5_responder_pkinit_challenge_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_pkinit_challenge_free()</span></code></a> to be freed.</p>
+<p>The returned value must be passed to krb5_responder_pkinit_challenge_free() to be freed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.12</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.12</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_pkinit_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct.</a></li>
@@ -136,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,14 +133,14 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
         <a href="../../../index.html" title="Full Table of Contents"
             >Contents</a> |
-        <a href="krb5_responder_otp_challenge_free.html" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge() ."
+        <a href="krb5_responder_otp_challenge_free.html" title="krb5_responder_otp_challenge_free - Free the value returned by krb5_responder_otp_get_challenge()."
             >previous</a> |
         <a href="krb5_responder_pkinit_set_answer.html" title="krb5_responder_pkinit_set_answer - Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity."
             >next</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_pkinit_set_answer.html 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_pkinit_set_answer.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_pkinit_set_answer.html	2023-08-14 16:20:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_pkinit_set_answer.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_pkinit_set_answer - Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
-    <link rel="next" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge() ." href="krb5_responder_pkinit_challenge_free.html" />
+    <link rel="next" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge()." href="krb5_responder_pkinit_challenge_free.html" />
     <link rel="prev" title="krb5_responder_pkinit_get_challenge - Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct." href="krb5_responder_pkinit_get_challenge.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -42,7 +33,7 @@
             accesskey="C">Contents</a> |
         <a href="krb5_responder_pkinit_get_challenge.html" title="krb5_responder_pkinit_get_challenge - Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct."
             accesskey="P">previous</a> |
-        <a href="krb5_responder_pkinit_challenge_free.html" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge() ."
+        <a href="krb5_responder_pkinit_challenge_free.html" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge()."
             accesskey="N">next</a> |
         <a href="../../../genindex.html" title="General Index"
             accesskey="I">index</a> |
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-pkinit-set-answer-answer-the-krb5-responder-question-pkinit-question-for-one-identity">
+  <section id="krb5-responder-pkinit-set-answer-answer-the-krb5-responder-question-pkinit-question-for-one-identity">
 <h1>krb5_responder_pkinit_set_answer -  Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity.<a class="headerlink" href="#krb5-responder-pkinit-set-answer-answer-the-krb5-responder-question-pkinit-question-for-one-identity" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_responder_pkinit_set_answer">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_responder_pkinit_set_answer</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context">krb5_responder_context</a><em>&nbsp;rctx</em>, const char *<em>&nbsp;identity</em>, const char *<em>&nbsp;pin</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_pkinit_set_answer" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_responder_pkinit_set_answer">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_pkinit_set_answer</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context"><span class="n"><span class="pre">krb5_responder_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">rctx</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">identity</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pin</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_pkinit_set_answer" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
 <p><strong>[in]</strong> <strong>identity</strong> - The identity for which a PIN is being supplied</p>
-<p class="last"><strong>[in]</strong> <strong>pin</strong> - The provided PIN, or NULL for none</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>pin</strong> - The provided PIN, or NULL for none</p>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.12</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.12</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_pkinit_set_answer -  Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity.</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -151,7 +141,7 @@
             >Contents</a> |
         <a href="krb5_responder_pkinit_get_challenge.html" title="krb5_responder_pkinit_get_challenge - Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct."
             >previous</a> |
-        <a href="krb5_responder_pkinit_challenge_free.html" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge() ."
+        <a href="krb5_responder_pkinit_challenge_free.html" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge()."
             >next</a> |
         <a href="../../../genindex.html" title="General Index"
             >index</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_set_answer.html 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_set_answer.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_responder_set_answer.html	2023-08-14 16:20:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_responder_set_answer.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_set_answer - Answer a named question in the responder context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_otp_get_challenge - Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct." href="krb5_responder_otp_get_challenge.html" />
     <link rel="prev" title="krb5_responder_list_questions - List the question names contained in the responder context." href="krb5_responder_list_questions.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-set-answer-answer-a-named-question-in-the-responder-context">
+  <section id="krb5-responder-set-answer-answer-a-named-question-in-the-responder-context">
 <h1>krb5_responder_set_answer -  Answer a named question in the responder context.<a class="headerlink" href="#krb5-responder-set-answer-answer-a-named-question-in-the-responder-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_responder_set_answer">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_responder_set_answer</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context">krb5_responder_context</a><em>&nbsp;rctx</em>, const char *<em>&nbsp;question</em>, const char *<em>&nbsp;answer</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_set_answer" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_responder_set_answer">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_set_answer</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_responder_context.html#c.krb5_responder_context" title="krb5_responder_context"><span class="n"><span class="pre">krb5_responder_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">rctx</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">question</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">answer</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_responder_set_answer" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>rctx</strong> - Responder context</p>
 <p><strong>[in]</strong> <strong>question</strong> - Question name</p>
-<p class="last"><strong>[in]</strong> <strong>answer</strong> - The string to set (MUST be printable UTF-8)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>EINVAL    question is not present within rctx</li>
+<p><strong>[in]</strong> <strong>answer</strong> - The string to set (MUST be printable UTF-8)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>EINVAL    question is not present within rctx</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function supplies an answer to <em>question</em> within <em>rctx</em> . The appropriate form of the answer depends on the question name.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.11</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.11</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_set_answer -  Answer a named question in the responder context.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_salttype_to_string.html 1.21.3-1/doc/html/appdev/refs/api/krb5_salttype_to_string.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_salttype_to_string.html	2023-08-14 16:20:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_salttype_to_string.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_salttype_to_string - Convert a salt type to a string. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_server_decrypt_ticket_keytab - Decrypt a ticket using the specified key table." href="krb5_server_decrypt_ticket_keytab.html" />
     <link rel="prev" title="krb5_read_password - Read a password from keyboard input." href="krb5_read_password.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-salttype-to-string-convert-a-salt-type-to-a-string">
+  <section id="krb5-salttype-to-string-convert-a-salt-type-to-a-string">
 <h1>krb5_salttype_to_string -  Convert a salt type to a string.<a class="headerlink" href="#krb5-salttype-to-string-convert-a-salt-type-to-a-string" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_salttype_to_string">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_salttype_to_string</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a><em>&nbsp;salttype</em>, char *<em>&nbsp;buffer</em>, size_t<em>&nbsp;buflen</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_salttype_to_string" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_salttype_to_string">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_salttype_to_string</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="n"><span class="pre">salttype</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">buffer</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">buflen</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_salttype_to_string" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>salttype</strong> - Salttype to convert</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>salttype</strong> - Salttype to convert</p>
 <p><strong>[out]</strong> <strong>buffer</strong> - Buffer to receive the converted string</p>
-<p class="last"><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_salttype_to_string -  Convert a salt type to a string.</a></li>
@@ -141,6 +126,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +134,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_sendauth.html 1.21.3-1/doc/html/appdev/refs/api/krb5_sendauth.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_sendauth.html	2023-08-14 16:20:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_sendauth.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_sendauth - Client function for sendauth protocol. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_524_convert_creds - Convert a Kerberos V5 credentials to a Kerberos V4 credentials." href="krb5_524_convert_creds.html" />
     <link rel="prev" title="krb5_recvauth_version - Server function for sendauth protocol with version parameter." href="krb5_recvauth_version.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,70 +52,64 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-sendauth-client-function-for-sendauth-protocol">
+  <section id="krb5-sendauth-client-function-for-sendauth-protocol">
 <h1>krb5_sendauth -  Client function for sendauth protocol.<a class="headerlink" href="#krb5-sendauth-client-function-for-sendauth-protocol" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_sendauth">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_sendauth</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context">krb5_auth_context</a> *<em>&nbsp;auth_context</em>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer">krb5_pointer</a><em>&nbsp;fd</em>, char *<em>&nbsp;appl_version</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;client</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;server</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;ap_req_options</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;in_data</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;in_creds</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error">krb5_error</a> **<em>&nbsp;error</em>, <a class="reference internal" href="../types/krb5_ap_rep_enc_part.html#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part">krb5_ap_rep_enc_part</a> **<em>&nbsp;rep_result</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> **<em>&nbsp;out_creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_sendauth" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_sendauth">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_sendauth</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_auth_context.html#c.krb5_auth_context" title="krb5_auth_context"><span class="n"><span class="pre">krb5_auth_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">auth_context</span></span>, <a class="reference internal" href="../types/krb5_pointer.html#c.krb5_pointer" title="krb5_pointer"><span class="n"><span class="pre">krb5_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">fd</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">appl_version</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">client</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">server</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">ap_req_options</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_data</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in_creds</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_error.html#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">error</span></span>, <a class="reference internal" href="../types/krb5_ap_rep_enc_part.html#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part"><span class="n"><span class="pre">krb5_ap_rep_enc_part</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">rep_result</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out_creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_sendauth" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[inout]</strong> <strong>auth_context</strong> - Pre-existing or newly created auth context</p>
 <p><strong>[in]</strong> <strong>fd</strong> - File descriptor that describes network socket</p>
 <p><strong>[in]</strong> <strong>appl_version</strong> - Application protocol version to be matched with the receiver’s application version</p>
 <p><strong>[in]</strong> <strong>client</strong> - Client principal</p>
 <p><strong>[in]</strong> <strong>server</strong> - Server principal</p>
-<p><strong>[in]</strong> <strong>ap_req_options</strong> - <code class="xref py py-data docutils literal"><span class="pre">AP_OPTS</span></code> options</p>
+<p><strong>[in]</strong> <strong>ap_req_options</strong> - Options (see AP_OPTS macros)</p>
 <p><strong>[in]</strong> <strong>in_data</strong> - Data to be sent to the server</p>
 <p><strong>[in]</strong> <strong>in_creds</strong> - Input credentials, or NULL to use <em>ccache</em></p>
 <p><strong>[in]</strong> <strong>ccache</strong> - Credential cache</p>
 <p><strong>[out]</strong> <strong>error</strong> - If non-null, contains KRB_ERROR message returned from server</p>
-<p><strong>[out]</strong> <strong>rep_result</strong> - If non-null and <em>ap_req_options</em> is <a class="reference internal" href="../macros/AP_OPTS_MUTUAL_REQUIRED.html#AP_OPTS_MUTUAL_REQUIRED" title="AP_OPTS_MUTUAL_REQUIRED"><code class="xref py py-data docutils literal"><span class="pre">AP_OPTS_MUTUAL_REQUIRED</span></code></a> , contains the result of mutual authentication exchange</p>
-<p class="last"><strong>[out]</strong> <strong>out_creds</strong> - If non-null, the retrieved credentials</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>rep_result</strong> - If non-null and <em>ap_req_options</em> is #AP_OPTS_MUTUAL_REQUIRED, contains the result of mutual authentication exchange</p>
+<p><strong>[out]</strong> <strong>out_creds</strong> - If non-null, the retrieved credentials</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function performs the client side of a sendauth/recvauth exchange by sending and receiving messages over <em>fd</em> .</p>
 <p>Credentials may be specified in three ways:</p>
 <blockquote>
 <div><blockquote>
 <div><ul class="simple">
-<li>If <em>in_creds</em> is NULL, credentials are obtained with <a class="reference internal" href="krb5_get_credentials.html#c.krb5_get_credentials" title="krb5_get_credentials"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_credentials()</span></code></a> using the principals <em>client</em> and <em>server</em> . <em>server</em> must be non-null; <em>client</em> may NULL to use the default principal of <em>ccache</em> .</li>
-<li>If <em>in_creds</em> is non-null, but does not contain a ticket, credentials for the exchange are obtained with <a class="reference internal" href="krb5_get_credentials.html#c.krb5_get_credentials" title="krb5_get_credentials"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_credentials()</span></code></a> using <em>in_creds</em> . In this case, the values of <em>client</em> and <em>server</em> are unused.</li>
-<li>If <em>in_creds</em> is a complete credentials structure, it used directly. In this case, the values of <em>client</em> , <em>server</em> , and <em>ccache</em> are unused.</li>
+<li><p>If <em>in_creds</em> is NULL, credentials are obtained with krb5_get_credentials() using the principals <em>client</em> and <em>server</em> . <em>server</em> must be non-null; <em>client</em> may NULL to use the default principal of <em>ccache</em> .</p></li>
+<li><p>If <em>in_creds</em> is non-null, but does not contain a ticket, credentials for the exchange are obtained with krb5_get_credentials() using <em>in_creds</em> . In this case, the values of <em>client</em> and <em>server</em> are unused.</p></li>
+<li><p>If <em>in_creds</em> is a complete credentials structure, it used directly. In this case, the values of <em>client</em> , <em>server</em> , and <em>ccache</em> are unused.</p></li>
 </ul>
 </div></blockquote>
 <p>If the server is using a different application protocol than that specified in <em>appl_version</em> , an error will be returned.</p>
 </div></blockquote>
-<p>Use <a class="reference internal" href="krb5_free_creds.html#c.krb5_free_creds" title="krb5_free_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_creds()</span></code></a> to free <em>out_creds</em> , <a class="reference internal" href="krb5_free_ap_rep_enc_part.html#c.krb5_free_ap_rep_enc_part" title="krb5_free_ap_rep_enc_part"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_ap_rep_enc_part()</span></code></a> to free <em>rep_result</em> , and <a class="reference internal" href="krb5_free_error.html#c.krb5_free_error" title="krb5_free_error"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_error()</span></code></a> to free <em>error</em> when they are no longer needed.</p>
+<p>Use krb5_free_creds() to free <em>out_creds</em> , krb5_free_ap_rep_enc_part() to free <em>rep_result</em> , and krb5_free_error() to free <em>error</em> when they are no longer needed.</p>
 <div class="admonition seealso">
-<p class="first admonition-title">See also</p>
-<p class="last"><a class="reference internal" href="krb5_recvauth.html#c.krb5_recvauth" title="krb5_recvauth"><code class="xref c c-func docutils literal"><span class="pre">krb5_recvauth()</span></code></a></p>
-</div>
+<p class="admonition-title">See also</p>
+<p>krb5_recvauth()</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_sendauth -  Client function for sendauth protocol.</a></li>
@@ -168,6 +153,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -175,8 +161,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_server_decrypt_ticket_keytab.html 1.21.3-1/doc/html/appdev/refs/api/krb5_server_decrypt_ticket_keytab.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_server_decrypt_ticket_keytab.html	2023-08-14 16:20:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_server_decrypt_ticket_keytab.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_server_decrypt_ticket_keytab - Decrypt a ticket using the specified key table. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_default_tgs_enctypes - Set default TGS encryption types in a krb5_context structure." href="krb5_set_default_tgs_enctypes.html" />
     <link rel="prev" title="krb5_salttype_to_string - Convert a salt type to a string." href="krb5_salttype_to_string.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-server-decrypt-ticket-keytab-decrypt-a-ticket-using-the-specified-key-table">
+  <section id="krb5-server-decrypt-ticket-keytab-decrypt-a-ticket-using-the-specified-key-table">
 <h1>krb5_server_decrypt_ticket_keytab -  Decrypt a ticket using the specified key table.<a class="headerlink" href="#krb5-server-decrypt-ticket-keytab-decrypt-a-ticket-using-the-specified-key-table" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_server_decrypt_ticket_keytab">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_server_decrypt_ticket_keytab</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;kt</em>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a> *<em>&nbsp;ticket</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_server_decrypt_ticket_keytab" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_server_decrypt_ticket_keytab">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_server_decrypt_ticket_keytab</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">kt</span></span>, <a class="reference internal" href="../types/krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ticket</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_server_decrypt_ticket_keytab" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>kt</strong> - Key table</p>
-<p class="last"><strong>[in]</strong> <strong>ticket</strong> - Ticket to be decrypted</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>ticket</strong> - Ticket to be decrypted</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function takes a <em>ticket</em> as input and decrypts it using key data from <em>kt</em> . The result is placed into <em>ticket-&gt;enc_part2</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_server_decrypt_ticket_keytab -  Decrypt a ticket using the specified key table.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_default_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_default_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_default_realm.html	2023-08-14 16:20:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_default_realm.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_default_realm - Override the default realm for the specified context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_password - Set a password for a principal using specified credentials." href="krb5_set_password.html" />
-    <link rel="prev" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge() ." href="krb5_responder_pkinit_challenge_free.html" /> 
-  </head>
-  <body>
+    <link rel="prev" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge()." href="krb5_responder_pkinit_challenge_free.html" /> 
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -40,7 +31,7 @@
                 
         <a href="../../../index.html" title="Full Table of Contents"
             accesskey="C">Contents</a> |
-        <a href="krb5_responder_pkinit_challenge_free.html" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge() ."
+        <a href="krb5_responder_pkinit_challenge_free.html" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge()."
             accesskey="P">previous</a> |
         <a href="krb5_set_password.html" title="krb5_set_password - Set a password for a principal using specified credentials."
             accesskey="N">next</a> |
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-default-realm-override-the-default-realm-for-the-specified-context">
+  <section id="krb5-set-default-realm-override-the-default-realm-for-the-specified-context">
 <h1>krb5_set_default_realm -  Override the default realm for the specified context.<a class="headerlink" href="#krb5-set-default-realm-override-the-default-realm-for-the-specified-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_default_realm">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_set_default_realm</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;lrealm</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_default_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_default_realm">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_default_realm</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">lrealm</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_default_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>lrealm</strong> - Realm name for the default realm</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>lrealm</strong> - Realm name for the default realm</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>If <em>lrealm</em> is NULL, clear the default realm setting.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_default_realm -  Override the default realm for the specified context.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,14 +139,14 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
         <a href="../../../index.html" title="Full Table of Contents"
             >Contents</a> |
-        <a href="krb5_responder_pkinit_challenge_free.html" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge() ."
+        <a href="krb5_responder_pkinit_challenge_free.html" title="krb5_responder_pkinit_challenge_free - Free the value returned by krb5_responder_pkinit_get_challenge()."
             >previous</a> |
         <a href="krb5_set_password.html" title="krb5_set_password - Set a password for a principal using specified credentials."
             >next</a> |
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_default_tgs_enctypes.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_default_tgs_enctypes.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_default_tgs_enctypes.html	2023-08-14 16:20:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_default_tgs_enctypes.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_default_tgs_enctypes - Set default TGS encryption types in a krb5_context structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_error_message - Set an extended error message for an error code." href="krb5_set_error_message.html" />
     <link rel="prev" title="krb5_server_decrypt_ticket_keytab - Decrypt a ticket using the specified key table." href="krb5_server_decrypt_ticket_keytab.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-default-tgs-enctypes-set-default-tgs-encryption-types-in-a-krb5-context-structure">
+  <section id="krb5-set-default-tgs-enctypes-set-default-tgs-encryption-types-in-a-krb5-context-structure">
 <h1>krb5_set_default_tgs_enctypes -  Set default TGS encryption types in a krb5_context structure.<a class="headerlink" href="#krb5-set-default-tgs-enctypes-set-default-tgs-encryption-types-in-a-krb5-context-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_default_tgs_enctypes">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_set_default_tgs_enctypes</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *<em>&nbsp;etypes</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_default_tgs_enctypes" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_default_tgs_enctypes">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_default_tgs_enctypes</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">etypes</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_default_tgs_enctypes" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>etypes</strong> - Encryption type(s) to set</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-<li>KRB5_PROG_ETYPE_NOSUPP   Program lacks support for encryption type</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>etypes</strong> - Encryption type(s) to set</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+<li><p>KRB5_PROG_ETYPE_NOSUPP   Program lacks support for encryption type</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function sets the default enctype list for TGS requests made using <em>context</em> to <em>etypes</em> .</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This overrides the default list (from config file or built-in).</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>This overrides the default list (from config file or built-in).</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_default_tgs_enctypes -  Set default TGS encryption types in a krb5_context structure.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_error_message.html	2023-08-14 16:20:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_error_message.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_error_message - Set an extended error message for an error code. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_kdc_recv_hook - Set a KDC post-receive hook function." href="krb5_set_kdc_recv_hook.html" />
     <link rel="prev" title="krb5_set_default_tgs_enctypes - Set default TGS encryption types in a krb5_context structure." href="krb5_set_default_tgs_enctypes.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-error-message-set-an-extended-error-message-for-an-error-code">
+  <section id="krb5-set-error-message-set-an-extended-error-message-for-an-error-code">
 <h1>krb5_set_error_message -  Set an extended error message for an error code.<a class="headerlink" href="#krb5-set-error-message-set-an-extended-error-message-for-an-error-code" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_error_message">
-void <code class="descname">krb5_set_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a><em>&nbsp;code</em>, const char *<em>&nbsp;fmt</em>, ...<span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_error_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_error_message">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="n"><span class="pre">code</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">fmt</span></span>, <span class="p"><span class="pre">...</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>code</strong> - Error code</p>
-<p class="last"><strong>[in]</strong> <strong>fmt</strong> - Error string for the error code</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<p><strong>[in]</strong> <strong>fmt</strong> - Error string for the error code</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_error_message -  Set an extended error message for an error code.</a></li>
@@ -130,6 +119,7 @@ void <code class="descname">krb5_set_err
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +127,8 @@ void <code class="descname">krb5_set_err
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_kdc_recv_hook.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_kdc_recv_hook.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_kdc_recv_hook.html	2023-08-14 16:20:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_kdc_recv_hook.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_kdc_recv_hook - Set a KDC post-receive hook function. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_kdc_send_hook - Set a KDC pre-send hook function." href="krb5_set_kdc_send_hook.html" />
     <link rel="prev" title="krb5_set_error_message - Set an extended error message for an error code." href="krb5_set_error_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,38 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-kdc-recv-hook-set-a-kdc-post-receive-hook-function">
+  <section id="krb5-set-kdc-recv-hook-set-a-kdc-post-receive-hook-function">
 <h1>krb5_set_kdc_recv_hook -  Set a KDC post-receive hook function.<a class="headerlink" href="#krb5-set-kdc-recv-hook-set-a-kdc-post-receive-hook-function" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_kdc_recv_hook">
-void <code class="descname">krb5_set_kdc_recv_hook</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_post_recv_fn.html#c.krb5_post_recv_fn" title="krb5_post_recv_fn">krb5_post_recv_fn</a><em>&nbsp;recv_hook</em>, void *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_kdc_recv_hook" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_kdc_recv_hook">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_kdc_recv_hook</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_post_recv_fn.html#c.krb5_post_recv_fn" title="krb5_post_recv_fn"><span class="n"><span class="pre">krb5_post_recv_fn</span></span></a><span class="w"> </span><span class="n"><span class="pre">recv_hook</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_kdc_recv_hook" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - The library context.</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - The library context.</p>
 <p><strong>[in]</strong> <strong>recv_hook</strong> - Hook function (or NULL to disable the hook)</p>
-<p class="last"><strong>[in]</strong> <strong>data</strong> - Callback data to be passed to <em>recv_hook</em></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>data</strong> - Callback data to be passed to <em>recv_hook</em></p>
+</dd>
+</dl>
 <blockquote>
-<div><em>recv_hook</em> will be called after a reply is received from a KDC during a call to a library function such as <a class="reference internal" href="krb5_get_credentials.html#c.krb5_get_credentials" title="krb5_get_credentials"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_credentials()</span></code></a> . The hook function may inspect or override the reply. This hook will not be executed if the pre-send hook returns a synthetic reply.</div></blockquote>
+<div><p><em>recv_hook</em> will be called after a reply is received from a KDC during a call to a library function such as krb5_get_credentials(). The hook function may inspect or override the reply. This hook will not be executed if the pre-send hook returns a synthetic reply.</p>
+</div></blockquote>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.15</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.15</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_kdc_recv_hook -  Set a KDC post-receive hook function.</a></li>
@@ -136,6 +126,7 @@ void <code class="descname">krb5_set_kdc
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,8 +134,8 @@ void <code class="descname">krb5_set_kdc
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_kdc_send_hook.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_kdc_send_hook.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_kdc_send_hook.html	2023-08-14 16:20:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_kdc_send_hook.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_kdc_send_hook - Set a KDC pre-send hook function. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_real_time - Set time offset field in a krb5_context structure." href="krb5_set_real_time.html" />
     <link rel="prev" title="krb5_set_kdc_recv_hook - Set a KDC post-receive hook function." href="krb5_set_kdc_recv_hook.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,38 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-kdc-send-hook-set-a-kdc-pre-send-hook-function">
+  <section id="krb5-set-kdc-send-hook-set-a-kdc-pre-send-hook-function">
 <h1>krb5_set_kdc_send_hook -  Set a KDC pre-send hook function.<a class="headerlink" href="#krb5-set-kdc-send-hook-set-a-kdc-pre-send-hook-function" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_kdc_send_hook">
-void <code class="descname">krb5_set_kdc_send_hook</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_pre_send_fn.html#c.krb5_pre_send_fn" title="krb5_pre_send_fn">krb5_pre_send_fn</a><em>&nbsp;send_hook</em>, void *<em>&nbsp;data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_kdc_send_hook" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_kdc_send_hook">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_kdc_send_hook</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_pre_send_fn.html#c.krb5_pre_send_fn" title="krb5_pre_send_fn"><span class="n"><span class="pre">krb5_pre_send_fn</span></span></a><span class="w"> </span><span class="n"><span class="pre">send_hook</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_kdc_send_hook" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>send_hook</strong> - Hook function (or NULL to disable the hook)</p>
-<p class="last"><strong>[in]</strong> <strong>data</strong> - Callback data to be passed to <em>send_hook</em></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>data</strong> - Callback data to be passed to <em>send_hook</em></p>
+</dd>
+</dl>
 <blockquote>
-<div><em>send_hook</em> will be called before messages are sent to KDCs by library functions such as <a class="reference internal" href="krb5_get_credentials.html#c.krb5_get_credentials" title="krb5_get_credentials"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_credentials()</span></code></a> . The hook function may inspect, override, or synthesize its own reply to the message.</div></blockquote>
+<div><p><em>send_hook</em> will be called before messages are sent to KDCs by library functions such as krb5_get_credentials(). The hook function may inspect, override, or synthesize its own reply to the message.</p>
+</div></blockquote>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.15</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.15</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_kdc_send_hook -  Set a KDC pre-send hook function.</a></li>
@@ -136,6 +126,7 @@ void <code class="descname">krb5_set_kdc
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,8 +134,8 @@ void <code class="descname">krb5_set_kdc
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_password.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_password.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_password.html	2023-08-14 16:20:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_password.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_password - Set a password for a principal using specified credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_password_using_ccache - Set a password for a principal using cached credentials." href="krb5_set_password_using_ccache.html" />
     <link rel="prev" title="krb5_set_default_realm - Override the default realm for the specified context." href="krb5_set_default_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,58 +52,52 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-password-set-a-password-for-a-principal-using-specified-credentials">
+  <section id="krb5-set-password-set-a-password-for-a-principal-using-specified-credentials">
 <h1>krb5_set_password -  Set a password for a principal using specified credentials.<a class="headerlink" href="#krb5-set-password-set-a-password-for-a-principal-using-specified-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_password">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_set_password</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, const char *<em>&nbsp;newpw</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;change_password_for</em>, int *<em>&nbsp;result_code</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;result_code_string</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;result_string</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_password" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_password">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_password</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">newpw</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">change_password_for</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">result_code</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">result_code_string</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">result_string</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_password" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>creds</strong> - Credentials for kadmin/changepw service</p>
 <p><strong>[in]</strong> <strong>newpw</strong> - New password</p>
 <p><strong>[in]</strong> <strong>change_password_for</strong> - Change the password for this principal</p>
 <p><strong>[out]</strong> <strong>result_code</strong> - Numeric error code from server</p>
 <p><strong>[out]</strong> <strong>result_code_string</strong> - String equivalent to <em>result_code</em></p>
-<p class="last"><strong>[out]</strong> <strong>result_string</strong> - Data returned from the remote system</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success and result_code is set to KRB5_KPASSWD_SUCCESS .</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes.</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>result_string</strong> - Data returned from the remote system</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success and result_code is set to #KRB5_KPASSWD_SUCCESS.</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes.</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function uses the credentials <em>creds</em> to set the password <em>newpw</em> for the principal <em>change_password_for</em> . It implements the set password operation of RFC 3244, for interoperability with Microsoft Windows implementations.</p>
 <p>The error code and strings are returned in <em>result_code</em> , <em>result_code_string</em> and <em>result_string</em> .</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If <em>change_password_for</em> is NULL, the change is performed on the current principal. If <em>change_password_for</em> is non-null, the change is performed on the principal name passed in <em>change_password_for</em> .</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>If <em>change_password_for</em> is NULL, the change is performed on the current principal. If <em>change_password_for</em> is non-null, the change is performed on the principal name passed in <em>change_password_for</em> .</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_password -  Set a password for a principal using specified credentials.</a></li>
@@ -156,6 +141,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -163,8 +149,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_password_using_ccache.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_password_using_ccache.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_password_using_ccache.html	2023-08-14 16:20:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_password_using_ccache.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_password_using_ccache - Set a password for a principal using cached credentials. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_principal_realm - Set the realm field of a principal." href="krb5_set_principal_realm.html" />
     <link rel="prev" title="krb5_set_password - Set a password for a principal using specified credentials." href="krb5_set_password.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,58 +52,52 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-password-using-ccache-set-a-password-for-a-principal-using-cached-credentials">
+  <section id="krb5-set-password-using-ccache-set-a-password-for-a-principal-using-cached-credentials">
 <h1>krb5_set_password_using_ccache -  Set a password for a principal using cached credentials.<a class="headerlink" href="#krb5-set-password-using-ccache-set-a-password-for-a-principal-using-cached-credentials" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_password_using_ccache">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_set_password_using_ccache</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, const char *<em>&nbsp;newpw</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;change_password_for</em>, int *<em>&nbsp;result_code</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;result_code_string</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;result_string</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_password_using_ccache" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_password_using_ccache">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_password_using_ccache</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">newpw</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">change_password_for</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">result_code</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">result_code_string</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">result_string</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_password_using_ccache" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ccache</strong> - Credential cache</p>
 <p><strong>[in]</strong> <strong>newpw</strong> - New password</p>
 <p><strong>[in]</strong> <strong>change_password_for</strong> - Change the password for this principal</p>
 <p><strong>[out]</strong> <strong>result_code</strong> - Numeric error code from server</p>
 <p><strong>[out]</strong> <strong>result_code_string</strong> - String equivalent to <em>result_code</em></p>
-<p class="last"><strong>[out]</strong> <strong>result_string</strong> - Data returned from the remote system</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>result_string</strong> - Data returned from the remote system</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function uses the cached credentials from <em>ccache</em> to set the password <em>newpw</em> for the principal <em>change_password_for</em> . It implements RFC 3244 set password operation (interoperable with MS Windows implementations) using the credential cache.</p>
 <p>The error code and strings are returned in <em>result_code</em> , <em>result_code_string</em> and <em>result_string</em> .</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If <em>change_password_for</em> is set to NULL, the change is performed on the default principal in <em>ccache</em> . If <em>change_password_for</em> is non null, the change is performed on the specified principal.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>If <em>change_password_for</em> is set to NULL, the change is performed on the default principal in <em>ccache</em> . If <em>change_password_for</em> is non null, the change is performed on the specified principal.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_password_using_ccache -  Set a password for a principal using cached credentials.</a></li>
@@ -156,6 +141,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -163,8 +149,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_principal_realm.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_principal_realm.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_principal_realm.html	2023-08-14 16:20:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_principal_realm.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_principal_realm - Set the realm field of a principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_trace_callback - Specify a callback function for trace events." href="krb5_set_trace_callback.html" />
     <link rel="prev" title="krb5_set_password_using_ccache - Set a password for a principal using cached credentials." href="krb5_set_password_using_ccache.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-principal-realm-set-the-realm-field-of-a-principal">
+  <section id="krb5-set-principal-realm-set-the-realm-field-of-a-principal">
 <h1>krb5_set_principal_realm -  Set the realm field of a principal.<a class="headerlink" href="#krb5-set-principal-realm-set-the-realm-field-of-a-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_principal_realm">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_set_principal_realm</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;principal</em>, const char *<em>&nbsp;realm</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_principal_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_principal_realm">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_principal_realm</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_principal_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Principal name</p>
-<p class="last"><strong>[in]</strong> <strong>realm</strong> - Realm name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>realm</strong> - Realm name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>Set the realm name part of <em>principal</em> to <em>realm</em> , overwriting the previous realm.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_principal_realm -  Set the realm field of a principal.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_real_time.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_real_time.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_real_time.html	2023-08-14 16:20:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_real_time.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_real_time - Set time offset field in a krb5_context structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_string_to_cksumtype - Convert a string to a checksum type." href="krb5_string_to_cksumtype.html" />
     <link rel="prev" title="krb5_set_kdc_send_hook - Set a KDC pre-send hook function." href="krb5_set_kdc_send_hook.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-real-time-set-time-offset-field-in-a-krb5-context-structure">
+  <section id="krb5-set-real-time-set-time-offset-field-in-a-krb5-context-structure">
 <h1>krb5_set_real_time -  Set time offset field in a krb5_context structure.<a class="headerlink" href="#krb5-set-real-time-set-time-offset-field-in-a-krb5-context-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_real_time">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_set_real_time</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a><em>&nbsp;seconds</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a><em>&nbsp;microseconds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_real_time" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_real_time">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_real_time</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="n"><span class="pre">seconds</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="n"><span class="pre">microseconds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_real_time" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>seconds</strong> - Real time, seconds portion</p>
-<p class="last"><strong>[in]</strong> <strong>microseconds</strong> - Real time, microseconds portion</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>microseconds</strong> - Real time, microseconds portion</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function sets the time offset in <em>context</em> to the difference between the system time and the real time as determined by <em>seconds</em> and <em>microseconds</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_real_time -  Set time offset field in a krb5_context structure.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_trace_callback.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_trace_callback.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_trace_callback.html	2023-08-14 16:20:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_trace_callback.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_trace_callback - Specify a callback function for trace events. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_set_trace_filename - Specify a file name for directing trace events." href="krb5_set_trace_filename.html" />
     <link rel="prev" title="krb5_set_principal_realm - Set the realm field of a principal." href="krb5_set_principal_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-trace-callback-specify-a-callback-function-for-trace-events">
+  <section id="krb5-set-trace-callback-specify-a-callback-function-for-trace-events">
 <h1>krb5_set_trace_callback -  Specify a callback function for trace events.<a class="headerlink" href="#krb5-set-trace-callback-specify-a-callback-function-for-trace-events" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_trace_callback">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_set_trace_callback</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_trace_callback.html#c.krb5_trace_callback" title="krb5_trace_callback">krb5_trace_callback</a><em>&nbsp;fn</em>, void *<em>&nbsp;cb_data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_trace_callback" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_trace_callback">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_trace_callback</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_trace_callback.html#c.krb5_trace_callback" title="krb5_trace_callback"><span class="n"><span class="pre">krb5_trace_callback</span></span></a><span class="w"> </span><span class="n"><span class="pre">fn</span></span>, <span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cb_data</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_trace_callback" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>fn</strong> - Callback function</p>
-<p class="last"><strong>[in]</strong> <strong>cb_data</strong> - Callback data</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Returns KRB5_TRACE_NOSUPP if tracing is not supported in the library (unless fn is NULL).</li>
+<p><strong>[in]</strong> <strong>cb_data</strong> - Callback data</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>Returns KRB5_TRACE_NOSUPP if tracing is not supported in the library (unless fn is NULL).</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Specify a callback for trace events occurring in krb5 operations performed within <em>context</em> . <em>fn</em> will be invoked with <em>context</em> as the first argument, <em>cb_data</em> as the last argument, and a pointer to a krb5_trace_info as the second argument. If the trace callback is reset via this function or <em>context</em> is destroyed, <em>fn</em> will be invoked with a NULL second argument so it can clean up <em>cb_data</em> . Supply a NULL value for <em>fn</em> to disable trace callbacks within <em>context</em> .</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function overrides the information passed through the <em>KRB5_TRACE</em> environment variable.</p>
+<p class="admonition-title">Note</p>
+<p>This function overrides the information passed through the <em>KRB5_TRACE</em> environment variable.</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_trace_callback -  Specify a callback function for trace events.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_set_trace_filename.html 1.21.3-1/doc/html/appdev/refs/api/krb5_set_trace_filename.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_set_trace_filename.html	2023-08-14 16:20:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_set_trace_filename.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_set_trace_filename - Specify a file name for directing trace events. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_sname_match - Test whether a principal matches a matching principal." href="krb5_sname_match.html" />
     <link rel="prev" title="krb5_set_trace_callback - Specify a callback function for trace events." href="krb5_set_trace_callback.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-set-trace-filename-specify-a-file-name-for-directing-trace-events">
+  <section id="krb5-set-trace-filename-specify-a-file-name-for-directing-trace-events">
 <h1>krb5_set_trace_filename -  Specify a file name for directing trace events.<a class="headerlink" href="#krb5-set-trace-filename-specify-a-file-name-for-directing-trace-events" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_set_trace_filename">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_set_trace_filename</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;filename</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_trace_filename" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_set_trace_filename">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_set_trace_filename</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">filename</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_set_trace_filename" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>filename</strong> - File name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>KRB5_TRACE_NOSUPP   Tracing is not supported in the library.</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>filename</strong> - File name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>KRB5_TRACE_NOSUPP   Tracing is not supported in the library.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Open <em>filename</em> for appending (creating it, if necessary) and set up a callback to write trace events to it.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">This function overrides the information passed through the <em>KRB5_TRACE</em> environment variable.</p>
+<p class="admonition-title">Note</p>
+<p>This function overrides the information passed through the <em>KRB5_TRACE</em> environment variable.</p>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_set_trace_filename -  Specify a file name for directing trace events.</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_sname_match.html 1.21.3-1/doc/html/appdev/refs/api/krb5_sname_match.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_sname_match.html	2023-08-14 16:20:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_sname_match.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_sname_match - Test whether a principal matches a matching principal. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_sname_to_principal - Generate a full principal name from a service name." href="krb5_sname_to_principal.html" />
     <link rel="prev" title="krb5_set_trace_filename - Specify a file name for directing trace events." href="krb5_set_trace_filename.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-sname-match-test-whether-a-principal-matches-a-matching-principal">
+  <section id="krb5-sname-match-test-whether-a-principal-matches-a-matching-principal">
 <h1>krb5_sname_match -  Test whether a principal matches a matching principal.<a class="headerlink" href="#krb5-sname-match-test-whether-a-principal-matches-a-matching-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_sname_match">
-<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a> <code class="descname">krb5_sname_match</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;matching</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;princ</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_sname_match" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_sname_match">
+<a class="reference internal" href="../types/krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_sname_match</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">matching</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">princ</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_sname_match" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>matching</strong> - Matching principal</p>
-<p class="last"><strong>[in]</strong> <strong>princ</strong> - Principal to test</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>TRUE if princ matches matching , FALSE otherwise.</li>
+<p><strong>[in]</strong> <strong>princ</strong> - Principal to test</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">return</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>TRUE if princ matches matching , FALSE otherwise.</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>If <em>matching</em> is NULL, return TRUE. If <em>matching</em> is not a matching principal, return the value of krb5_principal_compare(context, matching, princ).</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">A matching principal is a host-based principal with an empty realm and/or second data component (hostname). Profile configuration may cause the hostname to be ignored even if it is present. A principal matches a matching principal if the former has the same non-empty (and non-ignored) components of the latter.</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>A matching principal is a host-based principal with an empty realm and/or second data component (hostname). Profile configuration may cause the hostname to be ignored even if it is present. A principal matches a matching principal if the former has the same non-empty (and non-ignored) components of the latter.</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_sname_match -  Test whether a principal matches a matching principal.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_sname_to_principal.html 1.21.3-1/doc/html/appdev/refs/api/krb5_sname_to_principal.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_sname_to_principal.html	2023-08-14 16:20:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_sname_to_principal.html	2024-06-26 20:01:07.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_sname_to_principal - Generate a full principal name from a service name. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_unparse_name - Convert a krb5_principal structure to a string representation." href="krb5_unparse_name.html" />
     <link rel="prev" title="krb5_sname_match - Test whether a principal matches a matching principal." href="krb5_sname_match.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,61 +52,55 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-sname-to-principal-generate-a-full-principal-name-from-a-service-name">
+  <section id="krb5-sname-to-principal-generate-a-full-principal-name-from-a-service-name">
 <h1>krb5_sname_to_principal -  Generate a full principal name from a service name.<a class="headerlink" href="#krb5-sname-to-principal-generate-a-full-principal-name-from-a-service-name" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_sname_to_principal">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_sname_to_principal</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const char *<em>&nbsp;hostname</em>, const char *<em>&nbsp;sname</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a><em>&nbsp;type</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;ret_princ</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_sname_to_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_sname_to_principal">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_sname_to_principal</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">hostname</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">sname</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="n"><span class="pre">type</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ret_princ</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_sname_to_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>hostname</strong> - Host name, or NULL to use local host</p>
 <p><strong>[in]</strong> <strong>sname</strong> - Service name, or NULL to use <strong>“host”</strong></p>
 <p><strong>[in]</strong> <strong>type</strong> - Principal type</p>
-<p class="last"><strong>[out]</strong> <strong>ret_princ</strong> - Generated principal</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function converts a <em>hostname</em> and <em>sname</em> into <em>krb5_principal</em> structure <em>ret_princ</em> . The returned principal will be of the form <em>sname/hostname&#64;REALM</em> where REALM is determined by <a class="reference internal" href="krb5_get_host_realm.html#c.krb5_get_host_realm" title="krb5_get_host_realm"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_host_realm()</span></code></a> . In some cases this may be the referral (empty) realm.</p>
+<p><strong>[out]</strong> <strong>ret_princ</strong> - Generated principal</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>This function converts a <em>hostname</em> and <em>sname</em> into <em>krb5_principal</em> structure <em>ret_princ</em> . The returned principal will be of the form <em>sname/hostname&#64;REALM</em> where REALM is determined by krb5_get_host_realm(). In some cases this may be the referral (empty) realm.</p>
 <p>The <em>type</em> can be one of the following:</p>
 <blockquote>
 <div><blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_NT_SRV_HST.html#KRB5_NT_SRV_HST" title="KRB5_NT_SRV_HST"><code class="xref py py-data docutils literal"><span class="pre">KRB5_NT_SRV_HST</span></code></a> canonicalizes the host name before looking up the realm and generating the principal.</li>
-<li><a class="reference internal" href="../macros/KRB5_NT_UNKNOWN.html#KRB5_NT_UNKNOWN" title="KRB5_NT_UNKNOWN"><code class="xref py py-data docutils literal"><span class="pre">KRB5_NT_UNKNOWN</span></code></a> accepts the hostname as given, and does not canonicalize it.</li>
+<li><p>#KRB5_NT_SRV_HST canonicalizes the host name before looking up the realm and generating the principal.</p></li>
+<li><p>#KRB5_NT_UNKNOWN accepts the hostname as given, and does not canonicalize it.</p></li>
 </ul>
 </div></blockquote>
 <p>Use krb5_free_principal to free <em>ret_princ</em> when it is no longer needed.</p>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_sname_to_principal -  Generate a full principal name from a service name.</a></li>
@@ -159,6 +144,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -166,8 +152,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_cksumtype.html 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_cksumtype.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_cksumtype.html	2023-08-14 16:20:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_cksumtype.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_string_to_cksumtype - Convert a string to a checksum type. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_string_to_deltat - Convert a string to a delta time value." href="krb5_string_to_deltat.html" />
     <link rel="prev" title="krb5_set_real_time - Set time offset field in a krb5_context structure." href="krb5_set_real_time.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-string-to-cksumtype-convert-a-string-to-a-checksum-type">
+  <section id="krb5-string-to-cksumtype-convert-a-string-to-a-checksum-type">
 <h1>krb5_string_to_cksumtype -  Convert a string to a checksum type.<a class="headerlink" href="#krb5-string-to-cksumtype-convert-a-string-to-a-checksum-type" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_string_to_cksumtype">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_string_to_cksumtype</code><span class="sig-paren">(</span>char *<em>&nbsp;string</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a> *<em>&nbsp;cksumtypep</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_cksumtype" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_string_to_cksumtype">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_string_to_cksumtype</span></span></span><span class="sig-paren">(</span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">string</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cksumtypep</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_cksumtype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>string</strong> - String to be converted</p>
-<p class="last"><strong>[out]</strong> <strong>cksumtypep</strong> - Checksum type to be filled in</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - EINVAL</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>string</strong> - String to be converted</p>
+<p><strong>[out]</strong> <strong>cksumtypep</strong> - Checksum type to be filled in</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - EINVAL</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_string_to_cksumtype -  Convert a string to a checksum type.</a></li>
@@ -140,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_deltat.html 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_deltat.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_deltat.html	2023-08-14 16:20:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_deltat.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_string_to_deltat - Convert a string to a delta time value. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_string_to_enctype - Convert a string to an encryption type." href="krb5_string_to_enctype.html" />
     <link rel="prev" title="krb5_string_to_cksumtype - Convert a string to a checksum type." href="krb5_string_to_cksumtype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-string-to-deltat-convert-a-string-to-a-delta-time-value">
+  <section id="krb5-string-to-deltat-convert-a-string-to-a-delta-time-value">
 <h1>krb5_string_to_deltat -  Convert a string to a delta time value.<a class="headerlink" href="#krb5-string-to-deltat-convert-a-string-to-a-delta-time-value" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_string_to_deltat">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_string_to_deltat</code><span class="sig-paren">(</span>char *<em>&nbsp;string</em>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat">krb5_deltat</a> *<em>&nbsp;deltatp</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_deltat" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_string_to_deltat">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_string_to_deltat</span></span></span><span class="sig-paren">(</span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">string</span></span>, <a class="reference internal" href="../types/krb5_deltat.html#c.krb5_deltat" title="krb5_deltat"><span class="n"><span class="pre">krb5_deltat</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">deltatp</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_deltat" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>string</strong> - String to be converted</p>
-<p class="last"><strong>[out]</strong> <strong>deltatp</strong> - Delta time to be filled in</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - KRB5_DELTAT_BADFORMAT</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>string</strong> - String to be converted</p>
+<p><strong>[out]</strong> <strong>deltatp</strong> - Delta time to be filled in</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - KRB5_DELTAT_BADFORMAT</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_string_to_deltat -  Convert a string to a delta time value.</a></li>
@@ -140,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_enctype.html 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_enctype.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_enctype.html	2023-08-14 16:20:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_enctype.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_string_to_enctype - Convert a string to an encryption type. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_string_to_salttype - Convert a string to a salt type." href="krb5_string_to_salttype.html" />
     <link rel="prev" title="krb5_string_to_deltat - Convert a string to a delta time value." href="krb5_string_to_deltat.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-string-to-enctype-convert-a-string-to-an-encryption-type">
+  <section id="krb5-string-to-enctype-convert-a-string-to-an-encryption-type">
 <h1>krb5_string_to_enctype -  Convert a string to an encryption type.<a class="headerlink" href="#krb5-string-to-enctype-convert-a-string-to-an-encryption-type" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_string_to_enctype">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_string_to_enctype</code><span class="sig-paren">(</span>char *<em>&nbsp;string</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *<em>&nbsp;enctypep</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_enctype" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_string_to_enctype">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_string_to_enctype</span></span></span><span class="sig-paren">(</span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">string</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">enctypep</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_enctype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>string</strong> - String to convert to an encryption type</p>
-<p class="last"><strong>[out]</strong> <strong>enctypep</strong> - Encryption type</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - EINVAL</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>string</strong> - String to convert to an encryption type</p>
+<p><strong>[out]</strong> <strong>enctypep</strong> - Encryption type</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - EINVAL</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_string_to_enctype -  Convert a string to an encryption type.</a></li>
@@ -140,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_key.html 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_key.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_key.html	2023-08-14 16:20:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_key.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_string_to_key &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_use_enctype" href="krb5_use_enctype.html" />
     <link rel="prev" title="krb5_process_key" href="krb5_process_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-string-to-key">
+  <section id="krb5-string-to-key">
 <h1>krb5_string_to_key<a class="headerlink" href="#krb5-string-to-key" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_string_to_key">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_string_to_key</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;keyblock</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;salt</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_string_to_key">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_string_to_key</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span>, <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">keyblock</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">salt</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>eblock</strong></p>
 <p><strong>keyblock</strong></p>
 <p><strong>data</strong></p>
-<p class="last"><strong>salt</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>salt</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED See krb5_c_string_to_key()</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_string_to_key</a></li>
@@ -133,6 +122,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_salttype.html 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_salttype.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_salttype.html	2023-08-14 16:20:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_salttype.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_string_to_salttype - Convert a string to a salt type. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_string_to_timestamp - Convert a string to a timestamp." href="krb5_string_to_timestamp.html" />
     <link rel="prev" title="krb5_string_to_enctype - Convert a string to an encryption type." href="krb5_string_to_enctype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-string-to-salttype-convert-a-string-to-a-salt-type">
+  <section id="krb5-string-to-salttype-convert-a-string-to-a-salt-type">
 <h1>krb5_string_to_salttype -  Convert a string to a salt type.<a class="headerlink" href="#krb5-string-to-salttype-convert-a-string-to-a-salt-type" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_string_to_salttype">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_string_to_salttype</code><span class="sig-paren">(</span>char *<em>&nbsp;string</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a> *<em>&nbsp;salttypep</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_salttype" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_string_to_salttype">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_string_to_salttype</span></span></span><span class="sig-paren">(</span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">string</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">salttypep</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_salttype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>string</strong> - String to convert to an encryption type</p>
-<p class="last"><strong>[out]</strong> <strong>salttypep</strong> - Salt type to be filled in</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - EINVAL</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>string</strong> - String to convert to an encryption type</p>
+<p><strong>[out]</strong> <strong>salttypep</strong> - Salt type to be filled in</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - EINVAL</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_string_to_salttype -  Convert a string to a salt type.</a></li>
@@ -140,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_timestamp.html 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_timestamp.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_string_to_timestamp.html	2023-08-14 16:20:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_string_to_timestamp.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_string_to_timestamp - Convert a string to a timestamp. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_timeofday - Retrieve the current time with context specific time offset adjustment." href="krb5_timeofday.html" />
     <link rel="prev" title="krb5_string_to_salttype - Convert a string to a salt type." href="krb5_string_to_salttype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,42 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-string-to-timestamp-convert-a-string-to-a-timestamp">
+  <section id="krb5-string-to-timestamp-convert-a-string-to-a-timestamp">
 <h1>krb5_string_to_timestamp -  Convert a string to a timestamp.<a class="headerlink" href="#krb5-string-to-timestamp-convert-a-string-to-a-timestamp" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_string_to_timestamp">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_string_to_timestamp</code><span class="sig-paren">(</span>char *<em>&nbsp;string</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a> *<em>&nbsp;timestampp</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_timestamp" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_string_to_timestamp">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_string_to_timestamp</span></span></span><span class="sig-paren">(</span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">string</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">timestampp</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_string_to_timestamp" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>string</strong> - String to be converted</p>
-<p class="last"><strong>[out]</strong> <strong>timestampp</strong> - Pointer to timestamp</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - EINVAL</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>string</strong> - String to be converted</p>
+<p><strong>[out]</strong> <strong>timestampp</strong> - Pointer to timestamp</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - EINVAL</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_string_to_timestamp -  Convert a string to a timestamp.</a></li>
@@ -140,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_timeofday.html 1.21.3-1/doc/html/appdev/refs/api/krb5_timeofday.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_timeofday.html	2023-08-14 16:20:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_timeofday.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_timeofday - Retrieve the current time with context specific time offset adjustment. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_timestamp_to_sfstring - Convert a timestamp to a string, with optional output padding." href="krb5_timestamp_to_sfstring.html" />
     <link rel="prev" title="krb5_string_to_timestamp - Convert a string to a timestamp." href="krb5_string_to_timestamp.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-timeofday-retrieve-the-current-time-with-context-specific-time-offset-adjustment">
+  <section id="krb5-timeofday-retrieve-the-current-time-with-context-specific-time-offset-adjustment">
 <h1>krb5_timeofday -  Retrieve the current time with context specific time offset adjustment.<a class="headerlink" href="#krb5-timeofday-retrieve-the-current-time-with-context-specific-time-offset-adjustment" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_timeofday">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_timeofday</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a> *<em>&nbsp;timeret</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_timeofday" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_timeofday">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_timeofday</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">timeret</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_timeofday" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[out]</strong> <strong>timeret</strong> - Timestamp to fill in</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[out]</strong> <strong>timeret</strong> - Timestamp to fill in</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function retrieves the system time of day with the context specific time offset adjustment.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_timeofday -  Retrieve the current time with context specific time offset adjustment.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_timestamp_to_sfstring.html 1.21.3-1/doc/html/appdev/refs/api/krb5_timestamp_to_sfstring.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_timestamp_to_sfstring.html	2023-08-14 16:20:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_timestamp_to_sfstring.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_timestamp_to_sfstring - Convert a timestamp to a string, with optional output padding. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_timestamp_to_string - Convert a timestamp to a string." href="krb5_timestamp_to_string.html" />
     <link rel="prev" title="krb5_timeofday - Retrieve the current time with context specific time offset adjustment." href="krb5_timeofday.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-timestamp-to-sfstring-convert-a-timestamp-to-a-string-with-optional-output-padding">
+  <section id="krb5-timestamp-to-sfstring-convert-a-timestamp-to-a-string-with-optional-output-padding">
 <h1>krb5_timestamp_to_sfstring -  Convert a timestamp to a string, with optional output padding.<a class="headerlink" href="#krb5-timestamp-to-sfstring-convert-a-timestamp-to-a-string-with-optional-output-padding" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_timestamp_to_sfstring">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_timestamp_to_sfstring</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a><em>&nbsp;timestamp</em>, char *<em>&nbsp;buffer</em>, size_t<em>&nbsp;buflen</em>, char *<em>&nbsp;pad</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_timestamp_to_sfstring" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_timestamp_to_sfstring">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_timestamp_to_sfstring</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="n"><span class="pre">timestamp</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">buffer</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">buflen</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">pad</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_timestamp_to_sfstring" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>timestamp</strong> - Timestamp to convert</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>timestamp</strong> - Timestamp to convert</p>
 <p><strong>[out]</strong> <strong>buffer</strong> - Buffer to hold the converted timestamp</p>
 <p><strong>[in]</strong> <strong>buflen</strong> - Length of buffer</p>
-<p class="last"><strong>[in]</strong> <strong>pad</strong> - Optional value to pad <em>buffer</em> if converted timestamp does not fill it</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>pad</strong> - Optional value to pad <em>buffer</em> if converted timestamp does not fill it</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>If <em>pad</em> is not NULL, <em>buffer</em> is padded out to <em>buflen</em> - 1 characters with the value of * <em>pad</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_timestamp_to_sfstring -  Convert a timestamp to a string, with optional output padding.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_timestamp_to_string.html 1.21.3-1/doc/html/appdev/refs/api/krb5_timestamp_to_string.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_timestamp_to_string.html	2023-08-14 16:20:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_timestamp_to_string.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_timestamp_to_string - Convert a timestamp to a string. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_tkt_creds_free - Free a TGS request context." href="krb5_tkt_creds_free.html" />
     <link rel="prev" title="krb5_timestamp_to_sfstring - Convert a timestamp to a string, with optional output padding." href="krb5_timestamp_to_sfstring.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,44 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-timestamp-to-string-convert-a-timestamp-to-a-string">
+  <section id="krb5-timestamp-to-string-convert-a-timestamp-to-a-string">
 <h1>krb5_timestamp_to_string -  Convert a timestamp to a string.<a class="headerlink" href="#krb5-timestamp-to-string-convert-a-timestamp-to-a-string" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_timestamp_to_string">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_timestamp_to_string</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a><em>&nbsp;timestamp</em>, char *<em>&nbsp;buffer</em>, size_t<em>&nbsp;buflen</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_timestamp_to_string" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_timestamp_to_string">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_timestamp_to_string</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="n"><span class="pre">timestamp</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">buffer</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">buflen</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_timestamp_to_string" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>timestamp</strong> - Timestamp to convert</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>timestamp</strong> - Timestamp to convert</p>
 <p><strong>[out]</strong> <strong>buffer</strong> - Buffer to hold converted timestamp</p>
-<p class="last"><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>buflen</strong> - Storage available in <em>buffer</em></p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>The string is returned in the locale’s appropriate date and time representation.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_timestamp_to_string -  Convert a timestamp to a string.</a></li>
@@ -142,6 +127,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,8 +135,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_free.html 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_free.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_free.html	2023-08-14 16:20:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_free.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_tkt_creds_free - Free a TGS request context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_tkt_creds_get - Synchronously obtain credentials using a TGS request context." href="krb5_tkt_creds_get.html" />
     <link rel="prev" title="krb5_timestamp_to_string - Convert a timestamp to a string." href="krb5_timestamp_to_string.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tkt-creds-free-free-a-tgs-request-context">
+  <section id="krb5-tkt-creds-free-free-a-tgs-request-context">
 <h1>krb5_tkt_creds_free -  Free a TGS request context.<a class="headerlink" href="#krb5-tkt-creds-free-free-a-tgs-request-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_tkt_creds_free">
-void <code class="descname">krb5_tkt_creds_free</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context">krb5_tkt_creds_context</a><em>&nbsp;ctx</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_free" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_tkt_creds_free">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_tkt_creds_free</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context"><span class="n"><span class="pre">krb5_tkt_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_free" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>ctx</strong> - TGS request context</p>
-</td>
-</tr>
-</tbody>
-</table>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>ctx</strong> - TGS request context</p>
+</dd>
+</dl>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_tkt_creds_free -  Free a TGS request context.</a></li>
@@ -133,6 +122,7 @@ void <code class="descname">krb5_tkt_cre
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@ void <code class="descname">krb5_tkt_cre
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_get.html 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_get.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_get.html	2023-08-14 16:20:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_get.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_tkt_creds_get - Synchronously obtain credentials using a TGS request context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_tkt_creds_get_creds - Retrieve acquired credentials from a TGS request context." href="krb5_tkt_creds_get_creds.html" />
     <link rel="prev" title="krb5_tkt_creds_free - Free a TGS request context." href="krb5_tkt_creds_free.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tkt-creds-get-synchronously-obtain-credentials-using-a-tgs-request-context">
+  <section id="krb5-tkt-creds-get-synchronously-obtain-credentials-using-a-tgs-request-context">
 <h1>krb5_tkt_creds_get -  Synchronously obtain credentials using a TGS request context.<a class="headerlink" href="#krb5-tkt-creds-get-synchronously-obtain-credentials-using-a-tgs-request-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_tkt_creds_get">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_tkt_creds_get</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context">krb5_tkt_creds_context</a><em>&nbsp;ctx</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_get" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_tkt_creds_get">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_tkt_creds_get</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context"><span class="n"><span class="pre">krb5_tkt_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_get" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
-<p class="last"><strong>[in]</strong> <strong>ctx</strong> - TGS request context</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<p><strong>[in]</strong> <strong>ctx</strong> - TGS request context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function synchronously obtains credentials using a context created by <a class="reference internal" href="krb5_tkt_creds_init.html#c.krb5_tkt_creds_init" title="krb5_tkt_creds_init"><code class="xref c c-func docutils literal"><span class="pre">krb5_tkt_creds_init()</span></code></a> . On successful return, the credentials can be retrieved with <a class="reference internal" href="krb5_tkt_creds_get_creds.html#c.krb5_tkt_creds_get_creds" title="krb5_tkt_creds_get_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_tkt_creds_get_creds()</span></code></a> .</p>
+</dd>
+</dl>
+<p>This function synchronously obtains credentials using a context created by krb5_tkt_creds_init(). On successful return, the credentials can be retrieved with krb5_tkt_creds_get_creds().</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_tkt_creds_get -  Synchronously obtain credentials using a TGS request context.</a></li>
@@ -145,6 +130,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +138,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_get_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_get_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_get_creds.html	2023-08-14 16:20:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_get_creds.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_tkt_creds_get_creds - Retrieve acquired credentials from a TGS request context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_tkt_creds_get_times - Retrieve ticket times from a TGS request context." href="krb5_tkt_creds_get_times.html" />
     <link rel="prev" title="krb5_tkt_creds_get - Synchronously obtain credentials using a TGS request context." href="krb5_tkt_creds_get.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tkt-creds-get-creds-retrieve-acquired-credentials-from-a-tgs-request-context">
+  <section id="krb5-tkt-creds-get-creds-retrieve-acquired-credentials-from-a-tgs-request-context">
 <h1>krb5_tkt_creds_get_creds -  Retrieve acquired credentials from a TGS request context.<a class="headerlink" href="#krb5-tkt-creds-get-creds-retrieve-acquired-credentials-from-a-tgs-request-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_tkt_creds_get_creds">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_tkt_creds_get_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context">krb5_tkt_creds_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_get_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_tkt_creds_get_creds">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_tkt_creds_get_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context"><span class="n"><span class="pre">krb5_tkt_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_get_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - TGS request context</p>
-<p class="last"><strong>[out]</strong> <strong>creds</strong> - Acquired credentials</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>creds</strong> - Acquired credentials</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function copies the acquired initial credentials from <em>ctx</em> into <em>creds</em> , after the successful completion of <a class="reference internal" href="krb5_tkt_creds_get.html#c.krb5_tkt_creds_get" title="krb5_tkt_creds_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_tkt_creds_get()</span></code></a> or <a class="reference internal" href="krb5_tkt_creds_step.html#c.krb5_tkt_creds_step" title="krb5_tkt_creds_step"><code class="xref c c-func docutils literal"><span class="pre">krb5_tkt_creds_step()</span></code></a> . Use <a class="reference internal" href="krb5_free_cred_contents.html#c.krb5_free_cred_contents" title="krb5_free_cred_contents"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_cred_contents()</span></code></a> to free <em>creds</em> when it is no longer needed.</p>
+</dd>
+</dl>
+<p>This function copies the acquired initial credentials from <em>ctx</em> into <em>creds</em> , after the successful completion of krb5_tkt_creds_get() or krb5_tkt_creds_step(). Use krb5_free_cred_contents() to free <em>creds</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_tkt_creds_get_creds -  Retrieve acquired credentials from a TGS request context.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_get_times.html 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_get_times.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_get_times.html	2023-08-14 16:20:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_get_times.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_tkt_creds_get_times - Retrieve ticket times from a TGS request context. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_tkt_creds_init - Create a context to get credentials from a KDC’s Ticket Granting Service." href="krb5_tkt_creds_init.html" />
     <link rel="prev" title="krb5_tkt_creds_get_creds - Retrieve acquired credentials from a TGS request context." href="krb5_tkt_creds_get_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tkt-creds-get-times-retrieve-ticket-times-from-a-tgs-request-context">
+  <section id="krb5-tkt-creds-get-times-retrieve-ticket-times-from-a-tgs-request-context">
 <h1>krb5_tkt_creds_get_times -  Retrieve ticket times from a TGS request context.<a class="headerlink" href="#krb5-tkt-creds-get-times-retrieve-ticket-times-from-a-tgs-request-context" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_tkt_creds_get_times">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_tkt_creds_get_times</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context">krb5_tkt_creds_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times">krb5_ticket_times</a> *<em>&nbsp;times</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_get_times" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_tkt_creds_get_times">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_tkt_creds_get_times</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context"><span class="n"><span class="pre">krb5_tkt_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">times</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_get_times" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - TGS request context</p>
-<p class="last"><strong>[out]</strong> <strong>times</strong> - Ticket times for acquired credentials</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>times</strong> - Ticket times for acquired credentials</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>The TGS request context must have completed obtaining credentials via either <a class="reference internal" href="krb5_tkt_creds_get.html#c.krb5_tkt_creds_get" title="krb5_tkt_creds_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_tkt_creds_get()</span></code></a> or <a class="reference internal" href="krb5_tkt_creds_step.html#c.krb5_tkt_creds_step" title="krb5_tkt_creds_step"><code class="xref c c-func docutils literal"><span class="pre">krb5_tkt_creds_step()</span></code></a> .</p>
+</dd>
+</dl>
+<p>The TGS request context must have completed obtaining credentials via either krb5_tkt_creds_get() or krb5_tkt_creds_step().</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_tkt_creds_get_times -  Retrieve ticket times from a TGS request context.</a></li>
@@ -146,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_init.html 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_init.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_init.html	2023-08-14 16:20:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_init.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_tkt_creds_init - Create a context to get credentials from a KDC’s Ticket Granting Service. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_tkt_creds_step - Get the next KDC request in a TGS exchange." href="krb5_tkt_creds_step.html" />
     <link rel="prev" title="krb5_tkt_creds_get_times - Retrieve ticket times from a TGS request context." href="krb5_tkt_creds_get_times.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,46 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tkt-creds-init-create-a-context-to-get-credentials-from-a-kdc-s-ticket-granting-service">
+  <section id="krb5-tkt-creds-init-create-a-context-to-get-credentials-from-a-kdc-s-ticket-granting-service">
 <h1>krb5_tkt_creds_init -  Create a context to get credentials from a KDC’s Ticket Granting Service.<a class="headerlink" href="#krb5-tkt-creds-init-create-a-context-to-get-credentials-from-a-kdc-s-ticket-granting-service" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_tkt_creds_init">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_tkt_creds_init</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a><em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a><em>&nbsp;options</em>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context">krb5_tkt_creds_context</a> *<em>&nbsp;ctx</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_init" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_tkt_creds_init">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_tkt_creds_init</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="n"><span class="pre">options</span></span>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context"><span class="n"><span class="pre">krb5_tkt_creds_context</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ctx</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_init" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ccache</strong> - Credential cache handle</p>
 <p><strong>[in]</strong> <strong>creds</strong> - Input credentials</p>
-<p><strong>[in]</strong> <strong>options</strong> - <code class="xref py py-data docutils literal"><span class="pre">KRB5_GC</span></code> options for this request.</p>
-<p class="last"><strong>[out]</strong> <strong>ctx</strong> - New TGS request context</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>options</strong> - Options (see KRB5_GC macros)</p>
+<p><strong>[out]</strong> <strong>ctx</strong> - New TGS request context</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function prepares to obtain credentials matching <em>creds</em> , either by retrieving them from <em>ccache</em> or by making requests to ticket-granting services beginning with a ticket-granting ticket for the client principal’s realm.</p>
-<p>The resulting TGS acquisition context can be used asynchronously with <a class="reference internal" href="krb5_tkt_creds_step.html#c.krb5_tkt_creds_step" title="krb5_tkt_creds_step"><code class="xref c c-func docutils literal"><span class="pre">krb5_tkt_creds_step()</span></code></a> or synchronously with <a class="reference internal" href="krb5_tkt_creds_get.html#c.krb5_tkt_creds_get" title="krb5_tkt_creds_get"><code class="xref c c-func docutils literal"><span class="pre">krb5_tkt_creds_get()</span></code></a> . See also <a class="reference internal" href="krb5_get_credentials.html#c.krb5_get_credentials" title="krb5_get_credentials"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_credentials()</span></code></a> for synchronous use.</p>
-<p>Use <a class="reference internal" href="krb5_tkt_creds_free.html#c.krb5_tkt_creds_free" title="krb5_tkt_creds_free"><code class="xref c c-func docutils literal"><span class="pre">krb5_tkt_creds_free()</span></code></a> to free <em>ctx</em> when it is no longer needed.</p>
+<p>The resulting TGS acquisition context can be used asynchronously with krb5_tkt_creds_step() or synchronously with krb5_tkt_creds_get(). See also krb5_get_credentials() for synchronous use.</p>
+<p>Use krb5_tkt_creds_free() to free <em>ctx</em> when it is no longer needed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_tkt_creds_init -  Create a context to get credentials from a KDC’s Ticket Granting Service.</a></li>
@@ -150,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +143,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_step.html 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_step.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_tkt_creds_step.html	2023-08-14 16:20:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_tkt_creds_step.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_tkt_creds_step - Get the next KDC request in a TGS exchange. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_unmarshal_credentials - Deserialize a krb5_creds object." href="krb5_unmarshal_credentials.html" />
     <link rel="prev" title="krb5_tkt_creds_init - Create a context to get credentials from a KDC’s Ticket Granting Service." href="krb5_tkt_creds_init.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,47 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tkt-creds-step-get-the-next-kdc-request-in-a-tgs-exchange">
+  <section id="krb5-tkt-creds-step-get-the-next-kdc-request-in-a-tgs-exchange">
 <h1>krb5_tkt_creds_step -  Get the next KDC request in a TGS exchange.<a class="headerlink" href="#krb5-tkt-creds-step-get-the-next-kdc-request-in-a-tgs-exchange" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_tkt_creds_step">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_tkt_creds_step</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context">krb5_tkt_creds_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;in</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;out</em>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;realm</em>, unsigned int *<em>&nbsp;flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_step" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_tkt_creds_step">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_tkt_creds_step</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_tkt_creds_context.html#c.krb5_tkt_creds_context" title="krb5_tkt_creds_context"><span class="n"><span class="pre">krb5_tkt_creds_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">in</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">out</span></span>, <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">realm</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">flags</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_tkt_creds_step" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>ctx</strong> - TGS request context</p>
 <p><strong>[in]</strong> <strong>in</strong> - KDC response (empty on the first call)</p>
 <p><strong>[out]</strong> <strong>out</strong> - Next KDC request</p>
 <p><strong>[out]</strong> <strong>realm</strong> - Realm for next KDC request</p>
-<p class="last"><strong>[out]</strong> <strong>flags</strong> - Output flags</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>flags</strong> - Output flags</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function constructs the next KDC request for a TGS exchange, allowing the caller to control the transport of KDC requests and replies. On the first call, <em>in</em> should be set to an empty buffer; on subsequent calls, it should be set to the KDC’s reply to the previous request.</p>
-<p>If more requests are needed, <em>flags</em> will be set to <a class="reference internal" href="../macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.html#KRB5_TKT_CREDS_STEP_FLAG_CONTINUE" title="KRB5_TKT_CREDS_STEP_FLAG_CONTINUE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TKT_CREDS_STEP_FLAG_CONTINUE</span></code></a> and the next request will be placed in <em>out</em> . If no more requests are needed, <em>flags</em> will not contain <a class="reference internal" href="../macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.html#KRB5_TKT_CREDS_STEP_FLAG_CONTINUE" title="KRB5_TKT_CREDS_STEP_FLAG_CONTINUE"><code class="xref py py-data docutils literal"><span class="pre">KRB5_TKT_CREDS_STEP_FLAG_CONTINUE</span></code></a> and <em>out</em> will be empty.</p>
+<p>If more requests are needed, <em>flags</em> will be set to #KRB5_TKT_CREDS_STEP_FLAG_CONTINUE and the next request will be placed in <em>out</em> . If no more requests are needed, <em>flags</em> will not contain #KRB5_TKT_CREDS_STEP_FLAG_CONTINUE and <em>out</em> will be empty.</p>
 <p>If this function returns <strong>KRB5KRB_ERR_RESPONSE_TOO_BIG</strong> , the caller should transmit the next request using TCP rather than UDP. If this function returns any other error, the TGS exchange has failed.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">New in 1.9</p>
-</div>
+<p class="admonition-title">Note</p>
+<p>New in 1.9</p>
 </div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_tkt_creds_step -  Get the next KDC request in a TGS exchange.</a></li>
@@ -151,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_unmarshal_credentials.html 1.21.3-1/doc/html/appdev/refs/api/krb5_unmarshal_credentials.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_unmarshal_credentials.html	2023-08-14 16:20:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_unmarshal_credentials.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_unmarshal_credentials - Deserialize a krb5_creds object. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_verify_init_creds - Verify initial credentials against a keytab." href="krb5_verify_init_creds.html" />
     <link rel="prev" title="krb5_tkt_creds_step - Get the next KDC request in a TGS exchange." href="krb5_tkt_creds_step.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,39 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-unmarshal-credentials-deserialize-a-krb5-creds-object">
+  <section id="krb5-unmarshal-credentials-deserialize-a-krb5-creds-object">
 <h1>krb5_unmarshal_credentials -  Deserialize a krb5_creds object.<a class="headerlink" href="#krb5-unmarshal-credentials-deserialize-a-krb5-creds-object" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_unmarshal_credentials">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_unmarshal_credentials</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> *<em>&nbsp;data</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> **<em>&nbsp;creds_out</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unmarshal_credentials" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_unmarshal_credentials">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_unmarshal_credentials</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">data</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds_out</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unmarshal_credentials" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>data</strong> - The serialized credentials</p>
-<p class="last"><strong>[out]</strong> <strong>creds_out</strong> - The resulting creds object</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[out]</strong> <strong>creds_out</strong> - The resulting creds object</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>Deserialize <em>data</em> to credentials in the format used by the FILE ccache format (vesion 4) and KCM ccache protocol.</p>
-<p>Use <a class="reference internal" href="krb5_free_creds.html#c.krb5_free_creds" title="krb5_free_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_creds()</span></code></a> to free <em>creds_out</em> when it is no longer needed.</p>
-</div>
+<p>Use krb5_free_creds() to free <em>creds_out</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_unmarshal_credentials -  Deserialize a krb5_creds object.</a></li>
@@ -143,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_unparse_name.html 1.21.3-1/doc/html/appdev/refs/api/krb5_unparse_name.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_unparse_name.html	2023-08-14 16:20:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_unparse_name.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_unparse_name - Convert a krb5_principal structure to a string representation. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_unparse_name_ext - Convert krb5_principal structure to string and length." href="krb5_unparse_name_ext.html" />
     <link rel="prev" title="krb5_sname_to_principal - Generate a full principal name from a service name." href="krb5_sname_to_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-unparse-name-convert-a-krb5-principal-structure-to-a-string-representation">
+  <section id="krb5-unparse-name-convert-a-krb5-principal-structure-to-a-string-representation">
 <h1>krb5_unparse_name -  Convert a krb5_principal structure to a string representation.<a class="headerlink" href="#krb5-unparse-name-convert-a-krb5-principal-structure-to-a-string-representation" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_unparse_name">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_unparse_name</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, char **<em>&nbsp;name</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unparse_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_unparse_name">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_unparse_name</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unparse_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Principal</p>
-<p class="last"><strong>[out]</strong> <strong>name</strong> - String representation of principal name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>The resulting string representation uses the format and quoting conventions described for <a class="reference internal" href="krb5_parse_name.html#c.krb5_parse_name" title="krb5_parse_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_parse_name()</span></code></a> .</p>
-<p>Use <a class="reference internal" href="krb5_free_unparsed_name.html#c.krb5_free_unparsed_name" title="krb5_free_unparsed_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_unparsed_name()</span></code></a> to free <em>name</em> when it is no longer needed.</p>
-</div>
+<p><strong>[out]</strong> <strong>name</strong> - String representation of principal name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
+<p>The resulting string representation uses the format and quoting conventions described for krb5_parse_name().</p>
+<p>Use krb5_free_unparsed_name() to free <em>name</em> when it is no longer needed.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_unparse_name -  Convert a krb5_principal structure to a string representation.</a></li>
@@ -148,6 +133,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +141,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_unparse_name_ext.html 1.21.3-1/doc/html/appdev/refs/api/krb5_unparse_name_ext.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_unparse_name_ext.html	2023-08-14 16:20:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_unparse_name_ext.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_unparse_name_ext - Convert krb5_principal structure to string and length. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_unparse_name_flags - Convert krb5_principal structure to a string with flags." href="krb5_unparse_name_flags.html" />
     <link rel="prev" title="krb5_unparse_name - Convert a krb5_principal structure to a string representation." href="krb5_unparse_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,51 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-unparse-name-ext-convert-krb5-principal-structure-to-string-and-length">
+  <section id="krb5-unparse-name-ext-convert-krb5-principal-structure-to-string-and-length">
 <h1>krb5_unparse_name_ext -  Convert krb5_principal structure to string and length.<a class="headerlink" href="#krb5-unparse-name-ext-convert-krb5-principal-structure-to-string-and-length" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_unparse_name_ext">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_unparse_name_ext</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, char **<em>&nbsp;name</em>, unsigned int *<em>&nbsp;size</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unparse_name_ext" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_unparse_name_ext">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_unparse_name_ext</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">size</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unparse_name_ext" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Principal</p>
 <p><strong>[inout]</strong> <strong>name</strong> - String representation of principal name</p>
-<p class="last"><strong>[inout]</strong> <strong>size</strong> - Size of unparsed name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes. On failure name is set to NULL</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is similar to <a class="reference internal" href="krb5_unparse_name.html#c.krb5_unparse_name" title="krb5_unparse_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_unparse_name()</span></code></a> , but allows the use of an existing buffer for the result. If size is not NULL, then <em>name</em> must point to either NULL or an existing buffer of at least the size pointed to by <em>size</em> . The buffer will be allocated or resized if necessary, with the new pointer stored into <em>name</em> . Whether or not the buffer is resized, the necessary space for the result, including null terminator, will be stored into <em>size</em> .</p>
-<p>If size is NULL, this function behaves exactly as <a class="reference internal" href="krb5_unparse_name.html#c.krb5_unparse_name" title="krb5_unparse_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_unparse_name()</span></code></a> .</p>
-</div>
+<p><strong>[inout]</strong> <strong>size</strong> - Size of unparsed name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes. On failure name is set to NULL</p></li>
+</ul>
+</dd>
+</dl>
+<p>This function is similar to krb5_unparse_name(), but allows the use of an existing buffer for the result. If size is not NULL, then <em>name</em> must point to either NULL or an existing buffer of at least the size pointed to by <em>size</em> . The buffer will be allocated or resized if necessary, with the new pointer stored into <em>name</em> . Whether or not the buffer is resized, the necessary space for the result, including null terminator, will be stored into <em>size</em> .</p>
+<p>If size is NULL, this function behaves exactly as krb5_unparse_name().</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_unparse_name_ext -  Convert krb5_principal structure to string and length.</a></li>
@@ -149,6 +134,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +142,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_unparse_name_flags.html 1.21.3-1/doc/html/appdev/refs/api/krb5_unparse_name_flags.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_unparse_name_flags.html	2023-08-14 16:20:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_unparse_name_flags.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_unparse_name_flags - Convert krb5_principal structure to a string with flags. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_unparse_name_flags_ext - Convert krb5_principal structure to string format with flags." href="krb5_unparse_name_flags_ext.html" />
     <link rel="prev" title="krb5_unparse_name_ext - Convert krb5_principal structure to string and length." href="krb5_unparse_name_ext.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,61 +52,55 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-unparse-name-flags-convert-krb5-principal-structure-to-a-string-with-flags">
+  <section id="krb5-unparse-name-flags-convert-krb5-principal-structure-to-a-string-with-flags">
 <h1>krb5_unparse_name_flags -  Convert krb5_principal structure to a string with flags.<a class="headerlink" href="#krb5-unparse-name-flags-convert-krb5-principal-structure-to-a-string-with-flags" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_unparse_name_flags">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_unparse_name_flags</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, int<em>&nbsp;flags</em>, char **<em>&nbsp;name</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unparse_name_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_unparse_name_flags">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_unparse_name_flags</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">flags</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unparse_name_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Principal</p>
 <p><strong>[in]</strong> <strong>flags</strong> - Flags</p>
-<p class="last"><strong>[out]</strong> <strong>name</strong> - String representation of principal name</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes. On failure name is set to NULL</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-<p>Similar to <a class="reference internal" href="krb5_unparse_name.html#c.krb5_unparse_name" title="krb5_unparse_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_unparse_name()</span></code></a> , this function converts a krb5_principal structure to a string representation.</p>
+<p><strong>[out]</strong> <strong>name</strong> - String representation of principal name</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes. On failure name is set to NULL</p></li>
+</ul>
+</dd>
+</dl>
+<p>Similar to krb5_unparse_name(), this function converts a krb5_principal structure to a string representation.</p>
 <p>The following flags are valid:</p>
 <blockquote>
 <div><blockquote>
 <div><ul class="simple">
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_UNPARSE_SHORT.html#KRB5_PRINCIPAL_UNPARSE_SHORT" title="KRB5_PRINCIPAL_UNPARSE_SHORT"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_UNPARSE_SHORT</span></code></a> - omit realm if it is the local realm</li>
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM.html#KRB5_PRINCIPAL_UNPARSE_NO_REALM" title="KRB5_PRINCIPAL_UNPARSE_NO_REALM"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_UNPARSE_NO_REALM</span></code></a> - omit realm</li>
-<li><a class="reference internal" href="../macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY.html#KRB5_PRINCIPAL_UNPARSE_DISPLAY" title="KRB5_PRINCIPAL_UNPARSE_DISPLAY"><code class="xref py py-data docutils literal"><span class="pre">KRB5_PRINCIPAL_UNPARSE_DISPLAY</span></code></a> - do not quote special characters</li>
+<li><p>#KRB5_PRINCIPAL_UNPARSE_SHORT - omit realm if it is the local realm</p></li>
+<li><p>#KRB5_PRINCIPAL_UNPARSE_NO_REALM - omit realm</p></li>
+<li><p>#KRB5_PRINCIPAL_UNPARSE_DISPLAY - do not quote special characters</p></li>
 </ul>
 </div></blockquote>
-<p>Use <a class="reference internal" href="krb5_free_unparsed_name.html#c.krb5_free_unparsed_name" title="krb5_free_unparsed_name"><code class="xref c c-func docutils literal"><span class="pre">krb5_free_unparsed_name()</span></code></a> to free <em>name</em> when it is no longer needed.</p>
+<p>Use krb5_free_unparsed_name() to free <em>name</em> when it is no longer needed.</p>
 </div></blockquote>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_unparse_name_flags -  Convert krb5_principal structure to a string with flags.</a></li>
@@ -159,6 +144,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -166,8 +152,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_unparse_name_flags_ext.html 1.21.3-1/doc/html/appdev/refs/api/krb5_unparse_name_flags_ext.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_unparse_name_flags_ext.html	2023-08-14 16:20:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_unparse_name_flags_ext.html	2024-06-26 20:01:08.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_unparse_name_flags_ext - Convert krb5_principal structure to string format with flags. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_us_timeofday - Retrieve the system time of day, in sec and ms, since the epoch." href="krb5_us_timeofday.html" />
     <link rel="prev" title="krb5_unparse_name_flags - Convert krb5_principal structure to a string with flags." href="krb5_unparse_name_flags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,50 +52,44 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-unparse-name-flags-ext-convert-krb5-principal-structure-to-string-format-with-flags">
+  <section id="krb5-unparse-name-flags-ext-convert-krb5-principal-structure-to-string-format-with-flags">
 <h1>krb5_unparse_name_flags_ext -  Convert krb5_principal structure to string format with flags.<a class="headerlink" href="#krb5-unparse-name-flags-ext-convert-krb5-principal-structure-to-string-format-with-flags" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_unparse_name_flags_ext">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_unparse_name_flags_ext</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal">krb5_const_principal</a><em>&nbsp;principal</em>, int<em>&nbsp;flags</em>, char **<em>&nbsp;name</em>, unsigned int *<em>&nbsp;size</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unparse_name_flags_ext" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_unparse_name_flags_ext">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_unparse_name_flags_ext</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_const_principal.html#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">principal</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">flags</span></span>, <span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">name</span></span>, <span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">size</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_unparse_name_flags_ext" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>principal</strong> - Principal</p>
 <p><strong>[in]</strong> <strong>flags</strong> - Flags</p>
 <p><strong>[out]</strong> <strong>name</strong> - Single string format of principal name</p>
-<p class="last"><strong>[out]</strong> <strong>size</strong> - Size of unparsed name buffer</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes. On failure name is set to NULL</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<p><strong>[out]</strong> <strong>size</strong> - Size of unparsed name buffer</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes. On failure name is set to NULL</p></li>
+</ul>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_unparse_name_flags_ext -  Convert krb5_principal structure to string format with flags.</a></li>
@@ -148,6 +133,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +141,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_us_timeofday.html 1.21.3-1/doc/html/appdev/refs/api/krb5_us_timeofday.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_us_timeofday.html	2023-08-14 16:20:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_us_timeofday.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_us_timeofday - Retrieve the system time of day, in sec and ms, since the epoch. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_verify_authdata_kdc_issued - Unwrap and verify AD-KDCIssued authorization data." href="krb5_verify_authdata_kdc_issued.html" />
     <link rel="prev" title="krb5_unparse_name_flags_ext - Convert krb5_principal structure to string format with flags." href="krb5_unparse_name_flags_ext.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-us-timeofday-retrieve-the-system-time-of-day-in-sec-and-ms-since-the-epoch">
+  <section id="krb5-us-timeofday-retrieve-the-system-time-of-day-in-sec-and-ms-since-the-epoch">
 <h1>krb5_us_timeofday -  Retrieve the system time of day, in sec and ms, since the epoch.<a class="headerlink" href="#krb5-us-timeofday-retrieve-the-system-time-of-day-in-sec-and-ms-since-the-epoch" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_us_timeofday">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_us_timeofday</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a> *<em>&nbsp;seconds</em>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a> *<em>&nbsp;microseconds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_us_timeofday" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_us_timeofday">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_us_timeofday</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">seconds</span></span>, <a class="reference internal" href="../types/krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">microseconds</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_us_timeofday" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[out]</strong> <strong>seconds</strong> - System timeofday, seconds portion</p>
-<p class="last"><strong>[out]</strong> <strong>microseconds</strong> - System timeofday, microseconds portion</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first simple">
-<li>0   Success</li>
-</ul>
-</td>
-</tr>
-<tr class="field-even field"><th class="field-name">return:</th><td class="field-body"><ul class="first last simple">
-<li>Kerberos error codes</li>
-</ul>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>microseconds</strong> - System timeofday, microseconds portion</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success</p></li>
+</ul>
+</dd>
+<dt class="field-even">return</dt>
+<dd class="field-even"><ul class="simple">
+<li><p>Kerberos error codes</p></li>
+</ul>
+</dd>
+</dl>
 <p>This function retrieves the system time of day with the context specific time offset adjustment.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_us_timeofday -  Retrieve the system time of day, in sec and ms, since the epoch.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_use_enctype.html 1.21.3-1/doc/html/appdev/refs/api/krb5_use_enctype.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_use_enctype.html	2023-08-14 16:20:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_use_enctype.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_use_enctype &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_verify_checksum" href="krb5_verify_checksum.html" />
     <link rel="prev" title="krb5_string_to_key" href="krb5_string_to_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-use-enctype">
+  <section id="krb5-use-enctype">
 <h1>krb5_use_enctype<a class="headerlink" href="#krb5-use-enctype" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_use_enctype">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_use_enctype</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block">krb5_encrypt_block</a> *<em>&nbsp;eblock</em>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a><em>&nbsp;enctype</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_use_enctype" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_use_enctype">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_use_enctype</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_encrypt_block.html#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">eblock</span></span>, <a class="reference internal" href="../types/krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="n"><span class="pre">enctype</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_use_enctype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>eblock</strong></p>
-<p class="last"><strong>enctype</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>enctype</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED Replaced by krb5_c_* API family.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_use_enctype</a></li>
@@ -131,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_authdata_kdc_issued.html 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_authdata_kdc_issued.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_authdata_kdc_issued.html	2023-08-14 16:20:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_authdata_kdc_issued.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_verify_authdata_kdc_issued - Unwrap and verify AD-KDCIssued authorization data. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_425_conv_principal - Convert a Kerberos V4 principal to a Kerberos V5 principal." href="krb5_425_conv_principal.html" />
     <link rel="prev" title="krb5_us_timeofday - Retrieve the system time of day, in sec and ms, since the epoch." href="krb5_us_timeofday.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-verify-authdata-kdc-issued-unwrap-and-verify-ad-kdcissued-authorization-data">
+  <section id="krb5-verify-authdata-kdc-issued-unwrap-and-verify-ad-kdcissued-authorization-data">
 <h1>krb5_verify_authdata_kdc_issued -  Unwrap and verify AD-KDCIssued authorization data.<a class="headerlink" href="#krb5-verify-authdata-kdc-issued-unwrap-and-verify-ad-kdcissued-authorization-data" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_verify_authdata_kdc_issued">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_verify_authdata_kdc_issued</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, const <a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a> *<em>&nbsp;key</em>, const <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> *<em>&nbsp;ad_kdcissued</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a> *<em>&nbsp;issuer</em>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a> ***<em>&nbsp;authdata</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_authdata_kdc_issued" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_verify_authdata_kdc_issued">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_verify_authdata_kdc_issued</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">key</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ad_kdcissued</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">issuer</span></span>, <a class="reference internal" href="../types/krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">authdata</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_authdata_kdc_issued" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>key</strong> - Session key</p>
 <p><strong>[in]</strong> <strong>ad_kdcissued</strong> - AD-KDCIssued authorization data to be unwrapped</p>
 <p><strong>[out]</strong> <strong>issuer</strong> - Name of issuing principal (or NULL)</p>
-<p class="last"><strong>[out]</strong> <strong>authdata</strong> - Unwrapped list of authorization data</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[out]</strong> <strong>authdata</strong> - Unwrapped list of authorization data</p>
+</dd>
+</dl>
 <p>This function unwraps an AD-KDCIssued authdatum (see RFC 4120 section 5.2.6.2) and verifies its signature against <em>key</em> . The issuer field of the authdatum element is returned in <em>issuer</em> , and the unwrapped list of authdata is returned in <em>authdata</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_verify_authdata_kdc_issued -  Unwrap and verify AD-KDCIssued authorization data.</a></li>
@@ -133,6 +122,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_checksum.html 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_checksum.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_checksum.html	2023-08-14 16:20:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_checksum.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_verify_checksum &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5 types and structures" href="../types/index.html" />
     <link rel="prev" title="krb5_use_enctype" href="krb5_use_enctype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,37 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-verify-checksum">
+  <section id="krb5-verify-checksum">
 <h1>krb5_verify_checksum<a class="headerlink" href="#krb5-verify-checksum" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_verify_checksum">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_verify_checksum</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a><em>&nbsp;ctype</em>, const <a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a> *<em>&nbsp;cksum</em>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer">krb5_const_pointer</a><em>&nbsp;in</em>, size_t<em>&nbsp;in_length</em>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer">krb5_const_pointer</a><em>&nbsp;seed</em>, size_t<em>&nbsp;seed_length</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_verify_checksum">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_verify_checksum</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctype</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><a class="reference internal" href="../types/krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">cksum</span></span>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer"><span class="n"><span class="pre">krb5_const_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">in</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">in_length</span></span>, <a class="reference internal" href="../types/krb5_const_pointer.html#c.krb5_const_pointer" title="krb5_const_pointer"><span class="n"><span class="pre">krb5_const_pointer</span></span></a><span class="w"> </span><span class="n"><span class="pre">seed</span></span>, <span class="n"><span class="pre">size_t</span></span><span class="w"> </span><span class="n"><span class="pre">seed_length</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>context</strong></p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>context</strong></p>
 <p><strong>ctype</strong></p>
 <p><strong>cksum</strong></p>
 <p><strong>in</strong></p>
 <p><strong>in_length</strong></p>
 <p><strong>seed</strong></p>
-<p class="last"><strong>seed_length</strong></p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>seed_length</strong></p>
+</dd>
+</dl>
 <p>DEPRECATED See krb5_c_verify_checksum()</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_verify_checksum</a></li>
@@ -135,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_init_creds.html 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_init_creds.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_init_creds.html	2023-08-14 16:20:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_init_creds.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_verify_init_creds - Verify initial credentials against a keytab. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_verify_init_creds_opt_init - Initialize a credential verification options structure." href="krb5_verify_init_creds_opt_init.html" />
     <link rel="prev" title="krb5_unmarshal_credentials - Deserialize a krb5_creds object." href="krb5_unmarshal_credentials.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-verify-init-creds-verify-initial-credentials-against-a-keytab">
+  <section id="krb5-verify-init-creds-verify-initial-credentials-against-a-keytab">
 <h1>krb5_verify_init_creds -  Verify initial credentials against a keytab.<a class="headerlink" href="#krb5-verify-init-creds-verify-initial-credentials-against-a-keytab" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_verify_init_creds">
-<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a> <code class="descname">krb5_verify_init_creds</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;context</em>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds">krb5_creds</a> *<em>&nbsp;creds</em>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a><em>&nbsp;server</em>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab">krb5_keytab</a><em>&nbsp;keytab</em>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache">krb5_ccache</a> *<em>&nbsp;ccache</em>, <a class="reference internal" href="../types/krb5_verify_init_creds_opt.html#c.krb5_verify_init_creds_opt" title="krb5_verify_init_creds_opt">krb5_verify_init_creds_opt</a> *<em>&nbsp;options</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_init_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_verify_init_creds">
+<a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_verify_init_creds</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">context</span></span>, <a class="reference internal" href="../types/krb5_creds.html#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">creds</span></span>, <a class="reference internal" href="../types/krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="n"><span class="pre">server</span></span>, <a class="reference internal" href="../types/krb5_keytab.html#c.krb5_keytab" title="krb5_keytab"><span class="n"><span class="pre">krb5_keytab</span></span></a><span class="w"> </span><span class="n"><span class="pre">keytab</span></span>, <a class="reference internal" href="../types/krb5_ccache.html#c.krb5_ccache" title="krb5_ccache"><span class="n"><span class="pre">krb5_ccache</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">ccache</span></span>, <a class="reference internal" href="../types/krb5_verify_init_creds_opt.html#c.krb5_verify_init_creds_opt" title="krb5_verify_init_creds_opt"><span class="n"><span class="pre">krb5_verify_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">options</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_init_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>context</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>context</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>creds</strong> - Initial credentials to be verified</p>
 <p><strong>[in]</strong> <strong>server</strong> - Server principal (or NULL)</p>
 <p><strong>[in]</strong> <strong>keytab</strong> - Key table (NULL to use default keytab)</p>
 <p><strong>[in]</strong> <strong>ccache</strong> - Credential cache for fetched creds (or NULL)</p>
-<p class="last"><strong>[in]</strong> <strong>options</strong> - Verification options (NULL for default options)</p>
-</td>
-</tr>
-</tbody>
-</table>
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">retval:</th><td class="field-body"><ul class="first last simple">
-<li>0   Success; otherwise - Kerberos error codes</li>
+<p><strong>[in]</strong> <strong>options</strong> - Verification options (NULL for default options)</p>
+</dd>
+</dl>
+<dl class="field-list simple">
+<dt class="field-odd">retval</dt>
+<dd class="field-odd"><ul class="simple">
+<li><p>0   Success; otherwise - Kerberos error codes</p></li>
 </ul>
-</td>
-</tr>
-</tbody>
-</table>
+</dd>
+</dl>
 <p>This function attempts to verify that <em>creds</em> were obtained from a KDC with knowledge of a key in <em>keytab</em> , or the default keytab if <em>keytab</em> is NULL. If <em>server</em> is provided, the highest-kvno key entry for that principal name is used to verify the credentials; otherwise, all unique”host”service principals in the keytab are tried.</p>
-<p>If the specified keytab does not exist, or is empty, or cannot be read, or does not contain an entry for <em>server</em> , then credential verification may be skipped unless configuration demands that it succeed. The caller can control this behavior by providing a verification options structure; see <a class="reference internal" href="krb5_verify_init_creds_opt_init.html#c.krb5_verify_init_creds_opt_init" title="krb5_verify_init_creds_opt_init"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds_opt_init()</span></code></a> and <a class="reference internal" href="krb5_verify_init_creds_opt_set_ap_req_nofail.html#c.krb5_verify_init_creds_opt_set_ap_req_nofail" title="krb5_verify_init_creds_opt_set_ap_req_nofail"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds_opt_set_ap_req_nofail()</span></code></a> .</p>
+<p>If the specified keytab does not exist, or is empty, or cannot be read, or does not contain an entry for <em>server</em> , then credential verification may be skipped unless configuration demands that it succeed. The caller can control this behavior by providing a verification options structure; see krb5_verify_init_creds_opt_init() and krb5_verify_init_creds_opt_set_ap_req_nofail().</p>
 <p>If <em>ccache</em> is NULL, any additional credentials fetched during the verification process will be destroyed. If <em>ccache</em> points to NULL, a memory ccache will be created for the additional credentials and returned in <em>ccache</em> . If <em>ccache</em> points to a valid credential cache handle, the additional credentials will be stored in that cache.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_verify_init_creds -  Verify initial credentials against a keytab.</a></li>
@@ -147,6 +132,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -154,8 +140,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_init_creds_opt_init.html 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_init_creds_opt_init.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_init_creds_opt_init.html	2023-08-14 16:20:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_init_creds_opt_init.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_verify_init_creds_opt_init - Initialize a credential verification options structure. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_verify_init_creds_opt_set_ap_req_nofail - Set whether credential verification is required." href="krb5_verify_init_creds_opt_set_ap_req_nofail.html" />
     <link rel="prev" title="krb5_verify_init_creds - Verify initial credentials against a keytab." href="krb5_verify_init_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,29 +52,28 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-verify-init-creds-opt-init-initialize-a-credential-verification-options-structure">
+  <section id="krb5-verify-init-creds-opt-init-initialize-a-credential-verification-options-structure">
 <h1>krb5_verify_init_creds_opt_init -  Initialize a credential verification options structure.<a class="headerlink" href="#krb5-verify-init-creds-opt-init-initialize-a-credential-verification-options-structure" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_verify_init_creds_opt_init">
-void <code class="descname">krb5_verify_init_creds_opt_init</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_verify_init_creds_opt.html#c.krb5_verify_init_creds_opt" title="krb5_verify_init_creds_opt">krb5_verify_init_creds_opt</a> *<em>&nbsp;k5_vic_options</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_init_creds_opt_init" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_verify_init_creds_opt_init">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_verify_init_creds_opt_init</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_verify_init_creds_opt.html#c.krb5_verify_init_creds_opt" title="krb5_verify_init_creds_opt"><span class="n"><span class="pre">krb5_verify_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k5_vic_options</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_init_creds_opt_init" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><strong>[in]</strong> <strong>k5_vic_options</strong> - Verification options structure</td>
-</tr>
-</tbody>
-</table>
-</div>
+<dl class="field-list simple">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>k5_vic_options</strong> - Verification options structure</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_verify_init_creds_opt_init -  Initialize a credential verification options structure.</a></li>
@@ -127,6 +117,7 @@ void <code class="descname">krb5_verify_
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -134,8 +125,8 @@ void <code class="descname">krb5_verify_
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.html 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.html	2023-08-14 16:20:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_verify_init_creds_opt_set_ap_req_nofail - Set whether credential verification is required. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_vprepend_error_message - Add a prefix to the message for an error code using a va_list." href="krb5_vprepend_error_message.html" />
     <link rel="prev" title="krb5_verify_init_creds_opt_init - Initialize a credential verification options structure." href="krb5_verify_init_creds_opt_init.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-verify-init-creds-opt-set-ap-req-nofail-set-whether-credential-verification-is-required">
+  <section id="krb5-verify-init-creds-opt-set-ap-req-nofail-set-whether-credential-verification-is-required">
 <h1>krb5_verify_init_creds_opt_set_ap_req_nofail -  Set whether credential verification is required.<a class="headerlink" href="#krb5-verify-init-creds-opt-set-ap-req-nofail-set-whether-credential-verification-is-required" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_verify_init_creds_opt_set_ap_req_nofail">
-void <code class="descname">krb5_verify_init_creds_opt_set_ap_req_nofail</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_verify_init_creds_opt.html#c.krb5_verify_init_creds_opt" title="krb5_verify_init_creds_opt">krb5_verify_init_creds_opt</a> *<em>&nbsp;k5_vic_options</em>, int<em>&nbsp;ap_req_nofail</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_init_creds_opt_set_ap_req_nofail" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_verify_init_creds_opt_set_ap_req_nofail">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_verify_init_creds_opt_set_ap_req_nofail</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_verify_init_creds_opt.html#c.krb5_verify_init_creds_opt" title="krb5_verify_init_creds_opt"><span class="n"><span class="pre">krb5_verify_init_creds_opt</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">k5_vic_options</span></span>, <span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="n"><span class="pre">ap_req_nofail</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_verify_init_creds_opt_set_ap_req_nofail" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>k5_vic_options</strong> - Verification options structure</p>
-<p class="last"><strong>[in]</strong> <strong>ap_req_nofail</strong> - Whether to require successful verification</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function determines how <a class="reference internal" href="krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds()</span></code></a> behaves if no keytab information is available. If <em>ap_req_nofail</em> is <strong>FALSE</strong> , verification will be skipped in this case and <a class="reference internal" href="krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds()</span></code></a> will return successfully. If <em>ap_req_nofail</em> is <strong>TRUE</strong> , <a class="reference internal" href="krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds()</span></code></a> will not return successfully unless verification can be performed.</p>
-<p>If this function is not used, the behavior of <a class="reference internal" href="krb5_verify_init_creds.html#c.krb5_verify_init_creds" title="krb5_verify_init_creds"><code class="xref c c-func docutils literal"><span class="pre">krb5_verify_init_creds()</span></code></a> is determined through configuration.</p>
-</div>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>k5_vic_options</strong> - Verification options structure</p>
+<p><strong>[in]</strong> <strong>ap_req_nofail</strong> - Whether to require successful verification</p>
+</dd>
+</dl>
+<p>This function determines how krb5_verify_init_creds() behaves if no keytab information is available. If <em>ap_req_nofail</em> is <strong>FALSE</strong> , verification will be skipped in this case and krb5_verify_init_creds() will return successfully. If <em>ap_req_nofail</em> is <strong>TRUE</strong> , krb5_verify_init_creds() will not return successfully unless verification can be performed.</p>
+<p>If this function is not used, the behavior of krb5_verify_init_creds() is determined through configuration.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_verify_init_creds_opt_set_ap_req_nofail -  Set whether credential verification is required.</a></li>
@@ -131,6 +120,7 @@ void <code class="descname">krb5_verify_
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@ void <code class="descname">krb5_verify_
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_vprepend_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_vprepend_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_vprepend_error_message.html	2023-08-14 16:20:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_vprepend_error_message.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_vprepend_error_message - Add a prefix to the message for an error code using a va_list. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_vset_error_message - Set an extended error message for an error code using a va_list." href="krb5_vset_error_message.html" />
     <link rel="prev" title="krb5_verify_init_creds_opt_set_ap_req_nofail - Set whether credential verification is required." href="krb5_verify_init_creds_opt_set_ap_req_nofail.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-vprepend-error-message-add-a-prefix-to-the-message-for-an-error-code-using-a-va-list">
+  <section id="krb5-vprepend-error-message-add-a-prefix-to-the-message-for-an-error-code-using-a-va-list">
 <h1>krb5_vprepend_error_message -  Add a prefix to the message for an error code using a va_list.<a class="headerlink" href="#krb5-vprepend-error-message-add-a-prefix-to-the-message-for-an-error-code-using-a-va-list" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_vprepend_error_message">
-void <code class="descname">krb5_vprepend_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a><em>&nbsp;code</em>, const char *<em>&nbsp;fmt</em>, va_list<em>&nbsp;args</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_vprepend_error_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_vprepend_error_message">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_vprepend_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="n"><span class="pre">code</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">fmt</span></span>, <span class="n"><span class="pre">va_list</span></span><span class="w"> </span><span class="n"><span class="pre">args</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_vprepend_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>code</strong> - Error code</p>
 <p><strong>[in]</strong> <strong>fmt</strong> - Format string for error message prefix</p>
-<p class="last"><strong>[in]</strong> <strong>args</strong> - List of vprintf(3) style arguments</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is similar to <a class="reference internal" href="krb5_prepend_error_message.html#c.krb5_prepend_error_message" title="krb5_prepend_error_message"><code class="xref c c-func docutils literal"><span class="pre">krb5_prepend_error_message()</span></code></a> , but uses a va_list instead of variadic arguments.</p>
-</div>
+<p><strong>[in]</strong> <strong>args</strong> - List of vprintf(3) style arguments</p>
+</dd>
+</dl>
+<p>This function is similar to krb5_prepend_error_message(), but uses a va_list instead of variadic arguments.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_vprepend_error_message -  Add a prefix to the message for an error code using a va_list.</a></li>
@@ -132,6 +121,7 @@ void <code class="descname">krb5_vprepen
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +129,8 @@ void <code class="descname">krb5_vprepen
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_vset_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_vset_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_vset_error_message.html	2023-08-14 16:20:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_vset_error_message.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_vset_error_message - Set an extended error message for an error code using a va_list. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_vwrap_error_message - Add a prefix to a different error code’s message using a va_list." href="krb5_vwrap_error_message.html" />
     <link rel="prev" title="krb5_vprepend_error_message - Add a prefix to the message for an error code using a va_list." href="krb5_vprepend_error_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-vset-error-message-set-an-extended-error-message-for-an-error-code-using-a-va-list">
+  <section id="krb5-vset-error-message-set-an-extended-error-message-for-an-error-code-using-a-va-list">
 <h1>krb5_vset_error_message -  Set an extended error message for an error code using a va_list.<a class="headerlink" href="#krb5-vset-error-message-set-an-extended-error-message-for-an-error-code-using-a-va-list" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_vset_error_message">
-void <code class="descname">krb5_vset_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a><em>&nbsp;code</em>, const char *<em>&nbsp;fmt</em>, va_list<em>&nbsp;args</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_vset_error_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_vset_error_message">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_vset_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="n"><span class="pre">code</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">fmt</span></span>, <span class="n"><span class="pre">va_list</span></span><span class="w"> </span><span class="n"><span class="pre">args</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_vset_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>code</strong> - Error code</p>
 <p><strong>[in]</strong> <strong>fmt</strong> - Error string for the error code</p>
-<p class="last"><strong>[in]</strong> <strong>args</strong> - List of vprintf(3) style arguments</p>
-</td>
-</tr>
-</tbody>
-</table>
-</div>
+<p><strong>[in]</strong> <strong>args</strong> - List of vprintf(3) style arguments</p>
+</dd>
+</dl>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_vset_error_message -  Set an extended error message for an error code using a va_list.</a></li>
@@ -131,6 +120,7 @@ void <code class="descname">krb5_vset_er
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +128,8 @@ void <code class="descname">krb5_vset_er
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_vwrap_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_vwrap_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_vwrap_error_message.html	2023-08-14 16:20:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_vwrap_error_message.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_vwrap_error_message - Add a prefix to a different error code’s message using a va_list. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_wrap_error_message - Add a prefix to a different error code’s message." href="krb5_wrap_error_message.html" />
     <link rel="prev" title="krb5_vset_error_message - Set an extended error message for an error code using a va_list." href="krb5_vset_error_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,33 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-vwrap-error-message-add-a-prefix-to-a-different-error-code-s-message-using-a-va-list">
+  <section id="krb5-vwrap-error-message-add-a-prefix-to-a-different-error-code-s-message-using-a-va-list">
 <h1>krb5_vwrap_error_message -  Add a prefix to a different error code’s message using a va_list.<a class="headerlink" href="#krb5-vwrap-error-message-add-a-prefix-to-a-different-error-code-s-message-using-a-va-list" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_vwrap_error_message">
-void <code class="descname">krb5_vwrap_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a><em>&nbsp;old_code</em>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a><em>&nbsp;code</em>, const char *<em>&nbsp;fmt</em>, va_list<em>&nbsp;args</em><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_vwrap_error_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_vwrap_error_message">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_vwrap_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="n"><span class="pre">old_code</span></span>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="n"><span class="pre">code</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">fmt</span></span>, <span class="n"><span class="pre">va_list</span></span><span class="w"> </span><span class="n"><span class="pre">args</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_vwrap_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>old_code</strong> - Previous error code</p>
 <p><strong>[in]</strong> <strong>code</strong> - Error code</p>
 <p><strong>[in]</strong> <strong>fmt</strong> - Format string for error message prefix</p>
-<p class="last"><strong>[in]</strong> <strong>args</strong> - List of vprintf(3) style arguments</p>
-</td>
-</tr>
-</tbody>
-</table>
-<p>This function is similar to <a class="reference internal" href="krb5_wrap_error_message.html#c.krb5_wrap_error_message" title="krb5_wrap_error_message"><code class="xref c c-func docutils literal"><span class="pre">krb5_wrap_error_message()</span></code></a> , but uses a va_list instead of variadic arguments.</p>
-</div>
+<p><strong>[in]</strong> <strong>args</strong> - List of vprintf(3) style arguments</p>
+</dd>
+</dl>
+<p>This function is similar to krb5_wrap_error_message(), but uses a va_list instead of variadic arguments.</p>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_vwrap_error_message -  Add a prefix to a different error code’s message using a va_list.</a></li>
@@ -133,6 +122,7 @@ void <code class="descname">krb5_vwrap_e
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +130,8 @@ void <code class="descname">krb5_vwrap_e
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/api/krb5_wrap_error_message.html 1.21.3-1/doc/html/appdev/refs/api/krb5_wrap_error_message.html
--- 1.21.2-1/doc/html/appdev/refs/api/krb5_wrap_error_message.html	2023-08-14 16:20:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/api/krb5_wrap_error_message.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_wrap_error_message - Add a prefix to a different error code’s message. &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_c_block_size - Return cipher block size." href="krb5_c_block_size.html" />
     <link rel="prev" title="krb5_vwrap_error_message - Add a prefix to a different error code’s message using a va_list." href="krb5_vwrap_error_message.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-wrap-error-message-add-a-prefix-to-a-different-error-code-s-message">
+  <section id="krb5-wrap-error-message-add-a-prefix-to-a-different-error-code-s-message">
 <h1>krb5_wrap_error_message -  Add a prefix to a different error code’s message.<a class="headerlink" href="#krb5-wrap-error-message-add-a-prefix-to-a-different-error-code-s-message" title="Permalink to this headline">¶</a></h1>
-<dl class="function">
-<dt id="c.krb5_wrap_error_message">
-void <code class="descname">krb5_wrap_error_message</code><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context">krb5_context</a><em>&nbsp;ctx</em>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a><em>&nbsp;old_code</em>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code">krb5_error_code</a><em>&nbsp;code</em>, const char *<em>&nbsp;fmt</em>, ...<span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_wrap_error_message" title="Permalink to this definition">¶</a></dt>
+<dl class="c function">
+<dt class="sig sig-object c" id="c.krb5_wrap_error_message">
+<span class="kt"><span class="pre">void</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_wrap_error_message</span></span></span><span class="sig-paren">(</span><a class="reference internal" href="../types/krb5_context.html#c.krb5_context" title="krb5_context"><span class="n"><span class="pre">krb5_context</span></span></a><span class="w"> </span><span class="n"><span class="pre">ctx</span></span>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="n"><span class="pre">old_code</span></span>, <a class="reference internal" href="../types/krb5_error_code.html#c.krb5_error_code" title="krb5_error_code"><span class="n"><span class="pre">krb5_error_code</span></span></a><span class="w"> </span><span class="n"><span class="pre">code</span></span>, <span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="n"><span class="pre">fmt</span></span>, <span class="p"><span class="pre">...</span></span><span class="sig-paren">)</span><a class="headerlink" href="#c.krb5_wrap_error_message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<table class="docutils field-list" frame="void" rules="none">
-<col class="field-name" />
-<col class="field-body" />
-<tbody valign="top">
-<tr class="field-odd field"><th class="field-name">param:</th><td class="field-body"><p class="first"><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
+<dl class="field-list">
+<dt class="field-odd">param</dt>
+<dd class="field-odd"><p><strong>[in]</strong> <strong>ctx</strong> - Library context</p>
 <p><strong>[in]</strong> <strong>old_code</strong> - Previous error code</p>
 <p><strong>[in]</strong> <strong>code</strong> - Error code</p>
-<p class="last"><strong>[in]</strong> <strong>fmt</strong> - Format string for error message prefix</p>
-</td>
-</tr>
-</tbody>
-</table>
+<p><strong>[in]</strong> <strong>fmt</strong> - Format string for error message prefix</p>
+</dd>
+</dl>
 <p>Format a message and prepend it to the message for <em>old_code</em> . The prefix will be separated from the old message with a colon and space. Set the resulting message as the extended error message for <em>code</em> .</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_wrap_error_message -  Add a prefix to a different error code’s message.</a></li>
@@ -132,6 +121,7 @@ void <code class="descname">krb5_wrap_er
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +129,8 @@ void <code class="descname">krb5_wrap_er
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/index.html 1.21.3-1/doc/html/appdev/refs/index.html
--- 1.21.2-1/doc/html/appdev/refs/index.html	2023-08-14 16:20:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/index.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Complete reference - API and datatypes &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="krb5 API" href="api/index.html" />
     <link rel="prev" title="Principal manipulation and parsing" href="../princ_handle.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="complete-reference-api-and-datatypes">
+  <section id="complete-reference-api-and-datatypes">
 <h1>Complete reference - API and datatypes<a class="headerlink" href="#complete-reference-api-and-datatypes" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
@@ -70,14 +61,16 @@
 <li class="toctree-l1"><a class="reference internal" href="macros/index.html">krb5 simple macros</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Complete reference - API and datatypes</a></li>
@@ -121,6 +114,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -128,8 +122,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_ADDRPORT.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_ADDRPORT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_ADDRPORT.html	2023-08-14 16:20:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_ADDRPORT.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_ADDRPORT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_CHAOS" href="ADDRTYPE_CHAOS.html" />
     <link rel="prev" title="krb5 simple macros" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-addrport">
+  <section id="addrtype-addrport">
 <span id="addrtype-addrport-data"></span><h1>ADDRTYPE_ADDRPORT<a class="headerlink" href="#addrtype-addrport" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_ADDRPORT">
-<code class="descname">ADDRTYPE_ADDRPORT</code><a class="headerlink" href="#ADDRTYPE_ADDRPORT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_ADDRPORT">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_ADDRPORT</span></span><a class="headerlink" href="#ADDRTYPE_ADDRPORT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_ADDRPORT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0100</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_ADDRPORT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0100</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_ADDRPORT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_CHAOS.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_CHAOS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_CHAOS.html	2023-08-14 16:20:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_CHAOS.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_CHAOS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_DDP" href="ADDRTYPE_DDP.html" />
     <link rel="prev" title="ADDRTYPE_ADDRPORT" href="ADDRTYPE_ADDRPORT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-chaos">
+  <section id="addrtype-chaos">
 <span id="addrtype-chaos-data"></span><h1>ADDRTYPE_CHAOS<a class="headerlink" href="#addrtype-chaos" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_CHAOS">
-<code class="descname">ADDRTYPE_CHAOS</code><a class="headerlink" href="#ADDRTYPE_CHAOS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_CHAOS">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_CHAOS</span></span><a class="headerlink" href="#ADDRTYPE_CHAOS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="49%" />
-<col width="51%" />
+<col style="width: 49%" />
+<col style="width: 51%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_CHAOS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0005</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_CHAOS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0005</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_CHAOS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_DDP.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_DDP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_DDP.html	2023-08-14 16:20:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_DDP.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_DDP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_INET" href="ADDRTYPE_INET.html" />
     <link rel="prev" title="ADDRTYPE_CHAOS" href="ADDRTYPE_CHAOS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-ddp">
+  <section id="addrtype-ddp">
 <span id="addrtype-ddp-data"></span><h1>ADDRTYPE_DDP<a class="headerlink" href="#addrtype-ddp" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_DDP">
-<code class="descname">ADDRTYPE_DDP</code><a class="headerlink" href="#ADDRTYPE_DDP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_DDP">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_DDP</span></span><a class="headerlink" href="#ADDRTYPE_DDP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="46%" />
-<col width="54%" />
+<col style="width: 46%" />
+<col style="width: 54%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_DDP</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0010</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_DDP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0010</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_DDP</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_INET.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_INET.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_INET.html	2023-08-14 16:20:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_INET.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_INET &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_INET6" href="ADDRTYPE_INET6.html" />
     <link rel="prev" title="ADDRTYPE_DDP" href="ADDRTYPE_DDP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-inet">
+  <section id="addrtype-inet">
 <span id="addrtype-inet-data"></span><h1>ADDRTYPE_INET<a class="headerlink" href="#addrtype-inet" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_INET">
-<code class="descname">ADDRTYPE_INET</code><a class="headerlink" href="#ADDRTYPE_INET" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_INET">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_INET</span></span><a class="headerlink" href="#ADDRTYPE_INET" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="48%" />
-<col width="52%" />
+<col style="width: 48%" />
+<col style="width: 52%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_INET</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_INET</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_INET</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_INET6.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_INET6.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_INET6.html	2023-08-14 16:20:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_INET6.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_INET6 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_IPPORT" href="ADDRTYPE_IPPORT.html" />
     <link rel="prev" title="ADDRTYPE_INET" href="ADDRTYPE_INET.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-inet6">
+  <section id="addrtype-inet6">
 <span id="addrtype-inet6-data"></span><h1>ADDRTYPE_INET6<a class="headerlink" href="#addrtype-inet6" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_INET6">
-<code class="descname">ADDRTYPE_INET6</code><a class="headerlink" href="#ADDRTYPE_INET6" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_INET6">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_INET6</span></span><a class="headerlink" href="#ADDRTYPE_INET6" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="49%" />
-<col width="51%" />
+<col style="width: 49%" />
+<col style="width: 51%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_INET6</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0018</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_INET6</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0018</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_INET6</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_IPPORT.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_IPPORT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_IPPORT.html	2023-08-14 16:20:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_IPPORT.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_IPPORT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_ISO" href="ADDRTYPE_ISO.html" />
     <link rel="prev" title="ADDRTYPE_INET6" href="ADDRTYPE_INET6.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-ipport">
+  <section id="addrtype-ipport">
 <span id="addrtype-ipport-data"></span><h1>ADDRTYPE_IPPORT<a class="headerlink" href="#addrtype-ipport" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_IPPORT">
-<code class="descname">ADDRTYPE_IPPORT</code><a class="headerlink" href="#ADDRTYPE_IPPORT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_IPPORT">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_IPPORT</span></span><a class="headerlink" href="#ADDRTYPE_IPPORT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_IPPORT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0101</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_IPPORT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0101</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_IPPORT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_ISO.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_ISO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_ISO.html	2023-08-14 16:20:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_ISO.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_ISO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_IS_LOCAL" href="ADDRTYPE_IS_LOCAL.html" />
     <link rel="prev" title="ADDRTYPE_IPPORT" href="ADDRTYPE_IPPORT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-iso">
+  <section id="addrtype-iso">
 <span id="addrtype-iso-data"></span><h1>ADDRTYPE_ISO<a class="headerlink" href="#addrtype-iso" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_ISO">
-<code class="descname">ADDRTYPE_ISO</code><a class="headerlink" href="#ADDRTYPE_ISO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_ISO">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_ISO</span></span><a class="headerlink" href="#ADDRTYPE_ISO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="46%" />
-<col width="54%" />
+<col style="width: 46%" />
+<col style="width: 54%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_ISO</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0007</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_ISO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0007</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_ISO</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_IS_LOCAL.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_IS_LOCAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_IS_LOCAL.html	2023-08-14 16:20:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_IS_LOCAL.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_IS_LOCAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_NETBIOS" href="ADDRTYPE_NETBIOS.html" />
     <link rel="prev" title="ADDRTYPE_ISO" href="ADDRTYPE_ISO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-is-local">
+  <section id="addrtype-is-local">
 <span id="addrtype-is-local-data"></span><h1>ADDRTYPE_IS_LOCAL<a class="headerlink" href="#addrtype-is-local" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_IS_LOCAL">
-<code class="descname">ADDRTYPE_IS_LOCAL</code><a class="headerlink" href="#ADDRTYPE_IS_LOCAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_IS_LOCAL">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_IS_LOCAL</span></span><a class="headerlink" href="#ADDRTYPE_IS_LOCAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_IS_LOCAL</span> <span class="pre">(addrtype)</span></code></td>
-<td><code class="docutils literal"><span class="pre">(addrtype</span> <span class="pre">&amp;</span> <span class="pre">0x8000)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_IS_LOCAL</span> <span class="pre">(addrtype)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(addrtype</span> <span class="pre">&amp;</span> <span class="pre">0x8000)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_IS_LOCAL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_NETBIOS.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_NETBIOS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_NETBIOS.html	2023-08-14 16:20:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_NETBIOS.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_NETBIOS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_XNS" href="ADDRTYPE_XNS.html" />
     <link rel="prev" title="ADDRTYPE_IS_LOCAL" href="ADDRTYPE_IS_LOCAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-netbios">
+  <section id="addrtype-netbios">
 <span id="addrtype-netbios-data"></span><h1>ADDRTYPE_NETBIOS<a class="headerlink" href="#addrtype-netbios" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_NETBIOS">
-<code class="descname">ADDRTYPE_NETBIOS</code><a class="headerlink" href="#ADDRTYPE_NETBIOS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_NETBIOS">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_NETBIOS</span></span><a class="headerlink" href="#ADDRTYPE_NETBIOS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_NETBIOS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0014</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_NETBIOS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0014</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_NETBIOS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_XNS.html 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_XNS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ADDRTYPE_XNS.html	2023-08-14 16:20:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ADDRTYPE_XNS.html	2024-06-26 20:01:09.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ADDRTYPE_XNS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AD_TYPE_EXTERNAL" href="AD_TYPE_EXTERNAL.html" />
     <link rel="prev" title="ADDRTYPE_NETBIOS" href="ADDRTYPE_NETBIOS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="addrtype-xns">
+  <section id="addrtype-xns">
 <span id="addrtype-xns-data"></span><h1>ADDRTYPE_XNS<a class="headerlink" href="#addrtype-xns" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ADDRTYPE_XNS">
-<code class="descname">ADDRTYPE_XNS</code><a class="headerlink" href="#ADDRTYPE_XNS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ADDRTYPE_XNS">
+<span class="sig-name descname"><span class="pre">ADDRTYPE_XNS</span></span><a class="headerlink" href="#ADDRTYPE_XNS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="46%" />
-<col width="54%" />
+<col style="width: 46%" />
+<col style="width: 54%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ADDRTYPE_XNS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0006</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ADDRTYPE_XNS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0006</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ADDRTYPE_XNS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AD_TYPE_EXTERNAL.html 1.21.3-1/doc/html/appdev/refs/macros/AD_TYPE_EXTERNAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AD_TYPE_EXTERNAL.html	2023-08-14 16:20:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AD_TYPE_EXTERNAL.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AD_TYPE_EXTERNAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AD_TYPE_FIELD_TYPE_MASK" href="AD_TYPE_FIELD_TYPE_MASK.html" />
     <link rel="prev" title="ADDRTYPE_XNS" href="ADDRTYPE_XNS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ad-type-external">
+  <section id="ad-type-external">
 <span id="ad-type-external-data"></span><h1>AD_TYPE_EXTERNAL<a class="headerlink" href="#ad-type-external" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AD_TYPE_EXTERNAL">
-<code class="descname">AD_TYPE_EXTERNAL</code><a class="headerlink" href="#AD_TYPE_EXTERNAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AD_TYPE_EXTERNAL">
+<span class="sig-name descname"><span class="pre">AD_TYPE_EXTERNAL</span></span><a class="headerlink" href="#AD_TYPE_EXTERNAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AD_TYPE_EXTERNAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x4000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AD_TYPE_EXTERNAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x4000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AD_TYPE_EXTERNAL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK.html 1.21.3-1/doc/html/appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK.html	2023-08-14 16:20:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AD_TYPE_FIELD_TYPE_MASK &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AD_TYPE_REGISTERED" href="AD_TYPE_REGISTERED.html" />
     <link rel="prev" title="AD_TYPE_EXTERNAL" href="AD_TYPE_EXTERNAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ad-type-field-type-mask">
+  <section id="ad-type-field-type-mask">
 <span id="ad-type-field-type-mask-data"></span><h1>AD_TYPE_FIELD_TYPE_MASK<a class="headerlink" href="#ad-type-field-type-mask" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AD_TYPE_FIELD_TYPE_MASK">
-<code class="descname">AD_TYPE_FIELD_TYPE_MASK</code><a class="headerlink" href="#AD_TYPE_FIELD_TYPE_MASK" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AD_TYPE_FIELD_TYPE_MASK">
+<span class="sig-name descname"><span class="pre">AD_TYPE_FIELD_TYPE_MASK</span></span><a class="headerlink" href="#AD_TYPE_FIELD_TYPE_MASK" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AD_TYPE_FIELD_TYPE_MASK</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x1fff</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AD_TYPE_FIELD_TYPE_MASK</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x1fff</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AD_TYPE_FIELD_TYPE_MASK</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AD_TYPE_REGISTERED.html 1.21.3-1/doc/html/appdev/refs/macros/AD_TYPE_REGISTERED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AD_TYPE_REGISTERED.html	2023-08-14 16:20:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AD_TYPE_REGISTERED.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AD_TYPE_REGISTERED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AD_TYPE_RESERVED" href="AD_TYPE_RESERVED.html" />
     <link rel="prev" title="AD_TYPE_FIELD_TYPE_MASK" href="AD_TYPE_FIELD_TYPE_MASK.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ad-type-registered">
+  <section id="ad-type-registered">
 <span id="ad-type-registered-data"></span><h1>AD_TYPE_REGISTERED<a class="headerlink" href="#ad-type-registered" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AD_TYPE_REGISTERED">
-<code class="descname">AD_TYPE_REGISTERED</code><a class="headerlink" href="#AD_TYPE_REGISTERED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AD_TYPE_REGISTERED">
+<span class="sig-name descname"><span class="pre">AD_TYPE_REGISTERED</span></span><a class="headerlink" href="#AD_TYPE_REGISTERED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AD_TYPE_REGISTERED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x2000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AD_TYPE_REGISTERED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x2000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AD_TYPE_REGISTERED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AD_TYPE_RESERVED.html 1.21.3-1/doc/html/appdev/refs/macros/AD_TYPE_RESERVED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AD_TYPE_RESERVED.html	2023-08-14 16:20:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AD_TYPE_RESERVED.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AD_TYPE_RESERVED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AP_OPTS_ETYPE_NEGOTIATION" href="AP_OPTS_ETYPE_NEGOTIATION.html" />
     <link rel="prev" title="AD_TYPE_REGISTERED" href="AD_TYPE_REGISTERED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ad-type-reserved">
+  <section id="ad-type-reserved">
 <span id="ad-type-reserved-data"></span><h1>AD_TYPE_RESERVED<a class="headerlink" href="#ad-type-reserved" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AD_TYPE_RESERVED">
-<code class="descname">AD_TYPE_RESERVED</code><a class="headerlink" href="#AD_TYPE_RESERVED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AD_TYPE_RESERVED">
+<span class="sig-name descname"><span class="pre">AD_TYPE_RESERVED</span></span><a class="headerlink" href="#AD_TYPE_RESERVED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AD_TYPE_RESERVED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x8000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AD_TYPE_RESERVED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x8000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AD_TYPE_RESERVED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION.html 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION.html	2023-08-14 16:20:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AP_OPTS_ETYPE_NEGOTIATION &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AP_OPTS_MUTUAL_REQUIRED" href="AP_OPTS_MUTUAL_REQUIRED.html" />
     <link rel="prev" title="AD_TYPE_RESERVED" href="AD_TYPE_RESERVED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ap-opts-etype-negotiation">
+  <section id="ap-opts-etype-negotiation">
 <span id="ap-opts-etype-negotiation-data"></span><h1>AP_OPTS_ETYPE_NEGOTIATION<a class="headerlink" href="#ap-opts-etype-negotiation" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AP_OPTS_ETYPE_NEGOTIATION">
-<code class="descname">AP_OPTS_ETYPE_NEGOTIATION</code><a class="headerlink" href="#AP_OPTS_ETYPE_NEGOTIATION" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AP_OPTS_ETYPE_NEGOTIATION">
+<span class="sig-name descname"><span class="pre">AP_OPTS_ETYPE_NEGOTIATION</span></span><a class="headerlink" href="#AP_OPTS_ETYPE_NEGOTIATION" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AP_OPTS_ETYPE_NEGOTIATION</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AP_OPTS_ETYPE_NEGOTIATION</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AP_OPTS_ETYPE_NEGOTIATION</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED.html 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED.html	2023-08-14 16:20:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AP_OPTS_MUTUAL_REQUIRED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AP_OPTS_RESERVED" href="AP_OPTS_RESERVED.html" />
     <link rel="prev" title="AP_OPTS_ETYPE_NEGOTIATION" href="AP_OPTS_ETYPE_NEGOTIATION.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ap-opts-mutual-required">
+  <section id="ap-opts-mutual-required">
 <span id="ap-opts-mutual-required-data"></span><h1>AP_OPTS_MUTUAL_REQUIRED<a class="headerlink" href="#ap-opts-mutual-required" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AP_OPTS_MUTUAL_REQUIRED">
-<code class="descname">AP_OPTS_MUTUAL_REQUIRED</code><a class="headerlink" href="#AP_OPTS_MUTUAL_REQUIRED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AP_OPTS_MUTUAL_REQUIRED">
+<span class="sig-name descname"><span class="pre">AP_OPTS_MUTUAL_REQUIRED</span></span><a class="headerlink" href="#AP_OPTS_MUTUAL_REQUIRED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Perform a mutual authentication exchange.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AP_OPTS_MUTUAL_REQUIRED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x20000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AP_OPTS_MUTUAL_REQUIRED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x20000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AP_OPTS_MUTUAL_REQUIRED</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_RESERVED.html 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_RESERVED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_RESERVED.html	2023-08-14 16:20:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_RESERVED.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AP_OPTS_RESERVED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AP_OPTS_USE_SESSION_KEY" href="AP_OPTS_USE_SESSION_KEY.html" />
     <link rel="prev" title="AP_OPTS_MUTUAL_REQUIRED" href="AP_OPTS_MUTUAL_REQUIRED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ap-opts-reserved">
+  <section id="ap-opts-reserved">
 <span id="ap-opts-reserved-data"></span><h1>AP_OPTS_RESERVED<a class="headerlink" href="#ap-opts-reserved" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AP_OPTS_RESERVED">
-<code class="descname">AP_OPTS_RESERVED</code><a class="headerlink" href="#AP_OPTS_RESERVED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AP_OPTS_RESERVED">
+<span class="sig-name descname"><span class="pre">AP_OPTS_RESERVED</span></span><a class="headerlink" href="#AP_OPTS_RESERVED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AP_OPTS_RESERVED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x80000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AP_OPTS_RESERVED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x80000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AP_OPTS_RESERVED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_USE_SESSION_KEY.html 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_USE_SESSION_KEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_USE_SESSION_KEY.html	2023-08-14 16:20:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_USE_SESSION_KEY.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AP_OPTS_USE_SESSION_KEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AP_OPTS_USE_SUBKEY" href="AP_OPTS_USE_SUBKEY.html" />
     <link rel="prev" title="AP_OPTS_RESERVED" href="AP_OPTS_RESERVED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ap-opts-use-session-key">
+  <section id="ap-opts-use-session-key">
 <span id="ap-opts-use-session-key-data"></span><h1>AP_OPTS_USE_SESSION_KEY<a class="headerlink" href="#ap-opts-use-session-key" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AP_OPTS_USE_SESSION_KEY">
-<code class="descname">AP_OPTS_USE_SESSION_KEY</code><a class="headerlink" href="#AP_OPTS_USE_SESSION_KEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AP_OPTS_USE_SESSION_KEY">
+<span class="sig-name descname"><span class="pre">AP_OPTS_USE_SESSION_KEY</span></span><a class="headerlink" href="#AP_OPTS_USE_SESSION_KEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Use session key.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AP_OPTS_USE_SESSION_KEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x40000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AP_OPTS_USE_SESSION_KEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x40000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AP_OPTS_USE_SESSION_KEY</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_USE_SUBKEY.html 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_USE_SUBKEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_USE_SUBKEY.html	2023-08-14 16:20:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_USE_SUBKEY.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AP_OPTS_USE_SUBKEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="AP_OPTS_WIRE_MASK" href="AP_OPTS_WIRE_MASK.html" />
     <link rel="prev" title="AP_OPTS_USE_SESSION_KEY" href="AP_OPTS_USE_SESSION_KEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ap-opts-use-subkey">
+  <section id="ap-opts-use-subkey">
 <span id="ap-opts-use-subkey-data"></span><h1>AP_OPTS_USE_SUBKEY<a class="headerlink" href="#ap-opts-use-subkey" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AP_OPTS_USE_SUBKEY">
-<code class="descname">AP_OPTS_USE_SUBKEY</code><a class="headerlink" href="#AP_OPTS_USE_SUBKEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AP_OPTS_USE_SUBKEY">
+<span class="sig-name descname"><span class="pre">AP_OPTS_USE_SUBKEY</span></span><a class="headerlink" href="#AP_OPTS_USE_SUBKEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Generate a subsession key from the current session key obtained from the credentials.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AP_OPTS_USE_SUBKEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AP_OPTS_USE_SUBKEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AP_OPTS_USE_SUBKEY</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_WIRE_MASK.html 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_WIRE_MASK.html
--- 1.21.2-1/doc/html/appdev/refs/macros/AP_OPTS_WIRE_MASK.html	2023-08-14 16:20:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/AP_OPTS_WIRE_MASK.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>AP_OPTS_WIRE_MASK &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_CMAC_CAMELLIA128" href="CKSUMTYPE_CMAC_CAMELLIA128.html" />
     <link rel="prev" title="AP_OPTS_USE_SUBKEY" href="AP_OPTS_USE_SUBKEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ap-opts-wire-mask">
+  <section id="ap-opts-wire-mask">
 <span id="ap-opts-wire-mask-data"></span><h1>AP_OPTS_WIRE_MASK<a class="headerlink" href="#ap-opts-wire-mask" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="AP_OPTS_WIRE_MASK">
-<code class="descname">AP_OPTS_WIRE_MASK</code><a class="headerlink" href="#AP_OPTS_WIRE_MASK" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="AP_OPTS_WIRE_MASK">
+<span class="sig-name descname"><span class="pre">AP_OPTS_WIRE_MASK</span></span><a class="headerlink" href="#AP_OPTS_WIRE_MASK" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">AP_OPTS_WIRE_MASK</span></code></td>
-<td><code class="docutils literal"><span class="pre">0xfffffff0</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AP_OPTS_WIRE_MASK</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0xfffffff0</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">AP_OPTS_WIRE_MASK</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128.html	2023-08-14 16:20:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_CMAC_CAMELLIA128 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_CMAC_CAMELLIA256" href="CKSUMTYPE_CMAC_CAMELLIA256.html" />
     <link rel="prev" title="AP_OPTS_WIRE_MASK" href="AP_OPTS_WIRE_MASK.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-cmac-camellia128">
+  <section id="cksumtype-cmac-camellia128">
 <span id="cksumtype-cmac-camellia128-data"></span><h1>CKSUMTYPE_CMAC_CAMELLIA128<a class="headerlink" href="#cksumtype-cmac-camellia128" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_CMAC_CAMELLIA128">
-<code class="descname">CKSUMTYPE_CMAC_CAMELLIA128</code><a class="headerlink" href="#CKSUMTYPE_CMAC_CAMELLIA128" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_CMAC_CAMELLIA128">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_CMAC_CAMELLIA128</span></span><a class="headerlink" href="#CKSUMTYPE_CMAC_CAMELLIA128" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6803.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_CMAC_CAMELLIA128</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0011</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_CMAC_CAMELLIA128</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0011</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_CMAC_CAMELLIA128</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256.html	2023-08-14 16:20:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_CMAC_CAMELLIA256 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_CRC32" href="CKSUMTYPE_CRC32.html" />
     <link rel="prev" title="CKSUMTYPE_CMAC_CAMELLIA128" href="CKSUMTYPE_CMAC_CAMELLIA128.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-cmac-camellia256">
+  <section id="cksumtype-cmac-camellia256">
 <span id="cksumtype-cmac-camellia256-data"></span><h1>CKSUMTYPE_CMAC_CAMELLIA256<a class="headerlink" href="#cksumtype-cmac-camellia256" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_CMAC_CAMELLIA256">
-<code class="descname">CKSUMTYPE_CMAC_CAMELLIA256</code><a class="headerlink" href="#CKSUMTYPE_CMAC_CAMELLIA256" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_CMAC_CAMELLIA256">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_CMAC_CAMELLIA256</span></span><a class="headerlink" href="#CKSUMTYPE_CMAC_CAMELLIA256" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6803.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_CMAC_CAMELLIA256</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0012</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_CMAC_CAMELLIA256</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0012</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_CMAC_CAMELLIA256</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_CRC32.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_CRC32.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_CRC32.html	2023-08-14 16:20:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_CRC32.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_CRC32 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_DESCBC" href="CKSUMTYPE_DESCBC.html" />
     <link rel="prev" title="CKSUMTYPE_CMAC_CAMELLIA256" href="CKSUMTYPE_CMAC_CAMELLIA256.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-crc32">
+  <section id="cksumtype-crc32">
 <span id="cksumtype-crc32-data"></span><h1>CKSUMTYPE_CRC32<a class="headerlink" href="#cksumtype-crc32" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_CRC32">
-<code class="descname">CKSUMTYPE_CRC32</code><a class="headerlink" href="#CKSUMTYPE_CRC32" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_CRC32">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_CRC32</span></span><a class="headerlink" href="#CKSUMTYPE_CRC32" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_CRC32</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_CRC32</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_CRC32</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_DESCBC.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_DESCBC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_DESCBC.html	2023-08-14 16:20:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_DESCBC.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_DESCBC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_HMAC_MD5_ARCFOUR" href="CKSUMTYPE_HMAC_MD5_ARCFOUR.html" />
     <link rel="prev" title="CKSUMTYPE_CRC32" href="CKSUMTYPE_CRC32.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-descbc">
+  <section id="cksumtype-descbc">
 <span id="cksumtype-descbc-data"></span><h1>CKSUMTYPE_DESCBC<a class="headerlink" href="#cksumtype-descbc" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_DESCBC">
-<code class="descname">CKSUMTYPE_DESCBC</code><a class="headerlink" href="#CKSUMTYPE_DESCBC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_DESCBC">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_DESCBC</span></span><a class="headerlink" href="#CKSUMTYPE_DESCBC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_DESCBC</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0004</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_DESCBC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0004</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_DESCBC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR.html	2023-08-14 16:20:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_HMAC_MD5_ARCFOUR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_HMAC_SHA1_96_AES128" href="CKSUMTYPE_HMAC_SHA1_96_AES128.html" />
     <link rel="prev" title="CKSUMTYPE_DESCBC" href="CKSUMTYPE_DESCBC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-hmac-md5-arcfour">
+  <section id="cksumtype-hmac-md5-arcfour">
 <span id="cksumtype-hmac-md5-arcfour-data"></span><h1>CKSUMTYPE_HMAC_MD5_ARCFOUR<a class="headerlink" href="#cksumtype-hmac-md5-arcfour" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_HMAC_MD5_ARCFOUR">
-<code class="descname">CKSUMTYPE_HMAC_MD5_ARCFOUR</code><a class="headerlink" href="#CKSUMTYPE_HMAC_MD5_ARCFOUR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_HMAC_MD5_ARCFOUR">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_HMAC_MD5_ARCFOUR</span></span><a class="headerlink" href="#CKSUMTYPE_HMAC_MD5_ARCFOUR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 4757.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_HMAC_MD5_ARCFOUR</span></code></td>
-<td><code class="docutils literal"><span class="pre">-138</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_HMAC_MD5_ARCFOUR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">-138</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_HMAC_MD5_ARCFOUR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128.html	2023-08-14 16:20:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_HMAC_SHA1_96_AES128 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_HMAC_SHA1_96_AES256" href="CKSUMTYPE_HMAC_SHA1_96_AES256.html" />
     <link rel="prev" title="CKSUMTYPE_HMAC_MD5_ARCFOUR" href="CKSUMTYPE_HMAC_MD5_ARCFOUR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-hmac-sha1-96-aes128">
+  <section id="cksumtype-hmac-sha1-96-aes128">
 <span id="cksumtype-hmac-sha1-96-aes128-data"></span><h1>CKSUMTYPE_HMAC_SHA1_96_AES128<a class="headerlink" href="#cksumtype-hmac-sha1-96-aes128" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_HMAC_SHA1_96_AES128">
-<code class="descname">CKSUMTYPE_HMAC_SHA1_96_AES128</code><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA1_96_AES128" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_HMAC_SHA1_96_AES128">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_HMAC_SHA1_96_AES128</span></span><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA1_96_AES128" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 3962.</p>
 <p>Used with ENCTYPE_AES128_CTS_HMAC_SHA1_96</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_HMAC_SHA1_96_AES128</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x000f</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_HMAC_SHA1_96_AES128</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x000f</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_HMAC_SHA1_96_AES128</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256.html	2023-08-14 16:20:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_HMAC_SHA1_96_AES256 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_HMAC_SHA256_128_AES128" href="CKSUMTYPE_HMAC_SHA256_128_AES128.html" />
     <link rel="prev" title="CKSUMTYPE_HMAC_SHA1_96_AES128" href="CKSUMTYPE_HMAC_SHA1_96_AES128.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-hmac-sha1-96-aes256">
+  <section id="cksumtype-hmac-sha1-96-aes256">
 <span id="cksumtype-hmac-sha1-96-aes256-data"></span><h1>CKSUMTYPE_HMAC_SHA1_96_AES256<a class="headerlink" href="#cksumtype-hmac-sha1-96-aes256" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_HMAC_SHA1_96_AES256">
-<code class="descname">CKSUMTYPE_HMAC_SHA1_96_AES256</code><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA1_96_AES256" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_HMAC_SHA1_96_AES256">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_HMAC_SHA1_96_AES256</span></span><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA1_96_AES256" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 3962.</p>
 <p>Used with ENCTYPE_AES256_CTS_HMAC_SHA1_96</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_HMAC_SHA1_96_AES256</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0010</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_HMAC_SHA1_96_AES256</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0010</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_HMAC_SHA1_96_AES256</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3.html	2023-08-14 16:20:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_HMAC_SHA1_DES3 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_MD5_HMAC_ARCFOUR" href="CKSUMTYPE_MD5_HMAC_ARCFOUR.html" />
     <link rel="prev" title="CKSUMTYPE_HMAC_SHA384_192_AES256" href="CKSUMTYPE_HMAC_SHA384_192_AES256.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-hmac-sha1-des3">
+  <section id="cksumtype-hmac-sha1-des3">
 <span id="cksumtype-hmac-sha1-des3-data"></span><h1>CKSUMTYPE_HMAC_SHA1_DES3<a class="headerlink" href="#cksumtype-hmac-sha1-des3" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_HMAC_SHA1_DES3">
-<code class="descname">CKSUMTYPE_HMAC_SHA1_DES3</code><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA1_DES3" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_HMAC_SHA1_DES3">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_HMAC_SHA1_DES3</span></span><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA1_DES3" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_HMAC_SHA1_DES3</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x000c</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_HMAC_SHA1_DES3</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x000c</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_HMAC_SHA1_DES3</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128.html	2023-08-14 16:20:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_HMAC_SHA256_128_AES128 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_HMAC_SHA384_192_AES256" href="CKSUMTYPE_HMAC_SHA384_192_AES256.html" />
     <link rel="prev" title="CKSUMTYPE_HMAC_SHA1_96_AES256" href="CKSUMTYPE_HMAC_SHA1_96_AES256.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-hmac-sha256-128-aes128">
+  <section id="cksumtype-hmac-sha256-128-aes128">
 <span id="cksumtype-hmac-sha256-128-aes128-data"></span><h1>CKSUMTYPE_HMAC_SHA256_128_AES128<a class="headerlink" href="#cksumtype-hmac-sha256-128-aes128" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_HMAC_SHA256_128_AES128">
-<code class="descname">CKSUMTYPE_HMAC_SHA256_128_AES128</code><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA256_128_AES128" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_HMAC_SHA256_128_AES128">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_HMAC_SHA256_128_AES128</span></span><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA256_128_AES128" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 8009.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_HMAC_SHA256_128_AES128</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0013</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_HMAC_SHA256_128_AES128</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0013</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_HMAC_SHA256_128_AES128</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256.html	2023-08-14 16:20:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_HMAC_SHA384_192_AES256 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_HMAC_SHA1_DES3" href="CKSUMTYPE_HMAC_SHA1_DES3.html" />
     <link rel="prev" title="CKSUMTYPE_HMAC_SHA256_128_AES128" href="CKSUMTYPE_HMAC_SHA256_128_AES128.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-hmac-sha384-192-aes256">
+  <section id="cksumtype-hmac-sha384-192-aes256">
 <span id="cksumtype-hmac-sha384-192-aes256-data"></span><h1>CKSUMTYPE_HMAC_SHA384_192_AES256<a class="headerlink" href="#cksumtype-hmac-sha384-192-aes256" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_HMAC_SHA384_192_AES256">
-<code class="descname">CKSUMTYPE_HMAC_SHA384_192_AES256</code><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA384_192_AES256" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_HMAC_SHA384_192_AES256">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_HMAC_SHA384_192_AES256</span></span><a class="headerlink" href="#CKSUMTYPE_HMAC_SHA384_192_AES256" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 8009.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_HMAC_SHA384_192_AES256</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0014</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_HMAC_SHA384_192_AES256</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0014</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_HMAC_SHA384_192_AES256</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR.html	2023-08-14 16:20:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_MD5_HMAC_ARCFOUR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_NIST_SHA" href="CKSUMTYPE_NIST_SHA.html" />
     <link rel="prev" title="CKSUMTYPE_HMAC_SHA1_DES3" href="CKSUMTYPE_HMAC_SHA1_DES3.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-md5-hmac-arcfour">
+  <section id="cksumtype-md5-hmac-arcfour">
 <span id="cksumtype-md5-hmac-arcfour-data"></span><h1>CKSUMTYPE_MD5_HMAC_ARCFOUR<a class="headerlink" href="#cksumtype-md5-hmac-arcfour" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_MD5_HMAC_ARCFOUR">
-<code class="descname">CKSUMTYPE_MD5_HMAC_ARCFOUR</code><a class="headerlink" href="#CKSUMTYPE_MD5_HMAC_ARCFOUR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_MD5_HMAC_ARCFOUR">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_MD5_HMAC_ARCFOUR</span></span><a class="headerlink" href="#CKSUMTYPE_MD5_HMAC_ARCFOUR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="48%" />
-<col width="52%" />
+<col style="width: 48%" />
+<col style="width: 52%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_MD5_HMAC_ARCFOUR</span></code></td>
-<td><code class="docutils literal"><span class="pre">-137</span> <span class="pre">/*</span> <span class="pre">Microsoft</span> <span class="pre">netlogon</span> <span class="pre">*/</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_MD5_HMAC_ARCFOUR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">-137</span> <span class="pre">/*</span> <span class="pre">Microsoft</span> <span class="pre">netlogon</span> <span class="pre">*/</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_MD5_HMAC_ARCFOUR</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_NIST_SHA.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_NIST_SHA.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_NIST_SHA.html	2023-08-14 16:20:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_NIST_SHA.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_NIST_SHA &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_RSA_MD4" href="CKSUMTYPE_RSA_MD4.html" />
     <link rel="prev" title="CKSUMTYPE_MD5_HMAC_ARCFOUR" href="CKSUMTYPE_MD5_HMAC_ARCFOUR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-nist-sha">
+  <section id="cksumtype-nist-sha">
 <span id="cksumtype-nist-sha-data"></span><h1>CKSUMTYPE_NIST_SHA<a class="headerlink" href="#cksumtype-nist-sha" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_NIST_SHA">
-<code class="descname">CKSUMTYPE_NIST_SHA</code><a class="headerlink" href="#CKSUMTYPE_NIST_SHA" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_NIST_SHA">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_NIST_SHA</span></span><a class="headerlink" href="#CKSUMTYPE_NIST_SHA" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_NIST_SHA</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0009</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_NIST_SHA</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0009</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_NIST_SHA</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD4.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD4.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD4.html	2023-08-14 16:20:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD4.html	2024-06-26 20:01:10.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_RSA_MD4 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_RSA_MD4_DES" href="CKSUMTYPE_RSA_MD4_DES.html" />
     <link rel="prev" title="CKSUMTYPE_NIST_SHA" href="CKSUMTYPE_NIST_SHA.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-rsa-md4">
+  <section id="cksumtype-rsa-md4">
 <span id="cksumtype-rsa-md4-data"></span><h1>CKSUMTYPE_RSA_MD4<a class="headerlink" href="#cksumtype-rsa-md4" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_RSA_MD4">
-<code class="descname">CKSUMTYPE_RSA_MD4</code><a class="headerlink" href="#CKSUMTYPE_RSA_MD4" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_RSA_MD4">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_RSA_MD4</span></span><a class="headerlink" href="#CKSUMTYPE_RSA_MD4" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_RSA_MD4</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_RSA_MD4</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_RSA_MD4</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES.html	2023-08-14 16:20:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_RSA_MD4_DES &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_RSA_MD5" href="CKSUMTYPE_RSA_MD5.html" />
     <link rel="prev" title="CKSUMTYPE_RSA_MD4" href="CKSUMTYPE_RSA_MD4.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-rsa-md4-des">
+  <section id="cksumtype-rsa-md4-des">
 <span id="cksumtype-rsa-md4-des-data"></span><h1>CKSUMTYPE_RSA_MD4_DES<a class="headerlink" href="#cksumtype-rsa-md4-des" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_RSA_MD4_DES">
-<code class="descname">CKSUMTYPE_RSA_MD4_DES</code><a class="headerlink" href="#CKSUMTYPE_RSA_MD4_DES" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_RSA_MD4_DES">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_RSA_MD4_DES</span></span><a class="headerlink" href="#CKSUMTYPE_RSA_MD4_DES" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_RSA_MD4_DES</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0003</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_RSA_MD4_DES</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0003</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_RSA_MD4_DES</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD5.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD5.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD5.html	2023-08-14 16:20:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD5.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_RSA_MD5 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_RSA_MD5_DES" href="CKSUMTYPE_RSA_MD5_DES.html" />
     <link rel="prev" title="CKSUMTYPE_RSA_MD4_DES" href="CKSUMTYPE_RSA_MD4_DES.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-rsa-md5">
+  <section id="cksumtype-rsa-md5">
 <span id="cksumtype-rsa-md5-data"></span><h1>CKSUMTYPE_RSA_MD5<a class="headerlink" href="#cksumtype-rsa-md5" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_RSA_MD5">
-<code class="descname">CKSUMTYPE_RSA_MD5</code><a class="headerlink" href="#CKSUMTYPE_RSA_MD5" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_RSA_MD5">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_RSA_MD5</span></span><a class="headerlink" href="#CKSUMTYPE_RSA_MD5" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_RSA_MD5</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0007</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_RSA_MD5</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0007</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_RSA_MD5</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES.html	2023-08-14 16:20:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_RSA_MD5_DES &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="CKSUMTYPE_SHA1" href="CKSUMTYPE_SHA1.html" />
     <link rel="prev" title="CKSUMTYPE_RSA_MD5" href="CKSUMTYPE_RSA_MD5.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-rsa-md5-des">
+  <section id="cksumtype-rsa-md5-des">
 <span id="cksumtype-rsa-md5-des-data"></span><h1>CKSUMTYPE_RSA_MD5_DES<a class="headerlink" href="#cksumtype-rsa-md5-des" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_RSA_MD5_DES">
-<code class="descname">CKSUMTYPE_RSA_MD5_DES</code><a class="headerlink" href="#CKSUMTYPE_RSA_MD5_DES" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_RSA_MD5_DES">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_RSA_MD5_DES</span></span><a class="headerlink" href="#CKSUMTYPE_RSA_MD5_DES" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_RSA_MD5_DES</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0008</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_RSA_MD5_DES</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0008</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_RSA_MD5_DES</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_SHA1.html 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_SHA1.html
--- 1.21.2-1/doc/html/appdev/refs/macros/CKSUMTYPE_SHA1.html	2023-08-14 16:20:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/CKSUMTYPE_SHA1.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>CKSUMTYPE_SHA1 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_AES128_CTS_HMAC_SHA1_96" href="ENCTYPE_AES128_CTS_HMAC_SHA1_96.html" />
     <link rel="prev" title="CKSUMTYPE_RSA_MD5_DES" href="CKSUMTYPE_RSA_MD5_DES.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="cksumtype-sha1">
+  <section id="cksumtype-sha1">
 <span id="cksumtype-sha1-data"></span><h1>CKSUMTYPE_SHA1<a class="headerlink" href="#cksumtype-sha1" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="CKSUMTYPE_SHA1">
-<code class="descname">CKSUMTYPE_SHA1</code><a class="headerlink" href="#CKSUMTYPE_SHA1" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="CKSUMTYPE_SHA1">
+<span class="sig-name descname"><span class="pre">CKSUMTYPE_SHA1</span></span><a class="headerlink" href="#CKSUMTYPE_SHA1" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 3961.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="49%" />
-<col width="51%" />
+<col style="width: 49%" />
+<col style="width: 51%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">CKSUMTYPE_SHA1</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x000e</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CKSUMTYPE_SHA1</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x000e</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">CKSUMTYPE_SHA1</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96.html	2023-08-14 16:20:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_AES128_CTS_HMAC_SHA1_96 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_AES128_CTS_HMAC_SHA256_128" href="ENCTYPE_AES128_CTS_HMAC_SHA256_128.html" />
     <link rel="prev" title="CKSUMTYPE_SHA1" href="CKSUMTYPE_SHA1.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-aes128-cts-hmac-sha1-96">
+  <section id="enctype-aes128-cts-hmac-sha1-96">
 <span id="enctype-aes128-cts-hmac-sha1-96-data"></span><h1>ENCTYPE_AES128_CTS_HMAC_SHA1_96<a class="headerlink" href="#enctype-aes128-cts-hmac-sha1-96" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_AES128_CTS_HMAC_SHA1_96">
-<code class="descname">ENCTYPE_AES128_CTS_HMAC_SHA1_96</code><a class="headerlink" href="#ENCTYPE_AES128_CTS_HMAC_SHA1_96" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_AES128_CTS_HMAC_SHA1_96">
+<span class="sig-name descname"><span class="pre">ENCTYPE_AES128_CTS_HMAC_SHA1_96</span></span><a class="headerlink" href="#ENCTYPE_AES128_CTS_HMAC_SHA1_96" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 3962.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_AES128_CTS_HMAC_SHA1_96</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0011</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_AES128_CTS_HMAC_SHA1_96</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0011</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_AES128_CTS_HMAC_SHA1_96</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128.html	2023-08-14 16:20:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_AES128_CTS_HMAC_SHA256_128 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_AES256_CTS_HMAC_SHA1_96" href="ENCTYPE_AES256_CTS_HMAC_SHA1_96.html" />
     <link rel="prev" title="ENCTYPE_AES128_CTS_HMAC_SHA1_96" href="ENCTYPE_AES128_CTS_HMAC_SHA1_96.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-aes128-cts-hmac-sha256-128">
+  <section id="enctype-aes128-cts-hmac-sha256-128">
 <span id="enctype-aes128-cts-hmac-sha256-128-data"></span><h1>ENCTYPE_AES128_CTS_HMAC_SHA256_128<a class="headerlink" href="#enctype-aes128-cts-hmac-sha256-128" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_AES128_CTS_HMAC_SHA256_128">
-<code class="descname">ENCTYPE_AES128_CTS_HMAC_SHA256_128</code><a class="headerlink" href="#ENCTYPE_AES128_CTS_HMAC_SHA256_128" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_AES128_CTS_HMAC_SHA256_128">
+<span class="sig-name descname"><span class="pre">ENCTYPE_AES128_CTS_HMAC_SHA256_128</span></span><a class="headerlink" href="#ENCTYPE_AES128_CTS_HMAC_SHA256_128" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 8009.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_AES128_CTS_HMAC_SHA256_128</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0013</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_AES128_CTS_HMAC_SHA256_128</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0013</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_AES128_CTS_HMAC_SHA256_128</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96.html	2023-08-14 16:20:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_AES256_CTS_HMAC_SHA1_96 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_AES256_CTS_HMAC_SHA384_192" href="ENCTYPE_AES256_CTS_HMAC_SHA384_192.html" />
     <link rel="prev" title="ENCTYPE_AES128_CTS_HMAC_SHA256_128" href="ENCTYPE_AES128_CTS_HMAC_SHA256_128.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-aes256-cts-hmac-sha1-96">
+  <section id="enctype-aes256-cts-hmac-sha1-96">
 <span id="enctype-aes256-cts-hmac-sha1-96-data"></span><h1>ENCTYPE_AES256_CTS_HMAC_SHA1_96<a class="headerlink" href="#enctype-aes256-cts-hmac-sha1-96" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_AES256_CTS_HMAC_SHA1_96">
-<code class="descname">ENCTYPE_AES256_CTS_HMAC_SHA1_96</code><a class="headerlink" href="#ENCTYPE_AES256_CTS_HMAC_SHA1_96" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_AES256_CTS_HMAC_SHA1_96">
+<span class="sig-name descname"><span class="pre">ENCTYPE_AES256_CTS_HMAC_SHA1_96</span></span><a class="headerlink" href="#ENCTYPE_AES256_CTS_HMAC_SHA1_96" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 3962.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_AES256_CTS_HMAC_SHA1_96</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0012</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_AES256_CTS_HMAC_SHA1_96</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0012</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_AES256_CTS_HMAC_SHA1_96</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192.html	2023-08-14 16:20:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_AES256_CTS_HMAC_SHA384_192 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_ARCFOUR_HMAC" href="ENCTYPE_ARCFOUR_HMAC.html" />
     <link rel="prev" title="ENCTYPE_AES256_CTS_HMAC_SHA1_96" href="ENCTYPE_AES256_CTS_HMAC_SHA1_96.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-aes256-cts-hmac-sha384-192">
+  <section id="enctype-aes256-cts-hmac-sha384-192">
 <span id="enctype-aes256-cts-hmac-sha384-192-data"></span><h1>ENCTYPE_AES256_CTS_HMAC_SHA384_192<a class="headerlink" href="#enctype-aes256-cts-hmac-sha384-192" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_AES256_CTS_HMAC_SHA384_192">
-<code class="descname">ENCTYPE_AES256_CTS_HMAC_SHA384_192</code><a class="headerlink" href="#ENCTYPE_AES256_CTS_HMAC_SHA384_192" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_AES256_CTS_HMAC_SHA384_192">
+<span class="sig-name descname"><span class="pre">ENCTYPE_AES256_CTS_HMAC_SHA384_192</span></span><a class="headerlink" href="#ENCTYPE_AES256_CTS_HMAC_SHA384_192" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 8009.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_AES256_CTS_HMAC_SHA384_192</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0014</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_AES256_CTS_HMAC_SHA384_192</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0014</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_AES256_CTS_HMAC_SHA384_192</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC.html	2023-08-14 16:21:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_ARCFOUR_HMAC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_ARCFOUR_HMAC_EXP" href="ENCTYPE_ARCFOUR_HMAC_EXP.html" />
     <link rel="prev" title="ENCTYPE_AES256_CTS_HMAC_SHA384_192" href="ENCTYPE_AES256_CTS_HMAC_SHA384_192.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-arcfour-hmac">
+  <section id="enctype-arcfour-hmac">
 <span id="enctype-arcfour-hmac-data"></span><h1>ENCTYPE_ARCFOUR_HMAC<a class="headerlink" href="#enctype-arcfour-hmac" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_ARCFOUR_HMAC">
-<code class="descname">ENCTYPE_ARCFOUR_HMAC</code><a class="headerlink" href="#ENCTYPE_ARCFOUR_HMAC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_ARCFOUR_HMAC">
+<span class="sig-name descname"><span class="pre">ENCTYPE_ARCFOUR_HMAC</span></span><a class="headerlink" href="#ENCTYPE_ARCFOUR_HMAC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 4757.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_ARCFOUR_HMAC</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0017</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_ARCFOUR_HMAC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0017</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_ARCFOUR_HMAC</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP.html	2023-08-14 16:21:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_ARCFOUR_HMAC_EXP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_CAMELLIA128_CTS_CMAC" href="ENCTYPE_CAMELLIA128_CTS_CMAC.html" />
     <link rel="prev" title="ENCTYPE_ARCFOUR_HMAC" href="ENCTYPE_ARCFOUR_HMAC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-arcfour-hmac-exp">
+  <section id="enctype-arcfour-hmac-exp">
 <span id="enctype-arcfour-hmac-exp-data"></span><h1>ENCTYPE_ARCFOUR_HMAC_EXP<a class="headerlink" href="#enctype-arcfour-hmac-exp" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_ARCFOUR_HMAC_EXP">
-<code class="descname">ENCTYPE_ARCFOUR_HMAC_EXP</code><a class="headerlink" href="#ENCTYPE_ARCFOUR_HMAC_EXP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_ARCFOUR_HMAC_EXP">
+<span class="sig-name descname"><span class="pre">ENCTYPE_ARCFOUR_HMAC_EXP</span></span><a class="headerlink" href="#ENCTYPE_ARCFOUR_HMAC_EXP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 4757.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_ARCFOUR_HMAC_EXP</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0018</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_ARCFOUR_HMAC_EXP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0018</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_ARCFOUR_HMAC_EXP</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC.html	2023-08-14 16:21:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_CAMELLIA128_CTS_CMAC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_CAMELLIA256_CTS_CMAC" href="ENCTYPE_CAMELLIA256_CTS_CMAC.html" />
     <link rel="prev" title="ENCTYPE_ARCFOUR_HMAC_EXP" href="ENCTYPE_ARCFOUR_HMAC_EXP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-camellia128-cts-cmac">
+  <section id="enctype-camellia128-cts-cmac">
 <span id="enctype-camellia128-cts-cmac-data"></span><h1>ENCTYPE_CAMELLIA128_CTS_CMAC<a class="headerlink" href="#enctype-camellia128-cts-cmac" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_CAMELLIA128_CTS_CMAC">
-<code class="descname">ENCTYPE_CAMELLIA128_CTS_CMAC</code><a class="headerlink" href="#ENCTYPE_CAMELLIA128_CTS_CMAC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_CAMELLIA128_CTS_CMAC">
+<span class="sig-name descname"><span class="pre">ENCTYPE_CAMELLIA128_CTS_CMAC</span></span><a class="headerlink" href="#ENCTYPE_CAMELLIA128_CTS_CMAC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6803.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_CAMELLIA128_CTS_CMAC</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0019</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_CAMELLIA128_CTS_CMAC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0019</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_CAMELLIA128_CTS_CMAC</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC.html	2023-08-14 16:21:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_CAMELLIA256_CTS_CMAC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DES3_CBC_ENV" href="ENCTYPE_DES3_CBC_ENV.html" />
     <link rel="prev" title="ENCTYPE_CAMELLIA128_CTS_CMAC" href="ENCTYPE_CAMELLIA128_CTS_CMAC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-camellia256-cts-cmac">
+  <section id="enctype-camellia256-cts-cmac">
 <span id="enctype-camellia256-cts-cmac-data"></span><h1>ENCTYPE_CAMELLIA256_CTS_CMAC<a class="headerlink" href="#enctype-camellia256-cts-cmac" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_CAMELLIA256_CTS_CMAC">
-<code class="descname">ENCTYPE_CAMELLIA256_CTS_CMAC</code><a class="headerlink" href="#ENCTYPE_CAMELLIA256_CTS_CMAC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_CAMELLIA256_CTS_CMAC">
+<span class="sig-name descname"><span class="pre">ENCTYPE_CAMELLIA256_CTS_CMAC</span></span><a class="headerlink" href="#ENCTYPE_CAMELLIA256_CTS_CMAC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6803.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_CAMELLIA256_CTS_CMAC</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x001a</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_CAMELLIA256_CTS_CMAC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x001a</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_CAMELLIA256_CTS_CMAC</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_ENV.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_ENV.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_ENV.html	2023-08-14 16:21:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_ENV.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DES3_CBC_ENV &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DES3_CBC_RAW" href="ENCTYPE_DES3_CBC_RAW.html" />
     <link rel="prev" title="ENCTYPE_CAMELLIA256_CTS_CMAC" href="ENCTYPE_CAMELLIA256_CTS_CMAC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-des3-cbc-env">
+  <section id="enctype-des3-cbc-env">
 <span id="enctype-des3-cbc-env-data"></span><h1>ENCTYPE_DES3_CBC_ENV<a class="headerlink" href="#enctype-des3-cbc-env" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DES3_CBC_ENV">
-<code class="descname">ENCTYPE_DES3_CBC_ENV</code><a class="headerlink" href="#ENCTYPE_DES3_CBC_ENV" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DES3_CBC_ENV">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DES3_CBC_ENV</span></span><a class="headerlink" href="#ENCTYPE_DES3_CBC_ENV" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>DES-3 cbc mode, CMS enveloped data.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DES3_CBC_ENV</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x000f</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DES3_CBC_ENV</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x000f</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DES3_CBC_ENV</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_RAW.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_RAW.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_RAW.html	2023-08-14 16:21:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_RAW.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DES3_CBC_RAW &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DES3_CBC_SHA" href="ENCTYPE_DES3_CBC_SHA.html" />
     <link rel="prev" title="ENCTYPE_DES3_CBC_ENV" href="ENCTYPE_DES3_CBC_ENV.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-des3-cbc-raw">
+  <section id="enctype-des3-cbc-raw">
 <span id="enctype-des3-cbc-raw-data"></span><h1>ENCTYPE_DES3_CBC_RAW<a class="headerlink" href="#enctype-des3-cbc-raw" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DES3_CBC_RAW">
-<code class="descname">ENCTYPE_DES3_CBC_RAW</code><a class="headerlink" href="#ENCTYPE_DES3_CBC_RAW" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DES3_CBC_RAW">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DES3_CBC_RAW</span></span><a class="headerlink" href="#ENCTYPE_DES3_CBC_RAW" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DES3_CBC_RAW</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0006</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DES3_CBC_RAW</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0006</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DES3_CBC_RAW</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_SHA.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_SHA.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_SHA.html	2023-08-14 16:21:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_SHA.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DES3_CBC_SHA &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DES3_CBC_SHA1" href="ENCTYPE_DES3_CBC_SHA1.html" />
     <link rel="prev" title="ENCTYPE_DES3_CBC_RAW" href="ENCTYPE_DES3_CBC_RAW.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-des3-cbc-sha">
+  <section id="enctype-des3-cbc-sha">
 <span id="enctype-des3-cbc-sha-data"></span><h1>ENCTYPE_DES3_CBC_SHA<a class="headerlink" href="#enctype-des3-cbc-sha" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DES3_CBC_SHA">
-<code class="descname">ENCTYPE_DES3_CBC_SHA</code><a class="headerlink" href="#ENCTYPE_DES3_CBC_SHA" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DES3_CBC_SHA">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DES3_CBC_SHA</span></span><a class="headerlink" href="#ENCTYPE_DES3_CBC_SHA" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DES3_CBC_SHA</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0005</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DES3_CBC_SHA</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0005</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DES3_CBC_SHA</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1.html	2023-08-14 16:21:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DES3_CBC_SHA1 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DES_CBC_CRC" href="ENCTYPE_DES_CBC_CRC.html" />
     <link rel="prev" title="ENCTYPE_DES3_CBC_SHA" href="ENCTYPE_DES3_CBC_SHA.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-des3-cbc-sha1">
+  <section id="enctype-des3-cbc-sha1">
 <span id="enctype-des3-cbc-sha1-data"></span><h1>ENCTYPE_DES3_CBC_SHA1<a class="headerlink" href="#enctype-des3-cbc-sha1" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DES3_CBC_SHA1">
-<code class="descname">ENCTYPE_DES3_CBC_SHA1</code><a class="headerlink" href="#ENCTYPE_DES3_CBC_SHA1" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DES3_CBC_SHA1">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DES3_CBC_SHA1</span></span><a class="headerlink" href="#ENCTYPE_DES3_CBC_SHA1" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DES3_CBC_SHA1</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0010</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DES3_CBC_SHA1</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0010</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DES3_CBC_SHA1</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_CRC.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_CRC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_CRC.html	2023-08-14 16:21:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_CRC.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DES_CBC_CRC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DES_CBC_MD4" href="ENCTYPE_DES_CBC_MD4.html" />
     <link rel="prev" title="ENCTYPE_DES3_CBC_SHA1" href="ENCTYPE_DES3_CBC_SHA1.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-des-cbc-crc">
+  <section id="enctype-des-cbc-crc">
 <span id="enctype-des-cbc-crc-data"></span><h1>ENCTYPE_DES_CBC_CRC<a class="headerlink" href="#enctype-des-cbc-crc" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DES_CBC_CRC">
-<code class="descname">ENCTYPE_DES_CBC_CRC</code><a class="headerlink" href="#ENCTYPE_DES_CBC_CRC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DES_CBC_CRC">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DES_CBC_CRC</span></span><a class="headerlink" href="#ENCTYPE_DES_CBC_CRC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DES_CBC_CRC</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DES_CBC_CRC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DES_CBC_CRC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_MD4.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_MD4.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_MD4.html	2023-08-14 16:21:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_MD4.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DES_CBC_MD4 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DES_CBC_MD5" href="ENCTYPE_DES_CBC_MD5.html" />
     <link rel="prev" title="ENCTYPE_DES_CBC_CRC" href="ENCTYPE_DES_CBC_CRC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-des-cbc-md4">
+  <section id="enctype-des-cbc-md4">
 <span id="enctype-des-cbc-md4-data"></span><h1>ENCTYPE_DES_CBC_MD4<a class="headerlink" href="#enctype-des-cbc-md4" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DES_CBC_MD4">
-<code class="descname">ENCTYPE_DES_CBC_MD4</code><a class="headerlink" href="#ENCTYPE_DES_CBC_MD4" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DES_CBC_MD4">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DES_CBC_MD4</span></span><a class="headerlink" href="#ENCTYPE_DES_CBC_MD4" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DES_CBC_MD4</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DES_CBC_MD4</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DES_CBC_MD4</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_MD5.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_MD5.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_MD5.html	2023-08-14 16:21:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_MD5.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DES_CBC_MD5 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DES_CBC_RAW" href="ENCTYPE_DES_CBC_RAW.html" />
     <link rel="prev" title="ENCTYPE_DES_CBC_MD4" href="ENCTYPE_DES_CBC_MD4.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-des-cbc-md5">
+  <section id="enctype-des-cbc-md5">
 <span id="enctype-des-cbc-md5-data"></span><h1>ENCTYPE_DES_CBC_MD5<a class="headerlink" href="#enctype-des-cbc-md5" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DES_CBC_MD5">
-<code class="descname">ENCTYPE_DES_CBC_MD5</code><a class="headerlink" href="#ENCTYPE_DES_CBC_MD5" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DES_CBC_MD5">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DES_CBC_MD5</span></span><a class="headerlink" href="#ENCTYPE_DES_CBC_MD5" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DES_CBC_MD5</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0003</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DES_CBC_MD5</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0003</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DES_CBC_MD5</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_RAW.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_RAW.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_RAW.html	2023-08-14 16:21:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_CBC_RAW.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DES_CBC_RAW &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DES_HMAC_SHA1" href="ENCTYPE_DES_HMAC_SHA1.html" />
     <link rel="prev" title="ENCTYPE_DES_CBC_MD5" href="ENCTYPE_DES_CBC_MD5.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-des-cbc-raw">
+  <section id="enctype-des-cbc-raw">
 <span id="enctype-des-cbc-raw-data"></span><h1>ENCTYPE_DES_CBC_RAW<a class="headerlink" href="#enctype-des-cbc-raw" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DES_CBC_RAW">
-<code class="descname">ENCTYPE_DES_CBC_RAW</code><a class="headerlink" href="#ENCTYPE_DES_CBC_RAW" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DES_CBC_RAW">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DES_CBC_RAW</span></span><a class="headerlink" href="#ENCTYPE_DES_CBC_RAW" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DES_CBC_RAW</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0004</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DES_CBC_RAW</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0004</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DES_CBC_RAW</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1.html	2023-08-14 16:21:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DES_HMAC_SHA1 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_DSA_SHA1_CMS" href="ENCTYPE_DSA_SHA1_CMS.html" />
     <link rel="prev" title="ENCTYPE_DES_CBC_RAW" href="ENCTYPE_DES_CBC_RAW.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-des-hmac-sha1">
+  <section id="enctype-des-hmac-sha1">
 <span id="enctype-des-hmac-sha1-data"></span><h1>ENCTYPE_DES_HMAC_SHA1<a class="headerlink" href="#enctype-des-hmac-sha1" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DES_HMAC_SHA1">
-<code class="descname">ENCTYPE_DES_HMAC_SHA1</code><a class="headerlink" href="#ENCTYPE_DES_HMAC_SHA1" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DES_HMAC_SHA1">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DES_HMAC_SHA1</span></span><a class="headerlink" href="#ENCTYPE_DES_HMAC_SHA1" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DES_HMAC_SHA1</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0008</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DES_HMAC_SHA1</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0008</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DES_HMAC_SHA1</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS.html	2023-08-14 16:21:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS.html	2024-06-26 20:01:11.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_DSA_SHA1_CMS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_MD5_RSA_CMS" href="ENCTYPE_MD5_RSA_CMS.html" />
     <link rel="prev" title="ENCTYPE_DES_HMAC_SHA1" href="ENCTYPE_DES_HMAC_SHA1.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-dsa-sha1-cms">
+  <section id="enctype-dsa-sha1-cms">
 <span id="enctype-dsa-sha1-cms-data"></span><h1>ENCTYPE_DSA_SHA1_CMS<a class="headerlink" href="#enctype-dsa-sha1-cms" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_DSA_SHA1_CMS">
-<code class="descname">ENCTYPE_DSA_SHA1_CMS</code><a class="headerlink" href="#ENCTYPE_DSA_SHA1_CMS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_DSA_SHA1_CMS">
+<span class="sig-name descname"><span class="pre">ENCTYPE_DSA_SHA1_CMS</span></span><a class="headerlink" href="#ENCTYPE_DSA_SHA1_CMS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>DSA with SHA1, CMS signature.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_DSA_SHA1_CMS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0009</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_DSA_SHA1_CMS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0009</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_DSA_SHA1_CMS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_MD5_RSA_CMS.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_MD5_RSA_CMS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_MD5_RSA_CMS.html	2023-08-14 16:21:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_MD5_RSA_CMS.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_MD5_RSA_CMS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_NULL" href="ENCTYPE_NULL.html" />
     <link rel="prev" title="ENCTYPE_DSA_SHA1_CMS" href="ENCTYPE_DSA_SHA1_CMS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-md5-rsa-cms">
+  <section id="enctype-md5-rsa-cms">
 <span id="enctype-md5-rsa-cms-data"></span><h1>ENCTYPE_MD5_RSA_CMS<a class="headerlink" href="#enctype-md5-rsa-cms" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_MD5_RSA_CMS">
-<code class="descname">ENCTYPE_MD5_RSA_CMS</code><a class="headerlink" href="#ENCTYPE_MD5_RSA_CMS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_MD5_RSA_CMS">
+<span class="sig-name descname"><span class="pre">ENCTYPE_MD5_RSA_CMS</span></span><a class="headerlink" href="#ENCTYPE_MD5_RSA_CMS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>MD5 with RSA, CMS signature.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_MD5_RSA_CMS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x000a</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_MD5_RSA_CMS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x000a</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_MD5_RSA_CMS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_NULL.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_NULL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_NULL.html	2023-08-14 16:21:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_NULL.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_NULL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_RC2_CBC_ENV" href="ENCTYPE_RC2_CBC_ENV.html" />
     <link rel="prev" title="ENCTYPE_MD5_RSA_CMS" href="ENCTYPE_MD5_RSA_CMS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-null">
+  <section id="enctype-null">
 <span id="enctype-null-data"></span><h1>ENCTYPE_NULL<a class="headerlink" href="#enctype-null" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_NULL">
-<code class="descname">ENCTYPE_NULL</code><a class="headerlink" href="#ENCTYPE_NULL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_NULL">
+<span class="sig-name descname"><span class="pre">ENCTYPE_NULL</span></span><a class="headerlink" href="#ENCTYPE_NULL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="46%" />
-<col width="54%" />
+<col style="width: 46%" />
+<col style="width: 54%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_NULL</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_NULL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_NULL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_RC2_CBC_ENV.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_RC2_CBC_ENV.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_RC2_CBC_ENV.html	2023-08-14 16:21:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_RC2_CBC_ENV.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_RC2_CBC_ENV &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_RSA_ENV" href="ENCTYPE_RSA_ENV.html" />
     <link rel="prev" title="ENCTYPE_NULL" href="ENCTYPE_NULL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-rc2-cbc-env">
+  <section id="enctype-rc2-cbc-env">
 <span id="enctype-rc2-cbc-env-data"></span><h1>ENCTYPE_RC2_CBC_ENV<a class="headerlink" href="#enctype-rc2-cbc-env" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_RC2_CBC_ENV">
-<code class="descname">ENCTYPE_RC2_CBC_ENV</code><a class="headerlink" href="#ENCTYPE_RC2_CBC_ENV" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_RC2_CBC_ENV">
+<span class="sig-name descname"><span class="pre">ENCTYPE_RC2_CBC_ENV</span></span><a class="headerlink" href="#ENCTYPE_RC2_CBC_ENV" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RC2 cbc mode, CMS enveloped data.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_RC2_CBC_ENV</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x000c</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_RC2_CBC_ENV</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x000c</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_RC2_CBC_ENV</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_RSA_ENV.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_RSA_ENV.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_RSA_ENV.html	2023-08-14 16:21:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_RSA_ENV.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_RSA_ENV &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_RSA_ES_OAEP_ENV" href="ENCTYPE_RSA_ES_OAEP_ENV.html" />
     <link rel="prev" title="ENCTYPE_RC2_CBC_ENV" href="ENCTYPE_RC2_CBC_ENV.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-rsa-env">
+  <section id="enctype-rsa-env">
 <span id="enctype-rsa-env-data"></span><h1>ENCTYPE_RSA_ENV<a class="headerlink" href="#enctype-rsa-env" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_RSA_ENV">
-<code class="descname">ENCTYPE_RSA_ENV</code><a class="headerlink" href="#ENCTYPE_RSA_ENV" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_RSA_ENV">
+<span class="sig-name descname"><span class="pre">ENCTYPE_RSA_ENV</span></span><a class="headerlink" href="#ENCTYPE_RSA_ENV" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RSA encryption, CMS enveloped data.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_RSA_ENV</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x000d</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_RSA_ENV</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x000d</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_RSA_ENV</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV.html	2023-08-14 16:21:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_RSA_ES_OAEP_ENV &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_SHA1_RSA_CMS" href="ENCTYPE_SHA1_RSA_CMS.html" />
     <link rel="prev" title="ENCTYPE_RSA_ENV" href="ENCTYPE_RSA_ENV.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-rsa-es-oaep-env">
+  <section id="enctype-rsa-es-oaep-env">
 <span id="enctype-rsa-es-oaep-env-data"></span><h1>ENCTYPE_RSA_ES_OAEP_ENV<a class="headerlink" href="#enctype-rsa-es-oaep-env" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_RSA_ES_OAEP_ENV">
-<code class="descname">ENCTYPE_RSA_ES_OAEP_ENV</code><a class="headerlink" href="#ENCTYPE_RSA_ES_OAEP_ENV" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_RSA_ES_OAEP_ENV">
+<span class="sig-name descname"><span class="pre">ENCTYPE_RSA_ES_OAEP_ENV</span></span><a class="headerlink" href="#ENCTYPE_RSA_ES_OAEP_ENV" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RSA w/OEAP encryption, CMS enveloped data.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_RSA_ES_OAEP_ENV</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x000e</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_RSA_ES_OAEP_ENV</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x000e</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_RSA_ES_OAEP_ENV</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS.html	2023-08-14 16:21:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_SHA1_RSA_CMS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ENCTYPE_UNKNOWN" href="ENCTYPE_UNKNOWN.html" />
     <link rel="prev" title="ENCTYPE_RSA_ES_OAEP_ENV" href="ENCTYPE_RSA_ES_OAEP_ENV.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-sha1-rsa-cms">
+  <section id="enctype-sha1-rsa-cms">
 <span id="enctype-sha1-rsa-cms-data"></span><h1>ENCTYPE_SHA1_RSA_CMS<a class="headerlink" href="#enctype-sha1-rsa-cms" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_SHA1_RSA_CMS">
-<code class="descname">ENCTYPE_SHA1_RSA_CMS</code><a class="headerlink" href="#ENCTYPE_SHA1_RSA_CMS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_SHA1_RSA_CMS">
+<span class="sig-name descname"><span class="pre">ENCTYPE_SHA1_RSA_CMS</span></span><a class="headerlink" href="#ENCTYPE_SHA1_RSA_CMS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>SHA1 with RSA, CMS signature.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_SHA1_RSA_CMS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x000b</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_SHA1_RSA_CMS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x000b</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_SHA1_RSA_CMS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_UNKNOWN.html 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_UNKNOWN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/ENCTYPE_UNKNOWN.html	2023-08-14 16:21:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/ENCTYPE_UNKNOWN.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ENCTYPE_UNKNOWN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_ALLOW_POSTDATE" href="KDC_OPT_ALLOW_POSTDATE.html" />
     <link rel="prev" title="ENCTYPE_SHA1_RSA_CMS" href="ENCTYPE_SHA1_RSA_CMS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="enctype-unknown">
+  <section id="enctype-unknown">
 <span id="enctype-unknown-data"></span><h1>ENCTYPE_UNKNOWN<a class="headerlink" href="#enctype-unknown" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="ENCTYPE_UNKNOWN">
-<code class="descname">ENCTYPE_UNKNOWN</code><a class="headerlink" href="#ENCTYPE_UNKNOWN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="ENCTYPE_UNKNOWN">
+<span class="sig-name descname"><span class="pre">ENCTYPE_UNKNOWN</span></span><a class="headerlink" href="#ENCTYPE_UNKNOWN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">ENCTYPE_UNKNOWN</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x01ff</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">ENCTYPE_UNKNOWN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x01ff</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ENCTYPE_UNKNOWN</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE.html	2023-08-14 16:21:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_ALLOW_POSTDATE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_CANONICALIZE" href="KDC_OPT_CANONICALIZE.html" />
     <link rel="prev" title="ENCTYPE_UNKNOWN" href="ENCTYPE_UNKNOWN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-allow-postdate">
+  <section id="kdc-opt-allow-postdate">
 <span id="kdc-opt-allow-postdate-data"></span><h1>KDC_OPT_ALLOW_POSTDATE<a class="headerlink" href="#kdc-opt-allow-postdate" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_ALLOW_POSTDATE">
-<code class="descname">KDC_OPT_ALLOW_POSTDATE</code><a class="headerlink" href="#KDC_OPT_ALLOW_POSTDATE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_ALLOW_POSTDATE">
+<span class="sig-name descname"><span class="pre">KDC_OPT_ALLOW_POSTDATE</span></span><a class="headerlink" href="#KDC_OPT_ALLOW_POSTDATE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_ALLOW_POSTDATE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x04000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_ALLOW_POSTDATE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x04000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_ALLOW_POSTDATE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_CANONICALIZE.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_CANONICALIZE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_CANONICALIZE.html	2023-08-14 16:21:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_CANONICALIZE.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_CANONICALIZE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_CNAME_IN_ADDL_TKT" href="KDC_OPT_CNAME_IN_ADDL_TKT.html" />
     <link rel="prev" title="KDC_OPT_ALLOW_POSTDATE" href="KDC_OPT_ALLOW_POSTDATE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-canonicalize">
+  <section id="kdc-opt-canonicalize">
 <span id="kdc-opt-canonicalize-data"></span><h1>KDC_OPT_CANONICALIZE<a class="headerlink" href="#kdc-opt-canonicalize" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_CANONICALIZE">
-<code class="descname">KDC_OPT_CANONICALIZE</code><a class="headerlink" href="#KDC_OPT_CANONICALIZE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_CANONICALIZE">
+<span class="sig-name descname"><span class="pre">KDC_OPT_CANONICALIZE</span></span><a class="headerlink" href="#KDC_OPT_CANONICALIZE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_CANONICALIZE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00010000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_CANONICALIZE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00010000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_CANONICALIZE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT.html	2023-08-14 16:21:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_CNAME_IN_ADDL_TKT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_DISABLE_TRANSITED_CHECK" href="KDC_OPT_DISABLE_TRANSITED_CHECK.html" />
     <link rel="prev" title="KDC_OPT_CANONICALIZE" href="KDC_OPT_CANONICALIZE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-cname-in-addl-tkt">
+  <section id="kdc-opt-cname-in-addl-tkt">
 <span id="kdc-opt-cname-in-addl-tkt-data"></span><h1>KDC_OPT_CNAME_IN_ADDL_TKT<a class="headerlink" href="#kdc-opt-cname-in-addl-tkt" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_CNAME_IN_ADDL_TKT">
-<code class="descname">KDC_OPT_CNAME_IN_ADDL_TKT</code><a class="headerlink" href="#KDC_OPT_CNAME_IN_ADDL_TKT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_CNAME_IN_ADDL_TKT">
+<span class="sig-name descname"><span class="pre">KDC_OPT_CNAME_IN_ADDL_TKT</span></span><a class="headerlink" href="#KDC_OPT_CNAME_IN_ADDL_TKT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_CNAME_IN_ADDL_TKT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00020000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_CNAME_IN_ADDL_TKT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00020000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_CNAME_IN_ADDL_TKT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK.html	2023-08-14 16:21:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_DISABLE_TRANSITED_CHECK &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_ENC_TKT_IN_SKEY" href="KDC_OPT_ENC_TKT_IN_SKEY.html" />
     <link rel="prev" title="KDC_OPT_CNAME_IN_ADDL_TKT" href="KDC_OPT_CNAME_IN_ADDL_TKT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-disable-transited-check">
+  <section id="kdc-opt-disable-transited-check">
 <span id="kdc-opt-disable-transited-check-data"></span><h1>KDC_OPT_DISABLE_TRANSITED_CHECK<a class="headerlink" href="#kdc-opt-disable-transited-check" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_DISABLE_TRANSITED_CHECK">
-<code class="descname">KDC_OPT_DISABLE_TRANSITED_CHECK</code><a class="headerlink" href="#KDC_OPT_DISABLE_TRANSITED_CHECK" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_DISABLE_TRANSITED_CHECK">
+<span class="sig-name descname"><span class="pre">KDC_OPT_DISABLE_TRANSITED_CHECK</span></span><a class="headerlink" href="#KDC_OPT_DISABLE_TRANSITED_CHECK" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_DISABLE_TRANSITED_CHECK</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000020</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_DISABLE_TRANSITED_CHECK</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000020</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_DISABLE_TRANSITED_CHECK</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY.html	2023-08-14 16:21:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_ENC_TKT_IN_SKEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_FORWARDABLE" href="KDC_OPT_FORWARDABLE.html" />
     <link rel="prev" title="KDC_OPT_DISABLE_TRANSITED_CHECK" href="KDC_OPT_DISABLE_TRANSITED_CHECK.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-enc-tkt-in-skey">
+  <section id="kdc-opt-enc-tkt-in-skey">
 <span id="kdc-opt-enc-tkt-in-skey-data"></span><h1>KDC_OPT_ENC_TKT_IN_SKEY<a class="headerlink" href="#kdc-opt-enc-tkt-in-skey" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_ENC_TKT_IN_SKEY">
-<code class="descname">KDC_OPT_ENC_TKT_IN_SKEY</code><a class="headerlink" href="#KDC_OPT_ENC_TKT_IN_SKEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_ENC_TKT_IN_SKEY">
+<span class="sig-name descname"><span class="pre">KDC_OPT_ENC_TKT_IN_SKEY</span></span><a class="headerlink" href="#KDC_OPT_ENC_TKT_IN_SKEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_ENC_TKT_IN_SKEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000008</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_ENC_TKT_IN_SKEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000008</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_ENC_TKT_IN_SKEY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_FORWARDABLE.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_FORWARDABLE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_FORWARDABLE.html	2023-08-14 16:21:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_FORWARDABLE.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_FORWARDABLE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_FORWARDED" href="KDC_OPT_FORWARDED.html" />
     <link rel="prev" title="KDC_OPT_ENC_TKT_IN_SKEY" href="KDC_OPT_ENC_TKT_IN_SKEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-forwardable">
+  <section id="kdc-opt-forwardable">
 <span id="kdc-opt-forwardable-data"></span><h1>KDC_OPT_FORWARDABLE<a class="headerlink" href="#kdc-opt-forwardable" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_FORWARDABLE">
-<code class="descname">KDC_OPT_FORWARDABLE</code><a class="headerlink" href="#KDC_OPT_FORWARDABLE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_FORWARDABLE">
+<span class="sig-name descname"><span class="pre">KDC_OPT_FORWARDABLE</span></span><a class="headerlink" href="#KDC_OPT_FORWARDABLE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_FORWARDABLE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x40000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_FORWARDABLE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x40000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_FORWARDABLE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_FORWARDED.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_FORWARDED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_FORWARDED.html	2023-08-14 16:21:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_FORWARDED.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_FORWARDED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_POSTDATED" href="KDC_OPT_POSTDATED.html" />
     <link rel="prev" title="KDC_OPT_FORWARDABLE" href="KDC_OPT_FORWARDABLE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-forwarded">
+  <section id="kdc-opt-forwarded">
 <span id="kdc-opt-forwarded-data"></span><h1>KDC_OPT_FORWARDED<a class="headerlink" href="#kdc-opt-forwarded" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_FORWARDED">
-<code class="descname">KDC_OPT_FORWARDED</code><a class="headerlink" href="#KDC_OPT_FORWARDED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_FORWARDED">
+<span class="sig-name descname"><span class="pre">KDC_OPT_FORWARDED</span></span><a class="headerlink" href="#KDC_OPT_FORWARDED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_FORWARDED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x20000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_FORWARDED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x20000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_FORWARDED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_POSTDATED.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_POSTDATED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_POSTDATED.html	2023-08-14 16:21:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_POSTDATED.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_POSTDATED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_PROXIABLE" href="KDC_OPT_PROXIABLE.html" />
     <link rel="prev" title="KDC_OPT_FORWARDED" href="KDC_OPT_FORWARDED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-postdated">
+  <section id="kdc-opt-postdated">
 <span id="kdc-opt-postdated-data"></span><h1>KDC_OPT_POSTDATED<a class="headerlink" href="#kdc-opt-postdated" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_POSTDATED">
-<code class="descname">KDC_OPT_POSTDATED</code><a class="headerlink" href="#KDC_OPT_POSTDATED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_POSTDATED">
+<span class="sig-name descname"><span class="pre">KDC_OPT_POSTDATED</span></span><a class="headerlink" href="#KDC_OPT_POSTDATED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_POSTDATED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x02000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_POSTDATED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x02000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_POSTDATED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_PROXIABLE.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_PROXIABLE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_PROXIABLE.html	2023-08-14 16:21:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_PROXIABLE.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_PROXIABLE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_PROXY" href="KDC_OPT_PROXY.html" />
     <link rel="prev" title="KDC_OPT_POSTDATED" href="KDC_OPT_POSTDATED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-proxiable">
+  <section id="kdc-opt-proxiable">
 <span id="kdc-opt-proxiable-data"></span><h1>KDC_OPT_PROXIABLE<a class="headerlink" href="#kdc-opt-proxiable" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_PROXIABLE">
-<code class="descname">KDC_OPT_PROXIABLE</code><a class="headerlink" href="#KDC_OPT_PROXIABLE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_PROXIABLE">
+<span class="sig-name descname"><span class="pre">KDC_OPT_PROXIABLE</span></span><a class="headerlink" href="#KDC_OPT_PROXIABLE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_PROXIABLE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x10000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_PROXIABLE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x10000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_PROXIABLE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_PROXY.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_PROXY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_PROXY.html	2023-08-14 16:21:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_PROXY.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_PROXY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_RENEW" href="KDC_OPT_RENEW.html" />
     <link rel="prev" title="KDC_OPT_PROXIABLE" href="KDC_OPT_PROXIABLE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-proxy">
+  <section id="kdc-opt-proxy">
 <span id="kdc-opt-proxy-data"></span><h1>KDC_OPT_PROXY<a class="headerlink" href="#kdc-opt-proxy" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_PROXY">
-<code class="descname">KDC_OPT_PROXY</code><a class="headerlink" href="#KDC_OPT_PROXY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_PROXY">
+<span class="sig-name descname"><span class="pre">KDC_OPT_PROXY</span></span><a class="headerlink" href="#KDC_OPT_PROXY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="48%" />
-<col width="52%" />
+<col style="width: 48%" />
+<col style="width: 52%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_PROXY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x08000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_PROXY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x08000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_PROXY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_RENEW.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_RENEW.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_RENEW.html	2023-08-14 16:21:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_RENEW.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_RENEW &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_RENEWABLE" href="KDC_OPT_RENEWABLE.html" />
     <link rel="prev" title="KDC_OPT_PROXY" href="KDC_OPT_PROXY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-renew">
+  <section id="kdc-opt-renew">
 <span id="kdc-opt-renew-data"></span><h1>KDC_OPT_RENEW<a class="headerlink" href="#kdc-opt-renew" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_RENEW">
-<code class="descname">KDC_OPT_RENEW</code><a class="headerlink" href="#KDC_OPT_RENEW" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_RENEW">
+<span class="sig-name descname"><span class="pre">KDC_OPT_RENEW</span></span><a class="headerlink" href="#KDC_OPT_RENEW" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="48%" />
-<col width="52%" />
+<col style="width: 48%" />
+<col style="width: 52%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_RENEW</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_RENEW</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_RENEW</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_RENEWABLE.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_RENEWABLE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_RENEWABLE.html	2023-08-14 16:21:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_RENEWABLE.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_RENEWABLE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_RENEWABLE_OK" href="KDC_OPT_RENEWABLE_OK.html" />
     <link rel="prev" title="KDC_OPT_RENEW" href="KDC_OPT_RENEW.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-renewable">
+  <section id="kdc-opt-renewable">
 <span id="kdc-opt-renewable-data"></span><h1>KDC_OPT_RENEWABLE<a class="headerlink" href="#kdc-opt-renewable" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_RENEWABLE">
-<code class="descname">KDC_OPT_RENEWABLE</code><a class="headerlink" href="#KDC_OPT_RENEWABLE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_RENEWABLE">
+<span class="sig-name descname"><span class="pre">KDC_OPT_RENEWABLE</span></span><a class="headerlink" href="#KDC_OPT_RENEWABLE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_RENEWABLE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00800000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_RENEWABLE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00800000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_RENEWABLE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_RENEWABLE_OK.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_RENEWABLE_OK.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_RENEWABLE_OK.html	2023-08-14 16:21:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_RENEWABLE_OK.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_RENEWABLE_OK &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_REQUEST_ANONYMOUS" href="KDC_OPT_REQUEST_ANONYMOUS.html" />
     <link rel="prev" title="KDC_OPT_RENEWABLE" href="KDC_OPT_RENEWABLE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-renewable-ok">
+  <section id="kdc-opt-renewable-ok">
 <span id="kdc-opt-renewable-ok-data"></span><h1>KDC_OPT_RENEWABLE_OK<a class="headerlink" href="#kdc-opt-renewable-ok" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_RENEWABLE_OK">
-<code class="descname">KDC_OPT_RENEWABLE_OK</code><a class="headerlink" href="#KDC_OPT_RENEWABLE_OK" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_RENEWABLE_OK">
+<span class="sig-name descname"><span class="pre">KDC_OPT_RENEWABLE_OK</span></span><a class="headerlink" href="#KDC_OPT_RENEWABLE_OK" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_RENEWABLE_OK</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000010</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_RENEWABLE_OK</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000010</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_RENEWABLE_OK</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS.html	2023-08-14 16:21:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS.html	2024-06-26 20:01:12.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_REQUEST_ANONYMOUS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_OPT_VALIDATE" href="KDC_OPT_VALIDATE.html" />
     <link rel="prev" title="KDC_OPT_RENEWABLE_OK" href="KDC_OPT_RENEWABLE_OK.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-request-anonymous">
+  <section id="kdc-opt-request-anonymous">
 <span id="kdc-opt-request-anonymous-data"></span><h1>KDC_OPT_REQUEST_ANONYMOUS<a class="headerlink" href="#kdc-opt-request-anonymous" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_REQUEST_ANONYMOUS">
-<code class="descname">KDC_OPT_REQUEST_ANONYMOUS</code><a class="headerlink" href="#KDC_OPT_REQUEST_ANONYMOUS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_REQUEST_ANONYMOUS">
+<span class="sig-name descname"><span class="pre">KDC_OPT_REQUEST_ANONYMOUS</span></span><a class="headerlink" href="#KDC_OPT_REQUEST_ANONYMOUS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_REQUEST_ANONYMOUS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00008000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_REQUEST_ANONYMOUS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00008000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_REQUEST_ANONYMOUS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_VALIDATE.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_VALIDATE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_OPT_VALIDATE.html	2023-08-14 16:21:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_OPT_VALIDATE.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_OPT_VALIDATE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KDC_TKT_COMMON_MASK" href="KDC_TKT_COMMON_MASK.html" />
     <link rel="prev" title="KDC_OPT_REQUEST_ANONYMOUS" href="KDC_OPT_REQUEST_ANONYMOUS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-opt-validate">
+  <section id="kdc-opt-validate">
 <span id="kdc-opt-validate-data"></span><h1>KDC_OPT_VALIDATE<a class="headerlink" href="#kdc-opt-validate" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_OPT_VALIDATE">
-<code class="descname">KDC_OPT_VALIDATE</code><a class="headerlink" href="#KDC_OPT_VALIDATE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_OPT_VALIDATE">
+<span class="sig-name descname"><span class="pre">KDC_OPT_VALIDATE</span></span><a class="headerlink" href="#KDC_OPT_VALIDATE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_OPT_VALIDATE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_OPT_VALIDATE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_OPT_VALIDATE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KDC_TKT_COMMON_MASK.html 1.21.3-1/doc/html/appdev/refs/macros/KDC_TKT_COMMON_MASK.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KDC_TKT_COMMON_MASK.html	2023-08-14 16:21:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KDC_TKT_COMMON_MASK.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC_TKT_COMMON_MASK &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE" href="KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE.html" />
     <link rel="prev" title="KDC_OPT_VALIDATE" href="KDC_OPT_VALIDATE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-tkt-common-mask">
+  <section id="kdc-tkt-common-mask">
 <span id="kdc-tkt-common-mask-data"></span><h1>KDC_TKT_COMMON_MASK<a class="headerlink" href="#kdc-tkt-common-mask" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KDC_TKT_COMMON_MASK">
-<code class="descname">KDC_TKT_COMMON_MASK</code><a class="headerlink" href="#KDC_TKT_COMMON_MASK" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KDC_TKT_COMMON_MASK">
+<span class="sig-name descname"><span class="pre">KDC_TKT_COMMON_MASK</span></span><a class="headerlink" href="#KDC_TKT_COMMON_MASK" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KDC_TKT_COMMON_MASK</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x54800000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KDC_TKT_COMMON_MASK</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x54800000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC_TKT_COMMON_MASK</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE.html	2023-08-14 16:21:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_ANONYMOUS_PRINCSTR" href="KRB5_ANONYMOUS_PRINCSTR.html" />
     <link rel="prev" title="KDC_TKT_COMMON_MASK" href="KDC_TKT_COMMON_MASK.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-altauth-att-challenge-response">
+  <section id="krb5-altauth-att-challenge-response">
 <span id="krb5-altauth-att-challenge-response-data"></span><h1>KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE<a class="headerlink" href="#krb5-altauth-att-challenge-response" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE">
-<code class="descname">KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE</code><a class="headerlink" href="#KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE">
+<span class="sig-name descname"><span class="pre">KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE</span></span><a class="headerlink" href="#KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>alternate authentication types</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE</span></code></td>
-<td><code class="docutils literal"><span class="pre">64</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">64</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR.html	2023-08-14 16:21:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_ANONYMOUS_PRINCSTR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_ANONYMOUS_REALMSTR" href="KRB5_ANONYMOUS_REALMSTR.html" />
     <link rel="prev" title="KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE" href="KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-anonymous-princstr">
+  <section id="krb5-anonymous-princstr">
 <span id="krb5-anonymous-princstr-data"></span><h1>KRB5_ANONYMOUS_PRINCSTR<a class="headerlink" href="#krb5-anonymous-princstr" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_ANONYMOUS_PRINCSTR">
-<code class="descname">KRB5_ANONYMOUS_PRINCSTR</code><a class="headerlink" href="#KRB5_ANONYMOUS_PRINCSTR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_ANONYMOUS_PRINCSTR">
+<span class="sig-name descname"><span class="pre">KRB5_ANONYMOUS_PRINCSTR</span></span><a class="headerlink" href="#KRB5_ANONYMOUS_PRINCSTR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Anonymous principal name.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_ANONYMOUS_PRINCSTR</span></code></td>
-<td><code class="docutils literal"><span class="pre">&quot;ANONYMOUS&quot;</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_ANONYMOUS_PRINCSTR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">&quot;ANONYMOUS&quot;</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_ANONYMOUS_PRINCSTR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR.html	2023-08-14 16:21:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_ANONYMOUS_REALMSTR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AP_REP" href="KRB5_AP_REP.html" />
     <link rel="prev" title="KRB5_ANONYMOUS_PRINCSTR" href="KRB5_ANONYMOUS_PRINCSTR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-anonymous-realmstr">
+  <section id="krb5-anonymous-realmstr">
 <span id="krb5-anonymous-realmstr-data"></span><h1>KRB5_ANONYMOUS_REALMSTR<a class="headerlink" href="#krb5-anonymous-realmstr" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_ANONYMOUS_REALMSTR">
-<code class="descname">KRB5_ANONYMOUS_REALMSTR</code><a class="headerlink" href="#KRB5_ANONYMOUS_REALMSTR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_ANONYMOUS_REALMSTR">
+<span class="sig-name descname"><span class="pre">KRB5_ANONYMOUS_REALMSTR</span></span><a class="headerlink" href="#KRB5_ANONYMOUS_REALMSTR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Anonymous realm.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_ANONYMOUS_REALMSTR</span></code></td>
-<td><code class="docutils literal"><span class="pre">&quot;WELLKNOWN:ANONYMOUS&quot;</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_ANONYMOUS_REALMSTR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">&quot;WELLKNOWN:ANONYMOUS&quot;</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_ANONYMOUS_REALMSTR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AP_REP.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AP_REP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AP_REP.html	2023-08-14 16:21:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AP_REP.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AP_REP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AP_REQ" href="KRB5_AP_REQ.html" />
     <link rel="prev" title="KRB5_ANONYMOUS_REALMSTR" href="KRB5_ANONYMOUS_REALMSTR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ap-rep">
+  <section id="krb5-ap-rep">
 <span id="krb5-ap-rep-data"></span><h1>KRB5_AP_REP<a class="headerlink" href="#krb5-ap-rep" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AP_REP">
-<code class="descname">KRB5_AP_REP</code><a class="headerlink" href="#KRB5_AP_REP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AP_REP">
+<span class="sig-name descname"><span class="pre">KRB5_AP_REP</span></span><a class="headerlink" href="#KRB5_AP_REP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Response to mutual AP request.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="42%" />
-<col width="58%" />
+<col style="width: 42%" />
+<col style="width: 58%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AP_REP</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)15)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AP_REP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)15)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AP_REP</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AP_REQ.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AP_REQ.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AP_REQ.html	2023-08-14 16:21:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AP_REQ.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AP_REQ &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AS_REP" href="KRB5_AS_REP.html" />
     <link rel="prev" title="KRB5_AP_REP" href="KRB5_AP_REP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ap-req">
+  <section id="krb5-ap-req">
 <span id="krb5-ap-req-data"></span><h1>KRB5_AP_REQ<a class="headerlink" href="#krb5-ap-req" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AP_REQ">
-<code class="descname">KRB5_AP_REQ</code><a class="headerlink" href="#KRB5_AP_REQ" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AP_REQ">
+<span class="sig-name descname"><span class="pre">KRB5_AP_REQ</span></span><a class="headerlink" href="#KRB5_AP_REQ" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Auth req to application server.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="42%" />
-<col width="58%" />
+<col style="width: 42%" />
+<col style="width: 58%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AP_REQ</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)14)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AP_REQ</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)14)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AP_REQ</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AS_REP.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AS_REP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AS_REP.html	2023-08-14 16:21:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AS_REP.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AS_REP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AS_REQ" href="KRB5_AS_REQ.html" />
     <link rel="prev" title="KRB5_AP_REQ" href="KRB5_AP_REQ.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-as-rep">
+  <section id="krb5-as-rep">
 <span id="krb5-as-rep-data"></span><h1>KRB5_AS_REP<a class="headerlink" href="#krb5-as-rep" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AS_REP">
-<code class="descname">KRB5_AS_REP</code><a class="headerlink" href="#KRB5_AS_REP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AS_REP">
+<span class="sig-name descname"><span class="pre">KRB5_AS_REP</span></span><a class="headerlink" href="#KRB5_AS_REP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Response to AS request.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="42%" />
-<col width="58%" />
+<col style="width: 42%" />
+<col style="width: 58%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AS_REP</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)11)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AS_REP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)11)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AS_REP</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AS_REQ.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AS_REQ.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AS_REQ.html	2023-08-14 16:21:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AS_REQ.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AS_REQ &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_AND_OR" href="KRB5_AUTHDATA_AND_OR.html" />
     <link rel="prev" title="KRB5_AS_REP" href="KRB5_AS_REP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-as-req">
+  <section id="krb5-as-req">
 <span id="krb5-as-req-data"></span><h1>KRB5_AS_REQ<a class="headerlink" href="#krb5-as-req" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AS_REQ">
-<code class="descname">KRB5_AS_REQ</code><a class="headerlink" href="#KRB5_AS_REQ" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AS_REQ">
+<span class="sig-name descname"><span class="pre">KRB5_AS_REQ</span></span><a class="headerlink" href="#KRB5_AS_REQ" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Initial authentication request.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="42%" />
-<col width="58%" />
+<col style="width: 42%" />
+<col style="width: 58%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AS_REQ</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)10)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AS_REQ</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)10)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AS_REQ</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AND_OR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AND_OR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AND_OR.html	2023-08-14 16:21:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AND_OR.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_AND_OR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_AP_OPTIONS" href="KRB5_AUTHDATA_AP_OPTIONS.html" />
     <link rel="prev" title="KRB5_AS_REQ" href="KRB5_AS_REQ.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-and-or">
+  <section id="krb5-authdata-and-or">
 <span id="krb5-authdata-and-or-data"></span><h1>KRB5_AUTHDATA_AND_OR<a class="headerlink" href="#krb5-authdata-and-or" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_AND_OR">
-<code class="descname">KRB5_AUTHDATA_AND_OR</code><a class="headerlink" href="#KRB5_AUTHDATA_AND_OR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_AND_OR">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_AND_OR</span></span><a class="headerlink" href="#KRB5_AUTHDATA_AND_OR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_AND_OR</span></code></td>
-<td><code class="docutils literal"><span class="pre">5</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_AND_OR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_AND_OR</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS.html	2023-08-14 16:21:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_AP_OPTIONS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_AUTH_INDICATOR" href="KRB5_AUTHDATA_AUTH_INDICATOR.html" />
     <link rel="prev" title="KRB5_AUTHDATA_AND_OR" href="KRB5_AUTHDATA_AND_OR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-ap-options">
+  <section id="krb5-authdata-ap-options">
 <span id="krb5-authdata-ap-options-data"></span><h1>KRB5_AUTHDATA_AP_OPTIONS<a class="headerlink" href="#krb5-authdata-ap-options" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_AP_OPTIONS">
-<code class="descname">KRB5_AUTHDATA_AP_OPTIONS</code><a class="headerlink" href="#KRB5_AUTHDATA_AP_OPTIONS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_AP_OPTIONS">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_AP_OPTIONS</span></span><a class="headerlink" href="#KRB5_AUTHDATA_AP_OPTIONS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_AP_OPTIONS</span></code></td>
-<td><code class="docutils literal"><span class="pre">143</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_AP_OPTIONS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">143</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_AP_OPTIONS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR.html	2023-08-14 16:21:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_AUTH_INDICATOR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_CAMMAC" href="KRB5_AUTHDATA_CAMMAC.html" />
     <link rel="prev" title="KRB5_AUTHDATA_AP_OPTIONS" href="KRB5_AUTHDATA_AP_OPTIONS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-auth-indicator">
+  <section id="krb5-authdata-auth-indicator">
 <span id="krb5-authdata-auth-indicator-data"></span><h1>KRB5_AUTHDATA_AUTH_INDICATOR<a class="headerlink" href="#krb5-authdata-auth-indicator" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_AUTH_INDICATOR">
-<code class="descname">KRB5_AUTHDATA_AUTH_INDICATOR</code><a class="headerlink" href="#KRB5_AUTHDATA_AUTH_INDICATOR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_AUTH_INDICATOR">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_AUTH_INDICATOR</span></span><a class="headerlink" href="#KRB5_AUTHDATA_AUTH_INDICATOR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_AUTH_INDICATOR</span></code></td>
-<td><code class="docutils literal"><span class="pre">97</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_AUTH_INDICATOR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">97</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_AUTH_INDICATOR</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_CAMMAC.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_CAMMAC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_CAMMAC.html	2023-08-14 16:21:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_CAMMAC.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_CAMMAC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_ETYPE_NEGOTIATION" href="KRB5_AUTHDATA_ETYPE_NEGOTIATION.html" />
     <link rel="prev" title="KRB5_AUTHDATA_AUTH_INDICATOR" href="KRB5_AUTHDATA_AUTH_INDICATOR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-cammac">
+  <section id="krb5-authdata-cammac">
 <span id="krb5-authdata-cammac-data"></span><h1>KRB5_AUTHDATA_CAMMAC<a class="headerlink" href="#krb5-authdata-cammac" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_CAMMAC">
-<code class="descname">KRB5_AUTHDATA_CAMMAC</code><a class="headerlink" href="#KRB5_AUTHDATA_CAMMAC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_CAMMAC">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_CAMMAC</span></span><a class="headerlink" href="#KRB5_AUTHDATA_CAMMAC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_CAMMAC</span></code></td>
-<td><code class="docutils literal"><span class="pre">96</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_CAMMAC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">96</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_CAMMAC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION.html	2023-08-14 16:21:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_ETYPE_NEGOTIATION &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_FX_ARMOR" href="KRB5_AUTHDATA_FX_ARMOR.html" />
     <link rel="prev" title="KRB5_AUTHDATA_CAMMAC" href="KRB5_AUTHDATA_CAMMAC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-etype-negotiation">
+  <section id="krb5-authdata-etype-negotiation">
 <span id="krb5-authdata-etype-negotiation-data"></span><h1>KRB5_AUTHDATA_ETYPE_NEGOTIATION<a class="headerlink" href="#krb5-authdata-etype-negotiation" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_ETYPE_NEGOTIATION">
-<code class="descname">KRB5_AUTHDATA_ETYPE_NEGOTIATION</code><a class="headerlink" href="#KRB5_AUTHDATA_ETYPE_NEGOTIATION" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_ETYPE_NEGOTIATION">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_ETYPE_NEGOTIATION</span></span><a class="headerlink" href="#KRB5_AUTHDATA_ETYPE_NEGOTIATION" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 4537.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_ETYPE_NEGOTIATION</span></code></td>
-<td><code class="docutils literal"><span class="pre">129</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_ETYPE_NEGOTIATION</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">129</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_ETYPE_NEGOTIATION</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR.html	2023-08-14 16:21:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_FX_ARMOR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_IF_RELEVANT" href="KRB5_AUTHDATA_IF_RELEVANT.html" />
     <link rel="prev" title="KRB5_AUTHDATA_ETYPE_NEGOTIATION" href="KRB5_AUTHDATA_ETYPE_NEGOTIATION.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-fx-armor">
+  <section id="krb5-authdata-fx-armor">
 <span id="krb5-authdata-fx-armor-data"></span><h1>KRB5_AUTHDATA_FX_ARMOR<a class="headerlink" href="#krb5-authdata-fx-armor" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_FX_ARMOR">
-<code class="descname">KRB5_AUTHDATA_FX_ARMOR</code><a class="headerlink" href="#KRB5_AUTHDATA_FX_ARMOR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_FX_ARMOR">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_FX_ARMOR</span></span><a class="headerlink" href="#KRB5_AUTHDATA_FX_ARMOR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_FX_ARMOR</span></code></td>
-<td><code class="docutils literal"><span class="pre">71</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_FX_ARMOR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">71</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_FX_ARMOR</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT.html	2023-08-14 16:21:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_IF_RELEVANT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_INITIAL_VERIFIED_CAS" href="KRB5_AUTHDATA_INITIAL_VERIFIED_CAS.html" />
     <link rel="prev" title="KRB5_AUTHDATA_FX_ARMOR" href="KRB5_AUTHDATA_FX_ARMOR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-if-relevant">
+  <section id="krb5-authdata-if-relevant">
 <span id="krb5-authdata-if-relevant-data"></span><h1>KRB5_AUTHDATA_IF_RELEVANT<a class="headerlink" href="#krb5-authdata-if-relevant" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_IF_RELEVANT">
-<code class="descname">KRB5_AUTHDATA_IF_RELEVANT</code><a class="headerlink" href="#KRB5_AUTHDATA_IF_RELEVANT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_IF_RELEVANT">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_IF_RELEVANT</span></span><a class="headerlink" href="#KRB5_AUTHDATA_IF_RELEVANT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_IF_RELEVANT</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_IF_RELEVANT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_IF_RELEVANT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS.html	2023-08-14 16:21:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_INITIAL_VERIFIED_CAS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_KDC_ISSUED" href="KRB5_AUTHDATA_KDC_ISSUED.html" />
     <link rel="prev" title="KRB5_AUTHDATA_IF_RELEVANT" href="KRB5_AUTHDATA_IF_RELEVANT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-initial-verified-cas">
+  <section id="krb5-authdata-initial-verified-cas">
 <span id="krb5-authdata-initial-verified-cas-data"></span><h1>KRB5_AUTHDATA_INITIAL_VERIFIED_CAS<a class="headerlink" href="#krb5-authdata-initial-verified-cas" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_INITIAL_VERIFIED_CAS">
-<code class="descname">KRB5_AUTHDATA_INITIAL_VERIFIED_CAS</code><a class="headerlink" href="#KRB5_AUTHDATA_INITIAL_VERIFIED_CAS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_INITIAL_VERIFIED_CAS">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_INITIAL_VERIFIED_CAS</span></span><a class="headerlink" href="#KRB5_AUTHDATA_INITIAL_VERIFIED_CAS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_INITIAL_VERIFIED_CAS</span></code></td>
-<td><code class="docutils literal"><span class="pre">9</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_INITIAL_VERIFIED_CAS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">9</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_INITIAL_VERIFIED_CAS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED.html	2023-08-14 16:21:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_KDC_ISSUED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_MANDATORY_FOR_KDC" href="KRB5_AUTHDATA_MANDATORY_FOR_KDC.html" />
     <link rel="prev" title="KRB5_AUTHDATA_INITIAL_VERIFIED_CAS" href="KRB5_AUTHDATA_INITIAL_VERIFIED_CAS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-kdc-issued">
+  <section id="krb5-authdata-kdc-issued">
 <span id="krb5-authdata-kdc-issued-data"></span><h1>KRB5_AUTHDATA_KDC_ISSUED<a class="headerlink" href="#krb5-authdata-kdc-issued" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_KDC_ISSUED">
-<code class="descname">KRB5_AUTHDATA_KDC_ISSUED</code><a class="headerlink" href="#KRB5_AUTHDATA_KDC_ISSUED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_KDC_ISSUED">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_KDC_ISSUED</span></span><a class="headerlink" href="#KRB5_AUTHDATA_KDC_ISSUED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_KDC_ISSUED</span></code></td>
-<td><code class="docutils literal"><span class="pre">4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_KDC_ISSUED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_KDC_ISSUED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC.html	2023-08-14 16:21:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_MANDATORY_FOR_KDC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_OSF_DCE" href="KRB5_AUTHDATA_OSF_DCE.html" />
     <link rel="prev" title="KRB5_AUTHDATA_KDC_ISSUED" href="KRB5_AUTHDATA_KDC_ISSUED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-mandatory-for-kdc">
+  <section id="krb5-authdata-mandatory-for-kdc">
 <span id="krb5-authdata-mandatory-for-kdc-data"></span><h1>KRB5_AUTHDATA_MANDATORY_FOR_KDC<a class="headerlink" href="#krb5-authdata-mandatory-for-kdc" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_MANDATORY_FOR_KDC">
-<code class="descname">KRB5_AUTHDATA_MANDATORY_FOR_KDC</code><a class="headerlink" href="#KRB5_AUTHDATA_MANDATORY_FOR_KDC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_MANDATORY_FOR_KDC">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_MANDATORY_FOR_KDC</span></span><a class="headerlink" href="#KRB5_AUTHDATA_MANDATORY_FOR_KDC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_MANDATORY_FOR_KDC</span></code></td>
-<td><code class="docutils literal"><span class="pre">8</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_MANDATORY_FOR_KDC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">8</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_MANDATORY_FOR_KDC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE.html	2023-08-14 16:21:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_OSF_DCE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_SESAME" href="KRB5_AUTHDATA_SESAME.html" />
     <link rel="prev" title="KRB5_AUTHDATA_MANDATORY_FOR_KDC" href="KRB5_AUTHDATA_MANDATORY_FOR_KDC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-osf-dce">
+  <section id="krb5-authdata-osf-dce">
 <span id="krb5-authdata-osf-dce-data"></span><h1>KRB5_AUTHDATA_OSF_DCE<a class="headerlink" href="#krb5-authdata-osf-dce" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_OSF_DCE">
-<code class="descname">KRB5_AUTHDATA_OSF_DCE</code><a class="headerlink" href="#KRB5_AUTHDATA_OSF_DCE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_OSF_DCE">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_OSF_DCE</span></span><a class="headerlink" href="#KRB5_AUTHDATA_OSF_DCE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_OSF_DCE</span></code></td>
-<td><code class="docutils literal"><span class="pre">64</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_OSF_DCE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">64</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_OSF_DCE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_SESAME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_SESAME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_SESAME.html	2023-08-14 16:21:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_SESAME.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_SESAME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_SIGNTICKET" href="KRB5_AUTHDATA_SIGNTICKET.html" />
     <link rel="prev" title="KRB5_AUTHDATA_OSF_DCE" href="KRB5_AUTHDATA_OSF_DCE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-sesame">
+  <section id="krb5-authdata-sesame">
 <span id="krb5-authdata-sesame-data"></span><h1>KRB5_AUTHDATA_SESAME<a class="headerlink" href="#krb5-authdata-sesame" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_SESAME">
-<code class="descname">KRB5_AUTHDATA_SESAME</code><a class="headerlink" href="#KRB5_AUTHDATA_SESAME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_SESAME">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_SESAME</span></span><a class="headerlink" href="#KRB5_AUTHDATA_SESAME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_SESAME</span></code></td>
-<td><code class="docutils literal"><span class="pre">65</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_SESAME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">65</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_SESAME</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET.html	2023-08-14 16:21:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET.html	2024-06-26 20:01:13.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_SIGNTICKET &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTHDATA_WIN2K_PAC" href="KRB5_AUTHDATA_WIN2K_PAC.html" />
     <link rel="prev" title="KRB5_AUTHDATA_SESAME" href="KRB5_AUTHDATA_SESAME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-signticket">
+  <section id="krb5-authdata-signticket">
 <span id="krb5-authdata-signticket-data"></span><h1>KRB5_AUTHDATA_SIGNTICKET<a class="headerlink" href="#krb5-authdata-signticket" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_SIGNTICKET">
-<code class="descname">KRB5_AUTHDATA_SIGNTICKET</code><a class="headerlink" href="#KRB5_AUTHDATA_SIGNTICKET" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_SIGNTICKET">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_SIGNTICKET</span></span><a class="headerlink" href="#KRB5_AUTHDATA_SIGNTICKET" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_SIGNTICKET</span></code></td>
-<td><code class="docutils literal"><span class="pre">512</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_SIGNTICKET</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">512</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_SIGNTICKET</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC.html	2023-08-14 16:21:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTHDATA_WIN2K_PAC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE" href="KRB5_AUTH_CONTEXT_DO_SEQUENCE.html" />
     <link rel="prev" title="KRB5_AUTHDATA_SIGNTICKET" href="KRB5_AUTHDATA_SIGNTICKET.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata-win2k-pac">
+  <section id="krb5-authdata-win2k-pac">
 <span id="krb5-authdata-win2k-pac-data"></span><h1>KRB5_AUTHDATA_WIN2K_PAC<a class="headerlink" href="#krb5-authdata-win2k-pac" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTHDATA_WIN2K_PAC">
-<code class="descname">KRB5_AUTHDATA_WIN2K_PAC</code><a class="headerlink" href="#KRB5_AUTHDATA_WIN2K_PAC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTHDATA_WIN2K_PAC">
+<span class="sig-name descname"><span class="pre">KRB5_AUTHDATA_WIN2K_PAC</span></span><a class="headerlink" href="#KRB5_AUTHDATA_WIN2K_PAC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTHDATA_WIN2K_PAC</span></code></td>
-<td><code class="docutils literal"><span class="pre">128</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTHDATA_WIN2K_PAC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">128</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTHDATA_WIN2K_PAC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html	2023-08-14 16:21:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_DO_SEQUENCE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_DO_TIME" href="KRB5_AUTH_CONTEXT_DO_TIME.html" />
     <link rel="prev" title="KRB5_AUTHDATA_WIN2K_PAC" href="KRB5_AUTHDATA_WIN2K_PAC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-do-sequence">
+  <section id="krb5-auth-context-do-sequence">
 <span id="krb5-auth-context-do-sequence-data"></span><h1>KRB5_AUTH_CONTEXT_DO_SEQUENCE<a class="headerlink" href="#krb5-auth-context-do-sequence" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_DO_SEQUENCE">
-<code class="descname">KRB5_AUTH_CONTEXT_DO_SEQUENCE</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_DO_SEQUENCE">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_DO_SEQUENCE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Prevent replays with sequence numbers.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000004</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_DO_SEQUENCE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000004</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_DO_SEQUENCE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME.html	2023-08-14 16:21:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_DO_TIME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR" href="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_DO_SEQUENCE" href="KRB5_AUTH_CONTEXT_DO_SEQUENCE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-do-time">
+  <section id="krb5-auth-context-do-time">
 <span id="krb5-auth-context-do-time-data"></span><h1>KRB5_AUTH_CONTEXT_DO_TIME<a class="headerlink" href="#krb5-auth-context-do-time" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_DO_TIME">
-<code class="descname">KRB5_AUTH_CONTEXT_DO_TIME</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_DO_TIME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_DO_TIME">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_DO_TIME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Prevent replays with timestamps and replay cache.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_DO_TIME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_DO_TIME</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR.html	2023-08-14 16:21:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR" href="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_DO_TIME" href="KRB5_AUTH_CONTEXT_DO_TIME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-generate-local-addr">
+  <section id="krb5-auth-context-generate-local-addr">
 <span id="krb5-auth-context-generate-local-addr-data"></span><h1>KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR<a class="headerlink" href="#krb5-auth-context-generate-local-addr" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR">
-<code class="descname">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Generate the local network address.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR.html	2023-08-14 16:21:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR" href="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR" href="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-generate-local-full-addr">
+  <section id="krb5-auth-context-generate-local-full-addr">
 <span id="krb5-auth-context-generate-local-full-addr-data"></span><h1>KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR<a class="headerlink" href="#krb5-auth-context-generate-local-full-addr" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR">
-<code class="descname">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Generate the local network address and the local port.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="69%" />
-<col width="31%" />
+<col style="width: 69%" />
+<col style="width: 31%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000004</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000004</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR.html	2023-08-14 16:21:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR" href="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR" href="KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-generate-remote-addr">
+  <section id="krb5-auth-context-generate-remote-addr">
 <span id="krb5-auth-context-generate-remote-addr-data"></span><h1>KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR<a class="headerlink" href="#krb5-auth-context-generate-remote-addr" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR">
-<code class="descname">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Generate the remote network address.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR.html	2023-08-14 16:21:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_PERMIT_ALL" href="KRB5_AUTH_CONTEXT_PERMIT_ALL.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR" href="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-generate-remote-full-addr">
+  <section id="krb5-auth-context-generate-remote-full-addr">
 <span id="krb5-auth-context-generate-remote-full-addr-data"></span><h1>KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR<a class="headerlink" href="#krb5-auth-context-generate-remote-full-addr" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR">
-<code class="descname">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Generate the remote network address and the remote port.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="69%" />
-<col width="31%" />
+<col style="width: 69%" />
+<col style="width: 31%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000008</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000008</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL.html	2023-08-14 16:21:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_PERMIT_ALL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE" href="KRB5_AUTH_CONTEXT_RET_SEQUENCE.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR" href="KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-permit-all">
+  <section id="krb5-auth-context-permit-all">
 <span id="krb5-auth-context-permit-all-data"></span><h1>KRB5_AUTH_CONTEXT_PERMIT_ALL<a class="headerlink" href="#krb5-auth-context-permit-all" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_PERMIT_ALL">
-<code class="descname">KRB5_AUTH_CONTEXT_PERMIT_ALL</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_PERMIT_ALL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_PERMIT_ALL">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_PERMIT_ALL</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_PERMIT_ALL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_PERMIT_ALL</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000010</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_PERMIT_ALL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000010</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_PERMIT_ALL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html	2023-08-14 16:21:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_RET_SEQUENCE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_RET_TIME" href="KRB5_AUTH_CONTEXT_RET_TIME.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_PERMIT_ALL" href="KRB5_AUTH_CONTEXT_PERMIT_ALL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-ret-sequence">
+  <section id="krb5-auth-context-ret-sequence">
 <span id="krb5-auth-context-ret-sequence-data"></span><h1>KRB5_AUTH_CONTEXT_RET_SEQUENCE<a class="headerlink" href="#krb5-auth-context-ret-sequence" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_RET_SEQUENCE">
-<code class="descname">KRB5_AUTH_CONTEXT_RET_SEQUENCE</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_RET_SEQUENCE">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_RET_SEQUENCE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Save sequence numbers for application.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000008</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_RET_SEQUENCE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000008</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_RET_SEQUENCE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME.html	2023-08-14 16:21:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_RET_TIME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_AUTH_CONTEXT_USE_SUBKEY" href="KRB5_AUTH_CONTEXT_USE_SUBKEY.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_RET_SEQUENCE" href="KRB5_AUTH_CONTEXT_RET_SEQUENCE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-ret-time">
+  <section id="krb5-auth-context-ret-time">
 <span id="krb5-auth-context-ret-time-data"></span><h1>KRB5_AUTH_CONTEXT_RET_TIME<a class="headerlink" href="#krb5-auth-context-ret-time" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_RET_TIME">
-<code class="descname">KRB5_AUTH_CONTEXT_RET_TIME</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_RET_TIME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_RET_TIME">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_RET_TIME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Save timestamps for application.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_RET_TIME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_RET_TIME</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY.html	2023-08-14 16:21:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_AUTH_CONTEXT_USE_SUBKEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CRED" href="KRB5_CRED.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_RET_TIME" href="KRB5_AUTH_CONTEXT_RET_TIME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context-use-subkey">
+  <section id="krb5-auth-context-use-subkey">
 <span id="krb5-auth-context-use-subkey-data"></span><h1>KRB5_AUTH_CONTEXT_USE_SUBKEY<a class="headerlink" href="#krb5-auth-context-use-subkey" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_AUTH_CONTEXT_USE_SUBKEY">
-<code class="descname">KRB5_AUTH_CONTEXT_USE_SUBKEY</code><a class="headerlink" href="#KRB5_AUTH_CONTEXT_USE_SUBKEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_AUTH_CONTEXT_USE_SUBKEY">
+<span class="sig-name descname"><span class="pre">KRB5_AUTH_CONTEXT_USE_SUBKEY</span></span><a class="headerlink" href="#KRB5_AUTH_CONTEXT_USE_SUBKEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_AUTH_CONTEXT_USE_SUBKEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000020</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_AUTH_CONTEXT_USE_SUBKEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000020</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_AUTH_CONTEXT_USE_SUBKEY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRED.html	2023-08-14 16:21:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRED.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CRED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CRYPTO_TYPE_CHECKSUM" href="KRB5_CRYPTO_TYPE_CHECKSUM.html" />
     <link rel="prev" title="KRB5_AUTH_CONTEXT_USE_SUBKEY" href="KRB5_AUTH_CONTEXT_USE_SUBKEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cred">
+  <section id="krb5-cred">
 <span id="krb5-cred-data"></span><h1>KRB5_CRED<a class="headerlink" href="#krb5-cred" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CRED">
-<code class="descname">KRB5_CRED</code><a class="headerlink" href="#KRB5_CRED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CRED">
+<span class="sig-name descname"><span class="pre">KRB5_CRED</span></span><a class="headerlink" href="#KRB5_CRED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Cred forwarding message.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="39%" />
-<col width="61%" />
+<col style="width: 39%" />
+<col style="width: 61%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CRED</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)22)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CRED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)22)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CRED</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM.html	2023-08-14 16:21:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CRYPTO_TYPE_CHECKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CRYPTO_TYPE_DATA" href="KRB5_CRYPTO_TYPE_DATA.html" />
     <link rel="prev" title="KRB5_CRED" href="KRB5_CRED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-crypto-type-checksum">
+  <section id="krb5-crypto-type-checksum">
 <span id="krb5-crypto-type-checksum-data"></span><h1>KRB5_CRYPTO_TYPE_CHECKSUM<a class="headerlink" href="#krb5-crypto-type-checksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CRYPTO_TYPE_CHECKSUM">
-<code class="descname">KRB5_CRYPTO_TYPE_CHECKSUM</code><a class="headerlink" href="#KRB5_CRYPTO_TYPE_CHECKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CRYPTO_TYPE_CHECKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_CRYPTO_TYPE_CHECKSUM</span></span><a class="headerlink" href="#KRB5_CRYPTO_TYPE_CHECKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>[out] checksum for MIC</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_CHECKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">6</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CRYPTO_TYPE_CHECKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CRYPTO_TYPE_CHECKSUM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA.html	2023-08-14 16:21:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CRYPTO_TYPE_DATA &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CRYPTO_TYPE_EMPTY" href="KRB5_CRYPTO_TYPE_EMPTY.html" />
     <link rel="prev" title="KRB5_CRYPTO_TYPE_CHECKSUM" href="KRB5_CRYPTO_TYPE_CHECKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-crypto-type-data">
+  <section id="krb5-crypto-type-data">
 <span id="krb5-crypto-type-data-data"></span><h1>KRB5_CRYPTO_TYPE_DATA<a class="headerlink" href="#krb5-crypto-type-data" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CRYPTO_TYPE_DATA">
-<code class="descname">KRB5_CRYPTO_TYPE_DATA</code><a class="headerlink" href="#KRB5_CRYPTO_TYPE_DATA" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CRYPTO_TYPE_DATA">
+<span class="sig-name descname"><span class="pre">KRB5_CRYPTO_TYPE_DATA</span></span><a class="headerlink" href="#KRB5_CRYPTO_TYPE_DATA" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>[in, out] plaintext</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_DATA</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CRYPTO_TYPE_DATA</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CRYPTO_TYPE_DATA</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY.html	2023-08-14 16:21:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CRYPTO_TYPE_EMPTY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CRYPTO_TYPE_HEADER" href="KRB5_CRYPTO_TYPE_HEADER.html" />
     <link rel="prev" title="KRB5_CRYPTO_TYPE_DATA" href="KRB5_CRYPTO_TYPE_DATA.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-crypto-type-empty">
+  <section id="krb5-crypto-type-empty">
 <span id="krb5-crypto-type-empty-data"></span><h1>KRB5_CRYPTO_TYPE_EMPTY<a class="headerlink" href="#krb5-crypto-type-empty" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CRYPTO_TYPE_EMPTY">
-<code class="descname">KRB5_CRYPTO_TYPE_EMPTY</code><a class="headerlink" href="#KRB5_CRYPTO_TYPE_EMPTY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CRYPTO_TYPE_EMPTY">
+<span class="sig-name descname"><span class="pre">KRB5_CRYPTO_TYPE_EMPTY</span></span><a class="headerlink" href="#KRB5_CRYPTO_TYPE_EMPTY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>[in] ignored</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_EMPTY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CRYPTO_TYPE_EMPTY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CRYPTO_TYPE_EMPTY</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER.html	2023-08-14 16:21:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CRYPTO_TYPE_HEADER &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CRYPTO_TYPE_PADDING" href="KRB5_CRYPTO_TYPE_PADDING.html" />
     <link rel="prev" title="KRB5_CRYPTO_TYPE_EMPTY" href="KRB5_CRYPTO_TYPE_EMPTY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-crypto-type-header">
+  <section id="krb5-crypto-type-header">
 <span id="krb5-crypto-type-header-data"></span><h1>KRB5_CRYPTO_TYPE_HEADER<a class="headerlink" href="#krb5-crypto-type-header" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CRYPTO_TYPE_HEADER">
-<code class="descname">KRB5_CRYPTO_TYPE_HEADER</code><a class="headerlink" href="#KRB5_CRYPTO_TYPE_HEADER" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CRYPTO_TYPE_HEADER">
+<span class="sig-name descname"><span class="pre">KRB5_CRYPTO_TYPE_HEADER</span></span><a class="headerlink" href="#KRB5_CRYPTO_TYPE_HEADER" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>[out] header</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_HEADER</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CRYPTO_TYPE_HEADER</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CRYPTO_TYPE_HEADER</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING.html	2023-08-14 16:21:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CRYPTO_TYPE_PADDING &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CRYPTO_TYPE_SIGN_ONLY" href="KRB5_CRYPTO_TYPE_SIGN_ONLY.html" />
     <link rel="prev" title="KRB5_CRYPTO_TYPE_HEADER" href="KRB5_CRYPTO_TYPE_HEADER.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-crypto-type-padding">
+  <section id="krb5-crypto-type-padding">
 <span id="krb5-crypto-type-padding-data"></span><h1>KRB5_CRYPTO_TYPE_PADDING<a class="headerlink" href="#krb5-crypto-type-padding" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CRYPTO_TYPE_PADDING">
-<code class="descname">KRB5_CRYPTO_TYPE_PADDING</code><a class="headerlink" href="#KRB5_CRYPTO_TYPE_PADDING" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CRYPTO_TYPE_PADDING">
+<span class="sig-name descname"><span class="pre">KRB5_CRYPTO_TYPE_PADDING</span></span><a class="headerlink" href="#KRB5_CRYPTO_TYPE_PADDING" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>[out] padding</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_PADDING</span></code></td>
-<td><code class="docutils literal"><span class="pre">4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CRYPTO_TYPE_PADDING</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CRYPTO_TYPE_PADDING</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.html	2023-08-14 16:21:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CRYPTO_TYPE_SIGN_ONLY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CRYPTO_TYPE_STREAM" href="KRB5_CRYPTO_TYPE_STREAM.html" />
     <link rel="prev" title="KRB5_CRYPTO_TYPE_PADDING" href="KRB5_CRYPTO_TYPE_PADDING.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-crypto-type-sign-only">
+  <section id="krb5-crypto-type-sign-only">
 <span id="krb5-crypto-type-sign-only-data"></span><h1>KRB5_CRYPTO_TYPE_SIGN_ONLY<a class="headerlink" href="#krb5-crypto-type-sign-only" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CRYPTO_TYPE_SIGN_ONLY">
-<code class="descname">KRB5_CRYPTO_TYPE_SIGN_ONLY</code><a class="headerlink" href="#KRB5_CRYPTO_TYPE_SIGN_ONLY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CRYPTO_TYPE_SIGN_ONLY">
+<span class="sig-name descname"><span class="pre">KRB5_CRYPTO_TYPE_SIGN_ONLY</span></span><a class="headerlink" href="#KRB5_CRYPTO_TYPE_SIGN_ONLY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>[in] associated data</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_SIGN_ONLY</span></code></td>
-<td><code class="docutils literal"><span class="pre">3</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CRYPTO_TYPE_SIGN_ONLY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">3</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CRYPTO_TYPE_SIGN_ONLY</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM.html	2023-08-14 16:21:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CRYPTO_TYPE_STREAM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CRYPTO_TYPE_TRAILER" href="KRB5_CRYPTO_TYPE_TRAILER.html" />
     <link rel="prev" title="KRB5_CRYPTO_TYPE_SIGN_ONLY" href="KRB5_CRYPTO_TYPE_SIGN_ONLY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-crypto-type-stream">
+  <section id="krb5-crypto-type-stream">
 <span id="krb5-crypto-type-stream-data"></span><h1>KRB5_CRYPTO_TYPE_STREAM<a class="headerlink" href="#krb5-crypto-type-stream" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CRYPTO_TYPE_STREAM">
-<code class="descname">KRB5_CRYPTO_TYPE_STREAM</code><a class="headerlink" href="#KRB5_CRYPTO_TYPE_STREAM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CRYPTO_TYPE_STREAM">
+<span class="sig-name descname"><span class="pre">KRB5_CRYPTO_TYPE_STREAM</span></span><a class="headerlink" href="#KRB5_CRYPTO_TYPE_STREAM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>[in] entire message without decomposing the structure into header, data and trailer buffers</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_STREAM</span></code></td>
-<td><code class="docutils literal"><span class="pre">7</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CRYPTO_TYPE_STREAM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">7</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CRYPTO_TYPE_STREAM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER.html	2023-08-14 16:21:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CRYPTO_TYPE_TRAILER &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_CYBERSAFE_SECUREID" href="KRB5_CYBERSAFE_SECUREID.html" />
     <link rel="prev" title="KRB5_CRYPTO_TYPE_STREAM" href="KRB5_CRYPTO_TYPE_STREAM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-crypto-type-trailer">
+  <section id="krb5-crypto-type-trailer">
 <span id="krb5-crypto-type-trailer-data"></span><h1>KRB5_CRYPTO_TYPE_TRAILER<a class="headerlink" href="#krb5-crypto-type-trailer" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CRYPTO_TYPE_TRAILER">
-<code class="descname">KRB5_CRYPTO_TYPE_TRAILER</code><a class="headerlink" href="#KRB5_CRYPTO_TYPE_TRAILER" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CRYPTO_TYPE_TRAILER">
+<span class="sig-name descname"><span class="pre">KRB5_CRYPTO_TYPE_TRAILER</span></span><a class="headerlink" href="#KRB5_CRYPTO_TYPE_TRAILER" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>[out] checksum for encrypt</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CRYPTO_TYPE_TRAILER</span></code></td>
-<td><code class="docutils literal"><span class="pre">5</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CRYPTO_TYPE_TRAILER</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CRYPTO_TYPE_TRAILER</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CYBERSAFE_SECUREID.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CYBERSAFE_SECUREID.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_CYBERSAFE_SECUREID.html	2023-08-14 16:21:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_CYBERSAFE_SECUREID.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_CYBERSAFE_SECUREID &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_DOMAIN_X500_COMPRESS" href="KRB5_DOMAIN_X500_COMPRESS.html" />
     <link rel="prev" title="KRB5_CRYPTO_TYPE_TRAILER" href="KRB5_CRYPTO_TYPE_TRAILER.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cybersafe-secureid">
+  <section id="krb5-cybersafe-secureid">
 <span id="krb5-cybersafe-secureid-data"></span><h1>KRB5_CYBERSAFE_SECUREID<a class="headerlink" href="#krb5-cybersafe-secureid" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_CYBERSAFE_SECUREID">
-<code class="descname">KRB5_CYBERSAFE_SECUREID</code><a class="headerlink" href="#KRB5_CYBERSAFE_SECUREID" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_CYBERSAFE_SECUREID">
+<span class="sig-name descname"><span class="pre">KRB5_CYBERSAFE_SECUREID</span></span><a class="headerlink" href="#KRB5_CYBERSAFE_SECUREID" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Cybersafe.</p>
 <p>RFC 4120</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_CYBERSAFE_SECUREID</span></code></td>
-<td><code class="docutils literal"><span class="pre">9</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_CYBERSAFE_SECUREID</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">9</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_CYBERSAFE_SECUREID</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS.html	2023-08-14 16:21:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_DOMAIN_X500_COMPRESS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_ENCPADATA_REQ_ENC_PA_REP" href="KRB5_ENCPADATA_REQ_ENC_PA_REP.html" />
     <link rel="prev" title="KRB5_CYBERSAFE_SECUREID" href="KRB5_CYBERSAFE_SECUREID.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-domain-x500-compress">
+  <section id="krb5-domain-x500-compress">
 <span id="krb5-domain-x500-compress-data"></span><h1>KRB5_DOMAIN_X500_COMPRESS<a class="headerlink" href="#krb5-domain-x500-compress" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_DOMAIN_X500_COMPRESS">
-<code class="descname">KRB5_DOMAIN_X500_COMPRESS</code><a class="headerlink" href="#KRB5_DOMAIN_X500_COMPRESS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_DOMAIN_X500_COMPRESS">
+<span class="sig-name descname"><span class="pre">KRB5_DOMAIN_X500_COMPRESS</span></span><a class="headerlink" href="#KRB5_DOMAIN_X500_COMPRESS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Transited encoding types.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_DOMAIN_X500_COMPRESS</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_DOMAIN_X500_COMPRESS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_DOMAIN_X500_COMPRESS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP.html	2023-08-14 16:21:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP.html	2024-06-26 20:01:14.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_ENCPADATA_REQ_ENC_PA_REP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_ERROR" href="KRB5_ERROR.html" />
     <link rel="prev" title="KRB5_DOMAIN_X500_COMPRESS" href="KRB5_DOMAIN_X500_COMPRESS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-encpadata-req-enc-pa-rep">
+  <section id="krb5-encpadata-req-enc-pa-rep">
 <span id="krb5-encpadata-req-enc-pa-rep-data"></span><h1>KRB5_ENCPADATA_REQ_ENC_PA_REP<a class="headerlink" href="#krb5-encpadata-req-enc-pa-rep" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_ENCPADATA_REQ_ENC_PA_REP">
-<code class="descname">KRB5_ENCPADATA_REQ_ENC_PA_REP</code><a class="headerlink" href="#KRB5_ENCPADATA_REQ_ENC_PA_REP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_ENCPADATA_REQ_ENC_PA_REP">
+<span class="sig-name descname"><span class="pre">KRB5_ENCPADATA_REQ_ENC_PA_REP</span></span><a class="headerlink" href="#KRB5_ENCPADATA_REQ_ENC_PA_REP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6806.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_ENCPADATA_REQ_ENC_PA_REP</span></code></td>
-<td><code class="docutils literal"><span class="pre">149</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_ENCPADATA_REQ_ENC_PA_REP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">149</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_ENCPADATA_REQ_ENC_PA_REP</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ERROR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ERROR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_ERROR.html	2023-08-14 16:21:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_ERROR.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_ERROR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_FAST_REQUIRED" href="KRB5_FAST_REQUIRED.html" />
     <link rel="prev" title="KRB5_ENCPADATA_REQ_ENC_PA_REP" href="KRB5_ENCPADATA_REQ_ENC_PA_REP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-error">
+  <section id="krb5-error">
 <span id="krb5-error-data"></span><h1>KRB5_ERROR<a class="headerlink" href="#krb5-error" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_ERROR">
-<code class="descname">KRB5_ERROR</code><a class="headerlink" href="#KRB5_ERROR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_ERROR">
+<span class="sig-name descname"><span class="pre">KRB5_ERROR</span></span><a class="headerlink" href="#KRB5_ERROR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Error response.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="40%" />
-<col width="60%" />
+<col style="width: 40%" />
+<col style="width: 60%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_ERROR</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)30)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_ERROR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)30)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_ERROR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_FAST_REQUIRED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_FAST_REQUIRED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_FAST_REQUIRED.html	2023-08-14 16:21:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_FAST_REQUIRED.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_FAST_REQUIRED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GC_CACHED" href="KRB5_GC_CACHED.html" />
     <link rel="prev" title="KRB5_ERROR" href="KRB5_ERROR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-fast-required">
+  <section id="krb5-fast-required">
 <span id="krb5-fast-required-data"></span><h1>KRB5_FAST_REQUIRED<a class="headerlink" href="#krb5-fast-required" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_FAST_REQUIRED">
-<code class="descname">KRB5_FAST_REQUIRED</code><a class="headerlink" href="#KRB5_FAST_REQUIRED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_FAST_REQUIRED">
+<span class="sig-name descname"><span class="pre">KRB5_FAST_REQUIRED</span></span><a class="headerlink" href="#KRB5_FAST_REQUIRED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Require KDC to support FAST.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_FAST_REQUIRED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_FAST_REQUIRED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_FAST_REQUIRED</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_CACHED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_CACHED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_CACHED.html	2023-08-14 16:21:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_CACHED.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GC_CACHED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GC_CANONICALIZE" href="KRB5_GC_CANONICALIZE.html" />
     <link rel="prev" title="KRB5_FAST_REQUIRED" href="KRB5_FAST_REQUIRED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-gc-cached">
+  <section id="krb5-gc-cached">
 <span id="krb5-gc-cached-data"></span><h1>KRB5_GC_CACHED<a class="headerlink" href="#krb5-gc-cached" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GC_CACHED">
-<code class="descname">KRB5_GC_CACHED</code><a class="headerlink" href="#KRB5_GC_CACHED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GC_CACHED">
+<span class="sig-name descname"><span class="pre">KRB5_GC_CACHED</span></span><a class="headerlink" href="#KRB5_GC_CACHED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Want cached ticket only.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="49%" />
-<col width="51%" />
+<col style="width: 49%" />
+<col style="width: 51%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GC_CACHED</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GC_CACHED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GC_CACHED</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_CANONICALIZE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_CANONICALIZE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_CANONICALIZE.html	2023-08-14 16:21:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_CANONICALIZE.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GC_CANONICALIZE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GC_CONSTRAINED_DELEGATION" href="KRB5_GC_CONSTRAINED_DELEGATION.html" />
     <link rel="prev" title="KRB5_GC_CACHED" href="KRB5_GC_CACHED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-gc-canonicalize">
+  <section id="krb5-gc-canonicalize">
 <span id="krb5-gc-canonicalize-data"></span><h1>KRB5_GC_CANONICALIZE<a class="headerlink" href="#krb5-gc-canonicalize" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GC_CANONICALIZE">
-<code class="descname">KRB5_GC_CANONICALIZE</code><a class="headerlink" href="#KRB5_GC_CANONICALIZE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GC_CANONICALIZE">
+<span class="sig-name descname"><span class="pre">KRB5_GC_CANONICALIZE</span></span><a class="headerlink" href="#KRB5_GC_CANONICALIZE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Set canonicalize KDC option.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GC_CANONICALIZE</span></code></td>
-<td><code class="docutils literal"><span class="pre">4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GC_CANONICALIZE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GC_CANONICALIZE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION.html	2023-08-14 16:21:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GC_CONSTRAINED_DELEGATION &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GC_FORWARDABLE" href="KRB5_GC_FORWARDABLE.html" />
     <link rel="prev" title="KRB5_GC_CANONICALIZE" href="KRB5_GC_CANONICALIZE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-gc-constrained-delegation">
+  <section id="krb5-gc-constrained-delegation">
 <span id="krb5-gc-constrained-delegation-data"></span><h1>KRB5_GC_CONSTRAINED_DELEGATION<a class="headerlink" href="#krb5-gc-constrained-delegation" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GC_CONSTRAINED_DELEGATION">
-<code class="descname">KRB5_GC_CONSTRAINED_DELEGATION</code><a class="headerlink" href="#KRB5_GC_CONSTRAINED_DELEGATION" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GC_CONSTRAINED_DELEGATION">
+<span class="sig-name descname"><span class="pre">KRB5_GC_CONSTRAINED_DELEGATION</span></span><a class="headerlink" href="#KRB5_GC_CONSTRAINED_DELEGATION" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Constrained delegation.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GC_CONSTRAINED_DELEGATION</span></code></td>
-<td><code class="docutils literal"><span class="pre">64</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GC_CONSTRAINED_DELEGATION</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">64</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GC_CONSTRAINED_DELEGATION</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_FORWARDABLE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_FORWARDABLE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_FORWARDABLE.html	2023-08-14 16:21:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_FORWARDABLE.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GC_FORWARDABLE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GC_NO_STORE" href="KRB5_GC_NO_STORE.html" />
     <link rel="prev" title="KRB5_GC_CONSTRAINED_DELEGATION" href="KRB5_GC_CONSTRAINED_DELEGATION.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-gc-forwardable">
+  <section id="krb5-gc-forwardable">
 <span id="krb5-gc-forwardable-data"></span><h1>KRB5_GC_FORWARDABLE<a class="headerlink" href="#krb5-gc-forwardable" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GC_FORWARDABLE">
-<code class="descname">KRB5_GC_FORWARDABLE</code><a class="headerlink" href="#KRB5_GC_FORWARDABLE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GC_FORWARDABLE">
+<span class="sig-name descname"><span class="pre">KRB5_GC_FORWARDABLE</span></span><a class="headerlink" href="#KRB5_GC_FORWARDABLE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Acquire forwardable tickets.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GC_FORWARDABLE</span></code></td>
-<td><code class="docutils literal"><span class="pre">16</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GC_FORWARDABLE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">16</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GC_FORWARDABLE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_NO_STORE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_NO_STORE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_NO_STORE.html	2023-08-14 16:21:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_NO_STORE.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GC_NO_STORE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GC_NO_TRANSIT_CHECK" href="KRB5_GC_NO_TRANSIT_CHECK.html" />
     <link rel="prev" title="KRB5_GC_FORWARDABLE" href="KRB5_GC_FORWARDABLE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-gc-no-store">
+  <section id="krb5-gc-no-store">
 <span id="krb5-gc-no-store-data"></span><h1>KRB5_GC_NO_STORE<a class="headerlink" href="#krb5-gc-no-store" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GC_NO_STORE">
-<code class="descname">KRB5_GC_NO_STORE</code><a class="headerlink" href="#KRB5_GC_NO_STORE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GC_NO_STORE">
+<span class="sig-name descname"><span class="pre">KRB5_GC_NO_STORE</span></span><a class="headerlink" href="#KRB5_GC_NO_STORE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Do not store in credential cache.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GC_NO_STORE</span></code></td>
-<td><code class="docutils literal"><span class="pre">8</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GC_NO_STORE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">8</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GC_NO_STORE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK.html	2023-08-14 16:21:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GC_NO_TRANSIT_CHECK &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GC_USER_USER" href="KRB5_GC_USER_USER.html" />
     <link rel="prev" title="KRB5_GC_NO_STORE" href="KRB5_GC_NO_STORE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-gc-no-transit-check">
+  <section id="krb5-gc-no-transit-check">
 <span id="krb5-gc-no-transit-check-data"></span><h1>KRB5_GC_NO_TRANSIT_CHECK<a class="headerlink" href="#krb5-gc-no-transit-check" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GC_NO_TRANSIT_CHECK">
-<code class="descname">KRB5_GC_NO_TRANSIT_CHECK</code><a class="headerlink" href="#KRB5_GC_NO_TRANSIT_CHECK" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GC_NO_TRANSIT_CHECK">
+<span class="sig-name descname"><span class="pre">KRB5_GC_NO_TRANSIT_CHECK</span></span><a class="headerlink" href="#KRB5_GC_NO_TRANSIT_CHECK" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Disable transited check.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GC_NO_TRANSIT_CHECK</span></code></td>
-<td><code class="docutils literal"><span class="pre">32</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GC_NO_TRANSIT_CHECK</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">32</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GC_NO_TRANSIT_CHECK</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_USER_USER.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_USER_USER.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GC_USER_USER.html	2023-08-14 16:21:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GC_USER_USER.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GC_USER_USER &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST" href="KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST.html" />
     <link rel="prev" title="KRB5_GC_NO_TRANSIT_CHECK" href="KRB5_GC_NO_TRANSIT_CHECK.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-gc-user-user">
+  <section id="krb5-gc-user-user">
 <span id="krb5-gc-user-user-data"></span><h1>KRB5_GC_USER_USER<a class="headerlink" href="#krb5-gc-user-user" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GC_USER_USER">
-<code class="descname">KRB5_GC_USER_USER</code><a class="headerlink" href="#KRB5_GC_USER_USER" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GC_USER_USER">
+<span class="sig-name descname"><span class="pre">KRB5_GC_USER_USER</span></span><a class="headerlink" href="#KRB5_GC_USER_USER" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Want user-user ticket.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GC_USER_USER</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GC_USER_USER</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GC_USER_USER</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST.html	2023-08-14 16:21:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_ANONYMOUS" href="KRB5_GET_INIT_CREDS_OPT_ANONYMOUS.html" />
     <link rel="prev" title="KRB5_GC_USER_USER" href="KRB5_GC_USER_USER.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-address-list">
+  <section id="krb5-get-init-creds-opt-address-list">
 <span id="krb5-get-init-creds-opt-address-list-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST<a class="headerlink" href="#krb5-get-init-creds-opt-address-list" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0020</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0020</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS.html	2023-08-14 16:21:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_ANONYMOUS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_CANONICALIZE" href="KRB5_GET_INIT_CREDS_OPT_CANONICALIZE.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST" href="KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-anonymous">
+  <section id="krb5-get-init-creds-opt-anonymous">
 <span id="krb5-get-init-creds-opt-anonymous-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_ANONYMOUS<a class="headerlink" href="#krb5-get-init-creds-opt-anonymous" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_ANONYMOUS">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_ANONYMOUS</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_ANONYMOUS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_ANONYMOUS">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_ANONYMOUS</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_ANONYMOUS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_ANONYMOUS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0400</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_ANONYMOUS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0400</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_ANONYMOUS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE.html	2023-08-14 16:21:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_CANONICALIZE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT" href="KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_ANONYMOUS" href="KRB5_GET_INIT_CREDS_OPT_ANONYMOUS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-canonicalize">
+  <section id="krb5-get-init-creds-opt-canonicalize">
 <span id="krb5-get-init-creds-opt-canonicalize-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_CANONICALIZE<a class="headerlink" href="#krb5-get-init-creds-opt-canonicalize" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_CANONICALIZE">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_CANONICALIZE</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_CANONICALIZE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_CANONICALIZE">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_CANONICALIZE</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_CANONICALIZE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_CANONICALIZE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0200</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_CANONICALIZE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0200</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_CANONICALIZE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT.html	2023-08-14 16:21:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST" href="KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_CANONICALIZE" href="KRB5_GET_INIT_CREDS_OPT_CANONICALIZE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-chg-pwd-prmpt">
+  <section id="krb5-get-init-creds-opt-chg-pwd-prmpt">
 <span id="krb5-get-init-creds-opt-chg-pwd-prmpt-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT<a class="headerlink" href="#krb5-get-init-creds-opt-chg-pwd-prmpt" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0100</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0100</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST.html	2023-08-14 16:21:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_FORWARDABLE" href="KRB5_GET_INIT_CREDS_OPT_FORWARDABLE.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT" href="KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-etype-list">
+  <section id="krb5-get-init-creds-opt-etype-list">
 <span id="krb5-get-init-creds-opt-etype-list-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST<a class="headerlink" href="#krb5-get-init-creds-opt-etype-list" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0010</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0010</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE.html	2023-08-14 16:21:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_FORWARDABLE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST" href="KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST" href="KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-forwardable">
+  <section id="krb5-get-init-creds-opt-forwardable">
 <span id="krb5-get-init-creds-opt-forwardable-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_FORWARDABLE<a class="headerlink" href="#krb5-get-init-creds-opt-forwardable" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_FORWARDABLE">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_FORWARDABLE</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_FORWARDABLE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_FORWARDABLE">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_FORWARDABLE</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_FORWARDABLE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_FORWARDABLE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0004</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_FORWARDABLE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0004</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_FORWARDABLE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST.html	2023-08-14 16:21:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_PROXIABLE" href="KRB5_GET_INIT_CREDS_OPT_PROXIABLE.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_FORWARDABLE" href="KRB5_GET_INIT_CREDS_OPT_FORWARDABLE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-preauth-list">
+  <section id="krb5-get-init-creds-opt-preauth-list">
 <span id="krb5-get-init-creds-opt-preauth-list-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST<a class="headerlink" href="#krb5-get-init-creds-opt-preauth-list" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0040</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0040</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE.html	2023-08-14 16:21:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_PROXIABLE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE" href="KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST" href="KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-proxiable">
+  <section id="krb5-get-init-creds-opt-proxiable">
 <span id="krb5-get-init-creds-opt-proxiable-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_PROXIABLE<a class="headerlink" href="#krb5-get-init-creds-opt-proxiable" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_PROXIABLE">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_PROXIABLE</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_PROXIABLE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_PROXIABLE">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_PROXIABLE</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_PROXIABLE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_PROXIABLE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0008</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_PROXIABLE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0008</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_PROXIABLE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE.html	2023-08-14 16:21:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_SALT" href="KRB5_GET_INIT_CREDS_OPT_SALT.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_PROXIABLE" href="KRB5_GET_INIT_CREDS_OPT_PROXIABLE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-renew-life">
+  <section id="krb5-get-init-creds-opt-renew-life">
 <span id="krb5-get-init-creds-opt-renew-life-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE<a class="headerlink" href="#krb5-get-init-creds-opt-renew-life" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT.html	2023-08-14 16:21:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_SALT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_GET_INIT_CREDS_OPT_TKT_LIFE" href="KRB5_GET_INIT_CREDS_OPT_TKT_LIFE.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE" href="KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-salt">
+  <section id="krb5-get-init-creds-opt-salt">
 <span id="krb5-get-init-creds-opt-salt-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_SALT<a class="headerlink" href="#krb5-get-init-creds-opt-salt" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_SALT">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_SALT</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_SALT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_SALT">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_SALT</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_SALT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_SALT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0080</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_SALT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0080</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_SALT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE.html	2023-08-14 16:21:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_GET_INIT_CREDS_OPT_TKT_LIFE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_INIT_CONTEXT_SECURE" href="KRB5_INIT_CONTEXT_SECURE.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_SALT" href="KRB5_GET_INIT_CREDS_OPT_SALT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt-tkt-life">
+  <section id="krb5-get-init-creds-opt-tkt-life">
 <span id="krb5-get-init-creds-opt-tkt-life-data"></span><h1>KRB5_GET_INIT_CREDS_OPT_TKT_LIFE<a class="headerlink" href="#krb5-get-init-creds-opt-tkt-life" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_GET_INIT_CREDS_OPT_TKT_LIFE">
-<code class="descname">KRB5_GET_INIT_CREDS_OPT_TKT_LIFE</code><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_TKT_LIFE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_GET_INIT_CREDS_OPT_TKT_LIFE">
+<span class="sig-name descname"><span class="pre">KRB5_GET_INIT_CREDS_OPT_TKT_LIFE</span></span><a class="headerlink" href="#KRB5_GET_INIT_CREDS_OPT_TKT_LIFE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_GET_INIT_CREDS_OPT_TKT_LIFE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_GET_INIT_CREDS_OPT_TKT_LIFE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_GET_INIT_CREDS_OPT_TKT_LIFE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INIT_CONTEXT_KDC.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INIT_CONTEXT_KDC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INIT_CONTEXT_KDC.html	2023-08-14 16:21:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INIT_CONTEXT_KDC.html	2024-06-26 20:01:15.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_INIT_CONTEXT_KDC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_INIT_CREDS_STEP_FLAG_CONTINUE" href="KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.html" />
     <link rel="prev" title="KRB5_INIT_CONTEXT_SECURE" href="KRB5_INIT_CONTEXT_SECURE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-context-kdc">
+  <section id="krb5-init-context-kdc">
 <span id="krb5-init-context-kdc-data"></span><h1>KRB5_INIT_CONTEXT_KDC<a class="headerlink" href="#krb5-init-context-kdc" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_INIT_CONTEXT_KDC">
-<code class="descname">KRB5_INIT_CONTEXT_KDC</code><a class="headerlink" href="#KRB5_INIT_CONTEXT_KDC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_INIT_CONTEXT_KDC">
+<span class="sig-name descname"><span class="pre">KRB5_INIT_CONTEXT_KDC</span></span><a class="headerlink" href="#KRB5_INIT_CONTEXT_KDC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Use KDC configuration if available.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_INIT_CONTEXT_KDC</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_INIT_CONTEXT_KDC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_INIT_CONTEXT_KDC</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE.html	2023-08-14 16:21:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_INIT_CONTEXT_SECURE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_INIT_CONTEXT_KDC" href="KRB5_INIT_CONTEXT_KDC.html" />
     <link rel="prev" title="KRB5_GET_INIT_CREDS_OPT_TKT_LIFE" href="KRB5_GET_INIT_CREDS_OPT_TKT_LIFE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-context-secure">
+  <section id="krb5-init-context-secure">
 <span id="krb5-init-context-secure-data"></span><h1>KRB5_INIT_CONTEXT_SECURE<a class="headerlink" href="#krb5-init-context-secure" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_INIT_CONTEXT_SECURE">
-<code class="descname">KRB5_INIT_CONTEXT_SECURE</code><a class="headerlink" href="#KRB5_INIT_CONTEXT_SECURE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_INIT_CONTEXT_SECURE">
+<span class="sig-name descname"><span class="pre">KRB5_INIT_CONTEXT_SECURE</span></span><a class="headerlink" href="#KRB5_INIT_CONTEXT_SECURE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Use secure context configuration.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_INIT_CONTEXT_SECURE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_INIT_CONTEXT_SECURE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_INIT_CONTEXT_SECURE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.html	2023-08-14 16:21:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_INIT_CREDS_STEP_FLAG_CONTINUE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_INT16_MAX" href="KRB5_INT16_MAX.html" />
     <link rel="prev" title="KRB5_INIT_CONTEXT_KDC" href="KRB5_INIT_CONTEXT_KDC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-step-flag-continue">
+  <section id="krb5-init-creds-step-flag-continue">
 <span id="krb5-init-creds-step-flag-continue-data"></span><h1>KRB5_INIT_CREDS_STEP_FLAG_CONTINUE<a class="headerlink" href="#krb5-init-creds-step-flag-continue" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_INIT_CREDS_STEP_FLAG_CONTINUE">
-<code class="descname">KRB5_INIT_CREDS_STEP_FLAG_CONTINUE</code><a class="headerlink" href="#KRB5_INIT_CREDS_STEP_FLAG_CONTINUE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_INIT_CREDS_STEP_FLAG_CONTINUE">
+<span class="sig-name descname"><span class="pre">KRB5_INIT_CREDS_STEP_FLAG_CONTINUE</span></span><a class="headerlink" href="#KRB5_INIT_CREDS_STEP_FLAG_CONTINUE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>More responses needed.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_INIT_CREDS_STEP_FLAG_CONTINUE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_INIT_CREDS_STEP_FLAG_CONTINUE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_INIT_CREDS_STEP_FLAG_CONTINUE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INT16_MAX.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INT16_MAX.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INT16_MAX.html	2023-08-14 16:21:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INT16_MAX.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_INT16_MAX &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_INT16_MIN" href="KRB5_INT16_MIN.html" />
     <link rel="prev" title="KRB5_INIT_CREDS_STEP_FLAG_CONTINUE" href="KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-int16-max">
+  <section id="krb5-int16-max">
 <span id="krb5-int16-max-data"></span><h1>KRB5_INT16_MAX<a class="headerlink" href="#krb5-int16-max" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_INT16_MAX">
-<code class="descname">KRB5_INT16_MAX</code><a class="headerlink" href="#KRB5_INT16_MAX" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_INT16_MAX">
+<span class="sig-name descname"><span class="pre">KRB5_INT16_MAX</span></span><a class="headerlink" href="#KRB5_INT16_MAX" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="49%" />
-<col width="51%" />
+<col style="width: 49%" />
+<col style="width: 51%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_INT16_MAX</span></code></td>
-<td><code class="docutils literal"><span class="pre">65535</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_INT16_MAX</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">65535</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_INT16_MAX</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INT16_MIN.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INT16_MIN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INT16_MIN.html	2023-08-14 16:21:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INT16_MIN.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_INT16_MIN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_INT32_MAX" href="KRB5_INT32_MAX.html" />
     <link rel="prev" title="KRB5_INT16_MAX" href="KRB5_INT16_MAX.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-int16-min">
+  <section id="krb5-int16-min">
 <span id="krb5-int16-min-data"></span><h1>KRB5_INT16_MIN<a class="headerlink" href="#krb5-int16-min" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_INT16_MIN">
-<code class="descname">KRB5_INT16_MIN</code><a class="headerlink" href="#KRB5_INT16_MIN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_INT16_MIN">
+<span class="sig-name descname"><span class="pre">KRB5_INT16_MIN</span></span><a class="headerlink" href="#KRB5_INT16_MIN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="45%" />
-<col width="55%" />
+<col style="width: 45%" />
+<col style="width: 55%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_INT16_MIN</span></code></td>
-<td><code class="docutils literal"><span class="pre">(-KRB5_INT16_MAX-1)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_INT16_MIN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(-KRB5_INT16_MAX-1)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_INT16_MIN</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INT32_MAX.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INT32_MAX.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INT32_MAX.html	2023-08-14 16:21:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INT32_MAX.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_INT32_MAX &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_INT32_MIN" href="KRB5_INT32_MIN.html" />
     <link rel="prev" title="KRB5_INT16_MIN" href="KRB5_INT16_MIN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-int32-max">
+  <section id="krb5-int32-max">
 <span id="krb5-int32-max-data"></span><h1>KRB5_INT32_MAX<a class="headerlink" href="#krb5-int32-max" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_INT32_MAX">
-<code class="descname">KRB5_INT32_MAX</code><a class="headerlink" href="#KRB5_INT32_MAX" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_INT32_MAX">
+<span class="sig-name descname"><span class="pre">KRB5_INT32_MAX</span></span><a class="headerlink" href="#KRB5_INT32_MAX" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="49%" />
-<col width="51%" />
+<col style="width: 49%" />
+<col style="width: 51%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_INT32_MAX</span></code></td>
-<td><code class="docutils literal"><span class="pre">2147483647</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_INT32_MAX</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2147483647</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_INT32_MAX</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INT32_MIN.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INT32_MIN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_INT32_MIN.html	2023-08-14 16:21:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_INT32_MIN.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_INT32_MIN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AD_ITE" href="KRB5_KEYUSAGE_AD_ITE.html" />
     <link rel="prev" title="KRB5_INT32_MAX" href="KRB5_INT32_MAX.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-int32-min">
+  <section id="krb5-int32-min">
 <span id="krb5-int32-min-data"></span><h1>KRB5_INT32_MIN<a class="headerlink" href="#krb5-int32-min" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_INT32_MIN">
-<code class="descname">KRB5_INT32_MIN</code><a class="headerlink" href="#KRB5_INT32_MIN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_INT32_MIN">
+<span class="sig-name descname"><span class="pre">KRB5_INT32_MIN</span></span><a class="headerlink" href="#KRB5_INT32_MIN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="45%" />
-<col width="55%" />
+<col style="width: 45%" />
+<col style="width: 55%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_INT32_MIN</span></code></td>
-<td><code class="docutils literal"><span class="pre">(-KRB5_INT32_MAX-1)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_INT32_MIN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(-KRB5_INT32_MAX-1)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_INT32_MIN</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE.html	2023-08-14 16:21:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AD_ITE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM" href="KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM.html" />
     <link rel="prev" title="KRB5_INT32_MIN" href="KRB5_INT32_MIN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-ad-ite">
+  <section id="krb5-keyusage-ad-ite">
 <span id="krb5-keyusage-ad-ite-data"></span><h1>KRB5_KEYUSAGE_AD_ITE<a class="headerlink" href="#krb5-keyusage-ad-ite" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AD_ITE">
-<code class="descname">KRB5_KEYUSAGE_AD_ITE</code><a class="headerlink" href="#KRB5_KEYUSAGE_AD_ITE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AD_ITE">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AD_ITE</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AD_ITE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AD_ITE</span></code></td>
-<td><code class="docutils literal"><span class="pre">21</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AD_ITE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">21</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AD_ITE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM.html	2023-08-14 16:21:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AD_MTE" href="KRB5_KEYUSAGE_AD_MTE.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AD_ITE" href="KRB5_KEYUSAGE_AD_ITE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-ad-kdcissued-cksum">
+  <section id="krb5-keyusage-ad-kdcissued-cksum">
 <span id="krb5-keyusage-ad-kdcissued-cksum-data"></span><h1>KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM<a class="headerlink" href="#krb5-keyusage-ad-kdcissued-cksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM">
-<code class="descname">KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM</code><a class="headerlink" href="#KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">19</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">19</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE.html	2023-08-14 16:21:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AD_MTE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AD_SIGNEDPATH" href="KRB5_KEYUSAGE_AD_SIGNEDPATH.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM" href="KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-ad-mte">
+  <section id="krb5-keyusage-ad-mte">
 <span id="krb5-keyusage-ad-mte-data"></span><h1>KRB5_KEYUSAGE_AD_MTE<a class="headerlink" href="#krb5-keyusage-ad-mte" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AD_MTE">
-<code class="descname">KRB5_KEYUSAGE_AD_MTE</code><a class="headerlink" href="#KRB5_KEYUSAGE_AD_MTE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AD_MTE">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AD_MTE</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AD_MTE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AD_MTE</span></code></td>
-<td><code class="docutils literal"><span class="pre">20</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AD_MTE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">20</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AD_MTE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH.html	2023-08-14 16:21:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AD_SIGNEDPATH &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_APP_DATA_CKSUM" href="KRB5_KEYUSAGE_APP_DATA_CKSUM.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AD_MTE" href="KRB5_KEYUSAGE_AD_MTE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-ad-signedpath">
+  <section id="krb5-keyusage-ad-signedpath">
 <span id="krb5-keyusage-ad-signedpath-data"></span><h1>KRB5_KEYUSAGE_AD_SIGNEDPATH<a class="headerlink" href="#krb5-keyusage-ad-signedpath" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AD_SIGNEDPATH">
-<code class="descname">KRB5_KEYUSAGE_AD_SIGNEDPATH</code><a class="headerlink" href="#KRB5_KEYUSAGE_AD_SIGNEDPATH" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AD_SIGNEDPATH">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AD_SIGNEDPATH</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AD_SIGNEDPATH" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AD_SIGNEDPATH</span></code></td>
-<td><code class="docutils literal"><span class="pre">-21</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AD_SIGNEDPATH</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">-21</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AD_SIGNEDPATH</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM.html	2023-08-14 16:21:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_APP_DATA_CKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_APP_DATA_ENCRYPT" href="KRB5_KEYUSAGE_APP_DATA_ENCRYPT.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AD_SIGNEDPATH" href="KRB5_KEYUSAGE_AD_SIGNEDPATH.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-app-data-cksum">
+  <section id="krb5-keyusage-app-data-cksum">
 <span id="krb5-keyusage-app-data-cksum-data"></span><h1>KRB5_KEYUSAGE_APP_DATA_CKSUM<a class="headerlink" href="#krb5-keyusage-app-data-cksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_APP_DATA_CKSUM">
-<code class="descname">KRB5_KEYUSAGE_APP_DATA_CKSUM</code><a class="headerlink" href="#KRB5_KEYUSAGE_APP_DATA_CKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_APP_DATA_CKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_APP_DATA_CKSUM</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_APP_DATA_CKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_APP_DATA_CKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">17</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_APP_DATA_CKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">17</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_APP_DATA_CKSUM</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT.html	2023-08-14 16:21:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_APP_DATA_ENCRYPT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AP_REP_ENCPART" href="KRB5_KEYUSAGE_AP_REP_ENCPART.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_APP_DATA_CKSUM" href="KRB5_KEYUSAGE_APP_DATA_CKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-app-data-encrypt">
+  <section id="krb5-keyusage-app-data-encrypt">
 <span id="krb5-keyusage-app-data-encrypt-data"></span><h1>KRB5_KEYUSAGE_APP_DATA_ENCRYPT<a class="headerlink" href="#krb5-keyusage-app-data-encrypt" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_APP_DATA_ENCRYPT">
-<code class="descname">KRB5_KEYUSAGE_APP_DATA_ENCRYPT</code><a class="headerlink" href="#KRB5_KEYUSAGE_APP_DATA_ENCRYPT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_APP_DATA_ENCRYPT">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_APP_DATA_ENCRYPT</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_APP_DATA_ENCRYPT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_APP_DATA_ENCRYPT</span></code></td>
-<td><code class="docutils literal"><span class="pre">16</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_APP_DATA_ENCRYPT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">16</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_APP_DATA_ENCRYPT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART.html	2023-08-14 16:21:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AP_REP_ENCPART &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AP_REQ_AUTH" href="KRB5_KEYUSAGE_AP_REQ_AUTH.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_APP_DATA_ENCRYPT" href="KRB5_KEYUSAGE_APP_DATA_ENCRYPT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-ap-rep-encpart">
+  <section id="krb5-keyusage-ap-rep-encpart">
 <span id="krb5-keyusage-ap-rep-encpart-data"></span><h1>KRB5_KEYUSAGE_AP_REP_ENCPART<a class="headerlink" href="#krb5-keyusage-ap-rep-encpart" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AP_REP_ENCPART">
-<code class="descname">KRB5_KEYUSAGE_AP_REP_ENCPART</code><a class="headerlink" href="#KRB5_KEYUSAGE_AP_REP_ENCPART" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AP_REP_ENCPART">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AP_REP_ENCPART</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AP_REP_ENCPART" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AP_REP_ENCPART</span></code></td>
-<td><code class="docutils literal"><span class="pre">12</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AP_REP_ENCPART</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">12</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AP_REP_ENCPART</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH.html	2023-08-14 16:21:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AP_REQ_AUTH &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM" href="KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AP_REP_ENCPART" href="KRB5_KEYUSAGE_AP_REP_ENCPART.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-ap-req-auth">
+  <section id="krb5-keyusage-ap-req-auth">
 <span id="krb5-keyusage-ap-req-auth-data"></span><h1>KRB5_KEYUSAGE_AP_REQ_AUTH<a class="headerlink" href="#krb5-keyusage-ap-req-auth" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AP_REQ_AUTH">
-<code class="descname">KRB5_KEYUSAGE_AP_REQ_AUTH</code><a class="headerlink" href="#KRB5_KEYUSAGE_AP_REQ_AUTH" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AP_REQ_AUTH">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AP_REQ_AUTH</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AP_REQ_AUTH" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AP_REQ_AUTH</span></code></td>
-<td><code class="docutils literal"><span class="pre">11</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AP_REQ_AUTH</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">11</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AP_REQ_AUTH</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM.html	2023-08-14 16:21:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AS_REP_ENCPART" href="KRB5_KEYUSAGE_AS_REP_ENCPART.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AP_REQ_AUTH" href="KRB5_KEYUSAGE_AP_REQ_AUTH.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-ap-req-auth-cksum">
+  <section id="krb5-keyusage-ap-req-auth-cksum">
 <span id="krb5-keyusage-ap-req-auth-cksum-data"></span><h1>KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM<a class="headerlink" href="#krb5-keyusage-ap-req-auth-cksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM">
-<code class="descname">KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM</code><a class="headerlink" href="#KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">10</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">10</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART.html	2023-08-14 16:21:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AS_REP_ENCPART &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AS_REQ" href="KRB5_KEYUSAGE_AS_REQ.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM" href="KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-as-rep-encpart">
+  <section id="krb5-keyusage-as-rep-encpart">
 <span id="krb5-keyusage-as-rep-encpart-data"></span><h1>KRB5_KEYUSAGE_AS_REP_ENCPART<a class="headerlink" href="#krb5-keyusage-as-rep-encpart" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AS_REP_ENCPART">
-<code class="descname">KRB5_KEYUSAGE_AS_REP_ENCPART</code><a class="headerlink" href="#KRB5_KEYUSAGE_AS_REP_ENCPART" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AS_REP_ENCPART">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AS_REP_ENCPART</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AS_REP_ENCPART" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AS_REP_ENCPART</span></code></td>
-<td><code class="docutils literal"><span class="pre">3</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AS_REP_ENCPART</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">3</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AS_REP_ENCPART</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ.html	2023-08-14 16:21:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AS_REQ &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS" href="KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AS_REP_ENCPART" href="KRB5_KEYUSAGE_AS_REP_ENCPART.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-as-req">
+  <section id="krb5-keyusage-as-req">
 <span id="krb5-keyusage-as-req-data"></span><h1>KRB5_KEYUSAGE_AS_REQ<a class="headerlink" href="#krb5-keyusage-as-req" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AS_REQ">
-<code class="descname">KRB5_KEYUSAGE_AS_REQ</code><a class="headerlink" href="#KRB5_KEYUSAGE_AS_REQ" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AS_REQ">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AS_REQ</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AS_REQ" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AS_REQ</span></code></td>
-<td><code class="docutils literal"><span class="pre">56</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AS_REQ</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">56</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AS_REQ</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS.html	2023-08-14 16:21:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_CAMMAC" href="KRB5_KEYUSAGE_CAMMAC.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AS_REQ" href="KRB5_KEYUSAGE_AS_REQ.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-as-req-pa-enc-ts">
+  <section id="krb5-keyusage-as-req-pa-enc-ts">
 <span id="krb5-keyusage-as-req-pa-enc-ts-data"></span><h1>KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS<a class="headerlink" href="#krb5-keyusage-as-req-pa-enc-ts" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS">
-<code class="descname">KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS</code><a class="headerlink" href="#KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC.html	2023-08-14 16:21:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_CAMMAC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT" href="KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS" href="KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-cammac">
+  <section id="krb5-keyusage-cammac">
 <span id="krb5-keyusage-cammac-data"></span><h1>KRB5_KEYUSAGE_CAMMAC<a class="headerlink" href="#krb5-keyusage-cammac" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_CAMMAC">
-<code class="descname">KRB5_KEYUSAGE_CAMMAC</code><a class="headerlink" href="#KRB5_KEYUSAGE_CAMMAC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_CAMMAC">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_CAMMAC</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_CAMMAC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_CAMMAC</span></code></td>
-<td><code class="docutils literal"><span class="pre">64</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_CAMMAC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">64</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_CAMMAC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT.html	2023-08-14 16:21:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_ENC_CHALLENGE_KDC" href="KRB5_KEYUSAGE_ENC_CHALLENGE_KDC.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_CAMMAC" href="KRB5_KEYUSAGE_CAMMAC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-enc-challenge-client">
+  <section id="krb5-keyusage-enc-challenge-client">
 <span id="krb5-keyusage-enc-challenge-client-data"></span><h1>KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT<a class="headerlink" href="#krb5-keyusage-enc-challenge-client" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT">
-<code class="descname">KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT</code><a class="headerlink" href="#KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT</span></code></td>
-<td><code class="docutils literal"><span class="pre">54</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">54</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC.html	2023-08-14 16:22:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_ENC_CHALLENGE_KDC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_FAST_ENC" href="KRB5_KEYUSAGE_FAST_ENC.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT" href="KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-enc-challenge-kdc">
+  <section id="krb5-keyusage-enc-challenge-kdc">
 <span id="krb5-keyusage-enc-challenge-kdc-data"></span><h1>KRB5_KEYUSAGE_ENC_CHALLENGE_KDC<a class="headerlink" href="#krb5-keyusage-enc-challenge-kdc" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_ENC_CHALLENGE_KDC">
-<code class="descname">KRB5_KEYUSAGE_ENC_CHALLENGE_KDC</code><a class="headerlink" href="#KRB5_KEYUSAGE_ENC_CHALLENGE_KDC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_ENC_CHALLENGE_KDC">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_ENC_CHALLENGE_KDC</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_ENC_CHALLENGE_KDC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_ENC_CHALLENGE_KDC</span></code></td>
-<td><code class="docutils literal"><span class="pre">55</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_ENC_CHALLENGE_KDC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">55</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_ENC_CHALLENGE_KDC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC.html	2023-08-14 16:22:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_FAST_ENC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_FAST_FINISHED" href="KRB5_KEYUSAGE_FAST_FINISHED.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_ENC_CHALLENGE_KDC" href="KRB5_KEYUSAGE_ENC_CHALLENGE_KDC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-fast-enc">
+  <section id="krb5-keyusage-fast-enc">
 <span id="krb5-keyusage-fast-enc-data"></span><h1>KRB5_KEYUSAGE_FAST_ENC<a class="headerlink" href="#krb5-keyusage-fast-enc" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_FAST_ENC">
-<code class="descname">KRB5_KEYUSAGE_FAST_ENC</code><a class="headerlink" href="#KRB5_KEYUSAGE_FAST_ENC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_FAST_ENC">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_FAST_ENC</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_FAST_ENC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_FAST_ENC</span></code></td>
-<td><code class="docutils literal"><span class="pre">51</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_FAST_ENC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">51</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_FAST_ENC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED.html	2023-08-14 16:22:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED.html	2024-06-26 20:01:16.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_FAST_FINISHED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_FAST_REP" href="KRB5_KEYUSAGE_FAST_REP.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_FAST_ENC" href="KRB5_KEYUSAGE_FAST_ENC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-fast-finished">
+  <section id="krb5-keyusage-fast-finished">
 <span id="krb5-keyusage-fast-finished-data"></span><h1>KRB5_KEYUSAGE_FAST_FINISHED<a class="headerlink" href="#krb5-keyusage-fast-finished" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_FAST_FINISHED">
-<code class="descname">KRB5_KEYUSAGE_FAST_FINISHED</code><a class="headerlink" href="#KRB5_KEYUSAGE_FAST_FINISHED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_FAST_FINISHED">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_FAST_FINISHED</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_FAST_FINISHED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_FAST_FINISHED</span></code></td>
-<td><code class="docutils literal"><span class="pre">53</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_FAST_FINISHED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">53</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_FAST_FINISHED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP.html	2023-08-14 16:22:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_FAST_REP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_FAST_REQ_CHKSUM" href="KRB5_KEYUSAGE_FAST_REQ_CHKSUM.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_FAST_FINISHED" href="KRB5_KEYUSAGE_FAST_FINISHED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-fast-rep">
+  <section id="krb5-keyusage-fast-rep">
 <span id="krb5-keyusage-fast-rep-data"></span><h1>KRB5_KEYUSAGE_FAST_REP<a class="headerlink" href="#krb5-keyusage-fast-rep" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_FAST_REP">
-<code class="descname">KRB5_KEYUSAGE_FAST_REP</code><a class="headerlink" href="#KRB5_KEYUSAGE_FAST_REP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_FAST_REP">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_FAST_REP</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_FAST_REP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_FAST_REP</span></code></td>
-<td><code class="docutils literal"><span class="pre">52</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_FAST_REP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">52</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_FAST_REP</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM.html	2023-08-14 16:22:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_FAST_REQ_CHKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_GSS_TOK_MIC" href="KRB5_KEYUSAGE_GSS_TOK_MIC.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_FAST_REP" href="KRB5_KEYUSAGE_FAST_REP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-fast-req-chksum">
+  <section id="krb5-keyusage-fast-req-chksum">
 <span id="krb5-keyusage-fast-req-chksum-data"></span><h1>KRB5_KEYUSAGE_FAST_REQ_CHKSUM<a class="headerlink" href="#krb5-keyusage-fast-req-chksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_FAST_REQ_CHKSUM">
-<code class="descname">KRB5_KEYUSAGE_FAST_REQ_CHKSUM</code><a class="headerlink" href="#KRB5_KEYUSAGE_FAST_REQ_CHKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_FAST_REQ_CHKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_FAST_REQ_CHKSUM</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_FAST_REQ_CHKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_FAST_REQ_CHKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">50</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_FAST_REQ_CHKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">50</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_FAST_REQ_CHKSUM</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC.html	2023-08-14 16:22:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_GSS_TOK_MIC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG" href="KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_FAST_REQ_CHKSUM" href="KRB5_KEYUSAGE_FAST_REQ_CHKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-gss-tok-mic">
+  <section id="krb5-keyusage-gss-tok-mic">
 <span id="krb5-keyusage-gss-tok-mic-data"></span><h1>KRB5_KEYUSAGE_GSS_TOK_MIC<a class="headerlink" href="#krb5-keyusage-gss-tok-mic" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_GSS_TOK_MIC">
-<code class="descname">KRB5_KEYUSAGE_GSS_TOK_MIC</code><a class="headerlink" href="#KRB5_KEYUSAGE_GSS_TOK_MIC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_GSS_TOK_MIC">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_GSS_TOK_MIC</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_GSS_TOK_MIC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_GSS_TOK_MIC</span></code></td>
-<td><code class="docutils literal"><span class="pre">22</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_GSS_TOK_MIC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">22</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_GSS_TOK_MIC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG.html	2023-08-14 16:22:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV" href="KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_GSS_TOK_MIC" href="KRB5_KEYUSAGE_GSS_TOK_MIC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-gss-tok-wrap-integ">
+  <section id="krb5-keyusage-gss-tok-wrap-integ">
 <span id="krb5-keyusage-gss-tok-wrap-integ-data"></span><h1>KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG<a class="headerlink" href="#krb5-keyusage-gss-tok-wrap-integ" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG">
-<code class="descname">KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG</code><a class="headerlink" href="#KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG</span></code></td>
-<td><code class="docutils literal"><span class="pre">23</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">23</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV.html	2023-08-14 16:22:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_IAKERB_FINISHED" href="KRB5_KEYUSAGE_IAKERB_FINISHED.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG" href="KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-gss-tok-wrap-priv">
+  <section id="krb5-keyusage-gss-tok-wrap-priv">
 <span id="krb5-keyusage-gss-tok-wrap-priv-data"></span><h1>KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV<a class="headerlink" href="#krb5-keyusage-gss-tok-wrap-priv" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV">
-<code class="descname">KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV</code><a class="headerlink" href="#KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV</span></code></td>
-<td><code class="docutils literal"><span class="pre">24</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">24</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED.html	2023-08-14 16:22:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_IAKERB_FINISHED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_KDC_REP_TICKET" href="KRB5_KEYUSAGE_KDC_REP_TICKET.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV" href="KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-iakerb-finished">
+  <section id="krb5-keyusage-iakerb-finished">
 <span id="krb5-keyusage-iakerb-finished-data"></span><h1>KRB5_KEYUSAGE_IAKERB_FINISHED<a class="headerlink" href="#krb5-keyusage-iakerb-finished" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_IAKERB_FINISHED">
-<code class="descname">KRB5_KEYUSAGE_IAKERB_FINISHED</code><a class="headerlink" href="#KRB5_KEYUSAGE_IAKERB_FINISHED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_IAKERB_FINISHED">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_IAKERB_FINISHED</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_IAKERB_FINISHED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_IAKERB_FINISHED</span></code></td>
-<td><code class="docutils literal"><span class="pre">42</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_IAKERB_FINISHED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">42</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_IAKERB_FINISHED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET.html	2023-08-14 16:22:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_KDC_REP_TICKET &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_KRB_CRED_ENCPART" href="KRB5_KEYUSAGE_KRB_CRED_ENCPART.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_IAKERB_FINISHED" href="KRB5_KEYUSAGE_IAKERB_FINISHED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-kdc-rep-ticket">
+  <section id="krb5-keyusage-kdc-rep-ticket">
 <span id="krb5-keyusage-kdc-rep-ticket-data"></span><h1>KRB5_KEYUSAGE_KDC_REP_TICKET<a class="headerlink" href="#krb5-keyusage-kdc-rep-ticket" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_KDC_REP_TICKET">
-<code class="descname">KRB5_KEYUSAGE_KDC_REP_TICKET</code><a class="headerlink" href="#KRB5_KEYUSAGE_KDC_REP_TICKET" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_KDC_REP_TICKET">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_KDC_REP_TICKET</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_KDC_REP_TICKET" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_KDC_REP_TICKET</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_KDC_REP_TICKET</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_KDC_REP_TICKET</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART.html	2023-08-14 16:22:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_KRB_CRED_ENCPART &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_KRB_ERROR_CKSUM" href="KRB5_KEYUSAGE_KRB_ERROR_CKSUM.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_KDC_REP_TICKET" href="KRB5_KEYUSAGE_KDC_REP_TICKET.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-krb-cred-encpart">
+  <section id="krb5-keyusage-krb-cred-encpart">
 <span id="krb5-keyusage-krb-cred-encpart-data"></span><h1>KRB5_KEYUSAGE_KRB_CRED_ENCPART<a class="headerlink" href="#krb5-keyusage-krb-cred-encpart" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_KRB_CRED_ENCPART">
-<code class="descname">KRB5_KEYUSAGE_KRB_CRED_ENCPART</code><a class="headerlink" href="#KRB5_KEYUSAGE_KRB_CRED_ENCPART" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_KRB_CRED_ENCPART">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_KRB_CRED_ENCPART</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_KRB_CRED_ENCPART" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_KRB_CRED_ENCPART</span></code></td>
-<td><code class="docutils literal"><span class="pre">14</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_KRB_CRED_ENCPART</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">14</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_KRB_CRED_ENCPART</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM.html	2023-08-14 16:22:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_KRB_ERROR_CKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_KRB_PRIV_ENCPART" href="KRB5_KEYUSAGE_KRB_PRIV_ENCPART.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_KRB_CRED_ENCPART" href="KRB5_KEYUSAGE_KRB_CRED_ENCPART.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-krb-error-cksum">
+  <section id="krb5-keyusage-krb-error-cksum">
 <span id="krb5-keyusage-krb-error-cksum-data"></span><h1>KRB5_KEYUSAGE_KRB_ERROR_CKSUM<a class="headerlink" href="#krb5-keyusage-krb-error-cksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_KRB_ERROR_CKSUM">
-<code class="descname">KRB5_KEYUSAGE_KRB_ERROR_CKSUM</code><a class="headerlink" href="#KRB5_KEYUSAGE_KRB_ERROR_CKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_KRB_ERROR_CKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_KRB_ERROR_CKSUM</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_KRB_ERROR_CKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_KRB_ERROR_CKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">18</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_KRB_ERROR_CKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">18</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_KRB_ERROR_CKSUM</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART.html	2023-08-14 16:22:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_KRB_PRIV_ENCPART &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_KRB_SAFE_CKSUM" href="KRB5_KEYUSAGE_KRB_SAFE_CKSUM.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_KRB_ERROR_CKSUM" href="KRB5_KEYUSAGE_KRB_ERROR_CKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-krb-priv-encpart">
+  <section id="krb5-keyusage-krb-priv-encpart">
 <span id="krb5-keyusage-krb-priv-encpart-data"></span><h1>KRB5_KEYUSAGE_KRB_PRIV_ENCPART<a class="headerlink" href="#krb5-keyusage-krb-priv-encpart" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_KRB_PRIV_ENCPART">
-<code class="descname">KRB5_KEYUSAGE_KRB_PRIV_ENCPART</code><a class="headerlink" href="#KRB5_KEYUSAGE_KRB_PRIV_ENCPART" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_KRB_PRIV_ENCPART">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_KRB_PRIV_ENCPART</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_KRB_PRIV_ENCPART" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_KRB_PRIV_ENCPART</span></code></td>
-<td><code class="docutils literal"><span class="pre">13</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_KRB_PRIV_ENCPART</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">13</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_KRB_PRIV_ENCPART</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM.html	2023-08-14 16:22:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_KRB_SAFE_CKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_PA_AS_FRESHNESS" href="KRB5_KEYUSAGE_PA_AS_FRESHNESS.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_KRB_PRIV_ENCPART" href="KRB5_KEYUSAGE_KRB_PRIV_ENCPART.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-krb-safe-cksum">
+  <section id="krb5-keyusage-krb-safe-cksum">
 <span id="krb5-keyusage-krb-safe-cksum-data"></span><h1>KRB5_KEYUSAGE_KRB_SAFE_CKSUM<a class="headerlink" href="#krb5-keyusage-krb-safe-cksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_KRB_SAFE_CKSUM">
-<code class="descname">KRB5_KEYUSAGE_KRB_SAFE_CKSUM</code><a class="headerlink" href="#KRB5_KEYUSAGE_KRB_SAFE_CKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_KRB_SAFE_CKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_KRB_SAFE_CKSUM</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_KRB_SAFE_CKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_KRB_SAFE_CKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">15</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_KRB_SAFE_CKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">15</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_KRB_SAFE_CKSUM</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS.html	2023-08-14 16:22:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_PA_AS_FRESHNESS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_PA_FX_COOKIE" href="KRB5_KEYUSAGE_PA_FX_COOKIE.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_KRB_SAFE_CKSUM" href="KRB5_KEYUSAGE_KRB_SAFE_CKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-pa-as-freshness">
+  <section id="krb5-keyusage-pa-as-freshness">
 <span id="krb5-keyusage-pa-as-freshness-data"></span><h1>KRB5_KEYUSAGE_PA_AS_FRESHNESS<a class="headerlink" href="#krb5-keyusage-pa-as-freshness" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_PA_AS_FRESHNESS">
-<code class="descname">KRB5_KEYUSAGE_PA_AS_FRESHNESS</code><a class="headerlink" href="#KRB5_KEYUSAGE_PA_AS_FRESHNESS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_PA_AS_FRESHNESS">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_PA_AS_FRESHNESS</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_PA_AS_FRESHNESS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Used for freshness tokens.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_AS_FRESHNESS</span></code></td>
-<td><code class="docutils literal"><span class="pre">514</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_PA_AS_FRESHNESS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">514</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_PA_AS_FRESHNESS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE.html	2023-08-14 16:22:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_PA_FX_COOKIE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_PA_OTP_REQUEST" href="KRB5_KEYUSAGE_PA_OTP_REQUEST.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_PA_AS_FRESHNESS" href="KRB5_KEYUSAGE_PA_AS_FRESHNESS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-pa-fx-cookie">
+  <section id="krb5-keyusage-pa-fx-cookie">
 <span id="krb5-keyusage-pa-fx-cookie-data"></span><h1>KRB5_KEYUSAGE_PA_FX_COOKIE<a class="headerlink" href="#krb5-keyusage-pa-fx-cookie" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_PA_FX_COOKIE">
-<code class="descname">KRB5_KEYUSAGE_PA_FX_COOKIE</code><a class="headerlink" href="#KRB5_KEYUSAGE_PA_FX_COOKIE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_PA_FX_COOKIE">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_PA_FX_COOKIE</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_PA_FX_COOKIE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Used for encrypted FAST cookies.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_FX_COOKIE</span></code></td>
-<td><code class="docutils literal"><span class="pre">513</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_PA_FX_COOKIE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">513</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_PA_FX_COOKIE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST.html	2023-08-14 16:22:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_PA_OTP_REQUEST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_PA_PKINIT_KX" href="KRB5_KEYUSAGE_PA_PKINIT_KX.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_PA_FX_COOKIE" href="KRB5_KEYUSAGE_PA_FX_COOKIE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-pa-otp-request">
+  <section id="krb5-keyusage-pa-otp-request">
 <span id="krb5-keyusage-pa-otp-request-data"></span><h1>KRB5_KEYUSAGE_PA_OTP_REQUEST<a class="headerlink" href="#krb5-keyusage-pa-otp-request" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_PA_OTP_REQUEST">
-<code class="descname">KRB5_KEYUSAGE_PA_OTP_REQUEST</code><a class="headerlink" href="#KRB5_KEYUSAGE_PA_OTP_REQUEST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_PA_OTP_REQUEST">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_PA_OTP_REQUEST</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_PA_OTP_REQUEST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>See RFC 6560 section 4.2.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_OTP_REQUEST</span></code></td>
-<td><code class="docutils literal"><span class="pre">45</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_PA_OTP_REQUEST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">45</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_PA_OTP_REQUEST</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX.html	2023-08-14 16:22:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_PA_PKINIT_KX &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY" href="KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_PA_OTP_REQUEST" href="KRB5_KEYUSAGE_PA_OTP_REQUEST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-pa-pkinit-kx">
+  <section id="krb5-keyusage-pa-pkinit-kx">
 <span id="krb5-keyusage-pa-pkinit-kx-data"></span><h1>KRB5_KEYUSAGE_PA_PKINIT_KX<a class="headerlink" href="#krb5-keyusage-pa-pkinit-kx" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_PA_PKINIT_KX">
-<code class="descname">KRB5_KEYUSAGE_PA_PKINIT_KX</code><a class="headerlink" href="#KRB5_KEYUSAGE_PA_PKINIT_KX" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_PA_PKINIT_KX">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_PA_PKINIT_KX</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_PA_PKINIT_KX" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_PKINIT_KX</span></code></td>
-<td><code class="docutils literal"><span class="pre">44</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_PA_PKINIT_KX</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">44</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_PA_PKINIT_KX</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.html	2023-08-14 16:22:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST" href="KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_PA_PKINIT_KX" href="KRB5_KEYUSAGE_PA_PKINIT_KX.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-pa-s4u-x509-user-reply">
+  <section id="krb5-keyusage-pa-s4u-x509-user-reply">
 <span id="krb5-keyusage-pa-s4u-x509-user-reply-data"></span><h1>KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY<a class="headerlink" href="#krb5-keyusage-pa-s4u-x509-user-reply" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY">
-<code class="descname">KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY</code><a class="headerlink" href="#KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<p>Note conflict with <code class="xref c c-data docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_SAM_RESPONSE</span></code> .</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY</span></code></td>
-<td><code class="docutils literal"><span class="pre">27</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">27</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY</a></li>
@@ -131,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.html	2023-08-14 16:22:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM" href="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY" href="KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-pa-s4u-x509-user-request">
+  <section id="krb5-keyusage-pa-s4u-x509-user-request">
 <span id="krb5-keyusage-pa-s4u-x509-user-request-data"></span><h1>KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST<a class="headerlink" href="#krb5-keyusage-pa-s4u-x509-user-request" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST">
-<code class="descname">KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST</code><a class="headerlink" href="#KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<p>Note conflict with <code class="xref c c-data docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID</span></code> .</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST</span></code></td>
-<td><code class="docutils literal"><span class="pre">26</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">26</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST</a></li>
@@ -131,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM.html	2023-08-14 16:22:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID" href="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST" href="KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-pa-sam-challenge-cksum">
+  <section id="krb5-keyusage-pa-sam-challenge-cksum">
 <span id="krb5-keyusage-pa-sam-challenge-cksum-data"></span><h1>KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM<a class="headerlink" href="#krb5-keyusage-pa-sam-challenge-cksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM">
-<code class="descname">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM</code><a class="headerlink" href="#KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">25</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">25</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.html	2023-08-14 16:22:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_PA_SAM_RESPONSE" href="KRB5_KEYUSAGE_PA_SAM_RESPONSE.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM" href="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-pa-sam-challenge-trackid">
+  <section id="krb5-keyusage-pa-sam-challenge-trackid">
 <span id="krb5-keyusage-pa-sam-challenge-trackid-data"></span><h1>KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID<a class="headerlink" href="#krb5-keyusage-pa-sam-challenge-trackid" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID">
-<code class="descname">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID</code><a class="headerlink" href="#KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<p>Note conflict with <code class="xref c c-data docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST</span></code> .</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID</span></code></td>
-<td><code class="docutils literal"><span class="pre">26</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">26</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID</a></li>
@@ -131,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.html	2023-08-14 16:22:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_PA_SAM_RESPONSE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_SPAKE" href="KRB5_KEYUSAGE_SPAKE.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID" href="KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-pa-sam-response">
+  <section id="krb5-keyusage-pa-sam-response">
 <span id="krb5-keyusage-pa-sam-response-data"></span><h1>KRB5_KEYUSAGE_PA_SAM_RESPONSE<a class="headerlink" href="#krb5-keyusage-pa-sam-response" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_PA_SAM_RESPONSE">
-<code class="descname">KRB5_KEYUSAGE_PA_SAM_RESPONSE</code><a class="headerlink" href="#KRB5_KEYUSAGE_PA_SAM_RESPONSE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_PA_SAM_RESPONSE">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_PA_SAM_RESPONSE</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_PA_SAM_RESPONSE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<p>Note conflict with <code class="xref c c-data docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY</span></code> .</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_PA_SAM_RESPONSE</span></code></td>
-<td><code class="docutils literal"><span class="pre">27</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_PA_SAM_RESPONSE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">27</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_PA_SAM_RESPONSE</a></li>
@@ -131,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_SPAKE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_SPAKE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_SPAKE.html	2023-08-14 16:22:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_SPAKE.html	2024-06-26 20:01:17.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_SPAKE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY" href="KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_PA_SAM_RESPONSE" href="KRB5_KEYUSAGE_PA_SAM_RESPONSE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-spake">
+  <section id="krb5-keyusage-spake">
 <span id="krb5-keyusage-spake-data"></span><h1>KRB5_KEYUSAGE_SPAKE<a class="headerlink" href="#krb5-keyusage-spake" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_SPAKE">
-<code class="descname">KRB5_KEYUSAGE_SPAKE</code><a class="headerlink" href="#KRB5_KEYUSAGE_SPAKE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_SPAKE">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_SPAKE</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_SPAKE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_SPAKE</span></code></td>
-<td><code class="docutils literal"><span class="pre">65</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_SPAKE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">65</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_SPAKE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY.html	2023-08-14 16:22:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY" href="KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_SPAKE" href="KRB5_KEYUSAGE_SPAKE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-tgs-rep-encpart-sesskey">
+  <section id="krb5-keyusage-tgs-rep-encpart-sesskey">
 <span id="krb5-keyusage-tgs-rep-encpart-sesskey-data"></span><h1>KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY<a class="headerlink" href="#krb5-keyusage-tgs-rep-encpart-sesskey" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY">
-<code class="descname">KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY</code><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">8</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">8</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY.html	2023-08-14 16:22:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY" href="KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY" href="KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-tgs-rep-encpart-subkey">
+  <section id="krb5-keyusage-tgs-rep-encpart-subkey">
 <span id="krb5-keyusage-tgs-rep-encpart-subkey-data"></span><h1>KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY<a class="headerlink" href="#krb5-keyusage-tgs-rep-encpart-subkey" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY">
-<code class="descname">KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY</code><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">9</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">9</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY.html	2023-08-14 16:22:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY" href="KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY" href="KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-tgs-req-ad-sesskey">
+  <section id="krb5-keyusage-tgs-req-ad-sesskey">
 <span id="krb5-keyusage-tgs-req-ad-sesskey-data"></span><h1>KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY<a class="headerlink" href="#krb5-keyusage-tgs-req-ad-sesskey" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY">
-<code class="descname">KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY</code><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY.html	2023-08-14 16:22:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_TGS_REQ_AUTH" href="KRB5_KEYUSAGE_TGS_REQ_AUTH.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY" href="KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-tgs-req-ad-subkey">
+  <section id="krb5-keyusage-tgs-req-ad-subkey">
 <span id="krb5-keyusage-tgs-req-ad-subkey-data"></span><h1>KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY<a class="headerlink" href="#krb5-keyusage-tgs-req-ad-subkey" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY">
-<code class="descname">KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY</code><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">5</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH.html	2023-08-14 16:22:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_TGS_REQ_AUTH &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM" href="KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY" href="KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-tgs-req-auth">
+  <section id="krb5-keyusage-tgs-req-auth">
 <span id="krb5-keyusage-tgs-req-auth-data"></span><h1>KRB5_KEYUSAGE_TGS_REQ_AUTH<a class="headerlink" href="#krb5-keyusage-tgs-req-auth" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_TGS_REQ_AUTH">
-<code class="descname">KRB5_KEYUSAGE_TGS_REQ_AUTH</code><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REQ_AUTH" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_TGS_REQ_AUTH">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AUTH</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REQ_AUTH" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AUTH</span></code></td>
-<td><code class="docutils literal"><span class="pre">7</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AUTH</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">7</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_TGS_REQ_AUTH</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM.html	2023-08-14 16:22:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KPASSWD_ACCESSDENIED" href="KRB5_KPASSWD_ACCESSDENIED.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_TGS_REQ_AUTH" href="KRB5_KEYUSAGE_TGS_REQ_AUTH.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage-tgs-req-auth-cksum">
+  <section id="krb5-keyusage-tgs-req-auth-cksum">
 <span id="krb5-keyusage-tgs-req-auth-cksum-data"></span><h1>KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM<a class="headerlink" href="#krb5-keyusage-tgs-req-auth-cksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM">
-<code class="descname">KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM</code><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM</span></span><a class="headerlink" href="#KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">6</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED.html	2023-08-14 16:22:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KPASSWD_ACCESSDENIED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KPASSWD_AUTHERROR" href="KRB5_KPASSWD_AUTHERROR.html" />
     <link rel="prev" title="KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM" href="KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kpasswd-accessdenied">
+  <section id="krb5-kpasswd-accessdenied">
 <span id="krb5-kpasswd-accessdenied-data"></span><h1>KRB5_KPASSWD_ACCESSDENIED<a class="headerlink" href="#krb5-kpasswd-accessdenied" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KPASSWD_ACCESSDENIED">
-<code class="descname">KRB5_KPASSWD_ACCESSDENIED</code><a class="headerlink" href="#KRB5_KPASSWD_ACCESSDENIED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KPASSWD_ACCESSDENIED">
+<span class="sig-name descname"><span class="pre">KRB5_KPASSWD_ACCESSDENIED</span></span><a class="headerlink" href="#KRB5_KPASSWD_ACCESSDENIED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Not authorized.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KPASSWD_ACCESSDENIED</span></code></td>
-<td><code class="docutils literal"><span class="pre">5</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KPASSWD_ACCESSDENIED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KPASSWD_ACCESSDENIED</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_AUTHERROR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_AUTHERROR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_AUTHERROR.html	2023-08-14 16:22:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_AUTHERROR.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KPASSWD_AUTHERROR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KPASSWD_BAD_VERSION" href="KRB5_KPASSWD_BAD_VERSION.html" />
     <link rel="prev" title="KRB5_KPASSWD_ACCESSDENIED" href="KRB5_KPASSWD_ACCESSDENIED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kpasswd-autherror">
+  <section id="krb5-kpasswd-autherror">
 <span id="krb5-kpasswd-autherror-data"></span><h1>KRB5_KPASSWD_AUTHERROR<a class="headerlink" href="#krb5-kpasswd-autherror" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KPASSWD_AUTHERROR">
-<code class="descname">KRB5_KPASSWD_AUTHERROR</code><a class="headerlink" href="#KRB5_KPASSWD_AUTHERROR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KPASSWD_AUTHERROR">
+<span class="sig-name descname"><span class="pre">KRB5_KPASSWD_AUTHERROR</span></span><a class="headerlink" href="#KRB5_KPASSWD_AUTHERROR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Authentication error.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KPASSWD_AUTHERROR</span></code></td>
-<td><code class="docutils literal"><span class="pre">3</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KPASSWD_AUTHERROR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">3</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KPASSWD_AUTHERROR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION.html	2023-08-14 16:22:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KPASSWD_BAD_VERSION &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KPASSWD_HARDERROR" href="KRB5_KPASSWD_HARDERROR.html" />
     <link rel="prev" title="KRB5_KPASSWD_AUTHERROR" href="KRB5_KPASSWD_AUTHERROR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kpasswd-bad-version">
+  <section id="krb5-kpasswd-bad-version">
 <span id="krb5-kpasswd-bad-version-data"></span><h1>KRB5_KPASSWD_BAD_VERSION<a class="headerlink" href="#krb5-kpasswd-bad-version" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KPASSWD_BAD_VERSION">
-<code class="descname">KRB5_KPASSWD_BAD_VERSION</code><a class="headerlink" href="#KRB5_KPASSWD_BAD_VERSION" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KPASSWD_BAD_VERSION">
+<span class="sig-name descname"><span class="pre">KRB5_KPASSWD_BAD_VERSION</span></span><a class="headerlink" href="#KRB5_KPASSWD_BAD_VERSION" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Unknown RPC version.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KPASSWD_BAD_VERSION</span></code></td>
-<td><code class="docutils literal"><span class="pre">6</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KPASSWD_BAD_VERSION</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KPASSWD_BAD_VERSION</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_HARDERROR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_HARDERROR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_HARDERROR.html	2023-08-14 16:22:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_HARDERROR.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KPASSWD_HARDERROR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KPASSWD_INITIAL_FLAG_NEEDED" href="KRB5_KPASSWD_INITIAL_FLAG_NEEDED.html" />
     <link rel="prev" title="KRB5_KPASSWD_BAD_VERSION" href="KRB5_KPASSWD_BAD_VERSION.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kpasswd-harderror">
+  <section id="krb5-kpasswd-harderror">
 <span id="krb5-kpasswd-harderror-data"></span><h1>KRB5_KPASSWD_HARDERROR<a class="headerlink" href="#krb5-kpasswd-harderror" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KPASSWD_HARDERROR">
-<code class="descname">KRB5_KPASSWD_HARDERROR</code><a class="headerlink" href="#KRB5_KPASSWD_HARDERROR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KPASSWD_HARDERROR">
+<span class="sig-name descname"><span class="pre">KRB5_KPASSWD_HARDERROR</span></span><a class="headerlink" href="#KRB5_KPASSWD_HARDERROR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Server error.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KPASSWD_HARDERROR</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KPASSWD_HARDERROR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KPASSWD_HARDERROR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED.html	2023-08-14 16:22:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KPASSWD_INITIAL_FLAG_NEEDED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KPASSWD_MALFORMED" href="KRB5_KPASSWD_MALFORMED.html" />
     <link rel="prev" title="KRB5_KPASSWD_HARDERROR" href="KRB5_KPASSWD_HARDERROR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kpasswd-initial-flag-needed">
+  <section id="krb5-kpasswd-initial-flag-needed">
 <span id="krb5-kpasswd-initial-flag-needed-data"></span><h1>KRB5_KPASSWD_INITIAL_FLAG_NEEDED<a class="headerlink" href="#krb5-kpasswd-initial-flag-needed" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KPASSWD_INITIAL_FLAG_NEEDED">
-<code class="descname">KRB5_KPASSWD_INITIAL_FLAG_NEEDED</code><a class="headerlink" href="#KRB5_KPASSWD_INITIAL_FLAG_NEEDED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KPASSWD_INITIAL_FLAG_NEEDED">
+<span class="sig-name descname"><span class="pre">KRB5_KPASSWD_INITIAL_FLAG_NEEDED</span></span><a class="headerlink" href="#KRB5_KPASSWD_INITIAL_FLAG_NEEDED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>The presented credentials were not obtained using a password directly.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KPASSWD_INITIAL_FLAG_NEEDED</span></code></td>
-<td><code class="docutils literal"><span class="pre">7</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KPASSWD_INITIAL_FLAG_NEEDED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">7</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KPASSWD_INITIAL_FLAG_NEEDED</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_MALFORMED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_MALFORMED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_MALFORMED.html	2023-08-14 16:22:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_MALFORMED.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KPASSWD_MALFORMED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KPASSWD_SOFTERROR" href="KRB5_KPASSWD_SOFTERROR.html" />
     <link rel="prev" title="KRB5_KPASSWD_INITIAL_FLAG_NEEDED" href="KRB5_KPASSWD_INITIAL_FLAG_NEEDED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kpasswd-malformed">
+  <section id="krb5-kpasswd-malformed">
 <span id="krb5-kpasswd-malformed-data"></span><h1>KRB5_KPASSWD_MALFORMED<a class="headerlink" href="#krb5-kpasswd-malformed" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KPASSWD_MALFORMED">
-<code class="descname">KRB5_KPASSWD_MALFORMED</code><a class="headerlink" href="#KRB5_KPASSWD_MALFORMED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KPASSWD_MALFORMED">
+<span class="sig-name descname"><span class="pre">KRB5_KPASSWD_MALFORMED</span></span><a class="headerlink" href="#KRB5_KPASSWD_MALFORMED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Malformed request.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KPASSWD_MALFORMED</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KPASSWD_MALFORMED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KPASSWD_MALFORMED</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_SOFTERROR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_SOFTERROR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_SOFTERROR.html	2023-08-14 16:22:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_SOFTERROR.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KPASSWD_SOFTERROR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_KPASSWD_SUCCESS" href="KRB5_KPASSWD_SUCCESS.html" />
     <link rel="prev" title="KRB5_KPASSWD_MALFORMED" href="KRB5_KPASSWD_MALFORMED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kpasswd-softerror">
+  <section id="krb5-kpasswd-softerror">
 <span id="krb5-kpasswd-softerror-data"></span><h1>KRB5_KPASSWD_SOFTERROR<a class="headerlink" href="#krb5-kpasswd-softerror" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KPASSWD_SOFTERROR">
-<code class="descname">KRB5_KPASSWD_SOFTERROR</code><a class="headerlink" href="#KRB5_KPASSWD_SOFTERROR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KPASSWD_SOFTERROR">
+<span class="sig-name descname"><span class="pre">KRB5_KPASSWD_SOFTERROR</span></span><a class="headerlink" href="#KRB5_KPASSWD_SOFTERROR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Password change rejected.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KPASSWD_SOFTERROR</span></code></td>
-<td><code class="docutils literal"><span class="pre">4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KPASSWD_SOFTERROR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KPASSWD_SOFTERROR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_SUCCESS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_SUCCESS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_SUCCESS.html	2023-08-14 16:22:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_KPASSWD_SUCCESS.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_KPASSWD_SUCCESS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ALL_ACCT_EXPTIME" href="KRB5_LRQ_ALL_ACCT_EXPTIME.html" />
     <link rel="prev" title="KRB5_KPASSWD_SOFTERROR" href="KRB5_KPASSWD_SOFTERROR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kpasswd-success">
+  <section id="krb5-kpasswd-success">
 <span id="krb5-kpasswd-success-data"></span><h1>KRB5_KPASSWD_SUCCESS<a class="headerlink" href="#krb5-kpasswd-success" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_KPASSWD_SUCCESS">
-<code class="descname">KRB5_KPASSWD_SUCCESS</code><a class="headerlink" href="#KRB5_KPASSWD_SUCCESS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_KPASSWD_SUCCESS">
+<span class="sig-name descname"><span class="pre">KRB5_KPASSWD_SUCCESS</span></span><a class="headerlink" href="#KRB5_KPASSWD_SUCCESS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Success.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_KPASSWD_SUCCESS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_KPASSWD_SUCCESS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_KPASSWD_SUCCESS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME.html	2023-08-14 16:22:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ALL_ACCT_EXPTIME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ALL_LAST_INITIAL" href="KRB5_LRQ_ALL_LAST_INITIAL.html" />
     <link rel="prev" title="KRB5_KPASSWD_SUCCESS" href="KRB5_KPASSWD_SUCCESS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-all-acct-exptime">
+  <section id="krb5-lrq-all-acct-exptime">
 <span id="krb5-lrq-all-acct-exptime-data"></span><h1>KRB5_LRQ_ALL_ACCT_EXPTIME<a class="headerlink" href="#krb5-lrq-all-acct-exptime" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ALL_ACCT_EXPTIME">
-<code class="descname">KRB5_LRQ_ALL_ACCT_EXPTIME</code><a class="headerlink" href="#KRB5_LRQ_ALL_ACCT_EXPTIME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ALL_ACCT_EXPTIME">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ALL_ACCT_EXPTIME</span></span><a class="headerlink" href="#KRB5_LRQ_ALL_ACCT_EXPTIME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ALL_ACCT_EXPTIME</span></code></td>
-<td><code class="docutils literal"><span class="pre">7</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ALL_ACCT_EXPTIME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">7</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ALL_ACCT_EXPTIME</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL.html	2023-08-14 16:22:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ALL_LAST_INITIAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ALL_LAST_RENEWAL" href="KRB5_LRQ_ALL_LAST_RENEWAL.html" />
     <link rel="prev" title="KRB5_LRQ_ALL_ACCT_EXPTIME" href="KRB5_LRQ_ALL_ACCT_EXPTIME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-all-last-initial">
+  <section id="krb5-lrq-all-last-initial">
 <span id="krb5-lrq-all-last-initial-data"></span><h1>KRB5_LRQ_ALL_LAST_INITIAL<a class="headerlink" href="#krb5-lrq-all-last-initial" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ALL_LAST_INITIAL">
-<code class="descname">KRB5_LRQ_ALL_LAST_INITIAL</code><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_INITIAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ALL_LAST_INITIAL">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ALL_LAST_INITIAL</span></span><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_INITIAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ALL_LAST_INITIAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ALL_LAST_INITIAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ALL_LAST_INITIAL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL.html	2023-08-14 16:22:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ALL_LAST_RENEWAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ALL_LAST_REQ" href="KRB5_LRQ_ALL_LAST_REQ.html" />
     <link rel="prev" title="KRB5_LRQ_ALL_LAST_INITIAL" href="KRB5_LRQ_ALL_LAST_INITIAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-all-last-renewal">
+  <section id="krb5-lrq-all-last-renewal">
 <span id="krb5-lrq-all-last-renewal-data"></span><h1>KRB5_LRQ_ALL_LAST_RENEWAL<a class="headerlink" href="#krb5-lrq-all-last-renewal" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ALL_LAST_RENEWAL">
-<code class="descname">KRB5_LRQ_ALL_LAST_RENEWAL</code><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_RENEWAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ALL_LAST_RENEWAL">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ALL_LAST_RENEWAL</span></span><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_RENEWAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ALL_LAST_RENEWAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ALL_LAST_RENEWAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ALL_LAST_RENEWAL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ.html	2023-08-14 16:22:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ALL_LAST_REQ &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ALL_LAST_TGT" href="KRB5_LRQ_ALL_LAST_TGT.html" />
     <link rel="prev" title="KRB5_LRQ_ALL_LAST_RENEWAL" href="KRB5_LRQ_ALL_LAST_RENEWAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-all-last-req">
+  <section id="krb5-lrq-all-last-req">
 <span id="krb5-lrq-all-last-req-data"></span><h1>KRB5_LRQ_ALL_LAST_REQ<a class="headerlink" href="#krb5-lrq-all-last-req" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ALL_LAST_REQ">
-<code class="descname">KRB5_LRQ_ALL_LAST_REQ</code><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_REQ" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ALL_LAST_REQ">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ALL_LAST_REQ</span></span><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_REQ" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ALL_LAST_REQ</span></code></td>
-<td><code class="docutils literal"><span class="pre">5</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ALL_LAST_REQ</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ALL_LAST_REQ</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT.html	2023-08-14 16:22:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ALL_LAST_TGT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ALL_LAST_TGT_ISSUED" href="KRB5_LRQ_ALL_LAST_TGT_ISSUED.html" />
     <link rel="prev" title="KRB5_LRQ_ALL_LAST_REQ" href="KRB5_LRQ_ALL_LAST_REQ.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-all-last-tgt">
+  <section id="krb5-lrq-all-last-tgt">
 <span id="krb5-lrq-all-last-tgt-data"></span><h1>KRB5_LRQ_ALL_LAST_TGT<a class="headerlink" href="#krb5-lrq-all-last-tgt" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ALL_LAST_TGT">
-<code class="descname">KRB5_LRQ_ALL_LAST_TGT</code><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_TGT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ALL_LAST_TGT">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ALL_LAST_TGT</span></span><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_TGT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ALL_LAST_TGT</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ALL_LAST_TGT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ALL_LAST_TGT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED.html	2023-08-14 16:22:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ALL_LAST_TGT_ISSUED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ALL_PW_EXPTIME" href="KRB5_LRQ_ALL_PW_EXPTIME.html" />
     <link rel="prev" title="KRB5_LRQ_ALL_LAST_TGT" href="KRB5_LRQ_ALL_LAST_TGT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-all-last-tgt-issued">
+  <section id="krb5-lrq-all-last-tgt-issued">
 <span id="krb5-lrq-all-last-tgt-issued-data"></span><h1>KRB5_LRQ_ALL_LAST_TGT_ISSUED<a class="headerlink" href="#krb5-lrq-all-last-tgt-issued" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ALL_LAST_TGT_ISSUED">
-<code class="descname">KRB5_LRQ_ALL_LAST_TGT_ISSUED</code><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_TGT_ISSUED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ALL_LAST_TGT_ISSUED">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ALL_LAST_TGT_ISSUED</span></span><a class="headerlink" href="#KRB5_LRQ_ALL_LAST_TGT_ISSUED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ALL_LAST_TGT_ISSUED</span></code></td>
-<td><code class="docutils literal"><span class="pre">3</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ALL_LAST_TGT_ISSUED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">3</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ALL_LAST_TGT_ISSUED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME.html	2023-08-14 16:22:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ALL_PW_EXPTIME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_NONE" href="KRB5_LRQ_NONE.html" />
     <link rel="prev" title="KRB5_LRQ_ALL_LAST_TGT_ISSUED" href="KRB5_LRQ_ALL_LAST_TGT_ISSUED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-all-pw-exptime">
+  <section id="krb5-lrq-all-pw-exptime">
 <span id="krb5-lrq-all-pw-exptime-data"></span><h1>KRB5_LRQ_ALL_PW_EXPTIME<a class="headerlink" href="#krb5-lrq-all-pw-exptime" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ALL_PW_EXPTIME">
-<code class="descname">KRB5_LRQ_ALL_PW_EXPTIME</code><a class="headerlink" href="#KRB5_LRQ_ALL_PW_EXPTIME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ALL_PW_EXPTIME">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ALL_PW_EXPTIME</span></span><a class="headerlink" href="#KRB5_LRQ_ALL_PW_EXPTIME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ALL_PW_EXPTIME</span></code></td>
-<td><code class="docutils literal"><span class="pre">6</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ALL_PW_EXPTIME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ALL_PW_EXPTIME</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_NONE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_NONE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_NONE.html	2023-08-14 16:22:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_NONE.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_NONE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ONE_ACCT_EXPTIME" href="KRB5_LRQ_ONE_ACCT_EXPTIME.html" />
     <link rel="prev" title="KRB5_LRQ_ALL_PW_EXPTIME" href="KRB5_LRQ_ALL_PW_EXPTIME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-none">
+  <section id="krb5-lrq-none">
 <span id="krb5-lrq-none-data"></span><h1>KRB5_LRQ_NONE<a class="headerlink" href="#krb5-lrq-none" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_NONE">
-<code class="descname">KRB5_LRQ_NONE</code><a class="headerlink" href="#KRB5_LRQ_NONE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_NONE">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_NONE</span></span><a class="headerlink" href="#KRB5_LRQ_NONE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="48%" />
-<col width="52%" />
+<col style="width: 48%" />
+<col style="width: 52%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_NONE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_NONE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_NONE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME.html	2023-08-14 16:22:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME.html	2024-06-26 20:01:18.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ONE_ACCT_EXPTIME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ONE_LAST_INITIAL" href="KRB5_LRQ_ONE_LAST_INITIAL.html" />
     <link rel="prev" title="KRB5_LRQ_NONE" href="KRB5_LRQ_NONE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-one-acct-exptime">
+  <section id="krb5-lrq-one-acct-exptime">
 <span id="krb5-lrq-one-acct-exptime-data"></span><h1>KRB5_LRQ_ONE_ACCT_EXPTIME<a class="headerlink" href="#krb5-lrq-one-acct-exptime" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ONE_ACCT_EXPTIME">
-<code class="descname">KRB5_LRQ_ONE_ACCT_EXPTIME</code><a class="headerlink" href="#KRB5_LRQ_ONE_ACCT_EXPTIME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ONE_ACCT_EXPTIME">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ONE_ACCT_EXPTIME</span></span><a class="headerlink" href="#KRB5_LRQ_ONE_ACCT_EXPTIME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ONE_ACCT_EXPTIME</span></code></td>
-<td><code class="docutils literal"><span class="pre">(-7)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ONE_ACCT_EXPTIME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(-7)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ONE_ACCT_EXPTIME</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL.html	2023-08-14 16:22:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ONE_LAST_INITIAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ONE_LAST_RENEWAL" href="KRB5_LRQ_ONE_LAST_RENEWAL.html" />
     <link rel="prev" title="KRB5_LRQ_ONE_ACCT_EXPTIME" href="KRB5_LRQ_ONE_ACCT_EXPTIME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-one-last-initial">
+  <section id="krb5-lrq-one-last-initial">
 <span id="krb5-lrq-one-last-initial-data"></span><h1>KRB5_LRQ_ONE_LAST_INITIAL<a class="headerlink" href="#krb5-lrq-one-last-initial" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ONE_LAST_INITIAL">
-<code class="descname">KRB5_LRQ_ONE_LAST_INITIAL</code><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_INITIAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ONE_LAST_INITIAL">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ONE_LAST_INITIAL</span></span><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_INITIAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ONE_LAST_INITIAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">(-2)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ONE_LAST_INITIAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(-2)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ONE_LAST_INITIAL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL.html	2023-08-14 16:22:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ONE_LAST_RENEWAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ONE_LAST_REQ" href="KRB5_LRQ_ONE_LAST_REQ.html" />
     <link rel="prev" title="KRB5_LRQ_ONE_LAST_INITIAL" href="KRB5_LRQ_ONE_LAST_INITIAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-one-last-renewal">
+  <section id="krb5-lrq-one-last-renewal">
 <span id="krb5-lrq-one-last-renewal-data"></span><h1>KRB5_LRQ_ONE_LAST_RENEWAL<a class="headerlink" href="#krb5-lrq-one-last-renewal" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ONE_LAST_RENEWAL">
-<code class="descname">KRB5_LRQ_ONE_LAST_RENEWAL</code><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_RENEWAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ONE_LAST_RENEWAL">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ONE_LAST_RENEWAL</span></span><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_RENEWAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ONE_LAST_RENEWAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">(-4)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ONE_LAST_RENEWAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(-4)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ONE_LAST_RENEWAL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ.html	2023-08-14 16:22:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ONE_LAST_REQ &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ONE_LAST_TGT" href="KRB5_LRQ_ONE_LAST_TGT.html" />
     <link rel="prev" title="KRB5_LRQ_ONE_LAST_RENEWAL" href="KRB5_LRQ_ONE_LAST_RENEWAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-one-last-req">
+  <section id="krb5-lrq-one-last-req">
 <span id="krb5-lrq-one-last-req-data"></span><h1>KRB5_LRQ_ONE_LAST_REQ<a class="headerlink" href="#krb5-lrq-one-last-req" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ONE_LAST_REQ">
-<code class="descname">KRB5_LRQ_ONE_LAST_REQ</code><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_REQ" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ONE_LAST_REQ">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ONE_LAST_REQ</span></span><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_REQ" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ONE_LAST_REQ</span></code></td>
-<td><code class="docutils literal"><span class="pre">(-5)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ONE_LAST_REQ</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(-5)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ONE_LAST_REQ</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT.html	2023-08-14 16:22:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ONE_LAST_TGT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ONE_LAST_TGT_ISSUED" href="KRB5_LRQ_ONE_LAST_TGT_ISSUED.html" />
     <link rel="prev" title="KRB5_LRQ_ONE_LAST_REQ" href="KRB5_LRQ_ONE_LAST_REQ.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-one-last-tgt">
+  <section id="krb5-lrq-one-last-tgt">
 <span id="krb5-lrq-one-last-tgt-data"></span><h1>KRB5_LRQ_ONE_LAST_TGT<a class="headerlink" href="#krb5-lrq-one-last-tgt" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ONE_LAST_TGT">
-<code class="descname">KRB5_LRQ_ONE_LAST_TGT</code><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_TGT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ONE_LAST_TGT">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ONE_LAST_TGT</span></span><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_TGT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ONE_LAST_TGT</span></code></td>
-<td><code class="docutils literal"><span class="pre">(-1)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ONE_LAST_TGT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(-1)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ONE_LAST_TGT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED.html	2023-08-14 16:22:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ONE_LAST_TGT_ISSUED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_LRQ_ONE_PW_EXPTIME" href="KRB5_LRQ_ONE_PW_EXPTIME.html" />
     <link rel="prev" title="KRB5_LRQ_ONE_LAST_TGT" href="KRB5_LRQ_ONE_LAST_TGT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-one-last-tgt-issued">
+  <section id="krb5-lrq-one-last-tgt-issued">
 <span id="krb5-lrq-one-last-tgt-issued-data"></span><h1>KRB5_LRQ_ONE_LAST_TGT_ISSUED<a class="headerlink" href="#krb5-lrq-one-last-tgt-issued" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ONE_LAST_TGT_ISSUED">
-<code class="descname">KRB5_LRQ_ONE_LAST_TGT_ISSUED</code><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_TGT_ISSUED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ONE_LAST_TGT_ISSUED">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ONE_LAST_TGT_ISSUED</span></span><a class="headerlink" href="#KRB5_LRQ_ONE_LAST_TGT_ISSUED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ONE_LAST_TGT_ISSUED</span></code></td>
-<td><code class="docutils literal"><span class="pre">(-3)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ONE_LAST_TGT_ISSUED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(-3)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ONE_LAST_TGT_ISSUED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME.html	2023-08-14 16:22:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_LRQ_ONE_PW_EXPTIME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_ENTERPRISE_PRINCIPAL" href="KRB5_NT_ENTERPRISE_PRINCIPAL.html" />
     <link rel="prev" title="KRB5_LRQ_ONE_LAST_TGT_ISSUED" href="KRB5_LRQ_ONE_LAST_TGT_ISSUED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-lrq-one-pw-exptime">
+  <section id="krb5-lrq-one-pw-exptime">
 <span id="krb5-lrq-one-pw-exptime-data"></span><h1>KRB5_LRQ_ONE_PW_EXPTIME<a class="headerlink" href="#krb5-lrq-one-pw-exptime" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_LRQ_ONE_PW_EXPTIME">
-<code class="descname">KRB5_LRQ_ONE_PW_EXPTIME</code><a class="headerlink" href="#KRB5_LRQ_ONE_PW_EXPTIME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_LRQ_ONE_PW_EXPTIME">
+<span class="sig-name descname"><span class="pre">KRB5_LRQ_ONE_PW_EXPTIME</span></span><a class="headerlink" href="#KRB5_LRQ_ONE_PW_EXPTIME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_LRQ_ONE_PW_EXPTIME</span></code></td>
-<td><code class="docutils literal"><span class="pre">(-6)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_LRQ_ONE_PW_EXPTIME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(-6)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_LRQ_ONE_PW_EXPTIME</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL.html	2023-08-14 16:22:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_ENTERPRISE_PRINCIPAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_ENT_PRINCIPAL_AND_ID" href="KRB5_NT_ENT_PRINCIPAL_AND_ID.html" />
     <link rel="prev" title="KRB5_LRQ_ONE_PW_EXPTIME" href="KRB5_LRQ_ONE_PW_EXPTIME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-enterprise-principal">
+  <section id="krb5-nt-enterprise-principal">
 <span id="krb5-nt-enterprise-principal-data"></span><h1>KRB5_NT_ENTERPRISE_PRINCIPAL<a class="headerlink" href="#krb5-nt-enterprise-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_ENTERPRISE_PRINCIPAL">
-<code class="descname">KRB5_NT_ENTERPRISE_PRINCIPAL</code><a class="headerlink" href="#KRB5_NT_ENTERPRISE_PRINCIPAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_ENTERPRISE_PRINCIPAL">
+<span class="sig-name descname"><span class="pre">KRB5_NT_ENTERPRISE_PRINCIPAL</span></span><a class="headerlink" href="#KRB5_NT_ENTERPRISE_PRINCIPAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Windows 2000 UPN.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_ENTERPRISE_PRINCIPAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">10</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_ENTERPRISE_PRINCIPAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">10</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_ENTERPRISE_PRINCIPAL</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID.html	2023-08-14 16:22:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_ENT_PRINCIPAL_AND_ID &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_MS_PRINCIPAL" href="KRB5_NT_MS_PRINCIPAL.html" />
     <link rel="prev" title="KRB5_NT_ENTERPRISE_PRINCIPAL" href="KRB5_NT_ENTERPRISE_PRINCIPAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-ent-principal-and-id">
+  <section id="krb5-nt-ent-principal-and-id">
 <span id="krb5-nt-ent-principal-and-id-data"></span><h1>KRB5_NT_ENT_PRINCIPAL_AND_ID<a class="headerlink" href="#krb5-nt-ent-principal-and-id" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_ENT_PRINCIPAL_AND_ID">
-<code class="descname">KRB5_NT_ENT_PRINCIPAL_AND_ID</code><a class="headerlink" href="#KRB5_NT_ENT_PRINCIPAL_AND_ID" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_ENT_PRINCIPAL_AND_ID">
+<span class="sig-name descname"><span class="pre">KRB5_NT_ENT_PRINCIPAL_AND_ID</span></span><a class="headerlink" href="#KRB5_NT_ENT_PRINCIPAL_AND_ID" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>NT 4 style name and SID.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_ENT_PRINCIPAL_AND_ID</span></code></td>
-<td><code class="docutils literal"><span class="pre">-130</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_ENT_PRINCIPAL_AND_ID</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">-130</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_ENT_PRINCIPAL_AND_ID</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_MS_PRINCIPAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_MS_PRINCIPAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_MS_PRINCIPAL.html	2023-08-14 16:22:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_MS_PRINCIPAL.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_MS_PRINCIPAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_MS_PRINCIPAL_AND_ID" href="KRB5_NT_MS_PRINCIPAL_AND_ID.html" />
     <link rel="prev" title="KRB5_NT_ENT_PRINCIPAL_AND_ID" href="KRB5_NT_ENT_PRINCIPAL_AND_ID.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-ms-principal">
+  <section id="krb5-nt-ms-principal">
 <span id="krb5-nt-ms-principal-data"></span><h1>KRB5_NT_MS_PRINCIPAL<a class="headerlink" href="#krb5-nt-ms-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_MS_PRINCIPAL">
-<code class="descname">KRB5_NT_MS_PRINCIPAL</code><a class="headerlink" href="#KRB5_NT_MS_PRINCIPAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_MS_PRINCIPAL">
+<span class="sig-name descname"><span class="pre">KRB5_NT_MS_PRINCIPAL</span></span><a class="headerlink" href="#KRB5_NT_MS_PRINCIPAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Windows 2000 UPN and SID.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_MS_PRINCIPAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">-128</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_MS_PRINCIPAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">-128</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_MS_PRINCIPAL</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID.html	2023-08-14 16:22:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_MS_PRINCIPAL_AND_ID &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_PRINCIPAL" href="KRB5_NT_PRINCIPAL.html" />
     <link rel="prev" title="KRB5_NT_MS_PRINCIPAL" href="KRB5_NT_MS_PRINCIPAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-ms-principal-and-id">
+  <section id="krb5-nt-ms-principal-and-id">
 <span id="krb5-nt-ms-principal-and-id-data"></span><h1>KRB5_NT_MS_PRINCIPAL_AND_ID<a class="headerlink" href="#krb5-nt-ms-principal-and-id" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_MS_PRINCIPAL_AND_ID">
-<code class="descname">KRB5_NT_MS_PRINCIPAL_AND_ID</code><a class="headerlink" href="#KRB5_NT_MS_PRINCIPAL_AND_ID" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_MS_PRINCIPAL_AND_ID">
+<span class="sig-name descname"><span class="pre">KRB5_NT_MS_PRINCIPAL_AND_ID</span></span><a class="headerlink" href="#KRB5_NT_MS_PRINCIPAL_AND_ID" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>NT 4 style name.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_MS_PRINCIPAL_AND_ID</span></code></td>
-<td><code class="docutils literal"><span class="pre">-129</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_MS_PRINCIPAL_AND_ID</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">-129</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_MS_PRINCIPAL_AND_ID</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_PRINCIPAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_PRINCIPAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_PRINCIPAL.html	2023-08-14 16:22:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_PRINCIPAL.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_PRINCIPAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_SMTP_NAME" href="KRB5_NT_SMTP_NAME.html" />
     <link rel="prev" title="KRB5_NT_MS_PRINCIPAL_AND_ID" href="KRB5_NT_MS_PRINCIPAL_AND_ID.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-principal">
+  <section id="krb5-nt-principal">
 <span id="krb5-nt-principal-data"></span><h1>KRB5_NT_PRINCIPAL<a class="headerlink" href="#krb5-nt-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_PRINCIPAL">
-<code class="descname">KRB5_NT_PRINCIPAL</code><a class="headerlink" href="#KRB5_NT_PRINCIPAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_PRINCIPAL">
+<span class="sig-name descname"><span class="pre">KRB5_NT_PRINCIPAL</span></span><a class="headerlink" href="#KRB5_NT_PRINCIPAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Just the name of the principal as in DCE, or for users.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_PRINCIPAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_PRINCIPAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_PRINCIPAL</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_SMTP_NAME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_SMTP_NAME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_SMTP_NAME.html	2023-08-14 16:22:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_SMTP_NAME.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_SMTP_NAME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_SRV_HST" href="KRB5_NT_SRV_HST.html" />
     <link rel="prev" title="KRB5_NT_PRINCIPAL" href="KRB5_NT_PRINCIPAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-smtp-name">
+  <section id="krb5-nt-smtp-name">
 <span id="krb5-nt-smtp-name-data"></span><h1>KRB5_NT_SMTP_NAME<a class="headerlink" href="#krb5-nt-smtp-name" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_SMTP_NAME">
-<code class="descname">KRB5_NT_SMTP_NAME</code><a class="headerlink" href="#KRB5_NT_SMTP_NAME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_SMTP_NAME">
+<span class="sig-name descname"><span class="pre">KRB5_NT_SMTP_NAME</span></span><a class="headerlink" href="#KRB5_NT_SMTP_NAME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Name in form of SMTP email name.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_SMTP_NAME</span></code></td>
-<td><code class="docutils literal"><span class="pre">7</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_SMTP_NAME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">7</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_SMTP_NAME</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_HST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_HST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_HST.html	2023-08-14 16:22:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_HST.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_SRV_HST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_SRV_INST" href="KRB5_NT_SRV_INST.html" />
     <link rel="prev" title="KRB5_NT_SMTP_NAME" href="KRB5_NT_SMTP_NAME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-srv-hst">
+  <section id="krb5-nt-srv-hst">
 <span id="krb5-nt-srv-hst-data"></span><h1>KRB5_NT_SRV_HST<a class="headerlink" href="#krb5-nt-srv-hst" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_SRV_HST">
-<code class="descname">KRB5_NT_SRV_HST</code><a class="headerlink" href="#KRB5_NT_SRV_HST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_SRV_HST">
+<span class="sig-name descname"><span class="pre">KRB5_NT_SRV_HST</span></span><a class="headerlink" href="#KRB5_NT_SRV_HST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Service with host name as instance (telnet, rcommands)</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_SRV_HST</span></code></td>
-<td><code class="docutils literal"><span class="pre">3</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_SRV_HST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">3</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_SRV_HST</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_INST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_INST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_INST.html	2023-08-14 16:22:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_INST.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_SRV_INST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_SRV_XHST" href="KRB5_NT_SRV_XHST.html" />
     <link rel="prev" title="KRB5_NT_SRV_HST" href="KRB5_NT_SRV_HST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-srv-inst">
+  <section id="krb5-nt-srv-inst">
 <span id="krb5-nt-srv-inst-data"></span><h1>KRB5_NT_SRV_INST<a class="headerlink" href="#krb5-nt-srv-inst" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_SRV_INST">
-<code class="descname">KRB5_NT_SRV_INST</code><a class="headerlink" href="#KRB5_NT_SRV_INST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_SRV_INST">
+<span class="sig-name descname"><span class="pre">KRB5_NT_SRV_INST</span></span><a class="headerlink" href="#KRB5_NT_SRV_INST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Service and other unique instance (krbtgt)</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_SRV_INST</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_SRV_INST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_SRV_INST</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_XHST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_XHST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_XHST.html	2023-08-14 16:22:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_SRV_XHST.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_SRV_XHST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_UID" href="KRB5_NT_UID.html" />
     <link rel="prev" title="KRB5_NT_SRV_INST" href="KRB5_NT_SRV_INST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-srv-xhst">
+  <section id="krb5-nt-srv-xhst">
 <span id="krb5-nt-srv-xhst-data"></span><h1>KRB5_NT_SRV_XHST<a class="headerlink" href="#krb5-nt-srv-xhst" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_SRV_XHST">
-<code class="descname">KRB5_NT_SRV_XHST</code><a class="headerlink" href="#KRB5_NT_SRV_XHST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_SRV_XHST">
+<span class="sig-name descname"><span class="pre">KRB5_NT_SRV_XHST</span></span><a class="headerlink" href="#KRB5_NT_SRV_XHST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Service with host as remaining components.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_SRV_XHST</span></code></td>
-<td><code class="docutils literal"><span class="pre">4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_SRV_XHST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_SRV_XHST</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_UID.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_UID.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_UID.html	2023-08-14 16:22:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_UID.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_UID &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_UNKNOWN" href="KRB5_NT_UNKNOWN.html" />
     <link rel="prev" title="KRB5_NT_SRV_XHST" href="KRB5_NT_SRV_XHST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-uid">
+  <section id="krb5-nt-uid">
 <span id="krb5-nt-uid-data"></span><h1>KRB5_NT_UID<a class="headerlink" href="#krb5-nt-uid" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_UID">
-<code class="descname">KRB5_NT_UID</code><a class="headerlink" href="#KRB5_NT_UID" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_UID">
+<span class="sig-name descname"><span class="pre">KRB5_NT_UID</span></span><a class="headerlink" href="#KRB5_NT_UID" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Unique ID.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="45%" />
-<col width="55%" />
+<col style="width: 45%" />
+<col style="width: 55%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_UID</span></code></td>
-<td><code class="docutils literal"><span class="pre">5</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_UID</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_UID</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_UNKNOWN.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_UNKNOWN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_UNKNOWN.html	2023-08-14 16:22:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_UNKNOWN.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_UNKNOWN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_WELLKNOWN" href="KRB5_NT_WELLKNOWN.html" />
     <link rel="prev" title="KRB5_NT_UID" href="KRB5_NT_UID.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-unknown">
+  <section id="krb5-nt-unknown">
 <span id="krb5-nt-unknown-data"></span><h1>KRB5_NT_UNKNOWN<a class="headerlink" href="#krb5-nt-unknown" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_UNKNOWN">
-<code class="descname">KRB5_NT_UNKNOWN</code><a class="headerlink" href="#KRB5_NT_UNKNOWN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_UNKNOWN">
+<span class="sig-name descname"><span class="pre">KRB5_NT_UNKNOWN</span></span><a class="headerlink" href="#KRB5_NT_UNKNOWN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Name type not known.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_UNKNOWN</span></code></td>
-<td><code class="docutils literal"><span class="pre">0</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_UNKNOWN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_UNKNOWN</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_WELLKNOWN.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_WELLKNOWN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_WELLKNOWN.html	2023-08-14 16:22:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_WELLKNOWN.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_WELLKNOWN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_NT_X500_PRINCIPAL" href="KRB5_NT_X500_PRINCIPAL.html" />
     <link rel="prev" title="KRB5_NT_UNKNOWN" href="KRB5_NT_UNKNOWN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-wellknown">
+  <section id="krb5-nt-wellknown">
 <span id="krb5-nt-wellknown-data"></span><h1>KRB5_NT_WELLKNOWN<a class="headerlink" href="#krb5-nt-wellknown" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_WELLKNOWN">
-<code class="descname">KRB5_NT_WELLKNOWN</code><a class="headerlink" href="#KRB5_NT_WELLKNOWN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_WELLKNOWN">
+<span class="sig-name descname"><span class="pre">KRB5_NT_WELLKNOWN</span></span><a class="headerlink" href="#KRB5_NT_WELLKNOWN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Well-known (special) principal.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_WELLKNOWN</span></code></td>
-<td><code class="docutils literal"><span class="pre">11</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_WELLKNOWN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">11</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_WELLKNOWN</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_X500_PRINCIPAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_X500_PRINCIPAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_NT_X500_PRINCIPAL.html	2023-08-14 16:22:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_NT_X500_PRINCIPAL.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_NT_X500_PRINCIPAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_ATTRIBUTES_INFO" href="KRB5_PAC_ATTRIBUTES_INFO.html" />
     <link rel="prev" title="KRB5_NT_WELLKNOWN" href="KRB5_NT_WELLKNOWN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-nt-x500-principal">
+  <section id="krb5-nt-x500-principal">
 <span id="krb5-nt-x500-principal-data"></span><h1>KRB5_NT_X500_PRINCIPAL<a class="headerlink" href="#krb5-nt-x500-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_NT_X500_PRINCIPAL">
-<code class="descname">KRB5_NT_X500_PRINCIPAL</code><a class="headerlink" href="#KRB5_NT_X500_PRINCIPAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_NT_X500_PRINCIPAL">
+<span class="sig-name descname"><span class="pre">KRB5_NT_X500_PRINCIPAL</span></span><a class="headerlink" href="#KRB5_NT_X500_PRINCIPAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>PKINIT.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_NT_X500_PRINCIPAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">6</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_NT_X500_PRINCIPAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_NT_X500_PRINCIPAL</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO.html	2023-08-14 16:22:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO.html	2024-06-26 20:01:19.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_ATTRIBUTES_INFO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_CLIENT_INFO" href="KRB5_PAC_CLIENT_INFO.html" />
     <link rel="prev" title="KRB5_NT_X500_PRINCIPAL" href="KRB5_NT_X500_PRINCIPAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-attributes-info">
+  <section id="krb5-pac-attributes-info">
 <span id="krb5-pac-attributes-info-data"></span><h1>KRB5_PAC_ATTRIBUTES_INFO<a class="headerlink" href="#krb5-pac-attributes-info" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_ATTRIBUTES_INFO">
-<code class="descname">KRB5_PAC_ATTRIBUTES_INFO</code><a class="headerlink" href="#KRB5_PAC_ATTRIBUTES_INFO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_ATTRIBUTES_INFO">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_ATTRIBUTES_INFO</span></span><a class="headerlink" href="#KRB5_PAC_ATTRIBUTES_INFO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>PAC attributes.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_ATTRIBUTES_INFO</span></code></td>
-<td><code class="docutils literal"><span class="pre">17</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_ATTRIBUTES_INFO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">17</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_ATTRIBUTES_INFO</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS.html	2023-08-14 16:22:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_CLIENT_CLAIMS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_CREDENTIALS_INFO" href="KRB5_PAC_CREDENTIALS_INFO.html" />
     <link rel="prev" title="KRB5_PAC_CLIENT_INFO" href="KRB5_PAC_CLIENT_INFO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-client-claims">
+  <section id="krb5-pac-client-claims">
 <span id="krb5-pac-client-claims-data"></span><h1>KRB5_PAC_CLIENT_CLAIMS<a class="headerlink" href="#krb5-pac-client-claims" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_CLIENT_CLAIMS">
-<code class="descname">KRB5_PAC_CLIENT_CLAIMS</code><a class="headerlink" href="#KRB5_PAC_CLIENT_CLAIMS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_CLIENT_CLAIMS">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_CLIENT_CLAIMS</span></span><a class="headerlink" href="#KRB5_PAC_CLIENT_CLAIMS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Client claims information.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_CLIENT_CLAIMS</span></code></td>
-<td><code class="docutils literal"><span class="pre">13</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_CLIENT_CLAIMS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">13</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_CLIENT_CLAIMS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_CLIENT_INFO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_CLIENT_INFO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_CLIENT_INFO.html	2023-08-14 16:22:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_CLIENT_INFO.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_CLIENT_INFO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_CLIENT_CLAIMS" href="KRB5_PAC_CLIENT_CLAIMS.html" />
     <link rel="prev" title="KRB5_PAC_ATTRIBUTES_INFO" href="KRB5_PAC_ATTRIBUTES_INFO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-client-info">
+  <section id="krb5-pac-client-info">
 <span id="krb5-pac-client-info-data"></span><h1>KRB5_PAC_CLIENT_INFO<a class="headerlink" href="#krb5-pac-client-info" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_CLIENT_INFO">
-<code class="descname">KRB5_PAC_CLIENT_INFO</code><a class="headerlink" href="#KRB5_PAC_CLIENT_INFO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_CLIENT_INFO">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_CLIENT_INFO</span></span><a class="headerlink" href="#KRB5_PAC_CLIENT_INFO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Client name and ticket info.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_CLIENT_INFO</span></code></td>
-<td><code class="docutils literal"><span class="pre">10</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_CLIENT_INFO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">10</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_CLIENT_INFO</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO.html	2023-08-14 16:22:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_CREDENTIALS_INFO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_DELEGATION_INFO" href="KRB5_PAC_DELEGATION_INFO.html" />
     <link rel="prev" title="KRB5_PAC_CLIENT_CLAIMS" href="KRB5_PAC_CLIENT_CLAIMS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-credentials-info">
+  <section id="krb5-pac-credentials-info">
 <span id="krb5-pac-credentials-info-data"></span><h1>KRB5_PAC_CREDENTIALS_INFO<a class="headerlink" href="#krb5-pac-credentials-info" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_CREDENTIALS_INFO">
-<code class="descname">KRB5_PAC_CREDENTIALS_INFO</code><a class="headerlink" href="#KRB5_PAC_CREDENTIALS_INFO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_CREDENTIALS_INFO">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_CREDENTIALS_INFO</span></span><a class="headerlink" href="#KRB5_PAC_CREDENTIALS_INFO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Credentials information.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_CREDENTIALS_INFO</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_CREDENTIALS_INFO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_CREDENTIALS_INFO</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_DELEGATION_INFO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_DELEGATION_INFO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_DELEGATION_INFO.html	2023-08-14 16:22:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_DELEGATION_INFO.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_DELEGATION_INFO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_DEVICE_CLAIMS" href="KRB5_PAC_DEVICE_CLAIMS.html" />
     <link rel="prev" title="KRB5_PAC_CREDENTIALS_INFO" href="KRB5_PAC_CREDENTIALS_INFO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-delegation-info">
+  <section id="krb5-pac-delegation-info">
 <span id="krb5-pac-delegation-info-data"></span><h1>KRB5_PAC_DELEGATION_INFO<a class="headerlink" href="#krb5-pac-delegation-info" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_DELEGATION_INFO">
-<code class="descname">KRB5_PAC_DELEGATION_INFO</code><a class="headerlink" href="#KRB5_PAC_DELEGATION_INFO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_DELEGATION_INFO">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_DELEGATION_INFO</span></span><a class="headerlink" href="#KRB5_PAC_DELEGATION_INFO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Constrained delegation info.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_DELEGATION_INFO</span></code></td>
-<td><code class="docutils literal"><span class="pre">11</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_DELEGATION_INFO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">11</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_DELEGATION_INFO</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS.html	2023-08-14 16:22:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_DEVICE_CLAIMS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_DEVICE_INFO" href="KRB5_PAC_DEVICE_INFO.html" />
     <link rel="prev" title="KRB5_PAC_DELEGATION_INFO" href="KRB5_PAC_DELEGATION_INFO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-device-claims">
+  <section id="krb5-pac-device-claims">
 <span id="krb5-pac-device-claims-data"></span><h1>KRB5_PAC_DEVICE_CLAIMS<a class="headerlink" href="#krb5-pac-device-claims" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_DEVICE_CLAIMS">
-<code class="descname">KRB5_PAC_DEVICE_CLAIMS</code><a class="headerlink" href="#KRB5_PAC_DEVICE_CLAIMS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_DEVICE_CLAIMS">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_DEVICE_CLAIMS</span></span><a class="headerlink" href="#KRB5_PAC_DEVICE_CLAIMS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Device claims information.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_DEVICE_CLAIMS</span></code></td>
-<td><code class="docutils literal"><span class="pre">15</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_DEVICE_CLAIMS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">15</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_DEVICE_CLAIMS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_DEVICE_INFO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_DEVICE_INFO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_DEVICE_INFO.html	2023-08-14 16:22:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_DEVICE_INFO.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_DEVICE_INFO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_LOGON_INFO" href="KRB5_PAC_LOGON_INFO.html" />
     <link rel="prev" title="KRB5_PAC_DEVICE_CLAIMS" href="KRB5_PAC_DEVICE_CLAIMS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-device-info">
+  <section id="krb5-pac-device-info">
 <span id="krb5-pac-device-info-data"></span><h1>KRB5_PAC_DEVICE_INFO<a class="headerlink" href="#krb5-pac-device-info" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_DEVICE_INFO">
-<code class="descname">KRB5_PAC_DEVICE_INFO</code><a class="headerlink" href="#KRB5_PAC_DEVICE_INFO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_DEVICE_INFO">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_DEVICE_INFO</span></span><a class="headerlink" href="#KRB5_PAC_DEVICE_INFO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Device information.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_DEVICE_INFO</span></code></td>
-<td><code class="docutils literal"><span class="pre">14</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_DEVICE_INFO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">14</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_DEVICE_INFO</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM.html	2023-08-14 16:22:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_FULL_CHECKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_AFS3_SALT" href="KRB5_PADATA_AFS3_SALT.html" />
     <link rel="prev" title="KRB5_PAC_UPN_DNS_INFO" href="KRB5_PAC_UPN_DNS_INFO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-full-checksum">
+  <section id="krb5-pac-full-checksum">
 <span id="krb5-pac-full-checksum-data"></span><h1>KRB5_PAC_FULL_CHECKSUM<a class="headerlink" href="#krb5-pac-full-checksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_FULL_CHECKSUM">
-<code class="descname">KRB5_PAC_FULL_CHECKSUM</code><a class="headerlink" href="#KRB5_PAC_FULL_CHECKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_FULL_CHECKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_FULL_CHECKSUM</span></span><a class="headerlink" href="#KRB5_PAC_FULL_CHECKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>KDC full checksum.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_FULL_CHECKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">19</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_FULL_CHECKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">19</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_FULL_CHECKSUM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_LOGON_INFO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_LOGON_INFO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_LOGON_INFO.html	2023-08-14 16:22:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_LOGON_INFO.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_LOGON_INFO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_PRIVSVR_CHECKSUM" href="KRB5_PAC_PRIVSVR_CHECKSUM.html" />
     <link rel="prev" title="KRB5_PAC_DEVICE_INFO" href="KRB5_PAC_DEVICE_INFO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-logon-info">
+  <section id="krb5-pac-logon-info">
 <span id="krb5-pac-logon-info-data"></span><h1>KRB5_PAC_LOGON_INFO<a class="headerlink" href="#krb5-pac-logon-info" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_LOGON_INFO">
-<code class="descname">KRB5_PAC_LOGON_INFO</code><a class="headerlink" href="#KRB5_PAC_LOGON_INFO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_LOGON_INFO">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_LOGON_INFO</span></span><a class="headerlink" href="#KRB5_PAC_LOGON_INFO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Logon information.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_LOGON_INFO</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_LOGON_INFO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_LOGON_INFO</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM.html	2023-08-14 16:22:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_PRIVSVR_CHECKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_REQUESTOR" href="KRB5_PAC_REQUESTOR.html" />
     <link rel="prev" title="KRB5_PAC_LOGON_INFO" href="KRB5_PAC_LOGON_INFO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-privsvr-checksum">
+  <section id="krb5-pac-privsvr-checksum">
 <span id="krb5-pac-privsvr-checksum-data"></span><h1>KRB5_PAC_PRIVSVR_CHECKSUM<a class="headerlink" href="#krb5-pac-privsvr-checksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_PRIVSVR_CHECKSUM">
-<code class="descname">KRB5_PAC_PRIVSVR_CHECKSUM</code><a class="headerlink" href="#KRB5_PAC_PRIVSVR_CHECKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_PRIVSVR_CHECKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_PRIVSVR_CHECKSUM</span></span><a class="headerlink" href="#KRB5_PAC_PRIVSVR_CHECKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>KDC checksum.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_PRIVSVR_CHECKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">7</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_PRIVSVR_CHECKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">7</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_PRIVSVR_CHECKSUM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_REQUESTOR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_REQUESTOR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_REQUESTOR.html	2023-08-14 16:22:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_REQUESTOR.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_REQUESTOR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_SERVER_CHECKSUM" href="KRB5_PAC_SERVER_CHECKSUM.html" />
     <link rel="prev" title="KRB5_PAC_PRIVSVR_CHECKSUM" href="KRB5_PAC_PRIVSVR_CHECKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-requestor">
+  <section id="krb5-pac-requestor">
 <span id="krb5-pac-requestor-data"></span><h1>KRB5_PAC_REQUESTOR<a class="headerlink" href="#krb5-pac-requestor" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_REQUESTOR">
-<code class="descname">KRB5_PAC_REQUESTOR</code><a class="headerlink" href="#KRB5_PAC_REQUESTOR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_REQUESTOR">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_REQUESTOR</span></span><a class="headerlink" href="#KRB5_PAC_REQUESTOR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>PAC requestor SID.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_REQUESTOR</span></code></td>
-<td><code class="docutils literal"><span class="pre">18</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_REQUESTOR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">18</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_REQUESTOR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM.html	2023-08-14 16:22:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_SERVER_CHECKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_TICKET_CHECKSUM" href="KRB5_PAC_TICKET_CHECKSUM.html" />
     <link rel="prev" title="KRB5_PAC_REQUESTOR" href="KRB5_PAC_REQUESTOR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-server-checksum">
+  <section id="krb5-pac-server-checksum">
 <span id="krb5-pac-server-checksum-data"></span><h1>KRB5_PAC_SERVER_CHECKSUM<a class="headerlink" href="#krb5-pac-server-checksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_SERVER_CHECKSUM">
-<code class="descname">KRB5_PAC_SERVER_CHECKSUM</code><a class="headerlink" href="#KRB5_PAC_SERVER_CHECKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_SERVER_CHECKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_SERVER_CHECKSUM</span></span><a class="headerlink" href="#KRB5_PAC_SERVER_CHECKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Server checksum.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_SERVER_CHECKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">6</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_SERVER_CHECKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_SERVER_CHECKSUM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM.html	2023-08-14 16:22:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_TICKET_CHECKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_UPN_DNS_INFO" href="KRB5_PAC_UPN_DNS_INFO.html" />
     <link rel="prev" title="KRB5_PAC_SERVER_CHECKSUM" href="KRB5_PAC_SERVER_CHECKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-ticket-checksum">
+  <section id="krb5-pac-ticket-checksum">
 <span id="krb5-pac-ticket-checksum-data"></span><h1>KRB5_PAC_TICKET_CHECKSUM<a class="headerlink" href="#krb5-pac-ticket-checksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_TICKET_CHECKSUM">
-<code class="descname">KRB5_PAC_TICKET_CHECKSUM</code><a class="headerlink" href="#KRB5_PAC_TICKET_CHECKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_TICKET_CHECKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_TICKET_CHECKSUM</span></span><a class="headerlink" href="#KRB5_PAC_TICKET_CHECKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Ticket checksum.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_TICKET_CHECKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">16</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_TICKET_CHECKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">16</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_TICKET_CHECKSUM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO.html	2023-08-14 16:22:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PAC_UPN_DNS_INFO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PAC_FULL_CHECKSUM" href="KRB5_PAC_FULL_CHECKSUM.html" />
     <link rel="prev" title="KRB5_PAC_TICKET_CHECKSUM" href="KRB5_PAC_TICKET_CHECKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac-upn-dns-info">
+  <section id="krb5-pac-upn-dns-info">
 <span id="krb5-pac-upn-dns-info-data"></span><h1>KRB5_PAC_UPN_DNS_INFO<a class="headerlink" href="#krb5-pac-upn-dns-info" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PAC_UPN_DNS_INFO">
-<code class="descname">KRB5_PAC_UPN_DNS_INFO</code><a class="headerlink" href="#KRB5_PAC_UPN_DNS_INFO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PAC_UPN_DNS_INFO">
+<span class="sig-name descname"><span class="pre">KRB5_PAC_UPN_DNS_INFO</span></span><a class="headerlink" href="#KRB5_PAC_UPN_DNS_INFO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>User principal name and DNS info.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PAC_UPN_DNS_INFO</span></code></td>
-<td><code class="docutils literal"><span class="pre">12</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PAC_UPN_DNS_INFO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">12</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PAC_UPN_DNS_INFO</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_AFS3_SALT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_AFS3_SALT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_AFS3_SALT.html	2023-08-14 16:22:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_AFS3_SALT.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_AFS3_SALT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_AP_REQ" href="KRB5_PADATA_AP_REQ.html" />
     <link rel="prev" title="KRB5_PAC_FULL_CHECKSUM" href="KRB5_PAC_FULL_CHECKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-afs3-salt">
+  <section id="krb5-padata-afs3-salt">
 <span id="krb5-padata-afs3-salt-data"></span><h1>KRB5_PADATA_AFS3_SALT<a class="headerlink" href="#krb5-padata-afs3-salt" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_AFS3_SALT">
-<code class="descname">KRB5_PADATA_AFS3_SALT</code><a class="headerlink" href="#KRB5_PADATA_AFS3_SALT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_AFS3_SALT">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_AFS3_SALT</span></span><a class="headerlink" href="#KRB5_PADATA_AFS3_SALT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Cygnus.</p>
 <p>RFC 4120, 3961</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_AFS3_SALT</span></code></td>
-<td><code class="docutils literal"><span class="pre">10</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_AFS3_SALT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">10</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_AFS3_SALT</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_AP_REQ.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_AP_REQ.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_AP_REQ.html	2023-08-14 16:22:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_AP_REQ.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_AP_REQ &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_AS_CHECKSUM" href="KRB5_PADATA_AS_CHECKSUM.html" />
     <link rel="prev" title="KRB5_PADATA_AFS3_SALT" href="KRB5_PADATA_AFS3_SALT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-ap-req">
+  <section id="krb5-padata-ap-req">
 <span id="krb5-padata-ap-req-data"></span><h1>KRB5_PADATA_AP_REQ<a class="headerlink" href="#krb5-padata-ap-req" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_AP_REQ">
-<code class="descname">KRB5_PADATA_AP_REQ</code><a class="headerlink" href="#KRB5_PADATA_AP_REQ" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_AP_REQ">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_AP_REQ</span></span><a class="headerlink" href="#KRB5_PADATA_AP_REQ" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_AP_REQ</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_AP_REQ</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_AP_REQ</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM.html	2023-08-14 16:22:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_AS_CHECKSUM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_AS_FRESHNESS" href="KRB5_PADATA_AS_FRESHNESS.html" />
     <link rel="prev" title="KRB5_PADATA_AP_REQ" href="KRB5_PADATA_AP_REQ.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-as-checksum">
+  <section id="krb5-padata-as-checksum">
 <span id="krb5-padata-as-checksum-data"></span><h1>KRB5_PADATA_AS_CHECKSUM<a class="headerlink" href="#krb5-padata-as-checksum" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_AS_CHECKSUM">
-<code class="descname">KRB5_PADATA_AS_CHECKSUM</code><a class="headerlink" href="#KRB5_PADATA_AS_CHECKSUM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_AS_CHECKSUM">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_AS_CHECKSUM</span></span><a class="headerlink" href="#KRB5_PADATA_AS_CHECKSUM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>AS checksum.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_AS_CHECKSUM</span></code></td>
-<td><code class="docutils literal"><span class="pre">132</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_AS_CHECKSUM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">132</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_AS_CHECKSUM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS.html	2023-08-14 16:22:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_AS_FRESHNESS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_ENCRYPTED_CHALLENGE" href="KRB5_PADATA_ENCRYPTED_CHALLENGE.html" />
     <link rel="prev" title="KRB5_PADATA_AS_CHECKSUM" href="KRB5_PADATA_AS_CHECKSUM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-as-freshness">
+  <section id="krb5-padata-as-freshness">
 <span id="krb5-padata-as-freshness-data"></span><h1>KRB5_PADATA_AS_FRESHNESS<a class="headerlink" href="#krb5-padata-as-freshness" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_AS_FRESHNESS">
-<code class="descname">KRB5_PADATA_AS_FRESHNESS</code><a class="headerlink" href="#KRB5_PADATA_AS_FRESHNESS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_AS_FRESHNESS">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_AS_FRESHNESS</span></span><a class="headerlink" href="#KRB5_PADATA_AS_FRESHNESS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 8070.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_AS_FRESHNESS</span></code></td>
-<td><code class="docutils literal"><span class="pre">150</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_AS_FRESHNESS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">150</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_AS_FRESHNESS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE.html	2023-08-14 16:22:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_ENCRYPTED_CHALLENGE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_ENC_SANDIA_SECURID" href="KRB5_PADATA_ENC_SANDIA_SECURID.html" />
     <link rel="prev" title="KRB5_PADATA_AS_FRESHNESS" href="KRB5_PADATA_AS_FRESHNESS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-encrypted-challenge">
+  <section id="krb5-padata-encrypted-challenge">
 <span id="krb5-padata-encrypted-challenge-data"></span><h1>KRB5_PADATA_ENCRYPTED_CHALLENGE<a class="headerlink" href="#krb5-padata-encrypted-challenge" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_ENCRYPTED_CHALLENGE">
-<code class="descname">KRB5_PADATA_ENCRYPTED_CHALLENGE</code><a class="headerlink" href="#KRB5_PADATA_ENCRYPTED_CHALLENGE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_ENCRYPTED_CHALLENGE">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_ENCRYPTED_CHALLENGE</span></span><a class="headerlink" href="#KRB5_PADATA_ENCRYPTED_CHALLENGE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6113.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_ENCRYPTED_CHALLENGE</span></code></td>
-<td><code class="docutils literal"><span class="pre">138</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_ENCRYPTED_CHALLENGE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">138</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_ENCRYPTED_CHALLENGE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID.html	2023-08-14 16:22:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_ENC_SANDIA_SECURID &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_ENC_TIMESTAMP" href="KRB5_PADATA_ENC_TIMESTAMP.html" />
     <link rel="prev" title="KRB5_PADATA_ENCRYPTED_CHALLENGE" href="KRB5_PADATA_ENCRYPTED_CHALLENGE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-enc-sandia-securid">
+  <section id="krb5-padata-enc-sandia-securid">
 <span id="krb5-padata-enc-sandia-securid-data"></span><h1>KRB5_PADATA_ENC_SANDIA_SECURID<a class="headerlink" href="#krb5-padata-enc-sandia-securid" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_ENC_SANDIA_SECURID">
-<code class="descname">KRB5_PADATA_ENC_SANDIA_SECURID</code><a class="headerlink" href="#KRB5_PADATA_ENC_SANDIA_SECURID" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_ENC_SANDIA_SECURID">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_ENC_SANDIA_SECURID</span></span><a class="headerlink" href="#KRB5_PADATA_ENC_SANDIA_SECURID" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>SecurId passcode.</p>
 <p>RFC 4120</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_ENC_SANDIA_SECURID</span></code></td>
-<td><code class="docutils literal"><span class="pre">6</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_ENC_SANDIA_SECURID</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_ENC_SANDIA_SECURID</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP.html	2023-08-14 16:22:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_ENC_TIMESTAMP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_ENC_UNIX_TIME" href="KRB5_PADATA_ENC_UNIX_TIME.html" />
     <link rel="prev" title="KRB5_PADATA_ENC_SANDIA_SECURID" href="KRB5_PADATA_ENC_SANDIA_SECURID.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-enc-timestamp">
+  <section id="krb5-padata-enc-timestamp">
 <span id="krb5-padata-enc-timestamp-data"></span><h1>KRB5_PADATA_ENC_TIMESTAMP<a class="headerlink" href="#krb5-padata-enc-timestamp" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_ENC_TIMESTAMP">
-<code class="descname">KRB5_PADATA_ENC_TIMESTAMP</code><a class="headerlink" href="#KRB5_PADATA_ENC_TIMESTAMP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_ENC_TIMESTAMP">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_ENC_TIMESTAMP</span></span><a class="headerlink" href="#KRB5_PADATA_ENC_TIMESTAMP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 4120.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_ENC_TIMESTAMP</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_ENC_TIMESTAMP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_ENC_TIMESTAMP</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME.html	2023-08-14 16:22:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_ENC_UNIX_TIME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_ETYPE_INFO" href="KRB5_PADATA_ETYPE_INFO.html" />
     <link rel="prev" title="KRB5_PADATA_ENC_TIMESTAMP" href="KRB5_PADATA_ENC_TIMESTAMP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-enc-unix-time">
+  <section id="krb5-padata-enc-unix-time">
 <span id="krb5-padata-enc-unix-time-data"></span><h1>KRB5_PADATA_ENC_UNIX_TIME<a class="headerlink" href="#krb5-padata-enc-unix-time" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_ENC_UNIX_TIME">
-<code class="descname">KRB5_PADATA_ENC_UNIX_TIME</code><a class="headerlink" href="#KRB5_PADATA_ENC_UNIX_TIME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_ENC_UNIX_TIME">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_ENC_UNIX_TIME</span></span><a class="headerlink" href="#KRB5_PADATA_ENC_UNIX_TIME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>timestamp encrypted in key.</p>
 <p>RFC 4120</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_ENC_UNIX_TIME</span></code></td>
-<td><code class="docutils literal"><span class="pre">5</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_ENC_UNIX_TIME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_ENC_UNIX_TIME</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ETYPE_INFO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ETYPE_INFO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ETYPE_INFO.html	2023-08-14 16:22:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ETYPE_INFO.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_ETYPE_INFO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_ETYPE_INFO2" href="KRB5_PADATA_ETYPE_INFO2.html" />
     <link rel="prev" title="KRB5_PADATA_ENC_UNIX_TIME" href="KRB5_PADATA_ENC_UNIX_TIME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-etype-info">
+  <section id="krb5-padata-etype-info">
 <span id="krb5-padata-etype-info-data"></span><h1>KRB5_PADATA_ETYPE_INFO<a class="headerlink" href="#krb5-padata-etype-info" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_ETYPE_INFO">
-<code class="descname">KRB5_PADATA_ETYPE_INFO</code><a class="headerlink" href="#KRB5_PADATA_ETYPE_INFO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_ETYPE_INFO">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_ETYPE_INFO</span></span><a class="headerlink" href="#KRB5_PADATA_ETYPE_INFO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Etype info for preauth.</p>
 <p>RFC 4120</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_ETYPE_INFO</span></code></td>
-<td><code class="docutils literal"><span class="pre">11</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_ETYPE_INFO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">11</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_ETYPE_INFO</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2.html	2023-08-14 16:22:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2.html	2024-06-26 20:01:20.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_ETYPE_INFO2 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_FOR_USER" href="KRB5_PADATA_FOR_USER.html" />
     <link rel="prev" title="KRB5_PADATA_ETYPE_INFO" href="KRB5_PADATA_ETYPE_INFO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-etype-info2">
+  <section id="krb5-padata-etype-info2">
 <span id="krb5-padata-etype-info2-data"></span><h1>KRB5_PADATA_ETYPE_INFO2<a class="headerlink" href="#krb5-padata-etype-info2" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_ETYPE_INFO2">
-<code class="descname">KRB5_PADATA_ETYPE_INFO2</code><a class="headerlink" href="#KRB5_PADATA_ETYPE_INFO2" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_ETYPE_INFO2">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_ETYPE_INFO2</span></span><a class="headerlink" href="#KRB5_PADATA_ETYPE_INFO2" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 4120.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_ETYPE_INFO2</span></code></td>
-<td><code class="docutils literal"><span class="pre">19</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_ETYPE_INFO2</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">19</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_ETYPE_INFO2</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_FOR_USER.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_FOR_USER.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_FOR_USER.html	2023-08-14 16:22:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_FOR_USER.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_FOR_USER &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_FX_COOKIE" href="KRB5_PADATA_FX_COOKIE.html" />
     <link rel="prev" title="KRB5_PADATA_ETYPE_INFO2" href="KRB5_PADATA_ETYPE_INFO2.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-for-user">
+  <section id="krb5-padata-for-user">
 <span id="krb5-padata-for-user-data"></span><h1>KRB5_PADATA_FOR_USER<a class="headerlink" href="#krb5-padata-for-user" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_FOR_USER">
-<code class="descname">KRB5_PADATA_FOR_USER</code><a class="headerlink" href="#KRB5_PADATA_FOR_USER" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_FOR_USER">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_FOR_USER</span></span><a class="headerlink" href="#KRB5_PADATA_FOR_USER" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>username protocol transition request</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_FOR_USER</span></code></td>
-<td><code class="docutils literal"><span class="pre">129</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_FOR_USER</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">129</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_FOR_USER</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_COOKIE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_COOKIE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_COOKIE.html	2023-08-14 16:22:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_COOKIE.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_FX_COOKIE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_FX_ERROR" href="KRB5_PADATA_FX_ERROR.html" />
     <link rel="prev" title="KRB5_PADATA_FOR_USER" href="KRB5_PADATA_FOR_USER.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-fx-cookie">
+  <section id="krb5-padata-fx-cookie">
 <span id="krb5-padata-fx-cookie-data"></span><h1>KRB5_PADATA_FX_COOKIE<a class="headerlink" href="#krb5-padata-fx-cookie" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_FX_COOKIE">
-<code class="descname">KRB5_PADATA_FX_COOKIE</code><a class="headerlink" href="#KRB5_PADATA_FX_COOKIE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_FX_COOKIE">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_FX_COOKIE</span></span><a class="headerlink" href="#KRB5_PADATA_FX_COOKIE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6113.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_FX_COOKIE</span></code></td>
-<td><code class="docutils literal"><span class="pre">133</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_FX_COOKIE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">133</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_FX_COOKIE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_ERROR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_ERROR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_ERROR.html	2023-08-14 16:22:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_ERROR.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_FX_ERROR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_FX_FAST" href="KRB5_PADATA_FX_FAST.html" />
     <link rel="prev" title="KRB5_PADATA_FX_COOKIE" href="KRB5_PADATA_FX_COOKIE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-fx-error">
+  <section id="krb5-padata-fx-error">
 <span id="krb5-padata-fx-error-data"></span><h1>KRB5_PADATA_FX_ERROR<a class="headerlink" href="#krb5-padata-fx-error" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_FX_ERROR">
-<code class="descname">KRB5_PADATA_FX_ERROR</code><a class="headerlink" href="#KRB5_PADATA_FX_ERROR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_FX_ERROR">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_FX_ERROR</span></span><a class="headerlink" href="#KRB5_PADATA_FX_ERROR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6113.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_FX_ERROR</span></code></td>
-<td><code class="docutils literal"><span class="pre">137</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_FX_ERROR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">137</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_FX_ERROR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_FAST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_FAST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_FAST.html	2023-08-14 16:22:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_FX_FAST.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_FX_FAST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_GET_FROM_TYPED_DATA" href="KRB5_PADATA_GET_FROM_TYPED_DATA.html" />
     <link rel="prev" title="KRB5_PADATA_FX_ERROR" href="KRB5_PADATA_FX_ERROR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-fx-fast">
+  <section id="krb5-padata-fx-fast">
 <span id="krb5-padata-fx-fast-data"></span><h1>KRB5_PADATA_FX_FAST<a class="headerlink" href="#krb5-padata-fx-fast" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_FX_FAST">
-<code class="descname">KRB5_PADATA_FX_FAST</code><a class="headerlink" href="#KRB5_PADATA_FX_FAST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_FX_FAST">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_FX_FAST</span></span><a class="headerlink" href="#KRB5_PADATA_FX_FAST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6113.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_FX_FAST</span></code></td>
-<td><code class="docutils literal"><span class="pre">136</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_FX_FAST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">136</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_FX_FAST</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA.html	2023-08-14 16:22:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_GET_FROM_TYPED_DATA &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_NONE" href="KRB5_PADATA_NONE.html" />
     <link rel="prev" title="KRB5_PADATA_FX_FAST" href="KRB5_PADATA_FX_FAST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-get-from-typed-data">
+  <section id="krb5-padata-get-from-typed-data">
 <span id="krb5-padata-get-from-typed-data-data"></span><h1>KRB5_PADATA_GET_FROM_TYPED_DATA<a class="headerlink" href="#krb5-padata-get-from-typed-data" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_GET_FROM_TYPED_DATA">
-<code class="descname">KRB5_PADATA_GET_FROM_TYPED_DATA</code><a class="headerlink" href="#KRB5_PADATA_GET_FROM_TYPED_DATA" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_GET_FROM_TYPED_DATA">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_GET_FROM_TYPED_DATA</span></span><a class="headerlink" href="#KRB5_PADATA_GET_FROM_TYPED_DATA" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Embedded in typed data.</p>
 <p>RFC 4120</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_GET_FROM_TYPED_DATA</span></code></td>
-<td><code class="docutils literal"><span class="pre">22</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_GET_FROM_TYPED_DATA</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">22</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_GET_FROM_TYPED_DATA</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_NONE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_NONE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_NONE.html	2023-08-14 16:22:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_NONE.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_NONE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_OSF_DCE" href="KRB5_PADATA_OSF_DCE.html" />
     <link rel="prev" title="KRB5_PADATA_GET_FROM_TYPED_DATA" href="KRB5_PADATA_GET_FROM_TYPED_DATA.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-none">
+  <section id="krb5-padata-none">
 <span id="krb5-padata-none-data"></span><h1>KRB5_PADATA_NONE<a class="headerlink" href="#krb5-padata-none" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_NONE">
-<code class="descname">KRB5_PADATA_NONE</code><a class="headerlink" href="#KRB5_PADATA_NONE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_NONE">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_NONE</span></span><a class="headerlink" href="#KRB5_PADATA_NONE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_NONE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_NONE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_NONE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_OSF_DCE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_OSF_DCE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_OSF_DCE.html	2023-08-14 16:22:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_OSF_DCE.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_OSF_DCE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_OTP_CHALLENGE" href="KRB5_PADATA_OTP_CHALLENGE.html" />
     <link rel="prev" title="KRB5_PADATA_NONE" href="KRB5_PADATA_NONE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-osf-dce">
+  <section id="krb5-padata-osf-dce">
 <span id="krb5-padata-osf-dce-data"></span><h1>KRB5_PADATA_OSF_DCE<a class="headerlink" href="#krb5-padata-osf-dce" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_OSF_DCE">
-<code class="descname">KRB5_PADATA_OSF_DCE</code><a class="headerlink" href="#KRB5_PADATA_OSF_DCE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_OSF_DCE">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_OSF_DCE</span></span><a class="headerlink" href="#KRB5_PADATA_OSF_DCE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>OSF DCE.</p>
 <p>RFC 4120</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_OSF_DCE</span></code></td>
-<td><code class="docutils literal"><span class="pre">8</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_OSF_DCE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">8</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_OSF_DCE</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE.html	2023-08-14 16:22:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_OTP_CHALLENGE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_OTP_PIN_CHANGE" href="KRB5_PADATA_OTP_PIN_CHANGE.html" />
     <link rel="prev" title="KRB5_PADATA_OSF_DCE" href="KRB5_PADATA_OSF_DCE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-otp-challenge">
+  <section id="krb5-padata-otp-challenge">
 <span id="krb5-padata-otp-challenge-data"></span><h1>KRB5_PADATA_OTP_CHALLENGE<a class="headerlink" href="#krb5-padata-otp-challenge" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_OTP_CHALLENGE">
-<code class="descname">KRB5_PADATA_OTP_CHALLENGE</code><a class="headerlink" href="#KRB5_PADATA_OTP_CHALLENGE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_OTP_CHALLENGE">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_OTP_CHALLENGE</span></span><a class="headerlink" href="#KRB5_PADATA_OTP_CHALLENGE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6560 section 4.1.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_OTP_CHALLENGE</span></code></td>
-<td><code class="docutils literal"><span class="pre">141</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_OTP_CHALLENGE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">141</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_OTP_CHALLENGE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE.html	2023-08-14 16:22:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_OTP_PIN_CHANGE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_OTP_REQUEST" href="KRB5_PADATA_OTP_REQUEST.html" />
     <link rel="prev" title="KRB5_PADATA_OTP_CHALLENGE" href="KRB5_PADATA_OTP_CHALLENGE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-otp-pin-change">
+  <section id="krb5-padata-otp-pin-change">
 <span id="krb5-padata-otp-pin-change-data"></span><h1>KRB5_PADATA_OTP_PIN_CHANGE<a class="headerlink" href="#krb5-padata-otp-pin-change" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_OTP_PIN_CHANGE">
-<code class="descname">KRB5_PADATA_OTP_PIN_CHANGE</code><a class="headerlink" href="#KRB5_PADATA_OTP_PIN_CHANGE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_OTP_PIN_CHANGE">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_OTP_PIN_CHANGE</span></span><a class="headerlink" href="#KRB5_PADATA_OTP_PIN_CHANGE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6560 section 4.3.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_OTP_PIN_CHANGE</span></code></td>
-<td><code class="docutils literal"><span class="pre">144</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_OTP_PIN_CHANGE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">144</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_OTP_PIN_CHANGE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_REQUEST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_REQUEST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_REQUEST.html	2023-08-14 16:22:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_OTP_REQUEST.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_OTP_REQUEST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_PAC_OPTIONS" href="KRB5_PADATA_PAC_OPTIONS.html" />
     <link rel="prev" title="KRB5_PADATA_OTP_PIN_CHANGE" href="KRB5_PADATA_OTP_PIN_CHANGE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-otp-request">
+  <section id="krb5-padata-otp-request">
 <span id="krb5-padata-otp-request-data"></span><h1>KRB5_PADATA_OTP_REQUEST<a class="headerlink" href="#krb5-padata-otp-request" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_OTP_REQUEST">
-<code class="descname">KRB5_PADATA_OTP_REQUEST</code><a class="headerlink" href="#KRB5_PADATA_OTP_REQUEST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_OTP_REQUEST">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_OTP_REQUEST</span></span><a class="headerlink" href="#KRB5_PADATA_OTP_REQUEST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6560 section 4.2.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_OTP_REQUEST</span></code></td>
-<td><code class="docutils literal"><span class="pre">142</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_OTP_REQUEST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">142</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_OTP_REQUEST</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS.html	2023-08-14 16:22:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_PAC_OPTIONS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_PAC_REQUEST" href="KRB5_PADATA_PAC_REQUEST.html" />
     <link rel="prev" title="KRB5_PADATA_OTP_REQUEST" href="KRB5_PADATA_OTP_REQUEST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-pac-options">
+  <section id="krb5-padata-pac-options">
 <span id="krb5-padata-pac-options-data"></span><h1>KRB5_PADATA_PAC_OPTIONS<a class="headerlink" href="#krb5-padata-pac-options" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_PAC_OPTIONS">
-<code class="descname">KRB5_PADATA_PAC_OPTIONS</code><a class="headerlink" href="#KRB5_PADATA_PAC_OPTIONS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_PAC_OPTIONS">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_PAC_OPTIONS</span></span><a class="headerlink" href="#KRB5_PADATA_PAC_OPTIONS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>MS-KILE and MS-SFU.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_PAC_OPTIONS</span></code></td>
-<td><code class="docutils literal"><span class="pre">167</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_PAC_OPTIONS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">167</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_PAC_OPTIONS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PAC_REQUEST.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PAC_REQUEST.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PAC_REQUEST.html	2023-08-14 16:22:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PAC_REQUEST.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_PAC_REQUEST &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_PKINIT_KX" href="KRB5_PADATA_PKINIT_KX.html" />
     <link rel="prev" title="KRB5_PADATA_PAC_OPTIONS" href="KRB5_PADATA_PAC_OPTIONS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-pac-request">
+  <section id="krb5-padata-pac-request">
 <span id="krb5-padata-pac-request-data"></span><h1>KRB5_PADATA_PAC_REQUEST<a class="headerlink" href="#krb5-padata-pac-request" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_PAC_REQUEST">
-<code class="descname">KRB5_PADATA_PAC_REQUEST</code><a class="headerlink" href="#KRB5_PADATA_PAC_REQUEST" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_PAC_REQUEST">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_PAC_REQUEST</span></span><a class="headerlink" href="#KRB5_PADATA_PAC_REQUEST" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>include Windows PAC</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_PAC_REQUEST</span></code></td>
-<td><code class="docutils literal"><span class="pre">128</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_PAC_REQUEST</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">128</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_PAC_REQUEST</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PKINIT_KX.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PKINIT_KX.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PKINIT_KX.html	2023-08-14 16:22:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PKINIT_KX.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_PKINIT_KX &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_PK_AS_REP" href="KRB5_PADATA_PK_AS_REP.html" />
     <link rel="prev" title="KRB5_PADATA_PAC_REQUEST" href="KRB5_PADATA_PAC_REQUEST.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-pkinit-kx">
+  <section id="krb5-padata-pkinit-kx">
 <span id="krb5-padata-pkinit-kx-data"></span><h1>KRB5_PADATA_PKINIT_KX<a class="headerlink" href="#krb5-padata-pkinit-kx" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_PKINIT_KX">
-<code class="descname">KRB5_PADATA_PKINIT_KX</code><a class="headerlink" href="#KRB5_PADATA_PKINIT_KX" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_PKINIT_KX">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_PKINIT_KX</span></span><a class="headerlink" href="#KRB5_PADATA_PKINIT_KX" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 6112.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_PKINIT_KX</span></code></td>
-<td><code class="docutils literal"><span class="pre">147</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_PKINIT_KX</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">147</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_PKINIT_KX</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REP.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REP.html	2023-08-14 16:22:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REP.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_PK_AS_REP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_PK_AS_REP_OLD" href="KRB5_PADATA_PK_AS_REP_OLD.html" />
     <link rel="prev" title="KRB5_PADATA_PKINIT_KX" href="KRB5_PADATA_PKINIT_KX.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-pk-as-rep">
+  <section id="krb5-padata-pk-as-rep">
 <span id="krb5-padata-pk-as-rep-data"></span><h1>KRB5_PADATA_PK_AS_REP<a class="headerlink" href="#krb5-padata-pk-as-rep" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_PK_AS_REP">
-<code class="descname">KRB5_PADATA_PK_AS_REP</code><a class="headerlink" href="#KRB5_PADATA_PK_AS_REP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_PK_AS_REP">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_PK_AS_REP</span></span><a class="headerlink" href="#KRB5_PADATA_PK_AS_REP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>PKINIT.</p>
 <p>RFC 4556</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_PK_AS_REP</span></code></td>
-<td><code class="docutils literal"><span class="pre">17</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_PK_AS_REP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">17</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_PK_AS_REP</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD.html	2023-08-14 16:22:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_PK_AS_REP_OLD &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_PK_AS_REQ" href="KRB5_PADATA_PK_AS_REQ.html" />
     <link rel="prev" title="KRB5_PADATA_PK_AS_REP" href="KRB5_PADATA_PK_AS_REP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-pk-as-rep-old">
+  <section id="krb5-padata-pk-as-rep-old">
 <span id="krb5-padata-pk-as-rep-old-data"></span><h1>KRB5_PADATA_PK_AS_REP_OLD<a class="headerlink" href="#krb5-padata-pk-as-rep-old" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_PK_AS_REP_OLD">
-<code class="descname">KRB5_PADATA_PK_AS_REP_OLD</code><a class="headerlink" href="#KRB5_PADATA_PK_AS_REP_OLD" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_PK_AS_REP_OLD">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_PK_AS_REP_OLD</span></span><a class="headerlink" href="#KRB5_PADATA_PK_AS_REP_OLD" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>PKINIT.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_PK_AS_REP_OLD</span></code></td>
-<td><code class="docutils literal"><span class="pre">15</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_PK_AS_REP_OLD</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">15</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_PK_AS_REP_OLD</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REQ.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REQ.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REQ.html	2023-08-14 16:22:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REQ.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_PK_AS_REQ &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_PK_AS_REQ_OLD" href="KRB5_PADATA_PK_AS_REQ_OLD.html" />
     <link rel="prev" title="KRB5_PADATA_PK_AS_REP_OLD" href="KRB5_PADATA_PK_AS_REP_OLD.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-pk-as-req">
+  <section id="krb5-padata-pk-as-req">
 <span id="krb5-padata-pk-as-req-data"></span><h1>KRB5_PADATA_PK_AS_REQ<a class="headerlink" href="#krb5-padata-pk-as-req" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_PK_AS_REQ">
-<code class="descname">KRB5_PADATA_PK_AS_REQ</code><a class="headerlink" href="#KRB5_PADATA_PK_AS_REQ" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_PK_AS_REQ">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_PK_AS_REQ</span></span><a class="headerlink" href="#KRB5_PADATA_PK_AS_REQ" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>PKINIT.</p>
 <p>RFC 4556</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_PK_AS_REQ</span></code></td>
-<td><code class="docutils literal"><span class="pre">16</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_PK_AS_REQ</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">16</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_PK_AS_REQ</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD.html	2023-08-14 16:22:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_PK_AS_REQ_OLD &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_PW_SALT" href="KRB5_PADATA_PW_SALT.html" />
     <link rel="prev" title="KRB5_PADATA_PK_AS_REQ" href="KRB5_PADATA_PK_AS_REQ.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-pk-as-req-old">
+  <section id="krb5-padata-pk-as-req-old">
 <span id="krb5-padata-pk-as-req-old-data"></span><h1>KRB5_PADATA_PK_AS_REQ_OLD<a class="headerlink" href="#krb5-padata-pk-as-req-old" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_PK_AS_REQ_OLD">
-<code class="descname">KRB5_PADATA_PK_AS_REQ_OLD</code><a class="headerlink" href="#KRB5_PADATA_PK_AS_REQ_OLD" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_PK_AS_REQ_OLD">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_PK_AS_REQ_OLD</span></span><a class="headerlink" href="#KRB5_PADATA_PK_AS_REQ_OLD" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>PKINIT.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_PK_AS_REQ_OLD</span></code></td>
-<td><code class="docutils literal"><span class="pre">14</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_PK_AS_REQ_OLD</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">14</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_PK_AS_REQ_OLD</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PW_SALT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PW_SALT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_PW_SALT.html	2023-08-14 16:22:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_PW_SALT.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_PW_SALT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_REFERRAL" href="KRB5_PADATA_REFERRAL.html" />
     <link rel="prev" title="KRB5_PADATA_PK_AS_REQ_OLD" href="KRB5_PADATA_PK_AS_REQ_OLD.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-pw-salt">
+  <section id="krb5-padata-pw-salt">
 <span id="krb5-padata-pw-salt-data"></span><h1>KRB5_PADATA_PW_SALT<a class="headerlink" href="#krb5-padata-pw-salt" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_PW_SALT">
-<code class="descname">KRB5_PADATA_PW_SALT</code><a class="headerlink" href="#KRB5_PADATA_PW_SALT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_PW_SALT">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_PW_SALT</span></span><a class="headerlink" href="#KRB5_PADATA_PW_SALT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 4120.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_PW_SALT</span></code></td>
-<td><code class="docutils literal"><span class="pre">3</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_PW_SALT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">3</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_PW_SALT</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2.html	2023-08-14 16:22:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_REDHAT_IDP_OAUTH2 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_REDHAT_PASSKEY" href="KRB5_PADATA_REDHAT_PASSKEY.html" />
     <link rel="prev" title="KRB5_PADATA_SPAKE" href="KRB5_PADATA_SPAKE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-redhat-idp-oauth2">
+  <section id="krb5-padata-redhat-idp-oauth2">
 <span id="krb5-padata-redhat-idp-oauth2-data"></span><h1>KRB5_PADATA_REDHAT_IDP_OAUTH2<a class="headerlink" href="#krb5-padata-redhat-idp-oauth2" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_REDHAT_IDP_OAUTH2">
-<code class="descname">KRB5_PADATA_REDHAT_IDP_OAUTH2</code><a class="headerlink" href="#KRB5_PADATA_REDHAT_IDP_OAUTH2" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_REDHAT_IDP_OAUTH2">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_REDHAT_IDP_OAUTH2</span></span><a class="headerlink" href="#KRB5_PADATA_REDHAT_IDP_OAUTH2" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Red Hat IdP mechanism.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_REDHAT_IDP_OAUTH2</span></code></td>
-<td><code class="docutils literal"><span class="pre">152</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_REDHAT_IDP_OAUTH2</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">152</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_REDHAT_IDP_OAUTH2</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY.html	2023-08-14 16:22:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_REDHAT_PASSKEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_SVR_REFERRAL_INFO" href="KRB5_PADATA_SVR_REFERRAL_INFO.html" />
     <link rel="prev" title="KRB5_PADATA_REDHAT_IDP_OAUTH2" href="KRB5_PADATA_REDHAT_IDP_OAUTH2.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-redhat-passkey">
+  <section id="krb5-padata-redhat-passkey">
 <span id="krb5-padata-redhat-passkey-data"></span><h1>KRB5_PADATA_REDHAT_PASSKEY<a class="headerlink" href="#krb5-padata-redhat-passkey" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_REDHAT_PASSKEY">
-<code class="descname">KRB5_PADATA_REDHAT_PASSKEY</code><a class="headerlink" href="#KRB5_PADATA_REDHAT_PASSKEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_REDHAT_PASSKEY">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_REDHAT_PASSKEY</span></span><a class="headerlink" href="#KRB5_PADATA_REDHAT_PASSKEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Red Hat Passkey mechanism.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_REDHAT_PASSKEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">153</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_REDHAT_PASSKEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">153</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_REDHAT_PASSKEY</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_REFERRAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_REFERRAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_REFERRAL.html	2023-08-14 16:22:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_REFERRAL.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_REFERRAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_S4U_X509_USER" href="KRB5_PADATA_S4U_X509_USER.html" />
     <link rel="prev" title="KRB5_PADATA_PW_SALT" href="KRB5_PADATA_PW_SALT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-referral">
+  <section id="krb5-padata-referral">
 <span id="krb5-padata-referral-data"></span><h1>KRB5_PADATA_REFERRAL<a class="headerlink" href="#krb5-padata-referral" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_REFERRAL">
-<code class="descname">KRB5_PADATA_REFERRAL</code><a class="headerlink" href="#KRB5_PADATA_REFERRAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_REFERRAL">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_REFERRAL</span></span><a class="headerlink" href="#KRB5_PADATA_REFERRAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>draft referral system</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_REFERRAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">25</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_REFERRAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">25</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_REFERRAL</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_S4U_X509_USER.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_S4U_X509_USER.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_S4U_X509_USER.html	2023-08-14 16:22:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_S4U_X509_USER.html	2024-06-26 20:01:21.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_S4U_X509_USER &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_SAM_CHALLENGE" href="KRB5_PADATA_SAM_CHALLENGE.html" />
     <link rel="prev" title="KRB5_PADATA_REFERRAL" href="KRB5_PADATA_REFERRAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-s4u-x509-user">
+  <section id="krb5-padata-s4u-x509-user">
 <span id="krb5-padata-s4u-x509-user-data"></span><h1>KRB5_PADATA_S4U_X509_USER<a class="headerlink" href="#krb5-padata-s4u-x509-user" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_S4U_X509_USER">
-<code class="descname">KRB5_PADATA_S4U_X509_USER</code><a class="headerlink" href="#KRB5_PADATA_S4U_X509_USER" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_S4U_X509_USER">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_S4U_X509_USER</span></span><a class="headerlink" href="#KRB5_PADATA_S4U_X509_USER" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>certificate protocol transition request</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_S4U_X509_USER</span></code></td>
-<td><code class="docutils literal"><span class="pre">130</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_S4U_X509_USER</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">130</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_S4U_X509_USER</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE.html	2023-08-14 16:22:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_SAM_CHALLENGE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_SAM_CHALLENGE_2" href="KRB5_PADATA_SAM_CHALLENGE_2.html" />
     <link rel="prev" title="KRB5_PADATA_S4U_X509_USER" href="KRB5_PADATA_S4U_X509_USER.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-sam-challenge">
+  <section id="krb5-padata-sam-challenge">
 <span id="krb5-padata-sam-challenge-data"></span><h1>KRB5_PADATA_SAM_CHALLENGE<a class="headerlink" href="#krb5-padata-sam-challenge" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_SAM_CHALLENGE">
-<code class="descname">KRB5_PADATA_SAM_CHALLENGE</code><a class="headerlink" href="#KRB5_PADATA_SAM_CHALLENGE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_SAM_CHALLENGE">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_SAM_CHALLENGE</span></span><a class="headerlink" href="#KRB5_PADATA_SAM_CHALLENGE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>SAM/OTP.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_SAM_CHALLENGE</span></code></td>
-<td><code class="docutils literal"><span class="pre">12</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_SAM_CHALLENGE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">12</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_SAM_CHALLENGE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2.html	2023-08-14 16:22:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_SAM_CHALLENGE_2 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_SAM_REDIRECT" href="KRB5_PADATA_SAM_REDIRECT.html" />
     <link rel="prev" title="KRB5_PADATA_SAM_CHALLENGE" href="KRB5_PADATA_SAM_CHALLENGE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-sam-challenge-2">
+  <section id="krb5-padata-sam-challenge-2">
 <span id="krb5-padata-sam-challenge-2-data"></span><h1>KRB5_PADATA_SAM_CHALLENGE_2<a class="headerlink" href="#krb5-padata-sam-challenge-2" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_SAM_CHALLENGE_2">
-<code class="descname">KRB5_PADATA_SAM_CHALLENGE_2</code><a class="headerlink" href="#KRB5_PADATA_SAM_CHALLENGE_2" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_SAM_CHALLENGE_2">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_SAM_CHALLENGE_2</span></span><a class="headerlink" href="#KRB5_PADATA_SAM_CHALLENGE_2" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>draft challenge system, updated</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_SAM_CHALLENGE_2</span></code></td>
-<td><code class="docutils literal"><span class="pre">30</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_SAM_CHALLENGE_2</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">30</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_SAM_CHALLENGE_2</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT.html	2023-08-14 16:22:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_SAM_REDIRECT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_SAM_RESPONSE" href="KRB5_PADATA_SAM_RESPONSE.html" />
     <link rel="prev" title="KRB5_PADATA_SAM_CHALLENGE_2" href="KRB5_PADATA_SAM_CHALLENGE_2.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-sam-redirect">
+  <section id="krb5-padata-sam-redirect">
 <span id="krb5-padata-sam-redirect-data"></span><h1>KRB5_PADATA_SAM_REDIRECT<a class="headerlink" href="#krb5-padata-sam-redirect" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_SAM_REDIRECT">
-<code class="descname">KRB5_PADATA_SAM_REDIRECT</code><a class="headerlink" href="#KRB5_PADATA_SAM_REDIRECT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_SAM_REDIRECT">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_SAM_REDIRECT</span></span><a class="headerlink" href="#KRB5_PADATA_SAM_REDIRECT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>SAM/OTP.</p>
 <p>RFC 4120</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_SAM_REDIRECT</span></code></td>
-<td><code class="docutils literal"><span class="pre">21</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_SAM_REDIRECT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">21</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_SAM_REDIRECT</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE.html	2023-08-14 16:22:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_SAM_RESPONSE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_SAM_RESPONSE_2" href="KRB5_PADATA_SAM_RESPONSE_2.html" />
     <link rel="prev" title="KRB5_PADATA_SAM_REDIRECT" href="KRB5_PADATA_SAM_REDIRECT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-sam-response">
+  <section id="krb5-padata-sam-response">
 <span id="krb5-padata-sam-response-data"></span><h1>KRB5_PADATA_SAM_RESPONSE<a class="headerlink" href="#krb5-padata-sam-response" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_SAM_RESPONSE">
-<code class="descname">KRB5_PADATA_SAM_RESPONSE</code><a class="headerlink" href="#KRB5_PADATA_SAM_RESPONSE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_SAM_RESPONSE">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_SAM_RESPONSE</span></span><a class="headerlink" href="#KRB5_PADATA_SAM_RESPONSE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>SAM/OTP.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_SAM_RESPONSE</span></code></td>
-<td><code class="docutils literal"><span class="pre">13</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_SAM_RESPONSE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">13</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_SAM_RESPONSE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2.html	2023-08-14 16:22:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_SAM_RESPONSE_2 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_SESAME" href="KRB5_PADATA_SESAME.html" />
     <link rel="prev" title="KRB5_PADATA_SAM_RESPONSE" href="KRB5_PADATA_SAM_RESPONSE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-sam-response-2">
+  <section id="krb5-padata-sam-response-2">
 <span id="krb5-padata-sam-response-2-data"></span><h1>KRB5_PADATA_SAM_RESPONSE_2<a class="headerlink" href="#krb5-padata-sam-response-2" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_SAM_RESPONSE_2">
-<code class="descname">KRB5_PADATA_SAM_RESPONSE_2</code><a class="headerlink" href="#KRB5_PADATA_SAM_RESPONSE_2" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_SAM_RESPONSE_2">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_SAM_RESPONSE_2</span></span><a class="headerlink" href="#KRB5_PADATA_SAM_RESPONSE_2" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>draft challenge system, updated</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_SAM_RESPONSE_2</span></code></td>
-<td><code class="docutils literal"><span class="pre">31</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_SAM_RESPONSE_2</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">31</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_SAM_RESPONSE_2</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SESAME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SESAME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SESAME.html	2023-08-14 16:22:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SESAME.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_SESAME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_SPAKE" href="KRB5_PADATA_SPAKE.html" />
     <link rel="prev" title="KRB5_PADATA_SAM_RESPONSE_2" href="KRB5_PADATA_SAM_RESPONSE_2.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-sesame">
+  <section id="krb5-padata-sesame">
 <span id="krb5-padata-sesame-data"></span><h1>KRB5_PADATA_SESAME<a class="headerlink" href="#krb5-padata-sesame" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_SESAME">
-<code class="descname">KRB5_PADATA_SESAME</code><a class="headerlink" href="#KRB5_PADATA_SESAME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_SESAME">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_SESAME</span></span><a class="headerlink" href="#KRB5_PADATA_SESAME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Sesame project.</p>
 <p>RFC 4120</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_SESAME</span></code></td>
-<td><code class="docutils literal"><span class="pre">7</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_SESAME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">7</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_SESAME</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SPAKE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SPAKE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SPAKE.html	2023-08-14 16:22:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SPAKE.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_SPAKE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_REDHAT_IDP_OAUTH2" href="KRB5_PADATA_REDHAT_IDP_OAUTH2.html" />
     <link rel="prev" title="KRB5_PADATA_SESAME" href="KRB5_PADATA_SESAME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-spake">
+  <section id="krb5-padata-spake">
 <span id="krb5-padata-spake-data"></span><h1>KRB5_PADATA_SPAKE<a class="headerlink" href="#krb5-padata-spake" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_SPAKE">
-<code class="descname">KRB5_PADATA_SPAKE</code><a class="headerlink" href="#KRB5_PADATA_SPAKE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_SPAKE">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_SPAKE</span></span><a class="headerlink" href="#KRB5_PADATA_SPAKE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_SPAKE</span></code></td>
-<td><code class="docutils literal"><span class="pre">151</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_SPAKE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">151</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_SPAKE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO.html	2023-08-14 16:23:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_SVR_REFERRAL_INFO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_TGS_REQ" href="KRB5_PADATA_TGS_REQ.html" />
     <link rel="prev" title="KRB5_PADATA_REDHAT_PASSKEY" href="KRB5_PADATA_REDHAT_PASSKEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-svr-referral-info">
+  <section id="krb5-padata-svr-referral-info">
 <span id="krb5-padata-svr-referral-info-data"></span><h1>KRB5_PADATA_SVR_REFERRAL_INFO<a class="headerlink" href="#krb5-padata-svr-referral-info" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_SVR_REFERRAL_INFO">
-<code class="descname">KRB5_PADATA_SVR_REFERRAL_INFO</code><a class="headerlink" href="#KRB5_PADATA_SVR_REFERRAL_INFO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_SVR_REFERRAL_INFO">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_SVR_REFERRAL_INFO</span></span><a class="headerlink" href="#KRB5_PADATA_SVR_REFERRAL_INFO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Windows 2000 referrals.</p>
 <p>RFC 6820</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_SVR_REFERRAL_INFO</span></code></td>
-<td><code class="docutils literal"><span class="pre">20</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_SVR_REFERRAL_INFO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">20</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_SVR_REFERRAL_INFO</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_TGS_REQ.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_TGS_REQ.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_TGS_REQ.html	2023-08-14 16:23:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_TGS_REQ.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_TGS_REQ &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PADATA_USE_SPECIFIED_KVNO" href="KRB5_PADATA_USE_SPECIFIED_KVNO.html" />
     <link rel="prev" title="KRB5_PADATA_SVR_REFERRAL_INFO" href="KRB5_PADATA_SVR_REFERRAL_INFO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-tgs-req">
+  <section id="krb5-padata-tgs-req">
 <span id="krb5-padata-tgs-req-data"></span><h1>KRB5_PADATA_TGS_REQ<a class="headerlink" href="#krb5-padata-tgs-req" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_TGS_REQ">
-<code class="descname">KRB5_PADATA_TGS_REQ</code><a class="headerlink" href="#KRB5_PADATA_TGS_REQ" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_TGS_REQ">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_TGS_REQ</span></span><a class="headerlink" href="#KRB5_PADATA_TGS_REQ" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_TGS_REQ</span></code></td>
-<td><code class="docutils literal"><span class="pre">KRB5_PADATA_AP_REQ</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_TGS_REQ</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_AP_REQ</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_TGS_REQ</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO.html	2023-08-14 16:23:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PADATA_USE_SPECIFIED_KVNO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_COMPARE_CASEFOLD" href="KRB5_PRINCIPAL_COMPARE_CASEFOLD.html" />
     <link rel="prev" title="KRB5_PADATA_TGS_REQ" href="KRB5_PADATA_TGS_REQ.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-padata-use-specified-kvno">
+  <section id="krb5-padata-use-specified-kvno">
 <span id="krb5-padata-use-specified-kvno-data"></span><h1>KRB5_PADATA_USE_SPECIFIED_KVNO<a class="headerlink" href="#krb5-padata-use-specified-kvno" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PADATA_USE_SPECIFIED_KVNO">
-<code class="descname">KRB5_PADATA_USE_SPECIFIED_KVNO</code><a class="headerlink" href="#KRB5_PADATA_USE_SPECIFIED_KVNO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PADATA_USE_SPECIFIED_KVNO">
+<span class="sig-name descname"><span class="pre">KRB5_PADATA_USE_SPECIFIED_KVNO</span></span><a class="headerlink" href="#KRB5_PADATA_USE_SPECIFIED_KVNO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>RFC 4120.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PADATA_USE_SPECIFIED_KVNO</span></code></td>
-<td><code class="docutils literal"><span class="pre">20</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PADATA_USE_SPECIFIED_KVNO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">20</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PADATA_USE_SPECIFIED_KVNO</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD.html	2023-08-14 16:23:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_COMPARE_CASEFOLD &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_COMPARE_ENTERPRISE" href="KRB5_PRINCIPAL_COMPARE_ENTERPRISE.html" />
     <link rel="prev" title="KRB5_PADATA_USE_SPECIFIED_KVNO" href="KRB5_PADATA_USE_SPECIFIED_KVNO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-compare-casefold">
+  <section id="krb5-principal-compare-casefold">
 <span id="krb5-principal-compare-casefold-data"></span><h1>KRB5_PRINCIPAL_COMPARE_CASEFOLD<a class="headerlink" href="#krb5-principal-compare-casefold" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_COMPARE_CASEFOLD">
-<code class="descname">KRB5_PRINCIPAL_COMPARE_CASEFOLD</code><a class="headerlink" href="#KRB5_PRINCIPAL_COMPARE_CASEFOLD" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_COMPARE_CASEFOLD">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_COMPARE_CASEFOLD</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_COMPARE_CASEFOLD" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>case-insensitive</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_COMPARE_CASEFOLD</span></code></td>
-<td><code class="docutils literal"><span class="pre">4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_COMPARE_CASEFOLD</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_COMPARE_CASEFOLD</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE.html	2023-08-14 16:23:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_COMPARE_ENTERPRISE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_COMPARE_IGNORE_REALM" href="KRB5_PRINCIPAL_COMPARE_IGNORE_REALM.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_COMPARE_CASEFOLD" href="KRB5_PRINCIPAL_COMPARE_CASEFOLD.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-compare-enterprise">
+  <section id="krb5-principal-compare-enterprise">
 <span id="krb5-principal-compare-enterprise-data"></span><h1>KRB5_PRINCIPAL_COMPARE_ENTERPRISE<a class="headerlink" href="#krb5-principal-compare-enterprise" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_COMPARE_ENTERPRISE">
-<code class="descname">KRB5_PRINCIPAL_COMPARE_ENTERPRISE</code><a class="headerlink" href="#KRB5_PRINCIPAL_COMPARE_ENTERPRISE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_COMPARE_ENTERPRISE">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_COMPARE_ENTERPRISE</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_COMPARE_ENTERPRISE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>UPNs as real principals.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_COMPARE_ENTERPRISE</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_COMPARE_ENTERPRISE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_COMPARE_ENTERPRISE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM.html	2023-08-14 16:23:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_COMPARE_IGNORE_REALM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_COMPARE_UTF8" href="KRB5_PRINCIPAL_COMPARE_UTF8.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_COMPARE_ENTERPRISE" href="KRB5_PRINCIPAL_COMPARE_ENTERPRISE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-compare-ignore-realm">
+  <section id="krb5-principal-compare-ignore-realm">
 <span id="krb5-principal-compare-ignore-realm-data"></span><h1>KRB5_PRINCIPAL_COMPARE_IGNORE_REALM<a class="headerlink" href="#krb5-principal-compare-ignore-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_COMPARE_IGNORE_REALM">
-<code class="descname">KRB5_PRINCIPAL_COMPARE_IGNORE_REALM</code><a class="headerlink" href="#KRB5_PRINCIPAL_COMPARE_IGNORE_REALM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_COMPARE_IGNORE_REALM">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_COMPARE_IGNORE_REALM</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_COMPARE_IGNORE_REALM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>ignore realm component</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_COMPARE_IGNORE_REALM</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_COMPARE_IGNORE_REALM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_COMPARE_IGNORE_REALM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8.html	2023-08-14 16:23:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_COMPARE_UTF8 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_PARSE_ENTERPRISE" href="KRB5_PRINCIPAL_PARSE_ENTERPRISE.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_COMPARE_IGNORE_REALM" href="KRB5_PRINCIPAL_COMPARE_IGNORE_REALM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-compare-utf8">
+  <section id="krb5-principal-compare-utf8">
 <span id="krb5-principal-compare-utf8-data"></span><h1>KRB5_PRINCIPAL_COMPARE_UTF8<a class="headerlink" href="#krb5-principal-compare-utf8" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_COMPARE_UTF8">
-<code class="descname">KRB5_PRINCIPAL_COMPARE_UTF8</code><a class="headerlink" href="#KRB5_PRINCIPAL_COMPARE_UTF8" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_COMPARE_UTF8">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_COMPARE_UTF8</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_COMPARE_UTF8" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>treat principals as UTF-8</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_COMPARE_UTF8</span></code></td>
-<td><code class="docutils literal"><span class="pre">8</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_COMPARE_UTF8</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">8</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_COMPARE_UTF8</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE.html	2023-08-14 16:23:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_PARSE_ENTERPRISE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_PARSE_IGNORE_REALM" href="KRB5_PRINCIPAL_PARSE_IGNORE_REALM.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_COMPARE_UTF8" href="KRB5_PRINCIPAL_COMPARE_UTF8.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-parse-enterprise">
+  <section id="krb5-principal-parse-enterprise">
 <span id="krb5-principal-parse-enterprise-data"></span><h1>KRB5_PRINCIPAL_PARSE_ENTERPRISE<a class="headerlink" href="#krb5-principal-parse-enterprise" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_PARSE_ENTERPRISE">
-<code class="descname">KRB5_PRINCIPAL_PARSE_ENTERPRISE</code><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_ENTERPRISE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_PARSE_ENTERPRISE">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_PARSE_ENTERPRISE</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_ENTERPRISE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Create single-component enterprise principle.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_PARSE_ENTERPRISE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_PARSE_ENTERPRISE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_PARSE_ENTERPRISE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM.html	2023-08-14 16:23:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_PARSE_IGNORE_REALM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_PARSE_NO_DEF_REALM" href="KRB5_PRINCIPAL_PARSE_NO_DEF_REALM.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_PARSE_ENTERPRISE" href="KRB5_PRINCIPAL_PARSE_ENTERPRISE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-parse-ignore-realm">
+  <section id="krb5-principal-parse-ignore-realm">
 <span id="krb5-principal-parse-ignore-realm-data"></span><h1>KRB5_PRINCIPAL_PARSE_IGNORE_REALM<a class="headerlink" href="#krb5-principal-parse-ignore-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_PARSE_IGNORE_REALM">
-<code class="descname">KRB5_PRINCIPAL_PARSE_IGNORE_REALM</code><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_IGNORE_REALM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_PARSE_IGNORE_REALM">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_PARSE_IGNORE_REALM</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_IGNORE_REALM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Ignore realm if present.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_PARSE_IGNORE_REALM</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x8</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_PARSE_IGNORE_REALM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x8</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_PARSE_IGNORE_REALM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM.html	2023-08-14 16:23:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_PARSE_NO_DEF_REALM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_PARSE_NO_REALM" href="KRB5_PRINCIPAL_PARSE_NO_REALM.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_PARSE_IGNORE_REALM" href="KRB5_PRINCIPAL_PARSE_IGNORE_REALM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-parse-no-def-realm">
+  <section id="krb5-principal-parse-no-def-realm">
 <span id="krb5-principal-parse-no-def-realm-data"></span><h1>KRB5_PRINCIPAL_PARSE_NO_DEF_REALM<a class="headerlink" href="#krb5-principal-parse-no-def-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_PARSE_NO_DEF_REALM">
-<code class="descname">KRB5_PRINCIPAL_PARSE_NO_DEF_REALM</code><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_NO_DEF_REALM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_PARSE_NO_DEF_REALM">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_PARSE_NO_DEF_REALM</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_NO_DEF_REALM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Don’t add default realm.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_PARSE_NO_DEF_REALM</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x10</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_PARSE_NO_DEF_REALM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x10</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_PARSE_NO_DEF_REALM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM.html	2023-08-14 16:23:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_PARSE_NO_REALM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_PARSE_REQUIRE_REALM" href="KRB5_PRINCIPAL_PARSE_REQUIRE_REALM.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_PARSE_NO_DEF_REALM" href="KRB5_PRINCIPAL_PARSE_NO_DEF_REALM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-parse-no-realm">
+  <section id="krb5-principal-parse-no-realm">
 <span id="krb5-principal-parse-no-realm-data"></span><h1>KRB5_PRINCIPAL_PARSE_NO_REALM<a class="headerlink" href="#krb5-principal-parse-no-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_PARSE_NO_REALM">
-<code class="descname">KRB5_PRINCIPAL_PARSE_NO_REALM</code><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_NO_REALM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_PARSE_NO_REALM">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_PARSE_NO_REALM</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_NO_REALM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Error if realm is present.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_PARSE_NO_REALM</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_PARSE_NO_REALM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_PARSE_NO_REALM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM.html	2023-08-14 16:23:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_PARSE_REQUIRE_REALM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_UNPARSE_DISPLAY" href="KRB5_PRINCIPAL_UNPARSE_DISPLAY.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_PARSE_NO_REALM" href="KRB5_PRINCIPAL_PARSE_NO_REALM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-parse-require-realm">
+  <section id="krb5-principal-parse-require-realm">
 <span id="krb5-principal-parse-require-realm-data"></span><h1>KRB5_PRINCIPAL_PARSE_REQUIRE_REALM<a class="headerlink" href="#krb5-principal-parse-require-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_PARSE_REQUIRE_REALM">
-<code class="descname">KRB5_PRINCIPAL_PARSE_REQUIRE_REALM</code><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_REQUIRE_REALM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_PARSE_REQUIRE_REALM">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_PARSE_REQUIRE_REALM</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_PARSE_REQUIRE_REALM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Error if realm is not present.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_PARSE_REQUIRE_REALM</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_PARSE_REQUIRE_REALM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_PARSE_REQUIRE_REALM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY.html	2023-08-14 16:23:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY.html	2024-06-26 20:01:22.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_UNPARSE_DISPLAY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_UNPARSE_NO_REALM" href="KRB5_PRINCIPAL_UNPARSE_NO_REALM.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_PARSE_REQUIRE_REALM" href="KRB5_PRINCIPAL_PARSE_REQUIRE_REALM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-unparse-display">
+  <section id="krb5-principal-unparse-display">
 <span id="krb5-principal-unparse-display-data"></span><h1>KRB5_PRINCIPAL_UNPARSE_DISPLAY<a class="headerlink" href="#krb5-principal-unparse-display" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_UNPARSE_DISPLAY">
-<code class="descname">KRB5_PRINCIPAL_UNPARSE_DISPLAY</code><a class="headerlink" href="#KRB5_PRINCIPAL_UNPARSE_DISPLAY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_UNPARSE_DISPLAY">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_UNPARSE_DISPLAY</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_UNPARSE_DISPLAY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Don’t escape special characters.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_UNPARSE_DISPLAY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_UNPARSE_DISPLAY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_UNPARSE_DISPLAY</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM.html	2023-08-14 16:23:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_UNPARSE_NO_REALM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRINCIPAL_UNPARSE_SHORT" href="KRB5_PRINCIPAL_UNPARSE_SHORT.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_UNPARSE_DISPLAY" href="KRB5_PRINCIPAL_UNPARSE_DISPLAY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-unparse-no-realm">
+  <section id="krb5-principal-unparse-no-realm">
 <span id="krb5-principal-unparse-no-realm-data"></span><h1>KRB5_PRINCIPAL_UNPARSE_NO_REALM<a class="headerlink" href="#krb5-principal-unparse-no-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_UNPARSE_NO_REALM">
-<code class="descname">KRB5_PRINCIPAL_UNPARSE_NO_REALM</code><a class="headerlink" href="#KRB5_PRINCIPAL_UNPARSE_NO_REALM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_UNPARSE_NO_REALM">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_UNPARSE_NO_REALM</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_UNPARSE_NO_REALM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Omit realm always.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_UNPARSE_NO_REALM</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_UNPARSE_NO_REALM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_UNPARSE_NO_REALM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT.html	2023-08-14 16:23:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRINCIPAL_UNPARSE_SHORT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PRIV" href="KRB5_PRIV.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_UNPARSE_NO_REALM" href="KRB5_PRINCIPAL_UNPARSE_NO_REALM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-unparse-short">
+  <section id="krb5-principal-unparse-short">
 <span id="krb5-principal-unparse-short-data"></span><h1>KRB5_PRINCIPAL_UNPARSE_SHORT<a class="headerlink" href="#krb5-principal-unparse-short" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRINCIPAL_UNPARSE_SHORT">
-<code class="descname">KRB5_PRINCIPAL_UNPARSE_SHORT</code><a class="headerlink" href="#KRB5_PRINCIPAL_UNPARSE_SHORT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRINCIPAL_UNPARSE_SHORT">
+<span class="sig-name descname"><span class="pre">KRB5_PRINCIPAL_UNPARSE_SHORT</span></span><a class="headerlink" href="#KRB5_PRINCIPAL_UNPARSE_SHORT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Omit realm if it is the local realm.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRINCIPAL_UNPARSE_SHORT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRINCIPAL_UNPARSE_SHORT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRINCIPAL_UNPARSE_SHORT</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRIV.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRIV.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PRIV.html	2023-08-14 16:23:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PRIV.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PRIV &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PROMPT_TYPE_NEW_PASSWORD" href="KRB5_PROMPT_TYPE_NEW_PASSWORD.html" />
     <link rel="prev" title="KRB5_PRINCIPAL_UNPARSE_SHORT" href="KRB5_PRINCIPAL_UNPARSE_SHORT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-priv">
+  <section id="krb5-priv">
 <span id="krb5-priv-data"></span><h1>KRB5_PRIV<a class="headerlink" href="#krb5-priv" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PRIV">
-<code class="descname">KRB5_PRIV</code><a class="headerlink" href="#KRB5_PRIV" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PRIV">
+<span class="sig-name descname"><span class="pre">KRB5_PRIV</span></span><a class="headerlink" href="#KRB5_PRIV" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Private application message.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="39%" />
-<col width="61%" />
+<col style="width: 39%" />
+<col style="width: 61%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PRIV</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)21)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PRIV</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)21)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PRIV</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD.html	2023-08-14 16:23:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PROMPT_TYPE_NEW_PASSWORD &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN" href="KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN.html" />
     <link rel="prev" title="KRB5_PRIV" href="KRB5_PRIV.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-prompt-type-new-password">
+  <section id="krb5-prompt-type-new-password">
 <span id="krb5-prompt-type-new-password-data"></span><h1>KRB5_PROMPT_TYPE_NEW_PASSWORD<a class="headerlink" href="#krb5-prompt-type-new-password" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PROMPT_TYPE_NEW_PASSWORD">
-<code class="descname">KRB5_PROMPT_TYPE_NEW_PASSWORD</code><a class="headerlink" href="#KRB5_PROMPT_TYPE_NEW_PASSWORD" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PROMPT_TYPE_NEW_PASSWORD">
+<span class="sig-name descname"><span class="pre">KRB5_PROMPT_TYPE_NEW_PASSWORD</span></span><a class="headerlink" href="#KRB5_PROMPT_TYPE_NEW_PASSWORD" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Prompt for new password (during password change)</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PROMPT_TYPE_NEW_PASSWORD</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PROMPT_TYPE_NEW_PASSWORD</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PROMPT_TYPE_NEW_PASSWORD</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN.html	2023-08-14 16:23:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PROMPT_TYPE_PASSWORD" href="KRB5_PROMPT_TYPE_PASSWORD.html" />
     <link rel="prev" title="KRB5_PROMPT_TYPE_NEW_PASSWORD" href="KRB5_PROMPT_TYPE_NEW_PASSWORD.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-prompt-type-new-password-again">
+  <section id="krb5-prompt-type-new-password-again">
 <span id="krb5-prompt-type-new-password-again-data"></span><h1>KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN<a class="headerlink" href="#krb5-prompt-type-new-password-again" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN">
-<code class="descname">KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN</code><a class="headerlink" href="#KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN">
+<span class="sig-name descname"><span class="pre">KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN</span></span><a class="headerlink" href="#KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Prompt for new password again.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x3</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x3</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD.html	2023-08-14 16:23:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PROMPT_TYPE_PASSWORD &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PROMPT_TYPE_PREAUTH" href="KRB5_PROMPT_TYPE_PREAUTH.html" />
     <link rel="prev" title="KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN" href="KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-prompt-type-password">
+  <section id="krb5-prompt-type-password">
 <span id="krb5-prompt-type-password-data"></span><h1>KRB5_PROMPT_TYPE_PASSWORD<a class="headerlink" href="#krb5-prompt-type-password" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PROMPT_TYPE_PASSWORD">
-<code class="descname">KRB5_PROMPT_TYPE_PASSWORD</code><a class="headerlink" href="#KRB5_PROMPT_TYPE_PASSWORD" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PROMPT_TYPE_PASSWORD">
+<span class="sig-name descname"><span class="pre">KRB5_PROMPT_TYPE_PASSWORD</span></span><a class="headerlink" href="#KRB5_PROMPT_TYPE_PASSWORD" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Prompt for password.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PROMPT_TYPE_PASSWORD</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PROMPT_TYPE_PASSWORD</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PROMPT_TYPE_PASSWORD</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH.html	2023-08-14 16:23:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PROMPT_TYPE_PREAUTH &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_PVNO" href="KRB5_PVNO.html" />
     <link rel="prev" title="KRB5_PROMPT_TYPE_PASSWORD" href="KRB5_PROMPT_TYPE_PASSWORD.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-prompt-type-preauth">
+  <section id="krb5-prompt-type-preauth">
 <span id="krb5-prompt-type-preauth-data"></span><h1>KRB5_PROMPT_TYPE_PREAUTH<a class="headerlink" href="#krb5-prompt-type-preauth" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PROMPT_TYPE_PREAUTH">
-<code class="descname">KRB5_PROMPT_TYPE_PREAUTH</code><a class="headerlink" href="#KRB5_PROMPT_TYPE_PREAUTH" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PROMPT_TYPE_PREAUTH">
+<span class="sig-name descname"><span class="pre">KRB5_PROMPT_TYPE_PREAUTH</span></span><a class="headerlink" href="#KRB5_PROMPT_TYPE_PREAUTH" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Prompt for preauthentication data (such as an OTP value)</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PROMPT_TYPE_PREAUTH</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x4</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PROMPT_TYPE_PREAUTH</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x4</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PROMPT_TYPE_PREAUTH</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PVNO.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PVNO.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_PVNO.html	2023-08-14 16:23:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_PVNO.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_PVNO &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_REALM_BRANCH_CHAR" href="KRB5_REALM_BRANCH_CHAR.html" />
     <link rel="prev" title="KRB5_PROMPT_TYPE_PREAUTH" href="KRB5_PROMPT_TYPE_PREAUTH.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pvno">
+  <section id="krb5-pvno">
 <span id="krb5-pvno-data"></span><h1>KRB5_PVNO<a class="headerlink" href="#krb5-pvno" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_PVNO">
-<code class="descname">KRB5_PVNO</code><a class="headerlink" href="#KRB5_PVNO" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_PVNO">
+<span class="sig-name descname"><span class="pre">KRB5_PVNO</span></span><a class="headerlink" href="#KRB5_PVNO" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Protocol version number.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="42%" />
-<col width="58%" />
+<col style="width: 42%" />
+<col style="width: 58%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_PVNO</span></code></td>
-<td><code class="docutils literal"><span class="pre">5</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_PVNO</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_PVNO</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_REALM_BRANCH_CHAR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_REALM_BRANCH_CHAR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_REALM_BRANCH_CHAR.html	2023-08-14 16:23:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_REALM_BRANCH_CHAR.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_REALM_BRANCH_CHAR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RECVAUTH_BADAUTHVERS" href="KRB5_RECVAUTH_BADAUTHVERS.html" />
     <link rel="prev" title="KRB5_PVNO" href="KRB5_PVNO.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-realm-branch-char">
+  <section id="krb5-realm-branch-char">
 <span id="krb5-realm-branch-char-data"></span><h1>KRB5_REALM_BRANCH_CHAR<a class="headerlink" href="#krb5-realm-branch-char" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_REALM_BRANCH_CHAR">
-<code class="descname">KRB5_REALM_BRANCH_CHAR</code><a class="headerlink" href="#KRB5_REALM_BRANCH_CHAR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_REALM_BRANCH_CHAR">
+<span class="sig-name descname"><span class="pre">KRB5_REALM_BRANCH_CHAR</span></span><a class="headerlink" href="#KRB5_REALM_BRANCH_CHAR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_REALM_BRANCH_CHAR</span></code></td>
-<td><code class="docutils literal"><span class="pre">'.'</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_REALM_BRANCH_CHAR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">'.'</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_REALM_BRANCH_CHAR</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS.html	2023-08-14 16:23:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RECVAUTH_BADAUTHVERS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RECVAUTH_SKIP_VERSION" href="KRB5_RECVAUTH_SKIP_VERSION.html" />
     <link rel="prev" title="KRB5_REALM_BRANCH_CHAR" href="KRB5_REALM_BRANCH_CHAR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-recvauth-badauthvers">
+  <section id="krb5-recvauth-badauthvers">
 <span id="krb5-recvauth-badauthvers-data"></span><h1>KRB5_RECVAUTH_BADAUTHVERS<a class="headerlink" href="#krb5-recvauth-badauthvers" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RECVAUTH_BADAUTHVERS">
-<code class="descname">KRB5_RECVAUTH_BADAUTHVERS</code><a class="headerlink" href="#KRB5_RECVAUTH_BADAUTHVERS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RECVAUTH_BADAUTHVERS">
+<span class="sig-name descname"><span class="pre">KRB5_RECVAUTH_BADAUTHVERS</span></span><a class="headerlink" href="#KRB5_RECVAUTH_BADAUTHVERS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RECVAUTH_BADAUTHVERS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RECVAUTH_BADAUTHVERS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RECVAUTH_BADAUTHVERS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION.html	2023-08-14 16:23:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RECVAUTH_SKIP_VERSION &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_REFERRAL_REALM" href="KRB5_REFERRAL_REALM.html" />
     <link rel="prev" title="KRB5_RECVAUTH_BADAUTHVERS" href="KRB5_RECVAUTH_BADAUTHVERS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-recvauth-skip-version">
+  <section id="krb5-recvauth-skip-version">
 <span id="krb5-recvauth-skip-version-data"></span><h1>KRB5_RECVAUTH_SKIP_VERSION<a class="headerlink" href="#krb5-recvauth-skip-version" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RECVAUTH_SKIP_VERSION">
-<code class="descname">KRB5_RECVAUTH_SKIP_VERSION</code><a class="headerlink" href="#KRB5_RECVAUTH_SKIP_VERSION" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RECVAUTH_SKIP_VERSION">
+<span class="sig-name descname"><span class="pre">KRB5_RECVAUTH_SKIP_VERSION</span></span><a class="headerlink" href="#KRB5_RECVAUTH_SKIP_VERSION" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RECVAUTH_SKIP_VERSION</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RECVAUTH_SKIP_VERSION</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RECVAUTH_SKIP_VERSION</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_REFERRAL_REALM.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_REFERRAL_REALM.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_REFERRAL_REALM.html	2023-08-14 16:23:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_REFERRAL_REALM.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_REFERRAL_REALM &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW" href="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW.html" />
     <link rel="prev" title="KRB5_RECVAUTH_SKIP_VERSION" href="KRB5_RECVAUTH_SKIP_VERSION.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-referral-realm">
+  <section id="krb5-referral-realm">
 <span id="krb5-referral-realm-data"></span><h1>KRB5_REFERRAL_REALM<a class="headerlink" href="#krb5-referral-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_REFERRAL_REALM">
-<code class="descname">KRB5_REFERRAL_REALM</code><a class="headerlink" href="#KRB5_REFERRAL_REALM" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_REFERRAL_REALM">
+<span class="sig-name descname"><span class="pre">KRB5_REFERRAL_REALM</span></span><a class="headerlink" href="#KRB5_REFERRAL_REALM" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Constant for realm referrals.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_REFERRAL_REALM</span></code></td>
-<td><code class="docutils literal"><span class="pre">&quot;&quot;</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_REFERRAL_REALM</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">&quot;&quot;</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_REFERRAL_REALM</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN.html	2023-08-14 16:23:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN" href="KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN.html" />
     <link rel="prev" title="KRB5_RESPONDER_QUESTION_PKINIT" href="KRB5_RESPONDER_QUESTION_PKINIT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-flags-collect-pin">
+  <section id="krb5-responder-otp-flags-collect-pin">
 <span id="krb5-responder-otp-flags-collect-pin-data"></span><h1>KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN<a class="headerlink" href="#krb5-responder-otp-flags-collect-pin" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN">
-<code class="descname">KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN</code><a class="headerlink" href="#KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN</span></span><a class="headerlink" href="#KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>This flag indicates that the PIN value MUST be collected.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="66%" />
-<col width="34%" />
+<col style="width: 66%" />
+<col style="width: 34%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN.html	2023-08-14 16:23:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_OTP_FLAGS_NEXTOTP" href="KRB5_RESPONDER_OTP_FLAGS_NEXTOTP.html" />
     <link rel="prev" title="KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN" href="KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-flags-collect-token">
+  <section id="krb5-responder-otp-flags-collect-token">
 <span id="krb5-responder-otp-flags-collect-token-data"></span><h1>KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN<a class="headerlink" href="#krb5-responder-otp-flags-collect-token" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN">
-<code class="descname">KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN</code><a class="headerlink" href="#KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN</span></span><a class="headerlink" href="#KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>This flag indicates that the token value MUST be collected.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP.html	2023-08-14 16:23:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_OTP_FLAGS_NEXTOTP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN" href="KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN.html" />
     <link rel="prev" title="KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN" href="KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-flags-nextotp">
+  <section id="krb5-responder-otp-flags-nextotp">
 <span id="krb5-responder-otp-flags-nextotp-data"></span><h1>KRB5_RESPONDER_OTP_FLAGS_NEXTOTP<a class="headerlink" href="#krb5-responder-otp-flags-nextotp" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_OTP_FLAGS_NEXTOTP">
-<code class="descname">KRB5_RESPONDER_OTP_FLAGS_NEXTOTP</code><a class="headerlink" href="#KRB5_RESPONDER_OTP_FLAGS_NEXTOTP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_OTP_FLAGS_NEXTOTP">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_NEXTOTP</span></span><a class="headerlink" href="#KRB5_RESPONDER_OTP_FLAGS_NEXTOTP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>This flag indicates that the token is now in re-synchronization mode with the server.</p>
 <p>The user is expected to reply with the next code displayed on the token.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_NEXTOTP</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0004</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_NEXTOTP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0004</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_OTP_FLAGS_NEXTOTP</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN.html	2023-08-14 16:23:15.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC" href="KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC.html" />
     <link rel="prev" title="KRB5_RESPONDER_OTP_FLAGS_NEXTOTP" href="KRB5_RESPONDER_OTP_FLAGS_NEXTOTP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-flags-separate-pin">
+  <section id="krb5-responder-otp-flags-separate-pin">
 <span id="krb5-responder-otp-flags-separate-pin-data"></span><h1>KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN<a class="headerlink" href="#krb5-responder-otp-flags-separate-pin" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN">
-<code class="descname">KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN</code><a class="headerlink" href="#KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN</span></span><a class="headerlink" href="#KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>This flag indicates that the PIN MUST be returned as a separate item.</p>
 <p>This flag only takes effect if KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN is set. If this flag is not set, the responder may either concatenate PIN + token value and store it as “value” in the answer or it may return them separately. If they are returned separately, they will be concatenated internally.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0008</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0008</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC.html	2023-08-14 16:23:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_OTP_FORMAT_DECIMAL" href="KRB5_RESPONDER_OTP_FORMAT_DECIMAL.html" />
     <link rel="prev" title="KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN" href="KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-format-alphanumeric">
+  <section id="krb5-responder-otp-format-alphanumeric">
 <span id="krb5-responder-otp-format-alphanumeric-data"></span><h1>KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC<a class="headerlink" href="#krb5-responder-otp-format-alphanumeric" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC">
-<code class="descname">KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC</code><a class="headerlink" href="#KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC</span></span><a class="headerlink" href="#KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC</span></code></td>
-<td><code class="docutils literal"><span class="pre">2</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL.html	2023-08-14 16:23:16.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_OTP_FORMAT_DECIMAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL" href="KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL.html" />
     <link rel="prev" title="KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC" href="KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-format-decimal">
+  <section id="krb5-responder-otp-format-decimal">
 <span id="krb5-responder-otp-format-decimal-data"></span><h1>KRB5_RESPONDER_OTP_FORMAT_DECIMAL<a class="headerlink" href="#krb5-responder-otp-format-decimal" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_OTP_FORMAT_DECIMAL">
-<code class="descname">KRB5_RESPONDER_OTP_FORMAT_DECIMAL</code><a class="headerlink" href="#KRB5_RESPONDER_OTP_FORMAT_DECIMAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_OTP_FORMAT_DECIMAL">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_OTP_FORMAT_DECIMAL</span></span><a class="headerlink" href="#KRB5_RESPONDER_OTP_FORMAT_DECIMAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>These format constants identify the format of the token value.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_OTP_FORMAT_DECIMAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">0</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_OTP_FORMAT_DECIMAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_OTP_FORMAT_DECIMAL</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL.html	2023-08-14 16:23:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_QUESTION_OTP" href="KRB5_RESPONDER_QUESTION_OTP.html" />
     <link rel="prev" title="KRB5_RESPONDER_OTP_FORMAT_DECIMAL" href="KRB5_RESPONDER_OTP_FORMAT_DECIMAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-format-hexadecimal">
+  <section id="krb5-responder-otp-format-hexadecimal">
 <span id="krb5-responder-otp-format-hexadecimal-data"></span><h1>KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL<a class="headerlink" href="#krb5-responder-otp-format-hexadecimal" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL">
-<code class="descname">KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL</code><a class="headerlink" href="#KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL</span></span><a class="headerlink" href="#KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="67%" />
-<col width="33%" />
+<col style="width: 67%" />
+<col style="width: 33%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW.html	2023-08-14 16:23:17.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY" href="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY.html" />
     <link rel="prev" title="KRB5_REFERRAL_REALM" href="KRB5_REFERRAL_REALM.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-pkinit-flags-token-user-pin-count-low">
+  <section id="krb5-responder-pkinit-flags-token-user-pin-count-low">
 <span id="krb5-responder-pkinit-flags-token-user-pin-count-low-data"></span><h1>KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW<a class="headerlink" href="#krb5-responder-pkinit-flags-token-user-pin-count-low" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW">
-<code class="descname">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW</code><a class="headerlink" href="#KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW</span></span><a class="headerlink" href="#KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>This flag indicates that an incorrect PIN was supplied at least once since the last time the correct PIN was supplied.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="73%" />
-<col width="27%" />
+<col style="width: 73%" />
+<col style="width: 27%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW</span></code></td>
-<td><code class="docutils literal"><span class="pre">(1</span> <span class="pre">&lt;&lt;</span> <span class="pre">0)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(1</span> <span class="pre">&lt;&lt;</span> <span class="pre">0)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY.html	2023-08-14 16:23:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY.html	2024-06-26 20:01:23.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED" href="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED.html" />
     <link rel="prev" title="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW" href="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-pkinit-flags-token-user-pin-final-try">
+  <section id="krb5-responder-pkinit-flags-token-user-pin-final-try">
 <span id="krb5-responder-pkinit-flags-token-user-pin-final-try-data"></span><h1>KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY<a class="headerlink" href="#krb5-responder-pkinit-flags-token-user-pin-final-try" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY">
-<code class="descname">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY</code><a class="headerlink" href="#KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY</span></span><a class="headerlink" href="#KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>This flag indicates that supplying an incorrect PIN will cause the token to lock itself.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="73%" />
-<col width="27%" />
+<col style="width: 73%" />
+<col style="width: 27%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY</span></code></td>
-<td><code class="docutils literal"><span class="pre">(1</span> <span class="pre">&lt;&lt;</span> <span class="pre">1)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(1</span> <span class="pre">&lt;&lt;</span> <span class="pre">1)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED.html	2023-08-14 16:23:18.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_QUESTION_PKINIT" href="KRB5_RESPONDER_QUESTION_PKINIT.html" />
     <link rel="prev" title="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY" href="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-pkinit-flags-token-user-pin-locked">
+  <section id="krb5-responder-pkinit-flags-token-user-pin-locked">
 <span id="krb5-responder-pkinit-flags-token-user-pin-locked-data"></span><h1>KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED<a class="headerlink" href="#krb5-responder-pkinit-flags-token-user-pin-locked" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED">
-<code class="descname">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED</code><a class="headerlink" href="#KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED</span></span><a class="headerlink" href="#KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>This flag indicates that the user PIN is locked, and you can’t log in to the token with it.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="72%" />
-<col width="28%" />
+<col style="width: 72%" />
+<col style="width: 28%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED</span></code></td>
-<td><code class="docutils literal"><span class="pre">(1</span> <span class="pre">&lt;&lt;</span> <span class="pre">2)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(1</span> <span class="pre">&lt;&lt;</span> <span class="pre">2)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.html	2023-08-14 16:23:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_QUESTION_OTP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_QUESTION_PASSWORD" href="KRB5_RESPONDER_QUESTION_PASSWORD.html" />
     <link rel="prev" title="KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL" href="KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,60 +52,62 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-question-otp">
+  <section id="krb5-responder-question-otp">
 <span id="krb5-responder-question-otp-data"></span><h1>KRB5_RESPONDER_QUESTION_OTP<a class="headerlink" href="#krb5-responder-question-otp" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_QUESTION_OTP">
-<code class="descname">KRB5_RESPONDER_QUESTION_OTP</code><a class="headerlink" href="#KRB5_RESPONDER_QUESTION_OTP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_QUESTION_OTP">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_QUESTION_OTP</span></span><a class="headerlink" href="#KRB5_RESPONDER_QUESTION_OTP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>OTP responder question.</p>
 <p>The OTP responder question is asked when the KDC indicates that an OTP value is required in order to complete the authentication. The JSON format of the challenge is:</p>
-<div class="highlight-c"><div class="highlight"><pre><span></span><span class="p">{</span>
-  <span class="s">&quot;service&quot;</span><span class="o">:</span> <span class="o">&lt;</span><span class="n">string</span> <span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span>
-  <span class="s">&quot;tokenInfo&quot;</span><span class="o">:</span> <span class="p">[</span>
-    <span class="p">{</span>
-      <span class="s">&quot;flags&quot;</span><span class="o">:</span>     <span class="o">&lt;</span><span class="n">number</span><span class="o">&gt;</span><span class="p">,</span>
-      <span class="s">&quot;vendor&quot;</span><span class="o">:</span>    <span class="o">&lt;</span><span class="n">string</span> <span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span>
-      <span class="s">&quot;challenge&quot;</span><span class="o">:</span> <span class="o">&lt;</span><span class="n">string</span> <span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span>
-      <span class="s">&quot;length&quot;</span><span class="o">:</span>    <span class="o">&lt;</span><span class="n">number</span> <span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span>
-      <span class="s">&quot;format&quot;</span><span class="o">:</span>    <span class="o">&lt;</span><span class="n">number</span> <span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span>
-      <span class="s">&quot;tokenID&quot;</span><span class="o">:</span>   <span class="o">&lt;</span><span class="n">string</span> <span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span>
-      <span class="s">&quot;algID&quot;</span><span class="o">:</span>     <span class="o">&lt;</span><span class="n">string</span> <span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span>
-    <span class="p">},</span>
-    <span class="p">...</span>
-  <span class="p">]</span>
-<span class="p">}</span>
+<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="p">{</span><span class="w"></span>
+<span class="w">  </span><span class="s">&quot;service&quot;</span><span class="o">:</span><span class="w"> </span><span class="o">&lt;</span><span class="n">string</span><span class="w"> </span><span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">  </span><span class="s">&quot;tokenInfo&quot;</span><span class="o">:</span><span class="w"> </span><span class="p">[</span><span class="w"></span>
+<span class="w">    </span><span class="p">{</span><span class="w"></span>
+<span class="w">      </span><span class="s">&quot;flags&quot;</span><span class="o">:</span><span class="w">     </span><span class="o">&lt;</span><span class="n">number</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">      </span><span class="s">&quot;vendor&quot;</span><span class="o">:</span><span class="w">    </span><span class="o">&lt;</span><span class="n">string</span><span class="w"> </span><span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">      </span><span class="s">&quot;challenge&quot;</span><span class="o">:</span><span class="w"> </span><span class="o">&lt;</span><span class="n">string</span><span class="w"> </span><span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">      </span><span class="s">&quot;length&quot;</span><span class="o">:</span><span class="w">    </span><span class="o">&lt;</span><span class="n">number</span><span class="w"> </span><span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">      </span><span class="s">&quot;format&quot;</span><span class="o">:</span><span class="w">    </span><span class="o">&lt;</span><span class="n">number</span><span class="w"> </span><span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">      </span><span class="s">&quot;tokenID&quot;</span><span class="o">:</span><span class="w">   </span><span class="o">&lt;</span><span class="n">string</span><span class="w"> </span><span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">      </span><span class="s">&quot;algID&quot;</span><span class="o">:</span><span class="w">     </span><span class="o">&lt;</span><span class="n">string</span><span class="w"> </span><span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">    </span><span class="p">},</span><span class="w"></span>
+<span class="w">    </span><span class="p">...</span><span class="w"></span>
+<span class="w">  </span><span class="p">]</span><span class="w"></span>
+<span class="p">}</span><span class="w"></span>
 </pre></div>
 </div>
 <p>The answer to the question MUST be JSON formatted:</p>
-<div class="highlight-c"><div class="highlight"><pre><span></span><span class="p">{</span>
-  <span class="s">&quot;tokeninfo&quot;</span><span class="o">:</span> <span class="o">&lt;</span><span class="n">number</span><span class="o">&gt;</span><span class="p">,</span>
-  <span class="s">&quot;value&quot;</span><span class="o">:</span>     <span class="o">&lt;</span><span class="n">string</span> <span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span>
-  <span class="s">&quot;pin&quot;</span><span class="o">:</span>       <span class="o">&lt;</span><span class="n">string</span> <span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span>
-<span class="p">}</span>
+<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="p">{</span><span class="w"></span>
+<span class="w">  </span><span class="s">&quot;tokeninfo&quot;</span><span class="o">:</span><span class="w"> </span><span class="o">&lt;</span><span class="n">number</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">  </span><span class="s">&quot;value&quot;</span><span class="o">:</span><span class="w">     </span><span class="o">&lt;</span><span class="n">string</span><span class="w"> </span><span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">  </span><span class="s">&quot;pin&quot;</span><span class="o">:</span><span class="w">       </span><span class="o">&lt;</span><span class="n">string</span><span class="w"> </span><span class="p">(</span><span class="n">optional</span><span class="p">)</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="p">}</span><span class="w"></span>
 </pre></div>
 </div>
 <p>For more detail, please see RFC 6560.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_QUESTION_OTP</span></code></td>
-<td><code class="docutils literal"><span class="pre">&quot;otp&quot;</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_QUESTION_OTP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">&quot;otp&quot;</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_QUESTION_OTP</a></li>
@@ -158,6 +151,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -165,8 +159,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.html	2023-08-14 16:23:19.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_QUESTION_PASSWORD &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_SAFE" href="KRB5_SAFE.html" />
     <link rel="prev" title="KRB5_RESPONDER_QUESTION_OTP" href="KRB5_RESPONDER_QUESTION_OTP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-question-password">
+  <section id="krb5-responder-question-password">
 <span id="krb5-responder-question-password-data"></span><h1>KRB5_RESPONDER_QUESTION_PASSWORD<a class="headerlink" href="#krb5-responder-question-password" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_QUESTION_PASSWORD">
-<code class="descname">KRB5_RESPONDER_QUESTION_PASSWORD</code><a class="headerlink" href="#KRB5_RESPONDER_QUESTION_PASSWORD" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_QUESTION_PASSWORD">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_QUESTION_PASSWORD</span></span><a class="headerlink" href="#KRB5_RESPONDER_QUESTION_PASSWORD" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Long-term password responder question.</p>
 <p>This question is asked when the long-term password is needed. It has no challenge and the response is simply the password string.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="64%" />
-<col width="36%" />
+<col style="width: 64%" />
+<col style="width: 36%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_QUESTION_PASSWORD</span></code></td>
-<td><code class="docutils literal"><span class="pre">&quot;password&quot;</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_QUESTION_PASSWORD</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">&quot;password&quot;</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_QUESTION_PASSWORD</a></li>
@@ -132,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.html	2023-08-14 16:23:20.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_RESPONDER_QUESTION_PKINIT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN" href="KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN.html" />
     <link rel="prev" title="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED" href="KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,47 +52,49 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-question-pkinit">
+  <section id="krb5-responder-question-pkinit">
 <span id="krb5-responder-question-pkinit-data"></span><h1>KRB5_RESPONDER_QUESTION_PKINIT<a class="headerlink" href="#krb5-responder-question-pkinit" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_RESPONDER_QUESTION_PKINIT">
-<code class="descname">KRB5_RESPONDER_QUESTION_PKINIT</code><a class="headerlink" href="#KRB5_RESPONDER_QUESTION_PKINIT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_RESPONDER_QUESTION_PKINIT">
+<span class="sig-name descname"><span class="pre">KRB5_RESPONDER_QUESTION_PKINIT</span></span><a class="headerlink" href="#KRB5_RESPONDER_QUESTION_PKINIT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>PKINIT responder question.</p>
 <p>The PKINIT responder question is asked when the client needs a password that’s being used to protect key information, and is formatted as a JSON object. A specific identity’s flags value, if not zero, is the bitwise-OR of one or more of the KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_* flags defined below, and possibly other flags to be added later. Any resemblance to similarly-named CKF_* values in the PKCS#11 API should not be depended on.</p>
-<div class="highlight-c"><div class="highlight"><pre><span></span><span class="p">{</span>
-    <span class="n">identity</span> <span class="o">&lt;</span><span class="n">string</span><span class="o">&gt;</span> <span class="o">:</span> <span class="n">flags</span> <span class="o">&lt;</span><span class="n">number</span><span class="o">&gt;</span><span class="p">,</span>
-    <span class="p">...</span>
-<span class="p">}</span>
+<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="p">{</span><span class="w"></span>
+<span class="w">    </span><span class="n">identity</span><span class="w"> </span><span class="o">&lt;</span><span class="n">string</span><span class="o">&gt;</span><span class="w"> </span><span class="o">:</span><span class="w"> </span><span class="n">flags</span><span class="w"> </span><span class="o">&lt;</span><span class="n">number</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">    </span><span class="p">...</span><span class="w"></span>
+<span class="p">}</span><span class="w"></span>
 </pre></div>
 </div>
 <p>The answer to the question MUST be JSON formatted:</p>
-<div class="highlight-c"><div class="highlight"><pre><span></span><span class="p">{</span>
-    <span class="n">identity</span> <span class="o">&lt;</span><span class="n">string</span><span class="o">&gt;</span> <span class="o">:</span> <span class="n">password</span> <span class="o">&lt;</span><span class="n">string</span><span class="o">&gt;</span><span class="p">,</span>
-    <span class="p">...</span>
-<span class="p">}</span>
+<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="p">{</span><span class="w"></span>
+<span class="w">    </span><span class="n">identity</span><span class="w"> </span><span class="o">&lt;</span><span class="n">string</span><span class="o">&gt;</span><span class="w"> </span><span class="o">:</span><span class="w"> </span><span class="n">password</span><span class="w"> </span><span class="o">&lt;</span><span class="n">string</span><span class="o">&gt;</span><span class="p">,</span><span class="w"></span>
+<span class="w">    </span><span class="p">...</span><span class="w"></span>
+<span class="p">}</span><span class="w"></span>
 </pre></div>
 </div>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_RESPONDER_QUESTION_PKINIT</span></code></td>
-<td><code class="docutils literal"><span class="pre">&quot;pkinit&quot;</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_RESPONDER_QUESTION_PKINIT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">&quot;pkinit&quot;</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_RESPONDER_QUESTION_PKINIT</a></li>
@@ -145,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_SAFE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_SAFE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_SAFE.html	2023-08-14 16:23:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_SAFE.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_SAFE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_SAM_MUST_PK_ENCRYPT_SAD" href="KRB5_SAM_MUST_PK_ENCRYPT_SAD.html" />
     <link rel="prev" title="KRB5_RESPONDER_QUESTION_PASSWORD" href="KRB5_RESPONDER_QUESTION_PASSWORD.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-safe">
+  <section id="krb5-safe">
 <span id="krb5-safe-data"></span><h1>KRB5_SAFE<a class="headerlink" href="#krb5-safe" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_SAFE">
-<code class="descname">KRB5_SAFE</code><a class="headerlink" href="#KRB5_SAFE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_SAFE">
+<span class="sig-name descname"><span class="pre">KRB5_SAFE</span></span><a class="headerlink" href="#KRB5_SAFE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Safe application message.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="39%" />
-<col width="61%" />
+<col style="width: 39%" />
+<col style="width: 61%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_SAFE</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)20)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_SAFE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)20)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_SAFE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD.html	2023-08-14 16:23:21.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_SAM_MUST_PK_ENCRYPT_SAD &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_SAM_SEND_ENCRYPTED_SAD" href="KRB5_SAM_SEND_ENCRYPTED_SAD.html" />
     <link rel="prev" title="KRB5_SAFE" href="KRB5_SAFE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-sam-must-pk-encrypt-sad">
+  <section id="krb5-sam-must-pk-encrypt-sad">
 <span id="krb5-sam-must-pk-encrypt-sad-data"></span><h1>KRB5_SAM_MUST_PK_ENCRYPT_SAD<a class="headerlink" href="#krb5-sam-must-pk-encrypt-sad" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_SAM_MUST_PK_ENCRYPT_SAD">
-<code class="descname">KRB5_SAM_MUST_PK_ENCRYPT_SAD</code><a class="headerlink" href="#KRB5_SAM_MUST_PK_ENCRYPT_SAD" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_SAM_MUST_PK_ENCRYPT_SAD">
+<span class="sig-name descname"><span class="pre">KRB5_SAM_MUST_PK_ENCRYPT_SAD</span></span><a class="headerlink" href="#KRB5_SAM_MUST_PK_ENCRYPT_SAD" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>currently must be zero</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_SAM_MUST_PK_ENCRYPT_SAD</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x20000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_SAM_MUST_PK_ENCRYPT_SAD</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x20000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_SAM_MUST_PK_ENCRYPT_SAD</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD.html	2023-08-14 16:23:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_SAM_SEND_ENCRYPTED_SAD &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_SAM_USE_SAD_AS_KEY" href="KRB5_SAM_USE_SAD_AS_KEY.html" />
     <link rel="prev" title="KRB5_SAM_MUST_PK_ENCRYPT_SAD" href="KRB5_SAM_MUST_PK_ENCRYPT_SAD.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-sam-send-encrypted-sad">
+  <section id="krb5-sam-send-encrypted-sad">
 <span id="krb5-sam-send-encrypted-sad-data"></span><h1>KRB5_SAM_SEND_ENCRYPTED_SAD<a class="headerlink" href="#krb5-sam-send-encrypted-sad" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_SAM_SEND_ENCRYPTED_SAD">
-<code class="descname">KRB5_SAM_SEND_ENCRYPTED_SAD</code><a class="headerlink" href="#KRB5_SAM_SEND_ENCRYPTED_SAD" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_SAM_SEND_ENCRYPTED_SAD">
+<span class="sig-name descname"><span class="pre">KRB5_SAM_SEND_ENCRYPTED_SAD</span></span><a class="headerlink" href="#KRB5_SAM_SEND_ENCRYPTED_SAD" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_SAM_SEND_ENCRYPTED_SAD</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x40000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_SAM_SEND_ENCRYPTED_SAD</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x40000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_SAM_SEND_ENCRYPTED_SAD</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY.html	2023-08-14 16:23:22.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_SAM_USE_SAD_AS_KEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_MATCH_2ND_TKT" href="KRB5_TC_MATCH_2ND_TKT.html" />
     <link rel="prev" title="KRB5_SAM_SEND_ENCRYPTED_SAD" href="KRB5_SAM_SEND_ENCRYPTED_SAD.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-sam-use-sad-as-key">
+  <section id="krb5-sam-use-sad-as-key">
 <span id="krb5-sam-use-sad-as-key-data"></span><h1>KRB5_SAM_USE_SAD_AS_KEY<a class="headerlink" href="#krb5-sam-use-sad-as-key" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_SAM_USE_SAD_AS_KEY">
-<code class="descname">KRB5_SAM_USE_SAD_AS_KEY</code><a class="headerlink" href="#KRB5_SAM_USE_SAD_AS_KEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_SAM_USE_SAD_AS_KEY">
+<span class="sig-name descname"><span class="pre">KRB5_SAM_USE_SAD_AS_KEY</span></span><a class="headerlink" href="#KRB5_SAM_USE_SAD_AS_KEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_SAM_USE_SAD_AS_KEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x80000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_SAM_USE_SAD_AS_KEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x80000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_SAM_USE_SAD_AS_KEY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT.html	2023-08-14 16:23:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_MATCH_2ND_TKT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_MATCH_AUTHDATA" href="KRB5_TC_MATCH_AUTHDATA.html" />
     <link rel="prev" title="KRB5_SAM_USE_SAD_AS_KEY" href="KRB5_SAM_USE_SAD_AS_KEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-match-2nd-tkt">
+  <section id="krb5-tc-match-2nd-tkt">
 <span id="krb5-tc-match-2nd-tkt-data"></span><h1>KRB5_TC_MATCH_2ND_TKT<a class="headerlink" href="#krb5-tc-match-2nd-tkt" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_MATCH_2ND_TKT">
-<code class="descname">KRB5_TC_MATCH_2ND_TKT</code><a class="headerlink" href="#KRB5_TC_MATCH_2ND_TKT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_MATCH_2ND_TKT">
+<span class="sig-name descname"><span class="pre">KRB5_TC_MATCH_2ND_TKT</span></span><a class="headerlink" href="#KRB5_TC_MATCH_2ND_TKT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>The second ticket must match.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_MATCH_2ND_TKT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000080</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_MATCH_2ND_TKT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000080</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_MATCH_2ND_TKT</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA.html	2023-08-14 16:23:23.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_MATCH_AUTHDATA &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_MATCH_FLAGS" href="KRB5_TC_MATCH_FLAGS.html" />
     <link rel="prev" title="KRB5_TC_MATCH_2ND_TKT" href="KRB5_TC_MATCH_2ND_TKT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-match-authdata">
+  <section id="krb5-tc-match-authdata">
 <span id="krb5-tc-match-authdata-data"></span><h1>KRB5_TC_MATCH_AUTHDATA<a class="headerlink" href="#krb5-tc-match-authdata" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_MATCH_AUTHDATA">
-<code class="descname">KRB5_TC_MATCH_AUTHDATA</code><a class="headerlink" href="#KRB5_TC_MATCH_AUTHDATA" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_MATCH_AUTHDATA">
+<span class="sig-name descname"><span class="pre">KRB5_TC_MATCH_AUTHDATA</span></span><a class="headerlink" href="#KRB5_TC_MATCH_AUTHDATA" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>The authorization data must match.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_MATCH_AUTHDATA</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000020</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_MATCH_AUTHDATA</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000020</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_MATCH_AUTHDATA</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_FLAGS.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_FLAGS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_FLAGS.html	2023-08-14 16:23:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_FLAGS.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_MATCH_FLAGS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_MATCH_FLAGS_EXACT" href="KRB5_TC_MATCH_FLAGS_EXACT.html" />
     <link rel="prev" title="KRB5_TC_MATCH_AUTHDATA" href="KRB5_TC_MATCH_AUTHDATA.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-match-flags">
+  <section id="krb5-tc-match-flags">
 <span id="krb5-tc-match-flags-data"></span><h1>KRB5_TC_MATCH_FLAGS<a class="headerlink" href="#krb5-tc-match-flags" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_MATCH_FLAGS">
-<code class="descname">KRB5_TC_MATCH_FLAGS</code><a class="headerlink" href="#KRB5_TC_MATCH_FLAGS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_MATCH_FLAGS">
+<span class="sig-name descname"><span class="pre">KRB5_TC_MATCH_FLAGS</span></span><a class="headerlink" href="#KRB5_TC_MATCH_FLAGS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>All the flags set in the match credentials must be set.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_MATCH_FLAGS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000004</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_MATCH_FLAGS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000004</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_MATCH_FLAGS</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT.html	2023-08-14 16:23:24.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_MATCH_FLAGS_EXACT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_MATCH_IS_SKEY" href="KRB5_TC_MATCH_IS_SKEY.html" />
     <link rel="prev" title="KRB5_TC_MATCH_FLAGS" href="KRB5_TC_MATCH_FLAGS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-match-flags-exact">
+  <section id="krb5-tc-match-flags-exact">
 <span id="krb5-tc-match-flags-exact-data"></span><h1>KRB5_TC_MATCH_FLAGS_EXACT<a class="headerlink" href="#krb5-tc-match-flags-exact" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_MATCH_FLAGS_EXACT">
-<code class="descname">KRB5_TC_MATCH_FLAGS_EXACT</code><a class="headerlink" href="#KRB5_TC_MATCH_FLAGS_EXACT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_MATCH_FLAGS_EXACT">
+<span class="sig-name descname"><span class="pre">KRB5_TC_MATCH_FLAGS_EXACT</span></span><a class="headerlink" href="#KRB5_TC_MATCH_FLAGS_EXACT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>All the flags must match exactly.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_MATCH_FLAGS_EXACT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000010</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_MATCH_FLAGS_EXACT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000010</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_MATCH_FLAGS_EXACT</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY.html	2023-08-14 16:23:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_MATCH_IS_SKEY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_MATCH_KTYPE" href="KRB5_TC_MATCH_KTYPE.html" />
     <link rel="prev" title="KRB5_TC_MATCH_FLAGS_EXACT" href="KRB5_TC_MATCH_FLAGS_EXACT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-match-is-skey">
+  <section id="krb5-tc-match-is-skey">
 <span id="krb5-tc-match-is-skey-data"></span><h1>KRB5_TC_MATCH_IS_SKEY<a class="headerlink" href="#krb5-tc-match-is-skey" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_MATCH_IS_SKEY">
-<code class="descname">KRB5_TC_MATCH_IS_SKEY</code><a class="headerlink" href="#KRB5_TC_MATCH_IS_SKEY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_MATCH_IS_SKEY">
+<span class="sig-name descname"><span class="pre">KRB5_TC_MATCH_IS_SKEY</span></span><a class="headerlink" href="#KRB5_TC_MATCH_IS_SKEY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>The is_skey field must match exactly.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="56%" />
-<col width="44%" />
+<col style="width: 56%" />
+<col style="width: 44%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_MATCH_IS_SKEY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_MATCH_IS_SKEY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_MATCH_IS_SKEY</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_KTYPE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_KTYPE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_KTYPE.html	2023-08-14 16:23:25.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_KTYPE.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_MATCH_KTYPE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_MATCH_SRV_NAMEONLY" href="KRB5_TC_MATCH_SRV_NAMEONLY.html" />
     <link rel="prev" title="KRB5_TC_MATCH_IS_SKEY" href="KRB5_TC_MATCH_IS_SKEY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-match-ktype">
+  <section id="krb5-tc-match-ktype">
 <span id="krb5-tc-match-ktype-data"></span><h1>KRB5_TC_MATCH_KTYPE<a class="headerlink" href="#krb5-tc-match-ktype" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_MATCH_KTYPE">
-<code class="descname">KRB5_TC_MATCH_KTYPE</code><a class="headerlink" href="#KRB5_TC_MATCH_KTYPE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_MATCH_KTYPE">
+<span class="sig-name descname"><span class="pre">KRB5_TC_MATCH_KTYPE</span></span><a class="headerlink" href="#KRB5_TC_MATCH_KTYPE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>The encryption key type must match.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_MATCH_KTYPE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000100</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_MATCH_KTYPE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000100</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_MATCH_KTYPE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY.html	2023-08-14 16:23:26.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_MATCH_SRV_NAMEONLY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_MATCH_TIMES" href="KRB5_TC_MATCH_TIMES.html" />
     <link rel="prev" title="KRB5_TC_MATCH_KTYPE" href="KRB5_TC_MATCH_KTYPE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-match-srv-nameonly">
+  <section id="krb5-tc-match-srv-nameonly">
 <span id="krb5-tc-match-srv-nameonly-data"></span><h1>KRB5_TC_MATCH_SRV_NAMEONLY<a class="headerlink" href="#krb5-tc-match-srv-nameonly" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_MATCH_SRV_NAMEONLY">
-<code class="descname">KRB5_TC_MATCH_SRV_NAMEONLY</code><a class="headerlink" href="#KRB5_TC_MATCH_SRV_NAMEONLY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_MATCH_SRV_NAMEONLY">
+<span class="sig-name descname"><span class="pre">KRB5_TC_MATCH_SRV_NAMEONLY</span></span><a class="headerlink" href="#KRB5_TC_MATCH_SRV_NAMEONLY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Only the name portion of the principal name must match.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_MATCH_SRV_NAMEONLY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000040</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_MATCH_SRV_NAMEONLY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000040</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_MATCH_SRV_NAMEONLY</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_TIMES.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_TIMES.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_TIMES.html	2023-08-14 16:23:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_TIMES.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_MATCH_TIMES &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_MATCH_TIMES_EXACT" href="KRB5_TC_MATCH_TIMES_EXACT.html" />
     <link rel="prev" title="KRB5_TC_MATCH_SRV_NAMEONLY" href="KRB5_TC_MATCH_SRV_NAMEONLY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-match-times">
+  <section id="krb5-tc-match-times">
 <span id="krb5-tc-match-times-data"></span><h1>KRB5_TC_MATCH_TIMES<a class="headerlink" href="#krb5-tc-match-times" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_MATCH_TIMES">
-<code class="descname">KRB5_TC_MATCH_TIMES</code><a class="headerlink" href="#KRB5_TC_MATCH_TIMES" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_MATCH_TIMES">
+<span class="sig-name descname"><span class="pre">KRB5_TC_MATCH_TIMES</span></span><a class="headerlink" href="#KRB5_TC_MATCH_TIMES" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>The requested lifetime must be at least as great as the time specified.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_MATCH_TIMES</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_MATCH_TIMES</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_MATCH_TIMES</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT.html	2023-08-14 16:23:27.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_MATCH_TIMES_EXACT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_NOTICKET" href="KRB5_TC_NOTICKET.html" />
     <link rel="prev" title="KRB5_TC_MATCH_TIMES" href="KRB5_TC_MATCH_TIMES.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-match-times-exact">
+  <section id="krb5-tc-match-times-exact">
 <span id="krb5-tc-match-times-exact-data"></span><h1>KRB5_TC_MATCH_TIMES_EXACT<a class="headerlink" href="#krb5-tc-match-times-exact" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_MATCH_TIMES_EXACT">
-<code class="descname">KRB5_TC_MATCH_TIMES_EXACT</code><a class="headerlink" href="#KRB5_TC_MATCH_TIMES_EXACT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_MATCH_TIMES_EXACT">
+<span class="sig-name descname"><span class="pre">KRB5_TC_MATCH_TIMES_EXACT</span></span><a class="headerlink" href="#KRB5_TC_MATCH_TIMES_EXACT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>All the time fields must match exactly.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_MATCH_TIMES_EXACT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000008</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_MATCH_TIMES_EXACT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000008</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_MATCH_TIMES_EXACT</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_NOTICKET.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_NOTICKET.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_NOTICKET.html	2023-08-14 16:23:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_NOTICKET.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_NOTICKET &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_OPENCLOSE" href="KRB5_TC_OPENCLOSE.html" />
     <link rel="prev" title="KRB5_TC_MATCH_TIMES_EXACT" href="KRB5_TC_MATCH_TIMES_EXACT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-noticket">
+  <section id="krb5-tc-noticket">
 <span id="krb5-tc-noticket-data"></span><h1>KRB5_TC_NOTICKET<a class="headerlink" href="#krb5-tc-noticket" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_NOTICKET">
-<code class="descname">KRB5_TC_NOTICKET</code><a class="headerlink" href="#KRB5_TC_NOTICKET" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_NOTICKET">
+<span class="sig-name descname"><span class="pre">KRB5_TC_NOTICKET</span></span><a class="headerlink" href="#KRB5_TC_NOTICKET" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_NOTICKET</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000002</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_NOTICKET</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000002</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_NOTICKET</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_OPENCLOSE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_OPENCLOSE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_OPENCLOSE.html	2023-08-14 16:23:28.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_OPENCLOSE.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_OPENCLOSE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TC_SUPPORTED_KTYPES" href="KRB5_TC_SUPPORTED_KTYPES.html" />
     <link rel="prev" title="KRB5_TC_NOTICKET" href="KRB5_TC_NOTICKET.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-openclose">
+  <section id="krb5-tc-openclose">
 <span id="krb5-tc-openclose-data"></span><h1>KRB5_TC_OPENCLOSE<a class="headerlink" href="#krb5-tc-openclose" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_OPENCLOSE">
-<code class="descname">KRB5_TC_OPENCLOSE</code><a class="headerlink" href="#KRB5_TC_OPENCLOSE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_OPENCLOSE">
+<span class="sig-name descname"><span class="pre">KRB5_TC_OPENCLOSE</span></span><a class="headerlink" href="#KRB5_TC_OPENCLOSE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Open and close the file for each cache operation.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_OPENCLOSE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_OPENCLOSE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_OPENCLOSE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES.html	2023-08-14 16:23:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TC_SUPPORTED_KTYPES &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TGS_NAME" href="KRB5_TGS_NAME.html" />
     <link rel="prev" title="KRB5_TC_OPENCLOSE" href="KRB5_TC_OPENCLOSE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tc-supported-ktypes">
+  <section id="krb5-tc-supported-ktypes">
 <span id="krb5-tc-supported-ktypes-data"></span><h1>KRB5_TC_SUPPORTED_KTYPES<a class="headerlink" href="#krb5-tc-supported-ktypes" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TC_SUPPORTED_KTYPES">
-<code class="descname">KRB5_TC_SUPPORTED_KTYPES</code><a class="headerlink" href="#KRB5_TC_SUPPORTED_KTYPES" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TC_SUPPORTED_KTYPES">
+<span class="sig-name descname"><span class="pre">KRB5_TC_SUPPORTED_KTYPES</span></span><a class="headerlink" href="#KRB5_TC_SUPPORTED_KTYPES" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>The supported key types must match.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TC_SUPPORTED_KTYPES</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00000200</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TC_SUPPORTED_KTYPES</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00000200</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TC_SUPPORTED_KTYPES</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TGS_NAME.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TGS_NAME.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TGS_NAME.html	2023-08-14 16:23:29.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TGS_NAME.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TGS_NAME &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TGS_NAME_SIZE" href="KRB5_TGS_NAME_SIZE.html" />
     <link rel="prev" title="KRB5_TC_SUPPORTED_KTYPES" href="KRB5_TC_SUPPORTED_KTYPES.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tgs-name">
+  <section id="krb5-tgs-name">
 <span id="krb5-tgs-name-data"></span><h1>KRB5_TGS_NAME<a class="headerlink" href="#krb5-tgs-name" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TGS_NAME">
-<code class="descname">KRB5_TGS_NAME</code><a class="headerlink" href="#KRB5_TGS_NAME" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TGS_NAME">
+<span class="sig-name descname"><span class="pre">KRB5_TGS_NAME</span></span><a class="headerlink" href="#KRB5_TGS_NAME" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="48%" />
-<col width="52%" />
+<col style="width: 48%" />
+<col style="width: 52%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TGS_NAME</span></code></td>
-<td><code class="docutils literal"><span class="pre">&quot;krbtgt&quot;</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TGS_NAME</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">&quot;krbtgt&quot;</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TGS_NAME</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TGS_NAME_SIZE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TGS_NAME_SIZE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TGS_NAME_SIZE.html	2023-08-14 16:23:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TGS_NAME_SIZE.html	2024-06-26 20:01:24.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TGS_NAME_SIZE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TGS_REP" href="KRB5_TGS_REP.html" />
     <link rel="prev" title="KRB5_TGS_NAME" href="KRB5_TGS_NAME.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tgs-name-size">
+  <section id="krb5-tgs-name-size">
 <span id="krb5-tgs-name-size-data"></span><h1>KRB5_TGS_NAME_SIZE<a class="headerlink" href="#krb5-tgs-name-size" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TGS_NAME_SIZE">
-<code class="descname">KRB5_TGS_NAME_SIZE</code><a class="headerlink" href="#KRB5_TGS_NAME_SIZE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TGS_NAME_SIZE">
+<span class="sig-name descname"><span class="pre">KRB5_TGS_NAME_SIZE</span></span><a class="headerlink" href="#KRB5_TGS_NAME_SIZE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TGS_NAME_SIZE</span></code></td>
-<td><code class="docutils literal"><span class="pre">6</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TGS_NAME_SIZE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TGS_NAME_SIZE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TGS_REP.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TGS_REP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TGS_REP.html	2023-08-14 16:23:30.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TGS_REP.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TGS_REP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TGS_REQ" href="KRB5_TGS_REQ.html" />
     <link rel="prev" title="KRB5_TGS_NAME_SIZE" href="KRB5_TGS_NAME_SIZE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tgs-rep">
+  <section id="krb5-tgs-rep">
 <span id="krb5-tgs-rep-data"></span><h1>KRB5_TGS_REP<a class="headerlink" href="#krb5-tgs-rep" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TGS_REP">
-<code class="descname">KRB5_TGS_REP</code><a class="headerlink" href="#KRB5_TGS_REP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TGS_REP">
+<span class="sig-name descname"><span class="pre">KRB5_TGS_REP</span></span><a class="headerlink" href="#KRB5_TGS_REP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Response to TGS request.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="43%" />
-<col width="57%" />
+<col style="width: 43%" />
+<col style="width: 57%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TGS_REP</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)13)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TGS_REP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)13)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TGS_REP</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TGS_REQ.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TGS_REQ.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TGS_REQ.html	2023-08-14 16:23:31.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TGS_REQ.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TGS_REQ &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_TKT_CREDS_STEP_FLAG_CONTINUE" href="KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.html" />
     <link rel="prev" title="KRB5_TGS_REP" href="KRB5_TGS_REP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tgs-req">
+  <section id="krb5-tgs-req">
 <span id="krb5-tgs-req-data"></span><h1>KRB5_TGS_REQ<a class="headerlink" href="#krb5-tgs-req" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TGS_REQ">
-<code class="descname">KRB5_TGS_REQ</code><a class="headerlink" href="#KRB5_TGS_REQ" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TGS_REQ">
+<span class="sig-name descname"><span class="pre">KRB5_TGS_REQ</span></span><a class="headerlink" href="#KRB5_TGS_REQ" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Ticket granting server request.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="43%" />
-<col width="57%" />
+<col style="width: 43%" />
+<col style="width: 57%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TGS_REQ</span></code></td>
-<td><code class="docutils literal"><span class="pre">((krb5_msgtype)12)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TGS_REQ</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((krb5_msgtype)12)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TGS_REQ</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.html	2023-08-14 16:23:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_TKT_CREDS_STEP_FLAG_CONTINUE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL" href="KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL.html" />
     <link rel="prev" title="KRB5_TGS_REQ" href="KRB5_TGS_REQ.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tkt-creds-step-flag-continue">
+  <section id="krb5-tkt-creds-step-flag-continue">
 <span id="krb5-tkt-creds-step-flag-continue-data"></span><h1>KRB5_TKT_CREDS_STEP_FLAG_CONTINUE<a class="headerlink" href="#krb5-tkt-creds-step-flag-continue" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_TKT_CREDS_STEP_FLAG_CONTINUE">
-<code class="descname">KRB5_TKT_CREDS_STEP_FLAG_CONTINUE</code><a class="headerlink" href="#KRB5_TKT_CREDS_STEP_FLAG_CONTINUE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_TKT_CREDS_STEP_FLAG_CONTINUE">
+<span class="sig-name descname"><span class="pre">KRB5_TKT_CREDS_STEP_FLAG_CONTINUE</span></span><a class="headerlink" href="#KRB5_TKT_CREDS_STEP_FLAG_CONTINUE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>More responses needed.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="65%" />
-<col width="35%" />
+<col style="width: 65%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_TKT_CREDS_STEP_FLAG_CONTINUE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x1</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_TKT_CREDS_STEP_FLAG_CONTINUE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x1</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_TKT_CREDS_STEP_FLAG_CONTINUE</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL.html	2023-08-14 16:23:32.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="KRB5_WELLKNOWN_NAMESTR" href="KRB5_WELLKNOWN_NAMESTR.html" />
     <link rel="prev" title="KRB5_TKT_CREDS_STEP_FLAG_CONTINUE" href="KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-verify-init-creds-opt-ap-req-nofail">
+  <section id="krb5-verify-init-creds-opt-ap-req-nofail">
 <span id="krb5-verify-init-creds-opt-ap-req-nofail-data"></span><h1>KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL<a class="headerlink" href="#krb5-verify-init-creds-opt-ap-req-nofail" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL">
-<code class="descname">KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL</code><a class="headerlink" href="#KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL">
+<span class="sig-name descname"><span class="pre">KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL</span></span><a class="headerlink" href="#KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="68%" />
-<col width="32%" />
+<col style="width: 68%" />
+<col style="width: 32%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x0001</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x0001</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR.html 1.21.3-1/doc/html/appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR.html
--- 1.21.2-1/doc/html/appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR.html	2023-08-14 16:23:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KRB5_WELLKNOWN_NAMESTR &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="LR_TYPE_INTERPRETATION_MASK" href="LR_TYPE_INTERPRETATION_MASK.html" />
     <link rel="prev" title="KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL" href="KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-wellknown-namestr">
+  <section id="krb5-wellknown-namestr">
 <span id="krb5-wellknown-namestr-data"></span><h1>KRB5_WELLKNOWN_NAMESTR<a class="headerlink" href="#krb5-wellknown-namestr" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="KRB5_WELLKNOWN_NAMESTR">
-<code class="descname">KRB5_WELLKNOWN_NAMESTR</code><a class="headerlink" href="#KRB5_WELLKNOWN_NAMESTR" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="KRB5_WELLKNOWN_NAMESTR">
+<span class="sig-name descname"><span class="pre">KRB5_WELLKNOWN_NAMESTR</span></span><a class="headerlink" href="#KRB5_WELLKNOWN_NAMESTR" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>First component of NT_WELLKNOWN principals.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">KRB5_WELLKNOWN_NAMESTR</span></code></td>
-<td><code class="docutils literal"><span class="pre">&quot;WELLKNOWN&quot;</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">KRB5_WELLKNOWN_NAMESTR</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">&quot;WELLKNOWN&quot;</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KRB5_WELLKNOWN_NAMESTR</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK.html 1.21.3-1/doc/html/appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK.html
--- 1.21.2-1/doc/html/appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK.html	2023-08-14 16:23:33.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>LR_TYPE_INTERPRETATION_MASK &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="LR_TYPE_THIS_SERVER_ONLY" href="LR_TYPE_THIS_SERVER_ONLY.html" />
     <link rel="prev" title="KRB5_WELLKNOWN_NAMESTR" href="KRB5_WELLKNOWN_NAMESTR.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="lr-type-interpretation-mask">
+  <section id="lr-type-interpretation-mask">
 <span id="lr-type-interpretation-mask-data"></span><h1>LR_TYPE_INTERPRETATION_MASK<a class="headerlink" href="#lr-type-interpretation-mask" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="LR_TYPE_INTERPRETATION_MASK">
-<code class="descname">LR_TYPE_INTERPRETATION_MASK</code><a class="headerlink" href="#LR_TYPE_INTERPRETATION_MASK" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="LR_TYPE_INTERPRETATION_MASK">
+<span class="sig-name descname"><span class="pre">LR_TYPE_INTERPRETATION_MASK</span></span><a class="headerlink" href="#LR_TYPE_INTERPRETATION_MASK" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">LR_TYPE_INTERPRETATION_MASK</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x7fff</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">LR_TYPE_INTERPRETATION_MASK</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x7fff</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">LR_TYPE_INTERPRETATION_MASK</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY.html 1.21.3-1/doc/html/appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY.html	2023-08-14 16:23:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>LR_TYPE_THIS_SERVER_ONLY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="MAX_KEYTAB_NAME_LEN" href="MAX_KEYTAB_NAME_LEN.html" />
     <link rel="prev" title="LR_TYPE_INTERPRETATION_MASK" href="LR_TYPE_INTERPRETATION_MASK.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="lr-type-this-server-only">
+  <section id="lr-type-this-server-only">
 <span id="lr-type-this-server-only-data"></span><h1>LR_TYPE_THIS_SERVER_ONLY<a class="headerlink" href="#lr-type-this-server-only" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="LR_TYPE_THIS_SERVER_ONLY">
-<code class="descname">LR_TYPE_THIS_SERVER_ONLY</code><a class="headerlink" href="#LR_TYPE_THIS_SERVER_ONLY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="LR_TYPE_THIS_SERVER_ONLY">
+<span class="sig-name descname"><span class="pre">LR_TYPE_THIS_SERVER_ONLY</span></span><a class="headerlink" href="#LR_TYPE_THIS_SERVER_ONLY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">LR_TYPE_THIS_SERVER_ONLY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x8000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">LR_TYPE_THIS_SERVER_ONLY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x8000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">LR_TYPE_THIS_SERVER_ONLY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/MAX_KEYTAB_NAME_LEN.html 1.21.3-1/doc/html/appdev/refs/macros/MAX_KEYTAB_NAME_LEN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/MAX_KEYTAB_NAME_LEN.html	2023-08-14 16:23:34.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/MAX_KEYTAB_NAME_LEN.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>MAX_KEYTAB_NAME_LEN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="MSEC_DIRBIT" href="MSEC_DIRBIT.html" />
     <link rel="prev" title="LR_TYPE_THIS_SERVER_ONLY" href="LR_TYPE_THIS_SERVER_ONLY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="max-keytab-name-len">
+  <section id="max-keytab-name-len">
 <span id="max-keytab-name-len-data"></span><h1>MAX_KEYTAB_NAME_LEN<a class="headerlink" href="#max-keytab-name-len" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="MAX_KEYTAB_NAME_LEN">
-<code class="descname">MAX_KEYTAB_NAME_LEN</code><a class="headerlink" href="#MAX_KEYTAB_NAME_LEN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="MAX_KEYTAB_NAME_LEN">
+<span class="sig-name descname"><span class="pre">MAX_KEYTAB_NAME_LEN</span></span><a class="headerlink" href="#MAX_KEYTAB_NAME_LEN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
 <p>Long enough for MAXPATHLEN + some extra.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">MAX_KEYTAB_NAME_LEN</span></code></td>
-<td><code class="docutils literal"><span class="pre">1100</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">MAX_KEYTAB_NAME_LEN</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">1100</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">MAX_KEYTAB_NAME_LEN</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/MSEC_DIRBIT.html 1.21.3-1/doc/html/appdev/refs/macros/MSEC_DIRBIT.html
--- 1.21.2-1/doc/html/appdev/refs/macros/MSEC_DIRBIT.html	2023-08-14 16:23:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/MSEC_DIRBIT.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>MSEC_DIRBIT &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="MSEC_VAL_MASK" href="MSEC_VAL_MASK.html" />
     <link rel="prev" title="MAX_KEYTAB_NAME_LEN" href="MAX_KEYTAB_NAME_LEN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="msec-dirbit">
+  <section id="msec-dirbit">
 <span id="msec-dirbit-data"></span><h1>MSEC_DIRBIT<a class="headerlink" href="#msec-dirbit" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="MSEC_DIRBIT">
-<code class="descname">MSEC_DIRBIT</code><a class="headerlink" href="#MSEC_DIRBIT" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="MSEC_DIRBIT">
+<span class="sig-name descname"><span class="pre">MSEC_DIRBIT</span></span><a class="headerlink" href="#MSEC_DIRBIT" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="45%" />
-<col width="55%" />
+<col style="width: 45%" />
+<col style="width: 55%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">MSEC_DIRBIT</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x8000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">MSEC_DIRBIT</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x8000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">MSEC_DIRBIT</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/MSEC_VAL_MASK.html 1.21.3-1/doc/html/appdev/refs/macros/MSEC_VAL_MASK.html
--- 1.21.2-1/doc/html/appdev/refs/macros/MSEC_VAL_MASK.html	2023-08-14 16:23:35.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/MSEC_VAL_MASK.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>MSEC_VAL_MASK &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="SALT_TYPE_AFS_LENGTH" href="SALT_TYPE_AFS_LENGTH.html" />
     <link rel="prev" title="MSEC_DIRBIT" href="MSEC_DIRBIT.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="msec-val-mask">
+  <section id="msec-val-mask">
 <span id="msec-val-mask-data"></span><h1>MSEC_VAL_MASK<a class="headerlink" href="#msec-val-mask" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="MSEC_VAL_MASK">
-<code class="descname">MSEC_VAL_MASK</code><a class="headerlink" href="#MSEC_VAL_MASK" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="MSEC_VAL_MASK">
+<span class="sig-name descname"><span class="pre">MSEC_VAL_MASK</span></span><a class="headerlink" href="#MSEC_VAL_MASK" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="48%" />
-<col width="52%" />
+<col style="width: 48%" />
+<col style="width: 52%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">MSEC_VAL_MASK</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x7fff</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">MSEC_VAL_MASK</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x7fff</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">MSEC_VAL_MASK</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/SALT_TYPE_AFS_LENGTH.html 1.21.3-1/doc/html/appdev/refs/macros/SALT_TYPE_AFS_LENGTH.html
--- 1.21.2-1/doc/html/appdev/refs/macros/SALT_TYPE_AFS_LENGTH.html	2023-08-14 16:23:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/SALT_TYPE_AFS_LENGTH.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>SALT_TYPE_AFS_LENGTH &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="SALT_TYPE_NO_LENGTH" href="SALT_TYPE_NO_LENGTH.html" />
     <link rel="prev" title="MSEC_VAL_MASK" href="MSEC_VAL_MASK.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="salt-type-afs-length">
+  <section id="salt-type-afs-length">
 <span id="salt-type-afs-length-data"></span><h1>SALT_TYPE_AFS_LENGTH<a class="headerlink" href="#salt-type-afs-length" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="SALT_TYPE_AFS_LENGTH">
-<code class="descname">SALT_TYPE_AFS_LENGTH</code><a class="headerlink" href="#SALT_TYPE_AFS_LENGTH" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="SALT_TYPE_AFS_LENGTH">
+<span class="sig-name descname"><span class="pre">SALT_TYPE_AFS_LENGTH</span></span><a class="headerlink" href="#SALT_TYPE_AFS_LENGTH" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">SALT_TYPE_AFS_LENGTH</span></code></td>
-<td><code class="docutils literal"><span class="pre">UINT_MAX</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">SALT_TYPE_AFS_LENGTH</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">UINT_MAX</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">SALT_TYPE_AFS_LENGTH</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/SALT_TYPE_NO_LENGTH.html 1.21.3-1/doc/html/appdev/refs/macros/SALT_TYPE_NO_LENGTH.html
--- 1.21.2-1/doc/html/appdev/refs/macros/SALT_TYPE_NO_LENGTH.html	2023-08-14 16:23:36.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/SALT_TYPE_NO_LENGTH.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>SALT_TYPE_NO_LENGTH &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="THREEPARAMOPEN" href="THREEPARAMOPEN.html" />
     <link rel="prev" title="SALT_TYPE_AFS_LENGTH" href="SALT_TYPE_AFS_LENGTH.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="salt-type-no-length">
+  <section id="salt-type-no-length">
 <span id="salt-type-no-length-data"></span><h1>SALT_TYPE_NO_LENGTH<a class="headerlink" href="#salt-type-no-length" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="SALT_TYPE_NO_LENGTH">
-<code class="descname">SALT_TYPE_NO_LENGTH</code><a class="headerlink" href="#SALT_TYPE_NO_LENGTH" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="SALT_TYPE_NO_LENGTH">
+<span class="sig-name descname"><span class="pre">SALT_TYPE_NO_LENGTH</span></span><a class="headerlink" href="#SALT_TYPE_NO_LENGTH" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">SALT_TYPE_NO_LENGTH</span></code></td>
-<td><code class="docutils literal"><span class="pre">UINT_MAX</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">SALT_TYPE_NO_LENGTH</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">UINT_MAX</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">SALT_TYPE_NO_LENGTH</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/THREEPARAMOPEN.html 1.21.3-1/doc/html/appdev/refs/macros/THREEPARAMOPEN.html
--- 1.21.2-1/doc/html/appdev/refs/macros/THREEPARAMOPEN.html	2023-08-14 16:23:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/THREEPARAMOPEN.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>THREEPARAMOPEN &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_ANONYMOUS" href="TKT_FLG_ANONYMOUS.html" />
     <link rel="prev" title="SALT_TYPE_NO_LENGTH" href="SALT_TYPE_NO_LENGTH.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="threeparamopen">
+  <section id="threeparamopen">
 <span id="threeparamopen-data"></span><h1>THREEPARAMOPEN<a class="headerlink" href="#threeparamopen" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="THREEPARAMOPEN">
-<code class="descname">THREEPARAMOPEN</code><a class="headerlink" href="#THREEPARAMOPEN" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="THREEPARAMOPEN">
+<span class="sig-name descname"><span class="pre">THREEPARAMOPEN</span></span><a class="headerlink" href="#THREEPARAMOPEN" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="58%" />
-<col width="42%" />
+<col style="width: 58%" />
+<col style="width: 42%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">THREEPARAMOPEN</span> <span class="pre">(x,</span> <span class="pre">y,</span> <span class="pre">z)</span></code></td>
-<td><code class="docutils literal"><span class="pre">open(x,y,z)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">THREEPARAMOPEN</span> <span class="pre">(x,</span> <span class="pre">y,</span> <span class="pre">z)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">open(x,y,z)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">THREEPARAMOPEN</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_ANONYMOUS.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_ANONYMOUS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_ANONYMOUS.html	2023-08-14 16:23:37.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_ANONYMOUS.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_ANONYMOUS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_ENC_PA_REP" href="TKT_FLG_ENC_PA_REP.html" />
     <link rel="prev" title="THREEPARAMOPEN" href="THREEPARAMOPEN.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-anonymous">
+  <section id="tkt-flg-anonymous">
 <span id="tkt-flg-anonymous-data"></span><h1>TKT_FLG_ANONYMOUS<a class="headerlink" href="#tkt-flg-anonymous" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_ANONYMOUS">
-<code class="descname">TKT_FLG_ANONYMOUS</code><a class="headerlink" href="#TKT_FLG_ANONYMOUS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_ANONYMOUS">
+<span class="sig-name descname"><span class="pre">TKT_FLG_ANONYMOUS</span></span><a class="headerlink" href="#TKT_FLG_ANONYMOUS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_ANONYMOUS</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00008000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_ANONYMOUS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00008000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_ANONYMOUS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_ENC_PA_REP.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_ENC_PA_REP.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_ENC_PA_REP.html	2023-08-14 16:23:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_ENC_PA_REP.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_ENC_PA_REP &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_FORWARDABLE" href="TKT_FLG_FORWARDABLE.html" />
     <link rel="prev" title="TKT_FLG_ANONYMOUS" href="TKT_FLG_ANONYMOUS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-enc-pa-rep">
+  <section id="tkt-flg-enc-pa-rep">
 <span id="tkt-flg-enc-pa-rep-data"></span><h1>TKT_FLG_ENC_PA_REP<a class="headerlink" href="#tkt-flg-enc-pa-rep" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_ENC_PA_REP">
-<code class="descname">TKT_FLG_ENC_PA_REP</code><a class="headerlink" href="#TKT_FLG_ENC_PA_REP" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_ENC_PA_REP">
+<span class="sig-name descname"><span class="pre">TKT_FLG_ENC_PA_REP</span></span><a class="headerlink" href="#TKT_FLG_ENC_PA_REP" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_ENC_PA_REP</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00010000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_ENC_PA_REP</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00010000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_ENC_PA_REP</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_FORWARDABLE.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_FORWARDABLE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_FORWARDABLE.html	2023-08-14 16:23:38.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_FORWARDABLE.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_FORWARDABLE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_FORWARDED" href="TKT_FLG_FORWARDED.html" />
     <link rel="prev" title="TKT_FLG_ENC_PA_REP" href="TKT_FLG_ENC_PA_REP.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-forwardable">
+  <section id="tkt-flg-forwardable">
 <span id="tkt-flg-forwardable-data"></span><h1>TKT_FLG_FORWARDABLE<a class="headerlink" href="#tkt-flg-forwardable" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_FORWARDABLE">
-<code class="descname">TKT_FLG_FORWARDABLE</code><a class="headerlink" href="#TKT_FLG_FORWARDABLE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_FORWARDABLE">
+<span class="sig-name descname"><span class="pre">TKT_FLG_FORWARDABLE</span></span><a class="headerlink" href="#TKT_FLG_FORWARDABLE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="54%" />
-<col width="46%" />
+<col style="width: 54%" />
+<col style="width: 46%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_FORWARDABLE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x40000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_FORWARDABLE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x40000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_FORWARDABLE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_FORWARDED.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_FORWARDED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_FORWARDED.html	2023-08-14 16:23:39.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_FORWARDED.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_FORWARDED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_HW_AUTH" href="TKT_FLG_HW_AUTH.html" />
     <link rel="prev" title="TKT_FLG_FORWARDABLE" href="TKT_FLG_FORWARDABLE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-forwarded">
+  <section id="tkt-flg-forwarded">
 <span id="tkt-flg-forwarded-data"></span><h1>TKT_FLG_FORWARDED<a class="headerlink" href="#tkt-flg-forwarded" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_FORWARDED">
-<code class="descname">TKT_FLG_FORWARDED</code><a class="headerlink" href="#TKT_FLG_FORWARDED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_FORWARDED">
+<span class="sig-name descname"><span class="pre">TKT_FLG_FORWARDED</span></span><a class="headerlink" href="#TKT_FLG_FORWARDED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_FORWARDED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x20000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_FORWARDED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x20000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_FORWARDED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_HW_AUTH.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_HW_AUTH.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_HW_AUTH.html	2023-08-14 16:23:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_HW_AUTH.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_HW_AUTH &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_INITIAL" href="TKT_FLG_INITIAL.html" />
     <link rel="prev" title="TKT_FLG_FORWARDED" href="TKT_FLG_FORWARDED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-hw-auth">
+  <section id="tkt-flg-hw-auth">
 <span id="tkt-flg-hw-auth-data"></span><h1>TKT_FLG_HW_AUTH<a class="headerlink" href="#tkt-flg-hw-auth" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_HW_AUTH">
-<code class="descname">TKT_FLG_HW_AUTH</code><a class="headerlink" href="#TKT_FLG_HW_AUTH" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_HW_AUTH">
+<span class="sig-name descname"><span class="pre">TKT_FLG_HW_AUTH</span></span><a class="headerlink" href="#TKT_FLG_HW_AUTH" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_HW_AUTH</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00100000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_HW_AUTH</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00100000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_HW_AUTH</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_INITIAL.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_INITIAL.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_INITIAL.html	2023-08-14 16:23:40.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_INITIAL.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_INITIAL &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_INVALID" href="TKT_FLG_INVALID.html" />
     <link rel="prev" title="TKT_FLG_HW_AUTH" href="TKT_FLG_HW_AUTH.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-initial">
+  <section id="tkt-flg-initial">
 <span id="tkt-flg-initial-data"></span><h1>TKT_FLG_INITIAL<a class="headerlink" href="#tkt-flg-initial" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_INITIAL">
-<code class="descname">TKT_FLG_INITIAL</code><a class="headerlink" href="#TKT_FLG_INITIAL" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_INITIAL">
+<span class="sig-name descname"><span class="pre">TKT_FLG_INITIAL</span></span><a class="headerlink" href="#TKT_FLG_INITIAL" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_INITIAL</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00400000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_INITIAL</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00400000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_INITIAL</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_INVALID.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_INVALID.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_INVALID.html	2023-08-14 16:23:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_INVALID.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_INVALID &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_MAY_POSTDATE" href="TKT_FLG_MAY_POSTDATE.html" />
     <link rel="prev" title="TKT_FLG_INITIAL" href="TKT_FLG_INITIAL.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-invalid">
+  <section id="tkt-flg-invalid">
 <span id="tkt-flg-invalid-data"></span><h1>TKT_FLG_INVALID<a class="headerlink" href="#tkt-flg-invalid" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_INVALID">
-<code class="descname">TKT_FLG_INVALID</code><a class="headerlink" href="#TKT_FLG_INVALID" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_INVALID">
+<span class="sig-name descname"><span class="pre">TKT_FLG_INVALID</span></span><a class="headerlink" href="#TKT_FLG_INVALID" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_INVALID</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x01000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_INVALID</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x01000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_INVALID</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_MAY_POSTDATE.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_MAY_POSTDATE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_MAY_POSTDATE.html	2023-08-14 16:23:41.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_MAY_POSTDATE.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_MAY_POSTDATE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_OK_AS_DELEGATE" href="TKT_FLG_OK_AS_DELEGATE.html" />
     <link rel="prev" title="TKT_FLG_INVALID" href="TKT_FLG_INVALID.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-may-postdate">
+  <section id="tkt-flg-may-postdate">
 <span id="tkt-flg-may-postdate-data"></span><h1>TKT_FLG_MAY_POSTDATE<a class="headerlink" href="#tkt-flg-may-postdate" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_MAY_POSTDATE">
-<code class="descname">TKT_FLG_MAY_POSTDATE</code><a class="headerlink" href="#TKT_FLG_MAY_POSTDATE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_MAY_POSTDATE">
+<span class="sig-name descname"><span class="pre">TKT_FLG_MAY_POSTDATE</span></span><a class="headerlink" href="#TKT_FLG_MAY_POSTDATE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="55%" />
-<col width="45%" />
+<col style="width: 55%" />
+<col style="width: 45%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_MAY_POSTDATE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x04000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_MAY_POSTDATE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x04000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_MAY_POSTDATE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE.html	2023-08-14 16:23:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_OK_AS_DELEGATE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_POSTDATED" href="TKT_FLG_POSTDATED.html" />
     <link rel="prev" title="TKT_FLG_MAY_POSTDATE" href="TKT_FLG_MAY_POSTDATE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-ok-as-delegate">
+  <section id="tkt-flg-ok-as-delegate">
 <span id="tkt-flg-ok-as-delegate-data"></span><h1>TKT_FLG_OK_AS_DELEGATE<a class="headerlink" href="#tkt-flg-ok-as-delegate" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_OK_AS_DELEGATE">
-<code class="descname">TKT_FLG_OK_AS_DELEGATE</code><a class="headerlink" href="#TKT_FLG_OK_AS_DELEGATE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_OK_AS_DELEGATE">
+<span class="sig-name descname"><span class="pre">TKT_FLG_OK_AS_DELEGATE</span></span><a class="headerlink" href="#TKT_FLG_OK_AS_DELEGATE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="57%" />
-<col width="43%" />
+<col style="width: 57%" />
+<col style="width: 43%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_OK_AS_DELEGATE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00040000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_OK_AS_DELEGATE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00040000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_OK_AS_DELEGATE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_POSTDATED.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_POSTDATED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_POSTDATED.html	2023-08-14 16:23:42.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_POSTDATED.html	2024-06-26 20:01:25.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_POSTDATED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_PRE_AUTH" href="TKT_FLG_PRE_AUTH.html" />
     <link rel="prev" title="TKT_FLG_OK_AS_DELEGATE" href="TKT_FLG_OK_AS_DELEGATE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-postdated">
+  <section id="tkt-flg-postdated">
 <span id="tkt-flg-postdated-data"></span><h1>TKT_FLG_POSTDATED<a class="headerlink" href="#tkt-flg-postdated" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_POSTDATED">
-<code class="descname">TKT_FLG_POSTDATED</code><a class="headerlink" href="#TKT_FLG_POSTDATED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_POSTDATED">
+<span class="sig-name descname"><span class="pre">TKT_FLG_POSTDATED</span></span><a class="headerlink" href="#TKT_FLG_POSTDATED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_POSTDATED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x02000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_POSTDATED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x02000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_POSTDATED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_PRE_AUTH.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_PRE_AUTH.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_PRE_AUTH.html	2023-08-14 16:23:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_PRE_AUTH.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_PRE_AUTH &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_PROXIABLE" href="TKT_FLG_PROXIABLE.html" />
     <link rel="prev" title="TKT_FLG_POSTDATED" href="TKT_FLG_POSTDATED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-pre-auth">
+  <section id="tkt-flg-pre-auth">
 <span id="tkt-flg-pre-auth-data"></span><h1>TKT_FLG_PRE_AUTH<a class="headerlink" href="#tkt-flg-pre-auth" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_PRE_AUTH">
-<code class="descname">TKT_FLG_PRE_AUTH</code><a class="headerlink" href="#TKT_FLG_PRE_AUTH" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_PRE_AUTH">
+<span class="sig-name descname"><span class="pre">TKT_FLG_PRE_AUTH</span></span><a class="headerlink" href="#TKT_FLG_PRE_AUTH" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="51%" />
-<col width="49%" />
+<col style="width: 51%" />
+<col style="width: 49%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_PRE_AUTH</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00200000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_PRE_AUTH</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00200000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_PRE_AUTH</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_PROXIABLE.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_PROXIABLE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_PROXIABLE.html	2023-08-14 16:23:43.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_PROXIABLE.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_PROXIABLE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_PROXY" href="TKT_FLG_PROXY.html" />
     <link rel="prev" title="TKT_FLG_PRE_AUTH" href="TKT_FLG_PRE_AUTH.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-proxiable">
+  <section id="tkt-flg-proxiable">
 <span id="tkt-flg-proxiable-data"></span><h1>TKT_FLG_PROXIABLE<a class="headerlink" href="#tkt-flg-proxiable" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_PROXIABLE">
-<code class="descname">TKT_FLG_PROXIABLE</code><a class="headerlink" href="#TKT_FLG_PROXIABLE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_PROXIABLE">
+<span class="sig-name descname"><span class="pre">TKT_FLG_PROXIABLE</span></span><a class="headerlink" href="#TKT_FLG_PROXIABLE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_PROXIABLE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x10000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_PROXIABLE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x10000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_PROXIABLE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_PROXY.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_PROXY.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_PROXY.html	2023-08-14 16:23:44.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_PROXY.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_PROXY &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_RENEWABLE" href="TKT_FLG_RENEWABLE.html" />
     <link rel="prev" title="TKT_FLG_PROXIABLE" href="TKT_FLG_PROXIABLE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-proxy">
+  <section id="tkt-flg-proxy">
 <span id="tkt-flg-proxy-data"></span><h1>TKT_FLG_PROXY<a class="headerlink" href="#tkt-flg-proxy" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_PROXY">
-<code class="descname">TKT_FLG_PROXY</code><a class="headerlink" href="#TKT_FLG_PROXY" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_PROXY">
+<span class="sig-name descname"><span class="pre">TKT_FLG_PROXY</span></span><a class="headerlink" href="#TKT_FLG_PROXY" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="48%" />
-<col width="52%" />
+<col style="width: 48%" />
+<col style="width: 52%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_PROXY</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x08000000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_PROXY</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x08000000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_PROXY</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_RENEWABLE.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_RENEWABLE.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_RENEWABLE.html	2023-08-14 16:23:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_RENEWABLE.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_RENEWABLE &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="TKT_FLG_TRANSIT_POLICY_CHECKED" href="TKT_FLG_TRANSIT_POLICY_CHECKED.html" />
     <link rel="prev" title="TKT_FLG_PROXY" href="TKT_FLG_PROXY.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-renewable">
+  <section id="tkt-flg-renewable">
 <span id="tkt-flg-renewable-data"></span><h1>TKT_FLG_RENEWABLE<a class="headerlink" href="#tkt-flg-renewable" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_RENEWABLE">
-<code class="descname">TKT_FLG_RENEWABLE</code><a class="headerlink" href="#TKT_FLG_RENEWABLE" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_RENEWABLE">
+<span class="sig-name descname"><span class="pre">TKT_FLG_RENEWABLE</span></span><a class="headerlink" href="#TKT_FLG_RENEWABLE" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_RENEWABLE</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00800000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_RENEWABLE</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00800000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_RENEWABLE</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED.html 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED.html
--- 1.21.2-1/doc/html/appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED.html	2023-08-14 16:23:45.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>TKT_FLG_TRANSIT_POLICY_CHECKED &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="VALID_INT_BITS" href="VALID_INT_BITS.html" />
     <link rel="prev" title="TKT_FLG_RENEWABLE" href="TKT_FLG_RENEWABLE.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="tkt-flg-transit-policy-checked">
+  <section id="tkt-flg-transit-policy-checked">
 <span id="tkt-flg-transit-policy-checked-data"></span><h1>TKT_FLG_TRANSIT_POLICY_CHECKED<a class="headerlink" href="#tkt-flg-transit-policy-checked" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="TKT_FLG_TRANSIT_POLICY_CHECKED">
-<code class="descname">TKT_FLG_TRANSIT_POLICY_CHECKED</code><a class="headerlink" href="#TKT_FLG_TRANSIT_POLICY_CHECKED" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="TKT_FLG_TRANSIT_POLICY_CHECKED">
+<span class="sig-name descname"><span class="pre">TKT_FLG_TRANSIT_POLICY_CHECKED</span></span><a class="headerlink" href="#TKT_FLG_TRANSIT_POLICY_CHECKED" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">TKT_FLG_TRANSIT_POLICY_CHECKED</span></code></td>
-<td><code class="docutils literal"><span class="pre">0x00080000</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TKT_FLG_TRANSIT_POLICY_CHECKED</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">0x00080000</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">TKT_FLG_TRANSIT_POLICY_CHECKED</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/VALID_INT_BITS.html 1.21.3-1/doc/html/appdev/refs/macros/VALID_INT_BITS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/VALID_INT_BITS.html	2023-08-14 16:23:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/VALID_INT_BITS.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>VALID_INT_BITS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="VALID_UINT_BITS" href="VALID_UINT_BITS.html" />
     <link rel="prev" title="TKT_FLG_TRANSIT_POLICY_CHECKED" href="TKT_FLG_TRANSIT_POLICY_CHECKED.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="valid-int-bits">
+  <section id="valid-int-bits">
 <span id="valid-int-bits-data"></span><h1>VALID_INT_BITS<a class="headerlink" href="#valid-int-bits" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="VALID_INT_BITS">
-<code class="descname">VALID_INT_BITS</code><a class="headerlink" href="#VALID_INT_BITS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="VALID_INT_BITS">
+<span class="sig-name descname"><span class="pre">VALID_INT_BITS</span></span><a class="headerlink" href="#VALID_INT_BITS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="49%" />
-<col width="51%" />
+<col style="width: 49%" />
+<col style="width: 51%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">VALID_INT_BITS</span></code></td>
-<td><code class="docutils literal"><span class="pre">INT_MAX</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">VALID_INT_BITS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">INT_MAX</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">VALID_INT_BITS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/VALID_UINT_BITS.html 1.21.3-1/doc/html/appdev/refs/macros/VALID_UINT_BITS.html
--- 1.21.2-1/doc/html/appdev/refs/macros/VALID_UINT_BITS.html	2023-08-14 16:23:46.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/VALID_UINT_BITS.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>VALID_UINT_BITS &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_const" href="krb5_const.html" />
     <link rel="prev" title="VALID_INT_BITS" href="VALID_INT_BITS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="valid-uint-bits">
+  <section id="valid-uint-bits">
 <span id="valid-uint-bits-data"></span><h1>VALID_UINT_BITS<a class="headerlink" href="#valid-uint-bits" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="VALID_UINT_BITS">
-<code class="descname">VALID_UINT_BITS</code><a class="headerlink" href="#VALID_UINT_BITS" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="VALID_UINT_BITS">
+<span class="sig-name descname"><span class="pre">VALID_UINT_BITS</span></span><a class="headerlink" href="#VALID_UINT_BITS" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="50%" />
-<col width="50%" />
+<col style="width: 50%" />
+<col style="width: 50%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">VALID_UINT_BITS</span></code></td>
-<td><code class="docutils literal"><span class="pre">UINT_MAX</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">VALID_UINT_BITS</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">UINT_MAX</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">VALID_UINT_BITS</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/index.html 1.21.3-1/doc/html/appdev/refs/macros/index.html
--- 1.21.2-1/doc/html/appdev/refs/macros/index.html	2023-08-14 16:23:47.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/index.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5 simple macros &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="ADDRTYPE_ADDRPORT" href="ADDRTYPE_ADDRPORT.html" />
     <link rel="prev" title="krb5_tkt_creds_context" href="../types/krb5_tkt_creds_context.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-simple-macros">
+  <section id="krb5-simple-macros">
 <h1>krb5 simple macros<a class="headerlink" href="#krb5-simple-macros" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="public">
+<section id="public">
 <h2>Public<a class="headerlink" href="#public" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -448,8 +439,8 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_xc.html">krb5_xc</a></li>
 </ul>
 </div>
-</div>
-<div class="section" id="deprecated-macros">
+</section>
+<section id="deprecated-macros">
 <h2>Deprecated macros<a class="headerlink" href="#deprecated-macros" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -457,15 +448,17 @@
 <li class="toctree-l1"><a class="reference internal" href="krb524_init_ets.html">krb524_init_ets</a></li>
 </ul>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5 simple macros</a><ul>
@@ -513,6 +506,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -520,8 +514,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb524_convert_creds_kdc.html 1.21.3-1/doc/html/appdev/refs/macros/krb524_convert_creds_kdc.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb524_convert_creds_kdc.html	2023-08-14 16:23:48.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb524_convert_creds_kdc.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb524_convert_creds_kdc &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb524_init_ets" href="krb524_init_ets.html" />
     <link rel="prev" title="krb5_xc" href="krb5_xc.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb524-convert-creds-kdc">
+  <section id="krb524-convert-creds-kdc">
 <span id="krb524-convert-creds-kdc-data"></span><h1>krb524_convert_creds_kdc<a class="headerlink" href="#krb524-convert-creds-kdc" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb524_convert_creds_kdc">
-<code class="descname">krb524_convert_creds_kdc</code><a class="headerlink" href="#krb524_convert_creds_kdc" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb524_convert_creds_kdc">
+<span class="sig-name descname"><span class="pre">krb524_convert_creds_kdc</span></span><a class="headerlink" href="#krb524_convert_creds_kdc" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="52%" />
-<col width="48%" />
+<col style="width: 52%" />
+<col style="width: 48%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb524_convert_creds_kdc</span></code></td>
-<td><code class="docutils literal"><span class="pre">krb5_524_convert_creds</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb524_convert_creds_kdc</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">krb5_524_convert_creds</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb524_convert_creds_kdc</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb524_init_ets.html 1.21.3-1/doc/html/appdev/refs/macros/krb524_init_ets.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb524_init_ets.html	2023-08-14 16:23:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb524_init_ets.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb524_init_ets &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="For plugin module developers" href="../../../plugindev/index.html" />
     <link rel="prev" title="krb524_convert_creds_kdc" href="krb524_convert_creds_kdc.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb524-init-ets">
+  <section id="krb524-init-ets">
 <span id="krb524-init-ets-data"></span><h1>krb524_init_ets<a class="headerlink" href="#krb524-init-ets" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb524_init_ets">
-<code class="descname">krb524_init_ets</code><a class="headerlink" href="#krb524_init_ets" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb524_init_ets">
+<span class="sig-name descname"><span class="pre">krb524_init_ets</span></span><a class="headerlink" href="#krb524_init_ets" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="53%" />
-<col width="47%" />
+<col style="width: 53%" />
+<col style="width: 47%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb524_init_ets</span> <span class="pre">(x)</span></code></td>
-<td><code class="docutils literal"><span class="pre">(0)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb524_init_ets</span> <span class="pre">(x)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(0)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb524_init_ets</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_const.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_const.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_const.html	2023-08-14 16:23:49.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_const.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_const &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_princ_component" href="krb5_princ_component.html" />
     <link rel="prev" title="VALID_UINT_BITS" href="VALID_UINT_BITS.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-const">
+  <section id="krb5-const">
 <span id="krb5-const-data"></span><h1>krb5_const<a class="headerlink" href="#krb5-const" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_const">
-<code class="descname">krb5_const</code><a class="headerlink" href="#krb5_const" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_const">
+<span class="sig-name descname"><span class="pre">krb5_const</span></span><a class="headerlink" href="#krb5_const" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="44%" />
-<col width="56%" />
+<col style="width: 44%" />
+<col style="width: 56%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_const</span></code></td>
-<td><code class="docutils literal"><span class="pre">const</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_const</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">const</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_const</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_component.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_component.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_component.html	2023-08-14 16:23:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_component.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_princ_component &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_princ_name" href="krb5_princ_name.html" />
     <link rel="prev" title="krb5_const" href="krb5_const.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-princ-component">
+  <section id="krb5-princ-component">
 <span id="krb5-princ-component-data"></span><h1>krb5_princ_component<a class="headerlink" href="#krb5-princ-component" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_princ_component">
-<code class="descname">krb5_princ_component</code><a class="headerlink" href="#krb5_princ_component" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_princ_component">
+<span class="sig-name descname"><span class="pre">krb5_princ_component</span></span><a class="headerlink" href="#krb5_princ_component" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="37%" />
-<col width="63%" />
+<col style="width: 36%" />
+<col style="width: 64%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_princ_component</span> <span class="pre">(context,</span> <span class="pre">princ,</span> <span class="pre">i)</span></code></td>
-<td><code class="docutils literal"><span class="pre">(((i)</span> <span class="pre">&lt;</span> <span class="pre">krb5_princ_size(context,</span> <span class="pre">princ))</span> <span class="pre">?</span> <span class="pre">(princ)-&gt;data</span> <span class="pre">+</span> <span class="pre">(i)</span> <span class="pre">:</span> <span class="pre">NULL)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_princ_component</span> <span class="pre">(context,</span> <span class="pre">princ,</span> <span class="pre">i)</span></code></p></td>
+<td><p>``    (((i) &lt; krb5_princ_size(context, princ)) ? (princ)-&gt;data + (i) : NULL)``</p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_princ_component</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_name.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_name.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_name.html	2023-08-14 16:23:50.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_name.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_princ_name &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_princ_realm" href="krb5_princ_realm.html" />
     <link rel="prev" title="krb5_princ_component" href="krb5_princ_component.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-princ-name">
+  <section id="krb5-princ-name">
 <span id="krb5-princ-name-data"></span><h1>krb5_princ_name<a class="headerlink" href="#krb5-princ-name" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_princ_name">
-<code class="descname">krb5_princ_name</code><a class="headerlink" href="#krb5_princ_name" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_princ_name">
+<span class="sig-name descname"><span class="pre">krb5_princ_name</span></span><a class="headerlink" href="#krb5_princ_name" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_princ_name</span> <span class="pre">(context,</span> <span class="pre">princ)</span></code></td>
-<td><code class="docutils literal"><span class="pre">(princ)-&gt;data</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_princ_name</span> <span class="pre">(context,</span> <span class="pre">princ)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(princ)-&gt;data</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_princ_name</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_realm.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_realm.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_realm.html	2023-08-14 16:23:51.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_realm.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_princ_realm &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_princ_set_realm" href="krb5_princ_set_realm.html" />
     <link rel="prev" title="krb5_princ_name" href="krb5_princ_name.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-princ-realm">
+  <section id="krb5-princ-realm">
 <span id="krb5-princ-realm-data"></span><h1>krb5_princ_realm<a class="headerlink" href="#krb5-princ-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_princ_realm">
-<code class="descname">krb5_princ_realm</code><a class="headerlink" href="#krb5_princ_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_princ_realm">
+<span class="sig-name descname"><span class="pre">krb5_princ_realm</span></span><a class="headerlink" href="#krb5_princ_realm" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="61%" />
-<col width="39%" />
+<col style="width: 61%" />
+<col style="width: 39%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_princ_realm</span> <span class="pre">(context,</span> <span class="pre">princ)</span></code></td>
-<td><code class="docutils literal"><span class="pre">(&amp;(princ)-&gt;realm)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_princ_realm</span> <span class="pre">(context,</span> <span class="pre">princ)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(&amp;(princ)-&gt;realm)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_princ_realm</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_set_realm.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_set_realm.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_set_realm.html	2023-08-14 16:23:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_set_realm.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_princ_set_realm &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_princ_set_realm_data" href="krb5_princ_set_realm_data.html" />
     <link rel="prev" title="krb5_princ_realm" href="krb5_princ_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-princ-set-realm">
+  <section id="krb5-princ-set-realm">
 <span id="krb5-princ-set-realm-data"></span><h1>krb5_princ_set_realm<a class="headerlink" href="#krb5-princ-set-realm" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_princ_set_realm">
-<code class="descname">krb5_princ_set_realm</code><a class="headerlink" href="#krb5_princ_set_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_princ_set_realm">
+<span class="sig-name descname"><span class="pre">krb5_princ_set_realm</span></span><a class="headerlink" href="#krb5_princ_set_realm" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_princ_set_realm</span> <span class="pre">(context,</span> <span class="pre">princ,</span> <span class="pre">value)</span></code></td>
-<td><code class="docutils literal"><span class="pre">((princ)-&gt;realm</span> <span class="pre">=</span> <span class="pre">*(value))</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_princ_set_realm</span> <span class="pre">(context,</span> <span class="pre">princ,</span> <span class="pre">value)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((princ)-&gt;realm</span> <span class="pre">=</span> <span class="pre">*(value))</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_princ_set_realm</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_set_realm_data.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_set_realm_data.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_set_realm_data.html	2023-08-14 16:23:52.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_set_realm_data.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_princ_set_realm_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_princ_set_realm_length" href="krb5_princ_set_realm_length.html" />
     <link rel="prev" title="krb5_princ_set_realm" href="krb5_princ_set_realm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-princ-set-realm-data">
+  <section id="krb5-princ-set-realm-data">
 <span id="krb5-princ-set-realm-data-data"></span><h1>krb5_princ_set_realm_data<a class="headerlink" href="#krb5-princ-set-realm-data" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_princ_set_realm_data">
-<code class="descname">krb5_princ_set_realm_data</code><a class="headerlink" href="#krb5_princ_set_realm_data" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_princ_set_realm_data">
+<span class="sig-name descname"><span class="pre">krb5_princ_set_realm_data</span></span><a class="headerlink" href="#krb5_princ_set_realm_data" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="60%" />
-<col width="40%" />
+<col style="width: 60%" />
+<col style="width: 40%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_princ_set_realm_data</span> <span class="pre">(context,</span> <span class="pre">princ,</span> <span class="pre">value)</span></code></td>
-<td><code class="docutils literal"><span class="pre">(princ)-&gt;realm.data</span> <span class="pre">=</span> <span class="pre">(value)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_princ_set_realm_data</span> <span class="pre">(context,</span> <span class="pre">princ,</span> <span class="pre">value)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(princ)-&gt;realm.data</span> <span class="pre">=</span> <span class="pre">(value)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_princ_set_realm_data</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_set_realm_length.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_set_realm_length.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_set_realm_length.html	2023-08-14 16:23:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_set_realm_length.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_princ_set_realm_length &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_princ_size" href="krb5_princ_size.html" />
     <link rel="prev" title="krb5_princ_set_realm_data" href="krb5_princ_set_realm_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-princ-set-realm-length">
+  <section id="krb5-princ-set-realm-length">
 <span id="krb5-princ-set-realm-length-data"></span><h1>krb5_princ_set_realm_length<a class="headerlink" href="#krb5-princ-set-realm-length" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_princ_set_realm_length">
-<code class="descname">krb5_princ_set_realm_length</code><a class="headerlink" href="#krb5_princ_set_realm_length" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_princ_set_realm_length">
+<span class="sig-name descname"><span class="pre">krb5_princ_set_realm_length</span></span><a class="headerlink" href="#krb5_princ_set_realm_length" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="59%" />
-<col width="41%" />
+<col style="width: 59%" />
+<col style="width: 41%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_princ_set_realm_length</span> <span class="pre">(context,</span> <span class="pre">princ,</span> <span class="pre">value)</span></code></td>
-<td><code class="docutils literal"><span class="pre">(princ)-&gt;realm.length</span> <span class="pre">=</span> <span class="pre">(value)</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_princ_set_realm_length</span> <span class="pre">(context,</span> <span class="pre">princ,</span> <span class="pre">value)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(princ)-&gt;realm.length</span> <span class="pre">=</span> <span class="pre">(value)</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_princ_set_realm_length</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_size.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_size.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_size.html	2023-08-14 16:23:53.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_size.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_princ_size &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_princ_type" href="krb5_princ_type.html" />
     <link rel="prev" title="krb5_princ_set_realm_length" href="krb5_princ_set_realm_length.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-princ-size">
+  <section id="krb5-princ-size">
 <span id="krb5-princ-size-data"></span><h1>krb5_princ_size<a class="headerlink" href="#krb5-princ-size" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_princ_size">
-<code class="descname">krb5_princ_size</code><a class="headerlink" href="#krb5_princ_size" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_princ_size">
+<span class="sig-name descname"><span class="pre">krb5_princ_size</span></span><a class="headerlink" href="#krb5_princ_size" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="62%" />
-<col width="38%" />
+<col style="width: 62%" />
+<col style="width: 38%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_princ_size</span> <span class="pre">(context,</span> <span class="pre">princ)</span></code></td>
-<td><code class="docutils literal"><span class="pre">(princ)-&gt;length</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_princ_size</span> <span class="pre">(context,</span> <span class="pre">princ)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(princ)-&gt;length</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_princ_size</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_type.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_type.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_princ_type.html	2023-08-14 16:23:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_princ_type.html	2024-06-26 20:01:26.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_princ_type &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_roundup" href="krb5_roundup.html" />
     <link rel="prev" title="krb5_princ_size" href="krb5_princ_size.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-princ-type">
+  <section id="krb5-princ-type">
 <span id="krb5-princ-type-data"></span><h1>krb5_princ_type<a class="headerlink" href="#krb5-princ-type" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_princ_type">
-<code class="descname">krb5_princ_type</code><a class="headerlink" href="#krb5_princ_type" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_princ_type">
+<span class="sig-name descname"><span class="pre">krb5_princ_type</span></span><a class="headerlink" href="#krb5_princ_type" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="63%" />
-<col width="37%" />
+<col style="width: 63%" />
+<col style="width: 37%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_princ_type</span> <span class="pre">(context,</span> <span class="pre">princ)</span></code></td>
-<td><code class="docutils literal"><span class="pre">(princ)-&gt;type</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_princ_type</span> <span class="pre">(context,</span> <span class="pre">princ)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">(princ)-&gt;type</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_princ_type</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_roundup.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_roundup.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_roundup.html	2023-08-14 16:23:54.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_roundup.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_roundup &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_x" href="krb5_x.html" />
     <link rel="prev" title="krb5_princ_type" href="krb5_princ_type.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-roundup">
+  <section id="krb5-roundup">
 <span id="krb5-roundup-data"></span><h1>krb5_roundup<a class="headerlink" href="#krb5-roundup" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_roundup">
-<code class="descname">krb5_roundup</code><a class="headerlink" href="#krb5_roundup" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_roundup">
+<span class="sig-name descname"><span class="pre">krb5_roundup</span></span><a class="headerlink" href="#krb5_roundup" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="42%" />
-<col width="58%" />
+<col style="width: 42%" />
+<col style="width: 58%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_roundup</span> <span class="pre">(x,</span> <span class="pre">y)</span></code></td>
-<td><code class="docutils literal"><span class="pre">((((x)</span> <span class="pre">+</span> <span class="pre">(y)</span> <span class="pre">-</span> <span class="pre">1)/(y))*(y))</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_roundup</span> <span class="pre">(x,</span> <span class="pre">y)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((((x)</span> <span class="pre">+</span> <span class="pre">(y)</span> <span class="pre">-</span> <span class="pre">1)/(y))*(y))</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_roundup</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_x.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_x.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_x.html	2023-08-14 16:23:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_x.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_x &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_xc" href="krb5_xc.html" />
     <link rel="prev" title="krb5_roundup" href="krb5_roundup.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-x">
+  <section id="krb5-x">
 <span id="krb5-x-data"></span><h1>krb5_x<a class="headerlink" href="#krb5-x" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_x">
-<code class="descname">krb5_x</code><a class="headerlink" href="#krb5_x" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_x">
+<span class="sig-name descname"><span class="pre">krb5_x</span></span><a class="headerlink" href="#krb5_x" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="36%" />
-<col width="64%" />
+<col style="width: 36%" />
+<col style="width: 64%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_x</span> <span class="pre">(ptr,</span> <span class="pre">args)</span></code></td>
-<td><code class="docutils literal"><span class="pre">((ptr)?((*(ptr))</span> <span class="pre">args):(abort(),1))</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_x</span> <span class="pre">(ptr,</span> <span class="pre">args)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((ptr)?((*(ptr))</span> <span class="pre">args):(abort(),1))</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_x</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/macros/krb5_xc.html 1.21.3-1/doc/html/appdev/refs/macros/krb5_xc.html
--- 1.21.2-1/doc/html/appdev/refs/macros/krb5_xc.html	2023-08-14 16:23:55.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/macros/krb5_xc.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_xc &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb524_convert_creds_kdc" href="krb524_convert_creds_kdc.html" />
     <link rel="prev" title="krb5_x" href="krb5_x.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,32 +52,34 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-xc">
+  <section id="krb5-xc">
 <span id="krb5-xc-data"></span><h1>krb5_xc<a class="headerlink" href="#krb5-xc" title="Permalink to this headline">¶</a></h1>
-<dl class="data">
-<dt id="krb5_xc">
-<code class="descname">krb5_xc</code><a class="headerlink" href="#krb5_xc" title="Permalink to this definition">¶</a></dt>
+<dl class="py data">
+<dt class="sig sig-object py" id="krb5_xc">
+<span class="sig-name descname"><span class="pre">krb5_xc</span></span><a class="headerlink" href="#krb5_xc" title="Permalink to this definition">¶</a></dt>
 <dd></dd></dl>
 
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="33%" />
-<col width="67%" />
+<col style="width: 33%" />
+<col style="width: 67%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td><code class="docutils literal"><span class="pre">krb5_xc</span> <span class="pre">(ptr,</span> <span class="pre">args)</span></code></td>
-<td><code class="docutils literal"><span class="pre">((ptr)?((*(ptr))</span> <span class="pre">args):(abort(),(char*)0))</span></code></td>
+<tbody>
+<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">krb5_xc</span> <span class="pre">(ptr,</span> <span class="pre">args)</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">((ptr)?((*(ptr))</span> <span class="pre">args):(abort(),(char*)0))</span></code></p></td>
 </tr>
 </tbody>
 </table>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_xc</a></li>
@@ -130,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -137,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/index.html 1.21.3-1/doc/html/appdev/refs/types/index.html
--- 1.21.2-1/doc/html/appdev/refs/types/index.html	2023-08-14 16:23:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/index.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5 types and structures &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_address" href="krb5_address.html" />
     <link rel="prev" title="krb5_verify_checksum" href="../api/krb5_verify_checksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-types-and-structures">
+  <section id="krb5-types-and-structures">
 <h1>krb5 types and structures<a class="headerlink" href="#krb5-types-and-structures" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="public">
+<section id="public">
 <h2>Public<a class="headerlink" href="#public" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -148,8 +139,8 @@
 <li class="toctree-l1"><a class="reference internal" href="passwd_phrase_element.html">passwd_phrase_element</a></li>
 </ul>
 </div>
-</div>
-<div class="section" id="internal">
+</section>
+<section id="internal">
 <h2>Internal<a class="headerlink" href="#internal" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -167,15 +158,17 @@
 <li class="toctree-l1"><a class="reference internal" href="krb5_tkt_creds_context.html">krb5_tkt_creds_context</a></li>
 </ul>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5 types and structures</a><ul>
@@ -223,6 +216,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -230,8 +224,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_address.html 1.21.3-1/doc/html/appdev/refs/types/krb5_address.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_address.html	2023-08-14 16:23:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_address.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_address &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_addrtype" href="krb5_addrtype.html" />
     <link rel="prev" title="krb5 types and structures" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,51 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-address">
+  <section id="krb5-address">
 <span id="krb5-address-struct"></span><h1>krb5_address<a class="headerlink" href="#krb5-address" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_address">
-<code class="descname">krb5_address</code><a class="headerlink" href="#c.krb5_address" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_address">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_address</span></span></span><a class="headerlink" href="#c.krb5_address" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Structure for address.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_address  krb5_address</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_address krb5_address</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_address.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_address.magic</code><a class="headerlink" href="#c.krb5_address.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_address.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_address.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_address.addrtype">
-<a class="reference internal" href="krb5_addrtype.html#c.krb5_addrtype" title="krb5_addrtype">krb5_addrtype</a>     <code class="descname">krb5_address.addrtype</code><a class="headerlink" href="#c.krb5_address.addrtype" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_address.addrtype">
+<a class="reference internal" href="krb5_addrtype.html#c.krb5_addrtype" title="krb5_addrtype"><span class="n"><span class="pre">krb5_addrtype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">addrtype</span></span></span><a class="headerlink" href="#c.krb5_address.addrtype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_address.length">
-unsigned int      <code class="descname">krb5_address.length</code><a class="headerlink" href="#c.krb5_address.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_address.length">
+<span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_address.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_address.contents">
-<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet">krb5_octet</a> *      <code class="descname">krb5_address.contents</code><a class="headerlink" href="#c.krb5_address.contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_address.contents">
+<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet"><span class="n"><span class="pre">krb5_octet</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">contents</span></span></span><a class="headerlink" href="#c.krb5_address.contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_address</a><ul>
@@ -151,6 +144,7 @@ unsigned int      <code class="descname"
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +152,8 @@ unsigned int      <code class="descname"
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_addrtype.html 1.21.3-1/doc/html/appdev/refs/types/krb5_addrtype.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_addrtype.html	2023-08-14 16:23:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_addrtype.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_addrtype &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_ap_req" href="krb5_ap_req.html" />
     <link rel="prev" title="krb5_address" href="krb5_address.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-addrtype">
+  <section id="krb5-addrtype">
 <span id="krb5-addrtype-struct"></span><h1>krb5_addrtype<a class="headerlink" href="#krb5-addrtype" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_addrtype">
-<code class="descname">krb5_addrtype</code><a class="headerlink" href="#c.krb5_addrtype" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_addrtype">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_addrtype</span></span></span><a class="headerlink" href="#c.krb5_addrtype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_addrtype</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_addrtype</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_ap_rep.html 1.21.3-1/doc/html/appdev/refs/types/krb5_ap_rep.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_ap_rep.html	2023-08-14 16:23:56.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_ap_rep.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_ap_rep &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_ap_rep_enc_part" href="krb5_ap_rep_enc_part.html" />
     <link rel="prev" title="krb5_ap_req" href="krb5_ap_req.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,41 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ap-rep">
+  <section id="krb5-ap-rep">
 <span id="krb5-ap-rep-struct"></span><h1>krb5_ap_rep<a class="headerlink" href="#krb5-ap-rep" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_ap_rep">
-<code class="descname">krb5_ap_rep</code><a class="headerlink" href="#c.krb5_ap_rep" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_ap_rep">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_ap_rep</span></span></span><a class="headerlink" href="#c.krb5_ap_rep" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>C representaton of AP-REP message.</p>
 <p>The server’s response to a client’s request for mutual authentication.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_ap_rep  krb5_ap_rep</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_ap_rep krb5_ap_rep</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_ap_rep.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_ap_rep.magic</code><a class="headerlink" href="#c.krb5_ap_rep.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_rep.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_rep" title="krb5_ap_rep"><span class="n"><span class="pre">krb5_ap_rep</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_ap_rep.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ap_rep.enc_part">
-<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a>     <code class="descname">krb5_ap_rep.enc_part</code><a class="headerlink" href="#c.krb5_ap_rep.enc_part" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_rep.enc_part">
+<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_rep" title="krb5_ap_rep"><span class="n"><span class="pre">krb5_ap_rep</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enc_part</span></span></span><a class="headerlink" href="#c.krb5_ap_rep.enc_part" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Ciphertext of ApRepEncPart.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_ap_rep</a><ul>
@@ -143,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_ap_rep_enc_part.html 1.21.3-1/doc/html/appdev/refs/types/krb5_ap_rep_enc_part.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_ap_rep_enc_part.html	2023-08-14 16:23:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_ap_rep_enc_part.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_ap_rep_enc_part &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_authdata" href="krb5_authdata.html" />
     <link rel="prev" title="krb5_ap_rep" href="krb5_ap_rep.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,58 +52,60 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ap-rep-enc-part">
+  <section id="krb5-ap-rep-enc-part">
 <span id="krb5-ap-rep-enc-part-struct"></span><h1>krb5_ap_rep_enc_part<a class="headerlink" href="#krb5-ap-rep-enc-part" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_ap_rep_enc_part">
-<code class="descname">krb5_ap_rep_enc_part</code><a class="headerlink" href="#c.krb5_ap_rep_enc_part" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_ap_rep_enc_part">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_ap_rep_enc_part</span></span></span><a class="headerlink" href="#c.krb5_ap_rep_enc_part" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<p>Cleartext that is encrypted and put into <code class="xref c c-type docutils literal"><span class="pre">_krb5_ap_rep</span></code> .</p>
-<div class="section" id="declaration">
+<p>Cleartext that is encrypted and put into <code class="xref c c-type docutils literal notranslate"><span class="pre">_krb5_ap_rep</span></code> .</p>
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_ap_rep_enc_part  krb5_ap_rep_enc_part</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_ap_rep_enc_part krb5_ap_rep_enc_part</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_ap_rep_enc_part.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_ap_rep_enc_part.magic</code><a class="headerlink" href="#c.krb5_ap_rep_enc_part.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_rep_enc_part.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part"><span class="n"><span class="pre">krb5_ap_rep_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_ap_rep_enc_part.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ap_rep_enc_part.ctime">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_ap_rep_enc_part.ctime</code><a class="headerlink" href="#c.krb5_ap_rep_enc_part.ctime" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_rep_enc_part.ctime">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part"><span class="n"><span class="pre">krb5_ap_rep_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ctime</span></span></span><a class="headerlink" href="#c.krb5_ap_rep_enc_part.ctime" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Client time, seconds portion.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ap_rep_enc_part.cusec">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_ap_rep_enc_part.cusec</code><a class="headerlink" href="#c.krb5_ap_rep_enc_part.cusec" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_rep_enc_part.cusec">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part"><span class="n"><span class="pre">krb5_ap_rep_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">cusec</span></span></span><a class="headerlink" href="#c.krb5_ap_rep_enc_part.cusec" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Client time, microseconds portion.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ap_rep_enc_part.subkey">
-<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a>  *  <code class="descname">krb5_ap_rep_enc_part.subkey</code><a class="headerlink" href="#c.krb5_ap_rep_enc_part.subkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_rep_enc_part.subkey">
+<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part"><span class="n"><span class="pre">krb5_ap_rep_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">subkey</span></span></span><a class="headerlink" href="#c.krb5_ap_rep_enc_part.subkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Subkey (optional)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ap_rep_enc_part.seq_number">
-<a class="reference internal" href="krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4">krb5_ui_4</a> <code class="descname">krb5_ap_rep_enc_part.seq_number</code><a class="headerlink" href="#c.krb5_ap_rep_enc_part.seq_number" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_rep_enc_part.seq_number">
+<a class="reference internal" href="krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4"><span class="n"><span class="pre">krb5_ui_4</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_rep_enc_part" title="krb5_ap_rep_enc_part"><span class="n"><span class="pre">krb5_ap_rep_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">seq_number</span></span></span><a class="headerlink" href="#c.krb5_ap_rep_enc_part.seq_number" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Sequence number.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_ap_rep_enc_part</a><ul>
@@ -160,6 +153,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -167,8 +161,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_ap_req.html 1.21.3-1/doc/html/appdev/refs/types/krb5_ap_req.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_ap_req.html	2023-08-14 16:23:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_ap_req.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_ap_req &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_ap_rep" href="krb5_ap_rep.html" />
     <link rel="prev" title="krb5_addrtype" href="krb5_addrtype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,54 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ap-req">
+  <section id="krb5-ap-req">
 <span id="krb5-ap-req-struct"></span><h1>krb5_ap_req<a class="headerlink" href="#krb5-ap-req" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_ap_req">
-<code class="descname">krb5_ap_req</code><a class="headerlink" href="#c.krb5_ap_req" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_ap_req">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_ap_req</span></span></span><a class="headerlink" href="#c.krb5_ap_req" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Authentication header.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_ap_req  krb5_ap_req</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_ap_req krb5_ap_req</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_ap_req.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_ap_req.magic</code><a class="headerlink" href="#c.krb5_ap_req.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_req.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_req" title="krb5_ap_req"><span class="n"><span class="pre">krb5_ap_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_ap_req.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ap_req.ap_options">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_ap_req.ap_options</code><a class="headerlink" href="#c.krb5_ap_req.ap_options" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_req.ap_options">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_req" title="krb5_ap_req"><span class="n"><span class="pre">krb5_ap_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ap_options</span></span></span><a class="headerlink" href="#c.krb5_ap_req.ap_options" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Requested options.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ap_req.ticket">
-<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a>  *    <code class="descname">krb5_ap_req.ticket</code><a class="headerlink" href="#c.krb5_ap_req.ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_req.ticket">
+<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_req" title="krb5_ap_req"><span class="n"><span class="pre">krb5_ap_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ticket</span></span></span><a class="headerlink" href="#c.krb5_ap_req.ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Ticket.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ap_req.authenticator">
-<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a>     <code class="descname">krb5_ap_req.authenticator</code><a class="headerlink" href="#c.krb5_ap_req.authenticator" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ap_req.authenticator">
+<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ap_req" title="krb5_ap_req"><span class="n"><span class="pre">krb5_ap_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">authenticator</span></span></span><a class="headerlink" href="#c.krb5_ap_req.authenticator" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Encrypted authenticator.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_ap_req</a><ul>
@@ -154,6 +147,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +155,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_auth_context.html 1.21.3-1/doc/html/appdev/refs/types/krb5_auth_context.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_auth_context.html	2023-08-14 16:23:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_auth_context.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_auth_context &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cksumtype" href="krb5_cksumtype.html" />
     <link rel="prev" title="passwd_phrase_element" href="passwd_phrase_element.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-auth-context">
+  <section id="krb5-auth-context">
 <span id="krb5-auth-context-struct"></span><h1>krb5_auth_context<a class="headerlink" href="#krb5-auth-context" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_auth_context">
-<code class="descname">krb5_auth_context</code><a class="headerlink" href="#c.krb5_auth_context" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_auth_context">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_auth_context</span></span></span><a class="headerlink" href="#c.krb5_auth_context" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct _krb5_auth_context* krb5_auth_context</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_auth_context</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_authdata.html 1.21.3-1/doc/html/appdev/refs/types/krb5_authdata.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_authdata.html	2023-08-14 16:23:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_authdata.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_authdata &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_authdatatype" href="krb5_authdatatype.html" />
     <link rel="prev" title="krb5_ap_rep_enc_part" href="krb5_ap_rep_enc_part.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,54 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdata">
+  <section id="krb5-authdata">
 <span id="krb5-authdata-struct"></span><h1>krb5_authdata<a class="headerlink" href="#krb5-authdata" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_authdata">
-<code class="descname">krb5_authdata</code><a class="headerlink" href="#c.krb5_authdata" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_authdata">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_authdata</span></span></span><a class="headerlink" href="#c.krb5_authdata" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Structure for auth data.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_authdata  krb5_authdata</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_authdata krb5_authdata</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_authdata.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_authdata.magic</code><a class="headerlink" href="#c.krb5_authdata.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authdata.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_authdata.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authdata.ad_type">
-<a class="reference internal" href="krb5_authdatatype.html#c.krb5_authdatatype" title="krb5_authdatatype">krb5_authdatatype</a> <code class="descname">krb5_authdata.ad_type</code><a class="headerlink" href="#c.krb5_authdata.ad_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authdata.ad_type">
+<a class="reference internal" href="krb5_authdatatype.html#c.krb5_authdatatype" title="krb5_authdatatype"><span class="n"><span class="pre">krb5_authdatatype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ad_type</span></span></span><a class="headerlink" href="#c.krb5_authdata.ad_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>ADTYPE.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authdata.length">
-unsigned int      <code class="descname">krb5_authdata.length</code><a class="headerlink" href="#c.krb5_authdata.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authdata.length">
+<span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_authdata.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Length of data.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authdata.contents">
-<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet">krb5_octet</a> *      <code class="descname">krb5_authdata.contents</code><a class="headerlink" href="#c.krb5_authdata.contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authdata.contents">
+<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet"><span class="n"><span class="pre">krb5_octet</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">contents</span></span></span><a class="headerlink" href="#c.krb5_authdata.contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Data.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_authdata</a><ul>
@@ -154,6 +147,7 @@ unsigned int      <code class="descname"
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +155,8 @@ unsigned int      <code class="descname"
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_authdatatype.html 1.21.3-1/doc/html/appdev/refs/types/krb5_authdatatype.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_authdatatype.html	2023-08-14 16:23:57.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_authdatatype.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_authdatatype &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_authenticator" href="krb5_authenticator.html" />
     <link rel="prev" title="krb5_authdata" href="krb5_authdata.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authdatatype">
+  <section id="krb5-authdatatype">
 <span id="krb5-authdatatype-struct"></span><h1>krb5_authdatatype<a class="headerlink" href="#krb5-authdatatype" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_authdatatype">
-<code class="descname">krb5_authdatatype</code><a class="headerlink" href="#c.krb5_authdatatype" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_authdatatype">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_authdatatype</span></span></span><a class="headerlink" href="#c.krb5_authdatatype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_authdatatype</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_authdatatype</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_authenticator.html 1.21.3-1/doc/html/appdev/refs/types/krb5_authenticator.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_authenticator.html	2023-08-14 16:23:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_authenticator.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_authenticator &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_boolean" href="krb5_boolean.html" />
     <link rel="prev" title="krb5_authdatatype" href="krb5_authdatatype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,77 +52,79 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-authenticator">
+  <section id="krb5-authenticator">
 <span id="krb5-authenticator-struct"></span><h1>krb5_authenticator<a class="headerlink" href="#krb5-authenticator" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_authenticator">
-<code class="descname">krb5_authenticator</code><a class="headerlink" href="#c.krb5_authenticator" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_authenticator">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_authenticator</span></span></span><a class="headerlink" href="#c.krb5_authenticator" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Ticket authenticator.</p>
 <p>The C representation of an unencrypted authenticator.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_authenticator  krb5_authenticator</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_authenticator krb5_authenticator</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_authenticator.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_authenticator.magic</code><a class="headerlink" href="#c.krb5_authenticator.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authenticator.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_authenticator.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authenticator.client">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_authenticator.client</code><a class="headerlink" href="#c.krb5_authenticator.client" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authenticator.client">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">client</span></span></span><a class="headerlink" href="#c.krb5_authenticator.client" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>client name/realm</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authenticator.checksum">
-<a class="reference internal" href="krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a>  *  <code class="descname">krb5_authenticator.checksum</code><a class="headerlink" href="#c.krb5_authenticator.checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authenticator.checksum">
+<a class="reference internal" href="krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">checksum</span></span></span><a class="headerlink" href="#c.krb5_authenticator.checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>checksum, includes type, optional</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authenticator.cusec">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_authenticator.cusec</code><a class="headerlink" href="#c.krb5_authenticator.cusec" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authenticator.cusec">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">cusec</span></span></span><a class="headerlink" href="#c.krb5_authenticator.cusec" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>client usec portion</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authenticator.ctime">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_authenticator.ctime</code><a class="headerlink" href="#c.krb5_authenticator.ctime" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authenticator.ctime">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ctime</span></span></span><a class="headerlink" href="#c.krb5_authenticator.ctime" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>client sec portion</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authenticator.subkey">
-<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a>  *  <code class="descname">krb5_authenticator.subkey</code><a class="headerlink" href="#c.krb5_authenticator.subkey" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authenticator.subkey">
+<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">subkey</span></span></span><a class="headerlink" href="#c.krb5_authenticator.subkey" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>true session key, optional</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authenticator.seq_number">
-<a class="reference internal" href="krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4">krb5_ui_4</a> <code class="descname">krb5_authenticator.seq_number</code><a class="headerlink" href="#c.krb5_authenticator.seq_number" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authenticator.seq_number">
+<a class="reference internal" href="krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4"><span class="n"><span class="pre">krb5_ui_4</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">seq_number</span></span></span><a class="headerlink" href="#c.krb5_authenticator.seq_number" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>sequence #, optional</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_authenticator.authorization_data">
-<a class="reference internal" href="krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a>  ** <code class="descname">krb5_authenticator.authorization_data</code><a class="headerlink" href="#c.krb5_authenticator.authorization_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_authenticator.authorization_data">
+<a class="reference internal" href="krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">authorization_data</span></span></span><a class="headerlink" href="#c.krb5_authenticator.authorization_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>authoriazation data</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_authenticator</a><ul>
@@ -179,6 +172,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -186,8 +180,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_boolean.html 1.21.3-1/doc/html/appdev/refs/types/krb5_boolean.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_boolean.html	2023-08-14 16:23:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_boolean.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_boolean &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_checksum" href="krb5_checksum.html" />
     <link rel="prev" title="krb5_authenticator" href="krb5_authenticator.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-boolean">
+  <section id="krb5-boolean">
 <span id="krb5-boolean-struct"></span><h1>krb5_boolean<a class="headerlink" href="#krb5-boolean" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_boolean">
-<code class="descname">krb5_boolean</code><a class="headerlink" href="#c.krb5_boolean" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_boolean">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_boolean</span></span></span><a class="headerlink" href="#c.krb5_boolean" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef unsigned int krb5_boolean</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_boolean</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_cc_cursor.html 1.21.3-1/doc/html/appdev/refs/types/krb5_cc_cursor.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_cc_cursor.html	2023-08-14 16:23:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_cc_cursor.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cc_cursor &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_ccache" href="krb5_ccache.html" />
     <link rel="prev" title="krb5_context" href="krb5_context.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,26 +52,28 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cc-cursor">
+  <section id="krb5-cc-cursor">
 <span id="krb5-cc-cursor-struct"></span><h1>krb5_cc_cursor<a class="headerlink" href="#krb5-cc-cursor" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_cc_cursor">
-<code class="descname">krb5_cc_cursor</code><a class="headerlink" href="#c.krb5_cc_cursor" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_cc_cursor">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cc_cursor</span></span></span><a class="headerlink" href="#c.krb5_cc_cursor" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Cursor for sequential lookup.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_pointer krb5_cc_cursor</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cc_cursor</a><ul>
@@ -127,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -134,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_ccache.html 1.21.3-1/doc/html/appdev/refs/types/krb5_ccache.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_ccache.html	2023-08-14 16:23:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_ccache.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_ccache &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cccol_cursor" href="krb5_cccol_cursor.html" />
     <link rel="prev" title="krb5_cc_cursor" href="krb5_cc_cursor.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ccache">
+  <section id="krb5-ccache">
 <span id="krb5-ccache-struct"></span><h1>krb5_ccache<a class="headerlink" href="#krb5-ccache" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_ccache">
-<code class="descname">krb5_ccache</code><a class="headerlink" href="#c.krb5_ccache" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_ccache">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_ccache</span></span></span><a class="headerlink" href="#c.krb5_ccache" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct _krb5_ccache* krb5_ccache</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_ccache</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_cccol_cursor.html 1.21.3-1/doc/html/appdev/refs/types/krb5_cccol_cursor.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_cccol_cursor.html	2023-08-14 16:23:58.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_cccol_cursor.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cccol_cursor &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_init_creds_context" href="krb5_init_creds_context.html" />
     <link rel="prev" title="krb5_ccache" href="krb5_ccache.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,26 +52,28 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cccol-cursor">
+  <section id="krb5-cccol-cursor">
 <span id="krb5-cccol-cursor-struct"></span><h1>krb5_cccol_cursor<a class="headerlink" href="#krb5-cccol-cursor" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_cccol_cursor">
-<code class="descname">krb5_cccol_cursor</code><a class="headerlink" href="#c.krb5_cccol_cursor" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_cccol_cursor">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cccol_cursor</span></span></span><a class="headerlink" href="#c.krb5_cccol_cursor" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Cursor for iterating over all ccaches.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct _krb5_cccol_cursor* krb5_cccol_cursor</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cccol_cursor</a><ul>
@@ -127,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -134,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_checksum.html 1.21.3-1/doc/html/appdev/refs/types/krb5_checksum.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_checksum.html	2023-08-14 16:23:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_checksum.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_checksum &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_const_pointer" href="krb5_const_pointer.html" />
     <link rel="prev" title="krb5_boolean" href="krb5_boolean.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,50 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-checksum">
+  <section id="krb5-checksum">
 <span id="krb5-checksum-struct"></span><h1>krb5_checksum<a class="headerlink" href="#krb5-checksum" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_checksum">
-<code class="descname">krb5_checksum</code><a class="headerlink" href="#c.krb5_checksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_checksum">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_checksum</span></span></span><a class="headerlink" href="#c.krb5_checksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_checksum  krb5_checksum</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_checksum krb5_checksum</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_checksum.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_checksum.magic</code><a class="headerlink" href="#c.krb5_checksum.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_checksum.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_checksum.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_checksum.checksum_type">
-<a class="reference internal" href="krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype">krb5_cksumtype</a>    <code class="descname">krb5_checksum.checksum_type</code><a class="headerlink" href="#c.krb5_checksum.checksum_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_checksum.checksum_type">
+<a class="reference internal" href="krb5_cksumtype.html#c.krb5_cksumtype" title="krb5_cksumtype"><span class="n"><span class="pre">krb5_cksumtype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">checksum_type</span></span></span><a class="headerlink" href="#c.krb5_checksum.checksum_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_checksum.length">
-unsigned int      <code class="descname">krb5_checksum.length</code><a class="headerlink" href="#c.krb5_checksum.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_checksum.length">
+<span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_checksum.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_checksum.contents">
-<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet">krb5_octet</a> *      <code class="descname">krb5_checksum.contents</code><a class="headerlink" href="#c.krb5_checksum.contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_checksum.contents">
+<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet"><span class="n"><span class="pre">krb5_octet</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">contents</span></span></span><a class="headerlink" href="#c.krb5_checksum.contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_checksum</a><ul>
@@ -150,6 +143,7 @@ unsigned int      <code class="descname"
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +151,8 @@ unsigned int      <code class="descname"
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_cksumtype.html 1.21.3-1/doc/html/appdev/refs/types/krb5_cksumtype.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_cksumtype.html	2023-08-14 16:23:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_cksumtype.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cksumtype &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_context" href="krb5_context.html" />
     <link rel="prev" title="krb5_auth_context" href="krb5_auth_context.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cksumtype">
+  <section id="krb5-cksumtype">
 <span id="krb5-cksumtype-struct"></span><h1>krb5_cksumtype<a class="headerlink" href="#krb5-cksumtype" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_cksumtype">
-<code class="descname">krb5_cksumtype</code><a class="headerlink" href="#c.krb5_cksumtype" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_cksumtype">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cksumtype</span></span></span><a class="headerlink" href="#c.krb5_cksumtype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_cksumtype</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cksumtype</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_const_pointer.html 1.21.3-1/doc/html/appdev/refs/types/krb5_const_pointer.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_const_pointer.html	2023-08-14 16:23:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_const_pointer.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_const_pointer &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_const_principal" href="krb5_const_principal.html" />
     <link rel="prev" title="krb5_checksum" href="krb5_checksum.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-const-pointer">
+  <section id="krb5-const-pointer">
 <span id="krb5-const-pointer-struct"></span><h1>krb5_const_pointer<a class="headerlink" href="#krb5-const-pointer" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_const_pointer">
-<code class="descname">krb5_const_pointer</code><a class="headerlink" href="#c.krb5_const_pointer" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_const_pointer">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_const_pointer</span></span></span><a class="headerlink" href="#c.krb5_const_pointer" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef void const* krb5_const_pointer</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_const_pointer</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_const_principal.html 1.21.3-1/doc/html/appdev/refs/types/krb5_const_principal.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_const_principal.html	2023-08-14 16:23:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_const_principal.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_const_principal &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cred" href="krb5_cred.html" />
     <link rel="prev" title="krb5_const_pointer" href="krb5_const_pointer.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,55 +52,57 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-const-principal">
+  <section id="krb5-const-principal">
 <span id="krb5-const-principal-struct"></span><h1>krb5_const_principal<a class="headerlink" href="#krb5-const-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_const_principal">
-<code class="descname">krb5_const_principal</code><a class="headerlink" href="#c.krb5_const_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_const_principal">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_const_principal</span></span></span><a class="headerlink" href="#c.krb5_const_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<p>Constant version of <a class="reference internal" href="krb5_principal_data.html#c.krb5_principal_data" title="krb5_principal_data"><code class="xref c c-type docutils literal"><span class="pre">krb5_principal_data</span></code></a> .</p>
-<div class="section" id="declaration">
+<p>Constant version of <a class="reference internal" href="krb5_principal_data.html#c.krb5_principal_data" title="krb5_principal_data"><code class="xref c c-type docutils literal notranslate"><span class="pre">krb5_principal_data</span></code></a> .</p>
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef const krb5_principal_data* krb5_const_principal</p>
-</div>
-<div class="section" id="members">
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_const_principal.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_const_principal.magic</code><a class="headerlink" href="#c.krb5_const_principal.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_const_principal.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_const_principal.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_const_principal.realm">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_const_principal.realm</code><a class="headerlink" href="#c.krb5_const_principal.realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_const_principal.realm">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">realm</span></span></span><a class="headerlink" href="#c.krb5_const_principal.realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_const_principal.data">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a>  *      <code class="descname">krb5_const_principal.data</code><a class="headerlink" href="#c.krb5_const_principal.data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_const_principal.data">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">data</span></span></span><a class="headerlink" href="#c.krb5_const_principal.data" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>An array of strings.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_const_principal.length">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_const_principal.length</code><a class="headerlink" href="#c.krb5_const_principal.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_const_principal.length">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_const_principal.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_const_principal.type">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_const_principal.type</code><a class="headerlink" href="#c.krb5_const_principal.type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_const_principal.type">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_const_principal" title="krb5_const_principal"><span class="n"><span class="pre">krb5_const_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">type</span></span></span><a class="headerlink" href="#c.krb5_const_principal.type" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_const_principal</a><ul>
@@ -157,6 +150,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -164,8 +158,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_context.html 1.21.3-1/doc/html/appdev/refs/types/krb5_context.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_context.html	2023-08-14 16:23:59.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_context.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_context &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cc_cursor" href="krb5_cc_cursor.html" />
     <link rel="prev" title="krb5_cksumtype" href="krb5_cksumtype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-context">
+  <section id="krb5-context">
 <span id="krb5-context-struct"></span><h1>krb5_context<a class="headerlink" href="#krb5-context" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_context">
-<code class="descname">krb5_context</code><a class="headerlink" href="#c.krb5_context" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_context">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_context</span></span></span><a class="headerlink" href="#c.krb5_context" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct _krb5_context* krb5_context</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_context</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_cred.html 1.21.3-1/doc/html/appdev/refs/types/krb5_cred.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_cred.html	2023-08-14 16:24:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_cred.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cred &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cred_enc_part" href="krb5_cred_enc_part.html" />
     <link rel="prev" title="krb5_const_principal" href="krb5_const_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,54 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cred">
+  <section id="krb5-cred">
 <span id="krb5-cred-struct"></span><h1>krb5_cred<a class="headerlink" href="#krb5-cred" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_cred">
-<code class="descname">krb5_cred</code><a class="headerlink" href="#c.krb5_cred" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_cred">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cred</span></span></span><a class="headerlink" href="#c.krb5_cred" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Credentials data structure.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_cred  krb5_cred</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_cred krb5_cred</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_cred.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_cred.magic</code><a class="headerlink" href="#c.krb5_cred.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred" title="krb5_cred"><span class="n"><span class="pre">krb5_cred</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_cred.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred.tickets">
-<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a>  **   <code class="descname">krb5_cred.tickets</code><a class="headerlink" href="#c.krb5_cred.tickets" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred.tickets">
+<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred" title="krb5_cred"><span class="n"><span class="pre">krb5_cred</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">tickets</span></span></span><a class="headerlink" href="#c.krb5_cred.tickets" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Tickets.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred.enc_part">
-<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a>     <code class="descname">krb5_cred.enc_part</code><a class="headerlink" href="#c.krb5_cred.enc_part" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred.enc_part">
+<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred" title="krb5_cred"><span class="n"><span class="pre">krb5_cred</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enc_part</span></span></span><a class="headerlink" href="#c.krb5_cred.enc_part" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Encrypted part.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred.enc_part2">
-<a class="reference internal" href="krb5_cred_enc_part.html#c.krb5_cred_enc_part" title="krb5_cred_enc_part">krb5_cred_enc_part</a>  *     <code class="descname">krb5_cred.enc_part2</code><a class="headerlink" href="#c.krb5_cred.enc_part2" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred.enc_part2">
+<a class="reference internal" href="krb5_cred_enc_part.html#c.krb5_cred_enc_part" title="krb5_cred_enc_part"><span class="n"><span class="pre">krb5_cred_enc_part</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred" title="krb5_cred"><span class="n"><span class="pre">krb5_cred</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enc_part2</span></span></span><a class="headerlink" href="#c.krb5_cred.enc_part2" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Unencrypted version, if available.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cred</a><ul>
@@ -154,6 +147,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +155,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_cred_enc_part.html 1.21.3-1/doc/html/appdev/refs/types/krb5_cred_enc_part.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_cred_enc_part.html	2023-08-14 16:24:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_cred_enc_part.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cred_enc_part &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cred_info" href="krb5_cred_info.html" />
     <link rel="prev" title="krb5_cred" href="krb5_cred.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,69 +52,71 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cred-enc-part">
+  <section id="krb5-cred-enc-part">
 <span id="krb5-cred-enc-part-struct"></span><h1>krb5_cred_enc_part<a class="headerlink" href="#krb5-cred-enc-part" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_cred_enc_part">
-<code class="descname">krb5_cred_enc_part</code><a class="headerlink" href="#c.krb5_cred_enc_part" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_cred_enc_part">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cred_enc_part</span></span></span><a class="headerlink" href="#c.krb5_cred_enc_part" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Cleartext credentials information.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_cred_enc_part  krb5_cred_enc_part</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_cred_enc_part krb5_cred_enc_part</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_cred_enc_part.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_cred_enc_part.magic</code><a class="headerlink" href="#c.krb5_cred_enc_part.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_enc_part.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_enc_part" title="krb5_cred_enc_part"><span class="n"><span class="pre">krb5_cred_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_cred_enc_part.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_enc_part.nonce">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_cred_enc_part.nonce</code><a class="headerlink" href="#c.krb5_cred_enc_part.nonce" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_enc_part.nonce">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_enc_part" title="krb5_cred_enc_part"><span class="n"><span class="pre">krb5_cred_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">nonce</span></span></span><a class="headerlink" href="#c.krb5_cred_enc_part.nonce" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Nonce (optional)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_enc_part.timestamp">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_cred_enc_part.timestamp</code><a class="headerlink" href="#c.krb5_cred_enc_part.timestamp" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_enc_part.timestamp">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_enc_part" title="krb5_cred_enc_part"><span class="n"><span class="pre">krb5_cred_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">timestamp</span></span></span><a class="headerlink" href="#c.krb5_cred_enc_part.timestamp" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Generation time, seconds portion.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_enc_part.usec">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_cred_enc_part.usec</code><a class="headerlink" href="#c.krb5_cred_enc_part.usec" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_enc_part.usec">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_enc_part" title="krb5_cred_enc_part"><span class="n"><span class="pre">krb5_cred_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">usec</span></span></span><a class="headerlink" href="#c.krb5_cred_enc_part.usec" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Generation time, microseconds portion.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_enc_part.s_address">
-<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a>  *   <code class="descname">krb5_cred_enc_part.s_address</code><a class="headerlink" href="#c.krb5_cred_enc_part.s_address" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_enc_part.s_address">
+<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_enc_part" title="krb5_cred_enc_part"><span class="n"><span class="pre">krb5_cred_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">s_address</span></span></span><a class="headerlink" href="#c.krb5_cred_enc_part.s_address" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Sender address (optional)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_enc_part.r_address">
-<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a>  *   <code class="descname">krb5_cred_enc_part.r_address</code><a class="headerlink" href="#c.krb5_cred_enc_part.r_address" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_enc_part.r_address">
+<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_enc_part" title="krb5_cred_enc_part"><span class="n"><span class="pre">krb5_cred_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">r_address</span></span></span><a class="headerlink" href="#c.krb5_cred_enc_part.r_address" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Recipient address (optional)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_enc_part.ticket_info">
-<a class="reference internal" href="krb5_cred_info.html#c.krb5_cred_info" title="krb5_cred_info">krb5_cred_info</a>  **        <code class="descname">krb5_cred_enc_part.ticket_info</code><a class="headerlink" href="#c.krb5_cred_enc_part.ticket_info" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_enc_part.ticket_info">
+<a class="reference internal" href="krb5_cred_info.html#c.krb5_cred_info" title="krb5_cred_info"><span class="n"><span class="pre">krb5_cred_info</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_enc_part" title="krb5_cred_enc_part"><span class="n"><span class="pre">krb5_cred_enc_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ticket_info</span></span></span><a class="headerlink" href="#c.krb5_cred_enc_part.ticket_info" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cred_enc_part</a><ul>
@@ -171,6 +164,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -178,8 +172,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_cred_info.html 1.21.3-1/doc/html/appdev/refs/types/krb5_cred_info.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_cred_info.html	2023-08-14 16:24:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_cred_info.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cred_info &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_creds" href="krb5_creds.html" />
     <link rel="prev" title="krb5_cred_enc_part" href="krb5_cred_enc_part.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,70 +52,72 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cred-info">
+  <section id="krb5-cred-info">
 <span id="krb5-cred-info-struct"></span><h1>krb5_cred_info<a class="headerlink" href="#krb5-cred-info" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_cred_info">
-<code class="descname">krb5_cred_info</code><a class="headerlink" href="#c.krb5_cred_info" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_cred_info">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cred_info</span></span></span><a class="headerlink" href="#c.krb5_cred_info" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Credentials information inserted into <em>EncKrbCredPart</em> .</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_cred_info  krb5_cred_info</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_cred_info krb5_cred_info</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_cred_info.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_cred_info.magic</code><a class="headerlink" href="#c.krb5_cred_info.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_info.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_info" title="krb5_cred_info"><span class="n"><span class="pre">krb5_cred_info</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_cred_info.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_info.session">
-<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a>  *  <code class="descname">krb5_cred_info.session</code><a class="headerlink" href="#c.krb5_cred_info.session" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_info.session">
+<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_info" title="krb5_cred_info"><span class="n"><span class="pre">krb5_cred_info</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">session</span></span></span><a class="headerlink" href="#c.krb5_cred_info.session" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Session key used to encrypt ticket.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_info.client">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_cred_info.client</code><a class="headerlink" href="#c.krb5_cred_info.client" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_info.client">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_info" title="krb5_cred_info"><span class="n"><span class="pre">krb5_cred_info</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">client</span></span></span><a class="headerlink" href="#c.krb5_cred_info.client" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Client principal and realm.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_info.server">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_cred_info.server</code><a class="headerlink" href="#c.krb5_cred_info.server" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_info.server">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_info" title="krb5_cred_info"><span class="n"><span class="pre">krb5_cred_info</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">server</span></span></span><a class="headerlink" href="#c.krb5_cred_info.server" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Server principal and realm.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_info.flags">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_cred_info.flags</code><a class="headerlink" href="#c.krb5_cred_info.flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_info.flags">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_info" title="krb5_cred_info"><span class="n"><span class="pre">krb5_cred_info</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">flags</span></span></span><a class="headerlink" href="#c.krb5_cred_info.flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Ticket flags.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_info.times">
-<a class="reference internal" href="krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times">krb5_ticket_times</a> <code class="descname">krb5_cred_info.times</code><a class="headerlink" href="#c.krb5_cred_info.times" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_info.times">
+<a class="reference internal" href="krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_info" title="krb5_cred_info"><span class="n"><span class="pre">krb5_cred_info</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">times</span></span></span><a class="headerlink" href="#c.krb5_cred_info.times" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Auth, start, end, renew_till.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_cred_info.caddrs">
-<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a>  **  <code class="descname">krb5_cred_info.caddrs</code><a class="headerlink" href="#c.krb5_cred_info.caddrs" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_cred_info.caddrs">
+<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_cred_info" title="krb5_cred_info"><span class="n"><span class="pre">krb5_cred_info</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">caddrs</span></span></span><a class="headerlink" href="#c.krb5_cred_info.caddrs" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Array of pointers to addrs (optional)</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cred_info</a><ul>
@@ -172,6 +165,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -179,8 +173,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_creds.html 1.21.3-1/doc/html/appdev/refs/types/krb5_creds.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_creds.html	2023-08-14 16:24:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_creds.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_creds &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_crypto_iov" href="krb5_crypto_iov.html" />
     <link rel="prev" title="krb5_cred_info" href="krb5_cred_info.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,94 +52,96 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-creds">
+  <section id="krb5-creds">
 <span id="krb5-creds-struct"></span><h1>krb5_creds<a class="headerlink" href="#krb5-creds" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_creds">
-<code class="descname">krb5_creds</code><a class="headerlink" href="#c.krb5_creds" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_creds">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_creds</span></span></span><a class="headerlink" href="#c.krb5_creds" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Credentials structure including ticket, session key, and lifetime info.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_creds  krb5_creds</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_creds krb5_creds</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_creds.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_creds.magic</code><a class="headerlink" href="#c.krb5_creds.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_creds.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.client">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_creds.client</code><a class="headerlink" href="#c.krb5_creds.client" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.client">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">client</span></span></span><a class="headerlink" href="#c.krb5_creds.client" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>client’s principal identifier</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.server">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_creds.server</code><a class="headerlink" href="#c.krb5_creds.server" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.server">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">server</span></span></span><a class="headerlink" href="#c.krb5_creds.server" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>server’s principal identifier</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.keyblock">
-<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a>     <code class="descname">krb5_creds.keyblock</code><a class="headerlink" href="#c.krb5_creds.keyblock" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.keyblock">
+<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">keyblock</span></span></span><a class="headerlink" href="#c.krb5_creds.keyblock" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>session encryption key info</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.times">
-<a class="reference internal" href="krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times">krb5_ticket_times</a> <code class="descname">krb5_creds.times</code><a class="headerlink" href="#c.krb5_creds.times" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.times">
+<a class="reference internal" href="krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">times</span></span></span><a class="headerlink" href="#c.krb5_creds.times" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>lifetime info</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.is_skey">
-<a class="reference internal" href="krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a>      <code class="descname">krb5_creds.is_skey</code><a class="headerlink" href="#c.krb5_creds.is_skey" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.is_skey">
+<a class="reference internal" href="krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">is_skey</span></span></span><a class="headerlink" href="#c.krb5_creds.is_skey" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>true if ticket is encrypted in another ticket’s skey</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.ticket_flags">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_creds.ticket_flags</code><a class="headerlink" href="#c.krb5_creds.ticket_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.ticket_flags">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ticket_flags</span></span></span><a class="headerlink" href="#c.krb5_creds.ticket_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>flags in ticket</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.addresses">
-<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a>  **  <code class="descname">krb5_creds.addresses</code><a class="headerlink" href="#c.krb5_creds.addresses" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.addresses">
+<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">addresses</span></span></span><a class="headerlink" href="#c.krb5_creds.addresses" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>addrs in ticket</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.ticket">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_creds.ticket</code><a class="headerlink" href="#c.krb5_creds.ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.ticket">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ticket</span></span></span><a class="headerlink" href="#c.krb5_creds.ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>ticket string itself</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.second_ticket">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_creds.second_ticket</code><a class="headerlink" href="#c.krb5_creds.second_ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.second_ticket">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">second_ticket</span></span></span><a class="headerlink" href="#c.krb5_creds.second_ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>second ticket, if related to ticket (via DUPLICATE-SKEY or ENC-TKT-IN-SKEY)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_creds.authdata">
-<a class="reference internal" href="krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a>  ** <code class="descname">krb5_creds.authdata</code><a class="headerlink" href="#c.krb5_creds.authdata" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_creds.authdata">
+<a class="reference internal" href="krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_creds" title="krb5_creds"><span class="n"><span class="pre">krb5_creds</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">authdata</span></span></span><a class="headerlink" href="#c.krb5_creds.authdata" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>authorization data</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_creds</a><ul>
@@ -196,6 +189,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -203,8 +197,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_crypto_iov.html 1.21.3-1/doc/html/appdev/refs/types/krb5_crypto_iov.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_crypto_iov.html	2023-08-14 16:24:00.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_crypto_iov.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_crypto_iov &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_cryptotype" href="krb5_cryptotype.html" />
     <link rel="prev" title="krb5_creds" href="krb5_creds.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,41 +52,43 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-crypto-iov">
+  <section id="krb5-crypto-iov">
 <span id="krb5-crypto-iov-struct"></span><h1>krb5_crypto_iov<a class="headerlink" href="#krb5-crypto-iov" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_crypto_iov">
-<code class="descname">krb5_crypto_iov</code><a class="headerlink" href="#c.krb5_crypto_iov" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_crypto_iov">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_crypto_iov</span></span></span><a class="headerlink" href="#c.krb5_crypto_iov" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Structure to describe a region of text to be encrypted or decrypted.</p>
 <p>The <em>flags</em> member describes the type of the iov. The <em>data</em> member points to the memory that will be manipulated. All iov APIs take a pointer to the first element of an array of krb5_crypto_iov’s along with the size of that array. Buffer contents are manipulated in-place; data is overwritten. Callers must allocate the right number of krb5_crypto_iov structures before calling into an iov API.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_crypto_iov  krb5_crypto_iov</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_crypto_iov krb5_crypto_iov</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_crypto_iov.flags">
-<a class="reference internal" href="krb5_cryptotype.html#c.krb5_cryptotype" title="krb5_cryptotype">krb5_cryptotype</a>   <code class="descname">krb5_crypto_iov.flags</code><a class="headerlink" href="#c.krb5_crypto_iov.flags" title="Permalink to this definition">¶</a></dt>
-<dd><p><code class="xref c c-data docutils literal"><span class="pre">KRB5_CRYPTO_TYPE</span></code> type of the iov</p>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_crypto_iov.flags">
+<a class="reference internal" href="krb5_cryptotype.html#c.krb5_cryptotype" title="krb5_cryptotype"><span class="n"><span class="pre">krb5_cryptotype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">flags</span></span></span><a class="headerlink" href="#c.krb5_crypto_iov.flags" title="Permalink to this definition">¶</a><br /></dt>
+<dd><p>iov type (see KRB5_CRYPTO_TYPE macros)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_crypto_iov.data">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_crypto_iov.data</code><a class="headerlink" href="#c.krb5_crypto_iov.data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_crypto_iov.data">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_crypto_iov" title="krb5_crypto_iov"><span class="n"><span class="pre">krb5_crypto_iov</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">data</span></span></span><a class="headerlink" href="#c.krb5_crypto_iov.data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_crypto_iov</a><ul>
@@ -143,6 +136,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -150,8 +144,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_cryptotype.html 1.21.3-1/doc/html/appdev/refs/types/krb5_cryptotype.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_cryptotype.html	2023-08-14 16:24:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_cryptotype.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_cryptotype &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_data" href="krb5_data.html" />
     <link rel="prev" title="krb5_crypto_iov" href="krb5_crypto_iov.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-cryptotype">
+  <section id="krb5-cryptotype">
 <span id="krb5-cryptotype-struct"></span><h1>krb5_cryptotype<a class="headerlink" href="#krb5-cryptotype" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_cryptotype">
-<code class="descname">krb5_cryptotype</code><a class="headerlink" href="#c.krb5_cryptotype" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_cryptotype">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_cryptotype</span></span></span><a class="headerlink" href="#c.krb5_cryptotype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_cryptotype</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_cryptotype</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_data.html	2023-08-14 16:24:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_data.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_deltat" href="krb5_deltat.html" />
     <link rel="prev" title="krb5_cryptotype" href="krb5_cryptotype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-data">
+  <section id="krb5-data">
 <span id="krb5-data-struct"></span><h1>krb5_data<a class="headerlink" href="#krb5-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_data">
-<code class="descname">krb5_data</code><a class="headerlink" href="#c.krb5_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_data</span></span></span><a class="headerlink" href="#c.krb5_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_data  krb5_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_data krb5_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_data.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_data.magic</code><a class="headerlink" href="#c.krb5_data.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_data.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_data.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_data.length">
-unsigned int      <code class="descname">krb5_data.length</code><a class="headerlink" href="#c.krb5_data.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_data.length">
+<span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_data.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_data.data">
-char *    <code class="descname">krb5_data.data</code><a class="headerlink" href="#c.krb5_data.data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_data.data">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">data</span></span></span><a class="headerlink" href="#c.krb5_data.data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_data</a><ul>
@@ -145,6 +138,7 @@ char *    <code class="descname">krb5_da
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +146,8 @@ char *    <code class="descname">krb5_da
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_deltat.html 1.21.3-1/doc/html/appdev/refs/types/krb5_deltat.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_deltat.html	2023-08-14 16:24:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_deltat.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_deltat &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_enc_data" href="krb5_enc_data.html" />
     <link rel="prev" title="krb5_data" href="krb5_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-deltat">
+  <section id="krb5-deltat">
 <span id="krb5-deltat-struct"></span><h1>krb5_deltat<a class="headerlink" href="#krb5-deltat" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_deltat">
-<code class="descname">krb5_deltat</code><a class="headerlink" href="#c.krb5_deltat" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_deltat">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_deltat</span></span></span><a class="headerlink" href="#c.krb5_deltat" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_deltat</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_deltat</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_enc_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_enc_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_enc_data.html	2023-08-14 16:24:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_enc_data.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_enc_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_enc_kdc_rep_part" href="krb5_enc_kdc_rep_part.html" />
     <link rel="prev" title="krb5_deltat" href="krb5_deltat.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,50 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-enc-data">
+  <section id="krb5-enc-data">
 <span id="krb5-enc-data-struct"></span><h1>krb5_enc_data<a class="headerlink" href="#krb5-enc-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_enc_data">
-<code class="descname">krb5_enc_data</code><a class="headerlink" href="#c.krb5_enc_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_enc_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_enc_data</span></span></span><a class="headerlink" href="#c.krb5_enc_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_enc_data  krb5_enc_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_enc_data krb5_enc_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_enc_data.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_enc_data.magic</code><a class="headerlink" href="#c.krb5_enc_data.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_data.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_enc_data.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_data.enctype">
-<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a>      <code class="descname">krb5_enc_data.enctype</code><a class="headerlink" href="#c.krb5_enc_data.enctype" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_data.enctype">
+<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enctype</span></span></span><a class="headerlink" href="#c.krb5_enc_data.enctype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_data.kvno">
-<a class="reference internal" href="krb5_kvno.html#c.krb5_kvno" title="krb5_kvno">krb5_kvno</a> <code class="descname">krb5_enc_data.kvno</code><a class="headerlink" href="#c.krb5_enc_data.kvno" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_data.kvno">
+<a class="reference internal" href="krb5_kvno.html#c.krb5_kvno" title="krb5_kvno"><span class="n"><span class="pre">krb5_kvno</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">kvno</span></span></span><a class="headerlink" href="#c.krb5_enc_data.kvno" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_data.ciphertext">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_enc_data.ciphertext</code><a class="headerlink" href="#c.krb5_enc_data.ciphertext" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_data.ciphertext">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ciphertext</span></span></span><a class="headerlink" href="#c.krb5_enc_data.ciphertext" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_enc_data</a><ul>
@@ -150,6 +143,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +151,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_enc_kdc_rep_part.html 1.21.3-1/doc/html/appdev/refs/types/krb5_enc_kdc_rep_part.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_enc_kdc_rep_part.html	2023-08-14 16:24:01.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_enc_kdc_rep_part.html	2024-06-26 20:01:27.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_enc_kdc_rep_part &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_enc_tkt_part" href="krb5_enc_tkt_part.html" />
     <link rel="prev" title="krb5_enc_data" href="krb5_enc_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,95 +52,97 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-enc-kdc-rep-part">
+  <section id="krb5-enc-kdc-rep-part">
 <span id="krb5-enc-kdc-rep-part-struct"></span><h1>krb5_enc_kdc_rep_part<a class="headerlink" href="#krb5-enc-kdc-rep-part" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_enc_kdc_rep_part">
-<code class="descname">krb5_enc_kdc_rep_part</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>C representation of <em>EncKDCRepPart</em> protocol message.</p>
 <p>This is the cleartext message that is encrypted and inserted in <em>KDC-REP</em> .</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_enc_kdc_rep_part  krb5_enc_kdc_rep_part</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_enc_kdc_rep_part krb5_enc_kdc_rep_part</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_enc_kdc_rep_part.magic</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.msg_type">
-<a class="reference internal" href="krb5_msgtype.html#c.krb5_msgtype" title="krb5_msgtype">krb5_msgtype</a>      <code class="descname">krb5_enc_kdc_rep_part.msg_type</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.msg_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.msg_type">
+<a class="reference internal" href="krb5_msgtype.html#c.krb5_msgtype" title="krb5_msgtype"><span class="n"><span class="pre">krb5_msgtype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">msg_type</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.msg_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>krb5 message type</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.session">
-<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a>  *  <code class="descname">krb5_enc_kdc_rep_part.session</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.session" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.session">
+<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">session</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.session" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Session key.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.last_req">
-<a class="reference internal" href="krb5_last_req_entry.html#c.krb5_last_req_entry" title="krb5_last_req_entry">krb5_last_req_entry</a>  **   <code class="descname">krb5_enc_kdc_rep_part.last_req</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.last_req" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.last_req">
+<a class="reference internal" href="krb5_last_req_entry.html#c.krb5_last_req_entry" title="krb5_last_req_entry"><span class="n"><span class="pre">krb5_last_req_entry</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">last_req</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.last_req" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Array of pointers to entries.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.nonce">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_enc_kdc_rep_part.nonce</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.nonce" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.nonce">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">nonce</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.nonce" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Nonce from request.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.key_exp">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_enc_kdc_rep_part.key_exp</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.key_exp" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.key_exp">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">key_exp</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.key_exp" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Expiration date.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.flags">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_enc_kdc_rep_part.flags</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.flags">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">flags</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Ticket flags.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.times">
-<a class="reference internal" href="krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times">krb5_ticket_times</a> <code class="descname">krb5_enc_kdc_rep_part.times</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.times" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.times">
+<a class="reference internal" href="krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">times</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.times" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Lifetime info.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.server">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_enc_kdc_rep_part.server</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.server" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.server">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">server</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.server" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Server’s principal identifier.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.caddrs">
-<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a>  **  <code class="descname">krb5_enc_kdc_rep_part.caddrs</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.caddrs" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.caddrs">
+<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">caddrs</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.caddrs" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Array of ptrs to addrs, optional.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_kdc_rep_part.enc_padata">
-<a class="reference internal" href="krb5_pa_data.html#c.krb5_pa_data" title="krb5_pa_data">krb5_pa_data</a>  **  <code class="descname">krb5_enc_kdc_rep_part.enc_padata</code><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.enc_padata" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_kdc_rep_part.enc_padata">
+<a class="reference internal" href="krb5_pa_data.html#c.krb5_pa_data" title="krb5_pa_data"><span class="n"><span class="pre">krb5_pa_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enc_padata</span></span></span><a class="headerlink" href="#c.krb5_enc_kdc_rep_part.enc_padata" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Encrypted preauthentication data.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_enc_kdc_rep_part</a><ul>
@@ -197,6 +190,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -204,8 +198,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_enc_tkt_part.html 1.21.3-1/doc/html/appdev/refs/types/krb5_enc_tkt_part.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_enc_tkt_part.html	2023-08-14 16:24:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_enc_tkt_part.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_enc_tkt_part &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_encrypt_block" href="krb5_encrypt_block.html" />
     <link rel="prev" title="krb5_enc_kdc_rep_part" href="krb5_enc_kdc_rep_part.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,76 +52,78 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-enc-tkt-part">
+  <section id="krb5-enc-tkt-part">
 <span id="krb5-enc-tkt-part-struct"></span><h1>krb5_enc_tkt_part<a class="headerlink" href="#krb5-enc-tkt-part" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_enc_tkt_part">
-<code class="descname">krb5_enc_tkt_part</code><a class="headerlink" href="#c.krb5_enc_tkt_part" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_enc_tkt_part">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></span><a class="headerlink" href="#c.krb5_enc_tkt_part" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Encrypted part of ticket.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_enc_tkt_part  krb5_enc_tkt_part</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_enc_tkt_part krb5_enc_tkt_part</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_enc_tkt_part.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_enc_tkt_part.magic</code><a class="headerlink" href="#c.krb5_enc_tkt_part.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_tkt_part.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_enc_tkt_part.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_tkt_part.flags">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_enc_tkt_part.flags</code><a class="headerlink" href="#c.krb5_enc_tkt_part.flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_tkt_part.flags">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">flags</span></span></span><a class="headerlink" href="#c.krb5_enc_tkt_part.flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>flags</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_tkt_part.session">
-<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a>  *  <code class="descname">krb5_enc_tkt_part.session</code><a class="headerlink" href="#c.krb5_enc_tkt_part.session" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_tkt_part.session">
+<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">session</span></span></span><a class="headerlink" href="#c.krb5_enc_tkt_part.session" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>session key: includes enctype</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_tkt_part.client">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_enc_tkt_part.client</code><a class="headerlink" href="#c.krb5_enc_tkt_part.client" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_tkt_part.client">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">client</span></span></span><a class="headerlink" href="#c.krb5_enc_tkt_part.client" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>client name/realm</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_tkt_part.transited">
-<a class="reference internal" href="krb5_transited.html#c.krb5_transited" title="krb5_transited">krb5_transited</a>    <code class="descname">krb5_enc_tkt_part.transited</code><a class="headerlink" href="#c.krb5_enc_tkt_part.transited" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_tkt_part.transited">
+<a class="reference internal" href="krb5_transited.html#c.krb5_transited" title="krb5_transited"><span class="n"><span class="pre">krb5_transited</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">transited</span></span></span><a class="headerlink" href="#c.krb5_enc_tkt_part.transited" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>list of transited realms</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_tkt_part.times">
-<a class="reference internal" href="krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times">krb5_ticket_times</a> <code class="descname">krb5_enc_tkt_part.times</code><a class="headerlink" href="#c.krb5_enc_tkt_part.times" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_tkt_part.times">
+<a class="reference internal" href="krb5_ticket_times.html#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">times</span></span></span><a class="headerlink" href="#c.krb5_enc_tkt_part.times" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>auth, start, end, renew_till</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_tkt_part.caddrs">
-<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a>  **  <code class="descname">krb5_enc_tkt_part.caddrs</code><a class="headerlink" href="#c.krb5_enc_tkt_part.caddrs" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_tkt_part.caddrs">
+<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">caddrs</span></span></span><a class="headerlink" href="#c.krb5_enc_tkt_part.caddrs" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>array of ptrs to addresses</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_enc_tkt_part.authorization_data">
-<a class="reference internal" href="krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a>  ** <code class="descname">krb5_enc_tkt_part.authorization_data</code><a class="headerlink" href="#c.krb5_enc_tkt_part.authorization_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_enc_tkt_part.authorization_data">
+<a class="reference internal" href="krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">authorization_data</span></span></span><a class="headerlink" href="#c.krb5_enc_tkt_part.authorization_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>auth data</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_enc_tkt_part</a><ul>
@@ -178,6 +171,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -185,8 +179,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_encrypt_block.html 1.21.3-1/doc/html/appdev/refs/types/krb5_encrypt_block.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_encrypt_block.html	2023-08-14 16:24:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_encrypt_block.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_encrypt_block &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_enctype" href="krb5_enctype.html" />
     <link rel="prev" title="krb5_enc_tkt_part" href="krb5_enc_tkt_part.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-encrypt-block">
+  <section id="krb5-encrypt-block">
 <span id="krb5-encrypt-block-struct"></span><h1>krb5_encrypt_block<a class="headerlink" href="#krb5-encrypt-block" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_encrypt_block">
-<code class="descname">krb5_encrypt_block</code><a class="headerlink" href="#c.krb5_encrypt_block" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_encrypt_block">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_encrypt_block</span></span></span><a class="headerlink" href="#c.krb5_encrypt_block" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_encrypt_block  krb5_encrypt_block</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_encrypt_block krb5_encrypt_block</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_encrypt_block.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_encrypt_block.magic</code><a class="headerlink" href="#c.krb5_encrypt_block.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_encrypt_block.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_encrypt_block.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_encrypt_block.crypto_entry">
-<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a>      <code class="descname">krb5_encrypt_block.crypto_entry</code><a class="headerlink" href="#c.krb5_encrypt_block.crypto_entry" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_encrypt_block.crypto_entry">
+<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">crypto_entry</span></span></span><a class="headerlink" href="#c.krb5_encrypt_block.crypto_entry" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_encrypt_block.key">
-<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a>  *  <code class="descname">krb5_encrypt_block.key</code><a class="headerlink" href="#c.krb5_encrypt_block.key" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_encrypt_block.key">
+<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_encrypt_block" title="krb5_encrypt_block"><span class="n"><span class="pre">krb5_encrypt_block</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">key</span></span></span><a class="headerlink" href="#c.krb5_encrypt_block.key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_encrypt_block</a><ul>
@@ -145,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_enctype.html 1.21.3-1/doc/html/appdev/refs/types/krb5_enctype.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_enctype.html	2023-08-14 16:24:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_enctype.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_enctype &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_error" href="krb5_error.html" />
     <link rel="prev" title="krb5_encrypt_block" href="krb5_encrypt_block.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-enctype">
+  <section id="krb5-enctype">
 <span id="krb5-enctype-struct"></span><h1>krb5_enctype<a class="headerlink" href="#krb5-enctype" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_enctype">
-<code class="descname">krb5_enctype</code><a class="headerlink" href="#c.krb5_enctype" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_enctype">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_enctype</span></span></span><a class="headerlink" href="#c.krb5_enctype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_enctype</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_enctype</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_error.html 1.21.3-1/doc/html/appdev/refs/types/krb5_error.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_error.html	2023-08-14 16:24:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_error.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_error &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_error_code" href="krb5_error_code.html" />
     <link rel="prev" title="krb5_enctype" href="krb5_enctype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,88 +52,90 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-error">
+  <section id="krb5-error">
 <span id="krb5-error-struct"></span><h1>krb5_error<a class="headerlink" href="#krb5-error" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_error">
-<code class="descname">krb5_error</code><a class="headerlink" href="#c.krb5_error" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_error">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_error</span></span></span><a class="headerlink" href="#c.krb5_error" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Error message structure.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_error  krb5_error</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_error krb5_error</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_error.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_error.magic</code><a class="headerlink" href="#c.krb5_error.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_error.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_error.ctime">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_error.ctime</code><a class="headerlink" href="#c.krb5_error.ctime" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.ctime">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ctime</span></span></span><a class="headerlink" href="#c.krb5_error.ctime" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Client sec portion; optional.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_error.cusec">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_error.cusec</code><a class="headerlink" href="#c.krb5_error.cusec" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.cusec">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">cusec</span></span></span><a class="headerlink" href="#c.krb5_error.cusec" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Client usec portion; optional.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_error.susec">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_error.susec</code><a class="headerlink" href="#c.krb5_error.susec" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.susec">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">susec</span></span></span><a class="headerlink" href="#c.krb5_error.susec" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Server usec portion.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_error.stime">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_error.stime</code><a class="headerlink" href="#c.krb5_error.stime" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.stime">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">stime</span></span></span><a class="headerlink" href="#c.krb5_error.stime" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Server sec portion.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_error.error">
-<a class="reference internal" href="krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4">krb5_ui_4</a> <code class="descname">krb5_error.error</code><a class="headerlink" href="#c.krb5_error.error" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.error">
+<a class="reference internal" href="krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4"><span class="n"><span class="pre">krb5_ui_4</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">error</span></span></span><a class="headerlink" href="#c.krb5_error.error" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Error code (protocol error #’s)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_error.client">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_error.client</code><a class="headerlink" href="#c.krb5_error.client" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.client">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">client</span></span></span><a class="headerlink" href="#c.krb5_error.client" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Client principal and realm.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_error.server">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_error.server</code><a class="headerlink" href="#c.krb5_error.server" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.server">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">server</span></span></span><a class="headerlink" href="#c.krb5_error.server" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Server principal and realm.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_error.text">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_error.text</code><a class="headerlink" href="#c.krb5_error.text" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.text">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">text</span></span></span><a class="headerlink" href="#c.krb5_error.text" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Descriptive text.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_error.e_data">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_error.e_data</code><a class="headerlink" href="#c.krb5_error.e_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_error.e_data">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_error" title="krb5_error"><span class="n"><span class="pre">krb5_error</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">e_data</span></span></span><a class="headerlink" href="#c.krb5_error.e_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Additional error-describing data.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_error</a><ul>
@@ -190,6 +183,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -197,8 +191,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_error_code.html 1.21.3-1/doc/html/appdev/refs/types/krb5_error_code.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_error_code.html	2023-08-14 16:24:02.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_error_code.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_error_code &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_expire_callback_func" href="krb5_expire_callback_func.html" />
     <link rel="prev" title="krb5_error" href="krb5_error.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,27 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-error-code">
+  <section id="krb5-error-code">
 <span id="krb5-error-code-struct"></span><h1>krb5_error_code<a class="headerlink" href="#krb5-error-code" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_error_code">
-<code class="descname">krb5_error_code</code><a class="headerlink" href="#c.krb5_error_code" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_error_code">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_error_code</span></span></span><a class="headerlink" href="#c.krb5_error_code" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Used to convey an operation status.</p>
-<p>The value 0 indicates success; any other values are com_err codes. Use <a class="reference internal" href="../api/krb5_get_error_message.html#c.krb5_get_error_message" title="krb5_get_error_message"><code class="xref c c-func docutils literal"><span class="pre">krb5_get_error_message()</span></code></a> to obtain a string describing the error.</p>
-<div class="section" id="declaration">
+<p>The value 0 indicates success; any other values are com_err codes. Use krb5_get_error_message() to obtain a string describing the error.</p>
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_error_code</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_error_code</a><ul>
@@ -128,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -135,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_expire_callback_func.html 1.21.3-1/doc/html/appdev/refs/types/krb5_expire_callback_func.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_expire_callback_func.html	2023-08-14 16:24:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_expire_callback_func.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_expire_callback_func &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_flags" href="krb5_flags.html" />
     <link rel="prev" title="krb5_error_code" href="krb5_error_code.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-expire-callback-func">
+  <section id="krb5-expire-callback-func">
 <span id="krb5-expire-callback-func-struct"></span><h1>krb5_expire_callback_func<a class="headerlink" href="#krb5-expire-callback-func" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_expire_callback_func">
-<code class="descname">krb5_expire_callback_func</code><a class="headerlink" href="#c.krb5_expire_callback_func" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_expire_callback_func">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_expire_callback_func</span></span></span><a class="headerlink" href="#c.krb5_expire_callback_func" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef void( * krb5_expire_callback_func) (krb5_context context, void *data, krb5_timestamp password_expiration, krb5_timestamp account_expiration, krb5_boolean is_last_req)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_expire_callback_func</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_flags.html 1.21.3-1/doc/html/appdev/refs/types/krb5_flags.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_flags.html	2023-08-14 16:24:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_flags.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_flags &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_get_init_creds_opt" href="krb5_get_init_creds_opt.html" />
     <link rel="prev" title="krb5_expire_callback_func" href="krb5_expire_callback_func.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-flags">
+  <section id="krb5-flags">
 <span id="krb5-flags-struct"></span><h1>krb5_flags<a class="headerlink" href="#krb5-flags" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_flags">
-<code class="descname">krb5_flags</code><a class="headerlink" href="#c.krb5_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_flags">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_flags</span></span></span><a class="headerlink" href="#c.krb5_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_flags</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_flags</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_get_init_creds_opt.html 1.21.3-1/doc/html/appdev/refs/types/krb5_get_init_creds_opt.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_get_init_creds_opt.html	2023-08-14 16:24:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_get_init_creds_opt.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_get_init_creds_opt &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_gic_opt_pa_data" href="krb5_gic_opt_pa_data.html" />
     <link rel="prev" title="krb5_flags" href="krb5_flags.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,84 +52,86 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-get-init-creds-opt">
+  <section id="krb5-get-init-creds-opt">
 <span id="krb5-get-init-creds-opt-struct"></span><h1>krb5_get_init_creds_opt<a class="headerlink" href="#krb5-get-init-creds-opt" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_get_init_creds_opt">
-<code class="descname">krb5_get_init_creds_opt</code><a class="headerlink" href="#c.krb5_get_init_creds_opt" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Store options for <em>_krb5_get_init_creds</em> .</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_get_init_creds_opt  krb5_get_init_creds_opt</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_get_init_creds_opt krb5_get_init_creds_opt</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.flags">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_get_init_creds_opt.flags</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.flags">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">flags</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.tkt_life">
-<a class="reference internal" href="krb5_deltat.html#c.krb5_deltat" title="krb5_deltat">krb5_deltat</a>       <code class="descname">krb5_get_init_creds_opt.tkt_life</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.tkt_life" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.tkt_life">
+<a class="reference internal" href="krb5_deltat.html#c.krb5_deltat" title="krb5_deltat"><span class="n"><span class="pre">krb5_deltat</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">tkt_life</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.tkt_life" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.renew_life">
-<a class="reference internal" href="krb5_deltat.html#c.krb5_deltat" title="krb5_deltat">krb5_deltat</a>       <code class="descname">krb5_get_init_creds_opt.renew_life</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.renew_life" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.renew_life">
+<a class="reference internal" href="krb5_deltat.html#c.krb5_deltat" title="krb5_deltat"><span class="n"><span class="pre">krb5_deltat</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">renew_life</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.renew_life" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.forwardable">
-int       <code class="descname">krb5_get_init_creds_opt.forwardable</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.forwardable" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.forwardable">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">forwardable</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.forwardable" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.proxiable">
-int       <code class="descname">krb5_get_init_creds_opt.proxiable</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.proxiable" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.proxiable">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">proxiable</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.proxiable" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.etype_list">
-<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *    <code class="descname">krb5_get_init_creds_opt.etype_list</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.etype_list" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.etype_list">
+<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">etype_list</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.etype_list" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.etype_list_length">
-int       <code class="descname">krb5_get_init_creds_opt.etype_list_length</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.etype_list_length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.etype_list_length">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">etype_list_length</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.etype_list_length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.address_list">
-<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a>  **  <code class="descname">krb5_get_init_creds_opt.address_list</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.address_list" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.address_list">
+<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">address_list</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.address_list" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.preauth_list">
-<a class="reference internal" href="krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype">krb5_preauthtype</a> *        <code class="descname">krb5_get_init_creds_opt.preauth_list</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.preauth_list" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.preauth_list">
+<a class="reference internal" href="krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype"><span class="n"><span class="pre">krb5_preauthtype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">preauth_list</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.preauth_list" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.preauth_list_length">
-int       <code class="descname">krb5_get_init_creds_opt.preauth_list_length</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.preauth_list_length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.preauth_list_length">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">preauth_list_length</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.preauth_list_length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_get_init_creds_opt.salt">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a>  *      <code class="descname">krb5_get_init_creds_opt.salt</code><a class="headerlink" href="#c.krb5_get_init_creds_opt.salt" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_get_init_creds_opt.salt">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_get_init_creds_opt" title="krb5_get_init_creds_opt"><span class="n"><span class="pre">krb5_get_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">salt</span></span></span><a class="headerlink" href="#c.krb5_get_init_creds_opt.salt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_get_init_creds_opt</a><ul>
@@ -186,6 +179,7 @@ int       <code class="descname">krb5_ge
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -193,8 +187,8 @@ int       <code class="descname">krb5_ge
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_gic_opt_pa_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_gic_opt_pa_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_gic_opt_pa_data.html	2023-08-14 16:24:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_gic_opt_pa_data.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_gic_opt_pa_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_int16" href="krb5_int16.html" />
     <link rel="prev" title="krb5_get_init_creds_opt" href="krb5_get_init_creds_opt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,39 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-gic-opt-pa-data">
+  <section id="krb5-gic-opt-pa-data">
 <span id="krb5-gic-opt-pa-data-struct"></span><h1>krb5_gic_opt_pa_data<a class="headerlink" href="#krb5-gic-opt-pa-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_gic_opt_pa_data">
-<code class="descname">krb5_gic_opt_pa_data</code><a class="headerlink" href="#c.krb5_gic_opt_pa_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_gic_opt_pa_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_gic_opt_pa_data</span></span></span><a class="headerlink" href="#c.krb5_gic_opt_pa_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Generic preauth option attribute/value pairs.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_gic_opt_pa_data  krb5_gic_opt_pa_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_gic_opt_pa_data krb5_gic_opt_pa_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_gic_opt_pa_data.attr">
-char *    <code class="descname">krb5_gic_opt_pa_data.attr</code><a class="headerlink" href="#c.krb5_gic_opt_pa_data.attr" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_gic_opt_pa_data.attr">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_gic_opt_pa_data" title="krb5_gic_opt_pa_data"><span class="n"><span class="pre">krb5_gic_opt_pa_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">attr</span></span></span><a class="headerlink" href="#c.krb5_gic_opt_pa_data.attr" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_gic_opt_pa_data.value">
-char *    <code class="descname">krb5_gic_opt_pa_data.value</code><a class="headerlink" href="#c.krb5_gic_opt_pa_data.value" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_gic_opt_pa_data.value">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_gic_opt_pa_data" title="krb5_gic_opt_pa_data"><span class="n"><span class="pre">krb5_gic_opt_pa_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">value</span></span></span><a class="headerlink" href="#c.krb5_gic_opt_pa_data.value" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_gic_opt_pa_data</a><ul>
@@ -141,6 +134,7 @@ char *    <code class="descname">krb5_gi
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +142,8 @@ char *    <code class="descname">krb5_gi
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_init_creds_context.html 1.21.3-1/doc/html/appdev/refs/types/krb5_init_creds_context.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_init_creds_context.html	2023-08-14 16:24:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_init_creds_context.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_init_creds_context &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_key" href="krb5_key.html" />
     <link rel="prev" title="krb5_cccol_cursor" href="krb5_cccol_cursor.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-init-creds-context">
+  <section id="krb5-init-creds-context">
 <span id="krb5-init-creds-context-struct"></span><h1>krb5_init_creds_context<a class="headerlink" href="#krb5-init-creds-context" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_init_creds_context">
-<code class="descname">krb5_init_creds_context</code><a class="headerlink" href="#c.krb5_init_creds_context" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_init_creds_context">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_init_creds_context</span></span></span><a class="headerlink" href="#c.krb5_init_creds_context" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct _krb5_init_creds_context* krb5_init_creds_context</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_init_creds_context</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_int16.html 1.21.3-1/doc/html/appdev/refs/types/krb5_int16.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_int16.html	2023-08-14 16:24:03.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_int16.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_int16 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_int32" href="krb5_int32.html" />
     <link rel="prev" title="krb5_gic_opt_pa_data" href="krb5_gic_opt_pa_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-int16">
+  <section id="krb5-int16">
 <span id="krb5-int16-struct"></span><h1>krb5_int16<a class="headerlink" href="#krb5-int16" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_int16">
-<code class="descname">krb5_int16</code><a class="headerlink" href="#c.krb5_int16" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_int16">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_int16</span></span></span><a class="headerlink" href="#c.krb5_int16" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef int16_t krb5_int16</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_int16</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_int32.html 1.21.3-1/doc/html/appdev/refs/types/krb5_int32.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_int32.html	2023-08-14 16:24:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_int32.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_int32 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kdc_rep" href="krb5_kdc_rep.html" />
     <link rel="prev" title="krb5_int16" href="krb5_int16.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-int32">
+  <section id="krb5-int32">
 <span id="krb5-int32-struct"></span><h1>krb5_int32<a class="headerlink" href="#krb5-int32" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_int32">
-<code class="descname">krb5_int32</code><a class="headerlink" href="#c.krb5_int32" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_int32">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_int32</span></span></span><a class="headerlink" href="#c.krb5_int32" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef int32_t krb5_int32</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_int32</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_kdc_rep.html 1.21.3-1/doc/html/appdev/refs/types/krb5_kdc_rep.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_kdc_rep.html	2023-08-14 16:24:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_kdc_rep.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kdc_rep &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kdc_req" href="krb5_kdc_req.html" />
     <link rel="prev" title="krb5_int32" href="krb5_int32.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,70 +52,72 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kdc-rep">
+  <section id="krb5-kdc-rep">
 <span id="krb5-kdc-rep-struct"></span><h1>krb5_kdc_rep<a class="headerlink" href="#krb5-kdc-rep" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_kdc_rep">
-<code class="descname">krb5_kdc_rep</code><a class="headerlink" href="#c.krb5_kdc_rep" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_kdc_rep">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kdc_rep</span></span></span><a class="headerlink" href="#c.krb5_kdc_rep" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Representation of the <em>KDC-REP</em> protocol message.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_kdc_rep  krb5_kdc_rep</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_kdc_rep krb5_kdc_rep</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_kdc_rep.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_kdc_rep.magic</code><a class="headerlink" href="#c.krb5_kdc_rep.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_rep.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_kdc_rep.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_rep.msg_type">
-<a class="reference internal" href="krb5_msgtype.html#c.krb5_msgtype" title="krb5_msgtype">krb5_msgtype</a>      <code class="descname">krb5_kdc_rep.msg_type</code><a class="headerlink" href="#c.krb5_kdc_rep.msg_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_rep.msg_type">
+<a class="reference internal" href="krb5_msgtype.html#c.krb5_msgtype" title="krb5_msgtype"><span class="n"><span class="pre">krb5_msgtype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">msg_type</span></span></span><a class="headerlink" href="#c.krb5_kdc_rep.msg_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>KRB5_AS_REP or KRB5_KDC_REP.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_rep.padata">
-<a class="reference internal" href="krb5_pa_data.html#c.krb5_pa_data" title="krb5_pa_data">krb5_pa_data</a>  **  <code class="descname">krb5_kdc_rep.padata</code><a class="headerlink" href="#c.krb5_kdc_rep.padata" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_rep.padata">
+<a class="reference internal" href="krb5_pa_data.html#c.krb5_pa_data" title="krb5_pa_data"><span class="n"><span class="pre">krb5_pa_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">padata</span></span></span><a class="headerlink" href="#c.krb5_kdc_rep.padata" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Preauthentication data from KDC.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_rep.client">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_kdc_rep.client</code><a class="headerlink" href="#c.krb5_kdc_rep.client" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_rep.client">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">client</span></span></span><a class="headerlink" href="#c.krb5_kdc_rep.client" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Client principal and realm.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_rep.ticket">
-<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a>  *    <code class="descname">krb5_kdc_rep.ticket</code><a class="headerlink" href="#c.krb5_kdc_rep.ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_rep.ticket">
+<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ticket</span></span></span><a class="headerlink" href="#c.krb5_kdc_rep.ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Ticket.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_rep.enc_part">
-<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a>     <code class="descname">krb5_kdc_rep.enc_part</code><a class="headerlink" href="#c.krb5_kdc_rep.enc_part" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_rep.enc_part">
+<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enc_part</span></span></span><a class="headerlink" href="#c.krb5_kdc_rep.enc_part" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Encrypted part of reply.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_rep.enc_part2">
-<a class="reference internal" href="krb5_enc_kdc_rep_part.html#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part">krb5_enc_kdc_rep_part</a>  *  <code class="descname">krb5_kdc_rep.enc_part2</code><a class="headerlink" href="#c.krb5_kdc_rep.enc_part2" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_rep.enc_part2">
+<a class="reference internal" href="krb5_enc_kdc_rep_part.html#c.krb5_enc_kdc_rep_part" title="krb5_enc_kdc_rep_part"><span class="n"><span class="pre">krb5_enc_kdc_rep_part</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_rep" title="krb5_kdc_rep"><span class="n"><span class="pre">krb5_kdc_rep</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enc_part2</span></span></span><a class="headerlink" href="#c.krb5_kdc_rep.enc_part2" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Unencrypted version, if available.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kdc_rep</a><ul>
@@ -172,6 +165,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -179,8 +173,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_kdc_req.html 1.21.3-1/doc/html/appdev/refs/types/krb5_kdc_req.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_kdc_req.html	2023-08-14 16:24:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_kdc_req.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kdc_req &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_keyblock" href="krb5_keyblock.html" />
     <link rel="prev" title="krb5_kdc_rep" href="krb5_kdc_rep.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,124 +52,126 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kdc-req">
+  <section id="krb5-kdc-req">
 <span id="krb5-kdc-req-struct"></span><h1>krb5_kdc_req<a class="headerlink" href="#krb5-kdc-req" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_kdc_req">
-<code class="descname">krb5_kdc_req</code><a class="headerlink" href="#c.krb5_kdc_req" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_kdc_req">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kdc_req</span></span></span><a class="headerlink" href="#c.krb5_kdc_req" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>C representation of KDC-REQ protocol message, including KDC-REQ-BODY.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_kdc_req  krb5_kdc_req</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_kdc_req krb5_kdc_req</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_kdc_req.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_kdc_req.magic</code><a class="headerlink" href="#c.krb5_kdc_req.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.msg_type">
-<a class="reference internal" href="krb5_msgtype.html#c.krb5_msgtype" title="krb5_msgtype">krb5_msgtype</a>      <code class="descname">krb5_kdc_req.msg_type</code><a class="headerlink" href="#c.krb5_kdc_req.msg_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.msg_type">
+<a class="reference internal" href="krb5_msgtype.html#c.krb5_msgtype" title="krb5_msgtype"><span class="n"><span class="pre">krb5_msgtype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">msg_type</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.msg_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>KRB5_AS_REQ or KRB5_TGS_REQ.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.padata">
-<a class="reference internal" href="krb5_pa_data.html#c.krb5_pa_data" title="krb5_pa_data">krb5_pa_data</a>  **  <code class="descname">krb5_kdc_req.padata</code><a class="headerlink" href="#c.krb5_kdc_req.padata" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.padata">
+<a class="reference internal" href="krb5_pa_data.html#c.krb5_pa_data" title="krb5_pa_data"><span class="n"><span class="pre">krb5_pa_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">padata</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.padata" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Preauthentication data.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.kdc_options">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_kdc_req.kdc_options</code><a class="headerlink" href="#c.krb5_kdc_req.kdc_options" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.kdc_options">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">kdc_options</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.kdc_options" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Requested options.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.client">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_kdc_req.client</code><a class="headerlink" href="#c.krb5_kdc_req.client" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.client">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">client</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.client" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Client principal and realm.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.server">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_kdc_req.server</code><a class="headerlink" href="#c.krb5_kdc_req.server" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.server">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">server</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.server" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Server principal and realm.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.from">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_kdc_req.from</code><a class="headerlink" href="#c.krb5_kdc_req.from" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.from">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">from</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.from" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Requested start time.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.till">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_kdc_req.till</code><a class="headerlink" href="#c.krb5_kdc_req.till" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.till">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">till</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.till" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Requested end time.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.rtime">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_kdc_req.rtime</code><a class="headerlink" href="#c.krb5_kdc_req.rtime" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.rtime">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">rtime</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.rtime" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Requested renewable end time.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.nonce">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_kdc_req.nonce</code><a class="headerlink" href="#c.krb5_kdc_req.nonce" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.nonce">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">nonce</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.nonce" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Nonce to match request and response.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.nktypes">
-int       <code class="descname">krb5_kdc_req.nktypes</code><a class="headerlink" href="#c.krb5_kdc_req.nktypes" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.nktypes">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">nktypes</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.nktypes" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Number of enctypes.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.ktype">
-<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a> *    <code class="descname">krb5_kdc_req.ktype</code><a class="headerlink" href="#c.krb5_kdc_req.ktype" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.ktype">
+<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ktype</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.ktype" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Requested enctypes.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.addresses">
-<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address">krb5_address</a>  **  <code class="descname">krb5_kdc_req.addresses</code><a class="headerlink" href="#c.krb5_kdc_req.addresses" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.addresses">
+<a class="reference internal" href="krb5_address.html#c.krb5_address" title="krb5_address"><span class="n"><span class="pre">krb5_address</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">addresses</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.addresses" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Requested addresses (optional)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.authorization_data">
-<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a>     <code class="descname">krb5_kdc_req.authorization_data</code><a class="headerlink" href="#c.krb5_kdc_req.authorization_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.authorization_data">
+<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">authorization_data</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.authorization_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Encrypted authz data (optional)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.unenc_authdata">
-<a class="reference internal" href="krb5_authdata.html#c.krb5_authdata" title="krb5_authdata">krb5_authdata</a>  ** <code class="descname">krb5_kdc_req.unenc_authdata</code><a class="headerlink" href="#c.krb5_kdc_req.unenc_authdata" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.unenc_authdata">
+<a class="reference internal" href="krb5_authdata.html#c.krb5_authdata" title="krb5_authdata"><span class="n"><span class="pre">krb5_authdata</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">unenc_authdata</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.unenc_authdata" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Unencrypted authz data.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_kdc_req.second_ticket">
-<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a>  **   <code class="descname">krb5_kdc_req.second_ticket</code><a class="headerlink" href="#c.krb5_kdc_req.second_ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_kdc_req.second_ticket">
+<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_kdc_req" title="krb5_kdc_req"><span class="n"><span class="pre">krb5_kdc_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">second_ticket</span></span></span><a class="headerlink" href="#c.krb5_kdc_req.second_ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Second ticket array (optional)</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kdc_req</a><ul>
@@ -226,6 +219,7 @@ int       <code class="descname">krb5_kd
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -233,8 +227,8 @@ int       <code class="descname">krb5_kd
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_key.html 1.21.3-1/doc/html/appdev/refs/types/krb5_key.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_key.html	2023-08-14 16:24:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_key.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_key &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_keytab" href="krb5_keytab.html" />
     <link rel="prev" title="krb5_init_creds_context" href="krb5_init_creds_context.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,27 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-key">
+  <section id="krb5-key">
 <span id="krb5-key-struct"></span><h1>krb5_key<a class="headerlink" href="#krb5-key" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_key">
-<code class="descname">krb5_key</code><a class="headerlink" href="#c.krb5_key" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_key">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_key</span></span></span><a class="headerlink" href="#c.krb5_key" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Opaque identifier for a key.</p>
 <p>Use with the krb5_k APIs for better performance for repeated operations with the same key and usage. Key identifiers must not be used simultaneously within multiple threads, as they may contain mutable internal state and are not mutex-protected.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct krb5_key_st* krb5_key</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_key</a><ul>
@@ -128,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -135,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_keyblock.html 1.21.3-1/doc/html/appdev/refs/types/krb5_keyblock.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_keyblock.html	2023-08-14 16:24:04.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_keyblock.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_keyblock &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_keytab_entry" href="krb5_keytab_entry.html" />
     <link rel="prev" title="krb5_kdc_req" href="krb5_kdc_req.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,51 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyblock">
+  <section id="krb5-keyblock">
 <span id="krb5-keyblock-struct"></span><h1>krb5_keyblock<a class="headerlink" href="#krb5-keyblock" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_keyblock">
-<code class="descname">krb5_keyblock</code><a class="headerlink" href="#c.krb5_keyblock" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_keyblock">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_keyblock</span></span></span><a class="headerlink" href="#c.krb5_keyblock" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Exposed contents of a key.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_keyblock  krb5_keyblock</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_keyblock krb5_keyblock</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_keyblock.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_keyblock.magic</code><a class="headerlink" href="#c.krb5_keyblock.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_keyblock.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_keyblock.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_keyblock.enctype">
-<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype">krb5_enctype</a>      <code class="descname">krb5_keyblock.enctype</code><a class="headerlink" href="#c.krb5_keyblock.enctype" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_keyblock.enctype">
+<a class="reference internal" href="krb5_enctype.html#c.krb5_enctype" title="krb5_enctype"><span class="n"><span class="pre">krb5_enctype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enctype</span></span></span><a class="headerlink" href="#c.krb5_keyblock.enctype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_keyblock.length">
-unsigned int      <code class="descname">krb5_keyblock.length</code><a class="headerlink" href="#c.krb5_keyblock.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_keyblock.length">
+<span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_keyblock.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_keyblock.contents">
-<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet">krb5_octet</a> *      <code class="descname">krb5_keyblock.contents</code><a class="headerlink" href="#c.krb5_keyblock.contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_keyblock.contents">
+<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet"><span class="n"><span class="pre">krb5_octet</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">contents</span></span></span><a class="headerlink" href="#c.krb5_keyblock.contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_keyblock</a><ul>
@@ -151,6 +144,7 @@ unsigned int      <code class="descname"
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +152,8 @@ unsigned int      <code class="descname"
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_keytab.html 1.21.3-1/doc/html/appdev/refs/types/krb5_keytab.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_keytab.html	2023-08-14 16:24:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_keytab.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_keytab &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pac" href="krb5_pac.html" />
     <link rel="prev" title="krb5_key" href="krb5_key.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keytab">
+  <section id="krb5-keytab">
 <span id="krb5-keytab-struct"></span><h1>krb5_keytab<a class="headerlink" href="#krb5-keytab" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_keytab">
-<code class="descname">krb5_keytab</code><a class="headerlink" href="#c.krb5_keytab" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_keytab">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_keytab</span></span></span><a class="headerlink" href="#c.krb5_keytab" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct _krb5_kt* krb5_keytab</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_keytab</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_keytab_entry.html 1.21.3-1/doc/html/appdev/refs/types/krb5_keytab_entry.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_keytab_entry.html	2023-08-14 16:24:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_keytab_entry.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_keytab_entry &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_keyusage" href="krb5_keyusage.html" />
     <link rel="prev" title="krb5_keyblock" href="krb5_keyblock.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,58 +52,60 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keytab-entry">
+  <section id="krb5-keytab-entry">
 <span id="krb5-keytab-entry-struct"></span><h1>krb5_keytab_entry<a class="headerlink" href="#krb5-keytab-entry" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_keytab_entry">
-<code class="descname">krb5_keytab_entry</code><a class="headerlink" href="#c.krb5_keytab_entry" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_keytab_entry">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_keytab_entry</span></span></span><a class="headerlink" href="#c.krb5_keytab_entry" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>A key table entry.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct krb5_keytab_entry_st  krb5_keytab_entry</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct krb5_keytab_entry_st krb5_keytab_entry</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_keytab_entry.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_keytab_entry.magic</code><a class="headerlink" href="#c.krb5_keytab_entry.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_keytab_entry.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_keytab_entry.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_keytab_entry.principal">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_keytab_entry.principal</code><a class="headerlink" href="#c.krb5_keytab_entry.principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_keytab_entry.principal">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">principal</span></span></span><a class="headerlink" href="#c.krb5_keytab_entry.principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Principal of this key.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_keytab_entry.timestamp">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_keytab_entry.timestamp</code><a class="headerlink" href="#c.krb5_keytab_entry.timestamp" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_keytab_entry.timestamp">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">timestamp</span></span></span><a class="headerlink" href="#c.krb5_keytab_entry.timestamp" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Time entry written to keytable.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_keytab_entry.vno">
-<a class="reference internal" href="krb5_kvno.html#c.krb5_kvno" title="krb5_kvno">krb5_kvno</a> <code class="descname">krb5_keytab_entry.vno</code><a class="headerlink" href="#c.krb5_keytab_entry.vno" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_keytab_entry.vno">
+<a class="reference internal" href="krb5_kvno.html#c.krb5_kvno" title="krb5_kvno"><span class="n"><span class="pre">krb5_kvno</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">vno</span></span></span><a class="headerlink" href="#c.krb5_keytab_entry.vno" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Key version number.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_keytab_entry.key">
-<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock">krb5_keyblock</a>     <code class="descname">krb5_keytab_entry.key</code><a class="headerlink" href="#c.krb5_keytab_entry.key" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_keytab_entry.key">
+<a class="reference internal" href="krb5_keyblock.html#c.krb5_keyblock" title="krb5_keyblock"><span class="n"><span class="pre">krb5_keyblock</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_keytab_entry" title="krb5_keytab_entry"><span class="n"><span class="pre">krb5_keytab_entry</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">key</span></span></span><a class="headerlink" href="#c.krb5_keytab_entry.key" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>The secret key.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_keytab_entry</a><ul>
@@ -160,6 +153,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -167,8 +161,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_keyusage.html 1.21.3-1/doc/html/appdev/refs/types/krb5_keyusage.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_keyusage.html	2023-08-14 16:24:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_keyusage.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_keyusage &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kt_cursor" href="krb5_kt_cursor.html" />
     <link rel="prev" title="krb5_keytab_entry" href="krb5_keytab_entry.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-keyusage">
+  <section id="krb5-keyusage">
 <span id="krb5-keyusage-struct"></span><h1>krb5_keyusage<a class="headerlink" href="#krb5-keyusage" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_keyusage">
-<code class="descname">krb5_keyusage</code><a class="headerlink" href="#c.krb5_keyusage" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_keyusage">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_keyusage</span></span></span><a class="headerlink" href="#c.krb5_keyusage" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_keyusage</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_keyusage</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_kt_cursor.html 1.21.3-1/doc/html/appdev/refs/types/krb5_kt_cursor.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_kt_cursor.html	2023-08-14 16:24:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_kt_cursor.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kt_cursor &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_kvno" href="krb5_kvno.html" />
     <link rel="prev" title="krb5_keyusage" href="krb5_keyusage.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kt-cursor">
+  <section id="krb5-kt-cursor">
 <span id="krb5-kt-cursor-struct"></span><h1>krb5_kt_cursor<a class="headerlink" href="#krb5-kt-cursor" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_kt_cursor">
-<code class="descname">krb5_kt_cursor</code><a class="headerlink" href="#c.krb5_kt_cursor" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_kt_cursor">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kt_cursor</span></span></span><a class="headerlink" href="#c.krb5_kt_cursor" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_pointer krb5_kt_cursor</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kt_cursor</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_kvno.html 1.21.3-1/doc/html/appdev/refs/types/krb5_kvno.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_kvno.html	2023-08-14 16:24:05.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_kvno.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_kvno &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_last_req_entry" href="krb5_last_req_entry.html" />
     <link rel="prev" title="krb5_kt_cursor" href="krb5_kt_cursor.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-kvno">
+  <section id="krb5-kvno">
 <span id="krb5-kvno-struct"></span><h1>krb5_kvno<a class="headerlink" href="#krb5-kvno" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_kvno">
-<code class="descname">krb5_kvno</code><a class="headerlink" href="#c.krb5_kvno" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_kvno">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_kvno</span></span></span><a class="headerlink" href="#c.krb5_kvno" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef unsigned int krb5_kvno</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_kvno</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_last_req_entry.html 1.21.3-1/doc/html/appdev/refs/types/krb5_last_req_entry.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_last_req_entry.html	2023-08-14 16:24:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_last_req_entry.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_last_req_entry &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_magic" href="krb5_magic.html" />
     <link rel="prev" title="krb5_kvno" href="krb5_kvno.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,46 +52,48 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-last-req-entry">
+  <section id="krb5-last-req-entry">
 <span id="krb5-last-req-entry-struct"></span><h1>krb5_last_req_entry<a class="headerlink" href="#krb5-last-req-entry" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_last_req_entry">
-<code class="descname">krb5_last_req_entry</code><a class="headerlink" href="#c.krb5_last_req_entry" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_last_req_entry">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_last_req_entry</span></span></span><a class="headerlink" href="#c.krb5_last_req_entry" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Last request entry.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_last_req_entry  krb5_last_req_entry</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_last_req_entry krb5_last_req_entry</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_last_req_entry.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_last_req_entry.magic</code><a class="headerlink" href="#c.krb5_last_req_entry.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_last_req_entry.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_last_req_entry" title="krb5_last_req_entry"><span class="n"><span class="pre">krb5_last_req_entry</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_last_req_entry.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_last_req_entry.lr_type">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_last_req_entry.lr_type</code><a class="headerlink" href="#c.krb5_last_req_entry.lr_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_last_req_entry.lr_type">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_last_req_entry" title="krb5_last_req_entry"><span class="n"><span class="pre">krb5_last_req_entry</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">lr_type</span></span></span><a class="headerlink" href="#c.krb5_last_req_entry.lr_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>LR type.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_last_req_entry.value">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_last_req_entry.value</code><a class="headerlink" href="#c.krb5_last_req_entry.value" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_last_req_entry.value">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_last_req_entry" title="krb5_last_req_entry"><span class="n"><span class="pre">krb5_last_req_entry</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">value</span></span></span><a class="headerlink" href="#c.krb5_last_req_entry.value" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Timestamp.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_last_req_entry</a><ul>
@@ -148,6 +141,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +149,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_magic.html 1.21.3-1/doc/html/appdev/refs/types/krb5_magic.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_magic.html	2023-08-14 16:24:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_magic.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_magic &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_mk_req_checksum_func" href="krb5_mk_req_checksum_func.html" />
     <link rel="prev" title="krb5_last_req_entry" href="krb5_last_req_entry.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-magic">
+  <section id="krb5-magic">
 <span id="krb5-magic-struct"></span><h1>krb5_magic<a class="headerlink" href="#krb5-magic" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_magic">
-<code class="descname">krb5_magic</code><a class="headerlink" href="#c.krb5_magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_magic">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_magic</span></span></span><a class="headerlink" href="#c.krb5_magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_error_code krb5_magic</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_magic</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_mk_req_checksum_func.html 1.21.3-1/doc/html/appdev/refs/types/krb5_mk_req_checksum_func.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_mk_req_checksum_func.html	2023-08-14 16:24:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_mk_req_checksum_func.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_mk_req_checksum_func &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_msgtype" href="krb5_msgtype.html" />
     <link rel="prev" title="krb5_magic" href="krb5_magic.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,26 +52,28 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-mk-req-checksum-func">
+  <section id="krb5-mk-req-checksum-func">
 <span id="krb5-mk-req-checksum-func-struct"></span><h1>krb5_mk_req_checksum_func<a class="headerlink" href="#krb5-mk-req-checksum-func" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_mk_req_checksum_func">
-<code class="descname">krb5_mk_req_checksum_func</code><a class="headerlink" href="#c.krb5_mk_req_checksum_func" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_mk_req_checksum_func">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_mk_req_checksum_func</span></span></span><a class="headerlink" href="#c.krb5_mk_req_checksum_func" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Type of function used as a callback to generate checksum data for mk_req.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_error_code( * krb5_mk_req_checksum_func) (krb5_context, krb5_auth_context, void *, krb5_data **)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_mk_req_checksum_func</a><ul>
@@ -127,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -134,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_msgtype.html 1.21.3-1/doc/html/appdev/refs/types/krb5_msgtype.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_msgtype.html	2023-08-14 16:24:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_msgtype.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_msgtype &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_octet" href="krb5_octet.html" />
     <link rel="prev" title="krb5_mk_req_checksum_func" href="krb5_mk_req_checksum_func.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-msgtype">
+  <section id="krb5-msgtype">
 <span id="krb5-msgtype-struct"></span><h1>krb5_msgtype<a class="headerlink" href="#krb5-msgtype" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_msgtype">
-<code class="descname">krb5_msgtype</code><a class="headerlink" href="#c.krb5_msgtype" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_msgtype">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_msgtype</span></span></span><a class="headerlink" href="#c.krb5_msgtype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef unsigned int krb5_msgtype</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_msgtype</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_octet.html 1.21.3-1/doc/html/appdev/refs/types/krb5_octet.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_octet.html	2023-08-14 16:24:06.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_octet.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_octet &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pa_pac_req" href="krb5_pa_pac_req.html" />
     <link rel="prev" title="krb5_msgtype" href="krb5_msgtype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-octet">
+  <section id="krb5-octet">
 <span id="krb5-octet-struct"></span><h1>krb5_octet<a class="headerlink" href="#krb5-octet" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_octet">
-<code class="descname">krb5_octet</code><a class="headerlink" href="#c.krb5_octet" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_octet">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_octet</span></span></span><a class="headerlink" href="#c.krb5_octet" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef uint8_t krb5_octet</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_octet</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_pa_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_pa_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_pa_data.html	2023-08-14 16:24:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_pa_data.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pa_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pointer" href="krb5_pointer.html" />
     <link rel="prev" title="krb5_pa_svr_referral_data" href="krb5_pa_svr_referral_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,52 +52,54 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pa-data">
+  <section id="krb5-pa-data">
 <span id="krb5-pa-data-struct"></span><h1>krb5_pa_data<a class="headerlink" href="#krb5-pa-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_pa_data">
-<code class="descname">krb5_pa_data</code><a class="headerlink" href="#c.krb5_pa_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_pa_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pa_data</span></span></span><a class="headerlink" href="#c.krb5_pa_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Pre-authentication data.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_pa_data  krb5_pa_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_pa_data krb5_pa_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_pa_data.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_pa_data.magic</code><a class="headerlink" href="#c.krb5_pa_data.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_data.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_data" title="krb5_pa_data"><span class="n"><span class="pre">krb5_pa_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_pa_data.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_pa_data.pa_type">
-<a class="reference internal" href="krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype">krb5_preauthtype</a>  <code class="descname">krb5_pa_data.pa_type</code><a class="headerlink" href="#c.krb5_pa_data.pa_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_data.pa_type">
+<a class="reference internal" href="krb5_preauthtype.html#c.krb5_preauthtype" title="krb5_preauthtype"><span class="n"><span class="pre">krb5_preauthtype</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_data" title="krb5_pa_data"><span class="n"><span class="pre">krb5_pa_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">pa_type</span></span></span><a class="headerlink" href="#c.krb5_pa_data.pa_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Preauthentication data type.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_pa_data.length">
-unsigned int      <code class="descname">krb5_pa_data.length</code><a class="headerlink" href="#c.krb5_pa_data.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_data.length">
+<span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_data" title="krb5_pa_data"><span class="n"><span class="pre">krb5_pa_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_pa_data.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Length of data.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_pa_data.contents">
-<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet">krb5_octet</a> *      <code class="descname">krb5_pa_data.contents</code><a class="headerlink" href="#c.krb5_pa_data.contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_data.contents">
+<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet"><span class="n"><span class="pre">krb5_octet</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_data" title="krb5_pa_data"><span class="n"><span class="pre">krb5_pa_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">contents</span></span></span><a class="headerlink" href="#c.krb5_pa_data.contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Data.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pa_data</a><ul>
@@ -154,6 +147,7 @@ unsigned int      <code class="descname"
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +155,8 @@ unsigned int      <code class="descname"
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_pa_pac_req.html 1.21.3-1/doc/html/appdev/refs/types/krb5_pa_pac_req.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_pa_pac_req.html	2023-08-14 16:24:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_pa_pac_req.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pa_pac_req &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pa_server_referral_data" href="krb5_pa_server_referral_data.html" />
     <link rel="prev" title="krb5_octet" href="krb5_octet.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pa-pac-req">
+  <section id="krb5-pa-pac-req">
 <span id="krb5-pa-pac-req-struct"></span><h1>krb5_pa_pac_req<a class="headerlink" href="#krb5-pa-pac-req" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_pa_pac_req">
-<code class="descname">krb5_pa_pac_req</code><a class="headerlink" href="#c.krb5_pa_pac_req" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_pa_pac_req">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pa_pac_req</span></span></span><a class="headerlink" href="#c.krb5_pa_pac_req" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_pa_pac_req  krb5_pa_pac_req</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_pa_pac_req krb5_pa_pac_req</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_pa_pac_req.include_pac">
-<a class="reference internal" href="krb5_boolean.html#c.krb5_boolean" title="krb5_boolean">krb5_boolean</a>      <code class="descname">krb5_pa_pac_req.include_pac</code><a class="headerlink" href="#c.krb5_pa_pac_req.include_pac" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_pac_req.include_pac">
+<a class="reference internal" href="krb5_boolean.html#c.krb5_boolean" title="krb5_boolean"><span class="n"><span class="pre">krb5_boolean</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_pac_req" title="krb5_pa_pac_req"><span class="n"><span class="pre">krb5_pa_pac_req</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">include_pac</span></span></span><a class="headerlink" href="#c.krb5_pa_pac_req.include_pac" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>TRUE if a PAC should be included in TGS-REP.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pa_pac_req</a><ul>
@@ -136,6 +129,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,8 +137,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_pa_server_referral_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_pa_server_referral_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_pa_server_referral_data.html	2023-08-14 16:24:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_pa_server_referral_data.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pa_server_referral_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pa_svr_referral_data" href="krb5_pa_svr_referral_data.html" />
     <link rel="prev" title="krb5_pa_pac_req" href="krb5_pa_pac_req.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,55 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pa-server-referral-data">
+  <section id="krb5-pa-server-referral-data">
 <span id="krb5-pa-server-referral-data-struct"></span><h1>krb5_pa_server_referral_data<a class="headerlink" href="#krb5-pa-server-referral-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_pa_server_referral_data">
-<code class="descname">krb5_pa_server_referral_data</code><a class="headerlink" href="#c.krb5_pa_server_referral_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_pa_server_referral_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pa_server_referral_data</span></span></span><a class="headerlink" href="#c.krb5_pa_server_referral_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_pa_server_referral_data  krb5_pa_server_referral_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_pa_server_referral_data krb5_pa_server_referral_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_pa_server_referral_data.referred_realm">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a>  *      <code class="descname">krb5_pa_server_referral_data.referred_realm</code><a class="headerlink" href="#c.krb5_pa_server_referral_data.referred_realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_server_referral_data.referred_realm">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_server_referral_data" title="krb5_pa_server_referral_data"><span class="n"><span class="pre">krb5_pa_server_referral_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">referred_realm</span></span></span><a class="headerlink" href="#c.krb5_pa_server_referral_data.referred_realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_pa_server_referral_data.true_principal_name">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_pa_server_referral_data.true_principal_name</code><a class="headerlink" href="#c.krb5_pa_server_referral_data.true_principal_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_server_referral_data.true_principal_name">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_server_referral_data" title="krb5_pa_server_referral_data"><span class="n"><span class="pre">krb5_pa_server_referral_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">true_principal_name</span></span></span><a class="headerlink" href="#c.krb5_pa_server_referral_data.true_principal_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_pa_server_referral_data.requested_principal_name">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_pa_server_referral_data.requested_principal_name</code><a class="headerlink" href="#c.krb5_pa_server_referral_data.requested_principal_name" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_server_referral_data.requested_principal_name">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_server_referral_data" title="krb5_pa_server_referral_data"><span class="n"><span class="pre">krb5_pa_server_referral_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">requested_principal_name</span></span></span><a class="headerlink" href="#c.krb5_pa_server_referral_data.requested_principal_name" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_pa_server_referral_data.referral_valid_until">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_pa_server_referral_data.referral_valid_until</code><a class="headerlink" href="#c.krb5_pa_server_referral_data.referral_valid_until" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_server_referral_data.referral_valid_until">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_server_referral_data" title="krb5_pa_server_referral_data"><span class="n"><span class="pre">krb5_pa_server_referral_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">referral_valid_until</span></span></span><a class="headerlink" href="#c.krb5_pa_server_referral_data.referral_valid_until" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_pa_server_referral_data.rep_cksum">
-<a class="reference internal" href="krb5_checksum.html#c.krb5_checksum" title="krb5_checksum">krb5_checksum</a>     <code class="descname">krb5_pa_server_referral_data.rep_cksum</code><a class="headerlink" href="#c.krb5_pa_server_referral_data.rep_cksum" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_server_referral_data.rep_cksum">
+<a class="reference internal" href="krb5_checksum.html#c.krb5_checksum" title="krb5_checksum"><span class="n"><span class="pre">krb5_checksum</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_server_referral_data" title="krb5_pa_server_referral_data"><span class="n"><span class="pre">krb5_pa_server_referral_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">rep_cksum</span></span></span><a class="headerlink" href="#c.krb5_pa_server_referral_data.rep_cksum" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pa_server_referral_data</a><ul>
@@ -155,6 +148,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +156,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_pa_svr_referral_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_pa_svr_referral_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_pa_svr_referral_data.html	2023-08-14 16:24:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_pa_svr_referral_data.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pa_svr_referral_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pa_data" href="krb5_pa_data.html" />
     <link rel="prev" title="krb5_pa_server_referral_data" href="krb5_pa_server_referral_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,34 +52,36 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pa-svr-referral-data">
+  <section id="krb5-pa-svr-referral-data">
 <span id="krb5-pa-svr-referral-data-struct"></span><h1>krb5_pa_svr_referral_data<a class="headerlink" href="#krb5-pa-svr-referral-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_pa_svr_referral_data">
-<code class="descname">krb5_pa_svr_referral_data</code><a class="headerlink" href="#c.krb5_pa_svr_referral_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_pa_svr_referral_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pa_svr_referral_data</span></span></span><a class="headerlink" href="#c.krb5_pa_svr_referral_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_pa_svr_referral_data  krb5_pa_svr_referral_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_pa_svr_referral_data krb5_pa_svr_referral_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_pa_svr_referral_data.principal">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_pa_svr_referral_data.principal</code><a class="headerlink" href="#c.krb5_pa_svr_referral_data.principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pa_svr_referral_data.principal">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pa_svr_referral_data" title="krb5_pa_svr_referral_data"><span class="n"><span class="pre">krb5_pa_svr_referral_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">principal</span></span></span><a class="headerlink" href="#c.krb5_pa_svr_referral_data.principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Referred name, only realm is required.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pa_svr_referral_data</a><ul>
@@ -136,6 +129,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,8 +137,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_pac.html 1.21.3-1/doc/html/appdev/refs/types/krb5_pac.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_pac.html	2023-08-14 16:24:07.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_pac.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pac &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_rcache" href="krb5_rcache.html" />
     <link rel="prev" title="krb5_keytab" href="krb5_keytab.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,26 +52,28 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pac">
+  <section id="krb5-pac">
 <span id="krb5-pac-struct"></span><h1>krb5_pac<a class="headerlink" href="#krb5-pac" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_pac">
-<code class="descname">krb5_pac</code><a class="headerlink" href="#c.krb5_pac" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_pac">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pac</span></span></span><a class="headerlink" href="#c.krb5_pac" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>PAC data structure to convey authorization information.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct krb5_pac_data* krb5_pac</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pac</a><ul>
@@ -127,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -134,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_pointer.html 1.21.3-1/doc/html/appdev/refs/types/krb5_pointer.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_pointer.html	2023-08-14 16:24:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_pointer.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pointer &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_post_recv_fn" href="krb5_post_recv_fn.html" />
     <link rel="prev" title="krb5_pa_data" href="krb5_pa_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pointer">
+  <section id="krb5-pointer">
 <span id="krb5-pointer-struct"></span><h1>krb5_pointer<a class="headerlink" href="#krb5-pointer" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_pointer">
-<code class="descname">krb5_pointer</code><a class="headerlink" href="#c.krb5_pointer" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_pointer">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pointer</span></span></span><a class="headerlink" href="#c.krb5_pointer" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef void* krb5_pointer</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pointer</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_post_recv_fn.html 1.21.3-1/doc/html/appdev/refs/types/krb5_post_recv_fn.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_post_recv_fn.html	2023-08-14 16:24:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_post_recv_fn.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_post_recv_fn &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pre_send_fn" href="krb5_pre_send_fn.html" />
     <link rel="prev" title="krb5_pointer" href="krb5_pointer.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,28 +52,30 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-post-recv-fn">
+  <section id="krb5-post-recv-fn">
 <span id="krb5-post-recv-fn-struct"></span><h1>krb5_post_recv_fn<a class="headerlink" href="#krb5-post-recv-fn" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_post_recv_fn">
-<code class="descname">krb5_post_recv_fn</code><a class="headerlink" href="#c.krb5_post_recv_fn" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_post_recv_fn">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_post_recv_fn</span></span></span><a class="headerlink" href="#c.krb5_post_recv_fn" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Hook function for inspecting or overriding KDC replies.</p>
 <p>If <em>code</em> is non-zero, KDC communication failed and <em>reply</em> should be ignored. The hook function may return <em>code</em> or a different error code, or may synthesize a reply by setting <em>new_reply_out</em> and return successfully.
-The hook function should use <a class="reference internal" href="../api/krb5_copy_data.html#c.krb5_copy_data" title="krb5_copy_data"><code class="xref c c-func docutils literal"><span class="pre">krb5_copy_data()</span></code></a> to construct the value for <em>new_reply_out</em> , to ensure that it can be freed correctly by the library.</p>
-<div class="section" id="declaration">
+The hook function should use krb5_copy_data() to construct the value for <em>new_reply_out</em> , to ensure that it can be freed correctly by the library.</p>
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_error_code( * krb5_post_recv_fn) (krb5_context context, void *data, krb5_error_code code, const krb5_data *realm, const krb5_data *message, const krb5_data *reply, krb5_data **new_reply_out)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_post_recv_fn</a><ul>
@@ -129,6 +122,7 @@ The hook function should use <a class="r
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -136,8 +130,8 @@ The hook function should use <a class="r
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_pre_send_fn.html 1.21.3-1/doc/html/appdev/refs/types/krb5_pre_send_fn.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_pre_send_fn.html	2023-08-14 16:24:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_pre_send_fn.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pre_send_fn &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_preauthtype" href="krb5_preauthtype.html" />
     <link rel="prev" title="krb5_post_recv_fn" href="krb5_post_recv_fn.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,30 +52,32 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pre-send-fn">
+  <section id="krb5-pre-send-fn">
 <span id="krb5-pre-send-fn-struct"></span><h1>krb5_pre_send_fn<a class="headerlink" href="#krb5-pre-send-fn" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_pre_send_fn">
-<code class="descname">krb5_pre_send_fn</code><a class="headerlink" href="#c.krb5_pre_send_fn" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_pre_send_fn">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pre_send_fn</span></span></span><a class="headerlink" href="#c.krb5_pre_send_fn" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Hook function for inspecting or modifying messages sent to KDCs.</p>
 <p>If the hook function sets <em>new_reply_out</em> , <em>message</em> will not be sent to the KDC, and the given reply will used instead.
 If the hook function sets <em>new_message_out</em> , the given message will be sent to the KDC in place of <em>message</em> .
 If the hook function returns successfully without setting either output, <em>message</em> will be sent to the KDC normally.
-The hook function should use <a class="reference internal" href="../api/krb5_copy_data.html#c.krb5_copy_data" title="krb5_copy_data"><code class="xref c c-func docutils literal"><span class="pre">krb5_copy_data()</span></code></a> to construct the value for <em>new_message_out</em> or <em>reply_out</em> , to ensure that it can be freed correctly by the library.</p>
-<div class="section" id="declaration">
+The hook function should use krb5_copy_data() to construct the value for <em>new_message_out</em> or <em>reply_out</em> , to ensure that it can be freed correctly by the library.</p>
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_error_code( * krb5_pre_send_fn) (krb5_context context, void *data, const krb5_data *realm, const krb5_data *message, krb5_data **new_message_out, krb5_data **new_reply_out)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pre_send_fn</a><ul>
@@ -131,6 +124,7 @@ The hook function should use <a class="r
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@ The hook function should use <a class="r
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_preauthtype.html 1.21.3-1/doc/html/appdev/refs/types/krb5_preauthtype.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_preauthtype.html	2023-08-14 16:24:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_preauthtype.html	2024-06-26 20:01:28.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_preauthtype &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_principal" href="krb5_principal.html" />
     <link rel="prev" title="krb5_pre_send_fn" href="krb5_pre_send_fn.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-preauthtype">
+  <section id="krb5-preauthtype">
 <span id="krb5-preauthtype-struct"></span><h1>krb5_preauthtype<a class="headerlink" href="#krb5-preauthtype" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_preauthtype">
-<code class="descname">krb5_preauthtype</code><a class="headerlink" href="#c.krb5_preauthtype" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_preauthtype">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_preauthtype</span></span></span><a class="headerlink" href="#c.krb5_preauthtype" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_preauthtype</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_preauthtype</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_principal.html 1.21.3-1/doc/html/appdev/refs/types/krb5_principal.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_principal.html	2023-08-14 16:24:08.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_principal.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_principal &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_principal_data" href="krb5_principal_data.html" />
     <link rel="prev" title="krb5_preauthtype" href="krb5_preauthtype.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,56 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal">
+  <section id="krb5-principal">
 <span id="krb5-principal-struct"></span><h1>krb5_principal<a class="headerlink" href="#krb5-principal" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_principal">
-<code class="descname">krb5_principal</code><a class="headerlink" href="#c.krb5_principal" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_principal">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_principal</span></span></span><a class="headerlink" href="#c.krb5_principal" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_principal_data* krb5_principal</p>
-</div>
-<div class="section" id="members">
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_principal.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_principal.magic</code><a class="headerlink" href="#c.krb5_principal.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_principal.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_principal.realm">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_principal.realm</code><a class="headerlink" href="#c.krb5_principal.realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal.realm">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">realm</span></span></span><a class="headerlink" href="#c.krb5_principal.realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_principal.data">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a>  *      <code class="descname">krb5_principal.data</code><a class="headerlink" href="#c.krb5_principal.data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal.data">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">data</span></span></span><a class="headerlink" href="#c.krb5_principal.data" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>An array of strings.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_principal.length">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_principal.length</code><a class="headerlink" href="#c.krb5_principal.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal.length">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_principal.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_principal.type">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_principal.type</code><a class="headerlink" href="#c.krb5_principal.type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal.type">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">type</span></span></span><a class="headerlink" href="#c.krb5_principal.type" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_principal</a><ul>
@@ -156,6 +149,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -163,8 +157,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_principal_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_principal_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_principal_data.html	2023-08-14 16:24:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_principal_data.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_principal_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_prompt" href="krb5_prompt.html" />
     <link rel="prev" title="krb5_principal" href="krb5_principal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,56 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-principal-data">
+  <section id="krb5-principal-data">
 <span id="krb5-principal-data-struct"></span><h1>krb5_principal_data<a class="headerlink" href="#krb5-principal-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_principal_data">
-<code class="descname">krb5_principal_data</code><a class="headerlink" href="#c.krb5_principal_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_principal_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_principal_data</span></span></span><a class="headerlink" href="#c.krb5_principal_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct krb5_principal_data  krb5_principal_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct krb5_principal_data krb5_principal_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_principal_data.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_principal_data.magic</code><a class="headerlink" href="#c.krb5_principal_data.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal_data.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal_data" title="krb5_principal_data"><span class="n"><span class="pre">krb5_principal_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_principal_data.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_principal_data.realm">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_principal_data.realm</code><a class="headerlink" href="#c.krb5_principal_data.realm" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal_data.realm">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal_data" title="krb5_principal_data"><span class="n"><span class="pre">krb5_principal_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">realm</span></span></span><a class="headerlink" href="#c.krb5_principal_data.realm" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_principal_data.data">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a>  *      <code class="descname">krb5_principal_data.data</code><a class="headerlink" href="#c.krb5_principal_data.data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal_data.data">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal_data" title="krb5_principal_data"><span class="n"><span class="pre">krb5_principal_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">data</span></span></span><a class="headerlink" href="#c.krb5_principal_data.data" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>An array of strings.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_principal_data.length">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_principal_data.length</code><a class="headerlink" href="#c.krb5_principal_data.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal_data.length">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal_data" title="krb5_principal_data"><span class="n"><span class="pre">krb5_principal_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_principal_data.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_principal_data.type">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_principal_data.type</code><a class="headerlink" href="#c.krb5_principal_data.type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_principal_data.type">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_principal_data" title="krb5_principal_data"><span class="n"><span class="pre">krb5_principal_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">type</span></span></span><a class="headerlink" href="#c.krb5_principal_data.type" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_principal_data</a><ul>
@@ -156,6 +149,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -163,8 +157,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_prompt.html 1.21.3-1/doc/html/appdev/refs/types/krb5_prompt.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_prompt.html	2023-08-14 16:24:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_prompt.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_prompt &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_prompt_type" href="krb5_prompt_type.html" />
     <link rel="prev" title="krb5_principal_data" href="krb5_principal_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,50 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-prompt">
+  <section id="krb5-prompt">
 <span id="krb5-prompt-struct"></span><h1>krb5_prompt<a class="headerlink" href="#krb5-prompt" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_prompt">
-<code class="descname">krb5_prompt</code><a class="headerlink" href="#c.krb5_prompt" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_prompt">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_prompt</span></span></span><a class="headerlink" href="#c.krb5_prompt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Text for prompt used in prompter callback function.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_prompt  krb5_prompt</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_prompt krb5_prompt</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_prompt.prompt">
-char *    <code class="descname">krb5_prompt.prompt</code><a class="headerlink" href="#c.krb5_prompt.prompt" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_prompt.prompt">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_prompt" title="krb5_prompt"><span class="n"><span class="pre">krb5_prompt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">prompt</span></span></span><a class="headerlink" href="#c.krb5_prompt.prompt" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>The prompt to show to the user.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_prompt.hidden">
-int       <code class="descname">krb5_prompt.hidden</code><a class="headerlink" href="#c.krb5_prompt.hidden" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_prompt.hidden">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_prompt" title="krb5_prompt"><span class="n"><span class="pre">krb5_prompt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">hidden</span></span></span><a class="headerlink" href="#c.krb5_prompt.hidden" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Boolean; informative prompt or hidden (e.g.
 PIN)</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_prompt.reply">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a>  *      <code class="descname">krb5_prompt.reply</code><a class="headerlink" href="#c.krb5_prompt.reply" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_prompt.reply">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_prompt" title="krb5_prompt"><span class="n"><span class="pre">krb5_prompt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">reply</span></span></span><a class="headerlink" href="#c.krb5_prompt.reply" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Must be allocated before call to prompt routine.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_prompt</a><ul>
@@ -150,6 +143,7 @@ PIN)</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +151,8 @@ PIN)</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_prompt_type.html 1.21.3-1/doc/html/appdev/refs/types/krb5_prompt_type.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_prompt_type.html	2023-08-14 16:24:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_prompt_type.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_prompt_type &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_prompter_fct" href="krb5_prompter_fct.html" />
     <link rel="prev" title="krb5_prompt" href="krb5_prompt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-prompt-type">
+  <section id="krb5-prompt-type">
 <span id="krb5-prompt-type-struct"></span><h1>krb5_prompt_type<a class="headerlink" href="#krb5-prompt-type" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_prompt_type">
-<code class="descname">krb5_prompt_type</code><a class="headerlink" href="#c.krb5_prompt_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_prompt_type">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_prompt_type</span></span></span><a class="headerlink" href="#c.krb5_prompt_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_prompt_type</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_prompt_type</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_prompter_fct.html 1.21.3-1/doc/html/appdev/refs/types/krb5_prompter_fct.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_prompter_fct.html	2023-08-14 16:24:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_prompter_fct.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_prompter_fct &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_pwd_data" href="krb5_pwd_data.html" />
     <link rel="prev" title="krb5_prompt_type" href="krb5_prompt_type.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,26 +52,28 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-prompter-fct">
+  <section id="krb5-prompter-fct">
 <span id="krb5-prompter-fct-struct"></span><h1>krb5_prompter_fct<a class="headerlink" href="#krb5-prompter-fct" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_prompter_fct">
-<code class="descname">krb5_prompter_fct</code><a class="headerlink" href="#c.krb5_prompter_fct" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_prompter_fct">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_prompter_fct</span></span></span><a class="headerlink" href="#c.krb5_prompter_fct" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Pointer to a prompter callback function.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_error_code( * krb5_prompter_fct) (krb5_context context, void *data, const char *name, const char *banner, int num_prompts, krb5_prompt prompts[])</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_prompter_fct</a><ul>
@@ -127,6 +120,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -134,8 +128,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_pwd_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_pwd_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_pwd_data.html	2023-08-14 16:24:09.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_pwd_data.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_pwd_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_context" href="krb5_responder_context.html" />
     <link rel="prev" title="krb5_prompter_fct" href="krb5_prompter_fct.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-pwd-data">
+  <section id="krb5-pwd-data">
 <span id="krb5-pwd-data-struct"></span><h1>krb5_pwd_data<a class="headerlink" href="#krb5-pwd-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_pwd_data">
-<code class="descname">krb5_pwd_data</code><a class="headerlink" href="#c.krb5_pwd_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_pwd_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_pwd_data</span></span></span><a class="headerlink" href="#c.krb5_pwd_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_pwd_data  krb5_pwd_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_pwd_data krb5_pwd_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_pwd_data.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_pwd_data.magic</code><a class="headerlink" href="#c.krb5_pwd_data.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pwd_data.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pwd_data" title="krb5_pwd_data"><span class="n"><span class="pre">krb5_pwd_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_pwd_data.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_pwd_data.sequence_count">
-int       <code class="descname">krb5_pwd_data.sequence_count</code><a class="headerlink" href="#c.krb5_pwd_data.sequence_count" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pwd_data.sequence_count">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pwd_data" title="krb5_pwd_data"><span class="n"><span class="pre">krb5_pwd_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">sequence_count</span></span></span><a class="headerlink" href="#c.krb5_pwd_data.sequence_count" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_pwd_data.element">
-<a class="reference internal" href="passwd_phrase_element.html#c.passwd_phrase_element" title="passwd_phrase_element">passwd_phrase_element</a>  ** <code class="descname">krb5_pwd_data.element</code><a class="headerlink" href="#c.krb5_pwd_data.element" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_pwd_data.element">
+<a class="reference internal" href="passwd_phrase_element.html#c.passwd_phrase_element" title="passwd_phrase_element"><span class="n"><span class="pre">passwd_phrase_element</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_pwd_data" title="krb5_pwd_data"><span class="n"><span class="pre">krb5_pwd_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">element</span></span></span><a class="headerlink" href="#c.krb5_pwd_data.element" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_pwd_data</a><ul>
@@ -145,6 +138,7 @@ int       <code class="descname">krb5_pw
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +146,8 @@ int       <code class="descname">krb5_pw
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_rcache.html 1.21.3-1/doc/html/appdev/refs/types/krb5_rcache.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_rcache.html	2023-08-14 16:24:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_rcache.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_rcache &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_tkt_creds_context" href="krb5_tkt_creds_context.html" />
     <link rel="prev" title="krb5_pac" href="krb5_pac.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-rcache">
+  <section id="krb5-rcache">
 <span id="krb5-rcache-struct"></span><h1>krb5_rcache<a class="headerlink" href="#krb5-rcache" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_rcache">
-<code class="descname">krb5_rcache</code><a class="headerlink" href="#c.krb5_rcache" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_rcache">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_rcache</span></span></span><a class="headerlink" href="#c.krb5_rcache" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct krb5_rc_st* krb5_rcache</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_rcache</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_replay_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_replay_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_replay_data.html	2023-08-14 16:24:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_replay_data.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_replay_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_ticket" href="krb5_ticket.html" />
     <link rel="prev" title="krb5_response" href="krb5_response.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,50 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-replay-data">
+  <section id="krb5-replay-data">
 <span id="krb5-replay-data-struct"></span><h1>krb5_replay_data<a class="headerlink" href="#krb5-replay-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_replay_data">
-<code class="descname">krb5_replay_data</code><a class="headerlink" href="#c.krb5_replay_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_replay_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_replay_data</span></span></span><a class="headerlink" href="#c.krb5_replay_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Replay data.</p>
-<p>Sequence number and timestamp information output by <a class="reference internal" href="../api/krb5_rd_priv.html#c.krb5_rd_priv" title="krb5_rd_priv"><code class="xref c c-func docutils literal"><span class="pre">krb5_rd_priv()</span></code></a> and <a class="reference internal" href="../api/krb5_rd_safe.html#c.krb5_rd_safe" title="krb5_rd_safe"><code class="xref c c-func docutils literal"><span class="pre">krb5_rd_safe()</span></code></a> .</p>
-<div class="section" id="declaration">
+<p>Sequence number and timestamp information output by krb5_rd_priv() and krb5_rd_safe().</p>
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct krb5_replay_data  krb5_replay_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct krb5_replay_data krb5_replay_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_replay_data.timestamp">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_replay_data.timestamp</code><a class="headerlink" href="#c.krb5_replay_data.timestamp" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_replay_data.timestamp">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">timestamp</span></span></span><a class="headerlink" href="#c.krb5_replay_data.timestamp" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Timestamp, seconds portion.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_replay_data.usec">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_replay_data.usec</code><a class="headerlink" href="#c.krb5_replay_data.usec" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_replay_data.usec">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">usec</span></span></span><a class="headerlink" href="#c.krb5_replay_data.usec" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Timestamp, microseconds portion.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_replay_data.seq">
-<a class="reference internal" href="krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4">krb5_ui_4</a> <code class="descname">krb5_replay_data.seq</code><a class="headerlink" href="#c.krb5_replay_data.seq" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_replay_data.seq">
+<a class="reference internal" href="krb5_ui_4.html#c.krb5_ui_4" title="krb5_ui_4"><span class="n"><span class="pre">krb5_ui_4</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_replay_data" title="krb5_replay_data"><span class="n"><span class="pre">krb5_replay_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">seq</span></span></span><a class="headerlink" href="#c.krb5_replay_data.seq" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Sequence number.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_replay_data</a><ul>
@@ -150,6 +143,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +151,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_context.html 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_context.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_context.html	2023-08-14 16:24:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_context.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_context &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_fn" href="krb5_responder_fn.html" />
     <link rel="prev" title="krb5_pwd_data" href="krb5_pwd_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,27 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-context">
+  <section id="krb5-responder-context">
 <span id="krb5-responder-context-struct"></span><h1>krb5_responder_context<a class="headerlink" href="#krb5-responder-context" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_responder_context">
-<code class="descname">krb5_responder_context</code><a class="headerlink" href="#c.krb5_responder_context" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_responder_context">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_context</span></span></span><a class="headerlink" href="#c.krb5_responder_context" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>A container for a set of preauthentication questions and answers.</p>
-<p>A responder context is supplied by the krb5 authentication system to a <a class="reference internal" href="krb5_responder_fn.html#c.krb5_responder_fn" title="krb5_responder_fn"><code class="xref c c-type docutils literal"><span class="pre">krb5_responder_fn</span></code></a> callback. It contains a list of questions and can receive answers. Questions contained in a responder context can be listed using <a class="reference internal" href="../api/krb5_responder_list_questions.html#c.krb5_responder_list_questions" title="krb5_responder_list_questions"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_list_questions()</span></code></a> , retrieved using <a class="reference internal" href="../api/krb5_responder_get_challenge.html#c.krb5_responder_get_challenge" title="krb5_responder_get_challenge"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_get_challenge()</span></code></a> , or answered using <a class="reference internal" href="../api/krb5_responder_set_answer.html#c.krb5_responder_set_answer" title="krb5_responder_set_answer"><code class="xref c c-func docutils literal"><span class="pre">krb5_responder_set_answer()</span></code></a> . The form of a question’s challenge and answer depend on the question name.</p>
-<div class="section" id="declaration">
+<p>A responder context is supplied by the krb5 authentication system to a krb5_responder_fn callback. It contains a list of questions and can receive answers. Questions contained in a responder context can be listed using krb5_responder_list_questions(), retrieved using krb5_responder_get_challenge(), or answered using krb5_responder_set_answer(). The form of a question’s challenge and answer depend on the question name.</p>
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct krb5_responder_context_st* krb5_responder_context</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_context</a><ul>
@@ -128,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -135,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_fn.html 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_fn.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_fn.html	2023-08-14 16:24:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_fn.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_fn &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_otp_challenge" href="krb5_responder_otp_challenge.html" />
     <link rel="prev" title="krb5_responder_context" href="krb5_responder_context.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,27 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-fn">
+  <section id="krb5-responder-fn">
 <span id="krb5-responder-fn-struct"></span><h1>krb5_responder_fn<a class="headerlink" href="#krb5-responder-fn" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_responder_fn">
-<code class="descname">krb5_responder_fn</code><a class="headerlink" href="#c.krb5_responder_fn" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_responder_fn">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_fn</span></span></span><a class="headerlink" href="#c.krb5_responder_fn" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Responder function for an initial credential exchange.</p>
 <p>If a required question is unanswered, the prompter may be called.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_error_code( * krb5_responder_fn) (krb5_context ctx, void *data, krb5_responder_context rctx)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_fn</a><ul>
@@ -128,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -135,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_otp_challenge.html 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_otp_challenge.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_otp_challenge.html	2023-08-14 16:24:10.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_otp_challenge.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_otp_challenge &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_otp_tokeninfo" href="krb5_responder_otp_tokeninfo.html" />
     <link rel="prev" title="krb5_responder_fn" href="krb5_responder_fn.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,38 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-challenge">
+  <section id="krb5-responder-otp-challenge">
 <span id="krb5-responder-otp-challenge-struct"></span><h1>krb5_responder_otp_challenge<a class="headerlink" href="#krb5-responder-otp-challenge" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_responder_otp_challenge">
-<code class="descname">krb5_responder_otp_challenge</code><a class="headerlink" href="#c.krb5_responder_otp_challenge" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_challenge">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_otp_challenge</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_challenge" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_responder_otp_challenge  krb5_responder_otp_challenge</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_responder_otp_challenge krb5_responder_otp_challenge</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_responder_otp_challenge.service">
-char *    <code class="descname">krb5_responder_otp_challenge.service</code><a class="headerlink" href="#c.krb5_responder_otp_challenge.service" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_challenge.service">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_otp_challenge" title="krb5_responder_otp_challenge"><span class="n"><span class="pre">krb5_responder_otp_challenge</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">service</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_challenge.service" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_responder_otp_challenge.tokeninfo">
-<a class="reference internal" href="krb5_responder_otp_tokeninfo.html#c.krb5_responder_otp_tokeninfo" title="krb5_responder_otp_tokeninfo">krb5_responder_otp_tokeninfo</a>  **  <code class="descname">krb5_responder_otp_challenge.tokeninfo</code><a class="headerlink" href="#c.krb5_responder_otp_challenge.tokeninfo" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_challenge.tokeninfo">
+<a class="reference internal" href="krb5_responder_otp_tokeninfo.html#c.krb5_responder_otp_tokeninfo" title="krb5_responder_otp_tokeninfo"><span class="n"><span class="pre">krb5_responder_otp_tokeninfo</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_otp_challenge" title="krb5_responder_otp_challenge"><span class="n"><span class="pre">krb5_responder_otp_challenge</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">tokeninfo</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_challenge.tokeninfo" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_otp_challenge</a><ul>
@@ -140,6 +133,7 @@ char *    <code class="descname">krb5_re
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +141,8 @@ char *    <code class="descname">krb5_re
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_otp_tokeninfo.html 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_otp_tokeninfo.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_otp_tokeninfo.html	2023-08-14 16:24:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_otp_tokeninfo.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_otp_tokeninfo &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_pkinit_challenge" href="krb5_responder_pkinit_challenge.html" />
     <link rel="prev" title="krb5_responder_otp_challenge" href="krb5_responder_otp_challenge.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,63 +52,65 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-otp-tokeninfo">
+  <section id="krb5-responder-otp-tokeninfo">
 <span id="krb5-responder-otp-tokeninfo-struct"></span><h1>krb5_responder_otp_tokeninfo<a class="headerlink" href="#krb5-responder-otp-tokeninfo" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_responder_otp_tokeninfo">
-<code class="descname">krb5_responder_otp_tokeninfo</code><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_tokeninfo">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_otp_tokeninfo</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_responder_otp_tokeninfo  krb5_responder_otp_tokeninfo</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_responder_otp_tokeninfo krb5_responder_otp_tokeninfo</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_responder_otp_tokeninfo.flags">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_responder_otp_tokeninfo.flags</code><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_tokeninfo.flags">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_otp_tokeninfo" title="krb5_responder_otp_tokeninfo"><span class="n"><span class="pre">krb5_responder_otp_tokeninfo</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">flags</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_responder_otp_tokeninfo.format">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_responder_otp_tokeninfo.format</code><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.format" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_tokeninfo.format">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_otp_tokeninfo" title="krb5_responder_otp_tokeninfo"><span class="n"><span class="pre">krb5_responder_otp_tokeninfo</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">format</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.format" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_responder_otp_tokeninfo.length">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_responder_otp_tokeninfo.length</code><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_tokeninfo.length">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_otp_tokeninfo" title="krb5_responder_otp_tokeninfo"><span class="n"><span class="pre">krb5_responder_otp_tokeninfo</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_responder_otp_tokeninfo.vendor">
-char *    <code class="descname">krb5_responder_otp_tokeninfo.vendor</code><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.vendor" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_tokeninfo.vendor">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_otp_tokeninfo" title="krb5_responder_otp_tokeninfo"><span class="n"><span class="pre">krb5_responder_otp_tokeninfo</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">vendor</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.vendor" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_responder_otp_tokeninfo.challenge">
-char *    <code class="descname">krb5_responder_otp_tokeninfo.challenge</code><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.challenge" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_tokeninfo.challenge">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_otp_tokeninfo" title="krb5_responder_otp_tokeninfo"><span class="n"><span class="pre">krb5_responder_otp_tokeninfo</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">challenge</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.challenge" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_responder_otp_tokeninfo.token_id">
-char *    <code class="descname">krb5_responder_otp_tokeninfo.token_id</code><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.token_id" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_tokeninfo.token_id">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_otp_tokeninfo" title="krb5_responder_otp_tokeninfo"><span class="n"><span class="pre">krb5_responder_otp_tokeninfo</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">token_id</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.token_id" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_responder_otp_tokeninfo.alg_id">
-char *    <code class="descname">krb5_responder_otp_tokeninfo.alg_id</code><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.alg_id" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_otp_tokeninfo.alg_id">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_otp_tokeninfo" title="krb5_responder_otp_tokeninfo"><span class="n"><span class="pre">krb5_responder_otp_tokeninfo</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">alg_id</span></span></span><a class="headerlink" href="#c.krb5_responder_otp_tokeninfo.alg_id" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_otp_tokeninfo</a><ul>
@@ -165,6 +158,7 @@ char *    <code class="descname">krb5_re
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -172,8 +166,8 @@ char *    <code class="descname">krb5_re
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_pkinit_challenge.html 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_pkinit_challenge.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_pkinit_challenge.html	2023-08-14 16:24:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_pkinit_challenge.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_pkinit_challenge &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_responder_pkinit_identity" href="krb5_responder_pkinit_identity.html" />
     <link rel="prev" title="krb5_responder_otp_tokeninfo" href="krb5_responder_otp_tokeninfo.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,33 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-pkinit-challenge">
+  <section id="krb5-responder-pkinit-challenge">
 <span id="krb5-responder-pkinit-challenge-struct"></span><h1>krb5_responder_pkinit_challenge<a class="headerlink" href="#krb5-responder-pkinit-challenge" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_responder_pkinit_challenge">
-<code class="descname">krb5_responder_pkinit_challenge</code><a class="headerlink" href="#c.krb5_responder_pkinit_challenge" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_responder_pkinit_challenge">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_pkinit_challenge</span></span></span><a class="headerlink" href="#c.krb5_responder_pkinit_challenge" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_responder_pkinit_challenge  krb5_responder_pkinit_challenge</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_responder_pkinit_challenge krb5_responder_pkinit_challenge</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_responder_pkinit_challenge.identities">
-<a class="reference internal" href="krb5_responder_pkinit_identity.html#c.krb5_responder_pkinit_identity" title="krb5_responder_pkinit_identity">krb5_responder_pkinit_identity</a>  **        <code class="descname">krb5_responder_pkinit_challenge.identities</code><a class="headerlink" href="#c.krb5_responder_pkinit_challenge.identities" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_pkinit_challenge.identities">
+<a class="reference internal" href="krb5_responder_pkinit_identity.html#c.krb5_responder_pkinit_identity" title="krb5_responder_pkinit_identity"><span class="n"><span class="pre">krb5_responder_pkinit_identity</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_pkinit_challenge" title="krb5_responder_pkinit_challenge"><span class="n"><span class="pre">krb5_responder_pkinit_challenge</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">identities</span></span></span><a class="headerlink" href="#c.krb5_responder_pkinit_challenge.identities" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_pkinit_challenge</a><ul>
@@ -135,6 +128,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +136,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_pkinit_identity.html 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_pkinit_identity.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_responder_pkinit_identity.html	2023-08-14 16:24:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_responder_pkinit_identity.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_responder_pkinit_identity &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_response" href="krb5_response.html" />
     <link rel="prev" title="krb5_responder_pkinit_challenge" href="krb5_responder_pkinit_challenge.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,38 +52,40 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-responder-pkinit-identity">
+  <section id="krb5-responder-pkinit-identity">
 <span id="krb5-responder-pkinit-identity-struct"></span><h1>krb5_responder_pkinit_identity<a class="headerlink" href="#krb5-responder-pkinit-identity" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_responder_pkinit_identity">
-<code class="descname">krb5_responder_pkinit_identity</code><a class="headerlink" href="#c.krb5_responder_pkinit_identity" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_responder_pkinit_identity">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_responder_pkinit_identity</span></span></span><a class="headerlink" href="#c.krb5_responder_pkinit_identity" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_responder_pkinit_identity  krb5_responder_pkinit_identity</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_responder_pkinit_identity krb5_responder_pkinit_identity</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_responder_pkinit_identity.identity">
-char *    <code class="descname">krb5_responder_pkinit_identity.identity</code><a class="headerlink" href="#c.krb5_responder_pkinit_identity.identity" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_pkinit_identity.identity">
+<span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_pkinit_identity" title="krb5_responder_pkinit_identity"><span class="n"><span class="pre">krb5_responder_pkinit_identity</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">identity</span></span></span><a class="headerlink" href="#c.krb5_responder_pkinit_identity.identity" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_responder_pkinit_identity.token_flags">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_responder_pkinit_identity.token_flags</code><a class="headerlink" href="#c.krb5_responder_pkinit_identity.token_flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_responder_pkinit_identity.token_flags">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_responder_pkinit_identity" title="krb5_responder_pkinit_identity"><span class="n"><span class="pre">krb5_responder_pkinit_identity</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">token_flags</span></span></span><a class="headerlink" href="#c.krb5_responder_pkinit_identity.token_flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_responder_pkinit_identity</a><ul>
@@ -140,6 +133,7 @@ char *    <code class="descname">krb5_re
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +141,8 @@ char *    <code class="descname">krb5_re
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_response.html 1.21.3-1/doc/html/appdev/refs/types/krb5_response.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_response.html	2023-08-14 16:24:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_response.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_response &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_replay_data" href="krb5_replay_data.html" />
     <link rel="prev" title="krb5_responder_pkinit_identity" href="krb5_responder_pkinit_identity.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,55 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-response">
+  <section id="krb5-response">
 <span id="krb5-response-struct"></span><h1>krb5_response<a class="headerlink" href="#krb5-response" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_response">
-<code class="descname">krb5_response</code><a class="headerlink" href="#c.krb5_response" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_response">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_response</span></span></span><a class="headerlink" href="#c.krb5_response" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_response  krb5_response</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_response krb5_response</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_response.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_response.magic</code><a class="headerlink" href="#c.krb5_response.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_response.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_response" title="krb5_response"><span class="n"><span class="pre">krb5_response</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_response.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_response.message_type">
-<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet">krb5_octet</a>        <code class="descname">krb5_response.message_type</code><a class="headerlink" href="#c.krb5_response.message_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_response.message_type">
+<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet"><span class="n"><span class="pre">krb5_octet</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_response" title="krb5_response"><span class="n"><span class="pre">krb5_response</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">message_type</span></span></span><a class="headerlink" href="#c.krb5_response.message_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_response.response">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_response.response</code><a class="headerlink" href="#c.krb5_response.response" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_response.response">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_response" title="krb5_response"><span class="n"><span class="pre">krb5_response</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">response</span></span></span><a class="headerlink" href="#c.krb5_response.response" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_response.expected_nonce">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_response.expected_nonce</code><a class="headerlink" href="#c.krb5_response.expected_nonce" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_response.expected_nonce">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_response" title="krb5_response"><span class="n"><span class="pre">krb5_response</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">expected_nonce</span></span></span><a class="headerlink" href="#c.krb5_response.expected_nonce" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_response.request_time">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_response.request_time</code><a class="headerlink" href="#c.krb5_response.request_time" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_response.request_time">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_response" title="krb5_response"><span class="n"><span class="pre">krb5_response</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">request_time</span></span></span><a class="headerlink" href="#c.krb5_response.request_time" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_response</a><ul>
@@ -155,6 +148,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +156,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_ticket.html 1.21.3-1/doc/html/appdev/refs/types/krb5_ticket.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_ticket.html	2023-08-14 16:24:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_ticket.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_ticket &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_ticket_times" href="krb5_ticket_times.html" />
     <link rel="prev" title="krb5_replay_data" href="krb5_replay_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,55 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ticket">
+  <section id="krb5-ticket">
 <span id="krb5-ticket-struct"></span><h1>krb5_ticket<a class="headerlink" href="#krb5-ticket" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_ticket">
-<code class="descname">krb5_ticket</code><a class="headerlink" href="#c.krb5_ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_ticket">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_ticket</span></span></span><a class="headerlink" href="#c.krb5_ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Ticket structure.</p>
 <p>The C representation of the ticket message, with a pointer to the C representation of the encrypted part.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_ticket  krb5_ticket</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_ticket krb5_ticket</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_ticket.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_ticket.magic</code><a class="headerlink" href="#c.krb5_ticket.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ticket.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_ticket.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ticket.server">
-<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal">krb5_principal</a>    <code class="descname">krb5_ticket.server</code><a class="headerlink" href="#c.krb5_ticket.server" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ticket.server">
+<a class="reference internal" href="krb5_principal.html#c.krb5_principal" title="krb5_principal"><span class="n"><span class="pre">krb5_principal</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">server</span></span></span><a class="headerlink" href="#c.krb5_ticket.server" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>server name/realm</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ticket.enc_part">
-<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data">krb5_enc_data</a>     <code class="descname">krb5_ticket.enc_part</code><a class="headerlink" href="#c.krb5_ticket.enc_part" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ticket.enc_part">
+<a class="reference internal" href="krb5_enc_data.html#c.krb5_enc_data" title="krb5_enc_data"><span class="n"><span class="pre">krb5_enc_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enc_part</span></span></span><a class="headerlink" href="#c.krb5_ticket.enc_part" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>encryption type, kvno, encrypted encoding</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ticket.enc_part2">
-<a class="reference internal" href="krb5_enc_tkt_part.html#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part">krb5_enc_tkt_part</a>  *      <code class="descname">krb5_ticket.enc_part2</code><a class="headerlink" href="#c.krb5_ticket.enc_part2" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ticket.enc_part2">
+<a class="reference internal" href="krb5_enc_tkt_part.html#c.krb5_enc_tkt_part" title="krb5_enc_tkt_part"><span class="n"><span class="pre">krb5_enc_tkt_part</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">enc_part2</span></span></span><a class="headerlink" href="#c.krb5_ticket.enc_part2" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>ptr to decrypted version, if available</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_ticket</a><ul>
@@ -155,6 +148,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +156,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_ticket_times.html 1.21.3-1/doc/html/appdev/refs/types/krb5_ticket_times.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_ticket_times.html	2023-08-14 16:24:11.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_ticket_times.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_ticket_times &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_timestamp" href="krb5_timestamp.html" />
     <link rel="prev" title="krb5_ticket" href="krb5_ticket.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,53 +52,55 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ticket-times">
+  <section id="krb5-ticket-times">
 <span id="krb5-ticket-times-struct"></span><h1>krb5_ticket_times<a class="headerlink" href="#krb5-ticket-times" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_ticket_times">
-<code class="descname">krb5_ticket_times</code><a class="headerlink" href="#c.krb5_ticket_times" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_ticket_times">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_ticket_times</span></span></span><a class="headerlink" href="#c.krb5_ticket_times" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Ticket start time, end time, and renewal duration.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_ticket_times  krb5_ticket_times</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_ticket_times krb5_ticket_times</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_ticket_times.authtime">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_ticket_times.authtime</code><a class="headerlink" href="#c.krb5_ticket_times.authtime" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ticket_times.authtime">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">authtime</span></span></span><a class="headerlink" href="#c.krb5_ticket_times.authtime" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Time at which KDC issued the initial ticket that corresponds to this ticket.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ticket_times.starttime">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_ticket_times.starttime</code><a class="headerlink" href="#c.krb5_ticket_times.starttime" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ticket_times.starttime">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">starttime</span></span></span><a class="headerlink" href="#c.krb5_ticket_times.starttime" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>optional in ticket, if not present, use <em>authtime</em></p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ticket_times.endtime">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_ticket_times.endtime</code><a class="headerlink" href="#c.krb5_ticket_times.endtime" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ticket_times.endtime">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">endtime</span></span></span><a class="headerlink" href="#c.krb5_ticket_times.endtime" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Ticket expiration time.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_ticket_times.renew_till">
-<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp">krb5_timestamp</a>    <code class="descname">krb5_ticket_times.renew_till</code><a class="headerlink" href="#c.krb5_ticket_times.renew_till" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_ticket_times.renew_till">
+<a class="reference internal" href="krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><span class="n"><span class="pre">krb5_timestamp</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_ticket_times" title="krb5_ticket_times"><span class="n"><span class="pre">krb5_ticket_times</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">renew_till</span></span></span><a class="headerlink" href="#c.krb5_ticket_times.renew_till" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Latest time at which renewal of ticket can be valid.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_ticket_times</a><ul>
@@ -155,6 +148,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -162,8 +156,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_timestamp.html 1.21.3-1/doc/html/appdev/refs/types/krb5_timestamp.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_timestamp.html	2023-08-14 16:24:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_timestamp.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_timestamp &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_tkt_authent" href="krb5_tkt_authent.html" />
     <link rel="prev" title="krb5_ticket_times" href="krb5_ticket_times.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,27 +52,29 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-timestamp">
+  <section id="krb5-timestamp">
 <span id="krb5-timestamp-struct"></span><h1>krb5_timestamp<a class="headerlink" href="#krb5-timestamp" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_timestamp">
-<code class="descname">krb5_timestamp</code><a class="headerlink" href="#c.krb5_timestamp" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_timestamp">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_timestamp</span></span></span><a class="headerlink" href="#c.krb5_timestamp" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Represents a timestamp in seconds since the POSIX epoch.</p>
 <p>This legacy type is used frequently in the ABI, but cannot represent timestamps after 2038 as a positive number. Code which uses this type should cast values of it to uint32_t so that negative values are treated as timestamps between 2038 and 2106 on platforms with 64-bit time_t.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef krb5_int32 krb5_timestamp</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_timestamp</a><ul>
@@ -128,6 +121,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -135,8 +129,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_tkt_authent.html 1.21.3-1/doc/html/appdev/refs/types/krb5_tkt_authent.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_tkt_authent.html	2023-08-14 16:24:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_tkt_authent.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_tkt_authent &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_trace_callback" href="krb5_trace_callback.html" />
     <link rel="prev" title="krb5_timestamp" href="krb5_timestamp.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,49 +52,51 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tkt-authent">
+  <section id="krb5-tkt-authent">
 <span id="krb5-tkt-authent-struct"></span><h1>krb5_tkt_authent<a class="headerlink" href="#krb5-tkt-authent" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_tkt_authent">
-<code class="descname">krb5_tkt_authent</code><a class="headerlink" href="#c.krb5_tkt_authent" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_tkt_authent">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_tkt_authent</span></span></span><a class="headerlink" href="#c.krb5_tkt_authent" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Ticket authentication data.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_tkt_authent  krb5_tkt_authent</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_tkt_authent krb5_tkt_authent</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_tkt_authent.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_tkt_authent.magic</code><a class="headerlink" href="#c.krb5_tkt_authent.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_tkt_authent.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_tkt_authent" title="krb5_tkt_authent"><span class="n"><span class="pre">krb5_tkt_authent</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_tkt_authent.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_tkt_authent.ticket">
-<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket">krb5_ticket</a>  *    <code class="descname">krb5_tkt_authent.ticket</code><a class="headerlink" href="#c.krb5_tkt_authent.ticket" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_tkt_authent.ticket">
+<a class="reference internal" href="krb5_ticket.html#c.krb5_ticket" title="krb5_ticket"><span class="n"><span class="pre">krb5_ticket</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_tkt_authent" title="krb5_tkt_authent"><span class="n"><span class="pre">krb5_tkt_authent</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ticket</span></span></span><a class="headerlink" href="#c.krb5_tkt_authent.ticket" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_tkt_authent.authenticator">
-<a class="reference internal" href="krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator">krb5_authenticator</a>  *     <code class="descname">krb5_tkt_authent.authenticator</code><a class="headerlink" href="#c.krb5_tkt_authent.authenticator" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_tkt_authent.authenticator">
+<a class="reference internal" href="krb5_authenticator.html#c.krb5_authenticator" title="krb5_authenticator"><span class="n"><span class="pre">krb5_authenticator</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_tkt_authent" title="krb5_tkt_authent"><span class="n"><span class="pre">krb5_tkt_authent</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">authenticator</span></span></span><a class="headerlink" href="#c.krb5_tkt_authent.authenticator" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_tkt_authent.ap_options">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_tkt_authent.ap_options</code><a class="headerlink" href="#c.krb5_tkt_authent.ap_options" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_tkt_authent.ap_options">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_tkt_authent" title="krb5_tkt_authent"><span class="n"><span class="pre">krb5_tkt_authent</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ap_options</span></span></span><a class="headerlink" href="#c.krb5_tkt_authent.ap_options" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_tkt_authent</a><ul>
@@ -151,6 +144,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +152,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_tkt_creds_context.html 1.21.3-1/doc/html/appdev/refs/types/krb5_tkt_creds_context.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_tkt_creds_context.html	2023-08-14 16:24:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_tkt_creds_context.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_tkt_creds_context &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5 simple macros" href="../macros/index.html" />
     <link rel="prev" title="krb5_rcache" href="krb5_rcache.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-tkt-creds-context">
+  <section id="krb5-tkt-creds-context">
 <span id="krb5-tkt-creds-context-struct"></span><h1>krb5_tkt_creds_context<a class="headerlink" href="#krb5-tkt-creds-context" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_tkt_creds_context">
-<code class="descname">krb5_tkt_creds_context</code><a class="headerlink" href="#c.krb5_tkt_creds_context" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_tkt_creds_context">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_tkt_creds_context</span></span></span><a class="headerlink" href="#c.krb5_tkt_creds_context" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef struct _krb5_tkt_creds_context* krb5_tkt_creds_context</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_tkt_creds_context</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_trace_callback.html 1.21.3-1/doc/html/appdev/refs/types/krb5_trace_callback.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_trace_callback.html	2023-08-14 16:24:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_trace_callback.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_trace_callback &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_trace_info" href="krb5_trace_info.html" />
     <link rel="prev" title="krb5_tkt_authent" href="krb5_tkt_authent.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-trace-callback">
+  <section id="krb5-trace-callback">
 <span id="krb5-trace-callback-struct"></span><h1>krb5_trace_callback<a class="headerlink" href="#krb5-trace-callback" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_trace_callback">
-<code class="descname">krb5_trace_callback</code><a class="headerlink" href="#c.krb5_trace_callback" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_trace_callback">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_trace_callback</span></span></span><a class="headerlink" href="#c.krb5_trace_callback" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef void( * krb5_trace_callback) (krb5_context context, const krb5_trace_info *info, void *cb_data)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_trace_callback</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_trace_info.html 1.21.3-1/doc/html/appdev/refs/types/krb5_trace_info.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_trace_info.html	2023-08-14 16:24:12.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_trace_info.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_trace_info &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_transited" href="krb5_transited.html" />
     <link rel="prev" title="krb5_trace_callback" href="krb5_trace_callback.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,37 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-trace-info">
+  <section id="krb5-trace-info">
 <span id="krb5-trace-info-struct"></span><h1>krb5_trace_info<a class="headerlink" href="#krb5-trace-info" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_trace_info">
-<code class="descname">krb5_trace_info</code><a class="headerlink" href="#c.krb5_trace_info" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_trace_info">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_trace_info</span></span></span><a class="headerlink" href="#c.krb5_trace_info" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>A wrapper for passing information to a <em>krb5_trace_callback</em> .</p>
 <p>Currently, it only contains the formatted message as determined the the format string and arguments of the tracing macro, but it may be extended to contain more fields in the future.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_trace_info  krb5_trace_info</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_trace_info krb5_trace_info</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_trace_info.message">
-const char *      <code class="descname">krb5_trace_info.message</code><a class="headerlink" href="#c.krb5_trace_info.message" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_trace_info.message">
+<span class="k"><span class="pre">const</span></span><span class="w"> </span><span class="kt"><span class="pre">char</span></span><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_trace_info" title="krb5_trace_info"><span class="n"><span class="pre">krb5_trace_info</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">message</span></span></span><a class="headerlink" href="#c.krb5_trace_info.message" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_trace_info</a><ul>
@@ -137,6 +130,7 @@ const char *      <code class="descname"
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -144,8 +138,8 @@ const char *      <code class="descname"
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_transited.html 1.21.3-1/doc/html/appdev/refs/types/krb5_transited.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_transited.html	2023-08-14 16:24:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_transited.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_transited &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_typed_data" href="krb5_typed_data.html" />
     <link rel="prev" title="krb5_trace_info" href="krb5_trace_info.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,46 +52,48 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-transited">
+  <section id="krb5-transited">
 <span id="krb5-transited-struct"></span><h1>krb5_transited<a class="headerlink" href="#krb5-transited" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_transited">
-<code class="descname">krb5_transited</code><a class="headerlink" href="#c.krb5_transited" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_transited">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_transited</span></span></span><a class="headerlink" href="#c.krb5_transited" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
 <p>Structure for transited encoding.</p>
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_transited  krb5_transited</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_transited krb5_transited</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_transited.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_transited.magic</code><a class="headerlink" href="#c.krb5_transited.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_transited.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_transited" title="krb5_transited"><span class="n"><span class="pre">krb5_transited</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_transited.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_transited.tr_type">
-<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet">krb5_octet</a>        <code class="descname">krb5_transited.tr_type</code><a class="headerlink" href="#c.krb5_transited.tr_type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_transited.tr_type">
+<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet"><span class="n"><span class="pre">krb5_octet</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_transited" title="krb5_transited"><span class="n"><span class="pre">krb5_transited</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">tr_type</span></span></span><a class="headerlink" href="#c.krb5_transited.tr_type" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Transited encoding type.</p>
 </dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_transited.tr_contents">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a> <code class="descname">krb5_transited.tr_contents</code><a class="headerlink" href="#c.krb5_transited.tr_contents" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_transited.tr_contents">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_transited" title="krb5_transited"><span class="n"><span class="pre">krb5_transited</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">tr_contents</span></span></span><a class="headerlink" href="#c.krb5_transited.tr_contents" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>Contents.</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_transited</a><ul>
@@ -148,6 +141,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +149,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_typed_data.html 1.21.3-1/doc/html/appdev/refs/types/krb5_typed_data.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_typed_data.html	2023-08-14 16:24:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_typed_data.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_typed_data &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_ui_2" href="krb5_ui_2.html" />
     <link rel="prev" title="krb5_transited" href="krb5_transited.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,48 +52,50 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-typed-data">
+  <section id="krb5-typed-data">
 <span id="krb5-typed-data-struct"></span><h1>krb5_typed_data<a class="headerlink" href="#krb5-typed-data" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_typed_data">
-<code class="descname">krb5_typed_data</code><a class="headerlink" href="#c.krb5_typed_data" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_typed_data">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_typed_data</span></span></span><a class="headerlink" href="#c.krb5_typed_data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_typed_data  krb5_typed_data</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_typed_data krb5_typed_data</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_typed_data.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">krb5_typed_data.magic</code><a class="headerlink" href="#c.krb5_typed_data.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_typed_data.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_typed_data" title="krb5_typed_data"><span class="n"><span class="pre">krb5_typed_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.krb5_typed_data.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_typed_data.type">
-<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32">krb5_int32</a>        <code class="descname">krb5_typed_data.type</code><a class="headerlink" href="#c.krb5_typed_data.type" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_typed_data.type">
+<a class="reference internal" href="krb5_int32.html#c.krb5_int32" title="krb5_int32"><span class="n"><span class="pre">krb5_int32</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_typed_data" title="krb5_typed_data"><span class="n"><span class="pre">krb5_typed_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">type</span></span></span><a class="headerlink" href="#c.krb5_typed_data.type" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_typed_data.length">
-unsigned int      <code class="descname">krb5_typed_data.length</code><a class="headerlink" href="#c.krb5_typed_data.length" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_typed_data.length">
+<span class="kt"><span class="pre">unsigned</span></span><span class="w"> </span><span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_typed_data" title="krb5_typed_data"><span class="n"><span class="pre">krb5_typed_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">length</span></span></span><a class="headerlink" href="#c.krb5_typed_data.length" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_typed_data.data">
-<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet">krb5_octet</a> *      <code class="descname">krb5_typed_data.data</code><a class="headerlink" href="#c.krb5_typed_data.data" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_typed_data.data">
+<a class="reference internal" href="krb5_octet.html#c.krb5_octet" title="krb5_octet"><span class="n"><span class="pre">krb5_octet</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_typed_data" title="krb5_typed_data"><span class="n"><span class="pre">krb5_typed_data</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">data</span></span></span><a class="headerlink" href="#c.krb5_typed_data.data" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_typed_data</a><ul>
@@ -150,6 +143,7 @@ unsigned int      <code class="descname"
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -157,8 +151,8 @@ unsigned int      <code class="descname"
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_ui_2.html 1.21.3-1/doc/html/appdev/refs/types/krb5_ui_2.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_ui_2.html	2023-08-14 16:24:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_ui_2.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_ui_2 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_ui_4" href="krb5_ui_4.html" />
     <link rel="prev" title="krb5_typed_data" href="krb5_typed_data.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ui-2">
+  <section id="krb5-ui-2">
 <span id="krb5-ui-2-struct"></span><h1>krb5_ui_2<a class="headerlink" href="#krb5-ui-2" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_ui_2">
-<code class="descname">krb5_ui_2</code><a class="headerlink" href="#c.krb5_ui_2" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_ui_2">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_ui_2</span></span></span><a class="headerlink" href="#c.krb5_ui_2" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef uint16_t krb5_ui_2</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_ui_2</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_ui_4.html 1.21.3-1/doc/html/appdev/refs/types/krb5_ui_4.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_ui_4.html	2023-08-14 16:24:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_ui_4.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_ui_4 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_verify_init_creds_opt" href="krb5_verify_init_creds_opt.html" />
     <link rel="prev" title="krb5_ui_2" href="krb5_ui_2.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,25 +52,27 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-ui-4">
+  <section id="krb5-ui-4">
 <span id="krb5-ui-4-struct"></span><h1>krb5_ui_4<a class="headerlink" href="#krb5-ui-4" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_ui_4">
-<code class="descname">krb5_ui_4</code><a class="headerlink" href="#c.krb5_ui_4" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_ui_4">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_ui_4</span></span></span><a class="headerlink" href="#c.krb5_ui_4" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
 <p>typedef uint32_t krb5_ui_4</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_ui_4</a><ul>
@@ -126,6 +119,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -133,8 +127,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/krb5_verify_init_creds_opt.html 1.21.3-1/doc/html/appdev/refs/types/krb5_verify_init_creds_opt.html
--- 1.21.2-1/doc/html/appdev/refs/types/krb5_verify_init_creds_opt.html	2023-08-14 16:24:13.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/krb5_verify_init_creds_opt.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5_verify_init_creds_opt &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="passwd_phrase_element" href="passwd_phrase_element.html" />
     <link rel="prev" title="krb5_ui_4" href="krb5_ui_4.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,39 +52,41 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-verify-init-creds-opt">
+  <section id="krb5-verify-init-creds-opt">
 <span id="krb5-verify-init-creds-opt-struct"></span><h1>krb5_verify_init_creds_opt<a class="headerlink" href="#krb5-verify-init-creds-opt" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.krb5_verify_init_creds_opt">
-<code class="descname">krb5_verify_init_creds_opt</code><a class="headerlink" href="#c.krb5_verify_init_creds_opt" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.krb5_verify_init_creds_opt">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">krb5_verify_init_creds_opt</span></span></span><a class="headerlink" href="#c.krb5_verify_init_creds_opt" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _krb5_verify_init_creds_opt  krb5_verify_init_creds_opt</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _krb5_verify_init_creds_opt krb5_verify_init_creds_opt</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.krb5_verify_init_creds_opt.flags">
-<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags">krb5_flags</a>        <code class="descname">krb5_verify_init_creds_opt.flags</code><a class="headerlink" href="#c.krb5_verify_init_creds_opt.flags" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_verify_init_creds_opt.flags">
+<a class="reference internal" href="krb5_flags.html#c.krb5_flags" title="krb5_flags"><span class="n"><span class="pre">krb5_flags</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_verify_init_creds_opt" title="krb5_verify_init_creds_opt"><span class="n"><span class="pre">krb5_verify_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">flags</span></span></span><a class="headerlink" href="#c.krb5_verify_init_creds_opt.flags" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.krb5_verify_init_creds_opt.ap_req_nofail">
-int       <code class="descname">krb5_verify_init_creds_opt.ap_req_nofail</code><a class="headerlink" href="#c.krb5_verify_init_creds_opt.ap_req_nofail" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.krb5_verify_init_creds_opt.ap_req_nofail">
+<span class="kt"><span class="pre">int</span></span><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.krb5_verify_init_creds_opt" title="krb5_verify_init_creds_opt"><span class="n"><span class="pre">krb5_verify_init_creds_opt</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">ap_req_nofail</span></span></span><a class="headerlink" href="#c.krb5_verify_init_creds_opt.ap_req_nofail" title="Permalink to this definition">¶</a><br /></dt>
 <dd><p>boolean</p>
 </dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5_verify_init_creds_opt</a><ul>
@@ -141,6 +134,7 @@ int       <code class="descname">krb5_ve
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -148,8 +142,8 @@ int       <code class="descname">krb5_ve
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/refs/types/passwd_phrase_element.html 1.21.3-1/doc/html/appdev/refs/types/passwd_phrase_element.html
--- 1.21.2-1/doc/html/appdev/refs/types/passwd_phrase_element.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/refs/types/passwd_phrase_element.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>passwd_phrase_element &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../../_static/kerb.css" />
+    <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
+    <script src="../../../_static/jquery.js"></script>
+    <script src="../../../_static/underscore.js"></script>
+    <script src="../../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../../about.html" />
     <link rel="index" title="Index" href="../../../genindex.html" />
     <link rel="search" title="Search" href="../../../search.html" />
     <link rel="copyright" title="Copyright" href="../../../copyright.html" />
     <link rel="next" title="krb5_auth_context" href="krb5_auth_context.html" />
     <link rel="prev" title="krb5_verify_init_creds_opt" href="krb5_verify_init_creds_opt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,43 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="passwd-phrase-element">
+  <section id="passwd-phrase-element">
 <span id="passwd-phrase-element-struct"></span><h1>passwd_phrase_element<a class="headerlink" href="#passwd-phrase-element" title="Permalink to this headline">¶</a></h1>
-<dl class="type">
-<dt id="c.passwd_phrase_element">
-<code class="descname">passwd_phrase_element</code><a class="headerlink" href="#c.passwd_phrase_element" title="Permalink to this definition">¶</a></dt>
+<dl class="c type">
+<dt class="sig sig-object c" id="c.passwd_phrase_element">
+<span class="k"><span class="pre">type</span></span><span class="w"> </span><span class="sig-name descname"><span class="n"><span class="pre">passwd_phrase_element</span></span></span><a class="headerlink" href="#c.passwd_phrase_element" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<div class="section" id="declaration">
+<section id="declaration">
 <h2>Declaration<a class="headerlink" href="#declaration" title="Permalink to this headline">¶</a></h2>
-<p>typedef struct _passwd_phrase_element  passwd_phrase_element</p>
-</div>
-<div class="section" id="members">
+<p>typedef struct _passwd_phrase_element passwd_phrase_element</p>
+</section>
+<section id="members">
 <h2>Members<a class="headerlink" href="#members" title="Permalink to this headline">¶</a></h2>
-<dl class="member">
-<dt id="c.passwd_phrase_element.magic">
-<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic">krb5_magic</a>        <code class="descname">passwd_phrase_element.magic</code><a class="headerlink" href="#c.passwd_phrase_element.magic" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.passwd_phrase_element.magic">
+<a class="reference internal" href="krb5_magic.html#c.krb5_magic" title="krb5_magic"><span class="n"><span class="pre">krb5_magic</span></span></a><span class="w"> </span><span class="sig-prename descclassname"><a class="reference internal" href="#c.passwd_phrase_element" title="passwd_phrase_element"><span class="n"><span class="pre">passwd_phrase_element</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">magic</span></span></span><a class="headerlink" href="#c.passwd_phrase_element.magic" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.passwd_phrase_element.passwd">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a>  *      <code class="descname">passwd_phrase_element.passwd</code><a class="headerlink" href="#c.passwd_phrase_element.passwd" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.passwd_phrase_element.passwd">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.passwd_phrase_element" title="passwd_phrase_element"><span class="n"><span class="pre">passwd_phrase_element</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">passwd</span></span></span><a class="headerlink" href="#c.passwd_phrase_element.passwd" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-<dl class="member">
-<dt id="c.passwd_phrase_element.phrase">
-<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data">krb5_data</a>  *      <code class="descname">passwd_phrase_element.phrase</code><a class="headerlink" href="#c.passwd_phrase_element.phrase" title="Permalink to this definition">¶</a></dt>
+<dl class="c member">
+<dt class="sig sig-object c" id="c.passwd_phrase_element.phrase">
+<a class="reference internal" href="krb5_data.html#c.krb5_data" title="krb5_data"><span class="n"><span class="pre">krb5_data</span></span></a><span class="w"> </span><span class="p"><span class="pre">*</span></span><span class="sig-prename descclassname"><a class="reference internal" href="#c.passwd_phrase_element" title="passwd_phrase_element"><span class="n"><span class="pre">passwd_phrase_element</span></span></a><span class="p"><span class="pre">.</span></span></span><span class="sig-name descname"><span class="n"><span class="pre">phrase</span></span></span><a class="headerlink" href="#c.passwd_phrase_element.phrase" title="Permalink to this definition">¶</a><br /></dt>
 <dd></dd></dl>
 
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">passwd_phrase_element</a><ul>
@@ -145,6 +138,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +146,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/appdev/y2038.html 1.21.3-1/doc/html/appdev/y2038.html
--- 1.21.2-1/doc/html/appdev/y2038.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/appdev/y2038.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Year 2038 considerations for uses of krb5_timestamp &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Differences between Heimdal and MIT Kerberos API" href="h5l_mit_apidiff.html" />
     <link rel="prev" title="Developing with GSSAPI" href="gssapi.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="year-2038-considerations-for-uses-of-krb5-timestamp">
+  <section id="year-2038-considerations-for-uses-of-krb5-timestamp">
 <h1>Year 2038 considerations for uses of krb5_timestamp<a class="headerlink" href="#year-2038-considerations-for-uses-of-krb5-timestamp" title="Permalink to this headline">¶</a></h1>
 <p>POSIX time values, which measure the number of seconds since January 1
 1970, will exceed the maximum value representable in a signed 32-bit
@@ -69,12 +60,12 @@ integer in January 2038.  This documenta
 for consumers of the MIT krb5 libraries.</p>
 <p>Applications or libraries which use libkrb5 and consume the timestamps
 included in credentials or other structures make use of the
-<a class="reference internal" href="refs/types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><code class="xref c c-type docutils literal"><span class="pre">krb5_timestamp</span></code></a> type.  For historical reasons, krb5_timestamp
+<a class="reference internal" href="refs/types/krb5_timestamp.html#c.krb5_timestamp" title="krb5_timestamp"><code class="xref c c-type docutils literal notranslate"><span class="pre">krb5_timestamp</span></code></a> type.  For historical reasons, krb5_timestamp
 is a signed 32-bit integer, even on platforms where a larger type is
 natively used to represent time values.  To behave properly for time
 values after January 2038, calling code should cast krb5_timestamp
 values to uint32_t, and then to time_t:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="p">(</span><span class="n">time_t</span><span class="p">)(</span><span class="n">uint32_t</span><span class="p">)</span><span class="n">timestamp</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">(</span><span class="n">time_t</span><span class="p">)(</span><span class="n">uint32_t</span><span class="p">)</span><span class="n">timestamp</span>
 </pre></div>
 </div>
 <p>Used in this way, krb5_timestamp values can represent time values up
@@ -86,14 +77,16 @@ integer.</p>
 times.  Callers of the GSSAPI should require no changes to behave
 correctly after January 2038, provided that they use MIT krb5 release
 1.16 or later.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Year 2038 considerations for uses of krb5_timestamp</a></li>
@@ -132,6 +125,7 @@ correctly after January 2038, provided t
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -139,8 +133,8 @@ correctly after January 2038, provided t
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/basic/ccache_def.html 1.21.3-1/doc/html/basic/ccache_def.html
--- 1.21.2-1/doc/html/basic/ccache_def.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/basic/ccache_def.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Credential cache &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="keytab" href="keytab_def.html" />
     <link rel="prev" title="Kerberos V5 concepts" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="credential-cache">
+  <section id="credential-cache">
 <span id="ccache-definition"></span><h1>Credential cache<a class="headerlink" href="#credential-cache" title="Permalink to this headline">¶</a></h1>
 <p>A credential cache (or “ccache”) holds Kerberos credentials while they
 remain valid and, generally, while the user’s session lasts, so that
@@ -82,7 +73,7 @@ principal name (which, in some ccache ty
 the default), lifetime information, and flags, along with the
 credential itself.  There are also other entries, indicated by special
 names, that store additional information.</p>
-<div class="section" id="ccache-types">
+<section id="ccache-types">
 <h2>ccache types<a class="headerlink" href="#ccache-types" title="Permalink to this headline">¶</a></h2>
 <p>The credential cache interface, like the <a class="reference internal" href="keytab_def.html#keytab-definition"><span class="std std-ref">keytab</span></a> and
 <a class="reference internal" href="rcache_def.html#rcache-definition"><span class="std std-ref">replay cache</span></a> interfaces, uses <cite>TYPE:value</cite> strings to
@@ -93,11 +84,10 @@ Kerberos library.  Not all are supported
 cases, it should be correct to use the default type built into the
 library.</p>
 <ol class="arabic">
-<li><p class="first"><strong>API</strong> is only implemented on Windows.  It communicates with a
+<li><p><strong>API</strong> is only implemented on Windows.  It communicates with a
 server process that holds the credentials in memory for the user,
-rather than writing them to disk.</p>
-</li>
-<li><p class="first"><strong>DIR</strong> points to the storage location of the collection of the
+rather than writing them to disk.</p></li>
+<li><p><strong>DIR</strong> points to the storage location of the collection of the
 credential caches in <em>FILE:</em> format. It is most useful when dealing
 with multiple Kerberos realms and KDCs.  For release 1.10 the
 directory must already exist.  In post-1.10 releases the
@@ -106,20 +96,19 @@ process must have permissions to create
 not exist. See <a class="reference internal" href="#col-ccache"><span class="std std-ref">Collections of caches</span></a> for details.  New in release 1.10.
 The following residual forms are supported:</p>
 <ul class="simple">
-<li>DIR:dirname</li>
-<li>DIR::dirpath/filename - a single cache within the directory</li>
+<li><p>DIR:dirname</p></li>
+<li><p>DIR::dirpath/filename - a single cache within the directory</p></li>
 </ul>
 <p>Switching to a ccache of the latter type causes it to become the
 primary for the directory.</p>
 </li>
-<li><p class="first"><strong>FILE</strong> caches are the simplest and most portable. A simple flat
+<li><p><strong>FILE</strong> caches are the simplest and most portable. A simple flat
 file format is used to store one credential after another.  This is
-the default ccache type if no type is specified in a ccache name.</p>
-</li>
-<li><p class="first"><strong>KCM</strong> caches work by contacting a daemon process called <code class="docutils literal"><span class="pre">kcm</span></code>
-to perform cache operations.  If the cache name is just <code class="docutils literal"><span class="pre">KCM:</span></code>,
+the default ccache type if no type is specified in a ccache name.</p></li>
+<li><p><strong>KCM</strong> caches work by contacting a daemon process called <code class="docutils literal notranslate"><span class="pre">kcm</span></code>
+to perform cache operations.  If the cache name is just <code class="docutils literal notranslate"><span class="pre">KCM:</span></code>,
 the default cache as determined by the KCM daemon will be used.
-Newly created caches must generally be named <code class="docutils literal"><span class="pre">KCM:uid:name</span></code>,
+Newly created caches must generally be named <code class="docutils literal notranslate"><span class="pre">KCM:uid:name</span></code>,
 where <em>uid</em> is the effective user ID of the running process.</p>
 <p>KCM client support is new in release 1.13.  A KCM daemon has not
 yet been implemented in MIT krb5, but the client will interoperate
@@ -128,41 +117,39 @@ provides a KCM daemon as part of the ope
 <strong>KCM</strong> cache type is used as the default cache on that platform in
 a default build.</p>
 </li>
-<li><p class="first"><strong>KEYRING</strong> is Linux-specific, and uses the kernel keyring support
+<li><p><strong>KEYRING</strong> is Linux-specific, and uses the kernel keyring support
 to store credential data in unswappable kernel memory where only
 the current user should be able to access it.  The following
 residual forms are supported:</p>
 <ul class="simple">
-<li>KEYRING:name</li>
-<li>KEYRING:process:name - process keyring</li>
-<li>KEYRING:thread:name -  thread keyring</li>
+<li><p>KEYRING:name</p></li>
+<li><p>KEYRING:process:name - process keyring</p></li>
+<li><p>KEYRING:thread:name -  thread keyring</p></li>
 </ul>
 <p>Starting with release 1.12 the <em>KEYRING</em> type supports collections.
 The following new residual forms were added:</p>
 <ul class="simple">
-<li>KEYRING:session:name - session keyring</li>
-<li>KEYRING:user:name - user keyring</li>
-<li>KEYRING:persistent:uidnumber - persistent per-UID collection.
+<li><p>KEYRING:session:name - session keyring</p></li>
+<li><p>KEYRING:user:name - user keyring</p></li>
+<li><p>KEYRING:persistent:uidnumber - persistent per-UID collection.
 Unlike the user keyring, this collection survives after the user
 logs out, until the cache credentials expire.  This type of
 ccache requires support from the kernel; otherwise, it will fall
-back to the user keyring.</li>
+back to the user keyring.</p></li>
 </ul>
 <p>See <a class="reference internal" href="#col-ccache"><span class="std std-ref">Collections of caches</span></a> for details.</p>
 </li>
-<li><p class="first"><strong>MEMORY</strong> caches are for storage of credentials that don’t need to
+<li><p><strong>MEMORY</strong> caches are for storage of credentials that don’t need to
 be made available outside of the current process.  For example, a
 memory ccache is used by <a class="reference internal" href="../admin/admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> to store the
 administrative ticket used to contact the admin server.  Memory
 ccaches are faster than file ccaches and are automatically
-destroyed when the process exits.</p>
-</li>
-<li><p class="first"><strong>MSLSA</strong> is a Windows-specific cache type that accesses the
-Windows credential store.</p>
-</li>
+destroyed when the process exits.</p></li>
+<li><p><strong>MSLSA</strong> is a Windows-specific cache type that accesses the
+Windows credential store.</p></li>
 </ol>
-</div>
-<div class="section" id="collections-of-caches">
+</section>
+<section id="collections-of-caches">
 <span id="col-ccache"></span><h2>Collections of caches<a class="headerlink" href="#collections-of-caches" title="Permalink to this headline">¶</a></h2>
 <p>Some credential cache types can support collections of multiple
 caches.  One of the caches in the collection is designated as the
@@ -176,43 +163,45 @@ the target service realm.</p>
 from the <strong>DIR</strong> and <strong>API</strong> ccache types.  Starting in release 1.12,
 collections are also supported by the <strong>KEYRING</strong> ccache type.
 Collections are supported by the <strong>KCM</strong> ccache type in release 1.13.</p>
-<div class="section" id="tool-alterations-to-use-cache-collection">
+<section id="tool-alterations-to-use-cache-collection">
 <h3>Tool alterations to use cache collection<a class="headerlink" href="#tool-alterations-to-use-cache-collection" title="Permalink to this headline">¶</a></h3>
 <ul class="simple">
-<li><a class="reference internal" href="../user/user_commands/kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a> <em>-A</em> will destroy all caches in the collection.</li>
-<li>If the default cache type supports switching, <a class="reference internal" href="../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>
+<li><p><a class="reference internal" href="../user/user_commands/kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a> <em>-A</em> will destroy all caches in the collection.</p></li>
+<li><p>If the default cache type supports switching, <a class="reference internal" href="../user/user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>
 <em>princname</em> will search the collection for a matching cache and
 store credentials there, or will store credentials in a new unique
 cache of the default type if no existing cache for the principal
-exists.  Either way, kinit will switch to the selected cache.</li>
-<li><a class="reference internal" href="../user/user_commands/klist.html#klist-1"><span class="std std-ref">klist</span></a> <em>-l</em> will list the caches in the collection.</li>
-<li><a class="reference internal" href="../user/user_commands/klist.html#klist-1"><span class="std std-ref">klist</span></a> <em>-A</em> will show the content of all caches in the
-collection.</li>
-<li><a class="reference internal" href="../user/user_commands/kswitch.html#kswitch-1"><span class="std std-ref">kswitch</span></a> <em>-p princname</em> will search the collection for a
-matching cache and switch to it.</li>
-<li><a class="reference internal" href="../user/user_commands/kswitch.html#kswitch-1"><span class="std std-ref">kswitch</span></a> <em>-c cachename</em> will switch to a specified cache.</li>
+exists.  Either way, kinit will switch to the selected cache.</p></li>
+<li><p><a class="reference internal" href="../user/user_commands/klist.html#klist-1"><span class="std std-ref">klist</span></a> <em>-l</em> will list the caches in the collection.</p></li>
+<li><p><a class="reference internal" href="../user/user_commands/klist.html#klist-1"><span class="std std-ref">klist</span></a> <em>-A</em> will show the content of all caches in the
+collection.</p></li>
+<li><p><a class="reference internal" href="../user/user_commands/kswitch.html#kswitch-1"><span class="std std-ref">kswitch</span></a> <em>-p princname</em> will search the collection for a
+matching cache and switch to it.</p></li>
+<li><p><a class="reference internal" href="../user/user_commands/kswitch.html#kswitch-1"><span class="std std-ref">kswitch</span></a> <em>-c cachename</em> will switch to a specified cache.</p></li>
 </ul>
-</div>
-</div>
-<div class="section" id="default-ccache-name">
+</section>
+</section>
+<section id="default-ccache-name">
 <h2>Default ccache name<a class="headerlink" href="#default-ccache-name" title="Permalink to this headline">¶</a></h2>
 <p>The default credential cache name is determined by the following, in
 descending order of priority:</p>
 <ol class="arabic simple">
-<li>The <strong>KRB5CCNAME</strong> environment variable.  For example,
-<code class="docutils literal"><span class="pre">KRB5CCNAME=DIR:/mydir/</span></code>.</li>
-<li>The <strong>default_ccache_name</strong> profile variable in <a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</li>
-<li>The hardcoded default, <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a>.</li>
+<li><p>The <strong>KRB5CCNAME</strong> environment variable.  For example,
+<code class="docutils literal notranslate"><span class="pre">KRB5CCNAME=DIR:/mydir/</span></code>.</p></li>
+<li><p>The <strong>default_ccache_name</strong> profile variable in <a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</p></li>
+<li><p>The hardcoded default, <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a>.</p></li>
 </ol>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Credential cache</a><ul>
@@ -258,6 +247,7 @@ descending order of priority:</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -265,8 +255,8 @@ descending order of priority:</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/basic/date_format.html 1.21.3-1/doc/html/basic/date_format.html
--- 1.21.2-1/doc/html/basic/date_format.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/basic/date_format.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Supported date and time formats &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Protocols and file formats" href="../formats/index.html" />
     <link rel="prev" title="stash file" href="stash_file_def.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,35 +52,35 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="supported-date-and-time-formats">
+  <section id="supported-date-and-time-formats">
 <span id="datetime"></span><h1>Supported date and time formats<a class="headerlink" href="#supported-date-and-time-formats" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="time-duration">
+<section id="time-duration">
 <span id="duration"></span><h2>Time duration<a class="headerlink" href="#time-duration" title="Permalink to this headline">¶</a></h2>
 <p>This format is used to express a time duration in the Kerberos
 configuration files and user commands.  The allowed formats are:</p>
 <blockquote>
-<div><table border="1" class="docutils">
+<div><table class="docutils align-default">
 <colgroup>
-<col width="40%" />
-<col width="25%" />
-<col width="35%" />
+<col style="width: 40%" />
+<col style="width: 25%" />
+<col style="width: 35%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>Format</td>
-<td>Example</td>
-<td>Value</td>
-</tr>
-<tr class="row-even"><td>h:m[:s]</td>
-<td>36:00</td>
-<td>36 hours</td>
-</tr>
-<tr class="row-odd"><td>NdNhNmNs</td>
-<td>8h30s</td>
-<td>8 hours 30 seconds</td>
-</tr>
-<tr class="row-even"><td>N (number of seconds)</td>
-<td>3600</td>
-<td>1 hour</td>
+<tbody>
+<tr class="row-odd"><td><p>Format</p></td>
+<td><p>Example</p></td>
+<td><p>Value</p></td>
+</tr>
+<tr class="row-even"><td><p>h:m[:s]</p></td>
+<td><p>36:00</p></td>
+<td><p>36 hours</p></td>
+</tr>
+<tr class="row-odd"><td><p>NdNhNmNs</p></td>
+<td><p>8h30s</p></td>
+<td><p>8 hours 30 seconds</p></td>
+</tr>
+<tr class="row-even"><td><p>N (number of seconds)</p></td>
+<td><p>3600</p></td>
+<td><p>1 hour</p></td>
 </tr>
 </tbody>
 </table>
@@ -97,11 +88,11 @@ configuration files and user commands.
 <p>Here <em>N</em> denotes a number, <em>d</em> - days, <em>h</em> - hours, <em>m</em> - minutes,
 <em>s</em> - seconds.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The time interval should not exceed 2147483647 seconds.</p>
+<p class="admonition-title">Note</p>
+<p>The time interval should not exceed 2147483647 seconds.</p>
 </div>
 <p>Examples:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">Request</span> <span class="n">a</span> <span class="n">ticket</span> <span class="n">valid</span> <span class="k">for</span> <span class="n">one</span> <span class="n">hour</span><span class="p">,</span> <span class="n">five</span> <span class="n">hours</span><span class="p">,</span> <span class="mi">30</span> <span class="n">minutes</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">Request</span> <span class="n">a</span> <span class="n">ticket</span> <span class="n">valid</span> <span class="k">for</span> <span class="n">one</span> <span class="n">hour</span><span class="p">,</span> <span class="n">five</span> <span class="n">hours</span><span class="p">,</span> <span class="mi">30</span> <span class="n">minutes</span>
 <span class="ow">and</span> <span class="mi">10</span> <span class="n">days</span> <span class="n">respectively</span><span class="p">:</span>
 
   <span class="n">kinit</span> <span class="o">-</span><span class="n">l</span> <span class="mi">3600</span>
@@ -110,62 +101,62 @@ configuration files and user commands.
   <span class="n">kinit</span> <span class="o">-</span><span class="n">l</span> <span class="s2">&quot;10d 0h 0m 0s&quot;</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="getdate-time">
+</section>
+<section id="getdate-time">
 <span id="getdate"></span><h2>getdate time<a class="headerlink" href="#getdate-time" title="Permalink to this headline">¶</a></h2>
 <p>Some of the kadmin and kdb5_util commands take a date-time in a
 human-readable format.  Some of the acceptable date-time
 strings are:</p>
 <blockquote>
-<div><table border="1" class="docutils">
+<div><table class="docutils align-default">
 <colgroup>
-<col width="24%" />
-<col width="39%" />
-<col width="37%" />
+<col style="width: 24%" />
+<col style="width: 39%" />
+<col style="width: 37%" />
 </colgroup>
-<thead valign="bottom">
-<tr class="row-odd"><th class="head">&#160;</th>
-<th class="head">Format</th>
-<th class="head">Example</th>
+<thead>
+<tr class="row-odd"><th class="head"></th>
+<th class="head"><p>Format</p></th>
+<th class="head"><p>Example</p></th>
 </tr>
 </thead>
-<tbody valign="top">
-<tr class="row-even"><td rowspan="3">Date</td>
-<td>mm/dd/yy</td>
-<td>07/27/12</td>
-</tr>
-<tr class="row-odd"><td>month dd, yyyy</td>
-<td>Jul 27, 2012</td>
-</tr>
-<tr class="row-even"><td>yyyy-mm-dd</td>
-<td>2012-07-27</td>
-</tr>
-<tr class="row-odd"><td rowspan="2">Absolute
-time</td>
-<td>HH:mm[:ss]pp</td>
-<td>08:30 PM</td>
-</tr>
-<tr class="row-even"><td>hh:mm[:ss]</td>
-<td>20:30</td>
-</tr>
-<tr class="row-odd"><td>Relative
-time</td>
-<td>N tt</td>
-<td>30 sec</td>
-</tr>
-<tr class="row-even"><td rowspan="2">Time zone</td>
-<td>Z</td>
-<td>EST</td>
+<tbody>
+<tr class="row-even"><td rowspan="3"><p>Date</p></td>
+<td><p>mm/dd/yy</p></td>
+<td><p>07/27/12</p></td>
+</tr>
+<tr class="row-odd"><td><p>month dd, yyyy</p></td>
+<td><p>Jul 27, 2012</p></td>
+</tr>
+<tr class="row-even"><td><p>yyyy-mm-dd</p></td>
+<td><p>2012-07-27</p></td>
+</tr>
+<tr class="row-odd"><td rowspan="2"><p>Absolute
+time</p></td>
+<td><p>HH:mm[:ss]pp</p></td>
+<td><p>08:30 PM</p></td>
+</tr>
+<tr class="row-even"><td><p>hh:mm[:ss]</p></td>
+<td><p>20:30</p></td>
+</tr>
+<tr class="row-odd"><td><p>Relative
+time</p></td>
+<td><p>N tt</p></td>
+<td><p>30 sec</p></td>
+</tr>
+<tr class="row-even"><td rowspan="2"><p>Time zone</p></td>
+<td><p>Z</p></td>
+<td><p>EST</p></td>
 </tr>
-<tr class="row-odd"><td>z</td>
-<td>-0400</td>
+<tr class="row-odd"><td><p>z</p></td>
+<td><p>-0400</p></td>
 </tr>
 </tbody>
 </table>
 </div></blockquote>
 <p>(See <a class="reference internal" href="#abbreviation"><span class="std std-ref">Abbreviations used in this document</span></a>.)</p>
 <p>Examples:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">Create</span> <span class="n">a</span> <span class="n">principal</span> <span class="n">that</span> <span class="n">expires</span> <span class="n">on</span> <span class="n">the</span> <span class="n">date</span> <span class="n">indicated</span><span class="p">:</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">Create</span> <span class="n">a</span> <span class="n">principal</span> <span class="n">that</span> <span class="n">expires</span> <span class="n">on</span> <span class="n">the</span> <span class="n">date</span> <span class="n">indicated</span><span class="p">:</span>
     <span class="n">addprinc</span> <span class="n">test1</span> <span class="o">-</span><span class="n">expire</span> <span class="s2">&quot;3/27/12 10:00:07 EST&quot;</span>
     <span class="n">addprinc</span> <span class="n">test2</span> <span class="o">-</span><span class="n">expire</span> <span class="s2">&quot;January 23, 2015 10:05pm&quot;</span>
     <span class="n">addprinc</span> <span class="n">test3</span> <span class="o">-</span><span class="n">expire</span> <span class="s2">&quot;22:00 GMT&quot;</span>
@@ -173,60 +164,60 @@ time</td>
     <span class="n">addprinc</span> <span class="n">test4</span> <span class="o">-</span><span class="n">expire</span> <span class="s2">&quot;30 minutes&quot;</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="absolute-time">
+</section>
+<section id="absolute-time">
 <span id="abstime"></span><h2>Absolute time<a class="headerlink" href="#absolute-time" title="Permalink to this headline">¶</a></h2>
 <p>This rarely used date-time format can be noted in one of the
 following ways:</p>
 <blockquote>
-<div><table border="1" class="docutils">
+<div><table class="docutils align-default">
 <colgroup>
-<col width="40%" />
-<col width="37%" />
-<col width="23%" />
+<col style="width: 40%" />
+<col style="width: 37%" />
+<col style="width: 23%" />
 </colgroup>
-<thead valign="bottom">
-<tr class="row-odd"><th class="head">Format</th>
-<th class="head">Example</th>
-<th class="head">Value</th>
+<thead>
+<tr class="row-odd"><th class="head"><p>Format</p></th>
+<th class="head"><p>Example</p></th>
+<th class="head"><p>Value</p></th>
 </tr>
 </thead>
-<tbody valign="top">
-<tr class="row-even"><td>yyyymmddhhmmss</td>
-<td>20141231235900</td>
-<td rowspan="5">One minute
-before 2015</td>
-</tr>
-<tr class="row-odd"><td>yyyy.mm.dd.hh.mm.ss</td>
-<td>2014.12.31.23.59.00</td>
-</tr>
-<tr class="row-even"><td>yymmddhhmmss</td>
-<td>141231235900</td>
-</tr>
-<tr class="row-odd"><td>yy.mm.dd.hh.mm.ss</td>
-<td>14.12.31.23.59.00</td>
-</tr>
-<tr class="row-even"><td>dd-month-yyyy:hh:mm:ss</td>
-<td>31-Dec-2014:23:59:00</td>
-</tr>
-<tr class="row-odd"><td>hh:mm:ss</td>
-<td>20:00:00</td>
-<td rowspan="2">8 o’clock in
-the evening</td>
+<tbody>
+<tr class="row-even"><td><p>yyyymmddhhmmss</p></td>
+<td><p>20141231235900</p></td>
+<td rowspan="5"><p>One minute
+before 2015</p></td>
+</tr>
+<tr class="row-odd"><td><p>yyyy.mm.dd.hh.mm.ss</p></td>
+<td><p>2014.12.31.23.59.00</p></td>
+</tr>
+<tr class="row-even"><td><p>yymmddhhmmss</p></td>
+<td><p>141231235900</p></td>
+</tr>
+<tr class="row-odd"><td><p>yy.mm.dd.hh.mm.ss</p></td>
+<td><p>14.12.31.23.59.00</p></td>
+</tr>
+<tr class="row-even"><td><p>dd-month-yyyy:hh:mm:ss</p></td>
+<td><p>31-Dec-2014:23:59:00</p></td>
+</tr>
+<tr class="row-odd"><td><p>hh:mm:ss</p></td>
+<td><p>20:00:00</p></td>
+<td rowspan="2"><p>8 o’clock in
+the evening</p></td>
 </tr>
-<tr class="row-even"><td>hhmmss</td>
-<td>200000</td>
+<tr class="row-even"><td><p>hhmmss</p></td>
+<td><p>200000</p></td>
 </tr>
 </tbody>
 </table>
 </div></blockquote>
 <p>(See <a class="reference internal" href="#abbreviation"><span class="std std-ref">Abbreviations used in this document</span></a>.)</p>
 <p>Example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">Set</span> <span class="n">the</span> <span class="n">default</span> <span class="n">expiration</span> <span class="n">date</span> <span class="n">to</span> <span class="n">July</span> <span class="mi">27</span><span class="p">,</span> <span class="mi">2012</span> <span class="n">at</span> <span class="mi">20</span><span class="p">:</span><span class="mi">30</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">Set</span> <span class="n">the</span> <span class="n">default</span> <span class="n">expiration</span> <span class="n">date</span> <span class="n">to</span> <span class="n">July</span> <span class="mi">27</span><span class="p">,</span> <span class="mi">2012</span> <span class="n">at</span> <span class="mi">20</span><span class="p">:</span><span class="mi">30</span>
 <span class="n">default_principal_expiration</span> <span class="o">=</span> <span class="mi">20120727203000</span>
 </pre></div>
 </div>
-<div class="section" id="abbreviations-used-in-this-document">
+<section id="abbreviations-used-in-this-document">
 <span id="abbreviation"></span><h3>Abbreviations used in this document<a class="headerlink" href="#abbreviations-used-in-this-document" title="Permalink to this headline">¶</a></h3>
 <div class="line-block">
 <div class="line"><em>month</em>  : locale’s month name or its abbreviation;</div>
@@ -244,23 +235,25 @@ the evening</td>
 <div class="line"><em>z</em>    : numeric time zone;</div>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<ul class="last simple">
-<li>If the date specification contains spaces, you may need to
-enclose it in double quotes;</li>
-<li>All keywords are case-insensitive.</li>
+<p class="admonition-title">Note</p>
+<ul class="simple">
+<li><p>If the date specification contains spaces, you may need to
+enclose it in double quotes;</p></li>
+<li><p>All keywords are case-insensitive.</p></li>
 </ul>
 </div>
-</div>
-</div>
-</div>
+</section>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Supported date and time formats</a><ul>
@@ -306,6 +299,7 @@ enclose it in double quotes;</li>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -313,8 +307,8 @@ enclose it in double quotes;</li>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/basic/index.html 1.21.3-1/doc/html/basic/index.html
--- 1.21.2-1/doc/html/basic/index.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/basic/index.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Kerberos V5 concepts &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Credential cache" href="ccache_def.html" />
     <link rel="prev" title="osconf.hin" href="../build/osconf.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kerberos-v5-concepts">
+  <section id="kerberos-v5-concepts">
 <span id="basic-concepts"></span><h1>Kerberos V5 concepts<a class="headerlink" href="#kerberos-v5-concepts" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
@@ -72,14 +63,16 @@
 <li class="toctree-l1"><a class="reference internal" href="date_format.html">Supported date and time formats</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Kerberos V5 concepts</a></li>
@@ -117,6 +110,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -124,8 +118,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/basic/keytab_def.html 1.21.3-1/doc/html/basic/keytab_def.html
--- 1.21.2-1/doc/html/basic/keytab_def.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/basic/keytab_def.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>keytab &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="replay cache" href="rcache_def.html" />
     <link rel="prev" title="Credential cache" href="ccache_def.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="keytab">
+  <section id="keytab">
 <span id="keytab-definition"></span><h1>keytab<a class="headerlink" href="#keytab" title="Permalink to this headline">¶</a></h1>
 <p>A keytab (short for “key table”) stores long-term keys for one or more
 principals.  Keytabs are normally represented by files in a standard
@@ -69,31 +60,31 @@ format, although in rare cases they can
 Keytabs are used most often to allow server applications to accept
 authentications from clients, but can also be used to obtain initial
 credentials for client applications.</p>
-<p>Keytabs are named using the format <em>type</em><code class="docutils literal"><span class="pre">:</span></code><em>value</em>.  Usually
-<em>type</em> is <code class="docutils literal"><span class="pre">FILE</span></code> and <em>value</em> is the absolute pathname of the file.
-The other possible value for <em>type</em> is <code class="docutils literal"><span class="pre">MEMORY</span></code>, which indicates a
+<p>Keytabs are named using the format <em>type</em><code class="docutils literal notranslate"><span class="pre">:</span></code><em>value</em>.  Usually
+<em>type</em> is <code class="docutils literal notranslate"><span class="pre">FILE</span></code> and <em>value</em> is the absolute pathname of the file.
+The other possible value for <em>type</em> is <code class="docutils literal notranslate"><span class="pre">MEMORY</span></code>, which indicates a
 temporary keytab stored in the memory of the current process.</p>
 <p>A keytab contains one or more entries, where each entry consists of a
 timestamp (indicating when the entry was written to the keytab), a
 principal name, a key version number, an encryption type, and the
 encryption key itself.</p>
 <p>A keytab can be displayed using the <a class="reference internal" href="../user/user_commands/klist.html#klist-1"><span class="std std-ref">klist</span></a> command with the
-<code class="docutils literal"><span class="pre">-k</span></code> option.  Keytabs can be created or appended to by extracting
+<code class="docutils literal notranslate"><span class="pre">-k</span></code> option.  Keytabs can be created or appended to by extracting
 keys from the KDC database using the <a class="reference internal" href="../admin/admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a> <a class="reference internal" href="../admin/admin_commands/kadmin_local.html#ktadd"><span class="std std-ref">ktadd</span></a>
 command.  Keytabs can be manipulated using the <a class="reference internal" href="../admin/admin_commands/ktutil.html#ktutil-1"><span class="std std-ref">ktutil</span></a> and
 <a class="reference internal" href="../admin/admin_commands/k5srvutil.html#k5srvutil-1"><span class="std std-ref">k5srvutil</span></a> commands.</p>
-<div class="section" id="default-keytab">
+<section id="default-keytab">
 <h2>Default keytab<a class="headerlink" href="#default-keytab" title="Permalink to this headline">¶</a></h2>
 <p>The default keytab is used by server applications if the application
 does not request a specific keytab.  The name of the default keytab is
 determined by the following, in decreasing order of preference:</p>
 <ol class="arabic simple">
-<li>The <strong>KRB5_KTNAME</strong> environment variable.</li>
-<li>The <strong>default_keytab_name</strong> profile variable in <a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</li>
-<li>The hardcoded default, <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a>.</li>
+<li><p>The <strong>KRB5_KTNAME</strong> environment variable.</p></li>
+<li><p>The <strong>default_keytab_name</strong> profile variable in <a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</p></li>
+<li><p>The hardcoded default, <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a>.</p></li>
 </ol>
-</div>
-<div class="section" id="default-client-keytab">
+</section>
+<section id="default-client-keytab">
 <h2>Default client keytab<a class="headerlink" href="#default-client-keytab" title="Permalink to this headline">¶</a></h2>
 <p>The default client keytab is used, if it is present and readable, to
 automatically obtain initial credentials for GSSAPI client
@@ -102,20 +93,22 @@ keytab is used by default when obtaining
 name of the default client keytab is determined by the following, in
 decreasing order of preference:</p>
 <ol class="arabic simple">
-<li>The <strong>KRB5_CLIENT_KTNAME</strong> environment variable.</li>
-<li>The <strong>default_client_keytab_name</strong> profile variable in
-<a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</li>
-<li>The hardcoded default, <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFCKTNAME</span></a>.</li>
+<li><p>The <strong>KRB5_CLIENT_KTNAME</strong> environment variable.</p></li>
+<li><p>The <strong>default_client_keytab_name</strong> profile variable in
+<a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>.</p></li>
+<li><p>The hardcoded default, <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFCKTNAME</span></a>.</p></li>
 </ol>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">keytab</a><ul>
@@ -157,6 +150,7 @@ decreasing order of preference:</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -164,8 +158,8 @@ decreasing order of preference:</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/basic/rcache_def.html 1.21.3-1/doc/html/basic/rcache_def.html
--- 1.21.2-1/doc/html/basic/rcache_def.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/basic/rcache_def.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>replay cache &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="stash file" href="stash_file_def.html" />
     <link rel="prev" title="keytab" href="keytab_def.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="replay-cache">
+  <section id="replay-cache">
 <span id="rcache-definition"></span><h1>replay cache<a class="headerlink" href="#replay-cache" title="Permalink to this headline">¶</a></h1>
 <p>A replay cache (or “rcache”) keeps track of all authenticators
 recently presented to a service.  If a duplicate authentication
@@ -71,7 +62,7 @@ the application program.</p>
 <a class="reference internal" href="keytab_def.html#keytab-definition"><span class="std std-ref">keytab</span></a> interfaces, uses <cite>type:residual</cite> strings to
 indicate the type of replay cache and any associated cache naming
 data to use.</p>
-<div class="section" id="background-information">
+<section id="background-information">
 <h2>Background information<a class="headerlink" href="#background-information" title="Permalink to this headline">¶</a></h2>
 <p>Some Kerberos or GSSAPI services use a simple authentication mechanism
 where a message is sent containing an authenticator, which establishes
@@ -110,60 +101,62 @@ indicate a successful authentication bef
 additional messages), or if the simple act of presenting the
 authenticator triggers some interesting action in the service being
 attacked.</p>
-</div>
-<div class="section" id="replay-cache-types">
+</section>
+<section id="replay-cache-types">
 <h2>Replay cache types<a class="headerlink" href="#replay-cache-types" title="Permalink to this headline">¶</a></h2>
 <p>Unlike the credential cache and keytab interfaces, replay cache types
 are in lowercase.  The following types are defined:</p>
 <ol class="arabic simple">
-<li><strong>none</strong> disables the replay cache.  The residual value is ignored.</li>
-<li><strong>file2</strong> (new in release 1.18) uses a hash-based format to store
+<li><p><strong>none</strong> disables the replay cache.  The residual value is ignored.</p></li>
+<li><p><strong>file2</strong> (new in release 1.18) uses a hash-based format to store
 replay records.  The file may grow to accommodate hash collisions.
-The residual value is the filename.</li>
-<li><strong>dfl</strong> is the default type if no environment variable or
+The residual value is the filename.</p></li>
+<li><p><strong>dfl</strong> is the default type if no environment variable or
 configuration specifies a different type.  It stores replay data in
 a file2 replay cache with a filename based on the effective uid.
-The residual value is ignored.</li>
+The residual value is ignored.</p></li>
 </ol>
 <p>For the dfl type, the location of the replay cache file is determined
 as follows:</p>
 <ol class="arabic simple">
-<li>The directory is taken from the <strong>KRB5RCACHEDIR</strong> environment
+<li><p>The directory is taken from the <strong>KRB5RCACHEDIR</strong> environment
 variable, or the <strong>TMPDIR</strong> environment variable, or a temporary
-directory determined at configuration time such as <code class="docutils literal"><span class="pre">/var/tmp</span></code>, in
-descending order of preference.</li>
-<li>The filename is <code class="docutils literal"><span class="pre">krb5_EUID.rcache2</span></code> where EUID is the effective
-uid of the process.</li>
-<li>The file is opened without following symbolic links, and ownership
-of the file is verified to match the effective uid.</li>
+directory determined at configuration time such as <code class="docutils literal notranslate"><span class="pre">/var/tmp</span></code>, in
+descending order of preference.</p></li>
+<li><p>The filename is <code class="docutils literal notranslate"><span class="pre">krb5_EUID.rcache2</span></code> where EUID is the effective
+uid of the process.</p></li>
+<li><p>The file is opened without following symbolic links, and ownership
+of the file is verified to match the effective uid.</p></li>
 </ol>
 <p>On Windows, the directory for the dfl type is the local appdata
 directory, unless overridden by the <strong>KRB5RCACHEDIR</strong> environment
-variable.  The filename on Windows is <code class="docutils literal"><span class="pre">krb5.rcache2</span></code>, and the file
+variable.  The filename on Windows is <code class="docutils literal notranslate"><span class="pre">krb5.rcache2</span></code>, and the file
 is opened normally.</p>
-</div>
-<div class="section" id="default-replay-cache-name">
+</section>
+<section id="default-replay-cache-name">
 <h2>Default replay cache name<a class="headerlink" href="#default-replay-cache-name" title="Permalink to this headline">¶</a></h2>
 <p>The default replay cache name is determined by the following, in
 descending order of priority:</p>
 <ol class="arabic simple">
-<li>The <strong>KRB5RCACHENAME</strong> environment variable (new in release 1.18).</li>
-<li>The <strong>KRB5RCACHETYPE</strong> environment variable.  If this variable is
-set, the residual value is empty.</li>
-<li>The <strong>default_rcache_name</strong> profile variable in <a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>
-(new in release 1.18).</li>
-<li>If none of the above are set, the default replay cache name is
-<code class="docutils literal"><span class="pre">dfl:</span></code>.</li>
+<li><p>The <strong>KRB5RCACHENAME</strong> environment variable (new in release 1.18).</p></li>
+<li><p>The <strong>KRB5RCACHETYPE</strong> environment variable.  If this variable is
+set, the residual value is empty.</p></li>
+<li><p>The <strong>default_rcache_name</strong> profile variable in <a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>
+(new in release 1.18).</p></li>
+<li><p>If none of the above are set, the default replay cache name is
+<code class="docutils literal notranslate"><span class="pre">dfl:</span></code>.</p></li>
 </ol>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">replay cache</a><ul>
@@ -206,6 +199,7 @@ set, the residual value is empty.</li>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -213,8 +207,8 @@ set, the residual value is empty.</li>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/basic/stash_file_def.html 1.21.3-1/doc/html/basic/stash_file_def.html
--- 1.21.2-1/doc/html/basic/stash_file_def.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/basic/stash_file_def.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>stash file &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Supported date and time formats" href="date_format.html" />
     <link rel="prev" title="replay cache" href="rcache_def.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="stash-file">
+  <section id="stash-file">
 <span id="stash-definition"></span><h1>stash file<a class="headerlink" href="#stash-file" title="Permalink to this headline">¶</a></h1>
 <p>The stash file is a local copy of the master key that resides in
 encrypted form on the KDC’s local disk.  The stash file is used to
@@ -76,18 +67,20 @@ The file should not be part of any backu
 access to the backup data is secured as tightly as access to the
 master password itself.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">If you choose not to install a stash file, the KDC will prompt you for the master key each time it starts up.
+<p class="admonition-title">Note</p>
+<p>If you choose not to install a stash file, the KDC will prompt you for the master key each time it starts up.
 This means that the KDC will not be able to start automatically, such as after a system reboot.</p>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">stash file</a></li>
@@ -125,6 +118,7 @@ This means that the KDC will not be able
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -132,8 +126,8 @@ This means that the KDC will not be able
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/build/directory_org.html 1.21.3-1/doc/html/build/directory_org.html
--- 1.21.2-1/doc/html/build/directory_org.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/build/directory_org.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Organization of the source directory &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Doing the build" href="doing_build.html" />
     <link rel="prev" title="Building Kerberos V5" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,125 +52,126 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="organization-of-the-source-directory">
+  <section id="organization-of-the-source-directory">
 <h1>Organization of the source directory<a class="headerlink" href="#organization-of-the-source-directory" title="Permalink to this headline">¶</a></h1>
 <p>Below is a brief overview of the organization of the complete source
 directory.  More detailed descriptions follow.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="12%" />
-<col width="88%" />
+<col style="width: 12%" />
+<col style="width: 88%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>appl</td>
-<td>Kerberos application client and server programs</td>
+<tbody>
+<tr class="row-odd"><td><p>appl</p></td>
+<td><p>Kerberos application client and server programs</p></td>
 </tr>
-<tr class="row-even"><td>ccapi</td>
-<td>Credential cache services</td>
+<tr class="row-even"><td><p>ccapi</p></td>
+<td><p>Credential cache services</p></td>
 </tr>
-<tr class="row-odd"><td>clients</td>
-<td>Kerberos V5 user programs (See <a class="reference internal" href="../user/user_commands/index.html#user-commands"><span class="std std-ref">User commands</span></a>)</td>
+<tr class="row-odd"><td><p>clients</p></td>
+<td><p>Kerberos V5 user programs (See <a class="reference internal" href="../user/user_commands/index.html#user-commands"><span class="std std-ref">User commands</span></a>)</p></td>
 </tr>
-<tr class="row-even"><td>config</td>
-<td>Configure scripts</td>
+<tr class="row-even"><td><p>config</p></td>
+<td><p>Configure scripts</p></td>
 </tr>
-<tr class="row-odd"><td>config-files</td>
-<td>Sample Kerberos configuration files</td>
+<tr class="row-odd"><td><p>config-files</p></td>
+<td><p>Sample Kerberos configuration files</p></td>
 </tr>
-<tr class="row-even"><td>include</td>
-<td>include files needed to build the Kerberos system</td>
+<tr class="row-even"><td><p>include</p></td>
+<td><p>include files needed to build the Kerberos system</p></td>
 </tr>
-<tr class="row-odd"><td>kadmin</td>
-<td>Administrative interface to the Kerberos database: <a class="reference internal" href="../admin/admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>, <a class="reference internal" href="../admin/admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>, <a class="reference internal" href="../admin/admin_commands/ktutil.html#ktutil-1"><span class="std std-ref">ktutil</span></a>.</td>
+<tr class="row-odd"><td><p>kadmin</p></td>
+<td><p>Administrative interface to the Kerberos database: <a class="reference internal" href="../admin/admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>, <a class="reference internal" href="../admin/admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>, <a class="reference internal" href="../admin/admin_commands/ktutil.html#ktutil-1"><span class="std std-ref">ktutil</span></a>.</p></td>
 </tr>
-<tr class="row-even"><td>kdc</td>
-<td>Kerberos V5 Authentication Service and Key Distribution Center</td>
+<tr class="row-even"><td><p>kdc</p></td>
+<td><p>Kerberos V5 Authentication Service and Key Distribution Center</p></td>
 </tr>
-<tr class="row-odd"><td><a class="reference internal" href="#lib">lib</a></td>
-<td>Libraries for use with/by Kerberos V5</td>
+<tr class="row-odd"><td><p><a class="reference internal" href="#lib">lib</a></p></td>
+<td><p>Libraries for use with/by Kerberos V5</p></td>
 </tr>
-<tr class="row-even"><td>plugins</td>
-<td>Kerberos plugins directory</td>
+<tr class="row-even"><td><p>plugins</p></td>
+<td><p>Kerberos plugins directory</p></td>
 </tr>
-<tr class="row-odd"><td>po</td>
-<td>Localization infrastructure</td>
+<tr class="row-odd"><td><p>po</p></td>
+<td><p>Localization infrastructure</p></td>
 </tr>
-<tr class="row-even"><td>prototype</td>
-<td>Templates files containing the MIT copyright message and a placeholder for the title and description of the file.</td>
+<tr class="row-even"><td><p>prototype</p></td>
+<td><p>Templates files containing the MIT copyright message and a placeholder for the title and description of the file.</p></td>
 </tr>
-<tr class="row-odd"><td>kprop</td>
-<td>Utilities for propagating the database to replica KDCs <a class="reference internal" href="../admin/admin_commands/kprop.html#kprop-8"><span class="std std-ref">kprop</span></a> and <a class="reference internal" href="../admin/admin_commands/kpropd.html#kpropd-8"><span class="std std-ref">kpropd</span></a></td>
+<tr class="row-odd"><td><p>kprop</p></td>
+<td><p>Utilities for propagating the database to replica KDCs <a class="reference internal" href="../admin/admin_commands/kprop.html#kprop-8"><span class="std std-ref">kprop</span></a> and <a class="reference internal" href="../admin/admin_commands/kpropd.html#kpropd-8"><span class="std std-ref">kpropd</span></a></p></td>
 </tr>
-<tr class="row-even"><td>tests</td>
-<td>Test suite</td>
+<tr class="row-even"><td><p>tests</p></td>
+<td><p>Test suite</p></td>
 </tr>
-<tr class="row-odd"><td><a class="reference internal" href="#util">util</a></td>
-<td>Various utilities for building/configuring the code, sending bug reports, etc.</td>
+<tr class="row-odd"><td><p><a class="reference internal" href="#util">util</a></p></td>
+<td><p>Various utilities for building/configuring the code, sending bug reports, etc.</p></td>
 </tr>
-<tr class="row-even"><td>windows</td>
-<td>Source code for building Kerberos V5 on Windows (see windows/README)</td>
+<tr class="row-even"><td><p>windows</p></td>
+<td><p>Source code for building Kerberos V5 on Windows (see windows/README)</p></td>
 </tr>
 </tbody>
 </table>
-<div class="section" id="lib">
+<section id="lib">
 <span id="id1"></span><h2>lib<a class="headerlink" href="#lib" title="Permalink to this headline">¶</a></h2>
 <p>The lib directory contain several subdirectories as well as some
 definition and glue files.</p>
 <blockquote>
 <div><ul class="simple">
-<li>The apputils directory contains the code for the generic network
-servicing.</li>
-<li>The crypto subdirectory contains the Kerberos V5 encryption
-library.</li>
-<li>The gssapi library contains the Generic Security Services API,
+<li><p>The apputils directory contains the code for the generic network
+servicing.</p></li>
+<li><p>The crypto subdirectory contains the Kerberos V5 encryption
+library.</p></li>
+<li><p>The gssapi library contains the Generic Security Services API,
 which is a library of commands to be used in secure client-server
-communication.</li>
-<li>The kadm5 directory contains the libraries for the KADM5
-administration utilities.</li>
-<li>The Kerberos 5 database libraries are contained in kdb.</li>
-<li>The krb5 directory contains Kerberos 5 API.</li>
-<li>The rpc directory contains the API for the Kerberos Remote
-Procedure Call protocol.</li>
+communication.</p></li>
+<li><p>The kadm5 directory contains the libraries for the KADM5
+administration utilities.</p></li>
+<li><p>The Kerberos 5 database libraries are contained in kdb.</p></li>
+<li><p>The krb5 directory contains Kerberos 5 API.</p></li>
+<li><p>The rpc directory contains the API for the Kerberos Remote
+Procedure Call protocol.</p></li>
 </ul>
 </div></blockquote>
-</div>
-<div class="section" id="util">
+</section>
+<section id="util">
 <span id="id2"></span><h2>util<a class="headerlink" href="#util" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt>The util directory contains several utility programs and libraries.</dt>
-<dd><ul class="first last simple">
-<li>the programs used to configure and build the code, such as
+<dl class="simple">
+<dt>The util directory contains several utility programs and libraries.</dt><dd><ul class="simple">
+<li><p>the programs used to configure and build the code, such as
 autoconf, lndir, kbuild, reconf, and makedepend, are in this
-directory.</li>
-<li>the profile directory contains most of the functions which parse
-the Kerberos configuration files (krb5.conf and kdc.conf).</li>
-<li>the Kerberos error table library and utilities (et);</li>
-<li>the Sub-system library and utilities (ss);</li>
-<li>database utilities (db2);</li>
-<li>pseudo-terminal utilities (pty);</li>
-<li>bug-reporting program send-pr;</li>
-<li>a generic support library support used by several of our other
-libraries;</li>
-<li>the build infrastructure for building lightweight Kerberos client
-(collected-client-lib)</li>
-<li>the tool for validating Kerberos configuration files
-(confvalidator);</li>
-<li>the toolkit for kernel integrators for building krb5 code subsets
-(gss-kernel-lib);</li>
-<li>source code for building Kerberos V5 on MacOS (mac)</li>
-<li>Windows getopt operations (windows)</li>
+directory.</p></li>
+<li><p>the profile directory contains most of the functions which parse
+the Kerberos configuration files (krb5.conf and kdc.conf).</p></li>
+<li><p>the Kerberos error table library and utilities (et);</p></li>
+<li><p>the Sub-system library and utilities (ss);</p></li>
+<li><p>database utilities (db2);</p></li>
+<li><p>pseudo-terminal utilities (pty);</p></li>
+<li><p>bug-reporting program send-pr;</p></li>
+<li><p>a generic support library support used by several of our other
+libraries;</p></li>
+<li><p>the build infrastructure for building lightweight Kerberos client
+(collected-client-lib)</p></li>
+<li><p>the tool for validating Kerberos configuration files
+(confvalidator);</p></li>
+<li><p>the toolkit for kernel integrators for building krb5 code subsets
+(gss-kernel-lib);</p></li>
+<li><p>source code for building Kerberos V5 on MacOS (mac)</p></li>
+<li><p>Windows getopt operations (windows)</p></li>
 </ul>
 </dd>
 </dl>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Organization of the source directory</a><ul>
@@ -220,6 +212,7 @@ libraries;</li>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -227,8 +220,8 @@ libraries;</li>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/build/doing_build.html 1.21.3-1/doc/html/build/doing_build.html
--- 1.21.2-1/doc/html/build/doing_build.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/build/doing_build.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Doing the build &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Options to configure" href="options2configure.html" />
     <link rel="prev" title="Organization of the source directory" href="directory_org.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="doing-the-build">
+  <section id="doing-the-build">
 <h1>Doing the build<a class="headerlink" href="#doing-the-build" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="building-within-a-single-tree">
+<section id="building-within-a-single-tree">
 <span id="do-build"></span><h2>Building within a single tree<a class="headerlink" href="#building-within-a-single-tree" title="Permalink to this headline">¶</a></h2>
 <p>If you only need to build Kerberos for one platform, using a single
 directory tree which contains both the source files and the object
@@ -74,30 +65,30 @@ Incompatibilities, for notes that we hav
 systems.</p>
 <p>If you don’t want separate build trees for each architecture, then use
 the following abbreviated procedure:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">cd</span> <span class="o">/</span><span class="n">u1</span><span class="o">/</span><span class="n">krb5</span><span class="o">-</span><span class="n">VERSION</span><span class="o">/</span><span class="n">src</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">cd</span> <span class="o">/</span><span class="n">u1</span><span class="o">/</span><span class="n">krb5</span><span class="o">-</span><span class="n">VERSION</span><span class="o">/</span><span class="n">src</span>
 <span class="o">./</span><span class="n">configure</span>
 <span class="n">make</span>
 </pre></div>
 </div>
 <p>That’s it!</p>
-</div>
-<div class="section" id="building-with-separate-build-directories">
+</section>
+<section id="building-with-separate-build-directories">
 <h2>Building with separate build directories<a class="headerlink" href="#building-with-separate-build-directories" title="Permalink to this headline">¶</a></h2>
 <p>If you wish to keep separate build directories for each platform, you
 can do so using the following procedure.  (Note, this requires that
 your make program support VPATH.  GNU’s make will provide this
 functionality, for example.)  If your make program does not support
 this, see the next section.</p>
-<p>For example, if you wish to store the binaries in <code class="docutils literal"><span class="pre">tmpbuild</span></code> build
+<p>For example, if you wish to store the binaries in <code class="docutils literal notranslate"><span class="pre">tmpbuild</span></code> build
 directory you might use the following procedure:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">mkdir</span> <span class="o">/</span><span class="n">u1</span><span class="o">/</span><span class="n">tmpbuild</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">mkdir</span> <span class="o">/</span><span class="n">u1</span><span class="o">/</span><span class="n">tmpbuild</span>
 <span class="n">cd</span> <span class="o">/</span><span class="n">u1</span><span class="o">/</span><span class="n">tmpbuild</span>
 <span class="o">/</span><span class="n">u1</span><span class="o">/</span><span class="n">krb5</span><span class="o">-</span><span class="n">VERSION</span><span class="o">/</span><span class="n">src</span><span class="o">/</span><span class="n">configure</span>
 <span class="n">make</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="building-using-lndir">
+</section>
+<section id="building-using-lndir">
 <h2>Building using lndir<a class="headerlink" href="#building-using-lndir" title="Permalink to this headline">¶</a></h2>
 <p>If you wish to keep separate build directories for each platform, and
 you do not have access to a make program which supports VPATH, all is
@@ -105,7 +96,7 @@ not lost.  You can use the lndir program
 in your build directory.</p>
 <p>For example, if you wish to create a build directory for solaris
 binaries you might use the following procedure:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span>mkdir /u1/krb5-VERSION/solaris
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>mkdir /u1/krb5-VERSION/solaris
 cd /u1/krb5-VERSION/solaris
 /u1/krb5-VERSION/src/util/lndir `pwd`/../src
 ./configure
@@ -116,19 +107,19 @@ make
 makes it fail for relative pathnames.  Note that this version differs
 from the latest version as distributed and installed by the
 XConsortium with X11R6.  Either version should be acceptable.</p>
-</div>
-<div class="section" id="installing-the-binaries">
+</section>
+<section id="installing-the-binaries">
 <h2>Installing the binaries<a class="headerlink" href="#installing-the-binaries" title="Permalink to this headline">¶</a></h2>
 <p>Once you have built Kerberos, you should install the binaries. You can
 do this by running:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">make</span> <span class="n">install</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">make</span> <span class="n">install</span>
 </pre></div>
 </div>
 <p>If you want to install the binaries into a destination directory that
 is not their final destination, which may be convenient if you want to
 build a binary distribution to be deployed on multiple hosts, you may
 use:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">make</span> <span class="n">install</span> <span class="n">DESTDIR</span><span class="o">=/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">destdir</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">make</span> <span class="n">install</span> <span class="n">DESTDIR</span><span class="o">=/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">destdir</span>
 </pre></div>
 </div>
 <p>This will install the binaries under <em>DESTDIR/PREFIX</em>, e.g., the user
@@ -138,18 +129,18 @@ programs will install into <em>DESTDIR/P
 parallel, for faster builds.  We test our Makefiles in parallel builds
 with GNU make only; they may not be compatible with other parallel
 build implementations.</p>
-</div>
-<div class="section" id="testing-the-build">
+</section>
+<section id="testing-the-build">
 <h2>Testing the build<a class="headerlink" href="#testing-the-build" title="Permalink to this headline">¶</a></h2>
 <p>The Kerberos V5 distribution comes with built-in regression tests.  To
 run them, simply type the following command while in the top-level
 build directory (i.e., the directory where you sent typed make to
 start building Kerberos; see <a class="reference internal" href="#do-build"><span class="std std-ref">Building within a single tree</span></a>):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">make</span> <span class="n">check</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">make</span> <span class="n">check</span>
 </pre></div>
 </div>
-<p>On some operating systems, you have to run <code class="docutils literal"><span class="pre">make</span> <span class="pre">install</span></code> before
-running <code class="docutils literal"><span class="pre">make</span> <span class="pre">check</span></code>, or the test suite will pick up installed
+<p>On some operating systems, you have to run <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">install</span></code> before
+running <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">check</span></code>, or the test suite will pick up installed
 versions of Kerberos libraries rather than the newly built ones.  You
 can install into a prefix that isn’t in the system library search
 path, though.  Alternatively, you can configure with
@@ -157,49 +148,51 @@ path, though.  Alternatively, you can co
 for installation, but allows testing without interference from
 previously installed libraries.</p>
 <p>There are additional regression tests available, which are not run
-by <code class="docutils literal"><span class="pre">make</span> <span class="pre">check</span></code>.  These tests require manual setup and teardown of
+by <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">check</span></code>.  These tests require manual setup and teardown of
 support infrastructure which is not easily automated, or require
 excessive resources for ordinary use.  The procedure for running
 the manual tests is documented at
 <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Manual_Testing">https://k5wiki.kerberos.org/wiki/Manual_Testing</a>.</p>
-</div>
-<div class="section" id="cleaning-up-the-build">
+</section>
+<section id="cleaning-up-the-build">
 <h2>Cleaning up the build<a class="headerlink" href="#cleaning-up-the-build" title="Permalink to this headline">¶</a></h2>
 <ul class="simple">
-<li>Use <code class="docutils literal"><span class="pre">make</span> <span class="pre">clean</span></code> to remove all files generated by running make
-command.</li>
-<li>Use <code class="docutils literal"><span class="pre">make</span> <span class="pre">distclean</span></code> to remove all files generated by running
-./configure script.  After running <code class="docutils literal"><span class="pre">make</span> <span class="pre">distclean</span></code> your source
+<li><p>Use <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">clean</span></code> to remove all files generated by running make
+command.</p></li>
+<li><p>Use <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">distclean</span></code> to remove all files generated by running
+./configure script.  After running <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">distclean</span></code> your source
 tree (ideally) should look like the raw (just un-tarred) source
-tree.</li>
+tree.</p></li>
 </ul>
-</div>
-<div class="section" id="using-autoconf">
+</section>
+<section id="using-autoconf">
 <h2>Using autoconf<a class="headerlink" href="#using-autoconf" title="Permalink to this headline">¶</a></h2>
 <p>(If you are not a developer, you can ignore this section.)</p>
 <p>In the Kerberos V5 source directory, there is a configure script which
 automatically determines the compilation environment and creates the
 proper Makefiles for a particular platform.  This configure script is
 generated using autoconf, which you should already have installed if
-you will be making changes to <code class="docutils literal"><span class="pre">src/configure.in</span></code>.</p>
+you will be making changes to <code class="docutils literal notranslate"><span class="pre">src/configure.in</span></code>.</p>
 <p>Normal users will not need to worry about running autoconf; the
 distribution comes with the configure script already prebuilt.</p>
-<p>The autoconf package comes with a script called <code class="docutils literal"><span class="pre">autoreconf</span></code> that
-will automatically run <code class="docutils literal"><span class="pre">autoconf</span></code> and <code class="docutils literal"><span class="pre">autoheader</span></code> as needed.  You
-should run <code class="docutils literal"><span class="pre">autoreconf</span></code> from the top source directory, e.g.:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">cd</span> <span class="o">/</span><span class="n">u1</span><span class="o">/</span><span class="n">krb5</span><span class="o">-</span><span class="n">VERSION</span><span class="o">/</span><span class="n">src</span>
+<p>The autoconf package comes with a script called <code class="docutils literal notranslate"><span class="pre">autoreconf</span></code> that
+will automatically run <code class="docutils literal notranslate"><span class="pre">autoconf</span></code> and <code class="docutils literal notranslate"><span class="pre">autoheader</span></code> as needed.  You
+should run <code class="docutils literal notranslate"><span class="pre">autoreconf</span></code> from the top source directory, e.g.:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">cd</span> <span class="o">/</span><span class="n">u1</span><span class="o">/</span><span class="n">krb5</span><span class="o">-</span><span class="n">VERSION</span><span class="o">/</span><span class="n">src</span>
 <span class="n">autoreconf</span> <span class="o">--</span><span class="n">verbose</span>
 </pre></div>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Doing the build</a><ul>
@@ -245,6 +238,7 @@ should run <code class="docutils literal
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -252,8 +246,8 @@ should run <code class="docutils literal
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/build/index.html 1.21.3-1/doc/html/build/index.html
--- 1.21.2-1/doc/html/build/index.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/build/index.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Building Kerberos V5 &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Organization of the source directory" href="directory_org.html" />
     <link rel="prev" title="KDC policy interface (kdcpolicy)" href="../plugindev/kdcpolicy.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,11 +52,11 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="building-kerberos-v5">
+  <section id="building-kerberos-v5">
 <span id="build-v5"></span><h1>Building Kerberos V5<a class="headerlink" href="#building-kerberos-v5" title="Permalink to this headline">¶</a></h1>
 <p>This section details how to build and install MIT Kerberos software
 from the source.</p>
-<div class="section" id="prerequisites">
+<section id="prerequisites">
 <h2>Prerequisites<a class="headerlink" href="#prerequisites" title="Permalink to this headline">¶</a></h2>
 <p>In order to build Kerberos V5, you will need approximately 60-70
 megabytes of disk space.  The exact amount will vary depending on the
@@ -80,8 +71,8 @@ conformance.</p>
 need a make program which supports <strong>VPATH</strong>, or you will need to use
 a tool such as lndir to produce a symbolic link tree for your build
 tree.</p>
-</div>
-<div class="section" id="obtaining-the-software">
+</section>
+<section id="obtaining-the-software">
 <h2>Obtaining the software<a class="headerlink" href="#obtaining-the-software" title="Permalink to this headline">¶</a></h2>
 <p>The source code can be obtained from MIT Kerberos Distribution page,
 at <a class="reference external" href="https://kerberos.org/dist/index.html">https://kerberos.org/dist/index.html</a>.
@@ -95,17 +86,17 @@ krb5-VERSION.tar.gz) and a PGP signature
 (generally named krb5-VERSION.tar.gz.asc).  MIT highly recommends that
 you verify the integrity of the source code using this signature,
 e.g., by running:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">tar</span> <span class="n">xf</span> <span class="n">krb5</span><span class="o">-</span><span class="n">VERSION</span><span class="o">-</span><span class="n">signed</span><span class="o">.</span><span class="n">tar</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">tar</span> <span class="n">xf</span> <span class="n">krb5</span><span class="o">-</span><span class="n">VERSION</span><span class="o">-</span><span class="n">signed</span><span class="o">.</span><span class="n">tar</span>
 <span class="n">gpg</span> <span class="o">--</span><span class="n">verify</span> <span class="n">krb5</span><span class="o">-</span><span class="n">VERSION</span><span class="o">.</span><span class="n">tar</span><span class="o">.</span><span class="n">gz</span><span class="o">.</span><span class="n">asc</span>
 </pre></div>
 </div>
 <p>Unpack krb5-VERSION.tar.gz in some directory. In this section we will assume
 that you have chosen the top directory of the distribution the directory
-<code class="docutils literal"><span class="pre">/u1/krb5-VERSION</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">/u1/krb5-VERSION</span></code>.</p>
 <p>Review the README file for the license, copyright and other sprecific to the
 distribution information.</p>
-</div>
-<div class="section" id="contents">
+</section>
+<section id="contents">
 <h2>Contents<a class="headerlink" href="#contents" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -115,15 +106,17 @@ distribution information.</p>
 <li class="toctree-l1"><a class="reference internal" href="osconf.html">osconf.hin</a></li>
 </ul>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Building Kerberos V5</a><ul>
@@ -165,6 +158,7 @@ distribution information.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -172,8 +166,8 @@ distribution information.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/build/options2configure.html 1.21.3-1/doc/html/build/options2configure.html
--- 1.21.2-1/doc/html/build/options2configure.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/build/options2configure.html	2024-06-26 20:01:29.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Options to configure &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="osconf.hin" href="osconf.html" />
     <link rel="prev" title="Doing the build" href="doing_build.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,295 +52,290 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="options-to-configure">
+  <section id="options-to-configure">
 <span id="options2configure"></span><h1>Options to <em>configure</em><a class="headerlink" href="#options-to-configure" title="Permalink to this headline">¶</a></h1>
 <p>There are a number of options to configure which you can use to
 control how the Kerberos distribution is built.</p>
-<div class="section" id="most-commonly-used-options">
+<section id="most-commonly-used-options">
 <h2>Most commonly used options<a class="headerlink" href="#most-commonly-used-options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-</strong><strong>-help</strong></dt>
-<dd>Provides help to configure.  This will list the set of commonly
-used options for building Kerberos.</dd>
-<dt><strong>-</strong><strong>-prefix=</strong><em>PREFIX</em></dt>
-<dd>By default, Kerberos will install the package’s files rooted at
-<code class="docutils literal"><span class="pre">/usr/local</span></code>.  If you desire to place the binaries into the
-directory <em>PREFIX</em>, use this option.</dd>
-<dt><strong>-</strong><strong>-exec-prefix=</strong><em>EXECPREFIX</em></dt>
-<dd>This option allows one to separate the architecture independent
+<dl>
+<dt><strong>-</strong><strong>-help</strong></dt><dd><p>Provides help to configure.  This will list the set of commonly
+used options for building Kerberos.</p>
+</dd>
+<dt><strong>-</strong><strong>-prefix=</strong><em>PREFIX</em></dt><dd><p>By default, Kerberos will install the package’s files rooted at
+<code class="docutils literal notranslate"><span class="pre">/usr/local</span></code>.  If you desire to place the binaries into the
+directory <em>PREFIX</em>, use this option.</p>
+</dd>
+<dt><strong>-</strong><strong>-exec-prefix=</strong><em>EXECPREFIX</em></dt><dd><p>This option allows one to separate the architecture independent
 programs from the host-dependent files (configuration files,
 manual pages).  Use this option to install architecture-dependent
 programs in <em>EXECPREFIX</em>.  The default location is the value of
-specified by <strong>-</strong><strong>-prefix</strong> option.</dd>
-<dt><strong>-</strong><strong>-localstatedir=</strong><em>LOCALSTATEDIR</em></dt>
-<dd>This option sets the directory for locally modifiable
+specified by <strong>-</strong><strong>-prefix</strong> option.</p>
+</dd>
+<dt><strong>-</strong><strong>-localstatedir=</strong><em>LOCALSTATEDIR</em></dt><dd><p>This option sets the directory for locally modifiable
 single-machine data.  In Kerberos, this mostly is useful for
 setting a location for the KDC data files, as they will be
-installed in <code class="docutils literal"><span class="pre">LOCALSTATEDIR/krb5kdc</span></code>, which is by default
-<code class="docutils literal"><span class="pre">PREFIX/var/krb5kdc</span></code>.</dd>
-<dt><strong>-</strong><strong>-with-netlib</strong>[=<em>libs</em>]</dt>
-<dd>Allows for suppression of or replacement of network libraries.  By
-default, Kerberos V5 configuration will look for <code class="docutils literal"><span class="pre">-lnsl</span></code> and
-<code class="docutils literal"><span class="pre">-lsocket</span></code>.  If your operating system has a broken resolver
-library or fails to pass the tests in <code class="docutils literal"><span class="pre">src/tests/resolv</span></code>, you
-will need to use this option.</dd>
-<dt><strong>-</strong><strong>-enable-dns-for-realm</strong></dt>
-<dd>Enable the use of DNS to look up a host’s Kerberos realm,
+installed in <code class="docutils literal notranslate"><span class="pre">LOCALSTATEDIR/krb5kdc</span></code>, which is by default
+<code class="docutils literal notranslate"><span class="pre">PREFIX/var/krb5kdc</span></code>.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-netlib</strong>[=<em>libs</em>]</dt><dd><p>Allows for suppression of or replacement of network libraries.  By
+default, Kerberos V5 configuration will look for <code class="docutils literal notranslate"><span class="pre">-lnsl</span></code> and
+<code class="docutils literal notranslate"><span class="pre">-lsocket</span></code>.  If your operating system has a broken resolver
+library or fails to pass the tests in <code class="docutils literal notranslate"><span class="pre">src/tests/resolv</span></code>, you
+will need to use this option.</p>
+</dd>
+<dt><strong>-</strong><strong>-enable-dns-for-realm</strong></dt><dd><p>Enable the use of DNS to look up a host’s Kerberos realm,
 if the information is not provided in
 <a class="reference internal" href="../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.  See <a class="reference internal" href="../admin/realm_config.html#mapping-hostnames"><span class="std std-ref">Mapping hostnames onto Kerberos realms</span></a>
 for information about using DNS to determine the default realm.
-DNS lookups for realm names are disabled by default.</dd>
-<dt><strong>-</strong><strong>-with-system-et</strong></dt>
-<dd><p class="first">Use an installed version of the error-table (et) support software,
+DNS lookups for realm names are disabled by default.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-system-et</strong></dt><dd><p>Use an installed version of the error-table (et) support software,
 the compile_et program, the com_err.h header file and the com_err
 library.  If these are not in the default locations, you may wish
-to specify <code class="docutils literal"><span class="pre">CPPFLAGS=-I/some/dir</span></code> and
-<code class="docutils literal"><span class="pre">LDFLAGS=-L/some/other/dir</span></code> options at configuration time as
+to specify <code class="docutils literal notranslate"><span class="pre">CPPFLAGS=-I/some/dir</span></code> and
+<code class="docutils literal notranslate"><span class="pre">LDFLAGS=-L/some/other/dir</span></code> options at configuration time as
 well.</p>
-<p class="last">If this option is not given, a version supplied with the Kerberos
+<p>If this option is not given, a version supplied with the Kerberos
 sources will be built and installed along with the rest of the
 Kerberos tree, for Kerberos applications to link against.</p>
 </dd>
-<dt><strong>-</strong><strong>-with-system-ss</strong></dt>
-<dd><p class="first">Use an installed version of the subsystem command-line interface
-software, the mk_cmds program, the <code class="docutils literal"><span class="pre">ss/ss.h</span></code> header file and the
+<dt><strong>-</strong><strong>-with-system-ss</strong></dt><dd><p>Use an installed version of the subsystem command-line interface
+software, the mk_cmds program, the <code class="docutils literal notranslate"><span class="pre">ss/ss.h</span></code> header file and the
 ss library.  If these are not in the default locations, you may
-wish to specify <code class="docutils literal"><span class="pre">CPPFLAGS=-I/some/dir</span></code> and
-<code class="docutils literal"><span class="pre">LDFLAGS=-L/some/other/dir</span></code> options at configuration time as
+wish to specify <code class="docutils literal notranslate"><span class="pre">CPPFLAGS=-I/some/dir</span></code> and
+<code class="docutils literal notranslate"><span class="pre">LDFLAGS=-L/some/other/dir</span></code> options at configuration time as
 well.  See also the <strong>SS_LIB</strong> option.</p>
-<p class="last">If this option is not given, the ss library supplied with the
+<p>If this option is not given, the ss library supplied with the
 Kerberos sources will be compiled and linked into those programs
 that need it; it will not be installed separately.</p>
 </dd>
-<dt><strong>-</strong><strong>-with-system-db</strong></dt>
-<dd><p class="first">Use an installed version of the Berkeley DB package, which must
+<dt><strong>-</strong><strong>-with-system-db</strong></dt><dd><p>Use an installed version of the Berkeley DB package, which must
 provide an API compatible with version 1.85.  This option is
 unsupported and untested.  In particular, we do not know if the
 database-rename code used in the dumpfile load operation will
 behave properly.</p>
-<p class="last">If this option is not given, a version supplied with the Kerberos
+<p>If this option is not given, a version supplied with the Kerberos
 sources will be built and installed.  (We are not updating this
 version at this time because of licensing issues with newer
 versions that we haven’t investigated sufficiently yet.)</p>
 </dd>
 </dl>
-</div>
-<div class="section" id="environment-variables">
+</section>
+<section id="environment-variables">
 <h2>Environment variables<a class="headerlink" href="#environment-variables" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>CC=</strong><em>COMPILER</em></dt>
-<dd>Use <em>COMPILER</em> as the C compiler.</dd>
-<dt><strong>CFLAGS=</strong><em>FLAGS</em></dt>
-<dd>Use <em>FLAGS</em> as the default set of C compiler flags.</dd>
-<dt><strong>CPP=</strong><em>CPP</em></dt>
-<dd>C preprocessor to use. (e.g., <code class="docutils literal"><span class="pre">CPP='gcc</span> <span class="pre">-E'</span></code>)</dd>
-<dt><strong>CPPFLAGS=</strong><em>CPPOPTS</em></dt>
-<dd>Use <em>CPPOPTS</em> as the default set of C preprocessor flags.  The
+<dl>
+<dt><strong>CC=</strong><em>COMPILER</em></dt><dd><p>Use <em>COMPILER</em> as the C compiler.</p>
+</dd>
+<dt><strong>CFLAGS=</strong><em>FLAGS</em></dt><dd><p>Use <em>FLAGS</em> as the default set of C compiler flags.</p>
+</dd>
+<dt><strong>CPP=</strong><em>CPP</em></dt><dd><p>C preprocessor to use. (e.g., <code class="docutils literal notranslate"><span class="pre">CPP='gcc</span> <span class="pre">-E'</span></code>)</p>
+</dd>
+<dt><strong>CPPFLAGS=</strong><em>CPPOPTS</em></dt><dd><p>Use <em>CPPOPTS</em> as the default set of C preprocessor flags.  The
 most common use of this option is to select certain #define’s for
-use with the operating system’s include files.</dd>
-<dt><strong>DB_HEADER=</strong><em>headername</em></dt>
-<dd>If db.h is not the correct header file to include to compile
+use with the operating system’s include files.</p>
+</dd>
+<dt><strong>DB_HEADER=</strong><em>headername</em></dt><dd><p>If db.h is not the correct header file to include to compile
 against the Berkeley DB 1.85 API, specify the correct header file
-name with this option. For example, <code class="docutils literal"><span class="pre">DB_HEADER=db3/db_185.h</span></code>.</dd>
-<dt><strong>DB_LIB=</strong><em>libs</em>…</dt>
-<dd>If <code class="docutils literal"><span class="pre">-ldb</span></code> is not the correct library specification for the
+name with this option. For example, <code class="docutils literal notranslate"><span class="pre">DB_HEADER=db3/db_185.h</span></code>.</p>
+</dd>
+<dt><strong>DB_LIB=</strong><em>libs</em>…</dt><dd><p>If <code class="docutils literal notranslate"><span class="pre">-ldb</span></code> is not the correct library specification for the
 Berkeley DB library version to be used, override it with this
-option. For example, <code class="docutils literal"><span class="pre">DB_LIB=-ldb-3.3</span></code>.</dd>
-<dt><strong>DEFCCNAME=</strong><em>ccachename</em></dt>
-<dd>Override the built-in default credential cache name.
-For example, <code class="docutils literal"><span class="pre">DEFCCNAME=DIR:/var/run/user/%{USERID}/ccache</span></code>
+option. For example, <code class="docutils literal notranslate"><span class="pre">DB_LIB=-ldb-3.3</span></code>.</p>
+</dd>
+<dt><strong>DEFCCNAME=</strong><em>ccachename</em></dt><dd><p>Override the built-in default credential cache name.
+For example, <code class="docutils literal notranslate"><span class="pre">DEFCCNAME=DIR:/var/run/user/%{USERID}/ccache</span></code>
 See <a class="reference internal" href="../admin/conf_files/krb5_conf.html#parameter-expansion"><span class="std std-ref">Parameter expansion</span></a> for information about supported
-parameter expansions.</dd>
-<dt><strong>DEFCKTNAME=</strong><em>keytabname</em></dt>
-<dd>Override the built-in default client keytab name.
-The format is the same as for <em>DEFCCNAME</em>.</dd>
-<dt><strong>DEFKTNAME=</strong><em>keytabname</em></dt>
-<dd>Override the built-in default keytab name.
-The format is the same as for <em>DEFCCNAME</em>.</dd>
-<dt><strong>LD=</strong><em>LINKER</em></dt>
-<dd>Use <em>LINKER</em> as the default loader if it should be different from
-C compiler as specified above.</dd>
-<dt><strong>LDFLAGS=</strong><em>LDOPTS</em></dt>
-<dd>This option informs the linker where to get additional libraries
-(e.g., <code class="docutils literal"><span class="pre">-L&lt;lib</span> <span class="pre">dir&gt;</span></code>).</dd>
-<dt><strong>LIBS=</strong><em>LDNAME</em></dt>
-<dd>This option allows one to specify libraries to be passed to the
-linker (e.g., <code class="docutils literal"><span class="pre">-l&lt;library&gt;</span></code>)</dd>
-<dt><strong>PKCS11_MODNAME=</strong><em>library</em></dt>
-<dd>Override the built-in default PKCS11 library name.</dd>
-<dt><strong>SS_LIB=</strong><em>libs</em>…</dt>
-<dd><p class="first">If <code class="docutils literal"><span class="pre">-lss</span></code> is not the correct way to link in your installed ss
+parameter expansions.</p>
+</dd>
+<dt><strong>DEFCKTNAME=</strong><em>keytabname</em></dt><dd><p>Override the built-in default client keytab name.
+The format is the same as for <em>DEFCCNAME</em>.</p>
+</dd>
+<dt><strong>DEFKTNAME=</strong><em>keytabname</em></dt><dd><p>Override the built-in default keytab name.
+The format is the same as for <em>DEFCCNAME</em>.</p>
+</dd>
+<dt><strong>LD=</strong><em>LINKER</em></dt><dd><p>Use <em>LINKER</em> as the default loader if it should be different from
+C compiler as specified above.</p>
+</dd>
+<dt><strong>LDFLAGS=</strong><em>LDOPTS</em></dt><dd><p>This option informs the linker where to get additional libraries
+(e.g., <code class="docutils literal notranslate"><span class="pre">-L&lt;lib</span> <span class="pre">dir&gt;</span></code>).</p>
+</dd>
+<dt><strong>LIBS=</strong><em>LDNAME</em></dt><dd><p>This option allows one to specify libraries to be passed to the
+linker (e.g., <code class="docutils literal notranslate"><span class="pre">-l&lt;library&gt;</span></code>)</p>
+</dd>
+<dt><strong>PKCS11_MODNAME=</strong><em>library</em></dt><dd><p>Override the built-in default PKCS11 library name.</p>
+</dd>
+<dt><strong>SS_LIB=</strong><em>libs</em>…</dt><dd><p>If <code class="docutils literal notranslate"><span class="pre">-lss</span></code> is not the correct way to link in your installed ss
 library, for example if additional support libraries are needed,
 specify the correct link options here.  Some variants of this
 library are around which allow for Emacs-like line editing, but
 different versions require different support libraries to be
 explicitly specified.</p>
-<p class="last">This option is ignored if <strong>-</strong><strong>-with-system-ss</strong> is not specified.</p>
+<p>This option is ignored if <strong>-</strong><strong>-with-system-ss</strong> is not specified.</p>
 </dd>
-<dt><strong>YACC</strong></dt>
-<dd>The ‘Yet Another C Compiler’ implementation to use. Defaults to
+<dt><strong>YACC</strong></dt><dd><p>The ‘Yet Another C Compiler’ implementation to use. Defaults to
 the first program found out of: ‘<cite>bison -y</cite>’, ‘<cite>byacc</cite>’,
-‘<cite>yacc</cite>’.</dd>
-<dt><strong>YFLAGS</strong></dt>
-<dd>The list of arguments that will be passed by default to $YACC.
+‘<cite>yacc</cite>’.</p>
+</dd>
+<dt><strong>YFLAGS</strong></dt><dd><p>The list of arguments that will be passed by default to $YACC.
 This script will default YFLAGS to the empty string to avoid a
-default value of <code class="docutils literal"><span class="pre">-d</span></code> given by some make applications.</dd>
+default value of <code class="docutils literal notranslate"><span class="pre">-d</span></code> given by some make applications.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="fine-tuning-of-the-installation-directories">
+</section>
+<section id="fine-tuning-of-the-installation-directories">
 <h2>Fine tuning of the installation directories<a class="headerlink" href="#fine-tuning-of-the-installation-directories" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-</strong><strong>-bindir=</strong><em>DIR</em></dt>
-<dd>User executables.  Defaults to <code class="docutils literal"><span class="pre">EXECPREFIX/bin</span></code>, where
+<dl class="simple">
+<dt><strong>-</strong><strong>-bindir=</strong><em>DIR</em></dt><dd><p>User executables.  Defaults to <code class="docutils literal notranslate"><span class="pre">EXECPREFIX/bin</span></code>, where
 <em>EXECPREFIX</em> is the path specified by <strong>-</strong><strong>-exec-prefix</strong>
-configuration option.</dd>
-<dt><strong>-</strong><strong>-sbindir=</strong><em>DIR</em></dt>
-<dd>System admin executables.  Defaults to <code class="docutils literal"><span class="pre">EXECPREFIX/sbin</span></code>, where
+configuration option.</p>
+</dd>
+<dt><strong>-</strong><strong>-sbindir=</strong><em>DIR</em></dt><dd><p>System admin executables.  Defaults to <code class="docutils literal notranslate"><span class="pre">EXECPREFIX/sbin</span></code>, where
 <em>EXECPREFIX</em> is the path specified by <strong>-</strong><strong>-exec-prefix</strong>
-configuration option.</dd>
-<dt><strong>-</strong><strong>-sysconfdir=</strong><em>DIR</em></dt>
-<dd>Read-only single-machine data such as krb5.conf.
-Defaults to <code class="docutils literal"><span class="pre">PREFIX/etc</span></code>, where
+configuration option.</p>
+</dd>
+<dt><strong>-</strong><strong>-sysconfdir=</strong><em>DIR</em></dt><dd><p>Read-only single-machine data such as krb5.conf.
+Defaults to <code class="docutils literal notranslate"><span class="pre">PREFIX/etc</span></code>, where
 <em>PREFIX</em> is the path specified by <strong>-</strong><strong>-prefix</strong> configuration
-option.</dd>
-<dt><strong>-</strong><strong>-libdir=</strong><em>DIR</em></dt>
-<dd>Object code libraries.  Defaults to <code class="docutils literal"><span class="pre">EXECPREFIX/lib</span></code>, where
+option.</p>
+</dd>
+<dt><strong>-</strong><strong>-libdir=</strong><em>DIR</em></dt><dd><p>Object code libraries.  Defaults to <code class="docutils literal notranslate"><span class="pre">EXECPREFIX/lib</span></code>, where
 <em>EXECPREFIX</em> is the path specified by <strong>-</strong><strong>-exec-prefix</strong>
-configuration option.</dd>
-<dt><strong>-</strong><strong>-includedir=</strong><em>DIR</em></dt>
-<dd>C header files.  Defaults to <code class="docutils literal"><span class="pre">PREFIX/include</span></code>, where <em>PREFIX</em> is
-the path specified by <strong>-</strong><strong>-prefix</strong> configuration option.</dd>
-<dt><strong>-</strong><strong>-datarootdir=</strong><em>DATAROOTDIR</em></dt>
-<dd>Read-only architecture-independent data root.  Defaults to
-<code class="docutils literal"><span class="pre">PREFIX/share</span></code>, where <em>PREFIX</em> is the path specified by
-<strong>-</strong><strong>-prefix</strong> configuration option.</dd>
-<dt><strong>-</strong><strong>-datadir=</strong><em>DIR</em></dt>
-<dd>Read-only architecture-independent data.  Defaults to path
-specified by <strong>-</strong><strong>-datarootdir</strong> configuration option.</dd>
-<dt><strong>-</strong><strong>-localedir=</strong><em>DIR</em></dt>
-<dd>Locale-dependent data.  Defaults to <code class="docutils literal"><span class="pre">DATAROOTDIR/locale</span></code>, where
+configuration option.</p>
+</dd>
+<dt><strong>-</strong><strong>-includedir=</strong><em>DIR</em></dt><dd><p>C header files.  Defaults to <code class="docutils literal notranslate"><span class="pre">PREFIX/include</span></code>, where <em>PREFIX</em> is
+the path specified by <strong>-</strong><strong>-prefix</strong> configuration option.</p>
+</dd>
+<dt><strong>-</strong><strong>-datarootdir=</strong><em>DATAROOTDIR</em></dt><dd><p>Read-only architecture-independent data root.  Defaults to
+<code class="docutils literal notranslate"><span class="pre">PREFIX/share</span></code>, where <em>PREFIX</em> is the path specified by
+<strong>-</strong><strong>-prefix</strong> configuration option.</p>
+</dd>
+<dt><strong>-</strong><strong>-datadir=</strong><em>DIR</em></dt><dd><p>Read-only architecture-independent data.  Defaults to path
+specified by <strong>-</strong><strong>-datarootdir</strong> configuration option.</p>
+</dd>
+<dt><strong>-</strong><strong>-localedir=</strong><em>DIR</em></dt><dd><p>Locale-dependent data.  Defaults to <code class="docutils literal notranslate"><span class="pre">DATAROOTDIR/locale</span></code>, where
 <em>DATAROOTDIR</em> is the path specified by <strong>-</strong><strong>-datarootdir</strong>
-configuration option.</dd>
-<dt><strong>-</strong><strong>-mandir=</strong><em>DIR</em></dt>
-<dd>Man documentation.  Defaults to <code class="docutils literal"><span class="pre">DATAROOTDIR/man</span></code>, where
+configuration option.</p>
+</dd>
+<dt><strong>-</strong><strong>-mandir=</strong><em>DIR</em></dt><dd><p>Man documentation.  Defaults to <code class="docutils literal notranslate"><span class="pre">DATAROOTDIR/man</span></code>, where
 <em>DATAROOTDIR</em> is the path specified by <strong>-</strong><strong>-datarootdir</strong>
-configuration option.</dd>
+configuration option.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="program-names">
+</section>
+<section id="program-names">
 <h2>Program names<a class="headerlink" href="#program-names" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-</strong><strong>-program-prefix=</strong><em>PREFIX</em></dt>
-<dd>Prepend <em>PREFIX</em> to the names of the programs when installing
-them. For example, specifying <code class="docutils literal"><span class="pre">--program-prefix=mit-</span></code> at the
-configure time will cause the program named <code class="docutils literal"><span class="pre">abc</span></code> to be
-installed as <code class="docutils literal"><span class="pre">mit-abc</span></code>.</dd>
-<dt><strong>-</strong><strong>-program-suffix=</strong><em>SUFFIX</em></dt>
-<dd>Append <em>SUFFIX</em> to the names of the programs when installing them.
-For example, specifying <code class="docutils literal"><span class="pre">--program-suffix=-mit</span></code> at the configure
-time will cause the program named <code class="docutils literal"><span class="pre">abc</span></code> to be installed as
-<code class="docutils literal"><span class="pre">abc-mit</span></code>.</dd>
-<dt><strong>-</strong><strong>-program-transform-name=</strong><em>PROGRAM</em></dt>
-<dd>Run <code class="docutils literal"><span class="pre">sed</span> <span class="pre">-e</span> <span class="pre">PROGRAM</span></code> on installed program names. (<em>PROGRAM</em> is a
-sed script).</dd>
+<dl class="simple">
+<dt><strong>-</strong><strong>-program-prefix=</strong><em>PREFIX</em></dt><dd><p>Prepend <em>PREFIX</em> to the names of the programs when installing
+them. For example, specifying <code class="docutils literal notranslate"><span class="pre">--program-prefix=mit-</span></code> at the
+configure time will cause the program named <code class="docutils literal notranslate"><span class="pre">abc</span></code> to be
+installed as <code class="docutils literal notranslate"><span class="pre">mit-abc</span></code>.</p>
+</dd>
+<dt><strong>-</strong><strong>-program-suffix=</strong><em>SUFFIX</em></dt><dd><p>Append <em>SUFFIX</em> to the names of the programs when installing them.
+For example, specifying <code class="docutils literal notranslate"><span class="pre">--program-suffix=-mit</span></code> at the configure
+time will cause the program named <code class="docutils literal notranslate"><span class="pre">abc</span></code> to be installed as
+<code class="docutils literal notranslate"><span class="pre">abc-mit</span></code>.</p>
+</dd>
+<dt><strong>-</strong><strong>-program-transform-name=</strong><em>PROGRAM</em></dt><dd><p>Run <code class="docutils literal notranslate"><span class="pre">sed</span> <span class="pre">-e</span> <span class="pre">PROGRAM</span></code> on installed program names. (<em>PROGRAM</em> is a
+sed script).</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="system-types">
+</section>
+<section id="system-types">
 <h2>System types<a class="headerlink" href="#system-types" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-</strong><strong>-build=</strong><em>BUILD</em></dt>
-<dd>Configure for building on <em>BUILD</em>
-(e.g., <code class="docutils literal"><span class="pre">--build=x86_64-linux-gnu</span></code>).</dd>
-<dt><strong>-</strong><strong>-host=</strong><em>HOST</em></dt>
-<dd>Cross-compile to build programs to run on <em>HOST</em>
-(e.g., <code class="docutils literal"><span class="pre">--host=x86_64-linux-gnu</span></code>).  By default, Kerberos V5
-configuration will look for “build” option.</dd>
+<dl class="simple">
+<dt><strong>-</strong><strong>-build=</strong><em>BUILD</em></dt><dd><p>Configure for building on <em>BUILD</em>
+(e.g., <code class="docutils literal notranslate"><span class="pre">--build=x86_64-linux-gnu</span></code>).</p>
+</dd>
+<dt><strong>-</strong><strong>-host=</strong><em>HOST</em></dt><dd><p>Cross-compile to build programs to run on <em>HOST</em>
+(e.g., <code class="docutils literal notranslate"><span class="pre">--host=x86_64-linux-gnu</span></code>).  By default, Kerberos V5
+configuration will look for “build” option.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="optional-features">
+</section>
+<section id="optional-features">
 <h2>Optional features<a class="headerlink" href="#optional-features" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-</strong><strong>-disable-option-checking</strong></dt>
-<dd>Ignore unrecognized –enable/–with options.</dd>
-<dt><strong>-</strong><strong>-disable-</strong><em>FEATURE</em></dt>
-<dd>Do not include <em>FEATURE</em> (same as –enable-FEATURE=no).</dd>
-<dt><strong>-</strong><strong>-enable-</strong><em>FEATURE</em>[=<em>ARG</em>]</dt>
-<dd>Include <em>FEATURE</em> [ARG=yes].</dd>
-<dt><strong>-</strong><strong>-enable-maintainer-mode</strong></dt>
-<dd>Enable rebuilding of source files, Makefiles, etc.</dd>
-<dt><strong>-</strong><strong>-disable-delayed-initialization</strong></dt>
-<dd>Initialize library code when loaded.  Defaults to delay until
-first use.</dd>
-<dt><strong>-</strong><strong>-disable-thread-support</strong></dt>
-<dd>Don’t enable thread support.  Defaults to enabled.</dd>
-<dt><strong>-</strong><strong>-disable-rpath</strong></dt>
-<dd>Suppress run path flags in link lines.</dd>
-<dt><strong>-</strong><strong>-enable-athena</strong></dt>
-<dd>Build with MIT Project Athena configuration.</dd>
-<dt><strong>-</strong><strong>-disable-kdc-lookaside-cache</strong></dt>
-<dd>Disable the cache which detects client retransmits.</dd>
-<dt><strong>-</strong><strong>-disable-pkinit</strong></dt>
-<dd>Disable PKINIT plugin support.</dd>
-<dt><strong>-</strong><strong>-disable-aesni</strong></dt>
-<dd>Disable support for using AES instructions on x86 platforms.</dd>
-<dt><strong>-</strong><strong>-enable-asan</strong>[=<em>ARG</em>]</dt>
-<dd>Enable building with asan memory error checking.  If <em>ARG</em> is
+<dl class="simple">
+<dt><strong>-</strong><strong>-disable-option-checking</strong></dt><dd><p>Ignore unrecognized –enable/–with options.</p>
+</dd>
+<dt><strong>-</strong><strong>-disable-</strong><em>FEATURE</em></dt><dd><p>Do not include <em>FEATURE</em> (same as –enable-FEATURE=no).</p>
+</dd>
+<dt><strong>-</strong><strong>-enable-</strong><em>FEATURE</em>[=<em>ARG</em>]</dt><dd><p>Include <em>FEATURE</em> [ARG=yes].</p>
+</dd>
+<dt><strong>-</strong><strong>-enable-maintainer-mode</strong></dt><dd><p>Enable rebuilding of source files, Makefiles, etc.</p>
+</dd>
+<dt><strong>-</strong><strong>-disable-delayed-initialization</strong></dt><dd><p>Initialize library code when loaded.  Defaults to delay until
+first use.</p>
+</dd>
+<dt><strong>-</strong><strong>-disable-thread-support</strong></dt><dd><p>Don’t enable thread support.  Defaults to enabled.</p>
+</dd>
+<dt><strong>-</strong><strong>-disable-rpath</strong></dt><dd><p>Suppress run path flags in link lines.</p>
+</dd>
+<dt><strong>-</strong><strong>-enable-athena</strong></dt><dd><p>Build with MIT Project Athena configuration.</p>
+</dd>
+<dt><strong>-</strong><strong>-disable-kdc-lookaside-cache</strong></dt><dd><p>Disable the cache which detects client retransmits.</p>
+</dd>
+<dt><strong>-</strong><strong>-disable-pkinit</strong></dt><dd><p>Disable PKINIT plugin support.</p>
+</dd>
+<dt><strong>-</strong><strong>-disable-aesni</strong></dt><dd><p>Disable support for using AES instructions on x86 platforms.</p>
+</dd>
+<dt><strong>-</strong><strong>-enable-asan</strong>[=<em>ARG</em>]</dt><dd><p>Enable building with asan memory error checking.  If <em>ARG</em> is
 given, it controls the -fsanitize compilation flag value (the
-default is “address”).</dd>
+default is “address”).</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="optional-packages">
+</section>
+<section id="optional-packages">
 <h2>Optional packages<a class="headerlink" href="#optional-packages" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-</strong><strong>-with-</strong><em>PACKAGE</em>[=ARG]</dt>
-<dd>Use <em>PACKAGE</em> (e.g., <code class="docutils literal"><span class="pre">--with-imap</span></code>).  The default value of <em>ARG</em>
-is <code class="docutils literal"><span class="pre">yes</span></code>.</dd>
-<dt><strong>-</strong><strong>-without-</strong><em>PACKAGE</em></dt>
-<dd>Do not use <em>PACKAGE</em> (same as <code class="docutils literal"><span class="pre">--with-PACKAGE=no</span></code>)
-(e.g., <code class="docutils literal"><span class="pre">--without-libedit</span></code>).</dd>
-<dt><strong>-</strong><strong>-with-size-optimizations</strong></dt>
-<dd>Enable a few optimizations to reduce code size possibly at some
-run-time cost.</dd>
-<dt><strong>-</strong><strong>-with-system-et</strong></dt>
-<dd>Use the com_err library and compile_et utility that are already
+<dl>
+<dt><strong>-</strong><strong>-with-</strong><em>PACKAGE</em>[=ARG]</dt><dd><p>Use <em>PACKAGE</em> (e.g., <code class="docutils literal notranslate"><span class="pre">--with-imap</span></code>).  The default value of <em>ARG</em>
+is <code class="docutils literal notranslate"><span class="pre">yes</span></code>.</p>
+</dd>
+<dt><strong>-</strong><strong>-without-</strong><em>PACKAGE</em></dt><dd><p>Do not use <em>PACKAGE</em> (same as <code class="docutils literal notranslate"><span class="pre">--with-PACKAGE=no</span></code>)
+(e.g., <code class="docutils literal notranslate"><span class="pre">--without-libedit</span></code>).</p>
+</dd>
+<dt><strong>-</strong><strong>-with-size-optimizations</strong></dt><dd><p>Enable a few optimizations to reduce code size possibly at some
+run-time cost.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-system-et</strong></dt><dd><p>Use the com_err library and compile_et utility that are already
 installed on the system, instead of building and installing
-local versions.</dd>
-<dt><strong>-</strong><strong>-with-system-ss</strong></dt>
-<dd>Use the ss library and mk_cmds utility that are already installed
-on the system, instead of building and using private versions.</dd>
-<dt><strong>-</strong><strong>-with-system-db</strong></dt>
-<dd>Use the berkeley db utility already installed on the system,
+local versions.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-system-ss</strong></dt><dd><p>Use the ss library and mk_cmds utility that are already installed
+on the system, instead of building and using private versions.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-system-db</strong></dt><dd><p>Use the berkeley db utility already installed on the system,
 instead of using a private version.  This option is not
 recommended; enabling it may result in incompatibility with key
-databases originating on other systems.</dd>
-<dt><strong>-</strong><strong>-with-netlib=</strong><em>LIBS</em></dt>
-<dd>Use the resolver library specified in <em>LIBS</em>.  Use this variable
-if the C library resolver is insufficient or broken.</dd>
-<dt><strong>-</strong><strong>-with-hesiod=</strong><em>path</em></dt>
-<dd>Compile with Hesiod support.  The <em>path</em> points to the Hesiod
-directory.  By default Hesiod is unsupported.</dd>
-<dt><strong>-</strong><strong>-with-ldap</strong></dt>
-<dd>Compile OpenLDAP database backend module.</dd>
-<dt><strong>-</strong><strong>-with-lmdb</strong></dt>
-<dd>Compile LMDB database backend module.</dd>
-<dt><strong>-</strong><strong>-with-vague-errors</strong></dt>
-<dd>Do not send helpful errors to client.  For example, if the KDC
-should return only vague error codes to clients.</dd>
-<dt><strong>-</strong><strong>-with-crypto-impl=</strong><em>IMPL</em></dt>
-<dd>Use specified crypto implementation (e.g., <strong>-</strong><strong>-with-crypto-impl=</strong><em>openssl</em>).  The default is the native MIT
-Kerberos implementation <code class="docutils literal"><span class="pre">builtin</span></code>.  The other currently
-implemented crypto backend is <code class="docutils literal"><span class="pre">openssl</span></code>.  (See
-<a class="reference internal" href="../mitK5features.html#mitk5features"><span class="std std-ref">MIT Kerberos features</span></a>)</dd>
-<dt><strong>-</strong><strong>-without-libedit</strong></dt>
-<dd>Do not compile and link against libedit.  Some utilities will no
+databases originating on other systems.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-netlib=</strong><em>LIBS</em></dt><dd><p>Use the resolver library specified in <em>LIBS</em>.  Use this variable
+if the C library resolver is insufficient or broken.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-hesiod=</strong><em>path</em></dt><dd><p>Compile with Hesiod support.  The <em>path</em> points to the Hesiod
+directory.  By default Hesiod is unsupported.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-ldap</strong></dt><dd><p>Compile OpenLDAP database backend module.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-lmdb</strong></dt><dd><p>Compile LMDB database backend module.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-vague-errors</strong></dt><dd><p>Do not send helpful errors to client.  For example, if the KDC
+should return only vague error codes to clients.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-crypto-impl=</strong><em>IMPL</em></dt><dd><p>Use specified crypto implementation (e.g., <strong>-</strong><strong>-with-crypto-impl=</strong><em>openssl</em>).  The default is the native MIT
+Kerberos implementation <code class="docutils literal notranslate"><span class="pre">builtin</span></code>.  The other currently
+implemented crypto backend is <code class="docutils literal notranslate"><span class="pre">openssl</span></code>.  (See
+<a class="reference internal" href="../mitK5features.html#mitk5features"><span class="std std-ref">MIT Kerberos features</span></a>)</p>
+</dd>
+<dt><strong>-</strong><strong>-without-libedit</strong></dt><dd><p>Do not compile and link against libedit.  Some utilities will no
 longer offer command history or completion in interactive mode if
-libedit is disabled.</dd>
-<dt><strong>-</strong><strong>-with-readline</strong></dt>
-<dd>Compile and link against GNU readline, as an alternative to libedit.</dd>
-<dt><strong>-</strong><strong>-with-system-verto</strong></dt>
-<dd><p class="first">Use an installed version of libverto.  If the libverto header and
+libedit is disabled.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-readline</strong></dt><dd><p>Compile and link against GNU readline, as an alternative to libedit.</p>
+</dd>
+<dt><strong>-</strong><strong>-with-system-verto</strong></dt><dd><p>Use an installed version of libverto.  If the libverto header and
 library are not in default locations, you may wish to specify
-<code class="docutils literal"><span class="pre">CPPFLAGS=-I/some/dir</span></code> and <code class="docutils literal"><span class="pre">LDFLAGS=-L/some/other/dir</span></code> options
+<code class="docutils literal notranslate"><span class="pre">CPPFLAGS=-I/some/dir</span></code> and <code class="docutils literal notranslate"><span class="pre">LDFLAGS=-L/some/other/dir</span></code> options
 at configuration time as well.</p>
 <p>If this option is not given, the build system will try to detect
 an installed version of libverto and use it if it is found.
@@ -358,47 +344,49 @@ built and installed.  The built-in versi
 full set of back-end modules and is not a suitable general
 replacement for the upstream version, but will work for the
 purposes of Kerberos.</p>
-<p class="last">Specifying <strong>-</strong><strong>-without-system-verto</strong> will cause the built-in
+<p>Specifying <strong>-</strong><strong>-without-system-verto</strong> will cause the built-in
 version of libverto to be used unconditionally.</p>
 </dd>
-<dt><strong>-</strong><strong>-with-krb5-config=</strong><em>PATH</em></dt>
-<dd>Use the krb5-config program at <em>PATH</em> to obtain the build-time
+<dt><strong>-</strong><strong>-with-krb5-config=</strong><em>PATH</em></dt><dd><p>Use the krb5-config program at <em>PATH</em> to obtain the build-time
 default credential cache, keytab, and client keytab names.  The
-default is to use <code class="docutils literal"><span class="pre">krb5-config</span></code> from the program path.  Specify
-<code class="docutils literal"><span class="pre">--without-krb5-config</span></code> to disable the use of krb5-config and
-use the usual built-in defaults.</dd>
-<dt><strong>-</strong><strong>-without-keyutils</strong></dt>
-<dd>Build without libkeyutils support.  This disables the KEYRING
-credential cache type.</dd>
+default is to use <code class="docutils literal notranslate"><span class="pre">krb5-config</span></code> from the program path.  Specify
+<code class="docutils literal notranslate"><span class="pre">--without-krb5-config</span></code> to disable the use of krb5-config and
+use the usual built-in defaults.</p>
+</dd>
+<dt><strong>-</strong><strong>-without-keyutils</strong></dt><dd><p>Build without libkeyutils support.  This disables the KEYRING
+credential cache type.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="examples">
+</section>
+<section id="examples">
 <h2>Examples<a class="headerlink" href="#examples" title="Permalink to this headline">¶</a></h2>
 <p>For example, in order to configure Kerberos on a Solaris machine using
 the suncc compiler with the optimizer turned on, run the configure
 script with the following options:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="o">%</span> <span class="o">./</span><span class="n">configure</span> <span class="n">CC</span><span class="o">=</span><span class="n">suncc</span> <span class="n">CFLAGS</span><span class="o">=-</span><span class="n">O</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">%</span> <span class="o">./</span><span class="n">configure</span> <span class="n">CC</span><span class="o">=</span><span class="n">suncc</span> <span class="n">CFLAGS</span><span class="o">=-</span><span class="n">O</span>
 </pre></div>
 </div>
 <p>For a slightly more complicated example, consider a system where
 several packages to be used by Kerberos are installed in
-<code class="docutils literal"><span class="pre">/usr/foobar</span></code>, including Berkeley DB 3.3, and an ss library that
+<code class="docutils literal notranslate"><span class="pre">/usr/foobar</span></code>, including Berkeley DB 3.3, and an ss library that
 needs to link against the curses library.  The configuration of
 Kerberos might be done thus:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="o">./</span><span class="n">configure</span> <span class="n">CPPFLAGS</span><span class="o">=-</span><span class="n">I</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">foobar</span><span class="o">/</span><span class="n">include</span> <span class="n">LDFLAGS</span><span class="o">=-</span><span class="n">L</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">foobar</span><span class="o">/</span><span class="n">lib</span> \
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">./</span><span class="n">configure</span> <span class="n">CPPFLAGS</span><span class="o">=-</span><span class="n">I</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">foobar</span><span class="o">/</span><span class="n">include</span> <span class="n">LDFLAGS</span><span class="o">=-</span><span class="n">L</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">foobar</span><span class="o">/</span><span class="n">lib</span> \
 <span class="o">--</span><span class="k">with</span><span class="o">-</span><span class="n">system</span><span class="o">-</span><span class="n">et</span> <span class="o">--</span><span class="k">with</span><span class="o">-</span><span class="n">system</span><span class="o">-</span><span class="n">ss</span> <span class="o">--</span><span class="k">with</span><span class="o">-</span><span class="n">system</span><span class="o">-</span><span class="n">db</span>  \
 <span class="n">SS_LIB</span><span class="o">=</span><span class="s1">&#39;-lss -lcurses&#39;</span>  <span class="n">DB_HEADER</span><span class="o">=</span><span class="n">db3</span><span class="o">/</span><span class="n">db_185</span><span class="o">.</span><span class="n">h</span> <span class="n">DB_LIB</span><span class="o">=-</span><span class="n">ldb</span><span class="o">-</span><span class="mf">3.3</span>
 </pre></div>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Options to <em>configure</em></a><ul>
@@ -445,6 +433,7 @@ Kerberos might be done thus:</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -452,8 +441,8 @@ Kerberos might be done thus:</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/build/osconf.html 1.21.3-1/doc/html/build/osconf.html
--- 1.21.2-1/doc/html/build/osconf.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/build/osconf.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>osconf.hin &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Kerberos V5 concepts" href="../basic/index.html" />
     <link rel="prev" title="Options to configure" href="options2configure.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,40 +52,42 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="osconf-hin">
+  <section id="osconf-hin">
 <h1>osconf.hin<a class="headerlink" href="#osconf-hin" title="Permalink to this headline">¶</a></h1>
 <p>There is one configuration file which you may wish to edit to control
 various compile-time parameters in the Kerberos distribution:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">include</span><span class="o">/</span><span class="n">osconf</span><span class="o">.</span><span class="n">hin</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">include</span><span class="o">/</span><span class="n">osconf</span><span class="o">.</span><span class="n">hin</span>
 </pre></div>
 </div>
 <p>The list that follows is by no means complete, just some of the more
 interesting variables.</p>
-<dl class="docutils">
-<dt><strong>DEFAULT_PROFILE_PATH</strong></dt>
-<dd>The pathname to the file which contains the profiles for the known
-realms, their KDCs, etc. The default value is <code class="docutils literal"><span class="pre">/etc/krb5.conf</span></code>.</dd>
-<dt><strong>DEFAULT_KEYTAB_NAME</strong></dt>
-<dd>The type and pathname to the default server keytab file.  The
-default is <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a>.</dd>
-<dt><strong>DEFAULT_KDC_ENCTYPE</strong></dt>
-<dd>The default encryption type for the KDC database master key.  The
-default value is <code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96</span></code>.</dd>
-<dt><strong>RCTMPDIR</strong></dt>
-<dd>The directory which stores replay caches.  The default is
-<code class="docutils literal"><span class="pre">/var/tmp</span></code>.</dd>
-<dt><strong>DEFAULT_KDB_FILE</strong></dt>
-<dd>The location of the default database.  The default value is
-<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/principal</span></code>.</dd>
+<dl class="simple">
+<dt><strong>DEFAULT_PROFILE_PATH</strong></dt><dd><p>The pathname to the file which contains the profiles for the known
+realms, their KDCs, etc. The default value is <code class="docutils literal notranslate"><span class="pre">/etc/krb5.conf</span></code>.</p>
+</dd>
+<dt><strong>DEFAULT_KEYTAB_NAME</strong></dt><dd><p>The type and pathname to the default server keytab file.  The
+default is <a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a>.</p>
+</dd>
+<dt><strong>DEFAULT_KDC_ENCTYPE</strong></dt><dd><p>The default encryption type for the KDC database master key.  The
+default value is <code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96</span></code>.</p>
+</dd>
+<dt><strong>RCTMPDIR</strong></dt><dd><p>The directory which stores replay caches.  The default is
+<code class="docutils literal notranslate"><span class="pre">/var/tmp</span></code>.</p>
+</dd>
+<dt><strong>DEFAULT_KDB_FILE</strong></dt><dd><p>The location of the default database.  The default value is
+<a class="reference internal" href="../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/principal</span></code>.</p>
+</dd>
 </dl>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">osconf.hin</a></li>
@@ -131,6 +124,7 @@ default value is <code class="docutils l
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@ default value is <code class="docutils l
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/build_this.html 1.21.3-1/doc/html/build_this.html
--- 1.21.2-1/doc/html/build_this.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/build_this.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>How to build this documentation from the source &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" />
     <link rel="next" title="Contributing to the MIT Kerberos Documentation" href="about.html" />
     <link rel="prev" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,86 +52,88 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="how-to-build-this-documentation-from-the-source">
+  <section id="how-to-build-this-documentation-from-the-source">
 <h1>How to build this documentation from the source<a class="headerlink" href="#how-to-build-this-documentation-from-the-source" title="Permalink to this headline">¶</a></h1>
 <p>Pre-requisites for a simple build, or to update man pages:</p>
 <ul class="simple">
-<li>Sphinx 1.0.4 or higher (See <a class="reference external" href="https://www.sphinx-doc.org">https://www.sphinx-doc.org</a>) with the
-autodoc extension installed.</li>
+<li><p>Sphinx 1.0.4 or higher (See <a class="reference external" href="https://www.sphinx-doc.org">https://www.sphinx-doc.org</a>) with the
+autodoc extension installed.</p></li>
 </ul>
 <p>Additional prerequisites to include the API reference based on Doxygen
 markup:</p>
 <ul class="simple">
-<li>Python 2.5 with the Cheetah, lxml, and xml modules</li>
-<li>Doxygen</li>
+<li><p>Python 2.5 with the Cheetah, lxml, and xml modules</p></li>
+<li><p>Doxygen</p></li>
 </ul>
-<div class="section" id="simple-build-without-api-reference">
+<section id="simple-build-without-api-reference">
 <h2>Simple build without API reference<a class="headerlink" href="#simple-build-without-api-reference" title="Permalink to this headline">¶</a></h2>
 <p>To test simple changes to the RST sources, you can build the
 documentation without the Doxygen reference by running, from the doc
 directory:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">sphinx</span><span class="o">-</span><span class="n">build</span> <span class="o">.</span> <span class="n">test_html</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">sphinx</span><span class="o">-</span><span class="n">build</span> <span class="o">.</span> <span class="n">test_html</span>
 </pre></div>
 </div>
 <p>You will see a number of warnings about missing files.  This is
-expected.  If there is not already a <code class="docutils literal"><span class="pre">doc/version.py</span></code> file, you will
-need to create one by first running <code class="docutils literal"><span class="pre">make</span> <span class="pre">version.py</span></code> in the
-<code class="docutils literal"><span class="pre">src/doc</span></code> directory of a configured build tree.</p>
-</div>
-<div class="section" id="updating-man-pages">
+expected.  If there is not already a <code class="docutils literal notranslate"><span class="pre">doc/version.py</span></code> file, you will
+need to create one by first running <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">version.py</span></code> in the
+<code class="docutils literal notranslate"><span class="pre">src/doc</span></code> directory of a configured build tree.</p>
+</section>
+<section id="updating-man-pages">
 <h2>Updating man pages<a class="headerlink" href="#updating-man-pages" title="Permalink to this headline">¶</a></h2>
 <p>Man pages are generated from the RST sources and checked into the
-<code class="docutils literal"><span class="pre">src/man</span></code> directory of the repository.  This allows man pages to be
+<code class="docutils literal notranslate"><span class="pre">src/man</span></code> directory of the repository.  This allows man pages to be
 installed without requiring Sphinx when using a source checkout.  To
-regenerate these files, run <code class="docutils literal"><span class="pre">make</span> <span class="pre">man</span></code> from the man subdirectory
+regenerate these files, run <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">man</span></code> from the man subdirectory
 of a configured build tree.  You can also do this from an unconfigured
 source tree with:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">cd</span> <span class="n">src</span><span class="o">/</span><span class="n">man</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">cd</span> <span class="n">src</span><span class="o">/</span><span class="n">man</span>
 <span class="n">make</span> <span class="o">-</span><span class="n">f</span> <span class="n">Makefile</span><span class="o">.</span><span class="ow">in</span> <span class="n">top_srcdir</span><span class="o">=..</span> <span class="n">srcdir</span><span class="o">=.</span> <span class="n">man</span>
 <span class="n">make</span> <span class="n">clean</span>
 </pre></div>
 </div>
 <p>As with the simple build, it is normal to see warnings about missing
 files when rebuilding the man pages.</p>
-</div>
-<div class="section" id="building-for-a-release-tarball-or-web-site">
+</section>
+<section id="building-for-a-release-tarball-or-web-site">
 <h2>Building for a release tarball or web site<a class="headerlink" href="#building-for-a-release-tarball-or-web-site" title="Permalink to this headline">¶</a></h2>
-<p>To generate documentation in HTML format, run <code class="docutils literal"><span class="pre">make</span> <span class="pre">html</span></code> in the
-<code class="docutils literal"><span class="pre">doc</span></code> subdirectory of a configured build tree (the build directory
-corresponding to <code class="docutils literal"><span class="pre">src/doc</span></code>, not the top-level <code class="docutils literal"><span class="pre">doc</span></code> directory).
-The output will be placed in the top-level <code class="docutils literal"><span class="pre">doc/html</span></code> directory.
+<p>To generate documentation in HTML format, run <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">html</span></code> in the
+<code class="docutils literal notranslate"><span class="pre">doc</span></code> subdirectory of a configured build tree (the build directory
+corresponding to <code class="docutils literal notranslate"><span class="pre">src/doc</span></code>, not the top-level <code class="docutils literal notranslate"><span class="pre">doc</span></code> directory).
+The output will be placed in the top-level <code class="docutils literal notranslate"><span class="pre">doc/html</span></code> directory.
 This build will include the API reference generated from Doxygen
 markup in the source tree.</p>
 <p>Documentation generated this way will use symbolic names for paths
-(like <code class="docutils literal"><span class="pre">BINDIR</span></code> for the directory containing user programs), with the
+(like <code class="docutils literal notranslate"><span class="pre">BINDIR</span></code> for the directory containing user programs), with the
 symbolic names being links to a table showing typical values for those
 paths.</p>
 <p>You can also do this from an unconfigured source tree with:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">cd</span> <span class="n">src</span><span class="o">/</span><span class="n">doc</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">cd</span> <span class="n">src</span><span class="o">/</span><span class="n">doc</span>
 <span class="n">make</span> <span class="o">-</span><span class="n">f</span> <span class="n">Makefile</span><span class="o">.</span><span class="ow">in</span> <span class="n">SPHINX_ARGS</span><span class="o">=</span> <span class="n">htmlsrc</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="building-for-an-os-package-or-site-documentation">
+</section>
+<section id="building-for-an-os-package-or-site-documentation">
 <h2>Building for an OS package or site documentation<a class="headerlink" href="#building-for-an-os-package-or-site-documentation" title="Permalink to this headline">¶</a></h2>
 <p>To generate documentation specific to a build of MIT krb5 as you have
-configured it, run <code class="docutils literal"><span class="pre">make</span> <span class="pre">substhtml</span></code> in the <code class="docutils literal"><span class="pre">doc</span></code> subdirectory of a
+configured it, run <code class="docutils literal notranslate"><span class="pre">make</span> <span class="pre">substhtml</span></code> in the <code class="docutils literal notranslate"><span class="pre">doc</span></code> subdirectory of a
 configured build tree (the build directory corresponding to
-<code class="docutils literal"><span class="pre">src/doc</span></code>, not the top-level <code class="docutils literal"><span class="pre">doc</span></code> directory).  The output will be
-placed in the <code class="docutils literal"><span class="pre">html_subst</span></code> subdirectory of that build directory.
+<code class="docutils literal notranslate"><span class="pre">src/doc</span></code>, not the top-level <code class="docutils literal notranslate"><span class="pre">doc</span></code> directory).  The output will be
+placed in the <code class="docutils literal notranslate"><span class="pre">html_subst</span></code> subdirectory of that build directory.
 This build will include the API reference.</p>
 <p>Documentation generated this way will use concrete paths (like
-<code class="docutils literal"><span class="pre">/usr/local/bin</span></code> for the directory containing user programs, for a
+<code class="docutils literal notranslate"><span class="pre">/usr/local/bin</span></code> for the directory containing user programs, for a
 default custom build).</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">How to build this documentation from the source</a><ul>
@@ -177,6 +170,7 @@ default custom build).</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -184,8 +178,8 @@ default custom build).</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/copyright.html 1.21.3-1/doc/html/copyright.html
--- 1.21.2-1/doc/html/copyright.html	2023-08-14 16:24:14.000000000 +0000
+++ 1.21.3-1/doc/html/copyright.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Copyright &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="#" />
     <link rel="next" title="How to build this documentation from the source" href="build_this.html" />
     <link rel="prev" title="MIT Kerberos License information" href="mitK5license.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,20 +52,22 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="copyright">
+  <section id="copyright">
 <h1>Copyright<a class="headerlink" href="#copyright" title="Permalink to this headline">¶</a></h1>
-<p>Copyright © 1985-2023 by the Massachusetts Institute of
+<p>Copyright © 1985-2024 by the Massachusetts Institute of
 Technology and its contributors.  All rights reserved.</p>
 <p>See <a class="reference internal" href="mitK5license.html#mitk5license"><span class="std std-ref">MIT Kerberos License information</span></a> for additional copyright and license
 information.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Copyright</a></li>
@@ -105,6 +98,7 @@ information.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -112,8 +106,8 @@ information.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="#">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="#">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/formats/ccache_file_format.html 1.21.3-1/doc/html/formats/ccache_file_format.html
--- 1.21.2-1/doc/html/formats/ccache_file_format.html	2023-08-14 16:24:15.000000000 +0000
+++ 1.21.3-1/doc/html/formats/ccache_file_format.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Credential cache file format &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Keytab file format" href="keytab_file_format.html" />
     <link rel="prev" title="Protocols and file formats" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="credential-cache-file-format">
+  <section id="credential-cache-file-format">
 <span id="ccache-file-format"></span><h1>Credential cache file format<a class="headerlink" href="#credential-cache-file-format" title="Permalink to this headline">¶</a></h1>
 <p>There are four versions of the file format used by the FILE credential
 cache type.  The first byte of the file always has the value 5, and
@@ -71,7 +62,7 @@ representations.  Versions 3 and 4 alway
 <p>After the two-byte version indicator, the file has three parts: the
 header (in version 4 only), the default principal name, and a sequence
 of credentials.</p>
-<div class="section" id="header-format">
+<section id="header-format">
 <h2>Header format<a class="headerlink" href="#header-format" title="Permalink to this headline">¶</a></h2>
 <p>The header appears only in format version 4.  It begins with a 16-bit
 integer giving the length of the entire header, followed by a sequence
@@ -84,12 +75,12 @@ giving the seconds and microseconds of t
 relative to the client.  Adding this offset to the current time on the
 client should give the current time on the KDC, if that offset has not
 changed since the initial authentication.</p>
-</div>
-<div class="section" id="principal-format">
+</section>
+<section id="principal-format">
 <span id="cache-principal-format"></span><h2>Principal format<a class="headerlink" href="#principal-format" title="Permalink to this headline">¶</a></h2>
 <p>The default principal is marshalled using the following informal
 grammar:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">principal</span> <span class="p">::</span><span class="o">=</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">principal</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">name</span> <span class="nb">type</span> <span class="p">(</span><span class="mi">32</span> <span class="n">bits</span><span class="p">)</span> <span class="p">[</span><span class="n">omitted</span> <span class="ow">in</span> <span class="n">version</span> <span class="mi">1</span><span class="p">]</span>
     <span class="n">count</span> <span class="n">of</span> <span class="n">components</span> <span class="p">(</span><span class="mi">32</span> <span class="n">bits</span><span class="p">)</span> <span class="p">[</span><span class="n">includes</span> <span class="n">realm</span> <span class="ow">in</span> <span class="n">version</span> <span class="mi">1</span><span class="p">]</span>
     <span class="n">realm</span> <span class="p">(</span><span class="n">data</span><span class="p">)</span>
@@ -97,7 +88,7 @@ grammar:</p>
     <span class="n">component2</span> <span class="p">(</span><span class="n">data</span><span class="p">)</span>
     <span class="o">...</span>
 
-<span class="n">data</span> <span class="p">::</span><span class="o">=</span>
+<span class="n">data</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">length</span> <span class="p">(</span><span class="mi">32</span> <span class="n">bits</span><span class="p">)</span>
     <span class="n">value</span> <span class="p">(</span><span class="n">length</span> <span class="nb">bytes</span><span class="p">)</span>
 </pre></div>
@@ -105,12 +96,12 @@ grammar:</p>
 <p>There is no external framing on the default principal, so it must be
 parsed according to the above grammar in order to find the sequence of
 credentials which follows.</p>
-</div>
-<div class="section" id="credential-format">
+</section>
+<section id="credential-format">
 <span id="ccache-credential-format"></span><h2>Credential format<a class="headerlink" href="#credential-format" title="Permalink to this headline">¶</a></h2>
 <p>The credential format uses the following informal grammar (referencing
-the <code class="docutils literal"><span class="pre">principal</span></code> and <code class="docutils literal"><span class="pre">data</span></code> types from the previous section):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">credential</span> <span class="p">::</span><span class="o">=</span>
+the <code class="docutils literal notranslate"><span class="pre">principal</span></code> and <code class="docutils literal notranslate"><span class="pre">data</span></code> types from the previous section):</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">credential</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">client</span> <span class="p">(</span><span class="n">principal</span><span class="p">)</span>
     <span class="n">server</span> <span class="p">(</span><span class="n">principal</span><span class="p">)</span>
     <span class="n">keyblock</span> <span class="p">(</span><span class="n">keyblock</span><span class="p">)</span>
@@ -125,27 +116,27 @@ the <code class="docutils literal"><span
     <span class="n">ticket</span> <span class="p">(</span><span class="n">data</span><span class="p">)</span>
     <span class="n">second_ticket</span> <span class="p">(</span><span class="n">data</span><span class="p">)</span>
 
-<span class="n">keyblock</span> <span class="p">::</span><span class="o">=</span>
+<span class="n">keyblock</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">enctype</span> <span class="p">(</span><span class="mi">16</span> <span class="n">bits</span><span class="p">)</span> <span class="p">[</span><span class="n">repeated</span> <span class="n">twice</span> <span class="ow">in</span> <span class="n">version</span> <span class="mi">3</span><span class="p">]</span>
     <span class="n">data</span>
 
-<span class="n">addresses</span> <span class="p">::</span><span class="o">=</span>
+<span class="n">addresses</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">count</span> <span class="p">(</span><span class="mi">32</span> <span class="n">bits</span><span class="p">)</span>
     <span class="n">address1</span>
     <span class="n">address2</span>
     <span class="o">...</span>
 
-<span class="n">address</span> <span class="p">::</span><span class="o">=</span>
+<span class="n">address</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">addrtype</span> <span class="p">(</span><span class="mi">16</span> <span class="n">bits</span><span class="p">)</span>
     <span class="n">data</span>
 
-<span class="n">authdata</span> <span class="p">::</span><span class="o">=</span>
+<span class="n">authdata</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">count</span> <span class="p">(</span><span class="mi">32</span> <span class="n">bits</span><span class="p">)</span>
     <span class="n">authdata1</span>
     <span class="n">authdata2</span>
     <span class="o">...</span>
 
-<span class="n">authdata</span> <span class="p">::</span><span class="o">=</span>
+<span class="n">authdata</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">ad_type</span> <span class="p">(</span><span class="mi">16</span> <span class="n">bits</span><span class="p">)</span>
     <span class="n">data</span>
 </pre></div>
@@ -155,13 +146,13 @@ parsed according to the above grammar in
 credential.  There is also no count of credentials or marker at the
 end of the sequence of credentials; the sequence ends when the file
 ends.</p>
-</div>
-<div class="section" id="credential-cache-configuration-entries">
+</section>
+<section id="credential-cache-configuration-entries">
 <h2>Credential cache configuration entries<a class="headerlink" href="#credential-cache-configuration-entries" title="Permalink to this headline">¶</a></h2>
 <p>Configuration entries are encoded as credential entries.  The client
 principal of the entry is the default principal of the cache.  The
-server principal has the realm <code class="docutils literal"><span class="pre">X-CACHECONF:</span></code> and two or three
-components, the first of which is <code class="docutils literal"><span class="pre">krb5_ccache_conf_data</span></code>.  The
+server principal has the realm <code class="docutils literal notranslate"><span class="pre">X-CACHECONF:</span></code> and two or three
+components, the first of which is <code class="docutils literal notranslate"><span class="pre">krb5_ccache_conf_data</span></code>.  The
 server principal’s second component is the configuration key.  The
 third component, if it exists, is a principal to which the
 configuration key is associated.  The configuration value is stored in
@@ -169,64 +160,66 @@ the ticket field of the entry.  All othe
 <p>Programs using credential caches must be aware of configuration
 entries for several reasons:</p>
 <ul class="simple">
-<li>A program which displays the contents of a cache should not
-generally display configuration entries.</li>
-<li>The ticket field of a configuration entry is not (usually) a valid
+<li><p>A program which displays the contents of a cache should not
+generally display configuration entries.</p></li>
+<li><p>The ticket field of a configuration entry is not (usually) a valid
 encoding of a Kerberos ticket.  An implementation must not treat the
-cache file as malformed if it cannot decode the ticket field.</li>
-<li>Configuration entries have an endtime field of 0 and might therefore
+cache file as malformed if it cannot decode the ticket field.</p></li>
+<li><p>Configuration entries have an endtime field of 0 and might therefore
 always be considered expired, but they should not be treated as
 unimportant as a result.  For instance, a program which copies
 credentials from one cache to another should not omit configuration
-entries because of the endtime.</li>
+entries because of the endtime.</p></li>
 </ul>
 <p>The following configuration keys are currently used in MIT krb5:</p>
-<dl class="docutils">
-<dt>fast_avail</dt>
-<dd>The presence of this key with a non-empty value indicates that the
+<dl class="simple">
+<dt>fast_avail</dt><dd><p>The presence of this key with a non-empty value indicates that the
 KDC asserted support for FAST (see <span class="target" id="index-0"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6113.html"><strong>RFC 6113</strong></a>) during the initial
 authentication, using the negotiation method described in
 <span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6806.html"><strong>RFC 6806</strong></a> section 11.  This key is not associated with any
-principal.</dd>
-<dt>pa_config_data</dt>
-<dd>The value of this key contains a JSON object representation of
+principal.</p>
+</dd>
+<dt>pa_config_data</dt><dd><p>The value of this key contains a JSON object representation of
 parameters remembered by the preauthentication mechanism used
 during the initial authentication.  These parameters may be used
 when refreshing credentials.  This key is associated with the
 server principal of the initial authentication (usually the local
-krbtgt principal of the client realm).</dd>
-<dt>pa_type</dt>
-<dd>The value of this key is the ASCII decimal representation of the
+krbtgt principal of the client realm).</p>
+</dd>
+<dt>pa_type</dt><dd><p>The value of this key is the ASCII decimal representation of the
 preauth type number used during the initial authentication.  This
 key is associated with the server principal of the initial
-authentication.</dd>
-<dt>proxy_impersonator</dt>
-<dd>The presence of this key indicates that the cache is a synthetic
+authentication.</p>
+</dd>
+<dt>proxy_impersonator</dt><dd><p>The presence of this key indicates that the cache is a synthetic
 delegated credential for use with S4U2Proxy.  The value is the
 name of the intermediate service whose TGT can be used to make
 S4U2Proxy requests for target services.  This key is not
-associated with any principal.</dd>
-<dt>refresh_time</dt>
-<dd>The presence of this key indicates that the cache was acquired by
+associated with any principal.</p>
+</dd>
+<dt>refresh_time</dt><dd><p>The presence of this key indicates that the cache was acquired by
 the GSS mechanism using a client keytab.  The value is the ASCII
 decimal representation of a timestamp at which the GSS mechanism
 should attempt to refresh the credential cache from the client
-keytab.</dd>
-<dt>start_realm</dt>
-<dd>This key indicates the realm of the ticket-granting ticket to be
+keytab.</p>
+</dd>
+<dt>start_realm</dt><dd><p>This key indicates the realm of the ticket-granting ticket to be
 used for TGS requests, when making a referrals request or
 beginning a cross-realm request.  If it is not present, the client
-realm is used.</dd>
+realm is used.</p>
+</dd>
 </dl>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Credential cache file format</a><ul>
@@ -270,6 +263,7 @@ realm is used.</dd>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -277,8 +271,8 @@ realm is used.</dd>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/formats/cookie.html 1.21.3-1/doc/html/formats/cookie.html
--- 1.21.2-1/doc/html/formats/cookie.html	2023-08-14 16:24:15.000000000 +0000
+++ 1.21.3-1/doc/html/formats/cookie.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC cookie format &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="PKINIT freshness tokens" href="freshness_token.html" />
     <link rel="prev" title="Replay cache file format" href="rcache_file_format.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,45 +52,45 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-cookie-format">
+  <section id="kdc-cookie-format">
 <h1>KDC cookie format<a class="headerlink" href="#kdc-cookie-format" title="Permalink to this headline">¶</a></h1>
 <p><span class="target" id="index-0"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6113.html"><strong>RFC 6113</strong></a> section 5.2 specifies a pa-data type PA-FX-COOKIE, which
 clients are required to reflect back to the KDC during
 pre-authentication.  The MIT krb5 KDC uses the following formats for
 cookies.</p>
-<div class="section" id="trivial-cookie-version-0">
+<section id="trivial-cookie-version-0">
 <h2>Trivial cookie (version 0)<a class="headerlink" href="#trivial-cookie-version-0" title="Permalink to this headline">¶</a></h2>
 <p>If there is no pre-authentication mechanism state information to save,
 a trivial cookie containing the value “MIT” is used.  A trivial cookie
 is needed to indicate that the conversation can continue.</p>
-</div>
-<div class="section" id="secure-cookie-version-1">
+</section>
+<section id="secure-cookie-version-1">
 <h2>Secure cookie (version 1)<a class="headerlink" href="#secure-cookie-version-1" title="Permalink to this headline">¶</a></h2>
 <p>In release 1.14 and later, a secure cookie can be sent if there is any
 mechanism state to save for the next request.  A secure cookie
 contains the concatenation of the following:</p>
 <ul class="simple">
-<li>the four bytes “MIT1”</li>
-<li>a four-byte big-endian kvno value</li>
-<li>an <span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc3961.html"><strong>RFC 3961</strong></a> ciphertext</li>
+<li><p>the four bytes “MIT1”</p></li>
+<li><p>a four-byte big-endian kvno value</p></li>
+<li><p>an <span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc3961.html"><strong>RFC 3961</strong></a> ciphertext</p></li>
 </ul>
 <p>The ciphertext is encrypted in the cookie key with key usage
 number 513.  The cookie key is derived from a key in the local krbtgt
-principal entry for the realm (e.g. <code class="docutils literal"><span class="pre">krbtgt/KRBTEST.COM&#64;KRBTEST.COM</span></code>
-if the request is to the <code class="docutils literal"><span class="pre">KRBTEST.COM</span></code> realm).  The first krbtgt key
+principal entry for the realm (e.g. <code class="docutils literal notranslate"><span class="pre">krbtgt/KRBTEST.COM&#64;KRBTEST.COM</span></code>
+if the request is to the <code class="docutils literal notranslate"><span class="pre">KRBTEST.COM</span></code> realm).  The first krbtgt key
 for the indicated kvno value is combined with the client principal as
 follows:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">cookie</span><span class="o">-</span><span class="n">key</span> <span class="o">&lt;-</span> <span class="n">random</span><span class="o">-</span><span class="n">to</span><span class="o">-</span><span class="n">key</span><span class="p">(</span><span class="n">PRF</span><span class="o">+</span><span class="p">(</span><span class="n">tgt</span><span class="o">-</span><span class="n">key</span><span class="p">,</span> <span class="s2">&quot;COOKIE&quot;</span> <span class="o">|</span> <span class="n">client</span><span class="o">-</span><span class="n">princ</span><span class="p">))</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">cookie</span><span class="o">-</span><span class="n">key</span> <span class="o">&lt;-</span> <span class="n">random</span><span class="o">-</span><span class="n">to</span><span class="o">-</span><span class="n">key</span><span class="p">(</span><span class="n">PRF</span><span class="o">+</span><span class="p">(</span><span class="n">tgt</span><span class="o">-</span><span class="n">key</span><span class="p">,</span> <span class="s2">&quot;COOKIE&quot;</span> <span class="o">|</span> <span class="n">client</span><span class="o">-</span><span class="n">princ</span><span class="p">))</span>
 </pre></div>
 </div>
 <p>where <strong>random-to-key</strong> is the <span class="target" id="index-2"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc3961.html"><strong>RFC 3961</strong></a> random-to-key operation for
 the krbtgt key’s encryption type, <strong>PRF+</strong> is defined in <span class="target" id="index-3"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6113.html"><strong>RFC 6113</strong></a>,
-and <code class="docutils literal"><span class="pre">|</span></code> denotes concatenation.  <em>client-princ</em> is the request client
+and <code class="docutils literal notranslate"><span class="pre">|</span></code> denotes concatenation.  <em>client-princ</em> is the request client
 principal name with realm, marshalled according to <span class="target" id="index-4"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc1964.html"><strong>RFC 1964</strong></a> section
 2.1.1.</p>
 <p>The plain text of the encrypted part of a cookie is the DER encoding
 of the following ASN.1 type:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">SecureCookie</span> <span class="p">::</span><span class="o">=</span> <span class="n">SEQUENCE</span> <span class="p">{</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">SecureCookie</span> <span class="p">:</span><span class="o">:=</span> <span class="n">SEQUENCE</span> <span class="p">{</span>
     <span class="n">time</span>     <span class="n">INTEGER</span><span class="p">,</span>
     <span class="n">data</span>     <span class="n">SEQUENCE</span> <span class="n">OF</span> <span class="n">PA</span><span class="o">-</span><span class="n">DATA</span><span class="p">,</span>
     <span class="o">...</span>
@@ -114,21 +105,21 @@ mechanisms which have separate request a
 type is used; this allows the KDC to determine whether a cookie is
 relevant to a request by comparing the request pa-data types to the
 cookie data types.</p>
-</div>
-<div class="section" id="spake-cookie-format-version-1">
+</section>
+<section id="spake-cookie-format-version-1">
 <h2>SPAKE cookie format (version 1)<a class="headerlink" href="#spake-cookie-format-version-1" title="Permalink to this headline">¶</a></h2>
 <p>Inside the SecureCookie wrapper, a data value of type 151 contains
 state for SPAKE pre-authentication.  This data is the concatenation of
 the following:</p>
 <ul class="simple">
-<li>a two-byte big-endian version number with the value 1</li>
-<li>a two-byte big-endian stage number</li>
-<li>a four-byte big-endian group number</li>
-<li>a four-byte big-endian length and data for the SPAKE value</li>
-<li>a four-byte big-endian length and data for the transcript hash</li>
-<li>zero or more second factor records, each consisting of:
+<li><p>a two-byte big-endian version number with the value 1</p></li>
+<li><p>a two-byte big-endian stage number</p></li>
+<li><p>a four-byte big-endian group number</p></li>
+<li><p>a four-byte big-endian length and data for the SPAKE value</p></li>
+<li><p>a four-byte big-endian length and data for the transcript hash</p></li>
+<li><p>zero or more second factor records, each consisting of:
 - a four-byte big-endian second-factor type
-- a four-byte big-endian length and data</li>
+- a four-byte big-endian length and data</p></li>
 </ul>
 <p>The stage value is 0 if the cookie was sent with a challenge message.
 Otherwise it is 1 for the first encdata message sent by the KDC during
@@ -146,15 +137,17 @@ records, including none; a second-factor
 field if it does not need one, and no record is created for SF-NONE.
 For other cookies, there must be exactly one second-factor record
 corresponding to the factor type chosen by the client.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC cookie format</a><ul>
@@ -197,6 +190,7 @@ corresponding to the factor type chosen
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -204,8 +198,8 @@ corresponding to the factor type chosen
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/formats/freshness_token.html 1.21.3-1/doc/html/formats/freshness_token.html
--- 1.21.2-1/doc/html/formats/freshness_token.html	2023-08-14 16:24:15.000000000 +0000
+++ 1.21.3-1/doc/html/formats/freshness_token.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>PKINIT freshness tokens &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="MIT Kerberos features" href="../mitK5features.html" />
     <link rel="prev" title="KDC cookie format" href="cookie.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="pkinit-freshness-tokens">
+  <section id="pkinit-freshness-tokens">
 <h1>PKINIT freshness tokens<a class="headerlink" href="#pkinit-freshness-tokens" title="Permalink to this headline">¶</a></h1>
 <p><span class="target" id="index-0"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc8070.html"><strong>RFC 8070</strong></a> specifies a pa-data type PA_AS_FRESHNESS, which clients
 should reflect within signed PKINIT data to prove recent access to the
@@ -69,24 +60,26 @@ client certificate private key.  The con
 left to the KDC implementation.  The MIT krb5 KDC uses the following
 format for freshness tokens (starting in release 1.17):</p>
 <ul class="simple">
-<li>a four-byte big-endian POSIX timestamp</li>
-<li>a four-byte big-endian key version number</li>
-<li>an <span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc3961.html"><strong>RFC 3961</strong></a> checksum, with no ASN.1 wrapper</li>
+<li><p>a four-byte big-endian POSIX timestamp</p></li>
+<li><p>a four-byte big-endian key version number</p></li>
+<li><p>an <span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc3961.html"><strong>RFC 3961</strong></a> checksum, with no ASN.1 wrapper</p></li>
 </ul>
 <p>The checksum is computed using the first key in the local krbtgt
-principal entry for the realm (e.g. <code class="docutils literal"><span class="pre">krbtgt/KRBTEST.COM&#64;KRBTEST.COM</span></code>
-if the request is to the <code class="docutils literal"><span class="pre">KRBTEST.COM</span></code> realm) of the indicated key
+principal entry for the realm (e.g. <code class="docutils literal notranslate"><span class="pre">krbtgt/KRBTEST.COM&#64;KRBTEST.COM</span></code>
+if the request is to the <code class="docutils literal notranslate"><span class="pre">KRBTEST.COM</span></code> realm) of the indicated key
 version.  The checksum type must be the mandatory checksum type for
 the encryption type of the krbtgt key.  The key usage value for the
 checksum is 514.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">PKINIT freshness tokens</a></li>
@@ -124,6 +117,7 @@ checksum is 514.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -131,8 +125,8 @@ checksum is 514.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/formats/index.html 1.21.3-1/doc/html/formats/index.html
--- 1.21.2-1/doc/html/formats/index.html	2023-08-14 16:24:15.000000000 +0000
+++ 1.21.3-1/doc/html/formats/index.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Protocols and file formats &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Credential cache file format" href="ccache_file_format.html" />
     <link rel="prev" title="Supported date and time formats" href="../basic/date_format.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="protocols-and-file-formats">
+  <section id="protocols-and-file-formats">
 <h1>Protocols and file formats<a class="headerlink" href="#protocols-and-file-formats" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
@@ -72,14 +63,16 @@
 <li class="toctree-l1"><a class="reference internal" href="freshness_token.html">PKINIT freshness tokens</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Protocols and file formats</a></li>
@@ -117,6 +110,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -124,8 +118,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/formats/keytab_file_format.html 1.21.3-1/doc/html/formats/keytab_file_format.html
--- 1.21.2-1/doc/html/formats/keytab_file_format.html	2023-08-14 16:24:15.000000000 +0000
+++ 1.21.3-1/doc/html/formats/keytab_file_format.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Keytab file format &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Replay cache file format" href="rcache_file_format.html" />
     <link rel="prev" title="Credential cache file format" href="ccache_file_format.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="keytab-file-format">
+  <section id="keytab-file-format">
 <span id="id1"></span><h1>Keytab file format<a class="headerlink" href="#keytab-file-format" title="Permalink to this headline">¶</a></h1>
 <p>There are two versions of the file format used by the FILE keytab
 type.  The first byte of the file always has the value 5, and the
@@ -74,12 +65,12 @@ positive record length indicates a valid
 to or less than the record length.  A negative length indicates a
 zero-filled hole whose size is the inverse of the length.  A length of
 0 indicates the end of the file.</p>
-<div class="section" id="key-entry-format">
+<section id="key-entry-format">
 <h2>Key entry format<a class="headerlink" href="#key-entry-format" title="Permalink to this headline">¶</a></h2>
 <p>A key entry may be smaller in size than the record length which
 precedes it, because it may have replaced a hole which is larger than
 the key entry.  Key entries use the following informal grammar:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">entry</span> <span class="p">::</span><span class="o">=</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">entry</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">principal</span>
     <span class="n">timestamp</span> <span class="p">(</span><span class="mi">32</span> <span class="n">bits</span><span class="p">)</span>
     <span class="n">key</span> <span class="n">version</span> <span class="p">(</span><span class="mi">8</span> <span class="n">bits</span><span class="p">)</span>
@@ -88,7 +79,7 @@ the key entry.  Key entries use the foll
     <span class="n">key</span> <span class="n">contents</span>
     <span class="n">key</span> <span class="n">version</span> <span class="p">(</span><span class="mi">32</span> <span class="n">bits</span><span class="p">)</span> <span class="p">[</span><span class="ow">in</span> <span class="n">release</span> <span class="mf">1.14</span> <span class="ow">and</span> <span class="n">later</span><span class="p">]</span>
 
-<span class="n">principal</span> <span class="p">::</span><span class="o">=</span>
+<span class="n">principal</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">count</span> <span class="n">of</span> <span class="n">components</span> <span class="p">(</span><span class="mi">16</span> <span class="n">bits</span><span class="p">)</span> <span class="p">[</span><span class="n">includes</span> <span class="n">realm</span> <span class="ow">in</span> <span class="n">version</span> <span class="mi">1</span><span class="p">]</span>
     <span class="n">realm</span> <span class="p">(</span><span class="n">data</span><span class="p">)</span>
     <span class="n">component1</span> <span class="p">(</span><span class="n">data</span><span class="p">)</span>
@@ -96,7 +87,7 @@ the key entry.  Key entries use the foll
     <span class="o">...</span>
     <span class="n">name</span> <span class="nb">type</span> <span class="p">(</span><span class="mi">32</span> <span class="n">bits</span><span class="p">)</span> <span class="p">[</span><span class="n">omitted</span> <span class="ow">in</span> <span class="n">version</span> <span class="mi">1</span><span class="p">]</span>
 
-<span class="n">data</span> <span class="p">::</span><span class="o">=</span>
+<span class="n">data</span> <span class="p">:</span><span class="o">:=</span>
     <span class="n">length</span> <span class="p">(</span><span class="mi">16</span> <span class="n">bits</span><span class="p">)</span>
     <span class="n">value</span> <span class="p">(</span><span class="n">length</span> <span class="nb">bytes</span><span class="p">)</span>
 </pre></div>
@@ -105,15 +96,17 @@ the key entry.  Key entries use the foll
 if it is present, the implementation must check that at least 4 bytes
 remain in the record after the other fields are read, and that the
 value of the 32-bit integer contained in those bytes is non-zero.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Keytab file format</a><ul>
@@ -154,6 +147,7 @@ value of the 32-bit integer contained in
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -161,8 +155,8 @@ value of the 32-bit integer contained in
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/formats/rcache_file_format.html 1.21.3-1/doc/html/formats/rcache_file_format.html
--- 1.21.2-1/doc/html/formats/rcache_file_format.html	2023-08-14 16:24:15.000000000 +0000
+++ 1.21.3-1/doc/html/formats/rcache_file_format.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Replay cache file format &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="KDC cookie format" href="cookie.html" />
     <link rel="prev" title="Keytab file format" href="keytab_file_format.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="replay-cache-file-format">
+  <section id="replay-cache-file-format">
 <h1>Replay cache file format<a class="headerlink" href="#replay-cache-file-format" title="Permalink to this headline">¶</a></h1>
 <p>This section documents the second version of the replay cache file
 format, used by the “file2” replay cache type (new in release 1.18).
@@ -80,10 +71,10 @@ algorithm (<a class="reference external"
 the file is first created.  All remaining bytes are divided into a
 series of expanding hash tables:</p>
 <ul class="simple">
-<li>Bytes 16-16383: hash table 1 (1023 slots)</li>
-<li>Bytes 16384-49151: hash table 2 (2048 slots)</li>
-<li>Bytes 49152-114687: hash table 3 (4096 slots)</li>
-<li>…</li>
+<li><p>Bytes 16-16383: hash table 1 (1023 slots)</p></li>
+<li><p>Bytes 16384-49151: hash table 2 (2048 slots)</p></li>
+<li><p>Bytes 49152-114687: hash table 3 (4096 slots)</p></li>
+<li><p>…</p></li>
 </ul>
 <p>Only some hash tables will be present in the file at any specific
 time, and the final table may be only partially filled.  Replay cache
@@ -103,14 +94,16 @@ timestamp value less than the current ti
 beyond the end of the file is available for writing.  When all
 candidate locations have been searched without finding a match, the
 new entry is written to the earliest candidate available for writing.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Replay cache file format</a></li>
@@ -148,6 +141,7 @@ new entry is written to the earliest can
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -155,8 +149,8 @@ new entry is written to the earliest can
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-A.html 1.21.3-1/doc/html/genindex-A.html
--- 1.21.2-1/doc/html/genindex-A.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-A.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -107,11 +97,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -139,6 +131,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -146,8 +139,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-C.html 1.21.3-1/doc/html/genindex-C.html
--- 1.21.2-1/doc/html/genindex-C.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-C.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -101,11 +91,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -133,6 +125,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -140,8 +133,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-E.html 1.21.3-1/doc/html/genindex-E.html
--- 1.21.2-1/doc/html/genindex-E.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-E.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -117,11 +107,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -149,6 +141,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -156,8 +149,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-K.html 1.21.3-1/doc/html/genindex-K.html
--- 1.21.2-1/doc/html/genindex-K.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-K.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -2025,11 +2015,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -2057,6 +2049,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -2064,8 +2057,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-L.html 1.21.3-1/doc/html/genindex-L.html
--- 1.21.2-1/doc/html/genindex-L.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-L.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -71,11 +61,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -103,6 +95,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -110,8 +103,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-M.html 1.21.3-1/doc/html/genindex-M.html
--- 1.21.2-1/doc/html/genindex-M.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-M.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -73,11 +63,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -105,6 +97,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -112,8 +105,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-P.html 1.21.3-1/doc/html/genindex-P.html
--- 1.21.2-1/doc/html/genindex-P.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-P.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -75,11 +65,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -107,6 +99,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -114,8 +107,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-R.html 1.21.3-1/doc/html/genindex-R.html
--- 1.21.2-1/doc/html/genindex-R.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-R.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -132,11 +122,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -164,6 +156,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -171,8 +164,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-S.html 1.21.3-1/doc/html/genindex-S.html
--- 1.21.2-1/doc/html/genindex-S.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-S.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -71,11 +61,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -103,6 +95,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -110,8 +103,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-T.html 1.21.3-1/doc/html/genindex-T.html
--- 1.21.2-1/doc/html/genindex-T.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-T.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -99,11 +89,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -131,6 +123,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +131,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-V.html 1.21.3-1/doc/html/genindex-V.html
--- 1.21.2-1/doc/html/genindex-V.html	2023-08-14 16:24:20.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-V.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,24 @@
 
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -71,11 +61,13 @@
 </tr></table>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -103,6 +95,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -110,8 +103,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex-all.html 1.21.3-1/doc/html/genindex-all.html
--- 1.21.2-1/doc/html/genindex-all.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex-all.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,34 +1,23 @@
 
+<!DOCTYPE html>
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -2368,11 +2357,13 @@
 
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -2400,6 +2391,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -2407,8 +2399,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/genindex.html 1.21.3-1/doc/html/genindex.html
--- 1.21.2-1/doc/html/genindex.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/genindex.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,33 +1,23 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Index &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="#" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -79,11 +69,13 @@
    </div>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -111,6 +103,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -118,8 +111,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/index.html 1.21.3-1/doc/html/index.html
--- 1.21.2-1/doc/html/index.html	2023-08-14 16:24:16.000000000 +0000
+++ 1.21.3-1/doc/html/index.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,34 +1,25 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <title>MIT Kerberos Documentation (1.21.2) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
+    <title>MIT Kerberos Documentation (1.21.3) &#8212; MIT Kerberos Documentation</title>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" />
     <link rel="next" title="For users" href="user/index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -45,7 +36,7 @@
             accesskey="I">index</a> |
         <a href="search.html" title="Enter search criteria"
             accesskey="S">Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__MIT Kerberos Documentation (1.21.2)">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__MIT Kerberos Documentation (1.21.3)">feedback</a>
             </div>
         </div>
     </div>
@@ -58,8 +49,8 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="mit-kerberos-documentation-release">
-<h1>MIT Kerberos Documentation (1.21.2)<a class="headerlink" href="#mit-kerberos-documentation-release" title="Permalink to this headline">¶</a></h1>
+  <section id="mit-kerberos-documentation-release">
+<h1>MIT Kerberos Documentation (1.21.3)<a class="headerlink" href="#mit-kerberos-documentation-release" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
 <li class="toctree-l1"><a class="reference internal" href="user/index.html">For users</a></li>
@@ -75,17 +66,19 @@
 <li class="toctree-l1"><a class="reference internal" href="resources.html">Resources</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
-<li><a class="reference internal" href="#">MIT Kerberos Documentation (1.21.2)</a></li>
+<li><a class="reference internal" href="#">MIT Kerberos Documentation (1.21.3)</a></li>
 </ul>
 
     <br/>
@@ -113,6 +106,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -120,8 +114,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
@@ -133,7 +127,7 @@
             >index</a> |
         <a href="search.html" title="Enter search criteria"
             >Search</a> |
-    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__MIT Kerberos Documentation (1.21.2)">feedback</a>
+    <a href="mailto:krb5-bugs@mit.edu?subject=Documentation__MIT Kerberos Documentation (1.21.3)">feedback</a>
             </div>
         </div>
     </div>
diff -pruN 1.21.2-1/doc/html/mitK5defaults.html 1.21.3-1/doc/html/mitK5defaults.html
--- 1.21.2-1/doc/html/mitK5defaults.html	2023-08-14 16:24:16.000000000 +0000
+++ 1.21.3-1/doc/html/mitK5defaults.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>MIT Kerberos defaults &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" />
     <link rel="next" title="Environment variables" href="admin/env_variables.html" />
     <link rel="prev" title="sserver" href="admin/admin_commands/sserver.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,220 +52,222 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="mit-kerberos-defaults">
+  <section id="mit-kerberos-defaults">
 <span id="mitk5defaults"></span><h1>MIT Kerberos defaults<a class="headerlink" href="#mit-kerberos-defaults" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="general-defaults">
+<section id="general-defaults">
 <h2>General defaults<a class="headerlink" href="#general-defaults" title="Permalink to this headline">¶</a></h2>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="45%" />
-<col width="31%" />
-<col width="24%" />
+<col style="width: 45%" />
+<col style="width: 31%" />
+<col style="width: 24%" />
 </colgroup>
-<thead valign="bottom">
-<tr class="row-odd"><th class="head">Description</th>
-<th class="head">Default</th>
-<th class="head">Environment</th>
+<thead>
+<tr class="row-odd"><th class="head"><p>Description</p></th>
+<th class="head"><p>Default</p></th>
+<th class="head"><p>Environment</p></th>
 </tr>
 </thead>
-<tbody valign="top">
-<tr class="row-even"><td><a class="reference internal" href="basic/keytab_def.html#keytab-definition"><span class="std std-ref">keytab</span></a> file</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">DEFKTNAME</span></a></td>
-<td><strong>KRB5_KTNAME</strong></td>
-</tr>
-<tr class="row-odd"><td>Client <a class="reference internal" href="basic/keytab_def.html#keytab-definition"><span class="std std-ref">keytab</span></a> file</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">DEFCKTNAME</span></a></td>
-<td><strong>KRB5_CLIENT_KTNAME</strong></td>
-</tr>
-<tr class="row-even"><td>Kerberos config file <a class="reference internal" href="admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a></td>
-<td><code class="docutils literal"><span class="pre">/etc/krb5.conf</span></code><code class="docutils literal"><span class="pre">:</span></code><a class="reference internal" href="#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal"><span class="pre">/krb5.conf</span></code></td>
-<td><strong>KRB5_CONFIG</strong></td>
-</tr>
-<tr class="row-odd"><td>KDC config file <a class="reference internal" href="admin/conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a></td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kdc.conf</span></code></td>
-<td><strong>KRB5_KDC_PROFILE</strong></td>
-</tr>
-<tr class="row-even"><td>GSS mechanism config file</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal"><span class="pre">/gss/mech</span></code></td>
-<td><strong>GSS_MECH_CONFIG</strong></td>
-</tr>
-<tr class="row-odd"><td>KDC database path (DB2)</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/principal</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-even"><td>Master key <a class="reference internal" href="basic/stash_file_def.html#stash-definition"><span class="std std-ref">stash file</span></a></td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/.k5.</span></code><em>realm</em></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-odd"><td>Admin server ACL file <a class="reference internal" href="admin/conf_files/kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a></td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kadm5.acl</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-even"><td>OTP socket directory</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">RUNSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-odd"><td>Plugin base directory</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">LIBDIR</span></a><code class="docutils literal"><span class="pre">/krb5/plugins</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-even"><td><a class="reference internal" href="basic/rcache_def.html#rcache-definition"><span class="std std-ref">replay cache</span></a> directory</td>
-<td><code class="docutils literal"><span class="pre">/var/tmp</span></code></td>
-<td><strong>KRB5RCACHEDIR</strong></td>
-</tr>
-<tr class="row-odd"><td>Master key default enctype</td>
-<td><code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-even"><td>Default <a class="reference internal" href="admin/conf_files/kdc_conf.html#keysalt-lists"><span class="std std-ref">keysalt list</span></a></td>
-<td><code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96:normal</span> <span class="pre">aes128-cts-hmac-sha1-96:normal</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-odd"><td>Permitted enctypes</td>
-<td><code class="docutils literal"><span class="pre">aes256-cts-hmac-sha1-96</span> <span class="pre">aes128-cts-hmac-sha1-96</span> <span class="pre">aes256-cts-hmac-sha384-192</span> <span class="pre">aes128-cts-hmac-sha256-128</span> <span class="pre">des3-cbc-sha1</span> <span class="pre">arcfour-hmac-md5</span> <span class="pre">camellia256-cts-cmac</span> <span class="pre">camellia128-cts-cmac</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-even"><td>KDC default port</td>
-<td>88</td>
-<td>&#160;</td>
-</tr>
-<tr class="row-odd"><td>Admin server port</td>
-<td>749</td>
-<td>&#160;</td>
-</tr>
-<tr class="row-even"><td>Password change port</td>
-<td>464</td>
-<td>&#160;</td>
+<tbody>
+<tr class="row-even"><td><p><a class="reference internal" href="basic/keytab_def.html#keytab-definition"><span class="std std-ref">keytab</span></a> file</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">DEFKTNAME</span></a></p></td>
+<td><p><strong>KRB5_KTNAME</strong></p></td>
+</tr>
+<tr class="row-odd"><td><p>Client <a class="reference internal" href="basic/keytab_def.html#keytab-definition"><span class="std std-ref">keytab</span></a> file</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">DEFCKTNAME</span></a></p></td>
+<td><p><strong>KRB5_CLIENT_KTNAME</strong></p></td>
+</tr>
+<tr class="row-even"><td><p>Kerberos config file <a class="reference internal" href="admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/etc/krb5.conf</span></code><code class="docutils literal notranslate"><span class="pre">:</span></code><a class="reference internal" href="#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5.conf</span></code></p></td>
+<td><p><strong>KRB5_CONFIG</strong></p></td>
+</tr>
+<tr class="row-odd"><td><p>KDC config file <a class="reference internal" href="admin/conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a></p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kdc.conf</span></code></p></td>
+<td><p><strong>KRB5_KDC_PROFILE</strong></p></td>
+</tr>
+<tr class="row-even"><td><p>GSS mechanism config file</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal notranslate"><span class="pre">/gss/mech</span></code></p></td>
+<td><p><strong>GSS_MECH_CONFIG</strong></p></td>
+</tr>
+<tr class="row-odd"><td><p>KDC database path (DB2)</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/principal</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-even"><td><p>Master key <a class="reference internal" href="basic/stash_file_def.html#stash-definition"><span class="std std-ref">stash file</span></a></p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/.k5.</span></code><em>realm</em></p></td>
+<td></td>
+</tr>
+<tr class="row-odd"><td><p>Admin server ACL file <a class="reference internal" href="admin/conf_files/kadm5_acl.html#kadm5-acl-5"><span class="std std-ref">kadm5.acl</span></a></p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kadm5.acl</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-even"><td><p>OTP socket directory</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">RUNSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-odd"><td><p>Plugin base directory</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">LIBDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5/plugins</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-even"><td><p><a class="reference internal" href="basic/rcache_def.html#rcache-definition"><span class="std std-ref">replay cache</span></a> directory</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/var/tmp</span></code></p></td>
+<td><p><strong>KRB5RCACHEDIR</strong></p></td>
+</tr>
+<tr class="row-odd"><td><p>Master key default enctype</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-even"><td><p>Default <a class="reference internal" href="admin/conf_files/kdc_conf.html#keysalt-lists"><span class="std std-ref">keysalt list</span></a></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96:normal</span> <span class="pre">aes128-cts-hmac-sha1-96:normal</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-odd"><td><p>Permitted enctypes</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">aes256-cts-hmac-sha1-96</span> <span class="pre">aes128-cts-hmac-sha1-96</span> <span class="pre">aes256-cts-hmac-sha384-192</span> <span class="pre">aes128-cts-hmac-sha256-128</span> <span class="pre">des3-cbc-sha1</span> <span class="pre">arcfour-hmac-md5</span> <span class="pre">camellia256-cts-cmac</span> <span class="pre">camellia128-cts-cmac</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-even"><td><p>KDC default port</p></td>
+<td><p>88</p></td>
+<td></td>
+</tr>
+<tr class="row-odd"><td><p>Admin server port</p></td>
+<td><p>749</p></td>
+<td></td>
+</tr>
+<tr class="row-even"><td><p>Password change port</p></td>
+<td><p>464</p></td>
+<td></td>
 </tr>
 </tbody>
 </table>
-</div>
-<div class="section" id="replica-kdc-propagation-defaults">
+</section>
+<section id="replica-kdc-propagation-defaults">
 <h2>Replica KDC propagation defaults<a class="headerlink" href="#replica-kdc-propagation-defaults" title="Permalink to this headline">¶</a></h2>
 <p>This table shows defaults used by the <a class="reference internal" href="admin/admin_commands/kprop.html#kprop-8"><span class="std std-ref">kprop</span></a> and
 <a class="reference internal" href="admin/admin_commands/kpropd.html#kpropd-8"><span class="std std-ref">kpropd</span></a> programs.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="38%" />
-<col width="46%" />
-<col width="16%" />
+<col style="width: 38%" />
+<col style="width: 46%" />
+<col style="width: 16%" />
 </colgroup>
-<thead valign="bottom">
-<tr class="row-odd"><th class="head">Description</th>
-<th class="head">Default</th>
-<th class="head">Environment</th>
+<thead>
+<tr class="row-odd"><th class="head"><p>Description</p></th>
+<th class="head"><p>Default</p></th>
+<th class="head"><p>Environment</p></th>
 </tr>
 </thead>
-<tbody valign="top">
-<tr class="row-even"><td>kprop database dump file</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/replica_datatrans</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-odd"><td>kpropd temporary dump file</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/from_master</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-even"><td>kdb5_util location</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">SBINDIR</span></a><code class="docutils literal"><span class="pre">/kdb5_util</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-odd"><td>kprop location</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">SBINDIR</span></a><code class="docutils literal"><span class="pre">/kprop</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-even"><td>kpropd ACL file</td>
-<td><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kpropd.acl</span></code></td>
-<td>&#160;</td>
-</tr>
-<tr class="row-odd"><td>kprop port</td>
-<td>754</td>
-<td>KPROP_PORT</td>
+<tbody>
+<tr class="row-even"><td><p>kprop database dump file</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/replica_datatrans</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-odd"><td><p>kpropd temporary dump file</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/from_master</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-even"><td><p>kdb5_util location</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">SBINDIR</span></a><code class="docutils literal notranslate"><span class="pre">/kdb5_util</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-odd"><td><p>kprop location</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">SBINDIR</span></a><code class="docutils literal notranslate"><span class="pre">/kprop</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-even"><td><p>kpropd ACL file</p></td>
+<td><p><a class="reference internal" href="#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kpropd.acl</span></code></p></td>
+<td></td>
+</tr>
+<tr class="row-odd"><td><p>kprop port</p></td>
+<td><p>754</p></td>
+<td><p>KPROP_PORT</p></td>
 </tr>
 </tbody>
 </table>
-</div>
-<div class="section" id="default-paths-for-unix-like-systems">
+</section>
+<section id="default-paths-for-unix-like-systems">
 <span id="paths"></span><h2>Default paths for Unix-like systems<a class="headerlink" href="#default-paths-for-unix-like-systems" title="Permalink to this headline">¶</a></h2>
 <p>On Unix-like systems, some paths used by MIT krb5 depend on parameters
 chosen at build time.  For a custom build, these paths default to
-subdirectories of <code class="docutils literal"><span class="pre">/usr/local</span></code>.  When MIT krb5 is integrated into an
+subdirectories of <code class="docutils literal notranslate"><span class="pre">/usr/local</span></code>.  When MIT krb5 is integrated into an
 operating system, the paths are generally chosen to match the
 operating system’s filesystem layout.</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="28%" />
-<col width="15%" />
-<col width="29%" />
-<col width="29%" />
+<col style="width: 28%" />
+<col style="width: 15%" />
+<col style="width: 29%" />
+<col style="width: 29%" />
 </colgroup>
-<thead valign="bottom">
-<tr class="row-odd"><th class="head">Description</th>
-<th class="head">Symbolic name</th>
-<th class="head">Custom build path</th>
-<th class="head">Typical OS path</th>
+<thead>
+<tr class="row-odd"><th class="head"><p>Description</p></th>
+<th class="head"><p>Symbolic name</p></th>
+<th class="head"><p>Custom build path</p></th>
+<th class="head"><p>Typical OS path</p></th>
 </tr>
 </thead>
-<tbody valign="top">
-<tr class="row-even"><td>User programs</td>
-<td>BINDIR</td>
-<td><code class="docutils literal"><span class="pre">/usr/local/bin</span></code></td>
-<td><code class="docutils literal"><span class="pre">/usr/bin</span></code></td>
-</tr>
-<tr class="row-odd"><td>Libraries and plugins</td>
-<td>LIBDIR</td>
-<td><code class="docutils literal"><span class="pre">/usr/local/lib</span></code></td>
-<td><code class="docutils literal"><span class="pre">/usr/lib</span></code></td>
-</tr>
-<tr class="row-even"><td>Parent of KDC state dir</td>
-<td>LOCALSTATEDIR</td>
-<td><code class="docutils literal"><span class="pre">/usr/local/var</span></code></td>
-<td><code class="docutils literal"><span class="pre">/var</span></code></td>
-</tr>
-<tr class="row-odd"><td>Parent of KDC runtime dir</td>
-<td>RUNSTATEDIR</td>
-<td><code class="docutils literal"><span class="pre">/usr/local/var/run</span></code></td>
-<td><code class="docutils literal"><span class="pre">/run</span></code></td>
-</tr>
-<tr class="row-even"><td>Administrative programs</td>
-<td>SBINDIR</td>
-<td><code class="docutils literal"><span class="pre">/usr/local/sbin</span></code></td>
-<td><code class="docutils literal"><span class="pre">/usr/sbin</span></code></td>
-</tr>
-<tr class="row-odd"><td>Alternate krb5.conf dir</td>
-<td>SYSCONFDIR</td>
-<td><code class="docutils literal"><span class="pre">/usr/local/etc</span></code></td>
-<td><code class="docutils literal"><span class="pre">/etc</span></code></td>
-</tr>
-<tr class="row-even"><td>Default ccache name</td>
-<td>DEFCCNAME</td>
-<td><code class="docutils literal"><span class="pre">FILE:/tmp/krb5cc_%{uid}</span></code></td>
-<td><code class="docutils literal"><span class="pre">FILE:/tmp/krb5cc_%{uid}</span></code></td>
-</tr>
-<tr class="row-odd"><td>Default keytab name</td>
-<td>DEFKTNAME</td>
-<td><code class="docutils literal"><span class="pre">FILE:/etc/krb5.keytab</span></code></td>
-<td><code class="docutils literal"><span class="pre">FILE:/etc/krb5.keytab</span></code></td>
-</tr>
-<tr class="row-even"><td>Default PKCS11 module</td>
-<td>PKCS11_MODNAME</td>
-<td><code class="docutils literal"><span class="pre">opensc-pkcs11.so</span></code></td>
-<td><code class="docutils literal"><span class="pre">opensc-pkcs11.so</span></code></td>
+<tbody>
+<tr class="row-even"><td><p>User programs</p></td>
+<td><p>BINDIR</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/usr/local/bin</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/usr/bin</span></code></p></td>
+</tr>
+<tr class="row-odd"><td><p>Libraries and plugins</p></td>
+<td><p>LIBDIR</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/usr/local/lib</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/usr/lib</span></code></p></td>
+</tr>
+<tr class="row-even"><td><p>Parent of KDC state dir</p></td>
+<td><p>LOCALSTATEDIR</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/usr/local/var</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/var</span></code></p></td>
+</tr>
+<tr class="row-odd"><td><p>Parent of KDC runtime dir</p></td>
+<td><p>RUNSTATEDIR</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/usr/local/var/run</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/run</span></code></p></td>
+</tr>
+<tr class="row-even"><td><p>Administrative programs</p></td>
+<td><p>SBINDIR</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/usr/local/sbin</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/usr/sbin</span></code></p></td>
+</tr>
+<tr class="row-odd"><td><p>Alternate krb5.conf dir</p></td>
+<td><p>SYSCONFDIR</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/usr/local/etc</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">/etc</span></code></p></td>
+</tr>
+<tr class="row-even"><td><p>Default ccache name</p></td>
+<td><p>DEFCCNAME</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">FILE:/tmp/krb5cc_%{uid}</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">FILE:/tmp/krb5cc_%{uid}</span></code></p></td>
+</tr>
+<tr class="row-odd"><td><p>Default keytab name</p></td>
+<td><p>DEFKTNAME</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">FILE:/etc/krb5.keytab</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">FILE:/etc/krb5.keytab</span></code></p></td>
+</tr>
+<tr class="row-even"><td><p>Default PKCS11 module</p></td>
+<td><p>PKCS11_MODNAME</p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">opensc-pkcs11.so</span></code></p></td>
+<td><p><code class="docutils literal notranslate"><span class="pre">opensc-pkcs11.so</span></code></p></td>
 </tr>
 </tbody>
 </table>
 <p>The default client keytab name (DEFCKTNAME) typically defaults to
-<code class="docutils literal"><span class="pre">FILE:/usr/local/var/krb5/user/%{euid}/client.keytab</span></code> for a custom
+<code class="docutils literal notranslate"><span class="pre">FILE:/usr/local/var/krb5/user/%{euid}/client.keytab</span></code> for a custom
 build.  A native build will typically use a path which will vary
-according to the operating system’s layout of <code class="docutils literal"><span class="pre">/var</span></code>.</p>
-</div>
-</div>
+according to the operating system’s layout of <code class="docutils literal notranslate"><span class="pre">/var</span></code>.</p>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">MIT Kerberos defaults</a><ul>
@@ -336,6 +329,7 @@ according to the operating system’s la
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -343,8 +337,8 @@ according to the operating system’s la
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/mitK5features.html 1.21.3-1/doc/html/mitK5features.html
--- 1.21.2-1/doc/html/mitK5features.html	2023-08-14 16:24:16.000000000 +0000
+++ 1.21.3-1/doc/html/mitK5features.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>MIT Kerberos features &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" />
     <link rel="next" title="MIT Kerberos License information" href="mitK5license.html" />
     <link rel="prev" title="PKINIT freshness tokens" href="formats/freshness_token.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -63,648 +54,674 @@
             
   <div class="toctree-wrapper compound">
 </div>
-<div class="section" id="mit-kerberos-features">
+<section id="mit-kerberos-features">
 <span id="mitk5features"></span><h1>MIT Kerberos features<a class="headerlink" href="#mit-kerberos-features" title="Permalink to this headline">¶</a></h1>
 <p><a class="reference external" href="https://web.mit.edu/kerberos">https://web.mit.edu/kerberos</a></p>
-<div class="section" id="quick-facts">
+<section id="quick-facts">
 <h2>Quick facts<a class="headerlink" href="#quick-facts" title="Permalink to this headline">¶</a></h2>
 <p>License - <a class="reference internal" href="mitK5license.html#mitk5license"><span class="std std-ref">MIT Kerberos License information</span></a></p>
-<dl class="docutils">
-<dt>Releases:</dt>
-<dd><ul class="first last simple">
-<li>Latest stable: <a class="reference external" href="https://web.mit.edu/kerberos/krb5-1.20/">https://web.mit.edu/kerberos/krb5-1.20/</a></li>
-<li>Supported: <a class="reference external" href="https://web.mit.edu/kerberos/krb5-1.19/">https://web.mit.edu/kerberos/krb5-1.19/</a></li>
-<li>Release cycle: approximately 12 months</li>
+<dl class="simple">
+<dt>Releases:</dt><dd><ul class="simple">
+<li><p>Latest stable: <a class="reference external" href="https://web.mit.edu/kerberos/krb5-1.20/">https://web.mit.edu/kerberos/krb5-1.20/</a></p></li>
+<li><p>Supported: <a class="reference external" href="https://web.mit.edu/kerberos/krb5-1.19/">https://web.mit.edu/kerberos/krb5-1.19/</a></p></li>
+<li><p>Release cycle: approximately 12 months</p></li>
 </ul>
 </dd>
-<dt>Supported platforms / OS distributions:</dt>
-<dd><ul class="first last simple">
-<li>Windows (KfW 4.0): Windows 7, Vista, XP</li>
-<li>Solaris: SPARC, x86_64/x86</li>
-<li>GNU/Linux: Debian x86_64/x86, Ubuntu x86_64/x86, RedHat x86_64/x86</li>
-<li>BSD: NetBSD x86_64/x86</li>
+<dt>Supported platforms / OS distributions:</dt><dd><ul class="simple">
+<li><p>Windows (KfW 4.0): Windows 7, Vista, XP</p></li>
+<li><p>Solaris: SPARC, x86_64/x86</p></li>
+<li><p>GNU/Linux: Debian x86_64/x86, Ubuntu x86_64/x86, RedHat x86_64/x86</p></li>
+<li><p>BSD: NetBSD x86_64/x86</p></li>
 </ul>
 </dd>
-<dt>Crypto backends:</dt>
-<dd><ul class="first last simple">
-<li>builtin - MIT Kerberos native crypto library</li>
-<li>OpenSSL (1.0+) - <a class="reference external" href="https://www.openssl.org">https://www.openssl.org</a></li>
+<dt>Crypto backends:</dt><dd><ul class="simple">
+<li><p>builtin - MIT Kerberos native crypto library</p></li>
+<li><p>OpenSSL (1.0+) - <a class="reference external" href="https://www.openssl.org">https://www.openssl.org</a></p></li>
 </ul>
 </dd>
 </dl>
 <p>Database backends: LDAP, DB2, LMDB</p>
 <p>krb4 support: Kerberos 5 release &lt; 1.8</p>
 <p>DES support: Kerberos 5 release &lt; 1.18 (See <a class="reference internal" href="admin/advanced/retiring-des.html#retiring-des"><span class="std std-ref">Retiring DES</span></a>)</p>
-</div>
-<div class="section" id="interoperability">
+</section>
+<section id="interoperability">
 <h2>Interoperability<a class="headerlink" href="#interoperability" title="Permalink to this headline">¶</a></h2>
 <p><cite>Microsoft</cite></p>
 <p>Starting from release 1.7:</p>
 <ul class="simple">
-<li>Follow client principal referrals in the client library when
-obtaining initial tickets.</li>
-<li>KDC can issue realm referrals for service principals based on domain names.</li>
-<li>Extensions supporting DCE RPC, including three-leg GSS context setup
-and unencapsulated GSS tokens inside SPNEGO.</li>
-<li>Microsoft GSS_WrapEX, implemented using the gss_iov API, which is
+<li><p>Follow client principal referrals in the client library when
+obtaining initial tickets.</p></li>
+<li><p>KDC can issue realm referrals for service principals based on domain names.</p></li>
+<li><p>Extensions supporting DCE RPC, including three-leg GSS context setup
+and unencapsulated GSS tokens inside SPNEGO.</p></li>
+<li><p>Microsoft GSS_WrapEX, implemented using the gss_iov API, which is
 similar to the equivalent SSPI functionality.  This is needed to
-support some instances of DCE RPC.</li>
-<li>NTLM recognition support in GSS-API, to facilitate dropping in an
+support some instances of DCE RPC.</p></li>
+<li><p>NTLM recognition support in GSS-API, to facilitate dropping in an
 NTLM implementation for improved compatibility with older releases
-of Microsoft Windows.</li>
-<li>KDC support for principal aliases, if the back end supports them.
-Currently, only the LDAP back end supports aliases.</li>
-<li>Support Microsoft set/change password (<span class="target" id="index-0"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc3244.html"><strong>RFC 3244</strong></a>) protocol in
-kadmind.</li>
-<li>Implement client and KDC support for GSS_C_DELEG_POLICY_FLAG, which
+of Microsoft Windows.</p></li>
+<li><p>KDC support for principal aliases, if the back end supports them.
+Currently, only the LDAP back end supports aliases.</p></li>
+<li><p>Support Microsoft set/change password (<span class="target" id="index-0"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc3244.html"><strong>RFC 3244</strong></a>) protocol in
+kadmind.</p></li>
+<li><p>Implement client and KDC support for GSS_C_DELEG_POLICY_FLAG, which
 allows a GSS application to request credential delegation only if
-permitted by KDC policy.</li>
+permitted by KDC policy.</p></li>
 </ul>
 <p>Starting from release 1.8:</p>
 <ul class="simple">
-<li>Microsoft Services for User (S4U) compatibility</li>
+<li><p>Microsoft Services for User (S4U) compatibility</p></li>
 </ul>
 <p><cite>Heimdal</cite></p>
 <ul class="simple">
-<li>Support for KCM credential cache starting from release 1.13</li>
+<li><p>Support for KCM credential cache starting from release 1.13</p></li>
 </ul>
-</div>
-<div class="section" id="feature-list">
+</section>
+<section id="feature-list">
 <h2>Feature list<a class="headerlink" href="#feature-list" title="Permalink to this headline">¶</a></h2>
 <p>For more information on the specific project see <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects">https://k5wiki.kerberos.org/wiki/Projects</a></p>
-<dl class="docutils">
-<dt>Release 1.7</dt>
-<dd><ul class="first last simple">
-<li>Credentials delegation                   <span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5896.html"><strong>RFC 5896</strong></a></li>
-<li>Cross-realm authentication and referrals <span class="target" id="index-2"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6806.html"><strong>RFC 6806</strong></a></li>
-<li>Master key migration</li>
-<li>PKINIT                                   <span class="target" id="index-3"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a> <a class="reference internal" href="admin/pkinit.html#pkinit"><span class="std std-ref">PKINIT configuration</span></a></li>
+<dl class="simple">
+<dt>Release 1.7</dt><dd><ul class="simple">
+<li><p>Credentials delegation                   <span class="target" id="index-1"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5896.html"><strong>RFC 5896</strong></a></p></li>
+<li><p>Cross-realm authentication and referrals <span class="target" id="index-2"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6806.html"><strong>RFC 6806</strong></a></p></li>
+<li><p>Master key migration</p></li>
+<li><p>PKINIT                                   <span class="target" id="index-3"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a> <a class="reference internal" href="admin/pkinit.html#pkinit"><span class="std std-ref">PKINIT configuration</span></a></p></li>
 </ul>
 </dd>
-<dt>Release 1.8</dt>
-<dd><ul class="first last simple">
-<li>Anonymous PKINIT         <span class="target" id="index-4"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6112.html"><strong>RFC 6112</strong></a> <a class="reference internal" href="admin/pkinit.html#anonymous-pkinit"><span class="std std-ref">Anonymous PKINIT</span></a></li>
-<li>Constrained delegation</li>
-<li>IAKERB                   <a class="reference external" href="https://tools.ietf.org/html/draft-ietf-krb-wg-iakerb-02">https://tools.ietf.org/html/draft-ietf-krb-wg-iakerb-02</a></li>
-<li>Heimdal bridge plugin for KDC backend</li>
-<li>GSS-API S4U extensions   <a class="reference external" href="https://msdn.microsoft.com/en-us/library/cc246071">https://msdn.microsoft.com/en-us/library/cc246071</a></li>
-<li>GSS-API naming extensions                            <span class="target" id="index-5"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6680.html"><strong>RFC 6680</strong></a></li>
-<li>GSS-API extensions for storing delegated credentials <span class="target" id="index-6"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5588.html"><strong>RFC 5588</strong></a></li>
+<dt>Release 1.8</dt><dd><ul class="simple">
+<li><p>Anonymous PKINIT         <span class="target" id="index-4"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6112.html"><strong>RFC 6112</strong></a> <a class="reference internal" href="admin/pkinit.html#anonymous-pkinit"><span class="std std-ref">Anonymous PKINIT</span></a></p></li>
+<li><p>Constrained delegation</p></li>
+<li><p>IAKERB                   <a class="reference external" href="https://tools.ietf.org/html/draft-ietf-krb-wg-iakerb-02">https://tools.ietf.org/html/draft-ietf-krb-wg-iakerb-02</a></p></li>
+<li><p>Heimdal bridge plugin for KDC backend</p></li>
+<li><p>GSS-API S4U extensions   <a class="reference external" href="https://msdn.microsoft.com/en-us/library/cc246071">https://msdn.microsoft.com/en-us/library/cc246071</a></p></li>
+<li><p>GSS-API naming extensions                            <span class="target" id="index-5"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6680.html"><strong>RFC 6680</strong></a></p></li>
+<li><p>GSS-API extensions for storing delegated credentials <span class="target" id="index-6"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5588.html"><strong>RFC 5588</strong></a></p></li>
 </ul>
 </dd>
-<dt>Release 1.9</dt>
-<dd><ul class="first last simple">
-<li>Advance warning on password expiry</li>
-<li>Camellia encryption (CTS-CMAC mode)       <span class="target" id="index-7"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6803.html"><strong>RFC 6803</strong></a></li>
-<li>KDC support for SecurID preauthentication</li>
-<li>kadmin over IPv6</li>
-<li>Trace logging                             <a class="reference internal" href="admin/troubleshoot.html#trace-logging"><span class="std std-ref">Trace logging</span></a></li>
-<li>GSSAPI/KRB5 multi-realm support</li>
-<li>Plugin to test password quality           <a class="reference internal" href="plugindev/pwqual.html#pwqual-plugin"><span class="std std-ref">Password quality interface (pwqual)</span></a></li>
-<li>Plugin to synchronize password changes    <a class="reference internal" href="plugindev/kadm5_hook.html#kadm5-hook-plugin"><span class="std std-ref">KADM5 hook interface (kadm5_hook)</span></a></li>
-<li>Parallel KDC</li>
-<li>GSS-API extensions for SASL GS2 bridge    <span class="target" id="index-8"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5801.html"><strong>RFC 5801</strong></a> <span class="target" id="index-9"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5587.html"><strong>RFC 5587</strong></a></li>
-<li>Purging old keys</li>
-<li>Naming extensions for delegation chain</li>
-<li>Password expiration API</li>
-<li>Windows client support   (build-only)</li>
-<li>IPv6 support in iprop</li>
+<dt>Release 1.9</dt><dd><ul class="simple">
+<li><p>Advance warning on password expiry</p></li>
+<li><p>Camellia encryption (CTS-CMAC mode)       <span class="target" id="index-7"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6803.html"><strong>RFC 6803</strong></a></p></li>
+<li><p>KDC support for SecurID preauthentication</p></li>
+<li><p>kadmin over IPv6</p></li>
+<li><p>Trace logging                             <a class="reference internal" href="admin/troubleshoot.html#trace-logging"><span class="std std-ref">Trace logging</span></a></p></li>
+<li><p>GSSAPI/KRB5 multi-realm support</p></li>
+<li><p>Plugin to test password quality           <a class="reference internal" href="plugindev/pwqual.html#pwqual-plugin"><span class="std std-ref">Password quality interface (pwqual)</span></a></p></li>
+<li><p>Plugin to synchronize password changes    <a class="reference internal" href="plugindev/kadm5_hook.html#kadm5-hook-plugin"><span class="std std-ref">KADM5 hook interface (kadm5_hook)</span></a></p></li>
+<li><p>Parallel KDC</p></li>
+<li><p>GSS-API extensions for SASL GS2 bridge    <span class="target" id="index-8"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5801.html"><strong>RFC 5801</strong></a> <span class="target" id="index-9"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc5587.html"><strong>RFC 5587</strong></a></p></li>
+<li><p>Purging old keys</p></li>
+<li><p>Naming extensions for delegation chain</p></li>
+<li><p>Password expiration API</p></li>
+<li><p>Windows client support   (build-only)</p></li>
+<li><p>IPv6 support in iprop</p></li>
 </ul>
 </dd>
-<dt>Release 1.10</dt>
-<dd><ul class="first last simple">
-<li>Plugin interface for configuration        <a class="reference internal" href="plugindev/profile.html#profile-plugin"><span class="std std-ref">Configuration interface (profile)</span></a></li>
-<li>Credentials for multiple identities       <a class="reference internal" href="plugindev/ccselect.html#ccselect-plugin"><span class="std std-ref">Credential cache selection interface (ccselect)</span></a></li>
+<dt>Release 1.10</dt><dd><ul class="simple">
+<li><p>Plugin interface for configuration        <a class="reference internal" href="plugindev/profile.html#profile-plugin"><span class="std std-ref">Configuration interface (profile)</span></a></p></li>
+<li><p>Credentials for multiple identities       <a class="reference internal" href="plugindev/ccselect.html#ccselect-plugin"><span class="std std-ref">Credential cache selection interface (ccselect)</span></a></p></li>
 </ul>
 </dd>
-<dt>Release 1.11</dt>
-<dd><ul class="first last simple">
-<li>Client support for FAST OTP               <span class="target" id="index-10"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6560.html"><strong>RFC 6560</strong></a></li>
-<li>GSS-API extensions for credential locations</li>
-<li>Responder mechanism</li>
+<dt>Release 1.11</dt><dd><ul class="simple">
+<li><p>Client support for FAST OTP               <span class="target" id="index-10"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6560.html"><strong>RFC 6560</strong></a></p></li>
+<li><p>GSS-API extensions for credential locations</p></li>
+<li><p>Responder mechanism</p></li>
 </ul>
 </dd>
-<dt>Release 1.12</dt>
-<dd><ul class="first last simple">
-<li>Plugin to control krb5_aname_to_localname and krb5_kuserok behavior   <a class="reference internal" href="plugindev/localauth.html#localauth-plugin"><span class="std std-ref">Local authorization interface (localauth)</span></a></li>
-<li>Plugin to control hostname-to-realm mappings and the default realm    <a class="reference internal" href="plugindev/hostrealm.html#hostrealm-plugin"><span class="std std-ref">Host-to-realm interface (hostrealm)</span></a></li>
-<li>GSSAPI extensions for constructing MIC tokens using IOV lists         <a class="reference internal" href="appdev/gssapi.html#gssapi-mic-token"><span class="std std-ref">IOV MIC tokens</span></a></li>
-<li>Principal may refer to nonexistent policies <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/Policy_refcount_elimination">Policy Refcount project</a></li>
-<li>Support for having no long-term keys for a principal <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/Principals_without_keys">Principals Without Keys project</a></li>
-<li>Collection support to the KEYRING credential cache type on Linux <a class="reference internal" href="basic/ccache_def.html#ccache-definition"><span class="std std-ref">Credential cache</span></a></li>
-<li>FAST OTP preauthentication module for the KDC which uses RADIUS to validate OTP token values <a class="reference internal" href="admin/otp.html#otp-preauth"><span class="std std-ref">OTP Preauthentication</span></a></li>
-<li>Experimental Audit plugin for KDC processing <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/Audit">Audit project</a></li>
+<dt>Release 1.12</dt><dd><ul class="simple">
+<li><p>Plugin to control krb5_aname_to_localname and krb5_kuserok behavior   <a class="reference internal" href="plugindev/localauth.html#localauth-plugin"><span class="std std-ref">Local authorization interface (localauth)</span></a></p></li>
+<li><p>Plugin to control hostname-to-realm mappings and the default realm    <a class="reference internal" href="plugindev/hostrealm.html#hostrealm-plugin"><span class="std std-ref">Host-to-realm interface (hostrealm)</span></a></p></li>
+<li><p>GSSAPI extensions for constructing MIC tokens using IOV lists         <a class="reference internal" href="appdev/gssapi.html#gssapi-mic-token"><span class="std std-ref">IOV MIC tokens</span></a></p></li>
+<li><p>Principal may refer to nonexistent policies <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/Policy_refcount_elimination">Policy Refcount project</a></p></li>
+<li><p>Support for having no long-term keys for a principal <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/Principals_without_keys">Principals Without Keys project</a></p></li>
+<li><p>Collection support to the KEYRING credential cache type on Linux <a class="reference internal" href="basic/ccache_def.html#ccache-definition"><span class="std std-ref">Credential cache</span></a></p></li>
+<li><p>FAST OTP preauthentication module for the KDC which uses RADIUS to validate OTP token values <a class="reference internal" href="admin/otp.html#otp-preauth"><span class="std std-ref">OTP Preauthentication</span></a></p></li>
+<li><p>Experimental Audit plugin for KDC processing <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/Audit">Audit project</a></p></li>
 </ul>
 </dd>
 </dl>
 <p>Release 1.13</p>
 <blockquote>
 <div><ul class="simple">
-<li>Add support for accessing KDCs via an HTTPS proxy server using
+<li><p>Add support for accessing KDCs via an HTTPS proxy server using
 the <a class="reference external" href="https://msdn.microsoft.com/en-us/library/hh553774.aspx">MS-KKDCP</a>
-protocol.</li>
-<li>Add support for <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/Hierarchical_iprop">hierarchical incremental propagation</a>,
+protocol.</p></li>
+<li><p>Add support for <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/Hierarchical_iprop">hierarchical incremental propagation</a>,
 where replicas can act as intermediates between an upstream primary
-and other downstream replicas.</li>
-<li>Add support for configuring GSS mechanisms using
-<code class="docutils literal"><span class="pre">/etc/gss/mech.d/*.conf</span></code> files in addition to
-<code class="docutils literal"><span class="pre">/etc/gss/mech</span></code>.</li>
-<li>Add support to the LDAP KDB module for <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/LDAP_SASL_support">binding to the LDAP
-server using SASL</a>.</li>
-<li>The KDC listens for TCP connections by default.</li>
-<li>Fix a minor key disclosure vulnerability where using the
+and other downstream replicas.</p></li>
+<li><p>Add support for configuring GSS mechanisms using
+<code class="docutils literal notranslate"><span class="pre">/etc/gss/mech.d/*.conf</span></code> files in addition to
+<code class="docutils literal notranslate"><span class="pre">/etc/gss/mech</span></code>.</p></li>
+<li><p>Add support to the LDAP KDB module for <a class="reference external" href="https://k5wiki.kerberos.org/wiki/Projects/LDAP_SASL_support">binding to the LDAP
+server using SASL</a>.</p></li>
+<li><p>The KDC listens for TCP connections by default.</p></li>
+<li><p>Fix a minor key disclosure vulnerability where using the
 “keepold” option to the kadmin randkey operation could return the
-old keys. <a class="reference external" href="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-5351">[CVE-2014-5351]</a></li>
-<li>Add client support for the Kerberos Cache Manager protocol. If
+old keys. <a class="reference external" href="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-5351">[CVE-2014-5351]</a></p></li>
+<li><p>Add client support for the Kerberos Cache Manager protocol. If
 the host is running a Heimdal kcm daemon, caches served by the
-daemon can be accessed with the KCM: cache type.</li>
-<li>When built on macOS 10.7 and higher, use “KCM:” as the default
+daemon can be accessed with the KCM: cache type.</p></li>
+<li><p>When built on macOS 10.7 and higher, use “KCM:” as the default
 cachetype, unless overridden by command-line options or
-krb5-config values.</li>
-<li>Add support for doing unlocked database dumps for the DB2 KDC
+krb5-config values.</p></li>
+<li><p>Add support for doing unlocked database dumps for the DB2 KDC
 back end, which would allow the KDC and kadmind to continue
-accessing the database during lengthy database dumps.</li>
+accessing the database during lengthy database dumps.</p></li>
 </ul>
 </div></blockquote>
 <p>Release 1.14</p>
 <blockquote>
 <div><ul class="simple">
-<li>Administrator experience<ul>
-<li>Add a new kdb5_util tabdump command to provide reporting-friendly
+<li><p>Administrator experience</p>
+<ul>
+<li><p>Add a new kdb5_util tabdump command to provide reporting-friendly
 tabular dump formats (tab-separated or CSV) for the KDC database.
 Unlike the normal dump format, each output table has a fixed number
 of fields.  Some tables include human-readable forms of data that
 are opaque in ordinary dump files.  This format is also suitable for
-importing into relational databases for complex queries.</li>
-<li>Add support to kadmin and kadmin.local for specifying a single
+importing into relational databases for complex queries.</p></li>
+<li><p>Add support to kadmin and kadmin.local for specifying a single
 command line following any global options, where the command
 arguments are split by the shell–for example, “kadmin getprinc
 principalname”.  Commands issued this way do not prompt for
 confirmation or display warning messages, and exit with non-zero
-status if the operation fails.</li>
-<li>Accept the same principal flag names in kadmin as we do for the
+status if the operation fails.</p></li>
+<li><p>Accept the same principal flag names in kadmin as we do for the
 default_principal_flags kdc.conf variable, and vice versa.  Also
 accept flag specifiers in the form that kadmin prints, as well as
-hexadecimal numbers.</li>
-<li>Remove the triple-DES and RC4 encryption types from the default
+hexadecimal numbers.</p></li>
+<li><p>Remove the triple-DES and RC4 encryption types from the default
 value of supported_enctypes, which determines the default key and
 salt types for new password-derived keys.  By default, keys will
 only created only for AES128 and AES256.  This mitigates some types
-of password guessing attacks.</li>
-<li>Add support for directory names in the KRB5_CONFIG and
-KRB5_KDC_PROFILE environment variables.</li>
-<li>Add support for authentication indicators, which are ticket
+of password guessing attacks.</p></li>
+<li><p>Add support for directory names in the KRB5_CONFIG and
+KRB5_KDC_PROFILE environment variables.</p></li>
+<li><p>Add support for authentication indicators, which are ticket
 annotations to indicate the strength of the initial authentication.
 Add support for the “require_auth” string attribute, which can be
 set on server principal entries to require an indicator when
-authenticating to the server.</li>
-<li>Add support for key version numbers larger than 255 in keytab files,
-and for version numbers up to 65535 in KDC databases.</li>
-<li>Transmit only one ETYPE-INFO and/or ETYPE-INFO2 entry from the KDC
+authenticating to the server.</p></li>
+<li><p>Add support for key version numbers larger than 255 in keytab files,
+and for version numbers up to 65535 in KDC databases.</p></li>
+<li><p>Transmit only one ETYPE-INFO and/or ETYPE-INFO2 entry from the KDC
 during pre-authentication, corresponding to the client’s most
-preferred encryption type.</li>
-<li>Add support for server name identification (SNI) when proxying KDC
-requests over HTTPS.</li>
-<li>Add support for the err_fmt profile parameter, which can be used to
-generate custom-formatted error messages.</li>
+preferred encryption type.</p></li>
+<li><p>Add support for server name identification (SNI) when proxying KDC
+requests over HTTPS.</p></li>
+<li><p>Add support for the err_fmt profile parameter, which can be used to
+generate custom-formatted error messages.</p></li>
 </ul>
 </li>
-<li>Developer experience:<ul>
-<li>Change gss_acquire_cred_with_password() to acquire credentials into
+<li><p>Developer experience:</p>
+<ul>
+<li><p>Change gss_acquire_cred_with_password() to acquire credentials into
 a private memory credential cache.  Applications can use
 gss_store_cred() to make the resulting credentials visible to other
-processes.</li>
-<li>Change gss_acquire_cred() and SPNEGO not to acquire credentials for
+processes.</p></li>
+<li><p>Change gss_acquire_cred() and SPNEGO not to acquire credentials for
 IAKERB or for non-standard variants of the krb5 mechanism OID unless
 explicitly requested.  (SPNEGO will still accept the Microsoft
-variant of the krb5 mechanism OID during negotiation.)</li>
-<li>Change gss_accept_sec_context() not to accept tokens for IAKERB or
+variant of the krb5 mechanism OID during negotiation.)</p></li>
+<li><p>Change gss_accept_sec_context() not to accept tokens for IAKERB or
 for non-standard variants of the krb5 mechanism OID unless an
-acceptor credential is acquired for those mechanisms.</li>
-<li>Change gss_acquire_cred() to immediately resolve credentials if the
+acceptor credential is acquired for those mechanisms.</p></li>
+<li><p>Change gss_acquire_cred() to immediately resolve credentials if the
 time_rec parameter is not NULL, so that a correct expiration time
 can be returned.  Normally credential resolution is delayed until
-the target name is known.</li>
-<li>Add krb5_prepend_error_message() and krb5_wrap_error_message() APIs,
+the target name is known.</p></li>
+<li><p>Add krb5_prepend_error_message() and krb5_wrap_error_message() APIs,
 which can be used by plugin modules or applications to add prefixes
-to existing detailed error messages.</li>
-<li>Add krb5_c_prfplus() and krb5_c_derive_prfplus() APIs, which
-implement the RFC 6113 PRF+ operation and key derivation using PRF+.</li>
-<li>Add support for pre-authentication mechanisms which use multiple
+to existing detailed error messages.</p></li>
+<li><p>Add krb5_c_prfplus() and krb5_c_derive_prfplus() APIs, which
+implement the RFC 6113 PRF+ operation and key derivation using PRF+.</p></li>
+<li><p>Add support for pre-authentication mechanisms which use multiple
 round trips, using the the KDC_ERR_MORE_PREAUTH_DATA_REQUIRED error
 code.  Add get_cookie() and set_cookie() callbacks to the kdcpreauth
 interface; these callbacks can be used to save marshalled state
-information in an encrypted cookie for the next request.</li>
-<li>Add a client_key() callback to the kdcpreauth interface to retrieve
+information in an encrypted cookie for the next request.</p></li>
+<li><p>Add a client_key() callback to the kdcpreauth interface to retrieve
 the chosen client key, corresponding to the ETYPE-INFO2 entry sent
-by the KDC.</li>
-<li>Add an add_auth_indicator() callback to the kdcpreauth interface,
+by the KDC.</p></li>
+<li><p>Add an add_auth_indicator() callback to the kdcpreauth interface,
 allowing pre-authentication modules to assert authentication
-indicators.</li>
-<li>Add support for the GSS_KRB5_CRED_NO_CI_FLAGS_X cred option to
+indicators.</p></li>
+<li><p>Add support for the GSS_KRB5_CRED_NO_CI_FLAGS_X cred option to
 suppress sending the confidentiality and integrity flags in GSS
 initiator tokens unless they are requested by the caller.  These
 flags control the negotiated SASL security layer for the Microsoft
-GSS-SPNEGO SASL mechanism.</li>
-<li>Make the FILE credential cache implementation less prone to
+GSS-SPNEGO SASL mechanism.</p></li>
+<li><p>Make the FILE credential cache implementation less prone to
 corruption issues in multi-threaded programs, especially on
-platforms with support for open file description locks.</li>
+platforms with support for open file description locks.</p></li>
 </ul>
 </li>
-<li>Performance:<ul>
-<li>On replica KDCs, poll the primary KDC immediately after
+<li><p>Performance:</p>
+<ul>
+<li><p>On replica KDCs, poll the primary KDC immediately after
 processing a full resync, and do not require two full resyncs
-after the primary KDC’s log file is reset.</li>
+after the primary KDC’s log file is reset.</p></li>
 </ul>
 </li>
 </ul>
 </div></blockquote>
 <p>Release 1.15</p>
 <ul class="simple">
-<li>Administrator experience:<ul>
-<li>Add support to kadmin for remote extraction of current keys
+<li><p>Administrator experience:</p>
+<ul>
+<li><p>Add support to kadmin for remote extraction of current keys
 without changing them (requires a special kadmin permission that
 is excluded from the wildcard permission), with the exception of
-highly protected keys.</li>
-<li>Add a lockdown_keys principal attribute to prevent retrieval of
+highly protected keys.</p></li>
+<li><p>Add a lockdown_keys principal attribute to prevent retrieval of
 the principal’s keys (old or new) via the kadmin protocol.  In
 newly created databases, this attribute is set on the krbtgt and
-kadmin principals.</li>
-<li>Restore recursive dump capability for DB2 back end, so sites can
+kadmin principals.</p></li>
+<li><p>Restore recursive dump capability for DB2 back end, so sites can
 more easily recover from database corruption resulting from power
-failure events.</li>
-<li>Add DNS auto-discovery of KDC and kpasswd servers from URI
+failure events.</p></li>
+<li><p>Add DNS auto-discovery of KDC and kpasswd servers from URI
 records, in addition to SRV records.  URI records can convey TCP
 and UDP servers and primary KDC status in a single DNS lookup, and
-can also point to HTTPS proxy servers.</li>
-<li>Add support for password history to the LDAP back end.</li>
-<li>Add support for principal renaming to the LDAP back end.</li>
-<li>Use the getrandom system call on supported Linux kernels to avoid
-blocking problems when getting entropy from the operating system.</li>
-</ul>
-</li>
-<li>Code quality:<ul>
-<li>Clean up numerous compilation warnings.</li>
-<li>Remove various infrequently built modules, including some preauth
-modules that were not built by default.</li>
-</ul>
-</li>
-<li>Developer experience:<ul>
-<li>Add support for building with OpenSSL 1.1.</li>
-<li>Use SHA-256 instead of MD5 for (non-cryptographic) hashing of
+can also point to HTTPS proxy servers.</p></li>
+<li><p>Add support for password history to the LDAP back end.</p></li>
+<li><p>Add support for principal renaming to the LDAP back end.</p></li>
+<li><p>Use the getrandom system call on supported Linux kernels to avoid
+blocking problems when getting entropy from the operating system.</p></li>
+</ul>
+</li>
+<li><p>Code quality:</p>
+<ul>
+<li><p>Clean up numerous compilation warnings.</p></li>
+<li><p>Remove various infrequently built modules, including some preauth
+modules that were not built by default.</p></li>
+</ul>
+</li>
+<li><p>Developer experience:</p>
+<ul>
+<li><p>Add support for building with OpenSSL 1.1.</p></li>
+<li><p>Use SHA-256 instead of MD5 for (non-cryptographic) hashing of
 authenticators in the replay cache.  This helps sites that must
-build with FIPS 140 conformant libraries that lack MD5.</li>
+build with FIPS 140 conformant libraries that lack MD5.</p></li>
 </ul>
 </li>
-<li>Protocol evolution:<ul>
-<li>Add support for the AES-SHA2 enctypes, which allows sites to
-conform to Suite B crypto requirements.</li>
+<li><p>Protocol evolution:</p>
+<ul>
+<li><p>Add support for the AES-SHA2 enctypes, which allows sites to
+conform to Suite B crypto requirements.</p></li>
 </ul>
 </li>
 </ul>
 <p>Release 1.16</p>
 <ul class="simple">
-<li>Administrator experience:<ul>
-<li>The KDC can match PKINIT client certificates against the
+<li><p>Administrator experience:</p>
+<ul>
+<li><p>The KDC can match PKINIT client certificates against the
 “pkinit_cert_match” string attribute on the client principal
 entry, using the same syntax as the existing “pkinit_cert_match”
-profile option.</li>
-<li>The ktutil addent command supports the “-k 0” option to ignore the
-key version, and the “-s” option to use a non-default salt string.</li>
-<li>kpropd supports a –pid-file option to write a pid file at
-startup, when it is run in standalone mode.</li>
-<li>The “encrypted_challenge_indicator” realm option can be used to
+profile option.</p></li>
+<li><p>The ktutil addent command supports the “-k 0” option to ignore the
+key version, and the “-s” option to use a non-default salt string.</p></li>
+<li><p>kpropd supports a –pid-file option to write a pid file at
+startup, when it is run in standalone mode.</p></li>
+<li><p>The “encrypted_challenge_indicator” realm option can be used to
 attach an authentication indicator to tickets obtained using FAST
-encrypted challenge pre-authentication.</li>
-<li>Localization support can be disabled at build time with the
-–disable-nls configure option.</li>
+encrypted challenge pre-authentication.</p></li>
+<li><p>Localization support can be disabled at build time with the
+–disable-nls configure option.</p></li>
 </ul>
 </li>
-<li>Developer experience:<ul>
-<li>The kdcpolicy pluggable interface allows modules control whether
-tickets are issued by the KDC.</li>
-<li>The kadm5_auth pluggable interface allows modules to control
-whether kadmind grants access to a kadmin request.</li>
-<li>The certauth pluggable interface allows modules to control which
+<li><p>Developer experience:</p>
+<ul>
+<li><p>The kdcpolicy pluggable interface allows modules control whether
+tickets are issued by the KDC.</p></li>
+<li><p>The kadm5_auth pluggable interface allows modules to control
+whether kadmind grants access to a kadmin request.</p></li>
+<li><p>The certauth pluggable interface allows modules to control which
 PKINIT client certificates can authenticate to which client
-principals.</li>
-<li>KDB modules can use the client and KDC interface IP addresses to
-determine whether to allow an AS request.</li>
-<li>GSS applications can query the bit strength of a krb5 GSS context
+principals.</p></li>
+<li><p>KDB modules can use the client and KDC interface IP addresses to
+determine whether to allow an AS request.</p></li>
+<li><p>GSS applications can query the bit strength of a krb5 GSS context
 using the GSS_C_SEC_CONTEXT_SASL_SSF OID with
-gss_inquire_sec_context_by_oid().</li>
-<li>GSS applications can query the impersonator name of a krb5 GSS
+gss_inquire_sec_context_by_oid().</p></li>
+<li><p>GSS applications can query the impersonator name of a krb5 GSS
 credential using the GSS_KRB5_GET_CRED_IMPERSONATOR OID with
-gss_inquire_cred_by_oid().</li>
-<li>kdcpreauth modules can query the KDC for the canonicalized
+gss_inquire_cred_by_oid().</p></li>
+<li><p>kdcpreauth modules can query the KDC for the canonicalized
 requested client principal name, or match a principal name against
-the requested client principal name with canonicalization.</li>
+the requested client principal name with canonicalization.</p></li>
 </ul>
 </li>
-<li>Protocol evolution:<ul>
-<li>The client library will continue to try pre-authentication
-mechanisms after most failure conditions.</li>
-<li>The KDC will issue trivially renewable tickets (where the
+<li><p>Protocol evolution:</p>
+<ul>
+<li><p>The client library will continue to try pre-authentication
+mechanisms after most failure conditions.</p></li>
+<li><p>The KDC will issue trivially renewable tickets (where the
 renewable lifetime is equal to or less than the ticket lifetime)
-if requested by the client, to be friendlier to scripts.</li>
-<li>The client library will use a random nonce for TGS requests
-instead of the current system time.</li>
-<li>For the RC4 string-to-key or PAC operations, UTF-16 is supported
-(previously only UCS-2 was supported).</li>
-<li>When matching PKINIT client certificates, UPN SANs will be matched
-correctly as UPNs, with canonicalization.</li>
+if requested by the client, to be friendlier to scripts.</p></li>
+<li><p>The client library will use a random nonce for TGS requests
+instead of the current system time.</p></li>
+<li><p>For the RC4 string-to-key or PAC operations, UTF-16 is supported
+(previously only UCS-2 was supported).</p></li>
+<li><p>When matching PKINIT client certificates, UPN SANs will be matched
+correctly as UPNs, with canonicalization.</p></li>
 </ul>
 </li>
-<li>User experience:<ul>
-<li>Dates after the year 2038 are accepted (provided that the platform
-time facilities support them), through the year 2106.</li>
-<li>Automatic credential cache selection based on the client realm
+<li><p>User experience:</p>
+<ul>
+<li><p>Dates after the year 2038 are accepted (provided that the platform
+time facilities support them), through the year 2106.</p></li>
+<li><p>Automatic credential cache selection based on the client realm
 will take into account the fallback realm and the service
-hostname.</li>
-<li>Referral and alternate cross-realm TGTs will not be cached,
+hostname.</p></li>
+<li><p>Referral and alternate cross-realm TGTs will not be cached,
 avoiding some scenarios where they can be added to the credential
-cache multiple times.</li>
-<li>A German translation has been added.</li>
+cache multiple times.</p></li>
+<li><p>A German translation has been added.</p></li>
 </ul>
 </li>
-<li>Code quality:<ul>
-<li>The build is warning-clean under clang with the configured warning
-options.</li>
-<li>The automated test suite runs cleanly under AddressSanitizer.</li>
+<li><p>Code quality:</p>
+<ul>
+<li><p>The build is warning-clean under clang with the configured warning
+options.</p></li>
+<li><p>The automated test suite runs cleanly under AddressSanitizer.</p></li>
 </ul>
 </li>
 </ul>
 <p>Release 1.17</p>
 <ul class="simple">
-<li>Administrator experience:<ul>
-<li>A new Kerberos database module using the Lightning Memory-Mapped
+<li><p>Administrator experience:</p>
+<ul>
+<li><p>A new Kerberos database module using the Lightning Memory-Mapped
 Database library (LMDB) has been added.  The LMDB KDB module
 should be more performant and more robust than the DB2 module, and
 may become the default module for new databases in a future
-release.</li>
-<li>“kdb5_util dump” will no longer dump policy entries when specific
-principal names are requested.</li>
+release.</p></li>
+<li><p>“kdb5_util dump” will no longer dump policy entries when specific
+principal names are requested.</p></li>
 </ul>
 </li>
-<li>Developer experience:<ul>
-<li>The new krb5_get_etype_info() API can be used to retrieve enctype,
+<li><p>Developer experience:</p>
+<ul>
+<li><p>The new krb5_get_etype_info() API can be used to retrieve enctype,
 salt, and string-to-key parameters from the KDC for a client
-principal.</li>
-<li>The new GSS_KRB5_NT_ENTERPRISE_NAME name type allows enterprise
-principal names to be used with GSS-API functions.</li>
-<li>KDC and kadmind modules which call com_err() will now write to the
-log file in a format more consistent with other log messages.</li>
-<li>Programs which use large numbers of memory credential caches
-should perform better.</li>
+principal.</p></li>
+<li><p>The new GSS_KRB5_NT_ENTERPRISE_NAME name type allows enterprise
+principal names to be used with GSS-API functions.</p></li>
+<li><p>KDC and kadmind modules which call com_err() will now write to the
+log file in a format more consistent with other log messages.</p></li>
+<li><p>Programs which use large numbers of memory credential caches
+should perform better.</p></li>
 </ul>
 </li>
-<li>Protocol evolution:<ul>
-<li>The SPAKE pre-authentication mechanism is now supported.  This
+<li><p>Protocol evolution:</p>
+<ul>
+<li><p>The SPAKE pre-authentication mechanism is now supported.  This
 mechanism protects against password dictionary attacks without
 requiring any additional infrastructure such as certificates.
 SPAKE is enabled by default on clients, but must be manually
-enabled on the KDC for this release.</li>
-<li>PKINIT freshness tokens are now supported.  Freshness tokens can
+enabled on the KDC for this release.</p></li>
+<li><p>PKINIT freshness tokens are now supported.  Freshness tokens can
 protect against scenarios where an attacker uses temporary access
 to a smart card to generate authentication requests for the
-future.</li>
-<li>Password change operations now prefer TCP over UDP, to avoid
+future.</p></li>
+<li><p>Password change operations now prefer TCP over UDP, to avoid
 spurious error messages about replays when a response packet is
-dropped.</li>
-<li>The KDC now supports cross-realm S4U2Self requests when used with
+dropped.</p></li>
+<li><p>The KDC now supports cross-realm S4U2Self requests when used with
 a third-party KDB module such as Samba’s.  The client code for
-cross-realm S4U2Self requests is also now more robust.</li>
+cross-realm S4U2Self requests is also now more robust.</p></li>
 </ul>
 </li>
-<li>User experience:<ul>
-<li>The new ktutil addent -f flag can be used to fetch salt
-information from the KDC for password-based keys.</li>
-<li>The new kdestroy -p option can be used to destroy a credential
-cache within a collection by client principal name.</li>
-<li>The Kerberos man page has been restored, and documents the
+<li><p>User experience:</p>
+<ul>
+<li><p>The new ktutil addent -f flag can be used to fetch salt
+information from the KDC for password-based keys.</p></li>
+<li><p>The new kdestroy -p option can be used to destroy a credential
+cache within a collection by client principal name.</p></li>
+<li><p>The Kerberos man page has been restored, and documents the
 environment variables that affect programs using the Kerberos
-library.</li>
+library.</p></li>
 </ul>
 </li>
-<li>Code quality:<ul>
-<li>Python test scripts now use Python 3.</li>
-<li>Python test scripts now display markers in verbose output, making
-it easier to find where a failure occurred within the scripts.</li>
-<li>The Windows build system has been simplified and updated to work
+<li><p>Code quality:</p>
+<ul>
+<li><p>Python test scripts now use Python 3.</p></li>
+<li><p>Python test scripts now display markers in verbose output, making
+it easier to find where a failure occurred within the scripts.</p></li>
+<li><p>The Windows build system has been simplified and updated to work
 with more recent versions of Visual Studio.  A large volume of
 unused Windows-specific code has been removed.  Visual Studio 2013
-or later is now required.</li>
+or later is now required.</p></li>
 </ul>
 </li>
 </ul>
 <p>Release 1.18</p>
 <ul class="simple">
-<li>Administrator experience:<ul>
-<li>Remove support for single-DES encryption types.</li>
-<li>Change the replay cache format to be more efficient and robust.
-Replay cache filenames using the new format end with <code class="docutils literal"><span class="pre">.rcache2</span></code>
-by default.</li>
-<li>setuid programs will automatically ignore environment variables
+<li><p>Administrator experience:</p>
+<ul>
+<li><p>Remove support for single-DES encryption types.</p></li>
+<li><p>Change the replay cache format to be more efficient and robust.
+Replay cache filenames using the new format end with <code class="docutils literal notranslate"><span class="pre">.rcache2</span></code>
+by default.</p></li>
+<li><p>setuid programs will automatically ignore environment variables
 that normally affect krb5 API functions, even if the caller does
-not use krb5_init_secure_context().</li>
-<li>Add an <code class="docutils literal"><span class="pre">enforce_ok_as_delegate</span></code> krb5.conf relation to disable
+not use krb5_init_secure_context().</p></li>
+<li><p>Add an <code class="docutils literal notranslate"><span class="pre">enforce_ok_as_delegate</span></code> krb5.conf relation to disable
 credential forwarding during GSSAPI authentication unless the KDC
-sets the ok-as-delegate bit in the service ticket.</li>
+sets the ok-as-delegate bit in the service ticket.</p></li>
 </ul>
 </li>
-<li>Developer experience:<ul>
-<li>Implement krb5_cc_remove_cred() for all credential cache types.</li>
-<li>Add the krb5_pac_get_client_info() API to get the client account
-name from a PAC.</li>
+<li><p>Developer experience:</p>
+<ul>
+<li><p>Implement krb5_cc_remove_cred() for all credential cache types.</p></li>
+<li><p>Add the krb5_pac_get_client_info() API to get the client account
+name from a PAC.</p></li>
 </ul>
 </li>
-<li>Protocol evolution:<ul>
-<li>Add KDC support for S4U2Self requests where the user is identified
+<li><p>Protocol evolution:</p>
+<ul>
+<li><p>Add KDC support for S4U2Self requests where the user is identified
 by X.509 certificate.  (Requires support for certificate lookup
-from a third-party KDB module.)</li>
-<li>Remove support for an old (“draft 9”) variant of PKINIT.</li>
-<li>Add support for Microsoft NegoEx.  (Requires one or more
-third-party GSS modules implementing NegoEx mechanisms.)</li>
+from a third-party KDB module.)</p></li>
+<li><p>Remove support for an old (“draft 9”) variant of PKINIT.</p></li>
+<li><p>Add support for Microsoft NegoEx.  (Requires one or more
+third-party GSS modules implementing NegoEx mechanisms.)</p></li>
 </ul>
 </li>
-<li>User experience:<ul>
-<li>Add support for <code class="docutils literal"><span class="pre">dns_canonicalize_hostname=fallback</span></code>, causing
+<li><p>User experience:</p>
+<ul>
+<li><p>Add support for <code class="docutils literal notranslate"><span class="pre">dns_canonicalize_hostname=fallback</span></code>, causing
 host-based principal names to be tried first without DNS
 canonicalization, and again with DNS canonicalization if the
-un-canonicalized server is not found.</li>
-<li>Expand single-component hostnames in hhost-based principal names
+un-canonicalized server is not found.</p></li>
+<li><p>Expand single-component hostnames in hhost-based principal names
 when DNS canonicalization is not used, adding the system’s first
-DNS search path as a suffix.  Add a <code class="docutils literal"><span class="pre">qualify_shortname</span></code>
-krb5.conf relation to override this suffix or disable expansion.</li>
+DNS search path as a suffix.  Add a <code class="docutils literal notranslate"><span class="pre">qualify_shortname</span></code>
+krb5.conf relation to override this suffix or disable expansion.</p></li>
 </ul>
 </li>
-<li>Code quality:<ul>
-<li>The libkrb5 serialization code (used to export and import krb5 GSS
-security contexts) has been simplified and made type-safe.</li>
-<li>The libkrb5 code for creating KRB-PRIV, KRB-SAFE, and KRB-CRED
-messages has been revised to conform to current coding practices.</li>
-<li>The test suite has been modified to work with macOS System
-Integrity Protection enabled.</li>
-<li>The test suite incorporates soft-pkcs11 so that PKINIT PKCS11
-support can always be tested.</li>
+<li><p>Code quality:</p>
+<ul>
+<li><p>The libkrb5 serialization code (used to export and import krb5 GSS
+security contexts) has been simplified and made type-safe.</p></li>
+<li><p>The libkrb5 code for creating KRB-PRIV, KRB-SAFE, and KRB-CRED
+messages has been revised to conform to current coding practices.</p></li>
+<li><p>The test suite has been modified to work with macOS System
+Integrity Protection enabled.</p></li>
+<li><p>The test suite incorporates soft-pkcs11 so that PKINIT PKCS11
+support can always be tested.</p></li>
 </ul>
 </li>
 </ul>
 <p>Release 1.19</p>
 <ul class="simple">
-<li>Administrator experience:<ul>
-<li>When a client keytab is present, the GSSAPI krb5 mech will refresh
+<li><p>Administrator experience:</p>
+<ul>
+<li><p>When a client keytab is present, the GSSAPI krb5 mech will refresh
 credentials even if the current credentials were acquired
-manually.</li>
-<li>It is now harder to accidentally delete the K/M entry from a KDB.</li>
+manually.</p></li>
+<li><p>It is now harder to accidentally delete the K/M entry from a KDB.</p></li>
 </ul>
 </li>
-<li>Developer experience:<ul>
-<li>gss_acquire_cred_from() now supports the “password” and “verify”
+<li><p>Developer experience:</p>
+<ul>
+<li><p>gss_acquire_cred_from() now supports the “password” and “verify”
 options, allowing credentials to be acquired via password and
-verified using a keytab key.</li>
-<li>When an application accepts a GSS security context, the new
+verified using a keytab key.</p></li>
+<li><p>When an application accepts a GSS security context, the new
 GSS_C_CHANNEL_BOUND_FLAG will be set if the initiator and acceptor
-both provided matching channel bindings.</li>
-<li>Added the GSS_KRB5_NT_X509_CERT name type, allowing S4U2Self
-requests to identify the desired client principal by certificate.</li>
-<li>PKINIT certauth modules can now cause the hw-authent flag to be
-set in issued tickets.</li>
-<li>The krb5_init_creds_step() API will now issue the same password
-expiration warnings as krb5_get_init_creds_password().</li>
+both provided matching channel bindings.</p></li>
+<li><p>Added the GSS_KRB5_NT_X509_CERT name type, allowing S4U2Self
+requests to identify the desired client principal by certificate.</p></li>
+<li><p>PKINIT certauth modules can now cause the hw-authent flag to be
+set in issued tickets.</p></li>
+<li><p>The krb5_init_creds_step() API will now issue the same password
+expiration warnings as krb5_get_init_creds_password().</p></li>
 </ul>
 </li>
-<li>Protocol evolution:<ul>
-<li>Added client and KDC support for Microsoft’s Resource-Based
+<li><p>Protocol evolution:</p>
+<ul>
+<li><p>Added client and KDC support for Microsoft’s Resource-Based
 Constrained Delegation, which allows cross-realm S4U2Proxy
 requests.  A third-party database module is required for KDC
-support.</li>
-<li>kadmin/admin is now the preferred server principal name for kadmin
+support.</p></li>
+<li><p>kadmin/admin is now the preferred server principal name for kadmin
 connections, and the host-based form is no longer created by
 default.  The client will still try the host-based form as a
-fallback.</li>
-<li>Added client and server support for Microsoft’s
+fallback.</p></li>
+<li><p>Added client and server support for Microsoft’s
 KERB_AP_OPTIONS_CBT extension, which causes channel bindings to be
 required for the initiator if the acceptor provided them.  The
 client will send this option if the client_aware_gss_bindings
-profile option is set.</li>
+profile option is set.</p></li>
 </ul>
 </li>
 </ul>
 <p>User experience:</p>
 <blockquote>
 <div><ul class="simple">
-<li>The default setting of dns_canonicalize_realm is now “fallback”.
+<li><p>The default setting of dns_canonicalize_realm is now “fallback”.
 Hostnames provided from applications will be tried in principal
 names as given (possibly with shortname qualification), falling
-back to the canonicalized name.</li>
-<li>kinit will now issue a warning if the des3-cbc-sha1 encryption
+back to the canonicalized name.</p></li>
+<li><p>kinit will now issue a warning if the des3-cbc-sha1 encryption
 type is used in the reply.  This encryption type will be
-deprecated and removed in future releases.</li>
-<li>Added kvno flags –out-cache, –no-store, and –cached-only
-(inspired by Heimdal’s kgetcred).</li>
+deprecated and removed in future releases.</p></li>
+<li><p>Added kvno flags –out-cache, –no-store, and –cached-only
+(inspired by Heimdal’s kgetcred).</p></li>
 </ul>
 </div></blockquote>
 <p>Release 1.20</p>
 <ul class="simple">
-<li>Administrator experience:<ul>
-<li>Added a “disable_pac” realm relation to suppress adding PAC
+<li><p>Administrator experience:</p>
+<ul>
+<li><p>Added a “disable_pac” realm relation to suppress adding PAC
 authdata to tickets, for realms which do not need to support S4U
-requests.</li>
-<li>Most credential cache types will use atomic replacement when a
+requests.</p></li>
+<li><p>Most credential cache types will use atomic replacement when a
 cache is reinitialized using kinit or refreshed from the client
-keytab.</li>
-<li>kprop can now propagate databases with a dump size larger than
-4GB, if both the client and server are upgraded.</li>
-<li>kprop can now work over NATs that change the destination IP
-address, if the client is upgraded.</li>
+keytab.</p></li>
+<li><p>kprop can now propagate databases with a dump size larger than
+4GB, if both the client and server are upgraded.</p></li>
+<li><p>kprop can now work over NATs that change the destination IP
+address, if the client is upgraded.</p></li>
 </ul>
 </li>
-<li>Developer experience:<ul>
-<li>Updated the KDB interface.  The sign_authdata() method is replaced
+<li><p>Developer experience:</p>
+<ul>
+<li><p>Updated the KDB interface.  The sign_authdata() method is replaced
 with the issue_pac() method, allowing KDB modules to add logon
-info and other buffers to the PAC issued by the KDC.</li>
-<li>Host-based initiator names are better supported in the GSS krb5
-mechanism.</li>
-</ul>
-</li>
-<li>Protocol evolution:<ul>
-<li>Replaced AD-SIGNEDPATH authdata with minimal PACs.</li>
-<li>To avoid spurious replay errors, password change requests will not
-be attempted over UDP until the attempt over TCP fails.</li>
-<li>PKINIT will sign its CMS messages with SHA-256 instead of SHA-1.</li>
-</ul>
-</li>
-<li>Code quality:<ul>
-<li>Updated all code using OpenSSL to be compatible with OpenSSL 3.</li>
-<li>Reorganized the libk5crypto build system to allow the OpenSSL
+info and other buffers to the PAC issued by the KDC.</p></li>
+<li><p>Host-based initiator names are better supported in the GSS krb5
+mechanism.</p></li>
+</ul>
+</li>
+<li><p>Protocol evolution:</p>
+<ul>
+<li><p>Replaced AD-SIGNEDPATH authdata with minimal PACs.</p></li>
+<li><p>To avoid spurious replay errors, password change requests will not
+be attempted over UDP until the attempt over TCP fails.</p></li>
+<li><p>PKINIT will sign its CMS messages with SHA-256 instead of SHA-1.</p></li>
+</ul>
+</li>
+<li><p>Code quality:</p>
+<ul>
+<li><p>Updated all code using OpenSSL to be compatible with OpenSSL 3.</p></li>
+<li><p>Reorganized the libk5crypto build system to allow the OpenSSL
 back-end to pull in material from the builtin back-end depending
-on the OpenSSL version.</li>
-<li>Simplified the PRNG logic to always use the platform PRNG.</li>
-<li>Converted the remaining Tcl tests to Python.</li>
+on the OpenSSL version.</p></li>
+<li><p>Simplified the PRNG logic to always use the platform PRNG.</p></li>
+<li><p>Converted the remaining Tcl tests to Python.</p></li>
 </ul>
 </li>
 </ul>
 <p>Release 1.21</p>
 <ul class="simple">
-<li>User experience:<ul>
-<li>Added a credential cache type providing compatibility with the
-macOS 11 native credential cache.</li>
-</ul>
-</li>
-<li>Developer experience:<ul>
-<li>libkadm5 will use the provided krb5_context object to read
-configuration values, instead of creating its own.</li>
-<li>Added an interface to retrieve the ticket session key from a GSS
-context.</li>
-</ul>
-</li>
-<li>Protocol evolution:<ul>
-<li>The KDC will no longer issue tickets with RC4 or triple-DES
+<li><p>User experience:</p>
+<ul>
+<li><p>Added a credential cache type providing compatibility with the
+macOS 11 native credential cache.</p></li>
+</ul>
+</li>
+<li><p>Developer experience:</p>
+<ul>
+<li><p>libkadm5 will use the provided krb5_context object to read
+configuration values, instead of creating its own.</p></li>
+<li><p>Added an interface to retrieve the ticket session key from a GSS
+context.</p></li>
+</ul>
+</li>
+<li><p>Protocol evolution:</p>
+<ul>
+<li><p>The KDC will no longer issue tickets with RC4 or triple-DES
 session keys unless explicitly configured with the new allow_rc4
-or allow_des3 variables respectively.</li>
-<li>The KDC will assume that all services can handle aes256-sha1
+or allow_des3 variables respectively.</p></li>
+<li><p>The KDC will assume that all services can handle aes256-sha1
 session keys unless the service principal has a session_enctypes
-string attribute.</li>
-<li>Support for PAC full KDC checksums has been added to mitigate an
-S4U2Proxy privilege escalation attack.</li>
-<li>The PKINIT client will advertise a more modern set of supported
-CMS algorithms.</li>
+string attribute.</p></li>
+<li><p>Support for PAC full KDC checksums has been added to mitigate an
+S4U2Proxy privilege escalation attack.</p></li>
+<li><p>The PKINIT client will advertise a more modern set of supported
+CMS algorithms.</p></li>
 </ul>
 </li>
-<li>Code quality:<ul>
-<li>Removed unused code in libkrb5, libkrb5support, and the PKINIT
-module.</li>
-<li>Modernized the KDC code for processing TGS requests, the code for
+<li><p>Code quality:</p>
+<ul>
+<li><p>Removed unused code in libkrb5, libkrb5support, and the PKINIT
+module.</p></li>
+<li><p>Modernized the KDC code for processing TGS requests, the code for
 encrypting and decrypting key data, the PAC handling code, and the
-GSS library packet parsing and composition code.</li>
-<li>Improved the test framework’s detection of memory errors in daemon
-processes when used with asan.</li>
+GSS library packet parsing and composition code.</p></li>
+<li><p>Improved the test framework’s detection of memory errors in daemon
+processes when used with asan.</p></li>
 </ul>
 </li>
 </ul>
 <p><cite>Pre-authentication mechanisms</cite></p>
 <ul class="simple">
-<li>PW-SALT                                         <span class="target" id="index-11"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4120.html#section-5.2.7.3"><strong>RFC 4120#section-5.2.7.3</strong></a></li>
-<li>ENC-TIMESTAMP                                   <span class="target" id="index-12"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4120.html#section-5.2.7.2"><strong>RFC 4120#section-5.2.7.2</strong></a></li>
-<li>SAM-2</li>
-<li>FAST negotiation framework   (release 1.8)      <span class="target" id="index-13"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6113.html"><strong>RFC 6113</strong></a></li>
-<li>PKINIT with FAST on client   (release 1.10)     <span class="target" id="index-14"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6113.html"><strong>RFC 6113</strong></a></li>
-<li>PKINIT                                          <span class="target" id="index-15"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a></li>
-<li>FX-COOKIE                                       <span class="target" id="index-16"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6113.html#section-5.2"><strong>RFC 6113#section-5.2</strong></a></li>
-<li>S4U-X509-USER                (release 1.8)      <a class="reference external" href="https://msdn.microsoft.com/en-us/library/cc246091">https://msdn.microsoft.com/en-us/library/cc246091</a></li>
-<li>OTP                          (release 1.12)     <a class="reference internal" href="admin/otp.html#otp-preauth"><span class="std std-ref">OTP Preauthentication</span></a></li>
-<li>SPAKE                        (release 1.17)     <a class="reference internal" href="admin/spake.html#spake"><span class="std std-ref">SPAKE Preauthentication</span></a></li>
+<li><p>PW-SALT                                         <span class="target" id="index-11"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4120.html#section-5.2.7.3"><strong>RFC 4120#section-5.2.7.3</strong></a></p></li>
+<li><p>ENC-TIMESTAMP                                   <span class="target" id="index-12"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4120.html#section-5.2.7.2"><strong>RFC 4120#section-5.2.7.2</strong></a></p></li>
+<li><p>SAM-2</p></li>
+<li><p>FAST negotiation framework   (release 1.8)      <span class="target" id="index-13"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6113.html"><strong>RFC 6113</strong></a></p></li>
+<li><p>PKINIT with FAST on client   (release 1.10)     <span class="target" id="index-14"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6113.html"><strong>RFC 6113</strong></a></p></li>
+<li><p>PKINIT                                          <span class="target" id="index-15"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc4556.html"><strong>RFC 4556</strong></a></p></li>
+<li><p>FX-COOKIE                                       <span class="target" id="index-16"></span><a class="rfc reference external" href="https://tools.ietf.org/html/rfc6113.html#section-5.2"><strong>RFC 6113#section-5.2</strong></a></p></li>
+<li><p>S4U-X509-USER                (release 1.8)      <a class="reference external" href="https://msdn.microsoft.com/en-us/library/cc246091">https://msdn.microsoft.com/en-us/library/cc246091</a></p></li>
+<li><p>OTP                          (release 1.12)     <a class="reference internal" href="admin/otp.html#otp-preauth"><span class="std std-ref">OTP Preauthentication</span></a></p></li>
+<li><p>SPAKE                        (release 1.17)     <a class="reference internal" href="admin/spake.html#spake"><span class="std std-ref">SPAKE Preauthentication</span></a></p></li>
 </ul>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">MIT Kerberos features</a><ul>
@@ -740,6 +757,7 @@ processes when used with asan.</li>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -747,8 +765,8 @@ processes when used with asan.</li>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/mitK5license.html 1.21.3-1/doc/html/mitK5license.html
--- 1.21.2-1/doc/html/mitK5license.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/mitK5license.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>MIT Kerberos License information &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" />
     <link rel="next" title="Copyright" href="copyright.html" />
     <link rel="prev" title="MIT Kerberos features" href="mitK5features.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,21 +52,21 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="mit-kerberos-license-information">
+  <section id="mit-kerberos-license-information">
 <span id="mitk5license"></span><h1>MIT Kerberos License information<a class="headerlink" href="#mit-kerberos-license-information" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 </div>
-<p>Copyright © 1985-2023 by the Massachusetts Institute of Technology.</p>
+<p>Copyright © 1985-2024 by the Massachusetts Institute of Technology.</p>
 <p>All rights reserved.</p>
 <p>Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:</p>
 <ul class="simple">
-<li>Redistributions of source code must retain the above copyright notice,
-this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright notice,
+this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</li>
+documentation and/or other materials provided with the distribution.</p></li>
 </ul>
 <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 “AS IS” AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
@@ -116,9 +107,9 @@ recognition of their trademark status sh
 <hr class="docutils" />
 <p>The following copyright and permission notice applies to the
 OpenVision Kerberos Administration system located in
-<code class="docutils literal"><span class="pre">kadmin/create</span></code>, <code class="docutils literal"><span class="pre">kadmin/dbutil</span></code>, <code class="docutils literal"><span class="pre">kadmin/passwd</span></code>,
-<code class="docutils literal"><span class="pre">kadmin/server</span></code>, <code class="docutils literal"><span class="pre">lib/kadm5</span></code>, and portions of
-<code class="docutils literal"><span class="pre">lib/rpc</span></code>:</p>
+<code class="docutils literal notranslate"><span class="pre">kadmin/create</span></code>, <code class="docutils literal notranslate"><span class="pre">kadmin/dbutil</span></code>, <code class="docutils literal notranslate"><span class="pre">kadmin/passwd</span></code>,
+<code class="docutils literal notranslate"><span class="pre">kadmin/server</span></code>, <code class="docutils literal notranslate"><span class="pre">lib/kadm5</span></code>, and portions of
+<code class="docutils literal notranslate"><span class="pre">lib/rpc</span></code>:</p>
 <blockquote>
 <div><p>Copyright, OpenVision Technologies, Inc., 1993-1996, All Rights Reserved</p>
 <p>WARNING:  Retrieving the OpenVision Kerberos Administration system source
@@ -149,20 +140,22 @@ been performed by MIT and the Kerberos c
 </div></blockquote>
 <hr class="docutils" />
 <blockquote>
-<div>Portions contributed by Matt Crawford <code class="docutils literal"><span class="pre">crawdad&#64;fnal.gov</span></code> were work
+<div><p>Portions contributed by Matt Crawford <code class="docutils literal notranslate"><span class="pre">crawdad&#64;fnal.gov</span></code> were work
 performed at Fermi National Accelerator Laboratory, which is operated
 by Universities Research Association, Inc., under contract
-DE-AC02-76CHO3000 with the U.S. Department of Energy.</div></blockquote>
+DE-AC02-76CHO3000 with the U.S. Department of Energy.</p>
+</div></blockquote>
 <hr class="docutils" />
-<p>Portions of <code class="docutils literal"><span class="pre">src/lib/crypto</span></code> have the following copyright:</p>
+<p>Portions of <code class="docutils literal notranslate"><span class="pre">src/lib/crypto</span></code> have the following copyright:</p>
 <blockquote>
 <div><p>Copyright © 1998 by the FundsXpress, INC.</p>
 <p>All rights reserved.</p>
 <blockquote>
-<div>Export of this software from the United States of America may require
+<div><p>Export of this software from the United States of America may require
 a specific license from the United States Government.  It is the
 responsibility of any person or organization contemplating export to
-obtain such a license before exporting.</div></blockquote>
+obtain such a license before exporting.</p>
+</div></blockquote>
 <p>WITHIN THAT CONSTRAINT, permission to use, copy, modify, and
 distribute this software and its documentation for any purpose and
 without fee is hereby granted, provided that the above copyright
@@ -179,7 +172,7 @@ WARRANTIES OF MERCHANTIBILITY AND FITNES
 </div></blockquote>
 <hr class="docutils" />
 <p>The implementation of the AES encryption algorithm in
-<code class="docutils literal"><span class="pre">src/lib/crypto/builtin/aes</span></code> has the following copyright:</p>
+<code class="docutils literal notranslate"><span class="pre">src/lib/crypto/builtin/aes</span></code> has the following copyright:</p>
 <blockquote>
 <div><div class="line-block">
 <div class="line">Copyright © 1998-2013, Brian Gladman, Worcester, UK. All</div>
@@ -213,14 +206,14 @@ following copyright:</p>
 modification, are permitted provided that the following conditions are
 met:</p>
 <ul class="simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</li>
-<li>Neither the name of Red Hat, Inc., nor the names of its contributors
+documentation and/or other materials provided with the distribution.</p></li>
+<li><p>Neither the name of Red Hat, Inc., nor the names of its contributors
 may be used to endorse or promote products derived from this software
-without specific prior written permission.</li>
+without specific prior written permission.</p></li>
 </ul>
 <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS “AS
 IS” AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
@@ -264,12 +257,12 @@ SOFTWARE.</p>
 modification, are permitted provided that the following conditions are met:</p>
 <blockquote>
 <div><ol class="arabic simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in
 the documentation and/or other materials provided with the
-distribution.</li>
+distribution.</p></li>
 </ol>
 </div></blockquote>
 <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS “AS
@@ -286,8 +279,8 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBI
 </div></blockquote>
 <hr class="docutils" />
 <p>The implementations of GSSAPI mechglue in GSSAPI-SPNEGO in
-<code class="docutils literal"><span class="pre">src/lib/gssapi</span></code>, including the following files:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">lib</span><span class="o">/</span><span class="n">gssapi</span><span class="o">/</span><span class="n">generic</span><span class="o">/</span><span class="n">gssapi_err_generic</span><span class="o">.</span><span class="n">et</span>
+<code class="docutils literal notranslate"><span class="pre">src/lib/gssapi</span></code>, including the following files:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">lib</span><span class="o">/</span><span class="n">gssapi</span><span class="o">/</span><span class="n">generic</span><span class="o">/</span><span class="n">gssapi_err_generic</span><span class="o">.</span><span class="n">et</span>
 <span class="n">lib</span><span class="o">/</span><span class="n">gssapi</span><span class="o">/</span><span class="n">mechglue</span><span class="o">/</span><span class="n">g_accept_sec_context</span><span class="o">.</span><span class="n">c</span>
 <span class="n">lib</span><span class="o">/</span><span class="n">gssapi</span><span class="o">/</span><span class="n">mechglue</span><span class="o">/</span><span class="n">g_acquire_cred</span><span class="o">.</span><span class="n">c</span>
 <span class="n">lib</span><span class="o">/</span><span class="n">gssapi</span><span class="o">/</span><span class="n">mechglue</span><span class="o">/</span><span class="n">g_canon_name</span><span class="o">.</span><span class="n">c</span>
@@ -328,7 +321,7 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBI
 </div>
 <p>and the initial implementation of incremental propagation, including
 the following new or changed files:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">include</span><span class="o">/</span><span class="n">iprop_hdr</span><span class="o">.</span><span class="n">h</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">include</span><span class="o">/</span><span class="n">iprop_hdr</span><span class="o">.</span><span class="n">h</span>
 <span class="n">kadmin</span><span class="o">/</span><span class="n">server</span><span class="o">/</span><span class="n">ipropd_svc</span><span class="o">.</span><span class="n">c</span>
 <span class="n">lib</span><span class="o">/</span><span class="n">kdb</span><span class="o">/</span><span class="n">iprop</span><span class="o">.</span><span class="n">x</span>
 <span class="n">lib</span><span class="o">/</span><span class="n">kdb</span><span class="o">/</span><span class="n">kdb_convert</span><span class="o">.</span><span class="n">c</span>
@@ -372,14 +365,14 @@ notice:</p>
 modification, are permitted provided that the following conditions are
 met:</p>
 <ol class="arabic simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</li>
-<li>Neither the name of the University nor the names of its contributors
+documentation and/or other materials provided with the distribution.</p></li>
+<li><p>Neither the name of the University nor the names of its contributors
 may be used to endorse or promote products derived from this software
-without specific prior written permission.</li>
+without specific prior written permission.</p></li>
 </ol>
 <p>THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS “AS IS” AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
@@ -404,13 +397,13 @@ backend, are subject to the following li
 <p>Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:</p>
 <ul class="simple">
-<li>Redistributions of source code must retain the above copyright notice,
-this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright notice,
+this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</li>
-<li>The copyright holder’s name is not used to endorse or promote products
-derived from this software without specific prior written permission.</li>
+documentation and/or other materials provided with the distribution.</p></li>
+<li><p>The copyright holder’s name is not used to endorse or promote products
+derived from this software without specific prior written permission.</p></li>
 </ul>
 <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS “AS IS”
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
@@ -480,10 +473,11 @@ PURPOSE.</p>
 <blockquote>
 <div><p>Copyright 2004-2008 Apple Inc.  All Rights Reserved.</p>
 <blockquote>
-<div>Export of this software from the United States of America may require
+<div><p>Export of this software from the United States of America may require
 a specific license from the United States Government.  It is the
 responsibility of any person or organization contemplating export to
-obtain such a license before exporting.</div></blockquote>
+obtain such a license before exporting.</p>
+</div></blockquote>
 <p>WITHIN THAT CONSTRAINT, permission to use, copy, modify, and
 distribute this software and its documentation for any purpose and
 without fee is hereby granted, provided that the above copyright
@@ -511,13 +505,13 @@ permission notice:</p>
 (“Software”), with or without modification, are permitted provided
 that the following conditions are met:</p>
 <ol class="arabic simple">
-<li>Redistributions in source form must retain copyright statements
-and notices,</li>
-<li>Redistributions in binary form must reproduce applicable copyright
+<li><p>Redistributions in source form must retain copyright statements
+and notices,</p></li>
+<li><p>Redistributions in binary form must reproduce applicable copyright
 statements and notices, this list of conditions, and the following
 disclaimer in the documentation and/or other materials provided
-with the distribution, and</li>
-<li>Redistributions must contain a verbatim copy of this document.</li>
+with the distribution, and</p></li>
+<li><p>Redistributions must contain a verbatim copy of this document.</p></li>
 </ol>
 <p>The OpenLDAP Foundation may revise this license from time to time.
 Each revision is distinguished by a version number.  You may use
@@ -558,14 +552,14 @@ distribute verbatim copies of this docum
 modification, are permitted provided that the following conditions
 are met:</p>
 <ol class="arabic simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</li>
-<li>Neither the name of KTH nor the names of its contributors may be
+documentation and/or other materials provided with the distribution.</p></li>
+<li><p>Neither the name of KTH nor the names of its contributors may be
 used to endorse or promote products derived from this software without
-specific prior written permission.</li>
+specific prior written permission.</p></li>
 </ol>
 <p>THIS SOFTWARE IS PROVIDED BY KTH AND ITS CONTRIBUTORS “AS IS” AND ANY
 EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
@@ -592,14 +586,14 @@ ADVISED OF THE POSSIBILITY OF SUCH DAMAG
 modification, are permitted provided that the following conditions
 are met:</p>
 <ol class="arabic simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</li>
-<li>Neither the name of the Institute nor the names of its contributors
+documentation and/or other materials provided with the distribution.</p></li>
+<li><p>Neither the name of the Institute nor the names of its contributors
 may be used to endorse or promote products derived from this software
-without specific prior written permission.</li>
+without specific prior written permission.</p></li>
 </ol>
 <p>THIS SOFTWARE IS PROVIDED BY THE INSTITUTE AND CONTRIBUTORS “AS IS” AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
@@ -622,15 +616,15 @@ have the following copyright and permiss
 <p>Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:</p>
 <ol class="arabic simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in
 the documentation and/or other materials provided with the
-distribution.</li>
-<li>Neither the name of the “Oracle America, Inc.” nor the names of
+distribution.</p></li>
+<li><p>Neither the name of the “Oracle America, Inc.” nor the names of
 its contributors may be used to endorse or promote products
-derived from this software without specific prior written permission.</li>
+derived from this software without specific prior written permission.</p></li>
 </ol>
 <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS “AS
 IS” AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
@@ -652,12 +646,12 @@ NTT (Nippon Telegraph and Telephone Corp
 modification, are permitted provided that the following conditions
 are met:</p>
 <ol class="arabic simple">
-<li>Redistributions of source code must retain the above copyright
+<li><p>Redistributions of source code must retain the above copyright
 notice, this list of conditions and the following disclaimer as
-the first lines of this file unmodified.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+the first lines of this file unmodified.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</li>
+documentation and/or other materials provided with the distribution.</p></li>
 </ol>
 <p>THIS SOFTWARE IS PROVIDED BY NTT “AS IS” AND ANY EXPRESS OR
 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
@@ -709,12 +703,12 @@ Secretary of the Navy.  All rights reser
 modification, are permitted provided that the following conditions
 are met:</p>
 <ul class="simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in
 the documentation and/or other materials provided with the
-distribution.</li>
+distribution.</p></li>
 </ul>
 <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 “AS IS” AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
@@ -766,10 +760,11 @@ SOFTWARE.</p>
 <blockquote>
 <div><p>Copyright © 1994 by the University of Southern California</p>
 <blockquote>
-<div>EXPORT OF THIS SOFTWARE from the United States of America may
+<div><p>EXPORT OF THIS SOFTWARE from the United States of America may
 require a specific license from the United States Government.
 It is the responsibility of any person or organization contemplating
-export to obtain such a license before exporting.</div></blockquote>
+export to obtain such a license before exporting.</p>
+</div></blockquote>
 <p>WITHIN THAT CONSTRAINT, permission to copy, modify, and distribute
 this software and its documentation in source and binary forms is
 hereby granted, provided that any documentation or other materials
@@ -797,24 +792,21 @@ Jeremy Rassen.</p>
 modification, are permitted provided that the following conditions
 are met:</p>
 <ol class="arabic">
-<li><p class="first">Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</p>
-</li>
-<li><p class="first">Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</p>
-</li>
-<li><p class="first">All advertising materials mentioning features or use of this software
+documentation and/or other materials provided with the distribution.</p></li>
+<li><p>All advertising materials mentioning features or use of this software
 must display the following acknowledgement:</p>
 <blockquote>
 <div><p>This product includes software developed by the University of
 California, Berkeley and its contributors.</p>
 </div></blockquote>
 </li>
-<li><p class="first">Neither the name of the University nor the names of its contributors
+<li><p>Neither the name of the University nor the names of its contributors
 may be used to endorse or promote products derived from this software
-without specific prior written permission.</p>
-</li>
+without specific prior written permission.</p></li>
 </ol>
 <p>THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS “AS IS” AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
@@ -836,10 +828,11 @@ SUCH DAMAGE.</p>
 <div class="line">Copyright 1995 by Lehman Brothers, Inc.  All Rights Reserved.</div>
 </div>
 <blockquote>
-<div>Export of this software from the United States of America may
+<div><p>Export of this software from the United States of America may
 require a specific license from the United States Government.
 It is the responsibility of any person or organization contemplating
-export to obtain such a license before exporting.</div></blockquote>
+export to obtain such a license before exporting.</p>
+</div></blockquote>
 <p>WITHIN THAT CONSTRAINT, permission to use, copy, modify, and
 distribute this software and its documentation for any purpose and
 without fee is hereby granted, provided that the above copyright
@@ -853,8 +846,8 @@ of this software for any purpose.  It is
 express or implied warranty.</p>
 </div></blockquote>
 <hr class="docutils" />
-<p>The following notice applies to <code class="docutils literal"><span class="pre">src/lib/krb5/krb/strptime.c</span></code> and
-<code class="docutils literal"><span class="pre">src/include/k5-queue.h</span></code>.</p>
+<p>The following notice applies to <code class="docutils literal notranslate"><span class="pre">src/lib/krb5/krb/strptime.c</span></code> and
+<code class="docutils literal notranslate"><span class="pre">src/include/k5-queue.h</span></code>.</p>
 <blockquote>
 <div><div class="line-block">
 <div class="line">Copyright © 1997, 1998 The NetBSD Foundation, Inc.</div>
@@ -865,24 +858,21 @@ express or implied warranty.</p>
 modification, are permitted provided that the following conditions
 are met:</p>
 <ol class="arabic">
-<li><p class="first">Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</p>
-</li>
-<li><p class="first">Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</p>
-</li>
-<li><p class="first">All advertising materials mentioning features or use of this software
+documentation and/or other materials provided with the distribution.</p></li>
+<li><p>All advertising materials mentioning features or use of this software
 must display the following acknowledgement:</p>
 <blockquote>
 <div><p>This product includes software developed by the NetBSD
 Foundation, Inc. and its contributors.</p>
 </div></blockquote>
 </li>
-<li><p class="first">Neither the name of The NetBSD Foundation nor the names of its
+<li><p>Neither the name of The NetBSD Foundation nor the names of its
 contributors may be used to endorse or promote products derived
-from this software without specific prior written permission.</p>
-</li>
+from this software without specific prior written permission.</p></li>
 </ol>
 <p>THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
 “AS IS” AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
@@ -898,7 +888,7 @@ POSSIBILITY OF SUCH DAMAGE.</p>
 </div></blockquote>
 <hr class="docutils" />
 <p>The following notice applies to Unicode library files in
-<code class="docutils literal"><span class="pre">src/lib/krb5/unicode</span></code>:</p>
+<code class="docutils literal notranslate"><span class="pre">src/lib/krb5/unicode</span></code>:</p>
 <blockquote>
 <div><div class="line-block">
 <div class="line">Copyright 1997, 1998, 1999 Computing Research Labs,</div>
@@ -921,9 +911,9 @@ OR OTHERWISE, ARISING FROM, OUT OF OR IN
 THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
 </div></blockquote>
 <hr class="docutils" />
-<p>The following notice applies to <code class="docutils literal"><span class="pre">src/util/support/strlcpy.c</span></code>:</p>
+<p>The following notice applies to <code class="docutils literal notranslate"><span class="pre">src/util/support/strlcpy.c</span></code>:</p>
 <blockquote>
-<div><p>Copyright © 1998 Todd C. Miller <code class="docutils literal"><span class="pre">Todd.Miller&#64;courtesan.com</span></code></p>
+<div><p>Copyright © 1998 Todd C. Miller <code class="docutils literal notranslate"><span class="pre">Todd.Miller&#64;courtesan.com</span></code></p>
 <p>Permission to use, copy, modify, and distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
 copyright notice and this permission notice appear in all copies.</p>
@@ -936,8 +926,8 @@ ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>
 </div></blockquote>
 <hr class="docutils" />
-<p>The following notice applies to <code class="docutils literal"><span class="pre">src/util/profile/argv_parse.c</span></code> and
-<code class="docutils literal"><span class="pre">src/util/profile/argv_parse.h</span></code>:</p>
+<p>The following notice applies to <code class="docutils literal notranslate"><span class="pre">src/util/profile/argv_parse.c</span></code> and
+<code class="docutils literal notranslate"><span class="pre">src/util/profile/argv_parse.h</span></code>:</p>
 <blockquote>
 <div><p>Copyright 1999 by Theodore Ts’o.</p>
 <p>Permission to use, copy, modify, and distribute this software for
@@ -955,25 +945,25 @@ it sick that the U.S. culture of lawsuit
 this kind of disclaimer?)</p>
 </div></blockquote>
 <hr class="docutils" />
-<p>The following notice applies to portiions of <code class="docutils literal"><span class="pre">src/lib/rpc</span></code> and
-<code class="docutils literal"><span class="pre">src/include/gssrpc</span></code>:</p>
+<p>The following notice applies to portiions of <code class="docutils literal notranslate"><span class="pre">src/lib/rpc</span></code> and
+<code class="docutils literal notranslate"><span class="pre">src/include/gssrpc</span></code>:</p>
 <blockquote>
 <div><p>Copyright © 2000 The Regents of the University of Michigan.
 All rights reserved.</p>
-<p>Copyright © 2000 Dug Song <code class="docutils literal"><span class="pre">dugsong&#64;UMICH.EDU</span></code>.
+<p>Copyright © 2000 Dug Song <code class="docutils literal notranslate"><span class="pre">dugsong&#64;UMICH.EDU</span></code>.
 All rights reserved, all wrongs reversed.</p>
 <p>Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:</p>
 <ol class="arabic simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</li>
-<li>Neither the name of the University nor the names of its
+documentation and/or other materials provided with the distribution.</p></li>
+<li><p>Neither the name of the University nor the names of its
 contributors may be used to endorse or promote products derived
-from this software without specific prior written permission.</li>
+from this software without specific prior written permission.</p></li>
 </ol>
 <p>THIS SOFTWARE IS PROVIDED “AS IS” AND ANY EXPRESS OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
@@ -1028,7 +1018,7 @@ is” without express or implied warrant
 documentation and/or software.</p>
 </div></blockquote>
 <hr class="docutils" />
-<p>The following notice applies to <code class="docutils literal"><span class="pre">src/lib/crypto/crypto_tests/t_mddriver.c</span></code>:</p>
+<p>The following notice applies to <code class="docutils literal notranslate"><span class="pre">src/lib/crypto/crypto_tests/t_mddriver.c</span></code>:</p>
 <blockquote>
 <div><p>Copyright © 1990-2, RSA Data Security, Inc. Created 1990. All
 rights reserved.</p>
@@ -1040,7 +1030,7 @@ without express or implied warranty of a
 documentation and/or software.</p>
 </div></blockquote>
 <hr class="docutils" />
-<p>Portions of <code class="docutils literal"><span class="pre">src/lib/krb5</span></code> are subject to the following notice:</p>
+<p>Portions of <code class="docutils literal notranslate"><span class="pre">src/lib/krb5</span></code> are subject to the following notice:</p>
 <blockquote>
 <div><div class="line-block">
 <div class="line">Copyright © 1994 CyberSAFE Corporation.</div>
@@ -1049,10 +1039,11 @@ Institute of Technology.</div>
 <div class="line">All Rights Reserved.</div>
 </div>
 <blockquote>
-<div>Export of this software from the United States of America may
+<div><p>Export of this software from the United States of America may
 require a specific license from the United States Government.
 It is the responsibility of any person or organization contemplating
-export to obtain such a license before exporting.</div></blockquote>
+export to obtain such a license before exporting.</p>
+</div></blockquote>
 <p>WITHIN THAT CONSTRAINT, permission to use, copy, modify, and
 distribute this software and its documentation for any purpose and
 without fee is hereby granted, provided that the above copyright
@@ -1078,14 +1069,14 @@ All rights reserved.</p>
 modification, are permitted provided that the following conditions
 are met:</p>
 <ol class="arabic simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.</li>
-<li>Neither the name of PADL Software nor the names of its contributors
+documentation and/or other materials provided with the distribution.</p></li>
+<li><p>Neither the name of PADL Software nor the names of its contributors
 may be used to endorse or promote products derived from this software
-without specific prior written permission.</li>
+without specific prior written permission.</p></li>
 </ol>
 <p>THIS SOFTWARE IS PROVIDED BY PADL SOFTWARE AND CONTRIBUTORS “AS IS” AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
@@ -1107,12 +1098,12 @@ SUCH DAMAGE.</p>
 modification, are permitted provided that the following conditions are
 met:</p>
 <ul class="simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above
 copyright notice, this list of conditions and the following
 disclaimer in the documentation and/or other materials provided
-with the distribution.</li>
+with the distribution.</p></li>
 </ul>
 <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 “AS IS” AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
@@ -1147,17 +1138,17 @@ modification, are permitted provided tha
 are met:</p>
 <blockquote>
 <div><ul class="simple">
-<li>Redistributions of source code must retain the above
+<li><p>Redistributions of source code must retain the above
 copyright notice, this list of conditions and the following
-disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above
+disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above
 copyright notice, this list of conditions and the following
 disclaimer in the documentation and/or other materials
-provided with the distribution.</li>
-<li>Neither the name of Intel Corporation nor the names of its
+provided with the distribution.</p></li>
+<li><p>Neither the name of Intel Corporation nor the names of its
 contributors may be used to endorse or promote products
 derived from this software without specific prior written
-permission.</li>
+permission.</p></li>
 </ul>
 </div></blockquote>
 <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
@@ -1176,19 +1167,19 @@ SUCH DAMAGE.</p>
 </div></blockquote>
 <hr class="docutils" />
 <p>The following notice applies to
-<code class="docutils literal"><span class="pre">src/ccapi/common/win/OldCC/autolock.hxx</span></code>:</p>
+<code class="docutils literal notranslate"><span class="pre">src/ccapi/common/win/OldCC/autolock.hxx</span></code>:</p>
 <blockquote>
 <div><p>Copyright (C) 1998 by Danilo Almeida.  All rights reserved.</p>
 <p>Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:</p>
 <ul class="simple">
-<li>Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.</li>
-<li>Redistributions in binary form must reproduce the above copyright
+<li><p>Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.</p></li>
+<li><p>Redistributions in binary form must reproduce the above copyright
 notice, this list of conditions and the following disclaimer in
 the documentation and/or other materials provided with the
-distribution.</li>
+distribution.</p></li>
 </ul>
 <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 “AS IS” AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
@@ -1205,8 +1196,8 @@ OF THE POSSIBILITY OF SUCH DAMAGE.</p>
 </div></blockquote>
 <hr class="docutils" />
 <p>The following notice applies to portions of
-<code class="docutils literal"><span class="pre">src/plugins/preauth/spake/edwards25519.c</span></code> and
-<code class="docutils literal"><span class="pre">src/plugins/preauth/spake/edwards25519_tables.h</span></code>:</p>
+<code class="docutils literal notranslate"><span class="pre">src/plugins/preauth/spake/edwards25519.c</span></code> and
+<code class="docutils literal notranslate"><span class="pre">src/plugins/preauth/spake/edwards25519_tables.h</span></code>:</p>
 <p>The MIT License (MIT)</p>
 <p>Copyright (c) 2015-2016 the fiat-crypto authors (see the AUTHORS file).</p>
 <p>Permission is hereby granted, free of charge, to any person obtaining a copy
@@ -1226,7 +1217,7 @@ FROM, OUT OF OR IN CONNECTION WITH THE S
 IN THE SOFTWARE.</p>
 <hr class="docutils" />
 <p>The following notice applies to portions of
-<code class="docutils literal"><span class="pre">src/plugins/preauth/spake/edwards25519.c</span></code>:</p>
+<code class="docutils literal notranslate"><span class="pre">src/plugins/preauth/spake/edwards25519.c</span></code>:</p>
 <p>Copyright (c) 2015-2016, Google Inc.</p>
 <p>Permission to use, copy, modify, and/or distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
@@ -1238,14 +1229,16 @@ SPECIAL, DIRECT, INDIRECT, OR CONSEQUENT
 WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">MIT Kerberos License information</a></li>
@@ -1276,6 +1269,7 @@ CONNECTION WITH THE USE OR PERFORMANCE O
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -1283,8 +1277,8 @@ CONNECTION WITH THE USE OR PERFORMANCE O
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
Binary files 1.21.2-1/doc/html/objects.inv and 1.21.3-1/doc/html/objects.inv differ
diff -pruN 1.21.2-1/doc/html/plugindev/ccselect.html 1.21.3-1/doc/html/plugindev/ccselect.html
--- 1.21.2-1/doc/html/plugindev/ccselect.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/ccselect.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Credential cache selection interface (ccselect) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Password quality interface (pwqual)" href="pwqual.html" />
     <link rel="prev" title="KDC preauthentication interface (kdcpreauth)" href="kdcpreauth.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,12 +52,12 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="credential-cache-selection-interface-ccselect">
+  <section id="credential-cache-selection-interface-ccselect">
 <span id="ccselect-plugin"></span><h1>Credential cache selection interface (ccselect)<a class="headerlink" href="#credential-cache-selection-interface-ccselect" title="Permalink to this headline">¶</a></h1>
 <p>The ccselect interface allows modules to control how credential caches
 are chosen when a GSSAPI client contacts a service.  For a detailed
 description of the ccselect interface, see the header file
-<code class="docutils literal"><span class="pre">&lt;krb5/ccselect_plugin.h&gt;</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">&lt;krb5/ccselect_plugin.h&gt;</span></code>.</p>
 <p>The primary ccselect method is <strong>choose</strong>, which accepts a server
 principal as input and returns a ccache and/or principal name as
 output.  A module can use the krb5_cccol APIs to iterate over the
@@ -80,14 +71,16 @@ object.</p>
 “heuristic”.  Results from authoritative modules, if any are
 available, will take priority over results from heuristic modules.  A
 module communicates its priority as a result of the <strong>init</strong> method.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Credential cache selection interface (ccselect)</a></li>
@@ -135,6 +128,7 @@ module communicates its priority as a re
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +136,8 @@ module communicates its priority as a re
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/certauth.html 1.21.3-1/doc/html/plugindev/certauth.html
--- 1.21.2-1/doc/html/plugindev/certauth.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/certauth.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>PKINIT certificate authorization interface (certauth) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="KDC policy interface (kdcpolicy)" href="kdcpolicy.html" />
     <link rel="prev" title="Internal pluggable interfaces" href="internal.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,13 +52,13 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="pkinit-certificate-authorization-interface-certauth">
+  <section id="pkinit-certificate-authorization-interface-certauth">
 <span id="certauth-plugin"></span><h1>PKINIT certificate authorization interface (certauth)<a class="headerlink" href="#pkinit-certificate-authorization-interface-certauth" title="Permalink to this headline">¶</a></h1>
 <p>The certauth interface was first introduced in release 1.16.  It
 allows customization of the X.509 certificate attribute requirements
 placed on certificates used by PKINIT enabled clients.  For a detailed
 description of the certauth interface, see the header file
-<code class="docutils literal"><span class="pre">&lt;krb5/certauth_plugin.h&gt;</span></code></p>
+<code class="docutils literal notranslate"><span class="pre">&lt;krb5/certauth_plugin.h&gt;</span></code></p>
 <p>A certauth module implements the <strong>authorize</strong> method to determine
 whether a client’s certificate is authorized to authenticate a client
 principal.  <strong>authorize</strong> receives the DER-encoded certificate, the
@@ -90,14 +81,16 @@ lifetime of the KDC process.</p>
 <p>If a module allocates and returns a list of authentication indicators
 from <strong>authorize</strong>, it must also implement the <strong>free_ind</strong> method
 to free the list.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">PKINIT certificate authorization interface (certauth)</a></li>
@@ -145,6 +138,7 @@ to free the list.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +146,8 @@ to free the list.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/clpreauth.html 1.21.3-1/doc/html/plugindev/clpreauth.html
--- 1.21.2-1/doc/html/plugindev/clpreauth.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/clpreauth.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Client preauthentication interface (clpreauth) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="KDC preauthentication interface (kdcpreauth)" href="kdcpreauth.html" />
     <link rel="prev" title="General plugin concepts" href="general.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="client-preauthentication-interface-clpreauth">
+  <section id="client-preauthentication-interface-clpreauth">
 <h1>Client preauthentication interface (clpreauth)<a class="headerlink" href="#client-preauthentication-interface-clpreauth" title="Permalink to this headline">¶</a></h1>
 <p>During an initial ticket request, a KDC may ask a client to prove its
 knowledge of the password before issuing an encrypted ticket, or to
@@ -70,28 +61,28 @@ preauthentication, and is described in <
 The clpreauth interface allows the addition of client support for
 preauthentication mechanisms beyond those included in the core MIT
 krb5 code base.  For a detailed description of the clpreauth
-interface, see the header file <code class="docutils literal"><span class="pre">&lt;krb5/clpreauth_plugin.h&gt;</span></code> (or
-<code class="docutils literal"><span class="pre">&lt;krb5/preauth_plugin.h&gt;</span></code> before release 1.12).</p>
+interface, see the header file <code class="docutils literal notranslate"><span class="pre">&lt;krb5/clpreauth_plugin.h&gt;</span></code> (or
+<code class="docutils literal notranslate"><span class="pre">&lt;krb5/preauth_plugin.h&gt;</span></code> before release 1.12).</p>
 <p>A clpreauth module is generally responsible for:</p>
 <ul class="simple">
-<li>Supplying a list of preauth type numbers used by the module in the
-<strong>pa_type_list</strong> field of the vtable structure.</li>
-<li>Indicating what kind of preauthentication mechanism it implements,
+<li><p>Supplying a list of preauth type numbers used by the module in the
+<strong>pa_type_list</strong> field of the vtable structure.</p></li>
+<li><p>Indicating what kind of preauthentication mechanism it implements,
 with the <strong>flags</strong> method.  In the most common case, this method
-just returns <code class="docutils literal"><span class="pre">PA_REAL</span></code>, indicating that it implements a normal
-preauthentication type.</li>
-<li>Examining the padata information included in a PREAUTH_REQUIRED or
+just returns <code class="docutils literal notranslate"><span class="pre">PA_REAL</span></code>, indicating that it implements a normal
+preauthentication type.</p></li>
+<li><p>Examining the padata information included in a PREAUTH_REQUIRED or
 MORE_PREAUTH_DATA_REQUIRED error and producing padata values for the
-next AS request.  This is done with the <strong>process</strong> method.</li>
-<li>Examining the padata information included in a successful ticket
+next AS request.  This is done with the <strong>process</strong> method.</p></li>
+<li><p>Examining the padata information included in a successful ticket
 reply, possibly verifying the KDC identity and computing a reply
-key.  This is also done with the <strong>process</strong> method.</li>
-<li>For preauthentication types which support it, recovering from errors
+key.  This is also done with the <strong>process</strong> method.</p></li>
+<li><p>For preauthentication types which support it, recovering from errors
 by examining the error data from the KDC and producing a padata
 value for another AS request.  This is done with the <strong>tryagain</strong>
-method.</li>
-<li>Receiving option information (supplied by <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-X</span></code> or by an
-application), with the <strong>gic_opts</strong> method.</li>
+method.</p></li>
+<li><p>Receiving option information (supplied by <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-X</span></code> or by an
+application), with the <strong>gic_opts</strong> method.</p></li>
 </ul>
 <p>A clpreauth module can create and destroy per-library-context and
 per-request state objects by implementing the <strong>init</strong>, <strong>fini</strong>,
@@ -107,14 +98,16 @@ expected enctype of the AS reply, the FA
 long-term key (prompting for the user password if necessary).  A
 callback can also be used to replace the AS reply key if the
 preauthentication mechanism computes one.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Client preauthentication interface (clpreauth)</a></li>
@@ -162,6 +155,7 @@ preauthentication mechanism computes one
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -169,8 +163,8 @@ preauthentication mechanism computes one
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/general.html 1.21.3-1/doc/html/plugindev/general.html
--- 1.21.2-1/doc/html/plugindev/general.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/general.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>General plugin concepts &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Client preauthentication interface (clpreauth)" href="clpreauth.html" />
     <link rel="prev" title="For plugin module developers" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="general-plugin-concepts">
+  <section id="general-plugin-concepts">
 <h1>General plugin concepts<a class="headerlink" href="#general-plugin-concepts" title="Permalink to this headline">¶</a></h1>
 <p>A krb5 dynamic plugin module is a Unix shared object or Windows DLL.
 Typically, the source code for a dynamic plugin module should live in
@@ -70,35 +61,35 @@ tools with similar functionality.</p>
 <p>A plugin module must define a specific symbol name, which depends on
 the pluggable interface and module name.  For most pluggable
 interfaces, the exported symbol is a function named
-<code class="docutils literal"><span class="pre">INTERFACE_MODULE_initvt</span></code>, where <em>INTERFACE</em> is the name of the
+<code class="docutils literal notranslate"><span class="pre">INTERFACE_MODULE_initvt</span></code>, where <em>INTERFACE</em> is the name of the
 pluggable interface and <em>MODULE</em> is the name of the module.  For these
 interfaces, it is possible for one shared object or DLL to implement
 multiple plugin modules, either for the same pluggable interface or
 for different ones.  For example, a shared object could implement both
 KDC and client preauthentication mechanisms, by exporting functions
-named <code class="docutils literal"><span class="pre">kdcpreauth_mymech_initvt</span></code> and <code class="docutils literal"><span class="pre">clpreauth_mymech_initvt</span></code>.</p>
+named <code class="docutils literal notranslate"><span class="pre">kdcpreauth_mymech_initvt</span></code> and <code class="docutils literal notranslate"><span class="pre">clpreauth_mymech_initvt</span></code>.</p>
 <p>A plugin module implementation should include the header file
-<code class="docutils literal"><span class="pre">&lt;krb5/INTERFACE_plugin.h&gt;</span></code>, where <em>INTERFACE</em> is the name of the
+<code class="docutils literal notranslate"><span class="pre">&lt;krb5/INTERFACE_plugin.h&gt;</span></code>, where <em>INTERFACE</em> is the name of the
 pluggable interface.  For instance, a ccselect plugin module
-implementation should use <code class="docutils literal"><span class="pre">#include</span> <span class="pre">&lt;krb5/ccselect_plugin.h&gt;</span></code>.</p>
+implementation should use <code class="docutils literal notranslate"><span class="pre">#include</span> <span class="pre">&lt;krb5/ccselect_plugin.h&gt;</span></code>.</p>
 <p>initvt functions have the following prototype:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5_error_code</span> <span class="n">interface_modname_initvt</span><span class="p">(</span><span class="n">krb5_context</span> <span class="n">context</span><span class="p">,</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5_error_code</span> <span class="n">interface_modname_initvt</span><span class="p">(</span><span class="n">krb5_context</span> <span class="n">context</span><span class="p">,</span>
                                          <span class="nb">int</span> <span class="n">maj_ver</span><span class="p">,</span> <span class="nb">int</span> <span class="n">min_ver</span><span class="p">,</span>
                                          <span class="n">krb5_plugin_vtable</span> <span class="n">vtable</span><span class="p">);</span>
 </pre></div>
 </div>
 <p>and should do the following:</p>
 <ol class="arabic simple">
-<li>Check that the supplied maj_ver argument is supported by the
+<li><p>Check that the supplied maj_ver argument is supported by the
 module.  If it is not supported, the function should return
-KRB5_PLUGIN_VER_NOTSUPP.</li>
-<li>Cast the supplied vtable pointer to the structure type
+KRB5_PLUGIN_VER_NOTSUPP.</p></li>
+<li><p>Cast the supplied vtable pointer to the structure type
 corresponding to the major version, as documented in the pluggable
-interface header file.</li>
-<li>Fill in the structure fields with pointers to method functions and
+interface header file.</p></li>
+<li><p>Fill in the structure fields with pointers to method functions and
 static data, stopping at the field indicated by the supplied minor
 version.  Fields for unimplemented optional methods can be left
-alone; it is not necessary to initialize them to NULL.</li>
+alone; it is not necessary to initialize them to NULL.</p></li>
 </ol>
 <p>In most cases, the context argument will not be used.  The initvt
 function should not allocate memory; think of it as a glorified
@@ -111,7 +102,7 @@ literal containing the module name.</p>
 <p>Here is an example of what an initvt function might look like for a
 fictional pluggable interface named fences, for a module named
 “wicker”:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5_error_code</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5_error_code</span>
 <span class="n">fences_wicker_initvt</span><span class="p">(</span><span class="n">krb5_context</span> <span class="n">context</span><span class="p">,</span> <span class="nb">int</span> <span class="n">maj_ver</span><span class="p">,</span>
                      <span class="nb">int</span> <span class="n">min_ver</span><span class="p">,</span> <span class="n">krb5_plugin_vtable</span> <span class="n">vtable</span><span class="p">)</span>
 <span class="p">{</span>
@@ -140,7 +131,7 @@ fictional pluggable interface named fenc
 <span class="p">}</span>
 </pre></div>
 </div>
-<div class="section" id="logging-from-kdc-and-kadmind-plugin-modules">
+<section id="logging-from-kdc-and-kadmind-plugin-modules">
 <h2>Logging from KDC and kadmind plugin modules<a class="headerlink" href="#logging-from-kdc-and-kadmind-plugin-modules" title="Permalink to this headline">¶</a></h2>
 <p>Plugin modules for the KDC or kadmind daemons can write to the
 configured logging outputs (see <a class="reference internal" href="../admin/conf_files/kdc_conf.html#logging"><span class="std std-ref">[logging]</span></a>) by calling the
@@ -149,7 +140,7 @@ the second argument (<em>code</em>) is z
 at informational severity; otherwise, the formatted message is logged
 at error severity and includes the error message for the supplied
 code.  Here are examples:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">com_err</span><span class="p">(</span><span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="mi">0</span><span class="p">,</span> <span class="s2">&quot;Client message contains </span><span class="si">%d</span><span class="s2"> items&quot;</span><span class="p">,</span> <span class="n">nitems</span><span class="p">);</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">com_err</span><span class="p">(</span><span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="mi">0</span><span class="p">,</span> <span class="s2">&quot;Client message contains </span><span class="si">%d</span><span class="s2"> items&quot;</span><span class="p">,</span> <span class="n">nitems</span><span class="p">);</span>
 <span class="n">com_err</span><span class="p">(</span><span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="n">retval</span><span class="p">,</span> <span class="s2">&quot;while decoding client message&quot;</span><span class="p">);</span>
 </pre></div>
 </div>
@@ -158,15 +149,17 @@ releases, the <em>whoami</em> argument i
 types, the logged message does not include the usual header for some
 output types, and the severity for syslog outputs is configured as
 part of the logging specification, defaulting to error severity.)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">General plugin concepts</a><ul>
@@ -217,6 +210,7 @@ part of the logging specification, defau
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -224,8 +218,8 @@ part of the logging specification, defau
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/gssapi.html 1.21.3-1/doc/html/plugindev/gssapi.html
--- 1.21.2-1/doc/html/plugindev/gssapi.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/gssapi.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>GSSAPI mechanism interface &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Internal pluggable interfaces" href="internal.html" />
     <link rel="prev" title="Configuration interface (profile)" href="profile.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="gssapi-mechanism-interface">
+  <section id="gssapi-mechanism-interface">
 <h1>GSSAPI mechanism interface<a class="headerlink" href="#gssapi-mechanism-interface" title="Permalink to this headline">¶</a></h1>
 <p>The GSSAPI library in MIT krb5 can load mechanism modules to augment
 the set of built-in mechanisms.</p>
@@ -84,36 +75,36 @@ implement the “acquire” variants of
 of other mechanisms.  If the mechglue detects conflicts, it will map
 the mechanism’s status codes onto unique values, and then map them
 back again when <strong>gss_display_status</strong> is called.</p>
-<div class="section" id="negoex-modules">
+<section id="negoex-modules">
 <h2>NegoEx modules<a class="headerlink" href="#negoex-modules" title="Permalink to this headline">¶</a></h2>
 <p>Some Windows GSSAPI mechanisms can only be negotiated via a Microsoft
 extension to SPNEGO called NegoEx.  Beginning with release 1.18,
 mechanism modules can support NegoEx as follows:</p>
 <ul class="simple">
-<li>Implement the gssspi_query_meta_data(), gssspi_exchange_meta_data(),
+<li><p>Implement the gssspi_query_meta_data(), gssspi_exchange_meta_data(),
 and gssspi_query_mechanism_info() SPIs declared in
-<code class="docutils literal"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>.</li>
-<li>Implement gss_inquire_sec_context_by_oid() and answer the
+<code class="docutils literal notranslate"><span class="pre">&lt;gssapi/gssapi_ext.h&gt;</span></code>.</p></li>
+<li><p>Implement gss_inquire_sec_context_by_oid() and answer the
 <strong>GSS_C_INQ_NEGOEX_KEY</strong> and <strong>GSS_C_INQ_NEGOEX_VERIFY_KEY</strong> OIDs
 to provide the checksum keys for outgoing and incoming checksums,
 respectively.  The answer must be in two buffers: the first buffer
 contains the key contents, and the second buffer contains the key
-encryption type as a four-byte little-endian integer.</li>
+encryption type as a four-byte little-endian integer.</p></li>
 </ul>
 <p>By default, NegoEx mechanisms will not be directly negotiated via
 SPNEGO.  If direct SPNEGO negotiation is required for
 interoperability, implement gss_inquire_attrs_for_mech() and assert
 the GSS_C_MA_NEGOEX_AND_SPNEGO attribute (along with any applicable
 RFC 5587 attributes).</p>
-</div>
-<div class="section" id="interposer-modules">
+</section>
+<section id="interposer-modules">
 <h2>Interposer modules<a class="headerlink" href="#interposer-modules" title="Permalink to this headline">¶</a></h2>
 <p>The mechglue also supports a kind of loadable module, called an
 interposer module, which intercepts calls to existing mechanisms
 rather than implementing a new mechanism.</p>
 <p>An interposer module must export the symbol <strong>gss_mech_interposer</strong>
 with the following signature:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">gss_OID_set</span> <span class="n">gss_mech_interposer</span><span class="p">(</span><span class="n">gss_OID</span> <span class="n">mech_type</span><span class="p">);</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">gss_OID_set</span> <span class="n">gss_mech_interposer</span><span class="p">(</span><span class="n">gss_OID</span> <span class="n">mech_type</span><span class="p">);</span>
 </pre></div>
 </div>
 <p>This function is invoked with the OID of the interposer mechanism as
@@ -121,10 +112,10 @@ specified in the mechanism config file,
 OIDs to be interposed.  The returned OID set must have been created
 using the mechglue’s gss_create_empty_oid_set and
 gss_add_oid_set_member functions.</p>
-<p>An interposer module must use the prefix <code class="docutils literal"><span class="pre">gssi_</span></code> for the GSSAPI
-functions it exports, instead of the prefix <code class="docutils literal"><span class="pre">gss_</span></code>.  In most cases,
-unexported <code class="docutils literal"><span class="pre">gssi_</span></code> functions will result in failure from their
-corresponding <code class="docutils literal"><span class="pre">gss_</span></code> calls.</p>
+<p>An interposer module must use the prefix <code class="docutils literal notranslate"><span class="pre">gssi_</span></code> for the GSSAPI
+functions it exports, instead of the prefix <code class="docutils literal notranslate"><span class="pre">gss_</span></code>.  In most cases,
+unexported <code class="docutils literal notranslate"><span class="pre">gssi_</span></code> functions will result in failure from their
+corresponding <code class="docutils literal notranslate"><span class="pre">gss_</span></code> calls.</p>
 <p>An interposer module can link against the GSSAPI library in order to
 make calls to the original mechanism.  To do so, it must specify a
 special mechanism OID which is the concatention of the interposer’s
@@ -140,7 +131,7 @@ and pass that as the <em>verifier_cred_h
 has been extended to include variants which do.  This allows the
 interposer module to know which mechanism should be used to interpret
 the token.  These functions have the following signatures:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gssi_import_sec_context_by_mech</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">OM_uint32</span> <span class="n">gssi_import_sec_context_by_mech</span><span class="p">(</span><span class="n">OM_uint32</span> <span class="o">*</span><span class="n">minor_status</span><span class="p">,</span>
     <span class="n">gss_OID</span> <span class="n">desired_mech</span><span class="p">,</span> <span class="n">gss_buffer_t</span> <span class="n">interprocess_token</span><span class="p">,</span>
     <span class="n">gss_ctx_id_t</span> <span class="o">*</span><span class="n">context_handle</span><span class="p">);</span>
 
@@ -158,31 +149,33 @@ functions, the interposer module must wr
 mechglue’s format, using the concatenated OID (except in
 <strong>gss_import_name</strong>).  The mechglue token formats are:</p>
 <ul class="simple">
-<li>For <strong>gss_import_sec_context</strong>, a four-byte OID length in big-endian
+<li><p>For <strong>gss_import_sec_context</strong>, a four-byte OID length in big-endian
 order, followed by the concatenated OID, followed by the mechanism
-token.</li>
-<li>For <strong>gss_import_name</strong>, the bytes 04 01, followed by a two-byte OID
+token.</p></li>
+<li><p>For <strong>gss_import_name</strong>, the bytes 04 01, followed by a two-byte OID
 length in big-endian order, followed by the mechanism OID, followed
 by a four-byte token length in big-endian order, followed by the
 mechanism token.  Unlike most uses of OIDs in the API, the mechanism
 OID encoding must include the DER tag and length for an object
 identifier (06 followed by the DER length of the OID byte string),
 and this prefix must be included in the two-byte OID length.
-input_name_type must also be set to GSS_C_NT_EXPORT_NAME.</li>
-<li>For <strong>gss_import_cred</strong>, a four-byte OID length in big-endian order,
+input_name_type must also be set to GSS_C_NT_EXPORT_NAME.</p></li>
+<li><p>For <strong>gss_import_cred</strong>, a four-byte OID length in big-endian order,
 followed by the concatenated OID, followed by a four-byte token
 length in big-endian order, followed by the mechanism token.  This
-sequence may be repeated multiple times.</li>
+sequence may be repeated multiple times.</p></li>
 </ul>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">GSSAPI mechanism interface</a><ul>
@@ -234,6 +227,7 @@ sequence may be repeated multiple times.
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -241,8 +235,8 @@ sequence may be repeated multiple times.
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/hostrealm.html 1.21.3-1/doc/html/plugindev/hostrealm.html
--- 1.21.2-1/doc/html/plugindev/hostrealm.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/hostrealm.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Host-to-realm interface (hostrealm) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Local authorization interface (localauth)" href="localauth.html" />
     <link rel="prev" title="kadmin authorization interface (kadm5_auth)" href="kadm5_auth.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,13 +52,13 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="host-to-realm-interface-hostrealm">
+  <section id="host-to-realm-interface-hostrealm">
 <span id="hostrealm-plugin"></span><h1>Host-to-realm interface (hostrealm)<a class="headerlink" href="#host-to-realm-interface-hostrealm" title="Permalink to this headline">¶</a></h1>
 <p>The host-to-realm interface was first introduced in release 1.12.  It
 allows modules to control the local mapping of hostnames to realm
 names as well as the default realm.  For a detailed description of the
 hostrealm interface, see the header file
-<code class="docutils literal"><span class="pre">&lt;krb5/hostrealm_plugin.h&gt;</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">&lt;krb5/hostrealm_plugin.h&gt;</span></code>.</p>
 <p>Although the mapping methods in the hostrealm interface return a list
 of one or more realms, only the first realm in the list is currently
 used by callers.  Callers may begin using later responses in the
@@ -90,14 +81,16 @@ local default realm.</p>
 <p>If a module implements any of the above methods, it must also
 implement <strong>free_list</strong> to ensure that memory is allocated and
 deallocated consistently.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Host-to-realm interface (hostrealm)</a></li>
@@ -145,6 +138,7 @@ deallocated consistently.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -152,8 +146,8 @@ deallocated consistently.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/index.html 1.21.3-1/doc/html/plugindev/index.html
--- 1.21.2-1/doc/html/plugindev/index.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/index.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>For plugin module developers &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="General plugin concepts" href="general.html" />
     <link rel="prev" title="krb524_init_ets" href="../appdev/refs/macros/krb524_init_ets.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="for-plugin-module-developers">
+  <section id="for-plugin-module-developers">
 <h1>For plugin module developers<a class="headerlink" href="#for-plugin-module-developers" title="Permalink to this headline">¶</a></h1>
 <p>Kerberos plugin modules allow increased control over MIT krb5 library
 and server behavior.  This guide describes how to create dynamic
@@ -69,7 +60,7 @@ plugin modules and the currently availab
 <p>See <a class="reference internal" href="../admin/host_config.html#plugin-config"><span class="std std-ref">Plugin module configuration</span></a> for information on how to register dynamic
 plugin modules and how to enable and disable modules via
 <a class="reference internal" href="../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.</p>
-<div class="section" id="contents">
+<section id="contents">
 <h2>Contents<a class="headerlink" href="#contents" title="Permalink to this headline">¶</a></h2>
 <div class="toctree-wrapper compound">
 <ul>
@@ -101,15 +92,17 @@ plugin modules and how to enable and dis
 <li class="toctree-l1"><a class="reference internal" href="kdcpolicy.html">KDC policy interface (kdcpolicy)</a></li>
 </ul>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">For plugin module developers</a><ul>
@@ -160,6 +153,7 @@ plugin modules and how to enable and dis
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -167,8 +161,8 @@ plugin modules and how to enable and dis
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/internal.html 1.21.3-1/doc/html/plugindev/internal.html
--- 1.21.2-1/doc/html/plugindev/internal.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/internal.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Internal pluggable interfaces &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="PKINIT certificate authorization interface (certauth)" href="certauth.html" />
     <link rel="prev" title="GSSAPI mechanism interface" href="gssapi.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="internal-pluggable-interfaces">
+  <section id="internal-pluggable-interfaces">
 <h1>Internal pluggable interfaces<a class="headerlink" href="#internal-pluggable-interfaces" title="Permalink to this headline">¶</a></h1>
 <p>Following are brief discussions of pluggable interfaces which have not
 yet been made public.  These interfaces are functional, but the
@@ -70,31 +61,33 @@ release.  In some cases, it may be neces
 the krb5 source tree to use an internal interface.  Use these with
 care, and expect to need to update your modules for each new release
 of MIT krb5.</p>
-<div class="section" id="kerberos-database-interface-kdb">
+<section id="kerberos-database-interface-kdb">
 <h2>Kerberos database interface (KDB)<a class="headerlink" href="#kerberos-database-interface-kdb" title="Permalink to this headline">¶</a></h2>
 <p>A KDB module implements a database back end for KDC principal and
 policy information, and can also control many aspects of KDC behavior.
 For a full description of the interface, see the header file
-<code class="docutils literal"><span class="pre">&lt;kdb.h&gt;</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">&lt;kdb.h&gt;</span></code>.</p>
 <p>The KDB pluggable interface is often referred to as the DAL (Database
 Access Layer).</p>
-</div>
-<div class="section" id="authorization-data-interface-authdata">
+</section>
+<section id="authorization-data-interface-authdata">
 <h2>Authorization data interface (authdata)<a class="headerlink" href="#authorization-data-interface-authdata" title="Permalink to this headline">¶</a></h2>
 <p>The authdata interface allows a module to provide (from the KDC) or
 consume (in application servers) authorization data of types beyond
 those handled by the core MIT krb5 code base.  The interface is
-defined in the header file <code class="docutils literal"><span class="pre">&lt;krb5/authdata_plugin.h&gt;</span></code>, which is not
+defined in the header file <code class="docutils literal notranslate"><span class="pre">&lt;krb5/authdata_plugin.h&gt;</span></code>, which is not
 installed by the build.</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Internal pluggable interfaces</a><ul>
@@ -146,6 +139,7 @@ installed by the build.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -153,8 +147,8 @@ installed by the build.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/kadm5_auth.html 1.21.3-1/doc/html/plugindev/kadm5_auth.html
--- 1.21.2-1/doc/html/plugindev/kadm5_auth.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/kadm5_auth.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kadmin authorization interface (kadm5_auth) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Host-to-realm interface (hostrealm)" href="hostrealm.html" />
     <link rel="prev" title="KADM5 hook interface (kadm5_hook)" href="kadm5_hook.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,13 +52,13 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kadmin-authorization-interface-kadm5-auth">
+  <section id="kadmin-authorization-interface-kadm5-auth">
 <span id="kadm5-auth-plugin"></span><h1>kadmin authorization interface (kadm5_auth)<a class="headerlink" href="#kadmin-authorization-interface-kadm5-auth" title="Permalink to this headline">¶</a></h1>
 <p>The kadm5_auth interface (new in release 1.16) allows modules to
 determine whether a client principal is authorized to perform an
 operation in the kadmin protocol, and to apply restrictions to
 principal operations.  For a detailed description of the kadm5_auth
-interface, see the header file <code class="docutils literal"><span class="pre">&lt;krb5/kadm5_auth_plugin.h&gt;</span></code>.</p>
+interface, see the header file <code class="docutils literal notranslate"><span class="pre">&lt;krb5/kadm5_auth_plugin.h&gt;</span></code>.</p>
 <p>A module can create and destroy per-process state objects by
 implementing the <strong>init</strong> and <strong>fini</strong> methods.  State objects have
 the type kadm5_auth_modinfo, which is an abstract pointer type.  A
@@ -80,23 +71,25 @@ decision to other modules, or another er
 authoritatively deny access.  Access is granted if at least one module
 grants access and no module authoritatively denies access.</p>
 <p>The <strong>addprinc</strong> and <strong>modprinc</strong> methods can also impose restrictions
-on the principal operation by returning a <code class="docutils literal"><span class="pre">struct</span>
+on the principal operation by returning a <code class="docutils literal notranslate"><span class="pre">struct</span>
 <span class="pre">kadm5_auth_restrictions</span></code> object.  The module should also implement
 the <strong>free_restrictions</strong> method if it dynamically allocates
 restrictions objects for principal operations.</p>
 <p>kadm5_auth modules can optionally inspect principal or policy objects.
-To do this, the module must also include <code class="docutils literal"><span class="pre">&lt;kadm5/admin.h&gt;</span></code> to gain
+To do this, the module must also include <code class="docutils literal notranslate"><span class="pre">&lt;kadm5/admin.h&gt;</span></code> to gain
 access to the structure definitions for those objects.  As the kadmin
 interface is explicitly not as stable as other public interfaces,
 modules which do this may not retain compatibility across releases.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kadmin authorization interface (kadm5_auth)</a></li>
@@ -144,6 +137,7 @@ modules which do this may not retain com
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -151,8 +145,8 @@ modules which do this may not retain com
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/kadm5_hook.html 1.21.3-1/doc/html/plugindev/kadm5_hook.html
--- 1.21.2-1/doc/html/plugindev/kadm5_hook.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/kadm5_hook.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KADM5 hook interface (kadm5_hook) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="kadmin authorization interface (kadm5_auth)" href="kadm5_auth.html" />
     <link rel="prev" title="Password quality interface (pwqual)" href="pwqual.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,12 +52,12 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kadm5-hook-interface-kadm5-hook">
+  <section id="kadm5-hook-interface-kadm5-hook">
 <span id="kadm5-hook-plugin"></span><h1>KADM5 hook interface (kadm5_hook)<a class="headerlink" href="#kadm5-hook-interface-kadm5-hook" title="Permalink to this headline">¶</a></h1>
 <p>The kadm5_hook interface allows modules to perform actions when
 changes are made to the Kerberos database through <a class="reference internal" href="../admin/admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>.
 For a detailed description of the kadm5_hook interface, see the header
-file <code class="docutils literal"><span class="pre">&lt;krb5/kadm5_hook_plugin.h&gt;</span></code>.</p>
+file <code class="docutils literal notranslate"><span class="pre">&lt;krb5/kadm5_hook_plugin.h&gt;</span></code>.</p>
 <p>The kadm5_hook interface has five primary methods: <strong>chpass</strong>,
 <strong>create</strong>, <strong>modify</strong>, <strong>remove</strong>, and <strong>rename</strong>.  (The <strong>rename</strong>
 method was introduced in release 1.14.)  Each of these methods is
@@ -82,14 +73,16 @@ object.</p>
 <p>Because the kadm5_hook interface is tied closely to the kadmin
 interface (which is explicitly unstable), it may not remain as stable
 across versions as other public pluggable interfaces.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KADM5 hook interface (kadm5_hook)</a></li>
@@ -137,6 +130,7 @@ across versions as other public pluggabl
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -144,8 +138,8 @@ across versions as other public pluggabl
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/kdcpolicy.html 1.21.3-1/doc/html/plugindev/kdcpolicy.html
--- 1.21.2-1/doc/html/plugindev/kdcpolicy.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/kdcpolicy.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC policy interface (kdcpolicy) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Building Kerberos V5" href="../build/index.html" />
     <link rel="prev" title="PKINIT certificate authorization interface (certauth)" href="certauth.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,13 +52,13 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-policy-interface-kdcpolicy">
+  <section id="kdc-policy-interface-kdcpolicy">
 <span id="kdcpolicy-plugin"></span><h1>KDC policy interface (kdcpolicy)<a class="headerlink" href="#kdc-policy-interface-kdcpolicy" title="Permalink to this headline">¶</a></h1>
 <p>The kdcpolicy interface was first introduced in release 1.16.  It
 allows modules to veto otherwise valid AS and TGS requests or restrict
 the lifetime and renew time of the resulting ticket.  For a detailed
 description of the kdcpolicy interface, see the header file
-<code class="docutils literal"><span class="pre">&lt;krb5/kdcpolicy_plugin.h&gt;</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">&lt;krb5/kdcpolicy_plugin.h&gt;</span></code>.</p>
 <p>The optional <strong>check_as</strong> and <strong>check_tgs</strong> functions allow the module
 to perform access control.  Additionally, a module can create and
 destroy module data with the <strong>init</strong> and <strong>fini</strong> methods.  Module
@@ -76,18 +67,20 @@ provided to all other methods.  The data
 krb5_kdcpolicy_moddata, which should be cast to the appropriate
 internal type.</p>
 <p>kdcpolicy modules can optionally inspect principal entries.  To do
-this, the module must also include <code class="docutils literal"><span class="pre">&lt;kdb.h&gt;</span></code> to gain access to the
+this, the module must also include <code class="docutils literal notranslate"><span class="pre">&lt;kdb.h&gt;</span></code> to gain access to the
 principal entry structure definition.  As the KDB interface is
 explicitly not as stable as other public interfaces, modules which do
 this may not retain compatibility across releases.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC policy interface (kdcpolicy)</a></li>
@@ -135,6 +128,7 @@ this may not retain compatibility across
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -142,8 +136,8 @@ this may not retain compatibility across
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/kdcpreauth.html 1.21.3-1/doc/html/plugindev/kdcpreauth.html
--- 1.21.2-1/doc/html/plugindev/kdcpreauth.html	2023-08-14 16:24:17.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/kdcpreauth.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>KDC preauthentication interface (kdcpreauth) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Credential cache selection interface (ccselect)" href="ccselect.html" />
     <link rel="prev" title="Client preauthentication interface (clpreauth)" href="clpreauth.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,31 +52,31 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdc-preauthentication-interface-kdcpreauth">
+  <section id="kdc-preauthentication-interface-kdcpreauth">
 <h1>KDC preauthentication interface (kdcpreauth)<a class="headerlink" href="#kdc-preauthentication-interface-kdcpreauth" title="Permalink to this headline">¶</a></h1>
 <p>The kdcpreauth interface allows the addition of KDC support for
 preauthentication mechanisms beyond those included in the core MIT
 krb5 code base.  For a detailed description of the kdcpreauth
-interface, see the header file <code class="docutils literal"><span class="pre">&lt;krb5/kdcpreauth_plugin.h&gt;</span></code> (or
-<code class="docutils literal"><span class="pre">&lt;krb5/preauth_plugin.h&gt;</span></code> before release 1.12).</p>
+interface, see the header file <code class="docutils literal notranslate"><span class="pre">&lt;krb5/kdcpreauth_plugin.h&gt;</span></code> (or
+<code class="docutils literal notranslate"><span class="pre">&lt;krb5/preauth_plugin.h&gt;</span></code> before release 1.12).</p>
 <p>A kdcpreauth module is generally responsible for:</p>
 <ul class="simple">
-<li>Supplying a list of preauth type numbers used by the module in the
-<strong>pa_type_list</strong> field of the vtable structure.</li>
-<li>Indicating what kind of preauthentication mechanism it implements,
+<li><p>Supplying a list of preauth type numbers used by the module in the
+<strong>pa_type_list</strong> field of the vtable structure.</p></li>
+<li><p>Indicating what kind of preauthentication mechanism it implements,
 with the <strong>flags</strong> method.  If the mechanism computes a new reply
-key, it must specify the <code class="docutils literal"><span class="pre">PA_REPLACES_KEY</span></code> flag.  If the mechanism
-is generally only used with hardware tokens, the <code class="docutils literal"><span class="pre">PA_HARDWARE</span></code>
+key, it must specify the <code class="docutils literal notranslate"><span class="pre">PA_REPLACES_KEY</span></code> flag.  If the mechanism
+is generally only used with hardware tokens, the <code class="docutils literal notranslate"><span class="pre">PA_HARDWARE</span></code>
 flag allows the mechanism to work with principals which have the
-<strong>requires_hwauth</strong> flag set.</li>
-<li>Producing a padata value to be sent with a preauth_required error,
-with the <strong>edata</strong> method.</li>
-<li>Examining a padata value sent by a client and verifying that it
+<strong>requires_hwauth</strong> flag set.</p></li>
+<li><p>Producing a padata value to be sent with a preauth_required error,
+with the <strong>edata</strong> method.</p></li>
+<li><p>Examining a padata value sent by a client and verifying that it
 proves knowledge of the appropriate client credential information.
-This is done with the <strong>verify</strong> method.</li>
-<li>Producing a padata response value for the client, and possibly
+This is done with the <strong>verify</strong> method.</p></li>
+<li><p>Producing a padata response value for the client, and possibly
 computing a reply key.  This is done with the <strong>return_padata</strong>
-method.</li>
+method.</p></li>
 </ul>
 <p>A module can create and destroy per-KDC state objects by implementing
 the <strong>init</strong> and <strong>fini</strong> methods.  Per-KDC state objects have the
@@ -107,19 +98,19 @@ maximum allowable clock skew, the client
 DER-encoded request body, the FAST armor key, string attributes on the
 client’s database entry, and the client’s database entry itself.  The
 <strong>verify</strong> method can assert one or more authentication indicators to
-be included in the issued ticket using the <code class="docutils literal"><span class="pre">add_auth_indicator</span></code>
+be included in the issued ticket using the <code class="docutils literal notranslate"><span class="pre">add_auth_indicator</span></code>
 callback (new in release 1.14).</p>
 <p>A module can generate state information to be included with the next
-client request using the <code class="docutils literal"><span class="pre">set_cookie</span></code> callback (new in release
+client request using the <code class="docutils literal notranslate"><span class="pre">set_cookie</span></code> callback (new in release
 1.14).  On the next request, the module can read this state
-information using the <code class="docutils literal"><span class="pre">get_cookie</span></code> callback.  Cookie information is
+information using the <code class="docutils literal notranslate"><span class="pre">get_cookie</span></code> callback.  Cookie information is
 encrypted, timestamped, and transmitted to the client in a
-<code class="docutils literal"><span class="pre">PA-FX-COOKIE</span></code> pa-data item.  Older clients may not support cookies
+<code class="docutils literal notranslate"><span class="pre">PA-FX-COOKIE</span></code> pa-data item.  Older clients may not support cookies
 and therefore may not transmit the cookie in the next request; in this
-case, <code class="docutils literal"><span class="pre">get_cookie</span></code> will not yield the saved information.</p>
+case, <code class="docutils literal notranslate"><span class="pre">get_cookie</span></code> will not yield the saved information.</p>
 <p>If a module implements a mechanism which requires multiple round
 trips, its <strong>verify</strong> method can respond with the code
-<code class="docutils literal"><span class="pre">KRB5KDC_ERR_MORE_PREAUTH_DATA_REQUIRED</span></code> and a list of pa-data in
+<code class="docutils literal notranslate"><span class="pre">KRB5KDC_ERR_MORE_PREAUTH_DATA_REQUIRED</span></code> and a list of pa-data in
 the <em>e_data</em> parameter to be processed by the client.</p>
 <p>The <strong>edata</strong> and <strong>verify</strong> methods can be implemented
 asynchronously.  Because of this, they do not return values directly
@@ -127,14 +118,16 @@ to the caller, but must instead invoke r
 results.  A synchronous implementation can invoke the responder
 function immediately.  An asynchronous implementation can use the
 callback to get an event context for use with the <a class="reference external" href="https://fedorahosted.org/libverto/">libverto</a> API.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">KDC preauthentication interface (kdcpreauth)</a></li>
@@ -182,6 +175,7 @@ callback to get an event context for use
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -189,8 +183,8 @@ callback to get an event context for use
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/localauth.html 1.21.3-1/doc/html/plugindev/localauth.html
--- 1.21.2-1/doc/html/plugindev/localauth.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/localauth.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Local authorization interface (localauth) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Server location interface (locate)" href="locate.html" />
     <link rel="prev" title="Host-to-realm interface (hostrealm)" href="hostrealm.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,20 +52,20 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="local-authorization-interface-localauth">
+  <section id="local-authorization-interface-localauth">
 <span id="localauth-plugin"></span><h1>Local authorization interface (localauth)<a class="headerlink" href="#local-authorization-interface-localauth" title="Permalink to this headline">¶</a></h1>
 <p>The localauth interface was first introduced in release 1.12.  It
 allows modules to control the relationship between Kerberos principals
 and local system accounts.  When an application calls
-<a class="reference internal" href="../appdev/refs/api/krb5_kuserok.html#c.krb5_kuserok" title="krb5_kuserok"><code class="xref c c-func docutils literal"><span class="pre">krb5_kuserok()</span></code></a> or <a class="reference internal" href="../appdev/refs/api/krb5_aname_to_localname.html#c.krb5_aname_to_localname" title="krb5_aname_to_localname"><code class="xref c c-func docutils literal"><span class="pre">krb5_aname_to_localname()</span></code></a>, localauth
+<a class="reference internal" href="../appdev/refs/api/krb5_kuserok.html#c.krb5_kuserok" title="krb5_kuserok"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_kuserok()</span></code></a> or <a class="reference internal" href="../appdev/refs/api/krb5_aname_to_localname.html#c.krb5_aname_to_localname" title="krb5_aname_to_localname"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_aname_to_localname()</span></code></a>, localauth
 modules are consulted to determine the result.  For a detailed
 description of the localauth interface, see the header file
-<code class="docutils literal"><span class="pre">&lt;krb5/localauth_plugin.h&gt;</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">&lt;krb5/localauth_plugin.h&gt;</span></code>.</p>
 <p>A module can create and destroy per-library-context state objects
 using the <strong>init</strong> and <strong>fini</strong> methods.  If the module does not need
 any state, it does not need to implement these methods.</p>
 <p>The optional <strong>userok</strong> method allows a module to control the behavior
-of <a class="reference internal" href="../appdev/refs/api/krb5_kuserok.html#c.krb5_kuserok" title="krb5_kuserok"><code class="xref c c-func docutils literal"><span class="pre">krb5_kuserok()</span></code></a>.  The module receives the authenticated name
+of <a class="reference internal" href="../appdev/refs/api/krb5_kuserok.html#c.krb5_kuserok" title="krb5_kuserok"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_kuserok()</span></code></a>.  The module receives the authenticated name
 and the local account name as inputs, and can return either 0 to
 authorize access, KRB5_PLUGIN_NO_HANDLE to defer the decision to other
 modules, or another error (canonically EPERM) to authoritatively deny
@@ -83,27 +74,29 @@ module authoritatively denies access.</p
 <p>The optional <strong>an2ln</strong> method can work in two different ways.  If the
 module sets an array of uppercase type names in <strong>an2ln_types</strong>, then
 the module’s <strong>an2ln</strong> method will only be invoked by
-<a class="reference internal" href="../appdev/refs/api/krb5_aname_to_localname.html#c.krb5_aname_to_localname" title="krb5_aname_to_localname"><code class="xref c c-func docutils literal"><span class="pre">krb5_aname_to_localname()</span></code></a> if an <strong>auth_to_local</strong> value in
+<a class="reference internal" href="../appdev/refs/api/krb5_aname_to_localname.html#c.krb5_aname_to_localname" title="krb5_aname_to_localname"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_aname_to_localname()</span></code></a> if an <strong>auth_to_local</strong> value in
 <a class="reference internal" href="../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> refers to one of the module’s types.  In this
 case, the <em>type</em> and <em>residual</em> arguments will give the type name and
 residual string of the <strong>auth_to_local</strong> value.</p>
 <p>If the module does not set <strong>an2ln_types</strong> but does implement
 <strong>an2ln</strong>, the module’s <strong>an2ln</strong> method will be invoked for all
-<a class="reference internal" href="../appdev/refs/api/krb5_aname_to_localname.html#c.krb5_aname_to_localname" title="krb5_aname_to_localname"><code class="xref c c-func docutils literal"><span class="pre">krb5_aname_to_localname()</span></code></a> operations unless an earlier module
+<a class="reference internal" href="../appdev/refs/api/krb5_aname_to_localname.html#c.krb5_aname_to_localname" title="krb5_aname_to_localname"><code class="xref c c-func docutils literal notranslate"><span class="pre">krb5_aname_to_localname()</span></code></a> operations unless an earlier module
 determines a mapping, with <em>type</em> and <em>residual</em> set to NULL.  The
 module can return KRB5_LNAME_NO_TRANS to defer mapping to later
 modules.</p>
 <p>If a module implements <strong>an2ln</strong>, it must also implement
 <strong>free_string</strong> to ensure that memory is allocated and deallocated
 consistently.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Local authorization interface (localauth)</a></li>
@@ -151,6 +144,7 @@ consistently.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -158,8 +152,8 @@ consistently.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/locate.html 1.21.3-1/doc/html/plugindev/locate.html
--- 1.21.2-1/doc/html/plugindev/locate.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/locate.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Server location interface (locate) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Configuration interface (profile)" href="profile.html" />
     <link rel="prev" title="Local authorization interface (localauth)" href="localauth.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,13 +52,13 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="server-location-interface-locate">
+  <section id="server-location-interface-locate">
 <h1>Server location interface (locate)<a class="headerlink" href="#server-location-interface-locate" title="Permalink to this headline">¶</a></h1>
 <p>The locate interface allows modules to control how KDCs and similar
 services are located by clients.  For a detailed description of the
-ccselect interface, see the header file <code class="docutils literal"><span class="pre">&lt;krb5/locate_plugin.h&gt;</span></code>.</p>
+ccselect interface, see the header file <code class="docutils literal notranslate"><span class="pre">&lt;krb5/locate_plugin.h&gt;</span></code>.</p>
 <p>A locate module exports a structure object of type
-krb5plugin_service_locate_ftable, with the name <code class="docutils literal"><span class="pre">service_locator</span></code>.
+krb5plugin_service_locate_ftable, with the name <code class="docutils literal notranslate"><span class="pre">service_locator</span></code>.
 The structure contains a minor version and pointers to the module’s
 methods.</p>
 <p>The primary locate method is <strong>lookup</strong>, which accepts a service type,
@@ -85,14 +76,16 @@ process.</p>
 implementing the <strong>init</strong> and <strong>fini</strong> methods.  State objects have
 the type void *, and should be cast to an internal type for the state
 object.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Server location interface (locate)</a></li>
@@ -140,6 +133,7 @@ object.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -147,8 +141,8 @@ object.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/profile.html 1.21.3-1/doc/html/plugindev/profile.html
--- 1.21.2-1/doc/html/plugindev/profile.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/profile.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Configuration interface (profile) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="GSSAPI mechanism interface" href="gssapi.html" />
     <link rel="prev" title="Server location interface (locate)" href="locate.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,24 +52,24 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="configuration-interface-profile">
+  <section id="configuration-interface-profile">
 <span id="profile-plugin"></span><h1>Configuration interface (profile)<a class="headerlink" href="#configuration-interface-profile" title="Permalink to this headline">¶</a></h1>
 <p>The profile interface allows a module to control how krb5
 configuration information is obtained by the Kerberos library and
 applications.  For a detailed description of the profile interface,
-see the header file <code class="docutils literal"><span class="pre">&lt;profile.h&gt;</span></code>.</p>
+see the header file <code class="docutils literal notranslate"><span class="pre">&lt;profile.h&gt;</span></code>.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">The profile interface does not follow the normal conventions
+<p class="admonition-title">Note</p>
+<p>The profile interface does not follow the normal conventions
 for MIT krb5 pluggable interfaces, because it is part of a
 lower-level component of the krb5 library.</p>
 </div>
 <p>As with other types of plugin modules, a profile module is a Unix
 shared object or Windows DLL, built separately from the krb5 tree.
 The krb5 library will dynamically load and use a profile plugin module
-if it reads a <code class="docutils literal"><span class="pre">module</span></code> directive at the beginning of krb5.conf, as
+if it reads a <code class="docutils literal notranslate"><span class="pre">module</span></code> directive at the beginning of krb5.conf, as
 described in <a class="reference internal" href="../admin/host_config.html#profile-plugin-config"><span class="std std-ref">Configuration profile modules</span></a>.</p>
-<p>A profile module exports a function named <code class="docutils literal"><span class="pre">profile_module_init</span></code>
+<p>A profile module exports a function named <code class="docutils literal notranslate"><span class="pre">profile_module_init</span></code>
 matching the signature of the profile_module_init_fn type.  This
 function accepts a residual string, which may be used to help locate
 the configuration source.  The function fills in a vtable and may also
@@ -107,7 +98,7 @@ which returns a hardcoded value for the
 <a class="reference internal" href="../admin/conf_files/krb5_conf.html#libdefaults"><span class="std std-ref">[libdefaults]</span></a>, and provides no other configuration information.
 (For conciseness, the example omits code for checking the return
 values of malloc and strdup.)</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="c1">#include &lt;stdlib.h&gt;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="c1">#include &lt;stdlib.h&gt;</span>
 <span class="c1">#include &lt;string.h&gt;</span>
 <span class="c1">#include &lt;profile.h&gt;</span>
 
@@ -149,14 +140,16 @@ values of malloc and strdup.)</p>
 <span class="p">}</span>
 </pre></div>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Configuration interface (profile)</a></li>
@@ -204,6 +197,7 @@ values of malloc and strdup.)</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -211,8 +205,8 @@ values of malloc and strdup.)</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/plugindev/pwqual.html 1.21.3-1/doc/html/plugindev/pwqual.html
--- 1.21.2-1/doc/html/plugindev/pwqual.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/plugindev/pwqual.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Password quality interface (pwqual) &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="KADM5 hook interface (kadm5_hook)" href="kadm5_hook.html" />
     <link rel="prev" title="Credential cache selection interface (ccselect)" href="ccselect.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,13 +52,13 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="password-quality-interface-pwqual">
+  <section id="password-quality-interface-pwqual">
 <span id="pwqual-plugin"></span><h1>Password quality interface (pwqual)<a class="headerlink" href="#password-quality-interface-pwqual" title="Permalink to this headline">¶</a></h1>
 <p>The pwqual interface allows modules to control what passwords are
 allowed when a user changes passwords.  For a detailed description of
-the pwqual interface, see the header file <code class="docutils literal"><span class="pre">&lt;krb5/pwqual_plugin.h&gt;</span></code>.</p>
+the pwqual interface, see the header file <code class="docutils literal notranslate"><span class="pre">&lt;krb5/pwqual_plugin.h&gt;</span></code>.</p>
 <p>The primary pwqual method is <strong>check</strong>, which receives a password as
-input and returns success (0) or a <code class="docutils literal"><span class="pre">KADM5_PASS_Q_</span></code> failure code
+input and returns success (0) or a <code class="docutils literal notranslate"><span class="pre">KADM5_PASS_Q_</span></code> failure code
 depending on whether the password is allowed.  The <strong>check</strong> method
 also receives the principal name and the name of the principal’s
 password policy as input; although there is no stable interface for
@@ -81,14 +72,16 @@ object.  The <strong>open</strong> metho
 dictionary file (as configured by the <strong>dict_file</strong> variable in the
 <a class="reference internal" href="../admin/conf_files/kdc_conf.html#kdc-realms"><span class="std std-ref">[realms]</span></a> section of <a class="reference internal" href="../admin/conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>) if it wishes to use
 it.</p>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Password quality interface (pwqual)</a></li>
@@ -136,6 +129,7 @@ it.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -143,8 +137,8 @@ it.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/resources.html 1.21.3-1/doc/html/resources.html
--- 1.21.2-1/doc/html/resources.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/resources.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,34 +1,25 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Resources &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="search.html" />
     <link rel="copyright" title="Copyright" href="copyright.html" />
     <link rel="prev" title="Contributing to the MIT Kerberos Documentation" href="about.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -58,68 +49,70 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="resources">
+  <section id="resources">
 <h1>Resources<a class="headerlink" href="#resources" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="mailing-lists">
+<section id="mailing-lists">
 <h2>Mailing lists<a class="headerlink" href="#mailing-lists" title="Permalink to this headline">¶</a></h2>
 <ul class="simple">
-<li><a class="reference external" href="mailto:kerberos&#37;&#52;&#48;mit&#46;edu">kerberos<span>&#64;</span>mit<span>&#46;</span>edu</a> is a community resource for discussion and
+<li><p><a class="reference external" href="mailto:kerberos&#37;&#52;&#48;mit&#46;edu">kerberos<span>&#64;</span>mit<span>&#46;</span>edu</a> is a community resource for discussion and
 questions about MIT krb5 and other Kerberos implementations.  To
 subscribe to the list, please follow the instructions at
-<a class="reference external" href="https://mailman.mit.edu/mailman/listinfo/kerberos">https://mailman.mit.edu/mailman/listinfo/kerberos</a>.</li>
-<li><a class="reference external" href="mailto:krbdev&#37;&#52;&#48;mit&#46;edu">krbdev<span>&#64;</span>mit<span>&#46;</span>edu</a> is the primary list for developers of MIT Kerberos.
+<a class="reference external" href="https://mailman.mit.edu/mailman/listinfo/kerberos">https://mailman.mit.edu/mailman/listinfo/kerberos</a>.</p></li>
+<li><p><a class="reference external" href="mailto:krbdev&#37;&#52;&#48;mit&#46;edu">krbdev<span>&#64;</span>mit<span>&#46;</span>edu</a> is the primary list for developers of MIT Kerberos.
 To subscribe to the list, please follow the instructions at
-<a class="reference external" href="https://mailman.mit.edu/mailman/listinfo/krbdev">https://mailman.mit.edu/mailman/listinfo/krbdev</a>.</li>
-<li><a class="reference external" href="mailto:krb5-bugs&#37;&#52;&#48;mit&#46;edu">krb5-bugs<span>&#64;</span>mit<span>&#46;</span>edu</a> is notified when a ticket is created or updated.
+<a class="reference external" href="https://mailman.mit.edu/mailman/listinfo/krbdev">https://mailman.mit.edu/mailman/listinfo/krbdev</a>.</p></li>
+<li><p><a class="reference external" href="mailto:krb5-bugs&#37;&#52;&#48;mit&#46;edu">krb5-bugs<span>&#64;</span>mit<span>&#46;</span>edu</a> is notified when a ticket is created or updated.
 This list helps track bugs and feature requests.
 In addition, this list is used to track documentation criticism
-and recommendations for improvements.</li>
-<li><a class="reference external" href="mailto:krbcore&#37;&#52;&#48;mit&#46;edu">krbcore<span>&#64;</span>mit<span>&#46;</span>edu</a> is a private list for the MIT krb5 core team.  Send
-mail to this list if you need to contact the core team.</li>
-<li><a class="reference external" href="mailto:krbcore-security&#37;&#52;&#48;mit&#46;edu">krbcore-security<span>&#64;</span>mit<span>&#46;</span>edu</a> is the point of contact for security problems
+and recommendations for improvements.</p></li>
+<li><p><a class="reference external" href="mailto:krbcore&#37;&#52;&#48;mit&#46;edu">krbcore<span>&#64;</span>mit<span>&#46;</span>edu</a> is a private list for the MIT krb5 core team.  Send
+mail to this list if you need to contact the core team.</p></li>
+<li><p><a class="reference external" href="mailto:krbcore-security&#37;&#52;&#48;mit&#46;edu">krbcore-security<span>&#64;</span>mit<span>&#46;</span>edu</a> is the point of contact for security problems
 with MIT Kerberos.  Please use PGP-encrypted mail to report possible
-vulnerabilities to this list.</li>
+vulnerabilities to this list.</p></li>
 </ul>
-</div>
-<div class="section" id="irc-channels">
+</section>
+<section id="irc-channels">
 <h2>IRC channels<a class="headerlink" href="#irc-channels" title="Permalink to this headline">¶</a></h2>
 <p>The IRC channel <cite>#kerberos</cite> on libera.chat is a community resource for
 general Kerberos discussion and support.</p>
 <p>The main IRC channel for MIT Kerberos development is <cite>#krbdev</cite> on
 Libera Chat.</p>
 <p>For more information about Libera Chat, see <a class="reference external" href="https://libera.chat/">https://libera.chat/</a>.</p>
-</div>
-<div class="section" id="archives">
+</section>
+<section id="archives">
 <h2>Archives<a class="headerlink" href="#archives" title="Permalink to this headline">¶</a></h2>
 <ul class="simple">
-<li>The archive <a class="reference external" href="https://mailman.mit.edu/pipermail/kerberos/">https://mailman.mit.edu/pipermail/kerberos/</a> contains
-past postings from the <cite>kerberos&#64;mit.edu</cite> list.</li>
-<li>The <a class="reference external" href="https://mailman.mit.edu/pipermail/krbdev/">https://mailman.mit.edu/pipermail/krbdev/</a> contains past postings
-from the <cite>krbdev&#64;mit.edu</cite> list.</li>
+<li><p>The archive <a class="reference external" href="https://mailman.mit.edu/pipermail/kerberos/">https://mailman.mit.edu/pipermail/kerberos/</a> contains
+past postings from the <cite>kerberos&#64;mit.edu</cite> list.</p></li>
+<li><p>The <a class="reference external" href="https://mailman.mit.edu/pipermail/krbdev/">https://mailman.mit.edu/pipermail/krbdev/</a> contains past postings
+from the <cite>krbdev&#64;mit.edu</cite> list.</p></li>
 </ul>
-</div>
-<div class="section" id="wiki">
+</section>
+<section id="wiki">
 <h2>Wiki<a class="headerlink" href="#wiki" title="Permalink to this headline">¶</a></h2>
 <p>The wiki at <a class="reference external" href="https://k5wiki.kerberos.org/">https://k5wiki.kerberos.org/</a> contains useful information
 for developers working on the MIT Kerberos source code.  Some of the
 information on the wiki may be useful for advanced users or system
 administrators.</p>
-</div>
-<div class="section" id="web-pages">
+</section>
+<section id="web-pages">
 <h2>Web pages<a class="headerlink" href="#web-pages" title="Permalink to this headline">¶</a></h2>
 <ul class="simple">
-<li><a class="reference external" href="https://web.mit.edu/kerberos/">https://web.mit.edu/kerberos/</a> is the MIT Kerberos software web page.</li>
-<li><a class="reference external" href="https://kerberos.org/">https://kerberos.org/</a> is the MIT Kerberos Consortium web page.</li>
+<li><p><a class="reference external" href="https://web.mit.edu/kerberos/">https://web.mit.edu/kerberos/</a> is the MIT Kerberos software web page.</p></li>
+<li><p><a class="reference external" href="https://kerberos.org/">https://kerberos.org/</a> is the MIT Kerberos Consortium web page.</p></li>
 </ul>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Resources</a><ul>
@@ -157,6 +150,7 @@ administrators.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -164,8 +158,8 @@ administrators.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/search.html 1.21.3-1/doc/html/search.html
--- 1.21.2-1/doc/html/search.html	2023-08-14 16:24:20.000000000 +0000
+++ 1.21.3-1/doc/html/search.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,41 +1,29 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <title>Search &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    './',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="_static/jquery.js"></script>
-    <script type="text/javascript" src="_static/underscore.js"></script>
-    <script type="text/javascript" src="_static/doctools.js"></script>
-    <script type="text/javascript" src="_static/searchtools.js"></script>
+    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="_static/kerb.css" />
+    
+    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
+    <script src="_static/jquery.js"></script>
+    <script src="_static/underscore.js"></script>
+    <script src="_static/doctools.js"></script>
+    <script src="_static/searchtools.js"></script>
+    <script src="_static/language_data.js"></script>
     <link rel="author" title="About these documents" href="about.html" />
     <link rel="index" title="Index" href="genindex.html" />
     <link rel="search" title="Search" href="#" />
     <link rel="copyright" title="Copyright" href="copyright.html" />
-  <script type="text/javascript">
-    jQuery(function() { Search.loadIndex("searchindex.js"); });
-  </script>
-  
-  <script type="text/javascript" id="searchindexloader"></script>
+  <script src="searchindex.js" defer></script>
    
 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -64,34 +52,43 @@
           <div class="body" role="main">
             
   <h1 id="search-documentation">Search</h1>
-  <div id="fallback" class="admonition warning">
-  <script type="text/javascript">$('#fallback').hide();</script>
+  
+  <noscript>
+  <div class="admonition warning">
   <p>
     Please activate JavaScript to enable the search
     functionality.
   </p>
   </div>
+  </noscript>
+  
+  
   <p>
-    From here you can search these documents. Enter your search
-    words into the box below and click "search". Note that the search
-    function will automatically search for all of the words. Pages
-    containing fewer words won't appear in the result list.
+    Searching for multiple words only shows matches that contain
+    all words.
   </p>
+  
+  
   <form action="" method="get">
-    <input type="text" name="q" value="" />
+    <input type="text" name="q" aria-labelledby="search-documentation" value="" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
     <input type="submit" value="search" />
     <span id="search-progress" style="padding-left: 10px"></span>
   </form>
   
+  
+  
   <div id="search-results">
   
   </div>
+  
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     
     <br/>
@@ -119,6 +116,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -126,8 +124,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/searchindex.js 1.21.3-1/doc/html/searchindex.js
--- 1.21.2-1/doc/html/searchindex.js	2023-08-14 16:24:20.000000000 +0000
+++ 1.21.3-1/doc/html/searchindex.js	2024-06-26 20:01:31.000000000 +0000
@@ -1 +1 @@
-Search.setIndex({docnames:["about","admin/admin_commands/index","admin/admin_commands/k5srvutil","admin/admin_commands/kadmin_local","admin/admin_commands/kadmind","admin/admin_commands/kdb5_ldap_util","admin/admin_commands/kdb5_util","admin/admin_commands/kprop","admin/admin_commands/kpropd","admin/admin_commands/kproplog","admin/admin_commands/krb5kdc","admin/admin_commands/ktutil","admin/admin_commands/sserver","admin/advanced/index","admin/advanced/retiring-des","admin/appl_servers","admin/auth_indicator","admin/backup_host","admin/conf_files/index","admin/conf_files/kadm5_acl","admin/conf_files/kdc_conf","admin/conf_files/krb5_conf","admin/conf_ldap","admin/database","admin/dbtypes","admin/dictionary","admin/enctypes","admin/env_variables","admin/host_config","admin/https","admin/index","admin/install","admin/install_appl_srv","admin/install_clients","admin/install_kdc","admin/lockout","admin/otp","admin/pkinit","admin/princ_dns","admin/realm_config","admin/spake","admin/troubleshoot","admin/various_envs","appdev/gssapi","appdev/h5l_mit_apidiff","appdev/index","appdev/init_creds","appdev/princ_handle","appdev/refs/api/index","appdev/refs/api/krb5_425_conv_principal","appdev/refs/api/krb5_524_conv_principal","appdev/refs/api/krb5_524_convert_creds","appdev/refs/api/krb5_address_compare","appdev/refs/api/krb5_address_order","appdev/refs/api/krb5_address_search","appdev/refs/api/krb5_allow_weak_crypto","appdev/refs/api/krb5_aname_to_localname","appdev/refs/api/krb5_anonymous_principal","appdev/refs/api/krb5_anonymous_realm","appdev/refs/api/krb5_appdefault_boolean","appdev/refs/api/krb5_appdefault_string","appdev/refs/api/krb5_auth_con_free","appdev/refs/api/krb5_auth_con_genaddrs","appdev/refs/api/krb5_auth_con_get_checksum_func","appdev/refs/api/krb5_auth_con_getaddrs","appdev/refs/api/krb5_auth_con_getauthenticator","appdev/refs/api/krb5_auth_con_getflags","appdev/refs/api/krb5_auth_con_getkey","appdev/refs/api/krb5_auth_con_getkey_k","appdev/refs/api/krb5_auth_con_getlocalseqnumber","appdev/refs/api/krb5_auth_con_getlocalsubkey","appdev/refs/api/krb5_auth_con_getrcache","appdev/refs/api/krb5_auth_con_getrecvsubkey","appdev/refs/api/krb5_auth_con_getrecvsubkey_k","appdev/refs/api/krb5_auth_con_getremoteseqnumber","appdev/refs/api/krb5_auth_con_getremotesubkey","appdev/refs/api/krb5_auth_con_getsendsubkey","appdev/refs/api/krb5_auth_con_getsendsubkey_k","appdev/refs/api/krb5_auth_con_init","appdev/refs/api/krb5_auth_con_initivector","appdev/refs/api/krb5_auth_con_set_checksum_func","appdev/refs/api/krb5_auth_con_set_req_cksumtype","appdev/refs/api/krb5_auth_con_setaddrs","appdev/refs/api/krb5_auth_con_setflags","appdev/refs/api/krb5_auth_con_setports","appdev/refs/api/krb5_auth_con_setrcache","appdev/refs/api/krb5_auth_con_setrecvsubkey","appdev/refs/api/krb5_auth_con_setrecvsubkey_k","appdev/refs/api/krb5_auth_con_setsendsubkey","appdev/refs/api/krb5_auth_con_setsendsubkey_k","appdev/refs/api/krb5_auth_con_setuseruserkey","appdev/refs/api/krb5_build_principal","appdev/refs/api/krb5_build_principal_alloc_va","appdev/refs/api/krb5_build_principal_ext","appdev/refs/api/krb5_build_principal_va","appdev/refs/api/krb5_c_block_size","appdev/refs/api/krb5_c_checksum_length","appdev/refs/api/krb5_c_crypto_length","appdev/refs/api/krb5_c_crypto_length_iov","appdev/refs/api/krb5_c_decrypt","appdev/refs/api/krb5_c_decrypt_iov","appdev/refs/api/krb5_c_derive_prfplus","appdev/refs/api/krb5_c_encrypt","appdev/refs/api/krb5_c_encrypt_iov","appdev/refs/api/krb5_c_encrypt_length","appdev/refs/api/krb5_c_enctype_compare","appdev/refs/api/krb5_c_free_state","appdev/refs/api/krb5_c_fx_cf2_simple","appdev/refs/api/krb5_c_init_state","appdev/refs/api/krb5_c_is_coll_proof_cksum","appdev/refs/api/krb5_c_is_keyed_cksum","appdev/refs/api/krb5_c_keyed_checksum_types","appdev/refs/api/krb5_c_keylengths","appdev/refs/api/krb5_c_make_checksum","appdev/refs/api/krb5_c_make_checksum_iov","appdev/refs/api/krb5_c_make_random_key","appdev/refs/api/krb5_c_padding_length","appdev/refs/api/krb5_c_prf","appdev/refs/api/krb5_c_prf_length","appdev/refs/api/krb5_c_prfplus","appdev/refs/api/krb5_c_random_add_entropy","appdev/refs/api/krb5_c_random_make_octets","appdev/refs/api/krb5_c_random_os_entropy","appdev/refs/api/krb5_c_random_seed","appdev/refs/api/krb5_c_random_to_key","appdev/refs/api/krb5_c_string_to_key","appdev/refs/api/krb5_c_string_to_key_with_params","appdev/refs/api/krb5_c_valid_cksumtype","appdev/refs/api/krb5_c_valid_enctype","appdev/refs/api/krb5_c_verify_checksum","appdev/refs/api/krb5_c_verify_checksum_iov","appdev/refs/api/krb5_calculate_checksum","appdev/refs/api/krb5_cc_cache_match","appdev/refs/api/krb5_cc_close","appdev/refs/api/krb5_cc_copy_creds","appdev/refs/api/krb5_cc_default","appdev/refs/api/krb5_cc_default_name","appdev/refs/api/krb5_cc_destroy","appdev/refs/api/krb5_cc_dup","appdev/refs/api/krb5_cc_end_seq_get","appdev/refs/api/krb5_cc_gen_new","appdev/refs/api/krb5_cc_get_config","appdev/refs/api/krb5_cc_get_flags","appdev/refs/api/krb5_cc_get_full_name","appdev/refs/api/krb5_cc_get_name","appdev/refs/api/krb5_cc_get_principal","appdev/refs/api/krb5_cc_get_type","appdev/refs/api/krb5_cc_initialize","appdev/refs/api/krb5_cc_move","appdev/refs/api/krb5_cc_new_unique","appdev/refs/api/krb5_cc_next_cred","appdev/refs/api/krb5_cc_remove_cred","appdev/refs/api/krb5_cc_resolve","appdev/refs/api/krb5_cc_retrieve_cred","appdev/refs/api/krb5_cc_select","appdev/refs/api/krb5_cc_set_config","appdev/refs/api/krb5_cc_set_default_name","appdev/refs/api/krb5_cc_set_flags","appdev/refs/api/krb5_cc_start_seq_get","appdev/refs/api/krb5_cc_store_cred","appdev/refs/api/krb5_cc_support_switch","appdev/refs/api/krb5_cc_switch","appdev/refs/api/krb5_cccol_cursor_free","appdev/refs/api/krb5_cccol_cursor_new","appdev/refs/api/krb5_cccol_cursor_next","appdev/refs/api/krb5_cccol_have_content","appdev/refs/api/krb5_change_password","appdev/refs/api/krb5_check_clockskew","appdev/refs/api/krb5_checksum_size","appdev/refs/api/krb5_chpw_message","appdev/refs/api/krb5_cksumtype_to_string","appdev/refs/api/krb5_clear_error_message","appdev/refs/api/krb5_copy_addresses","appdev/refs/api/krb5_copy_authdata","appdev/refs/api/krb5_copy_authenticator","appdev/refs/api/krb5_copy_checksum","appdev/refs/api/krb5_copy_context","appdev/refs/api/krb5_copy_creds","appdev/refs/api/krb5_copy_data","appdev/refs/api/krb5_copy_error_message","appdev/refs/api/krb5_copy_keyblock","appdev/refs/api/krb5_copy_keyblock_contents","appdev/refs/api/krb5_copy_principal","appdev/refs/api/krb5_copy_ticket","appdev/refs/api/krb5_decode_authdata_container","appdev/refs/api/krb5_decode_ticket","appdev/refs/api/krb5_decrypt","appdev/refs/api/krb5_deltat_to_string","appdev/refs/api/krb5_eblock_enctype","appdev/refs/api/krb5_encode_authdata_container","appdev/refs/api/krb5_encrypt","appdev/refs/api/krb5_encrypt_size","appdev/refs/api/krb5_enctype_to_name","appdev/refs/api/krb5_enctype_to_string","appdev/refs/api/krb5_expand_hostname","appdev/refs/api/krb5_find_authdata","appdev/refs/api/krb5_finish_key","appdev/refs/api/krb5_finish_random_key","appdev/refs/api/krb5_free_addresses","appdev/refs/api/krb5_free_ap_rep_enc_part","appdev/refs/api/krb5_free_authdata","appdev/refs/api/krb5_free_authenticator","appdev/refs/api/krb5_free_checksum","appdev/refs/api/krb5_free_checksum_contents","appdev/refs/api/krb5_free_cksumtypes","appdev/refs/api/krb5_free_context","appdev/refs/api/krb5_free_cred_contents","appdev/refs/api/krb5_free_creds","appdev/refs/api/krb5_free_data","appdev/refs/api/krb5_free_data_contents","appdev/refs/api/krb5_free_default_realm","appdev/refs/api/krb5_free_enctypes","appdev/refs/api/krb5_free_error","appdev/refs/api/krb5_free_error_message","appdev/refs/api/krb5_free_host_realm","appdev/refs/api/krb5_free_keyblock","appdev/refs/api/krb5_free_keyblock_contents","appdev/refs/api/krb5_free_keytab_entry_contents","appdev/refs/api/krb5_free_principal","appdev/refs/api/krb5_free_string","appdev/refs/api/krb5_free_tgt_creds","appdev/refs/api/krb5_free_ticket","appdev/refs/api/krb5_free_unparsed_name","appdev/refs/api/krb5_fwd_tgt_creds","appdev/refs/api/krb5_get_credentials","appdev/refs/api/krb5_get_credentials_renew","appdev/refs/api/krb5_get_credentials_validate","appdev/refs/api/krb5_get_default_realm","appdev/refs/api/krb5_get_error_message","appdev/refs/api/krb5_get_etype_info","appdev/refs/api/krb5_get_fallback_host_realm","appdev/refs/api/krb5_get_host_realm","appdev/refs/api/krb5_get_in_tkt_with_keytab","appdev/refs/api/krb5_get_in_tkt_with_password","appdev/refs/api/krb5_get_in_tkt_with_skey","appdev/refs/api/krb5_get_init_creds_keytab","appdev/refs/api/krb5_get_init_creds_opt_alloc","appdev/refs/api/krb5_get_init_creds_opt_free","appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags","appdev/refs/api/krb5_get_init_creds_opt_init","appdev/refs/api/krb5_get_init_creds_opt_set_address_list","appdev/refs/api/krb5_get_init_creds_opt_set_anonymous","appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize","appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt","appdev/refs/api/krb5_get_init_creds_opt_set_etype_list","appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback","appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache","appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name","appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags","appdev/refs/api/krb5_get_init_creds_opt_set_forwardable","appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache","appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache","appdev/refs/api/krb5_get_init_creds_opt_set_pa","appdev/refs/api/krb5_get_init_creds_opt_set_pac_request","appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list","appdev/refs/api/krb5_get_init_creds_opt_set_proxiable","appdev/refs/api/krb5_get_init_creds_opt_set_renew_life","appdev/refs/api/krb5_get_init_creds_opt_set_responder","appdev/refs/api/krb5_get_init_creds_opt_set_salt","appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life","appdev/refs/api/krb5_get_init_creds_password","appdev/refs/api/krb5_get_permitted_enctypes","appdev/refs/api/krb5_get_profile","appdev/refs/api/krb5_get_prompt_types","appdev/refs/api/krb5_get_renewed_creds","appdev/refs/api/krb5_get_server_rcache","appdev/refs/api/krb5_get_time_offsets","appdev/refs/api/krb5_get_validated_creds","appdev/refs/api/krb5_init_context","appdev/refs/api/krb5_init_context_profile","appdev/refs/api/krb5_init_creds_free","appdev/refs/api/krb5_init_creds_get","appdev/refs/api/krb5_init_creds_get_creds","appdev/refs/api/krb5_init_creds_get_error","appdev/refs/api/krb5_init_creds_get_times","appdev/refs/api/krb5_init_creds_init","appdev/refs/api/krb5_init_creds_set_keytab","appdev/refs/api/krb5_init_creds_set_password","appdev/refs/api/krb5_init_creds_set_service","appdev/refs/api/krb5_init_creds_step","appdev/refs/api/krb5_init_keyblock","appdev/refs/api/krb5_init_random_key","appdev/refs/api/krb5_init_secure_context","appdev/refs/api/krb5_is_config_principal","appdev/refs/api/krb5_is_referral_realm","appdev/refs/api/krb5_is_thread_safe","appdev/refs/api/krb5_k_create_key","appdev/refs/api/krb5_k_decrypt","appdev/refs/api/krb5_k_decrypt_iov","appdev/refs/api/krb5_k_encrypt","appdev/refs/api/krb5_k_encrypt_iov","appdev/refs/api/krb5_k_free_key","appdev/refs/api/krb5_k_key_enctype","appdev/refs/api/krb5_k_key_keyblock","appdev/refs/api/krb5_k_make_checksum","appdev/refs/api/krb5_k_make_checksum_iov","appdev/refs/api/krb5_k_prf","appdev/refs/api/krb5_k_reference_key","appdev/refs/api/krb5_k_verify_checksum","appdev/refs/api/krb5_k_verify_checksum_iov","appdev/refs/api/krb5_kdc_sign_ticket","appdev/refs/api/krb5_kdc_verify_ticket","appdev/refs/api/krb5_kt_add_entry","appdev/refs/api/krb5_kt_client_default","appdev/refs/api/krb5_kt_close","appdev/refs/api/krb5_kt_default","appdev/refs/api/krb5_kt_default_name","appdev/refs/api/krb5_kt_dup","appdev/refs/api/krb5_kt_end_seq_get","appdev/refs/api/krb5_kt_free_entry","appdev/refs/api/krb5_kt_get_entry","appdev/refs/api/krb5_kt_get_name","appdev/refs/api/krb5_kt_get_type","appdev/refs/api/krb5_kt_have_content","appdev/refs/api/krb5_kt_next_entry","appdev/refs/api/krb5_kt_read_service_key","appdev/refs/api/krb5_kt_remove_entry","appdev/refs/api/krb5_kt_resolve","appdev/refs/api/krb5_kt_start_seq_get","appdev/refs/api/krb5_kuserok","appdev/refs/api/krb5_make_authdata_kdc_issued","appdev/refs/api/krb5_marshal_credentials","appdev/refs/api/krb5_merge_authdata","appdev/refs/api/krb5_mk_1cred","appdev/refs/api/krb5_mk_error","appdev/refs/api/krb5_mk_ncred","appdev/refs/api/krb5_mk_priv","appdev/refs/api/krb5_mk_rep","appdev/refs/api/krb5_mk_rep_dce","appdev/refs/api/krb5_mk_req","appdev/refs/api/krb5_mk_req_extended","appdev/refs/api/krb5_mk_safe","appdev/refs/api/krb5_os_localaddr","appdev/refs/api/krb5_pac_add_buffer","appdev/refs/api/krb5_pac_free","appdev/refs/api/krb5_pac_get_buffer","appdev/refs/api/krb5_pac_get_client_info","appdev/refs/api/krb5_pac_get_types","appdev/refs/api/krb5_pac_init","appdev/refs/api/krb5_pac_parse","appdev/refs/api/krb5_pac_sign","appdev/refs/api/krb5_pac_sign_ext","appdev/refs/api/krb5_pac_verify","appdev/refs/api/krb5_pac_verify_ext","appdev/refs/api/krb5_parse_name","appdev/refs/api/krb5_parse_name_flags","appdev/refs/api/krb5_prepend_error_message","appdev/refs/api/krb5_principal2salt","appdev/refs/api/krb5_principal_compare","appdev/refs/api/krb5_principal_compare_any_realm","appdev/refs/api/krb5_principal_compare_flags","appdev/refs/api/krb5_process_key","appdev/refs/api/krb5_prompter_posix","appdev/refs/api/krb5_random_key","appdev/refs/api/krb5_rd_cred","appdev/refs/api/krb5_rd_error","appdev/refs/api/krb5_rd_priv","appdev/refs/api/krb5_rd_rep","appdev/refs/api/krb5_rd_rep_dce","appdev/refs/api/krb5_rd_req","appdev/refs/api/krb5_rd_safe","appdev/refs/api/krb5_read_password","appdev/refs/api/krb5_realm_compare","appdev/refs/api/krb5_recvauth","appdev/refs/api/krb5_recvauth_version","appdev/refs/api/krb5_responder_get_challenge","appdev/refs/api/krb5_responder_list_questions","appdev/refs/api/krb5_responder_otp_challenge_free","appdev/refs/api/krb5_responder_otp_get_challenge","appdev/refs/api/krb5_responder_otp_set_answer","appdev/refs/api/krb5_responder_pkinit_challenge_free","appdev/refs/api/krb5_responder_pkinit_get_challenge","appdev/refs/api/krb5_responder_pkinit_set_answer","appdev/refs/api/krb5_responder_set_answer","appdev/refs/api/krb5_salttype_to_string","appdev/refs/api/krb5_sendauth","appdev/refs/api/krb5_server_decrypt_ticket_keytab","appdev/refs/api/krb5_set_default_realm","appdev/refs/api/krb5_set_default_tgs_enctypes","appdev/refs/api/krb5_set_error_message","appdev/refs/api/krb5_set_kdc_recv_hook","appdev/refs/api/krb5_set_kdc_send_hook","appdev/refs/api/krb5_set_password","appdev/refs/api/krb5_set_password_using_ccache","appdev/refs/api/krb5_set_principal_realm","appdev/refs/api/krb5_set_real_time","appdev/refs/api/krb5_set_trace_callback","appdev/refs/api/krb5_set_trace_filename","appdev/refs/api/krb5_sname_match","appdev/refs/api/krb5_sname_to_principal","appdev/refs/api/krb5_string_to_cksumtype","appdev/refs/api/krb5_string_to_deltat","appdev/refs/api/krb5_string_to_enctype","appdev/refs/api/krb5_string_to_key","appdev/refs/api/krb5_string_to_salttype","appdev/refs/api/krb5_string_to_timestamp","appdev/refs/api/krb5_timeofday","appdev/refs/api/krb5_timestamp_to_sfstring","appdev/refs/api/krb5_timestamp_to_string","appdev/refs/api/krb5_tkt_creds_free","appdev/refs/api/krb5_tkt_creds_get","appdev/refs/api/krb5_tkt_creds_get_creds","appdev/refs/api/krb5_tkt_creds_get_times","appdev/refs/api/krb5_tkt_creds_init","appdev/refs/api/krb5_tkt_creds_step","appdev/refs/api/krb5_unmarshal_credentials","appdev/refs/api/krb5_unparse_name","appdev/refs/api/krb5_unparse_name_ext","appdev/refs/api/krb5_unparse_name_flags","appdev/refs/api/krb5_unparse_name_flags_ext","appdev/refs/api/krb5_us_timeofday","appdev/refs/api/krb5_use_enctype","appdev/refs/api/krb5_verify_authdata_kdc_issued","appdev/refs/api/krb5_verify_checksum","appdev/refs/api/krb5_verify_init_creds","appdev/refs/api/krb5_verify_init_creds_opt_init","appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail","appdev/refs/api/krb5_vprepend_error_message","appdev/refs/api/krb5_vset_error_message","appdev/refs/api/krb5_vwrap_error_message","appdev/refs/api/krb5_wrap_error_message","appdev/refs/index","appdev/refs/macros/ADDRTYPE_ADDRPORT","appdev/refs/macros/ADDRTYPE_CHAOS","appdev/refs/macros/ADDRTYPE_DDP","appdev/refs/macros/ADDRTYPE_INET","appdev/refs/macros/ADDRTYPE_INET6","appdev/refs/macros/ADDRTYPE_IPPORT","appdev/refs/macros/ADDRTYPE_ISO","appdev/refs/macros/ADDRTYPE_IS_LOCAL","appdev/refs/macros/ADDRTYPE_NETBIOS","appdev/refs/macros/ADDRTYPE_XNS","appdev/refs/macros/AD_TYPE_EXTERNAL","appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK","appdev/refs/macros/AD_TYPE_REGISTERED","appdev/refs/macros/AD_TYPE_RESERVED","appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION","appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED","appdev/refs/macros/AP_OPTS_RESERVED","appdev/refs/macros/AP_OPTS_USE_SESSION_KEY","appdev/refs/macros/AP_OPTS_USE_SUBKEY","appdev/refs/macros/AP_OPTS_WIRE_MASK","appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128","appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256","appdev/refs/macros/CKSUMTYPE_CRC32","appdev/refs/macros/CKSUMTYPE_DESCBC","appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3","appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128","appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256","appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR","appdev/refs/macros/CKSUMTYPE_NIST_SHA","appdev/refs/macros/CKSUMTYPE_RSA_MD4","appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES","appdev/refs/macros/CKSUMTYPE_RSA_MD5","appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES","appdev/refs/macros/CKSUMTYPE_SHA1","appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96","appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128","appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96","appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192","appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC","appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP","appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC","appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC","appdev/refs/macros/ENCTYPE_DES3_CBC_ENV","appdev/refs/macros/ENCTYPE_DES3_CBC_RAW","appdev/refs/macros/ENCTYPE_DES3_CBC_SHA","appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1","appdev/refs/macros/ENCTYPE_DES_CBC_CRC","appdev/refs/macros/ENCTYPE_DES_CBC_MD4","appdev/refs/macros/ENCTYPE_DES_CBC_MD5","appdev/refs/macros/ENCTYPE_DES_CBC_RAW","appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1","appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS","appdev/refs/macros/ENCTYPE_MD5_RSA_CMS","appdev/refs/macros/ENCTYPE_NULL","appdev/refs/macros/ENCTYPE_RC2_CBC_ENV","appdev/refs/macros/ENCTYPE_RSA_ENV","appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV","appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS","appdev/refs/macros/ENCTYPE_UNKNOWN","appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE","appdev/refs/macros/KDC_OPT_CANONICALIZE","appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT","appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK","appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY","appdev/refs/macros/KDC_OPT_FORWARDABLE","appdev/refs/macros/KDC_OPT_FORWARDED","appdev/refs/macros/KDC_OPT_POSTDATED","appdev/refs/macros/KDC_OPT_PROXIABLE","appdev/refs/macros/KDC_OPT_PROXY","appdev/refs/macros/KDC_OPT_RENEW","appdev/refs/macros/KDC_OPT_RENEWABLE","appdev/refs/macros/KDC_OPT_RENEWABLE_OK","appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS","appdev/refs/macros/KDC_OPT_VALIDATE","appdev/refs/macros/KDC_TKT_COMMON_MASK","appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE","appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR","appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR","appdev/refs/macros/KRB5_AP_REP","appdev/refs/macros/KRB5_AP_REQ","appdev/refs/macros/KRB5_AS_REP","appdev/refs/macros/KRB5_AS_REQ","appdev/refs/macros/KRB5_AUTHDATA_AND_OR","appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS","appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR","appdev/refs/macros/KRB5_AUTHDATA_CAMMAC","appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION","appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR","appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT","appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS","appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED","appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC","appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE","appdev/refs/macros/KRB5_AUTHDATA_SESAME","appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET","appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC","appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE","appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR","appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL","appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE","appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME","appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY","appdev/refs/macros/KRB5_CRED","appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM","appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA","appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY","appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER","appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING","appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY","appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM","appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER","appdev/refs/macros/KRB5_CYBERSAFE_SECUREID","appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS","appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP","appdev/refs/macros/KRB5_ERROR","appdev/refs/macros/KRB5_FAST_REQUIRED","appdev/refs/macros/KRB5_GC_CACHED","appdev/refs/macros/KRB5_GC_CANONICALIZE","appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION","appdev/refs/macros/KRB5_GC_FORWARDABLE","appdev/refs/macros/KRB5_GC_NO_STORE","appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK","appdev/refs/macros/KRB5_GC_USER_USER","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE","appdev/refs/macros/KRB5_INIT_CONTEXT_KDC","appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE","appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE","appdev/refs/macros/KRB5_INT16_MAX","appdev/refs/macros/KRB5_INT16_MIN","appdev/refs/macros/KRB5_INT32_MAX","appdev/refs/macros/KRB5_INT32_MIN","appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE","appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE","appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH","appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT","appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART","appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH","appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART","appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ","appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS","appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC","appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT","appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC","appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC","appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED","appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP","appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV","appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED","appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET","appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART","appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART","appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS","appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE","appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST","appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX","appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY","appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE","appdev/refs/macros/KRB5_KEYUSAGE_SPAKE","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM","appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED","appdev/refs/macros/KRB5_KPASSWD_AUTHERROR","appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION","appdev/refs/macros/KRB5_KPASSWD_HARDERROR","appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED","appdev/refs/macros/KRB5_KPASSWD_MALFORMED","appdev/refs/macros/KRB5_KPASSWD_SOFTERROR","appdev/refs/macros/KRB5_KPASSWD_SUCCESS","appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME","appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL","appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL","appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ","appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT","appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED","appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME","appdev/refs/macros/KRB5_LRQ_NONE","appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME","appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL","appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL","appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ","appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT","appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED","appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME","appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL","appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID","appdev/refs/macros/KRB5_NT_MS_PRINCIPAL","appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID","appdev/refs/macros/KRB5_NT_PRINCIPAL","appdev/refs/macros/KRB5_NT_SMTP_NAME","appdev/refs/macros/KRB5_NT_SRV_HST","appdev/refs/macros/KRB5_NT_SRV_INST","appdev/refs/macros/KRB5_NT_SRV_XHST","appdev/refs/macros/KRB5_NT_UID","appdev/refs/macros/KRB5_NT_UNKNOWN","appdev/refs/macros/KRB5_NT_WELLKNOWN","appdev/refs/macros/KRB5_NT_X500_PRINCIPAL","appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO","appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS","appdev/refs/macros/KRB5_PAC_CLIENT_INFO","appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO","appdev/refs/macros/KRB5_PAC_DELEGATION_INFO","appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS","appdev/refs/macros/KRB5_PAC_DEVICE_INFO","appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM","appdev/refs/macros/KRB5_PAC_LOGON_INFO","appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM","appdev/refs/macros/KRB5_PAC_REQUESTOR","appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM","appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM","appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO","appdev/refs/macros/KRB5_PADATA_AFS3_SALT","appdev/refs/macros/KRB5_PADATA_AP_REQ","appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM","appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS","appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE","appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID","appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP","appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME","appdev/refs/macros/KRB5_PADATA_ETYPE_INFO","appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2","appdev/refs/macros/KRB5_PADATA_FOR_USER","appdev/refs/macros/KRB5_PADATA_FX_COOKIE","appdev/refs/macros/KRB5_PADATA_FX_ERROR","appdev/refs/macros/KRB5_PADATA_FX_FAST","appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA","appdev/refs/macros/KRB5_PADATA_NONE","appdev/refs/macros/KRB5_PADATA_OSF_DCE","appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE","appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE","appdev/refs/macros/KRB5_PADATA_OTP_REQUEST","appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS","appdev/refs/macros/KRB5_PADATA_PAC_REQUEST","appdev/refs/macros/KRB5_PADATA_PKINIT_KX","appdev/refs/macros/KRB5_PADATA_PK_AS_REP","appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD","appdev/refs/macros/KRB5_PADATA_PK_AS_REQ","appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD","appdev/refs/macros/KRB5_PADATA_PW_SALT","appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2","appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY","appdev/refs/macros/KRB5_PADATA_REFERRAL","appdev/refs/macros/KRB5_PADATA_S4U_X509_USER","appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE","appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2","appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT","appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE","appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2","appdev/refs/macros/KRB5_PADATA_SESAME","appdev/refs/macros/KRB5_PADATA_SPAKE","appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO","appdev/refs/macros/KRB5_PADATA_TGS_REQ","appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT","appdev/refs/macros/KRB5_PRIV","appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD","appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN","appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD","appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH","appdev/refs/macros/KRB5_PVNO","appdev/refs/macros/KRB5_REALM_BRANCH_CHAR","appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS","appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION","appdev/refs/macros/KRB5_REFERRAL_REALM","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED","appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP","appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD","appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT","appdev/refs/macros/KRB5_SAFE","appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD","appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD","appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY","appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT","appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA","appdev/refs/macros/KRB5_TC_MATCH_FLAGS","appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT","appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY","appdev/refs/macros/KRB5_TC_MATCH_KTYPE","appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY","appdev/refs/macros/KRB5_TC_MATCH_TIMES","appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT","appdev/refs/macros/KRB5_TC_NOTICKET","appdev/refs/macros/KRB5_TC_OPENCLOSE","appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES","appdev/refs/macros/KRB5_TGS_NAME","appdev/refs/macros/KRB5_TGS_NAME_SIZE","appdev/refs/macros/KRB5_TGS_REP","appdev/refs/macros/KRB5_TGS_REQ","appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE","appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL","appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR","appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK","appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY","appdev/refs/macros/MAX_KEYTAB_NAME_LEN","appdev/refs/macros/MSEC_DIRBIT","appdev/refs/macros/MSEC_VAL_MASK","appdev/refs/macros/SALT_TYPE_AFS_LENGTH","appdev/refs/macros/SALT_TYPE_NO_LENGTH","appdev/refs/macros/THREEPARAMOPEN","appdev/refs/macros/TKT_FLG_ANONYMOUS","appdev/refs/macros/TKT_FLG_ENC_PA_REP","appdev/refs/macros/TKT_FLG_FORWARDABLE","appdev/refs/macros/TKT_FLG_FORWARDED","appdev/refs/macros/TKT_FLG_HW_AUTH","appdev/refs/macros/TKT_FLG_INITIAL","appdev/refs/macros/TKT_FLG_INVALID","appdev/refs/macros/TKT_FLG_MAY_POSTDATE","appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE","appdev/refs/macros/TKT_FLG_POSTDATED","appdev/refs/macros/TKT_FLG_PRE_AUTH","appdev/refs/macros/TKT_FLG_PROXIABLE","appdev/refs/macros/TKT_FLG_PROXY","appdev/refs/macros/TKT_FLG_RENEWABLE","appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED","appdev/refs/macros/VALID_INT_BITS","appdev/refs/macros/VALID_UINT_BITS","appdev/refs/macros/index","appdev/refs/macros/krb524_convert_creds_kdc","appdev/refs/macros/krb524_init_ets","appdev/refs/macros/krb5_const","appdev/refs/macros/krb5_princ_component","appdev/refs/macros/krb5_princ_name","appdev/refs/macros/krb5_princ_realm","appdev/refs/macros/krb5_princ_set_realm","appdev/refs/macros/krb5_princ_set_realm_data","appdev/refs/macros/krb5_princ_set_realm_length","appdev/refs/macros/krb5_princ_size","appdev/refs/macros/krb5_princ_type","appdev/refs/macros/krb5_roundup","appdev/refs/macros/krb5_x","appdev/refs/macros/krb5_xc","appdev/refs/types/index","appdev/refs/types/krb5_address","appdev/refs/types/krb5_addrtype","appdev/refs/types/krb5_ap_rep","appdev/refs/types/krb5_ap_rep_enc_part","appdev/refs/types/krb5_ap_req","appdev/refs/types/krb5_auth_context","appdev/refs/types/krb5_authdata","appdev/refs/types/krb5_authdatatype","appdev/refs/types/krb5_authenticator","appdev/refs/types/krb5_boolean","appdev/refs/types/krb5_cc_cursor","appdev/refs/types/krb5_ccache","appdev/refs/types/krb5_cccol_cursor","appdev/refs/types/krb5_checksum","appdev/refs/types/krb5_cksumtype","appdev/refs/types/krb5_const_pointer","appdev/refs/types/krb5_const_principal","appdev/refs/types/krb5_context","appdev/refs/types/krb5_cred","appdev/refs/types/krb5_cred_enc_part","appdev/refs/types/krb5_cred_info","appdev/refs/types/krb5_creds","appdev/refs/types/krb5_crypto_iov","appdev/refs/types/krb5_cryptotype","appdev/refs/types/krb5_data","appdev/refs/types/krb5_deltat","appdev/refs/types/krb5_enc_data","appdev/refs/types/krb5_enc_kdc_rep_part","appdev/refs/types/krb5_enc_tkt_part","appdev/refs/types/krb5_encrypt_block","appdev/refs/types/krb5_enctype","appdev/refs/types/krb5_error","appdev/refs/types/krb5_error_code","appdev/refs/types/krb5_expire_callback_func","appdev/refs/types/krb5_flags","appdev/refs/types/krb5_get_init_creds_opt","appdev/refs/types/krb5_gic_opt_pa_data","appdev/refs/types/krb5_init_creds_context","appdev/refs/types/krb5_int16","appdev/refs/types/krb5_int32","appdev/refs/types/krb5_kdc_rep","appdev/refs/types/krb5_kdc_req","appdev/refs/types/krb5_key","appdev/refs/types/krb5_keyblock","appdev/refs/types/krb5_keytab","appdev/refs/types/krb5_keytab_entry","appdev/refs/types/krb5_keyusage","appdev/refs/types/krb5_kt_cursor","appdev/refs/types/krb5_kvno","appdev/refs/types/krb5_last_req_entry","appdev/refs/types/krb5_magic","appdev/refs/types/krb5_mk_req_checksum_func","appdev/refs/types/krb5_msgtype","appdev/refs/types/krb5_octet","appdev/refs/types/krb5_pa_data","appdev/refs/types/krb5_pa_pac_req","appdev/refs/types/krb5_pa_server_referral_data","appdev/refs/types/krb5_pa_svr_referral_data","appdev/refs/types/krb5_pac","appdev/refs/types/krb5_pointer","appdev/refs/types/krb5_post_recv_fn","appdev/refs/types/krb5_pre_send_fn","appdev/refs/types/krb5_preauthtype","appdev/refs/types/krb5_principal","appdev/refs/types/krb5_principal_data","appdev/refs/types/krb5_prompt","appdev/refs/types/krb5_prompt_type","appdev/refs/types/krb5_prompter_fct","appdev/refs/types/krb5_pwd_data","appdev/refs/types/krb5_rcache","appdev/refs/types/krb5_replay_data","appdev/refs/types/krb5_responder_context","appdev/refs/types/krb5_responder_fn","appdev/refs/types/krb5_responder_otp_challenge","appdev/refs/types/krb5_responder_otp_tokeninfo","appdev/refs/types/krb5_responder_pkinit_challenge","appdev/refs/types/krb5_responder_pkinit_identity","appdev/refs/types/krb5_response","appdev/refs/types/krb5_ticket","appdev/refs/types/krb5_ticket_times","appdev/refs/types/krb5_timestamp","appdev/refs/types/krb5_tkt_authent","appdev/refs/types/krb5_tkt_creds_context","appdev/refs/types/krb5_trace_callback","appdev/refs/types/krb5_trace_info","appdev/refs/types/krb5_transited","appdev/refs/types/krb5_typed_data","appdev/refs/types/krb5_ui_2","appdev/refs/types/krb5_ui_4","appdev/refs/types/krb5_verify_init_creds_opt","appdev/refs/types/passwd_phrase_element","appdev/y2038","basic/ccache_def","basic/date_format","basic/index","basic/keytab_def","basic/rcache_def","basic/stash_file_def","build/directory_org","build/doing_build","build/index","build/options2configure","build/osconf","build_this","copyright","formats/ccache_file_format","formats/cookie","formats/freshness_token","formats/index","formats/keytab_file_format","formats/rcache_file_format","index","mitK5defaults","mitK5features","mitK5license","plugindev/ccselect","plugindev/certauth","plugindev/clpreauth","plugindev/general","plugindev/gssapi","plugindev/hostrealm","plugindev/index","plugindev/internal","plugindev/kadm5_auth","plugindev/kadm5_hook","plugindev/kdcpolicy","plugindev/kdcpreauth","plugindev/localauth","plugindev/locate","plugindev/profile","plugindev/pwqual","resources","user/index","user/pwd_mgmt","user/tkt_mgmt","user/user_commands/index","user/user_commands/kdestroy","user/user_commands/kinit","user/user_commands/klist","user/user_commands/kpasswd","user/user_commands/krb5-config","user/user_commands/ksu","user/user_commands/kswitch","user/user_commands/kvno","user/user_commands/sclient","user/user_config/index","user/user_config/k5identity","user/user_config/k5login","user/user_config/kerberos"],envversion:52,filenames:["about.rst","admin/admin_commands/index.rst","admin/admin_commands/k5srvutil.rst","admin/admin_commands/kadmin_local.rst","admin/admin_commands/kadmind.rst","admin/admin_commands/kdb5_ldap_util.rst","admin/admin_commands/kdb5_util.rst","admin/admin_commands/kprop.rst","admin/admin_commands/kpropd.rst","admin/admin_commands/kproplog.rst","admin/admin_commands/krb5kdc.rst","admin/admin_commands/ktutil.rst","admin/admin_commands/sserver.rst","admin/advanced/index.rst","admin/advanced/retiring-des.rst","admin/appl_servers.rst","admin/auth_indicator.rst","admin/backup_host.rst","admin/conf_files/index.rst","admin/conf_files/kadm5_acl.rst","admin/conf_files/kdc_conf.rst","admin/conf_files/krb5_conf.rst","admin/conf_ldap.rst","admin/database.rst","admin/dbtypes.rst","admin/dictionary.rst","admin/enctypes.rst","admin/env_variables.rst","admin/host_config.rst","admin/https.rst","admin/index.rst","admin/install.rst","admin/install_appl_srv.rst","admin/install_clients.rst","admin/install_kdc.rst","admin/lockout.rst","admin/otp.rst","admin/pkinit.rst","admin/princ_dns.rst","admin/realm_config.rst","admin/spake.rst","admin/troubleshoot.rst","admin/various_envs.rst","appdev/gssapi.rst","appdev/h5l_mit_apidiff.rst","appdev/index.rst","appdev/init_creds.rst","appdev/princ_handle.rst","appdev/refs/api/index.rst","appdev/refs/api/krb5_425_conv_principal.rst","appdev/refs/api/krb5_524_conv_principal.rst","appdev/refs/api/krb5_524_convert_creds.rst","appdev/refs/api/krb5_address_compare.rst","appdev/refs/api/krb5_address_order.rst","appdev/refs/api/krb5_address_search.rst","appdev/refs/api/krb5_allow_weak_crypto.rst","appdev/refs/api/krb5_aname_to_localname.rst","appdev/refs/api/krb5_anonymous_principal.rst","appdev/refs/api/krb5_anonymous_realm.rst","appdev/refs/api/krb5_appdefault_boolean.rst","appdev/refs/api/krb5_appdefault_string.rst","appdev/refs/api/krb5_auth_con_free.rst","appdev/refs/api/krb5_auth_con_genaddrs.rst","appdev/refs/api/krb5_auth_con_get_checksum_func.rst","appdev/refs/api/krb5_auth_con_getaddrs.rst","appdev/refs/api/krb5_auth_con_getauthenticator.rst","appdev/refs/api/krb5_auth_con_getflags.rst","appdev/refs/api/krb5_auth_con_getkey.rst","appdev/refs/api/krb5_auth_con_getkey_k.rst","appdev/refs/api/krb5_auth_con_getlocalseqnumber.rst","appdev/refs/api/krb5_auth_con_getlocalsubkey.rst","appdev/refs/api/krb5_auth_con_getrcache.rst","appdev/refs/api/krb5_auth_con_getrecvsubkey.rst","appdev/refs/api/krb5_auth_con_getrecvsubkey_k.rst","appdev/refs/api/krb5_auth_con_getremoteseqnumber.rst","appdev/refs/api/krb5_auth_con_getremotesubkey.rst","appdev/refs/api/krb5_auth_con_getsendsubkey.rst","appdev/refs/api/krb5_auth_con_getsendsubkey_k.rst","appdev/refs/api/krb5_auth_con_init.rst","appdev/refs/api/krb5_auth_con_initivector.rst","appdev/refs/api/krb5_auth_con_set_checksum_func.rst","appdev/refs/api/krb5_auth_con_set_req_cksumtype.rst","appdev/refs/api/krb5_auth_con_setaddrs.rst","appdev/refs/api/krb5_auth_con_setflags.rst","appdev/refs/api/krb5_auth_con_setports.rst","appdev/refs/api/krb5_auth_con_setrcache.rst","appdev/refs/api/krb5_auth_con_setrecvsubkey.rst","appdev/refs/api/krb5_auth_con_setrecvsubkey_k.rst","appdev/refs/api/krb5_auth_con_setsendsubkey.rst","appdev/refs/api/krb5_auth_con_setsendsubkey_k.rst","appdev/refs/api/krb5_auth_con_setuseruserkey.rst","appdev/refs/api/krb5_build_principal.rst","appdev/refs/api/krb5_build_principal_alloc_va.rst","appdev/refs/api/krb5_build_principal_ext.rst","appdev/refs/api/krb5_build_principal_va.rst","appdev/refs/api/krb5_c_block_size.rst","appdev/refs/api/krb5_c_checksum_length.rst","appdev/refs/api/krb5_c_crypto_length.rst","appdev/refs/api/krb5_c_crypto_length_iov.rst","appdev/refs/api/krb5_c_decrypt.rst","appdev/refs/api/krb5_c_decrypt_iov.rst","appdev/refs/api/krb5_c_derive_prfplus.rst","appdev/refs/api/krb5_c_encrypt.rst","appdev/refs/api/krb5_c_encrypt_iov.rst","appdev/refs/api/krb5_c_encrypt_length.rst","appdev/refs/api/krb5_c_enctype_compare.rst","appdev/refs/api/krb5_c_free_state.rst","appdev/refs/api/krb5_c_fx_cf2_simple.rst","appdev/refs/api/krb5_c_init_state.rst","appdev/refs/api/krb5_c_is_coll_proof_cksum.rst","appdev/refs/api/krb5_c_is_keyed_cksum.rst","appdev/refs/api/krb5_c_keyed_checksum_types.rst","appdev/refs/api/krb5_c_keylengths.rst","appdev/refs/api/krb5_c_make_checksum.rst","appdev/refs/api/krb5_c_make_checksum_iov.rst","appdev/refs/api/krb5_c_make_random_key.rst","appdev/refs/api/krb5_c_padding_length.rst","appdev/refs/api/krb5_c_prf.rst","appdev/refs/api/krb5_c_prf_length.rst","appdev/refs/api/krb5_c_prfplus.rst","appdev/refs/api/krb5_c_random_add_entropy.rst","appdev/refs/api/krb5_c_random_make_octets.rst","appdev/refs/api/krb5_c_random_os_entropy.rst","appdev/refs/api/krb5_c_random_seed.rst","appdev/refs/api/krb5_c_random_to_key.rst","appdev/refs/api/krb5_c_string_to_key.rst","appdev/refs/api/krb5_c_string_to_key_with_params.rst","appdev/refs/api/krb5_c_valid_cksumtype.rst","appdev/refs/api/krb5_c_valid_enctype.rst","appdev/refs/api/krb5_c_verify_checksum.rst","appdev/refs/api/krb5_c_verify_checksum_iov.rst","appdev/refs/api/krb5_calculate_checksum.rst","appdev/refs/api/krb5_cc_cache_match.rst","appdev/refs/api/krb5_cc_close.rst","appdev/refs/api/krb5_cc_copy_creds.rst","appdev/refs/api/krb5_cc_default.rst","appdev/refs/api/krb5_cc_default_name.rst","appdev/refs/api/krb5_cc_destroy.rst","appdev/refs/api/krb5_cc_dup.rst","appdev/refs/api/krb5_cc_end_seq_get.rst","appdev/refs/api/krb5_cc_gen_new.rst","appdev/refs/api/krb5_cc_get_config.rst","appdev/refs/api/krb5_cc_get_flags.rst","appdev/refs/api/krb5_cc_get_full_name.rst","appdev/refs/api/krb5_cc_get_name.rst","appdev/refs/api/krb5_cc_get_principal.rst","appdev/refs/api/krb5_cc_get_type.rst","appdev/refs/api/krb5_cc_initialize.rst","appdev/refs/api/krb5_cc_move.rst","appdev/refs/api/krb5_cc_new_unique.rst","appdev/refs/api/krb5_cc_next_cred.rst","appdev/refs/api/krb5_cc_remove_cred.rst","appdev/refs/api/krb5_cc_resolve.rst","appdev/refs/api/krb5_cc_retrieve_cred.rst","appdev/refs/api/krb5_cc_select.rst","appdev/refs/api/krb5_cc_set_config.rst","appdev/refs/api/krb5_cc_set_default_name.rst","appdev/refs/api/krb5_cc_set_flags.rst","appdev/refs/api/krb5_cc_start_seq_get.rst","appdev/refs/api/krb5_cc_store_cred.rst","appdev/refs/api/krb5_cc_support_switch.rst","appdev/refs/api/krb5_cc_switch.rst","appdev/refs/api/krb5_cccol_cursor_free.rst","appdev/refs/api/krb5_cccol_cursor_new.rst","appdev/refs/api/krb5_cccol_cursor_next.rst","appdev/refs/api/krb5_cccol_have_content.rst","appdev/refs/api/krb5_change_password.rst","appdev/refs/api/krb5_check_clockskew.rst","appdev/refs/api/krb5_checksum_size.rst","appdev/refs/api/krb5_chpw_message.rst","appdev/refs/api/krb5_cksumtype_to_string.rst","appdev/refs/api/krb5_clear_error_message.rst","appdev/refs/api/krb5_copy_addresses.rst","appdev/refs/api/krb5_copy_authdata.rst","appdev/refs/api/krb5_copy_authenticator.rst","appdev/refs/api/krb5_copy_checksum.rst","appdev/refs/api/krb5_copy_context.rst","appdev/refs/api/krb5_copy_creds.rst","appdev/refs/api/krb5_copy_data.rst","appdev/refs/api/krb5_copy_error_message.rst","appdev/refs/api/krb5_copy_keyblock.rst","appdev/refs/api/krb5_copy_keyblock_contents.rst","appdev/refs/api/krb5_copy_principal.rst","appdev/refs/api/krb5_copy_ticket.rst","appdev/refs/api/krb5_decode_authdata_container.rst","appdev/refs/api/krb5_decode_ticket.rst","appdev/refs/api/krb5_decrypt.rst","appdev/refs/api/krb5_deltat_to_string.rst","appdev/refs/api/krb5_eblock_enctype.rst","appdev/refs/api/krb5_encode_authdata_container.rst","appdev/refs/api/krb5_encrypt.rst","appdev/refs/api/krb5_encrypt_size.rst","appdev/refs/api/krb5_enctype_to_name.rst","appdev/refs/api/krb5_enctype_to_string.rst","appdev/refs/api/krb5_expand_hostname.rst","appdev/refs/api/krb5_find_authdata.rst","appdev/refs/api/krb5_finish_key.rst","appdev/refs/api/krb5_finish_random_key.rst","appdev/refs/api/krb5_free_addresses.rst","appdev/refs/api/krb5_free_ap_rep_enc_part.rst","appdev/refs/api/krb5_free_authdata.rst","appdev/refs/api/krb5_free_authenticator.rst","appdev/refs/api/krb5_free_checksum.rst","appdev/refs/api/krb5_free_checksum_contents.rst","appdev/refs/api/krb5_free_cksumtypes.rst","appdev/refs/api/krb5_free_context.rst","appdev/refs/api/krb5_free_cred_contents.rst","appdev/refs/api/krb5_free_creds.rst","appdev/refs/api/krb5_free_data.rst","appdev/refs/api/krb5_free_data_contents.rst","appdev/refs/api/krb5_free_default_realm.rst","appdev/refs/api/krb5_free_enctypes.rst","appdev/refs/api/krb5_free_error.rst","appdev/refs/api/krb5_free_error_message.rst","appdev/refs/api/krb5_free_host_realm.rst","appdev/refs/api/krb5_free_keyblock.rst","appdev/refs/api/krb5_free_keyblock_contents.rst","appdev/refs/api/krb5_free_keytab_entry_contents.rst","appdev/refs/api/krb5_free_principal.rst","appdev/refs/api/krb5_free_string.rst","appdev/refs/api/krb5_free_tgt_creds.rst","appdev/refs/api/krb5_free_ticket.rst","appdev/refs/api/krb5_free_unparsed_name.rst","appdev/refs/api/krb5_fwd_tgt_creds.rst","appdev/refs/api/krb5_get_credentials.rst","appdev/refs/api/krb5_get_credentials_renew.rst","appdev/refs/api/krb5_get_credentials_validate.rst","appdev/refs/api/krb5_get_default_realm.rst","appdev/refs/api/krb5_get_error_message.rst","appdev/refs/api/krb5_get_etype_info.rst","appdev/refs/api/krb5_get_fallback_host_realm.rst","appdev/refs/api/krb5_get_host_realm.rst","appdev/refs/api/krb5_get_in_tkt_with_keytab.rst","appdev/refs/api/krb5_get_in_tkt_with_password.rst","appdev/refs/api/krb5_get_in_tkt_with_skey.rst","appdev/refs/api/krb5_get_init_creds_keytab.rst","appdev/refs/api/krb5_get_init_creds_opt_alloc.rst","appdev/refs/api/krb5_get_init_creds_opt_free.rst","appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags.rst","appdev/refs/api/krb5_get_init_creds_opt_init.rst","appdev/refs/api/krb5_get_init_creds_opt_set_address_list.rst","appdev/refs/api/krb5_get_init_creds_opt_set_anonymous.rst","appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize.rst","appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.rst","appdev/refs/api/krb5_get_init_creds_opt_set_etype_list.rst","appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.rst","appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.rst","appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.rst","appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.rst","appdev/refs/api/krb5_get_init_creds_opt_set_forwardable.rst","appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache.rst","appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache.rst","appdev/refs/api/krb5_get_init_creds_opt_set_pa.rst","appdev/refs/api/krb5_get_init_creds_opt_set_pac_request.rst","appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.rst","appdev/refs/api/krb5_get_init_creds_opt_set_proxiable.rst","appdev/refs/api/krb5_get_init_creds_opt_set_renew_life.rst","appdev/refs/api/krb5_get_init_creds_opt_set_responder.rst","appdev/refs/api/krb5_get_init_creds_opt_set_salt.rst","appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life.rst","appdev/refs/api/krb5_get_init_creds_password.rst","appdev/refs/api/krb5_get_permitted_enctypes.rst","appdev/refs/api/krb5_get_profile.rst","appdev/refs/api/krb5_get_prompt_types.rst","appdev/refs/api/krb5_get_renewed_creds.rst","appdev/refs/api/krb5_get_server_rcache.rst","appdev/refs/api/krb5_get_time_offsets.rst","appdev/refs/api/krb5_get_validated_creds.rst","appdev/refs/api/krb5_init_context.rst","appdev/refs/api/krb5_init_context_profile.rst","appdev/refs/api/krb5_init_creds_free.rst","appdev/refs/api/krb5_init_creds_get.rst","appdev/refs/api/krb5_init_creds_get_creds.rst","appdev/refs/api/krb5_init_creds_get_error.rst","appdev/refs/api/krb5_init_creds_get_times.rst","appdev/refs/api/krb5_init_creds_init.rst","appdev/refs/api/krb5_init_creds_set_keytab.rst","appdev/refs/api/krb5_init_creds_set_password.rst","appdev/refs/api/krb5_init_creds_set_service.rst","appdev/refs/api/krb5_init_creds_step.rst","appdev/refs/api/krb5_init_keyblock.rst","appdev/refs/api/krb5_init_random_key.rst","appdev/refs/api/krb5_init_secure_context.rst","appdev/refs/api/krb5_is_config_principal.rst","appdev/refs/api/krb5_is_referral_realm.rst","appdev/refs/api/krb5_is_thread_safe.rst","appdev/refs/api/krb5_k_create_key.rst","appdev/refs/api/krb5_k_decrypt.rst","appdev/refs/api/krb5_k_decrypt_iov.rst","appdev/refs/api/krb5_k_encrypt.rst","appdev/refs/api/krb5_k_encrypt_iov.rst","appdev/refs/api/krb5_k_free_key.rst","appdev/refs/api/krb5_k_key_enctype.rst","appdev/refs/api/krb5_k_key_keyblock.rst","appdev/refs/api/krb5_k_make_checksum.rst","appdev/refs/api/krb5_k_make_checksum_iov.rst","appdev/refs/api/krb5_k_prf.rst","appdev/refs/api/krb5_k_reference_key.rst","appdev/refs/api/krb5_k_verify_checksum.rst","appdev/refs/api/krb5_k_verify_checksum_iov.rst","appdev/refs/api/krb5_kdc_sign_ticket.rst","appdev/refs/api/krb5_kdc_verify_ticket.rst","appdev/refs/api/krb5_kt_add_entry.rst","appdev/refs/api/krb5_kt_client_default.rst","appdev/refs/api/krb5_kt_close.rst","appdev/refs/api/krb5_kt_default.rst","appdev/refs/api/krb5_kt_default_name.rst","appdev/refs/api/krb5_kt_dup.rst","appdev/refs/api/krb5_kt_end_seq_get.rst","appdev/refs/api/krb5_kt_free_entry.rst","appdev/refs/api/krb5_kt_get_entry.rst","appdev/refs/api/krb5_kt_get_name.rst","appdev/refs/api/krb5_kt_get_type.rst","appdev/refs/api/krb5_kt_have_content.rst","appdev/refs/api/krb5_kt_next_entry.rst","appdev/refs/api/krb5_kt_read_service_key.rst","appdev/refs/api/krb5_kt_remove_entry.rst","appdev/refs/api/krb5_kt_resolve.rst","appdev/refs/api/krb5_kt_start_seq_get.rst","appdev/refs/api/krb5_kuserok.rst","appdev/refs/api/krb5_make_authdata_kdc_issued.rst","appdev/refs/api/krb5_marshal_credentials.rst","appdev/refs/api/krb5_merge_authdata.rst","appdev/refs/api/krb5_mk_1cred.rst","appdev/refs/api/krb5_mk_error.rst","appdev/refs/api/krb5_mk_ncred.rst","appdev/refs/api/krb5_mk_priv.rst","appdev/refs/api/krb5_mk_rep.rst","appdev/refs/api/krb5_mk_rep_dce.rst","appdev/refs/api/krb5_mk_req.rst","appdev/refs/api/krb5_mk_req_extended.rst","appdev/refs/api/krb5_mk_safe.rst","appdev/refs/api/krb5_os_localaddr.rst","appdev/refs/api/krb5_pac_add_buffer.rst","appdev/refs/api/krb5_pac_free.rst","appdev/refs/api/krb5_pac_get_buffer.rst","appdev/refs/api/krb5_pac_get_client_info.rst","appdev/refs/api/krb5_pac_get_types.rst","appdev/refs/api/krb5_pac_init.rst","appdev/refs/api/krb5_pac_parse.rst","appdev/refs/api/krb5_pac_sign.rst","appdev/refs/api/krb5_pac_sign_ext.rst","appdev/refs/api/krb5_pac_verify.rst","appdev/refs/api/krb5_pac_verify_ext.rst","appdev/refs/api/krb5_parse_name.rst","appdev/refs/api/krb5_parse_name_flags.rst","appdev/refs/api/krb5_prepend_error_message.rst","appdev/refs/api/krb5_principal2salt.rst","appdev/refs/api/krb5_principal_compare.rst","appdev/refs/api/krb5_principal_compare_any_realm.rst","appdev/refs/api/krb5_principal_compare_flags.rst","appdev/refs/api/krb5_process_key.rst","appdev/refs/api/krb5_prompter_posix.rst","appdev/refs/api/krb5_random_key.rst","appdev/refs/api/krb5_rd_cred.rst","appdev/refs/api/krb5_rd_error.rst","appdev/refs/api/krb5_rd_priv.rst","appdev/refs/api/krb5_rd_rep.rst","appdev/refs/api/krb5_rd_rep_dce.rst","appdev/refs/api/krb5_rd_req.rst","appdev/refs/api/krb5_rd_safe.rst","appdev/refs/api/krb5_read_password.rst","appdev/refs/api/krb5_realm_compare.rst","appdev/refs/api/krb5_recvauth.rst","appdev/refs/api/krb5_recvauth_version.rst","appdev/refs/api/krb5_responder_get_challenge.rst","appdev/refs/api/krb5_responder_list_questions.rst","appdev/refs/api/krb5_responder_otp_challenge_free.rst","appdev/refs/api/krb5_responder_otp_get_challenge.rst","appdev/refs/api/krb5_responder_otp_set_answer.rst","appdev/refs/api/krb5_responder_pkinit_challenge_free.rst","appdev/refs/api/krb5_responder_pkinit_get_challenge.rst","appdev/refs/api/krb5_responder_pkinit_set_answer.rst","appdev/refs/api/krb5_responder_set_answer.rst","appdev/refs/api/krb5_salttype_to_string.rst","appdev/refs/api/krb5_sendauth.rst","appdev/refs/api/krb5_server_decrypt_ticket_keytab.rst","appdev/refs/api/krb5_set_default_realm.rst","appdev/refs/api/krb5_set_default_tgs_enctypes.rst","appdev/refs/api/krb5_set_error_message.rst","appdev/refs/api/krb5_set_kdc_recv_hook.rst","appdev/refs/api/krb5_set_kdc_send_hook.rst","appdev/refs/api/krb5_set_password.rst","appdev/refs/api/krb5_set_password_using_ccache.rst","appdev/refs/api/krb5_set_principal_realm.rst","appdev/refs/api/krb5_set_real_time.rst","appdev/refs/api/krb5_set_trace_callback.rst","appdev/refs/api/krb5_set_trace_filename.rst","appdev/refs/api/krb5_sname_match.rst","appdev/refs/api/krb5_sname_to_principal.rst","appdev/refs/api/krb5_string_to_cksumtype.rst","appdev/refs/api/krb5_string_to_deltat.rst","appdev/refs/api/krb5_string_to_enctype.rst","appdev/refs/api/krb5_string_to_key.rst","appdev/refs/api/krb5_string_to_salttype.rst","appdev/refs/api/krb5_string_to_timestamp.rst","appdev/refs/api/krb5_timeofday.rst","appdev/refs/api/krb5_timestamp_to_sfstring.rst","appdev/refs/api/krb5_timestamp_to_string.rst","appdev/refs/api/krb5_tkt_creds_free.rst","appdev/refs/api/krb5_tkt_creds_get.rst","appdev/refs/api/krb5_tkt_creds_get_creds.rst","appdev/refs/api/krb5_tkt_creds_get_times.rst","appdev/refs/api/krb5_tkt_creds_init.rst","appdev/refs/api/krb5_tkt_creds_step.rst","appdev/refs/api/krb5_unmarshal_credentials.rst","appdev/refs/api/krb5_unparse_name.rst","appdev/refs/api/krb5_unparse_name_ext.rst","appdev/refs/api/krb5_unparse_name_flags.rst","appdev/refs/api/krb5_unparse_name_flags_ext.rst","appdev/refs/api/krb5_us_timeofday.rst","appdev/refs/api/krb5_use_enctype.rst","appdev/refs/api/krb5_verify_authdata_kdc_issued.rst","appdev/refs/api/krb5_verify_checksum.rst","appdev/refs/api/krb5_verify_init_creds.rst","appdev/refs/api/krb5_verify_init_creds_opt_init.rst","appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.rst","appdev/refs/api/krb5_vprepend_error_message.rst","appdev/refs/api/krb5_vset_error_message.rst","appdev/refs/api/krb5_vwrap_error_message.rst","appdev/refs/api/krb5_wrap_error_message.rst","appdev/refs/index.rst","appdev/refs/macros/ADDRTYPE_ADDRPORT.rst","appdev/refs/macros/ADDRTYPE_CHAOS.rst","appdev/refs/macros/ADDRTYPE_DDP.rst","appdev/refs/macros/ADDRTYPE_INET.rst","appdev/refs/macros/ADDRTYPE_INET6.rst","appdev/refs/macros/ADDRTYPE_IPPORT.rst","appdev/refs/macros/ADDRTYPE_ISO.rst","appdev/refs/macros/ADDRTYPE_IS_LOCAL.rst","appdev/refs/macros/ADDRTYPE_NETBIOS.rst","appdev/refs/macros/ADDRTYPE_XNS.rst","appdev/refs/macros/AD_TYPE_EXTERNAL.rst","appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK.rst","appdev/refs/macros/AD_TYPE_REGISTERED.rst","appdev/refs/macros/AD_TYPE_RESERVED.rst","appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION.rst","appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED.rst","appdev/refs/macros/AP_OPTS_RESERVED.rst","appdev/refs/macros/AP_OPTS_USE_SESSION_KEY.rst","appdev/refs/macros/AP_OPTS_USE_SUBKEY.rst","appdev/refs/macros/AP_OPTS_WIRE_MASK.rst","appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128.rst","appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256.rst","appdev/refs/macros/CKSUMTYPE_CRC32.rst","appdev/refs/macros/CKSUMTYPE_DESCBC.rst","appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256.rst","appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR.rst","appdev/refs/macros/CKSUMTYPE_NIST_SHA.rst","appdev/refs/macros/CKSUMTYPE_RSA_MD4.rst","appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES.rst","appdev/refs/macros/CKSUMTYPE_RSA_MD5.rst","appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES.rst","appdev/refs/macros/CKSUMTYPE_SHA1.rst","appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96.rst","appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128.rst","appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96.rst","appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192.rst","appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC.rst","appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP.rst","appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC.rst","appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC.rst","appdev/refs/macros/ENCTYPE_DES3_CBC_ENV.rst","appdev/refs/macros/ENCTYPE_DES3_CBC_RAW.rst","appdev/refs/macros/ENCTYPE_DES3_CBC_SHA.rst","appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1.rst","appdev/refs/macros/ENCTYPE_DES_CBC_CRC.rst","appdev/refs/macros/ENCTYPE_DES_CBC_MD4.rst","appdev/refs/macros/ENCTYPE_DES_CBC_MD5.rst","appdev/refs/macros/ENCTYPE_DES_CBC_RAW.rst","appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1.rst","appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS.rst","appdev/refs/macros/ENCTYPE_MD5_RSA_CMS.rst","appdev/refs/macros/ENCTYPE_NULL.rst","appdev/refs/macros/ENCTYPE_RC2_CBC_ENV.rst","appdev/refs/macros/ENCTYPE_RSA_ENV.rst","appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV.rst","appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS.rst","appdev/refs/macros/ENCTYPE_UNKNOWN.rst","appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE.rst","appdev/refs/macros/KDC_OPT_CANONICALIZE.rst","appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT.rst","appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK.rst","appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY.rst","appdev/refs/macros/KDC_OPT_FORWARDABLE.rst","appdev/refs/macros/KDC_OPT_FORWARDED.rst","appdev/refs/macros/KDC_OPT_POSTDATED.rst","appdev/refs/macros/KDC_OPT_PROXIABLE.rst","appdev/refs/macros/KDC_OPT_PROXY.rst","appdev/refs/macros/KDC_OPT_RENEW.rst","appdev/refs/macros/KDC_OPT_RENEWABLE.rst","appdev/refs/macros/KDC_OPT_RENEWABLE_OK.rst","appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS.rst","appdev/refs/macros/KDC_OPT_VALIDATE.rst","appdev/refs/macros/KDC_TKT_COMMON_MASK.rst","appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE.rst","appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR.rst","appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR.rst","appdev/refs/macros/KRB5_AP_REP.rst","appdev/refs/macros/KRB5_AP_REQ.rst","appdev/refs/macros/KRB5_AS_REP.rst","appdev/refs/macros/KRB5_AS_REQ.rst","appdev/refs/macros/KRB5_AUTHDATA_AND_OR.rst","appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS.rst","appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR.rst","appdev/refs/macros/KRB5_AUTHDATA_CAMMAC.rst","appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION.rst","appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR.rst","appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT.rst","appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS.rst","appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED.rst","appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC.rst","appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE.rst","appdev/refs/macros/KRB5_AUTHDATA_SESAME.rst","appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET.rst","appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY.rst","appdev/refs/macros/KRB5_CRED.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER.rst","appdev/refs/macros/KRB5_CYBERSAFE_SECUREID.rst","appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS.rst","appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP.rst","appdev/refs/macros/KRB5_ERROR.rst","appdev/refs/macros/KRB5_FAST_REQUIRED.rst","appdev/refs/macros/KRB5_GC_CACHED.rst","appdev/refs/macros/KRB5_GC_CANONICALIZE.rst","appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION.rst","appdev/refs/macros/KRB5_GC_FORWARDABLE.rst","appdev/refs/macros/KRB5_GC_NO_STORE.rst","appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK.rst","appdev/refs/macros/KRB5_GC_USER_USER.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE.rst","appdev/refs/macros/KRB5_INIT_CONTEXT_KDC.rst","appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE.rst","appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.rst","appdev/refs/macros/KRB5_INT16_MAX.rst","appdev/refs/macros/KRB5_INT16_MIN.rst","appdev/refs/macros/KRB5_INT32_MAX.rst","appdev/refs/macros/KRB5_INT32_MIN.rst","appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE.rst","appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE.rst","appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH.rst","appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT.rst","appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART.rst","appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH.rst","appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART.rst","appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ.rst","appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS.rst","appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC.rst","appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT.rst","appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC.rst","appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC.rst","appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED.rst","appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP.rst","appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC.rst","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG.rst","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV.rst","appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED.rst","appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET.rst","appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART.rst","appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART.rst","appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.rst","appdev/refs/macros/KRB5_KEYUSAGE_SPAKE.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM.rst","appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED.rst","appdev/refs/macros/KRB5_KPASSWD_AUTHERROR.rst","appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION.rst","appdev/refs/macros/KRB5_KPASSWD_HARDERROR.rst","appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED.rst","appdev/refs/macros/KRB5_KPASSWD_MALFORMED.rst","appdev/refs/macros/KRB5_KPASSWD_SOFTERROR.rst","appdev/refs/macros/KRB5_KPASSWD_SUCCESS.rst","appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED.rst","appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME.rst","appdev/refs/macros/KRB5_LRQ_NONE.rst","appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED.rst","appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME.rst","appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL.rst","appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID.rst","appdev/refs/macros/KRB5_NT_MS_PRINCIPAL.rst","appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID.rst","appdev/refs/macros/KRB5_NT_PRINCIPAL.rst","appdev/refs/macros/KRB5_NT_SMTP_NAME.rst","appdev/refs/macros/KRB5_NT_SRV_HST.rst","appdev/refs/macros/KRB5_NT_SRV_INST.rst","appdev/refs/macros/KRB5_NT_SRV_XHST.rst","appdev/refs/macros/KRB5_NT_UID.rst","appdev/refs/macros/KRB5_NT_UNKNOWN.rst","appdev/refs/macros/KRB5_NT_WELLKNOWN.rst","appdev/refs/macros/KRB5_NT_X500_PRINCIPAL.rst","appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO.rst","appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS.rst","appdev/refs/macros/KRB5_PAC_CLIENT_INFO.rst","appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO.rst","appdev/refs/macros/KRB5_PAC_DELEGATION_INFO.rst","appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS.rst","appdev/refs/macros/KRB5_PAC_DEVICE_INFO.rst","appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM.rst","appdev/refs/macros/KRB5_PAC_LOGON_INFO.rst","appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM.rst","appdev/refs/macros/KRB5_PAC_REQUESTOR.rst","appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM.rst","appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM.rst","appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO.rst","appdev/refs/macros/KRB5_PADATA_AFS3_SALT.rst","appdev/refs/macros/KRB5_PADATA_AP_REQ.rst","appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM.rst","appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS.rst","appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE.rst","appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID.rst","appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP.rst","appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME.rst","appdev/refs/macros/KRB5_PADATA_ETYPE_INFO.rst","appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2.rst","appdev/refs/macros/KRB5_PADATA_FOR_USER.rst","appdev/refs/macros/KRB5_PADATA_FX_COOKIE.rst","appdev/refs/macros/KRB5_PADATA_FX_ERROR.rst","appdev/refs/macros/KRB5_PADATA_FX_FAST.rst","appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA.rst","appdev/refs/macros/KRB5_PADATA_NONE.rst","appdev/refs/macros/KRB5_PADATA_OSF_DCE.rst","appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE.rst","appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE.rst","appdev/refs/macros/KRB5_PADATA_OTP_REQUEST.rst","appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS.rst","appdev/refs/macros/KRB5_PADATA_PAC_REQUEST.rst","appdev/refs/macros/KRB5_PADATA_PKINIT_KX.rst","appdev/refs/macros/KRB5_PADATA_PK_AS_REP.rst","appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD.rst","appdev/refs/macros/KRB5_PADATA_PK_AS_REQ.rst","appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD.rst","appdev/refs/macros/KRB5_PADATA_PW_SALT.rst","appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2.rst","appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY.rst","appdev/refs/macros/KRB5_PADATA_REFERRAL.rst","appdev/refs/macros/KRB5_PADATA_S4U_X509_USER.rst","appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE.rst","appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2.rst","appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT.rst","appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE.rst","appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2.rst","appdev/refs/macros/KRB5_PADATA_SESAME.rst","appdev/refs/macros/KRB5_PADATA_SPAKE.rst","appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO.rst","appdev/refs/macros/KRB5_PADATA_TGS_REQ.rst","appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO.rst","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD.rst","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE.rst","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY.rst","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT.rst","appdev/refs/macros/KRB5_PRIV.rst","appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD.rst","appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN.rst","appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD.rst","appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH.rst","appdev/refs/macros/KRB5_PVNO.rst","appdev/refs/macros/KRB5_REALM_BRANCH_CHAR.rst","appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS.rst","appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION.rst","appdev/refs/macros/KRB5_REFERRAL_REALM.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL.rst","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW.rst","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY.rst","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED.rst","appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.rst","appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.rst","appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.rst","appdev/refs/macros/KRB5_SAFE.rst","appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD.rst","appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD.rst","appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY.rst","appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT.rst","appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA.rst","appdev/refs/macros/KRB5_TC_MATCH_FLAGS.rst","appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT.rst","appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY.rst","appdev/refs/macros/KRB5_TC_MATCH_KTYPE.rst","appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY.rst","appdev/refs/macros/KRB5_TC_MATCH_TIMES.rst","appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT.rst","appdev/refs/macros/KRB5_TC_NOTICKET.rst","appdev/refs/macros/KRB5_TC_OPENCLOSE.rst","appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES.rst","appdev/refs/macros/KRB5_TGS_NAME.rst","appdev/refs/macros/KRB5_TGS_NAME_SIZE.rst","appdev/refs/macros/KRB5_TGS_REP.rst","appdev/refs/macros/KRB5_TGS_REQ.rst","appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.rst","appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL.rst","appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR.rst","appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK.rst","appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY.rst","appdev/refs/macros/MAX_KEYTAB_NAME_LEN.rst","appdev/refs/macros/MSEC_DIRBIT.rst","appdev/refs/macros/MSEC_VAL_MASK.rst","appdev/refs/macros/SALT_TYPE_AFS_LENGTH.rst","appdev/refs/macros/SALT_TYPE_NO_LENGTH.rst","appdev/refs/macros/THREEPARAMOPEN.rst","appdev/refs/macros/TKT_FLG_ANONYMOUS.rst","appdev/refs/macros/TKT_FLG_ENC_PA_REP.rst","appdev/refs/macros/TKT_FLG_FORWARDABLE.rst","appdev/refs/macros/TKT_FLG_FORWARDED.rst","appdev/refs/macros/TKT_FLG_HW_AUTH.rst","appdev/refs/macros/TKT_FLG_INITIAL.rst","appdev/refs/macros/TKT_FLG_INVALID.rst","appdev/refs/macros/TKT_FLG_MAY_POSTDATE.rst","appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE.rst","appdev/refs/macros/TKT_FLG_POSTDATED.rst","appdev/refs/macros/TKT_FLG_PRE_AUTH.rst","appdev/refs/macros/TKT_FLG_PROXIABLE.rst","appdev/refs/macros/TKT_FLG_PROXY.rst","appdev/refs/macros/TKT_FLG_RENEWABLE.rst","appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED.rst","appdev/refs/macros/VALID_INT_BITS.rst","appdev/refs/macros/VALID_UINT_BITS.rst","appdev/refs/macros/index.rst","appdev/refs/macros/krb524_convert_creds_kdc.rst","appdev/refs/macros/krb524_init_ets.rst","appdev/refs/macros/krb5_const.rst","appdev/refs/macros/krb5_princ_component.rst","appdev/refs/macros/krb5_princ_name.rst","appdev/refs/macros/krb5_princ_realm.rst","appdev/refs/macros/krb5_princ_set_realm.rst","appdev/refs/macros/krb5_princ_set_realm_data.rst","appdev/refs/macros/krb5_princ_set_realm_length.rst","appdev/refs/macros/krb5_princ_size.rst","appdev/refs/macros/krb5_princ_type.rst","appdev/refs/macros/krb5_roundup.rst","appdev/refs/macros/krb5_x.rst","appdev/refs/macros/krb5_xc.rst","appdev/refs/types/index.rst","appdev/refs/types/krb5_address.rst","appdev/refs/types/krb5_addrtype.rst","appdev/refs/types/krb5_ap_rep.rst","appdev/refs/types/krb5_ap_rep_enc_part.rst","appdev/refs/types/krb5_ap_req.rst","appdev/refs/types/krb5_auth_context.rst","appdev/refs/types/krb5_authdata.rst","appdev/refs/types/krb5_authdatatype.rst","appdev/refs/types/krb5_authenticator.rst","appdev/refs/types/krb5_boolean.rst","appdev/refs/types/krb5_cc_cursor.rst","appdev/refs/types/krb5_ccache.rst","appdev/refs/types/krb5_cccol_cursor.rst","appdev/refs/types/krb5_checksum.rst","appdev/refs/types/krb5_cksumtype.rst","appdev/refs/types/krb5_const_pointer.rst","appdev/refs/types/krb5_const_principal.rst","appdev/refs/types/krb5_context.rst","appdev/refs/types/krb5_cred.rst","appdev/refs/types/krb5_cred_enc_part.rst","appdev/refs/types/krb5_cred_info.rst","appdev/refs/types/krb5_creds.rst","appdev/refs/types/krb5_crypto_iov.rst","appdev/refs/types/krb5_cryptotype.rst","appdev/refs/types/krb5_data.rst","appdev/refs/types/krb5_deltat.rst","appdev/refs/types/krb5_enc_data.rst","appdev/refs/types/krb5_enc_kdc_rep_part.rst","appdev/refs/types/krb5_enc_tkt_part.rst","appdev/refs/types/krb5_encrypt_block.rst","appdev/refs/types/krb5_enctype.rst","appdev/refs/types/krb5_error.rst","appdev/refs/types/krb5_error_code.rst","appdev/refs/types/krb5_expire_callback_func.rst","appdev/refs/types/krb5_flags.rst","appdev/refs/types/krb5_get_init_creds_opt.rst","appdev/refs/types/krb5_gic_opt_pa_data.rst","appdev/refs/types/krb5_init_creds_context.rst","appdev/refs/types/krb5_int16.rst","appdev/refs/types/krb5_int32.rst","appdev/refs/types/krb5_kdc_rep.rst","appdev/refs/types/krb5_kdc_req.rst","appdev/refs/types/krb5_key.rst","appdev/refs/types/krb5_keyblock.rst","appdev/refs/types/krb5_keytab.rst","appdev/refs/types/krb5_keytab_entry.rst","appdev/refs/types/krb5_keyusage.rst","appdev/refs/types/krb5_kt_cursor.rst","appdev/refs/types/krb5_kvno.rst","appdev/refs/types/krb5_last_req_entry.rst","appdev/refs/types/krb5_magic.rst","appdev/refs/types/krb5_mk_req_checksum_func.rst","appdev/refs/types/krb5_msgtype.rst","appdev/refs/types/krb5_octet.rst","appdev/refs/types/krb5_pa_data.rst","appdev/refs/types/krb5_pa_pac_req.rst","appdev/refs/types/krb5_pa_server_referral_data.rst","appdev/refs/types/krb5_pa_svr_referral_data.rst","appdev/refs/types/krb5_pac.rst","appdev/refs/types/krb5_pointer.rst","appdev/refs/types/krb5_post_recv_fn.rst","appdev/refs/types/krb5_pre_send_fn.rst","appdev/refs/types/krb5_preauthtype.rst","appdev/refs/types/krb5_principal.rst","appdev/refs/types/krb5_principal_data.rst","appdev/refs/types/krb5_prompt.rst","appdev/refs/types/krb5_prompt_type.rst","appdev/refs/types/krb5_prompter_fct.rst","appdev/refs/types/krb5_pwd_data.rst","appdev/refs/types/krb5_rcache.rst","appdev/refs/types/krb5_replay_data.rst","appdev/refs/types/krb5_responder_context.rst","appdev/refs/types/krb5_responder_fn.rst","appdev/refs/types/krb5_responder_otp_challenge.rst","appdev/refs/types/krb5_responder_otp_tokeninfo.rst","appdev/refs/types/krb5_responder_pkinit_challenge.rst","appdev/refs/types/krb5_responder_pkinit_identity.rst","appdev/refs/types/krb5_response.rst","appdev/refs/types/krb5_ticket.rst","appdev/refs/types/krb5_ticket_times.rst","appdev/refs/types/krb5_timestamp.rst","appdev/refs/types/krb5_tkt_authent.rst","appdev/refs/types/krb5_tkt_creds_context.rst","appdev/refs/types/krb5_trace_callback.rst","appdev/refs/types/krb5_trace_info.rst","appdev/refs/types/krb5_transited.rst","appdev/refs/types/krb5_typed_data.rst","appdev/refs/types/krb5_ui_2.rst","appdev/refs/types/krb5_ui_4.rst","appdev/refs/types/krb5_verify_init_creds_opt.rst","appdev/refs/types/passwd_phrase_element.rst","appdev/y2038.rst","basic/ccache_def.rst","basic/date_format.rst","basic/index.rst","basic/keytab_def.rst","basic/rcache_def.rst","basic/stash_file_def.rst","build/directory_org.rst","build/doing_build.rst","build/index.rst","build/options2configure.rst","build/osconf.rst","build_this.rst","copyright.rst","formats/ccache_file_format.rst","formats/cookie.rst","formats/freshness_token.rst","formats/index.rst","formats/keytab_file_format.rst","formats/rcache_file_format.rst","index.rst","mitK5defaults.rst","mitK5features.rst","mitK5license.rst","plugindev/ccselect.rst","plugindev/certauth.rst","plugindev/clpreauth.rst","plugindev/general.rst","plugindev/gssapi.rst","plugindev/hostrealm.rst","plugindev/index.rst","plugindev/internal.rst","plugindev/kadm5_auth.rst","plugindev/kadm5_hook.rst","plugindev/kdcpolicy.rst","plugindev/kdcpreauth.rst","plugindev/localauth.rst","plugindev/locate.rst","plugindev/profile.rst","plugindev/pwqual.rst","resources.rst","user/index.rst","user/pwd_mgmt.rst","user/tkt_mgmt.rst","user/user_commands/index.rst","user/user_commands/kdestroy.rst","user/user_commands/kinit.rst","user/user_commands/klist.rst","user/user_commands/kpasswd.rst","user/user_commands/krb5-config.rst","user/user_commands/ksu.rst","user/user_commands/kswitch.rst","user/user_commands/kvno.rst","user/user_commands/sclient.rst","user/user_config/index.rst","user/user_config/k5identity.rst","user/user_config/k5login.rst","user/user_config/kerberos.rst"],objects:{"":{ADDRTYPE_ADDRPORT:[422,3,1,""],ADDRTYPE_CHAOS:[423,3,1,""],ADDRTYPE_DDP:[424,3,1,""],ADDRTYPE_INET6:[426,3,1,""],ADDRTYPE_INET:[425,3,1,""],ADDRTYPE_IPPORT:[427,3,1,""],ADDRTYPE_ISO:[428,3,1,""],ADDRTYPE_IS_LOCAL:[429,3,1,""],ADDRTYPE_NETBIOS:[430,3,1,""],ADDRTYPE_XNS:[431,3,1,""],AD_TYPE_EXTERNAL:[432,3,1,""],AD_TYPE_FIELD_TYPE_MASK:[433,3,1,""],AD_TYPE_REGISTERED:[434,3,1,""],AD_TYPE_RESERVED:[435,3,1,""],AP_OPTS_ETYPE_NEGOTIATION:[436,3,1,""],AP_OPTS_MUTUAL_REQUIRED:[437,3,1,""],AP_OPTS_RESERVED:[438,3,1,""],AP_OPTS_USE_SESSION_KEY:[439,3,1,""],AP_OPTS_USE_SUBKEY:[440,3,1,""],AP_OPTS_WIRE_MASK:[441,3,1,""],CKSUMTYPE_CMAC_CAMELLIA128:[442,3,1,""],CKSUMTYPE_CMAC_CAMELLIA256:[443,3,1,""],CKSUMTYPE_CRC32:[444,3,1,""],CKSUMTYPE_DESCBC:[445,3,1,""],CKSUMTYPE_HMAC_MD5_ARCFOUR:[446,3,1,""],CKSUMTYPE_HMAC_SHA1_96_AES128:[447,3,1,""],CKSUMTYPE_HMAC_SHA1_96_AES256:[448,3,1,""],CKSUMTYPE_HMAC_SHA1_DES3:[449,3,1,""],CKSUMTYPE_HMAC_SHA256_128_AES128:[450,3,1,""],CKSUMTYPE_HMAC_SHA384_192_AES256:[451,3,1,""],CKSUMTYPE_MD5_HMAC_ARCFOUR:[452,3,1,""],CKSUMTYPE_NIST_SHA:[453,3,1,""],CKSUMTYPE_RSA_MD4:[454,3,1,""],CKSUMTYPE_RSA_MD4_DES:[455,3,1,""],CKSUMTYPE_RSA_MD5:[456,3,1,""],CKSUMTYPE_RSA_MD5_DES:[457,3,1,""],CKSUMTYPE_SHA1:[458,3,1,""],ENCTYPE_AES128_CTS_HMAC_SHA1_96:[459,3,1,""],ENCTYPE_AES128_CTS_HMAC_SHA256_128:[460,3,1,""],ENCTYPE_AES256_CTS_HMAC_SHA1_96:[461,3,1,""],ENCTYPE_AES256_CTS_HMAC_SHA384_192:[462,3,1,""],ENCTYPE_ARCFOUR_HMAC:[463,3,1,""],ENCTYPE_ARCFOUR_HMAC_EXP:[464,3,1,""],ENCTYPE_CAMELLIA128_CTS_CMAC:[465,3,1,""],ENCTYPE_CAMELLIA256_CTS_CMAC:[466,3,1,""],ENCTYPE_DES3_CBC_ENV:[467,3,1,""],ENCTYPE_DES3_CBC_RAW:[468,3,1,""],ENCTYPE_DES3_CBC_SHA1:[470,3,1,""],ENCTYPE_DES3_CBC_SHA:[469,3,1,""],ENCTYPE_DES_CBC_CRC:[471,3,1,""],ENCTYPE_DES_CBC_MD4:[472,3,1,""],ENCTYPE_DES_CBC_MD5:[473,3,1,""],ENCTYPE_DES_CBC_RAW:[474,3,1,""],ENCTYPE_DES_HMAC_SHA1:[475,3,1,""],ENCTYPE_DSA_SHA1_CMS:[476,3,1,""],ENCTYPE_MD5_RSA_CMS:[477,3,1,""],ENCTYPE_NULL:[478,3,1,""],ENCTYPE_RC2_CBC_ENV:[479,3,1,""],ENCTYPE_RSA_ENV:[480,3,1,""],ENCTYPE_RSA_ES_OAEP_ENV:[481,3,1,""],ENCTYPE_SHA1_RSA_CMS:[482,3,1,""],ENCTYPE_UNKNOWN:[483,3,1,""],KDC_OPT_ALLOW_POSTDATE:[484,3,1,""],KDC_OPT_CANONICALIZE:[485,3,1,""],KDC_OPT_CNAME_IN_ADDL_TKT:[486,3,1,""],KDC_OPT_DISABLE_TRANSITED_CHECK:[487,3,1,""],KDC_OPT_ENC_TKT_IN_SKEY:[488,3,1,""],KDC_OPT_FORWARDABLE:[489,3,1,""],KDC_OPT_FORWARDED:[490,3,1,""],KDC_OPT_POSTDATED:[491,3,1,""],KDC_OPT_PROXIABLE:[492,3,1,""],KDC_OPT_PROXY:[493,3,1,""],KDC_OPT_RENEW:[494,3,1,""],KDC_OPT_RENEWABLE:[495,3,1,""],KDC_OPT_RENEWABLE_OK:[496,3,1,""],KDC_OPT_REQUEST_ANONYMOUS:[497,3,1,""],KDC_OPT_VALIDATE:[498,3,1,""],KDC_TKT_COMMON_MASK:[499,3,1,""],KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE:[500,3,1,""],KRB5_ANONYMOUS_PRINCSTR:[501,3,1,""],KRB5_ANONYMOUS_REALMSTR:[502,3,1,""],KRB5_AP_REP:[503,3,1,""],KRB5_AP_REQ:[504,3,1,""],KRB5_AS_REP:[505,3,1,""],KRB5_AS_REQ:[506,3,1,""],KRB5_AUTHDATA_AND_OR:[507,3,1,""],KRB5_AUTHDATA_AP_OPTIONS:[508,3,1,""],KRB5_AUTHDATA_AUTH_INDICATOR:[509,3,1,""],KRB5_AUTHDATA_CAMMAC:[510,3,1,""],KRB5_AUTHDATA_ETYPE_NEGOTIATION:[511,3,1,""],KRB5_AUTHDATA_FX_ARMOR:[512,3,1,""],KRB5_AUTHDATA_IF_RELEVANT:[513,3,1,""],KRB5_AUTHDATA_INITIAL_VERIFIED_CAS:[514,3,1,""],KRB5_AUTHDATA_KDC_ISSUED:[515,3,1,""],KRB5_AUTHDATA_MANDATORY_FOR_KDC:[516,3,1,""],KRB5_AUTHDATA_OSF_DCE:[517,3,1,""],KRB5_AUTHDATA_SESAME:[518,3,1,""],KRB5_AUTHDATA_SIGNTICKET:[519,3,1,""],KRB5_AUTHDATA_WIN2K_PAC:[520,3,1,""],KRB5_AUTH_CONTEXT_DO_SEQUENCE:[521,3,1,""],KRB5_AUTH_CONTEXT_DO_TIME:[522,3,1,""],KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR:[523,3,1,""],KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR:[524,3,1,""],KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR:[525,3,1,""],KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR:[526,3,1,""],KRB5_AUTH_CONTEXT_PERMIT_ALL:[527,3,1,""],KRB5_AUTH_CONTEXT_RET_SEQUENCE:[528,3,1,""],KRB5_AUTH_CONTEXT_RET_TIME:[529,3,1,""],KRB5_AUTH_CONTEXT_USE_SUBKEY:[530,3,1,""],KRB5_CRED:[531,3,1,""],KRB5_CRYPTO_TYPE_CHECKSUM:[532,3,1,""],KRB5_CRYPTO_TYPE_DATA:[533,3,1,""],KRB5_CRYPTO_TYPE_EMPTY:[534,3,1,""],KRB5_CRYPTO_TYPE_HEADER:[535,3,1,""],KRB5_CRYPTO_TYPE_PADDING:[536,3,1,""],KRB5_CRYPTO_TYPE_SIGN_ONLY:[537,3,1,""],KRB5_CRYPTO_TYPE_STREAM:[538,3,1,""],KRB5_CRYPTO_TYPE_TRAILER:[539,3,1,""],KRB5_CYBERSAFE_SECUREID:[540,3,1,""],KRB5_DOMAIN_X500_COMPRESS:[541,3,1,""],KRB5_ENCPADATA_REQ_ENC_PA_REP:[542,3,1,""],KRB5_ERROR:[543,3,1,""],KRB5_FAST_REQUIRED:[544,3,1,""],KRB5_GC_CACHED:[545,3,1,""],KRB5_GC_CANONICALIZE:[546,3,1,""],KRB5_GC_CONSTRAINED_DELEGATION:[547,3,1,""],KRB5_GC_FORWARDABLE:[548,3,1,""],KRB5_GC_NO_STORE:[549,3,1,""],KRB5_GC_NO_TRANSIT_CHECK:[550,3,1,""],KRB5_GC_USER_USER:[551,3,1,""],KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST:[552,3,1,""],KRB5_GET_INIT_CREDS_OPT_ANONYMOUS:[553,3,1,""],KRB5_GET_INIT_CREDS_OPT_CANONICALIZE:[554,3,1,""],KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT:[555,3,1,""],KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST:[556,3,1,""],KRB5_GET_INIT_CREDS_OPT_FORWARDABLE:[557,3,1,""],KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST:[558,3,1,""],KRB5_GET_INIT_CREDS_OPT_PROXIABLE:[559,3,1,""],KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE:[560,3,1,""],KRB5_GET_INIT_CREDS_OPT_SALT:[561,3,1,""],KRB5_GET_INIT_CREDS_OPT_TKT_LIFE:[562,3,1,""],KRB5_INIT_CONTEXT_KDC:[563,3,1,""],KRB5_INIT_CONTEXT_SECURE:[564,3,1,""],KRB5_INIT_CREDS_STEP_FLAG_CONTINUE:[565,3,1,""],KRB5_INT16_MAX:[566,3,1,""],KRB5_INT16_MIN:[567,3,1,""],KRB5_INT32_MAX:[568,3,1,""],KRB5_INT32_MIN:[569,3,1,""],KRB5_KEYUSAGE_AD_ITE:[570,3,1,""],KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM:[571,3,1,""],KRB5_KEYUSAGE_AD_MTE:[572,3,1,""],KRB5_KEYUSAGE_AD_SIGNEDPATH:[573,3,1,""],KRB5_KEYUSAGE_APP_DATA_CKSUM:[574,3,1,""],KRB5_KEYUSAGE_APP_DATA_ENCRYPT:[575,3,1,""],KRB5_KEYUSAGE_AP_REP_ENCPART:[576,3,1,""],KRB5_KEYUSAGE_AP_REQ_AUTH:[577,3,1,""],KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM:[578,3,1,""],KRB5_KEYUSAGE_AS_REP_ENCPART:[579,3,1,""],KRB5_KEYUSAGE_AS_REQ:[580,3,1,""],KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS:[581,3,1,""],KRB5_KEYUSAGE_CAMMAC:[582,3,1,""],KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT:[583,3,1,""],KRB5_KEYUSAGE_ENC_CHALLENGE_KDC:[584,3,1,""],KRB5_KEYUSAGE_FAST_ENC:[585,3,1,""],KRB5_KEYUSAGE_FAST_FINISHED:[586,3,1,""],KRB5_KEYUSAGE_FAST_REP:[587,3,1,""],KRB5_KEYUSAGE_FAST_REQ_CHKSUM:[588,3,1,""],KRB5_KEYUSAGE_GSS_TOK_MIC:[589,3,1,""],KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG:[590,3,1,""],KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV:[591,3,1,""],KRB5_KEYUSAGE_IAKERB_FINISHED:[592,3,1,""],KRB5_KEYUSAGE_KDC_REP_TICKET:[593,3,1,""],KRB5_KEYUSAGE_KRB_CRED_ENCPART:[594,3,1,""],KRB5_KEYUSAGE_KRB_ERROR_CKSUM:[595,3,1,""],KRB5_KEYUSAGE_KRB_PRIV_ENCPART:[596,3,1,""],KRB5_KEYUSAGE_KRB_SAFE_CKSUM:[597,3,1,""],KRB5_KEYUSAGE_PA_AS_FRESHNESS:[598,3,1,""],KRB5_KEYUSAGE_PA_FX_COOKIE:[599,3,1,""],KRB5_KEYUSAGE_PA_OTP_REQUEST:[600,3,1,""],KRB5_KEYUSAGE_PA_PKINIT_KX:[601,3,1,""],KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY:[602,3,1,""],KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST:[603,3,1,""],KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM:[604,3,1,""],KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID:[605,3,1,""],KRB5_KEYUSAGE_PA_SAM_RESPONSE:[606,3,1,""],KRB5_KEYUSAGE_SPAKE:[607,3,1,""],KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY:[608,3,1,""],KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY:[609,3,1,""],KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY:[610,3,1,""],KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY:[611,3,1,""],KRB5_KEYUSAGE_TGS_REQ_AUTH:[612,3,1,""],KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM:[613,3,1,""],KRB5_KPASSWD_ACCESSDENIED:[614,3,1,""],KRB5_KPASSWD_AUTHERROR:[615,3,1,""],KRB5_KPASSWD_BAD_VERSION:[616,3,1,""],KRB5_KPASSWD_HARDERROR:[617,3,1,""],KRB5_KPASSWD_INITIAL_FLAG_NEEDED:[618,3,1,""],KRB5_KPASSWD_MALFORMED:[619,3,1,""],KRB5_KPASSWD_SOFTERROR:[620,3,1,""],KRB5_KPASSWD_SUCCESS:[621,3,1,""],KRB5_LRQ_ALL_ACCT_EXPTIME:[622,3,1,""],KRB5_LRQ_ALL_LAST_INITIAL:[623,3,1,""],KRB5_LRQ_ALL_LAST_RENEWAL:[624,3,1,""],KRB5_LRQ_ALL_LAST_REQ:[625,3,1,""],KRB5_LRQ_ALL_LAST_TGT:[626,3,1,""],KRB5_LRQ_ALL_LAST_TGT_ISSUED:[627,3,1,""],KRB5_LRQ_ALL_PW_EXPTIME:[628,3,1,""],KRB5_LRQ_NONE:[629,3,1,""],KRB5_LRQ_ONE_ACCT_EXPTIME:[630,3,1,""],KRB5_LRQ_ONE_LAST_INITIAL:[631,3,1,""],KRB5_LRQ_ONE_LAST_RENEWAL:[632,3,1,""],KRB5_LRQ_ONE_LAST_REQ:[633,3,1,""],KRB5_LRQ_ONE_LAST_TGT:[634,3,1,""],KRB5_LRQ_ONE_LAST_TGT_ISSUED:[635,3,1,""],KRB5_LRQ_ONE_PW_EXPTIME:[636,3,1,""],KRB5_NT_ENTERPRISE_PRINCIPAL:[637,3,1,""],KRB5_NT_ENT_PRINCIPAL_AND_ID:[638,3,1,""],KRB5_NT_MS_PRINCIPAL:[639,3,1,""],KRB5_NT_MS_PRINCIPAL_AND_ID:[640,3,1,""],KRB5_NT_PRINCIPAL:[641,3,1,""],KRB5_NT_SMTP_NAME:[642,3,1,""],KRB5_NT_SRV_HST:[643,3,1,""],KRB5_NT_SRV_INST:[644,3,1,""],KRB5_NT_SRV_XHST:[645,3,1,""],KRB5_NT_UID:[646,3,1,""],KRB5_NT_UNKNOWN:[647,3,1,""],KRB5_NT_WELLKNOWN:[648,3,1,""],KRB5_NT_X500_PRINCIPAL:[649,3,1,""],KRB5_PAC_ATTRIBUTES_INFO:[650,3,1,""],KRB5_PAC_CLIENT_CLAIMS:[651,3,1,""],KRB5_PAC_CLIENT_INFO:[652,3,1,""],KRB5_PAC_CREDENTIALS_INFO:[653,3,1,""],KRB5_PAC_DELEGATION_INFO:[654,3,1,""],KRB5_PAC_DEVICE_CLAIMS:[655,3,1,""],KRB5_PAC_DEVICE_INFO:[656,3,1,""],KRB5_PAC_FULL_CHECKSUM:[657,3,1,""],KRB5_PAC_LOGON_INFO:[658,3,1,""],KRB5_PAC_PRIVSVR_CHECKSUM:[659,3,1,""],KRB5_PAC_REQUESTOR:[660,3,1,""],KRB5_PAC_SERVER_CHECKSUM:[661,3,1,""],KRB5_PAC_TICKET_CHECKSUM:[662,3,1,""],KRB5_PAC_UPN_DNS_INFO:[663,3,1,""],KRB5_PADATA_AFS3_SALT:[664,3,1,""],KRB5_PADATA_AP_REQ:[665,3,1,""],KRB5_PADATA_AS_CHECKSUM:[666,3,1,""],KRB5_PADATA_AS_FRESHNESS:[667,3,1,""],KRB5_PADATA_ENCRYPTED_CHALLENGE:[668,3,1,""],KRB5_PADATA_ENC_SANDIA_SECURID:[669,3,1,""],KRB5_PADATA_ENC_TIMESTAMP:[670,3,1,""],KRB5_PADATA_ENC_UNIX_TIME:[671,3,1,""],KRB5_PADATA_ETYPE_INFO2:[673,3,1,""],KRB5_PADATA_ETYPE_INFO:[672,3,1,""],KRB5_PADATA_FOR_USER:[674,3,1,""],KRB5_PADATA_FX_COOKIE:[675,3,1,""],KRB5_PADATA_FX_ERROR:[676,3,1,""],KRB5_PADATA_FX_FAST:[677,3,1,""],KRB5_PADATA_GET_FROM_TYPED_DATA:[678,3,1,""],KRB5_PADATA_NONE:[679,3,1,""],KRB5_PADATA_OSF_DCE:[680,3,1,""],KRB5_PADATA_OTP_CHALLENGE:[681,3,1,""],KRB5_PADATA_OTP_PIN_CHANGE:[682,3,1,""],KRB5_PADATA_OTP_REQUEST:[683,3,1,""],KRB5_PADATA_PAC_OPTIONS:[684,3,1,""],KRB5_PADATA_PAC_REQUEST:[685,3,1,""],KRB5_PADATA_PKINIT_KX:[686,3,1,""],KRB5_PADATA_PK_AS_REP:[687,3,1,""],KRB5_PADATA_PK_AS_REP_OLD:[688,3,1,""],KRB5_PADATA_PK_AS_REQ:[689,3,1,""],KRB5_PADATA_PK_AS_REQ_OLD:[690,3,1,""],KRB5_PADATA_PW_SALT:[691,3,1,""],KRB5_PADATA_REDHAT_IDP_OAUTH2:[692,3,1,""],KRB5_PADATA_REDHAT_PASSKEY:[693,3,1,""],KRB5_PADATA_REFERRAL:[694,3,1,""],KRB5_PADATA_S4U_X509_USER:[695,3,1,""],KRB5_PADATA_SAM_CHALLENGE:[696,3,1,""],KRB5_PADATA_SAM_CHALLENGE_2:[697,3,1,""],KRB5_PADATA_SAM_REDIRECT:[698,3,1,""],KRB5_PADATA_SAM_RESPONSE:[699,3,1,""],KRB5_PADATA_SAM_RESPONSE_2:[700,3,1,""],KRB5_PADATA_SESAME:[701,3,1,""],KRB5_PADATA_SPAKE:[702,3,1,""],KRB5_PADATA_SVR_REFERRAL_INFO:[703,3,1,""],KRB5_PADATA_TGS_REQ:[704,3,1,""],KRB5_PADATA_USE_SPECIFIED_KVNO:[705,3,1,""],KRB5_PRINCIPAL_COMPARE_CASEFOLD:[706,3,1,""],KRB5_PRINCIPAL_COMPARE_ENTERPRISE:[707,3,1,""],KRB5_PRINCIPAL_COMPARE_IGNORE_REALM:[708,3,1,""],KRB5_PRINCIPAL_COMPARE_UTF8:[709,3,1,""],KRB5_PRINCIPAL_PARSE_ENTERPRISE:[710,3,1,""],KRB5_PRINCIPAL_PARSE_IGNORE_REALM:[711,3,1,""],KRB5_PRINCIPAL_PARSE_NO_DEF_REALM:[712,3,1,""],KRB5_PRINCIPAL_PARSE_NO_REALM:[713,3,1,""],KRB5_PRINCIPAL_PARSE_REQUIRE_REALM:[714,3,1,""],KRB5_PRINCIPAL_UNPARSE_DISPLAY:[715,3,1,""],KRB5_PRINCIPAL_UNPARSE_NO_REALM:[716,3,1,""],KRB5_PRINCIPAL_UNPARSE_SHORT:[717,3,1,""],KRB5_PRIV:[718,3,1,""],KRB5_PROMPT_TYPE_NEW_PASSWORD:[719,3,1,""],KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN:[720,3,1,""],KRB5_PROMPT_TYPE_PASSWORD:[721,3,1,""],KRB5_PROMPT_TYPE_PREAUTH:[722,3,1,""],KRB5_PVNO:[723,3,1,""],KRB5_REALM_BRANCH_CHAR:[724,3,1,""],KRB5_RECVAUTH_BADAUTHVERS:[725,3,1,""],KRB5_RECVAUTH_SKIP_VERSION:[726,3,1,""],KRB5_REFERRAL_REALM:[727,3,1,""],KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN:[728,3,1,""],KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN:[729,3,1,""],KRB5_RESPONDER_OTP_FLAGS_NEXTOTP:[730,3,1,""],KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN:[731,3,1,""],KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC:[732,3,1,""],KRB5_RESPONDER_OTP_FORMAT_DECIMAL:[733,3,1,""],KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL:[734,3,1,""],KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW:[735,3,1,""],KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY:[736,3,1,""],KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED:[737,3,1,""],KRB5_RESPONDER_QUESTION_OTP:[738,3,1,""],KRB5_RESPONDER_QUESTION_PASSWORD:[739,3,1,""],KRB5_RESPONDER_QUESTION_PKINIT:[740,3,1,""],KRB5_SAFE:[741,3,1,""],KRB5_SAM_MUST_PK_ENCRYPT_SAD:[742,3,1,""],KRB5_SAM_SEND_ENCRYPTED_SAD:[743,3,1,""],KRB5_SAM_USE_SAD_AS_KEY:[744,3,1,""],KRB5_TC_MATCH_2ND_TKT:[745,3,1,""],KRB5_TC_MATCH_AUTHDATA:[746,3,1,""],KRB5_TC_MATCH_FLAGS:[747,3,1,""],KRB5_TC_MATCH_FLAGS_EXACT:[748,3,1,""],KRB5_TC_MATCH_IS_SKEY:[749,3,1,""],KRB5_TC_MATCH_KTYPE:[750,3,1,""],KRB5_TC_MATCH_SRV_NAMEONLY:[751,3,1,""],KRB5_TC_MATCH_TIMES:[752,3,1,""],KRB5_TC_MATCH_TIMES_EXACT:[753,3,1,""],KRB5_TC_NOTICKET:[754,3,1,""],KRB5_TC_OPENCLOSE:[755,3,1,""],KRB5_TC_SUPPORTED_KTYPES:[756,3,1,""],KRB5_TGS_NAME:[757,3,1,""],KRB5_TGS_NAME_SIZE:[758,3,1,""],KRB5_TGS_REP:[759,3,1,""],KRB5_TGS_REQ:[760,3,1,""],KRB5_TKT_CREDS_STEP_FLAG_CONTINUE:[761,3,1,""],KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL:[762,3,1,""],KRB5_WELLKNOWN_NAMESTR:[763,3,1,""],LR_TYPE_INTERPRETATION_MASK:[764,3,1,""],LR_TYPE_THIS_SERVER_ONLY:[765,3,1,""],MAX_KEYTAB_NAME_LEN:[766,3,1,""],MSEC_DIRBIT:[767,3,1,""],MSEC_VAL_MASK:[768,3,1,""],SALT_TYPE_AFS_LENGTH:[769,3,1,""],SALT_TYPE_NO_LENGTH:[770,3,1,""],THREEPARAMOPEN:[771,3,1,""],TKT_FLG_ANONYMOUS:[772,3,1,""],TKT_FLG_ENC_PA_REP:[773,3,1,""],TKT_FLG_FORWARDABLE:[774,3,1,""],TKT_FLG_FORWARDED:[775,3,1,""],TKT_FLG_HW_AUTH:[776,3,1,""],TKT_FLG_INITIAL:[777,3,1,""],TKT_FLG_INVALID:[778,3,1,""],TKT_FLG_MAY_POSTDATE:[779,3,1,""],TKT_FLG_OK_AS_DELEGATE:[780,3,1,""],TKT_FLG_POSTDATED:[781,3,1,""],TKT_FLG_PRE_AUTH:[782,3,1,""],TKT_FLG_PROXIABLE:[783,3,1,""],TKT_FLG_PROXY:[784,3,1,""],TKT_FLG_RENEWABLE:[785,3,1,""],TKT_FLG_TRANSIT_POLICY_CHECKED:[786,3,1,""],VALID_INT_BITS:[787,3,1,""],VALID_UINT_BITS:[788,3,1,""],krb524_convert_creds_kdc:[790,3,1,""],krb524_init_ets:[791,3,1,""],krb5_425_conv_principal:[49,0,1,"c.krb5_425_conv_principal"],krb5_524_conv_principal:[50,0,1,"c.krb5_524_conv_principal"],krb5_524_convert_creds:[51,0,1,"c.krb5_524_convert_creds"],krb5_address:[805,1,1,"c.krb5_address"],krb5_address_compare:[52,0,1,"c.krb5_address_compare"],krb5_address_order:[53,0,1,"c.krb5_address_order"],krb5_address_search:[54,0,1,"c.krb5_address_search"],krb5_addrtype:[806,1,1,"c.krb5_addrtype"],krb5_allow_weak_crypto:[55,0,1,"c.krb5_allow_weak_crypto"],krb5_aname_to_localname:[56,0,1,"c.krb5_aname_to_localname"],krb5_anonymous_principal:[57,0,1,"c.krb5_anonymous_principal"],krb5_anonymous_realm:[58,0,1,"c.krb5_anonymous_realm"],krb5_ap_rep:[807,1,1,"c.krb5_ap_rep"],krb5_ap_rep_enc_part:[808,1,1,"c.krb5_ap_rep_enc_part"],krb5_ap_req:[809,1,1,"c.krb5_ap_req"],krb5_appdefault_boolean:[59,0,1,"c.krb5_appdefault_boolean"],krb5_appdefault_string:[60,0,1,"c.krb5_appdefault_string"],krb5_auth_con_free:[61,0,1,"c.krb5_auth_con_free"],krb5_auth_con_genaddrs:[62,0,1,"c.krb5_auth_con_genaddrs"],krb5_auth_con_get_checksum_func:[63,0,1,"c.krb5_auth_con_get_checksum_func"],krb5_auth_con_getaddrs:[64,0,1,"c.krb5_auth_con_getaddrs"],krb5_auth_con_getauthenticator:[65,0,1,"c.krb5_auth_con_getauthenticator"],krb5_auth_con_getflags:[66,0,1,"c.krb5_auth_con_getflags"],krb5_auth_con_getkey:[67,0,1,"c.krb5_auth_con_getkey"],krb5_auth_con_getkey_k:[68,0,1,"c.krb5_auth_con_getkey_k"],krb5_auth_con_getlocalseqnumber:[69,0,1,"c.krb5_auth_con_getlocalseqnumber"],krb5_auth_con_getlocalsubkey:[70,0,1,"c.krb5_auth_con_getlocalsubkey"],krb5_auth_con_getrcache:[71,0,1,"c.krb5_auth_con_getrcache"],krb5_auth_con_getrecvsubkey:[72,0,1,"c.krb5_auth_con_getrecvsubkey"],krb5_auth_con_getrecvsubkey_k:[73,0,1,"c.krb5_auth_con_getrecvsubkey_k"],krb5_auth_con_getremoteseqnumber:[74,0,1,"c.krb5_auth_con_getremoteseqnumber"],krb5_auth_con_getremotesubkey:[75,0,1,"c.krb5_auth_con_getremotesubkey"],krb5_auth_con_getsendsubkey:[76,0,1,"c.krb5_auth_con_getsendsubkey"],krb5_auth_con_getsendsubkey_k:[77,0,1,"c.krb5_auth_con_getsendsubkey_k"],krb5_auth_con_init:[78,0,1,"c.krb5_auth_con_init"],krb5_auth_con_initivector:[79,0,1,"c.krb5_auth_con_initivector"],krb5_auth_con_set_checksum_func:[80,0,1,"c.krb5_auth_con_set_checksum_func"],krb5_auth_con_set_req_cksumtype:[81,0,1,"c.krb5_auth_con_set_req_cksumtype"],krb5_auth_con_setaddrs:[82,0,1,"c.krb5_auth_con_setaddrs"],krb5_auth_con_setflags:[83,0,1,"c.krb5_auth_con_setflags"],krb5_auth_con_setports:[84,0,1,"c.krb5_auth_con_setports"],krb5_auth_con_setrcache:[85,0,1,"c.krb5_auth_con_setrcache"],krb5_auth_con_setrecvsubkey:[86,0,1,"c.krb5_auth_con_setrecvsubkey"],krb5_auth_con_setrecvsubkey_k:[87,0,1,"c.krb5_auth_con_setrecvsubkey_k"],krb5_auth_con_setsendsubkey:[88,0,1,"c.krb5_auth_con_setsendsubkey"],krb5_auth_con_setsendsubkey_k:[89,0,1,"c.krb5_auth_con_setsendsubkey_k"],krb5_auth_con_setuseruserkey:[90,0,1,"c.krb5_auth_con_setuseruserkey"],krb5_auth_context:[810,1,1,"c.krb5_auth_context"],krb5_authdata:[811,1,1,"c.krb5_authdata"],krb5_authdatatype:[812,1,1,"c.krb5_authdatatype"],krb5_authenticator:[813,1,1,"c.krb5_authenticator"],krb5_boolean:[814,1,1,"c.krb5_boolean"],krb5_build_principal:[91,0,1,"c.krb5_build_principal"],krb5_build_principal_alloc_va:[92,0,1,"c.krb5_build_principal_alloc_va"],krb5_build_principal_ext:[93,0,1,"c.krb5_build_principal_ext"],krb5_build_principal_va:[94,0,1,"c.krb5_build_principal_va"],krb5_c_block_size:[95,0,1,"c.krb5_c_block_size"],krb5_c_checksum_length:[96,0,1,"c.krb5_c_checksum_length"],krb5_c_crypto_length:[97,0,1,"c.krb5_c_crypto_length"],krb5_c_crypto_length_iov:[98,0,1,"c.krb5_c_crypto_length_iov"],krb5_c_decrypt:[99,0,1,"c.krb5_c_decrypt"],krb5_c_decrypt_iov:[100,0,1,"c.krb5_c_decrypt_iov"],krb5_c_derive_prfplus:[101,0,1,"c.krb5_c_derive_prfplus"],krb5_c_encrypt:[102,0,1,"c.krb5_c_encrypt"],krb5_c_encrypt_iov:[103,0,1,"c.krb5_c_encrypt_iov"],krb5_c_encrypt_length:[104,0,1,"c.krb5_c_encrypt_length"],krb5_c_enctype_compare:[105,0,1,"c.krb5_c_enctype_compare"],krb5_c_free_state:[106,0,1,"c.krb5_c_free_state"],krb5_c_fx_cf2_simple:[107,0,1,"c.krb5_c_fx_cf2_simple"],krb5_c_init_state:[108,0,1,"c.krb5_c_init_state"],krb5_c_is_coll_proof_cksum:[109,0,1,"c.krb5_c_is_coll_proof_cksum"],krb5_c_is_keyed_cksum:[110,0,1,"c.krb5_c_is_keyed_cksum"],krb5_c_keyed_checksum_types:[111,0,1,"c.krb5_c_keyed_checksum_types"],krb5_c_keylengths:[112,0,1,"c.krb5_c_keylengths"],krb5_c_make_checksum:[113,0,1,"c.krb5_c_make_checksum"],krb5_c_make_checksum_iov:[114,0,1,"c.krb5_c_make_checksum_iov"],krb5_c_make_random_key:[115,0,1,"c.krb5_c_make_random_key"],krb5_c_padding_length:[116,0,1,"c.krb5_c_padding_length"],krb5_c_prf:[117,0,1,"c.krb5_c_prf"],krb5_c_prf_length:[118,0,1,"c.krb5_c_prf_length"],krb5_c_prfplus:[119,0,1,"c.krb5_c_prfplus"],krb5_c_random_add_entropy:[120,0,1,"c.krb5_c_random_add_entropy"],krb5_c_random_make_octets:[121,0,1,"c.krb5_c_random_make_octets"],krb5_c_random_os_entropy:[122,0,1,"c.krb5_c_random_os_entropy"],krb5_c_random_seed:[123,0,1,"c.krb5_c_random_seed"],krb5_c_random_to_key:[124,0,1,"c.krb5_c_random_to_key"],krb5_c_string_to_key:[125,0,1,"c.krb5_c_string_to_key"],krb5_c_string_to_key_with_params:[126,0,1,"c.krb5_c_string_to_key_with_params"],krb5_c_valid_cksumtype:[127,0,1,"c.krb5_c_valid_cksumtype"],krb5_c_valid_enctype:[128,0,1,"c.krb5_c_valid_enctype"],krb5_c_verify_checksum:[129,0,1,"c.krb5_c_verify_checksum"],krb5_c_verify_checksum_iov:[130,0,1,"c.krb5_c_verify_checksum_iov"],krb5_calculate_checksum:[131,0,1,"c.krb5_calculate_checksum"],krb5_cc_cache_match:[132,0,1,"c.krb5_cc_cache_match"],krb5_cc_close:[133,0,1,"c.krb5_cc_close"],krb5_cc_copy_creds:[134,0,1,"c.krb5_cc_copy_creds"],krb5_cc_cursor:[815,1,1,"c.krb5_cc_cursor"],krb5_cc_default:[135,0,1,"c.krb5_cc_default"],krb5_cc_default_name:[136,0,1,"c.krb5_cc_default_name"],krb5_cc_destroy:[137,0,1,"c.krb5_cc_destroy"],krb5_cc_dup:[138,0,1,"c.krb5_cc_dup"],krb5_cc_end_seq_get:[139,0,1,"c.krb5_cc_end_seq_get"],krb5_cc_gen_new:[140,0,1,"c.krb5_cc_gen_new"],krb5_cc_get_config:[141,0,1,"c.krb5_cc_get_config"],krb5_cc_get_flags:[142,0,1,"c.krb5_cc_get_flags"],krb5_cc_get_full_name:[143,0,1,"c.krb5_cc_get_full_name"],krb5_cc_get_name:[144,0,1,"c.krb5_cc_get_name"],krb5_cc_get_principal:[145,0,1,"c.krb5_cc_get_principal"],krb5_cc_get_type:[146,0,1,"c.krb5_cc_get_type"],krb5_cc_initialize:[147,0,1,"c.krb5_cc_initialize"],krb5_cc_move:[148,0,1,"c.krb5_cc_move"],krb5_cc_new_unique:[149,0,1,"c.krb5_cc_new_unique"],krb5_cc_next_cred:[150,0,1,"c.krb5_cc_next_cred"],krb5_cc_remove_cred:[151,0,1,"c.krb5_cc_remove_cred"],krb5_cc_resolve:[152,0,1,"c.krb5_cc_resolve"],krb5_cc_retrieve_cred:[153,0,1,"c.krb5_cc_retrieve_cred"],krb5_cc_select:[154,0,1,"c.krb5_cc_select"],krb5_cc_set_config:[155,0,1,"c.krb5_cc_set_config"],krb5_cc_set_default_name:[156,0,1,"c.krb5_cc_set_default_name"],krb5_cc_set_flags:[157,0,1,"c.krb5_cc_set_flags"],krb5_cc_start_seq_get:[158,0,1,"c.krb5_cc_start_seq_get"],krb5_cc_store_cred:[159,0,1,"c.krb5_cc_store_cred"],krb5_cc_support_switch:[160,0,1,"c.krb5_cc_support_switch"],krb5_cc_switch:[161,0,1,"c.krb5_cc_switch"],krb5_ccache:[816,1,1,"c.krb5_ccache"],krb5_cccol_cursor:[817,1,1,"c.krb5_cccol_cursor"],krb5_cccol_cursor_free:[162,0,1,"c.krb5_cccol_cursor_free"],krb5_cccol_cursor_new:[163,0,1,"c.krb5_cccol_cursor_new"],krb5_cccol_cursor_next:[164,0,1,"c.krb5_cccol_cursor_next"],krb5_cccol_have_content:[165,0,1,"c.krb5_cccol_have_content"],krb5_change_password:[166,0,1,"c.krb5_change_password"],krb5_check_clockskew:[167,0,1,"c.krb5_check_clockskew"],krb5_checksum:[818,1,1,"c.krb5_checksum"],krb5_checksum_size:[168,0,1,"c.krb5_checksum_size"],krb5_chpw_message:[169,0,1,"c.krb5_chpw_message"],krb5_cksumtype:[819,1,1,"c.krb5_cksumtype"],krb5_cksumtype_to_string:[170,0,1,"c.krb5_cksumtype_to_string"],krb5_clear_error_message:[171,0,1,"c.krb5_clear_error_message"],krb5_const:[792,3,1,""],krb5_const_pointer:[820,1,1,"c.krb5_const_pointer"],krb5_const_principal:[821,1,1,"c.krb5_const_principal"],krb5_context:[822,1,1,"c.krb5_context"],krb5_copy_addresses:[172,0,1,"c.krb5_copy_addresses"],krb5_copy_authdata:[173,0,1,"c.krb5_copy_authdata"],krb5_copy_authenticator:[174,0,1,"c.krb5_copy_authenticator"],krb5_copy_checksum:[175,0,1,"c.krb5_copy_checksum"],krb5_copy_context:[176,0,1,"c.krb5_copy_context"],krb5_copy_creds:[177,0,1,"c.krb5_copy_creds"],krb5_copy_data:[178,0,1,"c.krb5_copy_data"],krb5_copy_error_message:[179,0,1,"c.krb5_copy_error_message"],krb5_copy_keyblock:[180,0,1,"c.krb5_copy_keyblock"],krb5_copy_keyblock_contents:[181,0,1,"c.krb5_copy_keyblock_contents"],krb5_copy_principal:[182,0,1,"c.krb5_copy_principal"],krb5_copy_ticket:[183,0,1,"c.krb5_copy_ticket"],krb5_cred:[823,1,1,"c.krb5_cred"],krb5_cred_enc_part:[824,1,1,"c.krb5_cred_enc_part"],krb5_cred_info:[825,1,1,"c.krb5_cred_info"],krb5_creds:[826,1,1,"c.krb5_creds"],krb5_crypto_iov:[827,1,1,"c.krb5_crypto_iov"],krb5_cryptotype:[828,1,1,"c.krb5_cryptotype"],krb5_data:[829,1,1,"c.krb5_data"],krb5_decode_authdata_container:[184,0,1,"c.krb5_decode_authdata_container"],krb5_decode_ticket:[185,0,1,"c.krb5_decode_ticket"],krb5_decrypt:[186,0,1,"c.krb5_decrypt"],krb5_deltat:[830,1,1,"c.krb5_deltat"],krb5_deltat_to_string:[187,0,1,"c.krb5_deltat_to_string"],krb5_eblock_enctype:[188,0,1,"c.krb5_eblock_enctype"],krb5_enc_data:[831,1,1,"c.krb5_enc_data"],krb5_enc_kdc_rep_part:[832,1,1,"c.krb5_enc_kdc_rep_part"],krb5_enc_tkt_part:[833,1,1,"c.krb5_enc_tkt_part"],krb5_encode_authdata_container:[189,0,1,"c.krb5_encode_authdata_container"],krb5_encrypt:[190,0,1,"c.krb5_encrypt"],krb5_encrypt_block:[834,1,1,"c.krb5_encrypt_block"],krb5_encrypt_size:[191,0,1,"c.krb5_encrypt_size"],krb5_enctype:[835,1,1,"c.krb5_enctype"],krb5_enctype_to_name:[192,0,1,"c.krb5_enctype_to_name"],krb5_enctype_to_string:[193,0,1,"c.krb5_enctype_to_string"],krb5_error:[836,1,1,"c.krb5_error"],krb5_error_code:[837,1,1,"c.krb5_error_code"],krb5_expand_hostname:[194,0,1,"c.krb5_expand_hostname"],krb5_expire_callback_func:[838,1,1,"c.krb5_expire_callback_func"],krb5_find_authdata:[195,0,1,"c.krb5_find_authdata"],krb5_finish_key:[196,0,1,"c.krb5_finish_key"],krb5_finish_random_key:[197,0,1,"c.krb5_finish_random_key"],krb5_flags:[839,1,1,"c.krb5_flags"],krb5_free_addresses:[198,0,1,"c.krb5_free_addresses"],krb5_free_ap_rep_enc_part:[199,0,1,"c.krb5_free_ap_rep_enc_part"],krb5_free_authdata:[200,0,1,"c.krb5_free_authdata"],krb5_free_authenticator:[201,0,1,"c.krb5_free_authenticator"],krb5_free_checksum:[202,0,1,"c.krb5_free_checksum"],krb5_free_checksum_contents:[203,0,1,"c.krb5_free_checksum_contents"],krb5_free_cksumtypes:[204,0,1,"c.krb5_free_cksumtypes"],krb5_free_context:[205,0,1,"c.krb5_free_context"],krb5_free_cred_contents:[206,0,1,"c.krb5_free_cred_contents"],krb5_free_creds:[207,0,1,"c.krb5_free_creds"],krb5_free_data:[208,0,1,"c.krb5_free_data"],krb5_free_data_contents:[209,0,1,"c.krb5_free_data_contents"],krb5_free_default_realm:[210,0,1,"c.krb5_free_default_realm"],krb5_free_enctypes:[211,0,1,"c.krb5_free_enctypes"],krb5_free_error:[212,0,1,"c.krb5_free_error"],krb5_free_error_message:[213,0,1,"c.krb5_free_error_message"],krb5_free_host_realm:[214,0,1,"c.krb5_free_host_realm"],krb5_free_keyblock:[215,0,1,"c.krb5_free_keyblock"],krb5_free_keyblock_contents:[216,0,1,"c.krb5_free_keyblock_contents"],krb5_free_keytab_entry_contents:[217,0,1,"c.krb5_free_keytab_entry_contents"],krb5_free_principal:[218,0,1,"c.krb5_free_principal"],krb5_free_string:[219,0,1,"c.krb5_free_string"],krb5_free_tgt_creds:[220,0,1,"c.krb5_free_tgt_creds"],krb5_free_ticket:[221,0,1,"c.krb5_free_ticket"],krb5_free_unparsed_name:[222,0,1,"c.krb5_free_unparsed_name"],krb5_fwd_tgt_creds:[223,0,1,"c.krb5_fwd_tgt_creds"],krb5_get_credentials:[224,0,1,"c.krb5_get_credentials"],krb5_get_credentials_renew:[225,0,1,"c.krb5_get_credentials_renew"],krb5_get_credentials_validate:[226,0,1,"c.krb5_get_credentials_validate"],krb5_get_default_realm:[227,0,1,"c.krb5_get_default_realm"],krb5_get_error_message:[228,0,1,"c.krb5_get_error_message"],krb5_get_etype_info:[229,0,1,"c.krb5_get_etype_info"],krb5_get_fallback_host_realm:[230,0,1,"c.krb5_get_fallback_host_realm"],krb5_get_host_realm:[231,0,1,"c.krb5_get_host_realm"],krb5_get_in_tkt_with_keytab:[232,0,1,"c.krb5_get_in_tkt_with_keytab"],krb5_get_in_tkt_with_password:[233,0,1,"c.krb5_get_in_tkt_with_password"],krb5_get_in_tkt_with_skey:[234,0,1,"c.krb5_get_in_tkt_with_skey"],krb5_get_init_creds_keytab:[235,0,1,"c.krb5_get_init_creds_keytab"],krb5_get_init_creds_opt:[840,1,1,"c.krb5_get_init_creds_opt"],krb5_get_init_creds_opt_alloc:[236,0,1,"c.krb5_get_init_creds_opt_alloc"],krb5_get_init_creds_opt_free:[237,0,1,"c.krb5_get_init_creds_opt_free"],krb5_get_init_creds_opt_get_fast_flags:[238,0,1,"c.krb5_get_init_creds_opt_get_fast_flags"],krb5_get_init_creds_opt_init:[239,0,1,"c.krb5_get_init_creds_opt_init"],krb5_get_init_creds_opt_set_address_list:[240,0,1,"c.krb5_get_init_creds_opt_set_address_list"],krb5_get_init_creds_opt_set_anonymous:[241,0,1,"c.krb5_get_init_creds_opt_set_anonymous"],krb5_get_init_creds_opt_set_canonicalize:[242,0,1,"c.krb5_get_init_creds_opt_set_canonicalize"],krb5_get_init_creds_opt_set_change_password_prompt:[243,0,1,"c.krb5_get_init_creds_opt_set_change_password_prompt"],krb5_get_init_creds_opt_set_etype_list:[244,0,1,"c.krb5_get_init_creds_opt_set_etype_list"],krb5_get_init_creds_opt_set_expire_callback:[245,0,1,"c.krb5_get_init_creds_opt_set_expire_callback"],krb5_get_init_creds_opt_set_fast_ccache:[246,0,1,"c.krb5_get_init_creds_opt_set_fast_ccache"],krb5_get_init_creds_opt_set_fast_ccache_name:[247,0,1,"c.krb5_get_init_creds_opt_set_fast_ccache_name"],krb5_get_init_creds_opt_set_fast_flags:[248,0,1,"c.krb5_get_init_creds_opt_set_fast_flags"],krb5_get_init_creds_opt_set_forwardable:[249,0,1,"c.krb5_get_init_creds_opt_set_forwardable"],krb5_get_init_creds_opt_set_in_ccache:[250,0,1,"c.krb5_get_init_creds_opt_set_in_ccache"],krb5_get_init_creds_opt_set_out_ccache:[251,0,1,"c.krb5_get_init_creds_opt_set_out_ccache"],krb5_get_init_creds_opt_set_pa:[252,0,1,"c.krb5_get_init_creds_opt_set_pa"],krb5_get_init_creds_opt_set_pac_request:[253,0,1,"c.krb5_get_init_creds_opt_set_pac_request"],krb5_get_init_creds_opt_set_preauth_list:[254,0,1,"c.krb5_get_init_creds_opt_set_preauth_list"],krb5_get_init_creds_opt_set_proxiable:[255,0,1,"c.krb5_get_init_creds_opt_set_proxiable"],krb5_get_init_creds_opt_set_renew_life:[256,0,1,"c.krb5_get_init_creds_opt_set_renew_life"],krb5_get_init_creds_opt_set_responder:[257,0,1,"c.krb5_get_init_creds_opt_set_responder"],krb5_get_init_creds_opt_set_salt:[258,0,1,"c.krb5_get_init_creds_opt_set_salt"],krb5_get_init_creds_opt_set_tkt_life:[259,0,1,"c.krb5_get_init_creds_opt_set_tkt_life"],krb5_get_init_creds_password:[260,0,1,"c.krb5_get_init_creds_password"],krb5_get_permitted_enctypes:[261,0,1,"c.krb5_get_permitted_enctypes"],krb5_get_profile:[262,0,1,"c.krb5_get_profile"],krb5_get_prompt_types:[263,0,1,"c.krb5_get_prompt_types"],krb5_get_renewed_creds:[264,0,1,"c.krb5_get_renewed_creds"],krb5_get_server_rcache:[265,0,1,"c.krb5_get_server_rcache"],krb5_get_time_offsets:[266,0,1,"c.krb5_get_time_offsets"],krb5_get_validated_creds:[267,0,1,"c.krb5_get_validated_creds"],krb5_gic_opt_pa_data:[841,1,1,"c.krb5_gic_opt_pa_data"],krb5_init_context:[268,0,1,"c.krb5_init_context"],krb5_init_context_profile:[269,0,1,"c.krb5_init_context_profile"],krb5_init_creds_context:[842,1,1,"c.krb5_init_creds_context"],krb5_init_creds_free:[270,0,1,"c.krb5_init_creds_free"],krb5_init_creds_get:[271,0,1,"c.krb5_init_creds_get"],krb5_init_creds_get_creds:[272,0,1,"c.krb5_init_creds_get_creds"],krb5_init_creds_get_error:[273,0,1,"c.krb5_init_creds_get_error"],krb5_init_creds_get_times:[274,0,1,"c.krb5_init_creds_get_times"],krb5_init_creds_init:[275,0,1,"c.krb5_init_creds_init"],krb5_init_creds_set_keytab:[276,0,1,"c.krb5_init_creds_set_keytab"],krb5_init_creds_set_password:[277,0,1,"c.krb5_init_creds_set_password"],krb5_init_creds_set_service:[278,0,1,"c.krb5_init_creds_set_service"],krb5_init_creds_step:[279,0,1,"c.krb5_init_creds_step"],krb5_init_keyblock:[280,0,1,"c.krb5_init_keyblock"],krb5_init_random_key:[281,0,1,"c.krb5_init_random_key"],krb5_init_secure_context:[282,0,1,"c.krb5_init_secure_context"],krb5_int16:[843,1,1,"c.krb5_int16"],krb5_int32:[844,1,1,"c.krb5_int32"],krb5_is_config_principal:[283,0,1,"c.krb5_is_config_principal"],krb5_is_referral_realm:[284,0,1,"c.krb5_is_referral_realm"],krb5_is_thread_safe:[285,0,1,"c.krb5_is_thread_safe"],krb5_k_create_key:[286,0,1,"c.krb5_k_create_key"],krb5_k_decrypt:[287,0,1,"c.krb5_k_decrypt"],krb5_k_decrypt_iov:[288,0,1,"c.krb5_k_decrypt_iov"],krb5_k_encrypt:[289,0,1,"c.krb5_k_encrypt"],krb5_k_encrypt_iov:[290,0,1,"c.krb5_k_encrypt_iov"],krb5_k_free_key:[291,0,1,"c.krb5_k_free_key"],krb5_k_key_enctype:[292,0,1,"c.krb5_k_key_enctype"],krb5_k_key_keyblock:[293,0,1,"c.krb5_k_key_keyblock"],krb5_k_make_checksum:[294,0,1,"c.krb5_k_make_checksum"],krb5_k_make_checksum_iov:[295,0,1,"c.krb5_k_make_checksum_iov"],krb5_k_prf:[296,0,1,"c.krb5_k_prf"],krb5_k_reference_key:[297,0,1,"c.krb5_k_reference_key"],krb5_k_verify_checksum:[298,0,1,"c.krb5_k_verify_checksum"],krb5_k_verify_checksum_iov:[299,0,1,"c.krb5_k_verify_checksum_iov"],krb5_kdc_rep:[845,1,1,"c.krb5_kdc_rep"],krb5_kdc_req:[846,1,1,"c.krb5_kdc_req"],krb5_kdc_sign_ticket:[300,0,1,"c.krb5_kdc_sign_ticket"],krb5_kdc_verify_ticket:[301,0,1,"c.krb5_kdc_verify_ticket"],krb5_key:[847,1,1,"c.krb5_key"],krb5_keyblock:[848,1,1,"c.krb5_keyblock"],krb5_keytab:[849,1,1,"c.krb5_keytab"],krb5_keytab_entry:[850,1,1,"c.krb5_keytab_entry"],krb5_keyusage:[851,1,1,"c.krb5_keyusage"],krb5_kt_add_entry:[302,0,1,"c.krb5_kt_add_entry"],krb5_kt_client_default:[303,0,1,"c.krb5_kt_client_default"],krb5_kt_close:[304,0,1,"c.krb5_kt_close"],krb5_kt_cursor:[852,1,1,"c.krb5_kt_cursor"],krb5_kt_default:[305,0,1,"c.krb5_kt_default"],krb5_kt_default_name:[306,0,1,"c.krb5_kt_default_name"],krb5_kt_dup:[307,0,1,"c.krb5_kt_dup"],krb5_kt_end_seq_get:[308,0,1,"c.krb5_kt_end_seq_get"],krb5_kt_free_entry:[309,0,1,"c.krb5_kt_free_entry"],krb5_kt_get_entry:[310,0,1,"c.krb5_kt_get_entry"],krb5_kt_get_name:[311,0,1,"c.krb5_kt_get_name"],krb5_kt_get_type:[312,0,1,"c.krb5_kt_get_type"],krb5_kt_have_content:[313,0,1,"c.krb5_kt_have_content"],krb5_kt_next_entry:[314,0,1,"c.krb5_kt_next_entry"],krb5_kt_read_service_key:[315,0,1,"c.krb5_kt_read_service_key"],krb5_kt_remove_entry:[316,0,1,"c.krb5_kt_remove_entry"],krb5_kt_resolve:[317,0,1,"c.krb5_kt_resolve"],krb5_kt_start_seq_get:[318,0,1,"c.krb5_kt_start_seq_get"],krb5_kuserok:[319,0,1,"c.krb5_kuserok"],krb5_kvno:[853,1,1,"c.krb5_kvno"],krb5_last_req_entry:[854,1,1,"c.krb5_last_req_entry"],krb5_magic:[855,1,1,"c.krb5_magic"],krb5_make_authdata_kdc_issued:[320,0,1,"c.krb5_make_authdata_kdc_issued"],krb5_marshal_credentials:[321,0,1,"c.krb5_marshal_credentials"],krb5_merge_authdata:[322,0,1,"c.krb5_merge_authdata"],krb5_mk_1cred:[323,0,1,"c.krb5_mk_1cred"],krb5_mk_error:[324,0,1,"c.krb5_mk_error"],krb5_mk_ncred:[325,0,1,"c.krb5_mk_ncred"],krb5_mk_priv:[326,0,1,"c.krb5_mk_priv"],krb5_mk_rep:[327,0,1,"c.krb5_mk_rep"],krb5_mk_rep_dce:[328,0,1,"c.krb5_mk_rep_dce"],krb5_mk_req:[329,0,1,"c.krb5_mk_req"],krb5_mk_req_checksum_func:[856,1,1,"c.krb5_mk_req_checksum_func"],krb5_mk_req_extended:[330,0,1,"c.krb5_mk_req_extended"],krb5_mk_safe:[331,0,1,"c.krb5_mk_safe"],krb5_msgtype:[857,1,1,"c.krb5_msgtype"],krb5_octet:[858,1,1,"c.krb5_octet"],krb5_os_localaddr:[332,0,1,"c.krb5_os_localaddr"],krb5_pa_data:[859,1,1,"c.krb5_pa_data"],krb5_pa_pac_req:[860,1,1,"c.krb5_pa_pac_req"],krb5_pa_server_referral_data:[861,1,1,"c.krb5_pa_server_referral_data"],krb5_pa_svr_referral_data:[862,1,1,"c.krb5_pa_svr_referral_data"],krb5_pac:[863,1,1,"c.krb5_pac"],krb5_pac_add_buffer:[333,0,1,"c.krb5_pac_add_buffer"],krb5_pac_free:[334,0,1,"c.krb5_pac_free"],krb5_pac_get_buffer:[335,0,1,"c.krb5_pac_get_buffer"],krb5_pac_get_client_info:[336,0,1,"c.krb5_pac_get_client_info"],krb5_pac_get_types:[337,0,1,"c.krb5_pac_get_types"],krb5_pac_init:[338,0,1,"c.krb5_pac_init"],krb5_pac_parse:[339,0,1,"c.krb5_pac_parse"],krb5_pac_sign:[340,0,1,"c.krb5_pac_sign"],krb5_pac_sign_ext:[341,0,1,"c.krb5_pac_sign_ext"],krb5_pac_verify:[342,0,1,"c.krb5_pac_verify"],krb5_pac_verify_ext:[343,0,1,"c.krb5_pac_verify_ext"],krb5_parse_name:[344,0,1,"c.krb5_parse_name"],krb5_parse_name_flags:[345,0,1,"c.krb5_parse_name_flags"],krb5_pointer:[864,1,1,"c.krb5_pointer"],krb5_post_recv_fn:[865,1,1,"c.krb5_post_recv_fn"],krb5_pre_send_fn:[866,1,1,"c.krb5_pre_send_fn"],krb5_preauthtype:[867,1,1,"c.krb5_preauthtype"],krb5_prepend_error_message:[346,0,1,"c.krb5_prepend_error_message"],krb5_princ_component:[793,3,1,""],krb5_princ_name:[794,3,1,""],krb5_princ_realm:[795,3,1,""],krb5_princ_set_realm:[796,3,1,""],krb5_princ_set_realm_data:[797,3,1,""],krb5_princ_set_realm_length:[798,3,1,""],krb5_princ_size:[799,3,1,""],krb5_princ_type:[800,3,1,""],krb5_principal2salt:[347,0,1,"c.krb5_principal2salt"],krb5_principal:[868,1,1,"c.krb5_principal"],krb5_principal_compare:[348,0,1,"c.krb5_principal_compare"],krb5_principal_compare_any_realm:[349,0,1,"c.krb5_principal_compare_any_realm"],krb5_principal_compare_flags:[350,0,1,"c.krb5_principal_compare_flags"],krb5_principal_data:[869,1,1,"c.krb5_principal_data"],krb5_process_key:[351,0,1,"c.krb5_process_key"],krb5_prompt:[870,1,1,"c.krb5_prompt"],krb5_prompt_type:[871,1,1,"c.krb5_prompt_type"],krb5_prompter_fct:[872,1,1,"c.krb5_prompter_fct"],krb5_prompter_posix:[352,0,1,"c.krb5_prompter_posix"],krb5_pwd_data:[873,1,1,"c.krb5_pwd_data"],krb5_random_key:[353,0,1,"c.krb5_random_key"],krb5_rcache:[874,1,1,"c.krb5_rcache"],krb5_rd_cred:[354,0,1,"c.krb5_rd_cred"],krb5_rd_error:[355,0,1,"c.krb5_rd_error"],krb5_rd_priv:[356,0,1,"c.krb5_rd_priv"],krb5_rd_rep:[357,0,1,"c.krb5_rd_rep"],krb5_rd_rep_dce:[358,0,1,"c.krb5_rd_rep_dce"],krb5_rd_req:[359,0,1,"c.krb5_rd_req"],krb5_rd_safe:[360,0,1,"c.krb5_rd_safe"],krb5_read_password:[361,0,1,"c.krb5_read_password"],krb5_realm_compare:[362,0,1,"c.krb5_realm_compare"],krb5_recvauth:[363,0,1,"c.krb5_recvauth"],krb5_recvauth_version:[364,0,1,"c.krb5_recvauth_version"],krb5_replay_data:[875,1,1,"c.krb5_replay_data"],krb5_responder_context:[876,1,1,"c.krb5_responder_context"],krb5_responder_fn:[877,1,1,"c.krb5_responder_fn"],krb5_responder_get_challenge:[365,0,1,"c.krb5_responder_get_challenge"],krb5_responder_list_questions:[366,0,1,"c.krb5_responder_list_questions"],krb5_responder_otp_challenge:[878,1,1,"c.krb5_responder_otp_challenge"],krb5_responder_otp_challenge_free:[367,0,1,"c.krb5_responder_otp_challenge_free"],krb5_responder_otp_get_challenge:[368,0,1,"c.krb5_responder_otp_get_challenge"],krb5_responder_otp_set_answer:[369,0,1,"c.krb5_responder_otp_set_answer"],krb5_responder_otp_tokeninfo:[879,1,1,"c.krb5_responder_otp_tokeninfo"],krb5_responder_pkinit_challenge:[880,1,1,"c.krb5_responder_pkinit_challenge"],krb5_responder_pkinit_challenge_free:[370,0,1,"c.krb5_responder_pkinit_challenge_free"],krb5_responder_pkinit_get_challenge:[371,0,1,"c.krb5_responder_pkinit_get_challenge"],krb5_responder_pkinit_identity:[881,1,1,"c.krb5_responder_pkinit_identity"],krb5_responder_pkinit_set_answer:[372,0,1,"c.krb5_responder_pkinit_set_answer"],krb5_responder_set_answer:[373,0,1,"c.krb5_responder_set_answer"],krb5_response:[882,1,1,"c.krb5_response"],krb5_roundup:[801,3,1,""],krb5_salttype_to_string:[374,0,1,"c.krb5_salttype_to_string"],krb5_sendauth:[375,0,1,"c.krb5_sendauth"],krb5_server_decrypt_ticket_keytab:[376,0,1,"c.krb5_server_decrypt_ticket_keytab"],krb5_set_default_realm:[377,0,1,"c.krb5_set_default_realm"],krb5_set_default_tgs_enctypes:[378,0,1,"c.krb5_set_default_tgs_enctypes"],krb5_set_error_message:[379,0,1,"c.krb5_set_error_message"],krb5_set_kdc_recv_hook:[380,0,1,"c.krb5_set_kdc_recv_hook"],krb5_set_kdc_send_hook:[381,0,1,"c.krb5_set_kdc_send_hook"],krb5_set_password:[382,0,1,"c.krb5_set_password"],krb5_set_password_using_ccache:[383,0,1,"c.krb5_set_password_using_ccache"],krb5_set_principal_realm:[384,0,1,"c.krb5_set_principal_realm"],krb5_set_real_time:[385,0,1,"c.krb5_set_real_time"],krb5_set_trace_callback:[386,0,1,"c.krb5_set_trace_callback"],krb5_set_trace_filename:[387,0,1,"c.krb5_set_trace_filename"],krb5_sname_match:[388,0,1,"c.krb5_sname_match"],krb5_sname_to_principal:[389,0,1,"c.krb5_sname_to_principal"],krb5_string_to_cksumtype:[390,0,1,"c.krb5_string_to_cksumtype"],krb5_string_to_deltat:[391,0,1,"c.krb5_string_to_deltat"],krb5_string_to_enctype:[392,0,1,"c.krb5_string_to_enctype"],krb5_string_to_key:[393,0,1,"c.krb5_string_to_key"],krb5_string_to_salttype:[394,0,1,"c.krb5_string_to_salttype"],krb5_string_to_timestamp:[395,0,1,"c.krb5_string_to_timestamp"],krb5_ticket:[883,1,1,"c.krb5_ticket"],krb5_ticket_times:[884,1,1,"c.krb5_ticket_times"],krb5_timeofday:[396,0,1,"c.krb5_timeofday"],krb5_timestamp:[885,1,1,"c.krb5_timestamp"],krb5_timestamp_to_sfstring:[397,0,1,"c.krb5_timestamp_to_sfstring"],krb5_timestamp_to_string:[398,0,1,"c.krb5_timestamp_to_string"],krb5_tkt_authent:[886,1,1,"c.krb5_tkt_authent"],krb5_tkt_creds_context:[887,1,1,"c.krb5_tkt_creds_context"],krb5_tkt_creds_free:[399,0,1,"c.krb5_tkt_creds_free"],krb5_tkt_creds_get:[400,0,1,"c.krb5_tkt_creds_get"],krb5_tkt_creds_get_creds:[401,0,1,"c.krb5_tkt_creds_get_creds"],krb5_tkt_creds_get_times:[402,0,1,"c.krb5_tkt_creds_get_times"],krb5_tkt_creds_init:[403,0,1,"c.krb5_tkt_creds_init"],krb5_tkt_creds_step:[404,0,1,"c.krb5_tkt_creds_step"],krb5_trace_callback:[888,1,1,"c.krb5_trace_callback"],krb5_trace_info:[889,1,1,"c.krb5_trace_info"],krb5_transited:[890,1,1,"c.krb5_transited"],krb5_typed_data:[891,1,1,"c.krb5_typed_data"],krb5_ui_2:[892,1,1,"c.krb5_ui_2"],krb5_ui_4:[893,1,1,"c.krb5_ui_4"],krb5_unmarshal_credentials:[405,0,1,"c.krb5_unmarshal_credentials"],krb5_unparse_name:[406,0,1,"c.krb5_unparse_name"],krb5_unparse_name_ext:[407,0,1,"c.krb5_unparse_name_ext"],krb5_unparse_name_flags:[408,0,1,"c.krb5_unparse_name_flags"],krb5_unparse_name_flags_ext:[409,0,1,"c.krb5_unparse_name_flags_ext"],krb5_us_timeofday:[410,0,1,"c.krb5_us_timeofday"],krb5_use_enctype:[411,0,1,"c.krb5_use_enctype"],krb5_verify_authdata_kdc_issued:[412,0,1,"c.krb5_verify_authdata_kdc_issued"],krb5_verify_checksum:[413,0,1,"c.krb5_verify_checksum"],krb5_verify_init_creds:[414,0,1,"c.krb5_verify_init_creds"],krb5_verify_init_creds_opt:[894,1,1,"c.krb5_verify_init_creds_opt"],krb5_verify_init_creds_opt_init:[415,0,1,"c.krb5_verify_init_creds_opt_init"],krb5_verify_init_creds_opt_set_ap_req_nofail:[416,0,1,"c.krb5_verify_init_creds_opt_set_ap_req_nofail"],krb5_vprepend_error_message:[417,0,1,"c.krb5_vprepend_error_message"],krb5_vset_error_message:[418,0,1,"c.krb5_vset_error_message"],krb5_vwrap_error_message:[419,0,1,"c.krb5_vwrap_error_message"],krb5_wrap_error_message:[420,0,1,"c.krb5_wrap_error_message"],krb5_x:[802,3,1,""],krb5_xc:[803,3,1,""],passwd_phrase_element:[895,1,1,"c.passwd_phrase_element"]},krb5_address:{addrtype:[805,2,1,"c.krb5_address.addrtype"],contents:[805,2,1,"c.krb5_address.contents"],length:[805,2,1,"c.krb5_address.length"],magic:[805,2,1,"c.krb5_address.magic"]},krb5_ap_rep:{enc_part:[807,2,1,"c.krb5_ap_rep.enc_part"],magic:[807,2,1,"c.krb5_ap_rep.magic"]},krb5_ap_rep_enc_part:{ctime:[808,2,1,"c.krb5_ap_rep_enc_part.ctime"],cusec:[808,2,1,"c.krb5_ap_rep_enc_part.cusec"],magic:[808,2,1,"c.krb5_ap_rep_enc_part.magic"],seq_number:[808,2,1,"c.krb5_ap_rep_enc_part.seq_number"],subkey:[808,2,1,"c.krb5_ap_rep_enc_part.subkey"]},krb5_ap_req:{ap_options:[809,2,1,"c.krb5_ap_req.ap_options"],authenticator:[809,2,1,"c.krb5_ap_req.authenticator"],magic:[809,2,1,"c.krb5_ap_req.magic"],ticket:[809,2,1,"c.krb5_ap_req.ticket"]},krb5_authdata:{ad_type:[811,2,1,"c.krb5_authdata.ad_type"],contents:[811,2,1,"c.krb5_authdata.contents"],length:[811,2,1,"c.krb5_authdata.length"],magic:[811,2,1,"c.krb5_authdata.magic"]},krb5_authenticator:{authorization_data:[813,2,1,"c.krb5_authenticator.authorization_data"],checksum:[813,2,1,"c.krb5_authenticator.checksum"],client:[813,2,1,"c.krb5_authenticator.client"],ctime:[813,2,1,"c.krb5_authenticator.ctime"],cusec:[813,2,1,"c.krb5_authenticator.cusec"],magic:[813,2,1,"c.krb5_authenticator.magic"],seq_number:[813,2,1,"c.krb5_authenticator.seq_number"],subkey:[813,2,1,"c.krb5_authenticator.subkey"]},krb5_checksum:{checksum_type:[818,2,1,"c.krb5_checksum.checksum_type"],contents:[818,2,1,"c.krb5_checksum.contents"],length:[818,2,1,"c.krb5_checksum.length"],magic:[818,2,1,"c.krb5_checksum.magic"]},krb5_const_principal:{data:[821,2,1,"c.krb5_const_principal.data"],length:[821,2,1,"c.krb5_const_principal.length"],magic:[821,2,1,"c.krb5_const_principal.magic"],realm:[821,2,1,"c.krb5_const_principal.realm"],type:[821,2,1,"c.krb5_const_principal.type"]},krb5_cred:{enc_part2:[823,2,1,"c.krb5_cred.enc_part2"],enc_part:[823,2,1,"c.krb5_cred.enc_part"],magic:[823,2,1,"c.krb5_cred.magic"],tickets:[823,2,1,"c.krb5_cred.tickets"]},krb5_cred_enc_part:{magic:[824,2,1,"c.krb5_cred_enc_part.magic"],nonce:[824,2,1,"c.krb5_cred_enc_part.nonce"],r_address:[824,2,1,"c.krb5_cred_enc_part.r_address"],s_address:[824,2,1,"c.krb5_cred_enc_part.s_address"],ticket_info:[824,2,1,"c.krb5_cred_enc_part.ticket_info"],timestamp:[824,2,1,"c.krb5_cred_enc_part.timestamp"],usec:[824,2,1,"c.krb5_cred_enc_part.usec"]},krb5_cred_info:{caddrs:[825,2,1,"c.krb5_cred_info.caddrs"],client:[825,2,1,"c.krb5_cred_info.client"],flags:[825,2,1,"c.krb5_cred_info.flags"],magic:[825,2,1,"c.krb5_cred_info.magic"],server:[825,2,1,"c.krb5_cred_info.server"],session:[825,2,1,"c.krb5_cred_info.session"],times:[825,2,1,"c.krb5_cred_info.times"]},krb5_creds:{addresses:[826,2,1,"c.krb5_creds.addresses"],authdata:[826,2,1,"c.krb5_creds.authdata"],client:[826,2,1,"c.krb5_creds.client"],is_skey:[826,2,1,"c.krb5_creds.is_skey"],keyblock:[826,2,1,"c.krb5_creds.keyblock"],magic:[826,2,1,"c.krb5_creds.magic"],second_ticket:[826,2,1,"c.krb5_creds.second_ticket"],server:[826,2,1,"c.krb5_creds.server"],ticket:[826,2,1,"c.krb5_creds.ticket"],ticket_flags:[826,2,1,"c.krb5_creds.ticket_flags"],times:[826,2,1,"c.krb5_creds.times"]},krb5_crypto_iov:{data:[827,2,1,"c.krb5_crypto_iov.data"],flags:[827,2,1,"c.krb5_crypto_iov.flags"]},krb5_data:{data:[829,2,1,"c.krb5_data.data"],length:[829,2,1,"c.krb5_data.length"],magic:[829,2,1,"c.krb5_data.magic"]},krb5_enc_data:{ciphertext:[831,2,1,"c.krb5_enc_data.ciphertext"],enctype:[831,2,1,"c.krb5_enc_data.enctype"],kvno:[831,2,1,"c.krb5_enc_data.kvno"],magic:[831,2,1,"c.krb5_enc_data.magic"]},krb5_enc_kdc_rep_part:{caddrs:[832,2,1,"c.krb5_enc_kdc_rep_part.caddrs"],enc_padata:[832,2,1,"c.krb5_enc_kdc_rep_part.enc_padata"],flags:[832,2,1,"c.krb5_enc_kdc_rep_part.flags"],key_exp:[832,2,1,"c.krb5_enc_kdc_rep_part.key_exp"],last_req:[832,2,1,"c.krb5_enc_kdc_rep_part.last_req"],magic:[832,2,1,"c.krb5_enc_kdc_rep_part.magic"],msg_type:[832,2,1,"c.krb5_enc_kdc_rep_part.msg_type"],nonce:[832,2,1,"c.krb5_enc_kdc_rep_part.nonce"],server:[832,2,1,"c.krb5_enc_kdc_rep_part.server"],session:[832,2,1,"c.krb5_enc_kdc_rep_part.session"],times:[832,2,1,"c.krb5_enc_kdc_rep_part.times"]},krb5_enc_tkt_part:{authorization_data:[833,2,1,"c.krb5_enc_tkt_part.authorization_data"],caddrs:[833,2,1,"c.krb5_enc_tkt_part.caddrs"],client:[833,2,1,"c.krb5_enc_tkt_part.client"],flags:[833,2,1,"c.krb5_enc_tkt_part.flags"],magic:[833,2,1,"c.krb5_enc_tkt_part.magic"],session:[833,2,1,"c.krb5_enc_tkt_part.session"],times:[833,2,1,"c.krb5_enc_tkt_part.times"],transited:[833,2,1,"c.krb5_enc_tkt_part.transited"]},krb5_encrypt_block:{crypto_entry:[834,2,1,"c.krb5_encrypt_block.crypto_entry"],key:[834,2,1,"c.krb5_encrypt_block.key"],magic:[834,2,1,"c.krb5_encrypt_block.magic"]},krb5_error:{client:[836,2,1,"c.krb5_error.client"],ctime:[836,2,1,"c.krb5_error.ctime"],cusec:[836,2,1,"c.krb5_error.cusec"],e_data:[836,2,1,"c.krb5_error.e_data"],error:[836,2,1,"c.krb5_error.error"],magic:[836,2,1,"c.krb5_error.magic"],server:[836,2,1,"c.krb5_error.server"],stime:[836,2,1,"c.krb5_error.stime"],susec:[836,2,1,"c.krb5_error.susec"],text:[836,2,1,"c.krb5_error.text"]},krb5_get_init_creds_opt:{address_list:[840,2,1,"c.krb5_get_init_creds_opt.address_list"],etype_list:[840,2,1,"c.krb5_get_init_creds_opt.etype_list"],etype_list_length:[840,2,1,"c.krb5_get_init_creds_opt.etype_list_length"],flags:[840,2,1,"c.krb5_get_init_creds_opt.flags"],forwardable:[840,2,1,"c.krb5_get_init_creds_opt.forwardable"],preauth_list:[840,2,1,"c.krb5_get_init_creds_opt.preauth_list"],preauth_list_length:[840,2,1,"c.krb5_get_init_creds_opt.preauth_list_length"],proxiable:[840,2,1,"c.krb5_get_init_creds_opt.proxiable"],renew_life:[840,2,1,"c.krb5_get_init_creds_opt.renew_life"],salt:[840,2,1,"c.krb5_get_init_creds_opt.salt"],tkt_life:[840,2,1,"c.krb5_get_init_creds_opt.tkt_life"]},krb5_gic_opt_pa_data:{attr:[841,2,1,"c.krb5_gic_opt_pa_data.attr"],value:[841,2,1,"c.krb5_gic_opt_pa_data.value"]},krb5_kdc_rep:{client:[845,2,1,"c.krb5_kdc_rep.client"],enc_part2:[845,2,1,"c.krb5_kdc_rep.enc_part2"],enc_part:[845,2,1,"c.krb5_kdc_rep.enc_part"],magic:[845,2,1,"c.krb5_kdc_rep.magic"],msg_type:[845,2,1,"c.krb5_kdc_rep.msg_type"],padata:[845,2,1,"c.krb5_kdc_rep.padata"],ticket:[845,2,1,"c.krb5_kdc_rep.ticket"]},krb5_kdc_req:{addresses:[846,2,1,"c.krb5_kdc_req.addresses"],authorization_data:[846,2,1,"c.krb5_kdc_req.authorization_data"],client:[846,2,1,"c.krb5_kdc_req.client"],from:[846,2,1,"c.krb5_kdc_req.from"],kdc_options:[846,2,1,"c.krb5_kdc_req.kdc_options"],ktype:[846,2,1,"c.krb5_kdc_req.ktype"],magic:[846,2,1,"c.krb5_kdc_req.magic"],msg_type:[846,2,1,"c.krb5_kdc_req.msg_type"],nktypes:[846,2,1,"c.krb5_kdc_req.nktypes"],nonce:[846,2,1,"c.krb5_kdc_req.nonce"],padata:[846,2,1,"c.krb5_kdc_req.padata"],rtime:[846,2,1,"c.krb5_kdc_req.rtime"],second_ticket:[846,2,1,"c.krb5_kdc_req.second_ticket"],server:[846,2,1,"c.krb5_kdc_req.server"],till:[846,2,1,"c.krb5_kdc_req.till"],unenc_authdata:[846,2,1,"c.krb5_kdc_req.unenc_authdata"]},krb5_keyblock:{contents:[848,2,1,"c.krb5_keyblock.contents"],enctype:[848,2,1,"c.krb5_keyblock.enctype"],length:[848,2,1,"c.krb5_keyblock.length"],magic:[848,2,1,"c.krb5_keyblock.magic"]},krb5_keytab_entry:{key:[850,2,1,"c.krb5_keytab_entry.key"],magic:[850,2,1,"c.krb5_keytab_entry.magic"],principal:[850,2,1,"c.krb5_keytab_entry.principal"],timestamp:[850,2,1,"c.krb5_keytab_entry.timestamp"],vno:[850,2,1,"c.krb5_keytab_entry.vno"]},krb5_last_req_entry:{lr_type:[854,2,1,"c.krb5_last_req_entry.lr_type"],magic:[854,2,1,"c.krb5_last_req_entry.magic"],value:[854,2,1,"c.krb5_last_req_entry.value"]},krb5_pa_data:{contents:[859,2,1,"c.krb5_pa_data.contents"],length:[859,2,1,"c.krb5_pa_data.length"],magic:[859,2,1,"c.krb5_pa_data.magic"],pa_type:[859,2,1,"c.krb5_pa_data.pa_type"]},krb5_pa_pac_req:{include_pac:[860,2,1,"c.krb5_pa_pac_req.include_pac"]},krb5_pa_server_referral_data:{referral_valid_until:[861,2,1,"c.krb5_pa_server_referral_data.referral_valid_until"],referred_realm:[861,2,1,"c.krb5_pa_server_referral_data.referred_realm"],rep_cksum:[861,2,1,"c.krb5_pa_server_referral_data.rep_cksum"],requested_principal_name:[861,2,1,"c.krb5_pa_server_referral_data.requested_principal_name"],true_principal_name:[861,2,1,"c.krb5_pa_server_referral_data.true_principal_name"]},krb5_pa_svr_referral_data:{principal:[862,2,1,"c.krb5_pa_svr_referral_data.principal"]},krb5_principal:{data:[868,2,1,"c.krb5_principal.data"],length:[868,2,1,"c.krb5_principal.length"],magic:[868,2,1,"c.krb5_principal.magic"],realm:[868,2,1,"c.krb5_principal.realm"],type:[868,2,1,"c.krb5_principal.type"]},krb5_principal_data:{data:[869,2,1,"c.krb5_principal_data.data"],length:[869,2,1,"c.krb5_principal_data.length"],magic:[869,2,1,"c.krb5_principal_data.magic"],realm:[869,2,1,"c.krb5_principal_data.realm"],type:[869,2,1,"c.krb5_principal_data.type"]},krb5_prompt:{hidden:[870,2,1,"c.krb5_prompt.hidden"],prompt:[870,2,1,"c.krb5_prompt.prompt"],reply:[870,2,1,"c.krb5_prompt.reply"]},krb5_pwd_data:{element:[873,2,1,"c.krb5_pwd_data.element"],magic:[873,2,1,"c.krb5_pwd_data.magic"],sequence_count:[873,2,1,"c.krb5_pwd_data.sequence_count"]},krb5_replay_data:{seq:[875,2,1,"c.krb5_replay_data.seq"],timestamp:[875,2,1,"c.krb5_replay_data.timestamp"],usec:[875,2,1,"c.krb5_replay_data.usec"]},krb5_responder_otp_challenge:{service:[878,2,1,"c.krb5_responder_otp_challenge.service"],tokeninfo:[878,2,1,"c.krb5_responder_otp_challenge.tokeninfo"]},krb5_responder_otp_tokeninfo:{alg_id:[879,2,1,"c.krb5_responder_otp_tokeninfo.alg_id"],challenge:[879,2,1,"c.krb5_responder_otp_tokeninfo.challenge"],flags:[879,2,1,"c.krb5_responder_otp_tokeninfo.flags"],format:[879,2,1,"c.krb5_responder_otp_tokeninfo.format"],length:[879,2,1,"c.krb5_responder_otp_tokeninfo.length"],token_id:[879,2,1,"c.krb5_responder_otp_tokeninfo.token_id"],vendor:[879,2,1,"c.krb5_responder_otp_tokeninfo.vendor"]},krb5_responder_pkinit_challenge:{identities:[880,2,1,"c.krb5_responder_pkinit_challenge.identities"]},krb5_responder_pkinit_identity:{identity:[881,2,1,"c.krb5_responder_pkinit_identity.identity"],token_flags:[881,2,1,"c.krb5_responder_pkinit_identity.token_flags"]},krb5_response:{expected_nonce:[882,2,1,"c.krb5_response.expected_nonce"],magic:[882,2,1,"c.krb5_response.magic"],message_type:[882,2,1,"c.krb5_response.message_type"],request_time:[882,2,1,"c.krb5_response.request_time"],response:[882,2,1,"c.krb5_response.response"]},krb5_ticket:{enc_part2:[883,2,1,"c.krb5_ticket.enc_part2"],enc_part:[883,2,1,"c.krb5_ticket.enc_part"],magic:[883,2,1,"c.krb5_ticket.magic"],server:[883,2,1,"c.krb5_ticket.server"]},krb5_ticket_times:{authtime:[884,2,1,"c.krb5_ticket_times.authtime"],endtime:[884,2,1,"c.krb5_ticket_times.endtime"],renew_till:[884,2,1,"c.krb5_ticket_times.renew_till"],starttime:[884,2,1,"c.krb5_ticket_times.starttime"]},krb5_tkt_authent:{ap_options:[886,2,1,"c.krb5_tkt_authent.ap_options"],authenticator:[886,2,1,"c.krb5_tkt_authent.authenticator"],magic:[886,2,1,"c.krb5_tkt_authent.magic"],ticket:[886,2,1,"c.krb5_tkt_authent.ticket"]},krb5_trace_info:{message:[889,2,1,"c.krb5_trace_info.message"]},krb5_transited:{magic:[890,2,1,"c.krb5_transited.magic"],tr_contents:[890,2,1,"c.krb5_transited.tr_contents"],tr_type:[890,2,1,"c.krb5_transited.tr_type"]},krb5_typed_data:{data:[891,2,1,"c.krb5_typed_data.data"],length:[891,2,1,"c.krb5_typed_data.length"],magic:[891,2,1,"c.krb5_typed_data.magic"],type:[891,2,1,"c.krb5_typed_data.type"]},krb5_verify_init_creds_opt:{ap_req_nofail:[894,2,1,"c.krb5_verify_init_creds_opt.ap_req_nofail"],flags:[894,2,1,"c.krb5_verify_init_creds_opt.flags"]},passwd_phrase_element:{magic:[895,2,1,"c.passwd_phrase_element.magic"],passwd:[895,2,1,"c.passwd_phrase_element.passwd"],phrase:[895,2,1,"c.passwd_phrase_element.phrase"]}},objnames:{"0":["c","function","C function"],"1":["c","type","C type"],"2":["c","member","C member"],"3":["py","data","Python data"]},objtypes:{"0":"c:function","1":"c:type","2":"c:member","3":"py:data"},terms:{"05pm":898,"0x0000":478,"0x00000001":[440,498,522,523,752,755],"0x00000002":[436,494,525,529,749,754],"0x00000004":[521,524,747],"0x00000008":[488,526,528,753],"0x00000010":[21,496,527,748],"0x00000020":[487,530,746],"0x00000040":751,"0x00000080":745,"0x00000100":750,"0x00000200":756,"0x00008000":[497,772],"0x0001":[444,471,544,562,726,729,762],"0x00010000":[485,773],"0x0002":[425,454,472,560,725,728],"0x00020000":486,"0x0003":[455,473],"0x0004":[445,474,557,730],"0x00040000":780,"0x0005":[423,469],"0x0006":[431,468],"0x0007":[428,456],"0x0008":[457,475,559,731],"0x00080000":786,"0x0009":[453,476],"0x000a":477,"0x000b":482,"0x000c":[449,479],"0x000d":480,"0x000e":[458,481],"0x000f":[447,467],"0x0010":[424,448,470,556],"0x00100000":776,"0x0011":[442,459],"0x0012":[443,461],"0x0013":[450,460],"0x0014":[430,451,462],"0x0017":463,"0x0018":[426,464],"0x0019":465,"0x001a":466,"0x0020":552,"0x00200000":782,"0x0040":558,"0x00400000":777,"0x0080":561,"0x00800000":[495,785],"0x0100":[422,555],"0x01000000":778,"0x0101":427,"0x01ff":483,"0x0200":554,"0x02000000":[491,781],"0x0400":553,"0x04000000":[484,779],"0x08000000":[493,784],"0x1":[564,565,713,717,721,761],"0x10":712,"0x10000000":[492,783],"0x1fff":433,"0x2":[563,714,716,719],"0x2000":434,"0x20000000":[437,490,742,775],"0x3":720,"0x4":[710,715,722],"0x4000":432,"0x40000000":[439,489,743,774],"0x54800000":499,"0x7fff":[764,768],"0x8":711,"0x8000":[429,435,765,767],"0x80000000":[438,744],"0xfffffff0":441,"10d":898,"12h":[20,34],"1foo":21,"30m":898,"3de":14,"3h30m":939,"4gb":918,"5h30m":942,"76cho3000":919,"8h30":898,"abstract":[920,922,928,929,931,935],"boolean":[6,20,23,36,48,55,870,894],"break":[32,902],"byte":[20,43,46,48,99,104,287,311,910,911,912,914,915,924],"case":[2,3,6,11,14,19,20,21,23,24,28,38,39,43,46,195,245,280,325,330,350,359,375,389,416,706,897,898,900,919,922,923,924,927,931,932,944,946,951,953],"char":[43,46,49,50,56,59,60,91,92,93,94,107,136,141,143,144,146,149,152,155,156,160,166,169,170,187,192,193,194,210,213,214,219,222,223,227,228,230,231,233,235,247,252,260,264,267,277,278,306,311,312,317,319,329,336,344,345,346,352,361,363,365,366,369,372,373,374,375,377,379,382,383,384,387,389,390,391,392,394,395,397,398,406,407,408,409,417,418,419,420,803,829,841,870,872,878,879,881,889,934],"class":[3,23,944],"const":[43,49,52,53,54,58,59,60,91,92,93,94,99,100,101,102,103,106,107,108,113,114,117,119,120,125,126,129,130,136,141,144,146,149,152,155,156,160,166,169,172,173,174,175,177,178,180,181,183,184,185,188,189,194,195,197,213,214,223,228,231,232,233,234,235,247,252,260,264,265,267,277,278,281,284,286,287,288,289,290,294,298,299,300,301,312,317,319,320,322,324,326,329,331,333,336,339,340,341,342,343,344,345,346,351,352,353,355,356,357,358,359,360,361,365,366,369,372,373,376,377,378,379,382,383,384,387,389,393,405,412,413,417,418,419,420,792,820,821,865,866,872,888,889,934],"default":[2,3,4,5,6,7,8,10,11,12,15,19,20,21,22,23,24,26,29,30,32,33,34,35,37,38,39,40,41,43,44,46,48,59,60,78,132,147,148,154,223,229,243,253,265,269,275,278,315,317,345,359,375,383,414,712,898,905,906,907,908,910,918,923,924,925,939,941,942,943,945,946,947,948,952,953],"export":[20,34,918,919,923,924,933,934],"final":[19,21,112,158,904,911,915],"function":[3,6,14,25,29,34,35,43,46,48,49,50,55,57,58,59,60,61,62,67,68,69,71,72,73,74,76,77,78,81,82,84,85,86,87,88,89,92,93,99,100,101,102,103,104,105,107,113,114,116,117,119,124,125,126,129,130,133,136,137,139,148,150,151,153,156,157,158,159,167,169,171,172,173,174,175,177,178,180,181,182,183,192,194,195,198,199,200,201,202,203,205,206,207,208,209,212,215,216,221,228,235,236,241,245,246,252,254,258,260,261,262,264,265,266,267,271,272,275,276,277,278,279,287,288,289,290,294,295,296,298,299,301,308,310,320,323,324,325,326,327,329,330,331,333,334,342,343,345,352,355,356,357,358,359,360,361,368,371,373,376,378,382,383,385,387,389,396,400,401,403,404,407,408,410,412,414,416,417,419,856,865,866,870,872,877,903,904,918,919,922,923,924,927,930,931,933,934],"goto":46,"h\u00f6gskola":919,"import":[5,6,14,15,17,19,21,23,34,35,918,924,938],"int":[43,51,53,56,59,62,91,92,93,94,97,111,116,120,122,166,223,241,242,243,244,249,254,255,279,306,311,345,350,352,361,382,383,404,407,408,409,416,805,811,814,818,829,840,846,848,853,857,859,870,872,873,891,894,923],"long":[3,14,15,23,25,26,37,38,39,41,43,99,287,365,366,739,766,897,900,918,919,922,931,934,948],"new":[2,3,6,14,20,21,23,24,26,34,35,37,41,43,48,87,89,129,132,138,143,154,160,163,165,166,167,169,172,173,174,175,176,177,178,180,182,183,192,194,195,211,219,229,235,243,245,246,250,253,257,260,262,269,275,280,298,300,301,303,307,313,327,330,336,338,343,344,345,359,365,366,367,368,369,370,371,372,373,380,381,382,383,386,387,399,400,401,402,403,404,407,719,720,897,901,915,918,919,923,924,927,928,931,938,939,942,944,953],"null":[19,20,21,43,44,46,48,54,64,92,99,100,102,103,107,113,129,136,141,154,155,156,164,173,195,198,200,203,209,220,223,224,228,230,231,235,240,260,264,267,269,273,275,287,288,289,290,294,298,300,301,315,322,323,325,326,329,330,331,332,336,342,343,344,354,356,359,360,361,363,364,365,366,369,372,375,377,380,381,382,383,386,388,389,397,407,408,409,412,414,793,918,923,932,934,953],"public":[21,40,919,927,928,929,930],"return":[3,9,12,20,21,22,38,43,46,48,50,52,54,56,57,59,60,69,74,91,92,93,100,103,109,110,119,127,128,133,135,137,141,142,144,145,146,147,148,149,151,152,153,154,155,156,159,161,169,176,189,192,214,223,224,227,228,229,231,235,260,262,263,264,267,268,271,279,282,283,284,288,290,301,302,303,305,306,308,310,311,314,315,316,317,318,320,323,325,330,344,345,352,355,361,365,366,368,371,375,377,378,380,382,383,384,386,388,389,396,398,400,404,406,407,408,409,410,412,414,416,731,865,866,906,918,920,921,922,923,924,925,928,929,931,932,933,934,935,942,946],"short":[14,19,21,41,306,900],"static":[46,923,934],"switch":[14,28,31,43,48,161,897],"true":[9,14,20,21,22,23,24,25,26,33,35,36,37,38,40,41,43,52,54,105,109,110,127,128,160,192,245,283,284,285,300,319,343,348,349,350,362,388,416,813,826,860,952],"try":[21,25,32,35,38,39,41,43,906,918,938,946],"var":[5,8,20,21,23,34,37,901,906,907,917,953],"void":[43,46,57,58,59,60,63,80,171,179,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,215,216,218,219,220,221,222,237,239,240,241,242,243,244,245,249,254,255,256,257,258,259,260,270,275,285,291,297,334,339,346,352,367,370,379,380,381,386,399,415,416,417,418,419,420,820,838,856,864,865,866,872,877,888,933,934],"while":[3,12,14,15,16,20,21,23,24,34,35,43,46,897,904,923,938,939,946,953],AES:[14,15,20,25,906,918,919],AFS:14,AND:919,ARE:919,Added:[21,918,948],Adding:[17,910],Are:[3,23],BUT:919,But:901,CCS:919,CMS:[467,476,477,479,480,481,482,918],CTS:[14,20,918],DES:[13,20,26,41,467,918],DNS:[21,25,30,33,34,39,44,333,663,906,918],DNs:[5,22],Dis:19,Doing:905,FOR:919,For:[3,10,14,16,17,18,19,20,21,22,23,24,26,28,32,33,34,35,36,37,38,39,43,46,99,100,103,142,287,288,290,738,896,897,901,904,905,906,910,911,915,916,917,918,920,921,922,923,924,925,927,928,929,930,931,932,933,934,935,936,938,939,942,945,946,951,953],HAS:919,His:19,ITS:[42,919],Its:[20,21,910],NFS:938,NOT:[5,34,919],Not:[20,21,44,51,151,614,897],ONE:5,ORed:151,One:[3,20,23,34,36,38,43,342,897,898,938,939,952],SUCH:919,Such:[14,37,39,46],TGS:[3,20,21,25,26,35,48,224,300,403,759,860,910,918,930],THAT:919,THE:919,TLS:[22,29],That:[21,904],The:[0,3,4,5,6,7,8,9,10,11,12,15,19,20,21,22,23,24,25,26,28,29,31,33,34,35,37,38,39,40,41,43,46,53,62,69,71,74,78,80,91,93,99,100,102,103,113,117,119,121,125,126,129,135,136,138,144,146,148,153,165,166,173,176,189,198,200,217,220,224,228,229,245,248,252,262,268,274,282,286,287,288,289,290,294,296,298,300,305,307,312,315,320,321,322,325,326,331,333,344,345,346,354,356,359,360,365,366,367,368,369,370,371,372,373,376,380,381,382,383,389,398,402,403,405,406,407,408,412,414,420,618,730,738,740,745,746,749,750,752,756,807,813,827,837,850,865,866,870,876,883,896,897,898,900,901,902,903,904,905,906,907,908,910,911,912,914,915,917,918,919,920,921,922,923,924,925,927,928,929,930,931,932,933,934,935,936,938,939,941,942,944,946,948,950,951,952,953],Then:[3,6,17,24,34,942],There:[20,21,23,34,35,897,904,906,907,910,914,939],These:[14,16,20,21,23,26,34,35,37,39,43,733,904,910,918,919,922,924,927,951,953],UCS:918,USE:919,Use:[3,22,46,49,65,66,67,68,72,73,76,77,78,83,92,111,115,132,141,143,145,150,153,154,163,164,169,172,173,174,175,177,178,180,181,182,183,194,195,224,227,229,230,231,236,239,261,265,269,272,275,280,286,309,310,315,317,318,321,322,324,325,326,327,328,329,330,331,332,335,338,339,340,341,344,345,354,355,356,357,359,360,363,375,389,401,403,405,406,408,439,563,564,837,847,904,906,918,927,941,946,948],Used:[447,448,598,599,837,896,946],Uses:[2,3,21],Using:[3,6,14,25,40,938],WILL:919,WITH:919,With:[0,3,6,22,23,39,952],_kerbero:39,_kpasswd:39,_krb5_address:805,_krb5_ap_rep:[807,808],_krb5_ap_rep_enc_part:808,_krb5_ap_req:809,_krb5_auth_context:810,_krb5_authdata:811,_krb5_authent:813,_krb5_ccach:816,_krb5_cccol_cursor:817,_krb5_checksum:818,_krb5_context:[135,156,822],_krb5_cred:[823,826],_krb5_cred_enc_part:824,_krb5_cred_info:825,_krb5_crypto_iov:827,_krb5_data:829,_krb5_enc_data:831,_krb5_enc_kdc_rep_part:832,_krb5_enc_tkt_part:833,_krb5_encrypt_block:834,_krb5_error:836,_krb5_get_init_cr:840,_krb5_get_init_creds_opt:840,_krb5_gic_opt_pa_data:841,_krb5_init_creds_context:842,_krb5_kdc_rep:845,_krb5_kdc_req:846,_krb5_keyblock:848,_krb5_kt:849,_krb5_last_req_entri:854,_krb5_pa_data:859,_krb5_pa_pac_req:860,_krb5_pa_server_referral_data:861,_krb5_pa_svr_referral_data:862,_krb5_prompt:870,_krb5_pwd_data:873,_krb5_responder_otp_challeng:878,_krb5_responder_otp_tokeninfo:879,_krb5_responder_pkinit_challeng:880,_krb5_responder_pkinit_ident:881,_krb5_respons:882,_krb5_ticket:883,_krb5_ticket_tim:884,_krb5_tkt_authent:886,_krb5_tkt_creds_context:887,_krb5_trace_info:889,_krb5_transit:890,_krb5_typed_data:891,_krb5_verify_init_creds_opt:894,_passwd_phrase_el:895,_profile_t:[262,269],_tcp:39,_udp:39,abbrevi:[904,943],abc:[906,953],abi:885,abil:[14,368,371,952],abl:[15,16,19,20,21,23,25,29,34,35,39,897,902,938,939,946],abort:[802,803,933],about:[0,14,19,20,22,23,26,31,39,41,43,46,251,901,904,906,908,918,919,922,931,936,939,942,953],abov:[6,14,19,21,22,23,25,26,32,34,37,41,43,46,901,906,910,919,923,924,925,939,946],absenc:[20,46],absent:942,absolut:[20,21,896,900,904],ac02:919,acceler:919,accept:[3,4,8,14,15,16,20,21,26,34,38,39,41,151,389,898,900,904,918,919,920,924,933,934,939,942],acceptor:[8,918,943],acceptor_cred_handl:43,access:[3,4,8,9,14,17,18,19,20,21,22,23,24,25,26,28,29,32,33,34,35,37,39,43,46,897,902,904,912,915,918,922,927,928,930,931,932,937,939,945,946,951,952],accident:918,accommod:[46,901],accomplish:[23,26],accord:[3,19,21,36,38,43,154,167,910,911,917,924,946,948],account:[20,21,24,25,28,30,48,56,245,336,897,918,932,937,942,946,950,952],account_expir:[245,838],acknowledg:919,acl:[3,4,8,18,20,21,22,23,31,917],acl_fil:[4,8,19,20,34],acquir:[3,6,8,43,48,245,274,402,548,910,918,924,948],acquisit:[43,403],across:[17,20,21,34,43,928,929,930,938],act:[10,19,21,26,901,918],action:[4,6,14,901,919,929],activ:[3,6,8,14,21,23,25,37,40,169,941],actor:19,actual:[6,14,23,26,35,46,98,99,100,102,103,113,129,287,288,289,290,294,298,901,939],actual_mech:43,ad_kdcissu:[320,412],ad_typ:[195,811,910],ad_type_extern:789,ad_type_field_type_mask:789,ad_type_regist:789,ad_type_reserv:789,add:[3,6,9,11,12,14,15,19,20,21,22,23,31,33,36,38,48,300,343,712,898,918,939],add_auth_ind:[918,931],add_mkei:[14,23],add_polici:23,add_princip:[5,14,23,25,37],add_rel:934,added:[3,6,14,15,20,23,24,25,26,32,34,38,40,302,740,897,918,921],addent:[11,918],adding:[3,8,32,41,918],addit:[3,18,19,20,21,22,26,29,34,37,38,39,40,43,46,48,301,363,364,414,836,897,901,904,906,908,909,918,919,922,931,936,942,946,953],addition:[10,21,36,930,939],addpol:[3,23,35],addprinc:[3,23,34,37,898,928],addr1:[52,53],addr2:[52,53],addr:[54,232,233,234,332,825,826,832],address1:910,address2:910,address:[0,15,20,21,23,24,30,33,38,39,44,48,260,325,326,331,356,359,360,523,524,525,526,805,824,826,833,846,906,910,918,933,939,942,943],address_list:840,addresssanit:918,addrlist:54,addrtyp:[429,805,910],addrtype_addrport:789,addrtype_chao:789,addrtype_ddp:789,addrtype_inet6:789,addrtype_inet:789,addrtype_ipport:789,addrtype_is_loc:789,addrtype_iso:789,addrtype_netbio:789,addrtype_xn:789,adjust:[14,29,33,34,37,48,100,103,288,290,410],adm:[20,22,39],admcil:19,admcilsp:19,admin:[3,4,5,8,14,15,16,19,21,22,23,26,32,34,897,906,917,918,928,946,953],admin_serv:[3,8,20,21,34,39],adminhost:3,administ:[4,15,34],administr:[0,2,3,4,5,6,11,14,15,16,18,19,20,21,22,24,25,26,31,32,35,36,38,897,903,916,917,918,919,929,936,938,942,952,953],adminjohndoefoo:21,adtyp:811,advanc:[14,30,150,314,918,936],advantag:[14,21,26,32],advertis:[21,918,919],advic:31,advis:[14,919],aead:48,aes128:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],aes256:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],aes:[3,20,919],aesni:[906,919],af_unspec:933,affect:[4,19,20,21,26,28,40,126,133,229,918,942,953],afford:32,afs3:14,after:[2,3,4,6,10,12,14,21,23,24,25,33,34,35,37,80,98,136,228,272,380,401,885,896,897,902,904,910,911,914,915,918,938,939,946,953],afterward:[23,929],again:[14,28,33,34,720,901,918,924,938,939],against:[2,14,20,21,25,28,34,39,40,46,48,129,298,342,356,359,360,363,412,901,906,918,921,924,945,951],agent:20,agre:919,agreement:919,aklog:55,alexand:919,alg_id:879,algid:738,algorithm:[14,26,126,915,918,919,946],alia:[3,11,43,48,144,146,312,365,366],alias:[3,11,15,22,38,39,918],alic:[11,23,28,951,952],all:[0,2,3,6,9,14,15,17,18,19,20,21,23,24,25,26,28,29,32,33,34,35,37,38,43,46,48,153,163,164,282,342,359,414,747,748,753,817,827,897,898,901,904,905,909,910,915,918,919,930,932,939,941,943,944,945,946,948,951,953],alloc:[43,46,48,61,78,93,98,99,100,102,103,107,115,117,119,121,124,148,280,287,288,289,290,296,355,357,407,827,870,921,923,925,928,932],allow:[2,3,4,5,6,8,10,12,14,15,16,17,18,19,20,21,23,24,26,28,29,32,33,34,35,36,37,38,40,41,43,46,48,111,252,279,359,404,407,898,900,902,904,906,908,911,918,919,920,921,922,924,925,926,927,928,929,930,931,932,933,934,935,938,939,942,945,952],allow_des3:[21,26,918],allow_dup_skei:3,allow_forward:[3,5],allow_postd:[3,5],allow_proxi:3,allow_rc4:[21,26,918],allow_renew:3,allow_svr:[3,23,25,35,40],allow_tgs_req:3,allow_tix:3,allow_weak_crypto:[14,21,26,41,48],allowedkeysalt:3,almeida:919,alon:[34,923],along:[0,36,827,897,906,924],alongsid:34,alphabet:898,alphanumer:21,alreadi:[6,14,22,34,36,43,124,333,897,904,906,908,942,946,948],also:[15,17,18,22,23,24,25,26,28,29,32,33,34,35,37,38,39,40,43,46,126,342,403,896,897,900,906,908,910,918,919,921,922,924,925,927,928,930,932,934,935,939],alter:[14,37],altern:[8,15,20,21,22,24,28,34,37,43,500,904,906,917,918,919,942],although:[39,900,919,925,935,938,939],altogeth:20,alwai:[14,15,20,21,23,24,39,44,51,55,61,63,66,68,71,80,83,139,142,155,365,716,910,914,918],america:919,among:46,amount:[20,21,35,39,102,119,121,289,361,905],an2ln:[21,932],an2ln_typ:932,analog:15,anam:[56,946],anchor:[20,21,942],andrea:919,andrew:5,ani:[0,3,6,8,9,10,14,15,16,17,19,20,21,23,24,25,26,28,32,34,36,37,38,39,40,41,43,46,48,56,137,147,153,154,156,224,260,268,275,278,279,310,315,359,363,364,404,414,740,837,897,901,902,910,911,915,918,919,920,924,925,932,938,939,942,943,946,952],ank:3,anl:21,annot:[16,23,36,918],anonym:[3,20,25,28,43,48,501,502,918,939,942,943],anoth:[15,17,21,24,32,41,48,101,171,826,897,901,906,910,921,922,928,932,933,939,953],ansi:905,answer:[21,46,48,366,731,738,740,876,924],anticip:[33,39],anyon:[938,952],anyth:[21,37],anywai:[20,39,46,330],anywher:[938,953],ap_opt:[329,330,375,809,886],ap_opts_etype_negoti:789,ap_opts_mutual_requir:[330,359,375,789],ap_opts_reserv:789,ap_opts_use_session_kei:[330,789],ap_opts_use_subkei:[330,789],ap_opts_wire_mask:789,ap_req_authdata:195,ap_req_nofail:[416,894],ap_req_opt:[329,330,359,375],api:[0,14,41,43,45,98,100,103,186,188,190,191,196,197,245,250,251,262,281,288,290,351,353,411,740,827,847,897,903,906,918,920,924,931],appdata:[21,901],appdefault:48,appear:[14,20,21,24,34,37,39,41,46,910,919,923],append:[3,20,23,38,387,900,906,915],appl:[903,919],appl_vers:[363,375],appli:[3,10,14,18,19,20,21,23,24,35,41,43,171,919,928,931,939,942,946,950],applic:[0,12,16,18,20,21,28,30,31,37,43,46,48,59,60,156,250,329,330,331,363,375,504,528,529,718,741,896,897,900,901,903,906,916,918,919,922,924,927,932,934,938,939,945,949,952],appnam:[59,60],approach:43,appropri:[6,14,21,23,24,28,29,34,37,39,43,46,154,373,398,920,930,931,942,943,946],approxim:[905,918],apputil:903,aprepencpart:807,arbitrari:[3,43],arcfour:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],architectur:[904,906],archiv:[42,905],area:[34,46],arg:[3,417,418,419,802,803,906,946],arg_keytab:[232,235],argument:[3,4,6,8,10,14,20,44,46,48,63,80,91,93,245,257,260,263,275,325,326,331,352,354,356,360,386,417,418,419,889,906,918,923,924,932,946,948],argv_pars:919,ari:946,aris:919,armor:[20,37,48,229,922,931,942],armor_ccach:942,around:[23,906],arrai:[3,36,43,46,48,100,103,111,173,240,244,254,288,290,322,332,352,354,821,825,827,832,833,846,868,869,932,934],arrang:23,arriv:901,asan:[906,918],asc:905,ascii:[6,23,39,910],ask:[6,37,39,46,48,738,739,740,922,938,939,942,946],asn:[48,911,912,921],aspect:[15,28,927],assert:[20,43,910,918,924,931],assign:[3,19,20,34,39,48,82,84,946],associ:[3,4,9,19,20,21,23,35,38,43,537,897,901,910,919,953],assum:[14,21,26,34,36,39,43,44,107,124,155,905,918,939,942,953],assumpt:26,asynchron:[403,931],athena:[3,5,14,15,19,20,21,23,24,28,32,34,906,919,934,938,939,953],athent:260,atom:918,attach:918,attack:[2,14,21,23,29,30,32,35,40,46,325,326,331,901,918,942],attempt:[0,3,6,20,21,24,29,35,39,43,243,250,414,910,918,946],attr:[252,841],attribut:[3,5,6,9,16,19,20,21,22,23,24,26,36,37,48,253,650,841,918,919,921,924,931,942,946],audit:918,aug:3,augment:924,august:919,auth:[16,20,39,43,48,61,329,330,359,363,364,375,504,811,825,833],auth_context:[61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,90,223,323,325,326,327,328,329,330,331,354,356,357,358,359,360,363,364,375],auth_gssapi:3,auth_to_loc:[21,28,932],auth_to_local_nam:[21,28],authdata1:910,authdata2:910,authdata:[184,189,224,320,322,412,826,910,918,926,942,943],authdata_plugin:927,authdatum:412,authent:[3,5,6,10,12,14,15,20,21,22,24,25,26,29,30,32,34,35,36,37,38,39,40,43,44,46,48,61,62,63,64,66,67,68,69,71,72,73,74,76,77,79,80,81,82,83,84,85,86,87,88,89,90,166,201,223,224,250,322,323,325,326,327,328,329,330,331,336,342,354,356,357,358,359,360,375,437,500,506,615,738,807,809,813,859,876,886,897,900,901,902,903,910,911,915,918,919,921,931,932,939,942,943,949,953],authfrom:174,author:[3,19,20,21,48,153,224,253,300,614,746,826,863,918,919,926,941],authoriaz:813,authorit:[19,21,154,920,925,928,932,933],authoritykeyidentifi:37,authorization_data:[813,833,846],authtim:[340,341,342,343,884,910],authtime_out:336,authto:174,authz:846,auto:918,autoconf:903,autodoc:908,autohead:904,autolock:919,autom:[904,918],automak:923,automat:[3,4,6,8,15,17,23,34,897,900,902,904,915,918,939,941,946],autoreconf:904,avail:[3,6,11,12,14,20,21,23,29,34,38,43,46,56,170,187,192,193,227,252,306,310,315,361,368,371,374,398,416,563,823,845,883,897,904,915,920,926,941,943,947,953],avoid:[3,14,19,24,38,46,245,906,918,939],awai:[14,41,938,939],awar:910,awk:6,back:[19,20,23,24,30,39,40,897,906,911,918,924,927],backend:[14,906,918,919],background:[4,8,10,34],backslash:344,backspac:344,backup:[23,30,32,39,902],backward:[8,20,21,24,26,34,948],bad:[34,135,156],balanc:[14,38,39],banner:[46,352,872],bar:[6,21],basch:919,base:[0,3,20,21,22,23,24,25,26,34,37,38,39,43,46,49,59,60,62,91,93,98,117,296,344,388,897,901,908,917,918,919,922,927,931,935,939,942,951],basi:[14,18,23,39],basic:934,basicconstraint:37,baz:21,bb463167:42,becaus:[6,17,19,20,21,23,24,25,35,37,38,39,41,43,46,251,342,897,904,906,910,914,929,931,934,938,942,952],becom:[0,6,14,17,21,23,34,39,136,235,260,275,897,918,938,942,946],beeblebrox:34,been:[6,12,14,20,21,23,26,35,124,897,901,915,918,919,924,927,939,943,950,953],beep:[939,941],befor:[2,3,4,5,6,14,15,20,21,22,23,26,35,37,39,41,44,98,100,103,155,288,290,381,389,827,870,898,901,902,904,919,922,929,931,939,942],beforehand:43,began:14,begin:[4,6,15,21,23,28,36,43,91,93,99,100,102,103,203,209,287,288,289,290,344,403,910,921,924,925,934,951],behalf:948,behav:[3,43,407,416,896,906],behavior:[3,14,20,21,28,39,46,228,414,416,918,923,926,927,932,941,945,950],behind:[14,28],being:[3,14,20,21,23,29,39,44,46,245,372,740,901,908,951],belong:[33,161],below:[6,20,21,23,28,36,43,740,903,919,946],benefit:39,berkelei:[906,919],besid:[15,21],best:[14,25,34,38],beta:6,better:[23,24,847,918],between:[3,9,20,21,23,25,26,29,34,35,41,45,136,158,385,885,897,918,932,939,941,942],beyond:[915,922,927,931,953],big:[910,911,912,914,924],biggest:14,bin:[34,904,906,908,917,946],binari:[21,32,906,919],bind:[3,5,20,21,22,39,918,945],bind_dn:3,binddn:3,bindir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],bindpwd:3,bison:906,bit:[14,20,24,37,46,66,83,142,153,157,359,885,896,910,914,918,921,946],bitwis:[151,740],bjaspan:3,blank:951,bleep:[3,11,939,952,953],block:[14,20,24,48,99,100,102,103,287,288,289,290,918],blocksiz:95,bob:[946,952],bodi:[846,931],book:15,boot:[34,902],bootstrap:21,borrow:939,boston:39,both:[3,12,21,22,23,24,26,28,29,36,37,39,40,43,159,245,251,904,918,919,923,946],bourn:34,box:36,brace:[21,923],bracket:[20,21,28],breviti:911,brian:919,bridg:918,brief:[32,903,927],broken:[14,906],brother:919,brute:[14,23,35],bsd:[918,919],btree:6,buffer:[3,23,43,48,56,98,99,119,170,187,192,193,279,287,300,301,306,331,336,339,374,397,398,404,407,409,538,827,918,924],buflen:[170,187,192,193,374,397,398],bug:[0,23,42,903,904,936],build:[34,39,41,48,49,136,897,903,906,916,917,918,923,927,945],built:[21,24,28,46,48,378,897,904,906,918,924,934,939,945],builtin:[906,918,919],bundl:[21,919],bunni:39,busi:919,byacc:906,c89:905,cacert:[29,37],cach:[3,14,15,21,23,28,43,44,48,78,138,140,223,224,229,247,264,267,323,325,326,329,331,356,359,360,375,403,414,522,545,549,755,899,903,906,907,913,917,918,926,939,941,942,943,945,946,947,948,951,953],cache_nam:[3,941,942,943],cache_out:[132,154],cacheconf:910,cachenam:[897,947],cachetyp:918,cacreateseri:37,caddr:[825,832,833],cakei:37,california:919,call:[14,16,20,21,23,24,28,34,43,46,91,93,100,103,113,120,122,123,125,126,136,156,158,176,228,245,251,261,268,275,279,282,288,290,294,301,308,317,323,380,381,404,827,870,877,896,897,903,904,918,922,923,924,929,931,932,938,946],callback:[48,260,275,352,380,381,387,856,870,872,876,918,922,931,933],caller:[43,46,71,85,99,100,102,103,117,119,121,136,144,146,245,252,269,279,287,288,289,290,296,301,312,314,330,361,365,366,404,414,827,896,918,925,931,934],camellia128:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],camellia256:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],camellia:[20,918],can:[0,2,3,4,5,6,8,9,10,11,14,15,16,17,18,19,20,21,22,23,24,25,26,28,29,32,33,34,35,36,37,38,39,40,41,43,46,50,56,136,138,154,224,254,271,301,307,331,342,344,366,386,389,400,403,414,416,737,865,866,876,884,896,897,898,900,901,904,905,906,908,910,911,918,920,921,922,923,924,925,927,928,929,930,931,932,933,935,938,939,942,946,950,953],candid:[915,946],cannot:[3,23,24,25,35,37,43,46,91,93,135,151,260,344,414,885,910,939,942,943,948],canon:[4,15,22,23,38,39,192,300,928,932],canonhost_out:194,canonic:[15,21,22,33,43,48,301,389,546,918,942,948],capabl:[32,918,938],capac:25,capath:20,card:[3,20,21,918],care:[3,14,19,28,43,927],carefulli:37,carnegi:919,carri:[3,25,953],cartoon:34,casio:14,cast:[885,896,920,922,923,928,929,930,931,933,935],cat:6,categori:25,caus:[3,4,6,14,20,21,24,25,26,34,35,37,38,39,40,43,48,245,247,388,736,897,901,906,918,919,943,947],caution:3,cb_data:[386,888],cb_ret:934,cbc:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],cbdata:934,cbrown:953,cc246071:918,cc246091:918,ccach:[3,23,41,43,48,132,135,164,224,225,226,232,233,234,246,250,251,264,267,321,329,375,383,403,405,414,817,906,917,920,944,948],ccache_typ:21,ccachenam:906,ccapi:[903,919],ccselect:[28,918,923,926,933],ccselect_plugin:[920,923],ceas:[0,6],cell:14,center:[10,903,919,953],central:0,cert:[16,21,37],cert_fil:948,certain:[23,32,236,906,919,948,953],certauth:[918,926],certauth_plugin:921,certid:21,certif:[3,20,21,29,40,43,48,253,695,912,918,926,948,953],certifi:21,certlabel:21,cf2:48,cflag:[906,945],cfr:919,chain:[20,21,918],challeng:[20,21,40,46,48,366,367,368,370,371,697,700,738,739,876,879,911,918],chang:[2,3,6,9,14,15,19,20,21,22,24,25,26,28,33,34,37,39,46,48,78,136,158,245,260,382,383,620,719,896,904,908,910,917,918,919,927,929,935,937,944,946,952],change_password:[23,26],change_password_for:[382,383],changeov:34,changepw:[3,14,23,26,166,245,300,301,382],channel:[14,21,36,43,46,325,918,946],charact:[3,19,20,21,23,34,38,39,344,397,408,715,944],charg:919,chat:936,check:[12,20,21,23,26,28,34,37,43,48,59,60,153,283,356,359,360,550,904,906,908,914,923,934,935,939,943,946],check_a:930,check_tg:930,checkout:908,checksum:[3,43,48,104,175,202,203,300,301,329,330,331,333,342,343,532,539,657,659,661,662,666,813,856,912,915,918,924],checksum_typ:818,cheetah:908,chiefli:23,chl:[46,367,368,370],chl_out:371,choic:[21,38,43,46,250,942],choos:[14,22,25,34,38,39,43,902,920,938,942,951],chosen:[16,21,22,26,43,46,229,905,911,917,918,920,951],chpass:[3,929],chrand:3,chunk:[114,295],cipher:[14,26,48,99,100,102,103,287,288,289,290],cipher_st:[99,100,102,103,287,288,289,290],ciphertext:[25,99,100,102,103,104,287,288,289,290,807,831,911,915],circular:23,circumst:[20,37],citi:919,ckf_:740,ckfrom:175,cksum:[113,129,294,298,413],cksumtyp:[81,96,111,113,114,130,170,294,295,299],cksumtype_cmac_camellia128:789,cksumtype_cmac_camellia256:789,cksumtype_crc32:789,cksumtype_descbc:789,cksumtype_hmac_md5_arcfour:789,cksumtype_hmac_sha1_96_aes128:789,cksumtype_hmac_sha1_96_aes256:789,cksumtype_hmac_sha1_des3:789,cksumtype_hmac_sha256_128_aes128:789,cksumtype_hmac_sha384_192_aes256:789,cksumtype_md5_hmac_arcfour:789,cksumtype_nist_sha:789,cksumtype_rsa_md4:789,cksumtype_rsa_md4_d:789,cksumtype_rsa_md5:789,cksumtype_rsa_md5_d:789,cksumtype_sha1:789,cksumtypep:390,ckto:175,claim:[651,655,919],clang:918,clarifi:37,clariti:946,clean:[23,268,269,386,908,918,934],cleanli:918,cleanup:[46,934],clear:[3,6,11,15,36,46,48,136,156,377],clearpolici:[3,19],cleartext:[808,824,832],click:34,client1:37,client2:37,client:[3,12,14,16,18,20,21,22,23,25,26,28,31,32,34,35,36,38,39,40,41,43,46,48,145,154,223,224,235,241,242,258,260,264,267,275,276,277,330,333,359,363,403,651,652,740,807,808,813,825,826,833,836,845,846,897,901,903,906,910,911,912,917,918,919,920,921,923,926,928,931,933,939,942,943,945,946,948,951,953],client_aware_channel_bind:21,client_aware_gss_bind:918,client_cert:37,client_kei:918,client_keytab:43,client_princ:[46,300],clientauth:21,clientkei:37,clifford:953,clock:[21,34,48,267,356,360,898,931,942],clockskew:[15,21,359,915,934,942],close:[21,32,48,71,85,132,137,138,148,164,167,265,301,307,755,915,929,935],clpreauth:[28,926],clpreauth_mymech_initvt:923,clpreauth_plugin:922,cmac:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],cmd_path:946,cname:[33,34,38,39],code:[0,20,21,23,41,43,46,48,49,50,56,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,117,118,119,121,124,125,126,129,130,133,134,135,141,142,145,147,148,149,150,151,152,153,154,155,156,157,158,159,161,162,163,164,166,169,170,171,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,231,235,251,260,261,262,264,265,266,267,268,271,272,273,274,275,276,277,278,279,280,282,287,288,289,290,294,295,296,298,299,300,301,302,303,305,306,308,310,311,314,315,316,317,318,321,322,323,324,325,326,327,328,329,330,331,332,333,335,337,338,339,342,344,345,347,352,354,355,356,357,358,359,360,361,363,364,374,375,376,377,378,382,383,384,385,389,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,730,836,837,865,885,896,903,905,906,918,919,922,923,924,927,929,931,933,934,935,936],coerc:915,coexist:19,collect:[21,43,48,132,154,728,729,903,918,920,941,942,943,947,951,953],collis:[48,901],colon:[5,20,21,28,39,152,344,346,420,953],column:6,com:[3,6,9,11,16,20,21,22,23,28,35,37,38,39,41,42,911,912,918,919,938,939,951,952,953],com_err:[837,906,918,923],combin:[3,8,20,23,26,43,48,254,911,943],come:[21,46,359,904,905,938],comma:[3,6,10,20,21],command:[4,8,9,10,14,15,20,21,22,23,24,26,29,32,34,35,37,41,898,900,903,904,905,906,918,937,938,939,941,944,946,948,953],command_opt:[5,6],commenc:34,comment:[0,15,21],commerci:[21,37,919],commit:[9,919,929],common:[21,23,25,34,43,906,919,922,938,952],common_appdata:21,commonconfig:21,commonli:[8,41],commun:[0,21,23,25,29,34,37,43,865,897,903,919,920,936],compani:939,companion:36,compar:[47,48,129,298,911],comparison:21,compat:[8,20,21,36,43,904,906,918,928,930,948],compil:[0,904,905,906,907,918,919,945,946],compile_et:906,complet:[5,6,14,20,21,23,39,43,45,158,272,274,359,375,401,402,738,903,906,907],complex:918,compli:919,complic:[37,906],compon:[19,21,28,37,38,43,46,48,92,93,223,344,345,350,388,645,708,710,763,910,914,918,919,934,939,951],component1:[910,914],component2:[910,914],compos:37,composit:918,compress:905,compromis:[14,17,21,32,897,902],comput:[14,20,21,29,43,44,46,48,91,117,129,229,296,298,912,919,922,931,938,939],concaten:[731,911,924],concatent:924,concept:[916,926],concern:[25,35,919,939],concis:934,concret:908,concurr:[20,24],condit:[37,154,301,918,919,946],conduct:29,conf:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,22,23,24,25,26,27,28,29,30,31,32,33,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],conf_keyfil:5,conf_req_flag:43,conf_stat:43,confidenti:[26,43,918],config:[20,21,23,141,155,269,378,903,906,917,918,924,937,940],configur:[3,4,5,9,14,16,17,19,20,21,23,24,25,30,31,38,41,43,46,48,50,78,154,167,194,251,261,269,388,414,416,563,564,898,901,903,904,905,907,908,918,923,926,935,939,942,943,946,950,952,953],confirm:[2,3,5,6,23,130,299,918,948],conflict:[15,28,359,602,603,605,606,924],conform:[21,905,918,944],confound:104,confus:919,confusingli:46,confvalid:903,conjunct:948,connect:[3,4,5,8,12,20,23,32,34,38,43,48,897,901,918,919,939],consequ:14,consequenti:919,consid:[0,14,21,24,33,39,41,342,901,906,910],consider:[39,45],consist:[21,39,344,900,905,910,911,918,925,932],consol:20,consolid:0,consortium:[936,953],constant:[46,57,58,727,733,821],constitut:919,constrain:[3,333,547,654,918,948],constraint:[919,951],construct:[0,43,46,277,279,329,404,865,866,918,923,948],consult:[21,932],consum:[24,896,927],contact:[3,7,8,14,20,21,23,29,39,260,897,920,936,949],contain:[3,4,5,6,8,9,15,19,20,21,22,23,24,28,29,33,34,37,38,39,41,43,46,48,54,67,72,76,152,154,169,172,173,183,184,195,231,245,247,276,279,300,301,320,330,336,342,344,355,356,357,360,363,365,375,404,414,847,876,889,897,898,900,901,903,904,905,906,907,908,910,911,914,915,919,923,924,933,934,936,938,939,941,942,946,947,948,951,952,953],container_dn:3,container_reference_dn:5,containerdn:3,containerref:5,contempl:919,content:[0,6,9,11,12,14,23,27,34,37,43,44,46,48,82,84,124,133,137,147,148,174,175,177,178,180,182,183,198,199,200,201,202,207,208,212,215,221,280,333,334,805,811,818,827,848,859,890,897,910,912,914,919,924,942,943],context:[21,41,43,44,46,48,49,50,51,52,53,54,55,56,59,60,61,66,70,75,83,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,172,173,174,175,176,177,178,180,181,182,183,184,186,188,189,190,194,195,196,197,198,199,200,201,202,203,204,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,245,246,247,248,250,251,252,253,257,260,261,264,265,267,276,277,278,279,280,281,283,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,367,368,369,370,371,372,375,376,378,379,380,381,382,383,384,385,386,387,388,389,393,404,405,406,407,408,409,410,411,412,413,414,417,418,419,420,564,793,794,795,796,797,798,799,800,838,865,866,872,876,888,918,920,922,923,925,931,932,933],context_handl:[43,924],contigu:43,continu:[2,6,17,34,911,918,919,946],contract:919,contrari:[43,46],contribut:[101,107,119,916,919,953],contributor:[909,919],control:[4,14,15,18,19,20,21,22,26,28,34,36,37,38,41,43,46,243,279,404,414,906,907,918,920,925,926,927,930,932,933,934,935,950],convei:[14,23,39,43,837,863,918,919],conveni:[46,323,368,371,904],convent:[39,406,934],convention:953,convers:[21,911],convert:[14,21,38,43,48,169,258,389,918,951],cooki:[599,913,918,931],coordin:924,copi:[15,17,23,26,29,32,34,37,41,43,48,86,88,269,272,342,401,902,910,919,927,934,939,946],copyright:[903,905,919,953],core:[922,927,931,934,936],corpor:[919,953],correct:[4,10,14,21,23,33,34,41,124,735,897,906,918,919],correctli:[12,43,865,866,896,918,938],correspond:[6,19,21,37,39,43,44,46,56,152,245,263,342,884,908,911,918,923,924,929,953],corrupt:[6,17,918],cost:[23,29,906,919],could:[0,14,16,17,21,25,28,33,34,35,39,901,918,923,938,939,946],couldn:12,count:[3,6,43,48,87,89,111,286,910,914],counter:[3,35],countermeasur:32,counterpart:[19,33],countri:919,cours:17,courtesan:919,cover:33,cpp:906,cppflag:906,cppopt:906,cpu:40,cpw:[3,14],crash:[17,21,34],crawdad:919,crawford:919,crc:[14,26],creat:[3,4,7,12,14,15,19,20,21,22,23,24,26,28,31,32,35,43,47,48,67,72,76,93,113,114,125,126,135,138,172,173,174,175,176,177,178,180,182,183,205,236,262,265,271,294,295,307,308,324,331,345,359,363,364,375,387,400,414,710,897,898,900,904,908,911,915,918,919,920,921,922,924,925,926,928,929,930,931,932,933,934,935,936,938,939,942],create_polici:23,creation:[14,21,23,37,911],creativ:919,creativecommon:919,cred:[46,48,150,151,153,159,166,232,233,234,235,260,264,267,272,275,321,382,401,403,405,414,531,918,946],cred_handl:[43,924],cred_stor:43,cred_usag:43,cred_usage_stor:43,creddata:354,credenti:[3,8,12,16,20,21,23,28,33,35,37,45,48,138,166,177,206,207,223,224,229,321,329,333,354,375,402,405,440,549,618,653,747,823,824,825,826,877,896,899,900,901,903,906,913,918,922,924,925,926,931,939,941,942,943,945,946,947,948,951,953],credentials_cach:3,creds_out:[354,405],criteria:[37,897],critic:[46,936],crl:[20,21],cron:[17,20,34,39],cross:[3,20,21,342,343,359,906,910,918],crt:[20,21],crypto:[14,121,191,903,906,918,919],crypto_entri:834,crypto_test:919,cryptograph:[14,43,918,919],cryptographi:[14,40],cryptosystem:14,csv:[6,918],ctime:[808,813,836],cts:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],ctx:[43,72,73,76,77,86,87,88,89,171,176,213,228,270,271,272,273,274,275,276,277,278,279,346,365,366,367,368,369,370,371,372,373,379,399,400,401,402,403,404,417,418,419,420,877],ctype:[109,110,127,131,168,413],cuba:919,cultur:919,current:[2,3,6,8,9,11,14,20,21,22,23,28,39,48,136,179,330,346,356,360,382,440,742,889,897,900,906,910,915,918,922,925,926,931,939,944,951,953],curri:15,curs:906,cursor:[48,139,150,158,163,164,314,318,815,817],curv:[21,40],cusec:[808,813,836],custom:[21,908,917,918,921],cut:39,cve:918,cybersaf:[540,919],cycl:918,cygnu:[664,919],daemon:[8,19,20,21,23,31,36,37,38,897,902,918,923,953],daffodil:[15,939],dai:[3,5,21,23,37,48,396,898,939,953],daili:14,daisi:39,dal:927,damag:[897,919],danger:[17,946],danilo:919,dash:21,data:[3,6,9,14,20,21,22,23,24,26,32,43,44,46,48,63,79,80,98,113,114,117,119,120,121,123,129,130,141,151,153,155,169,178,203,208,212,224,245,253,257,258,260,262,275,294,295,296,298,299,300,323,326,329,330,331,333,335,340,341,352,354,356,359,360,368,371,375,376,380,381,382,383,386,388,393,405,467,479,480,481,537,538,678,722,746,793,794,797,811,813,821,823,826,827,829,832,833,836,838,845,846,856,859,863,865,866,868,869,872,875,877,886,891,897,901,902,906,910,911,912,914,918,919,921,922,923,926,930,931,935,943],data_length:116,data_out:321,data_set:43,databas:[2,4,5,6,7,8,9,10,12,15,18,19,20,21,22,26,28,30,31,32,35,37,43,900,902,903,906,907,917,918,919,926,929,931,942,945,946,953],database_modul:[20,24],database_nam:[20,23,34],datadir:906,datarootdir:906,datatyp:45,date:[3,6,8,20,21,23,26,37,167,224,398,832,899,918],datebas:4,david:[15,938,939,953],db2:[3,6,20,23,35,903,917,918],db3:906,db_185:906,db_arg:[3,4,6,8,10],db_header:906,db_lib:906,db_librari:[20,22,24],db_module_dir:20,db_princ_arg:3,dbadmin:19,dbdefault:5,dbmatch:21,dbmodul:[3,22,23,24,35],dbname:[3,6,10],dbutil:919,dce:[43,48,641,680,918],dcmd_path:946,deactiv:20,deal:[897,919],dealloc:[92,925,932],debian:[31,918],debug:[3,7,8,9,20,28,905],dec:[34,35,898],dec_err:324,dec_error:355,decid:[34,39,245,939],decim:[6,43,910,953],decis:[30,919,928,932,953],declar:[43,924],decod:[21,46,48,159,184,359,910,921,923],decompos:538,decreas:[21,900],decrement:48,decrypt:[3,35,43,48,79,354,364,827,883,901,918,946,948],dedic:34,default_ccache_nam:[21,136,897,953],default_client_keytab_nam:[15,21,900],default_cr:43,default_domain:21,default_kdb_fil:907,default_kdc_enctyp:907,default_keytab_nam:[21,900,907],default_principal_expir:[20,898],default_principal_flag:[19,20,918],default_profile_path:907,default_rcache_nam:[21,901],default_realm:[21,28,33,34,925,934],default_tgs_enctyp:[21,26],default_tkt_enctyp:[21,26],default_valu:[59,60],defccnam:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],defcktnam:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],defeat:40,defens:25,defer:[43,921,925,928,932],defin:[3,12,20,21,33,34,39,43,101,119,228,740,901,906,910,911,923,927,934,935,946],definit:[10,16,20,903,919,928,930],defktnam:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],del_polici:3,delai:[24,39,906,918,942],deleg:[3,20,21,333,547,654,910,918,939,943,948],delegated_cred_handl:43,delent:11,delet:[2,3,5,6,11,19,21,23,151,901,918,919,938,941,946,953],delete_polici:23,delete_princip:23,delimit:[21,311],delold:[2,14,26],delpol:3,delprinc:[3,23],delstr:3,delta:[20,48],deltat:187,deltatp:391,demand:414,demonstr:[12,14],deni:[3,19,25,28,35,928,932,946],denial:21,denot:[6,19,898,911],depart:919,depend:[25,33,39,43,46,126,365,373,740,876,905,906,917,918,923,935,938,939],deploi:[36,37,38,904],deploy:[14,24,37],deprec:[14,20,26,70,75,94,120,122,123,131,168,186,188,190,191,196,197,225,226,232,233,234,239,281,309,340,341,351,353,393,411,413,918],der:[911,921,924,931],der_out:[323,325,326,331],deriv:[3,6,14,20,25,48,99,100,102,103,113,129,287,288,289,290,294,298,911,915,918,919,944],des3:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],des:[14,26],descend:[897,901],describ:[0,3,14,16,21,23,24,25,28,32,34,37,43,375,406,827,836,837,896,910,919,922,923,924,926,934,939,946],descript:[32,39,43,836,903,917,918,920,921,922,925,927,928,929,930,931,932,933,934,935],descriptor:[62,363,364,375],deseri:48,design:[28,34,46,315,897,901,953],desir:[14,15,23,28,43,119,121,250,251,329,906,918,933,946],desired_mech:[43,924],desired_nam:43,desired_object:43,desktop:46,dest_ctx:179,destdir:904,destin:[32,904,918],destroi:[23,43,48,136,147,148,386,414,897,918,920,921,922,925,928,929,930,931,932,933,935,937,941,942],destroy_polici:23,detach:8,detail:[10,14,15,22,24,26,28,33,34,36,262,738,897,903,905,918,920,921,922,925,928,929,930,931,932,933,934,935,946],detect:[6,8,14,323,325,326,331,356,360,901,906,918,924],determin:[3,4,5,6,8,20,21,23,24,28,34,43,48,62,102,105,117,136,154,230,231,261,289,359,385,389,416,889,897,900,901,904,906,911,914,918,921,925,928,932,933,939,953],dev:[20,21,41,953],develop:[0,904,916,918,919,936,953],devic:[3,20,21,46,655,656],devicenam:20,dfl:[21,901,953],dget_tgt_via_passwd:946,dict:[3,21],dict_fil:[4,20,935],dictat:23,dictionari:[20,21,23,29,30,34,35,40,918,935,942],did:[23,34,223,267,342,939],didn:[12,28],differ:[3,6,12,21,25,26,28,33,34,37,38,39,43,45,48,107,119,159,265,375,385,865,901,904,906,923,931,932,938,939,942,946,953],diffi:[20,21,942],difficult:35,difficulti:38,digest:[20,919],digit:[898,953],digitalsignatur:[21,37],dir:[20,21,37,897,906,917,942,953],direct:[21,22,23,28,41,48,919,924,934,953],directli:[3,18,20,21,23,29,34,43,46,375,618,924,931,942,947],directori:[3,5,12,20,21,22,28,33,34,37,169,342,897,901,905,907,908,917,918,938,946,950,951,952,953],dirnam:[21,897],dirpath:897,disabl:[3,14,20,21,23,24,26,28,34,37,38,39,41,380,381,386,550,901,904,906,918,926,942,950,953],disable_encrypted_timestamp:[21,25,40],disable_fresh:[37,942],disable_last_success:[20,22,35],disable_lockout:[20,22,35],disable_pac:[20,918],disallow:19,disallow_forward:5,disallow_svr:23,disassoci:[4,10],disast:39,disclaim:919,disclosur:[19,918],discoveri:[25,33,34,918],discuss:[34,901,919,927,936],disjoint:0,disk:[4,5,6,15,17,24,32,34,46,897,902,905],dispatch:924,displai:[2,3,5,9,11,23,37,42,46,245,730,900,910,918,919,942,943,949],display:169,disrupt:14,dist:905,distclean:904,distinct:23,distinguish:[5,21,919],distribut:[10,903,904,905,906,907,918,919,939,953],distributor:919,divid:915,dll:[28,923,924,934],dns:[21,906],dns_canonicalize_hostnam:[21,38,918],dns_canonicalize_realm:918,dns_lookup_kdc:21,dns_lookup_realm:[21,39],dns_uri_lookup:[21,39],dnsname:21,doc:[22,42,908],document:[5,20,21,29,33,34,43,896,904,906,915,918,919,923,936],doe:[3,6,8,10,14,20,21,22,23,24,25,26,34,37,38,39,40,43,46,56,119,144,152,160,301,311,313,345,375,389,397,414,897,900,904,906,911,918,919,923,924,925,932,934,938,939,946],doesn:[2,6,23,161,897,938],doing:[6,23,29,46,918,919,923,942,946],domain:[12,15,20,21,33,34,36,37,38,39,918,939],domain_realm:[28,33,39,951],don:[12,712,715,897,904,906,938,946,953],donat:[23,919],done:[8,22,23,32,34,39,897,906,922,931,934,946,953],dot:38,doubl:898,down:39,download:[8,919],downstream:[23,918],downtim:14,doxygen:[0,908],dprinc_look_ahead:946,draft:[694,697,700,918],drift:15,drop:918,dry:6,dsa:476,dst:148,due:[14,19,23,41],dug:919,dugsong:919,dump:[4,7,8,17,20,24,34,917,918],dump_fil:4,dumpfil:[6,23,906],dumptyp:6,dup:20,duplic:[48,826,901],durabl:[20,24],durat:[3,20,21,884,942,946],dure:[3,4,8,17,20,21,23,26,34,35,40,43,352,380,414,719,910,911,918,922,929,939,946],dynam:[21,923,926,928,934],e19253:42,e2big:119,e_data:[836,931],each:[2,3,6,8,10,15,19,20,21,23,24,25,26,28,33,35,37,39,43,44,46,252,263,265,352,755,897,900,902,904,910,911,915,918,919,923,927,928,929,933,938,939,942,943,946,948,951,952],ear:919,earli:14,earlier:[20,23,26,34,224,932],earliest:[6,153,915],eas:36,easi:[14,17,25,35,939],easier:[0,14,918],easili:[14,34,904,918],eavesdrop:43,eavesdropp:901,ebaa:42,eblock:[186,188,190,196,197,281,351,353,393,411],echo:[352,361],edata:931,edit:[2,11,12,31,906,907,938],editor:0,edt:3,edu:[0,3,5,12,14,15,19,20,21,23,24,28,32,34,42,918,919,934,936,938,939,946],educ:33,edwards25519:[21,40,919],edwards25519_t:919,effect:[14,19,20,21,23,37,39,731,897,901],effici:918,effort:25,eight:33,einval:[260,373,390,392,394,395],either:[15,20,21,22,23,25,26,34,35,36,37,41,43,44,195,245,253,274,325,326,327,331,402,403,407,731,866,897,904,915,919,923,928,932,939,946,952],eku:[20,21],elaps:3,element:[43,46,48,189,320,412,827,873,911],elements_stor:43,elimin:[14,40],ellipt:40,els:[34,923,938,939,946],elsewher:17,emac:906,email:[0,642,938],emailprotect:21,embed:678,empti:[3,6,19,20,21,23,36,43,46,48,93,229,231,279,345,388,389,404,414,901,906,910,942],enabl:[3,4,8,14,15,20,21,22,23,24,25,28,34,36,37,39,40,41,43,55,78,897,905,906,918,921,926,946,953],enable_onli:[21,28],enc:[3,6,20,199,301,826,918],enc_err:324,enc_errbuf:355,enc_padata:832,enc_part2:[376,823,845,883],enc_part:[807,823,845,883],enc_tkt:[300,301],encdata:911,enckdcreppart:832,enckrbcredpart:825,enclos:[20,21,898],encod:[21,43,46,48,189,300,323,325,355,541,883,890,910,911,921,924,931],encompass:43,encount:[21,34,943],encourag:21,encrypt:[2,3,6,14,15,17,21,23,25,29,30,32,34,36,40,43,46,48,79,95,98,99,100,112,113,114,116,124,125,126,129,130,153,229,280,287,288,294,295,298,299,310,315,325,326,357,359,394,480,481,539,599,671,750,808,809,823,825,826,827,832,833,845,846,883,900,901,902,903,907,911,912,918,919,922,924,931,936,943,948,953],encrypted_challeng:21,encrypted_challenge_ind:[20,918],encrypted_timestamp:21,enctyp:[6,11,14,20,21,23,48,95,97,98,99,101,104,107,111,112,116,118,125,126,192,193,211,224,280,287,310,315,378,411,831,833,846,848,910,914,917,918,922,948],enctype_aes128_cts_hmac_sha1_96:[447,789],enctype_aes128_cts_hmac_sha256_128:789,enctype_aes256_cts_hmac_sha1_96:[448,789],enctype_aes256_cts_hmac_sha384_192:789,enctype_arcfour_hmac:789,enctype_arcfour_hmac_exp:789,enctype_camellia128_cts_cmac:789,enctype_camellia256_cts_cmac:789,enctype_des3_cbc_env:789,enctype_des3_cbc_raw:789,enctype_des3_cbc_sha1:789,enctype_des3_cbc_sha:789,enctype_des_cbc_crc:789,enctype_des_cbc_md4:789,enctype_des_cbc_md5:789,enctype_des_cbc_raw:789,enctype_des_hmac_sha1:789,enctype_dsa_sha1_cm:789,enctype_md5_rsa_cm:789,enctype_nul:[101,229,789],enctype_out:229,enctype_rc2_cbc_env:789,enctype_rsa_env:789,enctype_rsa_es_oaep_env:789,enctype_sha1_rsa_cm:789,enctype_unknown:789,enctypep:392,end:[6,20,21,23,24,30,33,34,39,92,93,164,332,825,833,846,884,906,910,914,915,918,927,946,953],endian:[910,911,912,914,924],endors:919,endpoint:[62,919],endtim:[224,884,910],energi:919,enforc:21,enforce_ok_as_deleg:[21,918],engin:39,enoent:336,enomem:[119,223,231,302,323,325],enough:[3,23,26,99,102,167,287,289,766],ensur:[14,15,17,20,23,24,25,26,34,37,46,171,865,866,925,932,939],enter:[3,5,10,14,23,34,37,325,326,331,361,924,938,939],enterpris:[38,43,345,710,918,942,948],entir:[3,14,20,39,538,910,931],entiti:[43,919],entri:[3,8,9,11,12,14,15,19,20,21,22,23,24,26,32,34,35,37,38,39,40,41,43,46,48,153,173,195,198,200,220,245,309,315,320,322,325,326,331,337,352,359,414,832,850,854,897,900,902,911,912,915,918,930,931,939,943,946],entropi:918,enumer:[14,26],env:[21,37,41,953],envelop:[467,479,480,481],environ:[14,15,20,21,23,24,26,28,30,34,35,37,38,41,43,56,136,268,269,282,386,387,897,900,901,904,917,918],envvar:21,eperm:[928,932],epoch:[48,885],equal:[15,24,914,918,946],equip:953,equival:[20,36,166,382,383,918],erang:336,err_fmt:[21,918],erron:41,error:[3,20,21,24,34,37,39,43,48,49,50,56,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,117,118,119,121,124,125,126,129,130,133,134,135,137,141,142,145,147,148,149,150,151,152,153,154,155,156,157,158,159,161,162,163,164,166,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,231,235,236,238,243,248,260,261,262,264,265,266,267,268,271,272,274,275,276,277,278,279,280,282,287,288,289,290,294,295,296,298,299,300,301,302,303,305,306,308,310,311,314,315,316,317,318,321,322,323,324,325,326,327,328,329,330,331,332,333,335,337,338,339,342,344,345,347,352,354,356,357,358,359,360,361,363,364,374,375,376,377,378,382,383,384,385,389,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,543,615,617,713,714,836,837,865,901,903,906,918,922,923,928,929,931,932,939,948],error_t:919,escal:918,escap:715,especi:[15,26,34,38,918],essenti:20,est:[35,898],establish:[37,43,901],etc:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],etyp:[6,229,378,672,918,948],etype_list:[244,840],etype_list_length:[244,840],euid:[21,901,917],evalu:21,even:[14,20,21,23,25,28,34,38,39,43,245,388,896,898,901,918,919,942,946],event:[39,48,918,919,931],eventu:[26,39],everi:[20,21,23,32,34,48,318,897],evid:43,evolut:918,exact:[22,905],exactli:[21,34,153,407,748,749,753,911,946],examin:[21,37,922,931],exampl:[3,5,6,9,14,15,16,20,21,22,23,24,26,28,32,34,35,37,38,39,41,43,56,100,103,288,290,897,898,901,904,905,918,919,923,934,938,939,942,946,953],exce:[896,898],except:[3,19,21,23,37,39,43,329,918,919,924,946],excess:904,exchang:[34,40,48,224,247,279,363,375,437,877,911,931],exclud:[6,17,32,918],exclus:[3,915,919,942,946],exec:[906,945,946],execprefix:906,execut:[3,6,22,34,46,380,905,906,945],exemplari:919,exhaust:32,exist:[0,2,3,5,6,14,15,20,21,22,23,26,28,32,34,35,43,46,48,137,147,155,329,330,359,363,364,375,407,414,897,902,910,918,924,942,944,946],exit:[3,10,11,897,918,939,943,948],exp:[3,20,21,26,37],expand:[21,915,918],expans:[906,918],expdat:3,expect:[14,21,34,41,267,301,342,343,730,908,922,927,939],expected_nonc:882,expens:[20,25,35],experi:[0,14,39,918],experienc:[0,933],experiment:918,expir:[2,3,6,15,19,20,21,23,26,33,37,43,46,48,224,243,260,832,884,897,898,901,910,918,939,942,943,946,953],expiri:[14,245,918],explain:34,explicit:[14,19,21,22,24,28,39,919],explicitli:[3,14,19,23,28,34,44,253,906,918,928,929,930,939],expos:[3,6,14,46,848,942,946],express:[3,21,898,919],extend:[20,21,37,48,420,889,924,953],extendedkeyusag:37,extens:[37,39,247,908,918,924],extent:919,extern:[20,22,43,910],extfil:37,extra:[19,39,40,766,905],extra_address:21,extract:[3,15,19,34,229,900,918],extrem:3,eytab:3,facil:[4,15,20,43,918],facilit:918,factor:[21,911],fail:[2,3,6,14,15,20,21,23,24,35,38,39,43,46,228,260,279,342,354,404,865,904,906,918,924,925,939,941,946],fail_count:6,failov:39,failur:[3,6,14,24,35,46,119,129,130,159,260,298,299,310,407,408,409,918,919,924,933,935],failurecountinterv:[3,35],failuretim:3,fake:[21,46],fall:[39,40,897,918],fallback:[3,20,21,38,40,46,918,925],fallback_realm:925,fals:[14,20,21,23,26,28,33,36,37,38,39,43,52,54,105,109,110,127,128,160,192,245,283,284,285,319,348,349,350,362,388,416,952],famili:[20,186,188,190,191,196,197,250,251,281,351,353,411,933],famou:34,far:37,fashion:[26,29,919,946],fast:[20,21,25,36,37,48,229,544,599,910,918,922,931],fast_avail:910,fast_ccache_nam:247,faster:[25,39,897,904],fatal:154,fdii:939,feasibl:34,featur:[24,29,368,371,916,919,936],feb:9,februari:896,fee:919,feedback:0,fellow:919,fenc:923,fences_wicker_initvt:923,fermi:919,fetch:[4,5,6,10,11,21,23,71,141,414,918],few:[906,938,953],fiat:919,fiction:923,fictiti:939,field:[3,6,20,21,35,36,37,39,44,46,48,153,256,310,330,331,343,352,356,357,359,360,412,749,753,889,910,911,914,915,918,922,923,931,935,939,951],file2:[901,915,953],file:[3,4,5,6,7,9,10,11,12,14,15,16,17,19,22,23,24,28,29,30,31,37,38,39,41,46,48,50,152,262,269,317,321,363,364,375,378,405,755,897,898,899,900,901,903,904,905,906,907,908,916,917,918,919,920,921,922,923,924,925,927,928,929,930,931,932,933,934,935,937,938,939,946,951,952,953],filenam:[2,3,5,6,7,8,15,20,21,28,34,36,37,41,43,387,897,901,918,953],filesystem:[20,23,34,37,915,917],fill:[46,48,50,56,119,121,134,150,152,224,230,231,303,306,311,327,347,357,358,390,391,394,396,397,914,915,923,934],filter:[20,21],find:[12,21,23,38,39,43,48,50,910,915,918,920,938,939,942,946],fine:[39,43],fini:[920,921,922,925,928,929,930,931,932,933],finish:48,fip:918,fire:39,firewal:[29,39,41],firm:919,first:[3,6,9,12,16,19,20,21,22,23,26,28,34,37,38,39,43,44,52,53,93,105,136,228,258,279,300,322,348,349,350,361,362,386,404,763,827,900,901,906,908,910,911,912,914,915,918,919,921,923,924,925,930,932,939,944,946,951,953],fit:[311,919],five:[3,21,34,898,901,929,944],fix:[6,915,918],flag:[2,3,5,6,11,14,19,20,21,22,23,25,26,28,33,35,39,40,43,46,48,55,62,69,74,78,151,153,192,269,279,325,326,327,331,343,352,354,356,359,360,363,364,404,728,729,730,731,735,736,737,738,740,747,748,825,826,827,832,833,840,879,894,897,906,918,922,931,939,941,942,943,945,946],flag_rsa_protocol:942,flagnam:19,flat:897,flavor:3,flexibl:[21,38],flip:14,flush:934,fmt:[346,379,417,418,419,420],fnal:919,folder:21,follow:[2,3,6,10,14,15,19,20,21,22,23,24,25,26,28,29,34,35,36,37,38,39,43,62,228,245,248,263,333,344,345,352,359,361,389,408,897,898,900,901,903,904,906,907,910,911,912,914,918,919,923,924,927,934,936,938,939,942,943,945,946,950,951,952,953],foo:[3,6,21,23],foobar:[39,906,952],fool:25,foot:923,for_us:948,forbid:3,forbidden:21,forc:[3,5,8,9,11,14,19,20,21,23,25,26,35,39,40,136],foreground:[4,8],forev:3,forget:[5,34,156],fork:[10,34,946],form:[0,3,15,20,21,24,25,28,29,34,39,43,152,317,325,326,331,373,389,642,876,897,902,911,918,919,942,951,953],format:[0,3,6,19,20,21,36,39,43,48,321,346,405,406,417,419,420,733,738,740,879,889,897,899,900,901,906,908,912,916,918,923,924,946,948,953],former:388,formul:21,forth:21,forward:[3,15,20,21,23,33,34,36,38,43,48,354,531,548,840,918,939,942,943,946,953],found:[7,10,12,20,21,23,34,39,59,60,151,153,154,195,301,315,359,906,915,918,938,939,946,947,953],foundat:919,four:[21,24,35,40,910,911,912,915,924,946],fqdn:29,fraction:25,frame:910,framework:[43,918,919],fred:28,free:[46,47,48,49,65,67,72,76,91,93,111,115,141,143,145,150,153,169,172,173,174,175,177,178,180,181,182,183,194,195,224,227,229,236,261,272,275,280,286,310,315,317,321,322,324,325,326,327,328,329,330,331,332,335,338,339,344,345,354,355,356,357,359,360,363,375,389,401,403,405,406,408,919,921,923,934],free_ind:921,free_list:925,free_modreq:931,free_restrict:928,free_str:[932,934],free_valu:934,freed:[44,57,58,61,78,85,106,136,144,146,198,199,200,201,202,204,207,208,210,211,212,215,216,217,218,219,221,222,228,262,312,334,365,366,368,371,865,866],freeli:919,frequent:[14,33,38,39,885,938],fresh:[0,15,17,20,43,598,913,918,942,946],fri:9,friend:939,friendli:918,friendlier:918,from:[0,2,3,4,5,6,7,8,9,10,11,17,19,20,21,22,23,24,25,28,29,32,34,35,37,38,39,41,43,44,46,48,49,93,99,100,101,102,103,113,119,121,129,148,166,169,180,181,183,195,241,245,250,258,269,287,288,289,290,294,298,322,327,330,342,346,352,356,357,358,359,360,375,376,378,380,382,383,414,420,440,832,845,846,897,900,901,904,905,906,910,911,915,916,918,919,920,921,922,924,926,927,929,934,936,938,939,942,944,946,948,951,953],from_mast:[8,917],front:[20,344],fsanit:906,ftp:[32,34],fubar:[21,953],fulfil:946,full:[4,8,9,14,20,23,39,48,331,657,906,918,927,938,946],fulli:[3,15,19,21,23,29,32,34,35,46,942,953],fullname_out:143,fulvio:42,func:[63,80],fund:919,fundsxpress:919,furnish:919,further:[10,34,901,952],furthermor:[14,245,919],futur:[21,23,26,37,43,156,228,889,918,925],g10:919,g_accept_sec_context:919,g_acquire_cr:919,g_canon_nam:919,g_compare_nam:919,g_context_tim:919,g_delete_sec_context:919,g_dsp_name:919,g_dsp_statu:919,g_dup_nam:919,g_exp_sec_context:919,g_export_nam:919,g_glue:919,g_imp_nam:919,g_imp_sec_context:919,g_init_sec_context:919,g_initi:919,g_inquire_context:919,g_inquire_cr:919,g_inquire_nam:919,g_process_context:919,g_rel_buff:919,g_rel_cr:919,g_rel_nam:919,g_rel_oid_set:919,g_seal:919,g_sign:919,g_store_cr:919,g_unseal:919,g_userok:919,g_util:919,g_verifi:919,gain:[14,25,34,928,930,939],gcc:906,gen_sym:946,gener:[2,9,12,14,15,17,19,20,21,23,25,26,32,35,41,43,48,113,125,126,260,283,294,327,330,342,440,523,524,525,526,824,841,856,897,901,903,904,905,906,908,910,918,919,922,926,931,936,939,946,951],generalizedtim:911,generalstr:37,generic_trusted_ca:[20,21],gennadi:946,genrsa:37,german:918,get:[3,12,14,16,19,20,21,32,33,35,38,39,48,59,60,163,236,254,258,275,906,918,922,925,931,938,939,942,946,953],get_cooki:[918,931],get_cr:46,get_princip:23,get_tgt_via_passwd:946,get_valu:934,getaddrinfo:38,getdat:[3,5,6,19],gethostnam:[38,43],getnameinfo:38,getopt:903,getpol:3,getprinc:[3,6,14,26,35,918],getpwuid:3,getrandom:918,getstr:3,getusershel:946,gic_opt:922,give:[6,14,23,28,38,904,910,911,919,932,938,939],given:[2,3,5,6,8,10,14,20,21,23,28,36,38,39,41,43,46,48,49,59,60,124,135,317,329,389,866,906,910,915,918,919,943],gladman:919,glob:[3,6],global:[5,19,20,21,22,141,155,918],glorifi:923,glossolalia:14,glue:903,gmbh:919,gmt:898,gnu:[904,906,918,919],goal:46,going:[20,24,939],good:[12,15,23,34,919,938,939,953],googl:919,gotten:939,gov:[21,919],govern:[23,919,944],gpg:905,gpl:919,grace:942,gracefulli:924,grain:43,grammar:[910,914],grant:[3,14,19,20,21,23,26,28,34,35,37,39,43,46,48,224,235,260,264,267,760,897,910,918,919,928,932,937,939,942,946,952],gratitud:919,great:[19,153,267,752],greater:53,greg:953,groff:0,group:[20,21,40,911,919],grow:901,gs2:918,gss:[28,903,910,917,918,924,953],gss_:924,gss_accept_sec_context:[43,918,924],gss_acquire_cr:[43,918],gss_acquire_cred_from:[43,918],gss_acquire_cred_impersonate_nam:43,gss_acquire_cred_with_password:918,gss_add_cr:924,gss_add_cred_from:924,gss_add_cred_impersonate_nam:924,gss_add_cred_with_password:924,gss_add_oid_set_memb:924,gss_buffer_desc:43,gss_buffer_set_t:43,gss_buffer_t:[43,924],gss_c_accept:43,gss_c_both:43,gss_c_buffer_flag_alloc:43,gss_c_buffer_type_data:43,gss_c_buffer_type_head:43,gss_c_buffer_type_mic_token:43,gss_c_buffer_type_pad:43,gss_c_buffer_type_sign_onli:43,gss_c_buffer_type_stream:43,gss_c_buffer_type_trail:43,gss_c_channel_bound_flag:918,gss_c_dce_styl:43,gss_c_deleg_policy_flag:918,gss_c_inq_negoex_kei:924,gss_c_inq_negoex_verify_kei:924,gss_c_ma_negoex_and_spnego:924,gss_c_no_credenti:43,gss_c_no_nam:43,gss_c_nt_anonym:43,gss_c_nt_export_nam:[43,924],gss_c_nt_hostbased_servic:43,gss_c_nt_machine_uid_nam:43,gss_c_nt_string_uid_nam:43,gss_c_nt_user_nam:43,gss_c_null_oid:43,gss_c_qop_default:43,gss_c_sec_context_sasl_ssf:918,gss_const_key_value_set_t:43,gss_create_empty_oid_set:924,gss_cred_id_t:[43,924],gss_cred_usage_t:43,gss_ctx_id_t:[43,924],gss_display_statu:924,gss_error:43,gss_export_cr:43,gss_export_nam:43,gss_get_mic_iov:43,gss_get_mic_iov_length:43,gss_get_name_attribut:43,gss_import_cr:[43,924],gss_import_nam:[43,924],gss_import_sec_context:924,gss_init_sec_context:43,gss_inquire_attrs_for_mech:924,gss_inquire_cr:43,gss_inquire_cred_by_oid:[43,918],gss_inquire_nam:43,gss_inquire_sec_context_by_oid:[918,924],gss_iov:918,gss_iov_buffer_desc:43,gss_iov_buffer_desc_struct:43,gss_iov_buffer_flag_alloc:43,gss_iov_buffer_t:43,gss_iov_buffer_type_data:43,gss_iov_buffer_type_head:43,gss_iov_buffer_type_mic_token:43,gss_iov_buffer_type_pad:43,gss_iov_buffer_type_sign_onli:43,gss_iov_buffer_type_stream:43,gss_iov_buffer_type_trail:43,gss_key_value_element_desc:43,gss_key_value_element_struct:43,gss_key_value_set_desc:43,gss_key_value_set_struct:43,gss_krb5_cred_no_ci_flags_x:918,gss_krb5_get_cred_imperson:[43,918],gss_krb5_nt_enterprise_nam:[43,918],gss_krb5_nt_principal_nam:43,gss_krb5_nt_x509_cert:[43,918],gss_mech_config:[28,917,953],gss_mech_interpos:924,gss_name_t:[43,924],gss_oid:[43,924],gss_oid_set:[43,924],gss_qop_t:43,gss_release_iov_buff:43,gss_s_cred_unavail:43,gss_s_duplicate_el:43,gss_s_unavail:43,gss_store_cr:918,gss_store_cred_into:43,gss_unwrap_aead:43,gss_unwrap_iov:43,gss_verify_mic_iov:43,gss_wrap_aead:43,gss_wrap_iov:43,gss_wrap_iov_length:43,gss_wrapex:918,gssapi:[15,16,20,21,45,896,897,900,901,903,918,919,920,926,945,953],gssapi_err_gener:919,gssapi_ext:[43,924],gssapi_krb5:43,gssapiauthent:28,gssapip_spnego:919,gssapistrictacceptorcheck:38,gssapiv2:43,gssd_pname_to_uid:919,gssi_:924,gssi_import_cred_by_mech:924,gssi_import_name_by_mech:924,gssi_import_sec_context_by_mech:924,gssrpc:919,gssspi_exchange_meta_data:924,gssspi_query_mechanism_info:924,gssspi_query_meta_data:924,guarante:14,guard:901,guess:[21,34,918],guest:[3,21],guid:[15,30,32,926],h5l:[21,44],had:[6,28,34,37,938,939,952],haddl:85,hand:[14,34],handi:34,handl:[3,6,14,19,36,43,48,71,132,135,137,139,141,142,143,144,145,146,147,149,150,151,152,153,154,155,157,158,159,161,164,223,224,235,246,250,251,265,276,300,302,303,305,308,310,311,312,313,314,316,318,335,336,342,343,359,403,414,918,919,922,924,927,931],handle_error:43,handle_out_of_space_error:43,happen:[3,17,20,34,39,41,939],happi:919,hard:[20,23],hardcod:[897,900,934],harder:918,hardwar:[3,20,34,46,921,931,939,943],harm:901,harvard:919,harwood:953,has:[0,3,5,6,12,14,15,17,19,20,21,23,24,25,26,27,28,34,35,37,38,39,43,46,78,124,260,263,279,356,360,388,404,739,897,901,904,905,906,910,914,915,918,919,924,928,929,930,933,938,939,943,946,951],hash:[6,21,37,901,911,915,918],hat:[692,693,919,953],have:[0,2,3,6,8,12,14,15,17,19,20,21,23,24,25,26,28,32,33,34,35,37,38,39,43,46,101,153,230,274,402,897,901,904,905,908,910,911,914,915,918,919,920,922,923,924,927,928,929,931,933,935,938,939,942,946,950,952,953],have_getusershel:946,haven:[906,953],hdata:230,head:21,header:[6,21,43,48,535,538,809,906,920,921,922,923,925,927,928,929,930,931,932,933,934,935],headernam:906,heim_org:21,heimdal:[42,43,45,897,918],held:[919,943],hellman:[20,21,942],help:[21,23,37,901,906,918,934,936,939,945,953],helpdesk:14,henc:12,her:[39,939,952],here:[0,15,19,20,21,23,28,35,41,43,46,898,906,923,938,939],hereaft:919,herebi:919,hesiod:[21,906,919],heurist:[21,154,230,920,946,951],hexadecim:[6,918],hhmmss:898,hhost:918,hidden:[46,352,870],hide:[3,942],hierarch:[4,21,918],hierarchi:23,high:[14,16,24],higher:[43,897,908,918],highest:[3,6,14,21,310,315,414],highli:[905,918],himself:939,hin:905,hint:[3,20,149],his:[19,23,939,946,952],hist_kvno:6,histor:[28,33,896],histori:[6,26,906,918],hit:[48,946],hmac:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],hold:[3,43,78,170,187,192,193,397,398,897],holder:919,hole:[32,34,39,914],home:[5,21,28,938,946,950,951,952],honor:[41,939],hook:[48,865,866,918,926],hope:919,hopefulli:35,host01:953,host:[3,4,7,8,12,14,15,16,20,21,23,24,25,26,29,30,31,33,36,37,38,39,43,46,48,194,223,230,329,331,388,389,414,643,645,901,904,906,918,926,931,938,939,942,943,946,950,951,952,953],host_based_servic:[20,39],host_realm:925,hostaccount:28,hostnam:[3,12,15,20,21,23,26,33,34,37,38,41,43,48,329,388,389,906,918,925,948,951,953],hostrealm:[28,918,926],hostrealm_plugin:925,hotp:3,hour:[5,19,20,23,33,898,938,939,946,953],houston:39,how:[14,20,21,23,26,28,32,34,37,39,43,224,416,905,906,916,920,926,933,934,938,942],howev:[3,6,14,17,20,21,23,25,32,33,35,37,39,904,919,939,953],html:[0,22,42,905,908,918],html_subst:908,htmlsrc:908,http:[21,22,25,30,38,39,42,904,905,908,918,919,936],http_anchor:[21,29],hudson:953,human:[169,898,918],hundr:24,hwauth:20,hxx:919,iakerb:918,icr:43,idea:38,ideal:[15,23,34,46,904],ident:[3,15,20,22,43,48,361,740,880,881,897,918,922,938,939,942,944],identif:[918,919],identifi:[4,10,21,28,43,166,265,315,317,733,826,832,847,918,919,924,948],idp:692,iec:905,ietf:918,ignor:[3,19,20,21,26,28,43,48,235,260,264,267,269,278,282,342,345,350,359,388,534,708,711,865,901,904,906,910,918,923,951,953],ignore_acceptor_hostnam:[21,38,43],illinoi:42,illumin:953,imap:[38,906,951],immedi:[6,14,21,23,39,918,931],impact:35,impend:46,imperson:918,impl:906,implement:[0,14,20,21,23,24,28,29,36,38,40,43,44,46,51,113,119,151,294,382,383,897,904,906,910,912,914,918,919,920,921,922,923,924,925,927,928,929,931,932,933,934,935,936,939,946,953],impli:[8,919],implicit:20,impos:928,imposs:[23,35],improv:[0,14,20,21,35,918,936],in_authdat:173,in_cr:[224,225,226,321,330,375],in_data:[329,330,375],in_length:[131,413],in_tkt_servic:[235,260,264,267],inaccess:39,inaccur:21,inaddr:172,inadequ:41,inauthdat1:322,inauthdat2:322,inbuf:[356,357,358,359,360],inc:[919,939,953],incc:134,incident:919,includ:[6,9,15,16,19,20,21,23,24,26,32,33,34,37,38,39,43,48,99,104,144,287,311,325,326,330,331,343,344,359,407,685,813,826,833,846,860,896,897,901,903,906,907,908,910,911,914,918,919,922,923,924,928,930,931,934,938,942,946,953],include_pac:860,includedir:[21,906],inclus:919,incom:[20,38,924],incompat:[904,906,927],incomplet:21,inconsist:24,incorpor:[0,20,24,918],incorrect:[35,39,735,736,938,939],incorrectli:939,incr:177,increas:[20,24,40,100,103,288,290,926],increment:[4,8,9,14,19,20,24,31,35,39,48,87,89,325,326,331,915,918,919],indata:178,inde:939,independ:[21,26,138,163,245,307,906],index:[6,22,29,42,369,905,915],indic:[3,6,14,19,20,21,23,26,28,30,36,37,39,41,43,46,154,245,327,728,729,730,731,735,736,737,738,837,897,898,900,901,910,911,912,914,915,918,919,921,922,923,931,939,942,953],indirect:919,individu:[9,20,919,939,953],inetd:[8,12,34,41],infd:62,infer:[91,93,344],influenc:38,info2:918,info:[20,34,229,652,654,663,672,826,832,888,918],inform:[3,4,6,7,9,11,20,22,23,26,28,33,34,38,39,41,43,46,48,169,185,229,250,251,282,325,327,333,342,364,386,387,416,651,653,655,656,658,740,824,825,863,870,875,889,897,905,906,909,910,911,914,918,922,923,926,927,931,934,936,942,953],infrastructur:[21,40,903,904,918],infrequ:918,inherit:[938,946],ini:21,init:[4,10,920,921,922,925,928,929,930,931,932,933],init_cr:46,initi:[3,5,12,14,15,21,22,23,25,26,34,35,38,40,45,48,99,102,115,124,229,269,287,289,336,401,506,877,884,897,900,906,910,918,919,922,923,938,939,942,943,945,946,948,953],initiator_cred_handl:43,inittab:34,initvt:923,inject:25,inop:14,inout:[98,99,100,102,103,114,287,288,289,290,295,329,330,359,361,363,364,375,407],inprinc:182,inptr:[186,190],input:[23,43,48,49,99,100,102,103,107,113,117,119,124,144,194,195,224,287,288,289,290,294,296,352,375,376,403,920,932,935,948],input_assoc_buff:43,input_ccach:942,input_cred_handl:43,input_message_buff:43,input_name_buff:924,input_name_typ:924,input_payload_buff:43,inputlen:104,inquir:[3,19],inquiri:19,ins:32,insecur:[14,32,39,43,230],insensit:[39,350,706,898],insert:[25,825,832],insid:[15,26,195,911,918],insist:946,inspect:[16,380,381,865,866,921,928,930],inspir:918,inst:50,instal:[12,14,15,17,21,28,30,32,39,902,905,908,927,941,945],instanc:[19,21,23,28,33,35,43,49,50,643,644,901,910,918,923,953],instead:[3,4,6,8,14,20,21,23,24,34,37,38,46,239,246,278,309,340,341,342,344,417,419,866,906,918,919,924,931,941,943,946,952],institut:[909,919,953],instruct:[22,23,34,37,43,906,936],insuffici:[223,231,302,323,325,906],int16_t:843,int32_t:844,int_max:787,integ:[3,20,21,23,36,37,896,910,911,914,924],integr:[26,33,43,46,326,331,356,360,903,905,917,918,919,939],intel:919,intend:[3,10,23,41,43,46,352,946],interact:[2,3,21,23,39,368,906],intercept:[28,924],interest:[21,35,901,907],interfac:[3,11,14,19,20,23,28,34,46,897,901,903,906,918,923,926],interface_modname_initvt:923,interface_module_initvt:923,interface_plugin:923,interfer:904,intermedi:[20,21,23,43,224,910,911,918,939],intern:[24,36,41,107,731,847,920,921,922,926,928,929,930,931,933,935,953],internet:38,interoper:[37,382,383,897,924],interpos:[28,926],interpret:[3,36,43,46,152,245,924,942,946,948],interprocess_token:924,interrupt:[14,260,919],intersect:26,interv:[3,8,23,34,35,896,898],interven:23,intervent:[14,26],introduc:[3,20,21,921,925,929,930,932],intrud:939,invalid:[14,21,23,50,136,139,156,260,301,315,336,939,942,943],invers:914,investig:906,invis:25,invoc:[6,41,43],invok:[4,8,9,11,12,21,23,24,46,80,136,245,386,924,931,932,933,942,944,946],involv:[21,931],iov:[48,100,103,288,290,827,918],iov_count:43,iprop:[4,8,20,918,919],iprop_en:[4,8,20,23],iprop_hdr:919,iprop_listen:20,iprop_logfil:[20,23],iprop_master_ulogs:[20,23],iprop_port:[20,23],iprop_replica_pol:[8,20,23],iprop_resync_timeout:[20,23],iprop_slave_pol:20,iprop_ulogs:20,ipropd_svc:919,ipv4:38,ipv6:[21,38,918],iran:919,is_last_req:[245,838],is_skei:[153,749,826,910],isi:946,isn:[20,23,333,901,904,919],iso:905,isol:39,issu:[2,3,14,20,21,23,26,29,32,35,36,37,39,43,46,320,412,884,906,918,922,931,939,942],issuanc:3,issue_pac:918,issuer:[21,37,320,412],issueraltnam:37,item:[253,731,923,931],iter:[3,20,23,24,48,164,359,817,920,934],iterator_cr:934,iterator_fre:934,its:[3,4,8,10,14,15,17,20,21,23,24,26,28,29,32,33,34,35,37,38,39,40,41,43,46,48,87,89,92,107,117,203,209,228,269,296,301,356,359,360,381,412,898,909,910,918,919,920,921,922,923,924,931,935,941,942,943,951],itself:[3,4,8,10,14,15,20,21,28,43,46,198,199,200,201,202,203,206,207,208,209,212,215,216,221,334,736,826,897,900,902,924,931,939],ivec:[186,190],jan:23,januari:[896,898],jellinghau:919,jennif:[3,938,939,953],jeremi:919,jimi:12,job:[8,17,34,39],joeadmin:[19,23,32,952],joeuser:953,johndo:21,jqpublic:946,json:[3,36,46,368,371,738,740,910],jul:898,juli:898,just:[6,14,15,20,21,33,34,43,326,641,897,904,907,922,939,946,952],k5_gic_opt:[235,260],k5_random_kei:[115,124],k5_vic_opt:[415,416],k5ident:[21,28,937,950],k5login:[21,28,937,938,946,950],k5login_authorit:[21,28,952],k5login_directori:[21,28],k5srvutil:[1,14,26,900],k5user:946,k5wiki:[904,918,936],kadm5:[3,4,6,18,20,21,23,24,34,903,917,918,919,926,928],kadm5_auth:[19,918,926],kadm5_auth_modinfo:928,kadm5_auth_plugin:928,kadm5_auth_restrict:928,kadm5_hook:[918,926],kadm5_hook_modinfo:929,kadm5_hook_plugin:929,kadm5_pass_q_:935,kadm:945,kadmin:[1,2,4,5,6,8,10,11,12,14,15,16,19,20,21,22,23,24,25,26,32,34,35,37,39,40,166,245,300,301,382,897,898,900,903,918,919,926,929,944,945,953],kadmind:[1,3,5,9,19,20,21,22,23,24,26,28,34,39,902,918,926,944,953],kadmind_listen:20,kadmind_port:[4,20,34],kaduk:14,kbd5_util:23,kbuild:903,kcm:[21,321,405,897,918,919,953],kcm_mach_servic:21,kcm_socket:21,kdb5_err:919,kdb5_ldap_util:[1,3,4,10,20,22,23,24],kdb5_util:[1,4,7,8,10,11,14,20,22,23,24,26,34,898,903,917,918,953],kdb5_util_path:4,kdb5_util_prog:8,kdb:[4,22,23,24,35,903,918,919,926,930,942,945],kdb_convert:919,kdb_log:919,kdc1:39,kdc2:39,kdc:[3,4,5,6,8,9,10,11,15,16,17,18,19,21,22,23,24,25,26,29,31,32,33,36,40,43,46,48,101,107,119,166,224,230,235,241,245,247,258,260,269,300,301,333,342,343,414,544,546,563,657,659,738,832,845,846,865,866,884,897,900,902,903,906,907,910,912,913,918,921,922,925,926,927,933,935,939,942,948,953],kdc_cert:37,kdc_default_opt:21,kdc_err_more_preauth_data_requir:918,kdc_listen:[20,34],kdc_max_dgram_reply_s:20,kdc_opt_allow_postd:789,kdc_opt_canonic:789,kdc_opt_cname_in_addl_tkt:789,kdc_opt_disable_transited_check:789,kdc_opt_enc_tkt_in_skei:789,kdc_opt_forward:789,kdc_opt_postd:789,kdc_opt_proxi:789,kdc_opt_renew:789,kdc_opt_renewable_ok:[21,789],kdc_opt_request_anonym:789,kdc_opt_valid:789,kdc_option:846,kdc_port:20,kdc_princ_nam:37,kdc_princip:37,kdc_principal_seq:37,kdc_tcp_listen:[20,34,37],kdc_tcp_listen_backlog:20,kdc_tcp_port:20,kdc_timesync:21,kdc_tkt_common_mask:789,kdcdefault:[10,34,37,40],kdcissu:48,kdckei:37,kdclist:34,kdcpolici:[918,926],kdcpolicy_plugin:930,kdcpreauth:[918,926],kdcpreauth_mymech_initvt:923,kdcpreauth_plugin:931,kdcproxi:29,kdestroi:[33,897,918,937,940,942,943,947,948,953],keep:[3,9,15,23,35,901,904,905,938],keepkvno:3,keepold:[3,14,23,918],kei:[2,3,5,6,9,10,11,12,15,16,19,20,21,25,28,32,34,36,37,38,40,41,43,46,48,73,77,87,89,100,103,105,106,108,113,114,117,119,129,130,141,153,155,181,216,224,229,234,258,276,277,280,292,293,300,301,307,308,313,320,325,330,342,343,351,354,359,363,364,412,414,439,440,671,740,750,756,813,825,826,832,833,834,847,848,850,900,901,902,903,906,907,910,911,912,917,918,922,924,931,939,942,943,948,953],kept:[3,17,20,23,32],kerb_ap_options_cbt:918,kerber:[14,33,34,946],kerbero:[2,3,4,5,6,7,8,9,10,11,12,14,18,19,20,21,24,25,26,27,28,30,31,32,33,36,37,38,42,43,45,46,47,48,56,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,117,118,121,124,125,126,129,130,133,134,135,141,142,145,147,148,149,150,151,152,153,155,156,157,158,159,161,162,163,164,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,235,236,238,248,260,261,262,264,265,266,267,268,271,272,273,274,275,276,277,278,279,280,282,287,288,289,290,294,295,296,298,299,300,301,302,303,305,306,308,310,311,314,315,316,317,318,321,322,323,324,325,326,327,328,329,330,331,332,333,335,337,338,339,342,344,345,347,352,354,355,356,357,358,359,360,361,363,364,374,375,376,377,378,382,383,384,385,389,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,897,898,901,902,903,904,906,907,909,910,926,929,932,934,936,937,938,941,942,943,944,945,946,947,948,949,950,951,952],kerberos_db:8,kerboro:18,kern:20,kernel:[897,903,918],key_data:[286,293],key_exp:832,key_stash_fil:[6,20,34],keyagr:37,keyblock:[48,70,75,90,101,107,115,117,215,216,224,280,281,331,353,359,393,826,910],keyboard:[4,6,10,48],keybyt:112,keydata:6,keyencipher:[21,37],keyexchang:107,keyfil:[6,20,22],keyfilenam:21,keyid:37,keyindex:6,keyinfo:[6,26],keylength:112,keylist:[11,15],keyprocarg:315,keyr:[897,906,918,953],keysalt:[2,3,917],keyspac:14,keytab:[2,3,7,8,11,12,14,17,21,23,26,28,31,41,43,46,48,304,310,311,312,314,317,318,359,363,364,416,897,899,901,902,906,907,910,913,917,918,942,943,945,946,948,953],keytab_fil:[8,942],keytab_nam:943,keytab_out:303,keytabl:850,keytabnam:906,keytyp:10,keyusag:37,keyutil:906,keyword:[21,898],kfw:918,kgetcr:918,kile:684,kill:34,kind:[38,43,105,897,919,922,924,931],kinit:[3,12,15,16,21,22,28,29,33,34,35,37,41,46,897,898,918,922,937,940,941,943,946,947,948,949,953],kiprop:[4,8,23],kkdcp:[29,39,918,919],klau:919,kldap:[20,22],klein:919,klist:[14,15,33,897,900,937,940,941,942,946,947,953],klmdb:20,know:[21,33,35,37,901,906,924,939],knowledg:[0,14,17,414,922,931],known:[6,20,23,26,38,43,46,48,152,231,317,647,648,907,918,951],korea:919,kpasswd:[3,4,14,15,20,21,23,29,33,918,937,938,940,953],kpasswd_listen:20,kpasswd_port:20,kpasswd_serv:[21,29,39],kpclientauth:20,kpkdc:21,kprop:[1,4,6,8,15,23,24,34,35,903,917,918,919,953],kprop_path:4,kprop_port:[4,917,953],kpropd:[1,4,7,9,23,34,41,903,917,918],kpropd_rpc:919,kproplog:[1,8,919],kpserverauth:[21,37],krb4:918,krb524:21,krb524_convert_creds_kdc:789,krb524_init_et:789,krb524_krb4_disabl:51,krb5:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,22,23,24,25,26,27,28,29,30,31,32,33,35,36,37,38,39,40,41,42,43,44,45,46,47,49,50,51,52,53,54,55,56,57,58,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,206,207,208,209,210,211,212,213,214,215,216,217,218,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,270,271,272,273,274,275,276,277,278,279,280,281,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,790,791,792,793,794,795,796,797,798,799,800,801,802,803,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,946,947,948,949,950,951,952,953],krb5_425_conv_princip:48,krb5_524_conv_princip:48,krb5_524_convert_cr:[48,790],krb5_address:[52,53,54,64,82,84,172,198,232,233,234,240,332,804,824,825,826,832,833,840,846],krb5_address_compar:48,krb5_address_ord:48,krb5_address_search:48,krb5_addrtyp:[804,805],krb5_allow_weak_crypto:48,krb5_altauth_att_challenge_respons:789,krb5_aname_to_localnam:[48,918,932],krb5_anonymous_princip:48,krb5_anonymous_princstr:[57,789],krb5_anonymous_realm:48,krb5_anonymous_realmstr:[58,789],krb5_ap_rep:[789,804],krb5_ap_rep_enc_part:[48,357,375,804],krb5_ap_req:[789,804],krb5_appdefault_boolean:[48,60],krb5_appdefault_str:[48,59],krb5_as_rep:[789,845],krb5_as_req:[789,846],krb5_auth_con_fre:[48,78],krb5_auth_con_genaddr:[48,82,84],krb5_auth_con_get_checksum_func:48,krb5_auth_con_getaddr:[44,48],krb5_auth_con_getauthent:48,krb5_auth_con_getflag:48,krb5_auth_con_getkei:48,krb5_auth_con_getkey_k:48,krb5_auth_con_getlocalseqnumb:48,krb5_auth_con_getlocalsubkei:48,krb5_auth_con_getrcach:48,krb5_auth_con_getrecvsubkei:[48,75],krb5_auth_con_getrecvsubkey_k:48,krb5_auth_con_getremoteseqnumb:48,krb5_auth_con_getremotesubkei:48,krb5_auth_con_getsendsubkei:[48,70],krb5_auth_con_getsendsubkey_k:48,krb5_auth_con_init:[48,61],krb5_auth_con_initivector:48,krb5_auth_con_set_checksum_func:48,krb5_auth_con_set_req_cksumtyp:48,krb5_auth_con_setaddr:[44,48],krb5_auth_con_setflag:[48,78],krb5_auth_con_setport:[44,48],krb5_auth_con_setrcach:48,krb5_auth_con_setrecvsubkei:[44,48],krb5_auth_con_setrecvsubkey_k:48,krb5_auth_con_setsendsubkei:[44,48],krb5_auth_con_setsendsubkey_k:48,krb5_auth_con_setuseruserkei:[48,359],krb5_auth_context:[48,62,63,64,65,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,84,85,86,87,88,89,90,223,323,325,326,327,328,329,330,331,354,356,357,358,359,360,363,364,375,804,856],krb5_auth_context_do_sequ:[66,69,74,83,325,326,327,331,356,360,789],krb5_auth_context_do_tim:[66,78,83,325,326,331,356,360,789],krb5_auth_context_generate_local_addr:[62,789],krb5_auth_context_generate_local_full_addr:[62,789],krb5_auth_context_generate_remote_addr:[62,789],krb5_auth_context_generate_remote_full_addr:[62,789],krb5_auth_context_permit_al:789,krb5_auth_context_ret_sequ:[66,83,325,326,327,331,354,356,360,789],krb5_auth_context_ret_tim:[66,83,325,326,331,354,356,360,789],krb5_auth_context_use_subkei:789,krb5_authdata:[173,184,189,195,200,320,322,412,804,813,826,833,846],krb5_authdata_and_or:789,krb5_authdata_ap_opt:789,krb5_authdata_auth_ind:789,krb5_authdata_cammac:789,krb5_authdata_etype_negoti:789,krb5_authdata_fx_armor:789,krb5_authdata_if_relev:789,krb5_authdata_initial_verified_ca:789,krb5_authdata_kdc_issu:789,krb5_authdata_mandatory_for_kdc:789,krb5_authdata_osf_dc:789,krb5_authdata_sesam:789,krb5_authdata_signticket:789,krb5_authdata_win2k_pac:789,krb5_authdatatyp:[184,189,195,804,811],krb5_authent:[48,65,804,886],krb5_bad_enctyp:[116,286],krb5_boolean:[52,54,55,105,109,110,127,128,129,130,160,192,253,283,284,285,298,299,300,319,341,343,348,349,350,362,388,804,826,838,860],krb5_build_princip:[46,47,48,92],krb5_build_principal_alloc_va:[47,48,91,94],krb5_build_principal_ext:[47,48],krb5_build_principal_va:48,krb5_c_:[186,188,190,191,196,197,281,351,353,411],krb5_c_block_siz:48,krb5_c_checksum_length:[48,168],krb5_c_crypto_length:48,krb5_c_crypto_length_iov:48,krb5_c_decrypt:[48,287],krb5_c_decrypt_iov:[48,103,288],krb5_c_derive_prfplu:[48,918],krb5_c_encrypt:48,krb5_c_encrypt_iov:[48,290],krb5_c_encrypt_length:[48,102,289],krb5_c_enctype_compar:48,krb5_c_free_stat:48,krb5_c_fx_cf2_simpl:48,krb5_c_init_st:48,krb5_c_is_coll_proof_cksum:48,krb5_c_is_keyed_cksum:48,krb5_c_keyed_checksum_typ:48,krb5_c_keylength:[48,124],krb5_c_make_checksum:[48,131,294],krb5_c_make_checksum_iov:[48,130,295],krb5_c_make_random_kei:48,krb5_c_padding_length:48,krb5_c_prf:[48,119,296],krb5_c_prf_length:[48,117],krb5_c_prfplu:[48,918],krb5_c_random_add_entropi:48,krb5_c_random_make_octet:48,krb5_c_random_os_entropi:48,krb5_c_random_se:48,krb5_c_random_to_kei:48,krb5_c_string_to_kei:[48,126,393],krb5_c_string_to_key_with_param:48,krb5_c_valid_cksumtyp:48,krb5_c_valid_enctyp:48,krb5_c_verify_checksum:[48,113,294,298,413],krb5_c_verify_checksum_iov:[48,114,299],krb5_calculate_checksum:48,krb5_cc_badnam:223,krb5_cc_cache_match:48,krb5_cc_close:[48,132,154,164],krb5_cc_copy_cr:48,krb5_cc_cursor:[139,150,158,804],krb5_cc_default:48,krb5_cc_default_nam:[48,135,156],krb5_cc_destroi:48,krb5_cc_dup:48,krb5_cc_end_seq_get:[48,158],krb5_cc_gen_new:48,krb5_cc_get_config:48,krb5_cc_get_flag:48,krb5_cc_get_full_nam:48,krb5_cc_get_nam:48,krb5_cc_get_princip:[47,48],krb5_cc_get_typ:48,krb5_cc_initi:[48,145],krb5_cc_move:48,krb5_cc_new_uniqu:48,krb5_cc_next_cr:[48,139,158],krb5_cc_nosupp:151,krb5_cc_notfound:[132,154,165],krb5_cc_remove_cr:[48,918],krb5_cc_resolv:[48,144],krb5_cc_retrieve_cr:[48,151],krb5_cc_select:48,krb5_cc_set_config:[44,48,283],krb5_cc_set_default_nam:[48,136],krb5_cc_set_flag:48,krb5_cc_start_seq_get:[48,139,150],krb5_cc_store_cr:48,krb5_cc_support_switch:48,krb5_cc_switch:48,krb5_ccach:[132,133,134,135,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,157,158,159,161,164,223,224,225,226,232,233,234,246,250,251,264,267,329,375,383,403,414,804],krb5_ccache_conf_data:910,krb5_cccol:920,krb5_cccol_cursor:[162,163,164,804],krb5_cccol_cursor_fre:[48,163,164],krb5_cccol_cursor_new:[48,162,164],krb5_cccol_cursor_next:[48,162,163],krb5_cccol_have_cont:48,krb5_cccol_last_change_tim:44,krb5_ccselect_moddata:920,krb5_ccselect_vt:923,krb5_certauth_hwauth:921,krb5_certauth_hwauth_pass:921,krb5_change_password:[48,169],krb5_check_clockskew:48,krb5_checksum:[48,113,129,131,294,298,413,804,813,861],krb5_checksum_s:48,krb5_chpw_fail:260,krb5_chpw_messag:48,krb5_chpw_pwdnull:260,krb5_cksumtyp:[81,96,109,110,111,113,114,127,130,131,168,170,204,294,295,299,390,413,804,818],krb5_cksumtype_to_str:48,krb5_clear_error_messag:48,krb5_client_ktnam:[15,900,917,953],krb5_clpreauth_moddata:922,krb5_clpreauth_modreq:922,krb5_config:[21,34,917,918,953],krb5_config_cantopen:50,krb5_config_notenufspac:[56,306],krb5_const:789,krb5_const_point:[131,186,190,413,804],krb5_const_princip:[50,56,57,141,155,182,283,300,301,310,320,340,341,342,343,347,348,349,350,359,362,388,406,407,408,409,804],krb5_context:[46,48,49,50,51,52,53,54,55,56,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,171,172,173,174,175,177,178,179,180,181,182,183,184,186,188,189,190,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,245,246,247,248,250,251,252,253,257,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,375,376,377,379,380,381,382,383,384,386,387,388,389,393,396,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,417,418,419,420,804,838,856,865,866,872,877,888,918,923],krb5_copy_address:48,krb5_copy_authdata:48,krb5_copy_authent:48,krb5_copy_checksum:48,krb5_copy_context:48,krb5_copy_cr:48,krb5_copy_data:[48,865,866],krb5_copy_error_messag:48,krb5_copy_keyblock:48,krb5_copy_keyblock_cont:48,krb5_copy_princip:[47,48],krb5_copy_ticket:48,krb5_cred:[46,48,51,150,151,153,159,166,220,224,225,226,232,233,234,235,260,264,267,272,323,325,330,354,375,382,401,403,414,789,804],krb5_cred_enc_part:[804,823],krb5_cred_info:[804,824],krb5_crypto_iov:[98,100,103,114,130,288,290,295,299,804],krb5_crypto_typ:[97,827],krb5_crypto_type_checksum:[114,130,295,299,789],krb5_crypto_type_data:[114,130,295,299,789],krb5_crypto_type_empti:789,krb5_crypto_type_head:789,krb5_crypto_type_pad:789,krb5_crypto_type_sign_onli:[98,114,130,295,299,789],krb5_crypto_type_stream:789,krb5_crypto_type_trail:789,krb5_cryptotyp:[97,804,827],krb5_cybersafe_secureid:789,krb5_data:[48,58,59,60,99,100,101,102,103,106,108,113,117,119,120,121,123,124,125,126,129,141,155,166,169,185,223,229,230,258,265,279,284,287,288,289,290,294,296,298,321,323,324,325,326,327,328,329,330,331,333,335,340,341,347,354,355,356,357,358,359,360,364,375,382,383,393,404,405,804,821,826,827,831,836,840,856,861,865,866,868,869,870,882,890,895],krb5_db_entri:921,krb5_decode_authdata_contain:[48,189],krb5_decode_ticket:48,krb5_decrypt:48,krb5_deltat:[187,235,256,259,260,275,391,804,840],krb5_deltat_badformat:391,krb5_deltat_to_str:48,krb5_domain_x500_compress:789,krb5_eblock_enctyp:48,krb5_enc_data:[99,102,287,289,804,807,809,823,845,846,883],krb5_enc_kdc_rep_part:[804,845],krb5_enc_tkt_part:[300,301,804,883],krb5_encode_authdata_contain:[48,184],krb5_encpadata_req_enc_pa_rep:789,krb5_encrypt:48,krb5_encrypt_block:[186,188,190,196,197,281,351,353,393,411,804],krb5_encrypt_s:48,krb5_enctyp:[95,97,98,101,104,105,111,112,115,116,118,124,125,126,128,188,191,192,193,211,229,232,233,234,244,261,280,292,310,315,378,392,411,804,831,834,840,846,848],krb5_enctype_to_nam:48,krb5_enctype_to_str:48,krb5_end_seq_get:150,krb5_error:[212,273,324,355,375,789,804],krb5_error_cod:[46,49,50,55,56,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,129,130,131,132,133,134,135,137,138,139,140,141,142,143,145,147,148,149,150,151,152,153,154,155,156,157,158,159,161,162,163,164,165,166,167,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,186,187,189,190,192,193,194,195,196,197,214,217,223,224,225,226,227,228,229,230,231,232,233,234,235,236,238,245,246,247,248,250,251,252,253,257,260,261,262,264,265,266,267,268,269,271,272,273,274,275,276,277,278,279,280,281,282,286,287,288,289,290,293,294,295,296,298,299,300,301,302,303,304,305,306,307,308,309,310,311,313,314,315,316,317,318,320,321,322,323,324,325,326,327,328,329,330,331,332,333,335,336,337,338,339,340,341,342,343,344,345,346,347,351,352,353,354,355,356,357,358,359,360,361,363,364,368,369,371,372,373,374,375,376,377,378,379,382,383,384,385,386,387,389,390,391,392,393,394,395,396,397,398,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,417,418,419,420,804,855,856,865,866,872,877,923],krb5_euid:901,krb5_expand_hostnam:48,krb5_expire_callback_func:[245,804],krb5_fast_requir:[248,789],krb5_fcc_intern:135,krb5_fences_vt:923,krb5_fences_vtable_v2:923,krb5_find_authdata:48,krb5_finish_kei:48,krb5_finish_random_kei:48,krb5_flag:[142,151,153,157,224,225,226,232,233,234,238,248,269,329,330,359,375,403,804,809,825,826,832,833,840,846,879,886,894],krb5_free_address:[48,172,332],krb5_free_ap_rep_enc_part:[48,357,375],krb5_free_authdata:[48,173,195,322],krb5_free_authent:[48,65,174],krb5_free_checksum:[48,175],krb5_free_checksum_cont:[48,113,294],krb5_free_cksumtyp:[48,111],krb5_free_context:[48,136,176,268,282],krb5_free_cr:[48,177,224,375,405],krb5_free_cred_cont:[46,48,150,153,272,401],krb5_free_data:[48,178,321],krb5_free_data_cont:[48,141,229,324,325,326,327,328,329,330,331,335,356,360],krb5_free_default_realm:[48,227],krb5_free_enctyp:[48,261],krb5_free_error:[48,355,375],krb5_free_error_messag:[48,228],krb5_free_host_realm:[48,230,231],krb5_free_keyblock:[48,67,72,76,180,280,315],krb5_free_keyblock_cont:[48,115,125,126,181],krb5_free_keytab_entry_cont:[48,309,310],krb5_free_princip:[46,47,48,49,91,92,93,145,154,182,344,345,389],krb5_free_str:[48,143,169,194],krb5_free_tgt_cr:[48,354],krb5_free_ticket:[48,183,359,363],krb5_free_unparsed_nam:[48,406,408],krb5_fwd_tgt_cred:48,krb5_gc:403,krb5_gc_cach:[224,789],krb5_gc_canonic:789,krb5_gc_constrained_deleg:789,krb5_gc_forward:789,krb5_gc_no_stor:789,krb5_gc_no_transit_check:789,krb5_gc_user_us:[224,789],krb5_generate_seq_numb:327,krb5_get_credenti:[48,375,380,381,403],krb5_get_credentials_renew:48,krb5_get_credentials_valid:48,krb5_get_default_realm:48,krb5_get_error_messag:[48,837],krb5_get_etype_info:[48,918],krb5_get_fallback_host_realm:48,krb5_get_host_realm:[48,389],krb5_get_in_tkt_with_keytab:48,krb5_get_in_tkt_with_password:48,krb5_get_in_tkt_with_skei:48,krb5_get_init_cr:[234,250,251],krb5_get_init_creds_keytab:[48,232],krb5_get_init_creds_opt:[46,229,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,275,804],krb5_get_init_creds_opt_address_list:789,krb5_get_init_creds_opt_alloc:[46,48,237,239],krb5_get_init_creds_opt_anonym:789,krb5_get_init_creds_opt_canonic:789,krb5_get_init_creds_opt_chg_pwd_prmpt:789,krb5_get_init_creds_opt_etype_list:789,krb5_get_init_creds_opt_forward:789,krb5_get_init_creds_opt_fre:[46,48,236],krb5_get_init_creds_opt_get_fast_flag:48,krb5_get_init_creds_opt_init:48,krb5_get_init_creds_opt_preauth_list:789,krb5_get_init_creds_opt_proxi:789,krb5_get_init_creds_opt_renew_lif:789,krb5_get_init_creds_opt_salt:789,krb5_get_init_creds_opt_set_address_list:48,krb5_get_init_creds_opt_set_anonym:[46,48],krb5_get_init_creds_opt_set_canonic:48,krb5_get_init_creds_opt_set_change_password_prompt:48,krb5_get_init_creds_opt_set_etype_list:[48,229],krb5_get_init_creds_opt_set_expire_callback:48,krb5_get_init_creds_opt_set_fast_ccach:48,krb5_get_init_creds_opt_set_fast_ccache_nam:[48,229,246],krb5_get_init_creds_opt_set_fast_flag:[48,247],krb5_get_init_creds_opt_set_forward:48,krb5_get_init_creds_opt_set_in_ccach:48,krb5_get_init_creds_opt_set_out_ccach:48,krb5_get_init_creds_opt_set_pa:[48,254],krb5_get_init_creds_opt_set_pac_request:48,krb5_get_init_creds_opt_set_preauth_list:48,krb5_get_init_creds_opt_set_proxi:48,krb5_get_init_creds_opt_set_renew_lif:48,krb5_get_init_creds_opt_set_respond:[46,48],krb5_get_init_creds_opt_set_salt:[48,254],krb5_get_init_creds_opt_set_tkt_lif:[46,48],krb5_get_init_creds_opt_tkt_lif:789,krb5_get_init_creds_password:[46,48,233,243,245,352,918],krb5_get_permitted_enctyp:48,krb5_get_profil:48,krb5_get_prompt_typ:[46,48],krb5_get_renewed_cr:[48,225],krb5_get_server_rcach:48,krb5_get_time_offset:48,krb5_get_validated_cr:[48,226],krb5_gic_opt_pa_data:804,krb5_init_context:[48,205],krb5_init_context_kdc:[269,789],krb5_init_context_profil:48,krb5_init_context_secur:[269,789],krb5_init_creds_context:[270,271,272,273,274,275,276,277,278,279,804],krb5_init_creds_fre:[48,275],krb5_init_creds_get:[48,272,274,275],krb5_init_creds_get_cr:[48,271],krb5_init_creds_get_error:48,krb5_init_creds_get_tim:48,krb5_init_creds_init:[48,270,271,279,352],krb5_init_creds_set_keytab:48,krb5_init_creds_set_password:48,krb5_init_creds_set_servic:48,krb5_init_creds_step:[48,272,274,275,918],krb5_init_creds_step_flag_continu:[279,789],krb5_init_keyblock:48,krb5_init_random_kei:48,krb5_init_secure_context:[48,205,268,918],krb5_int16:804,krb5_int16_max:[567,789],krb5_int16_min:789,krb5_int32:[66,69,74,83,266,363,364,374,385,389,394,410,804,806,808,812,813,819,821,824,828,830,832,835,836,837,839,846,851,854,867,868,869,871,875,879,881,882,885,891],krb5_int32_max:[569,789],krb5_int32_min:789,krb5_invalid_princip:50,krb5_is_config_princip:[47,48],krb5_is_referral_realm:48,krb5_is_thread_saf:48,krb5_k:847,krb5_k_create_kei:48,krb5_k_decrypt:48,krb5_k_decrypt_iov:[48,290],krb5_k_encrypt:48,krb5_k_encrypt_iov:[48,288],krb5_k_free_kei:[48,68,73,77,286],krb5_k_key_enctyp:48,krb5_k_key_keyblock:48,krb5_k_make_checksum:[48,113],krb5_k_make_checksum_iov:[48,114,299],krb5_k_prf:48,krb5_k_reference_kei:48,krb5_k_verify_checksum:[48,129],krb5_k_verify_checksum_iov:[48,130,295],krb5_kdc_profil:[10,20,34,917,918,953],krb5_kdc_rep:[232,233,234,804],krb5_kdc_req:804,krb5_kdc_sign_ticket:[48,340,341],krb5_kdc_unreach:260,krb5_kdc_verify_ticket:48,krb5_kdcpolicy_moddata:930,krb5_kdcpreauth_moddata:931,krb5_kdcpreauth_modreq:931,krb5_kdcrep_modifi:267,krb5_kdcrep_skew:267,krb5_kei:[48,68,73,77,87,89,287,288,289,290,291,294,295,296,297,298,299,804],krb5_key_st:847,krb5_keyblock:[48,67,70,72,75,76,86,88,90,99,100,101,102,103,106,107,108,113,114,115,117,119,124,125,126,129,130,180,181,234,281,286,293,300,301,315,320,340,341,342,343,351,353,393,412,804,808,813,825,826,832,833,834,850],krb5_keytab:[232,235,276,302,303,304,305,307,308,310,311,312,313,314,316,317,318,359,363,364,376,414,804],krb5_keytab_entri:[217,302,309,310,314,316,804],krb5_keytab_entry_st:850,krb5_keyusag:[99,100,102,103,108,113,114,129,130,287,288,289,290,294,295,298,299,804],krb5_keyusage_ad_it:789,krb5_keyusage_ad_kdcissued_cksum:789,krb5_keyusage_ad_mt:789,krb5_keyusage_ad_signedpath:789,krb5_keyusage_ap_rep_encpart:789,krb5_keyusage_ap_req_auth:789,krb5_keyusage_ap_req_auth_cksum:789,krb5_keyusage_app_data_cksum:789,krb5_keyusage_app_data_encrypt:789,krb5_keyusage_as_rep_encpart:789,krb5_keyusage_as_req:789,krb5_keyusage_as_req_pa_enc_t:789,krb5_keyusage_cammac:789,krb5_keyusage_enc_challenge_cli:789,krb5_keyusage_enc_challenge_kdc:789,krb5_keyusage_fast_enc:789,krb5_keyusage_fast_finish:789,krb5_keyusage_fast_rep:789,krb5_keyusage_fast_req_chksum:789,krb5_keyusage_gss_tok_m:789,krb5_keyusage_gss_tok_wrap_integ:789,krb5_keyusage_gss_tok_wrap_priv:789,krb5_keyusage_iakerb_finish:789,krb5_keyusage_kdc_rep_ticket:789,krb5_keyusage_krb_cred_encpart:789,krb5_keyusage_krb_error_cksum:789,krb5_keyusage_krb_priv_encpart:789,krb5_keyusage_krb_safe_cksum:789,krb5_keyusage_pa_as_fresh:789,krb5_keyusage_pa_fx_cooki:789,krb5_keyusage_pa_otp_request:789,krb5_keyusage_pa_pkinit_kx:789,krb5_keyusage_pa_s4u_x509_user_repli:[606,789],krb5_keyusage_pa_s4u_x509_user_request:[605,789],krb5_keyusage_pa_sam_challenge_cksum:789,krb5_keyusage_pa_sam_challenge_trackid:[603,789],krb5_keyusage_pa_sam_respons:[602,789],krb5_keyusage_spak:789,krb5_keyusage_tgs_rep_encpart_sesskei:789,krb5_keyusage_tgs_rep_encpart_subkei:789,krb5_keyusage_tgs_req_ad_sesskei:789,krb5_keyusage_tgs_req_ad_subkei:789,krb5_keyusage_tgs_req_auth:789,krb5_keyusage_tgs_req_auth_cksum:789,krb5_kpasswd_accessdeni:789,krb5_kpasswd_autherror:[166,789],krb5_kpasswd_bad_vers:789,krb5_kpasswd_harderror:[166,789],krb5_kpasswd_initial_flag_need:789,krb5_kpasswd_malform:[166,789],krb5_kpasswd_softerror:[166,789],krb5_kpasswd_success:[166,382,789],krb5_kt_add_entri:48,krb5_kt_client_default:48,krb5_kt_close:[48,317],krb5_kt_cursor:[308,314,318,804],krb5_kt_default:48,krb5_kt_default_nam:48,krb5_kt_dup:48,krb5_kt_end:314,krb5_kt_end_seq_get:[48,318],krb5_kt_free_entri:[48,314],krb5_kt_get_entri:48,krb5_kt_get_nam:48,krb5_kt_get_typ:48,krb5_kt_have_cont:48,krb5_kt_name_toolong:311,krb5_kt_next_entri:48,krb5_kt_notfound:313,krb5_kt_nowrit:[302,316],krb5_kt_read_service_kei:48,krb5_kt_remove_entri:48,krb5_kt_resolv:48,krb5_kt_start_seq_get:[48,308],krb5_ktname:[43,900,917,953],krb5_kuserok:[47,48,918,932],krb5_kvno:[310,315,804,831,850],krb5_last_req_entri:[804,832],krb5_libos_badpwdmatch:[260,361],krb5_libos_pwdintr:260,krb5_lname_no_tran:932,krb5_lname_notran:56,krb5_lrq_all_acct_exptim:789,krb5_lrq_all_last_initi:789,krb5_lrq_all_last_renew:789,krb5_lrq_all_last_req:789,krb5_lrq_all_last_tgt:789,krb5_lrq_all_last_tgt_issu:789,krb5_lrq_all_pw_exptim:789,krb5_lrq_none:789,krb5_lrq_one_acct_exptim:789,krb5_lrq_one_last_initi:789,krb5_lrq_one_last_renew:789,krb5_lrq_one_last_req:789,krb5_lrq_one_last_tgt:789,krb5_lrq_one_last_tgt_issu:789,krb5_lrq_one_pw_exptim:789,krb5_magic:[804,805,807,808,809,811,813,818,821,823,824,825,826,829,831,832,833,834,836,845,846,848,850,854,859,868,869,873,882,883,886,890,891,895],krb5_make_authdata_kdc_issu:48,krb5_marshal_credenti:48,krb5_merge_authdata:48,krb5_mk_1cred:48,krb5_mk_error:48,krb5_mk_ncred:[48,323],krb5_mk_priv:[48,79],krb5_mk_rep:48,krb5_mk_rep_dc:48,krb5_mk_req:[48,80,81,330],krb5_mk_req_checksum_func:[63,80,804],krb5_mk_req_extend:[48,329],krb5_mk_safe:[48,326],krb5_msgtype:[503,504,505,506,531,543,718,741,759,760,804,832,845,846],krb5_no_2nd_tkt:267,krb5_no_tkt_suppli:[223,267],krb5_nt_ent_principal_and_id:789,krb5_nt_enterprise_princip:789,krb5_nt_ms_princip:789,krb5_nt_ms_principal_and_id:789,krb5_nt_princip:[91,93,344,789],krb5_nt_smtp_name:789,krb5_nt_srv_hst:[223,389,789],krb5_nt_srv_inst:[91,93,344,789],krb5_nt_srv_xhst:789,krb5_nt_uid:789,krb5_nt_unknown:[389,789],krb5_nt_wellknown:[91,93,344,789],krb5_nt_x500_princip:789,krb5_octet:[804,805,811,818,848,859,882,890,891],krb5_os_localaddr:48,krb5_pa_data:[804,832,845,846],krb5_pa_pac_req:804,krb5_pa_server_referral_data:804,krb5_pa_svr_referral_data:804,krb5_pac:[300,301,333,334,335,336,337,338,339,340,341,342,343,804],krb5_pac_add_buff:48,krb5_pac_attributes_info:789,krb5_pac_client_claim:789,krb5_pac_client_info:[333,789],krb5_pac_credentials_info:[333,789],krb5_pac_data:863,krb5_pac_delegation_info:[333,789],krb5_pac_device_claim:789,krb5_pac_device_info:789,krb5_pac_fre:[48,338,339],krb5_pac_full_checksum:789,krb5_pac_get_buff:48,krb5_pac_get_client_info:[48,918],krb5_pac_get_typ:48,krb5_pac_init:48,krb5_pac_logon_info:[333,789],krb5_pac_pars:48,krb5_pac_privsvr_checksum:[333,789],krb5_pac_requestor:789,krb5_pac_server_checksum:[333,789],krb5_pac_sign:48,krb5_pac_sign_ext:48,krb5_pac_ticket_checksum:789,krb5_pac_upn_dns_info:[333,789],krb5_pac_verifi:[48,343],krb5_pac_verify_ext:[48,301],krb5_padata_afs3_salt:789,krb5_padata_ap_req:[704,789],krb5_padata_as_checksum:789,krb5_padata_as_fresh:789,krb5_padata_enc_sandia_securid:789,krb5_padata_enc_timestamp:789,krb5_padata_enc_unix_tim:789,krb5_padata_encrypted_challeng:789,krb5_padata_etype_info2:789,krb5_padata_etype_info:789,krb5_padata_for_us:789,krb5_padata_fx_cooki:789,krb5_padata_fx_error:789,krb5_padata_fx_fast:789,krb5_padata_get_from_typed_data:789,krb5_padata_non:789,krb5_padata_osf_dc:789,krb5_padata_otp_challeng:789,krb5_padata_otp_pin_chang:789,krb5_padata_otp_request:789,krb5_padata_pac_opt:789,krb5_padata_pac_request:789,krb5_padata_pk_as_rep:789,krb5_padata_pk_as_rep_old:789,krb5_padata_pk_as_req:789,krb5_padata_pk_as_req_old:789,krb5_padata_pkinit_kx:789,krb5_padata_pw_salt:789,krb5_padata_redhat_idp_oauth2:789,krb5_padata_redhat_passkei:789,krb5_padata_referr:789,krb5_padata_s4u_x509_us:789,krb5_padata_sam_challeng:789,krb5_padata_sam_challenge_2:789,krb5_padata_sam_redirect:789,krb5_padata_sam_respons:789,krb5_padata_sam_response_2:789,krb5_padata_sesam:789,krb5_padata_spak:789,krb5_padata_svr_referral_info:789,krb5_padata_tgs_req:789,krb5_padata_use_specified_kvno:789,krb5_parse_nam:[46,47,48,345,406],krb5_parse_name_flag:[47,48],krb5_plugin_no_handl:[925,928,932,933],krb5_plugin_ver_notsupp:923,krb5_plugin_vt:923,krb5_pointer:[186,190,197,281,315,353,363,364,375,804,815,852],krb5_post_recv_fn:[380,804],krb5_pre_send_fn:[381,804],krb5_preauth_fail:260,krb5_preauthtyp:[232,233,234,254,804,840,859],krb5_prepend_error_messag:[48,417,918],krb5_princ_compon:789,krb5_princ_nam:789,krb5_princ_nomatch:[223,267],krb5_princ_realm:789,krb5_princ_set_realm:789,krb5_princ_set_realm_data:789,krb5_princ_set_realm_length:789,krb5_princ_siz:[789,793],krb5_princ_typ:789,krb5_princip:[46,47,48,49,91,92,93,94,132,145,147,154,182,218,223,229,235,260,264,267,275,315,319,363,364,375,382,383,384,389,412,414,804,813,825,826,832,833,836,845,846,850,861,862,883],krb5_principal2salt:48,krb5_principal_compar:[47,48,349,350,388],krb5_principal_compare_any_realm:[47,48],krb5_principal_compare_casefold:[350,789],krb5_principal_compare_enterpris:[350,789],krb5_principal_compare_flag:[47,48],krb5_principal_compare_ignore_realm:[350,789],krb5_principal_compare_utf8:[350,789],krb5_principal_data:[47,804,821,868],krb5_principal_parse_enterpris:[345,789],krb5_principal_parse_ignore_realm:[345,789],krb5_principal_parse_no_def_realm:789,krb5_principal_parse_no_realm:[345,789],krb5_principal_parse_require_realm:[345,789],krb5_principal_unparse_displai:[408,789],krb5_principal_unparse_no_realm:[408,789],krb5_principal_unparse_short:[408,789],krb5_priv:789,krb5_process_kei:48,krb5_prog_etype_nosupp:378,krb5_prompt:[352,804,872],krb5_prompt_typ:[263,804],krb5_prompt_type_new_password:[263,789],krb5_prompt_type_new_password_again:[263,789],krb5_prompt_type_password:[263,789],krb5_prompt_type_preauth:[263,789],krb5_prompter_fct:[260,275,804],krb5_prompter_posix:[46,48],krb5_prop:[15,34,41],krb5_pvno:789,krb5_pwd_data:804,krb5_pwqual_moddata:935,krb5_random_kei:48,krb5_rc_close:265,krb5_rc_requir:[323,325],krb5_rc_st:874,krb5_rcach:[71,85,265,804],krb5_rd_cred:[48,325],krb5_rd_error:48,krb5_rd_priv:[48,79,875],krb5_rd_rep:48,krb5_rd_rep_dc:48,krb5_rd_req:48,krb5_rd_safe:[48,875],krb5_read_error:48,krb5_read_password:48,krb5_realm_branch_char:789,krb5_realm_cant_resolv:260,krb5_realm_compar:[47,48],krb5_recvauth:[48,364,375],krb5_recvauth_badauthv:789,krb5_recvauth_skip_vers:789,krb5_recvauth_vers:48,krb5_referral_realm:[48,789],krb5_replay_data:[323,325,326,331,354,356,360,804],krb5_responder_context:[46,365,366,367,368,369,370,371,372,373,804,877],krb5_responder_context_st:876,krb5_responder_fn:[257,804,876],krb5_responder_get_challeng:[46,48,366,876],krb5_responder_list_quest:[46,48,876],krb5_responder_otp_challeng:[46,367,368,804],krb5_responder_otp_challenge_fre:[46,48,368],krb5_responder_otp_flags_collect_pin:[731,789],krb5_responder_otp_flags_collect_token:789,krb5_responder_otp_flags_nextotp:789,krb5_responder_otp_flags_separate_pin:789,krb5_responder_otp_format_alphanumer:789,krb5_responder_otp_format_decim:789,krb5_responder_otp_format_hexadecim:789,krb5_responder_otp_get_challeng:[46,48],krb5_responder_otp_set_answ:[46,48],krb5_responder_otp_tokeninfo:[804,878],krb5_responder_pkinit_challeng:[46,370,371,804],krb5_responder_pkinit_challenge_fre:[48,371],krb5_responder_pkinit_flags_token_:740,krb5_responder_pkinit_flags_token_user_pin_count_low:789,krb5_responder_pkinit_flags_token_user_pin_final_tri:789,krb5_responder_pkinit_flags_token_user_pin_lock:789,krb5_responder_pkinit_get_challeng:[46,48],krb5_responder_pkinit_ident:[804,880],krb5_responder_pkinit_set_answ:[46,48],krb5_responder_question_otp:[46,48,789],krb5_responder_question_password:[46,789],krb5_responder_question_pkinit:[46,48,789],krb5_responder_set_answ:[46,48,366,876],krb5_respons:804,krb5_roundup:789,krb5_safe:789,krb5_salttype_to_str:48,krb5_sam_must_pk_encrypt_sad:789,krb5_sam_send_encrypted_sad:789,krb5_sam_use_sad_as_kei:789,krb5_sendauth:[48,363],krb5_server_decrypt_ticket_keytab:48,krb5_set_default_realm:[44,48],krb5_set_default_tgs_enctyp:[48,261],krb5_set_error_messag:48,krb5_set_kdc_recv_hook:48,krb5_set_kdc_send_hook:48,krb5_set_password:[47,48,169],krb5_set_password_using_ccach:[47,48],krb5_set_principal_realm:[47,48],krb5_set_real_tim:48,krb5_set_trace_callback:48,krb5_set_trace_filenam:48,krb5_sname_match:[47,48,359],krb5_sname_to_princip:[47,48],krb5_string_to_cksumtyp:48,krb5_string_to_deltat:48,krb5_string_to_enctyp:48,krb5_string_to_kei:48,krb5_string_to_salttyp:48,krb5_string_to_timestamp:48,krb5_tc_match_2nd_tkt:[153,789],krb5_tc_match_authdata:[153,789],krb5_tc_match_flag:[153,789],krb5_tc_match_flags_exact:[153,789],krb5_tc_match_is_skei:[153,789],krb5_tc_match_ktyp:[153,789],krb5_tc_match_srv_nameonli:[153,789],krb5_tc_match_tim:[153,789],krb5_tc_match_times_exact:[153,789],krb5_tc_noticket:789,krb5_tc_openclos:789,krb5_tc_supported_ktyp:[153,789],krb5_tgs_name:789,krb5_tgs_name_s:789,krb5_tgs_rep:789,krb5_tgs_req:[789,846],krb5_ticket:[48,185,221,359,363,364,376,804,809,823,845,846,886],krb5_ticket_tim:[274,402,804,825,826,832,833],krb5_timeofdai:48,krb5_timestamp:[45,167,266,336,340,341,342,343,385,395,396,397,398,410,804,808,813,824,832,836,838,846,850,854,861,875,882,884],krb5_timestamp_to_sfstr:48,krb5_timestamp_to_str:48,krb5_tkt_authent:804,krb5_tkt_creds_context:[399,400,401,402,403,404,804],krb5_tkt_creds_fre:[48,403],krb5_tkt_creds_get:[48,401,402,403],krb5_tkt_creds_get_cr:[48,400],krb5_tkt_creds_get_tim:48,krb5_tkt_creds_init:[48,400],krb5_tkt_creds_step:[48,401,402,403],krb5_tkt_creds_step_flag_continu:[404,789],krb5_trace:[41,386,387,953],krb5_trace_callback:[386,804,889],krb5_trace_info:[386,804,888],krb5_trace_nosupp:[386,387],krb5_transit:[804,833],krb5_typed_data:804,krb5_ui_2:804,krb5_ui_4:[333,335,337,358,804,808,813,836,875],krb5_unmarshal_credenti:48,krb5_unparse_nam:[47,48,407,408],krb5_unparse_name_ext:48,krb5_unparse_name_flag:[47,48],krb5_unparse_name_flags_ext:48,krb5_us_timeofdai:48,krb5_use_enctyp:48,krb5_verify_authdata_kdc_issu:48,krb5_verify_checksum:48,krb5_verify_init_cr:[46,48,416],krb5_verify_init_creds_opt:[46,414,415,416,804],krb5_verify_init_creds_opt_ap_req_nofail:789,krb5_verify_init_creds_opt_init:[46,48,414],krb5_verify_init_creds_opt_set_ap_req_nofail:[46,48,414],krb5_vprepend_error_messag:48,krb5_vset_error_messag:48,krb5_vwrap_error_messag:48,krb5_wellknown_namestr:789,krb5_wrap_error_messag:[48,419,918],krb5_x:789,krb5_xc:789,krb5cc_1984:946,krb5cc_320:939,krb5cc_:[917,946,953],krb5cc_p11795:939,krb5cc_ttypa:939,krb5ccname:[15,136,897,941,942,943,946,953],krb5kdc:[0,1,2,3,4,5,6,7,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],krb5kdc_err_key_exp:260,krb5kdc_err_more_preauth_data_requir:931,krb5krb_ap_err_skew:167,krb5krb_err_response_too_big:[279,404],krb5lib:34,krb5plugin_service_locate_ft:933,krb5rcachedir:[901,917,953],krb5rcachenam:[901,953],krb5rcachetyp:[901,953],krb5srv:39,krb:[48,918,919],krb_ap_rep:48,krb_ap_req:48,krb_error:[48,375],krbadmin:[20,22],krbcanonicalnam:22,krbcontain:[20,22],krbcore:936,krbdev:936,krbprincipalnam:22,krbtest:[16,23,35,41,911,912,951],krbtgt:[3,19,26,37,41,43,278,301,644,757,910,911,912,918,939,948],ksu:[919,937,940,953],ksu_opt:946,kswitch:[897,937,940,953],ktadd:[14,15,23,32,34,900],kth:919,ktid:317,ktrem:3,ktremov:15,ktutil:[1,2,900,903,918],ktype:[128,232,233,234,261,846],kungliga:919,kv5m_context:[135,156],kvno:[3,6,11,14,15,16,23,26,29,32,34,41,310,414,831,883,911,918,937,940],lab:[5,919],label:[21,919],laboratori:919,lack:[37,378,918],lag:946,larg:[20,23,24,34,36,39,46,100,103,119,288,290,904,918],larger:[24,32,37,896,914,918],largest:35,last:[3,6,9,20,23,24,35,44,48,173,198,200,220,245,314,322,386,735,854,897,898,921,930],last_fail:6,last_req:832,last_success:6,lastpwd:6,latenc:24,later:[3,19,20,21,23,26,33,37,38,39,41,43,136,247,740,896,911,914,918,919,925,932],latest:[34,224,884,904,918,939],latter:[388,897],launchpad:42,law:919,lawsuit:919,lawyer:919,layer:[918,924,927],layout:[43,917],lcom_err:945,lcurs:906,ldap:[3,4,5,6,10,20,22,35,38,906,918,919],ldap_conns_per_serv:20,ldap_kadmind_dn:[5,20,22],ldap_kadmind_sasl_authcid:[5,20],ldap_kadmind_sasl_authzid:20,ldap_kadmind_sasl_mech:20,ldap_kadmind_sasl_realm:20,ldap_kdc_dn:[5,20,22],ldap_kdc_sasl_authcid:[5,20],ldap_kdc_sasl_authzid:20,ldap_kdc_sasl_mech:[20,22],ldap_kdc_sasl_realm:20,ldap_kerberos_container_dn:[20,22],ldap_serv:[20,22],ldap_service_password_fil:[20,22],ldapadd:22,ldapi:[20,22,24],ldapsasl_nocanon:38,ldapuri:[3,5],ldb:906,ldflag:906,ldif:22,ldname:906,ldopt:906,lead:[20,946],learn:15,least:[15,23,32,34,39,99,102,153,165,287,289,407,735,752,914,928,932],leav:[3,14,24,28,32,33],left:[20,21,280,912,923],leg:918,legaci:[26,46,885],legal:[280,946],legitim:[25,46,901,946],lehman:919,lehmann:919,len:[12,118,337,339],length:[3,20,33,43,46,48,91,92,99,100,102,103,116,117,119,124,191,203,209,244,254,260,280,284,287,288,289,290,311,336,339,361,397,738,798,799,805,811,818,821,829,848,859,868,869,879,891,910,911,914,915,924,944],lengthi:918,less:[3,20,25,53,897,904,914,915,918],let:[99,287,933,952],letter:[34,39,939],level:[3,5,10,25,37,39,43,904,908,934],liabil:919,liabl:919,lib:[37,904,906,917,919,945],libdefault:[15,20,26,28,33,34,38,39,40,41,43,44,897,900,901,934],libdir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],libedit:906,libera:936,libev:919,libk5crypto:918,libkadm5:918,libkdb5:921,libkdb_ldap:22,libkeyutil:906,libkrb5:[21,28,43,896,918],libkrb5support:918,libpam:42,librari:[3,18,20,21,24,26,29,38,41,43,46,48,49,50,52,53,54,55,56,59,60,61,62,63,64,65,66,67,68,69,71,72,73,74,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,101,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,121,124,125,126,129,130,132,133,134,135,136,137,138,139,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,169,171,172,173,174,175,176,177,178,179,180,181,182,183,184,189,194,195,198,199,200,201,202,203,204,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,227,228,229,230,231,235,236,237,238,245,246,247,248,250,251,252,253,257,260,261,262,263,264,265,266,267,270,271,272,273,274,275,276,277,278,279,280,283,286,287,288,289,290,294,295,296,298,299,300,301,302,303,304,305,306,307,308,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,342,343,344,345,346,347,348,349,350,352,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,396,399,400,401,402,403,404,405,406,407,408,409,410,412,414,417,418,419,420,865,866,896,897,903,904,906,917,918,919,920,921,922,924,925,926,932,933,934,945,953],libtool:923,libverto:[906,931],licens:[905,906,909,918],life:[3,5,19,23,942],lifetim:[3,6,14,21,23,48,153,365,366,752,826,832,897,918,921,930,939,942,946,953],lightn:918,lightweight:903,like:[3,6,8,12,14,15,19,21,23,32,33,34,37,38,39,41,43,192,897,901,902,904,906,908,923,927,939],likewis:946,limit:[20,23,24,25,34,39,919,946,953],line:[0,3,8,10,12,15,19,20,21,23,28,34,35,37,352,905,906,918,919,938,946,948,951,952,953],link:[0,30,34,901,904,905,906,908,921,924,945],linkdn:3,linker:906,linux:[897,906,918],list:[0,2,3,4,6,10,14,15,19,21,23,26,28,32,34,36,39,40,43,46,48,93,153,164,184,189,195,214,230,231,320,378,412,417,418,419,833,876,897,906,907,917,919,921,922,925,931,934,938,939,943,946,951,952],list_mkei:23,list_polici:23,list_princip:23,listen:[4,8,10,20,34,39,918],listinfo:936,listpol:3,listprinc:3,liter:923,littl:924,live:[6,15,923],lk5crypto:945,lkrb5:945,lmdb:[20,23,24,906,918],lname:[56,946],lndir:[903,905],lnsize_in:56,lnsl:906,load:[8,14,17,20,24,34,38,40,906,924,934],load_dump:6,loadabl:[20,21,924],loader:906,local0:20,local7:20,local:[3,5,8,12,14,15,20,21,22,23,28,32,34,36,39,43,46,48,62,64,80,230,231,325,326,327,329,331,344,356,359,360,389,398,408,523,524,717,898,901,902,903,906,908,910,911,912,917,918,925,926,938,939,942,943,945,946,948,953],local_addr:[44,64,82],local_appdata:21,local_port:84,local_realm:946,localauth:[918,926],localauth_plugin:932,localedir:906,localfr:28,localhost:15,localhostnam:43,localstatedir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],locat:[4,7,8,10,15,19,20,21,22,24,25,29,34,39,41,43,48,897,901,906,907,915,917,918,919,926,934,939,941,942,943,945,946,947,948,953],locate_plugin:933,lock:[6,20,23,24,34,35,736,737,915,918,939],lockdown_kei:[3,19,918],lockit:3,lockout:[3,20,24,25,30],lockout_polici:35,lockoutdur:[3,35],lockouttim:3,log:[8,9,23,24,26,28,33,34,37,39,46,48,737,897,918,926,938,939,941,946,952,953],log_:20,log_daemon:20,logic:[39,918],login:[20,21,33,38,41,46,939,946,953],logon:[20,333,658,918],logout:[939,941],longer:[11,19,23,25,33,39,43,49,65,67,68,72,73,76,77,78,91,92,93,111,113,115,120,122,123,125,126,132,141,143,145,150,153,154,163,164,169,172,173,174,175,176,177,178,180,181,182,183,194,195,224,227,229,230,231,236,261,265,268,272,275,280,282,286,294,310,315,317,318,321,322,324,325,326,327,328,329,330,331,332,335,338,339,344,345,354,355,356,357,359,360,363,375,389,401,403,405,406,408,906,918,939,942],look:[0,8,12,15,20,21,23,28,37,38,39,43,389,904,906,923,939,942,946],lookasid:906,lookup:[21,22,33,38,39,194,815,906,918,933],lose:6,loss:[23,919],lost:[17,904,919],lot:39,lower:[3,19,21,43,230,934,944,951],lowercas:[23,38,901],lowest:21,lpr:20,lr_type:854,lr_type_interpretation_mask:789,lr_type_this_server_onli:789,lrealm:[210,227,377],lsocket:906,lss:906,ltd:919,luke:39,luser:319,lxml:908,mac:903,mach:[21,919],machin:[4,8,12,14,15,17,18,21,31,32,34,37,38,39,897,902,906,938,939,952,953],maco:[21,342,897,903,918,919],macro:[421,889,946],made:[8,21,23,34,41,136,253,269,378,897,918,919,927,929,947,953],magic:[135,156,805,807,808,809,811,813,818,821,823,824,825,826,829,831,832,833,834,836,845,846,848,850,854,859,868,869,873,882,883,886,890,891,895],mai:[3,6,8,10,11,14,15,19,20,21,22,23,24,25,26,28,33,34,35,36,37,38,39,40,41,43,46,99,107,126,158,195,224,228,229,241,245,258,262,287,330,359,375,380,381,388,389,414,731,847,865,877,889,898,901,904,906,907,910,911,914,915,918,919,922,924,925,927,928,929,930,931,934,936,938,939,941,942,946,951,953],mail:[20,897,939,946,951],mailbox:901,mailman:936,main:[368,371,936],maintain:[0,9,15,20,23,904,906,953],mainten:[3,6,23],maj_ver:923,major:[43,905,923],make:[0,3,6,12,14,15,17,20,21,22,23,25,26,28,32,33,34,35,37,39,41,43,48,112,236,241,250,301,368,371,403,896,904,905,906,908,910,918,919,924,938,942,947],makedepend:903,makefil:[904,906,908],malform:[166,223,619,910],malici:[3,46],malloc:934,man:[0,3,21,901,906,918],manag:[5,19,23,33,918,934,937,953],mandatori:[23,113,114,129,130,294,295,298,299,912],mandir:906,mani:[3,17,21,28,35,39,41,927,939,953],manipul:[22,23,45,827,900],manner:[5,919],manual:[0,6,10,15,23,33,34,904,906,918],manual_test:904,map:[21,28,33,34,43,906,918,924,925,932,946,951],mapsiz:[20,24],marc:919,mark:[3,6,20,21,34,342,919],marker:[910,918],markup:[0,908],marshal:[910,911,918],masachusett:953,mask:[66,83,142,153,157],masquerad:[17,938,939],massachusett:[909,919],master:[3,4,5,6,10,20,26,34,35,39,41,902,907,917,918],master_kdc:[21,39],master_key_nam:[5,6,20],master_key_typ:[5,6,14,20,34],match:[0,2,3,6,15,19,20,21,28,29,33,37,38,43,48,59,60,119,151,153,195,223,224,267,301,310,359,363,375,403,745,746,747,748,749,750,751,753,756,846,897,901,915,917,918,934,948,951,953],materi:[14,46,918,919,923],matt:919,matter:[17,21],max_keytab_name_len:789,max_lif:[6,20,34],max_read:[20,24],max_renew_lif:6,max_renewable_lif:[20,34],max_renewable_ticket_lif:5,max_ticket_lif:5,maxfailur:[3,35],maximum:[3,5,6,10,14,15,20,21,23,24,33,39,46,311,361,896,931,939,942],maxlif:[3,19,23],maxnumb:3,maxpathlen:766,maxrenewlif:[3,5,19,23],maxtktlif:[5,23],mcred:153,md4:[26,919],md5:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],mdb:24,mean:[3,12,14,20,21,23,33,34,37,46,902,907,919,939,946,953],meaning:3,meant:939,measur:[25,896],mech:[28,917,918,953],mech_typ:924,mechan:[3,16,20,21,22,23,36,37,39,40,43,46,154,250,692,693,901,910,911,917,918,922,923,926,931,933,942,953],mechglu:[919,924],media:[5,21],medvinski:946,meet:951,megabyt:[20,24,905],mellon:919,member:20,membership:46,memori:[15,41,43,48,93,142,223,231,302,323,325,326,331,356,357,360,414,827,897,900,906,918,923,925,932],memset:46,mention:[20,22,919],merchant:919,merg:[18,20,48,919],messag:[3,8,20,21,24,34,41,48,78,363,375,381,531,538,718,741,807,832,836,845,846,865,866,883,889,901,903,911,918,919,923,938,939,945,946,948,953],message_out:169,message_typ:882,met:[919,946],metadata:6,method:[21,25,39,230,910,918,920,921,922,923,925,928,929,930,931,932,933,934,935,942],mexico:919,mgluep:919,mic:[532,918],mic_token:43,michigan:919,microsecond:[266,385,410,808,824,875,910],microsoft:[20,21,26,29,42,43,382,452,918,924],microsystem:919,middl:901,might:[14,17,23,28,29,34,35,38,39,43,904,906,910,919,923,938,953],migrat:[14,23,41,918],miller:[919,953],min:[3,19,898],min_ver:923,minclass:3,minim:[6,14,23,24,918],minimum:[3,20,23,33],minlength:3,minlif:3,minor:[14,43,905,918,923,924,933],minor_statu:[43,924],minu:[20,915],minut:[5,20,21,23,898,901,938,939,953],mismatch:[43,260,342,938],miss:[267,908],mission:946,mistak:938,mistakenli:171,mit1:911,mit:[3,5,12,14,15,17,19,20,21,24,28,30,31,32,34,38,39,41,43,45,46,896,897,903,905,906,908,909,910,911,912,922,924,926,927,931,934,936,938,939,942,953],mitig:[23,25,46,901,918],mitiys4k5:34,mix:939,mk_cmd:906,mk_req:856,mkdir:904,mkei:[3,6],mkey_convert:6,mkey_fil:6,mkeynam:[5,6,10],mkeytyp:[5,6],mkeyvno:[5,6],mkvno:6,modbi:6,mode:[3,6,8,14,20,41,467,479,730,906,918,942,946],modern:[14,15,23,38,918],modestli:40,modif:[6,9,19,21,34,919],modifi:[3,6,9,18,19,23,25,28,34,40,43,100,103,114,136,144,146,158,288,290,295,312,365,366,866,906,918,919,929,934,942],modify_polici:23,modify_princip:[23,26],modnam:[21,28],modpol:3,modprinc:[3,23,35,37,40,928],modtim:6,modul:[3,4,6,20,21,23,35,252,268,906,908,916,917,918,920,921,922,925,927,928,929,930,931,932,933,934,935,942,953],module_nam:21,modulenam:21,modulepath:21,modulo:915,moira:919,mon:[3,35],monitor:25,month:[898,918],more:[6,14,15,19,20,21,22,23,25,29,32,34,35,37,38,39,41,43,46,262,279,344,404,565,738,740,761,889,897,900,901,903,906,907,911,918,925,931,936,938,953],more_preauth_data_requir:922,morn:33,most:[2,6,17,20,21,23,24,25,26,28,33,34,37,39,40,41,43,48,154,897,900,901,903,918,922,923,924,939,941,953],mostli:906,move:[20,27,34,48],msdn:918,msec_dirbit:789,msec_val_mask:789,msg:213,msg_type:[832,845,846],mslsa:897,mssclogin:21,much:[14,25,38,153,938],multi:[35,37,918],multihom:21,multipl:[3,10,14,16,20,21,22,23,24,28,34,35,36,37,39,43,46,847,897,901,904,918,923,924,931,942,951,953],multipli:35,multithread:48,muse:919,must:[2,3,7,8,11,14,15,19,20,21,22,23,24,26,28,29,32,33,34,35,36,37,39,43,46,57,58,69,74,78,99,100,102,103,113,117,119,121,125,126,136,146,152,153,158,173,176,195,198,200,220,224,228,241,247,268,270,271,274,275,279,282,287,288,289,290,294,296,312,314,317,322,326,331,345,359,368,371,373,375,402,407,728,729,731,738,740,742,745,746,747,748,749,750,751,752,753,756,827,847,870,897,904,905,906,910,911,912,914,915,918,919,921,923,924,925,928,930,931,932,934,938,939,944,946,948,953],mutabl:847,mutex:847,mutual:[34,330,375,437,503,807,942,946],my_cach:946,my_proxi:21,my_respond:46,mydir:897,mydomain:20,mymodul:28,mypreauth:28,myrealm:46,myremotetokentyp:20,name:[2,3,4,5,6,8,10,12,14,15,16,19,20,21,22,23,24,28,29,30,32,33,34,36,37,40,46,48,49,50,59,60,141,147,153,155,159,214,222,223,227,230,235,246,247,252,260,264,267,278,300,301,310,315,317,319,320,329,333,336,342,343,350,352,359,362,365,377,382,384,406,407,408,409,412,414,501,638,640,641,642,643,647,652,663,740,751,813,833,862,872,876,883,898,900,905,908,910,911,914,917,918,919,920,923,925,932,933,934,935,939,941,942,943,944,945,946,948,953],name_s:306,name_str:37,name_typ:37,namelen:311,nat:[21,23,918],nation:919,nativ:[33,368,371,896,906,910,914,917,918],natur:38,naval:919,navi:919,ncsa:42,nctx_out:176,ndnhnmn:898,nearli:3,necessari:[3,14,21,22,23,24,33,34,37,39,43,120,122,123,260,343,387,407,922,923,927,938,939],necessarili:14,need:[4,6,12,14,15,19,20,21,23,32,33,34,35,37,38,39,40,41,43,46,49,64,65,67,68,72,73,76,77,78,91,92,93,99,100,102,103,111,113,115,125,126,132,141,143,145,150,153,154,163,164,169,172,173,174,175,176,177,178,180,181,182,183,194,195,224,227,229,230,231,236,258,261,265,268,272,275,279,280,282,286,287,288,289,290,294,310,315,317,318,321,322,323,324,325,326,327,328,329,330,331,332,335,336,338,339,344,345,354,355,356,357,359,360,363,364,375,389,401,403,404,405,406,408,565,739,740,761,897,898,903,904,905,906,908,911,918,924,925,927,932,934,936,938,939,942,945],needchang:[3,5],neg:[28,885,914],neglig:919,negoex:[918,926],negoti:[910,918,924],neither:[3,325,919,942,943,946],nersc:21,net:[21,42],netbio:54,netbsd:[918,919],netlib:906,netlogon:452,network:[3,15,17,21,23,25,29,32,34,38,39,40,43,46,260,375,523,524,525,526,903,906,938,939,952,953],neuman:953,never:[3,14,15,17,19,20,23,24,35,100,103,228,288,290,915,938,939],new_message_out:866,new_mkey_fil:6,new_princip:3,new_reply_out:[865,866],new_stat:108,newer:[6,14,20,23,906],newest:23,newli:[3,6,26,37,107,113,125,126,176,294,329,330,359,363,364,375,897,904,918],newlin:[344,352],newprinc:3,newpw:[166,382,383],next:[3,6,17,23,34,35,48,99,100,102,103,287,288,289,290,730,904,910,911,915,918,922,931,939,946],nfs:38,nii:946,nippon:919,nist:[21,40],nitem:923,nktype:846,nlgilman:12,nls:918,no_auth_data_requir:3,no_host_referr:[20,39],noaddress:21,nofail:46,nofork:4,nokei:[3,23,37],non:[2,3,14,19,21,23,26,33,37,43,44,99,100,102,103,113,129,130,155,224,241,245,250,269,287,288,289,290,294,298,299,300,315,330,342,359,375,382,383,388,865,910,914,918,942,945,946],nonc:[358,824,832,846,918],none:[3,20,21,22,26,36,37,57,58,132,273,285,304,369,372,901,911,946,953],nonexist:[23,918],noninfring:919,nonrepudi:37,nonzero:[21,224,948],noout:37,nopw:3,nor:[919,943,946],norandkei:3,norealm:[14,20],normal:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],north:919,nosync:[20,24],notabl:23,note:[3,5,6,14,20,21,23,26,32,34,154,241,245,602,603,605,606,898,904,931,939,942,946,952,953],noth:[8,901],notic:[17,24,919],notifi:936,novel:919,now:[8,14,34,37,39,235,260,275,730,918,939],nowait:[8,12,34],nrl:919,nss:919,nt_wellknown:763,ntlm:918,ntt:919,num:9,num_data:[98,100,103,114,130,288,290,295,299],num_prompt:[352,872],number:[2,3,4,5,6,8,9,10,11,12,14,19,20,21,23,24,35,36,37,39,46,48,66,78,80,83,100,103,112,135,156,288,290,310,315,325,326,327,331,337,352,356,358,359,360,521,528,723,738,740,808,827,846,850,875,885,896,898,900,904,906,908,910,911,912,914,918,919,922,931,943,944,945,946,948],numer:[6,34,166,382,383,898,918,943],numwork:10,object:[3,5,6,20,21,22,23,24,25,28,35,36,43,48,262,269,740,904,906,910,918,919,920,921,922,923,924,925,928,929,930,931,932,933,934,935],observ:[25,29,35],obtain:[2,3,15,16,17,20,21,23,25,26,33,34,37,43,46,48,80,135,230,258,271,274,329,330,359,375,402,403,414,440,618,837,897,900,906,915,918,919,934,935,937,938,942,946,948],obvious:32,occasion:34,occur:[3,6,9,78,342,386,918],occurr:171,octet:48,odd:939,oeap:481,off:[15,21,24,25,28,33,35,39,352,361],offer:[21,24,40,906],offlin:[14,25,942],offset:[10,48,410,910,915],often:[20,22,23,28,33,38,39,900,927,953],oid:[28,43,918,924],oid_op:919,ok_as_deleg:3,ok_to_auth_as_deleg:3,okai:[3,939,943],old:[2,3,6,14,20,21,23,34,37,243,346,420,918,938],old_cod:[419,420],old_princip:3,oldcc:919,older:[14,23,918,931],oldest_kvno_to_keep:3,om_uint32:[43,924],omit:[11,22,28,39,408,716,717,910,914,934],onc:[3,6,14,15,21,23,34,43,46,78,361,735,897,901,904,929,933,938,953],one:[2,3,5,6,9,15,16,17,19,20,21,23,24,25,26,28,32,34,35,36,37,38,39,40,41,43,46,48,153,165,243,263,264,270,271,275,279,330,333,344,356,360,389,740,897,898,900,901,904,906,907,908,910,911,915,918,920,922,923,925,928,931,932,938,939,942,944,946,947],ones:[21,25,34,904,923,939],onli:[3,4,6,8,9,10,14,15,18,19,20,21,22,23,26,28,32,33,34,35,38,39,41,43,46,48,54,114,153,224,228,241,245,295,325,361,365,366,545,731,751,862,889,896,897,902,904,906,910,915,918,919,924,925,931,932,934,938,939,942,946,948,951,953],onlin:[14,25],onlyrealm:[14,20],onto:[17,21,32,34,906,924,939],opaqu:[48,286,847,918],open:[6,21,24,46,48,50,305,315,317,342,387,755,771,901,915,918,919,935,942],openldap:[3,5,23,24,30,906,919],openldap_ldapconf:20,opensc:917,openssh:[28,38],openssl:[21,37,906,918],openvis:[3,919],oper:[2,3,5,9,10,14,15,19,20,21,22,24,26,28,33,34,35,37,41,43,48,62,119,121,136,156,158,382,383,386,755,837,847,897,903,904,905,906,911,915,917,918,919,928,932,942,946,953],oppos:37,opt:[46,229,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,945],optim:906,optimist:[20,40,48,254],option1:21,option2:21,option:[2,11,12,15,19,22,23,24,28,29,34,35,36,37,39,43,48,59,60,224,225,226,229,232,233,234,235,253,260,269,275,325,326,329,330,331,344,375,403,414,416,546,738,808,809,813,824,825,832,836,840,841,846,884,900,905,918,921,922,923,925,928,930,932,939,953],oracl:[42,919],order:[3,4,6,14,16,17,19,20,21,22,23,32,33,34,35,37,38,43,46,48,245,738,897,900,901,905,906,910,914,919,920,924,934,953],ordinari:[14,904,918,953],ordinarili:[2,15,245],org:[5,21,22,42,904,905,908,918,919,936,952,953],organ:[905,919],orig_hostnam:194,origin:[3,14,21,23,39,43,46,906,919,924],osconf:905,osf:680,other:[3,4,6,10,14,15,19,20,21,23,24,26,28,34,35,37,38,39,43,46,154,279,310,359,404,644,740,837,896,897,900,903,904,905,906,910,911,914,918,919,922,924,928,929,930,932,933,934,936,938,939,944,946,951,952],othernam:37,otherrealm:21,otherwis:[3,6,14,20,21,23,29,33,34,36,37,39,43,49,52,54,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,95,96,97,98,99,100,102,103,104,105,106,107,108,110,111,112,113,114,115,116,117,118,121,124,125,126,129,130,134,142,150,153,157,158,162,163,164,166,170,172,173,174,175,177,178,180,181,182,183,184,185,187,189,192,193,195,217,224,235,236,238,248,260,261,264,265,266,267,271,272,273,274,275,276,277,278,279,280,283,284,285,286,287,288,289,290,294,295,296,298,299,300,301,319,321,322,324,325,326,327,328,329,330,331,332,333,335,337,338,339,342,345,347,348,349,350,354,355,356,357,358,359,360,361,362,363,364,374,375,376,385,388,390,391,392,394,395,397,398,400,401,402,403,404,405,414,897,906,911,919,921,923,930,939,942,943,944,946],otp:[3,16,25,30,46,368,696,698,699,722,738,917,918],our:[20,36,903,904,919],out:[3,8,12,21,23,24,33,35,36,37,41,43,49,50,56,59,60,63,64,65,66,67,68,69,71,72,73,74,76,77,78,89,91,92,93,95,96,97,99,101,102,104,105,107,108,111,112,113,115,116,117,118,119,121,124,125,126,129,130,132,134,135,138,141,142,143,145,149,150,152,153,154,158,163,164,166,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,194,195,223,224,227,229,230,231,235,236,238,251,260,261,262,264,265,266,267,268,269,272,273,274,275,279,280,282,286,287,289,294,296,298,299,301,303,305,306,307,308,310,311,314,315,317,318,320,321,322,323,324,325,326,327,328,329,330,331,332,335,336,337,338,339,344,345,347,354,355,356,357,358,359,360,361,363,364,368,371,374,375,382,383,389,390,391,392,394,395,396,397,398,401,402,403,404,405,406,408,409,410,412,532,533,535,536,539,897,906,918,919,938,941,948],out_cr:[224,225,226,375],out_flag:238,outaddr:172,outag:[20,39],outauthdat:322,outbuf:[223,327,328,329,330],outcc:134,outcksum:131,outcr:177,outdata:178,outfil:6,outgo:[15,924],outlin:[0,29],outprinc:182,outptr:[186,190],output:[3,6,9,15,20,23,26,34,41,43,48,99,100,101,102,103,107,117,119,166,181,224,279,287,288,289,290,296,352,359,361,364,404,866,875,897,908,918,920,921,923,942,943,945,948,953],output_cr:43,output_cred_handl:43,output_message_buff:43,output_nam:924,output_payload_buff:43,outreach:14,outsid:[15,897,953],over:[0,10,14,15,20,21,23,24,28,32,34,36,38,39,43,46,48,107,113,114,117,155,164,294,295,296,300,301,325,363,375,817,918,920,926,934,938,939],overrid:[3,6,10,14,20,21,26,36,48,378,380,381,386,387,865,906,914,918,942],overridden:[2,10,11,19,21,901,918],overview:903,overwrit:[6,23,384,941],overwrite_cr:43,overwritten:[20,827],own:[0,3,15,20,21,23,24,25,34,38,381,918,921,923,924,935,938,939,946,952],owner:919,ownership:901,p27:42,pa_as_fresh:912,pa_config_data:910,pa_hardwar:931,pa_real:922,pa_replaces_kei:931,pa_typ:[859,910],pa_type_list:[922,931],pac:[3,20,48,340,341,650,660,685,860,863,918,942],pac_client_info:[300,301,336,343],pac_out:301,pac_privsvr_enctyp:3,packag:[29,34,904,919],packet:[20,25,36,330,918,931],pad:[43,48,99,100,103,104,287,288,290,536,915],padata:[845,846,922,931],padl:919,page:[0,3,21,23,905,906,918],pair:[6,20,21,26,841],pam:33,parallel:[10,39,904,918],param:[49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420],paramet:[5,6,10,20,28,35,36,43,46,48,169,229,323,325,343,906,907,910,917,918,924,928,931,946],parent:[21,39,897,917],pars:[3,28,43,45,46,48,235,260,264,267,278,356,360,368,371,903,910,918],part:[14,21,23,26,32,41,199,264,267,278,283,301,344,359,384,823,833,845,883,897,902,910,911,915,919,923,924,934,946,953],parti:[28,36,43,918,919,953],partial:[14,19,23,46,915],particip:[21,34],particular:[2,11,14,16,17,19,20,21,37,43,46,317,904,906,919,938,939],particularli:[14,17,25,39,938,945],partit:39,pass:[14,20,21,28,36,43,99,100,102,103,228,250,270,271,275,279,280,282,287,288,289,290,325,368,371,380,381,382,386,387,889,906,924,933,942,946],passcod:669,passiv:25,passkei:693,passwd:[5,33,895,919,946],passwd_phrase_el:[804,873],password:[3,4,5,6,9,10,11,14,15,16,17,19,20,21,22,23,24,25,26,28,29,32,33,34,35,36,37,39,40,43,48,233,245,258,618,620,719,720,721,739,740,897,902,917,918,922,926,937,939,944,946,952,953],password_changing_servic:3,password_expir:[245,838],past:[3,936],pasword:25,patch:23,path:[4,5,8,20,21,22,25,28,29,34,39,359,904,906,908,918,946,953],pathnam:[4,8,21,23,24,28,29,37,900,904,907,953],pattern:[6,21,28,951],payment:919,pdf:0,pem:[16,21,29,37,948],peopl:20,pepper1:107,pepper2:107,pepper:48,per:[3,6,9,10,14,18,20,21,23,26,28,36,39,43,46,897,920,922,925,928,929,931,932,933,934,935],perfect:901,perform:[3,4,5,6,12,14,19,20,21,22,24,25,26,34,37,38,39,43,46,62,91,250,254,258,359,363,375,382,383,386,416,437,847,897,918,919,928,929,930,939],perhap:[3,14,20,23,24],period:[6,8,14,17,20,21,23,24,35,939,942],permiss:[3,18,19,20,23,34,43,137,147,159,897,918,919,939],permit:[3,19,20,21,26,36,48,194,251,356,360,917,918,919,942,952],permitted_enctyp:[21,26],persist:[21,897],person:[17,34,919,938,939],pertain:[10,919],pgp:[905,936],phase:946,phrase:895,physic:[32,39],pick:[20,25,37,904],pid:[4,8,10,918],pid_fil:[4,8,10],piec:[35,265],pin:[369,372,728,731,735,736,737,738,870],pipermail:936,pkc:[21,740],pkcs11:[21,906,917,918,919],pkcs11_modnam:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],pkcs12:21,pkinit:[3,16,23,25,30,40,41,107,649,687,688,689,690,740,906,913,918,919,926,942],pkinit_allow_upn:[20,21],pkinit_anchor:[3,20,21,37,942],pkinit_cert_match:[3,21,37,918],pkinit_dh_min_bit:[20,21],pkinit_eku:21,pkinit_eku_check:[20,21,37],pkinit_ident:[20,21,37],pkinit_ind:[16,20],pkinit_kdc_hostnam:[21,37],pkinit_pool:[20,21],pkinit_require_crl_check:[20,21],pkinit_require_fresh:[20,37],pkinit_revok:[20,21],pkinit_san:21,place:[2,8,14,15,21,26,28,32,33,37,39,43,44,46,48,107,117,229,264,267,279,296,301,336,364,376,404,827,866,906,908,915,921,929,941,946,952],placehold:[903,905],plain:911,plaintext:[116,533],plan:23,platform:[24,885,896,897,904,905,906,918],pleas:[0,15,20,738,936],plu:[20,939,946],plug:919,pluggabl:[21,28,918,923,926,929,934],plugin:[3,20,22,903,906,916,917,918,919,934],plugin_base_dir:21,pnl:21,point:[3,14,15,21,23,32,34,43,330,407,414,827,897,902,906,918,936],pointer:[24,43,44,46,91,135,136,173,198,200,203,209,213,217,220,230,231,256,262,263,322,323,330,332,357,365,366,386,395,407,825,827,832,872,883,920,921,922,923,928,929,931,933,935],pol:[3,19],polici:[3,4,5,6,16,19,20,21,24,25,34,35,169,359,918,926,927,928,935,939,943,944],policy_nam:5,poll:[4,8,20,23,918],pool:14,pop:32,popul:[14,24,44,148,915],popular:34,port:[3,4,7,8,10,12,15,20,21,23,34,36,41,44,48,62,331,524,526,917,953],portabl:897,portiion:919,portion:[21,36,153,266,317,385,410,751,808,813,824,836,875,919],portmapp:23,portnum:10,pose:14,posit:[6,19,28,35,885,914],posix:[6,885,896,911,912,915],possess:[37,939],possibl:[3,5,6,14,15,17,20,21,22,24,25,26,32,34,35,37,38,39,43,46,48,93,166,224,740,900,901,906,918,919,922,923,931,936,939,951],post:[48,897,936],postdat:[3,19,20,267,939,942,943],potenti:[14,32,34,46,902],power:[20,24,25,39,918],practic:[14,21,46,99,287,918],pre:[0,16,20,22,43,48,91,260,329,330,359,363,364,375,380,859,908,911,918,919,929,942],pre_auth_typ:[232,233,234],preauth:[20,672,841,910,918,919,922,931],preauth_list:[254,840],preauth_list_length:[254,840],preauth_plugin:[922,931],preauth_requir:[922,931],preauthent:[3,16,20,21,23,25,28,30,37,41,46,48,250,722,832,845,846,859,876,910,918,923,926,939,942,943],prebuilt:904,preced:[10,14,21,39,914,946,953],precis:33,precomput:48,predefin:39,prefer:[3,21,38,43,236,900,901,918,925],preferred_preauth_typ:21,prefix:[20,39,48,344,904,906,918,924,945,946],preiniti:[117,119,121,296],prepar:[48,79,318,403],prepend:[39,346,420,906],preprocessor:906,prerequisit:908,preselect:942,presenc:[21,910],present:[8,14,16,20,21,22,23,28,34,36,37,43,46,165,245,301,325,333,336,345,354,365,366,373,388,618,711,713,714,884,900,901,910,914,915,918,934,939,943,948,953],preserv:[6,919],presid:919,pressvr:14,presum:901,prevent:[2,3,19,20,21,25,26,29,40,330,521,522,901,918,919,929,938,942],previou:[0,3,21,23,34,37,42,44,156,250,261,279,384,404,419,420,910],previous:[3,6,23,43,48,904,918],prf:[48,118,911,918],primari:[3,4,7,8,9,14,17,20,21,23,24,31,35,38,39,41,43,48,145,897,918,920,929,933,935,936,941,942,947,951,953],primarili:[24,55,949],primary_kdc:21,princ1:[37,348,349,350,362],princ2:[37,348,349,350,362],princ:[3,6,21,49,50,91,92,93,94,388,793,794,795,796,797,798,799,800,911],princ_flag:6,princ_lockout:6,princ_look_ahead:946,princ_meta:6,princ_nam:[37,941],princ_out:154,princ_stringattr:6,princ_tktpolici:6,princip:[2,3,4,5,6,7,8,9,10,11,12,14,16,17,19,20,21,22,24,25,26,28,29,30,31,32,33,36,37,40,41,43,45,46,48,78,141,147,148,153,155,159,166,223,229,235,242,260,264,267,275,300,301,310,315,320,329,333,340,341,342,343,359,363,364,375,403,406,407,408,409,412,414,501,641,648,663,707,709,751,763,825,826,832,836,845,846,850,862,897,898,900,901,907,911,912,914,917,918,920,921,927,928,930,931,932,935,938,939,942,943,944,946,947,948,951,952,953],principal_databas:8,principal_nam:37,principal_out:[344,345],principal_seq:37,principalnam:918,principl:710,princnam:[25,35,40,46,897],princname_out:336,print:[3,6,7,8,361,918,945,946,948],printabl:[365,373],prior:[6,8,14,20,21,23,39,41,43,136,265,919,923],priorit:39,prioriti:[14,20,39,230,897,901,920],priv:[48,918],privat:[21,37,718,906,911,912,918,936],privileg:[3,19,34,43,48,253,918,938,952,953],privsvr:[300,301,342,343],privsvr_kei:[340,341],prng:[121,918],probabl:[6,12,14,34,904],problem:[14,23,330,901,918,936],proce:946,procedur:[6,26,32,34,903,904],proceed:23,process:[3,4,6,8,9,10,14,15,20,21,23,24,25,34,38,43,46,48,136,154,169,355,414,897,900,901,918,921,922,925,928,929,930,931,933,935,942,953],procur:[37,919],produc:[6,21,46,104,124,905,915,922,925,931,943,945],product:[34,919],prof_no_rel:934,profil:[15,18,20,21,48,136,388,897,900,901,903,907,918,919,926],profile_module_init:934,profile_module_init_fn:934,profile_releas:262,profile_vt:934,profit:919,program:[2,3,4,6,8,12,15,20,21,23,26,28,30,32,33,34,37,38,39,41,43,46,56,268,378,901,903,904,905,908,910,917,918,919,939,945,946,953],programm:945,programmat:46,progress:[14,20],prohibit:[3,919],project:[0,701,906,918,919,923,953],promot:[14,919],prompt2:361,prompt:[2,3,5,6,23,34,46,48,260,361,719,720,721,722,870,872,902,918,922,938,939,944,946],prompter:[245,260,263,275,352,870,872,877],prone:918,proof:[48,939],propag:[4,6,7,8,14,17,19,20,21,24,31,35,903,918,919,938],proper:[12,23,37,359,904],properli:[29,34,37,41,896,906],properti:[21,937],propog:8,proponli:[4,23],proprietari:36,protect:[6,15,25,26,32,35,37,40,43,78,247,326,331,740,847,901,918],protocol:[2,3,14,21,23,29,39,43,48,247,301,321,405,674,695,723,832,836,845,846,901,903,916,918,928,939,942,948,953],prototyp:[903,923],prove:[46,912,922,931],provid:[0,3,4,10,15,21,22,23,24,26,28,29,32,34,37,38,39,41,43,46,98,229,359,372,414,896,897,904,906,918,919,921,924,927,930,934,938,946,953],provis:919,proxi:[20,21,25,30,36,39,43,918,939,943],proxiabl:[3,20,21,48,840,939,942,943,946],proxy_imperson:910,pseudo:[48,903],pto:183,ptr:[38,43,197,281,339,353,802,803,832,833,883],pty:[903,919],publish:[38,919],pull:918,punctuat:[3,21,34,944],purg:[3,6,14,918],purge_mkei:23,purgekei:[14,23,37],purpos:[10,15,21,23,26,28,34,906,919,942,949],put:[4,10,34,344,808],pw_expir:6,pwchang:20,pwd:904,pwexpdat:3,pwexpir:[3,19,26],pwqual:[28,918,926],pwqual_plugin:935,pwservic:20,python:[29,908,918],qop_req:43,qop_stat:43,qualif:[21,918],qualifi:[3,15,19,21,23,953],qualify_shortnam:[21,38,918],qualiti:[21,28,918,926,937],queri:[3,21,39,43,46,918],question:[0,20,39,48,368,371,738,739,740,876,877,936],queue:[20,919],quietli:941,quit:[6,32],quot:[3,6,344,406,408,898],quux:21,r13:6,r18:6,r_address:824,rabbit:39,radiu:[20,36,918],randkei:[3,14,23,26,34,37,918],random:[3,6,14,20,21,23,25,34,48,911,915,918],random_data:124,randomli:[2,26],randsourc:120,rang:942,rapidli:15,rare:[24,37,898,900],rassen:919,rather:[3,4,5,6,10,15,20,21,23,32,38,39,56,279,404,897,904,911,924,942],raw:[20,904],rc2:479,rc4:[20,26,918],rcach:[43,71,85,265,323,325,901],rcache2:[901,918],rcmd:21,rcommand:643,rcptr:265,rctmpdir:907,rctx:[46,365,366,367,368,369,370,371,372,373,877],rdata_out:[323,325,326,331,354,356,360],rdn:[21,33,38,43],reach:[20,21,24,164,314,915],react:243,read:[3,5,6,9,11,20,21,22,23,34,35,37,46,48,250,260,262,318,352,371,414,906,914,918,931,934,938,943,953],readabl:[15,21,32,169,898,900,902,918],reader:[21,24],readi:[6,34],readlin:906,readm:[903,905],real:[21,350,385,707,946],realiti:0,realloc:44,realm1:10,realm2:10,realm3:10,realm:[3,4,5,6,7,8,10,12,14,15,16,19,22,24,25,26,29,30,33,34,36,37,38,40,43,44,46,48,49,50,59,60,91,92,93,94,153,214,230,235,251,260,264,267,278,279,284,300,342,344,345,350,359,388,389,403,404,408,502,708,711,712,713,714,716,717,727,795,796,797,798,813,821,825,833,836,845,846,862,865,866,868,869,883,897,906,907,910,911,912,914,917,918,926,933,935,938,939,942,946,951,952,953],realm_try_domain:21,realmlist:214,realmnam:[37,46],realmsp:[230,231],reason:[14,17,21,24,28,33,39,342,896,910,919,938,939,946],reboot:[20,34,902],rebuild:[906,908],receiv:[3,4,8,9,14,20,21,37,39,41,43,48,223,245,273,325,326,330,331,354,356,360,363,374,375,876,921,922,931,932,935,939,953],recent:[2,6,17,20,25,26,37,48,901,912,918,939],recipi:[824,919],recogn:[3,20,21,37,41,942,951],recognit:[918,919],recommend:[5,6,15,17,20,21,23,32,34,39,40,43,904,905,906,936,939,941],recomput:136,reconf:903,record:[6,10,21,33,34,38,39,901,911,914,915,918],recov:[6,918,922],recurs:[6,24,918],recv_hook:380,recvauth:[363,375],red:[692,693,919,953],redhat:918,redirect:[21,34],redistribut:919,reduc:[14,21,33,100,103,288,290,906],redwood:919,ref:5,refcount:918,refer:[3,5,15,19,20,22,23,39,43,45,48,87,89,138,286,307,862,918,919,927,932,946],referenc:[22,910,919],referr:[20,21,39,230,231,343,389,694,703,727,910,918,925,939],referral_valid_until:861,referred_realm:861,reflect:[23,34,100,103,136,158,262,288,290,325,326,331,356,360,911,912],reforward:939,refrain:924,refresh:[15,43,910,918],refresh_tim:910,refus:[12,14,34],regard:919,regardless:[6,19,21,43],regener:908,regent:919,regexp:21,region:[43,114,130,295,299,827],regist:[4,21,23,28,39,919,926,953],registr:21,regress:904,regul:919,regular:[14,21,34,37,43,946],regularli:[17,39],reiniti:[148,918],reject:[12,15,16,20,21,34,166,620,939],reject_bad_transit:20,rekei:14,rel:[20,21,48,898,904,910,946],relai:10,relat:[4,6,20,21,22,28,29,35,37,39,169,826,918,919],relationship:[21,932],releas:[0,3,4,6,8,14,15,16,19,20,21,23,24,25,26,33,35,37,38,39,40,41,43,46,48,68,73,77,82,84,91,93,113,125,126,154,163,176,203,209,214,230,231,265,268,282,294,314,318,344,896,897,901,911,912,914,915,918,921,922,923,924,925,927,928,929,930,931,932,942,948,953],relev:[34,38,78,195,300,911],reli:[15,34],reliabl:24,relianc:21,relinquish:85,remain:[3,4,6,14,20,43,44,245,645,896,897,914,915,918,919,929,931,946],rememb:[34,37,910],remot:[3,4,7,15,20,23,33,38,43,48,62,64,169,223,325,326,331,356,359,360,382,383,525,526,903,918,938,939,946,952,953],remote_addr:[44,64,82,359],remote_port:84,remotehost:949,remov:[2,3,6,20,23,26,28,37,38,48,155,904,918,929,938],renam:[3,906,918,929],rename_sect:934,render:[14,904],renew:[3,5,6,20,21,23,48,846,884,918,930,939,942,943,946,953],renew_lif:[256,840],renew_lifetim:21,renew_til:[825,833,884,910],renewable_lif:942,renprinc:3,reorgan:918,rep:[185,199,327,328,357,358,807,832,845,860],rep_cksum:861,rep_result:375,repeat:[6,20,21,34,847,910,924],repl:357,replac:[3,5,21,23,28,34,70,75,94,186,188,190,191,196,197,225,226,232,233,234,281,351,353,411,906,914,918,919,922,942],replai:[21,43,48,78,323,325,326,331,354,356,359,360,521,522,875,897,899,907,913,917,918,953],repli:[12,26,46,107,245,258,267,279,352,357,358,380,381,404,730,845,865,866,870,911,918,922,931,942],replic:[8,34],replica:[4,6,7,8,9,14,15,17,20,21,23,31,32,35,41,903,918],replica_datatran:[7,34,917],replica_datatrans_hostnam:23,replica_dumpfil:8,replica_host:7,replicahostnam:8,reply_out:866,report:[6,38,903,918,936,942,948],repositori:908,repres:[3,21,34,43,158,885,896,900,911,919],represent:[21,43,48,344,345,398,407,408,813,832,845,846,883,896,910,914,919],representaton:807,reproduc:919,req:[21,26,37,245,329,330,359,504,846],req_pac:253,request:[3,4,6,8,9,10,14,15,16,19,20,21,22,23,24,25,28,33,35,36,37,38,40,43,46,48,153,166,195,223,224,229,235,241,253,260,267,276,277,330,359,378,403,503,505,506,619,674,695,752,759,760,807,809,832,846,854,898,900,901,910,911,912,918,921,922,924,930,931,936,939,942,946,948,953],request_fini:922,request_init:922,request_tim:882,requested_principal_nam:861,requestor:660,requir:[3,4,6,8,9,12,14,15,16,20,21,22,23,24,25,26,28,32,34,35,36,37,38,39,40,43,46,48,98,112,116,117,236,241,247,248,301,323,325,326,331,354,356,360,544,738,862,877,896,897,904,905,906,908,911,918,919,921,924,931,934,939,944,952,953],require_auth:[3,16,918],requires_hwauth:[3,931],requires_pre_auth:23,requires_preauth:[3,5,14,23,25,35,37,40],requires_pwchang:5,requisit:908,research:919,resembl:740,reserv:[909,919],reset:[3,9,35,46,157,386,918],resid:[15,39,46,902,919,951,952],residu:[21,39,152,317,897,901,932,934,953],resiz:407,resolut:[15,33,38,43,230,918,946],resolv:[15,33,48,260,317,897,906,918,943,946],resourc:[43,46,904,916,918],respect:[3,11,34,82,84,224,344,898,918,919,924,938],respond:[4,48,367,368,369,370,371,372,731,738,739,740,876,877,918,931],respons:[3,4,37,40,46,85,166,229,245,279,357,404,503,505,543,565,739,759,761,807,846,882,918,919,922,925,931,942,949,953],rest:[28,906],restart:[12,14,19,20,23,24,34,37,41],restor:[6,23,918],restrict:[3,5,14,19,21,23,48,224,919,928,930,942,946],restrict_anonymous_to_tgt:[20,37],restructuredtext:0,resubmit:942,result:[0,14,15,21,23,37,39,40,41,43,46,48,99,102,107,117,124,144,156,158,189,195,228,287,289,296,320,375,376,403,405,406,407,420,906,910,911,915,918,919,920,924,925,930,931,932,939,946,948],result_cod:[166,382,383],result_code_str:[166,382,383],result_str:[166,169,382,383],resum:23,resync:[4,9,23,918],resynchron:9,ret:[46,347],ret_as_repli:[232,233,234],ret_princ:389,ret_valu:[59,60],retain:[2,3,14,20,23,919,928,930,952],retir:[13,23,918],retransmit:906,retri:[20,36,38,39],retriev:[3,6,23,24,41,43,44,46,48,158,271,310,366,375,400,403,876,918,919,948],return_padata:931,return_pwd:361,retval:[49,50,51,53,55,56,61,62,63,64,65,66,67,68,69,71,72,73,74,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,121,124,125,126,129,130,132,133,134,135,137,139,141,142,145,147,148,149,150,151,152,153,155,156,157,158,159,160,161,162,163,164,165,166,167,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,231,235,236,238,248,260,261,262,264,265,266,267,268,271,272,273,274,275,276,277,278,279,280,282,285,286,287,288,289,290,294,295,296,298,299,300,301,302,303,304,305,306,308,310,311,313,314,315,316,317,318,319,321,322,323,324,325,326,327,328,329,330,331,332,333,335,336,337,338,339,342,344,345,347,348,349,350,352,354,355,356,357,358,359,360,361,362,363,364,373,374,375,376,377,378,382,383,384,385,387,389,390,391,392,394,395,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,923],reus:23,rev:[6,24],revers:[6,15,21,33,43,919,943],review:905,revis:[918,919],revoc:[20,21],revok:[20,21,35],rfc4120:29,rfc:[14,20,21,39,43,48,320,382,383,412,442,443,446,447,448,450,451,458,459,460,461,462,463,464,465,466,511,540,542,600,664,667,668,669,670,671,672,673,675,676,677,678,680,681,682,683,686,687,689,691,698,701,703,705,738,901,910,911,912,915,918,922,924],rhost:223,ricciardi:42,richard:919,ride:20,right:[5,19,20,100,103,288,290,827,909,915,919],risk:[14,23,26,30,46],rkt:11,rlen:[91,92,93,94],rlogin:946,rnd:38,roam:21,robbi:953,robin:15,robust:918,rock:[922,931],roll:23,rollback:14,rollov:[6,23],root:[8,12,14,15,17,19,20,21,32,34,902,906,938,946,951,952,953],rotat:[26,38],round:[40,918,931],rout:34,routin:[21,870],royal:919,royalti:919,rpath:[904,906,945],rpc:[20,21,23,43,48,616,903,918,919],rpcbind:23,rsa:[37,477,480,481,482,919,942],rst:908,rtime:846,rule:[3,19,21,23,28,38,39,43,154,946,948,951,952],run:[3,4,6,8,9,10,12,14,15,20,21,23,24,26,28,32,33,34,37,39,41,897,904,905,906,908,917,918,941,943,946,953],runstatedir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],runtim:917,s2kparam:48,s2kparams_out:229,s4u2proxi:[20,43,910,918],s4u2self:[20,43,343,918,948],s4u:918,s4uself:20,s_address:824,safe:[28,48,741,896,918],safer:938,safest:939,sai:901,sake:946,sale:919,salt:[2,3,6,11,20,23,25,48,125,126,393,840,918],salt_out:229,salt_type_afs_length:789,salt_type_no_length:789,salttyp:[6,20,26,374],salttypep:394,sam:[696,698,699,918],samba:[28,918],same:[3,4,5,10,12,19,20,21,23,24,28,36,39,43,52,53,91,101,105,107,136,138,151,155,171,180,228,250,270,271,275,279,307,348,349,350,362,388,847,897,901,906,918,923,924,938,942,946,948],sampl:[12,15,22,34,903,919,938,939,946,949],san:[20,21,918],sandia:919,sasl:[3,5,20,22,38,43,918],sasl_authcid:3,sasl_authzid:3,sasl_mech:3,sasl_nocanon:38,sasl_realm:3,satisfactori:25,save:[37,40,66,83,528,529,911,918,931],sbin:[8,12,34,906,917],sbindir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],scalar:911,scenario:[14,918],schedul:[14,23],schema:[22,24],scheme:39,sclient:[12,937,940],sclogin:20,scope:5,screen:939,screensav:939,script:[3,4,10,34,903,904,906,918],search:[5,20,21,38,48,151,153,195,224,315,897,904,915,918,941,947],search_scop:5,searchscop:5,sec:[48,813,836,898],second:[3,10,20,21,23,28,36,37,39,43,44,52,53,105,153,223,228,266,267,322,348,349,350,361,362,385,386,388,410,745,808,824,826,846,875,885,896,898,901,910,911,914,915,923,924,939,942,946,953],second_ticket:[826,846,910],secondari:34,secret:[3,20,21,36,43,46,850,938],secretari:919,section:[3,10,19,22,23,28,33,34,35,37,39,41,43,48,119,320,412,600,681,682,683,901,904,905,910,911,915,918,934,935,946,951],sector:6,secur:[3,7,14,15,20,21,23,25,30,31,34,37,39,41,43,46,250,325,564,902,903,918,919,936,939,953],securecooki:911,securid:[669,918],sed:906,see:[14,15,17,22,23,24,26,28,32,34,35,36,39,43,46,97,99,100,102,103,108,113,114,130,131,168,229,262,287,288,289,290,294,295,299,320,359,393,403,412,413,414,600,738,897,898,901,902,903,904,906,908,909,910,918,919,920,921,922,923,925,926,927,928,929,930,931,932,933,934,935,936,938,939],seed:[131,331,413,915],seed_length:[131,413],seen:901,segment:39,select:[6,14,21,23,28,43,46,48,117,296,359,369,897,906,918,924,926,942,946,951],self:21,sell:919,semant:46,semfiajf42:20,send:[0,4,15,20,21,23,25,26,32,34,41,48,229,245,325,363,375,380,901,903,906,918,936,938,942,953],send_hook:381,sendauth:[12,34,48],sender:[325,326,331,356,360,824],sensit:250,sent:[6,20,25,36,37,41,43,325,375,381,866,901,904,911,918,931,939],sentenc:34,separ:[0,3,5,6,10,16,19,20,21,22,23,24,25,28,39,50,301,344,346,420,731,905,906,911,918,924,934,938,953],seq:875,seq_numb:[808,813],seqnumb:[69,74],sequenc:[25,37,48,66,78,80,83,325,326,327,331,356,358,359,360,521,528,808,813,875,902,910,911,914,924],sequence_count:873,sequenti:[48,314,815],seri:[48,915],serial:[9,43,48,405,918],serv:[4,10,21,23,918],server1:5,server:[2,3,4,5,6,7,8,9,10,12,16,18,20,21,22,23,24,25,28,29,30,31,34,36,37,38,39,43,46,48,159,166,223,224,264,267,300,301,333,342,343,359,375,382,383,414,504,617,661,730,760,807,825,826,832,836,846,883,897,900,901,903,907,910,917,918,919,920,926,927,939,945,946,948,949,951],server_kei:[340,341],server_port:12,server_princ:[300,301],server_str:169,serverauth:21,servic:[2,3,5,8,10,12,15,16,19,20,21,22,23,24,28,29,31,32,33,34,43,48,166,224,235,245,260,264,267,301,329,330,363,382,414,643,644,645,738,878,897,901,903,910,918,919,920,925,933,939,942,948,951,953],service1:948,service2:948,service_loc:933,service_nam:942,service_passwd:5,sesam:[46,701],session:[3,14,15,21,23,33,34,43,46,48,224,320,325,330,354,412,439,440,813,825,826,832,833,897,901,918,939,943,948,953],session_enctyp:[3,23,918],set:[0,3,4,5,6,14,15,16,18,19,20,21,22,23,24,25,26,28,29,31,32,33,34,35,37,38,39,40,41,43,44,46,48,62,68,69,73,74,77,78,98,102,145,153,154,161,164,203,209,224,229,253,279,280,286,289,301,305,317,325,326,331,352,354,356,359,360,361,369,373,377,387,404,407,408,409,420,546,731,747,865,866,876,897,898,901,906,918,921,924,931,932,938,939,941,942,943,946,952,953],set_cooki:[918,931],set_str:[23,26,36,37],setstr:[3,16],setuid:[41,918,953],setup:[23,34,904,918],sever:[3,15,16,20,21,23,24,37,39,897,903,906,910,923,953],sfu:684,sha1:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],sha256:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],sha2:[3,20,918],sha384:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],sha:[14,20,918],shall:919,share:[0,14,21,23,28,46,330,906,923,924,934,938],sharealik:919,sharp:19,she:[939,952],shell:[3,5,23,34,41,918,938,939,945,951],shorter:21,shortest:192,shortli:[33,938],shortnam:[21,918],should:[0,2,3,4,5,6,10,12,14,15,17,20,21,22,23,24,25,26,28,29,32,33,34,37,38,39,43,46,71,85,144,152,223,245,249,255,269,279,308,317,325,327,330,342,359,361,365,366,404,740,860,865,866,885,896,897,898,902,904,906,910,912,918,919,920,921,922,923,924,928,929,930,931,933,934,935,938,939,942,946,948,953],show:[2,6,20,41,870,897,908,917,939,943],shown:[20,21,897],shrubberi:42,shutdown:24,sick:919,sid:[21,638,639,660],side:[23,43,363,375,901],sighup:[10,41],sign1:43,sign2:43,sign:[3,19,20,21,32,37,41,43,48,896,905,912,914,918,942,953],sign_authdata:918,sign_onli:43,signal:10,signatur:[48,412,476,477,482,905,924,934],signedpath:[3,20,918],signific:[25,35],silent:943,similar:[6,21,22,26,29,43,92,105,113,114,126,129,130,246,294,295,296,298,299,326,329,343,345,349,364,407,408,417,419,918,923,933,939,946],similarli:[15,344,740,939],simpl:[5,12,17,23,107,421,897,901],simplest:[28,43,897,904],simpli:[28,36,37,40,43,46,739,904,924,938,939],simplifi:[251,918],simul:946,simultan:847,sinc:[3,12,14,17,21,22,23,37,48,330,735,885,896,910,924,931,952,953],singl:[0,3,14,15,20,21,24,26,28,32,34,37,39,40,43,46,48,189,320,345,409,710,897,906,918,931,946],siphash:915,site:[15,23,34,39,918,939,942,952],situat:[14,20,24,28,39,948],size:[9,20,21,23,24,37,41,48,97,98,100,103,114,116,130,186,190,288,290,295,299,361,407,409,827,906,914,915,918],size_return:361,size_t:[95,96,98,100,103,104,112,114,116,118,130,131,168,170,186,187,190,191,192,193,280,288,290,295,299,337,339,369,374,397,398,413],sizeof:[43,46,934],skei:[20,826],skew:[48,267,356,360,931,942],skip:[22,23,37,414,416],slack:39,slash:[344,953],slat:923,slightli:906,slot:[11,21,300,915],slotid:21,slower:[14,24],small:56,smaller:[21,914],smard:21,smart:[20,21,918],sms:19,smtp:642,sname:[389,948],sni:918,sock_dgram:933,sock_stream:933,socket:[20,21,36,48,375,917,933],soft:918,softwar:[14,15,21,24,25,28,42,46,906,919,936],solari:[31,904,906,918],solaris9ab:42,sole:[21,28],solut:34,some:[2,3,6,14,20,21,23,24,28,29,31,34,37,38,39,41,46,48,99,151,154,287,389,766,897,898,901,903,904,905,906,907,915,917,918,923,924,927,934,936,938,939,942,951,953],someon:[17,21,34,938,939],someprinc:23,someth:[12,14,20,38,901],sometim:[23,25,38,942],somewhat:[37,901],song:919,sophist:46,sort:38,sourc:[0,10,22,23,28,34,39,42,43,904,905,906,916,919,923,927,934,936,946],source_cache_nam:946,source_us:946,southern:919,space:[3,16,20,24,37,38,56,99,102,117,119,121,287,289,296,306,346,361,407,420,898,905],spake:[20,21,25,30,918,919],spake_preauth_group:[20,21,40],spake_preauth_ind:20,spake_preauth_kdc_challeng:[20,40],sparc:918,spars:915,spawn:4,special:[20,23,28,35,43,408,648,715,897,918,919,924,942],specif:[3,4,6,8,10,14,18,19,20,21,24,26,34,39,43,48,49,56,155,301,315,317,363,364,410,740,897,898,900,906,908,915,918,919,923,928,933,939],specifi:[3,4,5,6,7,8,9,10,11,14,15,16,18,19,20,22,23,28,29,34,36,37,39,43,46,48,92,93,99,100,102,103,113,125,129,224,227,229,235,260,264,267,287,288,289,290,294,298,310,315,318,325,326,331,344,345,356,359,360,375,383,414,752,897,901,906,911,912,918,924,931,939,941,942,943,944,945,946,947,948,953],speed:[22,25],sphinx:908,sphinx_arg:908,spi:924,split:[3,39,918],spnego:[918,919,924],spnego_mech:919,spoof:[21,25,39],sprecif:905,spuriou:918,sqlite3:6,sqlite:6,squar:[20,21,28],src:[22,148,904,906,908,919],src_ctx:179,src_name:43,srcdir:908,srv:[21,33,34,39,918],srvtab:11,ss_lib:906,sscope:5,sserver:[1,949],ssh:[15,33,939,952,953],sshd:21,sshing:953,ssl:[29,37],sspi:918,stabl:[918,928,929,930,935],stage:[14,911,929],stai:3,stale:[0,21,26],stamp:[6,9],stand:34,standalon:[8,41,918],standard:[3,6,9,14,20,37,41,43,900,918,919,945],start:[0,3,4,6,8,10,14,15,19,20,21,23,24,26,31,37,41,48,825,833,846,884,897,902,904,912,918,939,946],start_realm:910,start_tim:[235,260,275,942],starttim:[884,910],startup:[34,918],stash:[3,5,10,14,20,22,23,34,41,899,917],stash_fil:6,stashfilenam:[5,6],stashsrvpw:[3,20,22],state:[6,9,14,20,34,46,48,78,99,100,102,103,287,288,289,290,847,911,917,918,919,920,922,923,925,928,929,931,932,933,934,935],statement:919,statu:[3,837,918,919,921,924,943,946,948],stderr:[20,953],stdin:352,stdlib:934,stdout:[41,352],stduser:23,step:[6,14,22,23,34,37,946],steve:953,still:[3,4,6,10,14,20,21,23,32,33,34,35,39,148,269,918,942,946,948],stime:836,stockholm:919,stolen:939,stop:[4,10,24,923],storag:[46,48,57,58,82,84,159,170,187,192,193,280,361,374,398,897],store:[2,3,4,5,6,8,14,15,17,20,21,22,23,24,26,34,37,46,48,80,99,100,102,103,224,235,250,287,288,289,290,325,326,330,331,356,359,360,361,407,414,549,731,840,897,900,901,904,907,910,915,918,935,939,942,943,946,948],str:43,strategi:35,strcmp:934,strdup:934,stream:[8,12,20,34,36,43],strength:918,strengthen:14,strict:919,strictli:34,string2kei:14,string:[3,5,6,16,19,20,21,23,25,26,28,34,36,37,39,43,46,48,101,166,169,192,228,229,258,264,267,278,336,346,365,373,379,382,383,417,418,419,420,738,739,740,821,826,837,868,869,889,897,898,901,906,918,919,921,923,924,931,932,934,942,946],strip_realm:[20,36],strlcpy:919,strlen:[43,46],strong:[16,122],stronger:[14,16,21,26],strongest:26,strptime:919,struct:[43,48,51,262,269,805,807,808,809,810,811,813,816,817,818,822,823,824,825,826,827,829,831,832,833,834,836,840,841,842,845,846,847,848,849,850,854,859,860,861,862,863,869,870,873,874,875,876,878,879,880,881,882,883,884,886,887,889,890,891,894,895,928,934],structur:[43,46,47,48,92,100,103,135,156,169,173,182,212,221,237,240,241,242,243,244,245,249,252,253,254,255,257,258,259,269,275,280,282,288,290,322,324,334,345,355,356,365,368,371,375,389,414,416,421,538,805,811,823,826,827,836,863,883,890,896,922,923,928,930,931,933],studio:918,style:[3,21,39,417,418,419,638,640],sub:[5,21,903],subcommand:14,subdirectori:[21,28,903,908,917],subdomain:[21,39,951],subject:[0,20,21,23,37,919],subjectalternativenam:21,subjectaltnam:37,subjectkeyidentifi:37,subkei:[48,80,325,354,359,808,813],sublicens:919,submit:[26,43],subprocess:10,subregion:43,subschema:22,subscrib:936,subsect:[16,20,21,22,24,25,28,29,35,37,40],subsequ:[9,10,14,24,136,275,279,404,919],subsess:[26,330,440],subset:[39,903],substanti:919,substhtml:908,substitut:[21,34,37,919],subsystem:906,subtag:21,subtre:[3,5,20,22],subtree_dn_list:5,succe:[20,21,34,43,46,414],succeed:[12,34],success:[3,6,8,20,24,25,35,46,49,50,56,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,121,122,124,125,126,129,130,132,133,134,135,137,141,142,144,145,147,148,149,150,152,153,155,156,157,158,159,161,162,163,164,166,167,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,231,235,236,238,248,260,261,262,264,265,266,267,268,271,272,273,274,275,276,277,278,279,280,282,286,287,288,289,290,294,295,296,298,299,300,301,302,303,305,306,308,310,311,314,315,316,317,318,321,322,323,324,325,326,327,328,329,330,331,332,333,335,336,337,338,339,342,344,345,347,352,354,355,356,357,358,359,360,361,363,364,374,375,376,377,378,382,383,384,385,389,390,391,392,394,395,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,416,621,837,901,922,925,935,946,948],successfulli:[3,6,12,35,43,46,245,301,416,865,866],sudan:919,sudden:20,suffici:[3,5,14,24,906],suffix:[21,28,38,43,906,918,953],suggest:[0,245],suit:[34,903,904,918],suitabl:[6,904,906,918,919,939],summar:943,summari:[8,9],sun:919,suncc:906,sunw_dbprop_en:23,sunw_dbprop_master_ulogs:23,sunw_dbprop_slave_pol:23,sunwaadm:42,supersed:[10,14],supervisor:10,supplement:20,suppli:[3,11,43,46,48,223,245,258,262,267,276,277,278,331,342,372,373,386,735,736,876,906,922,923,931],support:[3,4,6,8,10,11,20,21,22,23,24,25,26,37,39,40,43,46,48,153,161,247,253,378,386,387,544,756,897,899,903,904,905,906,910,911,915,918,919,922,923,924,931,936,942],supported_enctyp:[14,20,26,34,918],suppos:[939,952],suppress:[3,6,20,906,918,941,946,948],sure:[3,5,12,14,15,22,23,26,33,41,938,939,942],surpris:14,surround:28,surviv:[20,897],susec:836,swap:[34,39],sweden:919,symbol:[6,344,901,904,905,908,917,923,924],symmetri:20,synchron:[9,14,15,21,24,34,41,48,271,403,730,918,931],syntact:21,syntax:[20,21,37,918],synthes:[381,865],synthet:[380,910],syria:919,sysadv6:42,sysconfdir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],syslog:[20,21,34,923],system:[3,6,14,15,19,20,21,24,29,32,33,34,35,36,37,38,41,43,46,48,56,136,147,169,282,382,383,385,396,694,697,700,876,897,902,903,904,905,918,919,923,932,936,938,939,941,942,952,953],systest:3,t_mddriver:919,tab:[3,6,344,918],tabdump:[26,918],tabl:[3,6,23,48,276,307,308,313,359,363,414,850,900,903,905,906,908,915,917,918,943],tabular:[6,918],tag:[20,21,34,910,915,924],tail:34,take:[10,14,19,20,21,23,25,26,28,32,39,41,43,46,91,124,126,325,376,731,827,898,915,918,920,929,938,939,946],taken:[6,14,39,245,901,915],talk:901,tamper:43,tape:32,tar:[904,905],target:[19,21,34,43,897,910,918],target_nam:43,target_princip:19,target_principal_nam:946,target_us:946,target_user_login_nam:946,task:[14,46,91],tcl:918,tcp:[8,10,12,15,20,21,23,29,34,37,39,279,404,918,933],team:936,teardown:904,technet:42,techniqu:[40,46],technolog:[909,919,953],tekniska:919,telegraph:919,telephon:919,tell:[4,10,938,939,945],telnet:[21,643,946],temp:21,templat:903,temporari:[3,21,34,37,900,901,917,918,953],temporarili:3,ten:[33,939],tend:15,term:[3,14,23,25,26,37,41,739,897,900,918,919,922,931,948],termin:[4,10,48,173,195,220,230,231,240,261,325,352,354,361,366,407,903,934,946],ters:3,test1:[3,898],test2:[3,898],test3:[3,898],test4:898,test:[3,9,10,12,14,21,37,48,903,906,908,918,919,942,949],test_html:908,testdir:41,testus:3,texinfo:0,text:[6,23,28,36,37,46,169,365,827,836,870,911,945],tgt:[3,14,20,23,26,37,46,48,220,342,343,910,911,918,939,946],than:[3,4,5,6,10,12,14,15,19,20,21,23,24,25,26,28,32,35,37,38,39,43,53,56,230,279,375,404,897,901,904,911,914,915,918,922,924,938,942],thei:[3,6,9,14,15,20,21,28,33,34,37,38,39,41,43,46,229,325,375,731,847,896,897,900,904,906,910,918,931,938,939,950,953],them:[3,14,15,20,22,23,24,25,29,32,34,37,39,41,46,82,84,253,330,344,403,731,897,904,906,918,919,923,924,934,939,941,953],themselv:6,theodor:919,theori:919,therebi:952,therefor:[22,23,25,39,910,931],thereof:919,thi:[0,2,3,4,5,6,8,9,10,11,12,14,15,17,19,20,21,22,23,24,25,26,27,28,32,33,34,35,36,37,38,39,40,41,43,46,48,49,50,55,57,58,59,60,61,62,67,68,69,71,72,73,74,76,77,78,81,82,84,85,86,87,88,89,92,93,98,99,100,101,102,103,104,105,107,113,114,116,117,119,120,122,123,124,125,126,129,130,133,136,137,139,141,144,148,150,151,153,156,157,158,159,167,169,171,172,173,174,175,177,178,180,181,182,183,192,194,195,198,199,200,201,202,203,205,206,207,208,209,212,215,216,221,228,235,236,241,243,245,246,252,253,254,258,260,261,262,264,265,266,267,270,271,272,275,276,277,278,279,287,288,289,290,294,295,296,298,299,301,308,317,320,323,324,325,326,327,329,330,331,333,334,342,343,345,352,355,356,357,358,359,360,361,363,364,368,371,373,375,376,378,380,382,383,385,386,387,389,396,400,401,403,404,407,408,410,412,414,416,417,419,728,729,730,731,735,736,737,739,832,850,884,885,896,897,901,902,903,904,905,906,910,911,915,916,917,918,919,920,922,924,926,928,929,930,931,932,934,935,936,938,939,941,942,943,945,946,948,952,953],think:[38,923,938],third:[21,28,36,37,910,918,919,953],thorough:39,those:[3,6,14,19,21,23,25,26,34,39,43,46,906,908,914,918,919,922,924,927,928,931,948,952,953],though:[14,904,939],thousand:24,thread:[24,847,897,906,918],threadsaf:285,three:[14,24,26,35,39,40,375,910,918,939,953],threeparamopen:789,through:[15,16,20,21,23,24,28,29,33,34,35,39,46,230,282,386,387,416,910,915,918,929,938,939],throughput:[20,24],thu:[23,901,906,946],ticket:[2,3,5,6,12,14,15,16,19,20,21,22,26,28,33,34,35,36,37,38,39,41,43,46,48,153,159,183,195,223,229,235,247,260,264,267,322,330,333,342,359,363,364,375,545,548,551,652,662,745,760,809,813,823,825,826,832,833,845,846,883,884,886,897,898,910,918,921,922,930,931,936,937,938,941,942,943,946,948,949,952,953],ticket_authdata:195,ticket_flag:[5,826,910],ticket_info:824,ticket_lifetim:[21,33],tied:929,tightli:[14,28,32,902],till:846,time:[0,2,3,5,6,9,10,14,15,19,20,21,22,23,24,26,28,34,35,36,37,39,41,43,44,48,136,158,224,228,235,245,260,275,356,359,360,398,735,752,753,808,824,825,826,832,833,846,850,884,896,897,899,901,902,906,907,910,911,915,917,918,919,924,930,938,939,942,943,946,953],time_offset:10,time_rec:[43,918],time_req:43,time_t:[6,885,896],timeofdai:410,timeout:[14,20,36],timeret:396,timestamp:[6,11,14,21,25,37,40,48,66,83,325,326,331,336,342,343,356,360,396,522,529,671,824,850,854,875,885,896,900,901,910,911,912,914,915,918,931,943],timestampp:395,titl:[903,919],tkt:826,tkt_flg_anonym:789,tkt_flg_enc_pa_rep:789,tkt_flg_forward:789,tkt_flg_hw_auth:789,tkt_flg_initi:789,tkt_flg_invalid:789,tkt_flg_may_postd:789,tkt_flg_ok_as_deleg:789,tkt_flg_postdat:789,tkt_flg_pre_auth:789,tkt_flg_proxi:789,tkt_flg_proxiabl:789,tkt_flg_renew:789,tkt_flg_transit_policy_check:789,tkt_life:[259,840],tktpolici:[3,5,23],tls:22,tlyu:3,tmp:[3,21,34,901,907,917,939,946,953],tmpbuild:904,tmpdir:[901,953],tmppolici:5,todd:919,todo:938,togeth:15,token:[16,20,21,46,368,598,729,730,731,733,736,737,913,918,924,931,942],token_flag:881,token_id:879,token_len:43,tokenid:738,tokeninfo:[369,738,878],toler:21,tom:3,tomorrow:23,too:[3,23,56,100,103,119,267,288,290,306],tool:[6,23,903,905,918,923],toolkit:903,top:[10,39,897,904,905,908],top_srcdir:908,topic:[0,30,34],topolog:4,tort:919,tortiou:919,total:[20,25,915,942,946],toward:[0,23],tr_content:890,tr_type:890,trace:[48,889,918,953],trace_log:41,track:[3,6,9,35,901,936],trademark:919,tradit:[6,35],traffic:29,trail:[20,38,946],trailer:[43,48,538],transact:[24,953],transcript:911,transfer:[4,23,37],transform:906,transit:[20,21,24,359,541,550,674,695,833,890,939,942,943,948],transitori:14,translat:[21,56,918],transmiss:17,transmit:[23,43,279,404,918,931],transpar:953,transport:[23,39,279,404],travers:6,treat:[3,21,36,38,43,54,342,350,709,885,910,942,948],treatment:39,tree:[0,22,23,24,34,905,906,908,924,927,934],tri:[20,21,25,44,359,414,918,925],trigger:901,trillium:[15,32,939],trim:[99,287],trip:[40,918,931],tripl:[14,20,26,918],trivial:[25,918],troubl:42,troubleshoot:[30,34],true_principal_nam:861,truncat:[915,939],trust:[20,21,29,37,43,268,942],tryagain:922,tty04:20,tty:5,tune:[22,39],tupl:3,turn:[8,21,24,33,35,40,352,361,906,946],twice:[3,24,34,910,929,938,944],two:[3,18,20,21,23,24,26,28,34,35,37,38,48,53,361,898,910,911,914,918,920,924,932,939,942,946],txt:[6,34,39],type:[2,3,5,6,10,15,16,21,23,25,28,30,32,34,38,39,46,48,91,93,95,98,99,100,102,103,104,108,112,113,114,115,116,124,125,126,129,130,151,152,153,161,163,184,189,195,223,224,229,280,287,288,289,290,294,295,298,299,310,311,315,317,331,333,335,344,389,421,500,541,647,678,750,756,800,813,821,827,832,854,856,859,868,869,883,885,890,891,896,900,904,907,910,911,912,914,915,918,920,922,923,924,927,928,929,930,931,932,933,934,935,938,939,942,943,946,948,952,953],typedef:[43,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895],typic:[4,15,20,21,26,33,38,39,43,46,98,253,908,917,920,922,923,928,929,931,935,942,948],u2u:948,ubuntu:[42,918],ucb:946,udp:[10,15,20,21,29,39,279,404,918,933],udp_preference_limit:21,uid:[21,43,897,901,917,946,952,953],uid_t:43,uidnumb:897,uint16_t:892,uint32_t:[885,893,896],uint8_t:858,uint_max:[769,770,788],ulog:[20,23],umich:919,unabl:[17,21,23],unalloc:280,unam:28,unambigu:245,unansw:877,unauthent:32,unavail:[23,34,39],unchang:[3,14,946],unclean:24,uncommon:901,uncondition:[228,906],unconfigur:[39,908],undefin:946,under:[3,5,6,10,20,21,22,38,155,159,901,904,915,918,919],underli:43,underneath:22,underscor:[21,919],understand:46,undertaken:0,unenc_authdata:846,unencapsul:918,unencrypt:[32,356,813,823,845,846],unescap:6,unexport:924,unfinish:931,unicod:919,unifi:0,unimpl:923,unimport:910,uninterrupt:14,uniqu:[3,43,48,265,414,644,646,897,924],unit:[898,919,939],univers:919,unix:[6,15,20,21,28,31,36,43,923,924,934],unkei:46,unknown:[12,38,41,616,910,948],unless:[2,3,6,11,14,19,20,21,26,28,32,34,43,315,386,414,416,901,902,918,932,946,950],unlik:[14,23,40,897,901,918,924,939],unlimit:919,unlink:6,unlock:[23,35,918],unlockit:[3,20,23,24],unmodifi:[919,946],unnecessari:23,unpack:905,unpars:[43,48,407,409],unpleas:14,unport:919,unprint:3,unqualifi:33,unquot:6,unrecogn:906,unrestrict:[32,902],unser:43,unset:[43,48,171,953],unsign:[91,92,93,94,97,111,116,120,279,311,361,404,407,409,805,811,814,818,829,848,853,857,859,891,896],unspecifi:[21,953],unstabl:929,unsuccess:37,unsupport:[37,906],unswapp:897,untest:906,until:[3,6,14,21,23,43,896,897,901,906,915,918,939],untrust:[43,953],unus:[149,265,352,375,918],unusu:[28,37],unwrap:[43,48],updat:[2,4,6,8,9,14,20,21,22,24,26,34,35,99,100,102,103,224,287,288,289,290,697,700,906,911,918,927,936],update_princ_encrypt:[14,23],update_rel:934,upgrad:[21,23,26,34,39,918],upn:[20,21,350,637,639,707,918],upon:[6,8,946],upper:[3,19,39,944],uppercas:[21,932,953],upstream:[23,906,918],upstreamhostnam:23,uri:[3,5,20,21,33,34,39,918],url:[20,24,29,39],usa:919,usabl:48,usag:[20,21,37,43,99,100,102,103,108,113,114,129,130,287,288,289,290,294,295,298,299,847,896,911,912,945,946],usc:946,use:[0,3,4,5,6,7,8,14,15,16,20,21,22,23,24,25,26,28,29,33,34,35,36,37,38,39,40,41,43,46,48,55,78,105,223,236,268,275,315,329,344,359,375,389,403,407,414,865,866,884,896,901,903,904,905,906,908,910,914,917,918,919,920,921,922,923,924,927,931,934,935,936,938,939,942,945,946,948,952,953],use_mkei:[14,23],usec:[813,824,836,875],used:[2,3,4,5,6,7,8,9,10,11,12,14,15,16,18,19,20,21,22,23,24,25,26,28,34,36,37,38,39,40,41,43,46,56,81,98,100,103,121,129,144,223,224,227,228,229,235,241,247,248,254,258,260,264,267,277,288,290,298,315,321,325,326,327,329,330,331,344,345,352,356,359,360,375,403,405,414,416,740,825,847,856,866,870,885,896,897,900,901,902,903,910,911,914,915,917,918,919,921,922,923,924,925,931,934,936,939,941,942,943,944,945,946,948,950,951,953],useful:[8,9,25,26,33,39,69,74,897,901,906,919,936,945,948,949,953],useless:14,user:[0,3,5,6,8,14,15,16,19,20,21,22,23,25,26,33,34,35,36,37,38,39,41,43,48,56,90,136,169,224,227,326,330,331,333,361,551,641,663,730,737,870,897,898,901,903,904,906,908,916,917,918,919,922,935,936,938,939,941,942,944,946,948,951,952,953],user_dn:5,userconfig:21,userdata:[326,331],userdata_out:[356,360],userid:[21,906],usernam:[3,12,21,34,36,37,43,319,674,939,942],userok:932,userpolici:5,userprincipalnam:20,uses:[2,3,4,14,15,18,19,20,21,22,23,24,26,28,35,36,37,39,40,43,45,101,246,329,382,383,406,417,419,885,897,901,910,911,912,914,918,924,934,944,945,953],using:[3,6,11,12,14,15,16,18,19,20,21,22,23,24,25,26,28,29,33,34,36,37,38,39,40,41,43,46,48,113,117,125,129,156,228,247,250,267,279,294,298,300,325,327,331,344,354,359,366,375,378,404,618,876,897,900,905,906,908,910,912,915,918,923,924,925,931,932,938,939,942,943,946,948,949,951,952,953],usr:[5,8,12,20,21,34,906,908,917,945,946],usual:[3,10,12,20,21,23,25,35,37,39,46,99,287,897,900,906,910,923,939,948,953],utc:23,utf:[46,350,365,373,709,918,919],util:[22,34,39,47,904,906,919,941,953],uucp:20,v4_instance_convert:21,v4_realm:21,v4cred:51,v5cred:51,va_list:[48,92,94],vagu:906,val:[198,199,200,201,202,203,204,206,207,208,209,211,212,215,218,219,221,222],valid:[20,21,23,39,43,48,66,83,109,124,129,153,160,224,235,248,260,269,275,298,301,330,333,342,343,345,350,359,365,366,408,414,884,897,898,903,910,914,918,930,939,942,948,952,953],valid_int_bit:789,valid_uint_bit:789,valu:[3,5,6,10,14,16,19,20,21,22,23,24,25,26,28,33,34,36,37,38,39,43,46,48,66,83,117,125,126,136,151,153,156,166,224,245,248,252,263,265,269,296,301,333,368,369,371,375,386,388,397,722,728,729,731,733,738,740,796,797,798,837,841,854,865,866,885,896,897,898,900,901,906,907,908,910,911,912,914,915,918,922,924,931,932,934,939,941,942,943,945,946,951,953],valuabl:[46,919],vaniti:38,vararg:91,vari:[15,33,905,917,941,942],variabl:[2,3,4,5,6,7,8,9,10,11,12,15,16,19,20,21,24,25,28,30,34,35,37,38,39,40,41,43,48,93,136,141,155,269,282,386,387,897,900,901,907,918,934,935,941,942,943,944,946,947,948,949],variad:[91,417,419],variant:[23,906,918,924],varieti:26,variou:[14,30,43,359,903,907,918,939],vendor:[738,879,945],verbatim:919,verbos:[3,6,23,904,918,942],veri:[14,20,21,23,934],verif:[20,21,34,43,46,48,414,897,937,939],verifi:[5,20,21,23,34,37,43,48,241,356,357,358,359,360,361,901,905,918,922,931,938,939,946],verifier_cred_handl:924,verify_ap_req_nofail:21,versa:[37,918],version:[0,2,3,5,6,9,10,14,20,23,24,26,29,38,42,43,44,48,155,228,247,310,315,363,375,616,723,821,823,845,850,883,896,900,904,905,906,908,910,912,914,915,918,919,923,929,933,943,945,946,948,949,953],verto:[906,919],vesion:[321,405],veto:930,via:[0,3,6,8,20,21,34,35,46,48,274,386,402,826,918,924,926,946,952],vice:[37,918],view:[8,23,34,937],view_polici:23,viola:15,virtual:[15,21],visibl:[14,23,25,918],visit:939,vista:[26,918],visual:918,vnder:14,vno:[3,14,310,315,850],volum:918,vopt:46,vpath:[904,905],vprintf:[417,418,419],vtabl:[922,923,931,934],vulner:[14,23,32,46,918,936],wai:[21,23,28,39,43,46,126,236,250,375,896,897,898,900,906,908,918,919,927,932,938,939,951],wait:[8,20,23,39],wake:15,walk:[6,938],want:[3,23,28,34,545,551,904,933,938,939,946],warn:[3,23,26,245,908,918,919],warranti:919,wasn:44,weak:[14,20,21,26,41],web:[34,897,918],week:5,weight:39,well:[14,21,23,34,38,43,46,343,648,903,906,918,925],wellknown:[37,46,502,763],went:939,were:[14,15,21,34,43,414,618,897,918,919,939],what:[6,14,19,20,21,26,38,43,901,922,923,931,935,938,939,945],whatev:39,whatsoev:919,when:[3,4,6,8,9,10,12,14,15,16,17,20,21,22,23,26,28,29,33,34,36,37,38,39,40,41,43,46,49,65,67,68,72,73,76,77,78,79,85,91,92,93,111,113,115,125,126,132,136,141,143,145,150,153,154,163,164,169,172,173,174,175,176,177,178,180,181,182,183,194,195,224,227,228,229,230,231,235,236,250,254,258,260,261,265,268,272,275,280,282,286,294,310,315,317,318,321,322,324,325,326,327,328,329,330,331,332,335,338,339,344,345,352,354,355,356,357,359,360,361,363,375,389,401,403,405,406,408,738,739,740,897,900,906,908,910,915,917,918,920,924,925,929,932,934,935,936,938,939,941,942,943,945,946,948,951,953],whenev:46,where:[3,4,6,7,8,14,15,17,20,21,23,25,28,39,43,46,317,389,896,897,900,901,904,905,906,911,918,923,939,942,946,953],whether:[4,6,8,10,14,20,21,26,28,35,36,43,46,48,105,223,241,242,243,245,249,253,255,319,407,905,911,918,919,921,928,935,939,946],which:[3,4,5,6,7,8,9,10,11,12,14,15,19,20,21,22,23,24,25,26,28,29,33,34,35,36,37,38,39,40,41,43,46,126,173,195,229,230,245,250,280,310,330,359,366,368,371,372,884,885,896,897,900,901,903,904,905,906,907,910,911,912,914,915,917,918,919,920,922,923,924,927,928,929,930,931,933,934,935,939,942,945,946,948,951,952,953],whichev:15,whitespac:[3,20,21],who:[0,5,16,20,25,34,37,938,939],whoami:923,whole:[23,37,141,155,342],whom:[919,938],whose:[3,5,10,17,19,21,34,38,40,43,46,132,217,229,910,914,939,952],wicker:923,wicker_appear:923,wicker_brac:923,wicker_construct:923,wicker_foot:923,wicker_materi:923,wicker_slat:923,wide:[21,29,36],wiki:[42,904,918],wild:3,wildcard:[19,20,918,951],willi:14,willing:[20,21,26],win:919,winbind:28,winbind_krb5_loc:28,window:[21,26,28,29,42,301,382,383,637,639,685,703,897,901,903,915,918,923,924,934,939],wish:[16,21,34,39,43,250,904,905,906,907,919,924,935,938,939,953],with_realm:[300,341,343],within:[3,15,20,21,24,34,35,39,43,48,132,154,252,261,356,360,365,373,386,847,897,912,918,919,924,942,951,953],without:[3,14,19,20,21,23,24,28,32,34,35,36,37,43,133,368,371,538,866,897,901,904,906,915,918,919,938,939,946,953],wkt:11,won:[21,37,939],worcest:919,word:[21,34,939],work:[2,3,4,6,21,23,34,35,36,39,40,43,897,906,918,919,931,932,936,938,939,953],workdai:33,worker:[10,24],workflow:14,workstat:46,worri:[22,904,953],wors:21,worst:14,worth:32,would:[5,6,14,16,17,20,21,23,25,28,32,34,37,38,39,40,43,46,902,918,924,938,939,945,952,953],wrap:[23,48,300,320,924],wrapper:[889,911,912],wrfile:[14,23],writabl:[15,34,316,934],write:[0,6,8,10,11,20,21,22,23,24,28,34,35,251,352,387,897,915,918,923,934,953],writeabl:302,writer:0,written:[3,4,155,850,900,915,919],wrong:[35,37,919,939,946],wsgi:29,www:[22,42,908,918],x11r6:904,x509:[37,918,942],x509_anchor:[21,942],x509_proxi:21,x509_proxy_ca:21,x509_user_ident:[16,21,942],x86:[906,918],x86_64:[906,918],xconsortium:904,xml:908,xore:[21,359],xst:3,xvm:14,xyz:953,yacc:906,year:[23,45,898,918],yes:[3,5,23,906,942],yet:[6,21,23,26,34,37,38,897,906,927,939],yflag:906,yield:931,you:[0,3,5,12,15,16,17,20,21,22,23,24,28,32,33,34,35,37,39,40,41,737,898,902,904,905,906,907,908,919,936,938,939,941,946,953],your:[0,12,17,20,21,26,32,33,34,37,39,904,905,906,919,927,937,939,941,950,953],your_princnam:37,your_realmnam:37,yourdir:34,yourself:[939,953],yymmddhhmmss:898,yyyi:898,yyyymmddhhmmss:898,zanarotti:46,zephyr:[14,919],zero:[3,21,24,39,43,44,48,129,130,203,241,245,260,261,284,298,299,310,740,742,865,910,911,914,915,918,923],zone:[14,39,898],zonetest:14},titles:["Contributing to the MIT Kerberos Documentation","Administration  programs","k5srvutil","kadmin","kadmind","kdb5_ldap_util","kdb5_util","kprop","kpropd","kproplog","krb5kdc","ktutil","sserver","Advanced topics","Retiring DES","Application servers","Authentication indicators","Backups of secure hosts","Configuration Files","kadm5.acl","kdc.conf","krb5.conf","Configuring Kerberos with OpenLDAP back-end","Database administration","Database types","Addressing dictionary attack risks","Encryption types","Environment variables","Host configuration","HTTPS proxy configuration","For administrators","Installation guide","UNIX Application Servers","Installing and configuring UNIX client machines","Installing KDCs","Account lockout","OTP Preauthentication","PKINIT configuration","Principal names and DNS","Realm configuration decisions","SPAKE Preauthentication","Troubleshooting","Various links","Developing with GSSAPI","Differences between Heimdal and MIT Kerberos API","For application developers","Initial credentials","Principal manipulation and parsing","krb5 API","krb5_425_conv_principal -  Convert a Kerberos V4 principal to a Kerberos V5 principal.","krb5_524_conv_principal -  Convert a Kerberos V5 principal to a Kerberos V4 principal.","krb5_524_convert_creds -  Convert a Kerberos V5 credentials to a Kerberos V4 credentials.","krb5_address_compare -  Compare two Kerberos addresses.","krb5_address_order -  Return an ordering of the specified addresses.","krb5_address_search -  Search a list of addresses for a specified address.","krb5_allow_weak_crypto -  Allow the application to override the profile\u2019s allow_weak_crypto setting.","krb5_aname_to_localname -  Convert a principal name to a local name.","krb5_anonymous_principal -  Build an anonymous principal.","krb5_anonymous_realm -  Return an anonymous realm data.","krb5_appdefault_boolean -  Retrieve a boolean value from the appdefaults section of krb5.conf.","krb5_appdefault_string -  Retrieve a string value from the appdefaults section of krb5.conf.","krb5_auth_con_free -  Free a krb5_auth_context structure.","krb5_auth_con_genaddrs -  Generate auth context addresses from a connected socket.","krb5_auth_con_get_checksum_func -  Get the checksum callback from an auth context.","krb5_auth_con_getaddrs -  Retrieve address fields from an auth context.","krb5_auth_con_getauthenticator -  Retrieve the authenticator from an auth context.","krb5_auth_con_getflags -  Retrieve flags from a krb5_auth_context structure.","krb5_auth_con_getkey -  Retrieve the session key from an auth context as a keyblock.","krb5_auth_con_getkey_k -  Retrieve the session key from an auth context.","krb5_auth_con_getlocalseqnumber -  Retrieve the local sequence number from an auth context.","krb5_auth_con_getlocalsubkey","krb5_auth_con_getrcache -  Retrieve the replay cache from an auth context.","krb5_auth_con_getrecvsubkey -  Retrieve the receiving subkey from an auth context as a keyblock.","krb5_auth_con_getrecvsubkey_k -  Retrieve the receiving subkey from an auth context as a keyblock.","krb5_auth_con_getremoteseqnumber -  Retrieve the remote sequence number from an auth context.","krb5_auth_con_getremotesubkey","krb5_auth_con_getsendsubkey -  Retrieve the send subkey from an auth context as a keyblock.","krb5_auth_con_getsendsubkey_k -  Retrieve the send subkey from an auth context.","krb5_auth_con_init -  Create and initialize an authentication context.","krb5_auth_con_initivector -  Cause an auth context to use cipher state.","krb5_auth_con_set_checksum_func -  Set a checksum callback in an auth context.","krb5_auth_con_set_req_cksumtype -  Set checksum type in an an auth context.","krb5_auth_con_setaddrs -  Set the local and remote addresses in an auth context.","krb5_auth_con_setflags -  Set a flags field in a krb5_auth_context structure.","krb5_auth_con_setports -  Set local and remote port fields in an auth context.","krb5_auth_con_setrcache -  Set the replay cache in an auth context.","krb5_auth_con_setrecvsubkey -  Set the receiving subkey in an auth context with a keyblock.","krb5_auth_con_setrecvsubkey_k -  Set the receiving subkey in an auth context.","krb5_auth_con_setsendsubkey -  Set the send subkey in an auth context with a keyblock.","krb5_auth_con_setsendsubkey_k -  Set the send subkey in an auth context.","krb5_auth_con_setuseruserkey -  Set the session key in an auth context.","krb5_build_principal -  Build a principal name using null-terminated strings.","krb5_build_principal_alloc_va -  Build a principal name, using a precomputed variable argument list.","krb5_build_principal_ext -  Build a principal name using length-counted strings.","krb5_build_principal_va","krb5_c_block_size -  Return cipher block size.","krb5_c_checksum_length -  Return the length of checksums for a checksum type.","krb5_c_crypto_length -  Return a length of a message field specific to the encryption type.","krb5_c_crypto_length_iov -  Fill in lengths for header, trailer and padding in a IOV array.","krb5_c_decrypt -  Decrypt data using a key (operates on keyblock).","krb5_c_decrypt_iov -  Decrypt data in place supporting AEAD (operates on keyblock).","krb5_c_derive_prfplus -  Derive a key using some input data (via RFC 6113 PRF+).","krb5_c_encrypt -  Encrypt data using a key (operates on keyblock).","krb5_c_encrypt_iov -  Encrypt data in place supporting AEAD (operates on keyblock).","krb5_c_encrypt_length -  Compute encrypted data length.","krb5_c_enctype_compare -  Compare two encryption types.","krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state() .","krb5_c_fx_cf2_simple -  Compute the KRB-FX-CF2 combination of two keys and pepper strings.","krb5_c_init_state -  Initialize a new cipher state.","krb5_c_is_coll_proof_cksum -  Test whether a checksum type is collision-proof.","krb5_c_is_keyed_cksum -  Test whether a checksum type is keyed.","krb5_c_keyed_checksum_types -  Return a list of keyed checksum types usable with an encryption type.","krb5_c_keylengths -  Return length of the specified key in bytes.","krb5_c_make_checksum -  Compute a checksum (operates on keyblock).","krb5_c_make_checksum_iov -  Fill in a checksum element in IOV array (operates on keyblock)","krb5_c_make_random_key -  Generate an enctype-specific random encryption key.","krb5_c_padding_length -  Return a number of padding octets.","krb5_c_prf -  Generate enctype-specific pseudo-random bytes.","krb5_c_prf_length -  Get the output length of pseudo-random functions for an encryption type.","krb5_c_prfplus -  Generate pseudo-random bytes using RFC 6113 PRF+.","krb5_c_random_add_entropy","krb5_c_random_make_octets -  Generate pseudo-random bytes.","krb5_c_random_os_entropy","krb5_c_random_seed","krb5_c_random_to_key -  Generate an enctype-specific key from random data.","krb5_c_string_to_key -  Convert a string (such a password) to a key.","krb5_c_string_to_key_with_params -  Convert a string (such as a password) to a key with additional parameters.","krb5_c_valid_cksumtype -  Verify that specified checksum type is a valid Kerberos checksum type.","krb5_c_valid_enctype -  Verify that a specified encryption type is a valid Kerberos encryption type.","krb5_c_verify_checksum -  Verify a checksum (operates on keyblock).","krb5_c_verify_checksum_iov -  Validate a checksum element in IOV array (operates on keyblock).","krb5_calculate_checksum","krb5_cc_cache_match -  Find a credential cache with a specified client principal.","krb5_cc_close -  Close a credential cache handle.","krb5_cc_copy_creds -  Copy a credential cache.","krb5_cc_default -  Resolve the default credential cache name.","krb5_cc_default_name -  Return the name of the default credential cache.","krb5_cc_destroy -  Destroy a credential cache.","krb5_cc_dup -  Duplicate ccache handle.","krb5_cc_end_seq_get -  Finish a series of sequential processing credential cache entries.","krb5_cc_gen_new","krb5_cc_get_config -  Get a configuration value from a credential cache.","krb5_cc_get_flags -  Retrieve flags from a credential cache structure.","krb5_cc_get_full_name -  Retrieve the full name of a credential cache.","krb5_cc_get_name -  Retrieve the name, but not type of a credential cache.","krb5_cc_get_principal -  Get the default principal of a credential cache.","krb5_cc_get_type -  Retrieve the type of a credential cache.","krb5_cc_initialize -  Initialize a credential cache.","krb5_cc_move -  Move a credential cache.","krb5_cc_new_unique -  Create a new credential cache of the specified type with a unique name.","krb5_cc_next_cred -  Retrieve the next entry from the credential cache.","krb5_cc_remove_cred -  Remove credentials from a credential cache.","krb5_cc_resolve -  Resolve a credential cache name.","krb5_cc_retrieve_cred -  Retrieve a specified credentials from a credential cache.","krb5_cc_select -  Select a credential cache to use with a server principal.","krb5_cc_set_config -  Store a configuration value in a credential cache.","krb5_cc_set_default_name -  Set the default credential cache name.","krb5_cc_set_flags -  Set options flags on a credential cache.","krb5_cc_start_seq_get -  Prepare to sequentially read every credential in a credential cache.","krb5_cc_store_cred -  Store credentials in a credential cache.","krb5_cc_support_switch -  Determine whether a credential cache type supports switching.","krb5_cc_switch -  Make a credential cache the primary cache for its collection.","krb5_cccol_cursor_free -  Free a credential cache collection cursor.","krb5_cccol_cursor_new -  Prepare to iterate over the collection of known credential caches.","krb5_cccol_cursor_next -  Get the next credential cache in the collection.","krb5_cccol_have_content -  Check if the credential cache collection contains any initialized caches.","krb5_change_password -  Change a password for an existing Kerberos account.","krb5_check_clockskew -  Check if a timestamp is within the allowed clock skew of the current time.","krb5_checksum_size","krb5_chpw_message -  Get a result message for changing or setting a password.","krb5_cksumtype_to_string -  Convert a checksum type to a string.","krb5_clear_error_message -  Clear the extended error message in a context.","krb5_copy_addresses -  Copy an array of addresses.","krb5_copy_authdata -  Copy an authorization data list.","krb5_copy_authenticator -  Copy a krb5_authenticator structure.","krb5_copy_checksum -  Copy a krb5_checksum structure.","krb5_copy_context -  Copy a krb5_context structure.","krb5_copy_creds -  Copy a krb5_creds structure.","krb5_copy_data -  Copy a krb5_data object.","krb5_copy_error_message -  Copy the most recent extended error message from one context to another.","krb5_copy_keyblock -  Copy a keyblock.","krb5_copy_keyblock_contents -  Copy the contents of a keyblock.","krb5_copy_principal -  Copy a principal.","krb5_copy_ticket -  Copy a krb5_ticket structure.","krb5_decode_authdata_container -  Unwrap authorization data.","krb5_decode_ticket -  Decode an ASN.1-formatted ticket.","krb5_decrypt","krb5_deltat_to_string -  Convert a relative time value to a string.","krb5_eblock_enctype","krb5_encode_authdata_container -  Wrap authorization data in a container.","krb5_encrypt","krb5_encrypt_size","krb5_enctype_to_name -  Convert an encryption type to a name or alias.","krb5_enctype_to_string -  Convert an encryption type to a string.","krb5_expand_hostname -  Canonicalize a hostname, possibly using name service.","krb5_find_authdata -  Find authorization data elements.","krb5_finish_key","krb5_finish_random_key","krb5_free_addresses -  Free the data stored in array of addresses.","krb5_free_ap_rep_enc_part -  Free a krb5_ap_rep_enc_part structure.","krb5_free_authdata -  Free the storage assigned to array of authentication data.","krb5_free_authenticator -  Free a krb5_authenticator structure.","krb5_free_checksum -  Free a krb5_checksum structure.","krb5_free_checksum_contents -  Free the contents of a krb5_checksum structure.","krb5_free_cksumtypes -  Free an array of checksum types.","krb5_free_context -  Free a krb5 library context.","krb5_free_cred_contents -  Free the contents of a krb5_creds structure.","krb5_free_creds -  Free a krb5_creds structure.","krb5_free_data -  Free a krb5_data structure.","krb5_free_data_contents -  Free the contents of a krb5_data structure and zero the data field.","krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm() .","krb5_free_enctypes -  Free an array of encryption types.","krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth() .","krb5_free_error_message -  Free an error message generated by krb5_get_error_message() .","krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm() .","krb5_free_keyblock -  Free a krb5_keyblock structure.","krb5_free_keyblock_contents -  Free the contents of a krb5_keyblock structure.","krb5_free_keytab_entry_contents -  Free the contents of a key table entry.","krb5_free_principal -  Free the storage assigned to a principal.","krb5_free_string -  Free a string allocated by a krb5 function.","krb5_free_tgt_creds -  Free an array of credential structures.","krb5_free_ticket -  Free a ticket.","krb5_free_unparsed_name -  Free a string representation of a principal.","krb5_fwd_tgt_creds -  Get a forwarded TGT and format a KRB-CRED message.","krb5_get_credentials -  Get an additional ticket.","krb5_get_credentials_renew","krb5_get_credentials_validate","krb5_get_default_realm -  Retrieve the default realm.","krb5_get_error_message -  Get the (possibly extended) error message for a code.","krb5_get_etype_info -  Retrieve enctype, salt and s2kparams from KDC.","krb5_get_fallback_host_realm","krb5_get_host_realm -  Get the Kerberos realm names for a host.","krb5_get_in_tkt_with_keytab","krb5_get_in_tkt_with_password","krb5_get_in_tkt_with_skey","krb5_get_init_creds_keytab -  Get initial credentials using a key table.","krb5_get_init_creds_opt_alloc -  Allocate a new initial credential options structure.","krb5_get_init_creds_opt_free -  Free initial credential options.","krb5_get_init_creds_opt_get_fast_flags -  Retrieve FAST flags from initial credential options.","krb5_get_init_creds_opt_init","krb5_get_init_creds_opt_set_address_list -  Set address restrictions in initial credential options.","krb5_get_init_creds_opt_set_anonymous -  Set or unset the anonymous flag in initial credential options.","krb5_get_init_creds_opt_set_canonicalize -  Set or unset the canonicalize flag in initial credential options.","krb5_get_init_creds_opt_set_change_password_prompt -  Set or unset change-password-prompt flag in initial credential options.","krb5_get_init_creds_opt_set_etype_list -  Set allowable encryption types in initial credential options.","krb5_get_init_creds_opt_set_expire_callback -  Set an expiration callback in initial credential options.","krb5_get_init_creds_opt_set_fast_ccache -  Set FAST armor cache in initial credential options.","krb5_get_init_creds_opt_set_fast_ccache_name -  Set location of FAST armor ccache in initial credential options.","krb5_get_init_creds_opt_set_fast_flags -  Set FAST flags in initial credential options.","krb5_get_init_creds_opt_set_forwardable -  Set or unset the forwardable flag in initial credential options.","krb5_get_init_creds_opt_set_in_ccache -  Set an input credential cache in initial credential options.","krb5_get_init_creds_opt_set_out_ccache -  Set an output credential cache in initial credential options.","krb5_get_init_creds_opt_set_pa -  Supply options for preauthentication in initial credential options.","krb5_get_init_creds_opt_set_pac_request -  Ask the KDC to include or not include a PAC in the ticket.","krb5_get_init_creds_opt_set_preauth_list -  Set preauthentication types in initial credential options.","krb5_get_init_creds_opt_set_proxiable -  Set or unset the proxiable flag in initial credential options.","krb5_get_init_creds_opt_set_renew_life -  Set the ticket renewal lifetime in initial credential options.","krb5_get_init_creds_opt_set_responder -  Set the responder function in initial credential options.","krb5_get_init_creds_opt_set_salt -  Set salt for optimistic preauthentication in initial credential options.","krb5_get_init_creds_opt_set_tkt_life -  Set the ticket lifetime in initial credential options.","krb5_get_init_creds_password -  Get initial credentials using a password.","krb5_get_permitted_enctypes -  Return a list of encryption types permitted for session keys.","krb5_get_profile -  Retrieve configuration profile from the context.","krb5_get_prompt_types -  Get prompt types array from a context.","krb5_get_renewed_creds -  Get renewed credential from KDC using an existing credential.","krb5_get_server_rcache -  Generate a replay cache object for server use and open it.","krb5_get_time_offsets -  Return the time offsets from the os context.","krb5_get_validated_creds -  Get validated credentials from the KDC.","krb5_init_context -  Create a krb5 library context.","krb5_init_context_profile -  Create a krb5 library context using a specified profile.","krb5_init_creds_free -  Free an initial credentials context.","krb5_init_creds_get -  Acquire credentials using an initial credentials context.","krb5_init_creds_get_creds -  Retrieve acquired credentials from an initial credentials context.","krb5_init_creds_get_error -  Get the last error from KDC from an initial credentials context.","krb5_init_creds_get_times -  Retrieve ticket times from an initial credentials context.","krb5_init_creds_init -  Create a context for acquiring initial credentials.","krb5_init_creds_set_keytab -  Specify a keytab to use for acquiring initial credentials.","krb5_init_creds_set_password -  Set a password for acquiring initial credentials.","krb5_init_creds_set_service -  Specify a service principal for acquiring initial credentials.","krb5_init_creds_step -  Get the next KDC request for acquiring initial credentials.","krb5_init_keyblock -  Initialize an empty krb5_keyblock .","krb5_init_random_key","krb5_init_secure_context -  Create a krb5 library context using only configuration files.","krb5_is_config_principal -  Test whether a principal is a configuration principal.","krb5_is_referral_realm -  Check for a match with KRB5_REFERRAL_REALM.","krb5_is_thread_safe -  Test whether the Kerberos library was built with multithread support.","krb5_k_create_key -  Create a krb5_key from the enctype and key data in a keyblock.","krb5_k_decrypt -  Decrypt data using a key (operates on opaque key).","krb5_k_decrypt_iov -  Decrypt data in place supporting AEAD (operates on opaque key).","krb5_k_encrypt -  Encrypt data using a key (operates on opaque key).","krb5_k_encrypt_iov -  Encrypt data in place supporting AEAD (operates on opaque key).","krb5_k_free_key -  Decrement the reference count on a key and free it if it hits zero.","krb5_k_key_enctype -  Retrieve the enctype of a krb5_key structure.","krb5_k_key_keyblock -  Retrieve a copy of the keyblock from a krb5_key structure.","krb5_k_make_checksum -  Compute a checksum (operates on opaque key).","krb5_k_make_checksum_iov -  Fill in a checksum element in IOV array (operates on opaque key)","krb5_k_prf -  Generate enctype-specific pseudo-random bytes (operates on opaque key).","krb5_k_reference_key -  Increment the reference count on a key.","krb5_k_verify_checksum -  Verify a checksum (operates on opaque key).","krb5_k_verify_checksum_iov -  Validate a checksum element in IOV array (operates on opaque key).","krb5_kdc_sign_ticket -  Sign a PAC, possibly including a ticket signature.","krb5_kdc_verify_ticket -  Verify a PAC, possibly including ticket signature.","krb5_kt_add_entry -  Add a new entry to a key table.","krb5_kt_client_default -  Resolve the default client key table.","krb5_kt_close -  Close a key table handle.","krb5_kt_default -  Resolve the default key table.","krb5_kt_default_name -  Get the default key table name.","krb5_kt_dup -  Duplicate keytab handle.","krb5_kt_end_seq_get -  Release a keytab cursor.","krb5_kt_free_entry","krb5_kt_get_entry -  Get an entry from a key table.","krb5_kt_get_name -  Get a key table name.","krb5_kt_get_type -  Return the type of a key table.","krb5_kt_have_content -  Check if a keytab exists and contains entries.","krb5_kt_next_entry -  Retrieve the next entry from the key table.","krb5_kt_read_service_key -  Retrieve a service key from a key table.","krb5_kt_remove_entry -  Remove an entry from a key table.","krb5_kt_resolve -  Get a handle for a key table.","krb5_kt_start_seq_get -  Start a sequential retrieval of key table entries.","krb5_kuserok -  Determine if a principal is authorized to log in as a local user.","krb5_make_authdata_kdc_issued -  Encode and sign AD-KDCIssued authorization data.","krb5_marshal_credentials -  Serialize a krb5_creds object.","krb5_merge_authdata -  Merge two authorization data lists into a new list.","krb5_mk_1cred -  Format a KRB-CRED message for a single set of credentials.","krb5_mk_error -  Format and encode a KRB_ERROR message.","krb5_mk_ncred -  Format a KRB-CRED message for an array of credentials.","krb5_mk_priv -  Format a KRB-PRIV message.","krb5_mk_rep -  Format and encrypt a KRB_AP_REP message.","krb5_mk_rep_dce -  Format and encrypt a KRB_AP_REP message for DCE RPC.","krb5_mk_req -  Create a KRB_AP_REQ message.","krb5_mk_req_extended -  Create a KRB_AP_REQ message using supplied credentials.","krb5_mk_safe -  Format a KRB-SAFE message.","krb5_os_localaddr -  Return all interface addresses for this host.","krb5_pac_add_buffer -  Add a buffer to a PAC handle.","krb5_pac_free -  Free a PAC handle.","krb5_pac_get_buffer -  Retrieve a buffer value from a PAC.","krb5_pac_get_client_info -  Read client information from a PAC.","krb5_pac_get_types -  Return an array of buffer types in a PAC handle.","krb5_pac_init -  Create an empty Privilege Attribute Certificate (PAC) handle.","krb5_pac_parse -  Unparse an encoded PAC into a new handle.","krb5_pac_sign","krb5_pac_sign_ext","krb5_pac_verify -  Verify a PAC.","krb5_pac_verify_ext -  Verify a PAC, possibly from a specified realm.","krb5_parse_name -  Convert a string principal name to a krb5_principal structure.","krb5_parse_name_flags -  Convert a string principal name to a krb5_principal with flags.","krb5_prepend_error_message -  Add a prefix to the message for an error code.","krb5_principal2salt -  Convert a principal name into the default salt for that principal.","krb5_principal_compare -  Compare two principals.","krb5_principal_compare_any_realm -  Compare two principals ignoring realm components.","krb5_principal_compare_flags -  Compare two principals with additional flags.","krb5_process_key","krb5_prompter_posix -  Prompt user for password.","krb5_random_key","krb5_rd_cred -  Read and validate a KRB-CRED message.","krb5_rd_error -  Decode a KRB-ERROR message.","krb5_rd_priv -  Process a KRB-PRIV message.","krb5_rd_rep -  Parse and decrypt a KRB_AP_REP message.","krb5_rd_rep_dce -  Parse and decrypt a KRB_AP_REP message for DCE RPC.","krb5_rd_req -  Parse and decrypt a KRB_AP_REQ message.","krb5_rd_safe -  Process KRB-SAFE message.","krb5_read_password -  Read a password from keyboard input.","krb5_realm_compare -  Compare the realms of two principals.","krb5_recvauth -  Server function for sendauth protocol.","krb5_recvauth_version -  Server function for sendauth protocol with version parameter.","krb5_responder_get_challenge -  Retrieve the challenge data for a given question in the responder context.","krb5_responder_list_questions -  List the question names contained in the responder context.","krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge() .","krb5_responder_otp_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct.","krb5_responder_otp_set_answer -  Answer the KRB5_RESPONDER_QUESTION_OTP question.","krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge() .","krb5_responder_pkinit_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct.","krb5_responder_pkinit_set_answer -  Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity.","krb5_responder_set_answer -  Answer a named question in the responder context.","krb5_salttype_to_string -  Convert a salt type to a string.","krb5_sendauth -  Client function for sendauth protocol.","krb5_server_decrypt_ticket_keytab -  Decrypt a ticket using the specified key table.","krb5_set_default_realm -  Override the default realm for the specified context.","krb5_set_default_tgs_enctypes -  Set default TGS encryption types in a krb5_context structure.","krb5_set_error_message -  Set an extended error message for an error code.","krb5_set_kdc_recv_hook -  Set a KDC post-receive hook function.","krb5_set_kdc_send_hook -  Set a KDC pre-send hook function.","krb5_set_password -  Set a password for a principal using specified credentials.","krb5_set_password_using_ccache -  Set a password for a principal using cached credentials.","krb5_set_principal_realm -  Set the realm field of a principal.","krb5_set_real_time -  Set time offset field in a krb5_context structure.","krb5_set_trace_callback -  Specify a callback function for trace events.","krb5_set_trace_filename -  Specify a file name for directing trace events.","krb5_sname_match -  Test whether a principal matches a matching principal.","krb5_sname_to_principal -  Generate a full principal name from a service name.","krb5_string_to_cksumtype -  Convert a string to a checksum type.","krb5_string_to_deltat -  Convert a string to a delta time value.","krb5_string_to_enctype -  Convert a string to an encryption type.","krb5_string_to_key","krb5_string_to_salttype -  Convert a string to a salt type.","krb5_string_to_timestamp -  Convert a string to a timestamp.","krb5_timeofday -  Retrieve the current time with context specific time offset adjustment.","krb5_timestamp_to_sfstring -  Convert a timestamp to a string, with optional output padding.","krb5_timestamp_to_string -  Convert a timestamp to a string.","krb5_tkt_creds_free -  Free a TGS request context.","krb5_tkt_creds_get -  Synchronously obtain credentials using a TGS request context.","krb5_tkt_creds_get_creds -  Retrieve acquired credentials from a TGS request context.","krb5_tkt_creds_get_times -  Retrieve ticket times from a TGS request context.","krb5_tkt_creds_init -  Create a context to get credentials from a KDC\u2019s Ticket Granting Service.","krb5_tkt_creds_step -  Get the next KDC request in a TGS exchange.","krb5_unmarshal_credentials -  Deserialize a krb5_creds object.","krb5_unparse_name -  Convert a krb5_principal structure to a string representation.","krb5_unparse_name_ext -  Convert krb5_principal structure to string and length.","krb5_unparse_name_flags -  Convert krb5_principal structure to a string with flags.","krb5_unparse_name_flags_ext -  Convert krb5_principal structure to string format with flags.","krb5_us_timeofday -  Retrieve the system time of day, in sec and ms, since the epoch.","krb5_use_enctype","krb5_verify_authdata_kdc_issued -  Unwrap and verify AD-KDCIssued authorization data.","krb5_verify_checksum","krb5_verify_init_creds -  Verify initial credentials against a keytab.","krb5_verify_init_creds_opt_init -  Initialize a credential verification options structure.","krb5_verify_init_creds_opt_set_ap_req_nofail -  Set whether credential verification is required.","krb5_vprepend_error_message -  Add a prefix to the message for an error code using a va_list.","krb5_vset_error_message -  Set an extended error message for an error code using a va_list.","krb5_vwrap_error_message -  Add a prefix to a different error code\u2019s message using a va_list.","krb5_wrap_error_message -  Add a prefix to a different error code\u2019s message.","Complete reference - API and datatypes","ADDRTYPE_ADDRPORT","ADDRTYPE_CHAOS","ADDRTYPE_DDP","ADDRTYPE_INET","ADDRTYPE_INET6","ADDRTYPE_IPPORT","ADDRTYPE_ISO","ADDRTYPE_IS_LOCAL","ADDRTYPE_NETBIOS","ADDRTYPE_XNS","AD_TYPE_EXTERNAL","AD_TYPE_FIELD_TYPE_MASK","AD_TYPE_REGISTERED","AD_TYPE_RESERVED","AP_OPTS_ETYPE_NEGOTIATION","AP_OPTS_MUTUAL_REQUIRED","AP_OPTS_RESERVED","AP_OPTS_USE_SESSION_KEY","AP_OPTS_USE_SUBKEY","AP_OPTS_WIRE_MASK","CKSUMTYPE_CMAC_CAMELLIA128","CKSUMTYPE_CMAC_CAMELLIA256","CKSUMTYPE_CRC32","CKSUMTYPE_DESCBC","CKSUMTYPE_HMAC_MD5_ARCFOUR","CKSUMTYPE_HMAC_SHA1_96_AES128","CKSUMTYPE_HMAC_SHA1_96_AES256","CKSUMTYPE_HMAC_SHA1_DES3","CKSUMTYPE_HMAC_SHA256_128_AES128","CKSUMTYPE_HMAC_SHA384_192_AES256","CKSUMTYPE_MD5_HMAC_ARCFOUR","CKSUMTYPE_NIST_SHA","CKSUMTYPE_RSA_MD4","CKSUMTYPE_RSA_MD4_DES","CKSUMTYPE_RSA_MD5","CKSUMTYPE_RSA_MD5_DES","CKSUMTYPE_SHA1","ENCTYPE_AES128_CTS_HMAC_SHA1_96","ENCTYPE_AES128_CTS_HMAC_SHA256_128","ENCTYPE_AES256_CTS_HMAC_SHA1_96","ENCTYPE_AES256_CTS_HMAC_SHA384_192","ENCTYPE_ARCFOUR_HMAC","ENCTYPE_ARCFOUR_HMAC_EXP","ENCTYPE_CAMELLIA128_CTS_CMAC","ENCTYPE_CAMELLIA256_CTS_CMAC","ENCTYPE_DES3_CBC_ENV","ENCTYPE_DES3_CBC_RAW","ENCTYPE_DES3_CBC_SHA","ENCTYPE_DES3_CBC_SHA1","ENCTYPE_DES_CBC_CRC","ENCTYPE_DES_CBC_MD4","ENCTYPE_DES_CBC_MD5","ENCTYPE_DES_CBC_RAW","ENCTYPE_DES_HMAC_SHA1","ENCTYPE_DSA_SHA1_CMS","ENCTYPE_MD5_RSA_CMS","ENCTYPE_NULL","ENCTYPE_RC2_CBC_ENV","ENCTYPE_RSA_ENV","ENCTYPE_RSA_ES_OAEP_ENV","ENCTYPE_SHA1_RSA_CMS","ENCTYPE_UNKNOWN","KDC_OPT_ALLOW_POSTDATE","KDC_OPT_CANONICALIZE","KDC_OPT_CNAME_IN_ADDL_TKT","KDC_OPT_DISABLE_TRANSITED_CHECK","KDC_OPT_ENC_TKT_IN_SKEY","KDC_OPT_FORWARDABLE","KDC_OPT_FORWARDED","KDC_OPT_POSTDATED","KDC_OPT_PROXIABLE","KDC_OPT_PROXY","KDC_OPT_RENEW","KDC_OPT_RENEWABLE","KDC_OPT_RENEWABLE_OK","KDC_OPT_REQUEST_ANONYMOUS","KDC_OPT_VALIDATE","KDC_TKT_COMMON_MASK","KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE","KRB5_ANONYMOUS_PRINCSTR","KRB5_ANONYMOUS_REALMSTR","KRB5_AP_REP","KRB5_AP_REQ","KRB5_AS_REP","KRB5_AS_REQ","KRB5_AUTHDATA_AND_OR","KRB5_AUTHDATA_AP_OPTIONS","KRB5_AUTHDATA_AUTH_INDICATOR","KRB5_AUTHDATA_CAMMAC","KRB5_AUTHDATA_ETYPE_NEGOTIATION","KRB5_AUTHDATA_FX_ARMOR","KRB5_AUTHDATA_IF_RELEVANT","KRB5_AUTHDATA_INITIAL_VERIFIED_CAS","KRB5_AUTHDATA_KDC_ISSUED","KRB5_AUTHDATA_MANDATORY_FOR_KDC","KRB5_AUTHDATA_OSF_DCE","KRB5_AUTHDATA_SESAME","KRB5_AUTHDATA_SIGNTICKET","KRB5_AUTHDATA_WIN2K_PAC","KRB5_AUTH_CONTEXT_DO_SEQUENCE","KRB5_AUTH_CONTEXT_DO_TIME","KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR","KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR","KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR","KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR","KRB5_AUTH_CONTEXT_PERMIT_ALL","KRB5_AUTH_CONTEXT_RET_SEQUENCE","KRB5_AUTH_CONTEXT_RET_TIME","KRB5_AUTH_CONTEXT_USE_SUBKEY","KRB5_CRED","KRB5_CRYPTO_TYPE_CHECKSUM","KRB5_CRYPTO_TYPE_DATA","KRB5_CRYPTO_TYPE_EMPTY","KRB5_CRYPTO_TYPE_HEADER","KRB5_CRYPTO_TYPE_PADDING","KRB5_CRYPTO_TYPE_SIGN_ONLY","KRB5_CRYPTO_TYPE_STREAM","KRB5_CRYPTO_TYPE_TRAILER","KRB5_CYBERSAFE_SECUREID","KRB5_DOMAIN_X500_COMPRESS","KRB5_ENCPADATA_REQ_ENC_PA_REP","KRB5_ERROR","KRB5_FAST_REQUIRED","KRB5_GC_CACHED","KRB5_GC_CANONICALIZE","KRB5_GC_CONSTRAINED_DELEGATION","KRB5_GC_FORWARDABLE","KRB5_GC_NO_STORE","KRB5_GC_NO_TRANSIT_CHECK","KRB5_GC_USER_USER","KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST","KRB5_GET_INIT_CREDS_OPT_ANONYMOUS","KRB5_GET_INIT_CREDS_OPT_CANONICALIZE","KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT","KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST","KRB5_GET_INIT_CREDS_OPT_FORWARDABLE","KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST","KRB5_GET_INIT_CREDS_OPT_PROXIABLE","KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE","KRB5_GET_INIT_CREDS_OPT_SALT","KRB5_GET_INIT_CREDS_OPT_TKT_LIFE","KRB5_INIT_CONTEXT_KDC","KRB5_INIT_CONTEXT_SECURE","KRB5_INIT_CREDS_STEP_FLAG_CONTINUE","KRB5_INT16_MAX","KRB5_INT16_MIN","KRB5_INT32_MAX","KRB5_INT32_MIN","KRB5_KEYUSAGE_AD_ITE","KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM","KRB5_KEYUSAGE_AD_MTE","KRB5_KEYUSAGE_AD_SIGNEDPATH","KRB5_KEYUSAGE_APP_DATA_CKSUM","KRB5_KEYUSAGE_APP_DATA_ENCRYPT","KRB5_KEYUSAGE_AP_REP_ENCPART","KRB5_KEYUSAGE_AP_REQ_AUTH","KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM","KRB5_KEYUSAGE_AS_REP_ENCPART","KRB5_KEYUSAGE_AS_REQ","KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS","KRB5_KEYUSAGE_CAMMAC","KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT","KRB5_KEYUSAGE_ENC_CHALLENGE_KDC","KRB5_KEYUSAGE_FAST_ENC","KRB5_KEYUSAGE_FAST_FINISHED","KRB5_KEYUSAGE_FAST_REP","KRB5_KEYUSAGE_FAST_REQ_CHKSUM","KRB5_KEYUSAGE_GSS_TOK_MIC","KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG","KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV","KRB5_KEYUSAGE_IAKERB_FINISHED","KRB5_KEYUSAGE_KDC_REP_TICKET","KRB5_KEYUSAGE_KRB_CRED_ENCPART","KRB5_KEYUSAGE_KRB_ERROR_CKSUM","KRB5_KEYUSAGE_KRB_PRIV_ENCPART","KRB5_KEYUSAGE_KRB_SAFE_CKSUM","KRB5_KEYUSAGE_PA_AS_FRESHNESS","KRB5_KEYUSAGE_PA_FX_COOKIE","KRB5_KEYUSAGE_PA_OTP_REQUEST","KRB5_KEYUSAGE_PA_PKINIT_KX","KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY","KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST","KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM","KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID","KRB5_KEYUSAGE_PA_SAM_RESPONSE","KRB5_KEYUSAGE_SPAKE","KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY","KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY","KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY","KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY","KRB5_KEYUSAGE_TGS_REQ_AUTH","KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM","KRB5_KPASSWD_ACCESSDENIED","KRB5_KPASSWD_AUTHERROR","KRB5_KPASSWD_BAD_VERSION","KRB5_KPASSWD_HARDERROR","KRB5_KPASSWD_INITIAL_FLAG_NEEDED","KRB5_KPASSWD_MALFORMED","KRB5_KPASSWD_SOFTERROR","KRB5_KPASSWD_SUCCESS","KRB5_LRQ_ALL_ACCT_EXPTIME","KRB5_LRQ_ALL_LAST_INITIAL","KRB5_LRQ_ALL_LAST_RENEWAL","KRB5_LRQ_ALL_LAST_REQ","KRB5_LRQ_ALL_LAST_TGT","KRB5_LRQ_ALL_LAST_TGT_ISSUED","KRB5_LRQ_ALL_PW_EXPTIME","KRB5_LRQ_NONE","KRB5_LRQ_ONE_ACCT_EXPTIME","KRB5_LRQ_ONE_LAST_INITIAL","KRB5_LRQ_ONE_LAST_RENEWAL","KRB5_LRQ_ONE_LAST_REQ","KRB5_LRQ_ONE_LAST_TGT","KRB5_LRQ_ONE_LAST_TGT_ISSUED","KRB5_LRQ_ONE_PW_EXPTIME","KRB5_NT_ENTERPRISE_PRINCIPAL","KRB5_NT_ENT_PRINCIPAL_AND_ID","KRB5_NT_MS_PRINCIPAL","KRB5_NT_MS_PRINCIPAL_AND_ID","KRB5_NT_PRINCIPAL","KRB5_NT_SMTP_NAME","KRB5_NT_SRV_HST","KRB5_NT_SRV_INST","KRB5_NT_SRV_XHST","KRB5_NT_UID","KRB5_NT_UNKNOWN","KRB5_NT_WELLKNOWN","KRB5_NT_X500_PRINCIPAL","KRB5_PAC_ATTRIBUTES_INFO","KRB5_PAC_CLIENT_CLAIMS","KRB5_PAC_CLIENT_INFO","KRB5_PAC_CREDENTIALS_INFO","KRB5_PAC_DELEGATION_INFO","KRB5_PAC_DEVICE_CLAIMS","KRB5_PAC_DEVICE_INFO","KRB5_PAC_FULL_CHECKSUM","KRB5_PAC_LOGON_INFO","KRB5_PAC_PRIVSVR_CHECKSUM","KRB5_PAC_REQUESTOR","KRB5_PAC_SERVER_CHECKSUM","KRB5_PAC_TICKET_CHECKSUM","KRB5_PAC_UPN_DNS_INFO","KRB5_PADATA_AFS3_SALT","KRB5_PADATA_AP_REQ","KRB5_PADATA_AS_CHECKSUM","KRB5_PADATA_AS_FRESHNESS","KRB5_PADATA_ENCRYPTED_CHALLENGE","KRB5_PADATA_ENC_SANDIA_SECURID","KRB5_PADATA_ENC_TIMESTAMP","KRB5_PADATA_ENC_UNIX_TIME","KRB5_PADATA_ETYPE_INFO","KRB5_PADATA_ETYPE_INFO2","KRB5_PADATA_FOR_USER","KRB5_PADATA_FX_COOKIE","KRB5_PADATA_FX_ERROR","KRB5_PADATA_FX_FAST","KRB5_PADATA_GET_FROM_TYPED_DATA","KRB5_PADATA_NONE","KRB5_PADATA_OSF_DCE","KRB5_PADATA_OTP_CHALLENGE","KRB5_PADATA_OTP_PIN_CHANGE","KRB5_PADATA_OTP_REQUEST","KRB5_PADATA_PAC_OPTIONS","KRB5_PADATA_PAC_REQUEST","KRB5_PADATA_PKINIT_KX","KRB5_PADATA_PK_AS_REP","KRB5_PADATA_PK_AS_REP_OLD","KRB5_PADATA_PK_AS_REQ","KRB5_PADATA_PK_AS_REQ_OLD","KRB5_PADATA_PW_SALT","KRB5_PADATA_REDHAT_IDP_OAUTH2","KRB5_PADATA_REDHAT_PASSKEY","KRB5_PADATA_REFERRAL","KRB5_PADATA_S4U_X509_USER","KRB5_PADATA_SAM_CHALLENGE","KRB5_PADATA_SAM_CHALLENGE_2","KRB5_PADATA_SAM_REDIRECT","KRB5_PADATA_SAM_RESPONSE","KRB5_PADATA_SAM_RESPONSE_2","KRB5_PADATA_SESAME","KRB5_PADATA_SPAKE","KRB5_PADATA_SVR_REFERRAL_INFO","KRB5_PADATA_TGS_REQ","KRB5_PADATA_USE_SPECIFIED_KVNO","KRB5_PRINCIPAL_COMPARE_CASEFOLD","KRB5_PRINCIPAL_COMPARE_ENTERPRISE","KRB5_PRINCIPAL_COMPARE_IGNORE_REALM","KRB5_PRINCIPAL_COMPARE_UTF8","KRB5_PRINCIPAL_PARSE_ENTERPRISE","KRB5_PRINCIPAL_PARSE_IGNORE_REALM","KRB5_PRINCIPAL_PARSE_NO_DEF_REALM","KRB5_PRINCIPAL_PARSE_NO_REALM","KRB5_PRINCIPAL_PARSE_REQUIRE_REALM","KRB5_PRINCIPAL_UNPARSE_DISPLAY","KRB5_PRINCIPAL_UNPARSE_NO_REALM","KRB5_PRINCIPAL_UNPARSE_SHORT","KRB5_PRIV","KRB5_PROMPT_TYPE_NEW_PASSWORD","KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN","KRB5_PROMPT_TYPE_PASSWORD","KRB5_PROMPT_TYPE_PREAUTH","KRB5_PVNO","KRB5_REALM_BRANCH_CHAR","KRB5_RECVAUTH_BADAUTHVERS","KRB5_RECVAUTH_SKIP_VERSION","KRB5_REFERRAL_REALM","KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN","KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN","KRB5_RESPONDER_OTP_FLAGS_NEXTOTP","KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN","KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC","KRB5_RESPONDER_OTP_FORMAT_DECIMAL","KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL","KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW","KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY","KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED","KRB5_RESPONDER_QUESTION_OTP","KRB5_RESPONDER_QUESTION_PASSWORD","KRB5_RESPONDER_QUESTION_PKINIT","KRB5_SAFE","KRB5_SAM_MUST_PK_ENCRYPT_SAD","KRB5_SAM_SEND_ENCRYPTED_SAD","KRB5_SAM_USE_SAD_AS_KEY","KRB5_TC_MATCH_2ND_TKT","KRB5_TC_MATCH_AUTHDATA","KRB5_TC_MATCH_FLAGS","KRB5_TC_MATCH_FLAGS_EXACT","KRB5_TC_MATCH_IS_SKEY","KRB5_TC_MATCH_KTYPE","KRB5_TC_MATCH_SRV_NAMEONLY","KRB5_TC_MATCH_TIMES","KRB5_TC_MATCH_TIMES_EXACT","KRB5_TC_NOTICKET","KRB5_TC_OPENCLOSE","KRB5_TC_SUPPORTED_KTYPES","KRB5_TGS_NAME","KRB5_TGS_NAME_SIZE","KRB5_TGS_REP","KRB5_TGS_REQ","KRB5_TKT_CREDS_STEP_FLAG_CONTINUE","KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL","KRB5_WELLKNOWN_NAMESTR","LR_TYPE_INTERPRETATION_MASK","LR_TYPE_THIS_SERVER_ONLY","MAX_KEYTAB_NAME_LEN","MSEC_DIRBIT","MSEC_VAL_MASK","SALT_TYPE_AFS_LENGTH","SALT_TYPE_NO_LENGTH","THREEPARAMOPEN","TKT_FLG_ANONYMOUS","TKT_FLG_ENC_PA_REP","TKT_FLG_FORWARDABLE","TKT_FLG_FORWARDED","TKT_FLG_HW_AUTH","TKT_FLG_INITIAL","TKT_FLG_INVALID","TKT_FLG_MAY_POSTDATE","TKT_FLG_OK_AS_DELEGATE","TKT_FLG_POSTDATED","TKT_FLG_PRE_AUTH","TKT_FLG_PROXIABLE","TKT_FLG_PROXY","TKT_FLG_RENEWABLE","TKT_FLG_TRANSIT_POLICY_CHECKED","VALID_INT_BITS","VALID_UINT_BITS","krb5 simple macros","krb524_convert_creds_kdc","krb524_init_ets","krb5_const","krb5_princ_component","krb5_princ_name","krb5_princ_realm","krb5_princ_set_realm","krb5_princ_set_realm_data","krb5_princ_set_realm_length","krb5_princ_size","krb5_princ_type","krb5_roundup","krb5_x","krb5_xc","krb5 types and structures","krb5_address","krb5_addrtype","krb5_ap_rep","krb5_ap_rep_enc_part","krb5_ap_req","krb5_auth_context","krb5_authdata","krb5_authdatatype","krb5_authenticator","krb5_boolean","krb5_cc_cursor","krb5_ccache","krb5_cccol_cursor","krb5_checksum","krb5_cksumtype","krb5_const_pointer","krb5_const_principal","krb5_context","krb5_cred","krb5_cred_enc_part","krb5_cred_info","krb5_creds","krb5_crypto_iov","krb5_cryptotype","krb5_data","krb5_deltat","krb5_enc_data","krb5_enc_kdc_rep_part","krb5_enc_tkt_part","krb5_encrypt_block","krb5_enctype","krb5_error","krb5_error_code","krb5_expire_callback_func","krb5_flags","krb5_get_init_creds_opt","krb5_gic_opt_pa_data","krb5_init_creds_context","krb5_int16","krb5_int32","krb5_kdc_rep","krb5_kdc_req","krb5_key","krb5_keyblock","krb5_keytab","krb5_keytab_entry","krb5_keyusage","krb5_kt_cursor","krb5_kvno","krb5_last_req_entry","krb5_magic","krb5_mk_req_checksum_func","krb5_msgtype","krb5_octet","krb5_pa_data","krb5_pa_pac_req","krb5_pa_server_referral_data","krb5_pa_svr_referral_data","krb5_pac","krb5_pointer","krb5_post_recv_fn","krb5_pre_send_fn","krb5_preauthtype","krb5_principal","krb5_principal_data","krb5_prompt","krb5_prompt_type","krb5_prompter_fct","krb5_pwd_data","krb5_rcache","krb5_replay_data","krb5_responder_context","krb5_responder_fn","krb5_responder_otp_challenge","krb5_responder_otp_tokeninfo","krb5_responder_pkinit_challenge","krb5_responder_pkinit_identity","krb5_response","krb5_ticket","krb5_ticket_times","krb5_timestamp","krb5_tkt_authent","krb5_tkt_creds_context","krb5_trace_callback","krb5_trace_info","krb5_transited","krb5_typed_data","krb5_ui_2","krb5_ui_4","krb5_verify_init_creds_opt","passwd_phrase_element","Year 2038 considerations for uses of krb5_timestamp","Credential cache","Supported date and time formats","Kerberos V5 concepts","keytab","replay cache","stash file","Organization of the source directory","Doing the build","Building Kerberos V5","Options to <em>configure</em>","osconf.hin","How to build this documentation from the source","Copyright","Credential cache file format","KDC cookie format","PKINIT freshness tokens","Protocols and file formats","Keytab file format","Replay cache file format","MIT Kerberos Documentation (1.21.2)","MIT Kerberos defaults","MIT Kerberos features","MIT Kerberos License information","Credential cache selection interface (ccselect)","PKINIT certificate authorization interface (certauth)","Client preauthentication interface (clpreauth)","General plugin concepts","GSSAPI mechanism interface","Host-to-realm interface (hostrealm)","For plugin module developers","Internal pluggable interfaces","kadmin authorization interface (kadm5_auth)","KADM5 hook interface (kadm5_hook)","KDC policy interface (kdcpolicy)","KDC preauthentication interface (kdcpreauth)","Local authorization interface (localauth)","Server location interface (locate)","Configuration interface (profile)","Password quality interface (pwqual)","Resources","For users","Password management","Ticket management","User commands","kdestroy","kinit","klist","kpasswd","krb5-config","ksu","kswitch","kvno","sclient","User config files",".k5identity",".k5login","kerberos"],titleterms:{"boolean":59,"byte":[112,117,119,121,296],"default":[14,28,36,135,136,145,156,210,227,303,305,306,347,377,378,897,900,901,917],"export":43,"function":[118,219,257,363,364,375,380,381,386],"import":43,"new":[108,149,236,302,322,339,946],"null":91,"public":[48,789,804],"return":[53,58,95,96,97,111,112,116,136,210,261,266,312,332,337,367,370],"switch":[34,160],"while":41,Adding:[14,15],DES:14,DNS:[15,38],Doing:904,For:[30,45,926,937],One:46,TGS:[378,399,400,401,402,404],THE:946,The:[14,32,36],Using:[15,904],abbrevi:898,about:32,absolut:898,acceptor:43,access:938,account:[35,166,938],acl:[19,34],acquir:[15,271,272,275,276,277,278,279,401],ad_type_extern:432,ad_type_field_type_mask:433,ad_type_regist:434,ad_type_reserv:435,add:[34,302,333,346,417,419,420],add_entri:11,add_mkei:6,add_polici:3,add_princip:3,addit:[31,126,224,350],address:[25,52,53,54,62,64,82,172,198,240,332],addrtype_addrport:422,addrtype_chao:423,addrtype_ddp:424,addrtype_inet6:426,addrtype_inet:425,addrtype_ipport:427,addrtype_is_loc:429,addrtype_iso:428,addrtype_netbio:430,addrtype_xn:431,adjust:396,admin:[39,41],administr:[1,23,30,34],advanc:13,advic:[32,38],aead:[43,100,103,288,290],against:414,alia:192,all:332,alloc:[106,212,214,219,236],allow:[55,167,244],allow_weak_crypto:55,also:[2,3,4,5,6,7,8,9,10,11,12,19,20,21,941,942,943,944,945,946,947,948,949,951,952,953],alter:897,ani:165,anonym:[37,46,57,58,241],anoth:179,answer:[369,372,373],ap_opts_etype_negoti:436,ap_opts_mutual_requir:437,ap_opts_reserv:438,ap_opts_use_session_kei:439,ap_opts_use_subkei:440,ap_opts_wire_mask:441,api:[44,48,421,908],appdefault:[21,59,60],applic:[14,15,32,38,45,55],archiv:936,argument:92,ark:6,armor:[246,247],arrai:[98,114,130,172,198,200,204,211,220,263,295,299,325,337],ask:253,asn:185,assign:[200,218],attack:25,attribut:[43,338],auth:[62,63,64,65,67,68,69,71,72,73,74,76,77,79,80,81,82,84,85,86,87,88,89,90],authdata:927,authent:[16,23,41,65,78,200,946],author:[28,37,173,184,189,195,319,320,322,412,921,927,928,932,946,953],autoconf:904,awai:26,back:[17,22],background:[0,901],backup:17,behavior:[19,38],berkelei:24,between:44,binari:904,block:95,buffer:[333,335,337],bug:953,build:[57,91,92,93,904,905,908],built:285,cach:[71,85,132,133,134,135,136,137,139,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,246,250,251,265,383,897,901,910,915,920],call:48,callback:[46,63,80,245,386],cannot:41,canonic:[38,194,242],capath:21,caus:79,ccach:[138,247,897],ccselect:[21,920],cert:41,certauth:[21,921],certif:[37,41,338,921],cf2:107,chain:41,challeng:365,chang:[23,166,169,243,938],change_password:3,channel:936,check:[165,167,284,313],checksum:[63,80,81,96,109,110,111,113,114,127,129,130,170,204,294,295,298,299,390],choos:26,cipher:[79,95,106,108],cksumtype_cmac_camellia128:442,cksumtype_cmac_camellia256:443,cksumtype_crc32:444,cksumtype_descbc:445,cksumtype_hmac_md5_arcfour:446,cksumtype_hmac_sha1_96_aes128:447,cksumtype_hmac_sha1_96_aes256:448,cksumtype_hmac_sha1_des3:449,cksumtype_hmac_sha256_128_aes128:450,cksumtype_hmac_sha384_192_aes256:451,cksumtype_md5_hmac_arcfour:452,cksumtype_nist_sha:453,cksumtype_rsa_md4:454,cksumtype_rsa_md4_d:455,cksumtype_rsa_md5:456,cksumtype_rsa_md5_d:457,cksumtype_sha1:458,clean:904,clear:171,clear_list:11,client:[15,29,33,37,132,303,336,375,900,922],clock:[15,167],close:[133,304],clpreauth:[21,922],code:[228,346,379,417,418,419,420],collect:[161,162,163,164,165,897],collis:109,combin:107,command:[3,5,6,11,940],common:12,commonli:906,compar:[52,105,348,349,350,362],compat:26,complet:421,compon:349,comput:[104,107,113,294],concept:[899,923],conf:[20,21,34,59,60],config:[945,950],configur:[15,18,22,26,28,29,33,34,35,36,37,39,141,155,262,282,283,906,910,934],connect:[41,62],consider:[36,896],constrain:43,contain:[165,189,313,366],content:[18,31,181,203,206,209,216,217,905,926],context:[62,63,64,65,67,68,69,71,72,73,74,76,77,78,79,80,81,82,84,85,86,87,88,89,90,171,179,205,262,263,266,268,269,270,271,272,273,274,275,282,365,366,373,377,396,399,400,401,402,403,946],contribut:0,conveni:48,convert:[49,50,51,56,125,126,170,187,192,193,344,345,347,374,390,391,392,394,395,397,398,406,407,408,409],cooki:911,copi:[134,172,173,174,175,176,177,178,179,180,181,182,183,293],copyright:909,correct:15,count:[93,291,297],creat:[5,6,34,37,41,78,149,268,269,275,282,286,329,330,338,403,946],create_polici:5,cred:[223,323,325,354],credenti:[15,41,43,46,51,132,133,134,135,136,137,139,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,220,235,236,237,238,240,241,242,243,244,245,246,247,248,249,250,251,252,254,255,256,257,258,259,260,264,267,270,271,272,273,274,275,276,277,278,279,323,325,330,382,383,400,401,403,414,415,416,897,910,920],cross:23,current:[167,396],cursor:[162,308],daemon:34,dai:410,data:[58,99,100,101,102,103,104,124,173,184,189,195,198,200,209,286,287,288,289,290,320,322,365,412,927],databas:[3,14,17,23,24,34,39,927],datatyp:421,date:898,db2:24,dbdefault:20,dbmodul:20,dce:[328,358],decis:39,declar:[805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895],decod:[185,355,368,371],decrement:291,decrypt:[99,100,287,288,357,358,359,376],defin:36,del_str:3,deleg:43,delete_entri:11,delete_polici:3,delete_princip:3,delta:391,deprec:[48,789],deriv:101,descript:[2,3,4,5,6,7,8,9,10,11,12,19,941,942,943,944,945,946,947,948,949,951,952,953],deseri:405,destroi:[5,6,137,939],destroy_polici:5,determin:[160,319],develop:[43,45,926],dictionari:25,differ:[23,44,419,420],direct:387,directli:48,directori:[903,904,906],discoveri:39,document:[0,898,908,916],domain_realm:21,dump:[6,23],duplic:[138,307],durat:898,dure:41,each:34,edit:34,effect:946,element:[114,130,195,295,299],empti:[280,338],encod:[320,324,339],encrypt:[20,26,41,97,102,103,104,105,111,115,118,128,192,193,211,244,261,289,290,327,328,378,392],enctyp:[26,115,117,124,229,286,292,296],enctype_aes128_cts_hmac_sha1_96:459,enctype_aes128_cts_hmac_sha256_128:460,enctype_aes256_cts_hmac_sha1_96:461,enctype_aes256_cts_hmac_sha384_192:462,enctype_arcfour_hmac:463,enctype_arcfour_hmac_exp:464,enctype_camellia128_cts_cmac:465,enctype_camellia256_cts_cmac:466,enctype_des3_cbc_env:467,enctype_des3_cbc_raw:468,enctype_des3_cbc_sha1:470,enctype_des3_cbc_sha:469,enctype_des_cbc_crc:471,enctype_des_cbc_md4:472,enctype_des_cbc_md5:473,enctype_des_cbc_raw:474,enctype_des_hmac_sha1:475,enctype_dsa_sha1_cm:476,enctype_md5_rsa_cm:477,enctype_nul:478,enctype_rc2_cbc_env:479,enctype_rsa_env:480,enctype_rsa_es_oaep_env:481,enctype_sha1_rsa_cm:482,enctype_unknown:483,end:22,entri:[139,150,217,302,310,313,314,316,318,910,914],environ:[2,3,4,5,6,7,8,9,10,11,12,27,906,941,942,943,944,946,947,948,949,953],epoch:410,error:[12,41,171,179,212,213,228,273,346,355,379,417,418,419,420],etc:38,event:[386,387],everi:158,exampl:[10,11,19,46,906,945,951,952],exchang:[41,404],execut:946,exist:[166,264,313],expans:21,expir:[41,245],extend:[171,179,228,379,418],extens:43,fact:918,fail:[34,41],fast:[238,246,247,248],featur:[906,918],field:[64,83,84,97,209,384,385],file:[8,18,20,21,32,33,34,282,387,902,910,913,914,915,941,942,943,947,948,950],fill:[98,114,295],find:[132,195],fine:906,finish:139,firewal:15,flag:[66,83,142,157,238,241,242,243,248,249,255,345,350,408,409],format:[185,223,323,324,325,326,327,328,331,409,898,910,911,913,914,915],forward:[223,249],free:[61,106,162,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,237,270,291,334,367,370,399],frequent:[41,48],fresh:[37,912],from:[14,15,26,59,60,62,63,64,65,66,67,68,69,71,72,73,74,76,77,124,141,142,150,151,153,179,229,238,262,263,264,266,267,272,273,274,286,293,310,314,315,316,335,336,343,361,389,401,402,403,908,923],full:[143,389],gener:[37,62,115,117,119,121,124,213,265,296,389,917,923],get:[15,41,46,63,118,141,145,164,169,223,224,228,231,235,260,263,264,267,273,279,306,310,311,317,403,404],get_init_cr:46,get_polici:3,get_princip:3,get_str:3,getdat:898,given:365,grant:[403,938],gssapi:[28,43,924],guid:31,handl:[133,138,304,307,317,333,334,337,338,339],has:41,header:[98,910],heimdal:44,hin:907,histori:[3,14,23,953],hit:291,hook:[380,381,929],host:[17,28,32,34,41,231,332,925],hostnam:[39,194],hostrealm:[21,925],how:908,http:29,ident:[21,372],ignor:349,includ:[253,300,301],increment:[23,34,297],indic:16,inform:[15,21,336,901,919],initi:[41,43,46,78,108,147,165,235,236,237,238,240,241,242,243,244,245,246,247,248,249,250,251,252,254,255,256,257,258,259,260,270,271,272,273,274,275,276,277,278,279,280,414,415],input:[101,250,361],instal:[31,33,34,904,906,946],instanc:36,instruct:946,interact:46,interfac:[21,48,332,920,921,922,924,925,927,928,929,930,931,932,933,934,935],intern:[804,927],interoper:918,interpos:924,iov:[43,98,114,130,295,299],irc:936,iter:163,its:161,k5ident:951,k5login:952,k5srvutil:2,kadm5:[19,929],kadm5_auth:[21,928],kadm5_hook:[21,929],kadmin:[3,928],kadmind:[4,923],kdb5_ldap_util:5,kdb5_util:6,kdb:927,kdc:[14,20,28,34,35,37,39,41,229,253,264,267,273,279,380,381,403,404,911,917,923,930,931],kdc_opt_allow_postd:484,kdc_opt_canonic:485,kdc_opt_cname_in_addl_tkt:486,kdc_opt_disable_transited_check:487,kdc_opt_enc_tkt_in_skei:488,kdc_opt_forward:[489,490],kdc_opt_postd:491,kdc_opt_proxi:[492,493],kdc_opt_renew:[494,495],kdc_opt_renewable_ok:496,kdc_opt_request_anonym:497,kdc_opt_valid:498,kdc_tkt_common_mask:499,kdcdefault:20,kdcissu:[320,412],kdcpolici:930,kdcpreauth:[21,931],kdestroi:[939,941],kei:[14,23,26,67,68,90,99,101,102,107,110,111,112,115,124,125,126,217,235,261,286,287,288,289,290,291,294,295,296,297,298,299,302,303,304,305,306,310,311,312,314,315,316,317,318,376,914],kerbero:[0,15,17,22,23,34,39,44,49,50,51,52,127,128,166,231,285,899,905,916,917,918,919,927,939,953],keyblock:[67,72,73,76,86,88,99,100,102,103,113,114,129,130,180,181,286,293],keyboard:361,keysalt:20,keytab:[15,32,34,38,276,307,308,313,414,900,914],kinit:[939,942],kldap:24,klist:[939,943],klmdb:24,known:163,kpasswd:944,kprop:[7,41],kpropd:8,kproplog:9,krb524_convert_creds_kdc:790,krb524_init_et:791,krb5:[21,34,48,59,60,205,219,268,269,282,789,804,945],krb5_425_conv_princip:49,krb5_524_conv_princip:50,krb5_524_convert_cr:51,krb5_address:805,krb5_address_compar:52,krb5_address_ord:53,krb5_address_search:54,krb5_addrtyp:806,krb5_allow_weak_crypto:55,krb5_altauth_att_challenge_respons:500,krb5_aname_to_localnam:56,krb5_anonymous_princip:57,krb5_anonymous_princstr:501,krb5_anonymous_realm:58,krb5_anonymous_realmstr:502,krb5_ap_rep:[503,807],krb5_ap_rep_enc_part:[199,808],krb5_ap_req:[504,809],krb5_appdefault_boolean:59,krb5_appdefault_str:60,krb5_as_rep:505,krb5_as_req:506,krb5_auth_con_fre:61,krb5_auth_con_genaddr:62,krb5_auth_con_get_checksum_func:63,krb5_auth_con_getaddr:64,krb5_auth_con_getauthent:65,krb5_auth_con_getflag:66,krb5_auth_con_getkei:67,krb5_auth_con_getkey_k:68,krb5_auth_con_getlocalseqnumb:69,krb5_auth_con_getlocalsubkei:70,krb5_auth_con_getrcach:71,krb5_auth_con_getrecvsubkei:72,krb5_auth_con_getrecvsubkey_k:73,krb5_auth_con_getremoteseqnumb:74,krb5_auth_con_getremotesubkei:75,krb5_auth_con_getsendsubkei:76,krb5_auth_con_getsendsubkey_k:77,krb5_auth_con_init:78,krb5_auth_con_initivector:79,krb5_auth_con_set_checksum_func:80,krb5_auth_con_set_req_cksumtyp:81,krb5_auth_con_setaddr:82,krb5_auth_con_setflag:83,krb5_auth_con_setport:84,krb5_auth_con_setrcach:85,krb5_auth_con_setrecvsubkei:86,krb5_auth_con_setrecvsubkey_k:87,krb5_auth_con_setsendsubkei:88,krb5_auth_con_setsendsubkey_k:89,krb5_auth_con_setuseruserkei:90,krb5_auth_context:[61,66,83,810],krb5_auth_context_do_sequ:521,krb5_auth_context_do_tim:522,krb5_auth_context_generate_local_addr:523,krb5_auth_context_generate_local_full_addr:524,krb5_auth_context_generate_remote_addr:525,krb5_auth_context_generate_remote_full_addr:526,krb5_auth_context_permit_al:527,krb5_auth_context_ret_sequ:528,krb5_auth_context_ret_tim:529,krb5_auth_context_use_subkei:530,krb5_authdata:811,krb5_authdata_and_or:507,krb5_authdata_ap_opt:508,krb5_authdata_auth_ind:509,krb5_authdata_cammac:510,krb5_authdata_etype_negoti:511,krb5_authdata_fx_armor:512,krb5_authdata_if_relev:513,krb5_authdata_initial_verified_ca:514,krb5_authdata_kdc_issu:515,krb5_authdata_mandatory_for_kdc:516,krb5_authdata_osf_dc:517,krb5_authdata_sesam:518,krb5_authdata_signticket:519,krb5_authdata_win2k_pac:520,krb5_authdatatyp:812,krb5_authent:[174,201,813],krb5_boolean:814,krb5_build_princip:91,krb5_build_principal_alloc_va:92,krb5_build_principal_ext:93,krb5_build_principal_va:94,krb5_c_block_siz:95,krb5_c_checksum_length:96,krb5_c_crypto_length:97,krb5_c_crypto_length_iov:98,krb5_c_decrypt:99,krb5_c_decrypt_iov:100,krb5_c_derive_prfplu:101,krb5_c_encrypt:102,krb5_c_encrypt_iov:103,krb5_c_encrypt_length:104,krb5_c_enctype_compar:105,krb5_c_free_stat:106,krb5_c_fx_cf2_simpl:107,krb5_c_init_st:[106,108],krb5_c_is_coll_proof_cksum:109,krb5_c_is_keyed_cksum:110,krb5_c_keyed_checksum_typ:111,krb5_c_keylength:112,krb5_c_make_checksum:113,krb5_c_make_checksum_iov:114,krb5_c_make_random_kei:115,krb5_c_padding_length:116,krb5_c_prf:117,krb5_c_prf_length:118,krb5_c_prfplu:119,krb5_c_random_add_entropi:120,krb5_c_random_make_octet:121,krb5_c_random_os_entropi:122,krb5_c_random_se:123,krb5_c_random_to_kei:124,krb5_c_string_to_kei:125,krb5_c_string_to_key_with_param:126,krb5_c_valid_cksumtyp:127,krb5_c_valid_enctyp:128,krb5_c_verify_checksum:129,krb5_c_verify_checksum_iov:130,krb5_calculate_checksum:131,krb5_cc_cache_match:132,krb5_cc_close:133,krb5_cc_copy_cr:134,krb5_cc_cursor:815,krb5_cc_default:135,krb5_cc_default_nam:136,krb5_cc_destroi:137,krb5_cc_dup:138,krb5_cc_end_seq_get:139,krb5_cc_gen_new:140,krb5_cc_get_config:141,krb5_cc_get_flag:142,krb5_cc_get_full_nam:143,krb5_cc_get_nam:144,krb5_cc_get_princip:145,krb5_cc_get_typ:146,krb5_cc_initi:147,krb5_cc_move:148,krb5_cc_new_uniqu:149,krb5_cc_next_cr:150,krb5_cc_remove_cr:151,krb5_cc_resolv:152,krb5_cc_retrieve_cr:153,krb5_cc_select:154,krb5_cc_set_config:155,krb5_cc_set_default_nam:156,krb5_cc_set_flag:157,krb5_cc_start_seq_get:158,krb5_cc_store_cr:159,krb5_cc_support_switch:160,krb5_cc_switch:161,krb5_ccach:816,krb5_cccol_cursor:817,krb5_cccol_cursor_fre:162,krb5_cccol_cursor_new:163,krb5_cccol_cursor_next:164,krb5_cccol_have_cont:165,krb5_change_password:166,krb5_check_clockskew:167,krb5_checksum:[175,202,203,818],krb5_checksum_s:168,krb5_chpw_messag:169,krb5_cksumtyp:819,krb5_cksumtype_to_str:170,krb5_clear_error_messag:171,krb5_const:792,krb5_const_point:820,krb5_const_princip:821,krb5_context:[176,378,385,822],krb5_copy_address:172,krb5_copy_authdata:173,krb5_copy_authent:174,krb5_copy_checksum:175,krb5_copy_context:176,krb5_copy_cr:177,krb5_copy_data:178,krb5_copy_error_messag:179,krb5_copy_keyblock:180,krb5_copy_keyblock_cont:181,krb5_copy_princip:182,krb5_copy_ticket:183,krb5_cred:[177,206,207,321,405,531,823,826],krb5_cred_enc_part:824,krb5_cred_info:825,krb5_crypto_iov:827,krb5_crypto_type_checksum:532,krb5_crypto_type_data:533,krb5_crypto_type_empti:534,krb5_crypto_type_head:535,krb5_crypto_type_pad:536,krb5_crypto_type_sign_onli:537,krb5_crypto_type_stream:538,krb5_crypto_type_trail:539,krb5_cryptotyp:828,krb5_cybersafe_secureid:540,krb5_data:[178,208,209,829],krb5_decode_authdata_contain:184,krb5_decode_ticket:185,krb5_decrypt:186,krb5_deltat:830,krb5_deltat_to_str:187,krb5_domain_x500_compress:541,krb5_eblock_enctyp:188,krb5_enc_data:831,krb5_enc_kdc_rep_part:832,krb5_enc_tkt_part:833,krb5_encode_authdata_contain:189,krb5_encpadata_req_enc_pa_rep:542,krb5_encrypt:190,krb5_encrypt_block:834,krb5_encrypt_s:191,krb5_enctyp:835,krb5_enctype_to_nam:192,krb5_enctype_to_str:193,krb5_error:[543,836],krb5_error_cod:837,krb5_expand_hostnam:194,krb5_expire_callback_func:838,krb5_fast_requir:544,krb5_find_authdata:195,krb5_finish_kei:196,krb5_finish_random_kei:197,krb5_flag:839,krb5_free_address:198,krb5_free_ap_rep_enc_part:199,krb5_free_authdata:200,krb5_free_authent:201,krb5_free_checksum:202,krb5_free_checksum_cont:203,krb5_free_cksumtyp:204,krb5_free_context:205,krb5_free_cr:207,krb5_free_cred_cont:206,krb5_free_data:208,krb5_free_data_cont:209,krb5_free_default_realm:210,krb5_free_enctyp:211,krb5_free_error:212,krb5_free_error_messag:213,krb5_free_host_realm:214,krb5_free_keyblock:215,krb5_free_keyblock_cont:216,krb5_free_keytab_entry_cont:217,krb5_free_princip:218,krb5_free_str:219,krb5_free_tgt_cr:220,krb5_free_ticket:221,krb5_free_unparsed_nam:222,krb5_fwd_tgt_cred:223,krb5_gc_cach:545,krb5_gc_canonic:546,krb5_gc_constrained_deleg:547,krb5_gc_forward:548,krb5_gc_no_stor:549,krb5_gc_no_transit_check:550,krb5_gc_user_us:551,krb5_get_credenti:224,krb5_get_credentials_renew:225,krb5_get_credentials_valid:226,krb5_get_default_realm:[210,227],krb5_get_error_messag:[213,228],krb5_get_etype_info:229,krb5_get_fallback_host_realm:230,krb5_get_host_realm:[214,231],krb5_get_in_tkt_with_keytab:232,krb5_get_in_tkt_with_password:233,krb5_get_in_tkt_with_skei:234,krb5_get_init_creds_keytab:235,krb5_get_init_creds_opt:840,krb5_get_init_creds_opt_address_list:552,krb5_get_init_creds_opt_alloc:236,krb5_get_init_creds_opt_anonym:553,krb5_get_init_creds_opt_canonic:554,krb5_get_init_creds_opt_chg_pwd_prmpt:555,krb5_get_init_creds_opt_etype_list:556,krb5_get_init_creds_opt_forward:557,krb5_get_init_creds_opt_fre:237,krb5_get_init_creds_opt_get_fast_flag:238,krb5_get_init_creds_opt_init:239,krb5_get_init_creds_opt_preauth_list:558,krb5_get_init_creds_opt_proxi:559,krb5_get_init_creds_opt_renew_lif:560,krb5_get_init_creds_opt_salt:561,krb5_get_init_creds_opt_set_address_list:240,krb5_get_init_creds_opt_set_anonym:241,krb5_get_init_creds_opt_set_canonic:242,krb5_get_init_creds_opt_set_change_password_prompt:243,krb5_get_init_creds_opt_set_etype_list:244,krb5_get_init_creds_opt_set_expire_callback:245,krb5_get_init_creds_opt_set_fast_ccach:246,krb5_get_init_creds_opt_set_fast_ccache_nam:247,krb5_get_init_creds_opt_set_fast_flag:248,krb5_get_init_creds_opt_set_forward:249,krb5_get_init_creds_opt_set_in_ccach:250,krb5_get_init_creds_opt_set_out_ccach:251,krb5_get_init_creds_opt_set_pa:252,krb5_get_init_creds_opt_set_pac_request:253,krb5_get_init_creds_opt_set_preauth_list:254,krb5_get_init_creds_opt_set_proxi:255,krb5_get_init_creds_opt_set_renew_lif:256,krb5_get_init_creds_opt_set_respond:257,krb5_get_init_creds_opt_set_salt:258,krb5_get_init_creds_opt_set_tkt_lif:259,krb5_get_init_creds_opt_tkt_lif:562,krb5_get_init_creds_password:260,krb5_get_permitted_enctyp:261,krb5_get_profil:262,krb5_get_prompt_typ:263,krb5_get_renewed_cr:264,krb5_get_server_rcach:265,krb5_get_time_offset:266,krb5_get_validated_cr:267,krb5_gic_opt_pa_data:841,krb5_init_context:268,krb5_init_context_kdc:563,krb5_init_context_profil:269,krb5_init_context_secur:564,krb5_init_creds_context:842,krb5_init_creds_fre:270,krb5_init_creds_get:271,krb5_init_creds_get_cr:272,krb5_init_creds_get_error:273,krb5_init_creds_get_tim:274,krb5_init_creds_init:275,krb5_init_creds_set_keytab:276,krb5_init_creds_set_password:277,krb5_init_creds_set_servic:278,krb5_init_creds_step:279,krb5_init_creds_step_flag_continu:565,krb5_init_keyblock:280,krb5_init_random_kei:281,krb5_init_secure_context:282,krb5_int16:843,krb5_int16_max:566,krb5_int16_min:567,krb5_int32:844,krb5_int32_max:568,krb5_int32_min:569,krb5_is_config_princip:283,krb5_is_referral_realm:284,krb5_is_thread_saf:285,krb5_k_create_kei:286,krb5_k_decrypt:287,krb5_k_decrypt_iov:288,krb5_k_encrypt:289,krb5_k_encrypt_iov:290,krb5_k_free_kei:291,krb5_k_key_enctyp:292,krb5_k_key_keyblock:293,krb5_k_make_checksum:294,krb5_k_make_checksum_iov:295,krb5_k_prf:296,krb5_k_reference_kei:297,krb5_k_verify_checksum:298,krb5_k_verify_checksum_iov:299,krb5_kdc_rep:845,krb5_kdc_req:846,krb5_kdc_sign_ticket:300,krb5_kdc_verify_ticket:301,krb5_kei:[286,292,293,847],krb5_keyblock:[215,216,280,848],krb5_keytab:849,krb5_keytab_entri:850,krb5_keyusag:851,krb5_keyusage_ad_it:570,krb5_keyusage_ad_kdcissued_cksum:571,krb5_keyusage_ad_mt:572,krb5_keyusage_ad_signedpath:573,krb5_keyusage_ap_rep_encpart:576,krb5_keyusage_ap_req_auth:577,krb5_keyusage_ap_req_auth_cksum:578,krb5_keyusage_app_data_cksum:574,krb5_keyusage_app_data_encrypt:575,krb5_keyusage_as_rep_encpart:579,krb5_keyusage_as_req:580,krb5_keyusage_as_req_pa_enc_t:581,krb5_keyusage_cammac:582,krb5_keyusage_enc_challenge_cli:583,krb5_keyusage_enc_challenge_kdc:584,krb5_keyusage_fast_enc:585,krb5_keyusage_fast_finish:586,krb5_keyusage_fast_rep:587,krb5_keyusage_fast_req_chksum:588,krb5_keyusage_gss_tok_m:589,krb5_keyusage_gss_tok_wrap_integ:590,krb5_keyusage_gss_tok_wrap_priv:591,krb5_keyusage_iakerb_finish:592,krb5_keyusage_kdc_rep_ticket:593,krb5_keyusage_krb_cred_encpart:594,krb5_keyusage_krb_error_cksum:595,krb5_keyusage_krb_priv_encpart:596,krb5_keyusage_krb_safe_cksum:597,krb5_keyusage_pa_as_fresh:598,krb5_keyusage_pa_fx_cooki:599,krb5_keyusage_pa_otp_request:600,krb5_keyusage_pa_pkinit_kx:601,krb5_keyusage_pa_s4u_x509_user_repli:602,krb5_keyusage_pa_s4u_x509_user_request:603,krb5_keyusage_pa_sam_challenge_cksum:604,krb5_keyusage_pa_sam_challenge_trackid:605,krb5_keyusage_pa_sam_respons:606,krb5_keyusage_spak:607,krb5_keyusage_tgs_rep_encpart_sesskei:608,krb5_keyusage_tgs_rep_encpart_subkei:609,krb5_keyusage_tgs_req_ad_sesskei:610,krb5_keyusage_tgs_req_ad_subkei:611,krb5_keyusage_tgs_req_auth:612,krb5_keyusage_tgs_req_auth_cksum:613,krb5_kpasswd_accessdeni:614,krb5_kpasswd_autherror:615,krb5_kpasswd_bad_vers:616,krb5_kpasswd_harderror:617,krb5_kpasswd_initial_flag_need:618,krb5_kpasswd_malform:619,krb5_kpasswd_softerror:620,krb5_kpasswd_success:621,krb5_kt_add_entri:302,krb5_kt_client_default:303,krb5_kt_close:304,krb5_kt_cursor:852,krb5_kt_default:305,krb5_kt_default_nam:306,krb5_kt_dup:307,krb5_kt_end_seq_get:308,krb5_kt_free_entri:309,krb5_kt_get_entri:310,krb5_kt_get_nam:311,krb5_kt_get_typ:312,krb5_kt_have_cont:313,krb5_kt_next_entri:314,krb5_kt_read_service_kei:315,krb5_kt_remove_entri:316,krb5_kt_resolv:317,krb5_kt_start_seq_get:318,krb5_kuserok:319,krb5_kvno:853,krb5_last_req_entri:854,krb5_lrq_all_acct_exptim:622,krb5_lrq_all_last_initi:623,krb5_lrq_all_last_renew:624,krb5_lrq_all_last_req:625,krb5_lrq_all_last_tgt:626,krb5_lrq_all_last_tgt_issu:627,krb5_lrq_all_pw_exptim:628,krb5_lrq_none:629,krb5_lrq_one_acct_exptim:630,krb5_lrq_one_last_initi:631,krb5_lrq_one_last_renew:632,krb5_lrq_one_last_req:633,krb5_lrq_one_last_tgt:634,krb5_lrq_one_last_tgt_issu:635,krb5_lrq_one_pw_exptim:636,krb5_magic:855,krb5_make_authdata_kdc_issu:320,krb5_marshal_credenti:321,krb5_merge_authdata:322,krb5_mk_1cred:323,krb5_mk_error:324,krb5_mk_ncred:325,krb5_mk_priv:326,krb5_mk_rep:327,krb5_mk_rep_dc:328,krb5_mk_req:329,krb5_mk_req_checksum_func:856,krb5_mk_req_extend:330,krb5_mk_safe:331,krb5_msgtype:857,krb5_nt_ent_principal_and_id:638,krb5_nt_enterprise_princip:637,krb5_nt_ms_princip:639,krb5_nt_ms_principal_and_id:640,krb5_nt_princip:641,krb5_nt_smtp_name:642,krb5_nt_srv_hst:643,krb5_nt_srv_inst:644,krb5_nt_srv_xhst:645,krb5_nt_uid:646,krb5_nt_unknown:647,krb5_nt_wellknown:648,krb5_nt_x500_princip:649,krb5_octet:858,krb5_os_localaddr:332,krb5_pa_data:859,krb5_pa_pac_req:860,krb5_pa_server_referral_data:861,krb5_pa_svr_referral_data:862,krb5_pac:863,krb5_pac_add_buff:333,krb5_pac_attributes_info:650,krb5_pac_client_claim:651,krb5_pac_client_info:652,krb5_pac_credentials_info:653,krb5_pac_delegation_info:654,krb5_pac_device_claim:655,krb5_pac_device_info:656,krb5_pac_fre:334,krb5_pac_full_checksum:657,krb5_pac_get_buff:335,krb5_pac_get_client_info:336,krb5_pac_get_typ:337,krb5_pac_init:338,krb5_pac_logon_info:658,krb5_pac_pars:339,krb5_pac_privsvr_checksum:659,krb5_pac_requestor:660,krb5_pac_server_checksum:661,krb5_pac_sign:340,krb5_pac_sign_ext:341,krb5_pac_ticket_checksum:662,krb5_pac_upn_dns_info:663,krb5_pac_verifi:342,krb5_pac_verify_ext:343,krb5_padata_afs3_salt:664,krb5_padata_ap_req:665,krb5_padata_as_checksum:666,krb5_padata_as_fresh:667,krb5_padata_enc_sandia_securid:669,krb5_padata_enc_timestamp:670,krb5_padata_enc_unix_tim:671,krb5_padata_encrypted_challeng:668,krb5_padata_etype_info2:673,krb5_padata_etype_info:672,krb5_padata_for_us:674,krb5_padata_fx_cooki:675,krb5_padata_fx_error:676,krb5_padata_fx_fast:677,krb5_padata_get_from_typed_data:678,krb5_padata_non:679,krb5_padata_osf_dc:680,krb5_padata_otp_challeng:681,krb5_padata_otp_pin_chang:682,krb5_padata_otp_request:683,krb5_padata_pac_opt:684,krb5_padata_pac_request:685,krb5_padata_pk_as_rep:687,krb5_padata_pk_as_rep_old:688,krb5_padata_pk_as_req:689,krb5_padata_pk_as_req_old:690,krb5_padata_pkinit_kx:686,krb5_padata_pw_salt:691,krb5_padata_redhat_idp_oauth2:692,krb5_padata_redhat_passkei:693,krb5_padata_referr:694,krb5_padata_s4u_x509_us:695,krb5_padata_sam_challeng:696,krb5_padata_sam_challenge_2:697,krb5_padata_sam_redirect:698,krb5_padata_sam_respons:699,krb5_padata_sam_response_2:700,krb5_padata_sesam:701,krb5_padata_spak:702,krb5_padata_svr_referral_info:703,krb5_padata_tgs_req:704,krb5_padata_use_specified_kvno:705,krb5_parse_nam:344,krb5_parse_name_flag:345,krb5_pointer:864,krb5_post_recv_fn:865,krb5_pre_send_fn:866,krb5_preauthtyp:867,krb5_prepend_error_messag:346,krb5_princ_compon:793,krb5_princ_nam:794,krb5_princ_realm:795,krb5_princ_set_realm:796,krb5_princ_set_realm_data:797,krb5_princ_set_realm_length:798,krb5_princ_siz:799,krb5_princ_typ:800,krb5_princip:[344,345,406,407,408,409,868],krb5_principal2salt:347,krb5_principal_compar:348,krb5_principal_compare_any_realm:349,krb5_principal_compare_casefold:706,krb5_principal_compare_enterpris:707,krb5_principal_compare_flag:350,krb5_principal_compare_ignore_realm:708,krb5_principal_compare_utf8:709,krb5_principal_data:869,krb5_principal_parse_enterpris:710,krb5_principal_parse_ignore_realm:711,krb5_principal_parse_no_def_realm:712,krb5_principal_parse_no_realm:713,krb5_principal_parse_require_realm:714,krb5_principal_unparse_displai:715,krb5_principal_unparse_no_realm:716,krb5_principal_unparse_short:717,krb5_priv:718,krb5_process_kei:351,krb5_prompt:870,krb5_prompt_typ:871,krb5_prompt_type_new_password:719,krb5_prompt_type_new_password_again:720,krb5_prompt_type_password:721,krb5_prompt_type_preauth:722,krb5_prompter_fct:872,krb5_prompter_posix:352,krb5_pvno:723,krb5_pwd_data:873,krb5_random_kei:353,krb5_rcach:874,krb5_rd_cred:354,krb5_rd_error:355,krb5_rd_priv:356,krb5_rd_rep:357,krb5_rd_rep_dc:358,krb5_rd_req:359,krb5_rd_safe:360,krb5_read_error:212,krb5_read_password:361,krb5_realm_branch_char:724,krb5_realm_compar:362,krb5_recvauth:363,krb5_recvauth_badauthv:725,krb5_recvauth_skip_vers:726,krb5_recvauth_vers:364,krb5_referral_realm:[284,727],krb5_replay_data:875,krb5_responder_context:876,krb5_responder_fn:877,krb5_responder_get_challeng:365,krb5_responder_list_quest:366,krb5_responder_otp_challeng:878,krb5_responder_otp_challenge_fre:367,krb5_responder_otp_flags_collect_pin:728,krb5_responder_otp_flags_collect_token:729,krb5_responder_otp_flags_nextotp:730,krb5_responder_otp_flags_separate_pin:731,krb5_responder_otp_format_alphanumer:732,krb5_responder_otp_format_decim:733,krb5_responder_otp_format_hexadecim:734,krb5_responder_otp_get_challeng:[367,368],krb5_responder_otp_set_answ:369,krb5_responder_otp_tokeninfo:879,krb5_responder_pkinit_challeng:880,krb5_responder_pkinit_challenge_fre:370,krb5_responder_pkinit_flags_token_user_pin_count_low:735,krb5_responder_pkinit_flags_token_user_pin_final_tri:736,krb5_responder_pkinit_flags_token_user_pin_lock:737,krb5_responder_pkinit_get_challeng:[370,371],krb5_responder_pkinit_ident:881,krb5_responder_pkinit_set_answ:372,krb5_responder_question_otp:[368,369,738],krb5_responder_question_password:739,krb5_responder_question_pkinit:[371,372,740],krb5_responder_set_answ:373,krb5_respons:882,krb5_roundup:801,krb5_safe:741,krb5_salttype_to_str:374,krb5_sam_must_pk_encrypt_sad:742,krb5_sam_send_encrypted_sad:743,krb5_sam_use_sad_as_kei:744,krb5_sendauth:[212,375],krb5_server_decrypt_ticket_keytab:376,krb5_set_default_realm:377,krb5_set_default_tgs_enctyp:378,krb5_set_error_messag:379,krb5_set_kdc_recv_hook:380,krb5_set_kdc_send_hook:381,krb5_set_password:382,krb5_set_password_using_ccach:383,krb5_set_principal_realm:384,krb5_set_real_tim:385,krb5_set_trace_callback:386,krb5_set_trace_filenam:387,krb5_sname_match:388,krb5_sname_to_princip:389,krb5_string_to_cksumtyp:390,krb5_string_to_deltat:391,krb5_string_to_enctyp:392,krb5_string_to_kei:393,krb5_string_to_salttyp:394,krb5_string_to_timestamp:395,krb5_tc_match_2nd_tkt:745,krb5_tc_match_authdata:746,krb5_tc_match_flag:747,krb5_tc_match_flags_exact:748,krb5_tc_match_is_skei:749,krb5_tc_match_ktyp:750,krb5_tc_match_srv_nameonli:751,krb5_tc_match_tim:752,krb5_tc_match_times_exact:753,krb5_tc_noticket:754,krb5_tc_openclos:755,krb5_tc_supported_ktyp:756,krb5_tgs_name:757,krb5_tgs_name_s:758,krb5_tgs_rep:759,krb5_tgs_req:760,krb5_ticket:[183,883],krb5_ticket_tim:884,krb5_timeofdai:396,krb5_timestamp:[885,896],krb5_timestamp_to_sfstr:397,krb5_timestamp_to_str:398,krb5_tkt_authent:886,krb5_tkt_creds_context:887,krb5_tkt_creds_fre:399,krb5_tkt_creds_get:400,krb5_tkt_creds_get_cr:401,krb5_tkt_creds_get_tim:402,krb5_tkt_creds_init:403,krb5_tkt_creds_step:404,krb5_tkt_creds_step_flag_continu:761,krb5_trace_callback:888,krb5_trace_info:889,krb5_transit:890,krb5_typed_data:891,krb5_ui_2:892,krb5_ui_4:893,krb5_unmarshal_credenti:405,krb5_unparse_nam:406,krb5_unparse_name_ext:407,krb5_unparse_name_flag:408,krb5_unparse_name_flags_ext:409,krb5_us_timeofdai:410,krb5_use_enctyp:411,krb5_verify_authdata_kdc_issu:412,krb5_verify_checksum:413,krb5_verify_init_cr:414,krb5_verify_init_creds_opt:894,krb5_verify_init_creds_opt_ap_req_nofail:762,krb5_verify_init_creds_opt_init:415,krb5_verify_init_creds_opt_set_ap_req_nofail:416,krb5_vprepend_error_messag:417,krb5_vset_error_messag:418,krb5_vwrap_error_messag:419,krb5_wellknown_namestr:763,krb5_wrap_error_messag:420,krb5_x:802,krb5_xc:803,krb5kdc:10,krb:[107,223,323,325,326,331,354,355,356,360],krb_ap_rep:[327,328,357,358],krb_ap_req:[329,330,359],krb_error:324,krbtgt:[14,23],ksu:946,kswitch:947,ktadd:3,ktremov:3,ktutil:11,kvno:948,last:273,ldap:[23,24],ldapsearch:38,legaci:[14,48],length:[93,96,97,98,104,112,118,407],lib:903,libdefault:21,librari:[205,268,269,282,285],licens:919,lifetim:[256,259],lightn:24,like:917,line:[5,6],link:42,list:[5,11,20,41,54,92,111,173,261,322,366,918,936],list_mkei:6,list_polici:[3,5],list_princip:3,list_request:[3,11],lndir:904,load:[6,23],local:[56,69,82,84,319,932],localauth:[21,932],locat:[28,247,933],lock:3,lockout:35,log:[20,41,319,923],login:28,lr_type_interpretation_mask:764,lr_type_this_server_onli:765,machin:33,macro:789,mail:936,make:161,man:908,manag:[938,939],manipul:47,map:[24,39],master:[14,23],match:[284,388],max_keytab_name_len:766,mechan:[28,924],member:[805,807,808,809,811,813,818,821,823,824,825,826,827,829,831,832,833,834,836,840,841,845,846,848,850,854,859,860,861,862,868,869,870,873,875,878,879,880,881,882,883,884,886,889,890,891,894,895],memori:[24,214],merg:322,messag:[12,43,97,169,171,179,213,223,228,323,324,325,326,327,328,329,330,331,346,354,355,356,357,358,359,360,379,417,418,419,420],mic:43,migrat:26,mismatch:38,mit:[0,23,44,916,917,918,919],modifi:5,modify_polici:[3,5],modify_princip:3,modul:[19,24,28,923,924,926],most:[179,906],move:148,msec_dirbit:767,msec_val_mask:768,multithread:285,name:[38,39,43,56,91,92,93,135,136,143,144,149,152,156,192,194,231,306,311,344,345,347,366,373,387,389,897,901,906],negoex:924,next:[150,164,279,314,404],note:941,number:[69,74,116],object:[178,265,321,405],obtain:[400,905,939],octet:116,offset:[266,385,396],older:26,one:[179,372],onli:282,onto:39,opaqu:[287,288,289,290,294,295,296,298,299],open:265,openldap:[22,38],oper:[23,99,100,102,103,113,114,129,130,287,288,289,290,294,295,296,298,299],optimist:258,option:[3,4,5,6,7,8,9,10,20,21,46,157,236,237,238,240,241,242,243,244,245,246,247,248,249,250,251,252,254,255,256,257,258,259,397,415,906,941,942,943,944,945,946,947,948],order:53,organ:903,osconf:907,other:36,otp:[20,36],output:[118,251,397],over:163,overrid:[38,55,377],overview:23,pac:[253,300,301,333,334,335,336,337,338,339,342,343],packag:[906,908],pad:[98,116,397],page:[908,936],paramet:[21,126,364],pars:[47,357,358,359],passwd_phrase_el:895,password:[46,125,126,166,169,243,260,277,352,361,382,383,935,938],path:917,pepper:107,perform:35,permit:261,pin:46,pkinit:[20,21,37,46,912,921],place:[100,103,288,290],pluggabl:927,plugin:[21,28,923,926],polici:[23,930],port:[39,84],possibl:[194,228,300,301,343],post:380,pre:381,preauthent:[36,40,252,254,258,922,931],precomput:92,prefix:[346,417,419,420],prepar:[158,163],prerequisit:905,previous:106,prf:[101,119],primari:[34,161],princip:[15,23,34,35,38,47,49,50,56,57,91,92,93,132,145,154,182,218,222,278,283,319,344,345,347,348,349,350,362,382,383,384,388,389,910],priv:[326,356],privileg:[23,338],procedur:14,process:[139,356,360],profil:[28,55,262,269,934],program:[1,906],prompt:[243,263,352],prompter:46,proof:109,propag:[23,34,39,917],properti:939,protocol:[363,364,375,913],provis:38,proxi:29,proxiabl:255,pseudo:[117,118,119,121,296],purge_mkei:6,purgekei:3,pwqual:[21,935],qualiti:[935,938],question:[46,365,366,369,372,373],quick:918,quit:[3,11],random:[115,117,118,119,121,124,296],rare:48,read:[158,336,354,361],read_kt:11,realm:[20,21,23,28,39,58,210,227,231,343,349,362,377,384,925],receiv:[72,73,86,87,380],recent:179,refer:[31,291,297,421,908],refus:41,reject:41,rel:187,releas:[308,908],remot:[74,82,84],remov:[14,15,151,316],rename_princip:3,renew:[256,264],replai:[71,85,265,901,915],replic:35,replica:[34,39,917],represent:[222,406],request:[26,279,399,400,401,402,404],requir:[416,946],resolv:[135,152,303,305],resourc:936,respond:[46,257,365,366,373],restrict:[240,953],result:169,retir:14,retriev:[59,60,64,65,66,67,68,69,71,72,73,74,76,77,142,143,144,146,150,153,227,229,238,262,272,274,292,293,314,315,318,335,365,396,401,402,410],revers:38,rfc:[101,119],risk:25,rout:41,rpc:[328,358],s2kparam:229,s4u:43,safe:[331,360],salt:[229,258,347,374,394],salt_type_afs_length:769,salt_type_no_length:770,sampl:[20,21],sclient:949,search:54,sec:410,section:[20,21,59,60],secur:[17,32,38,911,946],see:[2,3,4,5,6,7,8,9,10,11,12,19,20,21,941,942,943,944,945,946,947,948,949,951,952,953],seen:41,select:[26,154,920],send:[76,77,88,89,381],sendauth:[41,363,364,375],separ:904,sequenc:[69,74],sequenti:[139,158,318],seri:139,serial:321,server:[14,15,32,41,154,265,363,364,933],servic:[14,26,38,39,194,278,315,389,403],session:[26,67,68,90,261],set:[55,80,81,82,83,84,85,86,87,88,89,90,156,157,169,240,241,242,243,244,245,246,247,248,249,250,251,254,255,256,257,258,259,277,323,378,379,380,381,382,383,384,385,416,418],set_str:3,setup:35,shell:[38,946],should:48,side:946,sign:[300,320],signatur:[300,301],simpl:[789,908],sinc:410,singl:[323,904],site:908,size:95,skew:[15,167],socket:62,softwar:905,some:[32,101],sourc:[903,908],spake:[40,911],specif:[38,97,115,117,124,296,396],specifi:[21,53,54,112,127,128,132,149,153,269,276,278,343,376,377,382,386,387],sserver:12,ssh:38,start:[34,318],stash:[6,902],stashsrvpw:5,state:[35,79,106,108],storag:[200,218],store:[43,155,159,198],string:[60,91,93,107,125,126,170,187,193,210,219,222,344,345,374,390,391,392,394,395,397,398,406,407,408,409],strong:14,struct:[368,371],structur:[20,21,61,66,83,142,174,175,176,177,183,199,201,202,203,206,207,208,209,215,216,220,236,292,293,344,378,385,406,407,408,409,415,804],subkei:[72,73,76,77,86,87,88,89],sun:23,suppli:[252,330],support:[14,41,100,103,160,285,288,290,898],synchron:400,synopsi:[2,3,4,5,6,7,8,9,10,11,12,941,942,943,944,945,946,947,948,949],syntax:19,system:[410,906,917],tabdump:6,tabl:[217,235,302,303,304,305,306,310,311,312,314,315,316,317,318,376],tarbal:908,target:946,termin:91,test:[35,109,110,283,285,388,904],tgt:223,thi:[332,898,908],threeparamopen:771,ticket:[23,185,221,224,253,256,259,274,300,301,376,402,403,939],time:[46,167,187,266,274,385,391,396,402,410,898],timestamp:[167,395,397,398],tkt_flg_anonym:772,tkt_flg_enc_pa_rep:773,tkt_flg_forward:[774,775],tkt_flg_hw_auth:776,tkt_flg_initi:777,tkt_flg_invalid:778,tkt_flg_may_postd:779,tkt_flg_ok_as_deleg:780,tkt_flg_postdat:781,tkt_flg_pre_auth:782,tkt_flg_proxi:784,tkt_flg_proxiabl:783,tkt_flg_renew:785,tkt_flg_transit_policy_check:786,token:[36,37,43,912],tool:897,topic:13,trace:[41,386,387],trailer:98,tree:904,trivial:911,troubleshoot:[41,42],tune:906,tutori:42,two:[52,105,107,322,348,349,350,362],type:[14,20,24,26,36,41,43,81,96,97,105,109,110,111,118,127,128,144,146,149,160,170,192,193,204,211,244,254,261,263,312,337,374,378,390,392,394,804,897,901,906],uniqu:149,unix:[32,33,917],unlock:3,unpars:339,unset:[241,242,243,249,255],unwrap:[184,412],updat:[23,908],update_princ_encrypt:6,upgrad:14,usabl:111,usag:14,use:[79,154,265,276,897],use_mkei:6,used:[48,898,906],user:[46,319,352,937,940,950],uses:896,using:[91,92,93,99,101,102,119,194,235,260,264,269,271,282,287,289,330,376,382,383,400,417,418,419,904],util:903,va_list:[417,418,419],valid:[127,128,130,267,299,354],valid_int_bit:787,valid_uint_bit:788,valu:[59,60,141,155,187,335,367,370,391],variabl:[26,27,92,906,953],variou:42,verif:[41,415,416,938],verifi:[46,127,128,129,298,301,342,343,412,414],version:[364,911],via:101,view:[5,939],view_polici:5,web:[908,936],whether:[109,110,160,283,285,388,416],whitepap:42,wiki:936,within:[167,904],without:908,work:15,wrap:[43,189],write_kt:11,year:896,your:[15,938],zero:[209,291]}})
\ No newline at end of file
+Search.setIndex({docnames:["about","admin/admin_commands/index","admin/admin_commands/k5srvutil","admin/admin_commands/kadmin_local","admin/admin_commands/kadmind","admin/admin_commands/kdb5_ldap_util","admin/admin_commands/kdb5_util","admin/admin_commands/kprop","admin/admin_commands/kpropd","admin/admin_commands/kproplog","admin/admin_commands/krb5kdc","admin/admin_commands/ktutil","admin/admin_commands/sserver","admin/advanced/index","admin/advanced/retiring-des","admin/appl_servers","admin/auth_indicator","admin/backup_host","admin/conf_files/index","admin/conf_files/kadm5_acl","admin/conf_files/kdc_conf","admin/conf_files/krb5_conf","admin/conf_ldap","admin/database","admin/dbtypes","admin/dictionary","admin/enctypes","admin/env_variables","admin/host_config","admin/https","admin/index","admin/install","admin/install_appl_srv","admin/install_clients","admin/install_kdc","admin/lockout","admin/otp","admin/pkinit","admin/princ_dns","admin/realm_config","admin/spake","admin/troubleshoot","admin/various_envs","appdev/gssapi","appdev/h5l_mit_apidiff","appdev/index","appdev/init_creds","appdev/princ_handle","appdev/refs/api/index","appdev/refs/api/krb5_425_conv_principal","appdev/refs/api/krb5_524_conv_principal","appdev/refs/api/krb5_524_convert_creds","appdev/refs/api/krb5_address_compare","appdev/refs/api/krb5_address_order","appdev/refs/api/krb5_address_search","appdev/refs/api/krb5_allow_weak_crypto","appdev/refs/api/krb5_aname_to_localname","appdev/refs/api/krb5_anonymous_principal","appdev/refs/api/krb5_anonymous_realm","appdev/refs/api/krb5_appdefault_boolean","appdev/refs/api/krb5_appdefault_string","appdev/refs/api/krb5_auth_con_free","appdev/refs/api/krb5_auth_con_genaddrs","appdev/refs/api/krb5_auth_con_get_checksum_func","appdev/refs/api/krb5_auth_con_getaddrs","appdev/refs/api/krb5_auth_con_getauthenticator","appdev/refs/api/krb5_auth_con_getflags","appdev/refs/api/krb5_auth_con_getkey","appdev/refs/api/krb5_auth_con_getkey_k","appdev/refs/api/krb5_auth_con_getlocalseqnumber","appdev/refs/api/krb5_auth_con_getlocalsubkey","appdev/refs/api/krb5_auth_con_getrcache","appdev/refs/api/krb5_auth_con_getrecvsubkey","appdev/refs/api/krb5_auth_con_getrecvsubkey_k","appdev/refs/api/krb5_auth_con_getremoteseqnumber","appdev/refs/api/krb5_auth_con_getremotesubkey","appdev/refs/api/krb5_auth_con_getsendsubkey","appdev/refs/api/krb5_auth_con_getsendsubkey_k","appdev/refs/api/krb5_auth_con_init","appdev/refs/api/krb5_auth_con_initivector","appdev/refs/api/krb5_auth_con_set_checksum_func","appdev/refs/api/krb5_auth_con_set_req_cksumtype","appdev/refs/api/krb5_auth_con_setaddrs","appdev/refs/api/krb5_auth_con_setflags","appdev/refs/api/krb5_auth_con_setports","appdev/refs/api/krb5_auth_con_setrcache","appdev/refs/api/krb5_auth_con_setrecvsubkey","appdev/refs/api/krb5_auth_con_setrecvsubkey_k","appdev/refs/api/krb5_auth_con_setsendsubkey","appdev/refs/api/krb5_auth_con_setsendsubkey_k","appdev/refs/api/krb5_auth_con_setuseruserkey","appdev/refs/api/krb5_build_principal","appdev/refs/api/krb5_build_principal_alloc_va","appdev/refs/api/krb5_build_principal_ext","appdev/refs/api/krb5_build_principal_va","appdev/refs/api/krb5_c_block_size","appdev/refs/api/krb5_c_checksum_length","appdev/refs/api/krb5_c_crypto_length","appdev/refs/api/krb5_c_crypto_length_iov","appdev/refs/api/krb5_c_decrypt","appdev/refs/api/krb5_c_decrypt_iov","appdev/refs/api/krb5_c_derive_prfplus","appdev/refs/api/krb5_c_encrypt","appdev/refs/api/krb5_c_encrypt_iov","appdev/refs/api/krb5_c_encrypt_length","appdev/refs/api/krb5_c_enctype_compare","appdev/refs/api/krb5_c_free_state","appdev/refs/api/krb5_c_fx_cf2_simple","appdev/refs/api/krb5_c_init_state","appdev/refs/api/krb5_c_is_coll_proof_cksum","appdev/refs/api/krb5_c_is_keyed_cksum","appdev/refs/api/krb5_c_keyed_checksum_types","appdev/refs/api/krb5_c_keylengths","appdev/refs/api/krb5_c_make_checksum","appdev/refs/api/krb5_c_make_checksum_iov","appdev/refs/api/krb5_c_make_random_key","appdev/refs/api/krb5_c_padding_length","appdev/refs/api/krb5_c_prf","appdev/refs/api/krb5_c_prf_length","appdev/refs/api/krb5_c_prfplus","appdev/refs/api/krb5_c_random_add_entropy","appdev/refs/api/krb5_c_random_make_octets","appdev/refs/api/krb5_c_random_os_entropy","appdev/refs/api/krb5_c_random_seed","appdev/refs/api/krb5_c_random_to_key","appdev/refs/api/krb5_c_string_to_key","appdev/refs/api/krb5_c_string_to_key_with_params","appdev/refs/api/krb5_c_valid_cksumtype","appdev/refs/api/krb5_c_valid_enctype","appdev/refs/api/krb5_c_verify_checksum","appdev/refs/api/krb5_c_verify_checksum_iov","appdev/refs/api/krb5_calculate_checksum","appdev/refs/api/krb5_cc_cache_match","appdev/refs/api/krb5_cc_close","appdev/refs/api/krb5_cc_copy_creds","appdev/refs/api/krb5_cc_default","appdev/refs/api/krb5_cc_default_name","appdev/refs/api/krb5_cc_destroy","appdev/refs/api/krb5_cc_dup","appdev/refs/api/krb5_cc_end_seq_get","appdev/refs/api/krb5_cc_gen_new","appdev/refs/api/krb5_cc_get_config","appdev/refs/api/krb5_cc_get_flags","appdev/refs/api/krb5_cc_get_full_name","appdev/refs/api/krb5_cc_get_name","appdev/refs/api/krb5_cc_get_principal","appdev/refs/api/krb5_cc_get_type","appdev/refs/api/krb5_cc_initialize","appdev/refs/api/krb5_cc_move","appdev/refs/api/krb5_cc_new_unique","appdev/refs/api/krb5_cc_next_cred","appdev/refs/api/krb5_cc_remove_cred","appdev/refs/api/krb5_cc_resolve","appdev/refs/api/krb5_cc_retrieve_cred","appdev/refs/api/krb5_cc_select","appdev/refs/api/krb5_cc_set_config","appdev/refs/api/krb5_cc_set_default_name","appdev/refs/api/krb5_cc_set_flags","appdev/refs/api/krb5_cc_start_seq_get","appdev/refs/api/krb5_cc_store_cred","appdev/refs/api/krb5_cc_support_switch","appdev/refs/api/krb5_cc_switch","appdev/refs/api/krb5_cccol_cursor_free","appdev/refs/api/krb5_cccol_cursor_new","appdev/refs/api/krb5_cccol_cursor_next","appdev/refs/api/krb5_cccol_have_content","appdev/refs/api/krb5_change_password","appdev/refs/api/krb5_check_clockskew","appdev/refs/api/krb5_checksum_size","appdev/refs/api/krb5_chpw_message","appdev/refs/api/krb5_cksumtype_to_string","appdev/refs/api/krb5_clear_error_message","appdev/refs/api/krb5_copy_addresses","appdev/refs/api/krb5_copy_authdata","appdev/refs/api/krb5_copy_authenticator","appdev/refs/api/krb5_copy_checksum","appdev/refs/api/krb5_copy_context","appdev/refs/api/krb5_copy_creds","appdev/refs/api/krb5_copy_data","appdev/refs/api/krb5_copy_error_message","appdev/refs/api/krb5_copy_keyblock","appdev/refs/api/krb5_copy_keyblock_contents","appdev/refs/api/krb5_copy_principal","appdev/refs/api/krb5_copy_ticket","appdev/refs/api/krb5_decode_authdata_container","appdev/refs/api/krb5_decode_ticket","appdev/refs/api/krb5_decrypt","appdev/refs/api/krb5_deltat_to_string","appdev/refs/api/krb5_eblock_enctype","appdev/refs/api/krb5_encode_authdata_container","appdev/refs/api/krb5_encrypt","appdev/refs/api/krb5_encrypt_size","appdev/refs/api/krb5_enctype_to_name","appdev/refs/api/krb5_enctype_to_string","appdev/refs/api/krb5_expand_hostname","appdev/refs/api/krb5_find_authdata","appdev/refs/api/krb5_finish_key","appdev/refs/api/krb5_finish_random_key","appdev/refs/api/krb5_free_addresses","appdev/refs/api/krb5_free_ap_rep_enc_part","appdev/refs/api/krb5_free_authdata","appdev/refs/api/krb5_free_authenticator","appdev/refs/api/krb5_free_checksum","appdev/refs/api/krb5_free_checksum_contents","appdev/refs/api/krb5_free_cksumtypes","appdev/refs/api/krb5_free_context","appdev/refs/api/krb5_free_cred_contents","appdev/refs/api/krb5_free_creds","appdev/refs/api/krb5_free_data","appdev/refs/api/krb5_free_data_contents","appdev/refs/api/krb5_free_default_realm","appdev/refs/api/krb5_free_enctypes","appdev/refs/api/krb5_free_error","appdev/refs/api/krb5_free_error_message","appdev/refs/api/krb5_free_host_realm","appdev/refs/api/krb5_free_keyblock","appdev/refs/api/krb5_free_keyblock_contents","appdev/refs/api/krb5_free_keytab_entry_contents","appdev/refs/api/krb5_free_principal","appdev/refs/api/krb5_free_string","appdev/refs/api/krb5_free_tgt_creds","appdev/refs/api/krb5_free_ticket","appdev/refs/api/krb5_free_unparsed_name","appdev/refs/api/krb5_fwd_tgt_creds","appdev/refs/api/krb5_get_credentials","appdev/refs/api/krb5_get_credentials_renew","appdev/refs/api/krb5_get_credentials_validate","appdev/refs/api/krb5_get_default_realm","appdev/refs/api/krb5_get_error_message","appdev/refs/api/krb5_get_etype_info","appdev/refs/api/krb5_get_fallback_host_realm","appdev/refs/api/krb5_get_host_realm","appdev/refs/api/krb5_get_in_tkt_with_keytab","appdev/refs/api/krb5_get_in_tkt_with_password","appdev/refs/api/krb5_get_in_tkt_with_skey","appdev/refs/api/krb5_get_init_creds_keytab","appdev/refs/api/krb5_get_init_creds_opt_alloc","appdev/refs/api/krb5_get_init_creds_opt_free","appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags","appdev/refs/api/krb5_get_init_creds_opt_init","appdev/refs/api/krb5_get_init_creds_opt_set_address_list","appdev/refs/api/krb5_get_init_creds_opt_set_anonymous","appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize","appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt","appdev/refs/api/krb5_get_init_creds_opt_set_etype_list","appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback","appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache","appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name","appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags","appdev/refs/api/krb5_get_init_creds_opt_set_forwardable","appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache","appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache","appdev/refs/api/krb5_get_init_creds_opt_set_pa","appdev/refs/api/krb5_get_init_creds_opt_set_pac_request","appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list","appdev/refs/api/krb5_get_init_creds_opt_set_proxiable","appdev/refs/api/krb5_get_init_creds_opt_set_renew_life","appdev/refs/api/krb5_get_init_creds_opt_set_responder","appdev/refs/api/krb5_get_init_creds_opt_set_salt","appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life","appdev/refs/api/krb5_get_init_creds_password","appdev/refs/api/krb5_get_permitted_enctypes","appdev/refs/api/krb5_get_profile","appdev/refs/api/krb5_get_prompt_types","appdev/refs/api/krb5_get_renewed_creds","appdev/refs/api/krb5_get_server_rcache","appdev/refs/api/krb5_get_time_offsets","appdev/refs/api/krb5_get_validated_creds","appdev/refs/api/krb5_init_context","appdev/refs/api/krb5_init_context_profile","appdev/refs/api/krb5_init_creds_free","appdev/refs/api/krb5_init_creds_get","appdev/refs/api/krb5_init_creds_get_creds","appdev/refs/api/krb5_init_creds_get_error","appdev/refs/api/krb5_init_creds_get_times","appdev/refs/api/krb5_init_creds_init","appdev/refs/api/krb5_init_creds_set_keytab","appdev/refs/api/krb5_init_creds_set_password","appdev/refs/api/krb5_init_creds_set_service","appdev/refs/api/krb5_init_creds_step","appdev/refs/api/krb5_init_keyblock","appdev/refs/api/krb5_init_random_key","appdev/refs/api/krb5_init_secure_context","appdev/refs/api/krb5_is_config_principal","appdev/refs/api/krb5_is_referral_realm","appdev/refs/api/krb5_is_thread_safe","appdev/refs/api/krb5_k_create_key","appdev/refs/api/krb5_k_decrypt","appdev/refs/api/krb5_k_decrypt_iov","appdev/refs/api/krb5_k_encrypt","appdev/refs/api/krb5_k_encrypt_iov","appdev/refs/api/krb5_k_free_key","appdev/refs/api/krb5_k_key_enctype","appdev/refs/api/krb5_k_key_keyblock","appdev/refs/api/krb5_k_make_checksum","appdev/refs/api/krb5_k_make_checksum_iov","appdev/refs/api/krb5_k_prf","appdev/refs/api/krb5_k_reference_key","appdev/refs/api/krb5_k_verify_checksum","appdev/refs/api/krb5_k_verify_checksum_iov","appdev/refs/api/krb5_kdc_sign_ticket","appdev/refs/api/krb5_kdc_verify_ticket","appdev/refs/api/krb5_kt_add_entry","appdev/refs/api/krb5_kt_client_default","appdev/refs/api/krb5_kt_close","appdev/refs/api/krb5_kt_default","appdev/refs/api/krb5_kt_default_name","appdev/refs/api/krb5_kt_dup","appdev/refs/api/krb5_kt_end_seq_get","appdev/refs/api/krb5_kt_free_entry","appdev/refs/api/krb5_kt_get_entry","appdev/refs/api/krb5_kt_get_name","appdev/refs/api/krb5_kt_get_type","appdev/refs/api/krb5_kt_have_content","appdev/refs/api/krb5_kt_next_entry","appdev/refs/api/krb5_kt_read_service_key","appdev/refs/api/krb5_kt_remove_entry","appdev/refs/api/krb5_kt_resolve","appdev/refs/api/krb5_kt_start_seq_get","appdev/refs/api/krb5_kuserok","appdev/refs/api/krb5_make_authdata_kdc_issued","appdev/refs/api/krb5_marshal_credentials","appdev/refs/api/krb5_merge_authdata","appdev/refs/api/krb5_mk_1cred","appdev/refs/api/krb5_mk_error","appdev/refs/api/krb5_mk_ncred","appdev/refs/api/krb5_mk_priv","appdev/refs/api/krb5_mk_rep","appdev/refs/api/krb5_mk_rep_dce","appdev/refs/api/krb5_mk_req","appdev/refs/api/krb5_mk_req_extended","appdev/refs/api/krb5_mk_safe","appdev/refs/api/krb5_os_localaddr","appdev/refs/api/krb5_pac_add_buffer","appdev/refs/api/krb5_pac_free","appdev/refs/api/krb5_pac_get_buffer","appdev/refs/api/krb5_pac_get_client_info","appdev/refs/api/krb5_pac_get_types","appdev/refs/api/krb5_pac_init","appdev/refs/api/krb5_pac_parse","appdev/refs/api/krb5_pac_sign","appdev/refs/api/krb5_pac_sign_ext","appdev/refs/api/krb5_pac_verify","appdev/refs/api/krb5_pac_verify_ext","appdev/refs/api/krb5_parse_name","appdev/refs/api/krb5_parse_name_flags","appdev/refs/api/krb5_prepend_error_message","appdev/refs/api/krb5_principal2salt","appdev/refs/api/krb5_principal_compare","appdev/refs/api/krb5_principal_compare_any_realm","appdev/refs/api/krb5_principal_compare_flags","appdev/refs/api/krb5_process_key","appdev/refs/api/krb5_prompter_posix","appdev/refs/api/krb5_random_key","appdev/refs/api/krb5_rd_cred","appdev/refs/api/krb5_rd_error","appdev/refs/api/krb5_rd_priv","appdev/refs/api/krb5_rd_rep","appdev/refs/api/krb5_rd_rep_dce","appdev/refs/api/krb5_rd_req","appdev/refs/api/krb5_rd_safe","appdev/refs/api/krb5_read_password","appdev/refs/api/krb5_realm_compare","appdev/refs/api/krb5_recvauth","appdev/refs/api/krb5_recvauth_version","appdev/refs/api/krb5_responder_get_challenge","appdev/refs/api/krb5_responder_list_questions","appdev/refs/api/krb5_responder_otp_challenge_free","appdev/refs/api/krb5_responder_otp_get_challenge","appdev/refs/api/krb5_responder_otp_set_answer","appdev/refs/api/krb5_responder_pkinit_challenge_free","appdev/refs/api/krb5_responder_pkinit_get_challenge","appdev/refs/api/krb5_responder_pkinit_set_answer","appdev/refs/api/krb5_responder_set_answer","appdev/refs/api/krb5_salttype_to_string","appdev/refs/api/krb5_sendauth","appdev/refs/api/krb5_server_decrypt_ticket_keytab","appdev/refs/api/krb5_set_default_realm","appdev/refs/api/krb5_set_default_tgs_enctypes","appdev/refs/api/krb5_set_error_message","appdev/refs/api/krb5_set_kdc_recv_hook","appdev/refs/api/krb5_set_kdc_send_hook","appdev/refs/api/krb5_set_password","appdev/refs/api/krb5_set_password_using_ccache","appdev/refs/api/krb5_set_principal_realm","appdev/refs/api/krb5_set_real_time","appdev/refs/api/krb5_set_trace_callback","appdev/refs/api/krb5_set_trace_filename","appdev/refs/api/krb5_sname_match","appdev/refs/api/krb5_sname_to_principal","appdev/refs/api/krb5_string_to_cksumtype","appdev/refs/api/krb5_string_to_deltat","appdev/refs/api/krb5_string_to_enctype","appdev/refs/api/krb5_string_to_key","appdev/refs/api/krb5_string_to_salttype","appdev/refs/api/krb5_string_to_timestamp","appdev/refs/api/krb5_timeofday","appdev/refs/api/krb5_timestamp_to_sfstring","appdev/refs/api/krb5_timestamp_to_string","appdev/refs/api/krb5_tkt_creds_free","appdev/refs/api/krb5_tkt_creds_get","appdev/refs/api/krb5_tkt_creds_get_creds","appdev/refs/api/krb5_tkt_creds_get_times","appdev/refs/api/krb5_tkt_creds_init","appdev/refs/api/krb5_tkt_creds_step","appdev/refs/api/krb5_unmarshal_credentials","appdev/refs/api/krb5_unparse_name","appdev/refs/api/krb5_unparse_name_ext","appdev/refs/api/krb5_unparse_name_flags","appdev/refs/api/krb5_unparse_name_flags_ext","appdev/refs/api/krb5_us_timeofday","appdev/refs/api/krb5_use_enctype","appdev/refs/api/krb5_verify_authdata_kdc_issued","appdev/refs/api/krb5_verify_checksum","appdev/refs/api/krb5_verify_init_creds","appdev/refs/api/krb5_verify_init_creds_opt_init","appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail","appdev/refs/api/krb5_vprepend_error_message","appdev/refs/api/krb5_vset_error_message","appdev/refs/api/krb5_vwrap_error_message","appdev/refs/api/krb5_wrap_error_message","appdev/refs/index","appdev/refs/macros/ADDRTYPE_ADDRPORT","appdev/refs/macros/ADDRTYPE_CHAOS","appdev/refs/macros/ADDRTYPE_DDP","appdev/refs/macros/ADDRTYPE_INET","appdev/refs/macros/ADDRTYPE_INET6","appdev/refs/macros/ADDRTYPE_IPPORT","appdev/refs/macros/ADDRTYPE_ISO","appdev/refs/macros/ADDRTYPE_IS_LOCAL","appdev/refs/macros/ADDRTYPE_NETBIOS","appdev/refs/macros/ADDRTYPE_XNS","appdev/refs/macros/AD_TYPE_EXTERNAL","appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK","appdev/refs/macros/AD_TYPE_REGISTERED","appdev/refs/macros/AD_TYPE_RESERVED","appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION","appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED","appdev/refs/macros/AP_OPTS_RESERVED","appdev/refs/macros/AP_OPTS_USE_SESSION_KEY","appdev/refs/macros/AP_OPTS_USE_SUBKEY","appdev/refs/macros/AP_OPTS_WIRE_MASK","appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128","appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256","appdev/refs/macros/CKSUMTYPE_CRC32","appdev/refs/macros/CKSUMTYPE_DESCBC","appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3","appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128","appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256","appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR","appdev/refs/macros/CKSUMTYPE_NIST_SHA","appdev/refs/macros/CKSUMTYPE_RSA_MD4","appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES","appdev/refs/macros/CKSUMTYPE_RSA_MD5","appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES","appdev/refs/macros/CKSUMTYPE_SHA1","appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96","appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128","appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96","appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192","appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC","appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP","appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC","appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC","appdev/refs/macros/ENCTYPE_DES3_CBC_ENV","appdev/refs/macros/ENCTYPE_DES3_CBC_RAW","appdev/refs/macros/ENCTYPE_DES3_CBC_SHA","appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1","appdev/refs/macros/ENCTYPE_DES_CBC_CRC","appdev/refs/macros/ENCTYPE_DES_CBC_MD4","appdev/refs/macros/ENCTYPE_DES_CBC_MD5","appdev/refs/macros/ENCTYPE_DES_CBC_RAW","appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1","appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS","appdev/refs/macros/ENCTYPE_MD5_RSA_CMS","appdev/refs/macros/ENCTYPE_NULL","appdev/refs/macros/ENCTYPE_RC2_CBC_ENV","appdev/refs/macros/ENCTYPE_RSA_ENV","appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV","appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS","appdev/refs/macros/ENCTYPE_UNKNOWN","appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE","appdev/refs/macros/KDC_OPT_CANONICALIZE","appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT","appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK","appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY","appdev/refs/macros/KDC_OPT_FORWARDABLE","appdev/refs/macros/KDC_OPT_FORWARDED","appdev/refs/macros/KDC_OPT_POSTDATED","appdev/refs/macros/KDC_OPT_PROXIABLE","appdev/refs/macros/KDC_OPT_PROXY","appdev/refs/macros/KDC_OPT_RENEW","appdev/refs/macros/KDC_OPT_RENEWABLE","appdev/refs/macros/KDC_OPT_RENEWABLE_OK","appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS","appdev/refs/macros/KDC_OPT_VALIDATE","appdev/refs/macros/KDC_TKT_COMMON_MASK","appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE","appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR","appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR","appdev/refs/macros/KRB5_AP_REP","appdev/refs/macros/KRB5_AP_REQ","appdev/refs/macros/KRB5_AS_REP","appdev/refs/macros/KRB5_AS_REQ","appdev/refs/macros/KRB5_AUTHDATA_AND_OR","appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS","appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR","appdev/refs/macros/KRB5_AUTHDATA_CAMMAC","appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION","appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR","appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT","appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS","appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED","appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC","appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE","appdev/refs/macros/KRB5_AUTHDATA_SESAME","appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET","appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC","appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE","appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR","appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL","appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE","appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME","appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY","appdev/refs/macros/KRB5_CRED","appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM","appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA","appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY","appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER","appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING","appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY","appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM","appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER","appdev/refs/macros/KRB5_CYBERSAFE_SECUREID","appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS","appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP","appdev/refs/macros/KRB5_ERROR","appdev/refs/macros/KRB5_FAST_REQUIRED","appdev/refs/macros/KRB5_GC_CACHED","appdev/refs/macros/KRB5_GC_CANONICALIZE","appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION","appdev/refs/macros/KRB5_GC_FORWARDABLE","appdev/refs/macros/KRB5_GC_NO_STORE","appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK","appdev/refs/macros/KRB5_GC_USER_USER","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE","appdev/refs/macros/KRB5_INIT_CONTEXT_KDC","appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE","appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE","appdev/refs/macros/KRB5_INT16_MAX","appdev/refs/macros/KRB5_INT16_MIN","appdev/refs/macros/KRB5_INT32_MAX","appdev/refs/macros/KRB5_INT32_MIN","appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE","appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE","appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH","appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT","appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART","appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH","appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART","appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ","appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS","appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC","appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT","appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC","appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC","appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED","appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP","appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV","appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED","appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET","appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART","appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART","appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS","appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE","appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST","appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX","appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY","appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE","appdev/refs/macros/KRB5_KEYUSAGE_SPAKE","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM","appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED","appdev/refs/macros/KRB5_KPASSWD_AUTHERROR","appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION","appdev/refs/macros/KRB5_KPASSWD_HARDERROR","appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED","appdev/refs/macros/KRB5_KPASSWD_MALFORMED","appdev/refs/macros/KRB5_KPASSWD_SOFTERROR","appdev/refs/macros/KRB5_KPASSWD_SUCCESS","appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME","appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL","appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL","appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ","appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT","appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED","appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME","appdev/refs/macros/KRB5_LRQ_NONE","appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME","appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL","appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL","appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ","appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT","appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED","appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME","appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL","appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID","appdev/refs/macros/KRB5_NT_MS_PRINCIPAL","appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID","appdev/refs/macros/KRB5_NT_PRINCIPAL","appdev/refs/macros/KRB5_NT_SMTP_NAME","appdev/refs/macros/KRB5_NT_SRV_HST","appdev/refs/macros/KRB5_NT_SRV_INST","appdev/refs/macros/KRB5_NT_SRV_XHST","appdev/refs/macros/KRB5_NT_UID","appdev/refs/macros/KRB5_NT_UNKNOWN","appdev/refs/macros/KRB5_NT_WELLKNOWN","appdev/refs/macros/KRB5_NT_X500_PRINCIPAL","appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO","appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS","appdev/refs/macros/KRB5_PAC_CLIENT_INFO","appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO","appdev/refs/macros/KRB5_PAC_DELEGATION_INFO","appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS","appdev/refs/macros/KRB5_PAC_DEVICE_INFO","appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM","appdev/refs/macros/KRB5_PAC_LOGON_INFO","appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM","appdev/refs/macros/KRB5_PAC_REQUESTOR","appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM","appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM","appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO","appdev/refs/macros/KRB5_PADATA_AFS3_SALT","appdev/refs/macros/KRB5_PADATA_AP_REQ","appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM","appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS","appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE","appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID","appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP","appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME","appdev/refs/macros/KRB5_PADATA_ETYPE_INFO","appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2","appdev/refs/macros/KRB5_PADATA_FOR_USER","appdev/refs/macros/KRB5_PADATA_FX_COOKIE","appdev/refs/macros/KRB5_PADATA_FX_ERROR","appdev/refs/macros/KRB5_PADATA_FX_FAST","appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA","appdev/refs/macros/KRB5_PADATA_NONE","appdev/refs/macros/KRB5_PADATA_OSF_DCE","appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE","appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE","appdev/refs/macros/KRB5_PADATA_OTP_REQUEST","appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS","appdev/refs/macros/KRB5_PADATA_PAC_REQUEST","appdev/refs/macros/KRB5_PADATA_PKINIT_KX","appdev/refs/macros/KRB5_PADATA_PK_AS_REP","appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD","appdev/refs/macros/KRB5_PADATA_PK_AS_REQ","appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD","appdev/refs/macros/KRB5_PADATA_PW_SALT","appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2","appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY","appdev/refs/macros/KRB5_PADATA_REFERRAL","appdev/refs/macros/KRB5_PADATA_S4U_X509_USER","appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE","appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2","appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT","appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE","appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2","appdev/refs/macros/KRB5_PADATA_SESAME","appdev/refs/macros/KRB5_PADATA_SPAKE","appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO","appdev/refs/macros/KRB5_PADATA_TGS_REQ","appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT","appdev/refs/macros/KRB5_PRIV","appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD","appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN","appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD","appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH","appdev/refs/macros/KRB5_PVNO","appdev/refs/macros/KRB5_REALM_BRANCH_CHAR","appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS","appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION","appdev/refs/macros/KRB5_REFERRAL_REALM","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED","appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP","appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD","appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT","appdev/refs/macros/KRB5_SAFE","appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD","appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD","appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY","appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT","appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA","appdev/refs/macros/KRB5_TC_MATCH_FLAGS","appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT","appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY","appdev/refs/macros/KRB5_TC_MATCH_KTYPE","appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY","appdev/refs/macros/KRB5_TC_MATCH_TIMES","appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT","appdev/refs/macros/KRB5_TC_NOTICKET","appdev/refs/macros/KRB5_TC_OPENCLOSE","appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES","appdev/refs/macros/KRB5_TGS_NAME","appdev/refs/macros/KRB5_TGS_NAME_SIZE","appdev/refs/macros/KRB5_TGS_REP","appdev/refs/macros/KRB5_TGS_REQ","appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE","appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL","appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR","appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK","appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY","appdev/refs/macros/MAX_KEYTAB_NAME_LEN","appdev/refs/macros/MSEC_DIRBIT","appdev/refs/macros/MSEC_VAL_MASK","appdev/refs/macros/SALT_TYPE_AFS_LENGTH","appdev/refs/macros/SALT_TYPE_NO_LENGTH","appdev/refs/macros/THREEPARAMOPEN","appdev/refs/macros/TKT_FLG_ANONYMOUS","appdev/refs/macros/TKT_FLG_ENC_PA_REP","appdev/refs/macros/TKT_FLG_FORWARDABLE","appdev/refs/macros/TKT_FLG_FORWARDED","appdev/refs/macros/TKT_FLG_HW_AUTH","appdev/refs/macros/TKT_FLG_INITIAL","appdev/refs/macros/TKT_FLG_INVALID","appdev/refs/macros/TKT_FLG_MAY_POSTDATE","appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE","appdev/refs/macros/TKT_FLG_POSTDATED","appdev/refs/macros/TKT_FLG_PRE_AUTH","appdev/refs/macros/TKT_FLG_PROXIABLE","appdev/refs/macros/TKT_FLG_PROXY","appdev/refs/macros/TKT_FLG_RENEWABLE","appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED","appdev/refs/macros/VALID_INT_BITS","appdev/refs/macros/VALID_UINT_BITS","appdev/refs/macros/index","appdev/refs/macros/krb524_convert_creds_kdc","appdev/refs/macros/krb524_init_ets","appdev/refs/macros/krb5_const","appdev/refs/macros/krb5_princ_component","appdev/refs/macros/krb5_princ_name","appdev/refs/macros/krb5_princ_realm","appdev/refs/macros/krb5_princ_set_realm","appdev/refs/macros/krb5_princ_set_realm_data","appdev/refs/macros/krb5_princ_set_realm_length","appdev/refs/macros/krb5_princ_size","appdev/refs/macros/krb5_princ_type","appdev/refs/macros/krb5_roundup","appdev/refs/macros/krb5_x","appdev/refs/macros/krb5_xc","appdev/refs/types/index","appdev/refs/types/krb5_address","appdev/refs/types/krb5_addrtype","appdev/refs/types/krb5_ap_rep","appdev/refs/types/krb5_ap_rep_enc_part","appdev/refs/types/krb5_ap_req","appdev/refs/types/krb5_auth_context","appdev/refs/types/krb5_authdata","appdev/refs/types/krb5_authdatatype","appdev/refs/types/krb5_authenticator","appdev/refs/types/krb5_boolean","appdev/refs/types/krb5_cc_cursor","appdev/refs/types/krb5_ccache","appdev/refs/types/krb5_cccol_cursor","appdev/refs/types/krb5_checksum","appdev/refs/types/krb5_cksumtype","appdev/refs/types/krb5_const_pointer","appdev/refs/types/krb5_const_principal","appdev/refs/types/krb5_context","appdev/refs/types/krb5_cred","appdev/refs/types/krb5_cred_enc_part","appdev/refs/types/krb5_cred_info","appdev/refs/types/krb5_creds","appdev/refs/types/krb5_crypto_iov","appdev/refs/types/krb5_cryptotype","appdev/refs/types/krb5_data","appdev/refs/types/krb5_deltat","appdev/refs/types/krb5_enc_data","appdev/refs/types/krb5_enc_kdc_rep_part","appdev/refs/types/krb5_enc_tkt_part","appdev/refs/types/krb5_encrypt_block","appdev/refs/types/krb5_enctype","appdev/refs/types/krb5_error","appdev/refs/types/krb5_error_code","appdev/refs/types/krb5_expire_callback_func","appdev/refs/types/krb5_flags","appdev/refs/types/krb5_get_init_creds_opt","appdev/refs/types/krb5_gic_opt_pa_data","appdev/refs/types/krb5_init_creds_context","appdev/refs/types/krb5_int16","appdev/refs/types/krb5_int32","appdev/refs/types/krb5_kdc_rep","appdev/refs/types/krb5_kdc_req","appdev/refs/types/krb5_key","appdev/refs/types/krb5_keyblock","appdev/refs/types/krb5_keytab","appdev/refs/types/krb5_keytab_entry","appdev/refs/types/krb5_keyusage","appdev/refs/types/krb5_kt_cursor","appdev/refs/types/krb5_kvno","appdev/refs/types/krb5_last_req_entry","appdev/refs/types/krb5_magic","appdev/refs/types/krb5_mk_req_checksum_func","appdev/refs/types/krb5_msgtype","appdev/refs/types/krb5_octet","appdev/refs/types/krb5_pa_data","appdev/refs/types/krb5_pa_pac_req","appdev/refs/types/krb5_pa_server_referral_data","appdev/refs/types/krb5_pa_svr_referral_data","appdev/refs/types/krb5_pac","appdev/refs/types/krb5_pointer","appdev/refs/types/krb5_post_recv_fn","appdev/refs/types/krb5_pre_send_fn","appdev/refs/types/krb5_preauthtype","appdev/refs/types/krb5_principal","appdev/refs/types/krb5_principal_data","appdev/refs/types/krb5_prompt","appdev/refs/types/krb5_prompt_type","appdev/refs/types/krb5_prompter_fct","appdev/refs/types/krb5_pwd_data","appdev/refs/types/krb5_rcache","appdev/refs/types/krb5_replay_data","appdev/refs/types/krb5_responder_context","appdev/refs/types/krb5_responder_fn","appdev/refs/types/krb5_responder_otp_challenge","appdev/refs/types/krb5_responder_otp_tokeninfo","appdev/refs/types/krb5_responder_pkinit_challenge","appdev/refs/types/krb5_responder_pkinit_identity","appdev/refs/types/krb5_response","appdev/refs/types/krb5_ticket","appdev/refs/types/krb5_ticket_times","appdev/refs/types/krb5_timestamp","appdev/refs/types/krb5_tkt_authent","appdev/refs/types/krb5_tkt_creds_context","appdev/refs/types/krb5_trace_callback","appdev/refs/types/krb5_trace_info","appdev/refs/types/krb5_transited","appdev/refs/types/krb5_typed_data","appdev/refs/types/krb5_ui_2","appdev/refs/types/krb5_ui_4","appdev/refs/types/krb5_verify_init_creds_opt","appdev/refs/types/passwd_phrase_element","appdev/y2038","basic/ccache_def","basic/date_format","basic/index","basic/keytab_def","basic/rcache_def","basic/stash_file_def","build/directory_org","build/doing_build","build/index","build/options2configure","build/osconf","build_this","copyright","formats/ccache_file_format","formats/cookie","formats/freshness_token","formats/index","formats/keytab_file_format","formats/rcache_file_format","index","mitK5defaults","mitK5features","mitK5license","plugindev/ccselect","plugindev/certauth","plugindev/clpreauth","plugindev/general","plugindev/gssapi","plugindev/hostrealm","plugindev/index","plugindev/internal","plugindev/kadm5_auth","plugindev/kadm5_hook","plugindev/kdcpolicy","plugindev/kdcpreauth","plugindev/localauth","plugindev/locate","plugindev/profile","plugindev/pwqual","resources","user/index","user/pwd_mgmt","user/tkt_mgmt","user/user_commands/index","user/user_commands/kdestroy","user/user_commands/kinit","user/user_commands/klist","user/user_commands/kpasswd","user/user_commands/krb5-config","user/user_commands/ksu","user/user_commands/kswitch","user/user_commands/kvno","user/user_commands/sclient","user/user_config/index","user/user_config/k5identity","user/user_config/k5login","user/user_config/kerberos"],envversion:{"sphinx.domains.c":2,"sphinx.domains.changeset":1,"sphinx.domains.citation":1,"sphinx.domains.cpp":4,"sphinx.domains.index":1,"sphinx.domains.javascript":2,"sphinx.domains.math":2,"sphinx.domains.python":3,"sphinx.domains.rst":2,"sphinx.domains.std":2,sphinx:56},filenames:["about.rst","admin/admin_commands/index.rst","admin/admin_commands/k5srvutil.rst","admin/admin_commands/kadmin_local.rst","admin/admin_commands/kadmind.rst","admin/admin_commands/kdb5_ldap_util.rst","admin/admin_commands/kdb5_util.rst","admin/admin_commands/kprop.rst","admin/admin_commands/kpropd.rst","admin/admin_commands/kproplog.rst","admin/admin_commands/krb5kdc.rst","admin/admin_commands/ktutil.rst","admin/admin_commands/sserver.rst","admin/advanced/index.rst","admin/advanced/retiring-des.rst","admin/appl_servers.rst","admin/auth_indicator.rst","admin/backup_host.rst","admin/conf_files/index.rst","admin/conf_files/kadm5_acl.rst","admin/conf_files/kdc_conf.rst","admin/conf_files/krb5_conf.rst","admin/conf_ldap.rst","admin/database.rst","admin/dbtypes.rst","admin/dictionary.rst","admin/enctypes.rst","admin/env_variables.rst","admin/host_config.rst","admin/https.rst","admin/index.rst","admin/install.rst","admin/install_appl_srv.rst","admin/install_clients.rst","admin/install_kdc.rst","admin/lockout.rst","admin/otp.rst","admin/pkinit.rst","admin/princ_dns.rst","admin/realm_config.rst","admin/spake.rst","admin/troubleshoot.rst","admin/various_envs.rst","appdev/gssapi.rst","appdev/h5l_mit_apidiff.rst","appdev/index.rst","appdev/init_creds.rst","appdev/princ_handle.rst","appdev/refs/api/index.rst","appdev/refs/api/krb5_425_conv_principal.rst","appdev/refs/api/krb5_524_conv_principal.rst","appdev/refs/api/krb5_524_convert_creds.rst","appdev/refs/api/krb5_address_compare.rst","appdev/refs/api/krb5_address_order.rst","appdev/refs/api/krb5_address_search.rst","appdev/refs/api/krb5_allow_weak_crypto.rst","appdev/refs/api/krb5_aname_to_localname.rst","appdev/refs/api/krb5_anonymous_principal.rst","appdev/refs/api/krb5_anonymous_realm.rst","appdev/refs/api/krb5_appdefault_boolean.rst","appdev/refs/api/krb5_appdefault_string.rst","appdev/refs/api/krb5_auth_con_free.rst","appdev/refs/api/krb5_auth_con_genaddrs.rst","appdev/refs/api/krb5_auth_con_get_checksum_func.rst","appdev/refs/api/krb5_auth_con_getaddrs.rst","appdev/refs/api/krb5_auth_con_getauthenticator.rst","appdev/refs/api/krb5_auth_con_getflags.rst","appdev/refs/api/krb5_auth_con_getkey.rst","appdev/refs/api/krb5_auth_con_getkey_k.rst","appdev/refs/api/krb5_auth_con_getlocalseqnumber.rst","appdev/refs/api/krb5_auth_con_getlocalsubkey.rst","appdev/refs/api/krb5_auth_con_getrcache.rst","appdev/refs/api/krb5_auth_con_getrecvsubkey.rst","appdev/refs/api/krb5_auth_con_getrecvsubkey_k.rst","appdev/refs/api/krb5_auth_con_getremoteseqnumber.rst","appdev/refs/api/krb5_auth_con_getremotesubkey.rst","appdev/refs/api/krb5_auth_con_getsendsubkey.rst","appdev/refs/api/krb5_auth_con_getsendsubkey_k.rst","appdev/refs/api/krb5_auth_con_init.rst","appdev/refs/api/krb5_auth_con_initivector.rst","appdev/refs/api/krb5_auth_con_set_checksum_func.rst","appdev/refs/api/krb5_auth_con_set_req_cksumtype.rst","appdev/refs/api/krb5_auth_con_setaddrs.rst","appdev/refs/api/krb5_auth_con_setflags.rst","appdev/refs/api/krb5_auth_con_setports.rst","appdev/refs/api/krb5_auth_con_setrcache.rst","appdev/refs/api/krb5_auth_con_setrecvsubkey.rst","appdev/refs/api/krb5_auth_con_setrecvsubkey_k.rst","appdev/refs/api/krb5_auth_con_setsendsubkey.rst","appdev/refs/api/krb5_auth_con_setsendsubkey_k.rst","appdev/refs/api/krb5_auth_con_setuseruserkey.rst","appdev/refs/api/krb5_build_principal.rst","appdev/refs/api/krb5_build_principal_alloc_va.rst","appdev/refs/api/krb5_build_principal_ext.rst","appdev/refs/api/krb5_build_principal_va.rst","appdev/refs/api/krb5_c_block_size.rst","appdev/refs/api/krb5_c_checksum_length.rst","appdev/refs/api/krb5_c_crypto_length.rst","appdev/refs/api/krb5_c_crypto_length_iov.rst","appdev/refs/api/krb5_c_decrypt.rst","appdev/refs/api/krb5_c_decrypt_iov.rst","appdev/refs/api/krb5_c_derive_prfplus.rst","appdev/refs/api/krb5_c_encrypt.rst","appdev/refs/api/krb5_c_encrypt_iov.rst","appdev/refs/api/krb5_c_encrypt_length.rst","appdev/refs/api/krb5_c_enctype_compare.rst","appdev/refs/api/krb5_c_free_state.rst","appdev/refs/api/krb5_c_fx_cf2_simple.rst","appdev/refs/api/krb5_c_init_state.rst","appdev/refs/api/krb5_c_is_coll_proof_cksum.rst","appdev/refs/api/krb5_c_is_keyed_cksum.rst","appdev/refs/api/krb5_c_keyed_checksum_types.rst","appdev/refs/api/krb5_c_keylengths.rst","appdev/refs/api/krb5_c_make_checksum.rst","appdev/refs/api/krb5_c_make_checksum_iov.rst","appdev/refs/api/krb5_c_make_random_key.rst","appdev/refs/api/krb5_c_padding_length.rst","appdev/refs/api/krb5_c_prf.rst","appdev/refs/api/krb5_c_prf_length.rst","appdev/refs/api/krb5_c_prfplus.rst","appdev/refs/api/krb5_c_random_add_entropy.rst","appdev/refs/api/krb5_c_random_make_octets.rst","appdev/refs/api/krb5_c_random_os_entropy.rst","appdev/refs/api/krb5_c_random_seed.rst","appdev/refs/api/krb5_c_random_to_key.rst","appdev/refs/api/krb5_c_string_to_key.rst","appdev/refs/api/krb5_c_string_to_key_with_params.rst","appdev/refs/api/krb5_c_valid_cksumtype.rst","appdev/refs/api/krb5_c_valid_enctype.rst","appdev/refs/api/krb5_c_verify_checksum.rst","appdev/refs/api/krb5_c_verify_checksum_iov.rst","appdev/refs/api/krb5_calculate_checksum.rst","appdev/refs/api/krb5_cc_cache_match.rst","appdev/refs/api/krb5_cc_close.rst","appdev/refs/api/krb5_cc_copy_creds.rst","appdev/refs/api/krb5_cc_default.rst","appdev/refs/api/krb5_cc_default_name.rst","appdev/refs/api/krb5_cc_destroy.rst","appdev/refs/api/krb5_cc_dup.rst","appdev/refs/api/krb5_cc_end_seq_get.rst","appdev/refs/api/krb5_cc_gen_new.rst","appdev/refs/api/krb5_cc_get_config.rst","appdev/refs/api/krb5_cc_get_flags.rst","appdev/refs/api/krb5_cc_get_full_name.rst","appdev/refs/api/krb5_cc_get_name.rst","appdev/refs/api/krb5_cc_get_principal.rst","appdev/refs/api/krb5_cc_get_type.rst","appdev/refs/api/krb5_cc_initialize.rst","appdev/refs/api/krb5_cc_move.rst","appdev/refs/api/krb5_cc_new_unique.rst","appdev/refs/api/krb5_cc_next_cred.rst","appdev/refs/api/krb5_cc_remove_cred.rst","appdev/refs/api/krb5_cc_resolve.rst","appdev/refs/api/krb5_cc_retrieve_cred.rst","appdev/refs/api/krb5_cc_select.rst","appdev/refs/api/krb5_cc_set_config.rst","appdev/refs/api/krb5_cc_set_default_name.rst","appdev/refs/api/krb5_cc_set_flags.rst","appdev/refs/api/krb5_cc_start_seq_get.rst","appdev/refs/api/krb5_cc_store_cred.rst","appdev/refs/api/krb5_cc_support_switch.rst","appdev/refs/api/krb5_cc_switch.rst","appdev/refs/api/krb5_cccol_cursor_free.rst","appdev/refs/api/krb5_cccol_cursor_new.rst","appdev/refs/api/krb5_cccol_cursor_next.rst","appdev/refs/api/krb5_cccol_have_content.rst","appdev/refs/api/krb5_change_password.rst","appdev/refs/api/krb5_check_clockskew.rst","appdev/refs/api/krb5_checksum_size.rst","appdev/refs/api/krb5_chpw_message.rst","appdev/refs/api/krb5_cksumtype_to_string.rst","appdev/refs/api/krb5_clear_error_message.rst","appdev/refs/api/krb5_copy_addresses.rst","appdev/refs/api/krb5_copy_authdata.rst","appdev/refs/api/krb5_copy_authenticator.rst","appdev/refs/api/krb5_copy_checksum.rst","appdev/refs/api/krb5_copy_context.rst","appdev/refs/api/krb5_copy_creds.rst","appdev/refs/api/krb5_copy_data.rst","appdev/refs/api/krb5_copy_error_message.rst","appdev/refs/api/krb5_copy_keyblock.rst","appdev/refs/api/krb5_copy_keyblock_contents.rst","appdev/refs/api/krb5_copy_principal.rst","appdev/refs/api/krb5_copy_ticket.rst","appdev/refs/api/krb5_decode_authdata_container.rst","appdev/refs/api/krb5_decode_ticket.rst","appdev/refs/api/krb5_decrypt.rst","appdev/refs/api/krb5_deltat_to_string.rst","appdev/refs/api/krb5_eblock_enctype.rst","appdev/refs/api/krb5_encode_authdata_container.rst","appdev/refs/api/krb5_encrypt.rst","appdev/refs/api/krb5_encrypt_size.rst","appdev/refs/api/krb5_enctype_to_name.rst","appdev/refs/api/krb5_enctype_to_string.rst","appdev/refs/api/krb5_expand_hostname.rst","appdev/refs/api/krb5_find_authdata.rst","appdev/refs/api/krb5_finish_key.rst","appdev/refs/api/krb5_finish_random_key.rst","appdev/refs/api/krb5_free_addresses.rst","appdev/refs/api/krb5_free_ap_rep_enc_part.rst","appdev/refs/api/krb5_free_authdata.rst","appdev/refs/api/krb5_free_authenticator.rst","appdev/refs/api/krb5_free_checksum.rst","appdev/refs/api/krb5_free_checksum_contents.rst","appdev/refs/api/krb5_free_cksumtypes.rst","appdev/refs/api/krb5_free_context.rst","appdev/refs/api/krb5_free_cred_contents.rst","appdev/refs/api/krb5_free_creds.rst","appdev/refs/api/krb5_free_data.rst","appdev/refs/api/krb5_free_data_contents.rst","appdev/refs/api/krb5_free_default_realm.rst","appdev/refs/api/krb5_free_enctypes.rst","appdev/refs/api/krb5_free_error.rst","appdev/refs/api/krb5_free_error_message.rst","appdev/refs/api/krb5_free_host_realm.rst","appdev/refs/api/krb5_free_keyblock.rst","appdev/refs/api/krb5_free_keyblock_contents.rst","appdev/refs/api/krb5_free_keytab_entry_contents.rst","appdev/refs/api/krb5_free_principal.rst","appdev/refs/api/krb5_free_string.rst","appdev/refs/api/krb5_free_tgt_creds.rst","appdev/refs/api/krb5_free_ticket.rst","appdev/refs/api/krb5_free_unparsed_name.rst","appdev/refs/api/krb5_fwd_tgt_creds.rst","appdev/refs/api/krb5_get_credentials.rst","appdev/refs/api/krb5_get_credentials_renew.rst","appdev/refs/api/krb5_get_credentials_validate.rst","appdev/refs/api/krb5_get_default_realm.rst","appdev/refs/api/krb5_get_error_message.rst","appdev/refs/api/krb5_get_etype_info.rst","appdev/refs/api/krb5_get_fallback_host_realm.rst","appdev/refs/api/krb5_get_host_realm.rst","appdev/refs/api/krb5_get_in_tkt_with_keytab.rst","appdev/refs/api/krb5_get_in_tkt_with_password.rst","appdev/refs/api/krb5_get_in_tkt_with_skey.rst","appdev/refs/api/krb5_get_init_creds_keytab.rst","appdev/refs/api/krb5_get_init_creds_opt_alloc.rst","appdev/refs/api/krb5_get_init_creds_opt_free.rst","appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags.rst","appdev/refs/api/krb5_get_init_creds_opt_init.rst","appdev/refs/api/krb5_get_init_creds_opt_set_address_list.rst","appdev/refs/api/krb5_get_init_creds_opt_set_anonymous.rst","appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize.rst","appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt.rst","appdev/refs/api/krb5_get_init_creds_opt_set_etype_list.rst","appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback.rst","appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache.rst","appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name.rst","appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags.rst","appdev/refs/api/krb5_get_init_creds_opt_set_forwardable.rst","appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache.rst","appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache.rst","appdev/refs/api/krb5_get_init_creds_opt_set_pa.rst","appdev/refs/api/krb5_get_init_creds_opt_set_pac_request.rst","appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list.rst","appdev/refs/api/krb5_get_init_creds_opt_set_proxiable.rst","appdev/refs/api/krb5_get_init_creds_opt_set_renew_life.rst","appdev/refs/api/krb5_get_init_creds_opt_set_responder.rst","appdev/refs/api/krb5_get_init_creds_opt_set_salt.rst","appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life.rst","appdev/refs/api/krb5_get_init_creds_password.rst","appdev/refs/api/krb5_get_permitted_enctypes.rst","appdev/refs/api/krb5_get_profile.rst","appdev/refs/api/krb5_get_prompt_types.rst","appdev/refs/api/krb5_get_renewed_creds.rst","appdev/refs/api/krb5_get_server_rcache.rst","appdev/refs/api/krb5_get_time_offsets.rst","appdev/refs/api/krb5_get_validated_creds.rst","appdev/refs/api/krb5_init_context.rst","appdev/refs/api/krb5_init_context_profile.rst","appdev/refs/api/krb5_init_creds_free.rst","appdev/refs/api/krb5_init_creds_get.rst","appdev/refs/api/krb5_init_creds_get_creds.rst","appdev/refs/api/krb5_init_creds_get_error.rst","appdev/refs/api/krb5_init_creds_get_times.rst","appdev/refs/api/krb5_init_creds_init.rst","appdev/refs/api/krb5_init_creds_set_keytab.rst","appdev/refs/api/krb5_init_creds_set_password.rst","appdev/refs/api/krb5_init_creds_set_service.rst","appdev/refs/api/krb5_init_creds_step.rst","appdev/refs/api/krb5_init_keyblock.rst","appdev/refs/api/krb5_init_random_key.rst","appdev/refs/api/krb5_init_secure_context.rst","appdev/refs/api/krb5_is_config_principal.rst","appdev/refs/api/krb5_is_referral_realm.rst","appdev/refs/api/krb5_is_thread_safe.rst","appdev/refs/api/krb5_k_create_key.rst","appdev/refs/api/krb5_k_decrypt.rst","appdev/refs/api/krb5_k_decrypt_iov.rst","appdev/refs/api/krb5_k_encrypt.rst","appdev/refs/api/krb5_k_encrypt_iov.rst","appdev/refs/api/krb5_k_free_key.rst","appdev/refs/api/krb5_k_key_enctype.rst","appdev/refs/api/krb5_k_key_keyblock.rst","appdev/refs/api/krb5_k_make_checksum.rst","appdev/refs/api/krb5_k_make_checksum_iov.rst","appdev/refs/api/krb5_k_prf.rst","appdev/refs/api/krb5_k_reference_key.rst","appdev/refs/api/krb5_k_verify_checksum.rst","appdev/refs/api/krb5_k_verify_checksum_iov.rst","appdev/refs/api/krb5_kdc_sign_ticket.rst","appdev/refs/api/krb5_kdc_verify_ticket.rst","appdev/refs/api/krb5_kt_add_entry.rst","appdev/refs/api/krb5_kt_client_default.rst","appdev/refs/api/krb5_kt_close.rst","appdev/refs/api/krb5_kt_default.rst","appdev/refs/api/krb5_kt_default_name.rst","appdev/refs/api/krb5_kt_dup.rst","appdev/refs/api/krb5_kt_end_seq_get.rst","appdev/refs/api/krb5_kt_free_entry.rst","appdev/refs/api/krb5_kt_get_entry.rst","appdev/refs/api/krb5_kt_get_name.rst","appdev/refs/api/krb5_kt_get_type.rst","appdev/refs/api/krb5_kt_have_content.rst","appdev/refs/api/krb5_kt_next_entry.rst","appdev/refs/api/krb5_kt_read_service_key.rst","appdev/refs/api/krb5_kt_remove_entry.rst","appdev/refs/api/krb5_kt_resolve.rst","appdev/refs/api/krb5_kt_start_seq_get.rst","appdev/refs/api/krb5_kuserok.rst","appdev/refs/api/krb5_make_authdata_kdc_issued.rst","appdev/refs/api/krb5_marshal_credentials.rst","appdev/refs/api/krb5_merge_authdata.rst","appdev/refs/api/krb5_mk_1cred.rst","appdev/refs/api/krb5_mk_error.rst","appdev/refs/api/krb5_mk_ncred.rst","appdev/refs/api/krb5_mk_priv.rst","appdev/refs/api/krb5_mk_rep.rst","appdev/refs/api/krb5_mk_rep_dce.rst","appdev/refs/api/krb5_mk_req.rst","appdev/refs/api/krb5_mk_req_extended.rst","appdev/refs/api/krb5_mk_safe.rst","appdev/refs/api/krb5_os_localaddr.rst","appdev/refs/api/krb5_pac_add_buffer.rst","appdev/refs/api/krb5_pac_free.rst","appdev/refs/api/krb5_pac_get_buffer.rst","appdev/refs/api/krb5_pac_get_client_info.rst","appdev/refs/api/krb5_pac_get_types.rst","appdev/refs/api/krb5_pac_init.rst","appdev/refs/api/krb5_pac_parse.rst","appdev/refs/api/krb5_pac_sign.rst","appdev/refs/api/krb5_pac_sign_ext.rst","appdev/refs/api/krb5_pac_verify.rst","appdev/refs/api/krb5_pac_verify_ext.rst","appdev/refs/api/krb5_parse_name.rst","appdev/refs/api/krb5_parse_name_flags.rst","appdev/refs/api/krb5_prepend_error_message.rst","appdev/refs/api/krb5_principal2salt.rst","appdev/refs/api/krb5_principal_compare.rst","appdev/refs/api/krb5_principal_compare_any_realm.rst","appdev/refs/api/krb5_principal_compare_flags.rst","appdev/refs/api/krb5_process_key.rst","appdev/refs/api/krb5_prompter_posix.rst","appdev/refs/api/krb5_random_key.rst","appdev/refs/api/krb5_rd_cred.rst","appdev/refs/api/krb5_rd_error.rst","appdev/refs/api/krb5_rd_priv.rst","appdev/refs/api/krb5_rd_rep.rst","appdev/refs/api/krb5_rd_rep_dce.rst","appdev/refs/api/krb5_rd_req.rst","appdev/refs/api/krb5_rd_safe.rst","appdev/refs/api/krb5_read_password.rst","appdev/refs/api/krb5_realm_compare.rst","appdev/refs/api/krb5_recvauth.rst","appdev/refs/api/krb5_recvauth_version.rst","appdev/refs/api/krb5_responder_get_challenge.rst","appdev/refs/api/krb5_responder_list_questions.rst","appdev/refs/api/krb5_responder_otp_challenge_free.rst","appdev/refs/api/krb5_responder_otp_get_challenge.rst","appdev/refs/api/krb5_responder_otp_set_answer.rst","appdev/refs/api/krb5_responder_pkinit_challenge_free.rst","appdev/refs/api/krb5_responder_pkinit_get_challenge.rst","appdev/refs/api/krb5_responder_pkinit_set_answer.rst","appdev/refs/api/krb5_responder_set_answer.rst","appdev/refs/api/krb5_salttype_to_string.rst","appdev/refs/api/krb5_sendauth.rst","appdev/refs/api/krb5_server_decrypt_ticket_keytab.rst","appdev/refs/api/krb5_set_default_realm.rst","appdev/refs/api/krb5_set_default_tgs_enctypes.rst","appdev/refs/api/krb5_set_error_message.rst","appdev/refs/api/krb5_set_kdc_recv_hook.rst","appdev/refs/api/krb5_set_kdc_send_hook.rst","appdev/refs/api/krb5_set_password.rst","appdev/refs/api/krb5_set_password_using_ccache.rst","appdev/refs/api/krb5_set_principal_realm.rst","appdev/refs/api/krb5_set_real_time.rst","appdev/refs/api/krb5_set_trace_callback.rst","appdev/refs/api/krb5_set_trace_filename.rst","appdev/refs/api/krb5_sname_match.rst","appdev/refs/api/krb5_sname_to_principal.rst","appdev/refs/api/krb5_string_to_cksumtype.rst","appdev/refs/api/krb5_string_to_deltat.rst","appdev/refs/api/krb5_string_to_enctype.rst","appdev/refs/api/krb5_string_to_key.rst","appdev/refs/api/krb5_string_to_salttype.rst","appdev/refs/api/krb5_string_to_timestamp.rst","appdev/refs/api/krb5_timeofday.rst","appdev/refs/api/krb5_timestamp_to_sfstring.rst","appdev/refs/api/krb5_timestamp_to_string.rst","appdev/refs/api/krb5_tkt_creds_free.rst","appdev/refs/api/krb5_tkt_creds_get.rst","appdev/refs/api/krb5_tkt_creds_get_creds.rst","appdev/refs/api/krb5_tkt_creds_get_times.rst","appdev/refs/api/krb5_tkt_creds_init.rst","appdev/refs/api/krb5_tkt_creds_step.rst","appdev/refs/api/krb5_unmarshal_credentials.rst","appdev/refs/api/krb5_unparse_name.rst","appdev/refs/api/krb5_unparse_name_ext.rst","appdev/refs/api/krb5_unparse_name_flags.rst","appdev/refs/api/krb5_unparse_name_flags_ext.rst","appdev/refs/api/krb5_us_timeofday.rst","appdev/refs/api/krb5_use_enctype.rst","appdev/refs/api/krb5_verify_authdata_kdc_issued.rst","appdev/refs/api/krb5_verify_checksum.rst","appdev/refs/api/krb5_verify_init_creds.rst","appdev/refs/api/krb5_verify_init_creds_opt_init.rst","appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail.rst","appdev/refs/api/krb5_vprepend_error_message.rst","appdev/refs/api/krb5_vset_error_message.rst","appdev/refs/api/krb5_vwrap_error_message.rst","appdev/refs/api/krb5_wrap_error_message.rst","appdev/refs/index.rst","appdev/refs/macros/ADDRTYPE_ADDRPORT.rst","appdev/refs/macros/ADDRTYPE_CHAOS.rst","appdev/refs/macros/ADDRTYPE_DDP.rst","appdev/refs/macros/ADDRTYPE_INET.rst","appdev/refs/macros/ADDRTYPE_INET6.rst","appdev/refs/macros/ADDRTYPE_IPPORT.rst","appdev/refs/macros/ADDRTYPE_ISO.rst","appdev/refs/macros/ADDRTYPE_IS_LOCAL.rst","appdev/refs/macros/ADDRTYPE_NETBIOS.rst","appdev/refs/macros/ADDRTYPE_XNS.rst","appdev/refs/macros/AD_TYPE_EXTERNAL.rst","appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK.rst","appdev/refs/macros/AD_TYPE_REGISTERED.rst","appdev/refs/macros/AD_TYPE_RESERVED.rst","appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION.rst","appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED.rst","appdev/refs/macros/AP_OPTS_RESERVED.rst","appdev/refs/macros/AP_OPTS_USE_SESSION_KEY.rst","appdev/refs/macros/AP_OPTS_USE_SUBKEY.rst","appdev/refs/macros/AP_OPTS_WIRE_MASK.rst","appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128.rst","appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256.rst","appdev/refs/macros/CKSUMTYPE_CRC32.rst","appdev/refs/macros/CKSUMTYPE_DESCBC.rst","appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128.rst","appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256.rst","appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR.rst","appdev/refs/macros/CKSUMTYPE_NIST_SHA.rst","appdev/refs/macros/CKSUMTYPE_RSA_MD4.rst","appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES.rst","appdev/refs/macros/CKSUMTYPE_RSA_MD5.rst","appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES.rst","appdev/refs/macros/CKSUMTYPE_SHA1.rst","appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96.rst","appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128.rst","appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96.rst","appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192.rst","appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC.rst","appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP.rst","appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC.rst","appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC.rst","appdev/refs/macros/ENCTYPE_DES3_CBC_ENV.rst","appdev/refs/macros/ENCTYPE_DES3_CBC_RAW.rst","appdev/refs/macros/ENCTYPE_DES3_CBC_SHA.rst","appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1.rst","appdev/refs/macros/ENCTYPE_DES_CBC_CRC.rst","appdev/refs/macros/ENCTYPE_DES_CBC_MD4.rst","appdev/refs/macros/ENCTYPE_DES_CBC_MD5.rst","appdev/refs/macros/ENCTYPE_DES_CBC_RAW.rst","appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1.rst","appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS.rst","appdev/refs/macros/ENCTYPE_MD5_RSA_CMS.rst","appdev/refs/macros/ENCTYPE_NULL.rst","appdev/refs/macros/ENCTYPE_RC2_CBC_ENV.rst","appdev/refs/macros/ENCTYPE_RSA_ENV.rst","appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV.rst","appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS.rst","appdev/refs/macros/ENCTYPE_UNKNOWN.rst","appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE.rst","appdev/refs/macros/KDC_OPT_CANONICALIZE.rst","appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT.rst","appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK.rst","appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY.rst","appdev/refs/macros/KDC_OPT_FORWARDABLE.rst","appdev/refs/macros/KDC_OPT_FORWARDED.rst","appdev/refs/macros/KDC_OPT_POSTDATED.rst","appdev/refs/macros/KDC_OPT_PROXIABLE.rst","appdev/refs/macros/KDC_OPT_PROXY.rst","appdev/refs/macros/KDC_OPT_RENEW.rst","appdev/refs/macros/KDC_OPT_RENEWABLE.rst","appdev/refs/macros/KDC_OPT_RENEWABLE_OK.rst","appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS.rst","appdev/refs/macros/KDC_OPT_VALIDATE.rst","appdev/refs/macros/KDC_TKT_COMMON_MASK.rst","appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE.rst","appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR.rst","appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR.rst","appdev/refs/macros/KRB5_AP_REP.rst","appdev/refs/macros/KRB5_AP_REQ.rst","appdev/refs/macros/KRB5_AS_REP.rst","appdev/refs/macros/KRB5_AS_REQ.rst","appdev/refs/macros/KRB5_AUTHDATA_AND_OR.rst","appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS.rst","appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR.rst","appdev/refs/macros/KRB5_AUTHDATA_CAMMAC.rst","appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION.rst","appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR.rst","appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT.rst","appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS.rst","appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED.rst","appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC.rst","appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE.rst","appdev/refs/macros/KRB5_AUTHDATA_SESAME.rst","appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET.rst","appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME.rst","appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY.rst","appdev/refs/macros/KRB5_CRED.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM.rst","appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER.rst","appdev/refs/macros/KRB5_CYBERSAFE_SECUREID.rst","appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS.rst","appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP.rst","appdev/refs/macros/KRB5_ERROR.rst","appdev/refs/macros/KRB5_FAST_REQUIRED.rst","appdev/refs/macros/KRB5_GC_CACHED.rst","appdev/refs/macros/KRB5_GC_CANONICALIZE.rst","appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION.rst","appdev/refs/macros/KRB5_GC_FORWARDABLE.rst","appdev/refs/macros/KRB5_GC_NO_STORE.rst","appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK.rst","appdev/refs/macros/KRB5_GC_USER_USER.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT.rst","appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE.rst","appdev/refs/macros/KRB5_INIT_CONTEXT_KDC.rst","appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE.rst","appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE.rst","appdev/refs/macros/KRB5_INT16_MAX.rst","appdev/refs/macros/KRB5_INT16_MIN.rst","appdev/refs/macros/KRB5_INT32_MAX.rst","appdev/refs/macros/KRB5_INT32_MIN.rst","appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE.rst","appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE.rst","appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH.rst","appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT.rst","appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART.rst","appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH.rst","appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART.rst","appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ.rst","appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS.rst","appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC.rst","appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT.rst","appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC.rst","appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC.rst","appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED.rst","appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP.rst","appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC.rst","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG.rst","appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV.rst","appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED.rst","appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET.rst","appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART.rst","appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART.rst","appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID.rst","appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE.rst","appdev/refs/macros/KRB5_KEYUSAGE_SPAKE.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH.rst","appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM.rst","appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED.rst","appdev/refs/macros/KRB5_KPASSWD_AUTHERROR.rst","appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION.rst","appdev/refs/macros/KRB5_KPASSWD_HARDERROR.rst","appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED.rst","appdev/refs/macros/KRB5_KPASSWD_MALFORMED.rst","appdev/refs/macros/KRB5_KPASSWD_SOFTERROR.rst","appdev/refs/macros/KRB5_KPASSWD_SUCCESS.rst","appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT.rst","appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED.rst","appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME.rst","appdev/refs/macros/KRB5_LRQ_NONE.rst","appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT.rst","appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED.rst","appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME.rst","appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL.rst","appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID.rst","appdev/refs/macros/KRB5_NT_MS_PRINCIPAL.rst","appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID.rst","appdev/refs/macros/KRB5_NT_PRINCIPAL.rst","appdev/refs/macros/KRB5_NT_SMTP_NAME.rst","appdev/refs/macros/KRB5_NT_SRV_HST.rst","appdev/refs/macros/KRB5_NT_SRV_INST.rst","appdev/refs/macros/KRB5_NT_SRV_XHST.rst","appdev/refs/macros/KRB5_NT_UID.rst","appdev/refs/macros/KRB5_NT_UNKNOWN.rst","appdev/refs/macros/KRB5_NT_WELLKNOWN.rst","appdev/refs/macros/KRB5_NT_X500_PRINCIPAL.rst","appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO.rst","appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS.rst","appdev/refs/macros/KRB5_PAC_CLIENT_INFO.rst","appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO.rst","appdev/refs/macros/KRB5_PAC_DELEGATION_INFO.rst","appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS.rst","appdev/refs/macros/KRB5_PAC_DEVICE_INFO.rst","appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM.rst","appdev/refs/macros/KRB5_PAC_LOGON_INFO.rst","appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM.rst","appdev/refs/macros/KRB5_PAC_REQUESTOR.rst","appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM.rst","appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM.rst","appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO.rst","appdev/refs/macros/KRB5_PADATA_AFS3_SALT.rst","appdev/refs/macros/KRB5_PADATA_AP_REQ.rst","appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM.rst","appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS.rst","appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE.rst","appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID.rst","appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP.rst","appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME.rst","appdev/refs/macros/KRB5_PADATA_ETYPE_INFO.rst","appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2.rst","appdev/refs/macros/KRB5_PADATA_FOR_USER.rst","appdev/refs/macros/KRB5_PADATA_FX_COOKIE.rst","appdev/refs/macros/KRB5_PADATA_FX_ERROR.rst","appdev/refs/macros/KRB5_PADATA_FX_FAST.rst","appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA.rst","appdev/refs/macros/KRB5_PADATA_NONE.rst","appdev/refs/macros/KRB5_PADATA_OSF_DCE.rst","appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE.rst","appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE.rst","appdev/refs/macros/KRB5_PADATA_OTP_REQUEST.rst","appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS.rst","appdev/refs/macros/KRB5_PADATA_PAC_REQUEST.rst","appdev/refs/macros/KRB5_PADATA_PKINIT_KX.rst","appdev/refs/macros/KRB5_PADATA_PK_AS_REP.rst","appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD.rst","appdev/refs/macros/KRB5_PADATA_PK_AS_REQ.rst","appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD.rst","appdev/refs/macros/KRB5_PADATA_PW_SALT.rst","appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2.rst","appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY.rst","appdev/refs/macros/KRB5_PADATA_REFERRAL.rst","appdev/refs/macros/KRB5_PADATA_S4U_X509_USER.rst","appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE.rst","appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2.rst","appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT.rst","appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE.rst","appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2.rst","appdev/refs/macros/KRB5_PADATA_SESAME.rst","appdev/refs/macros/KRB5_PADATA_SPAKE.rst","appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO.rst","appdev/refs/macros/KRB5_PADATA_TGS_REQ.rst","appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO.rst","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD.rst","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE.rst","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY.rst","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM.rst","appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT.rst","appdev/refs/macros/KRB5_PRIV.rst","appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD.rst","appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN.rst","appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD.rst","appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH.rst","appdev/refs/macros/KRB5_PVNO.rst","appdev/refs/macros/KRB5_REALM_BRANCH_CHAR.rst","appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS.rst","appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION.rst","appdev/refs/macros/KRB5_REFERRAL_REALM.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL.rst","appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL.rst","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW.rst","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY.rst","appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED.rst","appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP.rst","appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD.rst","appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT.rst","appdev/refs/macros/KRB5_SAFE.rst","appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD.rst","appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD.rst","appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY.rst","appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT.rst","appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA.rst","appdev/refs/macros/KRB5_TC_MATCH_FLAGS.rst","appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT.rst","appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY.rst","appdev/refs/macros/KRB5_TC_MATCH_KTYPE.rst","appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY.rst","appdev/refs/macros/KRB5_TC_MATCH_TIMES.rst","appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT.rst","appdev/refs/macros/KRB5_TC_NOTICKET.rst","appdev/refs/macros/KRB5_TC_OPENCLOSE.rst","appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES.rst","appdev/refs/macros/KRB5_TGS_NAME.rst","appdev/refs/macros/KRB5_TGS_NAME_SIZE.rst","appdev/refs/macros/KRB5_TGS_REP.rst","appdev/refs/macros/KRB5_TGS_REQ.rst","appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE.rst","appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL.rst","appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR.rst","appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK.rst","appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY.rst","appdev/refs/macros/MAX_KEYTAB_NAME_LEN.rst","appdev/refs/macros/MSEC_DIRBIT.rst","appdev/refs/macros/MSEC_VAL_MASK.rst","appdev/refs/macros/SALT_TYPE_AFS_LENGTH.rst","appdev/refs/macros/SALT_TYPE_NO_LENGTH.rst","appdev/refs/macros/THREEPARAMOPEN.rst","appdev/refs/macros/TKT_FLG_ANONYMOUS.rst","appdev/refs/macros/TKT_FLG_ENC_PA_REP.rst","appdev/refs/macros/TKT_FLG_FORWARDABLE.rst","appdev/refs/macros/TKT_FLG_FORWARDED.rst","appdev/refs/macros/TKT_FLG_HW_AUTH.rst","appdev/refs/macros/TKT_FLG_INITIAL.rst","appdev/refs/macros/TKT_FLG_INVALID.rst","appdev/refs/macros/TKT_FLG_MAY_POSTDATE.rst","appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE.rst","appdev/refs/macros/TKT_FLG_POSTDATED.rst","appdev/refs/macros/TKT_FLG_PRE_AUTH.rst","appdev/refs/macros/TKT_FLG_PROXIABLE.rst","appdev/refs/macros/TKT_FLG_PROXY.rst","appdev/refs/macros/TKT_FLG_RENEWABLE.rst","appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED.rst","appdev/refs/macros/VALID_INT_BITS.rst","appdev/refs/macros/VALID_UINT_BITS.rst","appdev/refs/macros/index.rst","appdev/refs/macros/krb524_convert_creds_kdc.rst","appdev/refs/macros/krb524_init_ets.rst","appdev/refs/macros/krb5_const.rst","appdev/refs/macros/krb5_princ_component.rst","appdev/refs/macros/krb5_princ_name.rst","appdev/refs/macros/krb5_princ_realm.rst","appdev/refs/macros/krb5_princ_set_realm.rst","appdev/refs/macros/krb5_princ_set_realm_data.rst","appdev/refs/macros/krb5_princ_set_realm_length.rst","appdev/refs/macros/krb5_princ_size.rst","appdev/refs/macros/krb5_princ_type.rst","appdev/refs/macros/krb5_roundup.rst","appdev/refs/macros/krb5_x.rst","appdev/refs/macros/krb5_xc.rst","appdev/refs/types/index.rst","appdev/refs/types/krb5_address.rst","appdev/refs/types/krb5_addrtype.rst","appdev/refs/types/krb5_ap_rep.rst","appdev/refs/types/krb5_ap_rep_enc_part.rst","appdev/refs/types/krb5_ap_req.rst","appdev/refs/types/krb5_auth_context.rst","appdev/refs/types/krb5_authdata.rst","appdev/refs/types/krb5_authdatatype.rst","appdev/refs/types/krb5_authenticator.rst","appdev/refs/types/krb5_boolean.rst","appdev/refs/types/krb5_cc_cursor.rst","appdev/refs/types/krb5_ccache.rst","appdev/refs/types/krb5_cccol_cursor.rst","appdev/refs/types/krb5_checksum.rst","appdev/refs/types/krb5_cksumtype.rst","appdev/refs/types/krb5_const_pointer.rst","appdev/refs/types/krb5_const_principal.rst","appdev/refs/types/krb5_context.rst","appdev/refs/types/krb5_cred.rst","appdev/refs/types/krb5_cred_enc_part.rst","appdev/refs/types/krb5_cred_info.rst","appdev/refs/types/krb5_creds.rst","appdev/refs/types/krb5_crypto_iov.rst","appdev/refs/types/krb5_cryptotype.rst","appdev/refs/types/krb5_data.rst","appdev/refs/types/krb5_deltat.rst","appdev/refs/types/krb5_enc_data.rst","appdev/refs/types/krb5_enc_kdc_rep_part.rst","appdev/refs/types/krb5_enc_tkt_part.rst","appdev/refs/types/krb5_encrypt_block.rst","appdev/refs/types/krb5_enctype.rst","appdev/refs/types/krb5_error.rst","appdev/refs/types/krb5_error_code.rst","appdev/refs/types/krb5_expire_callback_func.rst","appdev/refs/types/krb5_flags.rst","appdev/refs/types/krb5_get_init_creds_opt.rst","appdev/refs/types/krb5_gic_opt_pa_data.rst","appdev/refs/types/krb5_init_creds_context.rst","appdev/refs/types/krb5_int16.rst","appdev/refs/types/krb5_int32.rst","appdev/refs/types/krb5_kdc_rep.rst","appdev/refs/types/krb5_kdc_req.rst","appdev/refs/types/krb5_key.rst","appdev/refs/types/krb5_keyblock.rst","appdev/refs/types/krb5_keytab.rst","appdev/refs/types/krb5_keytab_entry.rst","appdev/refs/types/krb5_keyusage.rst","appdev/refs/types/krb5_kt_cursor.rst","appdev/refs/types/krb5_kvno.rst","appdev/refs/types/krb5_last_req_entry.rst","appdev/refs/types/krb5_magic.rst","appdev/refs/types/krb5_mk_req_checksum_func.rst","appdev/refs/types/krb5_msgtype.rst","appdev/refs/types/krb5_octet.rst","appdev/refs/types/krb5_pa_data.rst","appdev/refs/types/krb5_pa_pac_req.rst","appdev/refs/types/krb5_pa_server_referral_data.rst","appdev/refs/types/krb5_pa_svr_referral_data.rst","appdev/refs/types/krb5_pac.rst","appdev/refs/types/krb5_pointer.rst","appdev/refs/types/krb5_post_recv_fn.rst","appdev/refs/types/krb5_pre_send_fn.rst","appdev/refs/types/krb5_preauthtype.rst","appdev/refs/types/krb5_principal.rst","appdev/refs/types/krb5_principal_data.rst","appdev/refs/types/krb5_prompt.rst","appdev/refs/types/krb5_prompt_type.rst","appdev/refs/types/krb5_prompter_fct.rst","appdev/refs/types/krb5_pwd_data.rst","appdev/refs/types/krb5_rcache.rst","appdev/refs/types/krb5_replay_data.rst","appdev/refs/types/krb5_responder_context.rst","appdev/refs/types/krb5_responder_fn.rst","appdev/refs/types/krb5_responder_otp_challenge.rst","appdev/refs/types/krb5_responder_otp_tokeninfo.rst","appdev/refs/types/krb5_responder_pkinit_challenge.rst","appdev/refs/types/krb5_responder_pkinit_identity.rst","appdev/refs/types/krb5_response.rst","appdev/refs/types/krb5_ticket.rst","appdev/refs/types/krb5_ticket_times.rst","appdev/refs/types/krb5_timestamp.rst","appdev/refs/types/krb5_tkt_authent.rst","appdev/refs/types/krb5_tkt_creds_context.rst","appdev/refs/types/krb5_trace_callback.rst","appdev/refs/types/krb5_trace_info.rst","appdev/refs/types/krb5_transited.rst","appdev/refs/types/krb5_typed_data.rst","appdev/refs/types/krb5_ui_2.rst","appdev/refs/types/krb5_ui_4.rst","appdev/refs/types/krb5_verify_init_creds_opt.rst","appdev/refs/types/passwd_phrase_element.rst","appdev/y2038.rst","basic/ccache_def.rst","basic/date_format.rst","basic/index.rst","basic/keytab_def.rst","basic/rcache_def.rst","basic/stash_file_def.rst","build/directory_org.rst","build/doing_build.rst","build/index.rst","build/options2configure.rst","build/osconf.rst","build_this.rst","copyright.rst","formats/ccache_file_format.rst","formats/cookie.rst","formats/freshness_token.rst","formats/index.rst","formats/keytab_file_format.rst","formats/rcache_file_format.rst","index.rst","mitK5defaults.rst","mitK5features.rst","mitK5license.rst","plugindev/ccselect.rst","plugindev/certauth.rst","plugindev/clpreauth.rst","plugindev/general.rst","plugindev/gssapi.rst","plugindev/hostrealm.rst","plugindev/index.rst","plugindev/internal.rst","plugindev/kadm5_auth.rst","plugindev/kadm5_hook.rst","plugindev/kdcpolicy.rst","plugindev/kdcpreauth.rst","plugindev/localauth.rst","plugindev/locate.rst","plugindev/profile.rst","plugindev/pwqual.rst","resources.rst","user/index.rst","user/pwd_mgmt.rst","user/tkt_mgmt.rst","user/user_commands/index.rst","user/user_commands/kdestroy.rst","user/user_commands/kinit.rst","user/user_commands/klist.rst","user/user_commands/kpasswd.rst","user/user_commands/krb5-config.rst","user/user_commands/ksu.rst","user/user_commands/kswitch.rst","user/user_commands/kvno.rst","user/user_commands/sclient.rst","user/user_config/index.rst","user/user_config/k5identity.rst","user/user_config/k5login.rst","user/user_config/kerberos.rst"],objects:{"":[[49,0,1,"c.krb5_425_conv_principal","krb5_425_conv_principal"],[50,0,1,"c.krb5_524_conv_principal","krb5_524_conv_principal"],[51,0,1,"c.krb5_524_convert_creds","krb5_524_convert_creds"],[805,2,1,"c.krb5_address","krb5_address"],[52,0,1,"c.krb5_address_compare","krb5_address_compare"],[53,0,1,"c.krb5_address_order","krb5_address_order"],[54,0,1,"c.krb5_address_search","krb5_address_search"],[806,2,1,"c.krb5_addrtype","krb5_addrtype"],[55,0,1,"c.krb5_allow_weak_crypto","krb5_allow_weak_crypto"],[56,0,1,"c.krb5_aname_to_localname","krb5_aname_to_localname"],[57,0,1,"c.krb5_anonymous_principal","krb5_anonymous_principal"],[58,0,1,"c.krb5_anonymous_realm","krb5_anonymous_realm"],[807,2,1,"c.krb5_ap_rep","krb5_ap_rep"],[808,2,1,"c.krb5_ap_rep_enc_part","krb5_ap_rep_enc_part"],[809,2,1,"c.krb5_ap_req","krb5_ap_req"],[59,0,1,"c.krb5_appdefault_boolean","krb5_appdefault_boolean"],[60,0,1,"c.krb5_appdefault_string","krb5_appdefault_string"],[61,0,1,"c.krb5_auth_con_free","krb5_auth_con_free"],[62,0,1,"c.krb5_auth_con_genaddrs","krb5_auth_con_genaddrs"],[63,0,1,"c.krb5_auth_con_get_checksum_func","krb5_auth_con_get_checksum_func"],[64,0,1,"c.krb5_auth_con_getaddrs","krb5_auth_con_getaddrs"],[65,0,1,"c.krb5_auth_con_getauthenticator","krb5_auth_con_getauthenticator"],[66,0,1,"c.krb5_auth_con_getflags","krb5_auth_con_getflags"],[67,0,1,"c.krb5_auth_con_getkey","krb5_auth_con_getkey"],[68,0,1,"c.krb5_auth_con_getkey_k","krb5_auth_con_getkey_k"],[69,0,1,"c.krb5_auth_con_getlocalseqnumber","krb5_auth_con_getlocalseqnumber"],[70,0,1,"c.krb5_auth_con_getlocalsubkey","krb5_auth_con_getlocalsubkey"],[71,0,1,"c.krb5_auth_con_getrcache","krb5_auth_con_getrcache"],[72,0,1,"c.krb5_auth_con_getrecvsubkey","krb5_auth_con_getrecvsubkey"],[73,0,1,"c.krb5_auth_con_getrecvsubkey_k","krb5_auth_con_getrecvsubkey_k"],[74,0,1,"c.krb5_auth_con_getremoteseqnumber","krb5_auth_con_getremoteseqnumber"],[75,0,1,"c.krb5_auth_con_getremotesubkey","krb5_auth_con_getremotesubkey"],[76,0,1,"c.krb5_auth_con_getsendsubkey","krb5_auth_con_getsendsubkey"],[77,0,1,"c.krb5_auth_con_getsendsubkey_k","krb5_auth_con_getsendsubkey_k"],[78,0,1,"c.krb5_auth_con_init","krb5_auth_con_init"],[79,0,1,"c.krb5_auth_con_initivector","krb5_auth_con_initivector"],[80,0,1,"c.krb5_auth_con_set_checksum_func","krb5_auth_con_set_checksum_func"],[81,0,1,"c.krb5_auth_con_set_req_cksumtype","krb5_auth_con_set_req_cksumtype"],[82,0,1,"c.krb5_auth_con_setaddrs","krb5_auth_con_setaddrs"],[83,0,1,"c.krb5_auth_con_setflags","krb5_auth_con_setflags"],[84,0,1,"c.krb5_auth_con_setports","krb5_auth_con_setports"],[85,0,1,"c.krb5_auth_con_setrcache","krb5_auth_con_setrcache"],[86,0,1,"c.krb5_auth_con_setrecvsubkey","krb5_auth_con_setrecvsubkey"],[87,0,1,"c.krb5_auth_con_setrecvsubkey_k","krb5_auth_con_setrecvsubkey_k"],[88,0,1,"c.krb5_auth_con_setsendsubkey","krb5_auth_con_setsendsubkey"],[89,0,1,"c.krb5_auth_con_setsendsubkey_k","krb5_auth_con_setsendsubkey_k"],[90,0,1,"c.krb5_auth_con_setuseruserkey","krb5_auth_con_setuseruserkey"],[810,2,1,"c.krb5_auth_context","krb5_auth_context"],[811,2,1,"c.krb5_authdata","krb5_authdata"],[812,2,1,"c.krb5_authdatatype","krb5_authdatatype"],[813,2,1,"c.krb5_authenticator","krb5_authenticator"],[814,2,1,"c.krb5_boolean","krb5_boolean"],[91,0,1,"c.krb5_build_principal","krb5_build_principal"],[92,0,1,"c.krb5_build_principal_alloc_va","krb5_build_principal_alloc_va"],[93,0,1,"c.krb5_build_principal_ext","krb5_build_principal_ext"],[94,0,1,"c.krb5_build_principal_va","krb5_build_principal_va"],[95,0,1,"c.krb5_c_block_size","krb5_c_block_size"],[96,0,1,"c.krb5_c_checksum_length","krb5_c_checksum_length"],[97,0,1,"c.krb5_c_crypto_length","krb5_c_crypto_length"],[98,0,1,"c.krb5_c_crypto_length_iov","krb5_c_crypto_length_iov"],[99,0,1,"c.krb5_c_decrypt","krb5_c_decrypt"],[100,0,1,"c.krb5_c_decrypt_iov","krb5_c_decrypt_iov"],[101,0,1,"c.krb5_c_derive_prfplus","krb5_c_derive_prfplus"],[102,0,1,"c.krb5_c_encrypt","krb5_c_encrypt"],[103,0,1,"c.krb5_c_encrypt_iov","krb5_c_encrypt_iov"],[104,0,1,"c.krb5_c_encrypt_length","krb5_c_encrypt_length"],[105,0,1,"c.krb5_c_enctype_compare","krb5_c_enctype_compare"],[106,0,1,"c.krb5_c_free_state","krb5_c_free_state"],[107,0,1,"c.krb5_c_fx_cf2_simple","krb5_c_fx_cf2_simple"],[108,0,1,"c.krb5_c_init_state","krb5_c_init_state"],[109,0,1,"c.krb5_c_is_coll_proof_cksum","krb5_c_is_coll_proof_cksum"],[110,0,1,"c.krb5_c_is_keyed_cksum","krb5_c_is_keyed_cksum"],[111,0,1,"c.krb5_c_keyed_checksum_types","krb5_c_keyed_checksum_types"],[112,0,1,"c.krb5_c_keylengths","krb5_c_keylengths"],[113,0,1,"c.krb5_c_make_checksum","krb5_c_make_checksum"],[114,0,1,"c.krb5_c_make_checksum_iov","krb5_c_make_checksum_iov"],[115,0,1,"c.krb5_c_make_random_key","krb5_c_make_random_key"],[116,0,1,"c.krb5_c_padding_length","krb5_c_padding_length"],[117,0,1,"c.krb5_c_prf","krb5_c_prf"],[118,0,1,"c.krb5_c_prf_length","krb5_c_prf_length"],[119,0,1,"c.krb5_c_prfplus","krb5_c_prfplus"],[120,0,1,"c.krb5_c_random_add_entropy","krb5_c_random_add_entropy"],[121,0,1,"c.krb5_c_random_make_octets","krb5_c_random_make_octets"],[122,0,1,"c.krb5_c_random_os_entropy","krb5_c_random_os_entropy"],[123,0,1,"c.krb5_c_random_seed","krb5_c_random_seed"],[124,0,1,"c.krb5_c_random_to_key","krb5_c_random_to_key"],[125,0,1,"c.krb5_c_string_to_key","krb5_c_string_to_key"],[126,0,1,"c.krb5_c_string_to_key_with_params","krb5_c_string_to_key_with_params"],[127,0,1,"c.krb5_c_valid_cksumtype","krb5_c_valid_cksumtype"],[128,0,1,"c.krb5_c_valid_enctype","krb5_c_valid_enctype"],[129,0,1,"c.krb5_c_verify_checksum","krb5_c_verify_checksum"],[130,0,1,"c.krb5_c_verify_checksum_iov","krb5_c_verify_checksum_iov"],[131,0,1,"c.krb5_calculate_checksum","krb5_calculate_checksum"],[132,0,1,"c.krb5_cc_cache_match","krb5_cc_cache_match"],[133,0,1,"c.krb5_cc_close","krb5_cc_close"],[134,0,1,"c.krb5_cc_copy_creds","krb5_cc_copy_creds"],[815,2,1,"c.krb5_cc_cursor","krb5_cc_cursor"],[135,0,1,"c.krb5_cc_default","krb5_cc_default"],[136,0,1,"c.krb5_cc_default_name","krb5_cc_default_name"],[137,0,1,"c.krb5_cc_destroy","krb5_cc_destroy"],[138,0,1,"c.krb5_cc_dup","krb5_cc_dup"],[139,0,1,"c.krb5_cc_end_seq_get","krb5_cc_end_seq_get"],[140,0,1,"c.krb5_cc_gen_new","krb5_cc_gen_new"],[141,0,1,"c.krb5_cc_get_config","krb5_cc_get_config"],[142,0,1,"c.krb5_cc_get_flags","krb5_cc_get_flags"],[143,0,1,"c.krb5_cc_get_full_name","krb5_cc_get_full_name"],[144,0,1,"c.krb5_cc_get_name","krb5_cc_get_name"],[145,0,1,"c.krb5_cc_get_principal","krb5_cc_get_principal"],[146,0,1,"c.krb5_cc_get_type","krb5_cc_get_type"],[147,0,1,"c.krb5_cc_initialize","krb5_cc_initialize"],[148,0,1,"c.krb5_cc_move","krb5_cc_move"],[149,0,1,"c.krb5_cc_new_unique","krb5_cc_new_unique"],[150,0,1,"c.krb5_cc_next_cred","krb5_cc_next_cred"],[151,0,1,"c.krb5_cc_remove_cred","krb5_cc_remove_cred"],[152,0,1,"c.krb5_cc_resolve","krb5_cc_resolve"],[153,0,1,"c.krb5_cc_retrieve_cred","krb5_cc_retrieve_cred"],[154,0,1,"c.krb5_cc_select","krb5_cc_select"],[155,0,1,"c.krb5_cc_set_config","krb5_cc_set_config"],[156,0,1,"c.krb5_cc_set_default_name","krb5_cc_set_default_name"],[157,0,1,"c.krb5_cc_set_flags","krb5_cc_set_flags"],[158,0,1,"c.krb5_cc_start_seq_get","krb5_cc_start_seq_get"],[159,0,1,"c.krb5_cc_store_cred","krb5_cc_store_cred"],[160,0,1,"c.krb5_cc_support_switch","krb5_cc_support_switch"],[161,0,1,"c.krb5_cc_switch","krb5_cc_switch"],[816,2,1,"c.krb5_ccache","krb5_ccache"],[817,2,1,"c.krb5_cccol_cursor","krb5_cccol_cursor"],[162,0,1,"c.krb5_cccol_cursor_free","krb5_cccol_cursor_free"],[163,0,1,"c.krb5_cccol_cursor_new","krb5_cccol_cursor_new"],[164,0,1,"c.krb5_cccol_cursor_next","krb5_cccol_cursor_next"],[165,0,1,"c.krb5_cccol_have_content","krb5_cccol_have_content"],[166,0,1,"c.krb5_change_password","krb5_change_password"],[167,0,1,"c.krb5_check_clockskew","krb5_check_clockskew"],[818,2,1,"c.krb5_checksum","krb5_checksum"],[168,0,1,"c.krb5_checksum_size","krb5_checksum_size"],[169,0,1,"c.krb5_chpw_message","krb5_chpw_message"],[819,2,1,"c.krb5_cksumtype","krb5_cksumtype"],[170,0,1,"c.krb5_cksumtype_to_string","krb5_cksumtype_to_string"],[171,0,1,"c.krb5_clear_error_message","krb5_clear_error_message"],[820,2,1,"c.krb5_const_pointer","krb5_const_pointer"],[821,2,1,"c.krb5_const_principal","krb5_const_principal"],[822,2,1,"c.krb5_context","krb5_context"],[172,0,1,"c.krb5_copy_addresses","krb5_copy_addresses"],[173,0,1,"c.krb5_copy_authdata","krb5_copy_authdata"],[174,0,1,"c.krb5_copy_authenticator","krb5_copy_authenticator"],[175,0,1,"c.krb5_copy_checksum","krb5_copy_checksum"],[176,0,1,"c.krb5_copy_context","krb5_copy_context"],[177,0,1,"c.krb5_copy_creds","krb5_copy_creds"],[178,0,1,"c.krb5_copy_data","krb5_copy_data"],[179,0,1,"c.krb5_copy_error_message","krb5_copy_error_message"],[180,0,1,"c.krb5_copy_keyblock","krb5_copy_keyblock"],[181,0,1,"c.krb5_copy_keyblock_contents","krb5_copy_keyblock_contents"],[182,0,1,"c.krb5_copy_principal","krb5_copy_principal"],[183,0,1,"c.krb5_copy_ticket","krb5_copy_ticket"],[823,2,1,"c.krb5_cred","krb5_cred"],[824,2,1,"c.krb5_cred_enc_part","krb5_cred_enc_part"],[825,2,1,"c.krb5_cred_info","krb5_cred_info"],[826,2,1,"c.krb5_creds","krb5_creds"],[827,2,1,"c.krb5_crypto_iov","krb5_crypto_iov"],[828,2,1,"c.krb5_cryptotype","krb5_cryptotype"],[829,2,1,"c.krb5_data","krb5_data"],[184,0,1,"c.krb5_decode_authdata_container","krb5_decode_authdata_container"],[185,0,1,"c.krb5_decode_ticket","krb5_decode_ticket"],[186,0,1,"c.krb5_decrypt","krb5_decrypt"],[830,2,1,"c.krb5_deltat","krb5_deltat"],[187,0,1,"c.krb5_deltat_to_string","krb5_deltat_to_string"],[188,0,1,"c.krb5_eblock_enctype","krb5_eblock_enctype"],[831,2,1,"c.krb5_enc_data","krb5_enc_data"],[832,2,1,"c.krb5_enc_kdc_rep_part","krb5_enc_kdc_rep_part"],[833,2,1,"c.krb5_enc_tkt_part","krb5_enc_tkt_part"],[189,0,1,"c.krb5_encode_authdata_container","krb5_encode_authdata_container"],[190,0,1,"c.krb5_encrypt","krb5_encrypt"],[834,2,1,"c.krb5_encrypt_block","krb5_encrypt_block"],[191,0,1,"c.krb5_encrypt_size","krb5_encrypt_size"],[835,2,1,"c.krb5_enctype","krb5_enctype"],[192,0,1,"c.krb5_enctype_to_name","krb5_enctype_to_name"],[193,0,1,"c.krb5_enctype_to_string","krb5_enctype_to_string"],[836,2,1,"c.krb5_error","krb5_error"],[837,2,1,"c.krb5_error_code","krb5_error_code"],[194,0,1,"c.krb5_expand_hostname","krb5_expand_hostname"],[838,2,1,"c.krb5_expire_callback_func","krb5_expire_callback_func"],[195,0,1,"c.krb5_find_authdata","krb5_find_authdata"],[196,0,1,"c.krb5_finish_key","krb5_finish_key"],[197,0,1,"c.krb5_finish_random_key","krb5_finish_random_key"],[839,2,1,"c.krb5_flags","krb5_flags"],[198,0,1,"c.krb5_free_addresses","krb5_free_addresses"],[199,0,1,"c.krb5_free_ap_rep_enc_part","krb5_free_ap_rep_enc_part"],[200,0,1,"c.krb5_free_authdata","krb5_free_authdata"],[201,0,1,"c.krb5_free_authenticator","krb5_free_authenticator"],[202,0,1,"c.krb5_free_checksum","krb5_free_checksum"],[203,0,1,"c.krb5_free_checksum_contents","krb5_free_checksum_contents"],[204,0,1,"c.krb5_free_cksumtypes","krb5_free_cksumtypes"],[205,0,1,"c.krb5_free_context","krb5_free_context"],[206,0,1,"c.krb5_free_cred_contents","krb5_free_cred_contents"],[207,0,1,"c.krb5_free_creds","krb5_free_creds"],[208,0,1,"c.krb5_free_data","krb5_free_data"],[209,0,1,"c.krb5_free_data_contents","krb5_free_data_contents"],[210,0,1,"c.krb5_free_default_realm","krb5_free_default_realm"],[211,0,1,"c.krb5_free_enctypes","krb5_free_enctypes"],[212,0,1,"c.krb5_free_error","krb5_free_error"],[213,0,1,"c.krb5_free_error_message","krb5_free_error_message"],[214,0,1,"c.krb5_free_host_realm","krb5_free_host_realm"],[215,0,1,"c.krb5_free_keyblock","krb5_free_keyblock"],[216,0,1,"c.krb5_free_keyblock_contents","krb5_free_keyblock_contents"],[217,0,1,"c.krb5_free_keytab_entry_contents","krb5_free_keytab_entry_contents"],[218,0,1,"c.krb5_free_principal","krb5_free_principal"],[219,0,1,"c.krb5_free_string","krb5_free_string"],[220,0,1,"c.krb5_free_tgt_creds","krb5_free_tgt_creds"],[221,0,1,"c.krb5_free_ticket","krb5_free_ticket"],[222,0,1,"c.krb5_free_unparsed_name","krb5_free_unparsed_name"],[223,0,1,"c.krb5_fwd_tgt_creds","krb5_fwd_tgt_creds"],[224,0,1,"c.krb5_get_credentials","krb5_get_credentials"],[225,0,1,"c.krb5_get_credentials_renew","krb5_get_credentials_renew"],[226,0,1,"c.krb5_get_credentials_validate","krb5_get_credentials_validate"],[227,0,1,"c.krb5_get_default_realm","krb5_get_default_realm"],[228,0,1,"c.krb5_get_error_message","krb5_get_error_message"],[229,0,1,"c.krb5_get_etype_info","krb5_get_etype_info"],[230,0,1,"c.krb5_get_fallback_host_realm","krb5_get_fallback_host_realm"],[231,0,1,"c.krb5_get_host_realm","krb5_get_host_realm"],[232,0,1,"c.krb5_get_in_tkt_with_keytab","krb5_get_in_tkt_with_keytab"],[233,0,1,"c.krb5_get_in_tkt_with_password","krb5_get_in_tkt_with_password"],[234,0,1,"c.krb5_get_in_tkt_with_skey","krb5_get_in_tkt_with_skey"],[235,0,1,"c.krb5_get_init_creds_keytab","krb5_get_init_creds_keytab"],[840,2,1,"c.krb5_get_init_creds_opt","krb5_get_init_creds_opt"],[236,0,1,"c.krb5_get_init_creds_opt_alloc","krb5_get_init_creds_opt_alloc"],[237,0,1,"c.krb5_get_init_creds_opt_free","krb5_get_init_creds_opt_free"],[238,0,1,"c.krb5_get_init_creds_opt_get_fast_flags","krb5_get_init_creds_opt_get_fast_flags"],[239,0,1,"c.krb5_get_init_creds_opt_init","krb5_get_init_creds_opt_init"],[240,0,1,"c.krb5_get_init_creds_opt_set_address_list","krb5_get_init_creds_opt_set_address_list"],[241,0,1,"c.krb5_get_init_creds_opt_set_anonymous","krb5_get_init_creds_opt_set_anonymous"],[242,0,1,"c.krb5_get_init_creds_opt_set_canonicalize","krb5_get_init_creds_opt_set_canonicalize"],[243,0,1,"c.krb5_get_init_creds_opt_set_change_password_prompt","krb5_get_init_creds_opt_set_change_password_prompt"],[244,0,1,"c.krb5_get_init_creds_opt_set_etype_list","krb5_get_init_creds_opt_set_etype_list"],[245,0,1,"c.krb5_get_init_creds_opt_set_expire_callback","krb5_get_init_creds_opt_set_expire_callback"],[246,0,1,"c.krb5_get_init_creds_opt_set_fast_ccache","krb5_get_init_creds_opt_set_fast_ccache"],[247,0,1,"c.krb5_get_init_creds_opt_set_fast_ccache_name","krb5_get_init_creds_opt_set_fast_ccache_name"],[248,0,1,"c.krb5_get_init_creds_opt_set_fast_flags","krb5_get_init_creds_opt_set_fast_flags"],[249,0,1,"c.krb5_get_init_creds_opt_set_forwardable","krb5_get_init_creds_opt_set_forwardable"],[250,0,1,"c.krb5_get_init_creds_opt_set_in_ccache","krb5_get_init_creds_opt_set_in_ccache"],[251,0,1,"c.krb5_get_init_creds_opt_set_out_ccache","krb5_get_init_creds_opt_set_out_ccache"],[252,0,1,"c.krb5_get_init_creds_opt_set_pa","krb5_get_init_creds_opt_set_pa"],[253,0,1,"c.krb5_get_init_creds_opt_set_pac_request","krb5_get_init_creds_opt_set_pac_request"],[254,0,1,"c.krb5_get_init_creds_opt_set_preauth_list","krb5_get_init_creds_opt_set_preauth_list"],[255,0,1,"c.krb5_get_init_creds_opt_set_proxiable","krb5_get_init_creds_opt_set_proxiable"],[256,0,1,"c.krb5_get_init_creds_opt_set_renew_life","krb5_get_init_creds_opt_set_renew_life"],[257,0,1,"c.krb5_get_init_creds_opt_set_responder","krb5_get_init_creds_opt_set_responder"],[258,0,1,"c.krb5_get_init_creds_opt_set_salt","krb5_get_init_creds_opt_set_salt"],[259,0,1,"c.krb5_get_init_creds_opt_set_tkt_life","krb5_get_init_creds_opt_set_tkt_life"],[260,0,1,"c.krb5_get_init_creds_password","krb5_get_init_creds_password"],[261,0,1,"c.krb5_get_permitted_enctypes","krb5_get_permitted_enctypes"],[262,0,1,"c.krb5_get_profile","krb5_get_profile"],[263,0,1,"c.krb5_get_prompt_types","krb5_get_prompt_types"],[264,0,1,"c.krb5_get_renewed_creds","krb5_get_renewed_creds"],[265,0,1,"c.krb5_get_server_rcache","krb5_get_server_rcache"],[266,0,1,"c.krb5_get_time_offsets","krb5_get_time_offsets"],[267,0,1,"c.krb5_get_validated_creds","krb5_get_validated_creds"],[841,2,1,"c.krb5_gic_opt_pa_data","krb5_gic_opt_pa_data"],[268,0,1,"c.krb5_init_context","krb5_init_context"],[269,0,1,"c.krb5_init_context_profile","krb5_init_context_profile"],[842,2,1,"c.krb5_init_creds_context","krb5_init_creds_context"],[270,0,1,"c.krb5_init_creds_free","krb5_init_creds_free"],[271,0,1,"c.krb5_init_creds_get","krb5_init_creds_get"],[272,0,1,"c.krb5_init_creds_get_creds","krb5_init_creds_get_creds"],[273,0,1,"c.krb5_init_creds_get_error","krb5_init_creds_get_error"],[274,0,1,"c.krb5_init_creds_get_times","krb5_init_creds_get_times"],[275,0,1,"c.krb5_init_creds_init","krb5_init_creds_init"],[276,0,1,"c.krb5_init_creds_set_keytab","krb5_init_creds_set_keytab"],[277,0,1,"c.krb5_init_creds_set_password","krb5_init_creds_set_password"],[278,0,1,"c.krb5_init_creds_set_service","krb5_init_creds_set_service"],[279,0,1,"c.krb5_init_creds_step","krb5_init_creds_step"],[280,0,1,"c.krb5_init_keyblock","krb5_init_keyblock"],[281,0,1,"c.krb5_init_random_key","krb5_init_random_key"],[282,0,1,"c.krb5_init_secure_context","krb5_init_secure_context"],[843,2,1,"c.krb5_int16","krb5_int16"],[844,2,1,"c.krb5_int32","krb5_int32"],[283,0,1,"c.krb5_is_config_principal","krb5_is_config_principal"],[284,0,1,"c.krb5_is_referral_realm","krb5_is_referral_realm"],[285,0,1,"c.krb5_is_thread_safe","krb5_is_thread_safe"],[286,0,1,"c.krb5_k_create_key","krb5_k_create_key"],[287,0,1,"c.krb5_k_decrypt","krb5_k_decrypt"],[288,0,1,"c.krb5_k_decrypt_iov","krb5_k_decrypt_iov"],[289,0,1,"c.krb5_k_encrypt","krb5_k_encrypt"],[290,0,1,"c.krb5_k_encrypt_iov","krb5_k_encrypt_iov"],[291,0,1,"c.krb5_k_free_key","krb5_k_free_key"],[292,0,1,"c.krb5_k_key_enctype","krb5_k_key_enctype"],[293,0,1,"c.krb5_k_key_keyblock","krb5_k_key_keyblock"],[294,0,1,"c.krb5_k_make_checksum","krb5_k_make_checksum"],[295,0,1,"c.krb5_k_make_checksum_iov","krb5_k_make_checksum_iov"],[296,0,1,"c.krb5_k_prf","krb5_k_prf"],[297,0,1,"c.krb5_k_reference_key","krb5_k_reference_key"],[298,0,1,"c.krb5_k_verify_checksum","krb5_k_verify_checksum"],[299,0,1,"c.krb5_k_verify_checksum_iov","krb5_k_verify_checksum_iov"],[845,2,1,"c.krb5_kdc_rep","krb5_kdc_rep"],[846,2,1,"c.krb5_kdc_req","krb5_kdc_req"],[300,0,1,"c.krb5_kdc_sign_ticket","krb5_kdc_sign_ticket"],[301,0,1,"c.krb5_kdc_verify_ticket","krb5_kdc_verify_ticket"],[847,2,1,"c.krb5_key","krb5_key"],[848,2,1,"c.krb5_keyblock","krb5_keyblock"],[849,2,1,"c.krb5_keytab","krb5_keytab"],[850,2,1,"c.krb5_keytab_entry","krb5_keytab_entry"],[851,2,1,"c.krb5_keyusage","krb5_keyusage"],[302,0,1,"c.krb5_kt_add_entry","krb5_kt_add_entry"],[303,0,1,"c.krb5_kt_client_default","krb5_kt_client_default"],[304,0,1,"c.krb5_kt_close","krb5_kt_close"],[852,2,1,"c.krb5_kt_cursor","krb5_kt_cursor"],[305,0,1,"c.krb5_kt_default","krb5_kt_default"],[306,0,1,"c.krb5_kt_default_name","krb5_kt_default_name"],[307,0,1,"c.krb5_kt_dup","krb5_kt_dup"],[308,0,1,"c.krb5_kt_end_seq_get","krb5_kt_end_seq_get"],[309,0,1,"c.krb5_kt_free_entry","krb5_kt_free_entry"],[310,0,1,"c.krb5_kt_get_entry","krb5_kt_get_entry"],[311,0,1,"c.krb5_kt_get_name","krb5_kt_get_name"],[312,0,1,"c.krb5_kt_get_type","krb5_kt_get_type"],[313,0,1,"c.krb5_kt_have_content","krb5_kt_have_content"],[314,0,1,"c.krb5_kt_next_entry","krb5_kt_next_entry"],[315,0,1,"c.krb5_kt_read_service_key","krb5_kt_read_service_key"],[316,0,1,"c.krb5_kt_remove_entry","krb5_kt_remove_entry"],[317,0,1,"c.krb5_kt_resolve","krb5_kt_resolve"],[318,0,1,"c.krb5_kt_start_seq_get","krb5_kt_start_seq_get"],[319,0,1,"c.krb5_kuserok","krb5_kuserok"],[853,2,1,"c.krb5_kvno","krb5_kvno"],[854,2,1,"c.krb5_last_req_entry","krb5_last_req_entry"],[855,2,1,"c.krb5_magic","krb5_magic"],[320,0,1,"c.krb5_make_authdata_kdc_issued","krb5_make_authdata_kdc_issued"],[321,0,1,"c.krb5_marshal_credentials","krb5_marshal_credentials"],[322,0,1,"c.krb5_merge_authdata","krb5_merge_authdata"],[323,0,1,"c.krb5_mk_1cred","krb5_mk_1cred"],[324,0,1,"c.krb5_mk_error","krb5_mk_error"],[325,0,1,"c.krb5_mk_ncred","krb5_mk_ncred"],[326,0,1,"c.krb5_mk_priv","krb5_mk_priv"],[327,0,1,"c.krb5_mk_rep","krb5_mk_rep"],[328,0,1,"c.krb5_mk_rep_dce","krb5_mk_rep_dce"],[329,0,1,"c.krb5_mk_req","krb5_mk_req"],[856,2,1,"c.krb5_mk_req_checksum_func","krb5_mk_req_checksum_func"],[330,0,1,"c.krb5_mk_req_extended","krb5_mk_req_extended"],[331,0,1,"c.krb5_mk_safe","krb5_mk_safe"],[857,2,1,"c.krb5_msgtype","krb5_msgtype"],[858,2,1,"c.krb5_octet","krb5_octet"],[332,0,1,"c.krb5_os_localaddr","krb5_os_localaddr"],[859,2,1,"c.krb5_pa_data","krb5_pa_data"],[860,2,1,"c.krb5_pa_pac_req","krb5_pa_pac_req"],[861,2,1,"c.krb5_pa_server_referral_data","krb5_pa_server_referral_data"],[862,2,1,"c.krb5_pa_svr_referral_data","krb5_pa_svr_referral_data"],[863,2,1,"c.krb5_pac","krb5_pac"],[333,0,1,"c.krb5_pac_add_buffer","krb5_pac_add_buffer"],[334,0,1,"c.krb5_pac_free","krb5_pac_free"],[335,0,1,"c.krb5_pac_get_buffer","krb5_pac_get_buffer"],[336,0,1,"c.krb5_pac_get_client_info","krb5_pac_get_client_info"],[337,0,1,"c.krb5_pac_get_types","krb5_pac_get_types"],[338,0,1,"c.krb5_pac_init","krb5_pac_init"],[339,0,1,"c.krb5_pac_parse","krb5_pac_parse"],[340,0,1,"c.krb5_pac_sign","krb5_pac_sign"],[341,0,1,"c.krb5_pac_sign_ext","krb5_pac_sign_ext"],[342,0,1,"c.krb5_pac_verify","krb5_pac_verify"],[343,0,1,"c.krb5_pac_verify_ext","krb5_pac_verify_ext"],[344,0,1,"c.krb5_parse_name","krb5_parse_name"],[345,0,1,"c.krb5_parse_name_flags","krb5_parse_name_flags"],[864,2,1,"c.krb5_pointer","krb5_pointer"],[865,2,1,"c.krb5_post_recv_fn","krb5_post_recv_fn"],[866,2,1,"c.krb5_pre_send_fn","krb5_pre_send_fn"],[867,2,1,"c.krb5_preauthtype","krb5_preauthtype"],[346,0,1,"c.krb5_prepend_error_message","krb5_prepend_error_message"],[868,2,1,"c.krb5_principal","krb5_principal"],[347,0,1,"c.krb5_principal2salt","krb5_principal2salt"],[348,0,1,"c.krb5_principal_compare","krb5_principal_compare"],[349,0,1,"c.krb5_principal_compare_any_realm","krb5_principal_compare_any_realm"],[350,0,1,"c.krb5_principal_compare_flags","krb5_principal_compare_flags"],[869,2,1,"c.krb5_principal_data","krb5_principal_data"],[351,0,1,"c.krb5_process_key","krb5_process_key"],[870,2,1,"c.krb5_prompt","krb5_prompt"],[871,2,1,"c.krb5_prompt_type","krb5_prompt_type"],[872,2,1,"c.krb5_prompter_fct","krb5_prompter_fct"],[352,0,1,"c.krb5_prompter_posix","krb5_prompter_posix"],[873,2,1,"c.krb5_pwd_data","krb5_pwd_data"],[353,0,1,"c.krb5_random_key","krb5_random_key"],[874,2,1,"c.krb5_rcache","krb5_rcache"],[354,0,1,"c.krb5_rd_cred","krb5_rd_cred"],[355,0,1,"c.krb5_rd_error","krb5_rd_error"],[356,0,1,"c.krb5_rd_priv","krb5_rd_priv"],[357,0,1,"c.krb5_rd_rep","krb5_rd_rep"],[358,0,1,"c.krb5_rd_rep_dce","krb5_rd_rep_dce"],[359,0,1,"c.krb5_rd_req","krb5_rd_req"],[360,0,1,"c.krb5_rd_safe","krb5_rd_safe"],[361,0,1,"c.krb5_read_password","krb5_read_password"],[362,0,1,"c.krb5_realm_compare","krb5_realm_compare"],[363,0,1,"c.krb5_recvauth","krb5_recvauth"],[364,0,1,"c.krb5_recvauth_version","krb5_recvauth_version"],[875,2,1,"c.krb5_replay_data","krb5_replay_data"],[876,2,1,"c.krb5_responder_context","krb5_responder_context"],[877,2,1,"c.krb5_responder_fn","krb5_responder_fn"],[365,0,1,"c.krb5_responder_get_challenge","krb5_responder_get_challenge"],[366,0,1,"c.krb5_responder_list_questions","krb5_responder_list_questions"],[878,2,1,"c.krb5_responder_otp_challenge","krb5_responder_otp_challenge"],[367,0,1,"c.krb5_responder_otp_challenge_free","krb5_responder_otp_challenge_free"],[368,0,1,"c.krb5_responder_otp_get_challenge","krb5_responder_otp_get_challenge"],[369,0,1,"c.krb5_responder_otp_set_answer","krb5_responder_otp_set_answer"],[879,2,1,"c.krb5_responder_otp_tokeninfo","krb5_responder_otp_tokeninfo"],[880,2,1,"c.krb5_responder_pkinit_challenge","krb5_responder_pkinit_challenge"],[370,0,1,"c.krb5_responder_pkinit_challenge_free","krb5_responder_pkinit_challenge_free"],[371,0,1,"c.krb5_responder_pkinit_get_challenge","krb5_responder_pkinit_get_challenge"],[881,2,1,"c.krb5_responder_pkinit_identity","krb5_responder_pkinit_identity"],[372,0,1,"c.krb5_responder_pkinit_set_answer","krb5_responder_pkinit_set_answer"],[373,0,1,"c.krb5_responder_set_answer","krb5_responder_set_answer"],[882,2,1,"c.krb5_response","krb5_response"],[374,0,1,"c.krb5_salttype_to_string","krb5_salttype_to_string"],[375,0,1,"c.krb5_sendauth","krb5_sendauth"],[376,0,1,"c.krb5_server_decrypt_ticket_keytab","krb5_server_decrypt_ticket_keytab"],[377,0,1,"c.krb5_set_default_realm","krb5_set_default_realm"],[378,0,1,"c.krb5_set_default_tgs_enctypes","krb5_set_default_tgs_enctypes"],[379,0,1,"c.krb5_set_error_message","krb5_set_error_message"],[380,0,1,"c.krb5_set_kdc_recv_hook","krb5_set_kdc_recv_hook"],[381,0,1,"c.krb5_set_kdc_send_hook","krb5_set_kdc_send_hook"],[382,0,1,"c.krb5_set_password","krb5_set_password"],[383,0,1,"c.krb5_set_password_using_ccache","krb5_set_password_using_ccache"],[384,0,1,"c.krb5_set_principal_realm","krb5_set_principal_realm"],[385,0,1,"c.krb5_set_real_time","krb5_set_real_time"],[386,0,1,"c.krb5_set_trace_callback","krb5_set_trace_callback"],[387,0,1,"c.krb5_set_trace_filename","krb5_set_trace_filename"],[388,0,1,"c.krb5_sname_match","krb5_sname_match"],[389,0,1,"c.krb5_sname_to_principal","krb5_sname_to_principal"],[390,0,1,"c.krb5_string_to_cksumtype","krb5_string_to_cksumtype"],[391,0,1,"c.krb5_string_to_deltat","krb5_string_to_deltat"],[392,0,1,"c.krb5_string_to_enctype","krb5_string_to_enctype"],[393,0,1,"c.krb5_string_to_key","krb5_string_to_key"],[394,0,1,"c.krb5_string_to_salttype","krb5_string_to_salttype"],[395,0,1,"c.krb5_string_to_timestamp","krb5_string_to_timestamp"],[883,2,1,"c.krb5_ticket","krb5_ticket"],[884,2,1,"c.krb5_ticket_times","krb5_ticket_times"],[396,0,1,"c.krb5_timeofday","krb5_timeofday"],[885,2,1,"c.krb5_timestamp","krb5_timestamp"],[397,0,1,"c.krb5_timestamp_to_sfstring","krb5_timestamp_to_sfstring"],[398,0,1,"c.krb5_timestamp_to_string","krb5_timestamp_to_string"],[886,2,1,"c.krb5_tkt_authent","krb5_tkt_authent"],[887,2,1,"c.krb5_tkt_creds_context","krb5_tkt_creds_context"],[399,0,1,"c.krb5_tkt_creds_free","krb5_tkt_creds_free"],[400,0,1,"c.krb5_tkt_creds_get","krb5_tkt_creds_get"],[401,0,1,"c.krb5_tkt_creds_get_creds","krb5_tkt_creds_get_creds"],[402,0,1,"c.krb5_tkt_creds_get_times","krb5_tkt_creds_get_times"],[403,0,1,"c.krb5_tkt_creds_init","krb5_tkt_creds_init"],[404,0,1,"c.krb5_tkt_creds_step","krb5_tkt_creds_step"],[888,2,1,"c.krb5_trace_callback","krb5_trace_callback"],[889,2,1,"c.krb5_trace_info","krb5_trace_info"],[890,2,1,"c.krb5_transited","krb5_transited"],[891,2,1,"c.krb5_typed_data","krb5_typed_data"],[892,2,1,"c.krb5_ui_2","krb5_ui_2"],[893,2,1,"c.krb5_ui_4","krb5_ui_4"],[405,0,1,"c.krb5_unmarshal_credentials","krb5_unmarshal_credentials"],[406,0,1,"c.krb5_unparse_name","krb5_unparse_name"],[407,0,1,"c.krb5_unparse_name_ext","krb5_unparse_name_ext"],[408,0,1,"c.krb5_unparse_name_flags","krb5_unparse_name_flags"],[409,0,1,"c.krb5_unparse_name_flags_ext","krb5_unparse_name_flags_ext"],[410,0,1,"c.krb5_us_timeofday","krb5_us_timeofday"],[411,0,1,"c.krb5_use_enctype","krb5_use_enctype"],[412,0,1,"c.krb5_verify_authdata_kdc_issued","krb5_verify_authdata_kdc_issued"],[413,0,1,"c.krb5_verify_checksum","krb5_verify_checksum"],[414,0,1,"c.krb5_verify_init_creds","krb5_verify_init_creds"],[894,2,1,"c.krb5_verify_init_creds_opt","krb5_verify_init_creds_opt"],[415,0,1,"c.krb5_verify_init_creds_opt_init","krb5_verify_init_creds_opt_init"],[416,0,1,"c.krb5_verify_init_creds_opt_set_ap_req_nofail","krb5_verify_init_creds_opt_set_ap_req_nofail"],[417,0,1,"c.krb5_vprepend_error_message","krb5_vprepend_error_message"],[418,0,1,"c.krb5_vset_error_message","krb5_vset_error_message"],[419,0,1,"c.krb5_vwrap_error_message","krb5_vwrap_error_message"],[420,0,1,"c.krb5_wrap_error_message","krb5_wrap_error_message"],[895,2,1,"c.passwd_phrase_element","passwd_phrase_element"],[422,4,1,"","ADDRTYPE_ADDRPORT"],[423,4,1,"","ADDRTYPE_CHAOS"],[424,4,1,"","ADDRTYPE_DDP"],[425,4,1,"","ADDRTYPE_INET"],[426,4,1,"","ADDRTYPE_INET6"],[427,4,1,"","ADDRTYPE_IPPORT"],[428,4,1,"","ADDRTYPE_ISO"],[429,4,1,"","ADDRTYPE_IS_LOCAL"],[430,4,1,"","ADDRTYPE_NETBIOS"],[431,4,1,"","ADDRTYPE_XNS"],[432,4,1,"","AD_TYPE_EXTERNAL"],[433,4,1,"","AD_TYPE_FIELD_TYPE_MASK"],[434,4,1,"","AD_TYPE_REGISTERED"],[435,4,1,"","AD_TYPE_RESERVED"],[436,4,1,"","AP_OPTS_ETYPE_NEGOTIATION"],[437,4,1,"","AP_OPTS_MUTUAL_REQUIRED"],[438,4,1,"","AP_OPTS_RESERVED"],[439,4,1,"","AP_OPTS_USE_SESSION_KEY"],[440,4,1,"","AP_OPTS_USE_SUBKEY"],[441,4,1,"","AP_OPTS_WIRE_MASK"],[442,4,1,"","CKSUMTYPE_CMAC_CAMELLIA128"],[443,4,1,"","CKSUMTYPE_CMAC_CAMELLIA256"],[444,4,1,"","CKSUMTYPE_CRC32"],[445,4,1,"","CKSUMTYPE_DESCBC"],[446,4,1,"","CKSUMTYPE_HMAC_MD5_ARCFOUR"],[447,4,1,"","CKSUMTYPE_HMAC_SHA1_96_AES128"],[448,4,1,"","CKSUMTYPE_HMAC_SHA1_96_AES256"],[449,4,1,"","CKSUMTYPE_HMAC_SHA1_DES3"],[450,4,1,"","CKSUMTYPE_HMAC_SHA256_128_AES128"],[451,4,1,"","CKSUMTYPE_HMAC_SHA384_192_AES256"],[452,4,1,"","CKSUMTYPE_MD5_HMAC_ARCFOUR"],[453,4,1,"","CKSUMTYPE_NIST_SHA"],[454,4,1,"","CKSUMTYPE_RSA_MD4"],[455,4,1,"","CKSUMTYPE_RSA_MD4_DES"],[456,4,1,"","CKSUMTYPE_RSA_MD5"],[457,4,1,"","CKSUMTYPE_RSA_MD5_DES"],[458,4,1,"","CKSUMTYPE_SHA1"],[459,4,1,"","ENCTYPE_AES128_CTS_HMAC_SHA1_96"],[460,4,1,"","ENCTYPE_AES128_CTS_HMAC_SHA256_128"],[461,4,1,"","ENCTYPE_AES256_CTS_HMAC_SHA1_96"],[462,4,1,"","ENCTYPE_AES256_CTS_HMAC_SHA384_192"],[463,4,1,"","ENCTYPE_ARCFOUR_HMAC"],[464,4,1,"","ENCTYPE_ARCFOUR_HMAC_EXP"],[465,4,1,"","ENCTYPE_CAMELLIA128_CTS_CMAC"],[466,4,1,"","ENCTYPE_CAMELLIA256_CTS_CMAC"],[467,4,1,"","ENCTYPE_DES3_CBC_ENV"],[468,4,1,"","ENCTYPE_DES3_CBC_RAW"],[469,4,1,"","ENCTYPE_DES3_CBC_SHA"],[470,4,1,"","ENCTYPE_DES3_CBC_SHA1"],[471,4,1,"","ENCTYPE_DES_CBC_CRC"],[472,4,1,"","ENCTYPE_DES_CBC_MD4"],[473,4,1,"","ENCTYPE_DES_CBC_MD5"],[474,4,1,"","ENCTYPE_DES_CBC_RAW"],[475,4,1,"","ENCTYPE_DES_HMAC_SHA1"],[476,4,1,"","ENCTYPE_DSA_SHA1_CMS"],[477,4,1,"","ENCTYPE_MD5_RSA_CMS"],[478,4,1,"","ENCTYPE_NULL"],[479,4,1,"","ENCTYPE_RC2_CBC_ENV"],[480,4,1,"","ENCTYPE_RSA_ENV"],[481,4,1,"","ENCTYPE_RSA_ES_OAEP_ENV"],[482,4,1,"","ENCTYPE_SHA1_RSA_CMS"],[483,4,1,"","ENCTYPE_UNKNOWN"],[484,4,1,"","KDC_OPT_ALLOW_POSTDATE"],[485,4,1,"","KDC_OPT_CANONICALIZE"],[486,4,1,"","KDC_OPT_CNAME_IN_ADDL_TKT"],[487,4,1,"","KDC_OPT_DISABLE_TRANSITED_CHECK"],[488,4,1,"","KDC_OPT_ENC_TKT_IN_SKEY"],[489,4,1,"","KDC_OPT_FORWARDABLE"],[490,4,1,"","KDC_OPT_FORWARDED"],[491,4,1,"","KDC_OPT_POSTDATED"],[492,4,1,"","KDC_OPT_PROXIABLE"],[493,4,1,"","KDC_OPT_PROXY"],[494,4,1,"","KDC_OPT_RENEW"],[495,4,1,"","KDC_OPT_RENEWABLE"],[496,4,1,"","KDC_OPT_RENEWABLE_OK"],[497,4,1,"","KDC_OPT_REQUEST_ANONYMOUS"],[498,4,1,"","KDC_OPT_VALIDATE"],[499,4,1,"","KDC_TKT_COMMON_MASK"],[500,4,1,"","KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE"],[501,4,1,"","KRB5_ANONYMOUS_PRINCSTR"],[502,4,1,"","KRB5_ANONYMOUS_REALMSTR"],[503,4,1,"","KRB5_AP_REP"],[504,4,1,"","KRB5_AP_REQ"],[505,4,1,"","KRB5_AS_REP"],[506,4,1,"","KRB5_AS_REQ"],[507,4,1,"","KRB5_AUTHDATA_AND_OR"],[508,4,1,"","KRB5_AUTHDATA_AP_OPTIONS"],[509,4,1,"","KRB5_AUTHDATA_AUTH_INDICATOR"],[510,4,1,"","KRB5_AUTHDATA_CAMMAC"],[511,4,1,"","KRB5_AUTHDATA_ETYPE_NEGOTIATION"],[512,4,1,"","KRB5_AUTHDATA_FX_ARMOR"],[513,4,1,"","KRB5_AUTHDATA_IF_RELEVANT"],[514,4,1,"","KRB5_AUTHDATA_INITIAL_VERIFIED_CAS"],[515,4,1,"","KRB5_AUTHDATA_KDC_ISSUED"],[516,4,1,"","KRB5_AUTHDATA_MANDATORY_FOR_KDC"],[517,4,1,"","KRB5_AUTHDATA_OSF_DCE"],[518,4,1,"","KRB5_AUTHDATA_SESAME"],[519,4,1,"","KRB5_AUTHDATA_SIGNTICKET"],[520,4,1,"","KRB5_AUTHDATA_WIN2K_PAC"],[521,4,1,"","KRB5_AUTH_CONTEXT_DO_SEQUENCE"],[522,4,1,"","KRB5_AUTH_CONTEXT_DO_TIME"],[523,4,1,"","KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR"],[524,4,1,"","KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR"],[525,4,1,"","KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR"],[526,4,1,"","KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR"],[527,4,1,"","KRB5_AUTH_CONTEXT_PERMIT_ALL"],[528,4,1,"","KRB5_AUTH_CONTEXT_RET_SEQUENCE"],[529,4,1,"","KRB5_AUTH_CONTEXT_RET_TIME"],[530,4,1,"","KRB5_AUTH_CONTEXT_USE_SUBKEY"],[531,4,1,"","KRB5_CRED"],[532,4,1,"","KRB5_CRYPTO_TYPE_CHECKSUM"],[533,4,1,"","KRB5_CRYPTO_TYPE_DATA"],[534,4,1,"","KRB5_CRYPTO_TYPE_EMPTY"],[535,4,1,"","KRB5_CRYPTO_TYPE_HEADER"],[536,4,1,"","KRB5_CRYPTO_TYPE_PADDING"],[537,4,1,"","KRB5_CRYPTO_TYPE_SIGN_ONLY"],[538,4,1,"","KRB5_CRYPTO_TYPE_STREAM"],[539,4,1,"","KRB5_CRYPTO_TYPE_TRAILER"],[540,4,1,"","KRB5_CYBERSAFE_SECUREID"],[541,4,1,"","KRB5_DOMAIN_X500_COMPRESS"],[542,4,1,"","KRB5_ENCPADATA_REQ_ENC_PA_REP"],[543,4,1,"","KRB5_ERROR"],[544,4,1,"","KRB5_FAST_REQUIRED"],[545,4,1,"","KRB5_GC_CACHED"],[546,4,1,"","KRB5_GC_CANONICALIZE"],[547,4,1,"","KRB5_GC_CONSTRAINED_DELEGATION"],[548,4,1,"","KRB5_GC_FORWARDABLE"],[549,4,1,"","KRB5_GC_NO_STORE"],[550,4,1,"","KRB5_GC_NO_TRANSIT_CHECK"],[551,4,1,"","KRB5_GC_USER_USER"],[552,4,1,"","KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST"],[553,4,1,"","KRB5_GET_INIT_CREDS_OPT_ANONYMOUS"],[554,4,1,"","KRB5_GET_INIT_CREDS_OPT_CANONICALIZE"],[555,4,1,"","KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT"],[556,4,1,"","KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST"],[557,4,1,"","KRB5_GET_INIT_CREDS_OPT_FORWARDABLE"],[558,4,1,"","KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST"],[559,4,1,"","KRB5_GET_INIT_CREDS_OPT_PROXIABLE"],[560,4,1,"","KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE"],[561,4,1,"","KRB5_GET_INIT_CREDS_OPT_SALT"],[562,4,1,"","KRB5_GET_INIT_CREDS_OPT_TKT_LIFE"],[563,4,1,"","KRB5_INIT_CONTEXT_KDC"],[564,4,1,"","KRB5_INIT_CONTEXT_SECURE"],[565,4,1,"","KRB5_INIT_CREDS_STEP_FLAG_CONTINUE"],[566,4,1,"","KRB5_INT16_MAX"],[567,4,1,"","KRB5_INT16_MIN"],[568,4,1,"","KRB5_INT32_MAX"],[569,4,1,"","KRB5_INT32_MIN"],[570,4,1,"","KRB5_KEYUSAGE_AD_ITE"],[571,4,1,"","KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM"],[572,4,1,"","KRB5_KEYUSAGE_AD_MTE"],[573,4,1,"","KRB5_KEYUSAGE_AD_SIGNEDPATH"],[574,4,1,"","KRB5_KEYUSAGE_APP_DATA_CKSUM"],[575,4,1,"","KRB5_KEYUSAGE_APP_DATA_ENCRYPT"],[576,4,1,"","KRB5_KEYUSAGE_AP_REP_ENCPART"],[577,4,1,"","KRB5_KEYUSAGE_AP_REQ_AUTH"],[578,4,1,"","KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM"],[579,4,1,"","KRB5_KEYUSAGE_AS_REP_ENCPART"],[580,4,1,"","KRB5_KEYUSAGE_AS_REQ"],[581,4,1,"","KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS"],[582,4,1,"","KRB5_KEYUSAGE_CAMMAC"],[583,4,1,"","KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT"],[584,4,1,"","KRB5_KEYUSAGE_ENC_CHALLENGE_KDC"],[585,4,1,"","KRB5_KEYUSAGE_FAST_ENC"],[586,4,1,"","KRB5_KEYUSAGE_FAST_FINISHED"],[587,4,1,"","KRB5_KEYUSAGE_FAST_REP"],[588,4,1,"","KRB5_KEYUSAGE_FAST_REQ_CHKSUM"],[589,4,1,"","KRB5_KEYUSAGE_GSS_TOK_MIC"],[590,4,1,"","KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG"],[591,4,1,"","KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV"],[592,4,1,"","KRB5_KEYUSAGE_IAKERB_FINISHED"],[593,4,1,"","KRB5_KEYUSAGE_KDC_REP_TICKET"],[594,4,1,"","KRB5_KEYUSAGE_KRB_CRED_ENCPART"],[595,4,1,"","KRB5_KEYUSAGE_KRB_ERROR_CKSUM"],[596,4,1,"","KRB5_KEYUSAGE_KRB_PRIV_ENCPART"],[597,4,1,"","KRB5_KEYUSAGE_KRB_SAFE_CKSUM"],[598,4,1,"","KRB5_KEYUSAGE_PA_AS_FRESHNESS"],[599,4,1,"","KRB5_KEYUSAGE_PA_FX_COOKIE"],[600,4,1,"","KRB5_KEYUSAGE_PA_OTP_REQUEST"],[601,4,1,"","KRB5_KEYUSAGE_PA_PKINIT_KX"],[602,4,1,"","KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY"],[603,4,1,"","KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST"],[604,4,1,"","KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM"],[605,4,1,"","KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID"],[606,4,1,"","KRB5_KEYUSAGE_PA_SAM_RESPONSE"],[607,4,1,"","KRB5_KEYUSAGE_SPAKE"],[608,4,1,"","KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY"],[609,4,1,"","KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY"],[610,4,1,"","KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY"],[611,4,1,"","KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY"],[612,4,1,"","KRB5_KEYUSAGE_TGS_REQ_AUTH"],[613,4,1,"","KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM"],[614,4,1,"","KRB5_KPASSWD_ACCESSDENIED"],[615,4,1,"","KRB5_KPASSWD_AUTHERROR"],[616,4,1,"","KRB5_KPASSWD_BAD_VERSION"],[617,4,1,"","KRB5_KPASSWD_HARDERROR"],[618,4,1,"","KRB5_KPASSWD_INITIAL_FLAG_NEEDED"],[619,4,1,"","KRB5_KPASSWD_MALFORMED"],[620,4,1,"","KRB5_KPASSWD_SOFTERROR"],[621,4,1,"","KRB5_KPASSWD_SUCCESS"],[622,4,1,"","KRB5_LRQ_ALL_ACCT_EXPTIME"],[623,4,1,"","KRB5_LRQ_ALL_LAST_INITIAL"],[624,4,1,"","KRB5_LRQ_ALL_LAST_RENEWAL"],[625,4,1,"","KRB5_LRQ_ALL_LAST_REQ"],[626,4,1,"","KRB5_LRQ_ALL_LAST_TGT"],[627,4,1,"","KRB5_LRQ_ALL_LAST_TGT_ISSUED"],[628,4,1,"","KRB5_LRQ_ALL_PW_EXPTIME"],[629,4,1,"","KRB5_LRQ_NONE"],[630,4,1,"","KRB5_LRQ_ONE_ACCT_EXPTIME"],[631,4,1,"","KRB5_LRQ_ONE_LAST_INITIAL"],[632,4,1,"","KRB5_LRQ_ONE_LAST_RENEWAL"],[633,4,1,"","KRB5_LRQ_ONE_LAST_REQ"],[634,4,1,"","KRB5_LRQ_ONE_LAST_TGT"],[635,4,1,"","KRB5_LRQ_ONE_LAST_TGT_ISSUED"],[636,4,1,"","KRB5_LRQ_ONE_PW_EXPTIME"],[637,4,1,"","KRB5_NT_ENTERPRISE_PRINCIPAL"],[638,4,1,"","KRB5_NT_ENT_PRINCIPAL_AND_ID"],[639,4,1,"","KRB5_NT_MS_PRINCIPAL"],[640,4,1,"","KRB5_NT_MS_PRINCIPAL_AND_ID"],[641,4,1,"","KRB5_NT_PRINCIPAL"],[642,4,1,"","KRB5_NT_SMTP_NAME"],[643,4,1,"","KRB5_NT_SRV_HST"],[644,4,1,"","KRB5_NT_SRV_INST"],[645,4,1,"","KRB5_NT_SRV_XHST"],[646,4,1,"","KRB5_NT_UID"],[647,4,1,"","KRB5_NT_UNKNOWN"],[648,4,1,"","KRB5_NT_WELLKNOWN"],[649,4,1,"","KRB5_NT_X500_PRINCIPAL"],[650,4,1,"","KRB5_PAC_ATTRIBUTES_INFO"],[651,4,1,"","KRB5_PAC_CLIENT_CLAIMS"],[652,4,1,"","KRB5_PAC_CLIENT_INFO"],[653,4,1,"","KRB5_PAC_CREDENTIALS_INFO"],[654,4,1,"","KRB5_PAC_DELEGATION_INFO"],[655,4,1,"","KRB5_PAC_DEVICE_CLAIMS"],[656,4,1,"","KRB5_PAC_DEVICE_INFO"],[657,4,1,"","KRB5_PAC_FULL_CHECKSUM"],[658,4,1,"","KRB5_PAC_LOGON_INFO"],[659,4,1,"","KRB5_PAC_PRIVSVR_CHECKSUM"],[660,4,1,"","KRB5_PAC_REQUESTOR"],[661,4,1,"","KRB5_PAC_SERVER_CHECKSUM"],[662,4,1,"","KRB5_PAC_TICKET_CHECKSUM"],[663,4,1,"","KRB5_PAC_UPN_DNS_INFO"],[664,4,1,"","KRB5_PADATA_AFS3_SALT"],[665,4,1,"","KRB5_PADATA_AP_REQ"],[666,4,1,"","KRB5_PADATA_AS_CHECKSUM"],[667,4,1,"","KRB5_PADATA_AS_FRESHNESS"],[668,4,1,"","KRB5_PADATA_ENCRYPTED_CHALLENGE"],[669,4,1,"","KRB5_PADATA_ENC_SANDIA_SECURID"],[670,4,1,"","KRB5_PADATA_ENC_TIMESTAMP"],[671,4,1,"","KRB5_PADATA_ENC_UNIX_TIME"],[672,4,1,"","KRB5_PADATA_ETYPE_INFO"],[673,4,1,"","KRB5_PADATA_ETYPE_INFO2"],[674,4,1,"","KRB5_PADATA_FOR_USER"],[675,4,1,"","KRB5_PADATA_FX_COOKIE"],[676,4,1,"","KRB5_PADATA_FX_ERROR"],[677,4,1,"","KRB5_PADATA_FX_FAST"],[678,4,1,"","KRB5_PADATA_GET_FROM_TYPED_DATA"],[679,4,1,"","KRB5_PADATA_NONE"],[680,4,1,"","KRB5_PADATA_OSF_DCE"],[681,4,1,"","KRB5_PADATA_OTP_CHALLENGE"],[682,4,1,"","KRB5_PADATA_OTP_PIN_CHANGE"],[683,4,1,"","KRB5_PADATA_OTP_REQUEST"],[684,4,1,"","KRB5_PADATA_PAC_OPTIONS"],[685,4,1,"","KRB5_PADATA_PAC_REQUEST"],[686,4,1,"","KRB5_PADATA_PKINIT_KX"],[687,4,1,"","KRB5_PADATA_PK_AS_REP"],[688,4,1,"","KRB5_PADATA_PK_AS_REP_OLD"],[689,4,1,"","KRB5_PADATA_PK_AS_REQ"],[690,4,1,"","KRB5_PADATA_PK_AS_REQ_OLD"],[691,4,1,"","KRB5_PADATA_PW_SALT"],[692,4,1,"","KRB5_PADATA_REDHAT_IDP_OAUTH2"],[693,4,1,"","KRB5_PADATA_REDHAT_PASSKEY"],[694,4,1,"","KRB5_PADATA_REFERRAL"],[695,4,1,"","KRB5_PADATA_S4U_X509_USER"],[696,4,1,"","KRB5_PADATA_SAM_CHALLENGE"],[697,4,1,"","KRB5_PADATA_SAM_CHALLENGE_2"],[698,4,1,"","KRB5_PADATA_SAM_REDIRECT"],[699,4,1,"","KRB5_PADATA_SAM_RESPONSE"],[700,4,1,"","KRB5_PADATA_SAM_RESPONSE_2"],[701,4,1,"","KRB5_PADATA_SESAME"],[702,4,1,"","KRB5_PADATA_SPAKE"],[703,4,1,"","KRB5_PADATA_SVR_REFERRAL_INFO"],[704,4,1,"","KRB5_PADATA_TGS_REQ"],[705,4,1,"","KRB5_PADATA_USE_SPECIFIED_KVNO"],[706,4,1,"","KRB5_PRINCIPAL_COMPARE_CASEFOLD"],[707,4,1,"","KRB5_PRINCIPAL_COMPARE_ENTERPRISE"],[708,4,1,"","KRB5_PRINCIPAL_COMPARE_IGNORE_REALM"],[709,4,1,"","KRB5_PRINCIPAL_COMPARE_UTF8"],[710,4,1,"","KRB5_PRINCIPAL_PARSE_ENTERPRISE"],[711,4,1,"","KRB5_PRINCIPAL_PARSE_IGNORE_REALM"],[712,4,1,"","KRB5_PRINCIPAL_PARSE_NO_DEF_REALM"],[713,4,1,"","KRB5_PRINCIPAL_PARSE_NO_REALM"],[714,4,1,"","KRB5_PRINCIPAL_PARSE_REQUIRE_REALM"],[715,4,1,"","KRB5_PRINCIPAL_UNPARSE_DISPLAY"],[716,4,1,"","KRB5_PRINCIPAL_UNPARSE_NO_REALM"],[717,4,1,"","KRB5_PRINCIPAL_UNPARSE_SHORT"],[718,4,1,"","KRB5_PRIV"],[719,4,1,"","KRB5_PROMPT_TYPE_NEW_PASSWORD"],[720,4,1,"","KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN"],[721,4,1,"","KRB5_PROMPT_TYPE_PASSWORD"],[722,4,1,"","KRB5_PROMPT_TYPE_PREAUTH"],[723,4,1,"","KRB5_PVNO"],[724,4,1,"","KRB5_REALM_BRANCH_CHAR"],[725,4,1,"","KRB5_RECVAUTH_BADAUTHVERS"],[726,4,1,"","KRB5_RECVAUTH_SKIP_VERSION"],[727,4,1,"","KRB5_REFERRAL_REALM"],[728,4,1,"","KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN"],[729,4,1,"","KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN"],[730,4,1,"","KRB5_RESPONDER_OTP_FLAGS_NEXTOTP"],[731,4,1,"","KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN"],[732,4,1,"","KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC"],[733,4,1,"","KRB5_RESPONDER_OTP_FORMAT_DECIMAL"],[734,4,1,"","KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL"],[735,4,1,"","KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW"],[736,4,1,"","KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY"],[737,4,1,"","KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED"],[738,4,1,"","KRB5_RESPONDER_QUESTION_OTP"],[739,4,1,"","KRB5_RESPONDER_QUESTION_PASSWORD"],[740,4,1,"","KRB5_RESPONDER_QUESTION_PKINIT"],[741,4,1,"","KRB5_SAFE"],[742,4,1,"","KRB5_SAM_MUST_PK_ENCRYPT_SAD"],[743,4,1,"","KRB5_SAM_SEND_ENCRYPTED_SAD"],[744,4,1,"","KRB5_SAM_USE_SAD_AS_KEY"],[745,4,1,"","KRB5_TC_MATCH_2ND_TKT"],[746,4,1,"","KRB5_TC_MATCH_AUTHDATA"],[747,4,1,"","KRB5_TC_MATCH_FLAGS"],[748,4,1,"","KRB5_TC_MATCH_FLAGS_EXACT"],[749,4,1,"","KRB5_TC_MATCH_IS_SKEY"],[750,4,1,"","KRB5_TC_MATCH_KTYPE"],[751,4,1,"","KRB5_TC_MATCH_SRV_NAMEONLY"],[752,4,1,"","KRB5_TC_MATCH_TIMES"],[753,4,1,"","KRB5_TC_MATCH_TIMES_EXACT"],[754,4,1,"","KRB5_TC_NOTICKET"],[755,4,1,"","KRB5_TC_OPENCLOSE"],[756,4,1,"","KRB5_TC_SUPPORTED_KTYPES"],[757,4,1,"","KRB5_TGS_NAME"],[758,4,1,"","KRB5_TGS_NAME_SIZE"],[759,4,1,"","KRB5_TGS_REP"],[760,4,1,"","KRB5_TGS_REQ"],[761,4,1,"","KRB5_TKT_CREDS_STEP_FLAG_CONTINUE"],[762,4,1,"","KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL"],[763,4,1,"","KRB5_WELLKNOWN_NAMESTR"],[764,4,1,"","LR_TYPE_INTERPRETATION_MASK"],[765,4,1,"","LR_TYPE_THIS_SERVER_ONLY"],[766,4,1,"","MAX_KEYTAB_NAME_LEN"],[767,4,1,"","MSEC_DIRBIT"],[768,4,1,"","MSEC_VAL_MASK"],[769,4,1,"","SALT_TYPE_AFS_LENGTH"],[770,4,1,"","SALT_TYPE_NO_LENGTH"],[771,4,1,"","THREEPARAMOPEN"],[772,4,1,"","TKT_FLG_ANONYMOUS"],[773,4,1,"","TKT_FLG_ENC_PA_REP"],[774,4,1,"","TKT_FLG_FORWARDABLE"],[775,4,1,"","TKT_FLG_FORWARDED"],[776,4,1,"","TKT_FLG_HW_AUTH"],[777,4,1,"","TKT_FLG_INITIAL"],[778,4,1,"","TKT_FLG_INVALID"],[779,4,1,"","TKT_FLG_MAY_POSTDATE"],[780,4,1,"","TKT_FLG_OK_AS_DELEGATE"],[781,4,1,"","TKT_FLG_POSTDATED"],[782,4,1,"","TKT_FLG_PRE_AUTH"],[783,4,1,"","TKT_FLG_PROXIABLE"],[784,4,1,"","TKT_FLG_PROXY"],[785,4,1,"","TKT_FLG_RENEWABLE"],[786,4,1,"","TKT_FLG_TRANSIT_POLICY_CHECKED"],[787,4,1,"","VALID_INT_BITS"],[788,4,1,"","VALID_UINT_BITS"],[790,4,1,"","krb524_convert_creds_kdc"],[791,4,1,"","krb524_init_ets"],[792,4,1,"","krb5_const"],[793,4,1,"","krb5_princ_component"],[794,4,1,"","krb5_princ_name"],[795,4,1,"","krb5_princ_realm"],[796,4,1,"","krb5_princ_set_realm"],[797,4,1,"","krb5_princ_set_realm_data"],[798,4,1,"","krb5_princ_set_realm_length"],[799,4,1,"","krb5_princ_size"],[800,4,1,"","krb5_princ_type"],[801,4,1,"","krb5_roundup"],[802,4,1,"","krb5_x"],[803,4,1,"","krb5_xc"]],krb5_425_conv_principal:[[49,1,1,"c.krb5_425_conv_principal","context"],[49,1,1,"c.krb5_425_conv_principal","instance"],[49,1,1,"c.krb5_425_conv_principal","name"],[49,1,1,"c.krb5_425_conv_principal","princ"],[49,1,1,"c.krb5_425_conv_principal","realm"]],krb5_524_conv_principal:[[50,1,1,"c.krb5_524_conv_principal","context"],[50,1,1,"c.krb5_524_conv_principal","inst"],[50,1,1,"c.krb5_524_conv_principal","name"],[50,1,1,"c.krb5_524_conv_principal","princ"],[50,1,1,"c.krb5_524_conv_principal","realm"]],krb5_524_convert_creds:[[51,1,1,"c.krb5_524_convert_creds","context"],[51,1,1,"c.krb5_524_convert_creds","v4creds"],[51,1,1,"c.krb5_524_convert_creds","v5creds"]],krb5_address:[[805,3,1,"c.krb5_address.addrtype","addrtype"],[805,3,1,"c.krb5_address.contents","contents"],[805,3,1,"c.krb5_address.length","length"],[805,3,1,"c.krb5_address.magic","magic"]],krb5_address_compare:[[52,1,1,"c.krb5_address_compare","addr1"],[52,1,1,"c.krb5_address_compare","addr2"],[52,1,1,"c.krb5_address_compare","context"]],krb5_address_order:[[53,1,1,"c.krb5_address_order","addr1"],[53,1,1,"c.krb5_address_order","addr2"],[53,1,1,"c.krb5_address_order","context"]],krb5_address_search:[[54,1,1,"c.krb5_address_search","addr"],[54,1,1,"c.krb5_address_search","addrlist"],[54,1,1,"c.krb5_address_search","context"]],krb5_allow_weak_crypto:[[55,1,1,"c.krb5_allow_weak_crypto","context"],[55,1,1,"c.krb5_allow_weak_crypto","enable"]],krb5_aname_to_localname:[[56,1,1,"c.krb5_aname_to_localname","aname"],[56,1,1,"c.krb5_aname_to_localname","context"],[56,1,1,"c.krb5_aname_to_localname","lname"],[56,1,1,"c.krb5_aname_to_localname","lnsize_in"]],krb5_anonymous_principal:[[57,1,1,"c.krb5_anonymous_principal","None"]],krb5_anonymous_realm:[[58,1,1,"c.krb5_anonymous_realm","None"]],krb5_ap_rep:[[807,3,1,"c.krb5_ap_rep.enc_part","enc_part"],[807,3,1,"c.krb5_ap_rep.magic","magic"]],krb5_ap_rep_enc_part:[[808,3,1,"c.krb5_ap_rep_enc_part.ctime","ctime"],[808,3,1,"c.krb5_ap_rep_enc_part.cusec","cusec"],[808,3,1,"c.krb5_ap_rep_enc_part.magic","magic"],[808,3,1,"c.krb5_ap_rep_enc_part.seq_number","seq_number"],[808,3,1,"c.krb5_ap_rep_enc_part.subkey","subkey"]],krb5_ap_req:[[809,3,1,"c.krb5_ap_req.ap_options","ap_options"],[809,3,1,"c.krb5_ap_req.authenticator","authenticator"],[809,3,1,"c.krb5_ap_req.magic","magic"],[809,3,1,"c.krb5_ap_req.ticket","ticket"]],krb5_appdefault_boolean:[[59,1,1,"c.krb5_appdefault_boolean","appname"],[59,1,1,"c.krb5_appdefault_boolean","context"],[59,1,1,"c.krb5_appdefault_boolean","default_value"],[59,1,1,"c.krb5_appdefault_boolean","option"],[59,1,1,"c.krb5_appdefault_boolean","realm"],[59,1,1,"c.krb5_appdefault_boolean","ret_value"]],krb5_appdefault_string:[[60,1,1,"c.krb5_appdefault_string","appname"],[60,1,1,"c.krb5_appdefault_string","context"],[60,1,1,"c.krb5_appdefault_string","default_value"],[60,1,1,"c.krb5_appdefault_string","option"],[60,1,1,"c.krb5_appdefault_string","realm"],[60,1,1,"c.krb5_appdefault_string","ret_value"]],krb5_auth_con_free:[[61,1,1,"c.krb5_auth_con_free","auth_context"],[61,1,1,"c.krb5_auth_con_free","context"]],krb5_auth_con_genaddrs:[[62,1,1,"c.krb5_auth_con_genaddrs","auth_context"],[62,1,1,"c.krb5_auth_con_genaddrs","context"],[62,1,1,"c.krb5_auth_con_genaddrs","flags"],[62,1,1,"c.krb5_auth_con_genaddrs","infd"]],krb5_auth_con_get_checksum_func:[[63,1,1,"c.krb5_auth_con_get_checksum_func","auth_context"],[63,1,1,"c.krb5_auth_con_get_checksum_func","context"],[63,1,1,"c.krb5_auth_con_get_checksum_func","data"],[63,1,1,"c.krb5_auth_con_get_checksum_func","func"]],krb5_auth_con_getaddrs:[[64,1,1,"c.krb5_auth_con_getaddrs","auth_context"],[64,1,1,"c.krb5_auth_con_getaddrs","context"],[64,1,1,"c.krb5_auth_con_getaddrs","local_addr"],[64,1,1,"c.krb5_auth_con_getaddrs","remote_addr"]],krb5_auth_con_getauthenticator:[[65,1,1,"c.krb5_auth_con_getauthenticator","auth_context"],[65,1,1,"c.krb5_auth_con_getauthenticator","authenticator"],[65,1,1,"c.krb5_auth_con_getauthenticator","context"]],krb5_auth_con_getflags:[[66,1,1,"c.krb5_auth_con_getflags","auth_context"],[66,1,1,"c.krb5_auth_con_getflags","context"],[66,1,1,"c.krb5_auth_con_getflags","flags"]],krb5_auth_con_getkey:[[67,1,1,"c.krb5_auth_con_getkey","auth_context"],[67,1,1,"c.krb5_auth_con_getkey","context"],[67,1,1,"c.krb5_auth_con_getkey","keyblock"]],krb5_auth_con_getkey_k:[[68,1,1,"c.krb5_auth_con_getkey_k","auth_context"],[68,1,1,"c.krb5_auth_con_getkey_k","context"],[68,1,1,"c.krb5_auth_con_getkey_k","key"]],krb5_auth_con_getlocalseqnumber:[[69,1,1,"c.krb5_auth_con_getlocalseqnumber","auth_context"],[69,1,1,"c.krb5_auth_con_getlocalseqnumber","context"],[69,1,1,"c.krb5_auth_con_getlocalseqnumber","seqnumber"]],krb5_auth_con_getlocalsubkey:[[70,1,1,"c.krb5_auth_con_getlocalsubkey","auth_context"],[70,1,1,"c.krb5_auth_con_getlocalsubkey","context"],[70,1,1,"c.krb5_auth_con_getlocalsubkey","keyblock"]],krb5_auth_con_getrcache:[[71,1,1,"c.krb5_auth_con_getrcache","auth_context"],[71,1,1,"c.krb5_auth_con_getrcache","context"],[71,1,1,"c.krb5_auth_con_getrcache","rcache"]],krb5_auth_con_getrecvsubkey:[[72,1,1,"c.krb5_auth_con_getrecvsubkey","ac"],[72,1,1,"c.krb5_auth_con_getrecvsubkey","ctx"],[72,1,1,"c.krb5_auth_con_getrecvsubkey","keyblock"]],krb5_auth_con_getrecvsubkey_k:[[73,1,1,"c.krb5_auth_con_getrecvsubkey_k","ac"],[73,1,1,"c.krb5_auth_con_getrecvsubkey_k","ctx"],[73,1,1,"c.krb5_auth_con_getrecvsubkey_k","key"]],krb5_auth_con_getremoteseqnumber:[[74,1,1,"c.krb5_auth_con_getremoteseqnumber","auth_context"],[74,1,1,"c.krb5_auth_con_getremoteseqnumber","context"],[74,1,1,"c.krb5_auth_con_getremoteseqnumber","seqnumber"]],krb5_auth_con_getremotesubkey:[[75,1,1,"c.krb5_auth_con_getremotesubkey","auth_context"],[75,1,1,"c.krb5_auth_con_getremotesubkey","context"],[75,1,1,"c.krb5_auth_con_getremotesubkey","keyblock"]],krb5_auth_con_getsendsubkey:[[76,1,1,"c.krb5_auth_con_getsendsubkey","ac"],[76,1,1,"c.krb5_auth_con_getsendsubkey","ctx"],[76,1,1,"c.krb5_auth_con_getsendsubkey","keyblock"]],krb5_auth_con_getsendsubkey_k:[[77,1,1,"c.krb5_auth_con_getsendsubkey_k","ac"],[77,1,1,"c.krb5_auth_con_getsendsubkey_k","ctx"],[77,1,1,"c.krb5_auth_con_getsendsubkey_k","key"]],krb5_auth_con_init:[[78,1,1,"c.krb5_auth_con_init","auth_context"],[78,1,1,"c.krb5_auth_con_init","context"]],krb5_auth_con_initivector:[[79,1,1,"c.krb5_auth_con_initivector","auth_context"],[79,1,1,"c.krb5_auth_con_initivector","context"]],krb5_auth_con_set_checksum_func:[[80,1,1,"c.krb5_auth_con_set_checksum_func","auth_context"],[80,1,1,"c.krb5_auth_con_set_checksum_func","context"],[80,1,1,"c.krb5_auth_con_set_checksum_func","data"],[80,1,1,"c.krb5_auth_con_set_checksum_func","func"]],krb5_auth_con_set_req_cksumtype:[[81,1,1,"c.krb5_auth_con_set_req_cksumtype","auth_context"],[81,1,1,"c.krb5_auth_con_set_req_cksumtype","cksumtype"],[81,1,1,"c.krb5_auth_con_set_req_cksumtype","context"]],krb5_auth_con_setaddrs:[[82,1,1,"c.krb5_auth_con_setaddrs","auth_context"],[82,1,1,"c.krb5_auth_con_setaddrs","context"],[82,1,1,"c.krb5_auth_con_setaddrs","local_addr"],[82,1,1,"c.krb5_auth_con_setaddrs","remote_addr"]],krb5_auth_con_setflags:[[83,1,1,"c.krb5_auth_con_setflags","auth_context"],[83,1,1,"c.krb5_auth_con_setflags","context"],[83,1,1,"c.krb5_auth_con_setflags","flags"]],krb5_auth_con_setports:[[84,1,1,"c.krb5_auth_con_setports","auth_context"],[84,1,1,"c.krb5_auth_con_setports","context"],[84,1,1,"c.krb5_auth_con_setports","local_port"],[84,1,1,"c.krb5_auth_con_setports","remote_port"]],krb5_auth_con_setrcache:[[85,1,1,"c.krb5_auth_con_setrcache","auth_context"],[85,1,1,"c.krb5_auth_con_setrcache","context"],[85,1,1,"c.krb5_auth_con_setrcache","rcache"]],krb5_auth_con_setrecvsubkey:[[86,1,1,"c.krb5_auth_con_setrecvsubkey","ac"],[86,1,1,"c.krb5_auth_con_setrecvsubkey","ctx"],[86,1,1,"c.krb5_auth_con_setrecvsubkey","keyblock"]],krb5_auth_con_setrecvsubkey_k:[[87,1,1,"c.krb5_auth_con_setrecvsubkey_k","ac"],[87,1,1,"c.krb5_auth_con_setrecvsubkey_k","ctx"],[87,1,1,"c.krb5_auth_con_setrecvsubkey_k","key"]],krb5_auth_con_setsendsubkey:[[88,1,1,"c.krb5_auth_con_setsendsubkey","ac"],[88,1,1,"c.krb5_auth_con_setsendsubkey","ctx"],[88,1,1,"c.krb5_auth_con_setsendsubkey","keyblock"]],krb5_auth_con_setsendsubkey_k:[[89,1,1,"c.krb5_auth_con_setsendsubkey_k","ac"],[89,1,1,"c.krb5_auth_con_setsendsubkey_k","ctx"],[89,1,1,"c.krb5_auth_con_setsendsubkey_k","key"]],krb5_auth_con_setuseruserkey:[[90,1,1,"c.krb5_auth_con_setuseruserkey","auth_context"],[90,1,1,"c.krb5_auth_con_setuseruserkey","context"],[90,1,1,"c.krb5_auth_con_setuseruserkey","keyblock"]],krb5_authdata:[[811,3,1,"c.krb5_authdata.ad_type","ad_type"],[811,3,1,"c.krb5_authdata.contents","contents"],[811,3,1,"c.krb5_authdata.length","length"],[811,3,1,"c.krb5_authdata.magic","magic"]],krb5_authenticator:[[813,3,1,"c.krb5_authenticator.authorization_data","authorization_data"],[813,3,1,"c.krb5_authenticator.checksum","checksum"],[813,3,1,"c.krb5_authenticator.client","client"],[813,3,1,"c.krb5_authenticator.ctime","ctime"],[813,3,1,"c.krb5_authenticator.cusec","cusec"],[813,3,1,"c.krb5_authenticator.magic","magic"],[813,3,1,"c.krb5_authenticator.seq_number","seq_number"],[813,3,1,"c.krb5_authenticator.subkey","subkey"]],krb5_build_principal:[[91,1,1,"c.krb5_build_principal","context"],[91,1,1,"c.krb5_build_principal","princ"],[91,1,1,"c.krb5_build_principal","realm"],[91,1,1,"c.krb5_build_principal","rlen"]],krb5_build_principal_alloc_va:[[92,1,1,"c.krb5_build_principal_alloc_va","ap"],[92,1,1,"c.krb5_build_principal_alloc_va","context"],[92,1,1,"c.krb5_build_principal_alloc_va","princ"],[92,1,1,"c.krb5_build_principal_alloc_va","realm"],[92,1,1,"c.krb5_build_principal_alloc_va","rlen"]],krb5_build_principal_ext:[[93,1,1,"c.krb5_build_principal_ext","context"],[93,1,1,"c.krb5_build_principal_ext","princ"],[93,1,1,"c.krb5_build_principal_ext","realm"],[93,1,1,"c.krb5_build_principal_ext","rlen"]],krb5_build_principal_va:[[94,1,1,"c.krb5_build_principal_va","ap"],[94,1,1,"c.krb5_build_principal_va","context"],[94,1,1,"c.krb5_build_principal_va","princ"],[94,1,1,"c.krb5_build_principal_va","realm"],[94,1,1,"c.krb5_build_principal_va","rlen"]],krb5_c_block_size:[[95,1,1,"c.krb5_c_block_size","blocksize"],[95,1,1,"c.krb5_c_block_size","context"],[95,1,1,"c.krb5_c_block_size","enctype"]],krb5_c_checksum_length:[[96,1,1,"c.krb5_c_checksum_length","cksumtype"],[96,1,1,"c.krb5_c_checksum_length","context"],[96,1,1,"c.krb5_c_checksum_length","length"]],krb5_c_crypto_length:[[97,1,1,"c.krb5_c_crypto_length","context"],[97,1,1,"c.krb5_c_crypto_length","enctype"],[97,1,1,"c.krb5_c_crypto_length","size"],[97,1,1,"c.krb5_c_crypto_length","type"]],krb5_c_crypto_length_iov:[[98,1,1,"c.krb5_c_crypto_length_iov","context"],[98,1,1,"c.krb5_c_crypto_length_iov","data"],[98,1,1,"c.krb5_c_crypto_length_iov","enctype"],[98,1,1,"c.krb5_c_crypto_length_iov","num_data"]],krb5_c_decrypt:[[99,1,1,"c.krb5_c_decrypt","cipher_state"],[99,1,1,"c.krb5_c_decrypt","context"],[99,1,1,"c.krb5_c_decrypt","input"],[99,1,1,"c.krb5_c_decrypt","key"],[99,1,1,"c.krb5_c_decrypt","output"],[99,1,1,"c.krb5_c_decrypt","usage"]],krb5_c_decrypt_iov:[[100,1,1,"c.krb5_c_decrypt_iov","cipher_state"],[100,1,1,"c.krb5_c_decrypt_iov","context"],[100,1,1,"c.krb5_c_decrypt_iov","data"],[100,1,1,"c.krb5_c_decrypt_iov","keyblock"],[100,1,1,"c.krb5_c_decrypt_iov","num_data"],[100,1,1,"c.krb5_c_decrypt_iov","usage"]],krb5_c_derive_prfplus:[[101,1,1,"c.krb5_c_derive_prfplus","context"],[101,1,1,"c.krb5_c_derive_prfplus","enctype"],[101,1,1,"c.krb5_c_derive_prfplus","input"],[101,1,1,"c.krb5_c_derive_prfplus","k"],[101,1,1,"c.krb5_c_derive_prfplus","out"]],krb5_c_encrypt:[[102,1,1,"c.krb5_c_encrypt","cipher_state"],[102,1,1,"c.krb5_c_encrypt","context"],[102,1,1,"c.krb5_c_encrypt","input"],[102,1,1,"c.krb5_c_encrypt","key"],[102,1,1,"c.krb5_c_encrypt","output"],[102,1,1,"c.krb5_c_encrypt","usage"]],krb5_c_encrypt_iov:[[103,1,1,"c.krb5_c_encrypt_iov","cipher_state"],[103,1,1,"c.krb5_c_encrypt_iov","context"],[103,1,1,"c.krb5_c_encrypt_iov","data"],[103,1,1,"c.krb5_c_encrypt_iov","keyblock"],[103,1,1,"c.krb5_c_encrypt_iov","num_data"],[103,1,1,"c.krb5_c_encrypt_iov","usage"]],krb5_c_encrypt_length:[[104,1,1,"c.krb5_c_encrypt_length","context"],[104,1,1,"c.krb5_c_encrypt_length","enctype"],[104,1,1,"c.krb5_c_encrypt_length","inputlen"],[104,1,1,"c.krb5_c_encrypt_length","length"]],krb5_c_enctype_compare:[[105,1,1,"c.krb5_c_enctype_compare","context"],[105,1,1,"c.krb5_c_enctype_compare","e1"],[105,1,1,"c.krb5_c_enctype_compare","e2"],[105,1,1,"c.krb5_c_enctype_compare","similar"]],krb5_c_free_state:[[106,1,1,"c.krb5_c_free_state","context"],[106,1,1,"c.krb5_c_free_state","key"],[106,1,1,"c.krb5_c_free_state","state"]],krb5_c_fx_cf2_simple:[[107,1,1,"c.krb5_c_fx_cf2_simple","context"],[107,1,1,"c.krb5_c_fx_cf2_simple","k1"],[107,1,1,"c.krb5_c_fx_cf2_simple","k2"],[107,1,1,"c.krb5_c_fx_cf2_simple","out"],[107,1,1,"c.krb5_c_fx_cf2_simple","pepper1"],[107,1,1,"c.krb5_c_fx_cf2_simple","pepper2"]],krb5_c_init_state:[[108,1,1,"c.krb5_c_init_state","context"],[108,1,1,"c.krb5_c_init_state","key"],[108,1,1,"c.krb5_c_init_state","new_state"],[108,1,1,"c.krb5_c_init_state","usage"]],krb5_c_is_coll_proof_cksum:[[109,1,1,"c.krb5_c_is_coll_proof_cksum","ctype"]],krb5_c_is_keyed_cksum:[[110,1,1,"c.krb5_c_is_keyed_cksum","ctype"]],krb5_c_keyed_checksum_types:[[111,1,1,"c.krb5_c_keyed_checksum_types","cksumtypes"],[111,1,1,"c.krb5_c_keyed_checksum_types","context"],[111,1,1,"c.krb5_c_keyed_checksum_types","count"],[111,1,1,"c.krb5_c_keyed_checksum_types","enctype"]],krb5_c_keylengths:[[112,1,1,"c.krb5_c_keylengths","context"],[112,1,1,"c.krb5_c_keylengths","enctype"],[112,1,1,"c.krb5_c_keylengths","keybytes"],[112,1,1,"c.krb5_c_keylengths","keylength"]],krb5_c_make_checksum:[[113,1,1,"c.krb5_c_make_checksum","cksum"],[113,1,1,"c.krb5_c_make_checksum","cksumtype"],[113,1,1,"c.krb5_c_make_checksum","context"],[113,1,1,"c.krb5_c_make_checksum","input"],[113,1,1,"c.krb5_c_make_checksum","key"],[113,1,1,"c.krb5_c_make_checksum","usage"]],krb5_c_make_checksum_iov:[[114,1,1,"c.krb5_c_make_checksum_iov","cksumtype"],[114,1,1,"c.krb5_c_make_checksum_iov","context"],[114,1,1,"c.krb5_c_make_checksum_iov","data"],[114,1,1,"c.krb5_c_make_checksum_iov","key"],[114,1,1,"c.krb5_c_make_checksum_iov","num_data"],[114,1,1,"c.krb5_c_make_checksum_iov","usage"]],krb5_c_make_random_key:[[115,1,1,"c.krb5_c_make_random_key","context"],[115,1,1,"c.krb5_c_make_random_key","enctype"],[115,1,1,"c.krb5_c_make_random_key","k5_random_key"]],krb5_c_padding_length:[[116,1,1,"c.krb5_c_padding_length","context"],[116,1,1,"c.krb5_c_padding_length","data_length"],[116,1,1,"c.krb5_c_padding_length","enctype"],[116,1,1,"c.krb5_c_padding_length","size"]],krb5_c_prf:[[117,1,1,"c.krb5_c_prf","context"],[117,1,1,"c.krb5_c_prf","input"],[117,1,1,"c.krb5_c_prf","keyblock"],[117,1,1,"c.krb5_c_prf","output"]],krb5_c_prf_length:[[118,1,1,"c.krb5_c_prf_length","context"],[118,1,1,"c.krb5_c_prf_length","enctype"],[118,1,1,"c.krb5_c_prf_length","len"]],krb5_c_prfplus:[[119,1,1,"c.krb5_c_prfplus","context"],[119,1,1,"c.krb5_c_prfplus","input"],[119,1,1,"c.krb5_c_prfplus","k"],[119,1,1,"c.krb5_c_prfplus","output"]],krb5_c_random_add_entropy:[[120,1,1,"c.krb5_c_random_add_entropy","context"],[120,1,1,"c.krb5_c_random_add_entropy","data"],[120,1,1,"c.krb5_c_random_add_entropy","randsource"]],krb5_c_random_make_octets:[[121,1,1,"c.krb5_c_random_make_octets","context"],[121,1,1,"c.krb5_c_random_make_octets","data"]],krb5_c_random_os_entropy:[[122,1,1,"c.krb5_c_random_os_entropy","context"],[122,1,1,"c.krb5_c_random_os_entropy","strong"],[122,1,1,"c.krb5_c_random_os_entropy","success"]],krb5_c_random_seed:[[123,1,1,"c.krb5_c_random_seed","context"],[123,1,1,"c.krb5_c_random_seed","data"]],krb5_c_random_to_key:[[124,1,1,"c.krb5_c_random_to_key","context"],[124,1,1,"c.krb5_c_random_to_key","enctype"],[124,1,1,"c.krb5_c_random_to_key","k5_random_key"],[124,1,1,"c.krb5_c_random_to_key","random_data"]],krb5_c_string_to_key:[[125,1,1,"c.krb5_c_string_to_key","context"],[125,1,1,"c.krb5_c_string_to_key","enctype"],[125,1,1,"c.krb5_c_string_to_key","key"],[125,1,1,"c.krb5_c_string_to_key","salt"],[125,1,1,"c.krb5_c_string_to_key","string"]],krb5_c_string_to_key_with_params:[[126,1,1,"c.krb5_c_string_to_key_with_params","context"],[126,1,1,"c.krb5_c_string_to_key_with_params","enctype"],[126,1,1,"c.krb5_c_string_to_key_with_params","key"],[126,1,1,"c.krb5_c_string_to_key_with_params","params"],[126,1,1,"c.krb5_c_string_to_key_with_params","salt"],[126,1,1,"c.krb5_c_string_to_key_with_params","string"]],krb5_c_valid_cksumtype:[[127,1,1,"c.krb5_c_valid_cksumtype","ctype"]],krb5_c_valid_enctype:[[128,1,1,"c.krb5_c_valid_enctype","ktype"]],krb5_c_verify_checksum:[[129,1,1,"c.krb5_c_verify_checksum","cksum"],[129,1,1,"c.krb5_c_verify_checksum","context"],[129,1,1,"c.krb5_c_verify_checksum","data"],[129,1,1,"c.krb5_c_verify_checksum","key"],[129,1,1,"c.krb5_c_verify_checksum","usage"],[129,1,1,"c.krb5_c_verify_checksum","valid"]],krb5_c_verify_checksum_iov:[[130,1,1,"c.krb5_c_verify_checksum_iov","cksumtype"],[130,1,1,"c.krb5_c_verify_checksum_iov","context"],[130,1,1,"c.krb5_c_verify_checksum_iov","data"],[130,1,1,"c.krb5_c_verify_checksum_iov","key"],[130,1,1,"c.krb5_c_verify_checksum_iov","num_data"],[130,1,1,"c.krb5_c_verify_checksum_iov","usage"],[130,1,1,"c.krb5_c_verify_checksum_iov","valid"]],krb5_calculate_checksum:[[131,1,1,"c.krb5_calculate_checksum","context"],[131,1,1,"c.krb5_calculate_checksum","ctype"],[131,1,1,"c.krb5_calculate_checksum","in"],[131,1,1,"c.krb5_calculate_checksum","in_length"],[131,1,1,"c.krb5_calculate_checksum","outcksum"],[131,1,1,"c.krb5_calculate_checksum","seed"],[131,1,1,"c.krb5_calculate_checksum","seed_length"]],krb5_cc_cache_match:[[132,1,1,"c.krb5_cc_cache_match","cache_out"],[132,1,1,"c.krb5_cc_cache_match","client"],[132,1,1,"c.krb5_cc_cache_match","context"]],krb5_cc_close:[[133,1,1,"c.krb5_cc_close","cache"],[133,1,1,"c.krb5_cc_close","context"]],krb5_cc_copy_creds:[[134,1,1,"c.krb5_cc_copy_creds","context"],[134,1,1,"c.krb5_cc_copy_creds","incc"],[134,1,1,"c.krb5_cc_copy_creds","outcc"]],krb5_cc_default:[[135,1,1,"c.krb5_cc_default","ccache"],[135,1,1,"c.krb5_cc_default","context"]],krb5_cc_default_name:[[136,1,1,"c.krb5_cc_default_name","context"]],krb5_cc_destroy:[[137,1,1,"c.krb5_cc_destroy","cache"],[137,1,1,"c.krb5_cc_destroy","context"]],krb5_cc_dup:[[138,1,1,"c.krb5_cc_dup","context"],[138,1,1,"c.krb5_cc_dup","in"],[138,1,1,"c.krb5_cc_dup","out"]],krb5_cc_end_seq_get:[[139,1,1,"c.krb5_cc_end_seq_get","cache"],[139,1,1,"c.krb5_cc_end_seq_get","context"],[139,1,1,"c.krb5_cc_end_seq_get","cursor"]],krb5_cc_gen_new:[[140,1,1,"c.krb5_cc_gen_new","cache"],[140,1,1,"c.krb5_cc_gen_new","context"]],krb5_cc_get_config:[[141,1,1,"c.krb5_cc_get_config","context"],[141,1,1,"c.krb5_cc_get_config","data"],[141,1,1,"c.krb5_cc_get_config","id"],[141,1,1,"c.krb5_cc_get_config","key"],[141,1,1,"c.krb5_cc_get_config","principal"]],krb5_cc_get_flags:[[142,1,1,"c.krb5_cc_get_flags","cache"],[142,1,1,"c.krb5_cc_get_flags","context"],[142,1,1,"c.krb5_cc_get_flags","flags"]],krb5_cc_get_full_name:[[143,1,1,"c.krb5_cc_get_full_name","cache"],[143,1,1,"c.krb5_cc_get_full_name","context"],[143,1,1,"c.krb5_cc_get_full_name","fullname_out"]],krb5_cc_get_name:[[144,1,1,"c.krb5_cc_get_name","cache"],[144,1,1,"c.krb5_cc_get_name","context"]],krb5_cc_get_principal:[[145,1,1,"c.krb5_cc_get_principal","cache"],[145,1,1,"c.krb5_cc_get_principal","context"],[145,1,1,"c.krb5_cc_get_principal","principal"]],krb5_cc_get_type:[[146,1,1,"c.krb5_cc_get_type","cache"],[146,1,1,"c.krb5_cc_get_type","context"]],krb5_cc_initialize:[[147,1,1,"c.krb5_cc_initialize","cache"],[147,1,1,"c.krb5_cc_initialize","context"],[147,1,1,"c.krb5_cc_initialize","principal"]],krb5_cc_move:[[148,1,1,"c.krb5_cc_move","context"],[148,1,1,"c.krb5_cc_move","dst"],[148,1,1,"c.krb5_cc_move","src"]],krb5_cc_new_unique:[[149,1,1,"c.krb5_cc_new_unique","context"],[149,1,1,"c.krb5_cc_new_unique","hint"],[149,1,1,"c.krb5_cc_new_unique","id"],[149,1,1,"c.krb5_cc_new_unique","type"]],krb5_cc_next_cred:[[150,1,1,"c.krb5_cc_next_cred","cache"],[150,1,1,"c.krb5_cc_next_cred","context"],[150,1,1,"c.krb5_cc_next_cred","creds"],[150,1,1,"c.krb5_cc_next_cred","cursor"]],krb5_cc_remove_cred:[[151,1,1,"c.krb5_cc_remove_cred","cache"],[151,1,1,"c.krb5_cc_remove_cred","context"],[151,1,1,"c.krb5_cc_remove_cred","creds"],[151,1,1,"c.krb5_cc_remove_cred","flags"]],krb5_cc_resolve:[[152,1,1,"c.krb5_cc_resolve","cache"],[152,1,1,"c.krb5_cc_resolve","context"],[152,1,1,"c.krb5_cc_resolve","name"]],krb5_cc_retrieve_cred:[[153,1,1,"c.krb5_cc_retrieve_cred","cache"],[153,1,1,"c.krb5_cc_retrieve_cred","context"],[153,1,1,"c.krb5_cc_retrieve_cred","creds"],[153,1,1,"c.krb5_cc_retrieve_cred","flags"],[153,1,1,"c.krb5_cc_retrieve_cred","mcreds"]],krb5_cc_select:[[154,1,1,"c.krb5_cc_select","cache_out"],[154,1,1,"c.krb5_cc_select","context"],[154,1,1,"c.krb5_cc_select","princ_out"],[154,1,1,"c.krb5_cc_select","server"]],krb5_cc_set_config:[[155,1,1,"c.krb5_cc_set_config","context"],[155,1,1,"c.krb5_cc_set_config","data"],[155,1,1,"c.krb5_cc_set_config","id"],[155,1,1,"c.krb5_cc_set_config","key"],[155,1,1,"c.krb5_cc_set_config","principal"]],krb5_cc_set_default_name:[[156,1,1,"c.krb5_cc_set_default_name","context"],[156,1,1,"c.krb5_cc_set_default_name","name"]],krb5_cc_set_flags:[[157,1,1,"c.krb5_cc_set_flags","cache"],[157,1,1,"c.krb5_cc_set_flags","context"],[157,1,1,"c.krb5_cc_set_flags","flags"]],krb5_cc_start_seq_get:[[158,1,1,"c.krb5_cc_start_seq_get","cache"],[158,1,1,"c.krb5_cc_start_seq_get","context"],[158,1,1,"c.krb5_cc_start_seq_get","cursor"]],krb5_cc_store_cred:[[159,1,1,"c.krb5_cc_store_cred","cache"],[159,1,1,"c.krb5_cc_store_cred","context"],[159,1,1,"c.krb5_cc_store_cred","creds"]],krb5_cc_support_switch:[[160,1,1,"c.krb5_cc_support_switch","context"],[160,1,1,"c.krb5_cc_support_switch","type"]],krb5_cc_switch:[[161,1,1,"c.krb5_cc_switch","cache"],[161,1,1,"c.krb5_cc_switch","context"]],krb5_cccol_cursor_free:[[162,1,1,"c.krb5_cccol_cursor_free","context"],[162,1,1,"c.krb5_cccol_cursor_free","cursor"]],krb5_cccol_cursor_new:[[163,1,1,"c.krb5_cccol_cursor_new","context"],[163,1,1,"c.krb5_cccol_cursor_new","cursor"]],krb5_cccol_cursor_next:[[164,1,1,"c.krb5_cccol_cursor_next","ccache"],[164,1,1,"c.krb5_cccol_cursor_next","context"],[164,1,1,"c.krb5_cccol_cursor_next","cursor"]],krb5_cccol_have_content:[[165,1,1,"c.krb5_cccol_have_content","context"]],krb5_change_password:[[166,1,1,"c.krb5_change_password","context"],[166,1,1,"c.krb5_change_password","creds"],[166,1,1,"c.krb5_change_password","newpw"],[166,1,1,"c.krb5_change_password","result_code"],[166,1,1,"c.krb5_change_password","result_code_string"],[166,1,1,"c.krb5_change_password","result_string"]],krb5_check_clockskew:[[167,1,1,"c.krb5_check_clockskew","context"],[167,1,1,"c.krb5_check_clockskew","date"]],krb5_checksum:[[818,3,1,"c.krb5_checksum.checksum_type","checksum_type"],[818,3,1,"c.krb5_checksum.contents","contents"],[818,3,1,"c.krb5_checksum.length","length"],[818,3,1,"c.krb5_checksum.magic","magic"]],krb5_checksum_size:[[168,1,1,"c.krb5_checksum_size","context"],[168,1,1,"c.krb5_checksum_size","ctype"]],krb5_chpw_message:[[169,1,1,"c.krb5_chpw_message","context"],[169,1,1,"c.krb5_chpw_message","message_out"],[169,1,1,"c.krb5_chpw_message","server_string"]],krb5_cksumtype_to_string:[[170,1,1,"c.krb5_cksumtype_to_string","buffer"],[170,1,1,"c.krb5_cksumtype_to_string","buflen"],[170,1,1,"c.krb5_cksumtype_to_string","cksumtype"]],krb5_clear_error_message:[[171,1,1,"c.krb5_clear_error_message","ctx"]],krb5_const_principal:[[821,3,1,"c.krb5_const_principal.data","data"],[821,3,1,"c.krb5_const_principal.length","length"],[821,3,1,"c.krb5_const_principal.magic","magic"],[821,3,1,"c.krb5_const_principal.realm","realm"],[821,3,1,"c.krb5_const_principal.type","type"]],krb5_copy_addresses:[[172,1,1,"c.krb5_copy_addresses","context"],[172,1,1,"c.krb5_copy_addresses","inaddr"],[172,1,1,"c.krb5_copy_addresses","outaddr"]],krb5_copy_authdata:[[173,1,1,"c.krb5_copy_authdata","context"],[173,1,1,"c.krb5_copy_authdata","in_authdat"],[173,1,1,"c.krb5_copy_authdata","out"]],krb5_copy_authenticator:[[174,1,1,"c.krb5_copy_authenticator","authfrom"],[174,1,1,"c.krb5_copy_authenticator","authto"],[174,1,1,"c.krb5_copy_authenticator","context"]],krb5_copy_checksum:[[175,1,1,"c.krb5_copy_checksum","ckfrom"],[175,1,1,"c.krb5_copy_checksum","ckto"],[175,1,1,"c.krb5_copy_checksum","context"]],krb5_copy_context:[[176,1,1,"c.krb5_copy_context","ctx"],[176,1,1,"c.krb5_copy_context","nctx_out"]],krb5_copy_creds:[[177,1,1,"c.krb5_copy_creds","context"],[177,1,1,"c.krb5_copy_creds","incred"],[177,1,1,"c.krb5_copy_creds","outcred"]],krb5_copy_data:[[178,1,1,"c.krb5_copy_data","context"],[178,1,1,"c.krb5_copy_data","indata"],[178,1,1,"c.krb5_copy_data","outdata"]],krb5_copy_error_message:[[179,1,1,"c.krb5_copy_error_message","dest_ctx"],[179,1,1,"c.krb5_copy_error_message","src_ctx"]],krb5_copy_keyblock:[[180,1,1,"c.krb5_copy_keyblock","context"],[180,1,1,"c.krb5_copy_keyblock","from"],[180,1,1,"c.krb5_copy_keyblock","to"]],krb5_copy_keyblock_contents:[[181,1,1,"c.krb5_copy_keyblock_contents","context"],[181,1,1,"c.krb5_copy_keyblock_contents","from"],[181,1,1,"c.krb5_copy_keyblock_contents","to"]],krb5_copy_principal:[[182,1,1,"c.krb5_copy_principal","context"],[182,1,1,"c.krb5_copy_principal","inprinc"],[182,1,1,"c.krb5_copy_principal","outprinc"]],krb5_copy_ticket:[[183,1,1,"c.krb5_copy_ticket","context"],[183,1,1,"c.krb5_copy_ticket","from"],[183,1,1,"c.krb5_copy_ticket","pto"]],krb5_cred:[[823,3,1,"c.krb5_cred.enc_part","enc_part"],[823,3,1,"c.krb5_cred.enc_part2","enc_part2"],[823,3,1,"c.krb5_cred.magic","magic"],[823,3,1,"c.krb5_cred.tickets","tickets"]],krb5_cred_enc_part:[[824,3,1,"c.krb5_cred_enc_part.magic","magic"],[824,3,1,"c.krb5_cred_enc_part.nonce","nonce"],[824,3,1,"c.krb5_cred_enc_part.r_address","r_address"],[824,3,1,"c.krb5_cred_enc_part.s_address","s_address"],[824,3,1,"c.krb5_cred_enc_part.ticket_info","ticket_info"],[824,3,1,"c.krb5_cred_enc_part.timestamp","timestamp"],[824,3,1,"c.krb5_cred_enc_part.usec","usec"]],krb5_cred_info:[[825,3,1,"c.krb5_cred_info.caddrs","caddrs"],[825,3,1,"c.krb5_cred_info.client","client"],[825,3,1,"c.krb5_cred_info.flags","flags"],[825,3,1,"c.krb5_cred_info.magic","magic"],[825,3,1,"c.krb5_cred_info.server","server"],[825,3,1,"c.krb5_cred_info.session","session"],[825,3,1,"c.krb5_cred_info.times","times"]],krb5_creds:[[826,3,1,"c.krb5_creds.addresses","addresses"],[826,3,1,"c.krb5_creds.authdata","authdata"],[826,3,1,"c.krb5_creds.client","client"],[826,3,1,"c.krb5_creds.is_skey","is_skey"],[826,3,1,"c.krb5_creds.keyblock","keyblock"],[826,3,1,"c.krb5_creds.magic","magic"],[826,3,1,"c.krb5_creds.second_ticket","second_ticket"],[826,3,1,"c.krb5_creds.server","server"],[826,3,1,"c.krb5_creds.ticket","ticket"],[826,3,1,"c.krb5_creds.ticket_flags","ticket_flags"],[826,3,1,"c.krb5_creds.times","times"]],krb5_crypto_iov:[[827,3,1,"c.krb5_crypto_iov.data","data"],[827,3,1,"c.krb5_crypto_iov.flags","flags"]],krb5_data:[[829,3,1,"c.krb5_data.data","data"],[829,3,1,"c.krb5_data.length","length"],[829,3,1,"c.krb5_data.magic","magic"]],krb5_decode_authdata_container:[[184,1,1,"c.krb5_decode_authdata_container","authdata"],[184,1,1,"c.krb5_decode_authdata_container","container"],[184,1,1,"c.krb5_decode_authdata_container","context"],[184,1,1,"c.krb5_decode_authdata_container","type"]],krb5_decode_ticket:[[185,1,1,"c.krb5_decode_ticket","code"],[185,1,1,"c.krb5_decode_ticket","rep"]],krb5_decrypt:[[186,1,1,"c.krb5_decrypt","context"],[186,1,1,"c.krb5_decrypt","eblock"],[186,1,1,"c.krb5_decrypt","inptr"],[186,1,1,"c.krb5_decrypt","ivec"],[186,1,1,"c.krb5_decrypt","outptr"],[186,1,1,"c.krb5_decrypt","size"]],krb5_deltat_to_string:[[187,1,1,"c.krb5_deltat_to_string","buffer"],[187,1,1,"c.krb5_deltat_to_string","buflen"],[187,1,1,"c.krb5_deltat_to_string","deltat"]],krb5_eblock_enctype:[[188,1,1,"c.krb5_eblock_enctype","context"],[188,1,1,"c.krb5_eblock_enctype","eblock"]],krb5_enc_data:[[831,3,1,"c.krb5_enc_data.ciphertext","ciphertext"],[831,3,1,"c.krb5_enc_data.enctype","enctype"],[831,3,1,"c.krb5_enc_data.kvno","kvno"],[831,3,1,"c.krb5_enc_data.magic","magic"]],krb5_enc_kdc_rep_part:[[832,3,1,"c.krb5_enc_kdc_rep_part.caddrs","caddrs"],[832,3,1,"c.krb5_enc_kdc_rep_part.enc_padata","enc_padata"],[832,3,1,"c.krb5_enc_kdc_rep_part.flags","flags"],[832,3,1,"c.krb5_enc_kdc_rep_part.key_exp","key_exp"],[832,3,1,"c.krb5_enc_kdc_rep_part.last_req","last_req"],[832,3,1,"c.krb5_enc_kdc_rep_part.magic","magic"],[832,3,1,"c.krb5_enc_kdc_rep_part.msg_type","msg_type"],[832,3,1,"c.krb5_enc_kdc_rep_part.nonce","nonce"],[832,3,1,"c.krb5_enc_kdc_rep_part.server","server"],[832,3,1,"c.krb5_enc_kdc_rep_part.session","session"],[832,3,1,"c.krb5_enc_kdc_rep_part.times","times"]],krb5_enc_tkt_part:[[833,3,1,"c.krb5_enc_tkt_part.authorization_data","authorization_data"],[833,3,1,"c.krb5_enc_tkt_part.caddrs","caddrs"],[833,3,1,"c.krb5_enc_tkt_part.client","client"],[833,3,1,"c.krb5_enc_tkt_part.flags","flags"],[833,3,1,"c.krb5_enc_tkt_part.magic","magic"],[833,3,1,"c.krb5_enc_tkt_part.session","session"],[833,3,1,"c.krb5_enc_tkt_part.times","times"],[833,3,1,"c.krb5_enc_tkt_part.transited","transited"]],krb5_encode_authdata_container:[[189,1,1,"c.krb5_encode_authdata_container","authdata"],[189,1,1,"c.krb5_encode_authdata_container","container"],[189,1,1,"c.krb5_encode_authdata_container","context"],[189,1,1,"c.krb5_encode_authdata_container","type"]],krb5_encrypt:[[190,1,1,"c.krb5_encrypt","context"],[190,1,1,"c.krb5_encrypt","eblock"],[190,1,1,"c.krb5_encrypt","inptr"],[190,1,1,"c.krb5_encrypt","ivec"],[190,1,1,"c.krb5_encrypt","outptr"],[190,1,1,"c.krb5_encrypt","size"]],krb5_encrypt_block:[[834,3,1,"c.krb5_encrypt_block.crypto_entry","crypto_entry"],[834,3,1,"c.krb5_encrypt_block.key","key"],[834,3,1,"c.krb5_encrypt_block.magic","magic"]],krb5_encrypt_size:[[191,1,1,"c.krb5_encrypt_size","crypto"],[191,1,1,"c.krb5_encrypt_size","length"]],krb5_enctype_to_name:[[192,1,1,"c.krb5_enctype_to_name","buffer"],[192,1,1,"c.krb5_enctype_to_name","buflen"],[192,1,1,"c.krb5_enctype_to_name","enctype"],[192,1,1,"c.krb5_enctype_to_name","shortest"]],krb5_enctype_to_string:[[193,1,1,"c.krb5_enctype_to_string","buffer"],[193,1,1,"c.krb5_enctype_to_string","buflen"],[193,1,1,"c.krb5_enctype_to_string","enctype"]],krb5_error:[[836,3,1,"c.krb5_error.client","client"],[836,3,1,"c.krb5_error.ctime","ctime"],[836,3,1,"c.krb5_error.cusec","cusec"],[836,3,1,"c.krb5_error.e_data","e_data"],[836,3,1,"c.krb5_error.error","error"],[836,3,1,"c.krb5_error.magic","magic"],[836,3,1,"c.krb5_error.server","server"],[836,3,1,"c.krb5_error.stime","stime"],[836,3,1,"c.krb5_error.susec","susec"],[836,3,1,"c.krb5_error.text","text"]],krb5_expand_hostname:[[194,1,1,"c.krb5_expand_hostname","canonhost_out"],[194,1,1,"c.krb5_expand_hostname","context"],[194,1,1,"c.krb5_expand_hostname","host"]],krb5_find_authdata:[[195,1,1,"c.krb5_find_authdata","ad_type"],[195,1,1,"c.krb5_find_authdata","ap_req_authdata"],[195,1,1,"c.krb5_find_authdata","context"],[195,1,1,"c.krb5_find_authdata","results"],[195,1,1,"c.krb5_find_authdata","ticket_authdata"]],krb5_finish_key:[[196,1,1,"c.krb5_finish_key","context"],[196,1,1,"c.krb5_finish_key","eblock"]],krb5_finish_random_key:[[197,1,1,"c.krb5_finish_random_key","context"],[197,1,1,"c.krb5_finish_random_key","eblock"],[197,1,1,"c.krb5_finish_random_key","ptr"]],krb5_free_addresses:[[198,1,1,"c.krb5_free_addresses","context"],[198,1,1,"c.krb5_free_addresses","val"]],krb5_free_ap_rep_enc_part:[[199,1,1,"c.krb5_free_ap_rep_enc_part","context"],[199,1,1,"c.krb5_free_ap_rep_enc_part","val"]],krb5_free_authdata:[[200,1,1,"c.krb5_free_authdata","context"],[200,1,1,"c.krb5_free_authdata","val"]],krb5_free_authenticator:[[201,1,1,"c.krb5_free_authenticator","context"],[201,1,1,"c.krb5_free_authenticator","val"]],krb5_free_checksum:[[202,1,1,"c.krb5_free_checksum","context"],[202,1,1,"c.krb5_free_checksum","val"]],krb5_free_checksum_contents:[[203,1,1,"c.krb5_free_checksum_contents","context"],[203,1,1,"c.krb5_free_checksum_contents","val"]],krb5_free_cksumtypes:[[204,1,1,"c.krb5_free_cksumtypes","context"],[204,1,1,"c.krb5_free_cksumtypes","val"]],krb5_free_context:[[205,1,1,"c.krb5_free_context","context"]],krb5_free_cred_contents:[[206,1,1,"c.krb5_free_cred_contents","context"],[206,1,1,"c.krb5_free_cred_contents","val"]],krb5_free_creds:[[207,1,1,"c.krb5_free_creds","context"],[207,1,1,"c.krb5_free_creds","val"]],krb5_free_data:[[208,1,1,"c.krb5_free_data","context"],[208,1,1,"c.krb5_free_data","val"]],krb5_free_data_contents:[[209,1,1,"c.krb5_free_data_contents","context"],[209,1,1,"c.krb5_free_data_contents","val"]],krb5_free_default_realm:[[210,1,1,"c.krb5_free_default_realm","context"],[210,1,1,"c.krb5_free_default_realm","lrealm"]],krb5_free_enctypes:[[211,1,1,"c.krb5_free_enctypes","context"],[211,1,1,"c.krb5_free_enctypes","val"]],krb5_free_error:[[212,1,1,"c.krb5_free_error","context"],[212,1,1,"c.krb5_free_error","val"]],krb5_free_error_message:[[213,1,1,"c.krb5_free_error_message","ctx"],[213,1,1,"c.krb5_free_error_message","msg"]],krb5_free_host_realm:[[214,1,1,"c.krb5_free_host_realm","context"],[214,1,1,"c.krb5_free_host_realm","realmlist"]],krb5_free_keyblock:[[215,1,1,"c.krb5_free_keyblock","context"],[215,1,1,"c.krb5_free_keyblock","val"]],krb5_free_keyblock_contents:[[216,1,1,"c.krb5_free_keyblock_contents","context"],[216,1,1,"c.krb5_free_keyblock_contents","key"]],krb5_free_keytab_entry_contents:[[217,1,1,"c.krb5_free_keytab_entry_contents","context"],[217,1,1,"c.krb5_free_keytab_entry_contents","entry"]],krb5_free_principal:[[218,1,1,"c.krb5_free_principal","context"],[218,1,1,"c.krb5_free_principal","val"]],krb5_free_string:[[219,1,1,"c.krb5_free_string","context"],[219,1,1,"c.krb5_free_string","val"]],krb5_free_tgt_creds:[[220,1,1,"c.krb5_free_tgt_creds","context"],[220,1,1,"c.krb5_free_tgt_creds","tgts"]],krb5_free_ticket:[[221,1,1,"c.krb5_free_ticket","context"],[221,1,1,"c.krb5_free_ticket","val"]],krb5_free_unparsed_name:[[222,1,1,"c.krb5_free_unparsed_name","context"],[222,1,1,"c.krb5_free_unparsed_name","val"]],krb5_fwd_tgt_creds:[[223,1,1,"c.krb5_fwd_tgt_creds","auth_context"],[223,1,1,"c.krb5_fwd_tgt_creds","cc"],[223,1,1,"c.krb5_fwd_tgt_creds","client"],[223,1,1,"c.krb5_fwd_tgt_creds","context"],[223,1,1,"c.krb5_fwd_tgt_creds","forwardable"],[223,1,1,"c.krb5_fwd_tgt_creds","outbuf"],[223,1,1,"c.krb5_fwd_tgt_creds","rhost"],[223,1,1,"c.krb5_fwd_tgt_creds","server"]],krb5_get_credentials:[[224,1,1,"c.krb5_get_credentials","ccache"],[224,1,1,"c.krb5_get_credentials","context"],[224,1,1,"c.krb5_get_credentials","in_creds"],[224,1,1,"c.krb5_get_credentials","options"],[224,1,1,"c.krb5_get_credentials","out_creds"]],krb5_get_credentials_renew:[[225,1,1,"c.krb5_get_credentials_renew","ccache"],[225,1,1,"c.krb5_get_credentials_renew","context"],[225,1,1,"c.krb5_get_credentials_renew","in_creds"],[225,1,1,"c.krb5_get_credentials_renew","options"],[225,1,1,"c.krb5_get_credentials_renew","out_creds"]],krb5_get_credentials_validate:[[226,1,1,"c.krb5_get_credentials_validate","ccache"],[226,1,1,"c.krb5_get_credentials_validate","context"],[226,1,1,"c.krb5_get_credentials_validate","in_creds"],[226,1,1,"c.krb5_get_credentials_validate","options"],[226,1,1,"c.krb5_get_credentials_validate","out_creds"]],krb5_get_default_realm:[[227,1,1,"c.krb5_get_default_realm","context"],[227,1,1,"c.krb5_get_default_realm","lrealm"]],krb5_get_error_message:[[228,1,1,"c.krb5_get_error_message","code"],[228,1,1,"c.krb5_get_error_message","ctx"]],krb5_get_etype_info:[[229,1,1,"c.krb5_get_etype_info","context"],[229,1,1,"c.krb5_get_etype_info","enctype_out"],[229,1,1,"c.krb5_get_etype_info","opt"],[229,1,1,"c.krb5_get_etype_info","principal"],[229,1,1,"c.krb5_get_etype_info","s2kparams_out"],[229,1,1,"c.krb5_get_etype_info","salt_out"]],krb5_get_fallback_host_realm:[[230,1,1,"c.krb5_get_fallback_host_realm","context"],[230,1,1,"c.krb5_get_fallback_host_realm","hdata"],[230,1,1,"c.krb5_get_fallback_host_realm","realmsp"]],krb5_get_host_realm:[[231,1,1,"c.krb5_get_host_realm","context"],[231,1,1,"c.krb5_get_host_realm","host"],[231,1,1,"c.krb5_get_host_realm","realmsp"]],krb5_get_in_tkt_with_keytab:[[232,1,1,"c.krb5_get_in_tkt_with_keytab","addrs"],[232,1,1,"c.krb5_get_in_tkt_with_keytab","arg_keytab"],[232,1,1,"c.krb5_get_in_tkt_with_keytab","ccache"],[232,1,1,"c.krb5_get_in_tkt_with_keytab","context"],[232,1,1,"c.krb5_get_in_tkt_with_keytab","creds"],[232,1,1,"c.krb5_get_in_tkt_with_keytab","ktypes"],[232,1,1,"c.krb5_get_in_tkt_with_keytab","options"],[232,1,1,"c.krb5_get_in_tkt_with_keytab","pre_auth_types"],[232,1,1,"c.krb5_get_in_tkt_with_keytab","ret_as_reply"]],krb5_get_in_tkt_with_password:[[233,1,1,"c.krb5_get_in_tkt_with_password","addrs"],[233,1,1,"c.krb5_get_in_tkt_with_password","ccache"],[233,1,1,"c.krb5_get_in_tkt_with_password","context"],[233,1,1,"c.krb5_get_in_tkt_with_password","creds"],[233,1,1,"c.krb5_get_in_tkt_with_password","ktypes"],[233,1,1,"c.krb5_get_in_tkt_with_password","options"],[233,1,1,"c.krb5_get_in_tkt_with_password","password"],[233,1,1,"c.krb5_get_in_tkt_with_password","pre_auth_types"],[233,1,1,"c.krb5_get_in_tkt_with_password","ret_as_reply"]],krb5_get_in_tkt_with_skey:[[234,1,1,"c.krb5_get_in_tkt_with_skey","addrs"],[234,1,1,"c.krb5_get_in_tkt_with_skey","ccache"],[234,1,1,"c.krb5_get_in_tkt_with_skey","context"],[234,1,1,"c.krb5_get_in_tkt_with_skey","creds"],[234,1,1,"c.krb5_get_in_tkt_with_skey","key"],[234,1,1,"c.krb5_get_in_tkt_with_skey","ktypes"],[234,1,1,"c.krb5_get_in_tkt_with_skey","options"],[234,1,1,"c.krb5_get_in_tkt_with_skey","pre_auth_types"],[234,1,1,"c.krb5_get_in_tkt_with_skey","ret_as_reply"]],krb5_get_init_creds_keytab:[[235,1,1,"c.krb5_get_init_creds_keytab","arg_keytab"],[235,1,1,"c.krb5_get_init_creds_keytab","client"],[235,1,1,"c.krb5_get_init_creds_keytab","context"],[235,1,1,"c.krb5_get_init_creds_keytab","creds"],[235,1,1,"c.krb5_get_init_creds_keytab","in_tkt_service"],[235,1,1,"c.krb5_get_init_creds_keytab","k5_gic_options"],[235,1,1,"c.krb5_get_init_creds_keytab","start_time"]],krb5_get_init_creds_opt:[[840,3,1,"c.krb5_get_init_creds_opt.address_list","address_list"],[840,3,1,"c.krb5_get_init_creds_opt.etype_list","etype_list"],[840,3,1,"c.krb5_get_init_creds_opt.etype_list_length","etype_list_length"],[840,3,1,"c.krb5_get_init_creds_opt.flags","flags"],[840,3,1,"c.krb5_get_init_creds_opt.forwardable","forwardable"],[840,3,1,"c.krb5_get_init_creds_opt.preauth_list","preauth_list"],[840,3,1,"c.krb5_get_init_creds_opt.preauth_list_length","preauth_list_length"],[840,3,1,"c.krb5_get_init_creds_opt.proxiable","proxiable"],[840,3,1,"c.krb5_get_init_creds_opt.renew_life","renew_life"],[840,3,1,"c.krb5_get_init_creds_opt.salt","salt"],[840,3,1,"c.krb5_get_init_creds_opt.tkt_life","tkt_life"]],krb5_get_init_creds_opt_alloc:[[236,1,1,"c.krb5_get_init_creds_opt_alloc","context"],[236,1,1,"c.krb5_get_init_creds_opt_alloc","opt"]],krb5_get_init_creds_opt_free:[[237,1,1,"c.krb5_get_init_creds_opt_free","context"],[237,1,1,"c.krb5_get_init_creds_opt_free","opt"]],krb5_get_init_creds_opt_get_fast_flags:[[238,1,1,"c.krb5_get_init_creds_opt_get_fast_flags","context"],[238,1,1,"c.krb5_get_init_creds_opt_get_fast_flags","opt"],[238,1,1,"c.krb5_get_init_creds_opt_get_fast_flags","out_flags"]],krb5_get_init_creds_opt_init:[[239,1,1,"c.krb5_get_init_creds_opt_init","opt"]],krb5_get_init_creds_opt_set_address_list:[[240,1,1,"c.krb5_get_init_creds_opt_set_address_list","addresses"],[240,1,1,"c.krb5_get_init_creds_opt_set_address_list","opt"]],krb5_get_init_creds_opt_set_anonymous:[[241,1,1,"c.krb5_get_init_creds_opt_set_anonymous","anonymous"],[241,1,1,"c.krb5_get_init_creds_opt_set_anonymous","opt"]],krb5_get_init_creds_opt_set_canonicalize:[[242,1,1,"c.krb5_get_init_creds_opt_set_canonicalize","canonicalize"],[242,1,1,"c.krb5_get_init_creds_opt_set_canonicalize","opt"]],krb5_get_init_creds_opt_set_change_password_prompt:[[243,1,1,"c.krb5_get_init_creds_opt_set_change_password_prompt","opt"],[243,1,1,"c.krb5_get_init_creds_opt_set_change_password_prompt","prompt"]],krb5_get_init_creds_opt_set_etype_list:[[244,1,1,"c.krb5_get_init_creds_opt_set_etype_list","etype_list"],[244,1,1,"c.krb5_get_init_creds_opt_set_etype_list","etype_list_length"],[244,1,1,"c.krb5_get_init_creds_opt_set_etype_list","opt"]],krb5_get_init_creds_opt_set_expire_callback:[[245,1,1,"c.krb5_get_init_creds_opt_set_expire_callback","cb"],[245,1,1,"c.krb5_get_init_creds_opt_set_expire_callback","context"],[245,1,1,"c.krb5_get_init_creds_opt_set_expire_callback","data"],[245,1,1,"c.krb5_get_init_creds_opt_set_expire_callback","opt"]],krb5_get_init_creds_opt_set_fast_ccache:[[246,1,1,"c.krb5_get_init_creds_opt_set_fast_ccache","ccache"],[246,1,1,"c.krb5_get_init_creds_opt_set_fast_ccache","context"],[246,1,1,"c.krb5_get_init_creds_opt_set_fast_ccache","opt"]],krb5_get_init_creds_opt_set_fast_ccache_name:[[247,1,1,"c.krb5_get_init_creds_opt_set_fast_ccache_name","context"],[247,1,1,"c.krb5_get_init_creds_opt_set_fast_ccache_name","fast_ccache_name"],[247,1,1,"c.krb5_get_init_creds_opt_set_fast_ccache_name","opt"]],krb5_get_init_creds_opt_set_fast_flags:[[248,1,1,"c.krb5_get_init_creds_opt_set_fast_flags","context"],[248,1,1,"c.krb5_get_init_creds_opt_set_fast_flags","flags"],[248,1,1,"c.krb5_get_init_creds_opt_set_fast_flags","opt"]],krb5_get_init_creds_opt_set_forwardable:[[249,1,1,"c.krb5_get_init_creds_opt_set_forwardable","forwardable"],[249,1,1,"c.krb5_get_init_creds_opt_set_forwardable","opt"]],krb5_get_init_creds_opt_set_in_ccache:[[250,1,1,"c.krb5_get_init_creds_opt_set_in_ccache","ccache"],[250,1,1,"c.krb5_get_init_creds_opt_set_in_ccache","context"],[250,1,1,"c.krb5_get_init_creds_opt_set_in_ccache","opt"]],krb5_get_init_creds_opt_set_out_ccache:[[251,1,1,"c.krb5_get_init_creds_opt_set_out_ccache","ccache"],[251,1,1,"c.krb5_get_init_creds_opt_set_out_ccache","context"],[251,1,1,"c.krb5_get_init_creds_opt_set_out_ccache","opt"]],krb5_get_init_creds_opt_set_pa:[[252,1,1,"c.krb5_get_init_creds_opt_set_pa","attr"],[252,1,1,"c.krb5_get_init_creds_opt_set_pa","context"],[252,1,1,"c.krb5_get_init_creds_opt_set_pa","opt"],[252,1,1,"c.krb5_get_init_creds_opt_set_pa","value"]],krb5_get_init_creds_opt_set_pac_request:[[253,1,1,"c.krb5_get_init_creds_opt_set_pac_request","context"],[253,1,1,"c.krb5_get_init_creds_opt_set_pac_request","opt"],[253,1,1,"c.krb5_get_init_creds_opt_set_pac_request","req_pac"]],krb5_get_init_creds_opt_set_preauth_list:[[254,1,1,"c.krb5_get_init_creds_opt_set_preauth_list","opt"],[254,1,1,"c.krb5_get_init_creds_opt_set_preauth_list","preauth_list"],[254,1,1,"c.krb5_get_init_creds_opt_set_preauth_list","preauth_list_length"]],krb5_get_init_creds_opt_set_proxiable:[[255,1,1,"c.krb5_get_init_creds_opt_set_proxiable","opt"],[255,1,1,"c.krb5_get_init_creds_opt_set_proxiable","proxiable"]],krb5_get_init_creds_opt_set_renew_life:[[256,1,1,"c.krb5_get_init_creds_opt_set_renew_life","opt"],[256,1,1,"c.krb5_get_init_creds_opt_set_renew_life","renew_life"]],krb5_get_init_creds_opt_set_responder:[[257,1,1,"c.krb5_get_init_creds_opt_set_responder","context"],[257,1,1,"c.krb5_get_init_creds_opt_set_responder","data"],[257,1,1,"c.krb5_get_init_creds_opt_set_responder","opt"],[257,1,1,"c.krb5_get_init_creds_opt_set_responder","responder"]],krb5_get_init_creds_opt_set_salt:[[258,1,1,"c.krb5_get_init_creds_opt_set_salt","opt"],[258,1,1,"c.krb5_get_init_creds_opt_set_salt","salt"]],krb5_get_init_creds_opt_set_tkt_life:[[259,1,1,"c.krb5_get_init_creds_opt_set_tkt_life","opt"],[259,1,1,"c.krb5_get_init_creds_opt_set_tkt_life","tkt_life"]],krb5_get_init_creds_password:[[260,1,1,"c.krb5_get_init_creds_password","client"],[260,1,1,"c.krb5_get_init_creds_password","context"],[260,1,1,"c.krb5_get_init_creds_password","creds"],[260,1,1,"c.krb5_get_init_creds_password","data"],[260,1,1,"c.krb5_get_init_creds_password","in_tkt_service"],[260,1,1,"c.krb5_get_init_creds_password","k5_gic_options"],[260,1,1,"c.krb5_get_init_creds_password","password"],[260,1,1,"c.krb5_get_init_creds_password","prompter"],[260,1,1,"c.krb5_get_init_creds_password","start_time"]],krb5_get_permitted_enctypes:[[261,1,1,"c.krb5_get_permitted_enctypes","context"],[261,1,1,"c.krb5_get_permitted_enctypes","ktypes"]],krb5_get_profile:[[262,1,1,"c.krb5_get_profile","context"],[262,1,1,"c.krb5_get_profile","profile"]],krb5_get_prompt_types:[[263,1,1,"c.krb5_get_prompt_types","context"]],krb5_get_renewed_creds:[[264,1,1,"c.krb5_get_renewed_creds","ccache"],[264,1,1,"c.krb5_get_renewed_creds","client"],[264,1,1,"c.krb5_get_renewed_creds","context"],[264,1,1,"c.krb5_get_renewed_creds","creds"],[264,1,1,"c.krb5_get_renewed_creds","in_tkt_service"]],krb5_get_server_rcache:[[265,1,1,"c.krb5_get_server_rcache","context"],[265,1,1,"c.krb5_get_server_rcache","piece"],[265,1,1,"c.krb5_get_server_rcache","rcptr"]],krb5_get_time_offsets:[[266,1,1,"c.krb5_get_time_offsets","context"],[266,1,1,"c.krb5_get_time_offsets","microseconds"],[266,1,1,"c.krb5_get_time_offsets","seconds"]],krb5_get_validated_creds:[[267,1,1,"c.krb5_get_validated_creds","ccache"],[267,1,1,"c.krb5_get_validated_creds","client"],[267,1,1,"c.krb5_get_validated_creds","context"],[267,1,1,"c.krb5_get_validated_creds","creds"],[267,1,1,"c.krb5_get_validated_creds","in_tkt_service"]],krb5_gic_opt_pa_data:[[841,3,1,"c.krb5_gic_opt_pa_data.attr","attr"],[841,3,1,"c.krb5_gic_opt_pa_data.value","value"]],krb5_init_context:[[268,1,1,"c.krb5_init_context","context"]],krb5_init_context_profile:[[269,1,1,"c.krb5_init_context_profile","context"],[269,1,1,"c.krb5_init_context_profile","flags"],[269,1,1,"c.krb5_init_context_profile","profile"]],krb5_init_creds_free:[[270,1,1,"c.krb5_init_creds_free","context"],[270,1,1,"c.krb5_init_creds_free","ctx"]],krb5_init_creds_get:[[271,1,1,"c.krb5_init_creds_get","context"],[271,1,1,"c.krb5_init_creds_get","ctx"]],krb5_init_creds_get_creds:[[272,1,1,"c.krb5_init_creds_get_creds","context"],[272,1,1,"c.krb5_init_creds_get_creds","creds"],[272,1,1,"c.krb5_init_creds_get_creds","ctx"]],krb5_init_creds_get_error:[[273,1,1,"c.krb5_init_creds_get_error","context"],[273,1,1,"c.krb5_init_creds_get_error","ctx"],[273,1,1,"c.krb5_init_creds_get_error","error"]],krb5_init_creds_get_times:[[274,1,1,"c.krb5_init_creds_get_times","context"],[274,1,1,"c.krb5_init_creds_get_times","ctx"],[274,1,1,"c.krb5_init_creds_get_times","times"]],krb5_init_creds_init:[[275,1,1,"c.krb5_init_creds_init","client"],[275,1,1,"c.krb5_init_creds_init","context"],[275,1,1,"c.krb5_init_creds_init","ctx"],[275,1,1,"c.krb5_init_creds_init","data"],[275,1,1,"c.krb5_init_creds_init","options"],[275,1,1,"c.krb5_init_creds_init","prompter"],[275,1,1,"c.krb5_init_creds_init","start_time"]],krb5_init_creds_set_keytab:[[276,1,1,"c.krb5_init_creds_set_keytab","context"],[276,1,1,"c.krb5_init_creds_set_keytab","ctx"],[276,1,1,"c.krb5_init_creds_set_keytab","keytab"]],krb5_init_creds_set_password:[[277,1,1,"c.krb5_init_creds_set_password","context"],[277,1,1,"c.krb5_init_creds_set_password","ctx"],[277,1,1,"c.krb5_init_creds_set_password","password"]],krb5_init_creds_set_service:[[278,1,1,"c.krb5_init_creds_set_service","context"],[278,1,1,"c.krb5_init_creds_set_service","ctx"],[278,1,1,"c.krb5_init_creds_set_service","service"]],krb5_init_creds_step:[[279,1,1,"c.krb5_init_creds_step","context"],[279,1,1,"c.krb5_init_creds_step","ctx"],[279,1,1,"c.krb5_init_creds_step","flags"],[279,1,1,"c.krb5_init_creds_step","in"],[279,1,1,"c.krb5_init_creds_step","out"],[279,1,1,"c.krb5_init_creds_step","realm"]],krb5_init_keyblock:[[280,1,1,"c.krb5_init_keyblock","context"],[280,1,1,"c.krb5_init_keyblock","enctype"],[280,1,1,"c.krb5_init_keyblock","length"],[280,1,1,"c.krb5_init_keyblock","out"]],krb5_init_random_key:[[281,1,1,"c.krb5_init_random_key","context"],[281,1,1,"c.krb5_init_random_key","eblock"],[281,1,1,"c.krb5_init_random_key","keyblock"],[281,1,1,"c.krb5_init_random_key","ptr"]],krb5_init_secure_context:[[282,1,1,"c.krb5_init_secure_context","context"]],krb5_is_config_principal:[[283,1,1,"c.krb5_is_config_principal","context"],[283,1,1,"c.krb5_is_config_principal","principal"]],krb5_is_referral_realm:[[284,1,1,"c.krb5_is_referral_realm","r"]],krb5_is_thread_safe:[[285,1,1,"c.krb5_is_thread_safe","None"]],krb5_k_create_key:[[286,1,1,"c.krb5_k_create_key","context"],[286,1,1,"c.krb5_k_create_key","key_data"],[286,1,1,"c.krb5_k_create_key","out"]],krb5_k_decrypt:[[287,1,1,"c.krb5_k_decrypt","cipher_state"],[287,1,1,"c.krb5_k_decrypt","context"],[287,1,1,"c.krb5_k_decrypt","input"],[287,1,1,"c.krb5_k_decrypt","key"],[287,1,1,"c.krb5_k_decrypt","output"],[287,1,1,"c.krb5_k_decrypt","usage"]],krb5_k_decrypt_iov:[[288,1,1,"c.krb5_k_decrypt_iov","cipher_state"],[288,1,1,"c.krb5_k_decrypt_iov","context"],[288,1,1,"c.krb5_k_decrypt_iov","data"],[288,1,1,"c.krb5_k_decrypt_iov","key"],[288,1,1,"c.krb5_k_decrypt_iov","num_data"],[288,1,1,"c.krb5_k_decrypt_iov","usage"]],krb5_k_encrypt:[[289,1,1,"c.krb5_k_encrypt","cipher_state"],[289,1,1,"c.krb5_k_encrypt","context"],[289,1,1,"c.krb5_k_encrypt","input"],[289,1,1,"c.krb5_k_encrypt","key"],[289,1,1,"c.krb5_k_encrypt","output"],[289,1,1,"c.krb5_k_encrypt","usage"]],krb5_k_encrypt_iov:[[290,1,1,"c.krb5_k_encrypt_iov","cipher_state"],[290,1,1,"c.krb5_k_encrypt_iov","context"],[290,1,1,"c.krb5_k_encrypt_iov","data"],[290,1,1,"c.krb5_k_encrypt_iov","key"],[290,1,1,"c.krb5_k_encrypt_iov","num_data"],[290,1,1,"c.krb5_k_encrypt_iov","usage"]],krb5_k_free_key:[[291,1,1,"c.krb5_k_free_key","context"],[291,1,1,"c.krb5_k_free_key","key"]],krb5_k_key_enctype:[[292,1,1,"c.krb5_k_key_enctype","context"],[292,1,1,"c.krb5_k_key_enctype","key"]],krb5_k_key_keyblock:[[293,1,1,"c.krb5_k_key_keyblock","context"],[293,1,1,"c.krb5_k_key_keyblock","key"],[293,1,1,"c.krb5_k_key_keyblock","key_data"]],krb5_k_make_checksum:[[294,1,1,"c.krb5_k_make_checksum","cksum"],[294,1,1,"c.krb5_k_make_checksum","cksumtype"],[294,1,1,"c.krb5_k_make_checksum","context"],[294,1,1,"c.krb5_k_make_checksum","input"],[294,1,1,"c.krb5_k_make_checksum","key"],[294,1,1,"c.krb5_k_make_checksum","usage"]],krb5_k_make_checksum_iov:[[295,1,1,"c.krb5_k_make_checksum_iov","cksumtype"],[295,1,1,"c.krb5_k_make_checksum_iov","context"],[295,1,1,"c.krb5_k_make_checksum_iov","data"],[295,1,1,"c.krb5_k_make_checksum_iov","key"],[295,1,1,"c.krb5_k_make_checksum_iov","num_data"],[295,1,1,"c.krb5_k_make_checksum_iov","usage"]],krb5_k_prf:[[296,1,1,"c.krb5_k_prf","context"],[296,1,1,"c.krb5_k_prf","input"],[296,1,1,"c.krb5_k_prf","key"],[296,1,1,"c.krb5_k_prf","output"]],krb5_k_reference_key:[[297,1,1,"c.krb5_k_reference_key","context"],[297,1,1,"c.krb5_k_reference_key","key"]],krb5_k_verify_checksum:[[298,1,1,"c.krb5_k_verify_checksum","cksum"],[298,1,1,"c.krb5_k_verify_checksum","context"],[298,1,1,"c.krb5_k_verify_checksum","data"],[298,1,1,"c.krb5_k_verify_checksum","key"],[298,1,1,"c.krb5_k_verify_checksum","usage"],[298,1,1,"c.krb5_k_verify_checksum","valid"]],krb5_k_verify_checksum_iov:[[299,1,1,"c.krb5_k_verify_checksum_iov","cksumtype"],[299,1,1,"c.krb5_k_verify_checksum_iov","context"],[299,1,1,"c.krb5_k_verify_checksum_iov","data"],[299,1,1,"c.krb5_k_verify_checksum_iov","key"],[299,1,1,"c.krb5_k_verify_checksum_iov","num_data"],[299,1,1,"c.krb5_k_verify_checksum_iov","usage"],[299,1,1,"c.krb5_k_verify_checksum_iov","valid"]],krb5_kdc_rep:[[845,3,1,"c.krb5_kdc_rep.client","client"],[845,3,1,"c.krb5_kdc_rep.enc_part","enc_part"],[845,3,1,"c.krb5_kdc_rep.enc_part2","enc_part2"],[845,3,1,"c.krb5_kdc_rep.magic","magic"],[845,3,1,"c.krb5_kdc_rep.msg_type","msg_type"],[845,3,1,"c.krb5_kdc_rep.padata","padata"],[845,3,1,"c.krb5_kdc_rep.ticket","ticket"]],krb5_kdc_req:[[846,3,1,"c.krb5_kdc_req.addresses","addresses"],[846,3,1,"c.krb5_kdc_req.authorization_data","authorization_data"],[846,3,1,"c.krb5_kdc_req.client","client"],[846,3,1,"c.krb5_kdc_req.from","from"],[846,3,1,"c.krb5_kdc_req.kdc_options","kdc_options"],[846,3,1,"c.krb5_kdc_req.ktype","ktype"],[846,3,1,"c.krb5_kdc_req.magic","magic"],[846,3,1,"c.krb5_kdc_req.msg_type","msg_type"],[846,3,1,"c.krb5_kdc_req.nktypes","nktypes"],[846,3,1,"c.krb5_kdc_req.nonce","nonce"],[846,3,1,"c.krb5_kdc_req.padata","padata"],[846,3,1,"c.krb5_kdc_req.rtime","rtime"],[846,3,1,"c.krb5_kdc_req.second_ticket","second_ticket"],[846,3,1,"c.krb5_kdc_req.server","server"],[846,3,1,"c.krb5_kdc_req.till","till"],[846,3,1,"c.krb5_kdc_req.unenc_authdata","unenc_authdata"]],krb5_kdc_sign_ticket:[[300,1,1,"c.krb5_kdc_sign_ticket","client_princ"],[300,1,1,"c.krb5_kdc_sign_ticket","context"],[300,1,1,"c.krb5_kdc_sign_ticket","enc_tkt"],[300,1,1,"c.krb5_kdc_sign_ticket","pac"],[300,1,1,"c.krb5_kdc_sign_ticket","privsvr"],[300,1,1,"c.krb5_kdc_sign_ticket","server"],[300,1,1,"c.krb5_kdc_sign_ticket","server_princ"],[300,1,1,"c.krb5_kdc_sign_ticket","with_realm"]],krb5_kdc_verify_ticket:[[301,1,1,"c.krb5_kdc_verify_ticket","context"],[301,1,1,"c.krb5_kdc_verify_ticket","enc_tkt"],[301,1,1,"c.krb5_kdc_verify_ticket","pac_out"],[301,1,1,"c.krb5_kdc_verify_ticket","privsvr"],[301,1,1,"c.krb5_kdc_verify_ticket","server"],[301,1,1,"c.krb5_kdc_verify_ticket","server_princ"]],krb5_keyblock:[[848,3,1,"c.krb5_keyblock.contents","contents"],[848,3,1,"c.krb5_keyblock.enctype","enctype"],[848,3,1,"c.krb5_keyblock.length","length"],[848,3,1,"c.krb5_keyblock.magic","magic"]],krb5_keytab_entry:[[850,3,1,"c.krb5_keytab_entry.key","key"],[850,3,1,"c.krb5_keytab_entry.magic","magic"],[850,3,1,"c.krb5_keytab_entry.principal","principal"],[850,3,1,"c.krb5_keytab_entry.timestamp","timestamp"],[850,3,1,"c.krb5_keytab_entry.vno","vno"]],krb5_kt_add_entry:[[302,1,1,"c.krb5_kt_add_entry","context"],[302,1,1,"c.krb5_kt_add_entry","entry"],[302,1,1,"c.krb5_kt_add_entry","id"]],krb5_kt_client_default:[[303,1,1,"c.krb5_kt_client_default","context"],[303,1,1,"c.krb5_kt_client_default","keytab_out"]],krb5_kt_close:[[304,1,1,"c.krb5_kt_close","context"],[304,1,1,"c.krb5_kt_close","keytab"]],krb5_kt_default:[[305,1,1,"c.krb5_kt_default","context"],[305,1,1,"c.krb5_kt_default","id"]],krb5_kt_default_name:[[306,1,1,"c.krb5_kt_default_name","context"],[306,1,1,"c.krb5_kt_default_name","name"],[306,1,1,"c.krb5_kt_default_name","name_size"]],krb5_kt_dup:[[307,1,1,"c.krb5_kt_dup","context"],[307,1,1,"c.krb5_kt_dup","in"],[307,1,1,"c.krb5_kt_dup","out"]],krb5_kt_end_seq_get:[[308,1,1,"c.krb5_kt_end_seq_get","context"],[308,1,1,"c.krb5_kt_end_seq_get","cursor"],[308,1,1,"c.krb5_kt_end_seq_get","keytab"]],krb5_kt_free_entry:[[309,1,1,"c.krb5_kt_free_entry","context"],[309,1,1,"c.krb5_kt_free_entry","entry"]],krb5_kt_get_entry:[[310,1,1,"c.krb5_kt_get_entry","context"],[310,1,1,"c.krb5_kt_get_entry","enctype"],[310,1,1,"c.krb5_kt_get_entry","entry"],[310,1,1,"c.krb5_kt_get_entry","keytab"],[310,1,1,"c.krb5_kt_get_entry","principal"],[310,1,1,"c.krb5_kt_get_entry","vno"]],krb5_kt_get_name:[[311,1,1,"c.krb5_kt_get_name","context"],[311,1,1,"c.krb5_kt_get_name","keytab"],[311,1,1,"c.krb5_kt_get_name","name"],[311,1,1,"c.krb5_kt_get_name","namelen"]],krb5_kt_get_type:[[312,1,1,"c.krb5_kt_get_type","context"],[312,1,1,"c.krb5_kt_get_type","keytab"]],krb5_kt_have_content:[[313,1,1,"c.krb5_kt_have_content","context"],[313,1,1,"c.krb5_kt_have_content","keytab"]],krb5_kt_next_entry:[[314,1,1,"c.krb5_kt_next_entry","context"],[314,1,1,"c.krb5_kt_next_entry","cursor"],[314,1,1,"c.krb5_kt_next_entry","entry"],[314,1,1,"c.krb5_kt_next_entry","keytab"]],krb5_kt_read_service_key:[[315,1,1,"c.krb5_kt_read_service_key","context"],[315,1,1,"c.krb5_kt_read_service_key","enctype"],[315,1,1,"c.krb5_kt_read_service_key","key"],[315,1,1,"c.krb5_kt_read_service_key","keyprocarg"],[315,1,1,"c.krb5_kt_read_service_key","principal"],[315,1,1,"c.krb5_kt_read_service_key","vno"]],krb5_kt_remove_entry:[[316,1,1,"c.krb5_kt_remove_entry","context"],[316,1,1,"c.krb5_kt_remove_entry","entry"],[316,1,1,"c.krb5_kt_remove_entry","id"]],krb5_kt_resolve:[[317,1,1,"c.krb5_kt_resolve","context"],[317,1,1,"c.krb5_kt_resolve","ktid"],[317,1,1,"c.krb5_kt_resolve","name"]],krb5_kt_start_seq_get:[[318,1,1,"c.krb5_kt_start_seq_get","context"],[318,1,1,"c.krb5_kt_start_seq_get","cursor"],[318,1,1,"c.krb5_kt_start_seq_get","keytab"]],krb5_kuserok:[[319,1,1,"c.krb5_kuserok","context"],[319,1,1,"c.krb5_kuserok","luser"],[319,1,1,"c.krb5_kuserok","principal"]],krb5_last_req_entry:[[854,3,1,"c.krb5_last_req_entry.lr_type","lr_type"],[854,3,1,"c.krb5_last_req_entry.magic","magic"],[854,3,1,"c.krb5_last_req_entry.value","value"]],krb5_make_authdata_kdc_issued:[[320,1,1,"c.krb5_make_authdata_kdc_issued","ad_kdcissued"],[320,1,1,"c.krb5_make_authdata_kdc_issued","authdata"],[320,1,1,"c.krb5_make_authdata_kdc_issued","context"],[320,1,1,"c.krb5_make_authdata_kdc_issued","issuer"],[320,1,1,"c.krb5_make_authdata_kdc_issued","key"]],krb5_marshal_credentials:[[321,1,1,"c.krb5_marshal_credentials","context"],[321,1,1,"c.krb5_marshal_credentials","data_out"],[321,1,1,"c.krb5_marshal_credentials","in_creds"]],krb5_merge_authdata:[[322,1,1,"c.krb5_merge_authdata","context"],[322,1,1,"c.krb5_merge_authdata","inauthdat1"],[322,1,1,"c.krb5_merge_authdata","inauthdat2"],[322,1,1,"c.krb5_merge_authdata","outauthdat"]],krb5_mk_1cred:[[323,1,1,"c.krb5_mk_1cred","auth_context"],[323,1,1,"c.krb5_mk_1cred","context"],[323,1,1,"c.krb5_mk_1cred","creds"],[323,1,1,"c.krb5_mk_1cred","der_out"],[323,1,1,"c.krb5_mk_1cred","rdata_out"]],krb5_mk_error:[[324,1,1,"c.krb5_mk_error","context"],[324,1,1,"c.krb5_mk_error","dec_err"],[324,1,1,"c.krb5_mk_error","enc_err"]],krb5_mk_ncred:[[325,1,1,"c.krb5_mk_ncred","auth_context"],[325,1,1,"c.krb5_mk_ncred","context"],[325,1,1,"c.krb5_mk_ncred","creds"],[325,1,1,"c.krb5_mk_ncred","der_out"],[325,1,1,"c.krb5_mk_ncred","rdata_out"]],krb5_mk_priv:[[326,1,1,"c.krb5_mk_priv","auth_context"],[326,1,1,"c.krb5_mk_priv","context"],[326,1,1,"c.krb5_mk_priv","der_out"],[326,1,1,"c.krb5_mk_priv","rdata_out"],[326,1,1,"c.krb5_mk_priv","userdata"]],krb5_mk_rep:[[327,1,1,"c.krb5_mk_rep","auth_context"],[327,1,1,"c.krb5_mk_rep","context"],[327,1,1,"c.krb5_mk_rep","outbuf"]],krb5_mk_rep_dce:[[328,1,1,"c.krb5_mk_rep_dce","auth_context"],[328,1,1,"c.krb5_mk_rep_dce","context"],[328,1,1,"c.krb5_mk_rep_dce","outbuf"]],krb5_mk_req:[[329,1,1,"c.krb5_mk_req","ap_req_options"],[329,1,1,"c.krb5_mk_req","auth_context"],[329,1,1,"c.krb5_mk_req","ccache"],[329,1,1,"c.krb5_mk_req","context"],[329,1,1,"c.krb5_mk_req","hostname"],[329,1,1,"c.krb5_mk_req","in_data"],[329,1,1,"c.krb5_mk_req","outbuf"],[329,1,1,"c.krb5_mk_req","service"]],krb5_mk_req_extended:[[330,1,1,"c.krb5_mk_req_extended","ap_req_options"],[330,1,1,"c.krb5_mk_req_extended","auth_context"],[330,1,1,"c.krb5_mk_req_extended","context"],[330,1,1,"c.krb5_mk_req_extended","in_creds"],[330,1,1,"c.krb5_mk_req_extended","in_data"],[330,1,1,"c.krb5_mk_req_extended","outbuf"]],krb5_mk_safe:[[331,1,1,"c.krb5_mk_safe","auth_context"],[331,1,1,"c.krb5_mk_safe","context"],[331,1,1,"c.krb5_mk_safe","der_out"],[331,1,1,"c.krb5_mk_safe","rdata_out"],[331,1,1,"c.krb5_mk_safe","userdata"]],krb5_os_localaddr:[[332,1,1,"c.krb5_os_localaddr","addr"],[332,1,1,"c.krb5_os_localaddr","context"]],krb5_pa_data:[[859,3,1,"c.krb5_pa_data.contents","contents"],[859,3,1,"c.krb5_pa_data.length","length"],[859,3,1,"c.krb5_pa_data.magic","magic"],[859,3,1,"c.krb5_pa_data.pa_type","pa_type"]],krb5_pa_pac_req:[[860,3,1,"c.krb5_pa_pac_req.include_pac","include_pac"]],krb5_pa_server_referral_data:[[861,3,1,"c.krb5_pa_server_referral_data.referral_valid_until","referral_valid_until"],[861,3,1,"c.krb5_pa_server_referral_data.referred_realm","referred_realm"],[861,3,1,"c.krb5_pa_server_referral_data.rep_cksum","rep_cksum"],[861,3,1,"c.krb5_pa_server_referral_data.requested_principal_name","requested_principal_name"],[861,3,1,"c.krb5_pa_server_referral_data.true_principal_name","true_principal_name"]],krb5_pa_svr_referral_data:[[862,3,1,"c.krb5_pa_svr_referral_data.principal","principal"]],krb5_pac_add_buffer:[[333,1,1,"c.krb5_pac_add_buffer","context"],[333,1,1,"c.krb5_pac_add_buffer","data"],[333,1,1,"c.krb5_pac_add_buffer","pac"],[333,1,1,"c.krb5_pac_add_buffer","type"]],krb5_pac_free:[[334,1,1,"c.krb5_pac_free","context"],[334,1,1,"c.krb5_pac_free","pac"]],krb5_pac_get_buffer:[[335,1,1,"c.krb5_pac_get_buffer","context"],[335,1,1,"c.krb5_pac_get_buffer","data"],[335,1,1,"c.krb5_pac_get_buffer","pac"],[335,1,1,"c.krb5_pac_get_buffer","type"]],krb5_pac_get_client_info:[[336,1,1,"c.krb5_pac_get_client_info","authtime_out"],[336,1,1,"c.krb5_pac_get_client_info","context"],[336,1,1,"c.krb5_pac_get_client_info","pac"],[336,1,1,"c.krb5_pac_get_client_info","princname_out"]],krb5_pac_get_types:[[337,1,1,"c.krb5_pac_get_types","context"],[337,1,1,"c.krb5_pac_get_types","len"],[337,1,1,"c.krb5_pac_get_types","pac"],[337,1,1,"c.krb5_pac_get_types","types"]],krb5_pac_init:[[338,1,1,"c.krb5_pac_init","context"],[338,1,1,"c.krb5_pac_init","pac"]],krb5_pac_parse:[[339,1,1,"c.krb5_pac_parse","context"],[339,1,1,"c.krb5_pac_parse","len"],[339,1,1,"c.krb5_pac_parse","pac"],[339,1,1,"c.krb5_pac_parse","ptr"]],krb5_pac_sign:[[340,1,1,"c.krb5_pac_sign","authtime"],[340,1,1,"c.krb5_pac_sign","context"],[340,1,1,"c.krb5_pac_sign","data"],[340,1,1,"c.krb5_pac_sign","pac"],[340,1,1,"c.krb5_pac_sign","principal"],[340,1,1,"c.krb5_pac_sign","privsvr_key"],[340,1,1,"c.krb5_pac_sign","server_key"]],krb5_pac_sign_ext:[[341,1,1,"c.krb5_pac_sign_ext","authtime"],[341,1,1,"c.krb5_pac_sign_ext","context"],[341,1,1,"c.krb5_pac_sign_ext","data"],[341,1,1,"c.krb5_pac_sign_ext","pac"],[341,1,1,"c.krb5_pac_sign_ext","principal"],[341,1,1,"c.krb5_pac_sign_ext","privsvr_key"],[341,1,1,"c.krb5_pac_sign_ext","server_key"],[341,1,1,"c.krb5_pac_sign_ext","with_realm"]],krb5_pac_verify:[[342,1,1,"c.krb5_pac_verify","authtime"],[342,1,1,"c.krb5_pac_verify","context"],[342,1,1,"c.krb5_pac_verify","pac"],[342,1,1,"c.krb5_pac_verify","principal"],[342,1,1,"c.krb5_pac_verify","privsvr"],[342,1,1,"c.krb5_pac_verify","server"]],krb5_pac_verify_ext:[[343,1,1,"c.krb5_pac_verify_ext","authtime"],[343,1,1,"c.krb5_pac_verify_ext","context"],[343,1,1,"c.krb5_pac_verify_ext","pac"],[343,1,1,"c.krb5_pac_verify_ext","principal"],[343,1,1,"c.krb5_pac_verify_ext","privsvr"],[343,1,1,"c.krb5_pac_verify_ext","server"],[343,1,1,"c.krb5_pac_verify_ext","with_realm"]],krb5_parse_name:[[344,1,1,"c.krb5_parse_name","context"],[344,1,1,"c.krb5_parse_name","name"],[344,1,1,"c.krb5_parse_name","principal_out"]],krb5_parse_name_flags:[[345,1,1,"c.krb5_parse_name_flags","context"],[345,1,1,"c.krb5_parse_name_flags","flags"],[345,1,1,"c.krb5_parse_name_flags","name"],[345,1,1,"c.krb5_parse_name_flags","principal_out"]],krb5_prepend_error_message:[[346,1,1,"c.krb5_prepend_error_message","code"],[346,1,1,"c.krb5_prepend_error_message","ctx"],[346,1,1,"c.krb5_prepend_error_message","fmt"]],krb5_principal2salt:[[347,1,1,"c.krb5_principal2salt","context"],[347,1,1,"c.krb5_principal2salt","pr"],[347,1,1,"c.krb5_principal2salt","ret"]],krb5_principal:[[868,3,1,"c.krb5_principal.data","data"],[868,3,1,"c.krb5_principal.length","length"],[868,3,1,"c.krb5_principal.magic","magic"],[868,3,1,"c.krb5_principal.realm","realm"],[868,3,1,"c.krb5_principal.type","type"]],krb5_principal_compare:[[348,1,1,"c.krb5_principal_compare","context"],[348,1,1,"c.krb5_principal_compare","princ1"],[348,1,1,"c.krb5_principal_compare","princ2"]],krb5_principal_compare_any_realm:[[349,1,1,"c.krb5_principal_compare_any_realm","context"],[349,1,1,"c.krb5_principal_compare_any_realm","princ1"],[349,1,1,"c.krb5_principal_compare_any_realm","princ2"]],krb5_principal_compare_flags:[[350,1,1,"c.krb5_principal_compare_flags","context"],[350,1,1,"c.krb5_principal_compare_flags","flags"],[350,1,1,"c.krb5_principal_compare_flags","princ1"],[350,1,1,"c.krb5_principal_compare_flags","princ2"]],krb5_principal_data:[[869,3,1,"c.krb5_principal_data.data","data"],[869,3,1,"c.krb5_principal_data.length","length"],[869,3,1,"c.krb5_principal_data.magic","magic"],[869,3,1,"c.krb5_principal_data.realm","realm"],[869,3,1,"c.krb5_principal_data.type","type"]],krb5_process_key:[[351,1,1,"c.krb5_process_key","context"],[351,1,1,"c.krb5_process_key","eblock"],[351,1,1,"c.krb5_process_key","key"]],krb5_prompt:[[870,3,1,"c.krb5_prompt.hidden","hidden"],[870,3,1,"c.krb5_prompt.prompt","prompt"],[870,3,1,"c.krb5_prompt.reply","reply"]],krb5_prompter_posix:[[352,1,1,"c.krb5_prompter_posix","banner"],[352,1,1,"c.krb5_prompter_posix","context"],[352,1,1,"c.krb5_prompter_posix","data"],[352,1,1,"c.krb5_prompter_posix","name"],[352,1,1,"c.krb5_prompter_posix","num_prompts"],[352,1,1,"c.krb5_prompter_posix","prompts"]],krb5_pwd_data:[[873,3,1,"c.krb5_pwd_data.element","element"],[873,3,1,"c.krb5_pwd_data.magic","magic"],[873,3,1,"c.krb5_pwd_data.sequence_count","sequence_count"]],krb5_random_key:[[353,1,1,"c.krb5_random_key","context"],[353,1,1,"c.krb5_random_key","eblock"],[353,1,1,"c.krb5_random_key","keyblock"],[353,1,1,"c.krb5_random_key","ptr"]],krb5_rd_cred:[[354,1,1,"c.krb5_rd_cred","auth_context"],[354,1,1,"c.krb5_rd_cred","context"],[354,1,1,"c.krb5_rd_cred","creddata"],[354,1,1,"c.krb5_rd_cred","creds_out"],[354,1,1,"c.krb5_rd_cred","rdata_out"]],krb5_rd_error:[[355,1,1,"c.krb5_rd_error","context"],[355,1,1,"c.krb5_rd_error","dec_error"],[355,1,1,"c.krb5_rd_error","enc_errbuf"]],krb5_rd_priv:[[356,1,1,"c.krb5_rd_priv","auth_context"],[356,1,1,"c.krb5_rd_priv","context"],[356,1,1,"c.krb5_rd_priv","inbuf"],[356,1,1,"c.krb5_rd_priv","rdata_out"],[356,1,1,"c.krb5_rd_priv","userdata_out"]],krb5_rd_rep:[[357,1,1,"c.krb5_rd_rep","auth_context"],[357,1,1,"c.krb5_rd_rep","context"],[357,1,1,"c.krb5_rd_rep","inbuf"],[357,1,1,"c.krb5_rd_rep","repl"]],krb5_rd_rep_dce:[[358,1,1,"c.krb5_rd_rep_dce","auth_context"],[358,1,1,"c.krb5_rd_rep_dce","context"],[358,1,1,"c.krb5_rd_rep_dce","inbuf"],[358,1,1,"c.krb5_rd_rep_dce","nonce"]],krb5_rd_req:[[359,1,1,"c.krb5_rd_req","ap_req_options"],[359,1,1,"c.krb5_rd_req","auth_context"],[359,1,1,"c.krb5_rd_req","context"],[359,1,1,"c.krb5_rd_req","inbuf"],[359,1,1,"c.krb5_rd_req","keytab"],[359,1,1,"c.krb5_rd_req","server"],[359,1,1,"c.krb5_rd_req","ticket"]],krb5_rd_safe:[[360,1,1,"c.krb5_rd_safe","auth_context"],[360,1,1,"c.krb5_rd_safe","context"],[360,1,1,"c.krb5_rd_safe","inbuf"],[360,1,1,"c.krb5_rd_safe","rdata_out"],[360,1,1,"c.krb5_rd_safe","userdata_out"]],krb5_read_password:[[361,1,1,"c.krb5_read_password","context"],[361,1,1,"c.krb5_read_password","prompt"],[361,1,1,"c.krb5_read_password","prompt2"],[361,1,1,"c.krb5_read_password","return_pwd"],[361,1,1,"c.krb5_read_password","size_return"]],krb5_realm_compare:[[362,1,1,"c.krb5_realm_compare","context"],[362,1,1,"c.krb5_realm_compare","princ1"],[362,1,1,"c.krb5_realm_compare","princ2"]],krb5_recvauth:[[363,1,1,"c.krb5_recvauth","appl_version"],[363,1,1,"c.krb5_recvauth","auth_context"],[363,1,1,"c.krb5_recvauth","context"],[363,1,1,"c.krb5_recvauth","fd"],[363,1,1,"c.krb5_recvauth","flags"],[363,1,1,"c.krb5_recvauth","keytab"],[363,1,1,"c.krb5_recvauth","server"],[363,1,1,"c.krb5_recvauth","ticket"]],krb5_recvauth_version:[[364,1,1,"c.krb5_recvauth_version","auth_context"],[364,1,1,"c.krb5_recvauth_version","context"],[364,1,1,"c.krb5_recvauth_version","fd"],[364,1,1,"c.krb5_recvauth_version","flags"],[364,1,1,"c.krb5_recvauth_version","keytab"],[364,1,1,"c.krb5_recvauth_version","server"],[364,1,1,"c.krb5_recvauth_version","ticket"],[364,1,1,"c.krb5_recvauth_version","version"]],krb5_replay_data:[[875,3,1,"c.krb5_replay_data.seq","seq"],[875,3,1,"c.krb5_replay_data.timestamp","timestamp"],[875,3,1,"c.krb5_replay_data.usec","usec"]],krb5_responder_get_challenge:[[365,1,1,"c.krb5_responder_get_challenge","ctx"],[365,1,1,"c.krb5_responder_get_challenge","question"],[365,1,1,"c.krb5_responder_get_challenge","rctx"]],krb5_responder_list_questions:[[366,1,1,"c.krb5_responder_list_questions","ctx"],[366,1,1,"c.krb5_responder_list_questions","rctx"]],krb5_responder_otp_challenge:[[878,3,1,"c.krb5_responder_otp_challenge.service","service"],[878,3,1,"c.krb5_responder_otp_challenge.tokeninfo","tokeninfo"]],krb5_responder_otp_challenge_free:[[367,1,1,"c.krb5_responder_otp_challenge_free","chl"],[367,1,1,"c.krb5_responder_otp_challenge_free","ctx"],[367,1,1,"c.krb5_responder_otp_challenge_free","rctx"]],krb5_responder_otp_get_challenge:[[368,1,1,"c.krb5_responder_otp_get_challenge","chl"],[368,1,1,"c.krb5_responder_otp_get_challenge","ctx"],[368,1,1,"c.krb5_responder_otp_get_challenge","rctx"]],krb5_responder_otp_set_answer:[[369,1,1,"c.krb5_responder_otp_set_answer","ctx"],[369,1,1,"c.krb5_responder_otp_set_answer","pin"],[369,1,1,"c.krb5_responder_otp_set_answer","rctx"],[369,1,1,"c.krb5_responder_otp_set_answer","ti"],[369,1,1,"c.krb5_responder_otp_set_answer","value"]],krb5_responder_otp_tokeninfo:[[879,3,1,"c.krb5_responder_otp_tokeninfo.alg_id","alg_id"],[879,3,1,"c.krb5_responder_otp_tokeninfo.challenge","challenge"],[879,3,1,"c.krb5_responder_otp_tokeninfo.flags","flags"],[879,3,1,"c.krb5_responder_otp_tokeninfo.format","format"],[879,3,1,"c.krb5_responder_otp_tokeninfo.length","length"],[879,3,1,"c.krb5_responder_otp_tokeninfo.token_id","token_id"],[879,3,1,"c.krb5_responder_otp_tokeninfo.vendor","vendor"]],krb5_responder_pkinit_challenge:[[880,3,1,"c.krb5_responder_pkinit_challenge.identities","identities"]],krb5_responder_pkinit_challenge_free:[[370,1,1,"c.krb5_responder_pkinit_challenge_free","chl"],[370,1,1,"c.krb5_responder_pkinit_challenge_free","ctx"],[370,1,1,"c.krb5_responder_pkinit_challenge_free","rctx"]],krb5_responder_pkinit_get_challenge:[[371,1,1,"c.krb5_responder_pkinit_get_challenge","chl_out"],[371,1,1,"c.krb5_responder_pkinit_get_challenge","ctx"],[371,1,1,"c.krb5_responder_pkinit_get_challenge","rctx"]],krb5_responder_pkinit_identity:[[881,3,1,"c.krb5_responder_pkinit_identity.identity","identity"],[881,3,1,"c.krb5_responder_pkinit_identity.token_flags","token_flags"]],krb5_responder_pkinit_set_answer:[[372,1,1,"c.krb5_responder_pkinit_set_answer","ctx"],[372,1,1,"c.krb5_responder_pkinit_set_answer","identity"],[372,1,1,"c.krb5_responder_pkinit_set_answer","pin"],[372,1,1,"c.krb5_responder_pkinit_set_answer","rctx"]],krb5_responder_set_answer:[[373,1,1,"c.krb5_responder_set_answer","answer"],[373,1,1,"c.krb5_responder_set_answer","ctx"],[373,1,1,"c.krb5_responder_set_answer","question"],[373,1,1,"c.krb5_responder_set_answer","rctx"]],krb5_response:[[882,3,1,"c.krb5_response.expected_nonce","expected_nonce"],[882,3,1,"c.krb5_response.magic","magic"],[882,3,1,"c.krb5_response.message_type","message_type"],[882,3,1,"c.krb5_response.request_time","request_time"],[882,3,1,"c.krb5_response.response","response"]],krb5_salttype_to_string:[[374,1,1,"c.krb5_salttype_to_string","buffer"],[374,1,1,"c.krb5_salttype_to_string","buflen"],[374,1,1,"c.krb5_salttype_to_string","salttype"]],krb5_sendauth:[[375,1,1,"c.krb5_sendauth","ap_req_options"],[375,1,1,"c.krb5_sendauth","appl_version"],[375,1,1,"c.krb5_sendauth","auth_context"],[375,1,1,"c.krb5_sendauth","ccache"],[375,1,1,"c.krb5_sendauth","client"],[375,1,1,"c.krb5_sendauth","context"],[375,1,1,"c.krb5_sendauth","error"],[375,1,1,"c.krb5_sendauth","fd"],[375,1,1,"c.krb5_sendauth","in_creds"],[375,1,1,"c.krb5_sendauth","in_data"],[375,1,1,"c.krb5_sendauth","out_creds"],[375,1,1,"c.krb5_sendauth","rep_result"],[375,1,1,"c.krb5_sendauth","server"]],krb5_server_decrypt_ticket_keytab:[[376,1,1,"c.krb5_server_decrypt_ticket_keytab","context"],[376,1,1,"c.krb5_server_decrypt_ticket_keytab","kt"],[376,1,1,"c.krb5_server_decrypt_ticket_keytab","ticket"]],krb5_set_default_realm:[[377,1,1,"c.krb5_set_default_realm","context"],[377,1,1,"c.krb5_set_default_realm","lrealm"]],krb5_set_default_tgs_enctypes:[[378,1,1,"c.krb5_set_default_tgs_enctypes","context"],[378,1,1,"c.krb5_set_default_tgs_enctypes","etypes"]],krb5_set_error_message:[[379,1,1,"c.krb5_set_error_message","code"],[379,1,1,"c.krb5_set_error_message","ctx"],[379,1,1,"c.krb5_set_error_message","fmt"]],krb5_set_kdc_recv_hook:[[380,1,1,"c.krb5_set_kdc_recv_hook","context"],[380,1,1,"c.krb5_set_kdc_recv_hook","data"],[380,1,1,"c.krb5_set_kdc_recv_hook","recv_hook"]],krb5_set_kdc_send_hook:[[381,1,1,"c.krb5_set_kdc_send_hook","context"],[381,1,1,"c.krb5_set_kdc_send_hook","data"],[381,1,1,"c.krb5_set_kdc_send_hook","send_hook"]],krb5_set_password:[[382,1,1,"c.krb5_set_password","change_password_for"],[382,1,1,"c.krb5_set_password","context"],[382,1,1,"c.krb5_set_password","creds"],[382,1,1,"c.krb5_set_password","newpw"],[382,1,1,"c.krb5_set_password","result_code"],[382,1,1,"c.krb5_set_password","result_code_string"],[382,1,1,"c.krb5_set_password","result_string"]],krb5_set_password_using_ccache:[[383,1,1,"c.krb5_set_password_using_ccache","ccache"],[383,1,1,"c.krb5_set_password_using_ccache","change_password_for"],[383,1,1,"c.krb5_set_password_using_ccache","context"],[383,1,1,"c.krb5_set_password_using_ccache","newpw"],[383,1,1,"c.krb5_set_password_using_ccache","result_code"],[383,1,1,"c.krb5_set_password_using_ccache","result_code_string"],[383,1,1,"c.krb5_set_password_using_ccache","result_string"]],krb5_set_principal_realm:[[384,1,1,"c.krb5_set_principal_realm","context"],[384,1,1,"c.krb5_set_principal_realm","principal"],[384,1,1,"c.krb5_set_principal_realm","realm"]],krb5_set_real_time:[[385,1,1,"c.krb5_set_real_time","context"],[385,1,1,"c.krb5_set_real_time","microseconds"],[385,1,1,"c.krb5_set_real_time","seconds"]],krb5_set_trace_callback:[[386,1,1,"c.krb5_set_trace_callback","cb_data"],[386,1,1,"c.krb5_set_trace_callback","context"],[386,1,1,"c.krb5_set_trace_callback","fn"]],krb5_set_trace_filename:[[387,1,1,"c.krb5_set_trace_filename","context"],[387,1,1,"c.krb5_set_trace_filename","filename"]],krb5_sname_match:[[388,1,1,"c.krb5_sname_match","context"],[388,1,1,"c.krb5_sname_match","matching"],[388,1,1,"c.krb5_sname_match","princ"]],krb5_sname_to_principal:[[389,1,1,"c.krb5_sname_to_principal","context"],[389,1,1,"c.krb5_sname_to_principal","hostname"],[389,1,1,"c.krb5_sname_to_principal","ret_princ"],[389,1,1,"c.krb5_sname_to_principal","sname"],[389,1,1,"c.krb5_sname_to_principal","type"]],krb5_string_to_cksumtype:[[390,1,1,"c.krb5_string_to_cksumtype","cksumtypep"],[390,1,1,"c.krb5_string_to_cksumtype","string"]],krb5_string_to_deltat:[[391,1,1,"c.krb5_string_to_deltat","deltatp"],[391,1,1,"c.krb5_string_to_deltat","string"]],krb5_string_to_enctype:[[392,1,1,"c.krb5_string_to_enctype","enctypep"],[392,1,1,"c.krb5_string_to_enctype","string"]],krb5_string_to_key:[[393,1,1,"c.krb5_string_to_key","context"],[393,1,1,"c.krb5_string_to_key","data"],[393,1,1,"c.krb5_string_to_key","eblock"],[393,1,1,"c.krb5_string_to_key","keyblock"],[393,1,1,"c.krb5_string_to_key","salt"]],krb5_string_to_salttype:[[394,1,1,"c.krb5_string_to_salttype","salttypep"],[394,1,1,"c.krb5_string_to_salttype","string"]],krb5_string_to_timestamp:[[395,1,1,"c.krb5_string_to_timestamp","string"],[395,1,1,"c.krb5_string_to_timestamp","timestampp"]],krb5_ticket:[[883,3,1,"c.krb5_ticket.enc_part","enc_part"],[883,3,1,"c.krb5_ticket.enc_part2","enc_part2"],[883,3,1,"c.krb5_ticket.magic","magic"],[883,3,1,"c.krb5_ticket.server","server"]],krb5_ticket_times:[[884,3,1,"c.krb5_ticket_times.authtime","authtime"],[884,3,1,"c.krb5_ticket_times.endtime","endtime"],[884,3,1,"c.krb5_ticket_times.renew_till","renew_till"],[884,3,1,"c.krb5_ticket_times.starttime","starttime"]],krb5_timeofday:[[396,1,1,"c.krb5_timeofday","context"],[396,1,1,"c.krb5_timeofday","timeret"]],krb5_timestamp_to_sfstring:[[397,1,1,"c.krb5_timestamp_to_sfstring","buffer"],[397,1,1,"c.krb5_timestamp_to_sfstring","buflen"],[397,1,1,"c.krb5_timestamp_to_sfstring","pad"],[397,1,1,"c.krb5_timestamp_to_sfstring","timestamp"]],krb5_timestamp_to_string:[[398,1,1,"c.krb5_timestamp_to_string","buffer"],[398,1,1,"c.krb5_timestamp_to_string","buflen"],[398,1,1,"c.krb5_timestamp_to_string","timestamp"]],krb5_tkt_authent:[[886,3,1,"c.krb5_tkt_authent.ap_options","ap_options"],[886,3,1,"c.krb5_tkt_authent.authenticator","authenticator"],[886,3,1,"c.krb5_tkt_authent.magic","magic"],[886,3,1,"c.krb5_tkt_authent.ticket","ticket"]],krb5_tkt_creds_free:[[399,1,1,"c.krb5_tkt_creds_free","context"],[399,1,1,"c.krb5_tkt_creds_free","ctx"]],krb5_tkt_creds_get:[[400,1,1,"c.krb5_tkt_creds_get","context"],[400,1,1,"c.krb5_tkt_creds_get","ctx"]],krb5_tkt_creds_get_creds:[[401,1,1,"c.krb5_tkt_creds_get_creds","context"],[401,1,1,"c.krb5_tkt_creds_get_creds","creds"],[401,1,1,"c.krb5_tkt_creds_get_creds","ctx"]],krb5_tkt_creds_get_times:[[402,1,1,"c.krb5_tkt_creds_get_times","context"],[402,1,1,"c.krb5_tkt_creds_get_times","ctx"],[402,1,1,"c.krb5_tkt_creds_get_times","times"]],krb5_tkt_creds_init:[[403,1,1,"c.krb5_tkt_creds_init","ccache"],[403,1,1,"c.krb5_tkt_creds_init","context"],[403,1,1,"c.krb5_tkt_creds_init","creds"],[403,1,1,"c.krb5_tkt_creds_init","ctx"],[403,1,1,"c.krb5_tkt_creds_init","options"]],krb5_tkt_creds_step:[[404,1,1,"c.krb5_tkt_creds_step","context"],[404,1,1,"c.krb5_tkt_creds_step","ctx"],[404,1,1,"c.krb5_tkt_creds_step","flags"],[404,1,1,"c.krb5_tkt_creds_step","in"],[404,1,1,"c.krb5_tkt_creds_step","out"],[404,1,1,"c.krb5_tkt_creds_step","realm"]],krb5_trace_info:[[889,3,1,"c.krb5_trace_info.message","message"]],krb5_transited:[[890,3,1,"c.krb5_transited.magic","magic"],[890,3,1,"c.krb5_transited.tr_contents","tr_contents"],[890,3,1,"c.krb5_transited.tr_type","tr_type"]],krb5_typed_data:[[891,3,1,"c.krb5_typed_data.data","data"],[891,3,1,"c.krb5_typed_data.length","length"],[891,3,1,"c.krb5_typed_data.magic","magic"],[891,3,1,"c.krb5_typed_data.type","type"]],krb5_unmarshal_credentials:[[405,1,1,"c.krb5_unmarshal_credentials","context"],[405,1,1,"c.krb5_unmarshal_credentials","creds_out"],[405,1,1,"c.krb5_unmarshal_credentials","data"]],krb5_unparse_name:[[406,1,1,"c.krb5_unparse_name","context"],[406,1,1,"c.krb5_unparse_name","name"],[406,1,1,"c.krb5_unparse_name","principal"]],krb5_unparse_name_ext:[[407,1,1,"c.krb5_unparse_name_ext","context"],[407,1,1,"c.krb5_unparse_name_ext","name"],[407,1,1,"c.krb5_unparse_name_ext","principal"],[407,1,1,"c.krb5_unparse_name_ext","size"]],krb5_unparse_name_flags:[[408,1,1,"c.krb5_unparse_name_flags","context"],[408,1,1,"c.krb5_unparse_name_flags","flags"],[408,1,1,"c.krb5_unparse_name_flags","name"],[408,1,1,"c.krb5_unparse_name_flags","principal"]],krb5_unparse_name_flags_ext:[[409,1,1,"c.krb5_unparse_name_flags_ext","context"],[409,1,1,"c.krb5_unparse_name_flags_ext","flags"],[409,1,1,"c.krb5_unparse_name_flags_ext","name"],[409,1,1,"c.krb5_unparse_name_flags_ext","principal"],[409,1,1,"c.krb5_unparse_name_flags_ext","size"]],krb5_us_timeofday:[[410,1,1,"c.krb5_us_timeofday","context"],[410,1,1,"c.krb5_us_timeofday","microseconds"],[410,1,1,"c.krb5_us_timeofday","seconds"]],krb5_use_enctype:[[411,1,1,"c.krb5_use_enctype","context"],[411,1,1,"c.krb5_use_enctype","eblock"],[411,1,1,"c.krb5_use_enctype","enctype"]],krb5_verify_authdata_kdc_issued:[[412,1,1,"c.krb5_verify_authdata_kdc_issued","ad_kdcissued"],[412,1,1,"c.krb5_verify_authdata_kdc_issued","authdata"],[412,1,1,"c.krb5_verify_authdata_kdc_issued","context"],[412,1,1,"c.krb5_verify_authdata_kdc_issued","issuer"],[412,1,1,"c.krb5_verify_authdata_kdc_issued","key"]],krb5_verify_checksum:[[413,1,1,"c.krb5_verify_checksum","cksum"],[413,1,1,"c.krb5_verify_checksum","context"],[413,1,1,"c.krb5_verify_checksum","ctype"],[413,1,1,"c.krb5_verify_checksum","in"],[413,1,1,"c.krb5_verify_checksum","in_length"],[413,1,1,"c.krb5_verify_checksum","seed"],[413,1,1,"c.krb5_verify_checksum","seed_length"]],krb5_verify_init_creds:[[414,1,1,"c.krb5_verify_init_creds","ccache"],[414,1,1,"c.krb5_verify_init_creds","context"],[414,1,1,"c.krb5_verify_init_creds","creds"],[414,1,1,"c.krb5_verify_init_creds","keytab"],[414,1,1,"c.krb5_verify_init_creds","options"],[414,1,1,"c.krb5_verify_init_creds","server"]],krb5_verify_init_creds_opt:[[894,3,1,"c.krb5_verify_init_creds_opt.ap_req_nofail","ap_req_nofail"],[894,3,1,"c.krb5_verify_init_creds_opt.flags","flags"]],krb5_verify_init_creds_opt_init:[[415,1,1,"c.krb5_verify_init_creds_opt_init","k5_vic_options"]],krb5_verify_init_creds_opt_set_ap_req_nofail:[[416,1,1,"c.krb5_verify_init_creds_opt_set_ap_req_nofail","ap_req_nofail"],[416,1,1,"c.krb5_verify_init_creds_opt_set_ap_req_nofail","k5_vic_options"]],krb5_vprepend_error_message:[[417,1,1,"c.krb5_vprepend_error_message","args"],[417,1,1,"c.krb5_vprepend_error_message","code"],[417,1,1,"c.krb5_vprepend_error_message","ctx"],[417,1,1,"c.krb5_vprepend_error_message","fmt"]],krb5_vset_error_message:[[418,1,1,"c.krb5_vset_error_message","args"],[418,1,1,"c.krb5_vset_error_message","code"],[418,1,1,"c.krb5_vset_error_message","ctx"],[418,1,1,"c.krb5_vset_error_message","fmt"]],krb5_vwrap_error_message:[[419,1,1,"c.krb5_vwrap_error_message","args"],[419,1,1,"c.krb5_vwrap_error_message","code"],[419,1,1,"c.krb5_vwrap_error_message","ctx"],[419,1,1,"c.krb5_vwrap_error_message","fmt"],[419,1,1,"c.krb5_vwrap_error_message","old_code"]],krb5_wrap_error_message:[[420,1,1,"c.krb5_wrap_error_message","code"],[420,1,1,"c.krb5_wrap_error_message","ctx"],[420,1,1,"c.krb5_wrap_error_message","fmt"],[420,1,1,"c.krb5_wrap_error_message","old_code"]],passwd_phrase_element:[[895,3,1,"c.passwd_phrase_element.magic","magic"],[895,3,1,"c.passwd_phrase_element.passwd","passwd"],[895,3,1,"c.passwd_phrase_element.phrase","phrase"]]},objnames:{"0":["c","function","C function"],"1":["c","functionParam","C function parameter"],"2":["c","type","C type"],"3":["c","member","C member"],"4":["py","data","Python data"]},objtypes:{"0":"c:function","1":"c:functionParam","2":"c:type","3":"c:member","4":"py:data"},terms:{"0":[3,5,6,14,15,20,21,23,28,35,37,39,41,43,46,49,50,53,55,56,61,62,63,64,65,66,67,68,69,71,72,73,74,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,121,124,125,126,129,130,132,133,134,135,137,139,141,142,145,147,148,149,150,152,153,154,155,156,157,158,159,161,162,163,164,165,166,167,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,231,235,236,238,245,248,260,261,262,264,265,266,267,268,271,272,273,274,275,276,277,278,279,280,282,286,287,288,289,290,294,295,296,298,299,300,301,302,303,304,305,306,308,310,311,313,314,315,316,317,318,321,322,323,324,325,326,327,328,329,330,331,332,333,335,336,337,338,339,342,344,345,347,352,354,355,356,357,358,359,360,361,363,364,374,375,376,377,378,382,383,384,385,389,390,391,392,394,395,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,534,621,629,647,679,733,735,791,803,837,908,910,914,915,918,919,923,928,932,933,934,935,943,946,948],"00":[3,5,23,898],"01":[5,23,42,898,924],"02":[34,918],"03":[14,35,939],"04":[924,939],"0400":898,"05":939,"05pm":898,"06":[924,939],"07":[898,939],"08":[898,939],"0h":[20,34,898],"0m":[20,34,898],"0s":[20,34,898],"0x0000":478,"0x00000001":[440,498,522,523,752,755],"0x00000002":[436,494,525,529,749,754],"0x00000004":[521,524,747],"0x00000008":[488,526,528,753],"0x00000010":[21,496,527,748],"0x00000020":[487,530,746],"0x00000040":751,"0x00000080":745,"0x00000100":750,"0x00000200":756,"0x00008000":[497,772],"0x0001":[444,471,544,562,726,729,762],"0x00010000":[485,773],"0x0002":[425,454,472,560,725,728],"0x00020000":486,"0x0003":[455,473],"0x0004":[445,474,557,730],"0x00040000":780,"0x0005":[423,469],"0x0006":[431,468],"0x0007":[428,456],"0x0008":[457,475,559,731],"0x00080000":786,"0x0009":[453,476],"0x000a":477,"0x000b":482,"0x000c":[449,479],"0x000d":480,"0x000e":[458,481],"0x000f":[447,467],"0x0010":[424,448,470,556],"0x00100000":776,"0x0011":[442,459],"0x0012":[443,461],"0x0013":[450,460],"0x0014":[430,451,462],"0x0017":463,"0x0018":[426,464],"0x0019":465,"0x001a":466,"0x0020":552,"0x00200000":782,"0x0040":558,"0x00400000":777,"0x0080":561,"0x00800000":[495,785],"0x0100":[422,555],"0x01000000":778,"0x0101":427,"0x01ff":483,"0x0200":554,"0x02000000":[491,781],"0x0400":553,"0x04000000":[484,779],"0x08000000":[493,784],"0x1":[564,565,713,717,721,761],"0x10":712,"0x10000000":[492,783],"0x1fff":433,"0x2":[563,714,716,719],"0x2000":434,"0x20000000":[437,490,742,775],"0x3":720,"0x4":[710,715,722],"0x4000":432,"0x40000000":[439,489,743,774],"0x54800000":499,"0x7fff":[764,768],"0x8":711,"0x8000":[429,435,765,767],"0x80000000":[438,744],"0xfffffff0":441,"1":[0,3,4,5,6,8,11,14,15,16,19,20,21,23,24,25,26,28,33,34,35,37,38,39,40,41,42,43,44,46,48,87,89,91,93,119,132,143,154,155,160,165,166,167,169,192,194,195,203,209,211,219,229,245,246,247,250,253,257,265,286,300,301,303,307,313,336,343,344,365,366,367,368,369,370,371,372,373,380,381,386,387,397,399,400,401,402,403,404,513,535,541,551,567,569,581,619,626,634,641,658,665,681,708,734,735,736,737,801,802,896,897,898,901,905,906,908,910,912,914,915,918,921,922,923,924,925,928,929,930,931,932,934,942,943,945,946,948,951,952,953],"10":[3,5,14,15,21,23,35,38,39,42,43,44,132,143,154,155,160,167,195,219,342,506,578,637,652,664,897,898,901,918],"1000":[20,23],"1022":915,"1023":915,"1024":[21,43],"10d":898,"11":[0,6,8,14,15,20,21,23,26,41,43,165,169,250,257,303,313,365,366,367,368,369,373,505,577,648,654,672,740,910,918,939],"1100":766,"114687":915,"12":[3,14,21,23,34,35,37,41,43,211,307,370,371,372,576,663,696,760,897,898,915,918,922,925,931,932,939,946],"1234":46,"127":15,"128":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],"129":[511,640,674],"12h":[20,34],"13":[3,4,20,23,39,43,596,651,699,759,897,918],"130":[638,695],"13135":12,"132":666,"133":675,"1332348778":41,"136":677,"137":[452,676],"138":[446,668],"14":[3,14,16,20,21,23,504,594,656,690,898,911,914,918,929,931],"140":918,"141":681,"141231235900":898,"142":683,"143":508,"144":682,"147":686,"149":542,"15":[6,14,20,21,26,39,43,194,253,380,381,503,597,655,688,915,918,919],"150":667,"151":[702,911],"152":692,"153":693,"15552000":3,"16":[3,19,20,21,37,43,548,575,662,689,896,910,914,915,918,921,928,930,939],"16383":915,"16384":915,"167":684,"17":[3,14,20,21,24,25,26,37,40,43,229,343,574,650,687,912,918,919,923],"18":[14,21,26,38,43,265,336,595,660,901,915,918,924,939,953],"180":[3,35],"1812":20,"19":[14,20,21,26,43,203,209,571,657,673,918,921,939,948],"192":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],"1964":911,"1970":[23,896],"1983":919,"1985":[909,919,953],"1986":953,"1989":953,"1990":[905,919],"1991":919,"1992":919,"1993":919,"1994":919,"1995":919,"1996":[3,919,953],"1997":919,"1998":919,"1999":919,"1foo":21,"2":[3,5,6,14,15,19,21,23,26,34,35,37,39,43,166,320,412,533,545,593,600,617,623,631,644,653,670,683,707,732,737,908,910,911,914,915,918,919,923,934,946,953],"20":[9,20,39,43,91,93,300,301,344,572,703,705,741,898,918,921,939],"2000":[26,637,639,703,919],"200000":898,"2001":10,"2002":[10,919,953],"2003":919,"2004":[9,919],"2005":919,"2006":919,"2007":919,"2008":919,"2009":919,"2010":919,"2011":[919,953],"2012":[35,898],"20120727203000":898,"2013":[918,919],"2014":[898,918,919],"20141231235900":898,"2015":[898,919],"2016":919,"2018":953,"2022":919,"2024":[909,919],"2037":37,"2038":[45,885,918],"2047":915,"2048":[20,21,37,915],"21":[21,26,570,573,698,718,918,939],"2106":[885,896,918],"2147483647":[568,898],"22":[531,589,678,898,939],"2253":21,"23":[9,39,590,898,939],"24":[20,46,591,939],"25":[604,694,939],"2500":[20,23],"255":918,"256":[14,20,21,40,915,918],"26":[23,603,605],"27":[602,606,898],"2743":43,"2744":43,"2782":39,"29":939,"2m":20,"3":[3,6,14,19,20,21,23,26,32,36,37,43,44,166,417,418,419,467,537,579,615,627,635,643,682,691,898,906,910,915,918,919,923,946],"30":[35,39,543,697,898,939,942],"300":[21,23],"30m":898,"31":[14,700,898,939],"3187":34,"3189":34,"32":[10,12,14,24,550,896,910,914],"3244":[382,383,918],"33":35,"35":34,"36":898,"3600":898,"365":37,"3650":37,"37":9,"384":[20,21,40],"3961":[458,664,911,912,915],"3962":[447,448,459,461],"3de":14,"3h":939,"3h30m":939,"4":[6,9,14,19,20,21,23,34,37,39,43,166,321,405,515,536,546,600,610,620,624,632,638,640,645,681,682,683,706,908,910,914,915,918],"40":[35,39],"4096":[20,21,915],"4120":[320,412,540,664,669,670,671,672,673,678,680,691,698,701,705,901,918,922],"42":[9,592],"424":9,"44":601,"4402":119,"45":600,"4537":511,"4556":[20,21,687,689,918],"4557":42,"464":[15,20,21,39,917],"47":[3,34],"4757":[43,446,463,464],"48":939,"49":939,"49151":915,"49152":915,"4gb":918,"5":[0,3,6,10,12,14,19,20,21,23,31,34,36,37,43,119,320,412,507,539,611,614,625,633,646,671,723,898,903,908,910,911,914,918,919,941,942,943,945,946,947,949,953],"50":588,"509":[20,21,37,43,918,921,948],"51":585,"512":[24,519],"513":[599,911],"514":[598,912],"52":[34,587,939],"521":[21,40],"5280":43,"53":586,"5351":918,"54":583,"5480":21,"55":584,"5587":[918,924],"5588":918,"56":[14,580],"5801":918,"5896":918,"59":[14,898],"5h30m":942,"5m":20,"6":[3,6,9,15,19,37,39,320,342,412,532,613,616,628,636,649,661,669,758],"60":[5,35,46,898,905],"604800":3,"6112":[686,918],"6113":[48,668,675,676,677,910,911,918,922],"64":[500,517,547,582,885,896],"65":[518,607],"65535":[566,918],"6560":[600,681,682,683,738,918],"6649":14,"6680":[43,918],"6803":[442,443,465,466,918],"6806":[43,542,910,918],"6820":703,"7":[3,6,23,26,33,39,41,43,247,538,612,618,622,630,642,659,701,897,918],"70":905,"71":512,"730":919,"749":[15,20,34,39,917],"753241234":3,"754":[8,15,34,41,917,953],"7546":43,"7553":39,"76cho3000":919,"774":919,"7748":21,"785900000":3,"785926535":3,"786100034":3,"7d":[20,34],"8":[3,5,6,8,12,23,26,35,43,46,247,350,365,373,516,549,608,680,709,898,910,914,918,919,942],"8009":[450,451,460,462],"8070":[667,912],"816":42,"823276":41,"823381":41,"85":906,"86400":3,"86528":42,"88":[10,15,20,34,37,39,917],"89":39,"8h30":898,"9":[14,19,20,21,26,35,41,87,89,192,245,246,386,387,399,400,401,402,403,404,514,540,609,905,918],"9138":41,"96":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],"97":509,"9899":905,"9h":19,"abstract":[920,922,928,929,931,935],"boolean":[6,20,23,36,48,55,870,894],"break":[32,902],"byte":[20,43,46,48,99,104,287,311,910,911,912,914,915,924],"case":[2,3,6,11,14,19,20,21,23,24,28,38,39,43,46,195,245,280,325,330,350,359,375,389,416,706,897,898,900,919,922,923,924,927,931,932,944,946,951,953],"char":[43,46,49,50,56,59,60,91,92,93,94,107,136,141,143,144,146,149,152,155,156,160,166,169,170,187,192,193,194,210,213,214,219,222,223,227,228,230,231,233,235,247,252,260,264,267,277,278,306,311,312,317,319,329,336,344,345,346,352,361,363,365,366,369,372,373,374,375,377,379,382,383,384,387,389,390,391,392,394,395,397,398,406,407,408,409,417,418,419,420,803,829,841,870,872,878,879,881,889,934],"class":[3,23,944],"const":[43,49,52,53,54,58,59,60,91,92,93,94,99,100,101,102,103,106,107,108,113,114,117,119,120,125,126,129,130,136,141,144,146,149,152,155,156,160,166,169,172,173,174,175,177,178,180,181,183,184,185,188,189,194,195,197,213,214,223,228,231,232,233,234,235,247,252,260,264,265,267,277,278,281,284,286,287,288,289,290,294,298,299,300,301,312,317,319,320,322,324,326,329,331,333,336,339,340,341,342,343,344,345,346,351,352,353,355,356,357,358,359,360,361,365,366,369,372,373,376,377,378,379,382,383,384,387,389,393,405,412,413,417,418,419,420,792,820,821,865,866,872,888,889,934],"default":[2,3,4,5,6,7,8,10,11,12,15,19,20,21,22,23,24,26,29,30,32,33,34,35,37,38,39,40,41,43,44,46,48,59,60,78,132,147,148,154,223,229,243,253,265,269,275,278,315,317,345,359,375,383,414,712,898,905,906,907,908,910,918,923,924,925,939,941,942,943,945,946,947,948,952,953],"do":[3,6,14,15,20,21,22,23,26,28,29,32,33,34,37,38,39,40,41,43,46,223,267,349,408,549,905,906,908,918,919,923,924,928,930,931,938,939,942,946,948,953],"export":[20,34,918,919,923,924,933,934],"final":[19,21,112,158,904,911,915],"function":[3,6,14,25,29,34,35,43,46,48,49,50,55,57,58,59,60,61,62,67,68,69,71,72,73,74,76,77,78,81,82,84,85,86,87,88,89,92,93,99,100,101,102,103,104,105,107,113,114,116,117,119,124,125,126,129,130,133,136,137,139,148,150,151,153,156,157,158,159,167,169,171,172,173,174,175,177,178,180,181,182,183,192,194,195,198,199,200,201,202,203,205,206,207,208,209,212,215,216,221,228,235,236,241,245,246,252,254,258,260,261,262,264,265,266,267,271,272,275,276,277,278,279,287,288,289,290,294,295,296,298,299,301,308,310,320,323,324,325,326,327,329,330,331,333,334,342,343,345,352,355,356,357,358,359,360,361,368,371,373,376,378,382,383,385,387,389,396,400,401,403,404,407,408,410,412,414,416,417,419,856,865,866,870,872,877,903,904,918,919,922,923,924,927,930,931,933,934],"goto":46,"h\u00f6gskola":919,"import":[5,6,14,15,17,19,21,23,34,35,918,924,938],"int":[43,51,53,56,59,62,91,92,93,94,97,111,116,120,122,166,223,241,242,243,244,249,254,255,279,306,311,345,350,352,361,382,383,404,407,408,409,416,805,811,814,818,829,840,846,848,853,857,859,870,872,873,891,894,923],"long":[3,14,15,23,25,26,37,38,39,41,43,99,287,365,366,739,766,897,900,918,919,922,931,934,948],"new":[2,3,6,14,20,21,23,24,26,34,35,37,41,43,48,87,89,129,132,138,143,154,160,163,165,166,167,169,172,173,174,175,176,177,178,180,182,183,192,194,195,211,219,229,235,243,245,246,250,253,257,260,262,269,275,280,298,300,301,303,307,313,327,330,336,338,343,344,345,359,365,366,367,368,369,370,371,372,373,380,381,382,383,386,387,399,400,401,402,403,404,407,719,720,897,901,915,918,919,923,924,927,928,931,938,939,942,944,953],"null":[19,20,21,43,44,46,48,54,64,92,99,100,102,103,107,113,129,136,141,154,155,156,164,173,195,198,200,203,209,220,223,224,228,230,231,235,240,260,264,267,269,273,275,287,288,289,290,294,298,300,301,315,322,323,325,326,329,330,331,332,336,342,343,344,354,356,359,360,361,363,364,365,366,369,372,375,377,380,381,382,383,386,388,389,397,407,408,409,412,414,793,918,923,932,934,953],"public":[21,40,919,927,928,929,930],"return":[3,9,12,20,21,22,38,43,46,48,50,52,54,56,57,59,60,69,74,91,92,93,100,103,109,110,119,127,128,133,135,137,141,142,144,145,146,147,148,149,151,152,153,154,155,156,159,161,169,176,189,192,214,223,224,227,228,229,231,235,260,262,263,264,267,268,271,279,282,283,284,288,290,301,302,303,305,306,308,310,311,314,315,316,317,318,320,323,325,330,344,345,352,355,361,365,366,368,371,375,377,378,380,382,383,384,386,388,389,396,398,400,404,406,407,408,409,410,412,414,416,731,865,866,906,918,920,921,922,923,924,925,928,929,931,932,933,934,935,942,946],"short":[14,19,21,41,306,900],"static":[46,923,934],"switch":[14,28,31,43,48,161,897],"true":[9,14,20,21,22,23,24,25,26,33,35,36,37,38,40,41,43,52,54,105,109,110,127,128,160,192,245,283,284,285,300,319,343,348,349,350,362,388,416,813,826,860,952],"try":[21,25,32,35,38,39,41,43,906,918,938,946],"var":[5,8,20,21,23,34,37,901,906,907,917,953],"void":[43,46,57,58,59,60,63,80,171,179,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,215,216,218,219,220,221,222,237,239,240,241,242,243,244,245,249,254,255,256,257,258,259,260,270,275,285,291,297,334,339,346,352,367,370,379,380,381,386,399,415,416,417,418,419,420,820,838,856,864,865,866,872,877,888,933,934],"while":[3,12,14,15,16,20,21,23,24,34,35,43,46,897,904,923,938,939,946,953],A:[3,6,8,15,16,19,21,23,24,25,26,28,32,34,35,36,37,38,43,46,169,229,342,344,366,368,371,388,740,850,876,889,897,900,901,910,911,914,915,917,918,919,920,921,922,923,924,925,927,928,929,931,932,933,934,935,939,941,942,943,953],AND:919,AS:[10,21,23,25,26,253,505,666,918,919,922,930,931],As:[3,14,16,17,26,34,35,37,39,43,46,908,928,930,934,942],At:[14,23,33,34,165,910],BE:919,BUT:919,BY:919,Be:14,But:901,By:[5,6,21,23,24,28,32,34,37,40,78,253,906,918,919,924,939,942,943,946],FOR:919,For:[3,10,14,16,17,18,19,20,21,22,23,24,26,28,32,33,34,35,36,37,38,39,43,46,99,100,103,142,287,288,290,738,896,897,901,904,905,906,910,911,915,916,917,918,920,921,922,923,924,925,927,928,929,930,931,932,933,934,935,936,938,939,942,945,946,951,953],IF:[195,300,919],IN:[826,919],IS:919,IT:919,ITS:[42,919],If:[0,2,3,4,5,6,8,9,10,11,14,15,16,17,19,20,21,22,23,24,25,26,28,29,32,33,34,35,36,37,38,39,40,41,43,44,46,54,56,99,100,101,102,103,113,129,152,154,156,158,159,161,169,192,223,224,229,230,231,235,245,250,251,253,260,264,267,269,279,280,287,288,289,290,294,298,300,301,310,315,317,325,326,327,330,331,336,342,343,344,345,352,356,359,360,361,375,377,382,383,386,388,397,404,407,414,416,731,865,866,877,897,898,901,902,904,905,906,908,910,911,918,919,921,923,924,925,931,932,934,938,939,941,942,943,944,946,947,948,951,953],In:[2,3,4,6,8,14,17,20,21,22,23,24,26,28,29,32,34,35,37,38,39,43,247,359,375,389,897,904,905,906,911,918,922,923,924,927,932,936,939,943,946,952,953],Is:14,It:[3,5,8,9,10,12,14,20,21,23,24,34,35,36,39,46,55,124,203,209,243,245,280,382,383,739,876,897,901,910,918,919,921,925,930,932,938,949,953],Its:[20,21,910],NO:919,NOT:[5,34,919],No:[3,12,21,34,151,325,919,939,953],Not:[20,21,44,51,151,614,897],OF:[911,919],ON:919,ONE:5,OR:[740,919],ORed:151,Of:[17,35],On:[15,20,21,23,34,37,41,43,100,103,144,271,279,288,290,330,359,361,400,404,407,408,409,901,904,917,918,931,939,942],One:[3,20,23,34,36,38,43,342,897,898,938,939,952],SUCH:919,Such:[14,37,39,46],THAT:919,THE:919,TO:919,That:[21,904],The:[0,3,4,5,6,7,8,9,10,11,12,15,19,20,21,22,23,24,25,26,28,29,31,33,34,35,37,38,39,40,41,43,46,53,62,69,71,74,78,80,91,93,99,100,102,103,113,117,119,121,125,126,129,135,136,138,144,146,148,153,165,166,173,176,189,198,200,217,220,224,228,229,245,248,252,262,268,274,282,286,287,288,289,290,294,296,298,300,305,307,312,315,320,321,322,325,326,331,333,344,345,346,354,356,359,360,365,366,367,368,369,370,371,372,373,376,380,381,382,383,389,398,402,403,405,406,407,408,412,414,420,618,730,738,740,745,746,749,750,752,756,807,813,827,837,850,865,866,870,876,883,896,897,898,900,901,902,903,904,905,906,907,908,910,911,912,914,915,917,918,919,920,921,922,923,924,925,927,928,929,930,931,932,933,934,935,936,938,939,941,942,944,946,948,950,951,952,953],Then:[3,6,17,24,34,942],There:[20,21,23,34,35,897,904,906,907,910,914,939],These:[14,16,20,21,23,26,34,35,37,39,43,733,904,910,918,919,922,924,927,951,953],To:[3,14,15,16,19,20,21,23,24,25,28,29,34,35,36,37,38,39,40,41,43,46,344,896,904,908,914,918,924,928,930,936,938,939,946],WILL:919,WITH:919,With:[0,3,6,22,23,39,952],_:42,_kerbero:39,_kpasswd:39,_krb5_address:805,_krb5_ap_rep:[807,808],_krb5_ap_rep_enc_part:808,_krb5_ap_req:809,_krb5_auth_context:810,_krb5_authdata:811,_krb5_authent:813,_krb5_ccach:816,_krb5_cccol_cursor:817,_krb5_checksum:818,_krb5_context:[135,156,822],_krb5_cred:[823,826],_krb5_cred_enc_part:824,_krb5_cred_info:825,_krb5_crypto_iov:827,_krb5_data:829,_krb5_enc_data:831,_krb5_enc_kdc_rep_part:832,_krb5_enc_tkt_part:833,_krb5_encrypt_block:834,_krb5_error:836,_krb5_get_init_cr:840,_krb5_get_init_creds_opt:840,_krb5_gic_opt_pa_data:841,_krb5_init_creds_context:842,_krb5_kdc_rep:845,_krb5_kdc_req:846,_krb5_keyblock:848,_krb5_kt:849,_krb5_last_req_entri:854,_krb5_pa_data:859,_krb5_pa_pac_req:860,_krb5_pa_server_referral_data:861,_krb5_pa_svr_referral_data:862,_krb5_prompt:870,_krb5_pwd_data:873,_krb5_responder_otp_challeng:878,_krb5_responder_otp_tokeninfo:879,_krb5_responder_pkinit_challeng:880,_krb5_responder_pkinit_ident:881,_krb5_respons:882,_krb5_ticket:883,_krb5_ticket_tim:884,_krb5_tkt_authent:886,_krb5_tkt_creds_context:887,_krb5_trace_info:889,_krb5_transit:890,_krb5_typed_data:891,_krb5_verify_init_creds_opt:894,_passwd_phrase_el:895,_profile_t:[262,269],_tcp:39,_udp:39,abbrevi:[904,943],abc:[906,953],abi:885,abil:[14,368,371,952],abl:[15,16,19,20,21,23,25,29,34,35,39,897,902,938,939,946],abort:[802,803,933],about:[0,14,19,20,22,23,26,31,39,41,43,46,251,901,904,906,908,918,919,922,931,936,939,942,953],abov:[6,14,19,21,22,23,25,26,32,34,37,41,43,46,901,906,910,919,923,924,925,939,946],absenc:[20,46],absent:942,absolut:[20,21,896,900,904],ac02:919,ac:[72,73,76,77,86,87,88,89],acceler:919,accept:[3,4,8,14,15,16,20,21,26,34,38,39,41,151,389,898,900,904,918,919,920,924,933,934,939,942],acceptor:[8,918,943],acceptor_cred_handl:43,access:[3,4,8,9,14,17,18,19,20,21,22,23,24,25,26,28,29,32,33,34,35,37,39,43,46,897,902,904,912,915,918,922,927,928,930,931,932,937,939,945,946,951,952],accident:918,accommod:[46,901],accomplish:[23,26],accord:[3,19,21,36,38,43,154,167,910,911,917,924,946,948],account:[20,21,24,25,28,30,48,56,245,336,897,918,932,937,942,946,950,952],account_expir:[245,838],acknowledg:919,acl:[3,4,8,18,20,21,22,23,31,917],acl_fil:[4,8,19,20,34],acquir:[3,6,8,43,48,245,274,402,548,910,918,924,948],acquisit:[43,403],across:[17,20,21,34,43,928,929,930,938],act:[10,19,21,26,901,918],action:[4,6,14,901,919,929],activ:[3,6,8,14,21,23,25,37,40,169,941],actor:19,actual:[6,14,23,26,35,46,98,99,100,102,103,113,129,287,288,289,290,294,298,901,939],actual_mech:43,ad:[3,6,8,17,20,21,23,24,25,26,32,34,38,40,41,48,195,300,302,740,897,910,918,921,948],ad_kdcissu:[320,412],ad_typ:[195,811,910],ad_type_extern:789,ad_type_field_type_mask:789,ad_type_regist:789,ad_type_reserv:789,add:[3,6,9,11,12,14,15,19,20,21,22,23,31,33,36,38,48,300,343,712,898,918,939],add_auth_ind:[918,931],add_mkei:[14,23],add_polici:23,add_princip:[5,14,23,25,37],add_rel:934,addent:[11,918],addit:[3,18,19,20,21,22,26,29,34,37,38,39,40,43,46,48,301,363,364,414,836,897,901,904,906,908,909,918,919,922,931,936,942,946,953],addition:[10,21,36,930,939],addpol:[3,23,35],addprinc:[3,23,34,37,898,928],addr1:[52,53],addr2:[52,53],addr:[54,232,233,234,332,825,826,832],address1:910,address2:910,address:[0,15,20,21,23,24,30,33,38,39,44,48,260,325,326,331,356,359,360,523,524,525,526,805,824,826,833,846,906,910,918,933,939,942,943],address_list:840,addresssanit:918,addrlist:54,addrtyp:[429,805,910],addrtype_addrport:789,addrtype_chao:789,addrtype_ddp:789,addrtype_inet6:789,addrtype_inet:789,addrtype_ipport:789,addrtype_is_loc:789,addrtype_iso:789,addrtype_netbio:789,addrtype_xn:789,adjust:[14,29,33,34,37,48,100,103,288,290,410],adm:[20,22,39],admcil:19,admcilsp:19,admin:[3,4,5,8,14,15,16,19,21,22,23,26,32,34,897,906,917,918,928,946,953],admin_serv:[3,8,20,21,34,39],adminhost:3,administ:[4,15,34],administr:[0,2,3,4,5,6,11,14,15,16,18,19,20,21,22,24,25,26,31,32,35,36,38,897,903,916,917,918,919,929,936,938,942,952,953],adminjohndoefoo:21,adtyp:811,advanc:[14,30,150,314,918,936],advantag:[14,21,26,32],advertis:[21,918,919],advic:31,advis:[14,919],ae:[3,14,15,20,25,906,918,919],aead:48,aes128:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],aes256:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],aesni:[906,919],af:14,af_unspec:933,affect:[4,19,20,21,26,28,40,126,133,229,918,942,953],afford:32,afs3:14,after:[2,3,4,6,10,12,14,21,23,24,25,33,34,35,37,80,98,136,228,272,380,401,885,896,897,902,904,910,911,914,915,918,938,939,946,953],afterward:[23,929],again:[14,28,33,34,720,901,918,924,938,939],against:[2,14,20,21,25,28,34,39,40,46,48,129,298,342,356,359,360,363,412,901,906,918,921,924,945,951],agent:20,agre:919,agreement:919,aklog:55,al:3,alexand:919,alg_id:879,algid:738,algorithm:[14,26,126,915,918,919,946],alia:[3,11,43,48,144,146,312,365,366],alias:[3,11,15,22,38,39,918],alic:[11,23,28,951,952],all:[0,2,3,6,9,14,15,17,18,19,20,21,23,24,25,26,28,29,32,33,34,35,37,38,43,46,48,153,163,164,282,342,359,414,747,748,753,817,827,897,898,901,904,905,909,910,915,918,919,930,932,939,941,943,944,945,946,948,951,953],alloc:[43,46,48,61,78,93,98,99,100,102,103,107,115,117,119,121,124,148,280,287,288,289,290,296,355,357,407,827,870,921,923,925,928,932],allow:[2,3,4,5,6,8,10,12,14,15,16,17,18,19,20,21,23,24,26,28,29,32,33,34,35,36,37,38,40,41,43,46,48,111,252,279,359,404,407,898,900,902,904,906,908,911,918,919,920,921,922,924,925,926,927,928,929,930,931,932,933,934,935,938,939,942,945,952],allow_des3:[21,26,918],allow_dup_skei:3,allow_forward:[3,5],allow_postd:[3,5],allow_proxi:3,allow_rc4:[21,26,918],allow_renew:3,allow_svr:[3,23,25,35,40],allow_tgs_req:3,allow_tix:3,allow_weak_crypto:[14,21,26,41,48],allowedkeysalt:3,almeida:919,alon:[34,923],along:[0,36,827,897,906,924],alongsid:34,alphabet:898,alphanumer:21,alreadi:[6,14,22,34,36,43,124,333,897,904,906,908,942,946,948],also:[15,17,18,22,23,24,25,26,28,29,32,33,34,35,37,38,39,40,43,46,126,342,403,896,897,900,906,908,910,918,919,921,922,924,925,927,928,930,932,934,935,939],alter:[14,37],altern:[8,15,20,21,22,24,28,34,37,43,500,904,906,917,918,919,942],although:[39,900,919,925,935,938,939],altogeth:20,alwai:[14,15,20,21,23,24,39,44,51,55,61,63,66,68,71,80,83,139,142,155,365,716,910,914,918],am:898,america:919,among:46,amount:[20,21,35,39,102,119,121,289,361,905],an2ln:[21,932],an2ln_typ:932,an:[0,2,3,4,5,6,8,9,11,12,14,15,16,19,20,21,22,23,24,25,26,28,29,32,33,34,35,36,37,38,39,40,41,43,46,48,55,56,61,93,99,101,119,126,144,146,154,229,235,236,241,243,247,260,263,265,276,277,279,287,300,301,312,315,320,326,327,330,331,342,355,356,360,365,366,373,375,388,394,404,407,412,414,722,735,736,738,813,821,827,837,868,869,877,896,900,901,904,905,906,910,911,912,915,917,918,919,920,922,923,924,927,928,929,931,932,933,934,935,938,939,942,944,946,948,953],analog:15,anam:[56,946],anchor:[20,21,942],andrea:919,andrew:5,ani:[0,3,6,8,9,10,14,15,16,17,19,20,21,23,24,25,26,28,32,34,36,37,38,39,40,41,43,46,48,56,137,147,153,154,156,224,260,268,275,278,279,310,315,359,363,364,404,414,740,837,897,901,902,910,911,915,918,919,920,924,925,932,938,939,942,943,946,952],ank:3,anl:21,annot:[16,23,36,918],anonym:[3,20,25,28,43,48,501,502,918,939,942,943],anoth:[15,17,21,24,32,41,48,101,171,826,897,901,906,910,921,922,928,932,933,939,953],ansi:905,answer:[21,46,48,366,731,738,740,876,924],anticip:[33,39],anyon:[938,952],anyth:[21,37],anywai:[20,39,46,330],anywher:[938,953],ap:[92,94,195,199,327,328,329,330,357,358,359,503,807],ap_opt:[329,330,375,809,886],ap_opts_etype_negoti:789,ap_opts_mutual_requir:[330,359,375,789],ap_opts_reserv:789,ap_opts_use_session_kei:[330,789],ap_opts_use_subkei:[330,789],ap_opts_wire_mask:789,ap_req_authdata:195,ap_req_nofail:[416,894],ap_req_opt:[329,330,359,375],api:[0,14,41,43,45,98,100,103,186,188,190,191,196,197,245,250,251,262,281,288,290,351,353,411,740,827,847,897,903,906,918,920,924,931],appdata:[21,901],appdefault:48,appear:[14,20,21,24,34,37,39,41,46,910,919,923],append:[3,20,23,38,387,900,906,915],appl:[903,919],appl_vers:[363,375],appli:[3,10,14,18,19,20,21,23,24,35,41,43,171,919,928,931,939,942,946,950],applic:[0,12,16,18,20,21,28,30,31,37,43,46,48,59,60,156,250,329,330,331,363,375,504,528,529,718,741,896,897,900,901,903,906,916,918,919,922,924,927,932,934,938,939,945,949,952],appnam:[59,60],approach:43,appropri:[6,14,21,23,24,28,29,34,37,39,43,46,154,373,398,920,930,931,942,943,946],approxim:[905,918],apputil:903,aprepencpart:807,ar:[0,2,3,4,5,6,9,10,11,12,14,15,16,17,18,19,20,21,22,23,24,25,26,28,29,33,34,35,36,37,38,39,40,43,46,52,53,66,78,80,83,92,100,103,105,107,153,154,164,166,217,224,229,230,231,241,245,248,252,269,279,280,288,290,325,330,342,345,348,349,350,359,361,362,366,375,381,382,383,404,408,414,731,827,837,847,885,897,898,900,901,903,904,906,908,910,911,912,914,915,917,918,919,920,922,923,924,927,929,930,932,933,935,939,941,942,944,945,946,948,951,953],arbitrari:[3,43],arcfour:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],architectur:[904,906],archiv:[42,905],area:[34,46],arg:[3,417,418,419,802,803,906,946],arg_keytab:[232,235],argument:[3,4,6,8,10,14,20,44,46,48,63,80,91,93,245,257,260,263,275,325,326,331,352,354,356,360,386,417,418,419,889,906,918,923,924,932,946,948],argv_pars:919,ari:946,aris:919,armor:[20,37,48,229,922,931,942],armor_ccach:942,around:[23,906],arrai:[3,36,43,46,48,100,103,111,173,240,244,254,288,290,322,332,352,354,821,825,827,832,833,846,868,869,932,934],arrang:23,arriv:901,asan:[906,918],asc:905,ascii:[6,23,39,910],ask:[6,37,39,46,48,738,739,740,922,938,939,942,946],asn:[48,911,912,921],aspect:[15,28,927],assert:[20,43,910,918,924,931],assign:[3,19,20,34,39,48,82,84,946],associ:[3,4,9,19,20,21,23,35,38,43,537,897,901,910,919,953],assum:[14,21,26,34,36,39,43,44,107,124,155,905,918,939,942,953],assumpt:26,asynchron:[403,931],athena:[3,5,14,15,19,20,21,23,24,28,32,34,906,919,934,938,939,953],athent:260,atom:918,attach:918,attack:[2,14,21,23,29,30,32,35,40,46,325,326,331,901,918,942],attempt:[0,3,6,20,21,24,29,35,39,43,243,250,414,910,918,946],attr:[252,841],attribut:[3,5,6,9,16,19,20,21,22,23,24,26,36,37,48,253,650,841,918,919,921,924,931,942,946],audit:918,aug:3,augment:924,august:919,auth:[16,20,39,43,48,61,329,330,359,363,364,375,504,811,825,833],auth_context:[61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,90,223,323,325,326,327,328,329,330,331,354,356,357,358,359,360,363,364,375],auth_gssapi:3,auth_to_loc:[21,28,932],auth_to_local_nam:[21,28],authdata1:910,authdata2:910,authdata:[184,189,224,320,322,412,826,910,918,926,942,943],authdata_plugin:927,authdatum:412,authent:[3,5,6,10,12,14,15,20,21,22,24,25,26,29,30,32,34,35,36,37,38,39,40,43,44,46,48,61,62,63,64,66,67,68,69,71,72,73,74,76,77,79,80,81,82,83,84,85,86,87,88,89,90,166,201,223,224,250,322,323,325,326,327,328,329,330,331,336,342,354,356,357,358,359,360,375,437,500,506,615,738,807,809,813,859,876,886,897,900,901,902,903,910,911,915,918,919,921,931,932,939,942,943,949,953],authfrom:174,author:[3,19,20,21,48,153,224,253,300,614,746,826,863,918,919,926,941],authoriaz:813,authorit:[19,21,154,920,925,928,932,933],authoritykeyidentifi:37,authorization_data:[813,833,846],authtim:[340,341,342,343,884,910],authtime_out:336,authto:174,authz:846,auto:918,autoconf:903,autodoc:908,autohead:904,autolock:919,autom:[904,918],automak:923,automat:[3,4,6,8,15,17,23,34,897,900,902,904,915,918,939,941,946],autoreconf:904,avail:[3,6,11,12,14,20,21,23,29,34,38,43,46,56,170,187,192,193,227,252,306,310,315,361,368,371,374,398,416,563,823,845,883,897,904,915,920,926,941,943,947,953],avoid:[3,14,19,24,38,46,245,906,918,939],awai:[14,41,938,939],awar:910,awk:6,b7:6,b:[344,918],back:[19,20,23,24,30,39,40,897,906,911,918,924,927],backend:[14,906,918,919],background:[4,8,10,34],backslash:344,backspac:344,backup:[23,30,32,39,902],backward:[8,20,21,24,26,34,948],bad:[34,135,156],balanc:[14,38,39],banner:[46,352,872],bar:[6,21],basch:919,base:[0,3,20,21,22,23,24,25,26,34,37,38,39,43,46,49,59,60,62,91,93,98,117,296,344,388,897,901,908,917,918,919,922,927,931,935,939,942,951],basi:[14,18,23,39],basic:934,basicconstraint:37,baz:21,bb463167:42,becaus:[6,17,19,20,21,23,24,25,35,37,38,39,41,43,46,251,342,897,904,906,910,914,929,931,934,938,942,952],becom:[0,6,14,17,21,23,34,39,136,235,260,275,897,918,938,942,946],beeblebrox:34,been:[6,12,14,20,21,23,26,35,124,897,901,915,918,919,924,927,939,943,950,953],beep:[939,941],befor:[2,3,4,5,6,14,15,20,21,22,23,26,35,37,39,41,44,98,100,103,155,288,290,381,389,827,870,898,901,902,904,919,922,929,931,939,942],beforehand:43,began:14,begin:[4,6,15,21,23,28,36,43,91,93,99,100,102,103,203,209,287,288,289,290,344,403,910,921,924,925,934,951],behalf:948,behav:[3,43,407,416,896,906],behavior:[3,14,20,21,28,39,46,228,414,416,918,923,926,927,932,941,945,950],behind:[14,28],being:[3,14,20,21,23,29,39,44,46,245,372,740,901,908,951],belong:[33,161],below:[6,20,21,23,28,36,43,740,903,919,946],benefit:39,berkelei:[906,919],besid:[15,21],best:[14,25,34,38],beta:6,better:[23,24,847,918],between:[3,9,20,21,23,25,26,29,34,35,41,45,136,158,385,885,897,918,932,939,941,942],beyond:[915,922,927,931,953],big:[910,911,912,914,924],biggest:14,bin:[34,904,906,908,917,946],binari:[21,32,906,919],bind:[3,5,20,21,22,39,918,945],bind_dn:3,binddn:3,bindir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],bindpwd:3,bison:906,bit:[14,20,24,37,46,66,83,142,153,157,359,885,896,910,914,918,921,946],bitwis:[151,740],bjaspan:3,blank:951,bleep:[3,11,939,952,953],block:[14,20,24,48,99,100,102,103,287,288,289,290,918],blocksiz:95,bob:[946,952],bodi:[846,931],book:15,boot:[34,902],bootstrap:21,borrow:939,boston:39,both:[3,12,21,22,23,24,26,28,29,36,37,39,40,43,159,245,251,904,918,919,923,946],bourn:34,box:36,brace:[21,923],bracket:[20,21,28],breviti:911,brian:919,bridg:918,brief:[32,903,927],broken:[14,906],brother:919,brute:[14,23,35],bsd:[918,919],btree:6,buffer:[3,23,43,48,56,98,99,119,170,187,192,193,279,287,300,301,306,331,336,339,374,397,398,404,407,409,538,827,918,924],buflen:[170,187,192,193,374,397,398],bug:[0,23,42,903,904,936],build:[34,39,41,48,49,136,897,903,906,916,917,918,923,927,945],built:[21,24,28,46,48,378,897,904,906,918,924,934,939,945],builtin:[906,918,919],bundl:[21,919],bunni:39,busi:919,byacc:906,c89:905,c:[3,6,19,21,22,23,48,107,228,365,807,813,832,846,883,897,905,906,919,934,941,942,943,946,947,948],ca:[20,21,29,37],cacert:[29,37],cach:[3,14,15,21,23,28,43,44,48,78,138,140,223,224,229,247,264,267,323,325,326,329,331,356,359,360,375,403,414,522,545,549,755,899,903,906,907,913,917,918,926,939,941,942,943,945,946,947,948,951,953],cache_nam:[3,941,942,943],cache_out:[132,154],cacheconf:910,cachenam:[897,947],cachetyp:918,cacreateseri:37,caddr:[825,832,833],cakei:37,california:919,call:[14,16,20,21,23,24,28,34,43,46,91,93,100,103,113,120,122,123,125,126,136,156,158,176,228,245,251,261,268,275,279,282,288,290,294,301,308,317,323,380,381,404,827,870,877,896,897,903,904,918,922,923,924,929,931,932,938,946],callback:[48,260,275,352,380,381,387,856,870,872,876,918,922,931,933],caller:[43,46,71,85,99,100,102,103,117,119,121,136,144,146,245,252,269,279,287,288,289,290,296,301,312,314,330,361,365,366,404,414,827,896,918,925,931,934],camellia128:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],camellia256:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],camellia:[20,918],can:[0,2,3,4,5,6,8,9,10,11,14,15,16,17,18,19,20,21,22,23,24,25,26,28,29,32,33,34,35,36,37,38,39,40,41,43,46,50,56,136,138,154,224,254,271,301,307,331,342,344,366,386,389,400,403,414,416,737,865,866,876,884,896,897,898,900,901,904,905,906,908,910,911,918,920,921,922,923,924,925,927,928,929,930,931,932,933,935,938,939,942,946,950,953],candid:[915,946],cannot:[3,23,24,25,35,37,43,46,91,93,135,151,260,344,414,885,910,939,942,943,948],canon:[4,15,22,23,38,39,192,300,928,932],canonhost_out:194,canonic:[15,21,22,33,43,48,301,389,546,918,942,948],capabl:[32,918,938],capac:25,capath:20,card:[3,20,21,918],care:[3,14,19,28,43,927],carefulli:37,carnegi:919,carri:[3,25,953],cartoon:34,casio:14,cast:[885,896,920,922,923,928,929,930,931,933,935],cat:6,categori:25,caus:[3,4,6,14,20,21,24,25,26,34,35,37,38,39,40,43,48,245,247,388,736,897,901,906,918,919,943,947],caution:3,cb:245,cb_data:[386,888],cb_ret:934,cbc:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],cbdata:934,cbrown:953,cc246071:918,cc246091:918,cc:[223,906,919,945],ccach:[3,23,41,43,48,132,135,164,224,225,226,232,233,234,246,250,251,264,267,321,329,375,383,403,405,414,817,906,917,920,944,948],ccache_typ:21,ccachenam:906,ccapi:[903,919],ccselect:[28,918,923,926,933],ccselect_plugin:[920,923],cd:[42,904,908],ceas:[0,6],cell:14,center:[10,903,919,953],central:0,cert:[16,21,37],cert_fil:948,certain:[23,32,236,906,919,948,953],certauth:[918,926],certauth_plugin:921,certid:21,certif:[3,20,21,29,40,43,48,253,695,912,918,926,948,953],certifi:21,certlabel:21,cf2:48,cflag:[906,945],cfr:919,chain:[20,21,918],challeng:[20,21,40,46,48,366,367,368,370,371,697,700,738,739,876,879,911,918],chang:[2,3,6,9,14,15,19,20,21,22,24,25,26,28,33,34,37,39,46,48,78,136,158,245,260,382,383,620,719,896,904,908,910,917,918,919,927,929,935,937,944,946,952],change_password:[23,26],change_password_for:[382,383],changeov:34,changepw:[3,14,23,26,166,245,300,301,382],channel:[14,21,36,43,46,325,918,946],charact:[3,19,20,21,23,34,38,39,344,397,408,715,944],charg:919,chat:936,check:[12,20,21,23,26,28,34,37,43,48,59,60,153,283,356,359,360,550,904,906,908,914,923,934,935,939,943,946],check_a:930,check_tg:930,checkout:908,checksum:[3,43,48,104,175,202,203,300,301,329,330,331,333,342,343,532,539,657,659,661,662,666,813,856,912,915,918,924],checksum_typ:818,cheetah:908,chiefli:23,chl:[46,367,368,370],chl_out:371,choic:[21,38,43,46,250,942],choos:[14,22,25,34,38,39,43,902,920,938,942,951],chosen:[16,21,22,26,43,46,229,905,911,917,918,920,951],chpass:[3,929],chrand:3,chunk:[114,295],ci:19,cipher:[14,26,48,99,100,102,103,287,288,289,290],cipher_st:[99,100,102,103,287,288,289,290],ciphertext:[25,99,100,102,103,104,287,288,289,290,807,831,911,915],circular:23,circumst:[20,37],citi:919,ckf_:740,ckfrom:175,cksum:[113,129,294,298,413],cksumtyp:[81,96,111,113,114,130,170,294,295,299],cksumtype_cmac_camellia128:789,cksumtype_cmac_camellia256:789,cksumtype_crc32:789,cksumtype_descbc:789,cksumtype_hmac_md5_arcfour:789,cksumtype_hmac_sha1_96_aes128:789,cksumtype_hmac_sha1_96_aes256:789,cksumtype_hmac_sha1_des3:789,cksumtype_hmac_sha256_128_aes128:789,cksumtype_hmac_sha384_192_aes256:789,cksumtype_md5_hmac_arcfour:789,cksumtype_nist_sha:789,cksumtype_rsa_md4:789,cksumtype_rsa_md4_d:789,cksumtype_rsa_md5:789,cksumtype_rsa_md5_d:789,cksumtype_sha1:789,cksumtypep:390,ckto:175,claim:[651,655,919],clang:918,clarifi:37,clariti:946,clean:[23,268,269,386,908,918,934],cleanli:918,cleanup:[46,934],clear:[3,6,11,15,36,46,48,136,156,377],clearpolici:[3,19],cleartext:[808,824,832],click:34,client1:37,client2:37,client:[3,12,14,16,18,20,21,22,23,25,26,28,31,32,34,35,36,38,39,40,41,43,46,48,145,154,223,224,235,241,242,258,260,264,267,275,276,277,330,333,359,363,403,651,652,740,807,808,813,825,826,833,836,845,846,897,901,903,906,910,911,912,917,918,919,920,921,923,926,928,931,933,939,942,943,945,946,948,951,953],client_aware_channel_bind:21,client_aware_gss_bind:918,client_cert:37,client_kei:918,client_keytab:43,client_princ:[46,300],clientauth:21,clientkei:37,clifford:953,clock:[21,34,48,267,356,360,898,931,942],clockskew:[15,21,359,915,934,942],close:[21,32,48,71,85,132,137,138,148,164,167,265,301,307,755,915,929,935],clpreauth:[28,926],clpreauth_mymech_initvt:923,clpreauth_plugin:922,cm:[467,476,477,479,480,481,482,918],cmac:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],cmd_path:946,cn:[5,20,22,37],cname:[33,34,38,39],code:[0,20,21,23,41,43,46,48,49,50,56,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,117,118,119,121,124,125,126,129,130,133,134,135,141,142,145,147,148,149,150,151,152,153,154,155,156,157,158,159,161,162,163,164,166,169,170,171,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,231,235,251,260,261,262,264,265,266,267,268,271,272,273,274,275,276,277,278,279,280,282,287,288,289,290,294,295,296,298,299,300,301,302,303,305,306,308,310,311,314,315,316,317,318,321,322,323,324,325,326,327,328,329,330,331,332,333,335,337,338,339,342,344,345,347,352,354,355,356,357,358,359,360,361,363,364,374,375,376,377,378,382,383,384,385,389,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,730,836,837,865,885,896,903,905,906,918,919,922,923,924,927,929,931,933,934,935,936],coerc:915,coexist:19,collect:[21,43,48,132,154,728,729,903,918,920,941,942,943,947,951,953],collis:[48,901],colon:[5,20,21,28,39,152,344,346,420,953],column:6,com:[3,6,9,11,16,20,21,22,23,28,35,37,38,39,41,42,911,912,918,919,938,939,951,952,953],com_err:[837,906,918,923],combin:[3,8,20,23,26,43,48,254,911,943],come:[21,46,359,904,905,938],comma:[3,6,10,20,21],command:[4,8,9,10,14,15,20,21,22,23,24,26,29,32,34,35,37,41,898,900,903,904,905,906,918,937,938,939,941,944,946,948,953],command_opt:[5,6],commenc:34,comment:[0,15,21],commerci:[21,37,919],commit:[9,919,929],common:[21,23,25,34,43,906,919,922,938,952],common_appdata:21,commonconfig:21,commonli:[8,41],commun:[0,21,23,25,29,34,37,43,865,897,903,919,920,936],compani:939,companion:36,compar:[47,48,129,298,911],comparison:21,compat:[8,20,21,36,43,904,906,918,928,930,948],compil:[0,904,905,906,907,918,919,945,946],compile_et:906,complet:[5,6,14,20,21,23,39,43,45,158,272,274,359,375,401,402,738,903,906,907],complex:918,compli:919,complic:[37,906],compon:[19,21,28,37,38,43,46,48,92,93,223,344,345,350,388,645,708,710,763,910,914,918,919,934,939,951],component1:[910,914],component2:[910,914],compos:37,composit:918,compress:905,compromis:[14,17,21,32,897,902],comput:[14,20,21,29,43,44,46,48,91,117,129,229,296,298,912,919,922,931,938,939],concaten:[731,911,924],concatent:924,concept:[916,926],concern:[25,35,919,939],concis:934,concret:908,concurr:[20,24],condit:[37,154,301,918,919,946],conduct:29,conf:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,22,23,24,25,26,27,28,29,30,31,32,33,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],conf_keyfil:5,conf_req_flag:43,conf_stat:43,confidenti:[26,43,918],config:[20,21,23,141,155,269,378,903,906,917,918,924,937,940],configur:[3,4,5,9,14,16,17,19,20,21,23,24,25,30,31,38,41,43,46,48,50,78,154,167,194,251,261,269,388,414,416,563,564,898,901,903,904,905,907,908,918,923,926,935,939,942,943,946,950,952,953],confirm:[2,3,5,6,23,130,299,918,948],conflict:[15,28,359,924],conform:[21,905,918,944],confound:104,confus:919,confusingli:46,confvalid:903,conjunct:948,connect:[3,4,5,8,12,20,23,32,34,38,43,48,897,901,918,919,939],consequ:14,consequenti:919,consid:[0,14,21,24,33,39,41,342,901,906,910],consider:[39,45],consist:[21,39,344,900,905,910,911,918,925,932],consol:20,consolid:0,consortium:[936,953],constant:[46,57,58,727,733,821],constitut:919,constrain:[3,333,547,654,918,948],constraint:[919,951],construct:[0,43,46,277,279,329,404,865,866,918,923,948],consult:[21,932],consum:[24,896,927],contact:[3,7,8,14,20,21,23,29,39,260,897,920,936,949],contain:[3,4,5,6,8,9,15,19,20,21,22,23,24,28,29,33,34,37,38,39,41,43,46,48,54,67,72,76,152,154,169,172,173,183,184,195,231,245,247,276,279,300,301,320,330,336,342,344,355,356,357,360,363,365,375,404,414,847,876,889,897,898,900,901,903,904,905,906,907,908,910,911,914,915,919,923,924,933,934,936,938,939,941,942,946,947,948,951,952,953],container_dn:3,container_reference_dn:5,containerdn:3,containerref:5,contempl:919,content:[0,6,9,11,12,14,23,27,34,37,43,44,46,48,82,84,124,133,137,147,148,174,175,177,178,180,182,183,198,199,200,201,202,207,208,212,215,221,280,333,334,805,811,818,827,848,859,890,897,910,912,914,919,924,942,943],context:[21,41,43,44,46,48,49,50,51,52,53,54,55,56,59,60,61,66,70,75,83,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,172,173,174,175,176,177,178,180,181,182,183,184,186,188,189,190,194,195,196,197,198,199,200,201,202,203,204,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,245,246,247,248,250,251,252,253,257,260,261,264,265,267,276,277,278,279,280,281,283,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,367,368,369,370,371,372,375,376,378,379,380,381,382,383,384,385,386,387,388,389,393,404,405,406,407,408,409,410,411,412,413,414,417,418,419,420,564,793,794,795,796,797,798,799,800,838,865,866,872,876,888,918,920,922,923,925,931,932,933],context_handl:[43,924],contigu:43,continu:[2,6,17,34,911,918,919,946],contract:919,contrari:[43,46],contribut:[101,107,119,916,919,953],contributor:[909,919],control:[4,14,15,18,19,20,21,22,26,28,34,36,37,38,41,43,46,243,279,404,414,906,907,918,920,925,926,927,930,932,933,934,935,950],convei:[14,23,39,43,837,863,918,919],conveni:[46,323,368,371,904],convent:[39,406,934],convention:953,convers:[21,911],convert:[14,21,38,43,48,169,258,389,918,951],cooki:[599,913,918,931],coordin:924,copi:[15,17,23,26,29,32,34,37,41,43,48,86,88,269,272,342,401,902,910,919,927,934,939,946],copyright:[903,905,919,953],core:[922,927,931,934,936],corpor:[919,953],correct:[4,10,14,21,23,33,34,41,124,735,897,906,918,919],correctli:[12,43,865,866,896,918,938],correspond:[6,19,21,37,39,43,44,46,56,152,245,263,342,884,908,911,918,923,924,929,953],corrupt:[6,17,918],cost:[23,29,906,919],could:[0,14,16,17,21,25,28,33,34,35,39,901,918,923,938,939,946],couldn:12,count:[3,6,43,48,87,89,111,286,910,914],counter:[3,35],countermeasur:32,counterpart:[19,33],countri:919,cours:17,courtesan:919,cover:33,cpp:906,cppflag:906,cppopt:906,cpu:40,cpw:[3,14],crash:[17,21,34],crawdad:919,crawford:919,crc:[14,26],creat:[3,4,7,12,14,15,19,20,21,22,23,24,26,28,31,32,35,43,47,48,67,72,76,93,113,114,125,126,135,138,172,173,174,175,176,177,178,180,182,183,205,236,262,265,271,294,295,307,308,324,331,345,359,363,364,375,387,400,414,710,897,898,900,904,908,911,915,918,919,920,921,922,924,925,926,928,929,930,931,932,933,934,935,936,938,939,942],create_polici:23,creation:[14,21,23,37,911],creativ:919,creativecommon:919,cred:[46,48,150,151,153,159,166,232,233,234,235,260,264,267,272,275,321,382,401,403,405,414,531,918,946],cred_handl:[43,924],cred_stor:43,cred_usag:43,cred_usage_stor:43,creddata:354,credenti:[3,8,12,16,20,21,23,28,33,35,37,45,48,138,166,177,206,207,223,224,229,321,329,333,354,375,402,405,440,549,618,653,747,823,824,825,826,877,896,899,900,901,903,906,913,918,922,924,925,926,931,939,941,942,943,945,946,947,948,951,953],credentials_cach:3,creds_out:[354,405],criteria:[37,897],critic:[46,936],crl:[20,21],cron:[17,20,34,39],cross:[3,20,21,342,343,359,906,910,918],crt:[20,21],crypto:[14,121,191,903,906,918,919],crypto_entri:834,crypto_test:919,cryptograph:[14,43,918,919],cryptographi:[14,40],cryptosystem:14,csv:[6,918],ct:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],ctime:[808,813,836],ctx:[43,72,73,76,77,86,87,88,89,171,176,213,228,270,271,272,273,274,275,276,277,278,279,346,365,366,367,368,369,370,371,372,373,379,399,400,401,402,403,404,417,418,419,420,877],ctype:[109,110,127,131,168,413],cuba:919,cultur:919,current:[2,3,6,8,9,11,14,20,21,22,23,28,39,48,136,179,330,346,356,360,382,440,742,889,897,900,906,910,915,918,922,925,926,931,939,944,951,953],curri:15,curs:906,cursor:[48,139,150,158,163,164,314,318,815,817],curv:[21,40],cusec:[808,813,836],custom:[21,908,917,918,921],cut:39,cve:918,cybersaf:[540,919],cycl:918,cygnu:[664,919],d:[3,5,6,7,8,10,19,28,898,906,918,923,939,943,953],daemon:[8,19,20,21,23,31,36,37,38,897,902,918,923,953],daffodil:[15,939],dai:[3,5,21,23,37,48,396,898,939,953],daili:14,daisi:39,dal:927,damag:[897,919],danger:[17,946],danilo:919,dash:21,data:[3,6,9,14,20,21,22,23,24,26,32,43,44,46,48,63,79,80,98,113,114,117,119,120,121,123,129,130,141,151,153,155,169,178,203,208,212,224,245,253,257,258,260,262,275,294,295,296,298,299,300,323,326,329,330,331,333,335,340,341,352,354,356,359,360,368,371,375,376,380,381,382,383,386,388,393,405,467,479,480,481,537,538,678,722,746,793,794,797,811,813,821,823,826,827,829,832,833,836,838,845,846,856,859,863,865,866,868,869,872,875,877,886,891,897,901,902,906,910,911,912,914,918,919,921,922,923,926,930,931,935,943],data_length:116,data_out:321,data_set:43,databas:[2,4,5,6,7,8,9,10,12,15,18,19,20,21,22,26,28,30,31,32,35,37,43,900,902,903,906,907,917,918,919,926,929,931,942,945,946,953],database_modul:[20,24],database_nam:[20,23,34],datadir:906,datarootdir:906,datatyp:45,date:[3,6,8,20,21,23,26,37,167,224,398,832,899,918],datebas:4,david:[15,938,939,953],db2:[3,6,20,23,35,903,917,918],db3:906,db:[24,35,906],db_185:906,db_arg:[3,4,6,8,10],db_header:906,db_lib:906,db_librari:[20,22,24],db_module_dir:20,db_princ_arg:3,dbadmin:19,dbdefault:5,dbmatch:21,dbmodul:[3,22,23,24,35],dbname:[3,6,10],dbutil:919,dc:[20,22],dce:[43,48,641,680,918],dcmd_path:946,dd:898,de:[13,20,26,41,467,918,919],deactiv:20,deal:[897,919],dealloc:[92,925,932],debian:[31,918],debug:[3,7,8,9,20,28,905],dec:[34,35,898],dec_err:324,dec_error:355,decid:[34,39,245,939],decim:[6,43,910,953],decis:[30,919,928,932,953],declar:[43,924],decod:[21,46,48,159,184,359,910,921,923],decompos:538,decreas:[21,900],decrement:48,decrypt:[3,35,43,48,79,354,364,827,883,901,918,946,948],dedic:34,default_ccache_nam:[21,136,897,953],default_client_keytab_nam:[15,21,900],default_cr:43,default_domain:21,default_kdb_fil:907,default_kdc_enctyp:907,default_keytab_nam:[21,900,907],default_principal_expir:[20,898],default_principal_flag:[19,20,918],default_profile_path:907,default_rcache_nam:[21,901],default_realm:[21,28,33,34,925,934],default_tgs_enctyp:[21,26],default_tkt_enctyp:[21,26],default_valu:[59,60],defccnam:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],defcktnam:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],defeat:40,defens:25,defer:[43,921,925,928,932],defin:[3,12,20,21,33,34,39,43,101,119,228,740,901,906,910,911,923,927,934,935,946],definit:[10,16,20,903,919,928,930],defktnam:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],del_polici:3,delai:[24,39,906,918,942],deleg:[3,20,21,333,547,654,910,918,939,943,948],delegated_cred_handl:43,delent:11,delet:[2,3,5,6,11,19,21,23,151,901,918,919,938,941,946,953],delete_polici:23,delete_princip:23,delimit:[21,311],delold:[2,14,26],delpol:3,delprinc:[3,23],delstr:3,delta:[20,48],deltat:187,deltatp:391,demand:414,demonstr:[12,14],deni:[3,19,25,28,35,928,932,946],denial:21,denot:[6,19,898,911],depart:919,depend:[25,33,39,43,46,126,365,373,740,876,905,906,917,918,923,935,938,939],deploi:[36,37,38,904],deploy:[14,24,37],deprec:[14,20,26,70,75,94,120,122,123,131,168,186,188,190,191,196,197,225,226,232,233,234,239,281,309,340,341,351,353,393,411,413,918],der:[911,921,924,931],der_out:[323,325,326,331],deriv:[3,6,14,20,25,48,99,100,102,103,113,129,287,288,289,290,294,298,911,915,918,919,944],des3:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],descend:[897,901],describ:[0,3,14,16,21,23,24,25,28,32,34,37,43,375,406,827,836,837,896,910,919,922,923,924,926,934,939,946],descript:[32,39,43,836,903,917,918,920,921,922,925,927,928,929,930,931,932,933,934,935],descriptor:[62,363,364,375],deseri:48,design:[28,34,46,315,897,901,953],desir:[14,15,23,28,43,119,121,250,251,329,906,918,933,946],desired_mech:[43,924],desired_nam:43,desired_object:43,desktop:46,dest_ctx:179,destdir:904,destin:[32,904,918],destroi:[23,43,48,136,147,148,386,414,897,918,920,921,922,925,928,929,930,931,932,933,935,937,941,942],destroy_polici:23,detach:8,detail:[10,14,15,22,24,26,28,33,34,36,262,738,897,903,905,918,920,921,922,925,928,929,930,931,932,933,934,935,946],detect:[6,8,14,323,325,326,331,356,360,901,906,918,924],determin:[3,4,5,6,8,20,21,23,24,28,34,43,48,62,102,105,117,136,154,230,231,261,289,359,385,389,416,889,897,900,901,904,906,911,914,918,921,925,928,932,933,939,953],dev:[20,21,41,953],develop:[0,904,916,918,919,936,953],devic:[3,20,21,46,655,656],devicenam:20,dfl:[21,901,953],dget_tgt_via_passwd:946,di:19,dict:[3,21],dict_fil:[4,20,935],dictat:23,dictionari:[20,21,23,29,30,34,35,40,918,935,942],did:[23,34,223,267,342,939],didn:[12,28],differ:[3,6,12,21,25,26,28,33,34,37,38,39,43,45,48,107,119,159,265,375,385,865,901,904,906,923,931,932,938,939,942,946,953],diffi:[20,21,942],difficult:35,difficulti:38,digest:[20,919],digit:[898,953],digitalsignatur:[21,37],dir:[20,21,37,897,906,917,942,953],direct:[21,22,23,28,41,48,919,924,934,953],directli:[3,18,20,21,23,29,34,43,46,375,618,924,931,942,947],directori:[3,5,12,20,21,22,28,33,34,37,169,342,897,901,905,907,908,917,918,938,946,950,951,952,953],dirnam:[21,897],dirpath:897,disabl:[3,14,20,21,23,24,26,28,34,37,38,39,41,380,381,386,550,901,904,906,918,926,942,950,953],disable_encrypted_timestamp:[21,25,40],disable_fresh:[37,942],disable_last_success:[20,22,35],disable_lockout:[20,22,35],disable_pac:[20,918],disallow:19,disallow_forward:5,disallow_svr:23,disassoci:[4,10],disast:39,disclaim:919,disclosur:[19,918],discoveri:[25,33,34,918],discuss:[34,901,919,927,936],disjoint:0,disk:[4,5,6,15,17,24,32,34,46,897,902,905],dispatch:924,displai:[2,3,5,9,11,23,37,42,46,245,730,900,910,918,919,942,943,949],display:169,disrupt:14,dist:905,distclean:904,distinct:23,distinguish:[5,21,919],distribut:[10,903,904,905,906,907,918,919,939,953],distributor:919,divid:915,dll:[28,923,924,934],dn:[3,5,20,21,22,25,30,33,34,35,39,44,333,663,906,918],dns_canonicalize_hostnam:[21,38,918],dns_canonicalize_realm:918,dns_lookup_kdc:21,dns_lookup_realm:[21,39],dns_uri_lookup:[21,39],dnsname:21,doc:[22,42,908],document:[5,20,21,29,33,34,43,896,904,906,915,918,919,923,936],doe:[3,6,8,10,14,20,21,22,23,24,25,26,34,37,38,39,40,43,46,56,119,144,152,160,301,311,313,345,375,389,397,414,897,900,904,906,911,918,919,923,924,925,932,934,938,939,946],doesn:[2,6,23,161,897,938],domain:[12,15,20,21,33,34,36,37,38,39,918,939],domain_realm:[28,33,39,951],don:[12,712,715,897,904,906,938,946,953],donat:[23,919],done:[8,22,23,32,34,39,897,906,922,931,934,946,953],dot:38,doubl:898,down:39,download:[8,919],downstream:[23,918],downtim:14,doxygen:[0,908],dprinc_look_ahead:946,dr:14,draft:[694,697,700,918],drift:15,drop:918,dry:6,dsa:476,dst:148,due:[14,19,23,41],dug:919,dugsong:919,dump:[4,7,8,17,20,24,34,917,918],dump_fil:4,dumpfil:[6,23,906],dumptyp:6,dup:20,duplic:[48,826,901],durabl:[20,24],durat:[3,20,21,884,942,946],dure:[3,4,8,17,20,21,23,26,34,35,40,43,352,380,414,719,910,911,918,922,929,939,946],dynam:[21,923,926,928,934],e19253:42,e1:105,e2:105,e2big:119,e:[2,3,6,9,11,14,19,20,21,22,23,33,34,37,38,39,46,870,897,902,904,905,906,911,912,934,938,942,943,946,948,953],e_data:[836,931],each:[2,3,6,8,10,15,19,20,21,23,24,25,26,28,33,35,37,39,43,44,46,252,263,265,352,755,897,900,902,904,910,911,915,918,919,923,927,928,929,933,938,939,942,943,946,948,951,952],ear:919,earli:14,earlier:[20,23,26,34,224,932],earliest:[6,153,915],eas:36,easi:[14,17,25,35,939],easier:[0,14,918],easili:[14,34,904,918],eavesdrop:43,eavesdropp:901,ebaa:42,eblock:[186,188,190,196,197,281,351,353,393,411],echo:[352,361],edata:931,edit:[2,11,12,31,906,907,938],editor:0,edt:3,edu:[0,3,5,12,14,15,19,20,21,23,24,28,32,34,42,918,919,934,936,938,939,946],educ:33,edwards25519:[21,40,919],edwards25519_t:919,effect:[14,19,20,21,23,37,39,731,897,901],effici:918,effort:25,eight:33,einval:[260,373,390,392,394,395],either:[15,20,21,22,23,25,26,34,35,36,37,41,43,44,195,245,253,274,325,326,327,331,402,403,407,731,866,897,904,915,919,923,928,932,939,946,952],eku:[20,21],elaps:3,element:[43,46,48,189,320,412,827,873,911],elements_stor:43,elimin:[14,40],ellipt:40,els:[34,923,938,939,946],elsewher:17,emac:906,email:[0,642,938],emailprotect:21,embed:678,empti:[3,6,19,20,21,23,36,43,46,48,93,229,231,279,345,388,389,404,414,901,906,910,942],en:[42,918],enabl:[3,4,8,14,15,20,21,22,23,24,25,28,34,36,37,39,40,41,43,55,78,897,905,906,918,921,926,946,953],enable_onli:[21,28],enc:[3,6,20,199,301,826,918],enc_err:324,enc_errbuf:355,enc_padata:832,enc_part2:[376,823,845,883],enc_part:[807,823,845,883],enc_tkt:[300,301],encdata:911,enckdcreppart:832,enckrbcredpart:825,enclos:[20,21,898],encod:[21,43,46,48,189,300,323,325,355,541,883,890,910,911,921,924,931],encompass:43,encount:[21,34,943],encourag:21,encrypt:[2,3,6,14,15,17,21,23,25,29,30,32,34,36,40,43,46,48,79,95,98,99,100,112,113,114,116,124,125,126,129,130,153,229,280,287,288,294,295,298,299,310,315,325,326,357,359,394,480,481,539,599,671,750,808,809,823,825,826,827,832,833,845,846,883,900,901,902,903,907,911,912,918,919,922,924,931,936,943,948,953],encrypted_challeng:21,encrypted_challenge_ind:[20,918],encrypted_timestamp:21,enctyp:[6,11,14,20,21,23,48,95,97,98,99,101,104,107,111,112,116,118,125,126,192,193,211,224,280,287,310,315,378,411,831,833,846,848,910,914,917,918,922,948],enctype_aes128_cts_hmac_sha1_96:[447,789],enctype_aes128_cts_hmac_sha256_128:789,enctype_aes256_cts_hmac_sha1_96:[448,789],enctype_aes256_cts_hmac_sha384_192:789,enctype_arcfour_hmac:789,enctype_arcfour_hmac_exp:789,enctype_camellia128_cts_cmac:789,enctype_camellia256_cts_cmac:789,enctype_des3_cbc_env:789,enctype_des3_cbc_raw:789,enctype_des3_cbc_sha1:789,enctype_des3_cbc_sha:789,enctype_des_cbc_crc:789,enctype_des_cbc_md4:789,enctype_des_cbc_md5:789,enctype_des_cbc_raw:789,enctype_des_hmac_sha1:789,enctype_dsa_sha1_cm:789,enctype_md5_rsa_cm:789,enctype_nul:[101,229,789],enctype_out:229,enctype_rc2_cbc_env:789,enctype_rsa_env:789,enctype_rsa_es_oaep_env:789,enctype_sha1_rsa_cm:789,enctype_unknown:789,enctypep:392,end:[6,20,21,23,24,30,33,34,39,92,93,164,332,825,833,846,884,906,910,914,915,918,927,946,953],endian:[910,911,912,914,924],endors:919,endpoint:[62,919],endtim:[224,884,910],energi:919,enforc:21,enforce_ok_as_deleg:[21,918],engin:39,enoent:336,enomem:[119,223,231,302,323,325],enough:[3,23,26,99,102,167,287,289,766],ensur:[14,15,17,20,23,24,25,26,34,37,46,171,865,866,925,932,939],enter:[3,5,10,14,23,34,37,325,326,331,361,924,938,939],enterpris:[38,43,345,710,918,942,948],entir:[3,14,20,39,538,910,931],entiti:[43,919],entri:[3,8,9,11,12,14,15,19,20,21,22,23,24,26,32,34,35,37,38,39,40,41,43,46,48,153,173,195,198,200,220,245,309,315,320,322,325,326,331,337,352,359,414,832,850,854,897,900,902,911,912,915,918,930,931,939,943,946],entropi:918,enumer:[14,26],env:[21,37,41,953],envelop:[467,479,480,481],environ:[14,15,20,21,23,24,26,28,30,34,35,37,38,41,43,56,136,268,269,282,386,387,897,900,901,904,917,918],envvar:21,eperm:[928,932],epoch:[48,885],eq:22,equal:[15,24,914,918,946],equip:953,equival:[20,36,166,382,383,918],erang:336,err_fmt:[21,918],erron:41,error:[3,20,21,24,34,37,39,43,48,49,50,56,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,117,118,119,121,124,125,126,129,130,133,134,135,137,141,142,145,147,148,149,150,151,152,153,154,155,156,157,158,159,161,162,163,164,166,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,231,235,236,238,243,248,260,261,262,264,265,266,267,268,271,272,274,275,276,277,278,279,280,282,287,288,289,290,294,295,296,298,299,300,301,302,303,305,306,308,310,311,314,315,316,317,318,321,322,323,324,325,326,327,328,329,330,331,332,333,335,337,338,339,342,344,345,347,352,354,356,357,358,359,360,361,363,364,374,375,376,377,378,382,383,384,385,389,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,543,615,617,713,714,836,837,865,901,903,906,918,922,923,928,929,931,932,939,948],error_t:919,es:[21,942],escal:918,escap:715,especi:[15,26,34,38,918],essenti:20,est:[35,898],establish:[37,43,901],et:[903,906,919],etc:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],etyp:[6,229,378,672,918,948],etype_list:[244,840],etype_list_length:[244,840],euid:[21,901,917],evalu:21,even:[14,20,21,23,25,28,34,38,39,43,245,388,896,898,901,918,919,942,946],event:[39,48,918,919,931],eventu:[26,39],everi:[20,21,23,32,34,48,318,897],evid:43,evolut:918,exact:[22,905],exactli:[21,34,153,407,748,749,753,911,946],examin:[21,37,922,931],exampl:[3,5,6,9,14,15,16,20,21,22,23,24,26,28,32,34,35,37,38,39,41,43,56,100,103,288,290,897,898,901,904,905,918,919,923,934,938,939,942,946,953],exce:[896,898],except:[3,19,21,23,37,39,43,329,918,919,924,946],excess:904,exchang:[34,40,48,224,247,279,363,375,437,877,911,931],exclud:[6,17,32,918],exclus:[3,915,919,942,946],exec:[906,945,946],execprefix:906,execut:[3,6,22,34,46,380,905,906,945],exemplari:919,exhaust:32,exist:[0,2,3,5,6,14,15,20,21,22,23,26,28,32,34,35,43,46,48,137,147,155,329,330,359,363,364,375,407,414,897,902,910,918,924,942,944,946],exit:[3,10,11,897,918,939,943,948],exp:[3,20,21,26,37],expand:[21,915,918],expans:[906,918],expdat:3,expect:[14,21,34,41,267,301,342,343,730,908,922,927,939],expected_nonc:882,expens:[20,25,35],experi:[0,14,39,918],experienc:[0,933],experiment:918,expir:[2,3,6,15,19,20,21,23,26,33,37,43,46,48,224,243,260,832,884,897,898,901,910,918,939,942,943,946,953],expiri:[14,245,918],explain:34,explicit:[14,19,21,22,24,28,39,919],explicitli:[3,14,19,23,28,34,44,253,906,918,928,929,930,939],expos:[3,6,14,46,848,942,946],express:[3,21,898,919],extend:[20,21,37,48,420,889,924,953],extendedkeyusag:37,extens:[37,39,247,908,918,924],extent:919,extern:[20,22,43,910],extfil:37,extra:[19,39,40,766,905],extra_address:21,extract:[3,15,19,34,229,900,918],extrem:3,eytab:3,f:[2,4,5,6,7,8,11,14,22,33,34,908,918,939,942,943,946,948],facil:[4,15,20,43,918],facilit:918,factor:[21,911],fail:[2,3,6,14,15,20,21,23,24,35,38,39,43,46,228,260,279,342,354,404,865,904,906,918,924,925,939,941,946],fail_count:6,failov:39,failur:[3,6,14,24,35,46,119,129,130,159,260,298,299,310,407,408,409,918,919,924,933,935],failurecountinterv:[3,35],failuretim:3,fake:[21,46],fall:[39,40,897,918],fallback:[3,20,21,38,40,46,918,925],fallback_realm:925,fals:[14,20,21,23,26,28,33,36,37,38,39,43,52,54,105,109,110,127,128,160,192,245,283,284,285,319,348,349,350,362,388,416,952],famili:[20,186,188,190,191,196,197,250,251,281,351,353,411,933],famou:34,far:37,fashion:[26,29,919,946],fast:[20,21,25,36,37,48,229,544,599,910,918,922,931],fast_avail:910,fast_ccache_nam:247,faster:[25,39,897,904],fatal:154,fd:[363,364,375],fdii:939,feasibl:34,featur:[24,29,368,371,916,919,936],feb:9,februari:896,fee:919,feedback:0,fellow:919,fenc:923,fences_wicker_initvt:923,fermi:919,fetch:[4,5,6,10,11,21,23,71,141,414,918],few:[906,938,953],ff:939,fiat:919,fiction:923,fictiti:939,field:[3,6,20,21,35,36,37,39,44,46,48,153,256,310,330,331,343,352,356,357,359,360,412,749,753,889,910,911,914,915,918,922,923,931,935,939,951],file2:[901,915,953],file:[3,4,5,6,7,9,10,11,12,14,15,16,17,19,22,23,24,28,29,30,31,37,38,39,41,46,48,50,152,262,269,317,321,363,364,375,378,405,755,897,898,899,900,901,903,904,905,906,907,908,916,917,918,919,920,921,922,923,924,925,927,928,929,930,931,932,933,934,935,937,938,939,946,951,952,953],filenam:[2,3,5,6,7,8,15,20,21,28,34,36,37,41,43,387,897,901,918,953],filesystem:[20,23,34,37,915,917],fill:[46,48,50,56,119,121,134,150,152,224,230,231,303,306,311,327,347,357,358,390,391,394,396,397,914,915,923,934],filter:[20,21],find:[12,21,23,38,39,43,48,50,910,915,918,920,938,939,942,946],fine:[39,43],fini:[920,921,922,925,928,929,930,931,932,933],finish:48,fip:918,fire:39,firewal:[29,39,41],firm:919,first:[3,6,9,12,16,19,20,21,22,23,26,28,34,37,38,39,43,44,52,53,93,105,136,228,258,279,300,322,348,349,350,361,362,386,404,763,827,900,901,906,908,910,911,912,914,915,918,919,921,923,924,925,930,932,939,944,946,951,953],fit:[311,919],five:[3,21,34,898,901,929,944],fix:[6,915,918],flag:[2,3,5,6,11,14,19,20,21,22,23,25,26,28,33,35,39,40,43,46,48,55,62,69,74,78,151,153,192,269,279,325,326,327,331,343,352,354,356,359,360,363,364,404,728,729,730,731,735,736,737,738,740,747,748,825,826,827,832,833,840,879,894,897,906,918,922,931,939,941,942,943,945,946],flag_rsa_protocol:942,flagnam:19,flat:897,flavor:3,flexibl:[21,38],flip:14,flush:934,fmt:[346,379,417,418,419,420],fn:386,fnal:919,folder:21,follow:[2,3,6,10,14,15,19,20,21,22,23,24,25,26,28,29,34,35,36,37,38,39,43,62,228,245,248,263,333,344,345,352,359,361,389,408,897,898,900,901,903,904,906,907,910,911,912,914,918,919,923,924,927,934,936,938,939,942,943,945,946,950,951,952,953],foo:[3,6,21,23],foobar:[39,906,952],fool:25,foot:923,for_us:948,forbid:3,forbidden:21,forc:[3,5,8,9,11,14,19,20,21,23,25,26,35,39,40,136],foreground:[4,8],forev:3,forget:[5,34,156],fork:[10,34,946],form:[0,3,15,20,21,24,25,28,29,34,39,43,152,317,325,326,331,373,389,642,876,897,902,911,918,919,942,951,953],format:[0,3,6,19,20,21,36,39,43,48,321,346,405,406,417,419,420,733,738,740,879,889,897,899,900,901,906,908,912,916,918,923,924,946,948,953],former:388,formul:21,forth:21,forward:[3,15,20,21,23,33,34,36,38,43,48,354,531,548,840,918,939,942,943,946,953],found:[7,10,12,20,21,23,34,39,59,60,151,153,154,195,301,315,359,906,915,918,938,939,946,947,953],foundat:919,four:[21,24,35,40,910,911,912,915,924,946],fqdn:29,fraction:25,frame:910,framework:[43,918,919],fred:28,free:[46,47,48,49,65,67,72,76,91,93,111,115,141,143,145,150,153,169,172,173,174,175,177,178,180,181,182,183,194,195,224,227,229,236,261,272,275,280,286,310,315,317,321,322,324,325,326,327,328,329,330,331,332,335,338,339,344,345,354,355,356,357,359,360,363,375,389,401,403,405,406,408,919,921,923,934],free_ind:921,free_list:925,free_modreq:931,free_restrict:928,free_str:[932,934],free_valu:934,freed:[44,57,58,61,78,85,106,136,144,146,198,199,200,201,202,204,207,208,210,211,212,215,216,217,218,219,221,222,228,262,312,334,365,366,368,371,865,866],freeli:919,frequent:[14,33,38,39,885,938],fresh:[0,15,17,20,43,598,913,918,942,946],fri:9,friend:939,friendli:918,friendlier:918,from:[0,2,3,4,5,6,7,8,9,10,11,17,19,20,21,22,23,24,25,28,29,32,34,35,37,38,39,41,43,44,46,48,49,93,99,100,101,102,103,113,119,121,129,148,166,169,180,181,183,195,241,245,250,258,269,287,288,289,290,294,298,322,327,330,342,346,352,356,357,358,359,360,375,376,378,380,382,383,414,420,440,832,845,846,897,900,901,904,905,906,910,911,915,916,918,919,920,921,922,924,926,927,929,934,936,938,939,942,944,946,948,951,953],from_mast:[8,917],front:[20,344],fsanit:906,ftp:[32,34],fubar:[21,953],fulfil:946,full:[4,8,9,14,20,23,39,48,331,657,906,918,927,938,946],fulli:[3,15,19,21,23,29,32,34,35,46,942,953],fullname_out:143,fulvio:42,func:[63,80],fund:919,fundsxpress:919,furnish:919,further:[10,34,901,952],furthermor:[14,245,919],futur:[21,23,26,37,43,156,228,889,918,925],fx:[48,911,918,931],g10:919,g:[3,6,19,21,22,33,34,37,39,46,870,897,902,904,905,906,911,912,934,938,946,953],g_accept_sec_context:919,g_acquire_cr:919,g_canon_nam:919,g_compare_nam:919,g_context_tim:919,g_delete_sec_context:919,g_dsp_name:919,g_dsp_statu:919,g_dup_nam:919,g_exp_sec_context:919,g_export_nam:919,g_glue:919,g_imp_nam:919,g_imp_sec_context:919,g_init_sec_context:919,g_initi:919,g_inquire_context:919,g_inquire_cr:919,g_inquire_nam:919,g_process_context:919,g_rel_buff:919,g_rel_cr:919,g_rel_nam:919,g_rel_oid_set:919,g_seal:919,g_sign:919,g_store_cr:919,g_unseal:919,g_userok:919,g_util:919,g_verifi:919,gain:[14,25,34,928,930,939],gcc:906,gen_sym:946,gener:[2,9,12,14,15,17,19,20,21,23,25,26,32,35,41,43,48,113,125,126,260,283,294,327,330,342,440,523,524,525,526,824,841,856,897,901,903,904,905,906,908,910,918,919,922,926,931,936,939,946,951],generalizedtim:911,generalstr:37,generic_trusted_ca:[20,21],gennadi:946,genrsa:37,german:918,get:[3,12,14,16,19,20,21,32,33,35,38,39,48,59,60,163,236,254,258,275,906,918,922,925,931,938,939,942,946,953],get_cooki:[918,931],get_cr:46,get_princip:23,get_tgt_via_passwd:946,get_valu:934,getaddrinfo:38,getdat:[3,5,6,19],gethostnam:[38,43],getnameinfo:38,getopt:903,getpol:3,getprinc:[3,6,14,26,35,918],getpwuid:3,getrandom:918,getstr:3,getusershel:946,gic_opt:922,give:[6,14,23,28,38,904,910,911,919,932,938,939],given:[2,3,5,6,8,10,14,20,21,23,28,36,38,39,41,43,46,48,49,59,60,124,135,317,329,389,866,906,910,915,918,919,943],gladman:919,glob:[3,6],global:[5,19,20,21,22,141,155,918],glorifi:923,glossolalia:14,glue:903,gmbh:919,gmt:898,gnu:[904,906,918,919],go:[20,24,939,946],goal:46,good:[12,15,23,34,919,938,939,953],googl:919,gotten:939,gov:[21,919],govern:[23,919,944],gpg:905,gpl:919,grace:942,gracefulli:924,grain:43,grammar:[910,914],grant:[3,14,19,20,21,23,26,28,34,35,37,39,43,46,48,224,235,260,264,267,760,897,910,918,919,928,932,937,939,942,946,952],gratitud:919,great:[19,153,267,752],greater:53,greg:953,groff:0,group:[20,21,40,911,919],grow:901,gs2:918,gss:[28,903,910,917,918,924,953],gss_:924,gss_accept_sec_context:[43,918,924],gss_acquire_cr:[43,918],gss_acquire_cred_from:[43,918],gss_acquire_cred_impersonate_nam:43,gss_acquire_cred_with_password:918,gss_add_cr:924,gss_add_cred_from:924,gss_add_cred_impersonate_nam:924,gss_add_cred_with_password:924,gss_add_oid_set_memb:924,gss_buffer_desc:43,gss_buffer_set_t:43,gss_buffer_t:[43,924],gss_c_accept:43,gss_c_both:43,gss_c_buffer_flag_alloc:43,gss_c_buffer_type_data:43,gss_c_buffer_type_head:43,gss_c_buffer_type_mic_token:43,gss_c_buffer_type_pad:43,gss_c_buffer_type_sign_onli:43,gss_c_buffer_type_stream:43,gss_c_buffer_type_trail:43,gss_c_channel_bound_flag:918,gss_c_dce_styl:43,gss_c_deleg_policy_flag:918,gss_c_inq_negoex_kei:924,gss_c_inq_negoex_verify_kei:924,gss_c_ma_negoex_and_spnego:924,gss_c_no_credenti:43,gss_c_no_nam:43,gss_c_nt_anonym:43,gss_c_nt_export_nam:[43,924],gss_c_nt_hostbased_servic:43,gss_c_nt_machine_uid_nam:43,gss_c_nt_string_uid_nam:43,gss_c_nt_user_nam:43,gss_c_null_oid:43,gss_c_qop_default:43,gss_c_sec_context_sasl_ssf:918,gss_const_key_value_set_t:43,gss_create_empty_oid_set:924,gss_cred_id_t:[43,924],gss_cred_usage_t:43,gss_ctx_id_t:[43,924],gss_display_statu:924,gss_error:43,gss_export_cr:43,gss_export_nam:43,gss_get_mic_iov:43,gss_get_mic_iov_length:43,gss_get_name_attribut:43,gss_import_cr:[43,924],gss_import_nam:[43,924],gss_import_sec_context:924,gss_init_sec_context:43,gss_inquire_attrs_for_mech:924,gss_inquire_cr:43,gss_inquire_cred_by_oid:[43,918],gss_inquire_nam:43,gss_inquire_sec_context_by_oid:[918,924],gss_iov:918,gss_iov_buffer_desc:43,gss_iov_buffer_desc_struct:43,gss_iov_buffer_flag_alloc:43,gss_iov_buffer_t:43,gss_iov_buffer_type_data:43,gss_iov_buffer_type_head:43,gss_iov_buffer_type_mic_token:43,gss_iov_buffer_type_pad:43,gss_iov_buffer_type_sign_onli:43,gss_iov_buffer_type_stream:43,gss_iov_buffer_type_trail:43,gss_key_value_element_desc:43,gss_key_value_element_struct:43,gss_key_value_set_desc:43,gss_key_value_set_struct:43,gss_krb5_cred_no_ci_flags_x:918,gss_krb5_get_cred_imperson:[43,918],gss_krb5_nt_enterprise_nam:[43,918],gss_krb5_nt_principal_nam:43,gss_krb5_nt_x509_cert:[43,918],gss_mech_config:[28,917,953],gss_mech_interpos:924,gss_name_t:[43,924],gss_oid:[43,924],gss_oid_set:[43,924],gss_qop_t:43,gss_release_iov_buff:43,gss_s_cred_unavail:43,gss_s_duplicate_el:43,gss_s_unavail:43,gss_store_cr:918,gss_store_cred_into:43,gss_unwrap_aead:43,gss_unwrap_iov:43,gss_verify_mic_iov:43,gss_wrap_aead:43,gss_wrap_iov:43,gss_wrap_iov_length:43,gss_wrapex:918,gssapi:[15,16,20,21,45,896,897,900,901,903,918,919,920,926,945,953],gssapi_err_gener:919,gssapi_ext:[43,924],gssapi_krb5:43,gssapiauthent:28,gssapip_spnego:919,gssapistrictacceptorcheck:38,gssapiv2:43,gssd_pname_to_uid:919,gssi_:924,gssi_import_cred_by_mech:924,gssi_import_name_by_mech:924,gssi_import_sec_context_by_mech:924,gssrpc:919,gssspi_exchange_meta_data:924,gssspi_query_mechanism_info:924,gssspi_query_meta_data:924,guarante:14,guard:901,guess:[21,34,918],guest:[3,21],guid:[15,30,32,926],gz:905,h5l:[21,44],h:[5,6,9,22,43,262,898,906,919,920,921,922,923,924,925,927,928,929,930,931,932,933,934,935,939,943],ha:[0,3,5,6,12,14,15,17,19,20,21,23,24,25,26,27,28,34,35,37,38,39,43,46,78,124,260,263,279,356,360,388,404,739,897,901,904,905,906,910,914,915,918,919,924,928,929,930,933,938,939,943,946,951],had:[6,28,34,37,938,939,952],haddl:85,hand:[14,34],handi:34,handl:[3,6,14,19,36,43,48,71,132,135,137,139,141,142,143,144,145,146,147,149,150,151,152,153,154,155,157,158,159,161,164,223,224,235,246,250,251,265,276,300,302,303,305,308,310,311,312,313,314,316,318,335,336,342,343,359,403,414,918,919,922,924,927,931],handle_error:43,handle_out_of_space_error:43,happen:[3,17,20,34,39,41,939],happi:919,hard:[20,23],hardcod:[897,900,934],harder:918,hardwar:[3,20,34,46,921,931,939,943],harm:901,harvard:919,harwood:953,hash:[6,21,37,901,911,915,918],hat:[692,693,919,953],have:[0,2,3,6,8,12,14,15,17,19,20,21,23,24,25,26,28,32,33,34,35,37,38,39,43,46,101,153,230,274,402,897,901,904,905,908,910,911,914,915,918,919,920,922,923,924,927,928,929,931,933,935,938,939,942,946,950,952,953],have_getusershel:946,haven:[906,953],hdata:230,he:[19,23,938,939,952],head:21,header:[6,21,43,48,535,538,809,906,920,921,922,923,925,927,928,929,930,931,932,933,934,935],headernam:906,heim_org:21,heimdal:[42,43,45,897,918],held:[919,943],hellman:[20,21,942],help:[21,23,37,901,906,918,934,936,939,945,953],helpdesk:14,henc:12,her:[39,939,952],here:[0,15,19,20,21,23,28,35,41,43,46,898,906,923,938,939],hereaft:919,herebi:919,hesiod:[21,906,919],heurist:[21,154,230,920,946,951],hexadecim:[6,918],hh:898,hhmmss:898,hhost:918,hi:[19,23,939,946,952],hidden:[46,352,870],hide:[3,942],hierarch:[4,21,918],hierarchi:23,high:[14,16,24],higher:[43,897,908,918],highest:[3,6,14,21,310,315,414],highli:[905,918],himself:939,hin:905,hint:[3,20,149],hist_kvno:6,histor:[28,33,896],histori:[6,26,906,918],hit:[48,946],hmac:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],hold:[3,43,78,170,187,192,193,397,398,897],holder:919,hole:[32,34,39,914],home:[5,21,28,938,946,950,951,952],honor:[41,939],hook:[48,865,866,918,926],hope:919,hopefulli:35,host01:953,host:[3,4,7,8,12,14,15,16,20,21,23,24,25,26,29,30,31,33,36,37,38,39,43,46,48,194,223,230,329,331,388,389,414,643,645,901,904,906,918,926,931,938,939,942,943,946,950,951,952,953],host_based_servic:[20,39],host_realm:925,hostaccount:28,hostnam:[3,12,15,20,21,23,26,33,34,37,38,41,43,48,329,388,389,906,918,925,948,951,953],hostrealm:[28,918,926],hostrealm_plugin:925,hotp:3,hour:[5,19,20,23,33,898,938,939,946,953],houston:39,how:[14,20,21,23,26,28,32,34,37,39,43,224,416,905,906,916,920,926,933,934,938,942],howev:[3,6,14,17,20,21,23,25,32,33,35,37,39,904,919,939,953],html:[0,22,42,905,908,918],html_subst:908,htmlsrc:908,http:[21,22,25,30,38,39,42,904,905,908,918,919,936],http_anchor:[21,29],hudson:953,human:[169,898,918],hundr:24,hw:918,hwauth:20,hxx:919,i:[2,19,34,38,793,904,906,919,939,942,943,948,953],iakerb:918,icr:43,id:[8,20,21,141,149,155,302,305,316,646,897,938,946,953],idea:38,ideal:[15,23,34,46,904],ident:[3,15,20,22,43,48,361,740,880,881,897,918,922,938,939,942,944],identif:[918,919],identifi:[4,10,21,28,43,166,265,315,317,733,826,832,847,918,919,924,948],idp:692,iec:905,ietf:918,ignor:[3,19,20,21,26,28,43,48,235,260,264,267,269,278,282,342,345,350,359,388,534,708,711,865,901,904,906,910,918,923,951,953],ignore_acceptor_hostnam:[21,38,43],illinoi:42,illumin:953,imap:[38,906,951],immedi:[6,14,21,23,39,918,931],impact:35,impend:46,imperson:918,impl:906,implement:[0,14,20,21,23,24,28,29,36,38,40,43,44,46,51,113,119,151,294,382,383,897,904,906,910,912,914,918,919,920,921,922,923,924,925,927,928,929,931,932,933,934,935,936,939,946,953],impli:[8,919],implicit:20,impos:928,imposs:[23,35],improv:[0,14,20,21,35,918,936],in_authdat:173,in_cr:[224,225,226,321,330,375],in_data:[329,330,375],in_length:[131,413],in_tkt_servic:[235,260,264,267],inaccess:39,inaccur:21,inaddr:172,inadequ:41,inauthdat1:322,inauthdat2:322,inbuf:[356,357,358,359,360],inc:[919,939,953],incc:134,incident:919,includ:[6,9,15,16,19,20,21,23,24,26,32,33,34,37,38,39,43,48,99,104,144,287,311,325,326,330,331,343,344,359,407,685,813,826,833,846,860,896,897,901,903,906,907,908,910,911,914,918,919,922,923,924,928,930,931,934,938,942,946,953],include_pac:860,includedir:[21,906],inclus:919,incom:[20,38,924],incompat:[904,906,927],incomplet:21,inconsist:24,incorpor:[0,20,24,918],incorrect:[35,39,735,736,938,939],incorrectli:939,incr:177,increas:[20,24,40,100,103,288,290,926],increment:[4,8,9,14,19,20,24,31,35,39,48,87,89,325,326,331,915,918,919],indata:178,inde:939,independ:[21,26,138,163,245,307,906],index:[6,22,29,42,369,905,915],indic:[3,6,14,19,20,21,23,26,28,30,36,37,39,41,43,46,154,245,327,728,729,730,731,735,736,737,738,837,897,898,900,901,910,911,912,914,915,918,919,921,922,923,931,939,942,953],indirect:919,individu:[9,20,919,939,953],inetd:[8,12,34,41],infd:62,infer:[91,93,344],influenc:38,info2:918,info:[20,34,229,652,654,663,672,826,832,888,918],inform:[3,4,6,7,9,11,20,22,23,26,28,33,34,38,39,41,43,46,48,169,185,229,250,251,282,325,327,333,342,364,386,387,416,651,653,655,656,658,740,824,825,863,870,875,889,897,905,906,909,910,911,914,918,922,923,926,927,931,934,936,942,953],infrastructur:[21,40,903,904,918],infrequ:918,inherit:[938,946],ini:21,init:[4,10,920,921,922,925,928,929,930,931,932,933],init_cr:46,initi:[3,5,12,14,15,21,22,23,25,26,34,35,38,40,45,48,99,102,115,124,229,269,287,289,336,401,506,877,884,897,900,906,910,918,919,922,923,938,939,942,943,945,946,948,953],initiator_cred_handl:43,inittab:34,initvt:923,inject:25,inop:14,inout:[98,99,100,102,103,114,287,288,289,290,295,329,330,359,361,363,364,375,407],inprinc:182,inptr:[186,190],input:[23,43,48,49,99,100,102,103,107,113,117,119,124,144,194,195,224,287,288,289,290,294,296,352,375,376,403,920,932,935,948],input_assoc_buff:43,input_ccach:942,input_cred_handl:43,input_message_buff:43,input_name_buff:924,input_name_typ:924,input_payload_buff:43,inputlen:104,inquir:[3,19],inquiri:19,ins:32,insecur:[14,32,39,43,230],insensit:[39,350,706,898],insert:[25,825,832],insid:[15,26,195,911,918],insist:946,inspect:[16,380,381,865,866,921,928,930],inspir:918,inst:50,instal:[12,14,15,17,21,28,30,32,39,902,905,908,927,941,945],instanc:[19,21,23,28,33,35,43,49,50,643,644,901,910,918,923,953],instead:[3,4,6,8,14,20,21,23,24,34,37,38,46,239,246,278,309,340,341,342,344,417,419,866,906,918,919,924,931,941,943,946,952],institut:[909,919,953],instruct:[22,23,34,37,43,906,936],insuffici:[223,231,302,323,325,906],int16_t:843,int32_t:844,int_max:787,integ:[3,20,21,23,36,37,896,910,911,914,924],integr:[26,33,43,46,326,331,356,360,903,905,917,918,919,939],intel:919,intend:[3,10,23,41,43,46,352,946],interact:[2,3,21,23,39,368,906],intercept:[28,924],interest:[21,35,901,907],interfac:[3,11,14,19,20,23,28,34,46,897,901,903,906,918,923,926],interface_modname_initvt:923,interface_module_initvt:923,interface_plugin:923,interfer:904,intermedi:[20,21,23,43,224,910,911,918,939],intern:[24,36,41,107,731,847,920,921,922,926,928,929,930,931,933,935,953],internet:38,interoper:[37,382,383,897,924],interpos:[28,926],interpret:[3,36,43,46,152,245,924,942,946,948],interprocess_token:924,interrupt:[14,260,919],intersect:26,interv:[3,8,23,34,35,896,898],interven:23,intervent:[14,26],introduc:[3,20,21,921,925,929,930,932],intrud:939,invalid:[14,21,23,50,136,139,156,260,301,315,336,939,942,943],invers:914,investig:906,invis:25,invoc:[6,41,43],invok:[4,8,9,11,12,21,23,24,46,80,136,245,386,924,931,932,933,942,944,946],involv:[21,931],iov:[48,100,103,288,290,827,918],iov_count:43,ip:[15,20,39,918],iprop:[4,8,20,918,919],iprop_en:[4,8,20,23],iprop_hdr:919,iprop_listen:20,iprop_logfil:[20,23],iprop_master_ulogs:[20,23],iprop_port:[20,23],iprop_replica_pol:[8,20,23],iprop_resync_timeout:[20,23],iprop_slave_pol:20,iprop_ulogs:20,ipropd_svc:919,ipv4:38,ipv6:[21,38,918],iran:919,is_last_req:[245,838],is_skei:[153,749,826,910],isi:946,isn:[20,23,333,901,904,919],iso:905,isol:39,issu:[2,3,14,20,21,23,26,29,32,35,36,37,39,43,46,320,412,884,906,918,922,931,939,942],issuanc:3,issue_pac:918,issuer:[21,37,320,412],issueraltnam:37,item:[253,731,923,931],iter:[3,20,23,24,48,164,359,817,920,934],iterator_cr:934,iterator_fre:934,its:[3,4,8,10,14,15,17,20,21,23,24,26,28,29,32,33,34,35,37,38,39,40,41,43,46,48,87,89,92,107,117,203,209,228,269,296,301,356,359,360,381,412,898,909,910,918,919,920,921,922,923,924,931,935,941,942,943,951],itself:[3,4,8,10,14,15,20,21,28,43,46,198,199,200,201,202,203,206,207,208,209,212,215,216,221,334,736,826,897,900,902,924,931,939],ivec:[186,190],jan:23,januari:[896,898],jellinghau:919,jennif:[3,938,939,953],jeremi:919,jimi:12,job:[8,17,34,39],joeadmin:[19,23,32,952],joeuser:953,johndo:21,jqpublic:946,json:[3,36,46,368,371,738,740,910],jul:898,juli:898,just:[6,14,15,20,21,33,34,43,326,641,897,904,907,922,939,946,952],k1:107,k2:107,k5:[20,34,917,919],k5_gic_opt:[235,260],k5_random_kei:[115,124],k5_vic_opt:[415,416],k5ident:[21,28,937,950],k5login:[21,28,937,938,946,950],k5login_authorit:[21,28,952],k5login_directori:[21,28],k5srvutil:[1,14,26,900],k5user:946,k5wiki:[904,918,936],k:[2,3,4,5,6,10,11,14,15,20,23,26,34,101,119,900,911,918,942,943,946,948],kadm5:[3,4,6,18,20,21,23,24,34,903,917,918,919,926,928],kadm5_auth:[19,918,926],kadm5_auth_modinfo:928,kadm5_auth_plugin:928,kadm5_auth_restrict:928,kadm5_hook:[918,926],kadm5_hook_modinfo:929,kadm5_hook_plugin:929,kadm5_pass_q_:935,kadm:945,kadmin:[1,2,4,5,6,8,10,11,12,14,15,16,19,20,21,22,23,24,25,26,32,34,35,37,39,40,166,245,300,301,382,897,898,900,903,918,919,926,929,944,945,953],kadmind:[1,3,5,9,19,20,21,22,23,24,26,28,34,39,902,918,926,944,953],kadmind_listen:20,kadmind_port:[4,20,34],kaduk:14,kbd5_util:23,kbuild:903,kc:0,kcm:[21,321,405,897,918,919,953],kcm_mach_servic:21,kcm_socket:21,kd:20,kdb5_err:919,kdb5_ldap_util:[1,3,4,10,20,22,23,24],kdb5_util:[1,4,7,8,10,11,14,20,22,23,24,26,34,898,903,917,918,953],kdb5_util_path:4,kdb5_util_prog:8,kdb:[4,22,23,24,35,903,918,919,926,930,942,945],kdb_convert:919,kdb_log:919,kdc1:39,kdc2:39,kdc:[3,4,5,6,8,9,10,11,15,16,17,18,19,21,22,23,24,25,26,29,31,32,33,36,40,43,46,48,101,107,119,166,224,230,235,241,245,247,258,260,269,300,301,333,342,343,414,544,546,563,657,659,738,832,845,846,865,866,884,897,900,902,903,906,907,910,912,913,918,921,922,925,926,927,933,935,939,942,948,953],kdc_cert:37,kdc_default_opt:21,kdc_err_more_preauth_data_requir:918,kdc_listen:[20,34],kdc_max_dgram_reply_s:20,kdc_opt_allow_postd:789,kdc_opt_canonic:789,kdc_opt_cname_in_addl_tkt:789,kdc_opt_disable_transited_check:789,kdc_opt_enc_tkt_in_skei:789,kdc_opt_forward:789,kdc_opt_postd:789,kdc_opt_proxi:789,kdc_opt_renew:789,kdc_opt_renewable_ok:[21,789],kdc_opt_request_anonym:789,kdc_opt_valid:789,kdc_option:846,kdc_port:20,kdc_princ_nam:37,kdc_princip:37,kdc_principal_seq:37,kdc_tcp_listen:[20,34,37],kdc_tcp_listen_backlog:20,kdc_tcp_port:20,kdc_timesync:21,kdc_tkt_common_mask:789,kdcdefault:[10,34,37,40],kdcissu:48,kdckei:37,kdclist:34,kdcpolici:[918,926],kdcpolicy_plugin:930,kdcpreauth:[918,926],kdcpreauth_mymech_initvt:923,kdcpreauth_plugin:931,kdcproxi:29,kdestroi:[33,897,918,937,940,942,943,947,948,953],keep:[3,9,15,23,35,901,904,905,938],keepkvno:3,keepold:[3,14,23,918],kei:[2,3,5,6,9,10,11,12,15,16,19,20,21,25,28,32,34,36,37,38,40,41,43,46,48,73,77,87,89,100,103,105,106,108,113,114,117,119,129,130,141,153,155,181,216,224,229,234,258,276,277,280,292,293,300,301,307,308,313,320,325,330,342,343,351,354,359,363,364,412,414,439,440,671,740,750,756,813,825,826,832,833,834,847,848,850,900,901,902,903,906,907,910,911,912,917,918,922,924,931,939,942,943,948,953],kept:[3,17,20,23,32],kerb_ap_options_cbt:918,kerber:[14,33,34,946],kerbero:[2,3,4,5,6,7,8,9,10,11,12,14,18,19,20,21,24,25,26,27,28,30,31,32,33,36,37,38,42,43,45,46,47,48,56,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,117,118,121,124,125,126,129,130,133,134,135,141,142,145,147,148,149,150,151,152,153,155,156,157,158,159,161,162,163,164,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,235,236,238,248,260,261,262,264,265,266,267,268,271,272,273,274,275,276,277,278,279,280,282,287,288,289,290,294,295,296,298,299,300,301,302,303,305,306,308,310,311,314,315,316,317,318,321,322,323,324,325,326,327,328,329,330,331,332,333,335,337,338,339,342,344,345,347,352,354,355,356,357,358,359,360,361,363,364,374,375,376,377,378,382,383,384,385,389,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,897,898,901,902,903,904,906,907,909,910,926,929,932,934,936,937,938,941,942,943,944,945,946,947,948,949,950,951,952],kerberos_db:8,kerboro:18,kern:20,kernel:[897,903,918],key_data:[286,293],key_exp:832,key_stash_fil:[6,20,34],keyagr:37,keyblock:[48,70,75,90,101,107,115,117,215,216,224,280,281,331,353,359,393,826,910],keyboard:[4,6,10,48],keybyt:112,keydata:6,keyencipher:[21,37],keyexchang:107,keyfil:[6,20,22],keyfilenam:21,keyid:37,keyindex:6,keyinfo:[6,26],keylength:112,keylist:[11,15],keyprocarg:315,keyr:[897,906,918,953],keysalt:[2,3,917],keyspac:14,keytab:[2,3,7,8,11,12,14,17,21,23,26,28,31,41,43,46,48,304,310,311,312,314,317,318,359,363,364,416,897,899,901,902,906,907,910,913,917,918,942,943,945,946,948,953],keytab_fil:[8,942],keytab_nam:943,keytab_out:303,keytabl:850,keytabnam:906,keytyp:10,keyusag:37,keyutil:906,keyword:[21,898],kfw:918,kgetcr:918,kile:684,kill:34,kind:[38,43,105,897,919,922,924,931],kinit:[3,12,15,16,21,22,28,29,33,34,35,37,41,46,897,898,918,922,937,940,941,943,946,947,948,949,953],kiprop:[4,8,23],kkdcp:[29,39,918,919],klau:919,kldap:[20,22],klein:919,klist:[14,15,33,897,900,937,940,941,942,946,947,953],klmdb:20,know:[21,33,35,37,901,906,924,939],knowledg:[0,14,17,414,922,931],known:[6,20,23,26,38,43,46,48,152,231,317,647,648,907,918,951],korea:919,kp:[20,21],kpasswd:[3,4,14,15,20,21,23,29,33,918,937,938,940,953],kpasswd_listen:20,kpasswd_port:20,kpasswd_serv:[21,29,39],kpclientauth:20,kpkdc:21,kprop:[1,4,6,8,15,23,24,34,35,903,917,918,919,953],kprop_path:4,kprop_port:[4,917,953],kpropd:[1,4,7,9,23,34,41,903,917,918],kpropd_rpc:919,kproplog:[1,8,919],kpserverauth:[21,37],krb4:918,krb524:21,krb524_convert_creds_kdc:789,krb524_init_et:789,krb524_krb4_disabl:51,krb5:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,22,23,24,25,26,27,28,29,30,31,32,33,35,36,37,38,39,40,41,42,43,44,45,46,47,49,50,51,52,53,54,55,56,57,58,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,206,207,208,209,210,211,212,213,214,215,216,217,218,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,270,271,272,273,274,275,276,277,278,279,280,281,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,790,791,792,793,794,795,796,797,798,799,800,801,802,803,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,946,947,948,949,950,951,952,953],krb5_425_conv_princip:48,krb5_524_conv_princip:48,krb5_524_convert_cr:[48,790],krb5_address:[52,53,54,64,82,84,172,198,232,233,234,240,332,804,824,825,826,832,833,840,846],krb5_address_compar:48,krb5_address_ord:48,krb5_address_search:48,krb5_addrtyp:[804,805],krb5_allow_weak_crypto:48,krb5_altauth_att_challenge_respons:789,krb5_aname_to_localnam:[48,918,932],krb5_anonymous_princip:48,krb5_anonymous_princstr:[57,789],krb5_anonymous_realm:48,krb5_anonymous_realmstr:[58,789],krb5_ap_rep:[789,804],krb5_ap_rep_enc_part:[48,357,375,804],krb5_ap_req:[789,804],krb5_appdefault_boolean:[48,60],krb5_appdefault_str:[48,59],krb5_as_rep:[789,845],krb5_as_req:[789,846],krb5_auth_con_fre:[48,78],krb5_auth_con_genaddr:[48,82,84],krb5_auth_con_get_checksum_func:48,krb5_auth_con_getaddr:[44,48],krb5_auth_con_getauthent:48,krb5_auth_con_getflag:48,krb5_auth_con_getkei:48,krb5_auth_con_getkey_k:48,krb5_auth_con_getlocalseqnumb:48,krb5_auth_con_getlocalsubkei:48,krb5_auth_con_getrcach:48,krb5_auth_con_getrecvsubkei:[48,75],krb5_auth_con_getrecvsubkey_k:48,krb5_auth_con_getremoteseqnumb:48,krb5_auth_con_getremotesubkei:48,krb5_auth_con_getsendsubkei:[48,70],krb5_auth_con_getsendsubkey_k:48,krb5_auth_con_init:[48,61],krb5_auth_con_initivector:48,krb5_auth_con_set_checksum_func:48,krb5_auth_con_set_req_cksumtyp:48,krb5_auth_con_setaddr:[44,48],krb5_auth_con_setflag:[48,78],krb5_auth_con_setport:[44,48],krb5_auth_con_setrcach:48,krb5_auth_con_setrecvsubkei:[44,48],krb5_auth_con_setrecvsubkey_k:48,krb5_auth_con_setsendsubkei:[44,48],krb5_auth_con_setsendsubkey_k:48,krb5_auth_con_setuseruserkei:[48,359],krb5_auth_context:[48,62,63,64,65,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,84,85,86,87,88,89,90,223,323,325,326,327,328,329,330,331,354,356,357,358,359,360,363,364,375,804,856],krb5_auth_context_do_sequ:[66,69,74,83,325,326,327,331,356,360,789],krb5_auth_context_do_tim:[66,78,83,325,326,331,356,360,789],krb5_auth_context_generate_local_addr:[62,789],krb5_auth_context_generate_local_full_addr:[62,789],krb5_auth_context_generate_remote_addr:[62,789],krb5_auth_context_generate_remote_full_addr:[62,789],krb5_auth_context_permit_al:789,krb5_auth_context_ret_sequ:[66,83,325,326,327,331,354,356,360,789],krb5_auth_context_ret_tim:[66,83,325,326,331,354,356,360,789],krb5_auth_context_use_subkei:789,krb5_authdata:[173,184,189,195,200,320,322,412,804,813,826,833,846],krb5_authdata_and_or:789,krb5_authdata_ap_opt:789,krb5_authdata_auth_ind:789,krb5_authdata_cammac:789,krb5_authdata_etype_negoti:789,krb5_authdata_fx_armor:789,krb5_authdata_if_relev:789,krb5_authdata_initial_verified_ca:789,krb5_authdata_kdc_issu:789,krb5_authdata_mandatory_for_kdc:789,krb5_authdata_osf_dc:789,krb5_authdata_sesam:789,krb5_authdata_signticket:789,krb5_authdata_win2k_pac:789,krb5_authdatatyp:[184,189,195,804,811],krb5_authent:[48,65,804,886],krb5_bad_enctyp:[116,286],krb5_boolean:[52,54,55,105,109,110,127,128,129,130,160,192,253,283,284,285,298,299,300,319,341,343,348,349,350,362,388,804,826,838,860],krb5_build_princip:[46,47,48,92],krb5_build_principal_alloc_va:[47,48,91,94],krb5_build_principal_ext:[47,48],krb5_build_principal_va:48,krb5_c_:[186,188,190,191,196,197,281,351,353,411],krb5_c_block_siz:48,krb5_c_checksum_length:[48,168],krb5_c_crypto_length:48,krb5_c_crypto_length_iov:48,krb5_c_decrypt:[48,287],krb5_c_decrypt_iov:[48,103,288],krb5_c_derive_prfplu:[48,918],krb5_c_encrypt:48,krb5_c_encrypt_iov:[48,290],krb5_c_encrypt_length:[48,102,289],krb5_c_enctype_compar:48,krb5_c_free_stat:48,krb5_c_fx_cf2_simpl:48,krb5_c_init_st:48,krb5_c_is_coll_proof_cksum:48,krb5_c_is_keyed_cksum:48,krb5_c_keyed_checksum_typ:48,krb5_c_keylength:[48,124],krb5_c_make_checksum:[48,131,294],krb5_c_make_checksum_iov:[48,130,295],krb5_c_make_random_kei:48,krb5_c_padding_length:48,krb5_c_prf:[48,119,296],krb5_c_prf_length:[48,117],krb5_c_prfplu:[48,918],krb5_c_random_add_entropi:48,krb5_c_random_make_octet:48,krb5_c_random_os_entropi:48,krb5_c_random_se:48,krb5_c_random_to_kei:48,krb5_c_string_to_kei:[48,126,393],krb5_c_string_to_key_with_param:48,krb5_c_valid_cksumtyp:48,krb5_c_valid_enctyp:48,krb5_c_verify_checksum:[48,113,294,298,413],krb5_c_verify_checksum_iov:[48,114,299],krb5_calculate_checksum:48,krb5_cc_badnam:223,krb5_cc_cache_match:48,krb5_cc_close:[48,132,154,164],krb5_cc_copy_cr:48,krb5_cc_cursor:[139,150,158,804],krb5_cc_default:48,krb5_cc_default_nam:[48,135,156],krb5_cc_destroi:48,krb5_cc_dup:48,krb5_cc_end_seq_get:[48,158],krb5_cc_gen_new:48,krb5_cc_get_config:48,krb5_cc_get_flag:48,krb5_cc_get_full_nam:48,krb5_cc_get_nam:48,krb5_cc_get_princip:[47,48],krb5_cc_get_typ:48,krb5_cc_initi:[48,145],krb5_cc_move:48,krb5_cc_new_uniqu:48,krb5_cc_next_cr:[48,139,158],krb5_cc_nosupp:151,krb5_cc_notfound:[132,154,165],krb5_cc_remove_cr:[48,918],krb5_cc_resolv:[48,144],krb5_cc_retrieve_cr:[48,151],krb5_cc_select:48,krb5_cc_set_config:[44,48,283],krb5_cc_set_default_nam:[48,136],krb5_cc_set_flag:48,krb5_cc_start_seq_get:[48,139,150],krb5_cc_store_cr:48,krb5_cc_support_switch:48,krb5_cc_switch:48,krb5_ccach:[132,133,134,135,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,157,158,159,161,164,223,224,225,226,232,233,234,246,250,251,264,267,329,375,383,403,414,804],krb5_ccache_conf_data:910,krb5_cccol:920,krb5_cccol_cursor:[162,163,164,804],krb5_cccol_cursor_fre:[48,163,164],krb5_cccol_cursor_new:[48,162,164],krb5_cccol_cursor_next:[48,162,163],krb5_cccol_have_cont:48,krb5_cccol_last_change_tim:44,krb5_ccselect_moddata:920,krb5_ccselect_vt:923,krb5_certauth_hwauth:921,krb5_certauth_hwauth_pass:921,krb5_change_password:[48,169],krb5_check_clockskew:48,krb5_checksum:[48,113,129,131,294,298,413,804,813,861],krb5_checksum_s:48,krb5_chpw_fail:260,krb5_chpw_messag:48,krb5_chpw_pwdnull:260,krb5_cksumtyp:[81,96,109,110,111,113,114,127,130,131,168,170,204,294,295,299,390,413,804,818],krb5_cksumtype_to_str:48,krb5_clear_error_messag:48,krb5_client_ktnam:[15,900,917,953],krb5_clpreauth_moddata:922,krb5_clpreauth_modreq:922,krb5_config:[21,34,917,918,953],krb5_config_cantopen:50,krb5_config_notenufspac:[56,306],krb5_const:789,krb5_const_point:[131,186,190,413,804],krb5_const_princip:[50,56,57,141,155,182,283,300,301,310,320,340,341,342,343,347,348,349,350,359,362,388,406,407,408,409,804],krb5_context:[46,48,49,50,51,52,53,54,55,56,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,171,172,173,174,175,177,178,179,180,181,182,183,184,186,188,189,190,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,245,246,247,248,250,251,252,253,257,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,375,376,377,379,380,381,382,383,384,386,387,388,389,393,396,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,417,418,419,420,804,838,856,865,866,872,877,888,918,923],krb5_copy_address:48,krb5_copy_authdata:48,krb5_copy_authent:48,krb5_copy_checksum:48,krb5_copy_context:48,krb5_copy_cr:48,krb5_copy_data:[48,865,866],krb5_copy_error_messag:48,krb5_copy_keyblock:48,krb5_copy_keyblock_cont:48,krb5_copy_princip:[47,48],krb5_copy_ticket:48,krb5_cred:[46,48,51,150,151,153,159,166,220,224,225,226,232,233,234,235,260,264,267,272,323,325,330,354,375,382,401,403,414,789,804],krb5_cred_enc_part:[804,823],krb5_cred_info:[804,824],krb5_crypto_iov:[98,100,103,114,130,288,290,295,299,804],krb5_crypto_typ:[97,827],krb5_crypto_type_checksum:[114,130,295,299,789],krb5_crypto_type_data:[114,130,295,299,789],krb5_crypto_type_empti:789,krb5_crypto_type_head:789,krb5_crypto_type_pad:789,krb5_crypto_type_sign_onli:[98,114,130,295,299,789],krb5_crypto_type_stream:789,krb5_crypto_type_trail:789,krb5_cryptotyp:[97,804,827],krb5_cybersafe_secureid:789,krb5_data:[48,58,59,60,99,100,101,102,103,106,108,113,117,119,120,121,123,124,125,126,129,141,155,166,169,185,223,229,230,258,265,279,284,287,288,289,290,294,296,298,321,323,324,325,326,327,328,329,330,331,333,335,340,341,347,354,355,356,357,358,359,360,364,375,382,383,393,404,405,804,821,826,827,831,836,840,856,861,865,866,868,869,870,882,890,895],krb5_db_entri:921,krb5_decode_authdata_contain:[48,189],krb5_decode_ticket:48,krb5_decrypt:48,krb5_deltat:[187,235,256,259,260,275,391,804,840],krb5_deltat_badformat:391,krb5_deltat_to_str:48,krb5_domain_x500_compress:789,krb5_eblock_enctyp:48,krb5_enc_data:[99,102,287,289,804,807,809,823,845,846,883],krb5_enc_kdc_rep_part:[804,845],krb5_enc_tkt_part:[300,301,804,883],krb5_encode_authdata_contain:[48,184],krb5_encpadata_req_enc_pa_rep:789,krb5_encrypt:48,krb5_encrypt_block:[186,188,190,196,197,281,351,353,393,411,804],krb5_encrypt_s:48,krb5_enctyp:[95,97,98,101,104,105,111,112,115,116,118,124,125,126,128,188,191,192,193,211,229,232,233,234,244,261,280,292,310,315,378,392,411,804,831,834,840,846,848],krb5_enctype_to_nam:48,krb5_enctype_to_str:48,krb5_end_seq_get:150,krb5_error:[212,273,324,355,375,789,804],krb5_error_cod:[46,49,50,55,56,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,129,130,131,132,133,134,135,137,138,139,140,141,142,143,145,147,148,149,150,151,152,153,154,155,156,157,158,159,161,162,163,164,165,166,167,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,186,187,189,190,192,193,194,195,196,197,214,217,223,224,225,226,227,228,229,230,231,232,233,234,235,236,238,245,246,247,248,250,251,252,253,257,260,261,262,264,265,266,267,268,269,271,272,273,274,275,276,277,278,279,280,281,282,286,287,288,289,290,293,294,295,296,298,299,300,301,302,303,304,305,306,307,308,309,310,311,313,314,315,316,317,318,320,321,322,323,324,325,326,327,328,329,330,331,332,333,335,336,337,338,339,340,341,342,343,344,345,346,347,351,352,353,354,355,356,357,358,359,360,361,363,364,368,369,371,372,373,374,375,376,377,378,379,382,383,384,385,386,387,389,390,391,392,393,394,395,396,397,398,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,417,418,419,420,804,855,856,865,866,872,877,923],krb5_euid:901,krb5_expand_hostnam:48,krb5_expire_callback_func:[245,804],krb5_fast_requir:[248,789],krb5_fcc_intern:135,krb5_fences_vt:923,krb5_fences_vtable_v2:923,krb5_find_authdata:48,krb5_finish_kei:48,krb5_finish_random_kei:48,krb5_flag:[142,151,153,157,224,225,226,232,233,234,238,248,269,329,330,359,375,403,804,809,825,826,832,833,840,846,879,886,894],krb5_free_address:[48,172,332],krb5_free_ap_rep_enc_part:[48,357,375],krb5_free_authdata:[48,173,195,322],krb5_free_authent:[48,65,174],krb5_free_checksum:[48,175],krb5_free_checksum_cont:[48,113,294],krb5_free_cksumtyp:[48,111],krb5_free_context:[48,136,176,268,282],krb5_free_cr:[48,177,224,375,405],krb5_free_cred_cont:[46,48,150,153,272,401],krb5_free_data:[48,178,321],krb5_free_data_cont:[48,141,229,324,325,326,327,328,329,330,331,335,356,360],krb5_free_default_realm:[48,227],krb5_free_enctyp:[48,261],krb5_free_error:[48,355,375],krb5_free_error_messag:[48,228],krb5_free_host_realm:[48,230,231],krb5_free_keyblock:[48,67,72,76,180,280,315],krb5_free_keyblock_cont:[48,115,125,126,181],krb5_free_keytab_entry_cont:[48,309,310],krb5_free_princip:[46,47,48,49,91,92,93,145,154,182,344,345,389],krb5_free_str:[48,143,169,194],krb5_free_tgt_cr:[48,354],krb5_free_ticket:[48,183,359,363],krb5_free_unparsed_nam:[48,406,408],krb5_fwd_tgt_cred:48,krb5_gc:403,krb5_gc_cach:[224,789],krb5_gc_canonic:789,krb5_gc_constrained_deleg:789,krb5_gc_forward:789,krb5_gc_no_stor:789,krb5_gc_no_transit_check:789,krb5_gc_user_us:[224,789],krb5_generate_seq_numb:327,krb5_get_credenti:[48,375,380,381,403],krb5_get_credentials_renew:48,krb5_get_credentials_valid:48,krb5_get_default_realm:48,krb5_get_error_messag:[48,837],krb5_get_etype_info:[48,918],krb5_get_fallback_host_realm:48,krb5_get_host_realm:[48,389],krb5_get_in_tkt_with_keytab:48,krb5_get_in_tkt_with_password:48,krb5_get_in_tkt_with_skei:48,krb5_get_init_cr:[234,250,251],krb5_get_init_creds_keytab:[48,232],krb5_get_init_creds_opt:[46,229,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,275,804],krb5_get_init_creds_opt_address_list:789,krb5_get_init_creds_opt_alloc:[46,48,237,239],krb5_get_init_creds_opt_anonym:789,krb5_get_init_creds_opt_canonic:789,krb5_get_init_creds_opt_chg_pwd_prmpt:789,krb5_get_init_creds_opt_etype_list:789,krb5_get_init_creds_opt_forward:789,krb5_get_init_creds_opt_fre:[46,48,236],krb5_get_init_creds_opt_get_fast_flag:48,krb5_get_init_creds_opt_init:48,krb5_get_init_creds_opt_preauth_list:789,krb5_get_init_creds_opt_proxi:789,krb5_get_init_creds_opt_renew_lif:789,krb5_get_init_creds_opt_salt:789,krb5_get_init_creds_opt_set_address_list:48,krb5_get_init_creds_opt_set_anonym:[46,48],krb5_get_init_creds_opt_set_canonic:48,krb5_get_init_creds_opt_set_change_password_prompt:48,krb5_get_init_creds_opt_set_etype_list:[48,229],krb5_get_init_creds_opt_set_expire_callback:48,krb5_get_init_creds_opt_set_fast_ccach:48,krb5_get_init_creds_opt_set_fast_ccache_nam:[48,229,246],krb5_get_init_creds_opt_set_fast_flag:[48,247],krb5_get_init_creds_opt_set_forward:48,krb5_get_init_creds_opt_set_in_ccach:48,krb5_get_init_creds_opt_set_out_ccach:48,krb5_get_init_creds_opt_set_pa:[48,254],krb5_get_init_creds_opt_set_pac_request:48,krb5_get_init_creds_opt_set_preauth_list:48,krb5_get_init_creds_opt_set_proxi:48,krb5_get_init_creds_opt_set_renew_lif:48,krb5_get_init_creds_opt_set_respond:[46,48],krb5_get_init_creds_opt_set_salt:[48,254],krb5_get_init_creds_opt_set_tkt_lif:[46,48],krb5_get_init_creds_opt_tkt_lif:789,krb5_get_init_creds_password:[46,48,233,243,245,352,918],krb5_get_permitted_enctyp:48,krb5_get_profil:48,krb5_get_prompt_typ:[46,48],krb5_get_renewed_cr:[48,225],krb5_get_server_rcach:48,krb5_get_time_offset:48,krb5_get_validated_cr:[48,226],krb5_gic_opt_pa_data:804,krb5_init_context:[48,205],krb5_init_context_kdc:[269,789],krb5_init_context_profil:48,krb5_init_context_secur:[269,789],krb5_init_creds_context:[270,271,272,273,274,275,276,277,278,279,804],krb5_init_creds_fre:[48,275],krb5_init_creds_get:[48,272,274,275],krb5_init_creds_get_cr:[48,271],krb5_init_creds_get_error:48,krb5_init_creds_get_tim:48,krb5_init_creds_init:[48,270,271,279,352],krb5_init_creds_set_keytab:48,krb5_init_creds_set_password:48,krb5_init_creds_set_servic:48,krb5_init_creds_step:[48,272,274,275,918],krb5_init_creds_step_flag_continu:[279,789],krb5_init_keyblock:48,krb5_init_random_kei:48,krb5_init_secure_context:[48,205,268,918],krb5_int16:804,krb5_int16_max:[567,789],krb5_int16_min:789,krb5_int32:[66,69,74,83,266,363,364,374,385,389,394,410,804,806,808,812,813,819,821,824,828,830,832,835,836,837,839,846,851,854,867,868,869,871,875,879,881,882,885,891],krb5_int32_max:[569,789],krb5_int32_min:789,krb5_invalid_princip:50,krb5_is_config_princip:[47,48],krb5_is_referral_realm:48,krb5_is_thread_saf:48,krb5_k:847,krb5_k_create_kei:48,krb5_k_decrypt:48,krb5_k_decrypt_iov:[48,290],krb5_k_encrypt:48,krb5_k_encrypt_iov:[48,288],krb5_k_free_kei:[48,68,73,77,286],krb5_k_key_enctyp:48,krb5_k_key_keyblock:48,krb5_k_make_checksum:[48,113],krb5_k_make_checksum_iov:[48,114,299],krb5_k_prf:48,krb5_k_reference_kei:48,krb5_k_verify_checksum:[48,129],krb5_k_verify_checksum_iov:[48,130,295],krb5_kdc_profil:[10,20,34,917,918,953],krb5_kdc_rep:[232,233,234,804],krb5_kdc_req:804,krb5_kdc_sign_ticket:[48,340,341],krb5_kdc_unreach:260,krb5_kdc_verify_ticket:48,krb5_kdcpolicy_moddata:930,krb5_kdcpreauth_moddata:931,krb5_kdcpreauth_modreq:931,krb5_kdcrep_modifi:267,krb5_kdcrep_skew:267,krb5_kei:[48,68,73,77,87,89,287,288,289,290,291,294,295,296,297,298,299,804],krb5_key_st:847,krb5_keyblock:[48,67,70,72,75,76,86,88,90,99,100,101,102,103,106,107,108,113,114,115,117,119,124,125,126,129,130,180,181,234,281,286,293,300,301,315,320,340,341,342,343,351,353,393,412,804,808,813,825,826,832,833,834,850],krb5_keytab:[232,235,276,302,303,304,305,307,308,310,311,312,313,314,316,317,318,359,363,364,376,414,804],krb5_keytab_entri:[217,302,309,310,314,316,804],krb5_keytab_entry_st:850,krb5_keyusag:[99,100,102,103,108,113,114,129,130,287,288,289,290,294,295,298,299,804],krb5_keyusage_ad_it:789,krb5_keyusage_ad_kdcissued_cksum:789,krb5_keyusage_ad_mt:789,krb5_keyusage_ad_signedpath:789,krb5_keyusage_ap_rep_encpart:789,krb5_keyusage_ap_req_auth:789,krb5_keyusage_ap_req_auth_cksum:789,krb5_keyusage_app_data_cksum:789,krb5_keyusage_app_data_encrypt:789,krb5_keyusage_as_rep_encpart:789,krb5_keyusage_as_req:789,krb5_keyusage_as_req_pa_enc_t:789,krb5_keyusage_cammac:789,krb5_keyusage_enc_challenge_cli:789,krb5_keyusage_enc_challenge_kdc:789,krb5_keyusage_fast_enc:789,krb5_keyusage_fast_finish:789,krb5_keyusage_fast_rep:789,krb5_keyusage_fast_req_chksum:789,krb5_keyusage_gss_tok_m:789,krb5_keyusage_gss_tok_wrap_integ:789,krb5_keyusage_gss_tok_wrap_priv:789,krb5_keyusage_iakerb_finish:789,krb5_keyusage_kdc_rep_ticket:789,krb5_keyusage_krb_cred_encpart:789,krb5_keyusage_krb_error_cksum:789,krb5_keyusage_krb_priv_encpart:789,krb5_keyusage_krb_safe_cksum:789,krb5_keyusage_pa_as_fresh:789,krb5_keyusage_pa_fx_cooki:789,krb5_keyusage_pa_otp_request:789,krb5_keyusage_pa_pkinit_kx:789,krb5_keyusage_pa_s4u_x509_user_repli:789,krb5_keyusage_pa_s4u_x509_user_request:789,krb5_keyusage_pa_sam_challenge_cksum:789,krb5_keyusage_pa_sam_challenge_trackid:789,krb5_keyusage_pa_sam_respons:789,krb5_keyusage_spak:789,krb5_keyusage_tgs_rep_encpart_sesskei:789,krb5_keyusage_tgs_rep_encpart_subkei:789,krb5_keyusage_tgs_req_ad_sesskei:789,krb5_keyusage_tgs_req_ad_subkei:789,krb5_keyusage_tgs_req_auth:789,krb5_keyusage_tgs_req_auth_cksum:789,krb5_kpasswd_accessdeni:789,krb5_kpasswd_autherror:[166,789],krb5_kpasswd_bad_vers:789,krb5_kpasswd_harderror:[166,789],krb5_kpasswd_initial_flag_need:789,krb5_kpasswd_malform:[166,789],krb5_kpasswd_softerror:[166,789],krb5_kpasswd_success:[166,382,789],krb5_kt_add_entri:48,krb5_kt_client_default:48,krb5_kt_close:[48,317],krb5_kt_cursor:[308,314,318,804],krb5_kt_default:48,krb5_kt_default_nam:48,krb5_kt_dup:48,krb5_kt_end:314,krb5_kt_end_seq_get:[48,318],krb5_kt_free_entri:[48,314],krb5_kt_get_entri:48,krb5_kt_get_nam:48,krb5_kt_get_typ:48,krb5_kt_have_cont:48,krb5_kt_name_toolong:311,krb5_kt_next_entri:48,krb5_kt_notfound:313,krb5_kt_nowrit:[302,316],krb5_kt_read_service_kei:48,krb5_kt_remove_entri:48,krb5_kt_resolv:48,krb5_kt_start_seq_get:[48,308],krb5_ktname:[43,900,917,953],krb5_kuserok:[47,48,918,932],krb5_kvno:[310,315,804,831,850],krb5_last_req_entri:[804,832],krb5_libos_badpwdmatch:[260,361],krb5_libos_pwdintr:260,krb5_lname_no_tran:932,krb5_lname_notran:56,krb5_lrq_all_acct_exptim:789,krb5_lrq_all_last_initi:789,krb5_lrq_all_last_renew:789,krb5_lrq_all_last_req:789,krb5_lrq_all_last_tgt:789,krb5_lrq_all_last_tgt_issu:789,krb5_lrq_all_pw_exptim:789,krb5_lrq_none:789,krb5_lrq_one_acct_exptim:789,krb5_lrq_one_last_initi:789,krb5_lrq_one_last_renew:789,krb5_lrq_one_last_req:789,krb5_lrq_one_last_tgt:789,krb5_lrq_one_last_tgt_issu:789,krb5_lrq_one_pw_exptim:789,krb5_magic:[804,805,807,808,809,811,813,818,821,823,824,825,826,829,831,832,833,834,836,845,846,848,850,854,859,868,869,873,882,883,886,890,891,895],krb5_make_authdata_kdc_issu:48,krb5_marshal_credenti:48,krb5_merge_authdata:48,krb5_mk_1cred:48,krb5_mk_error:48,krb5_mk_ncred:[48,323],krb5_mk_priv:[48,79],krb5_mk_rep:48,krb5_mk_rep_dc:48,krb5_mk_req:[48,80,81,330],krb5_mk_req_checksum_func:[63,80,804],krb5_mk_req_extend:[48,329],krb5_mk_safe:[48,326],krb5_msgtype:[503,504,505,506,531,543,718,741,759,760,804,832,845,846],krb5_no_2nd_tkt:267,krb5_no_tkt_suppli:[223,267],krb5_nt_ent_principal_and_id:789,krb5_nt_enterprise_princip:789,krb5_nt_ms_princip:789,krb5_nt_ms_principal_and_id:789,krb5_nt_princip:[91,93,344,789],krb5_nt_smtp_name:789,krb5_nt_srv_hst:[223,389,789],krb5_nt_srv_inst:[91,93,344,789],krb5_nt_srv_xhst:789,krb5_nt_uid:789,krb5_nt_unknown:[389,789],krb5_nt_wellknown:[91,93,344,789],krb5_nt_x500_princip:789,krb5_octet:[804,805,811,818,848,859,882,890,891],krb5_os_localaddr:48,krb5_pa_data:[804,832,845,846],krb5_pa_pac_req:804,krb5_pa_server_referral_data:804,krb5_pa_svr_referral_data:804,krb5_pac:[300,301,333,334,335,336,337,338,339,340,341,342,343,804],krb5_pac_add_buff:48,krb5_pac_attributes_info:789,krb5_pac_client_claim:789,krb5_pac_client_info:[333,789],krb5_pac_credentials_info:[333,789],krb5_pac_data:863,krb5_pac_delegation_info:[333,789],krb5_pac_device_claim:789,krb5_pac_device_info:789,krb5_pac_fre:[48,338,339],krb5_pac_full_checksum:789,krb5_pac_get_buff:48,krb5_pac_get_client_info:[48,918],krb5_pac_get_typ:48,krb5_pac_init:48,krb5_pac_logon_info:[333,789],krb5_pac_pars:48,krb5_pac_privsvr_checksum:[333,789],krb5_pac_requestor:789,krb5_pac_server_checksum:[333,789],krb5_pac_sign:48,krb5_pac_sign_ext:48,krb5_pac_ticket_checksum:789,krb5_pac_upn_dns_info:[333,789],krb5_pac_verifi:[48,343],krb5_pac_verify_ext:[48,301],krb5_padata_afs3_salt:789,krb5_padata_ap_req:[704,789],krb5_padata_as_checksum:789,krb5_padata_as_fresh:789,krb5_padata_enc_sandia_securid:789,krb5_padata_enc_timestamp:789,krb5_padata_enc_unix_tim:789,krb5_padata_encrypted_challeng:789,krb5_padata_etype_info2:789,krb5_padata_etype_info:789,krb5_padata_for_us:789,krb5_padata_fx_cooki:789,krb5_padata_fx_error:789,krb5_padata_fx_fast:789,krb5_padata_get_from_typed_data:789,krb5_padata_non:789,krb5_padata_osf_dc:789,krb5_padata_otp_challeng:789,krb5_padata_otp_pin_chang:789,krb5_padata_otp_request:789,krb5_padata_pac_opt:789,krb5_padata_pac_request:789,krb5_padata_pk_as_rep:789,krb5_padata_pk_as_rep_old:789,krb5_padata_pk_as_req:789,krb5_padata_pk_as_req_old:789,krb5_padata_pkinit_kx:789,krb5_padata_pw_salt:789,krb5_padata_redhat_idp_oauth2:789,krb5_padata_redhat_passkei:789,krb5_padata_referr:789,krb5_padata_s4u_x509_us:789,krb5_padata_sam_challeng:789,krb5_padata_sam_challenge_2:789,krb5_padata_sam_redirect:789,krb5_padata_sam_respons:789,krb5_padata_sam_response_2:789,krb5_padata_sesam:789,krb5_padata_spak:789,krb5_padata_svr_referral_info:789,krb5_padata_tgs_req:789,krb5_padata_use_specified_kvno:789,krb5_parse_nam:[46,47,48,345,406],krb5_parse_name_flag:[47,48],krb5_plugin_no_handl:[925,928,932,933],krb5_plugin_ver_notsupp:923,krb5_plugin_vt:923,krb5_pointer:[186,190,197,281,315,353,363,364,375,804,815,852],krb5_post_recv_fn:[380,804],krb5_pre_send_fn:[381,804],krb5_preauth_fail:260,krb5_preauthtyp:[232,233,234,254,804,840,859],krb5_prepend_error_messag:[48,417,918],krb5_princ_compon:789,krb5_princ_nam:789,krb5_princ_nomatch:[223,267],krb5_princ_realm:789,krb5_princ_set_realm:789,krb5_princ_set_realm_data:789,krb5_princ_set_realm_length:789,krb5_princ_siz:[789,793],krb5_princ_typ:789,krb5_princip:[46,47,48,49,91,92,93,94,132,145,147,154,182,218,223,229,235,260,264,267,275,315,319,363,364,375,382,383,384,389,412,414,804,813,825,826,832,833,836,845,846,850,861,862,883],krb5_principal2salt:48,krb5_principal_compar:[47,48,349,350,388],krb5_principal_compare_any_realm:[47,48],krb5_principal_compare_casefold:[350,789],krb5_principal_compare_enterpris:[350,789],krb5_principal_compare_flag:[47,48],krb5_principal_compare_ignore_realm:[350,789],krb5_principal_compare_utf8:[350,789],krb5_principal_data:[47,804,821,868],krb5_principal_parse_enterpris:[345,789],krb5_principal_parse_ignore_realm:[345,789],krb5_principal_parse_no_def_realm:789,krb5_principal_parse_no_realm:[345,789],krb5_principal_parse_require_realm:[345,789],krb5_principal_unparse_displai:[408,789],krb5_principal_unparse_no_realm:[408,789],krb5_principal_unparse_short:[408,789],krb5_priv:789,krb5_process_kei:48,krb5_prog_etype_nosupp:378,krb5_prompt:[352,804,872],krb5_prompt_typ:[263,804],krb5_prompt_type_new_password:[263,789],krb5_prompt_type_new_password_again:[263,789],krb5_prompt_type_password:[263,789],krb5_prompt_type_preauth:[263,789],krb5_prompter_fct:[260,275,804],krb5_prompter_posix:[46,48],krb5_prop:[15,34,41],krb5_pvno:789,krb5_pwd_data:804,krb5_pwqual_moddata:935,krb5_random_kei:48,krb5_rc_close:265,krb5_rc_requir:[323,325],krb5_rc_st:874,krb5_rcach:[71,85,265,804],krb5_rd_cred:[48,325],krb5_rd_error:48,krb5_rd_priv:[48,79,875],krb5_rd_rep:48,krb5_rd_rep_dc:48,krb5_rd_req:48,krb5_rd_safe:[48,875],krb5_read_error:48,krb5_read_password:48,krb5_realm_branch_char:789,krb5_realm_cant_resolv:260,krb5_realm_compar:[47,48],krb5_recvauth:[48,364,375],krb5_recvauth_badauthv:789,krb5_recvauth_skip_vers:789,krb5_recvauth_vers:48,krb5_referral_realm:[48,789],krb5_replay_data:[323,325,326,331,354,356,360,804],krb5_responder_context:[46,365,366,367,368,369,370,371,372,373,804,877],krb5_responder_context_st:876,krb5_responder_fn:[257,804,876],krb5_responder_get_challeng:[46,48,366,876],krb5_responder_list_quest:[46,48,876],krb5_responder_otp_challeng:[46,367,368,804],krb5_responder_otp_challenge_fre:[46,48,368],krb5_responder_otp_flags_collect_pin:[731,789],krb5_responder_otp_flags_collect_token:789,krb5_responder_otp_flags_nextotp:789,krb5_responder_otp_flags_separate_pin:789,krb5_responder_otp_format_alphanumer:789,krb5_responder_otp_format_decim:789,krb5_responder_otp_format_hexadecim:789,krb5_responder_otp_get_challeng:[46,48],krb5_responder_otp_set_answ:[46,48],krb5_responder_otp_tokeninfo:[804,878],krb5_responder_pkinit_challeng:[46,370,371,804],krb5_responder_pkinit_challenge_fre:[48,371],krb5_responder_pkinit_flags_token_:740,krb5_responder_pkinit_flags_token_user_pin_count_low:789,krb5_responder_pkinit_flags_token_user_pin_final_tri:789,krb5_responder_pkinit_flags_token_user_pin_lock:789,krb5_responder_pkinit_get_challeng:[46,48],krb5_responder_pkinit_ident:[804,880],krb5_responder_pkinit_set_answ:[46,48],krb5_responder_question_otp:[46,48,789],krb5_responder_question_password:[46,789],krb5_responder_question_pkinit:[46,48,789],krb5_responder_set_answ:[46,48,366,876],krb5_respons:804,krb5_roundup:789,krb5_safe:789,krb5_salttype_to_str:48,krb5_sam_must_pk_encrypt_sad:789,krb5_sam_send_encrypted_sad:789,krb5_sam_use_sad_as_kei:789,krb5_sendauth:[48,363],krb5_server_decrypt_ticket_keytab:48,krb5_set_default_realm:[44,48],krb5_set_default_tgs_enctyp:[48,261],krb5_set_error_messag:48,krb5_set_kdc_recv_hook:48,krb5_set_kdc_send_hook:48,krb5_set_password:[47,48,169],krb5_set_password_using_ccach:[47,48],krb5_set_principal_realm:[47,48],krb5_set_real_tim:48,krb5_set_trace_callback:48,krb5_set_trace_filenam:48,krb5_sname_match:[47,48,359],krb5_sname_to_princip:[47,48],krb5_string_to_cksumtyp:48,krb5_string_to_deltat:48,krb5_string_to_enctyp:48,krb5_string_to_kei:48,krb5_string_to_salttyp:48,krb5_string_to_timestamp:48,krb5_tc_match_2nd_tkt:[153,789],krb5_tc_match_authdata:[153,789],krb5_tc_match_flag:[153,789],krb5_tc_match_flags_exact:[153,789],krb5_tc_match_is_skei:[153,789],krb5_tc_match_ktyp:[153,789],krb5_tc_match_srv_nameonli:[153,789],krb5_tc_match_tim:[153,789],krb5_tc_match_times_exact:[153,789],krb5_tc_noticket:789,krb5_tc_openclos:789,krb5_tc_supported_ktyp:[153,789],krb5_tgs_name:789,krb5_tgs_name_s:789,krb5_tgs_rep:789,krb5_tgs_req:[789,846],krb5_ticket:[48,185,221,359,363,364,376,804,809,823,845,846,886],krb5_ticket_tim:[274,402,804,825,826,832,833],krb5_timeofdai:48,krb5_timestamp:[45,167,266,336,340,341,342,343,385,395,396,397,398,410,804,808,813,824,832,836,838,846,850,854,861,875,882,884],krb5_timestamp_to_sfstr:48,krb5_timestamp_to_str:48,krb5_tkt_authent:804,krb5_tkt_creds_context:[399,400,401,402,403,404,804],krb5_tkt_creds_fre:[48,403],krb5_tkt_creds_get:[48,401,402,403],krb5_tkt_creds_get_cr:[48,400],krb5_tkt_creds_get_tim:48,krb5_tkt_creds_init:[48,400],krb5_tkt_creds_step:[48,401,402,403],krb5_tkt_creds_step_flag_continu:[404,789],krb5_trace:[41,386,387,953],krb5_trace_callback:[386,804,889],krb5_trace_info:[386,804,888],krb5_trace_nosupp:[386,387],krb5_transit:[804,833],krb5_typed_data:804,krb5_ui_2:804,krb5_ui_4:[333,335,337,358,804,808,813,836,875],krb5_unmarshal_credenti:48,krb5_unparse_nam:[47,48,407,408],krb5_unparse_name_ext:48,krb5_unparse_name_flag:[47,48],krb5_unparse_name_flags_ext:48,krb5_us_timeofdai:48,krb5_use_enctyp:48,krb5_verify_authdata_kdc_issu:48,krb5_verify_checksum:48,krb5_verify_init_cr:[46,48,416],krb5_verify_init_creds_opt:[46,414,415,416,804],krb5_verify_init_creds_opt_ap_req_nofail:789,krb5_verify_init_creds_opt_init:[46,48,414],krb5_verify_init_creds_opt_set_ap_req_nofail:[46,48,414],krb5_vprepend_error_messag:48,krb5_vset_error_messag:48,krb5_vwrap_error_messag:48,krb5_wellknown_namestr:789,krb5_wrap_error_messag:[48,419,918],krb5_x:789,krb5_xc:789,krb5cc_1984:946,krb5cc_320:939,krb5cc_:[917,946,953],krb5cc_p11795:939,krb5cc_ttypa:939,krb5ccname:[15,136,897,941,942,943,946,953],krb5kdc:[0,1,2,3,4,5,6,7,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],krb5kdc_err_key_exp:260,krb5kdc_err_more_preauth_data_requir:931,krb5krb_ap_err_skew:167,krb5krb_err_response_too_big:[279,404],krb5lib:34,krb5plugin_service_locate_ft:933,krb5rcachedir:[901,917,953],krb5rcachenam:[901,953],krb5rcachetyp:[901,953],krb5srv:39,krb:[48,918,919],krb_ap_rep:48,krb_ap_req:48,krb_error:[48,375],krbadmin:[20,22],krbcanonicalnam:22,krbcontain:[20,22],krbcore:936,krbdev:936,krbprincipalnam:22,krbtest:[16,23,35,41,911,912,951],krbtgt:[3,19,26,37,41,43,278,301,644,757,910,911,912,918,939,948],ksu:[919,937,940,953],ksu_opt:946,kswitch:[897,937,940,953],kt:376,ktadd:[14,15,23,32,34,900],kth:919,ktid:317,ktrem:3,ktremov:15,ktutil:[1,2,900,903,918],ktype:[128,232,233,234,261,846],ku:21,kungliga:919,kv5m_context:[135,156],kv:[5,6],kvno:[3,6,11,14,15,16,23,26,29,32,34,41,310,414,831,883,911,918,937,940],l:[11,19,897,898,906,939,942,943,945,946],lab:[5,919],label:[21,919],laboratori:919,lack:[37,378,918],lag:946,larg:[20,23,24,34,36,39,46,100,103,119,288,290,904,918],larger:[24,32,37,896,914,918],largest:35,last:[3,6,9,20,23,24,35,44,48,173,198,200,220,245,314,322,386,735,854,897,898,921,930],last_fail:6,last_req:832,last_success:6,lastpwd:6,latenc:24,later:[3,19,20,21,23,26,33,37,38,39,41,43,136,247,740,896,911,914,918,919,925,932],latest:[34,224,884,904,918,939],latter:[388,897],launchpad:42,law:919,lawsuit:919,lawyer:919,layer:[918,924,927],layout:[43,917],lcom_err:945,lcurs:906,ld:906,ldap:[3,4,5,6,10,20,22,35,38,906,918,919],ldap_conns_per_serv:20,ldap_kadmind_dn:[5,20,22],ldap_kadmind_sasl_authcid:[5,20],ldap_kadmind_sasl_authzid:20,ldap_kadmind_sasl_mech:20,ldap_kadmind_sasl_realm:20,ldap_kdc_dn:[5,20,22],ldap_kdc_sasl_authcid:[5,20],ldap_kdc_sasl_authzid:20,ldap_kdc_sasl_mech:[20,22],ldap_kdc_sasl_realm:20,ldap_kerberos_container_dn:[20,22],ldap_serv:[20,22],ldap_service_password_fil:[20,22],ldapadd:22,ldapi:[20,22,24],ldapsasl_nocanon:38,ldapuri:[3,5],ldb:906,ldflag:906,ldif:22,ldname:906,ldopt:906,lead:[20,946],learn:15,least:[15,23,32,34,39,99,102,153,165,287,289,407,735,752,914,928,932],leav:[3,14,24,28,32,33],left:[20,21,280,912,923],leg:918,legaci:[26,46,885],legal:[280,946],legitim:[25,46,901,946],lehman:919,lehmann:919,len:[12,118,337,339],length:[3,20,33,43,46,48,91,92,99,100,102,103,116,117,119,124,191,203,209,244,254,260,280,284,287,288,289,290,311,336,339,361,397,738,798,799,805,811,818,821,829,848,859,868,869,879,891,910,911,914,915,924,944],lengthi:918,less:[3,20,25,53,897,904,914,915,918],let:[99,287,933,952],letter:[34,39,939],level:[3,5,10,25,37,39,43,904,908,934],liabil:919,liabl:919,lib:[37,904,906,917,919,945],libdefault:[15,20,26,28,33,34,38,39,40,41,43,44,897,900,901,934],libdir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],libedit:906,libera:936,libev:919,libk5crypto:918,libkadm5:918,libkdb5:921,libkdb_ldap:22,libkeyutil:906,libkrb5:[21,28,43,896,918],libkrb5support:918,libpam:42,librari:[3,18,20,21,24,26,29,38,41,43,46,48,49,50,52,53,54,55,56,59,60,61,62,63,64,65,66,67,68,69,71,72,73,74,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,101,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,121,124,125,126,129,130,132,133,134,135,136,137,138,139,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,169,171,172,173,174,175,176,177,178,179,180,181,182,183,184,189,194,195,198,199,200,201,202,203,204,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,227,228,229,230,231,235,236,237,238,245,246,247,248,250,251,252,253,257,260,261,262,263,264,265,266,267,270,271,272,273,274,275,276,277,278,279,280,283,286,287,288,289,290,294,295,296,298,299,300,301,302,303,304,305,306,307,308,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,342,343,344,345,346,347,348,349,350,352,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,396,399,400,401,402,403,404,405,406,407,408,409,410,412,414,417,418,419,420,865,866,896,897,903,904,906,917,918,919,920,921,922,924,925,926,932,933,934,945,953],libtool:923,libverto:[906,931],licens:[905,906,909,918],life:[3,5,19,23,942],lifetim:[3,6,14,21,23,48,153,365,366,752,826,832,897,918,921,930,939,942,946,953],lightn:918,lightweight:903,like:[3,6,8,12,14,15,19,21,23,32,33,34,37,38,39,41,43,192,897,901,902,904,906,908,923,927,939],likewis:946,limit:[20,23,24,25,34,39,919,946,953],line:[0,3,8,10,12,15,19,20,21,23,28,34,35,37,352,905,906,918,919,938,946,948,951,952,953],link:[0,30,34,901,904,905,906,908,921,924,945],linkdn:3,linker:906,linux:[897,906,918],list:[0,2,3,4,6,10,14,15,19,21,23,26,28,32,34,36,39,40,43,46,48,93,153,164,184,189,195,214,230,231,320,378,412,417,418,419,833,876,897,906,907,917,919,921,922,925,931,934,938,939,943,946,951,952],list_mkei:23,list_polici:23,list_princip:23,listen:[4,8,10,20,34,39,918],listinfo:936,listpol:3,listprinc:3,liter:923,littl:924,live:[6,15,923],lk5crypto:945,lkrb5:945,ll:34,lmdb:[20,23,24,906,918],lname:[56,946],lndir:[903,905],lnsize_in:56,lnsl:906,load:[8,14,17,20,24,34,38,40,906,924,934],load_dump:6,loadabl:[20,21,924],loader:906,local0:20,local7:20,local:[3,5,8,12,14,15,20,21,22,23,28,32,34,36,39,43,46,48,62,64,80,230,231,325,326,327,329,331,344,356,359,360,389,398,408,523,524,717,898,901,902,903,906,908,910,911,912,917,918,925,926,938,939,942,943,945,946,948,953],local_addr:[44,64,82],local_appdata:21,local_port:84,local_realm:946,localauth:[918,926],localauth_plugin:932,localedir:906,localfr:28,localhost:15,localhostnam:43,localstatedir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],locat:[4,7,8,10,15,19,20,21,22,24,25,29,34,39,41,43,48,897,901,906,907,915,917,918,919,926,934,939,941,942,943,945,946,947,948,953],locate_plugin:933,lock:[6,20,23,24,34,35,736,737,915,918,939],lockdown_kei:[3,19,918],lockit:3,lockout:[3,20,24,25,30],lockout_polici:35,lockoutdur:[3,35],lockouttim:3,log:[8,9,23,24,26,28,33,34,37,39,46,48,737,897,918,926,938,939,941,946,952,953],log_:20,log_daemon:20,logic:[39,918],login:[20,21,33,38,41,46,939,946,953],logon:[20,333,658,918],logout:[939,941],longer:[11,19,23,25,33,39,43,49,65,67,68,72,73,76,77,78,91,92,93,111,113,115,120,122,123,125,126,132,141,143,145,150,153,154,163,164,169,172,173,174,175,176,177,178,180,181,182,183,194,195,224,227,229,230,231,236,261,265,268,272,275,280,282,286,294,310,315,317,318,321,322,324,325,326,327,328,329,330,331,332,335,338,339,344,345,354,355,356,357,359,360,363,375,389,401,403,405,406,408,906,918,939,942],look:[0,8,12,15,20,21,23,28,37,38,39,43,389,904,906,923,939,942,946],lookasid:906,lookup:[21,22,33,38,39,194,815,906,918,933],lose:6,loss:[23,919],lost:[17,904,919],lot:39,lower:[3,19,21,43,230,934,944,951],lowercas:[23,38,901],lowest:21,lpr:20,lr:[3,11,854],lr_type:854,lr_type_interpretation_mask:789,lr_type_this_server_onli:789,lrealm:[210,227,377],ls:946,lsocket:906,lss:906,ltd:919,luke:39,luser:319,lxml:908,m:[3,4,5,6,10,14,19,20,21,23,26,34,39,898,918,919,939],mac:903,mach:[21,919],machin:[4,8,12,14,15,17,18,21,31,32,34,37,38,39,897,902,906,938,939,952,953],maco:[21,342,897,903,918,919],macro:[97,99,100,102,103,108,113,114,130,184,189,287,288,289,290,294,295,299,329,330,375,403,421,827,889,946],made:[8,21,23,34,41,136,253,269,378,897,918,919,927,929,947,953],magic:[135,156,805,807,808,809,811,813,818,821,823,824,825,826,829,831,832,833,834,836,845,846,848,850,854,859,868,869,873,882,883,886,890,891,895],mai:[3,6,8,10,11,14,15,19,20,21,22,23,24,25,26,28,33,34,35,36,37,38,39,40,41,43,46,99,107,126,158,195,224,228,229,241,245,258,262,287,330,359,375,380,381,388,389,414,731,847,865,877,889,898,901,904,906,907,910,911,914,915,918,919,922,924,925,927,928,929,930,931,934,936,938,939,941,942,946,951,953],mail:[20,897,939,946,951],mailbox:901,mailman:936,main:[368,371,936],maintain:[0,9,15,20,23,904,906,953],mainten:[3,6,23],maj_ver:923,major:[43,905,923],make:[0,3,6,12,14,15,17,20,21,22,23,25,26,28,32,33,34,35,37,39,41,43,48,112,236,241,250,301,368,371,403,896,904,905,906,908,910,918,919,924,938,942,947],makedepend:903,makefil:[904,906,908],malform:[166,223,619,910],malici:[3,46],malloc:934,man:[0,3,21,901,906,918],manag:[5,19,23,33,918,934,937,953],mandatori:[23,113,114,129,130,294,295,298,299,912],mandir:906,mani:[3,17,21,28,35,39,41,927,939,953],manipul:[22,23,45,827,900],manner:[5,919],manual:[0,6,10,15,23,33,34,904,906,918],manual_test:904,map:[21,28,33,34,43,906,918,924,925,932,946,951],mapsiz:[20,24],marc:919,mark:[3,6,20,21,34,342,919],marker:[910,918],markup:[0,908],marshal:[910,911,918],masachusett:953,mask:[66,83,142,153,157],masquerad:[17,938,939],massachusett:[909,919],master:[3,4,5,6,10,20,26,34,35,39,41,902,907,917,918],master_kdc:[21,39],master_key_nam:[5,6,20],master_key_typ:[5,6,14,20,34],match:[0,2,3,6,15,19,20,21,28,29,33,37,38,43,48,59,60,119,151,153,195,223,224,267,301,310,359,363,375,403,745,746,747,748,749,750,751,753,756,846,897,901,915,917,918,934,948,951,953],materi:[14,46,918,919,923],matt:919,matter:[17,21],max_keytab_name_len:789,max_lif:[6,20,34],max_read:[20,24],max_renew_lif:6,max_renewable_lif:[20,34],max_renewable_ticket_lif:5,max_ticket_lif:5,maxfailur:[3,35],maximum:[3,5,6,10,14,15,20,21,23,24,33,39,46,311,361,896,931,939,942],maxlif:[3,19,23],maxnumb:3,maxpathlen:766,maxrenewlif:[3,5,19,23],maxtktlif:[5,23],mcred:153,md4:[26,919],md5:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],mdb:24,me:41,mean:[3,12,14,20,21,23,33,34,37,46,902,907,919,939,946,953],meaning:3,meant:939,measur:[25,896],mech:[28,917,918,953],mech_typ:924,mechan:[3,16,20,21,22,23,36,37,39,40,43,46,154,250,692,693,901,910,911,917,918,922,923,926,931,933,942,953],mechglu:[919,924],media:[5,21],medvinski:946,meet:951,megabyt:[20,24,905],mellon:919,member:20,membership:46,memori:[15,41,43,48,93,142,223,231,302,323,325,326,331,356,357,360,414,827,897,900,906,918,923,925,932],memset:46,mention:[20,22,919],merchant:919,merg:[18,20,48,919],messag:[3,8,20,21,24,34,41,48,78,363,375,381,531,538,718,741,807,832,836,845,846,865,866,883,889,901,903,911,918,919,923,938,939,945,946,948,953],message_out:169,message_typ:882,met:[919,946],metadata:6,method:[21,25,39,230,910,918,920,921,922,923,925,928,929,930,931,932,933,934,935,942],mexico:919,mgluep:919,mic:[532,918],mic_token:43,michigan:919,microsecond:[266,385,410,808,824,875,910],microsoft:[20,21,26,29,42,43,382,452,918,924],microsystem:919,middl:901,might:[14,17,23,28,29,34,35,38,39,43,904,906,910,919,923,938,953],migrat:[14,23,41,918],miller:[919,953],min:[3,19,898],min_ver:923,minclass:3,minim:[6,14,23,24,918],minimum:[3,20,23,33],minlength:3,minlif:3,minor:[14,43,905,918,923,924,933],minor_statu:[43,924],minu:[20,915],minut:[5,20,21,23,898,901,938,939,953],mismatch:[43,260,342,938],miss:[267,908],mission:946,mistak:938,mistakenli:171,mit1:911,mit:[3,5,12,14,15,17,19,20,21,24,28,30,31,32,34,38,39,41,43,45,46,896,897,903,905,906,908,909,910,911,912,922,924,926,927,931,934,936,938,939,942,953],mitig:[23,25,46,901,918],mitiys4k5:34,mix:939,mk_cmd:906,mk_req:856,mkdir:904,mkei:[3,6],mkey_convert:6,mkey_fil:6,mkeynam:[5,6,10],mkeytyp:[5,6],mkeyvno:[5,6],mkvno:6,mm:898,modbi:6,mode:[3,6,8,14,20,41,467,479,730,906,918,942,946],modern:[14,15,23,38,918],modestli:40,modif:[6,9,19,21,34,919],modifi:[3,6,9,18,19,23,25,28,34,40,43,100,103,114,136,144,146,158,288,290,295,312,365,366,866,906,918,919,929,934,942],modify_polici:23,modify_princip:[23,26],modnam:[21,28],modpol:3,modprinc:[3,23,35,37,40,928],modtim:6,modul:[3,4,6,20,21,23,35,252,268,906,908,916,917,918,920,921,922,925,927,928,929,930,931,932,933,934,935,942,953],module_nam:21,modulenam:21,modulepath:21,modulo:915,moira:919,mon:[3,35],monitor:25,month:[898,918],more:[6,14,15,19,20,21,22,23,25,29,32,34,35,37,38,39,41,43,46,262,279,344,404,565,738,740,761,889,897,900,901,903,906,907,911,918,925,931,936,938,953],more_preauth_data_requir:922,morn:33,most:[2,6,17,20,21,23,24,25,26,28,33,34,37,39,40,41,43,48,154,897,900,901,903,918,922,923,924,939,941,953],mostli:906,move:[20,27,34,48],ms:[20,29,39,48,383,684,918,919],msdn:918,msec_dirbit:789,msec_val_mask:789,msg:213,msg_type:[832,845,846],mslsa:897,mssclogin:21,much:[14,25,38,153,938],multi:[35,37,918],multihom:21,multipl:[3,10,14,16,20,21,22,23,24,28,34,35,36,37,39,43,46,847,897,901,904,918,923,924,931,942,951,953],multipli:35,multithread:48,muse:919,must:[2,3,7,8,11,14,15,19,20,21,22,23,24,26,28,29,32,33,34,35,36,37,39,43,46,57,58,69,74,78,99,100,102,103,113,117,119,121,125,126,136,146,152,153,158,173,176,195,198,200,220,224,228,241,247,268,270,271,274,275,279,282,287,288,289,290,294,296,312,314,317,322,326,331,345,359,368,371,373,375,402,407,728,729,731,738,740,742,745,746,747,748,749,750,751,752,753,756,827,847,870,897,904,905,906,910,911,912,914,915,918,919,921,923,924,925,928,930,931,932,934,938,939,944,946,948,953],mutabl:847,mutex:847,mutual:[34,330,375,437,503,807,942,946],my:16,my_cach:946,my_proxi:21,my_respond:46,mydir:897,mydomain:20,mymodul:28,mypreauth:28,myrealm:46,myremotetokentyp:20,n:[3,6,10,21,28,37,344,898,942,943,946],name:[2,3,4,5,6,8,10,12,14,15,16,19,20,21,22,23,24,28,29,30,32,33,34,36,37,40,46,48,49,50,59,60,141,147,153,155,159,214,222,223,227,230,235,246,247,252,260,264,267,278,300,301,310,315,317,319,320,329,333,336,342,343,350,352,359,362,365,377,382,384,406,407,408,409,412,414,501,638,640,641,642,643,647,652,663,740,751,813,833,862,872,876,883,898,900,905,908,910,911,914,917,918,919,920,923,925,932,933,934,935,939,941,942,943,944,945,946,948,953],name_s:306,name_str:37,name_typ:37,namelen:311,nat:[21,23,918],nation:919,nativ:[33,368,371,896,906,910,914,917,918],natur:38,naval:919,navi:919,ncsa:42,nctx_out:176,ndnhnmn:898,nearli:3,necessari:[3,14,21,22,23,24,33,34,37,39,43,120,122,123,260,343,387,407,922,923,927,938,939],necessarili:14,need:[4,6,12,14,15,19,20,21,23,32,33,34,35,37,38,39,40,41,43,46,49,64,65,67,68,72,73,76,77,78,91,92,93,99,100,102,103,111,113,115,125,126,132,141,143,145,150,153,154,163,164,169,172,173,174,175,176,177,178,180,181,182,183,194,195,224,227,229,230,231,236,258,261,265,268,272,275,279,280,282,286,287,288,289,290,294,310,315,317,318,321,322,323,324,325,326,327,328,329,330,331,332,335,336,338,339,344,345,354,355,356,357,359,360,363,364,375,389,401,403,404,405,406,408,565,739,740,761,897,898,903,904,905,906,908,911,918,924,925,927,932,934,936,938,939,942,945],needchang:[3,5],neg:[28,885,914],neglig:919,negoex:[918,926],negoti:[910,918,924],neither:[3,325,919,942,943,946],nersc:21,net:[21,42],netbio:54,netbsd:[918,919],netlib:906,netlogon:452,network:[3,15,17,21,23,25,29,32,34,38,39,40,43,46,260,375,523,524,525,526,903,906,938,939,952,953],neuman:953,never:[3,14,15,17,19,20,23,24,35,100,103,228,288,290,915,938,939],new_message_out:866,new_mkey_fil:6,new_princip:3,new_reply_out:[865,866],new_stat:108,newer:[6,14,20,23,906],newest:23,newli:[3,6,26,37,107,113,125,126,176,294,329,330,359,363,364,375,897,904,918],newlin:[344,352],newprinc:3,newpw:[166,382,383],next:[3,6,17,23,34,35,48,99,100,102,103,287,288,289,290,730,904,910,911,915,918,922,931,939,946],nf:[38,938],nii:946,nippon:919,nist:[21,40],nitem:923,nktype:846,nl:918,nlgilman:12,no_auth_data_requir:3,no_host_referr:[20,39],noaddress:21,nofail:46,nofork:4,nokei:[3,23,37],non:[2,3,14,19,21,23,26,33,37,43,44,99,100,102,103,113,129,130,155,224,241,245,250,269,287,288,289,290,294,298,299,300,315,330,342,359,375,382,383,388,865,910,914,918,942,945,946],nonc:[358,824,832,846,918],none:[3,20,21,22,26,36,37,57,58,132,273,285,304,369,372,901,911,946,953],nonexist:[23,918],noninfring:919,nonrepudi:37,nonzero:[21,224,948],noout:37,nopw:3,nor:[919,943,946],norandkei:3,norealm:[14,20],normal:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],north:919,nosync:[20,24],notabl:23,note:[3,5,6,14,20,21,23,26,32,34,154,241,245,898,904,931,939,942,946,952,953],noth:[8,901],notic:[17,24,919],notifi:936,novel:919,now:[8,14,34,37,39,235,260,275,730,918,939],nowait:[8,12,34],nrl:919,nss:919,nt:[638,640],nt_wellknown:763,ntlm:918,ntt:919,num:9,num_data:[98,100,103,114,130,288,290,295,299],num_prompt:[352,872],number:[2,3,4,5,6,8,9,10,11,12,14,19,20,21,23,24,35,36,37,39,46,48,66,78,80,83,100,103,112,135,156,288,290,310,315,325,326,327,331,337,352,356,358,359,360,521,528,723,738,740,808,827,846,850,875,885,896,898,900,904,906,908,910,911,912,914,918,919,922,931,943,944,945,946,948],numer:[6,34,166,382,383,898,918,943],numwork:10,o:[3,5,6,898,905,906,919,939,943],object:[3,5,6,20,21,22,23,24,25,28,35,36,43,48,262,269,740,904,906,910,918,919,920,921,922,923,924,925,928,929,930,931,932,933,934,935],observ:[25,29,35],obtain:[2,3,15,16,17,20,21,23,25,26,33,34,37,43,46,48,80,135,230,258,271,274,329,330,359,375,402,403,414,440,618,837,897,900,906,915,918,919,934,935,937,938,942,946,948],obvious:32,occasion:34,occur:[3,6,9,78,342,386,918],occurr:171,octet:48,odd:939,oeap:481,off:[15,21,24,25,28,33,35,39,352,361],offer:[21,24,40,906],offlin:[14,25,942],offset:[10,48,410,910,915],often:[20,22,23,28,33,38,39,900,927,953],oid:[28,43,918,924],oid_op:919,ok:[5,20,21,23,24,34,918],ok_as_deleg:3,ok_to_auth_as_deleg:3,okai:[3,939,943],old:[2,3,6,14,20,21,23,34,37,243,346,420,918,938],old_cod:[419,420],old_princip:3,oldcc:919,older:[14,23,918,931],oldest_kvno_to_keep:3,om_uint32:[43,924],omit:[11,22,28,39,408,716,717,910,914,934],onc:[3,6,14,15,21,23,34,43,46,78,361,735,897,901,904,929,933,938,953],one:[2,3,5,6,9,15,16,17,19,20,21,23,24,25,26,28,32,34,35,36,37,38,39,40,41,43,46,48,153,165,243,263,264,270,271,275,279,330,333,344,356,360,389,740,897,898,900,901,904,906,907,908,910,911,915,918,920,922,923,925,928,931,932,938,939,942,944,946,947],ones:[21,25,34,904,923,939],onli:[3,4,6,8,9,10,14,15,18,19,20,21,22,23,26,28,32,33,34,35,38,39,41,43,46,48,54,114,153,224,228,241,245,295,325,361,365,366,545,731,751,862,889,896,897,902,904,906,910,915,918,919,924,925,931,932,934,938,939,942,946,948,951,953],onlin:[14,25],onlyrealm:[14,20],onto:[17,21,32,34,906,924,939],opaqu:[48,286,847,918],open:[6,21,24,46,48,50,305,315,317,342,387,755,771,901,915,918,919,935,942],openldap:[3,5,23,24,30,906,919],openldap_ldapconf:20,opensc:917,openssh:[28,38],openssl:[21,37,906,918],openvis:[3,919],oper:[2,3,5,9,10,14,15,19,20,21,22,24,26,28,33,34,35,37,41,43,48,62,119,121,136,156,158,382,383,386,755,837,847,897,903,904,905,906,911,915,917,918,919,928,932,942,946,953],oppos:37,opt:[46,229,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,945],optim:906,optimist:[20,40,48,254],option1:21,option2:21,option:[2,11,12,15,19,22,23,24,28,29,34,35,36,37,39,43,48,59,60,224,225,226,229,232,233,234,235,253,260,269,275,325,326,329,330,331,344,375,403,414,416,546,738,808,809,813,824,825,832,836,840,841,846,884,900,905,918,921,922,923,925,928,930,932,939,953],oracl:[42,919],order:[3,4,6,14,16,17,19,20,21,22,23,32,33,34,35,37,38,43,46,48,245,738,897,900,901,905,906,910,914,919,920,924,934,953],ordinari:[14,904,918,953],ordinarili:[2,15,245],org:[5,21,22,42,904,905,908,918,919,936,952,953],organ:[905,919],orig_hostnam:194,origin:[3,14,21,23,39,43,46,906,919,924],os:[20,34,48,904,917,918],osconf:905,osf:680,other:[3,4,6,10,14,15,19,20,21,23,24,26,28,34,35,37,38,39,43,46,154,279,310,359,404,644,740,837,896,897,900,903,904,905,906,910,911,914,918,919,922,924,928,929,930,932,933,934,936,938,939,944,946,951,952],othernam:37,otherrealm:21,otherwis:[3,6,14,20,21,23,29,33,34,36,37,39,43,49,52,54,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,95,96,97,98,99,100,102,103,104,105,106,107,108,110,111,112,113,114,115,116,117,118,121,124,125,126,129,130,134,142,150,153,157,158,162,163,164,166,170,172,173,174,175,177,178,180,181,182,183,184,185,187,189,192,193,195,217,224,235,236,238,248,260,261,264,265,266,267,271,272,273,274,275,276,277,278,279,280,283,284,285,286,287,288,289,290,294,295,296,298,299,300,301,319,321,322,324,325,326,327,328,329,330,331,332,333,335,337,338,339,342,345,347,348,349,350,354,355,356,357,358,359,360,361,362,363,364,374,375,376,385,388,390,391,392,394,395,397,398,400,401,402,403,404,405,414,897,906,911,919,921,923,930,939,942,943,944,946],otp:[3,16,25,30,46,368,696,698,699,722,738,917,918],ou:[5,22],our:[20,36,903,904,919],out:[3,8,12,21,23,24,33,35,36,37,41,43,49,50,56,59,60,63,64,65,66,67,68,69,71,72,73,74,76,77,78,89,91,92,93,95,96,97,99,101,102,104,105,107,108,111,112,113,115,116,117,118,119,121,124,125,126,129,130,132,134,135,138,141,142,143,145,149,150,152,153,154,158,163,164,166,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,194,195,223,224,227,229,230,231,235,236,238,251,260,261,262,264,265,266,267,268,269,272,273,274,275,279,280,282,286,287,289,294,296,298,299,301,303,305,306,307,308,310,311,314,315,317,318,320,321,322,323,324,325,326,327,328,329,330,331,332,335,336,337,338,339,344,345,347,354,355,356,357,358,359,360,361,363,364,368,371,374,375,382,383,389,390,391,392,394,395,396,397,398,401,402,403,404,405,406,408,409,410,412,532,533,535,536,539,897,906,918,919,938,941,948],out_cr:[224,225,226,375],out_flag:238,outaddr:172,outag:[20,39],outauthdat:322,outbuf:[223,327,328,329,330],outcc:134,outcksum:131,outcr:177,outdata:178,outfil:6,outgo:[15,924],outlin:[0,29],outprinc:182,outptr:[186,190],output:[3,6,9,15,20,23,26,34,41,43,48,99,100,101,102,103,107,117,119,166,181,224,279,287,288,289,290,296,352,359,361,364,404,866,875,897,908,918,920,921,923,942,943,945,948,953],output_cr:43,output_cred_handl:43,output_message_buff:43,output_nam:924,output_payload_buff:43,outputinto:102,outreach:14,outsid:[15,897,953],ov:3,over:[0,10,14,15,20,21,23,24,28,32,34,36,38,39,43,46,48,107,113,114,117,155,164,294,295,296,300,301,325,363,375,817,918,920,926,934,938,939],overrid:[3,6,10,14,20,21,26,36,48,378,380,381,386,387,865,906,914,918,942],overridden:[2,10,11,19,21,901,918],overview:903,overwrit:[6,23,384,941],overwrite_cr:43,overwritten:[20,827],own:[0,3,15,20,21,23,24,25,34,38,381,918,921,923,924,935,938,939,946,952],owner:919,ownership:901,p27:42,p:[3,4,5,6,7,8,10,11,12,14,19,21,23,40,897,918,919,939,941,942,943,946,947,948],pa:[253,911,912,931],pa_as_fresh:912,pa_config_data:910,pa_hardwar:931,pa_real:922,pa_replaces_kei:931,pa_typ:[859,910],pa_type_list:[922,931],pac:[3,20,48,340,341,650,660,685,860,863,918,942],pac_client_info:[300,301,336,343],pac_out:301,pac_privsvr_enctyp:3,packag:[29,34,904,919],packet:[20,25,36,330,918,931],pad:[43,48,99,100,103,104,287,288,290,536,915],padata:[845,846,922,931],padl:919,page:[0,3,21,23,905,906,918],pair:[6,20,21,26,841],pam:33,parallel:[10,39,904,918],param:[49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420],paramet:[5,6,10,20,28,35,36,43,46,48,169,229,323,325,343,906,907,910,917,918,924,928,931,946],parent:[21,39,897,917],pars:[3,28,43,45,46,48,235,260,264,267,278,356,360,368,371,903,910,918],part:[14,21,23,26,32,41,199,264,267,278,283,301,344,359,384,823,833,845,883,897,902,910,911,915,919,923,924,934,946,953],parti:[28,36,43,918,919,953],partial:[14,19,23,46,915],particip:[21,34],particular:[2,11,14,16,17,19,20,21,37,43,46,317,904,906,919,938,939],particularli:[14,17,25,39,938,945],partit:39,pass:[14,20,21,28,36,43,99,100,102,103,228,250,270,271,275,279,280,282,287,288,289,290,325,368,371,380,381,382,386,387,889,906,924,933,942,946],passcod:669,passiv:25,passkei:693,passwd:[5,33,895,919,946],passwd_phrase_el:[804,873],password:[3,4,5,6,9,10,11,14,15,16,17,19,20,21,22,23,24,25,26,28,29,32,33,34,35,36,37,39,40,43,48,233,245,258,618,620,719,720,721,739,740,897,902,917,918,922,926,937,939,944,946,952,953],password_changing_servic:3,password_expir:[245,838],past:[3,936],pasword:25,patch:23,path:[4,5,8,20,21,22,25,28,29,34,39,359,904,906,908,918,946,953],pathnam:[4,8,21,23,24,28,29,37,900,904,907,953],pattern:[6,21,28,951],payment:919,pdf:0,pem:[16,21,29,37,948],peopl:20,pepper1:107,pepper2:107,pepper:48,per:[3,6,9,10,14,18,20,21,23,26,28,36,39,43,46,897,920,922,925,928,929,931,932,933,934,935],perfect:901,perform:[3,4,5,6,12,14,19,20,21,22,24,25,26,34,37,38,39,43,46,62,91,250,254,258,359,363,375,382,383,386,416,437,847,897,918,919,928,929,930,939],perhap:[3,14,20,23,24],period:[6,8,14,17,20,21,23,24,35,939,942],permiss:[3,18,19,20,23,34,43,137,147,159,897,918,919,939],permit:[3,19,20,21,26,36,48,194,251,356,360,917,918,919,942,952],permitted_enctyp:[21,26],persist:[21,897],person:[17,34,919,938,939],pertain:[10,919],pgp:[905,936],phase:946,phrase:895,physic:[32,39],pick:[20,25,37,904],pid:[4,8,10,918],pid_fil:[4,8,10],piec:[35,265],pin:[369,372,728,731,735,736,737,738,870],pipermail:936,pkc:[21,740],pkcs11:[21,906,917,918,919],pkcs11_modnam:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],pkcs12:21,pkinit:[3,16,23,25,30,40,41,107,649,687,688,689,690,740,906,913,918,919,926,942],pkinit_allow_upn:[20,21],pkinit_anchor:[3,20,21,37,942],pkinit_cert_match:[3,21,37,918],pkinit_dh_min_bit:[20,21],pkinit_eku:21,pkinit_eku_check:[20,21,37],pkinit_ident:[20,21,37],pkinit_ind:[16,20],pkinit_kdc_hostnam:[21,37],pkinit_pool:[20,21],pkinit_require_crl_check:[20,21],pkinit_require_fresh:[20,37],pkinit_revok:[20,21],pkinit_san:21,place:[2,8,14,15,21,26,28,32,33,37,39,43,44,46,48,107,117,229,264,267,279,296,301,336,364,376,404,827,866,906,908,915,921,929,941,946,952],placehold:[903,905],plain:911,plaintext:[116,533],plan:23,platform:[24,885,896,897,904,905,906,918],pleas:[0,15,20,738,936],plu:[20,939,946],plug:919,pluggabl:[21,28,918,923,926,929,934],plugin:[3,20,22,903,906,916,917,918,919,934],plugin_base_dir:21,pm:898,pnl:21,po:903,point:[3,14,15,21,23,32,34,43,330,407,414,827,897,902,906,918,936],pointer:[24,43,44,46,91,135,136,173,198,200,203,209,213,217,220,230,231,256,262,263,322,323,330,332,357,365,366,386,395,407,825,827,832,872,883,920,921,922,923,928,929,931,933,935],pol:[3,19],polici:[3,4,5,6,16,19,20,21,24,25,34,35,169,359,918,926,927,928,935,939,943,944],policy_nam:5,poll:[4,8,20,23,918],pool:14,pop:32,popul:[14,24,44,148,915],popular:34,port:[3,4,7,8,10,12,15,20,21,23,34,36,41,44,48,62,331,524,526,917,953],portabl:897,portiion:919,portion:[21,36,153,266,317,385,410,751,808,813,824,836,875,919],portmapp:23,portnum:10,pose:14,posit:[6,19,28,35,885,914],posix:[6,885,896,911,912,915],possess:[37,939],possibl:[3,5,6,14,15,17,20,21,22,24,25,26,32,34,35,37,38,39,43,46,48,93,166,224,740,900,901,906,918,919,922,923,931,936,939,951],post:[48,897,936],postdat:[3,19,20,267,939,942,943],potenti:[14,32,34,46,902],power:[20,24,25,39,918],pp:898,pr:[347,903],practic:[14,21,46,99,287,918],pre:[0,16,20,22,43,48,91,260,329,330,359,363,364,375,380,859,908,911,918,919,929,942],pre_auth_typ:[232,233,234],preauth:[20,672,841,910,918,919,922,931],preauth_list:[254,840],preauth_list_length:[254,840],preauth_plugin:[922,931],preauth_requir:[922,931],preauthent:[3,16,20,21,23,25,28,30,37,41,46,48,250,722,832,845,846,859,876,910,918,923,926,939,942,943],prebuilt:904,preced:[10,14,21,39,914,946,953],precis:33,precomput:48,predefin:39,prefer:[3,21,38,43,236,900,901,918,925],preferred_preauth_typ:21,prefix:[20,39,48,344,904,906,918,924,945,946],preiniti:[117,119,121,296],prepar:[48,79,318,403],prepend:[39,346,420,906],preprocessor:906,prerequisit:908,preselect:942,presenc:[21,910],present:[8,14,16,20,21,22,23,28,34,36,37,43,46,165,245,301,325,333,336,345,354,365,366,373,388,618,711,713,714,884,900,901,910,914,915,918,934,939,943,948,953],preserv:[6,919],presid:919,pressvr:14,presum:901,prevent:[2,3,19,20,21,25,26,29,40,330,521,522,901,918,919,929,938,942],previou:[0,3,21,23,34,37,42,44,156,250,261,279,384,404,419,420,910],previous:[3,6,23,43,48,904,918],prf:[48,118,911,918],primari:[3,4,7,8,9,14,17,20,21,23,24,31,35,38,39,41,43,48,145,897,918,920,929,933,935,936,941,942,947,951,953],primarili:[24,55,949],primary_kdc:21,princ1:[37,348,349,350,362],princ2:[37,348,349,350,362],princ:[3,6,21,49,50,91,92,93,94,388,793,794,795,796,797,798,799,800,911],princ_flag:6,princ_lockout:6,princ_look_ahead:946,princ_meta:6,princ_nam:[37,941],princ_out:154,princ_stringattr:6,princ_tktpolici:6,princip:[2,3,4,5,6,7,8,9,10,11,12,14,16,17,19,20,21,22,24,25,26,28,29,30,31,32,33,36,37,40,41,43,45,46,48,78,141,147,148,153,155,159,166,223,229,235,242,260,264,267,275,300,301,310,315,320,329,333,340,341,342,343,359,363,364,375,403,406,407,408,409,412,414,501,641,648,663,707,709,751,763,825,826,832,836,845,846,850,862,897,898,900,901,907,911,912,914,917,918,920,921,927,928,930,931,932,935,938,939,942,943,944,946,947,948,951,952,953],principal_databas:8,principal_nam:37,principal_out:[344,345],principal_seq:37,principalnam:918,principl:710,princnam:[25,35,40,46,897],princname_out:336,print:[3,6,7,8,361,918,945,946,948],printabl:[365,373],prior:[6,8,14,20,21,23,39,41,43,136,265,919,923],priorit:39,prioriti:[14,20,39,230,897,901,920],priv:[48,918],privat:[21,37,718,906,911,912,918,936],privileg:[3,19,34,43,48,253,918,938,952,953],privsvr:[300,301,342,343],privsvr_kei:[340,341],prng:[121,918],probabl:[6,12,14,34,904],problem:[14,23,330,901,918,936],proce:946,procedur:[6,26,32,34,903,904],proceed:23,process:[3,4,6,8,9,10,14,15,20,21,23,24,25,34,38,43,46,48,136,154,169,355,414,897,900,901,918,921,922,925,928,929,930,931,933,935,942,953],procur:[37,919],produc:[6,21,46,104,124,905,915,922,925,931,943,945],product:[34,919],prof_no_rel:934,profil:[15,18,20,21,48,136,388,897,900,901,903,907,918,919,926],profile_module_init:934,profile_module_init_fn:934,profile_releas:262,profile_vt:934,profit:919,program:[2,3,4,6,8,12,15,20,21,23,26,28,30,32,33,34,37,38,39,41,43,46,56,268,378,901,903,904,905,908,910,917,918,919,939,945,946,953],programm:945,programmat:46,progress:[14,20],prohibit:[3,919],project:[0,701,906,918,919,923,953],promot:[14,919],prompt2:361,prompt:[2,3,5,6,23,34,46,48,260,361,719,720,721,722,870,872,902,918,922,938,939,944,946],prompter:[245,260,263,275,352,870,872,877],prone:918,proof:[48,939],propag:[4,6,7,8,14,17,19,20,21,24,31,35,903,918,919,938],proper:[12,23,37,359,904],properli:[29,34,37,41,896,906],properti:[21,937],propog:8,proponli:[4,23],proprietari:36,protect:[6,15,25,26,32,35,37,40,43,78,247,326,331,740,847,901,918],protocol:[2,3,14,21,23,29,39,43,48,247,301,321,405,674,695,723,832,836,845,846,901,903,916,918,928,939,942,948,953],prototyp:[903,923],prove:[46,912,922,931],provid:[0,3,4,10,15,21,22,23,24,26,28,29,32,34,37,38,39,41,43,46,98,229,359,372,414,896,897,904,906,918,919,921,924,927,930,934,938,946,953],provis:919,proxi:[20,21,25,30,36,39,43,918,939,943],proxiabl:[3,20,21,48,840,939,942,943,946],proxy_imperson:910,pseudo:[48,903],pto:183,ptr:[38,43,197,281,339,353,802,803,832,833,883],pty:[903,919],publish:[38,919],pull:918,punctuat:[3,21,34,944],purg:[3,6,14,918],purge_mkei:23,purgekei:[14,23,37],purpos:[10,15,21,23,26,28,34,906,919,942,949],put:[4,10,34,344,808],pw:[3,918],pw_expir:6,pwchang:20,pwd:904,pwexpdat:3,pwexpir:[3,19,26],pwqual:[28,918,926],pwqual_plugin:935,pwservic:20,py:908,python:[29,908,918],q:[3,11,14,37,941,946,948],qop_req:43,qop_stat:43,qualif:[21,918],qualifi:[3,15,19,21,23,953],qualify_shortnam:[21,38,918],qualiti:[21,28,918,926,937],queri:[3,21,39,43,46,918],question:[0,20,39,48,368,371,738,739,740,876,877,936],queue:[20,919],quietli:941,quit:[6,32],quot:[3,6,344,406,408,898],quux:21,r13:6,r18:6,r:[3,4,5,6,7,8,9,10,14,21,28,34,284,939,942,943,946,953],r_address:824,rabbit:39,radiu:[20,36,918],randkei:[3,14,23,26,34,37,918],random:[3,6,14,20,21,23,25,34,48,911,915,918],random_data:124,randomli:[2,26],randsourc:120,rang:942,rapidli:15,rare:[24,37,898,900],rassen:919,rather:[3,4,5,6,10,15,20,21,23,32,38,39,56,279,404,897,904,911,924,942],raw:[20,904],rc2:479,rc4:[20,26,918],rc:34,rcach:[43,71,85,265,323,325,901],rcache2:[901,918],rcmd:21,rcommand:643,rcptr:265,rctmpdir:907,rctx:[46,365,366,367,368,369,370,371,372,373,877],rdata_out:[323,325,326,331,354,356,360],rdn:[21,33,38,43],re:[3,5,6,14,23,34,41,730,901,924,938,953],reach:[20,21,24,164,314,915],react:243,read:[3,5,6,9,11,20,21,22,23,34,35,37,46,48,250,260,262,318,352,371,414,906,914,918,931,934,938,943,953],readabl:[15,21,32,169,898,900,902,918],reader:[21,24],readi:[6,34],readlin:906,readm:[903,905],real:[21,350,385,707,946],realiti:0,realloc:44,realm1:10,realm2:10,realm3:10,realm:[3,4,5,6,7,8,10,12,14,15,16,19,22,24,25,26,29,30,33,34,36,37,38,40,43,44,46,48,49,50,59,60,91,92,93,94,153,214,230,235,251,260,264,267,278,279,284,300,342,344,345,350,359,388,389,403,404,408,502,708,711,712,713,714,716,717,727,795,796,797,798,813,821,825,833,836,845,846,862,865,866,868,869,883,897,906,907,910,911,912,914,917,918,926,933,935,938,939,942,946,951,952,953],realm_try_domain:21,realmlist:214,realmnam:[37,46],realmsp:[230,231],reason:[14,17,21,24,28,33,39,342,896,910,919,938,939,946],reboot:[20,34,902],rebuild:[906,908],receiv:[3,4,8,9,14,20,21,37,39,41,43,48,223,245,273,325,326,330,331,354,356,360,363,374,375,876,921,922,931,932,935,939,953],recent:[2,6,17,20,25,26,37,48,901,912,918,939],recipi:[824,919],recogn:[3,20,21,37,41,942,951],recognit:[918,919],recommend:[5,6,15,17,20,21,23,32,34,39,40,43,904,905,906,936,939,941],recomput:136,reconf:903,record:[6,10,21,33,34,38,39,901,911,914,915,918],recov:[6,918,922],recurs:[6,24,918],recv_hook:380,recvauth:[363,375],red:[692,693,919,953],redhat:918,redirect:[21,34],redistribut:919,reduc:[14,21,33,100,103,288,290,906],redwood:919,ref:5,refcount:918,refer:[3,5,15,19,20,22,23,39,43,45,48,87,89,138,286,307,862,918,919,927,932,946],referenc:[22,910,919],referr:[20,21,39,230,231,343,389,694,703,727,910,918,925,939],referral_valid_until:861,referred_realm:861,reflect:[23,34,100,103,136,158,262,288,290,325,326,331,356,360,911,912],reforward:939,refrain:924,refresh:[15,43,910,918],refresh_tim:910,refus:[12,14,34],regard:919,regardless:[6,19,21,43],regener:908,regent:919,regexp:21,region:[43,114,130,295,299,827],regist:[4,21,23,28,39,919,926,953],registr:21,regress:904,regul:919,regular:[14,21,34,37,43,946],regularli:[17,39],reiniti:[148,918],reject:[12,15,16,20,21,34,166,620,939],reject_bad_transit:20,rekei:14,rel:[20,21,48,898,904,910,946],relai:10,relat:[4,6,20,21,22,28,29,35,37,39,169,826,918,919],relationship:[21,932],releas:[0,3,4,6,8,14,15,16,19,20,21,23,24,25,26,33,35,37,38,39,40,41,43,46,48,68,73,77,82,84,91,93,113,125,126,154,163,176,203,209,214,230,231,265,268,282,294,314,318,344,896,897,901,911,912,914,915,918,921,922,923,924,925,927,928,929,930,931,932,942,948,953],relev:[34,38,78,195,300,911],reli:[15,34],reliabl:24,relianc:21,relinquish:85,remain:[3,4,6,14,20,43,44,245,645,896,897,914,915,918,919,929,931,946],rememb:[34,37,910],remot:[3,4,7,15,20,23,33,38,43,48,62,64,169,223,325,326,331,356,359,360,382,383,525,526,903,918,938,939,946,952,953],remote_addr:[44,64,82,359],remote_port:84,remotehost:949,remov:[2,3,6,20,23,26,28,37,38,48,155,904,918,929,938],renam:[3,906,918,929],rename_sect:934,render:[14,904],renew:[3,5,6,20,21,23,48,846,884,918,930,939,942,943,946,953],renew_lif:[256,840],renew_lifetim:21,renew_til:[825,833,884,910],renewable_lif:942,renprinc:3,reorgan:918,rep:[185,199,327,328,357,358,807,832,845,860],rep_cksum:861,rep_result:375,repeat:[6,20,21,34,847,910,924],repl:357,replac:[3,5,21,23,28,34,70,75,94,186,188,190,191,196,197,225,226,232,233,234,281,351,353,411,906,914,918,919,922,942],replai:[21,43,48,78,323,325,326,331,354,356,359,360,521,522,875,897,899,907,913,917,918,953],repli:[12,26,46,107,245,258,267,279,352,357,358,380,381,404,730,845,865,866,870,911,918,922,931,942],replic:[8,34],replica:[4,6,7,8,9,14,15,17,20,21,23,31,32,35,41,903,918],replica_datatran:[7,34,917],replica_datatrans_hostnam:23,replica_dumpfil:8,replica_host:7,replicahostnam:8,reply_out:866,report:[6,38,903,918,936,942,948],repositori:908,repres:[3,21,34,43,158,885,896,900,911,919],represent:[21,43,48,344,345,398,407,408,813,832,845,846,883,896,910,914,919],representaton:807,reproduc:919,req:[21,26,37,245,329,330,359,504,846],req_pac:253,request:[3,4,6,8,9,10,14,15,16,19,20,21,22,23,24,25,28,33,35,36,37,38,40,43,46,48,153,166,195,223,224,229,235,241,253,260,267,276,277,330,359,378,403,503,505,506,619,674,695,752,759,760,807,809,832,846,854,898,900,901,910,911,912,918,921,922,924,930,931,936,939,942,946,948,953],request_fini:922,request_init:922,request_tim:882,requested_principal_nam:861,requestor:660,requir:[3,4,6,8,9,12,14,15,16,20,21,22,23,24,25,26,28,32,34,35,36,37,38,39,40,43,46,48,98,112,116,117,236,241,247,248,301,323,325,326,331,354,356,360,544,738,862,877,896,897,904,905,906,908,911,918,919,921,924,931,934,939,944,952,953],require_auth:[3,16,918],requires_hwauth:[3,931],requires_pre_auth:23,requires_preauth:[3,5,14,23,25,35,37,40],requires_pwchang:5,requisit:908,research:919,resembl:740,reserv:[909,919],reset:[3,9,35,46,157,386,918],resid:[15,39,46,902,919,951,952],residu:[21,39,152,317,897,901,932,934,953],resiz:407,resolut:[15,33,38,43,230,918,946],resolv:[15,33,48,260,317,897,906,918,943,946],resourc:[43,46,904,916,918],respect:[3,11,34,82,84,224,344,898,918,919,924,938],respond:[4,48,367,368,369,370,371,372,731,738,739,740,876,877,918,931],respons:[3,4,37,40,46,85,166,229,245,279,357,404,503,505,543,565,739,759,761,807,846,882,918,919,922,925,931,942,949,953],rest:[28,906],restart:[12,14,19,20,23,24,34,37,41],restor:[6,23,918],restrict:[3,5,14,19,21,23,48,224,919,928,930,942,946],restrict_anonymous_to_tgt:[20,37],restructuredtext:0,resubmit:942,result:[0,14,15,21,23,37,39,40,41,43,46,48,99,102,107,117,124,144,156,158,189,195,228,287,289,296,320,375,376,403,405,406,407,420,906,910,911,915,918,919,920,924,925,930,931,932,939,946,948],result_cod:[166,382,383],result_code_str:[166,382,383],result_str:[166,169,382,383],resum:23,resync:[4,9,23,918],resynchron:9,ret:[46,347],ret_as_repli:[232,233,234],ret_princ:389,ret_valu:[59,60],retain:[2,3,14,20,23,919,928,930,952],retir:[13,23,918],retransmit:906,retri:[20,36,38,39],retriev:[3,6,23,24,41,43,44,46,48,158,271,310,366,375,400,403,876,918,919,948],return_padata:931,return_pwd:361,retval:[49,50,51,53,55,56,61,62,63,64,65,66,67,68,69,71,72,73,74,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,121,124,125,126,129,130,132,133,134,135,137,139,141,142,145,147,148,149,150,151,152,153,155,156,157,158,159,160,161,162,163,164,165,166,167,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,231,235,236,238,248,260,261,262,264,265,266,267,268,271,272,273,274,275,276,277,278,279,280,282,285,286,287,288,289,290,294,295,296,298,299,300,301,302,303,304,305,306,308,310,311,313,314,315,316,317,318,319,321,322,323,324,325,326,327,328,329,330,331,332,333,335,336,337,338,339,342,344,345,347,348,349,350,352,354,355,356,357,358,359,360,361,362,363,364,373,374,375,376,377,378,382,383,384,385,387,389,390,391,392,394,395,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,923],reus:23,rev:[6,24],revers:[6,15,21,33,43,919,943],review:905,revis:[918,919],revoc:[20,21],revok:[20,21,35],rfc4120:29,rfc:[14,20,21,39,43,48,320,382,383,412,442,443,446,447,448,450,451,458,459,460,461,462,463,464,465,466,511,540,542,600,664,667,668,669,670,671,672,673,675,676,677,678,680,681,682,683,686,687,689,691,698,701,703,705,738,901,910,911,912,915,918,922,924],rhost:223,ricciardi:42,richard:919,ride:20,right:[5,19,20,100,103,288,290,827,909,915,919],risk:[14,23,26,30,46],rkt:11,rlen:[91,92,93,94],rlogin:946,rm:37,rnd:38,roam:21,robbi:953,robin:15,robust:918,rock:[922,931],roll:23,rollback:14,rollov:[6,23],root:[8,12,14,15,17,19,20,21,32,34,902,906,938,946,951,952,953],rotat:[26,38],round:[40,918,931],rout:34,routin:[21,870],royal:919,royalti:919,rpath:[904,906,945],rpc:[20,21,23,43,48,616,903,918,919],rpcbind:23,rsa:[37,477,480,481,482,919,942],rst:908,rtime:846,rule:[3,19,21,23,28,38,39,43,154,946,948,951,952],run:[3,4,6,8,9,10,12,14,15,20,21,23,24,26,28,32,33,34,37,39,41,897,904,905,906,908,917,918,941,943,946,953],runstatedir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],runtim:917,s2kparam:48,s2kparams_out:229,s4u2proxi:[20,43,910,918],s4u2self:[20,43,343,918,948],s4u:918,s4uself:20,s:[2,3,4,5,6,7,8,10,11,12,14,15,17,19,20,21,22,23,25,26,28,29,32,33,34,35,37,38,39,41,43,46,48,50,113,192,203,209,230,231,245,263,279,294,300,363,366,375,378,398,404,740,807,826,827,832,836,876,897,898,902,904,906,910,911,917,918,919,921,924,931,932,933,935,938,939,941,942,943,944,946,948,949,950,951,952,953],s_address:824,sa:919,safe:[28,48,741,896,918],safer:938,safest:939,sai:901,sake:946,sale:919,salt:[2,3,6,11,20,23,25,48,125,126,393,840,918],salt_out:229,salt_type_afs_length:789,salt_type_no_length:789,salttyp:[6,20,26,374],salttypep:394,sam:[696,698,699,918],samba:[28,918],same:[3,4,5,10,12,19,20,21,23,24,28,36,39,43,52,53,91,101,105,107,136,138,151,155,171,180,228,250,270,271,275,279,307,348,349,350,362,388,847,897,901,906,918,923,924,938,942,946,948],sampl:[12,15,22,34,903,919,938,939,946,949],san:[20,21,918],sandia:919,sasl:[3,5,20,22,38,43,918],sasl_authcid:3,sasl_authzid:3,sasl_mech:3,sasl_nocanon:38,sasl_realm:3,satisfactori:25,save:[37,40,66,83,528,529,911,918,931],sbin:[8,12,34,906,917],sbindir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],sc:20,scalar:911,scenario:[14,918],schedul:[14,23],schema:[22,24],scheme:39,sclient:[12,937,940],sclogin:20,scope:5,screen:939,screensav:939,script:[3,4,10,34,903,904,906,918],search:[5,20,21,38,48,151,153,195,224,315,897,904,915,918,941,947],search_scop:5,searchscop:5,sec:[48,813,836,898],second:[3,10,20,21,23,28,36,37,39,43,44,52,53,105,153,223,228,266,267,322,348,349,350,361,362,385,386,388,410,745,808,824,826,846,875,885,896,898,901,910,911,914,915,923,924,939,942,946,953],second_ticket:[826,846,910],secondari:34,secret:[3,20,21,36,43,46,850,938],secretari:919,section:[3,10,19,22,23,28,33,34,35,37,39,41,43,48,119,320,412,600,681,682,683,901,904,905,910,911,915,918,934,935,946,951],sector:6,secur:[3,7,14,15,20,21,23,25,30,31,34,37,39,41,43,46,250,325,564,902,903,918,919,936,939,953],securecooki:911,securid:[669,918],sed:906,see:[14,15,17,22,23,24,26,28,32,34,35,36,39,43,46,97,99,100,102,103,108,113,114,130,131,168,184,189,229,262,287,288,289,290,294,295,299,320,329,330,359,375,393,403,412,413,414,600,738,827,897,898,901,902,903,904,906,908,909,910,918,919,920,921,922,923,925,926,927,928,929,930,931,932,933,934,935,936,938,939],seed:[131,331,413,915],seed_length:[131,413],seen:901,segment:39,select:[6,14,21,23,28,43,46,48,117,296,359,369,897,906,918,924,926,942,946,951],self:21,sell:919,semant:46,semfiajf42:20,send:[0,4,15,20,21,23,25,26,32,34,41,48,229,245,325,363,375,380,901,903,906,918,936,938,942,953],send_hook:381,sendauth:[12,34,48],sender:[325,326,331,356,360,824],sensit:250,sent:[6,20,25,36,37,41,43,325,375,381,866,901,904,911,918,931,939],sentenc:34,separ:[0,3,5,6,10,16,19,20,21,22,23,24,25,28,39,50,301,344,346,420,731,905,906,911,918,924,934,938,953],seq:875,seq_numb:[808,813],seqnumb:[69,74],sequenc:[25,37,48,66,78,80,83,325,326,327,331,356,358,359,360,521,528,808,813,875,902,910,911,914,924],sequence_count:873,sequenti:[48,314,815],seri:[48,915],serial:[9,43,48,405,918],serv:[4,10,21,23,918],server1:5,server:[2,3,4,5,6,7,8,9,10,12,16,18,20,21,22,23,24,25,28,29,30,31,34,36,37,38,39,43,46,48,159,166,223,224,264,267,300,301,333,342,343,359,375,382,383,414,504,617,661,730,760,807,825,826,832,836,846,883,897,900,901,903,907,910,917,918,919,920,926,927,939,945,946,948,949,951],server_kei:[340,341],server_port:12,server_princ:[300,301],server_str:169,serverauth:21,servic:[2,3,5,8,10,12,15,16,19,20,21,22,23,24,28,29,31,32,33,34,43,48,166,224,235,245,260,264,267,301,329,330,363,382,414,643,644,645,738,878,897,901,903,910,918,919,920,925,933,939,942,948,951,953],service1:948,service2:948,service_loc:933,service_nam:942,service_passwd:5,sesam:[46,701],session:[3,14,15,21,23,33,34,43,46,48,224,320,325,330,354,412,439,440,813,825,826,832,833,897,901,918,939,943,948,953],session_enctyp:[3,23,918],set:[0,3,4,5,6,14,15,16,18,19,20,21,22,23,24,25,26,28,29,31,32,33,34,35,37,38,39,40,41,43,44,46,48,62,68,69,73,74,77,78,98,102,145,153,154,161,164,203,209,224,229,253,279,280,286,289,301,305,317,325,326,331,352,354,356,359,360,361,369,373,377,387,404,407,408,409,420,546,731,747,865,866,876,897,898,901,906,918,921,924,931,932,938,939,941,942,943,946,952,953],set_cooki:[918,931],set_str:[23,26,36,37],setstr:[3,16],setuid:[41,918,953],setup:[23,34,904,918],sever:[3,15,16,20,21,23,24,37,39,897,903,906,910,923,953],sf:[5,6,911],sfu:684,sh:34,sha1:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],sha256:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],sha2:[3,20,918],sha384:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],sha:[14,20,918],shall:919,share:[0,14,21,23,28,46,330,906,923,924,934,938],sharealik:919,sharp:19,she:[939,952],shell:[3,5,23,34,41,918,938,939,945,951],shorter:21,shortest:192,shortli:[33,938],shortnam:[21,918],should:[0,2,3,4,5,6,10,12,14,15,17,20,21,22,23,24,25,26,28,29,32,33,34,37,38,39,43,46,71,85,144,152,223,245,249,255,269,279,308,317,325,327,330,342,359,361,365,366,404,740,860,865,866,885,896,897,898,902,904,906,910,912,918,919,920,921,922,923,924,928,929,930,931,933,934,935,938,939,942,946,948,953],show:[2,6,20,41,870,897,908,917,939,943],shown:[20,21,897],shrubberi:42,shutdown:24,sick:919,sid:[21,638,639,660],side:[23,43,363,375,901],sighup:[10,41],sign1:43,sign2:43,sign:[3,19,20,21,32,37,41,43,48,896,905,912,914,918,942,953],sign_authdata:918,sign_onli:43,signal:10,signatur:[48,412,476,477,482,905,924,934],signedpath:[3,20,918],signific:[25,35],silent:943,similar:[6,21,22,26,29,43,92,105,113,114,126,129,130,246,294,295,296,298,299,326,329,343,345,349,364,407,408,417,419,918,923,933,939,946],similarli:[15,344,740,939],simpl:[5,12,17,23,107,421,897,901],simplest:[28,43,897,904],simpli:[28,36,37,40,43,46,739,904,924,938,939],simplifi:[251,918],simul:946,simultan:847,sinc:[3,12,14,17,21,22,23,37,48,330,735,885,896,910,924,931,952,953],singl:[0,3,14,15,20,21,24,26,28,32,34,37,39,40,43,46,48,189,320,345,409,710,897,906,918,931,946],siphash:915,site:[15,23,34,39,918,939,942,952],situat:[14,20,24,28,39,948],size:[9,20,21,23,24,37,41,48,97,98,100,103,114,116,130,186,190,288,290,295,299,361,407,409,827,906,914,915,918],size_return:361,size_t:[95,96,98,100,103,104,112,114,116,118,130,131,168,170,186,187,190,191,192,193,280,288,290,295,299,337,339,369,374,397,398,413],sizeof:[43,46,934],skei:[20,826],skew:[48,267,356,360,931,942],skip:[22,23,37,414,416],slack:39,slash:[344,953],slat:923,slightli:906,slot:[11,21,300,915],slotid:21,slower:[14,24],sm:19,small:56,smaller:[21,914],smard:21,smart:[20,21,918],smtp:642,sname:[389,948],sni:918,so:[2,3,5,14,19,20,21,22,23,24,28,29,33,34,35,37,39,43,85,93,136,144,228,386,885,897,904,910,917,918,919,923,924,938,939,941,942,953],sock_dgram:933,sock_stream:933,socket:[20,21,36,48,375,917,933],soft:918,softwar:[14,15,21,24,25,28,42,46,906,919,936],solari:[31,904,906,918],solaris9ab:42,sole:[21,28],solut:34,some:[2,3,6,14,20,21,23,24,28,29,31,34,37,38,39,41,46,48,99,151,154,287,389,766,897,898,901,903,904,905,906,907,915,917,918,923,924,927,934,936,938,939,942,951,953],someon:[17,21,34,938,939],someprinc:23,someth:[12,14,20,38,901],sometim:[23,25,38,942],somewhat:[37,901],song:919,sophist:46,sort:38,sourc:[0,10,22,23,28,34,39,42,43,904,905,906,916,919,923,927,934,936,946],source_cache_nam:946,source_us:946,southern:919,space:[3,16,20,24,37,38,56,99,102,117,119,121,287,289,296,306,346,361,407,420,898,905],spake:[20,21,25,30,918,919],spake_preauth_group:[20,21,40],spake_preauth_ind:20,spake_preauth_kdc_challeng:[20,40],sparc:918,spars:915,spawn:4,special:[20,23,28,35,43,408,648,715,897,918,919,924,942],specif:[3,4,6,8,10,14,18,19,20,21,24,26,34,39,43,48,49,56,155,301,315,317,363,364,410,740,897,898,900,906,908,915,918,919,923,928,933,939],specifi:[3,4,5,6,7,8,9,10,11,14,15,16,18,19,20,22,23,28,29,34,36,37,39,43,46,48,92,93,99,100,102,103,113,125,129,224,227,229,235,260,264,267,287,288,289,290,294,298,310,315,318,325,326,331,344,345,356,359,360,375,383,414,752,897,901,906,911,912,918,924,931,939,941,942,943,944,945,946,947,948,953],speed:[22,25],sphinx:908,sphinx_arg:908,spi:924,split:[3,39,918],spnego:[918,919,924],spnego_mech:919,spoof:[21,25,39],sprecif:905,spuriou:918,sqlite3:6,sqlite:6,squar:[20,21,28],src:[22,148,904,906,908,919],src_ctx:179,src_name:43,srcdir:908,srv:[21,33,34,39,918],srvtab:11,ss:[898,903,906],ss_lib:906,sscope:5,sserver:[1,949],ssh:[15,33,939,952,953],sshd:21,sshing:953,ssl:[29,37],sspi:918,stabl:[918,928,929,930,935],stage:[14,911,929],stai:3,stale:[0,21,26],stamp:[6,9],stand:34,standalon:[8,41,918],standard:[3,6,9,14,20,37,41,43,900,918,919,945],start:[0,3,4,6,8,10,14,15,19,20,21,23,24,26,31,37,41,48,825,833,846,884,897,902,904,912,918,939,946],start_realm:910,start_tim:[235,260,275,942],starttim:[884,910],startup:[34,918],stash:[3,5,10,14,20,22,23,34,41,899,917],stash_fil:6,stashfilenam:[5,6],stashsrvpw:[3,20,22],state:[6,9,14,20,34,46,48,78,99,100,102,103,287,288,289,290,847,911,917,918,919,920,922,923,925,928,929,931,932,933,934,935],statement:919,statu:[3,837,918,919,921,924,943,946,948],stderr:[20,953],stdin:352,stdlib:934,stdout:[41,352],stduser:23,step:[6,14,22,23,34,37,946],steve:953,still:[3,4,6,10,14,20,21,23,32,33,34,35,39,148,269,918,942,946,948],stime:836,stockholm:919,stolen:939,stop:[4,10,24,923],storag:[46,48,57,58,82,84,159,170,187,192,193,280,361,374,398,897],store:[2,3,4,5,6,8,14,15,17,20,21,22,23,24,26,34,37,46,48,80,99,100,102,103,224,235,250,287,288,289,290,325,326,330,331,356,359,360,361,407,414,549,731,840,897,900,901,904,907,910,915,918,935,939,942,943,946,948],str:43,strategi:35,strcmp:934,strdup:934,stream:[8,12,20,34,36,43],strength:918,strengthen:14,strict:919,strictli:34,string2kei:14,string:[3,5,6,16,19,20,21,23,25,26,28,34,36,37,39,43,46,48,101,166,169,192,228,229,258,264,267,278,336,346,365,373,379,382,383,417,418,419,420,738,739,740,821,826,837,868,869,889,897,898,901,906,918,919,921,923,924,931,932,934,942,946],strip_realm:[20,36],strlcpy:919,strlen:[43,46],strong:[16,122],stronger:[14,16,21,26],strongest:26,strptime:919,struct:[43,48,51,262,269,805,807,808,809,810,811,813,816,817,818,822,823,824,825,826,827,829,831,832,833,834,836,840,841,842,845,846,847,848,849,850,854,859,860,861,862,863,869,870,873,874,875,876,878,879,880,881,882,883,884,886,887,889,890,891,894,895,928,934],structur:[43,46,47,48,92,100,103,135,156,169,173,182,212,221,237,240,241,242,243,244,245,249,252,253,254,255,257,258,259,269,275,280,282,288,290,322,324,334,345,355,356,365,368,371,375,389,414,416,421,538,805,811,823,826,827,836,863,883,890,896,922,923,928,930,931,933],studio:918,style:[3,21,39,417,418,419,638,640],su:946,sub:[5,21,903],subcommand:14,subdirectori:[21,28,903,908,917],subdomain:[21,39,951],subject:[0,20,21,23,37,919],subjectalternativenam:21,subjectaltnam:37,subjectkeyidentifi:37,subkei:[48,80,325,354,359,808,813],sublicens:919,submit:[26,43],subprocess:10,subregion:43,subschema:22,subscrib:936,subsect:[16,20,21,22,24,25,28,29,35,37,40],subsequ:[9,10,14,24,136,275,279,404,919],subsess:[26,330,440],subset:[39,903],substanti:919,substhtml:908,substitut:[21,34,37,919],subsystem:906,subtag:21,subtre:[3,5,20,22],subtree_dn_list:5,succe:[20,21,34,43,46,414],succeed:[12,34],success:[3,6,8,20,24,25,35,46,49,50,56,62,64,65,67,69,72,73,74,76,77,78,79,81,82,84,85,86,87,88,89,90,91,92,93,95,96,97,98,99,100,102,103,104,105,106,107,108,111,112,113,114,115,116,117,118,119,121,122,124,125,126,129,130,132,133,134,135,137,141,142,144,145,147,148,149,150,152,153,155,156,157,158,159,161,162,163,164,166,167,169,170,172,173,174,175,176,177,178,180,181,182,183,184,185,187,189,192,193,214,217,223,224,227,229,231,235,236,238,248,260,261,262,264,265,266,267,268,271,272,273,274,275,276,277,278,279,280,282,286,287,288,289,290,294,295,296,298,299,300,301,302,303,305,306,308,310,311,314,315,316,317,318,321,322,323,324,325,326,327,328,329,330,331,332,333,335,336,337,338,339,342,344,345,347,352,354,355,356,357,358,359,360,361,363,364,374,375,376,377,378,382,383,384,385,389,390,391,392,394,395,396,397,398,400,401,402,403,404,405,406,407,408,409,410,414,416,621,837,901,922,925,935,946,948],successfulli:[3,6,12,35,43,46,245,301,416,865,866],sudan:919,sudden:20,suffici:[3,5,14,24,906],suffix:[21,28,38,43,906,918,953],suggest:[0,245],suit:[34,903,904,918],suitabl:[6,904,906,918,919,939],summar:943,summari:[8,9],sun:919,suncc:906,sunw_dbprop_en:23,sunw_dbprop_master_ulogs:23,sunw_dbprop_slave_pol:23,sunwaadm:42,supersed:[10,14],supervisor:10,supplement:20,suppli:[3,11,43,46,48,223,245,258,262,267,276,277,278,331,342,372,373,386,735,736,876,906,922,923,931],support:[3,4,6,8,10,11,20,21,22,23,24,25,26,37,39,40,43,46,48,153,161,247,253,378,386,387,544,756,897,899,903,904,905,906,910,911,915,918,919,922,923,924,931,936,942],supported_enctyp:[14,20,26,34,918],suppos:[939,952],suppress:[3,6,20,906,918,941,946,948],sure:[3,5,12,14,15,22,23,26,33,41,938,939,942],surpris:14,surround:28,surviv:[20,897],susec:836,swap:[34,39],sweden:919,symbol:[6,344,901,904,905,908,917,923,924],symmetri:20,synchron:[9,14,15,21,24,34,41,48,271,403,730,918,931],syntact:21,syntax:[20,21,37,918],synthes:[381,865],synthet:[380,910],syria:919,sysadv6:42,sysconfdir:[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953],syslog:[20,21,34,923],system:[3,6,14,15,19,20,21,24,29,32,33,34,35,36,37,38,41,43,46,48,56,136,147,169,282,382,383,385,396,694,697,700,876,897,902,903,904,905,918,919,923,932,936,938,939,941,942,952,953],systest:3,t:[2,3,6,10,11,12,14,15,20,21,23,28,34,37,44,50,161,333,344,712,715,737,897,901,904,906,919,938,939,942,943,946,953],t_mddriver:919,tab:[3,6,344,918],tabdump:[26,918],tabl:[3,6,23,48,276,307,308,313,359,363,414,850,900,903,905,906,908,915,917,918,943],tabular:[6,918],tag:[20,21,34,910,915,924],tail:34,take:[10,14,19,20,21,23,25,26,28,32,39,41,43,46,91,124,126,325,376,731,827,898,915,918,920,929,938,939,946],taken:[6,14,39,245,901,915],talk:901,tamper:43,tape:32,tar:[904,905],target:[19,21,34,43,897,910,918],target_nam:43,target_princip:19,target_principal_nam:946,target_us:946,target_user_login_nam:946,task:[14,46,91],tcl:918,tcp:[8,10,12,15,20,21,23,29,34,37,39,279,404,918,933],team:936,teardown:904,technet:42,techniqu:[40,46],technolog:[909,919,953],tekniska:919,telegraph:919,telephon:919,tell:[4,10,938,939,945],telnet:[21,643,946],temp:21,templat:903,temporari:[3,21,34,37,900,901,917,918,953],temporarili:3,ten:[33,939],tend:15,term:[3,14,23,25,26,37,41,739,897,900,918,919,922,931,948],termin:[4,10,48,173,195,220,230,231,240,261,325,352,354,361,366,407,903,934,946],ters:3,test1:[3,898],test2:[3,898],test3:[3,898],test4:898,test:[3,9,10,12,14,21,37,48,903,906,908,918,919,942,949],test_html:908,testdir:41,testus:3,texinfo:0,text:[6,23,28,36,37,46,169,365,827,836,870,911,945],tg:[3,20,21,25,26,35,48,224,300,403,759,860,910,918,930],tgt:[3,14,20,23,26,37,46,48,220,342,343,910,911,918,939,946],th:21,than:[3,4,5,6,10,12,14,15,19,20,21,23,24,25,26,28,32,35,37,38,39,43,53,56,230,279,375,404,897,901,904,911,914,915,918,922,924,938,942],thei:[3,6,9,14,15,20,21,28,33,34,37,38,39,41,43,46,229,325,375,731,847,896,897,900,904,906,910,918,931,938,939,950,953],them:[3,14,15,20,22,23,24,25,29,32,34,37,39,41,46,82,84,253,330,344,403,731,897,904,906,918,919,923,924,934,939,941,953],themselv:6,theodor:919,theori:919,therebi:952,therefor:[22,23,25,39,910,931],thereof:919,thi:[0,2,3,4,5,6,8,9,10,11,12,14,15,17,19,20,21,22,23,24,25,26,27,28,32,33,34,35,36,37,38,39,40,41,43,46,48,49,50,55,57,58,59,60,61,62,67,68,69,71,72,73,74,76,77,78,81,82,84,85,86,87,88,89,92,93,98,99,100,101,102,103,104,105,107,113,114,116,117,119,120,122,123,124,125,126,129,130,133,136,137,139,141,144,148,150,151,153,156,157,158,159,167,169,171,172,173,174,175,177,178,180,181,182,183,192,194,195,198,199,200,201,202,203,205,206,207,208,209,212,215,216,221,228,235,236,241,243,245,246,252,253,254,258,260,261,262,264,265,266,267,270,271,272,275,276,277,278,279,287,288,289,290,294,295,296,298,299,301,308,317,320,323,324,325,326,327,329,330,331,333,334,342,343,345,352,355,356,357,358,359,360,361,363,364,368,371,373,375,376,378,380,382,383,385,386,387,389,396,400,401,403,404,407,408,410,412,414,416,417,419,728,729,730,731,735,736,737,739,832,850,884,885,896,897,901,902,903,904,905,906,910,911,915,916,917,918,919,920,922,924,926,928,929,930,931,932,934,935,936,938,939,941,942,943,945,946,948,952,953],think:[38,923,938],third:[21,28,36,37,910,918,919,953],thorough:39,those:[3,6,14,19,21,23,25,26,34,39,43,46,906,908,914,918,919,922,924,927,928,931,948,952,953],though:[14,904,939],thousand:24,thread:[24,847,897,906,918],threadsaf:285,three:[14,24,26,35,39,40,375,910,918,939,953],threeparamopen:789,through:[15,16,20,21,23,24,28,29,33,34,35,39,46,230,282,386,387,416,910,915,918,929,938,939],throughput:[20,24],thu:[23,901,906,946],ti:[369,929],ticket:[2,3,5,6,12,14,15,16,19,20,21,22,26,28,33,34,35,36,37,38,39,41,43,46,48,153,159,183,195,223,229,235,247,260,264,267,322,330,333,342,359,363,364,375,545,548,551,652,662,745,760,809,813,823,825,826,832,833,845,846,883,884,886,897,898,910,918,921,922,930,931,936,937,938,941,942,943,946,948,949,952,953],ticket_authdata:195,ticket_flag:[5,826,910],ticket_info:824,ticket_lifetim:[21,33],tightli:[14,28,32,902],till:846,time:[0,2,3,5,6,9,10,14,15,19,20,21,22,23,24,26,28,34,35,36,37,39,41,43,44,48,136,158,224,228,235,245,260,275,356,359,360,398,735,752,753,808,824,825,826,832,833,846,850,884,896,897,899,901,902,906,907,910,911,915,917,918,919,924,930,938,939,942,943,946,953],time_offset:10,time_rec:[43,918],time_req:43,time_t:[6,885,896],timeofdai:410,timeout:[14,20,36],timeret:396,timestamp:[6,11,14,21,25,37,40,48,66,83,325,326,331,336,342,343,356,360,396,522,529,671,824,850,854,875,885,896,900,901,910,911,912,914,915,918,931,943],timestampp:395,titl:[903,919],tkt:826,tkt_flg_anonym:789,tkt_flg_enc_pa_rep:789,tkt_flg_forward:789,tkt_flg_hw_auth:789,tkt_flg_initi:789,tkt_flg_invalid:789,tkt_flg_may_postd:789,tkt_flg_ok_as_deleg:789,tkt_flg_postdat:789,tkt_flg_pre_auth:789,tkt_flg_proxi:789,tkt_flg_proxiabl:789,tkt_flg_renew:789,tkt_flg_transit_policy_check:789,tkt_life:[259,840],tktpolici:[3,5,23],tl:[9,22,29],tlyu:3,tmp:[3,21,34,901,907,917,939,946,953],tmpbuild:904,tmpdir:[901,953],tmppolici:5,tn:42,todd:919,todo:938,togeth:15,token:[16,20,21,46,368,598,729,730,731,733,736,737,913,918,924,931,942],token_flag:881,token_id:879,token_len:43,tokenid:738,tokeninfo:[369,738,878],toler:21,tom:3,tomorrow:23,too:[3,23,56,100,103,119,267,288,290,306],tool:[6,23,903,905,918,923],toolkit:903,top:[10,39,897,904,905,908],top_srcdir:908,topic:[0,30,34],topolog:4,tort:919,tortiou:919,total:[20,25,915,942,946],toward:[0,23],tr_content:890,tr_type:890,trace:[48,889,918,953],trace_log:41,track:[3,6,9,35,901,936],trademark:919,tradit:[6,35],traffic:29,trail:[20,38,946],trailer:[43,48,538],transact:[24,953],transcript:911,transfer:[4,23,37],transform:906,transit:[20,21,24,359,541,550,674,695,833,890,939,942,943,948],transitori:14,translat:[21,56,918],transmiss:17,transmit:[23,43,279,404,918,931],transpar:953,transport:[23,39,279,404],travers:6,treat:[3,21,36,38,43,54,342,350,709,885,910,942,948],treatment:39,tree:[0,22,23,24,34,905,906,908,924,927,934],tri:[20,21,25,44,359,414,918,925],trigger:901,trillium:[15,32,939],trim:[99,287],trip:[40,918,931],tripl:[14,20,26,918],trivial:[25,918],troubl:42,troubleshoot:[30,34],true_principal_nam:861,truncat:[915,939],trust:[20,21,29,37,43,268,942],tryagain:922,ts:919,tt:898,tty04:20,tty:5,tune:[22,39],tupl:3,turn:[8,21,24,33,35,40,352,361,906,946],twice:[3,24,34,910,929,938,944],two:[3,18,20,21,23,24,26,28,34,35,37,38,48,53,361,898,910,911,914,918,920,924,932,939,942,946],txt:[6,34,39],type:[2,3,5,6,10,15,16,21,23,25,28,30,32,34,38,39,46,48,91,93,95,98,99,100,102,103,104,112,113,114,115,116,124,125,126,129,130,151,152,153,161,163,184,189,195,223,224,229,280,287,288,289,290,294,295,298,299,310,311,315,317,331,333,335,344,389,421,500,541,647,678,750,756,800,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,900,904,907,910,911,912,914,915,918,920,922,923,924,927,928,929,930,931,932,933,934,935,938,939,942,943,946,948,952,953],typedef:[43,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895],typic:[4,15,20,21,26,33,38,39,43,46,98,253,908,917,920,922,923,928,929,931,935,942,948],u1:[904,905],u2u:948,u:[919,948],ubuntu:[42,918],uc:918,ucb:946,udp:[10,15,20,21,29,39,279,404,918,933],udp_preference_limit:21,uid:[21,43,897,901,917,946,952,953],uid_t:43,uidnumb:897,uint16_t:892,uint32_t:[885,893,896],uint8_t:858,uint_max:[769,770,788],uk:919,ulog:[20,23],umich:919,un:[904,918],unabl:[17,21,23],unalloc:280,unam:28,unambigu:245,unansw:877,unauthent:32,unavail:[23,34,39],unchang:[3,14,946],unclean:24,uncommon:901,uncondition:[228,906],unconfigur:[39,908],undefin:946,under:[3,5,6,10,20,21,22,38,155,159,901,904,915,918,919],underli:43,underneath:22,underscor:[21,919],understand:46,undertaken:0,unenc_authdata:846,unencapsul:918,unencrypt:[32,356,813,823,845,846],unescap:6,unexport:924,unfinish:931,unicod:919,unifi:0,unimpl:923,unimport:910,uninterrupt:14,uniqu:[3,43,48,265,414,644,646,897,924],unit:[898,919,939],univers:919,unix:[6,15,20,21,28,31,36,43,923,924,934],unkei:46,unknown:[12,38,41,616,910,948],unless:[2,3,6,11,14,19,20,21,26,28,32,34,43,315,386,414,416,901,902,918,932,946,950],unlik:[14,23,40,897,901,918,924,939],unlimit:919,unlink:6,unlock:[23,35,918],unlockit:[3,20,23,24],unmodifi:[919,946],unnecessari:23,unpack:905,unpars:[43,48,407,409],unpleas:14,unport:919,unprint:3,unqualifi:33,unquot:6,unrecogn:906,unrestrict:[32,902],unser:43,unset:[43,48,171,953],unsign:[91,92,93,94,97,111,116,120,279,311,361,404,407,409,805,811,814,818,829,848,853,857,859,891,896],unspecifi:[21,953],unstabl:929,unsuccess:37,unsupport:[37,906],unswapp:897,untest:906,until:[3,6,14,21,23,43,896,897,901,906,915,918,939],untrust:[43,953],unus:[149,265,352,375,918],unusu:[28,37],unwrap:[43,48],up:[4,8,10,20,21,22,23,28,31,32,33,34,37,38,39,43,46,98,269,386,387,389,896,902,906,918,934,938,942],updat:[2,4,6,8,9,14,20,21,22,24,26,34,35,99,100,102,103,224,287,288,289,290,697,700,906,911,918,927,936],update_princ_encrypt:[14,23],update_rel:934,upgrad:[21,23,26,34,39,918],upn:[20,21,350,637,639,707,918],upon:[6,8,946],upper:[3,19,39,944],uppercas:[21,932,953],upstream:[23,906,918],upstreamhostnam:23,uri:[3,5,20,21,33,34,39,918],url:[20,24,29,39],us:[0,2,3,4,5,6,7,8,9,10,11,12,14,16,18,19,20,21,22,23,24,25,26,28,29,33,34,35,36,37,38,39,40,41,42,43,45,46,49,55,56,65,66,67,68,69,72,73,74,76,77,78,81,83,98,100,103,105,111,113,115,117,121,125,129,132,141,143,144,145,150,153,156,163,164,169,172,173,174,175,177,178,180,181,182,183,195,223,224,227,228,229,230,231,236,239,241,246,247,248,250,254,258,261,267,268,272,275,277,279,280,286,288,290,294,298,300,309,310,315,317,318,321,322,324,325,326,327,328,329,331,332,335,338,339,340,341,344,345,352,354,355,356,357,359,360,363,366,375,378,389,401,403,404,405,406,407,408,414,416,439,447,448,563,564,598,599,618,740,825,837,847,856,865,866,870,876,884,885,900,901,902,903,905,908,910,911,912,914,915,917,918,919,920,921,922,923,924,925,927,931,932,934,935,936,938,939,941,942,943,944,945,946,948,949,950,951,952,953],usa:919,usabl:48,usag:[20,21,37,43,99,100,102,103,108,113,114,129,130,287,288,289,290,294,295,298,299,847,896,911,912,945,946],usc:946,use_mkei:[14,23],usec:[813,824,836,875],useless:14,user:[0,3,5,6,8,14,15,16,19,20,21,22,23,25,26,33,34,35,36,37,38,39,41,43,48,56,90,136,169,224,227,326,330,331,333,361,551,641,663,730,737,870,897,898,901,903,904,906,908,916,917,918,919,922,935,936,938,939,941,942,944,946,948,951,952,953],user_dn:5,userconfig:21,userdata:[326,331],userdata_out:[356,360],userid:[21,906],usernam:[3,12,21,34,36,37,43,319,674,939,942],userok:932,userpolici:5,userprincipalnam:20,usr:[5,8,12,20,21,34,906,908,917,945,946],usual:[3,10,12,20,21,23,25,35,37,39,46,99,287,897,900,906,910,923,939,948,953],utc:23,utf:[46,350,365,373,709,918,919],util:[22,34,39,47,904,906,919,941,953],uucp:20,v4:[11,14,21,48],v4_instance_convert:21,v4_realm:21,v4cred:51,v5:[3,7,11,21,32,39,48,903,904,906,916,919,939],v5cred:51,v:[6,9,42,934,942,943],va_list:[48,92,94],vagu:906,val:[198,199,200,201,202,203,204,206,207,208,209,211,212,215,218,219,221,222],valid:[20,21,23,39,43,48,66,83,109,124,129,153,160,224,235,248,260,269,275,298,301,330,333,342,343,345,350,359,365,366,408,414,884,897,898,903,910,914,918,930,939,942,948,952,953],valid_int_bit:789,valid_uint_bit:789,valu:[3,5,6,10,14,16,19,20,21,22,23,24,25,26,28,33,34,36,37,38,39,43,46,48,66,83,117,125,126,136,151,153,156,166,224,245,248,252,263,265,269,296,301,333,368,369,371,375,386,388,397,722,728,729,731,733,738,740,796,797,798,837,841,854,865,866,885,896,897,898,900,901,906,907,908,910,911,912,914,915,918,922,924,931,932,934,939,941,942,943,945,946,951,953],valuabl:[46,919],vaniti:38,vararg:91,vari:[15,33,905,917,941,942],variabl:[2,3,4,5,6,7,8,9,10,11,12,15,16,19,20,21,24,25,28,30,34,35,37,38,39,40,41,43,48,93,136,141,155,269,282,386,387,897,900,901,907,918,934,935,941,942,943,944,946,947,948,949],variad:[91,417,419],variant:[23,906,918,924],varieti:26,variou:[14,30,43,359,903,907,918,939],vendor:[738,879,945],verbatim:919,verbos:[3,6,23,904,918,942],veri:[14,20,21,23,934],verif:[20,21,34,43,46,48,414,897,937,939],verifi:[5,20,21,23,34,37,43,48,241,356,357,358,359,360,361,901,905,918,922,931,938,939,946],verifier_cred_handl:924,verify_ap_req_nofail:21,versa:[37,918],version:[0,2,3,5,6,9,10,14,20,23,24,26,29,38,42,43,44,48,155,228,247,310,315,363,375,616,723,821,823,845,850,883,896,900,904,905,906,908,910,912,914,915,918,919,923,929,933,943,945,946,948,949,953],verto:[906,919],vesion:[321,405],veto:930,via:[0,3,6,8,20,21,34,35,46,48,274,386,402,826,918,924,926,946,952],vice:[37,918],view:[8,23,34,937],view_polici:23,viola:15,virtual:[15,21],visibl:[14,23,25,918],visit:939,vista:[26,918],visual:918,vnder:14,vno:[3,14,310,315,850],volum:918,vopt:46,vpath:[904,905],vprintf:[417,418,419],vt:923,vtabl:[922,923,931,934],vulner:[14,23,32,46,918,936],w:[3,5,10,24,481],wa:[0,3,6,8,12,14,17,20,21,23,24,26,39,41,43,44,48,155,205,245,273,314,342,359,735,900,910,911,918,919,921,925,929,930,932,938,939,942,945,946,953],wai:[21,23,28,39,43,46,126,236,250,375,896,897,898,900,906,908,918,919,927,932,938,939,951],wait:[8,20,23,39],wake:15,walk:[6,938],want:[3,23,28,34,545,551,904,933,938,939,946],warn:[3,23,26,245,908,918,919],warranti:919,wasn:44,we:[0,22,23,28,32,34,43,904,905,906,918],weak:[14,20,21,26,41],web:[34,897,918],week:5,weight:39,well:[14,21,23,34,38,43,46,343,648,903,906,918,925],wellknown:[37,46,502,763],went:939,were:[14,15,21,34,43,414,618,897,918,919,939],wg:918,what:[6,14,19,20,21,26,38,43,901,922,923,931,935,938,939,945],whatev:39,whatsoev:919,when:[3,4,6,8,9,10,12,14,15,16,17,20,21,22,23,26,28,29,33,34,36,37,38,39,40,41,43,46,49,65,67,68,72,73,76,77,78,79,85,91,92,93,111,113,115,125,126,132,136,141,143,145,150,153,154,163,164,169,172,173,174,175,176,177,178,180,181,182,183,194,195,224,227,228,229,230,231,235,236,250,254,258,260,261,265,268,272,275,280,282,286,294,310,315,317,318,321,322,324,325,326,327,328,329,330,331,332,335,338,339,344,345,352,354,355,356,357,359,360,361,363,375,389,401,403,405,406,408,738,739,740,897,900,906,908,910,915,917,918,920,924,925,929,932,934,935,936,938,939,941,942,943,945,946,948,951,953],whenev:46,where:[3,4,6,7,8,14,15,17,20,21,23,25,28,39,43,46,317,389,896,897,900,901,904,905,906,911,918,923,939,942,946,953],whether:[4,6,8,10,14,20,21,26,28,35,36,43,46,48,105,223,241,242,243,245,249,253,255,319,407,905,911,918,919,921,928,935,939,946],which:[3,4,5,6,7,8,9,10,11,12,14,15,19,20,21,22,23,24,25,26,28,29,33,34,35,36,37,38,39,40,41,43,46,126,173,195,229,230,245,250,280,310,330,359,366,368,371,372,884,885,896,897,900,901,903,904,905,906,907,910,911,912,914,915,917,918,919,920,922,923,924,927,928,929,930,931,933,934,935,939,942,945,946,948,951,952,953],whichev:15,whitespac:[3,20,21],who:[0,5,16,20,25,34,37,938,939],whoami:923,whole:[23,37,141,155,342],whom:[919,938],whose:[3,5,10,17,19,21,34,38,40,43,46,132,217,229,910,914,939,952],wicker:923,wicker_appear:923,wicker_brac:923,wicker_construct:923,wicker_foot:923,wicker_materi:923,wicker_slat:923,wide:[21,29,36],wiki:[42,904,918],wild:3,wildcard:[19,20,918,951],willi:14,willing:[20,21,26],win:919,winbind:28,winbind_krb5_loc:28,window:[21,26,28,29,42,301,382,383,637,639,685,703,897,901,903,915,918,923,924,934,939],wish:[16,21,34,39,43,250,904,905,906,907,919,924,935,938,939,953],with_realm:[300,341,343],within:[3,15,20,21,24,34,35,39,43,48,132,154,252,261,356,360,365,373,386,847,897,912,918,919,924,942,951,953],without:[3,14,19,20,21,23,24,28,32,34,35,36,37,43,133,368,371,538,866,897,901,904,906,915,918,919,938,939,946,953],wkt:11,wl:945,won:[21,37,939],worcest:919,word:[21,34,939],work:[2,3,4,6,21,23,34,35,36,39,40,43,897,906,918,919,931,932,936,938,939,953],workdai:33,worker:[10,24],workflow:14,workstat:46,worri:[22,904,953],wors:21,worst:14,worth:32,would:[5,6,14,16,17,20,21,23,25,28,32,34,37,38,39,40,43,46,902,918,924,938,939,945,952,953],wrap:[23,48,300,320,924],wrapper:[889,911,912],wrfile:[14,23],writabl:[15,34,316,934],write:[0,6,8,10,11,20,21,22,23,24,28,34,35,251,352,387,897,915,918,923,934,953],writeabl:302,writer:0,written:[3,4,155,850,900,915,919],wrong:[35,37,919,939,946],wsgi:29,www:[22,42,908,918],x11r6:904,x509:[37,918,942],x509_anchor:[21,942],x509_proxi:21,x509_proxy_ca:21,x509_user_ident:[16,21,942],x86:[906,918],x86_64:[906,918],x:[3,4,6,8,10,16,19,20,21,23,37,43,771,791,801,910,918,919,921,922,942,948],xconsortium:904,xf:905,xml:908,xore:[21,359],xp:918,xst:3,xvm:14,xyz:953,y:[22,771,801,906],yacc:906,ye:[3,5,23,906,942],year:[23,45,898,918],yet:[6,21,23,26,34,37,38,897,906,927,939],yflag:906,yield:931,you:[0,3,5,12,15,16,17,20,21,22,23,24,28,32,33,34,35,37,39,40,41,737,898,902,904,905,906,907,908,919,936,938,939,941,946,953],your:[0,12,17,20,21,26,32,33,34,37,39,904,905,906,919,927,937,939,941,950,953],your_princnam:37,your_realmnam:37,yourdir:34,yourself:[939,953],yu:3,yy:898,yymmddhhmmss:898,yyyi:898,yyyymmddhhmmss:898,z:[771,898,946],zanarotti:46,zephyr:[14,919],zero:[3,21,24,39,43,44,48,129,130,203,241,245,260,261,284,298,299,310,740,742,865,910,911,914,915,918,923],zone:[14,39,898],zonetest:14},titles:["Contributing to the MIT Kerberos Documentation","Administration  programs","k5srvutil","kadmin","kadmind","kdb5_ldap_util","kdb5_util","kprop","kpropd","kproplog","krb5kdc","ktutil","sserver","Advanced topics","Retiring DES","Application servers","Authentication indicators","Backups of secure hosts","Configuration Files","kadm5.acl","kdc.conf","krb5.conf","Configuring Kerberos with OpenLDAP back-end","Database administration","Database types","Addressing dictionary attack risks","Encryption types","Environment variables","Host configuration","HTTPS proxy configuration","For administrators","Installation guide","UNIX Application Servers","Installing and configuring UNIX client machines","Installing KDCs","Account lockout","OTP Preauthentication","PKINIT configuration","Principal names and DNS","Realm configuration decisions","SPAKE Preauthentication","Troubleshooting","Various links","Developing with GSSAPI","Differences between Heimdal and MIT Kerberos API","For application developers","Initial credentials","Principal manipulation and parsing","krb5 API","krb5_425_conv_principal -  Convert a Kerberos V4 principal to a Kerberos V5 principal.","krb5_524_conv_principal -  Convert a Kerberos V5 principal to a Kerberos V4 principal.","krb5_524_convert_creds -  Convert a Kerberos V5 credentials to a Kerberos V4 credentials.","krb5_address_compare -  Compare two Kerberos addresses.","krb5_address_order -  Return an ordering of the specified addresses.","krb5_address_search -  Search a list of addresses for a specified address.","krb5_allow_weak_crypto -  Allow the application to override the profile\u2019s allow_weak_crypto setting.","krb5_aname_to_localname -  Convert a principal name to a local name.","krb5_anonymous_principal -  Build an anonymous principal.","krb5_anonymous_realm -  Return an anonymous realm data.","krb5_appdefault_boolean -  Retrieve a boolean value from the appdefaults section of krb5.conf.","krb5_appdefault_string -  Retrieve a string value from the appdefaults section of krb5.conf.","krb5_auth_con_free -  Free a krb5_auth_context structure.","krb5_auth_con_genaddrs -  Generate auth context addresses from a connected socket.","krb5_auth_con_get_checksum_func -  Get the checksum callback from an auth context.","krb5_auth_con_getaddrs -  Retrieve address fields from an auth context.","krb5_auth_con_getauthenticator -  Retrieve the authenticator from an auth context.","krb5_auth_con_getflags -  Retrieve flags from a krb5_auth_context structure.","krb5_auth_con_getkey -  Retrieve the session key from an auth context as a keyblock.","krb5_auth_con_getkey_k -  Retrieve the session key from an auth context.","krb5_auth_con_getlocalseqnumber -  Retrieve the local sequence number from an auth context.","krb5_auth_con_getlocalsubkey","krb5_auth_con_getrcache -  Retrieve the replay cache from an auth context.","krb5_auth_con_getrecvsubkey -  Retrieve the receiving subkey from an auth context as a keyblock.","krb5_auth_con_getrecvsubkey_k -  Retrieve the receiving subkey from an auth context as a keyblock.","krb5_auth_con_getremoteseqnumber -  Retrieve the remote sequence number from an auth context.","krb5_auth_con_getremotesubkey","krb5_auth_con_getsendsubkey -  Retrieve the send subkey from an auth context as a keyblock.","krb5_auth_con_getsendsubkey_k -  Retrieve the send subkey from an auth context.","krb5_auth_con_init -  Create and initialize an authentication context.","krb5_auth_con_initivector -  Cause an auth context to use cipher state.","krb5_auth_con_set_checksum_func -  Set a checksum callback in an auth context.","krb5_auth_con_set_req_cksumtype -  Set checksum type in an an auth context.","krb5_auth_con_setaddrs -  Set the local and remote addresses in an auth context.","krb5_auth_con_setflags -  Set a flags field in a krb5_auth_context structure.","krb5_auth_con_setports -  Set local and remote port fields in an auth context.","krb5_auth_con_setrcache -  Set the replay cache in an auth context.","krb5_auth_con_setrecvsubkey -  Set the receiving subkey in an auth context with a keyblock.","krb5_auth_con_setrecvsubkey_k -  Set the receiving subkey in an auth context.","krb5_auth_con_setsendsubkey -  Set the send subkey in an auth context with a keyblock.","krb5_auth_con_setsendsubkey_k -  Set the send subkey in an auth context.","krb5_auth_con_setuseruserkey -  Set the session key in an auth context.","krb5_build_principal -  Build a principal name using null-terminated strings.","krb5_build_principal_alloc_va -  Build a principal name, using a precomputed variable argument list.","krb5_build_principal_ext -  Build a principal name using length-counted strings.","krb5_build_principal_va","krb5_c_block_size -  Return cipher block size.","krb5_c_checksum_length -  Return the length of checksums for a checksum type.","krb5_c_crypto_length -  Return a length of a message field specific to the encryption type.","krb5_c_crypto_length_iov -  Fill in lengths for header, trailer and padding in a IOV array.","krb5_c_decrypt -  Decrypt data using a key (operates on keyblock).","krb5_c_decrypt_iov -  Decrypt data in place supporting AEAD (operates on keyblock).","krb5_c_derive_prfplus -  Derive a key using some input data (via RFC 6113 PRF+).","krb5_c_encrypt -  Encrypt data using a key (operates on keyblock).","krb5_c_encrypt_iov -  Encrypt data in place supporting AEAD (operates on keyblock).","krb5_c_encrypt_length -  Compute encrypted data length.","krb5_c_enctype_compare -  Compare two encryption types.","krb5_c_free_state -  Free a cipher state previously allocated by krb5_c_init_state().","krb5_c_fx_cf2_simple -  Compute the KRB-FX-CF2 combination of two keys and pepper strings.","krb5_c_init_state -  Initialize a new cipher state.","krb5_c_is_coll_proof_cksum -  Test whether a checksum type is collision-proof.","krb5_c_is_keyed_cksum -  Test whether a checksum type is keyed.","krb5_c_keyed_checksum_types -  Return a list of keyed checksum types usable with an encryption type.","krb5_c_keylengths -  Return length of the specified key in bytes.","krb5_c_make_checksum -  Compute a checksum (operates on keyblock).","krb5_c_make_checksum_iov -  Fill in a checksum element in IOV array (operates on keyblock)","krb5_c_make_random_key -  Generate an enctype-specific random encryption key.","krb5_c_padding_length -  Return a number of padding octets.","krb5_c_prf -  Generate enctype-specific pseudo-random bytes.","krb5_c_prf_length -  Get the output length of pseudo-random functions for an encryption type.","krb5_c_prfplus -  Generate pseudo-random bytes using RFC 6113 PRF+.","krb5_c_random_add_entropy","krb5_c_random_make_octets -  Generate pseudo-random bytes.","krb5_c_random_os_entropy","krb5_c_random_seed","krb5_c_random_to_key -  Generate an enctype-specific key from random data.","krb5_c_string_to_key -  Convert a string (such a password) to a key.","krb5_c_string_to_key_with_params -  Convert a string (such as a password) to a key with additional parameters.","krb5_c_valid_cksumtype -  Verify that specified checksum type is a valid Kerberos checksum type.","krb5_c_valid_enctype -  Verify that a specified encryption type is a valid Kerberos encryption type.","krb5_c_verify_checksum -  Verify a checksum (operates on keyblock).","krb5_c_verify_checksum_iov -  Validate a checksum element in IOV array (operates on keyblock).","krb5_calculate_checksum","krb5_cc_cache_match -  Find a credential cache with a specified client principal.","krb5_cc_close -  Close a credential cache handle.","krb5_cc_copy_creds -  Copy a credential cache.","krb5_cc_default -  Resolve the default credential cache name.","krb5_cc_default_name -  Return the name of the default credential cache.","krb5_cc_destroy -  Destroy a credential cache.","krb5_cc_dup -  Duplicate ccache handle.","krb5_cc_end_seq_get -  Finish a series of sequential processing credential cache entries.","krb5_cc_gen_new","krb5_cc_get_config -  Get a configuration value from a credential cache.","krb5_cc_get_flags -  Retrieve flags from a credential cache structure.","krb5_cc_get_full_name -  Retrieve the full name of a credential cache.","krb5_cc_get_name -  Retrieve the name, but not type of a credential cache.","krb5_cc_get_principal -  Get the default principal of a credential cache.","krb5_cc_get_type -  Retrieve the type of a credential cache.","krb5_cc_initialize -  Initialize a credential cache.","krb5_cc_move -  Move a credential cache.","krb5_cc_new_unique -  Create a new credential cache of the specified type with a unique name.","krb5_cc_next_cred -  Retrieve the next entry from the credential cache.","krb5_cc_remove_cred -  Remove credentials from a credential cache.","krb5_cc_resolve -  Resolve a credential cache name.","krb5_cc_retrieve_cred -  Retrieve a specified credentials from a credential cache.","krb5_cc_select -  Select a credential cache to use with a server principal.","krb5_cc_set_config -  Store a configuration value in a credential cache.","krb5_cc_set_default_name -  Set the default credential cache name.","krb5_cc_set_flags -  Set options flags on a credential cache.","krb5_cc_start_seq_get -  Prepare to sequentially read every credential in a credential cache.","krb5_cc_store_cred -  Store credentials in a credential cache.","krb5_cc_support_switch -  Determine whether a credential cache type supports switching.","krb5_cc_switch -  Make a credential cache the primary cache for its collection.","krb5_cccol_cursor_free -  Free a credential cache collection cursor.","krb5_cccol_cursor_new -  Prepare to iterate over the collection of known credential caches.","krb5_cccol_cursor_next -  Get the next credential cache in the collection.","krb5_cccol_have_content -  Check if the credential cache collection contains any initialized caches.","krb5_change_password -  Change a password for an existing Kerberos account.","krb5_check_clockskew -  Check if a timestamp is within the allowed clock skew of the current time.","krb5_checksum_size","krb5_chpw_message -  Get a result message for changing or setting a password.","krb5_cksumtype_to_string -  Convert a checksum type to a string.","krb5_clear_error_message -  Clear the extended error message in a context.","krb5_copy_addresses -  Copy an array of addresses.","krb5_copy_authdata -  Copy an authorization data list.","krb5_copy_authenticator -  Copy a krb5_authenticator structure.","krb5_copy_checksum -  Copy a krb5_checksum structure.","krb5_copy_context -  Copy a krb5_context structure.","krb5_copy_creds -  Copy a krb5_creds structure.","krb5_copy_data -  Copy a krb5_data object.","krb5_copy_error_message -  Copy the most recent extended error message from one context to another.","krb5_copy_keyblock -  Copy a keyblock.","krb5_copy_keyblock_contents -  Copy the contents of a keyblock.","krb5_copy_principal -  Copy a principal.","krb5_copy_ticket -  Copy a krb5_ticket structure.","krb5_decode_authdata_container -  Unwrap authorization data.","krb5_decode_ticket -  Decode an ASN.1-formatted ticket.","krb5_decrypt","krb5_deltat_to_string -  Convert a relative time value to a string.","krb5_eblock_enctype","krb5_encode_authdata_container -  Wrap authorization data in a container.","krb5_encrypt","krb5_encrypt_size","krb5_enctype_to_name -  Convert an encryption type to a name or alias.","krb5_enctype_to_string -  Convert an encryption type to a string.","krb5_expand_hostname -  Canonicalize a hostname, possibly using name service.","krb5_find_authdata -  Find authorization data elements.","krb5_finish_key","krb5_finish_random_key","krb5_free_addresses -  Free the data stored in array of addresses.","krb5_free_ap_rep_enc_part -  Free a krb5_ap_rep_enc_part structure.","krb5_free_authdata -  Free the storage assigned to array of authentication data.","krb5_free_authenticator -  Free a krb5_authenticator structure.","krb5_free_checksum -  Free a krb5_checksum structure.","krb5_free_checksum_contents -  Free the contents of a krb5_checksum structure.","krb5_free_cksumtypes -  Free an array of checksum types.","krb5_free_context -  Free a krb5 library context.","krb5_free_cred_contents -  Free the contents of a krb5_creds structure.","krb5_free_creds -  Free a krb5_creds structure.","krb5_free_data -  Free a krb5_data structure.","krb5_free_data_contents -  Free the contents of a krb5_data structure and zero the data field.","krb5_free_default_realm -  Free a default realm string returned by krb5_get_default_realm().","krb5_free_enctypes -  Free an array of encryption types.","krb5_free_error -  Free an error allocated by krb5_read_error() or krb5_sendauth().","krb5_free_error_message -  Free an error message generated by krb5_get_error_message().","krb5_free_host_realm -  Free the memory allocated by krb5_get_host_realm().","krb5_free_keyblock -  Free a krb5_keyblock structure.","krb5_free_keyblock_contents -  Free the contents of a krb5_keyblock structure.","krb5_free_keytab_entry_contents -  Free the contents of a key table entry.","krb5_free_principal -  Free the storage assigned to a principal.","krb5_free_string -  Free a string allocated by a krb5 function.","krb5_free_tgt_creds -  Free an array of credential structures.","krb5_free_ticket -  Free a ticket.","krb5_free_unparsed_name -  Free a string representation of a principal.","krb5_fwd_tgt_creds -  Get a forwarded TGT and format a KRB-CRED message.","krb5_get_credentials -  Get an additional ticket.","krb5_get_credentials_renew","krb5_get_credentials_validate","krb5_get_default_realm -  Retrieve the default realm.","krb5_get_error_message -  Get the (possibly extended) error message for a code.","krb5_get_etype_info -  Retrieve enctype, salt and s2kparams from KDC.","krb5_get_fallback_host_realm","krb5_get_host_realm -  Get the Kerberos realm names for a host.","krb5_get_in_tkt_with_keytab","krb5_get_in_tkt_with_password","krb5_get_in_tkt_with_skey","krb5_get_init_creds_keytab -  Get initial credentials using a key table.","krb5_get_init_creds_opt_alloc -  Allocate a new initial credential options structure.","krb5_get_init_creds_opt_free -  Free initial credential options.","krb5_get_init_creds_opt_get_fast_flags -  Retrieve FAST flags from initial credential options.","krb5_get_init_creds_opt_init","krb5_get_init_creds_opt_set_address_list -  Set address restrictions in initial credential options.","krb5_get_init_creds_opt_set_anonymous -  Set or unset the anonymous flag in initial credential options.","krb5_get_init_creds_opt_set_canonicalize -  Set or unset the canonicalize flag in initial credential options.","krb5_get_init_creds_opt_set_change_password_prompt -  Set or unset change-password-prompt flag in initial credential options.","krb5_get_init_creds_opt_set_etype_list -  Set allowable encryption types in initial credential options.","krb5_get_init_creds_opt_set_expire_callback -  Set an expiration callback in initial credential options.","krb5_get_init_creds_opt_set_fast_ccache -  Set FAST armor cache in initial credential options.","krb5_get_init_creds_opt_set_fast_ccache_name -  Set location of FAST armor ccache in initial credential options.","krb5_get_init_creds_opt_set_fast_flags -  Set FAST flags in initial credential options.","krb5_get_init_creds_opt_set_forwardable -  Set or unset the forwardable flag in initial credential options.","krb5_get_init_creds_opt_set_in_ccache -  Set an input credential cache in initial credential options.","krb5_get_init_creds_opt_set_out_ccache -  Set an output credential cache in initial credential options.","krb5_get_init_creds_opt_set_pa -  Supply options for preauthentication in initial credential options.","krb5_get_init_creds_opt_set_pac_request -  Ask the KDC to include or not include a PAC in the ticket.","krb5_get_init_creds_opt_set_preauth_list -  Set preauthentication types in initial credential options.","krb5_get_init_creds_opt_set_proxiable -  Set or unset the proxiable flag in initial credential options.","krb5_get_init_creds_opt_set_renew_life -  Set the ticket renewal lifetime in initial credential options.","krb5_get_init_creds_opt_set_responder -  Set the responder function in initial credential options.","krb5_get_init_creds_opt_set_salt -  Set salt for optimistic preauthentication in initial credential options.","krb5_get_init_creds_opt_set_tkt_life -  Set the ticket lifetime in initial credential options.","krb5_get_init_creds_password -  Get initial credentials using a password.","krb5_get_permitted_enctypes -  Return a list of encryption types permitted for session keys.","krb5_get_profile -  Retrieve configuration profile from the context.","krb5_get_prompt_types -  Get prompt types array from a context.","krb5_get_renewed_creds -  Get renewed credential from KDC using an existing credential.","krb5_get_server_rcache -  Generate a replay cache object for server use and open it.","krb5_get_time_offsets -  Return the time offsets from the os context.","krb5_get_validated_creds -  Get validated credentials from the KDC.","krb5_init_context -  Create a krb5 library context.","krb5_init_context_profile -  Create a krb5 library context using a specified profile.","krb5_init_creds_free -  Free an initial credentials context.","krb5_init_creds_get -  Acquire credentials using an initial credentials context.","krb5_init_creds_get_creds -  Retrieve acquired credentials from an initial credentials context.","krb5_init_creds_get_error -  Get the last error from KDC from an initial credentials context.","krb5_init_creds_get_times -  Retrieve ticket times from an initial credentials context.","krb5_init_creds_init -  Create a context for acquiring initial credentials.","krb5_init_creds_set_keytab -  Specify a keytab to use for acquiring initial credentials.","krb5_init_creds_set_password -  Set a password for acquiring initial credentials.","krb5_init_creds_set_service -  Specify a service principal for acquiring initial credentials.","krb5_init_creds_step -  Get the next KDC request for acquiring initial credentials.","krb5_init_keyblock -  Initialize an empty krb5_keyblock .","krb5_init_random_key","krb5_init_secure_context -  Create a krb5 library context using only configuration files.","krb5_is_config_principal -  Test whether a principal is a configuration principal.","krb5_is_referral_realm -  Check for a match with KRB5_REFERRAL_REALM.","krb5_is_thread_safe -  Test whether the Kerberos library was built with multithread support.","krb5_k_create_key -  Create a krb5_key from the enctype and key data in a keyblock.","krb5_k_decrypt -  Decrypt data using a key (operates on opaque key).","krb5_k_decrypt_iov -  Decrypt data in place supporting AEAD (operates on opaque key).","krb5_k_encrypt -  Encrypt data using a key (operates on opaque key).","krb5_k_encrypt_iov -  Encrypt data in place supporting AEAD (operates on opaque key).","krb5_k_free_key -  Decrement the reference count on a key and free it if it hits zero.","krb5_k_key_enctype -  Retrieve the enctype of a krb5_key structure.","krb5_k_key_keyblock -  Retrieve a copy of the keyblock from a krb5_key structure.","krb5_k_make_checksum -  Compute a checksum (operates on opaque key).","krb5_k_make_checksum_iov -  Fill in a checksum element in IOV array (operates on opaque key)","krb5_k_prf -  Generate enctype-specific pseudo-random bytes (operates on opaque key).","krb5_k_reference_key -  Increment the reference count on a key.","krb5_k_verify_checksum -  Verify a checksum (operates on opaque key).","krb5_k_verify_checksum_iov -  Validate a checksum element in IOV array (operates on opaque key).","krb5_kdc_sign_ticket -  Sign a PAC, possibly including a ticket signature.","krb5_kdc_verify_ticket -  Verify a PAC, possibly including ticket signature.","krb5_kt_add_entry -  Add a new entry to a key table.","krb5_kt_client_default -  Resolve the default client key table.","krb5_kt_close -  Close a key table handle.","krb5_kt_default -  Resolve the default key table.","krb5_kt_default_name -  Get the default key table name.","krb5_kt_dup -  Duplicate keytab handle.","krb5_kt_end_seq_get -  Release a keytab cursor.","krb5_kt_free_entry","krb5_kt_get_entry -  Get an entry from a key table.","krb5_kt_get_name -  Get a key table name.","krb5_kt_get_type -  Return the type of a key table.","krb5_kt_have_content -  Check if a keytab exists and contains entries.","krb5_kt_next_entry -  Retrieve the next entry from the key table.","krb5_kt_read_service_key -  Retrieve a service key from a key table.","krb5_kt_remove_entry -  Remove an entry from a key table.","krb5_kt_resolve -  Get a handle for a key table.","krb5_kt_start_seq_get -  Start a sequential retrieval of key table entries.","krb5_kuserok -  Determine if a principal is authorized to log in as a local user.","krb5_make_authdata_kdc_issued -  Encode and sign AD-KDCIssued authorization data.","krb5_marshal_credentials -  Serialize a krb5_creds object.","krb5_merge_authdata -  Merge two authorization data lists into a new list.","krb5_mk_1cred -  Format a KRB-CRED message for a single set of credentials.","krb5_mk_error -  Format and encode a KRB_ERROR message.","krb5_mk_ncred -  Format a KRB-CRED message for an array of credentials.","krb5_mk_priv -  Format a KRB-PRIV message.","krb5_mk_rep -  Format and encrypt a KRB_AP_REP message.","krb5_mk_rep_dce -  Format and encrypt a KRB_AP_REP message for DCE RPC.","krb5_mk_req -  Create a KRB_AP_REQ message.","krb5_mk_req_extended -  Create a KRB_AP_REQ message using supplied credentials.","krb5_mk_safe -  Format a KRB-SAFE message.","krb5_os_localaddr -  Return all interface addresses for this host.","krb5_pac_add_buffer -  Add a buffer to a PAC handle.","krb5_pac_free -  Free a PAC handle.","krb5_pac_get_buffer -  Retrieve a buffer value from a PAC.","krb5_pac_get_client_info -  Read client information from a PAC.","krb5_pac_get_types -  Return an array of buffer types in a PAC handle.","krb5_pac_init -  Create an empty Privilege Attribute Certificate (PAC) handle.","krb5_pac_parse -  Unparse an encoded PAC into a new handle.","krb5_pac_sign","krb5_pac_sign_ext","krb5_pac_verify -  Verify a PAC.","krb5_pac_verify_ext -  Verify a PAC, possibly from a specified realm.","krb5_parse_name -  Convert a string principal name to a krb5_principal structure.","krb5_parse_name_flags -  Convert a string principal name to a krb5_principal with flags.","krb5_prepend_error_message -  Add a prefix to the message for an error code.","krb5_principal2salt -  Convert a principal name into the default salt for that principal.","krb5_principal_compare -  Compare two principals.","krb5_principal_compare_any_realm -  Compare two principals ignoring realm components.","krb5_principal_compare_flags -  Compare two principals with additional flags.","krb5_process_key","krb5_prompter_posix -  Prompt user for password.","krb5_random_key","krb5_rd_cred -  Read and validate a KRB-CRED message.","krb5_rd_error -  Decode a KRB-ERROR message.","krb5_rd_priv -  Process a KRB-PRIV message.","krb5_rd_rep -  Parse and decrypt a KRB_AP_REP message.","krb5_rd_rep_dce -  Parse and decrypt a KRB_AP_REP message for DCE RPC.","krb5_rd_req -  Parse and decrypt a KRB_AP_REQ message.","krb5_rd_safe -  Process KRB-SAFE message.","krb5_read_password -  Read a password from keyboard input.","krb5_realm_compare -  Compare the realms of two principals.","krb5_recvauth -  Server function for sendauth protocol.","krb5_recvauth_version -  Server function for sendauth protocol with version parameter.","krb5_responder_get_challenge -  Retrieve the challenge data for a given question in the responder context.","krb5_responder_list_questions -  List the question names contained in the responder context.","krb5_responder_otp_challenge_free -  Free the value returned by krb5_responder_otp_get_challenge().","krb5_responder_otp_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_OTP to a C struct.","krb5_responder_otp_set_answer -  Answer the KRB5_RESPONDER_QUESTION_OTP question.","krb5_responder_pkinit_challenge_free -  Free the value returned by krb5_responder_pkinit_get_challenge().","krb5_responder_pkinit_get_challenge -  Decode the KRB5_RESPONDER_QUESTION_PKINIT to a C struct.","krb5_responder_pkinit_set_answer -  Answer the KRB5_RESPONDER_QUESTION_PKINIT question for one identity.","krb5_responder_set_answer -  Answer a named question in the responder context.","krb5_salttype_to_string -  Convert a salt type to a string.","krb5_sendauth -  Client function for sendauth protocol.","krb5_server_decrypt_ticket_keytab -  Decrypt a ticket using the specified key table.","krb5_set_default_realm -  Override the default realm for the specified context.","krb5_set_default_tgs_enctypes -  Set default TGS encryption types in a krb5_context structure.","krb5_set_error_message -  Set an extended error message for an error code.","krb5_set_kdc_recv_hook -  Set a KDC post-receive hook function.","krb5_set_kdc_send_hook -  Set a KDC pre-send hook function.","krb5_set_password -  Set a password for a principal using specified credentials.","krb5_set_password_using_ccache -  Set a password for a principal using cached credentials.","krb5_set_principal_realm -  Set the realm field of a principal.","krb5_set_real_time -  Set time offset field in a krb5_context structure.","krb5_set_trace_callback -  Specify a callback function for trace events.","krb5_set_trace_filename -  Specify a file name for directing trace events.","krb5_sname_match -  Test whether a principal matches a matching principal.","krb5_sname_to_principal -  Generate a full principal name from a service name.","krb5_string_to_cksumtype -  Convert a string to a checksum type.","krb5_string_to_deltat -  Convert a string to a delta time value.","krb5_string_to_enctype -  Convert a string to an encryption type.","krb5_string_to_key","krb5_string_to_salttype -  Convert a string to a salt type.","krb5_string_to_timestamp -  Convert a string to a timestamp.","krb5_timeofday -  Retrieve the current time with context specific time offset adjustment.","krb5_timestamp_to_sfstring -  Convert a timestamp to a string, with optional output padding.","krb5_timestamp_to_string -  Convert a timestamp to a string.","krb5_tkt_creds_free -  Free a TGS request context.","krb5_tkt_creds_get -  Synchronously obtain credentials using a TGS request context.","krb5_tkt_creds_get_creds -  Retrieve acquired credentials from a TGS request context.","krb5_tkt_creds_get_times -  Retrieve ticket times from a TGS request context.","krb5_tkt_creds_init -  Create a context to get credentials from a KDC\u2019s Ticket Granting Service.","krb5_tkt_creds_step -  Get the next KDC request in a TGS exchange.","krb5_unmarshal_credentials -  Deserialize a krb5_creds object.","krb5_unparse_name -  Convert a krb5_principal structure to a string representation.","krb5_unparse_name_ext -  Convert krb5_principal structure to string and length.","krb5_unparse_name_flags -  Convert krb5_principal structure to a string with flags.","krb5_unparse_name_flags_ext -  Convert krb5_principal structure to string format with flags.","krb5_us_timeofday -  Retrieve the system time of day, in sec and ms, since the epoch.","krb5_use_enctype","krb5_verify_authdata_kdc_issued -  Unwrap and verify AD-KDCIssued authorization data.","krb5_verify_checksum","krb5_verify_init_creds -  Verify initial credentials against a keytab.","krb5_verify_init_creds_opt_init -  Initialize a credential verification options structure.","krb5_verify_init_creds_opt_set_ap_req_nofail -  Set whether credential verification is required.","krb5_vprepend_error_message -  Add a prefix to the message for an error code using a va_list.","krb5_vset_error_message -  Set an extended error message for an error code using a va_list.","krb5_vwrap_error_message -  Add a prefix to a different error code\u2019s message using a va_list.","krb5_wrap_error_message -  Add a prefix to a different error code\u2019s message.","Complete reference - API and datatypes","ADDRTYPE_ADDRPORT","ADDRTYPE_CHAOS","ADDRTYPE_DDP","ADDRTYPE_INET","ADDRTYPE_INET6","ADDRTYPE_IPPORT","ADDRTYPE_ISO","ADDRTYPE_IS_LOCAL","ADDRTYPE_NETBIOS","ADDRTYPE_XNS","AD_TYPE_EXTERNAL","AD_TYPE_FIELD_TYPE_MASK","AD_TYPE_REGISTERED","AD_TYPE_RESERVED","AP_OPTS_ETYPE_NEGOTIATION","AP_OPTS_MUTUAL_REQUIRED","AP_OPTS_RESERVED","AP_OPTS_USE_SESSION_KEY","AP_OPTS_USE_SUBKEY","AP_OPTS_WIRE_MASK","CKSUMTYPE_CMAC_CAMELLIA128","CKSUMTYPE_CMAC_CAMELLIA256","CKSUMTYPE_CRC32","CKSUMTYPE_DESCBC","CKSUMTYPE_HMAC_MD5_ARCFOUR","CKSUMTYPE_HMAC_SHA1_96_AES128","CKSUMTYPE_HMAC_SHA1_96_AES256","CKSUMTYPE_HMAC_SHA1_DES3","CKSUMTYPE_HMAC_SHA256_128_AES128","CKSUMTYPE_HMAC_SHA384_192_AES256","CKSUMTYPE_MD5_HMAC_ARCFOUR","CKSUMTYPE_NIST_SHA","CKSUMTYPE_RSA_MD4","CKSUMTYPE_RSA_MD4_DES","CKSUMTYPE_RSA_MD5","CKSUMTYPE_RSA_MD5_DES","CKSUMTYPE_SHA1","ENCTYPE_AES128_CTS_HMAC_SHA1_96","ENCTYPE_AES128_CTS_HMAC_SHA256_128","ENCTYPE_AES256_CTS_HMAC_SHA1_96","ENCTYPE_AES256_CTS_HMAC_SHA384_192","ENCTYPE_ARCFOUR_HMAC","ENCTYPE_ARCFOUR_HMAC_EXP","ENCTYPE_CAMELLIA128_CTS_CMAC","ENCTYPE_CAMELLIA256_CTS_CMAC","ENCTYPE_DES3_CBC_ENV","ENCTYPE_DES3_CBC_RAW","ENCTYPE_DES3_CBC_SHA","ENCTYPE_DES3_CBC_SHA1","ENCTYPE_DES_CBC_CRC","ENCTYPE_DES_CBC_MD4","ENCTYPE_DES_CBC_MD5","ENCTYPE_DES_CBC_RAW","ENCTYPE_DES_HMAC_SHA1","ENCTYPE_DSA_SHA1_CMS","ENCTYPE_MD5_RSA_CMS","ENCTYPE_NULL","ENCTYPE_RC2_CBC_ENV","ENCTYPE_RSA_ENV","ENCTYPE_RSA_ES_OAEP_ENV","ENCTYPE_SHA1_RSA_CMS","ENCTYPE_UNKNOWN","KDC_OPT_ALLOW_POSTDATE","KDC_OPT_CANONICALIZE","KDC_OPT_CNAME_IN_ADDL_TKT","KDC_OPT_DISABLE_TRANSITED_CHECK","KDC_OPT_ENC_TKT_IN_SKEY","KDC_OPT_FORWARDABLE","KDC_OPT_FORWARDED","KDC_OPT_POSTDATED","KDC_OPT_PROXIABLE","KDC_OPT_PROXY","KDC_OPT_RENEW","KDC_OPT_RENEWABLE","KDC_OPT_RENEWABLE_OK","KDC_OPT_REQUEST_ANONYMOUS","KDC_OPT_VALIDATE","KDC_TKT_COMMON_MASK","KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE","KRB5_ANONYMOUS_PRINCSTR","KRB5_ANONYMOUS_REALMSTR","KRB5_AP_REP","KRB5_AP_REQ","KRB5_AS_REP","KRB5_AS_REQ","KRB5_AUTHDATA_AND_OR","KRB5_AUTHDATA_AP_OPTIONS","KRB5_AUTHDATA_AUTH_INDICATOR","KRB5_AUTHDATA_CAMMAC","KRB5_AUTHDATA_ETYPE_NEGOTIATION","KRB5_AUTHDATA_FX_ARMOR","KRB5_AUTHDATA_IF_RELEVANT","KRB5_AUTHDATA_INITIAL_VERIFIED_CAS","KRB5_AUTHDATA_KDC_ISSUED","KRB5_AUTHDATA_MANDATORY_FOR_KDC","KRB5_AUTHDATA_OSF_DCE","KRB5_AUTHDATA_SESAME","KRB5_AUTHDATA_SIGNTICKET","KRB5_AUTHDATA_WIN2K_PAC","KRB5_AUTH_CONTEXT_DO_SEQUENCE","KRB5_AUTH_CONTEXT_DO_TIME","KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR","KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR","KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR","KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR","KRB5_AUTH_CONTEXT_PERMIT_ALL","KRB5_AUTH_CONTEXT_RET_SEQUENCE","KRB5_AUTH_CONTEXT_RET_TIME","KRB5_AUTH_CONTEXT_USE_SUBKEY","KRB5_CRED","KRB5_CRYPTO_TYPE_CHECKSUM","KRB5_CRYPTO_TYPE_DATA","KRB5_CRYPTO_TYPE_EMPTY","KRB5_CRYPTO_TYPE_HEADER","KRB5_CRYPTO_TYPE_PADDING","KRB5_CRYPTO_TYPE_SIGN_ONLY","KRB5_CRYPTO_TYPE_STREAM","KRB5_CRYPTO_TYPE_TRAILER","KRB5_CYBERSAFE_SECUREID","KRB5_DOMAIN_X500_COMPRESS","KRB5_ENCPADATA_REQ_ENC_PA_REP","KRB5_ERROR","KRB5_FAST_REQUIRED","KRB5_GC_CACHED","KRB5_GC_CANONICALIZE","KRB5_GC_CONSTRAINED_DELEGATION","KRB5_GC_FORWARDABLE","KRB5_GC_NO_STORE","KRB5_GC_NO_TRANSIT_CHECK","KRB5_GC_USER_USER","KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST","KRB5_GET_INIT_CREDS_OPT_ANONYMOUS","KRB5_GET_INIT_CREDS_OPT_CANONICALIZE","KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT","KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST","KRB5_GET_INIT_CREDS_OPT_FORWARDABLE","KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST","KRB5_GET_INIT_CREDS_OPT_PROXIABLE","KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE","KRB5_GET_INIT_CREDS_OPT_SALT","KRB5_GET_INIT_CREDS_OPT_TKT_LIFE","KRB5_INIT_CONTEXT_KDC","KRB5_INIT_CONTEXT_SECURE","KRB5_INIT_CREDS_STEP_FLAG_CONTINUE","KRB5_INT16_MAX","KRB5_INT16_MIN","KRB5_INT32_MAX","KRB5_INT32_MIN","KRB5_KEYUSAGE_AD_ITE","KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM","KRB5_KEYUSAGE_AD_MTE","KRB5_KEYUSAGE_AD_SIGNEDPATH","KRB5_KEYUSAGE_APP_DATA_CKSUM","KRB5_KEYUSAGE_APP_DATA_ENCRYPT","KRB5_KEYUSAGE_AP_REP_ENCPART","KRB5_KEYUSAGE_AP_REQ_AUTH","KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM","KRB5_KEYUSAGE_AS_REP_ENCPART","KRB5_KEYUSAGE_AS_REQ","KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS","KRB5_KEYUSAGE_CAMMAC","KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT","KRB5_KEYUSAGE_ENC_CHALLENGE_KDC","KRB5_KEYUSAGE_FAST_ENC","KRB5_KEYUSAGE_FAST_FINISHED","KRB5_KEYUSAGE_FAST_REP","KRB5_KEYUSAGE_FAST_REQ_CHKSUM","KRB5_KEYUSAGE_GSS_TOK_MIC","KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG","KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV","KRB5_KEYUSAGE_IAKERB_FINISHED","KRB5_KEYUSAGE_KDC_REP_TICKET","KRB5_KEYUSAGE_KRB_CRED_ENCPART","KRB5_KEYUSAGE_KRB_ERROR_CKSUM","KRB5_KEYUSAGE_KRB_PRIV_ENCPART","KRB5_KEYUSAGE_KRB_SAFE_CKSUM","KRB5_KEYUSAGE_PA_AS_FRESHNESS","KRB5_KEYUSAGE_PA_FX_COOKIE","KRB5_KEYUSAGE_PA_OTP_REQUEST","KRB5_KEYUSAGE_PA_PKINIT_KX","KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY","KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST","KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM","KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID","KRB5_KEYUSAGE_PA_SAM_RESPONSE","KRB5_KEYUSAGE_SPAKE","KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY","KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY","KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY","KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY","KRB5_KEYUSAGE_TGS_REQ_AUTH","KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM","KRB5_KPASSWD_ACCESSDENIED","KRB5_KPASSWD_AUTHERROR","KRB5_KPASSWD_BAD_VERSION","KRB5_KPASSWD_HARDERROR","KRB5_KPASSWD_INITIAL_FLAG_NEEDED","KRB5_KPASSWD_MALFORMED","KRB5_KPASSWD_SOFTERROR","KRB5_KPASSWD_SUCCESS","KRB5_LRQ_ALL_ACCT_EXPTIME","KRB5_LRQ_ALL_LAST_INITIAL","KRB5_LRQ_ALL_LAST_RENEWAL","KRB5_LRQ_ALL_LAST_REQ","KRB5_LRQ_ALL_LAST_TGT","KRB5_LRQ_ALL_LAST_TGT_ISSUED","KRB5_LRQ_ALL_PW_EXPTIME","KRB5_LRQ_NONE","KRB5_LRQ_ONE_ACCT_EXPTIME","KRB5_LRQ_ONE_LAST_INITIAL","KRB5_LRQ_ONE_LAST_RENEWAL","KRB5_LRQ_ONE_LAST_REQ","KRB5_LRQ_ONE_LAST_TGT","KRB5_LRQ_ONE_LAST_TGT_ISSUED","KRB5_LRQ_ONE_PW_EXPTIME","KRB5_NT_ENTERPRISE_PRINCIPAL","KRB5_NT_ENT_PRINCIPAL_AND_ID","KRB5_NT_MS_PRINCIPAL","KRB5_NT_MS_PRINCIPAL_AND_ID","KRB5_NT_PRINCIPAL","KRB5_NT_SMTP_NAME","KRB5_NT_SRV_HST","KRB5_NT_SRV_INST","KRB5_NT_SRV_XHST","KRB5_NT_UID","KRB5_NT_UNKNOWN","KRB5_NT_WELLKNOWN","KRB5_NT_X500_PRINCIPAL","KRB5_PAC_ATTRIBUTES_INFO","KRB5_PAC_CLIENT_CLAIMS","KRB5_PAC_CLIENT_INFO","KRB5_PAC_CREDENTIALS_INFO","KRB5_PAC_DELEGATION_INFO","KRB5_PAC_DEVICE_CLAIMS","KRB5_PAC_DEVICE_INFO","KRB5_PAC_FULL_CHECKSUM","KRB5_PAC_LOGON_INFO","KRB5_PAC_PRIVSVR_CHECKSUM","KRB5_PAC_REQUESTOR","KRB5_PAC_SERVER_CHECKSUM","KRB5_PAC_TICKET_CHECKSUM","KRB5_PAC_UPN_DNS_INFO","KRB5_PADATA_AFS3_SALT","KRB5_PADATA_AP_REQ","KRB5_PADATA_AS_CHECKSUM","KRB5_PADATA_AS_FRESHNESS","KRB5_PADATA_ENCRYPTED_CHALLENGE","KRB5_PADATA_ENC_SANDIA_SECURID","KRB5_PADATA_ENC_TIMESTAMP","KRB5_PADATA_ENC_UNIX_TIME","KRB5_PADATA_ETYPE_INFO","KRB5_PADATA_ETYPE_INFO2","KRB5_PADATA_FOR_USER","KRB5_PADATA_FX_COOKIE","KRB5_PADATA_FX_ERROR","KRB5_PADATA_FX_FAST","KRB5_PADATA_GET_FROM_TYPED_DATA","KRB5_PADATA_NONE","KRB5_PADATA_OSF_DCE","KRB5_PADATA_OTP_CHALLENGE","KRB5_PADATA_OTP_PIN_CHANGE","KRB5_PADATA_OTP_REQUEST","KRB5_PADATA_PAC_OPTIONS","KRB5_PADATA_PAC_REQUEST","KRB5_PADATA_PKINIT_KX","KRB5_PADATA_PK_AS_REP","KRB5_PADATA_PK_AS_REP_OLD","KRB5_PADATA_PK_AS_REQ","KRB5_PADATA_PK_AS_REQ_OLD","KRB5_PADATA_PW_SALT","KRB5_PADATA_REDHAT_IDP_OAUTH2","KRB5_PADATA_REDHAT_PASSKEY","KRB5_PADATA_REFERRAL","KRB5_PADATA_S4U_X509_USER","KRB5_PADATA_SAM_CHALLENGE","KRB5_PADATA_SAM_CHALLENGE_2","KRB5_PADATA_SAM_REDIRECT","KRB5_PADATA_SAM_RESPONSE","KRB5_PADATA_SAM_RESPONSE_2","KRB5_PADATA_SESAME","KRB5_PADATA_SPAKE","KRB5_PADATA_SVR_REFERRAL_INFO","KRB5_PADATA_TGS_REQ","KRB5_PADATA_USE_SPECIFIED_KVNO","KRB5_PRINCIPAL_COMPARE_CASEFOLD","KRB5_PRINCIPAL_COMPARE_ENTERPRISE","KRB5_PRINCIPAL_COMPARE_IGNORE_REALM","KRB5_PRINCIPAL_COMPARE_UTF8","KRB5_PRINCIPAL_PARSE_ENTERPRISE","KRB5_PRINCIPAL_PARSE_IGNORE_REALM","KRB5_PRINCIPAL_PARSE_NO_DEF_REALM","KRB5_PRINCIPAL_PARSE_NO_REALM","KRB5_PRINCIPAL_PARSE_REQUIRE_REALM","KRB5_PRINCIPAL_UNPARSE_DISPLAY","KRB5_PRINCIPAL_UNPARSE_NO_REALM","KRB5_PRINCIPAL_UNPARSE_SHORT","KRB5_PRIV","KRB5_PROMPT_TYPE_NEW_PASSWORD","KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN","KRB5_PROMPT_TYPE_PASSWORD","KRB5_PROMPT_TYPE_PREAUTH","KRB5_PVNO","KRB5_REALM_BRANCH_CHAR","KRB5_RECVAUTH_BADAUTHVERS","KRB5_RECVAUTH_SKIP_VERSION","KRB5_REFERRAL_REALM","KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN","KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN","KRB5_RESPONDER_OTP_FLAGS_NEXTOTP","KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN","KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC","KRB5_RESPONDER_OTP_FORMAT_DECIMAL","KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL","KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW","KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY","KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED","KRB5_RESPONDER_QUESTION_OTP","KRB5_RESPONDER_QUESTION_PASSWORD","KRB5_RESPONDER_QUESTION_PKINIT","KRB5_SAFE","KRB5_SAM_MUST_PK_ENCRYPT_SAD","KRB5_SAM_SEND_ENCRYPTED_SAD","KRB5_SAM_USE_SAD_AS_KEY","KRB5_TC_MATCH_2ND_TKT","KRB5_TC_MATCH_AUTHDATA","KRB5_TC_MATCH_FLAGS","KRB5_TC_MATCH_FLAGS_EXACT","KRB5_TC_MATCH_IS_SKEY","KRB5_TC_MATCH_KTYPE","KRB5_TC_MATCH_SRV_NAMEONLY","KRB5_TC_MATCH_TIMES","KRB5_TC_MATCH_TIMES_EXACT","KRB5_TC_NOTICKET","KRB5_TC_OPENCLOSE","KRB5_TC_SUPPORTED_KTYPES","KRB5_TGS_NAME","KRB5_TGS_NAME_SIZE","KRB5_TGS_REP","KRB5_TGS_REQ","KRB5_TKT_CREDS_STEP_FLAG_CONTINUE","KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL","KRB5_WELLKNOWN_NAMESTR","LR_TYPE_INTERPRETATION_MASK","LR_TYPE_THIS_SERVER_ONLY","MAX_KEYTAB_NAME_LEN","MSEC_DIRBIT","MSEC_VAL_MASK","SALT_TYPE_AFS_LENGTH","SALT_TYPE_NO_LENGTH","THREEPARAMOPEN","TKT_FLG_ANONYMOUS","TKT_FLG_ENC_PA_REP","TKT_FLG_FORWARDABLE","TKT_FLG_FORWARDED","TKT_FLG_HW_AUTH","TKT_FLG_INITIAL","TKT_FLG_INVALID","TKT_FLG_MAY_POSTDATE","TKT_FLG_OK_AS_DELEGATE","TKT_FLG_POSTDATED","TKT_FLG_PRE_AUTH","TKT_FLG_PROXIABLE","TKT_FLG_PROXY","TKT_FLG_RENEWABLE","TKT_FLG_TRANSIT_POLICY_CHECKED","VALID_INT_BITS","VALID_UINT_BITS","krb5 simple macros","krb524_convert_creds_kdc","krb524_init_ets","krb5_const","krb5_princ_component","krb5_princ_name","krb5_princ_realm","krb5_princ_set_realm","krb5_princ_set_realm_data","krb5_princ_set_realm_length","krb5_princ_size","krb5_princ_type","krb5_roundup","krb5_x","krb5_xc","krb5 types and structures","krb5_address","krb5_addrtype","krb5_ap_rep","krb5_ap_rep_enc_part","krb5_ap_req","krb5_auth_context","krb5_authdata","krb5_authdatatype","krb5_authenticator","krb5_boolean","krb5_cc_cursor","krb5_ccache","krb5_cccol_cursor","krb5_checksum","krb5_cksumtype","krb5_const_pointer","krb5_const_principal","krb5_context","krb5_cred","krb5_cred_enc_part","krb5_cred_info","krb5_creds","krb5_crypto_iov","krb5_cryptotype","krb5_data","krb5_deltat","krb5_enc_data","krb5_enc_kdc_rep_part","krb5_enc_tkt_part","krb5_encrypt_block","krb5_enctype","krb5_error","krb5_error_code","krb5_expire_callback_func","krb5_flags","krb5_get_init_creds_opt","krb5_gic_opt_pa_data","krb5_init_creds_context","krb5_int16","krb5_int32","krb5_kdc_rep","krb5_kdc_req","krb5_key","krb5_keyblock","krb5_keytab","krb5_keytab_entry","krb5_keyusage","krb5_kt_cursor","krb5_kvno","krb5_last_req_entry","krb5_magic","krb5_mk_req_checksum_func","krb5_msgtype","krb5_octet","krb5_pa_data","krb5_pa_pac_req","krb5_pa_server_referral_data","krb5_pa_svr_referral_data","krb5_pac","krb5_pointer","krb5_post_recv_fn","krb5_pre_send_fn","krb5_preauthtype","krb5_principal","krb5_principal_data","krb5_prompt","krb5_prompt_type","krb5_prompter_fct","krb5_pwd_data","krb5_rcache","krb5_replay_data","krb5_responder_context","krb5_responder_fn","krb5_responder_otp_challenge","krb5_responder_otp_tokeninfo","krb5_responder_pkinit_challenge","krb5_responder_pkinit_identity","krb5_response","krb5_ticket","krb5_ticket_times","krb5_timestamp","krb5_tkt_authent","krb5_tkt_creds_context","krb5_trace_callback","krb5_trace_info","krb5_transited","krb5_typed_data","krb5_ui_2","krb5_ui_4","krb5_verify_init_creds_opt","passwd_phrase_element","Year 2038 considerations for uses of krb5_timestamp","Credential cache","Supported date and time formats","Kerberos V5 concepts","keytab","replay cache","stash file","Organization of the source directory","Doing the build","Building Kerberos V5","Options to <em>configure</em>","osconf.hin","How to build this documentation from the source","Copyright","Credential cache file format","KDC cookie format","PKINIT freshness tokens","Protocols and file formats","Keytab file format","Replay cache file format","MIT Kerberos Documentation (1.21.3)","MIT Kerberos defaults","MIT Kerberos features","MIT Kerberos License information","Credential cache selection interface (ccselect)","PKINIT certificate authorization interface (certauth)","Client preauthentication interface (clpreauth)","General plugin concepts","GSSAPI mechanism interface","Host-to-realm interface (hostrealm)","For plugin module developers","Internal pluggable interfaces","kadmin authorization interface (kadm5_auth)","KADM5 hook interface (kadm5_hook)","KDC policy interface (kdcpolicy)","KDC preauthentication interface (kdcpreauth)","Local authorization interface (localauth)","Server location interface (locate)","Configuration interface (profile)","Password quality interface (pwqual)","Resources","For users","Password management","Ticket management","User commands","kdestroy","kinit","klist","kpasswd","krb5-config","ksu","kswitch","kvno","sclient","User config files",".k5identity",".k5login","kerberos"],titleterms:{"0":911,"1":[185,911,916],"2038":896,"21":916,"3":916,"6113":[101,119],"boolean":59,"byte":[112,117,119,121,296],"default":[14,28,36,135,136,145,156,210,227,303,305,306,347,377,378,897,900,901,917],"do":904,"export":43,"function":[118,219,257,363,364,375,380,381,386],"import":43,"new":[108,149,236,302,322,339,946],"null":91,"public":[48,789,804],"return":[53,58,95,96,97,111,112,116,136,210,261,266,312,332,337,367,370],"switch":[34,160],"while":41,A:946,For:[30,45,926,937],No:41,OF:946,One:46,THE:946,The:[14,32,36],abbrevi:898,about:32,absolut:898,acceptor:43,access:938,account:[35,166,938],acl:[19,34],acquir:[15,271,272,275,276,277,278,279,401],ad:[14,15,320,412],ad_type_extern:432,ad_type_field_type_mask:433,ad_type_regist:434,ad_type_reserv:435,add:[34,302,333,346,417,419,420],add_entri:11,add_mkei:6,add_polici:3,add_princip:3,addit:[31,126,224,350],address:[25,52,53,54,62,64,82,172,198,240,332],addrtype_addrport:422,addrtype_chao:423,addrtype_ddp:424,addrtype_inet6:426,addrtype_inet:425,addrtype_ipport:427,addrtype_is_loc:429,addrtype_iso:428,addrtype_netbio:430,addrtype_xn:431,adjust:396,admin:[39,41],administr:[1,23,30,34],advanc:13,advic:[32,38],aead:[43,100,103,288,290],against:414,alia:192,all:332,alloc:[106,212,214,219,236],allow:[55,167,244],allow_weak_crypto:55,also:[2,3,4,5,6,7,8,9,10,11,12,19,20,21,941,942,943,944,945,946,947,948,949,951,952,953],alter:897,an:[53,57,58,63,64,65,67,68,69,71,72,73,74,76,77,78,79,80,81,82,84,85,86,87,88,89,90,111,115,118,124,166,172,173,185,192,193,204,211,212,213,220,224,245,250,251,264,270,271,272,273,274,280,310,316,325,337,338,339,346,379,392,417,418,908],ani:165,anonym:[37,46,57,58,241],anoth:179,answer:[369,372,373],ap_opts_etype_negoti:436,ap_opts_mutual_requir:437,ap_opts_reserv:438,ap_opts_use_session_kei:439,ap_opts_use_subkei:440,ap_opts_wire_mask:441,api:[44,48,421,908],appdefault:[21,59,60],applic:[14,15,32,38,45,55],archiv:936,argument:92,ark:6,armor:[246,247],arrai:[98,114,130,172,198,200,204,211,220,263,295,299,325,337],ask:253,asn:185,assign:[200,218],attack:25,attribut:[43,338],auth:[62,63,64,65,67,68,69,71,72,73,74,76,77,79,80,81,82,84,85,86,87,88,89,90],authdata:927,authent:[16,23,41,65,78,200,946],author:[28,37,173,184,189,195,319,320,322,412,921,927,928,932,946,953],autoconf:904,awai:26,back:[17,22],background:[0,901],backup:17,behavior:[19,38],berkelei:24,between:44,binari:904,block:95,buffer:[333,335,337],bug:953,build:[57,91,92,93,904,905,908],built:285,c:[368,371],cach:[71,85,132,133,134,135,136,137,139,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,246,250,251,265,383,897,901,910,915,920],call:48,callback:[46,63,80,245,386],cannot:41,canonic:[38,194,242],capath:21,caus:79,ccach:[138,247,897],ccselect:[21,920],cert:41,certauth:[21,921],certif:[37,41,338,921],cf2:107,chain:41,challeng:365,chang:[23,166,169,243,938],change_password:3,channel:936,check:[165,167,284,313],checksum:[63,80,81,96,109,110,111,113,114,127,129,130,170,204,294,295,298,299,390],choos:26,cipher:[79,95,106,108],cksumtype_cmac_camellia128:442,cksumtype_cmac_camellia256:443,cksumtype_crc32:444,cksumtype_descbc:445,cksumtype_hmac_md5_arcfour:446,cksumtype_hmac_sha1_96_aes128:447,cksumtype_hmac_sha1_96_aes256:448,cksumtype_hmac_sha1_des3:449,cksumtype_hmac_sha256_128_aes128:450,cksumtype_hmac_sha384_192_aes256:451,cksumtype_md5_hmac_arcfour:452,cksumtype_nist_sha:453,cksumtype_rsa_md4:454,cksumtype_rsa_md4_d:455,cksumtype_rsa_md5:456,cksumtype_rsa_md5_d:457,cksumtype_sha1:458,clean:904,clear:171,clear_list:11,client:[15,29,33,37,132,303,336,375,900,922],clock:[15,167],close:[133,304],clpreauth:[21,922],code:[228,346,379,417,418,419,420],collect:[161,162,163,164,165,897],collis:109,combin:107,command:[3,5,6,11,940],common:12,commonli:906,compar:[52,105,348,349,350,362],compat:26,complet:421,compon:349,comput:[104,107,113,294],concept:[899,923],conf:[20,21,34,59,60],config:[945,950],configur:[15,18,22,26,28,29,33,34,35,36,37,39,141,155,262,282,283,906,910,934],connect:[41,62],consider:[36,896],constrain:43,contain:[165,189,313,366],content:[18,31,181,203,206,209,216,217,905,926],context:[62,63,64,65,67,68,69,71,72,73,74,76,77,78,79,80,81,82,84,85,86,87,88,89,90,171,179,205,262,263,266,268,269,270,271,272,273,274,275,282,365,366,373,377,396,399,400,401,402,403,946],contribut:0,conveni:48,convert:[49,50,51,56,125,126,170,187,192,193,344,345,347,374,390,391,392,394,395,397,398,406,407,408,409],cooki:911,copi:[134,172,173,174,175,176,177,178,179,180,181,182,183,293],copyright:909,correct:15,count:[93,291,297],creat:[5,6,34,37,41,78,149,268,269,275,282,286,329,330,338,403,946],create_polici:5,cred:[223,323,325,354],credenti:[15,41,43,46,51,132,133,134,135,136,137,139,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,220,235,236,237,238,240,241,242,243,244,245,246,247,248,249,250,251,252,254,255,256,257,258,259,260,264,267,270,271,272,273,274,275,276,277,278,279,323,325,330,382,383,400,401,403,414,415,416,897,910,920],cross:23,current:[167,396],cursor:[162,308],daemon:34,dai:410,data:[58,99,100,101,102,103,104,124,173,184,189,195,198,200,209,286,287,288,289,290,320,322,365,412,927],databas:[3,14,17,23,24,34,39,927],datatyp:421,date:898,db2:24,dbdefault:20,dbmodul:20,dce:[328,358],de:14,decis:39,declar:[805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895],decod:[185,355,368,371],decrement:291,decrypt:[99,100,287,288,357,358,359,376],defin:36,del_str:3,deleg:43,delete_entri:11,delete_polici:3,delete_princip:3,delta:391,deprec:[48,789],deriv:101,descript:[2,3,4,5,6,7,8,9,10,11,12,19,941,942,943,944,945,946,947,948,949,951,952,953],deseri:405,destroi:[5,6,137,939],destroy_polici:5,determin:[160,319],develop:[43,45,926],dictionari:25,differ:[23,44,419,420],direct:387,directli:48,directori:[903,904,906],discoveri:39,dn:[15,38],document:[0,898,908,916],domain_realm:21,dump:[6,23],duplic:[138,307],durat:898,dure:41,each:34,edit:34,effect:946,element:[114,130,195,295,299],empti:[280,338],encod:[320,324,339],encrypt:[20,26,41,97,102,103,104,105,111,115,118,128,192,193,211,244,261,289,290,327,328,378,392],enctyp:[26,115,117,124,229,286,292,296],enctype_aes128_cts_hmac_sha1_96:459,enctype_aes128_cts_hmac_sha256_128:460,enctype_aes256_cts_hmac_sha1_96:461,enctype_aes256_cts_hmac_sha384_192:462,enctype_arcfour_hmac:463,enctype_arcfour_hmac_exp:464,enctype_camellia128_cts_cmac:465,enctype_camellia256_cts_cmac:466,enctype_des3_cbc_env:467,enctype_des3_cbc_raw:468,enctype_des3_cbc_sha1:470,enctype_des3_cbc_sha:469,enctype_des_cbc_crc:471,enctype_des_cbc_md4:472,enctype_des_cbc_md5:473,enctype_des_cbc_raw:474,enctype_des_hmac_sha1:475,enctype_dsa_sha1_cm:476,enctype_md5_rsa_cm:477,enctype_nul:478,enctype_rc2_cbc_env:479,enctype_rsa_env:480,enctype_rsa_es_oaep_env:481,enctype_sha1_rsa_cm:482,enctype_unknown:483,end:22,entri:[139,150,217,302,310,313,314,316,318,910,914],environ:[2,3,4,5,6,7,8,9,10,11,12,27,906,941,942,943,944,946,947,948,949,953],epoch:410,error:[12,41,171,179,212,213,228,273,346,355,379,417,418,419,420],etc:38,event:[386,387],everi:158,exampl:[10,11,19,46,906,945,951,952],exchang:[41,404],execut:946,exist:[166,264,313],expans:21,expir:[41,245],extend:[171,179,228,379,418],extens:43,fact:918,fail:[34,41],fast:[238,246,247,248],featur:[906,918],field:[64,83,84,97,209,384,385],file:[8,18,20,21,32,33,34,282,387,902,910,913,914,915,941,942,943,947,948,950],fill:[98,114,295],find:[132,195],fine:906,finish:139,firewal:15,flag:[66,83,142,157,238,241,242,243,248,249,255,345,350,408,409],format:[185,223,323,324,325,326,327,328,331,409,898,910,911,913,914,915],forward:[223,249],free:[61,106,162,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,237,270,291,334,367,370,399],frequent:[41,48],fresh:[37,912],from:[14,15,26,59,60,62,63,64,65,66,67,68,69,71,72,73,74,76,77,124,141,142,150,151,153,179,229,238,262,263,264,266,267,272,273,274,286,293,310,314,315,316,335,336,343,361,389,401,402,403,908,923],full:[143,389],fx:107,gener:[37,62,115,117,119,121,124,213,265,296,389,917,923],get:[15,41,46,63,118,141,145,164,169,223,224,228,231,235,260,263,264,267,273,279,306,310,311,317,403,404],get_init_cr:46,get_polici:3,get_princip:3,get_str:3,getdat:898,given:365,grant:[403,938],gssapi:[28,43,924],guid:31,ha:41,handl:[133,138,304,307,317,333,334,337,338,339],header:[98,910],heimdal:44,hin:907,histori:[3,14,23,953],hit:291,hook:[380,381,929],host:[17,28,32,34,41,231,332,925],hostnam:[39,194],hostrealm:[21,925],how:908,http:29,ident:[21,372],ignor:349,includ:[253,300,301],increment:[23,34,297],indic:16,inform:[15,21,336,901,919],initi:[41,43,46,78,108,147,165,235,236,237,238,240,241,242,243,244,245,246,247,248,249,250,251,252,254,255,256,257,258,259,260,270,271,272,273,274,275,276,277,278,279,280,414,415],input:[101,250,361],instal:[31,33,34,904,906,946],instanc:36,instruct:946,interact:46,interfac:[21,48,332,920,921,922,924,925,927,928,929,930,931,932,933,934,935],intern:[804,927],interoper:918,interpos:924,iov:[43,98,114,130,295,299],irc:936,iter:163,its:161,k5ident:951,k5login:952,k5srvutil:2,kadm5:[19,929],kadm5_auth:[21,928],kadm5_hook:[21,929],kadmin:[3,928],kadmind:[4,923],kdb5_ldap_util:5,kdb5_util:6,kdb:927,kdc:[14,20,28,34,35,37,39,41,229,253,264,267,273,279,380,381,403,404,911,917,923,930,931],kdc_opt_allow_postd:484,kdc_opt_canonic:485,kdc_opt_cname_in_addl_tkt:486,kdc_opt_disable_transited_check:487,kdc_opt_enc_tkt_in_skei:488,kdc_opt_forward:[489,490],kdc_opt_postd:491,kdc_opt_proxi:[492,493],kdc_opt_renew:[494,495],kdc_opt_renewable_ok:496,kdc_opt_request_anonym:497,kdc_opt_valid:498,kdc_tkt_common_mask:499,kdcdefault:20,kdcissu:[320,412],kdcpolici:930,kdcpreauth:[21,931],kdestroi:[939,941],kei:[14,23,26,67,68,90,99,101,102,107,110,111,112,115,124,125,126,217,235,261,286,287,288,289,290,291,294,295,296,297,298,299,302,303,304,305,306,310,311,312,314,315,316,317,318,376,914],kerbero:[0,15,17,22,23,34,39,44,49,50,51,52,127,128,166,231,285,899,905,916,917,918,919,927,939,953],keyblock:[67,72,73,76,86,88,99,100,102,103,113,114,129,130,180,181,286,293],keyboard:361,keysalt:20,keytab:[15,32,34,38,276,307,308,313,414,900,914],kinit:[939,942],kldap:24,klist:[939,943],klmdb:24,known:163,kpasswd:944,kprop:[7,41],kpropd:8,kproplog:9,krb524_convert_creds_kdc:790,krb524_init_et:791,krb5:[21,34,48,59,60,205,219,268,269,282,789,804,945],krb5_425_conv_princip:49,krb5_524_conv_princip:50,krb5_524_convert_cr:51,krb5_address:805,krb5_address_compar:52,krb5_address_ord:53,krb5_address_search:54,krb5_addrtyp:806,krb5_allow_weak_crypto:55,krb5_altauth_att_challenge_respons:500,krb5_aname_to_localnam:56,krb5_anonymous_princip:57,krb5_anonymous_princstr:501,krb5_anonymous_realm:58,krb5_anonymous_realmstr:502,krb5_ap_rep:[503,807],krb5_ap_rep_enc_part:[199,808],krb5_ap_req:[504,809],krb5_appdefault_boolean:59,krb5_appdefault_str:60,krb5_as_rep:505,krb5_as_req:506,krb5_auth_con_fre:61,krb5_auth_con_genaddr:62,krb5_auth_con_get_checksum_func:63,krb5_auth_con_getaddr:64,krb5_auth_con_getauthent:65,krb5_auth_con_getflag:66,krb5_auth_con_getkei:67,krb5_auth_con_getkey_k:68,krb5_auth_con_getlocalseqnumb:69,krb5_auth_con_getlocalsubkei:70,krb5_auth_con_getrcach:71,krb5_auth_con_getrecvsubkei:72,krb5_auth_con_getrecvsubkey_k:73,krb5_auth_con_getremoteseqnumb:74,krb5_auth_con_getremotesubkei:75,krb5_auth_con_getsendsubkei:76,krb5_auth_con_getsendsubkey_k:77,krb5_auth_con_init:78,krb5_auth_con_initivector:79,krb5_auth_con_set_checksum_func:80,krb5_auth_con_set_req_cksumtyp:81,krb5_auth_con_setaddr:82,krb5_auth_con_setflag:83,krb5_auth_con_setport:84,krb5_auth_con_setrcach:85,krb5_auth_con_setrecvsubkei:86,krb5_auth_con_setrecvsubkey_k:87,krb5_auth_con_setsendsubkei:88,krb5_auth_con_setsendsubkey_k:89,krb5_auth_con_setuseruserkei:90,krb5_auth_context:[61,66,83,810],krb5_auth_context_do_sequ:521,krb5_auth_context_do_tim:522,krb5_auth_context_generate_local_addr:523,krb5_auth_context_generate_local_full_addr:524,krb5_auth_context_generate_remote_addr:525,krb5_auth_context_generate_remote_full_addr:526,krb5_auth_context_permit_al:527,krb5_auth_context_ret_sequ:528,krb5_auth_context_ret_tim:529,krb5_auth_context_use_subkei:530,krb5_authdata:811,krb5_authdata_and_or:507,krb5_authdata_ap_opt:508,krb5_authdata_auth_ind:509,krb5_authdata_cammac:510,krb5_authdata_etype_negoti:511,krb5_authdata_fx_armor:512,krb5_authdata_if_relev:513,krb5_authdata_initial_verified_ca:514,krb5_authdata_kdc_issu:515,krb5_authdata_mandatory_for_kdc:516,krb5_authdata_osf_dc:517,krb5_authdata_sesam:518,krb5_authdata_signticket:519,krb5_authdata_win2k_pac:520,krb5_authdatatyp:812,krb5_authent:[174,201,813],krb5_boolean:814,krb5_build_princip:91,krb5_build_principal_alloc_va:92,krb5_build_principal_ext:93,krb5_build_principal_va:94,krb5_c_block_siz:95,krb5_c_checksum_length:96,krb5_c_crypto_length:97,krb5_c_crypto_length_iov:98,krb5_c_decrypt:99,krb5_c_decrypt_iov:100,krb5_c_derive_prfplu:101,krb5_c_encrypt:102,krb5_c_encrypt_iov:103,krb5_c_encrypt_length:104,krb5_c_enctype_compar:105,krb5_c_free_stat:106,krb5_c_fx_cf2_simpl:107,krb5_c_init_st:[106,108],krb5_c_is_coll_proof_cksum:109,krb5_c_is_keyed_cksum:110,krb5_c_keyed_checksum_typ:111,krb5_c_keylength:112,krb5_c_make_checksum:113,krb5_c_make_checksum_iov:114,krb5_c_make_random_kei:115,krb5_c_padding_length:116,krb5_c_prf:117,krb5_c_prf_length:118,krb5_c_prfplu:119,krb5_c_random_add_entropi:120,krb5_c_random_make_octet:121,krb5_c_random_os_entropi:122,krb5_c_random_se:123,krb5_c_random_to_kei:124,krb5_c_string_to_kei:125,krb5_c_string_to_key_with_param:126,krb5_c_valid_cksumtyp:127,krb5_c_valid_enctyp:128,krb5_c_verify_checksum:129,krb5_c_verify_checksum_iov:130,krb5_calculate_checksum:131,krb5_cc_cache_match:132,krb5_cc_close:133,krb5_cc_copy_cr:134,krb5_cc_cursor:815,krb5_cc_default:135,krb5_cc_default_nam:136,krb5_cc_destroi:137,krb5_cc_dup:138,krb5_cc_end_seq_get:139,krb5_cc_gen_new:140,krb5_cc_get_config:141,krb5_cc_get_flag:142,krb5_cc_get_full_nam:143,krb5_cc_get_nam:144,krb5_cc_get_princip:145,krb5_cc_get_typ:146,krb5_cc_initi:147,krb5_cc_move:148,krb5_cc_new_uniqu:149,krb5_cc_next_cr:150,krb5_cc_remove_cr:151,krb5_cc_resolv:152,krb5_cc_retrieve_cr:153,krb5_cc_select:154,krb5_cc_set_config:155,krb5_cc_set_default_nam:156,krb5_cc_set_flag:157,krb5_cc_start_seq_get:158,krb5_cc_store_cr:159,krb5_cc_support_switch:160,krb5_cc_switch:161,krb5_ccach:816,krb5_cccol_cursor:817,krb5_cccol_cursor_fre:162,krb5_cccol_cursor_new:163,krb5_cccol_cursor_next:164,krb5_cccol_have_cont:165,krb5_change_password:166,krb5_check_clockskew:167,krb5_checksum:[175,202,203,818],krb5_checksum_s:168,krb5_chpw_messag:169,krb5_cksumtyp:819,krb5_cksumtype_to_str:170,krb5_clear_error_messag:171,krb5_const:792,krb5_const_point:820,krb5_const_princip:821,krb5_context:[176,378,385,822],krb5_copy_address:172,krb5_copy_authdata:173,krb5_copy_authent:174,krb5_copy_checksum:175,krb5_copy_context:176,krb5_copy_cr:177,krb5_copy_data:178,krb5_copy_error_messag:179,krb5_copy_keyblock:180,krb5_copy_keyblock_cont:181,krb5_copy_princip:182,krb5_copy_ticket:183,krb5_cred:[177,206,207,321,405,531,823,826],krb5_cred_enc_part:824,krb5_cred_info:825,krb5_crypto_iov:827,krb5_crypto_type_checksum:532,krb5_crypto_type_data:533,krb5_crypto_type_empti:534,krb5_crypto_type_head:535,krb5_crypto_type_pad:536,krb5_crypto_type_sign_onli:537,krb5_crypto_type_stream:538,krb5_crypto_type_trail:539,krb5_cryptotyp:828,krb5_cybersafe_secureid:540,krb5_data:[178,208,209,829],krb5_decode_authdata_contain:184,krb5_decode_ticket:185,krb5_decrypt:186,krb5_deltat:830,krb5_deltat_to_str:187,krb5_domain_x500_compress:541,krb5_eblock_enctyp:188,krb5_enc_data:831,krb5_enc_kdc_rep_part:832,krb5_enc_tkt_part:833,krb5_encode_authdata_contain:189,krb5_encpadata_req_enc_pa_rep:542,krb5_encrypt:190,krb5_encrypt_block:834,krb5_encrypt_s:191,krb5_enctyp:835,krb5_enctype_to_nam:192,krb5_enctype_to_str:193,krb5_error:[543,836],krb5_error_cod:837,krb5_expand_hostnam:194,krb5_expire_callback_func:838,krb5_fast_requir:544,krb5_find_authdata:195,krb5_finish_kei:196,krb5_finish_random_kei:197,krb5_flag:839,krb5_free_address:198,krb5_free_ap_rep_enc_part:199,krb5_free_authdata:200,krb5_free_authent:201,krb5_free_checksum:202,krb5_free_checksum_cont:203,krb5_free_cksumtyp:204,krb5_free_context:205,krb5_free_cr:207,krb5_free_cred_cont:206,krb5_free_data:208,krb5_free_data_cont:209,krb5_free_default_realm:210,krb5_free_enctyp:211,krb5_free_error:212,krb5_free_error_messag:213,krb5_free_host_realm:214,krb5_free_keyblock:215,krb5_free_keyblock_cont:216,krb5_free_keytab_entry_cont:217,krb5_free_princip:218,krb5_free_str:219,krb5_free_tgt_cr:220,krb5_free_ticket:221,krb5_free_unparsed_nam:222,krb5_fwd_tgt_cred:223,krb5_gc_cach:545,krb5_gc_canonic:546,krb5_gc_constrained_deleg:547,krb5_gc_forward:548,krb5_gc_no_stor:549,krb5_gc_no_transit_check:550,krb5_gc_user_us:551,krb5_get_credenti:224,krb5_get_credentials_renew:225,krb5_get_credentials_valid:226,krb5_get_default_realm:[210,227],krb5_get_error_messag:[213,228],krb5_get_etype_info:229,krb5_get_fallback_host_realm:230,krb5_get_host_realm:[214,231],krb5_get_in_tkt_with_keytab:232,krb5_get_in_tkt_with_password:233,krb5_get_in_tkt_with_skei:234,krb5_get_init_creds_keytab:235,krb5_get_init_creds_opt:840,krb5_get_init_creds_opt_address_list:552,krb5_get_init_creds_opt_alloc:236,krb5_get_init_creds_opt_anonym:553,krb5_get_init_creds_opt_canonic:554,krb5_get_init_creds_opt_chg_pwd_prmpt:555,krb5_get_init_creds_opt_etype_list:556,krb5_get_init_creds_opt_forward:557,krb5_get_init_creds_opt_fre:237,krb5_get_init_creds_opt_get_fast_flag:238,krb5_get_init_creds_opt_init:239,krb5_get_init_creds_opt_preauth_list:558,krb5_get_init_creds_opt_proxi:559,krb5_get_init_creds_opt_renew_lif:560,krb5_get_init_creds_opt_salt:561,krb5_get_init_creds_opt_set_address_list:240,krb5_get_init_creds_opt_set_anonym:241,krb5_get_init_creds_opt_set_canonic:242,krb5_get_init_creds_opt_set_change_password_prompt:243,krb5_get_init_creds_opt_set_etype_list:244,krb5_get_init_creds_opt_set_expire_callback:245,krb5_get_init_creds_opt_set_fast_ccach:246,krb5_get_init_creds_opt_set_fast_ccache_nam:247,krb5_get_init_creds_opt_set_fast_flag:248,krb5_get_init_creds_opt_set_forward:249,krb5_get_init_creds_opt_set_in_ccach:250,krb5_get_init_creds_opt_set_out_ccach:251,krb5_get_init_creds_opt_set_pa:252,krb5_get_init_creds_opt_set_pac_request:253,krb5_get_init_creds_opt_set_preauth_list:254,krb5_get_init_creds_opt_set_proxi:255,krb5_get_init_creds_opt_set_renew_lif:256,krb5_get_init_creds_opt_set_respond:257,krb5_get_init_creds_opt_set_salt:258,krb5_get_init_creds_opt_set_tkt_lif:259,krb5_get_init_creds_opt_tkt_lif:562,krb5_get_init_creds_password:260,krb5_get_permitted_enctyp:261,krb5_get_profil:262,krb5_get_prompt_typ:263,krb5_get_renewed_cr:264,krb5_get_server_rcach:265,krb5_get_time_offset:266,krb5_get_validated_cr:267,krb5_gic_opt_pa_data:841,krb5_init_context:268,krb5_init_context_kdc:563,krb5_init_context_profil:269,krb5_init_context_secur:564,krb5_init_creds_context:842,krb5_init_creds_fre:270,krb5_init_creds_get:271,krb5_init_creds_get_cr:272,krb5_init_creds_get_error:273,krb5_init_creds_get_tim:274,krb5_init_creds_init:275,krb5_init_creds_set_keytab:276,krb5_init_creds_set_password:277,krb5_init_creds_set_servic:278,krb5_init_creds_step:279,krb5_init_creds_step_flag_continu:565,krb5_init_keyblock:280,krb5_init_random_kei:281,krb5_init_secure_context:282,krb5_int16:843,krb5_int16_max:566,krb5_int16_min:567,krb5_int32:844,krb5_int32_max:568,krb5_int32_min:569,krb5_is_config_princip:283,krb5_is_referral_realm:284,krb5_is_thread_saf:285,krb5_k_create_kei:286,krb5_k_decrypt:287,krb5_k_decrypt_iov:288,krb5_k_encrypt:289,krb5_k_encrypt_iov:290,krb5_k_free_kei:291,krb5_k_key_enctyp:292,krb5_k_key_keyblock:293,krb5_k_make_checksum:294,krb5_k_make_checksum_iov:295,krb5_k_prf:296,krb5_k_reference_kei:297,krb5_k_verify_checksum:298,krb5_k_verify_checksum_iov:299,krb5_kdc_rep:845,krb5_kdc_req:846,krb5_kdc_sign_ticket:300,krb5_kdc_verify_ticket:301,krb5_kei:[286,292,293,847],krb5_keyblock:[215,216,280,848],krb5_keytab:849,krb5_keytab_entri:850,krb5_keyusag:851,krb5_keyusage_ad_it:570,krb5_keyusage_ad_kdcissued_cksum:571,krb5_keyusage_ad_mt:572,krb5_keyusage_ad_signedpath:573,krb5_keyusage_ap_rep_encpart:576,krb5_keyusage_ap_req_auth:577,krb5_keyusage_ap_req_auth_cksum:578,krb5_keyusage_app_data_cksum:574,krb5_keyusage_app_data_encrypt:575,krb5_keyusage_as_rep_encpart:579,krb5_keyusage_as_req:580,krb5_keyusage_as_req_pa_enc_t:581,krb5_keyusage_cammac:582,krb5_keyusage_enc_challenge_cli:583,krb5_keyusage_enc_challenge_kdc:584,krb5_keyusage_fast_enc:585,krb5_keyusage_fast_finish:586,krb5_keyusage_fast_rep:587,krb5_keyusage_fast_req_chksum:588,krb5_keyusage_gss_tok_m:589,krb5_keyusage_gss_tok_wrap_integ:590,krb5_keyusage_gss_tok_wrap_priv:591,krb5_keyusage_iakerb_finish:592,krb5_keyusage_kdc_rep_ticket:593,krb5_keyusage_krb_cred_encpart:594,krb5_keyusage_krb_error_cksum:595,krb5_keyusage_krb_priv_encpart:596,krb5_keyusage_krb_safe_cksum:597,krb5_keyusage_pa_as_fresh:598,krb5_keyusage_pa_fx_cooki:599,krb5_keyusage_pa_otp_request:600,krb5_keyusage_pa_pkinit_kx:601,krb5_keyusage_pa_s4u_x509_user_repli:602,krb5_keyusage_pa_s4u_x509_user_request:603,krb5_keyusage_pa_sam_challenge_cksum:604,krb5_keyusage_pa_sam_challenge_trackid:605,krb5_keyusage_pa_sam_respons:606,krb5_keyusage_spak:607,krb5_keyusage_tgs_rep_encpart_sesskei:608,krb5_keyusage_tgs_rep_encpart_subkei:609,krb5_keyusage_tgs_req_ad_sesskei:610,krb5_keyusage_tgs_req_ad_subkei:611,krb5_keyusage_tgs_req_auth:612,krb5_keyusage_tgs_req_auth_cksum:613,krb5_kpasswd_accessdeni:614,krb5_kpasswd_autherror:615,krb5_kpasswd_bad_vers:616,krb5_kpasswd_harderror:617,krb5_kpasswd_initial_flag_need:618,krb5_kpasswd_malform:619,krb5_kpasswd_softerror:620,krb5_kpasswd_success:621,krb5_kt_add_entri:302,krb5_kt_client_default:303,krb5_kt_close:304,krb5_kt_cursor:852,krb5_kt_default:305,krb5_kt_default_nam:306,krb5_kt_dup:307,krb5_kt_end_seq_get:308,krb5_kt_free_entri:309,krb5_kt_get_entri:310,krb5_kt_get_nam:311,krb5_kt_get_typ:312,krb5_kt_have_cont:313,krb5_kt_next_entri:314,krb5_kt_read_service_kei:315,krb5_kt_remove_entri:316,krb5_kt_resolv:317,krb5_kt_start_seq_get:318,krb5_kuserok:319,krb5_kvno:853,krb5_last_req_entri:854,krb5_lrq_all_acct_exptim:622,krb5_lrq_all_last_initi:623,krb5_lrq_all_last_renew:624,krb5_lrq_all_last_req:625,krb5_lrq_all_last_tgt:626,krb5_lrq_all_last_tgt_issu:627,krb5_lrq_all_pw_exptim:628,krb5_lrq_none:629,krb5_lrq_one_acct_exptim:630,krb5_lrq_one_last_initi:631,krb5_lrq_one_last_renew:632,krb5_lrq_one_last_req:633,krb5_lrq_one_last_tgt:634,krb5_lrq_one_last_tgt_issu:635,krb5_lrq_one_pw_exptim:636,krb5_magic:855,krb5_make_authdata_kdc_issu:320,krb5_marshal_credenti:321,krb5_merge_authdata:322,krb5_mk_1cred:323,krb5_mk_error:324,krb5_mk_ncred:325,krb5_mk_priv:326,krb5_mk_rep:327,krb5_mk_rep_dc:328,krb5_mk_req:329,krb5_mk_req_checksum_func:856,krb5_mk_req_extend:330,krb5_mk_safe:331,krb5_msgtype:857,krb5_nt_ent_principal_and_id:638,krb5_nt_enterprise_princip:637,krb5_nt_ms_princip:639,krb5_nt_ms_principal_and_id:640,krb5_nt_princip:641,krb5_nt_smtp_name:642,krb5_nt_srv_hst:643,krb5_nt_srv_inst:644,krb5_nt_srv_xhst:645,krb5_nt_uid:646,krb5_nt_unknown:647,krb5_nt_wellknown:648,krb5_nt_x500_princip:649,krb5_octet:858,krb5_os_localaddr:332,krb5_pa_data:859,krb5_pa_pac_req:860,krb5_pa_server_referral_data:861,krb5_pa_svr_referral_data:862,krb5_pac:863,krb5_pac_add_buff:333,krb5_pac_attributes_info:650,krb5_pac_client_claim:651,krb5_pac_client_info:652,krb5_pac_credentials_info:653,krb5_pac_delegation_info:654,krb5_pac_device_claim:655,krb5_pac_device_info:656,krb5_pac_fre:334,krb5_pac_full_checksum:657,krb5_pac_get_buff:335,krb5_pac_get_client_info:336,krb5_pac_get_typ:337,krb5_pac_init:338,krb5_pac_logon_info:658,krb5_pac_pars:339,krb5_pac_privsvr_checksum:659,krb5_pac_requestor:660,krb5_pac_server_checksum:661,krb5_pac_sign:340,krb5_pac_sign_ext:341,krb5_pac_ticket_checksum:662,krb5_pac_upn_dns_info:663,krb5_pac_verifi:342,krb5_pac_verify_ext:343,krb5_padata_afs3_salt:664,krb5_padata_ap_req:665,krb5_padata_as_checksum:666,krb5_padata_as_fresh:667,krb5_padata_enc_sandia_securid:669,krb5_padata_enc_timestamp:670,krb5_padata_enc_unix_tim:671,krb5_padata_encrypted_challeng:668,krb5_padata_etype_info2:673,krb5_padata_etype_info:672,krb5_padata_for_us:674,krb5_padata_fx_cooki:675,krb5_padata_fx_error:676,krb5_padata_fx_fast:677,krb5_padata_get_from_typed_data:678,krb5_padata_non:679,krb5_padata_osf_dc:680,krb5_padata_otp_challeng:681,krb5_padata_otp_pin_chang:682,krb5_padata_otp_request:683,krb5_padata_pac_opt:684,krb5_padata_pac_request:685,krb5_padata_pk_as_rep:687,krb5_padata_pk_as_rep_old:688,krb5_padata_pk_as_req:689,krb5_padata_pk_as_req_old:690,krb5_padata_pkinit_kx:686,krb5_padata_pw_salt:691,krb5_padata_redhat_idp_oauth2:692,krb5_padata_redhat_passkei:693,krb5_padata_referr:694,krb5_padata_s4u_x509_us:695,krb5_padata_sam_challeng:696,krb5_padata_sam_challenge_2:697,krb5_padata_sam_redirect:698,krb5_padata_sam_respons:699,krb5_padata_sam_response_2:700,krb5_padata_sesam:701,krb5_padata_spak:702,krb5_padata_svr_referral_info:703,krb5_padata_tgs_req:704,krb5_padata_use_specified_kvno:705,krb5_parse_nam:344,krb5_parse_name_flag:345,krb5_pointer:864,krb5_post_recv_fn:865,krb5_pre_send_fn:866,krb5_preauthtyp:867,krb5_prepend_error_messag:346,krb5_princ_compon:793,krb5_princ_nam:794,krb5_princ_realm:795,krb5_princ_set_realm:796,krb5_princ_set_realm_data:797,krb5_princ_set_realm_length:798,krb5_princ_siz:799,krb5_princ_typ:800,krb5_princip:[344,345,406,407,408,409,868],krb5_principal2salt:347,krb5_principal_compar:348,krb5_principal_compare_any_realm:349,krb5_principal_compare_casefold:706,krb5_principal_compare_enterpris:707,krb5_principal_compare_flag:350,krb5_principal_compare_ignore_realm:708,krb5_principal_compare_utf8:709,krb5_principal_data:869,krb5_principal_parse_enterpris:710,krb5_principal_parse_ignore_realm:711,krb5_principal_parse_no_def_realm:712,krb5_principal_parse_no_realm:713,krb5_principal_parse_require_realm:714,krb5_principal_unparse_displai:715,krb5_principal_unparse_no_realm:716,krb5_principal_unparse_short:717,krb5_priv:718,krb5_process_kei:351,krb5_prompt:870,krb5_prompt_typ:871,krb5_prompt_type_new_password:719,krb5_prompt_type_new_password_again:720,krb5_prompt_type_password:721,krb5_prompt_type_preauth:722,krb5_prompter_fct:872,krb5_prompter_posix:352,krb5_pvno:723,krb5_pwd_data:873,krb5_random_kei:353,krb5_rcach:874,krb5_rd_cred:354,krb5_rd_error:355,krb5_rd_priv:356,krb5_rd_rep:357,krb5_rd_rep_dc:358,krb5_rd_req:359,krb5_rd_safe:360,krb5_read_error:212,krb5_read_password:361,krb5_realm_branch_char:724,krb5_realm_compar:362,krb5_recvauth:363,krb5_recvauth_badauthv:725,krb5_recvauth_skip_vers:726,krb5_recvauth_vers:364,krb5_referral_realm:[284,727],krb5_replay_data:875,krb5_responder_context:876,krb5_responder_fn:877,krb5_responder_get_challeng:365,krb5_responder_list_quest:366,krb5_responder_otp_challeng:878,krb5_responder_otp_challenge_fre:367,krb5_responder_otp_flags_collect_pin:728,krb5_responder_otp_flags_collect_token:729,krb5_responder_otp_flags_nextotp:730,krb5_responder_otp_flags_separate_pin:731,krb5_responder_otp_format_alphanumer:732,krb5_responder_otp_format_decim:733,krb5_responder_otp_format_hexadecim:734,krb5_responder_otp_get_challeng:[367,368],krb5_responder_otp_set_answ:369,krb5_responder_otp_tokeninfo:879,krb5_responder_pkinit_challeng:880,krb5_responder_pkinit_challenge_fre:370,krb5_responder_pkinit_flags_token_user_pin_count_low:735,krb5_responder_pkinit_flags_token_user_pin_final_tri:736,krb5_responder_pkinit_flags_token_user_pin_lock:737,krb5_responder_pkinit_get_challeng:[370,371],krb5_responder_pkinit_ident:881,krb5_responder_pkinit_set_answ:372,krb5_responder_question_otp:[368,369,738],krb5_responder_question_password:739,krb5_responder_question_pkinit:[371,372,740],krb5_responder_set_answ:373,krb5_respons:882,krb5_roundup:801,krb5_safe:741,krb5_salttype_to_str:374,krb5_sam_must_pk_encrypt_sad:742,krb5_sam_send_encrypted_sad:743,krb5_sam_use_sad_as_kei:744,krb5_sendauth:[212,375],krb5_server_decrypt_ticket_keytab:376,krb5_set_default_realm:377,krb5_set_default_tgs_enctyp:378,krb5_set_error_messag:379,krb5_set_kdc_recv_hook:380,krb5_set_kdc_send_hook:381,krb5_set_password:382,krb5_set_password_using_ccach:383,krb5_set_principal_realm:384,krb5_set_real_tim:385,krb5_set_trace_callback:386,krb5_set_trace_filenam:387,krb5_sname_match:388,krb5_sname_to_princip:389,krb5_string_to_cksumtyp:390,krb5_string_to_deltat:391,krb5_string_to_enctyp:392,krb5_string_to_kei:393,krb5_string_to_salttyp:394,krb5_string_to_timestamp:395,krb5_tc_match_2nd_tkt:745,krb5_tc_match_authdata:746,krb5_tc_match_flag:747,krb5_tc_match_flags_exact:748,krb5_tc_match_is_skei:749,krb5_tc_match_ktyp:750,krb5_tc_match_srv_nameonli:751,krb5_tc_match_tim:752,krb5_tc_match_times_exact:753,krb5_tc_noticket:754,krb5_tc_openclos:755,krb5_tc_supported_ktyp:756,krb5_tgs_name:757,krb5_tgs_name_s:758,krb5_tgs_rep:759,krb5_tgs_req:760,krb5_ticket:[183,883],krb5_ticket_tim:884,krb5_timeofdai:396,krb5_timestamp:[885,896],krb5_timestamp_to_sfstr:397,krb5_timestamp_to_str:398,krb5_tkt_authent:886,krb5_tkt_creds_context:887,krb5_tkt_creds_fre:399,krb5_tkt_creds_get:400,krb5_tkt_creds_get_cr:401,krb5_tkt_creds_get_tim:402,krb5_tkt_creds_init:403,krb5_tkt_creds_step:404,krb5_tkt_creds_step_flag_continu:761,krb5_trace_callback:888,krb5_trace_info:889,krb5_transit:890,krb5_typed_data:891,krb5_ui_2:892,krb5_ui_4:893,krb5_unmarshal_credenti:405,krb5_unparse_nam:406,krb5_unparse_name_ext:407,krb5_unparse_name_flag:408,krb5_unparse_name_flags_ext:409,krb5_us_timeofdai:410,krb5_use_enctyp:411,krb5_verify_authdata_kdc_issu:412,krb5_verify_checksum:413,krb5_verify_init_cr:414,krb5_verify_init_creds_opt:894,krb5_verify_init_creds_opt_ap_req_nofail:762,krb5_verify_init_creds_opt_init:415,krb5_verify_init_creds_opt_set_ap_req_nofail:416,krb5_vprepend_error_messag:417,krb5_vset_error_messag:418,krb5_vwrap_error_messag:419,krb5_wellknown_namestr:763,krb5_wrap_error_messag:420,krb5_x:802,krb5_xc:803,krb5kdc:10,krb:[107,223,323,325,326,331,354,355,356,360],krb_ap_rep:[327,328,357,358],krb_ap_req:[329,330,359],krb_error:324,krbtgt:[14,23],ksu:946,kswitch:947,ktadd:3,ktremov:3,ktutil:11,kvno:948,last:273,ldap:[23,24],ldapsearch:38,legaci:[14,48],length:[93,96,97,98,104,112,118,407],lib:903,libdefault:21,librari:[205,268,269,282,285],licens:919,lifetim:[256,259],lightn:24,like:917,line:[5,6],link:42,list:[5,11,20,41,54,92,111,173,261,322,366,918,936],list_mkei:6,list_polici:[3,5],list_princip:3,list_request:[3,11],lndir:904,load:[6,23],local:[56,69,82,84,319,932],localauth:[21,932],locat:[28,247,933],lock:3,lockout:35,log:[20,41,319,923],login:28,lr_type_interpretation_mask:764,lr_type_this_server_onli:765,machin:33,macro:789,mail:936,make:161,man:908,manag:[938,939],manipul:47,map:[24,39],master:[14,23],match:[284,388],max_keytab_name_len:766,mechan:[28,924],member:[805,807,808,809,811,813,818,821,823,824,825,826,827,829,831,832,833,834,836,840,841,845,846,848,850,854,859,860,861,862,868,869,870,873,875,878,879,880,881,882,883,884,886,889,890,891,894,895],memori:[24,214],merg:322,messag:[12,43,97,169,171,179,213,223,228,323,324,325,326,327,328,329,330,331,346,354,355,356,357,358,359,360,379,417,418,419,420],mic:43,migrat:26,mismatch:38,mit:[0,23,44,916,917,918,919],modifi:5,modify_polici:[3,5],modify_princip:3,modul:[19,24,28,923,924,926],most:[179,906],move:148,ms:410,msec_dirbit:767,msec_val_mask:768,multithread:285,name:[38,39,43,56,91,92,93,135,136,143,144,149,152,156,192,194,231,306,311,344,345,347,366,373,387,389,897,901,906],negoex:924,next:[150,164,279,314,404],note:941,number:[69,74,116],object:[178,265,321,405],obtain:[400,905,939],octet:116,offset:[266,385,396],older:26,one:[179,372],onli:282,onto:39,opaqu:[287,288,289,290,294,295,296,298,299],open:265,openldap:[22,38],oper:[23,99,100,102,103,113,114,129,130,287,288,289,290,294,295,296,298,299],optimist:258,option:[3,4,5,6,7,8,9,10,20,21,46,157,236,237,238,240,241,242,243,244,245,246,247,248,249,250,251,252,254,255,256,257,258,259,397,415,906,941,942,943,944,945,946,947,948],order:53,organ:903,os:[266,908],osconf:907,other:36,otp:[20,36],output:[118,251,397],over:163,overrid:[38,55,377],overview:23,pac:[253,300,301,333,334,335,336,337,338,339,342,343],packag:[906,908],pad:[98,116,397],page:[908,936],paramet:[21,126,364],pars:[47,357,358,359],passwd_phrase_el:895,password:[46,125,126,166,169,243,260,277,352,361,382,383,935,938],path:917,pepper:107,perform:35,permit:261,pin:46,pkinit:[20,21,37,46,912,921],place:[100,103,288,290],pluggabl:927,plugin:[21,28,923,926],polici:[23,930],port:[39,84],possibl:[194,228,300,301,343],post:380,pre:381,preauthent:[36,40,252,254,258,922,931],precomput:92,prefix:[346,417,419,420],prepar:[158,163],prerequisit:905,previous:106,prf:[101,119],primari:[34,161],princip:[15,23,34,35,38,47,49,50,56,57,91,92,93,132,145,154,182,218,222,278,283,319,344,345,347,348,349,350,362,382,383,384,388,389,910],priv:[326,356],privileg:[23,338],procedur:14,process:[139,356,360],profil:[28,55,262,269,934],program:[1,906],prompt:[243,263,352],prompter:46,proof:109,propag:[23,34,39,917],properti:939,protocol:[363,364,375,913],provis:38,proxi:29,proxiabl:255,pseudo:[117,118,119,121,296],purge_mkei:6,purgekei:3,pwqual:[21,935],qualiti:[935,938],question:[46,365,366,369,372,373],quick:918,quit:[3,11],random:[115,117,118,119,121,124,296],rare:48,read:[158,336,354,361],read_kt:11,realm:[20,21,23,28,39,58,210,227,231,343,349,362,377,384,925],receiv:[72,73,86,87,380],recent:179,refer:[31,291,297,421,908],refus:41,reject:41,rel:187,releas:[308,908],remot:[74,82,84],remov:[14,15,151,316],rename_princip:3,renew:[256,264],replai:[71,85,265,901,915],replic:35,replica:[34,39,917],represent:[222,406],request:[26,279,399,400,401,402,404],requir:[416,946],resolv:[135,152,303,305],resourc:936,respond:[46,257,365,366,373],restrict:[240,953],result:169,retir:14,retriev:[59,60,64,65,66,67,68,69,71,72,73,74,76,77,142,143,144,146,150,153,227,229,238,262,272,274,292,293,314,315,318,335,365,396,401,402,410],revers:38,rfc:[101,119],risk:25,rout:41,rpc:[328,358],s2kparam:229,s4u:43,s:[55,403,419,420],safe:[331,360],salt:[229,258,347,374,394],salt_type_afs_length:769,salt_type_no_length:770,sampl:[20,21],sclient:949,search:54,sec:410,section:[20,21,59,60],secur:[17,32,38,911,946],see:[2,3,4,5,6,7,8,9,10,11,12,19,20,21,941,942,943,944,945,946,947,948,949,951,952,953],seen:41,select:[26,154,920],send:[76,77,88,89,381],sendauth:[41,363,364,375],separ:904,sequenc:[69,74],sequenti:[139,158,318],seri:139,serial:321,server:[14,15,32,41,154,265,363,364,933],servic:[14,26,38,39,194,278,315,389,403],session:[26,67,68,90,261],set:[55,80,81,82,83,84,85,86,87,88,89,90,156,157,169,240,241,242,243,244,245,246,247,248,249,250,251,254,255,256,257,258,259,277,323,378,379,380,381,382,383,384,385,416,418],set_str:3,setup:35,shell:[38,946],should:48,side:946,sign:[300,320],signatur:[300,301],simpl:[789,908],sinc:410,singl:[323,904],site:908,size:95,skew:[15,167],socket:62,softwar:905,some:[32,101],sourc:[903,908],spake:[40,911],specif:[38,97,115,117,124,296,396],specifi:[21,53,54,112,127,128,132,149,153,269,276,278,343,376,377,382,386,387],sserver:12,ssh:38,start:[34,318],stash:[6,902],stashsrvpw:5,state:[35,79,106,108],storag:[200,218],store:[43,155,159,198],string:[60,91,93,107,125,126,170,187,193,210,219,222,344,345,374,390,391,392,394,395,397,398,406,407,408,409],strong:14,struct:[368,371],structur:[20,21,61,66,83,142,174,175,176,177,183,199,201,202,203,206,207,208,209,215,216,220,236,292,293,344,378,385,406,407,408,409,415,804],subkei:[72,73,76,77,86,87,88,89],sun:23,suppli:[252,330],support:[14,41,100,103,160,285,288,290,898],synchron:400,synopsi:[2,3,4,5,6,7,8,9,10,11,12,941,942,943,944,945,946,947,948,949],syntax:19,system:[410,906,917],tabdump:6,tabl:[217,235,302,303,304,305,306,310,311,312,314,315,316,317,318,376],tarbal:908,target:946,termin:91,test:[35,109,110,283,285,388,904],tg:[378,399,400,401,402,404],tgt:223,thi:[332,898,908],threeparamopen:771,ticket:[23,185,221,224,253,256,259,274,300,301,376,402,403,939],time:[46,167,187,266,274,385,391,396,402,410,898],timestamp:[167,395,397,398],tkt_flg_anonym:772,tkt_flg_enc_pa_rep:773,tkt_flg_forward:[774,775],tkt_flg_hw_auth:776,tkt_flg_initi:777,tkt_flg_invalid:778,tkt_flg_may_postd:779,tkt_flg_ok_as_deleg:780,tkt_flg_postdat:781,tkt_flg_pre_auth:782,tkt_flg_proxi:784,tkt_flg_proxiabl:783,tkt_flg_renew:785,tkt_flg_transit_policy_check:786,token:[36,37,43,912],tool:897,topic:13,trace:[41,386,387],trailer:98,tree:904,trivial:911,troubleshoot:[41,42],tune:906,tutori:42,two:[52,105,107,322,348,349,350,362],type:[14,20,24,26,36,41,43,81,96,97,105,109,110,111,118,127,128,144,146,149,160,170,192,193,204,211,244,254,261,263,312,337,374,378,390,392,394,804,897,901,906],uniqu:149,unix:[32,33,917],unlock:3,unpars:339,unset:[241,242,243,249,255],unwrap:[184,412],up:[17,904],updat:[23,908],update_princ_encrypt:6,upgrad:14,us:[15,48,79,91,92,93,99,101,102,119,154,194,235,260,264,265,269,271,276,282,287,289,330,376,382,383,400,417,418,419,896,897,898,904,906],usabl:111,usag:14,use_mkei:6,user:[46,319,352,937,940,950],util:903,v4:[49,50,51],v5:[15,49,50,51,899,905],va_list:[417,418,419],valid:[127,128,130,267,299,354],valid_int_bit:787,valid_uint_bit:788,valu:[59,60,141,155,187,335,367,370,391],variabl:[26,27,92,906,953],variou:42,verif:[41,415,416,938],verifi:[46,127,128,129,298,301,342,343,412,414],version:[364,911],via:101,view:[5,939],view_polici:5,wa:285,web:[908,936],whether:[109,110,160,283,285,388,416],whitepap:42,wiki:936,within:[167,904],without:908,work:15,wrap:[43,189],write_kt:11,year:896,your:[15,938],zero:[209,291]}})
\ No newline at end of file
diff -pruN 1.21.2-1/doc/html/user/index.html 1.21.3-1/doc/html/user/index.html
--- 1.21.2-1/doc/html/user/index.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/user/index.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>For users &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Password management" href="pwd_mgmt.html" />
-    <link rel="prev" title="MIT Kerberos Documentation (1.21.2)" href="../index.html" /> 
-  </head>
-  <body>
+    <link rel="prev" title="MIT Kerberos Documentation (1.21.3)" href="../index.html" /> 
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -40,7 +31,7 @@
                 
         <a href="../index.html" title="Full Table of Contents"
             accesskey="C">Contents</a> |
-        <a href="../index.html" title="MIT Kerberos Documentation (1.21.2)"
+        <a href="../index.html" title="MIT Kerberos Documentation (1.21.3)"
             accesskey="P">previous</a> |
         <a href="pwd_mgmt.html" title="Password management"
             accesskey="N">next</a> |
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="for-users">
+  <section id="for-users">
 <h1>For users<a class="headerlink" href="#for-users" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
@@ -98,14 +89,16 @@
 </li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">For users</a></li>
@@ -142,6 +135,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -149,14 +143,14 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
         <a href="../index.html" title="Full Table of Contents"
             >Contents</a> |
-        <a href="../index.html" title="MIT Kerberos Documentation (1.21.2)"
+        <a href="../index.html" title="MIT Kerberos Documentation (1.21.3)"
             >previous</a> |
         <a href="pwd_mgmt.html" title="Password management"
             >next</a> |
diff -pruN 1.21.2-1/doc/html/user/pwd_mgmt.html 1.21.3-1/doc/html/user/pwd_mgmt.html
--- 1.21.2-1/doc/html/user/pwd_mgmt.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/user/pwd_mgmt.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Password management &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="Ticket management" href="tkt_mgmt.html" />
     <link rel="prev" title="For users" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="password-management">
+  <section id="password-management">
 <h1>Password management<a class="headerlink" href="#password-management" title="Permalink to this headline">¶</a></h1>
 <p>Your password is the only way Kerberos has of verifying your identity.
 If someone finds out your password, that person can masquerade as
@@ -74,15 +65,15 @@ account to someone else, you can do so t
 including your system administrator, for any reason.  You should
 change your password frequently, particularly any time you think
 someone may have found out what it is.</p>
-<div class="section" id="changing-your-password">
+<section id="changing-your-password">
 <h2>Changing your password<a class="headerlink" href="#changing-your-password" title="Permalink to this headline">¶</a></h2>
 <p>To change your Kerberos password, use the <a class="reference internal" href="user_commands/kpasswd.html#kpasswd-1"><span class="std std-ref">kpasswd</span></a> command.
 It will ask you for your old password (to prevent someone else from
 walking up to your computer when you’re not there and changing your
 password), and then prompt you for the new one twice.  (The reason you
 have to type it twice is to make sure you have typed it correctly.)
-For example, user <code class="docutils literal"><span class="pre">david</span></code> would do the following:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kpasswd</span>
+For example, user <code class="docutils literal notranslate"><span class="pre">david</span></code> would do the following:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kpasswd</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">david</span><span class="p">:</span>    <span class="o">&lt;-</span> <span class="n">Type</span> <span class="n">your</span> <span class="n">old</span> <span class="n">password</span><span class="o">.</span>
 <span class="n">Enter</span> <span class="n">new</span> <span class="n">password</span><span class="p">:</span>    <span class="o">&lt;-</span> <span class="n">Type</span> <span class="n">your</span> <span class="n">new</span> <span class="n">password</span><span class="o">.</span>
 <span class="n">Enter</span> <span class="n">it</span> <span class="n">again</span><span class="p">:</span>  <span class="o">&lt;-</span> <span class="n">Type</span> <span class="n">the</span> <span class="n">new</span> <span class="n">password</span> <span class="n">again</span><span class="o">.</span>
@@ -90,9 +81,9 @@ For example, user <code class="docutils
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
-<p>If <code class="docutils literal"><span class="pre">david</span></code> typed the incorrect old password, he would get the
+<p>If <code class="docutils literal notranslate"><span class="pre">david</span></code> typed the incorrect old password, he would get the
 following message:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kpasswd</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kpasswd</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">david</span><span class="p">:</span>  <span class="o">&lt;-</span> <span class="n">Type</span> <span class="n">the</span> <span class="n">incorrect</span> <span class="n">old</span> <span class="n">password</span><span class="o">.</span>
 <span class="n">kpasswd</span><span class="p">:</span> <span class="n">Password</span> <span class="n">incorrect</span> <span class="k">while</span> <span class="n">getting</span> <span class="n">initial</span> <span class="n">ticket</span>
 <span class="n">shell</span><span class="o">%</span>
@@ -100,7 +91,7 @@ following message:</p>
 </div>
 <p>If you make a mistake and don’t type the new password the same way
 twice, kpasswd will ask you to try again:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kpasswd</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kpasswd</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">david</span><span class="p">:</span>  <span class="o">&lt;-</span> <span class="n">Type</span> <span class="n">the</span> <span class="n">old</span> <span class="n">password</span><span class="o">.</span>
 <span class="n">Enter</span> <span class="n">new</span> <span class="n">password</span><span class="p">:</span>  <span class="o">&lt;-</span> <span class="n">Type</span> <span class="n">the</span> <span class="n">new</span> <span class="n">password</span><span class="o">.</span>
 <span class="n">Enter</span> <span class="n">it</span> <span class="n">again</span><span class="p">:</span> <span class="o">&lt;-</span> <span class="n">Type</span> <span class="n">a</span> <span class="n">different</span> <span class="n">new</span> <span class="n">password</span><span class="o">.</span>
@@ -114,8 +105,8 @@ this might be anywhere from a few minute
 need to get new Kerberos tickets shortly after changing your password,
 try the new password.  If the new password doesn’t work, try again
 using the old one.</p>
-</div>
-<div class="section" id="granting-access-to-your-account">
+</section>
+<section id="granting-access-to-your-account">
 <span id="grant-access"></span><h2>Granting access to your account<a class="headerlink" href="#granting-access-to-your-account" title="Permalink to this headline">¶</a></h2>
 <p>If you need to give someone access to log into your account, you can
 do so through Kerberos, without telling the person your password.
@@ -123,11 +114,11 @@ Simply create a file called <a class="re
 This file should contain the Kerberos principal of each person to whom
 you wish to give access.  Each principal must be on a separate line.
 Here is a sample .k5login file:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 <span class="n">david</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
 </pre></div>
 </div>
-<p>This file would allow the users <code class="docutils literal"><span class="pre">jennifer</span></code> and <code class="docutils literal"><span class="pre">david</span></code> to use your
+<p>This file would allow the users <code class="docutils literal notranslate"><span class="pre">jennifer</span></code> and <code class="docutils literal notranslate"><span class="pre">david</span></code> to use your
 user ID, provided that they had Kerberos tickets in their respective
 realms.  If you will be logging into other hosts across a network, you
 will want to include your own Kerberos principal in your .k5login file
@@ -135,14 +126,14 @@ on each of these hosts.</p>
 <p>Using a .k5login file is much safer than giving out your password,
 because:</p>
 <ul class="simple">
-<li>You can take access away any time simply by removing the principal
-from your .k5login file.</li>
-<li>Although the user has full access to your account on one particular
+<li><p>You can take access away any time simply by removing the principal
+from your .k5login file.</p></li>
+<li><p>Although the user has full access to your account on one particular
 host (or set of hosts if your .k5login file is shared, e.g., over
-NFS), that user does not inherit your network privileges.</li>
-<li>Kerberos keeps a log of who obtains tickets, so a system
+NFS), that user does not inherit your network privileges.</p></li>
+<li><p>Kerberos keeps a log of who obtains tickets, so a system
 administrator could find out, if necessary, who was capable of using
-your user ID at a particular time.</li>
+your user ID at a particular time.</p></li>
 </ul>
 <p>One common application is to have a .k5login file in root’s home
 directory, giving root access to that machine to the Kerberos
@@ -150,19 +141,21 @@ principals listed.  This allows system a
 to become root locally, or to log in remotely as root, without their
 having to give out the root password, and without anyone having to
 type the root password over the network.</p>
-</div>
-<div class="section" id="password-quality-verification">
+</section>
+<section id="password-quality-verification">
 <h2>Password quality verification<a class="headerlink" href="#password-quality-verification" title="Permalink to this headline">¶</a></h2>
 <p>TODO</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Password management</a><ul>
@@ -204,6 +197,7 @@ type the root password over the network.
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -211,8 +205,8 @@ type the root password over the network.
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/tkt_mgmt.html 1.21.3-1/doc/html/user/tkt_mgmt.html
--- 1.21.2-1/doc/html/user/tkt_mgmt.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/user/tkt_mgmt.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>Ticket management &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../_static/jquery.js"></script>
-    <script type="text/javascript" src="../_static/underscore.js"></script>
-    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../_static/kerb.css" />
+    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
+    <script src="../_static/jquery.js"></script>
+    <script src="../_static/underscore.js"></script>
+    <script src="../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../about.html" />
     <link rel="index" title="Index" href="../genindex.html" />
     <link rel="search" title="Search" href="../search.html" />
     <link rel="copyright" title="Copyright" href="../copyright.html" />
     <link rel="next" title="User config files" href="user_config/index.html" />
     <link rel="prev" title="Password management" href="pwd_mgmt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ticket-management">
+  <section id="ticket-management">
 <h1>Ticket management<a class="headerlink" href="#ticket-management" title="Permalink to this headline">¶</a></h1>
 <p>On many systems, Kerberos is built into the login program, and you get
 tickets automatically when you log in.  Other programs, such as ssh,
@@ -74,7 +65,7 @@ to your .logout file.  Additionally, if
 your machine and are concerned about an intruder using your
 permissions, it is safest to either destroy all copies of your
 tickets, or use a screensaver that locks the screen.</p>
-<div class="section" id="kerberos-ticket-properties">
+<section id="kerberos-ticket-properties">
 <h2>Kerberos ticket properties<a class="headerlink" href="#kerberos-ticket-properties" title="Permalink to this headline">¶</a></h2>
 <p>There are various properties that Kerberos tickets can have:</p>
 <p>If a ticket is <strong>forwardable</strong>, then the KDC can issue a new ticket
@@ -135,27 +126,27 @@ applications do not honor it.</p>
 generic principal for that realm; it does not actually specify the
 individual that will be using the ticket.  This ticket is meant only
 to securely distribute a session key.</p>
-</div>
-<div class="section" id="obtaining-tickets-with-kinit">
+</section>
+<section id="obtaining-tickets-with-kinit">
 <span id="obtain-tkt"></span><h2>Obtaining tickets with kinit<a class="headerlink" href="#obtaining-tickets-with-kinit" title="Permalink to this headline">¶</a></h2>
 <p>If your site has integrated Kerberos V5 with the login system, you
 will get Kerberos tickets automatically when you log in.  Otherwise,
 you may need to explicitly obtain your Kerberos tickets, using the
 <a class="reference internal" href="user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a> program.  Similarly, if your Kerberos tickets expire,
 use the kinit program to obtain new ones.</p>
-<p>To use the kinit program, simply type <code class="docutils literal"><span class="pre">kinit</span></code> and then type your
+<p>To use the kinit program, simply type <code class="docutils literal notranslate"><span class="pre">kinit</span></code> and then type your
 password at the prompt. For example, Jennifer (whose username is
-<code class="docutils literal"><span class="pre">jennifer</span></code>) works for Bleep, Inc. (a fictitious company with the
+<code class="docutils literal notranslate"><span class="pre">jennifer</span></code>) works for Bleep, Inc. (a fictitious company with the
 domain name mit.edu and the Kerberos realm ATHENA.MIT.EDU).  She would
 type:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="p">:</span> <span class="o">&lt;--</span> <span class="p">[</span><span class="n">Type</span> <span class="n">jennifer</span><span class="s1">&#39;s password here.]</span>
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
 <p>If you type your password incorrectly, kinit will give you the
 following error message:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="p">:</span> <span class="o">&lt;--</span> <span class="p">[</span><span class="n">Type</span> <span class="n">the</span> <span class="n">wrong</span> <span class="n">password</span> <span class="n">here</span><span class="o">.</span><span class="p">]</span>
 <span class="n">kinit</span><span class="p">:</span> <span class="n">Password</span> <span class="n">incorrect</span>
 <span class="n">shell</span><span class="o">%</span>
@@ -166,7 +157,7 @@ following error message:</p>
 your default realm.  Suppose Jennifer’s friend David is visiting, and
 he wants to borrow a window to check his mail.  David needs to get
 tickets for himself in his own realm, EXAMPLE.COM.  He would type:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span> <span class="n">david</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span> <span class="n">david</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">david</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span><span class="p">:</span> <span class="o">&lt;--</span> <span class="p">[</span><span class="n">Type</span> <span class="n">david</span><span class="s1">&#39;s password here.]</span>
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
@@ -178,7 +169,7 @@ host performed the authentication to the
 <p>If you want to be able to forward your tickets to another host, you
 need to request forwardable tickets.  You do this by specifying the
 <strong>-f</strong> option:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span> <span class="o">-</span><span class="n">f</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span> <span class="o">-</span><span class="n">f</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span><span class="p">:</span> <span class="o">&lt;--</span> <span class="p">[</span><span class="n">Type</span> <span class="n">your</span> <span class="n">password</span> <span class="n">here</span><span class="o">.</span><span class="p">]</span>
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
@@ -191,28 +182,28 @@ lifetime, which is ten hours on many sys
 different ticket lifetime with the <strong>-l</strong> option.  Add the letter
 <strong>s</strong> to the value for seconds, <strong>m</strong> for minutes, <strong>h</strong> for hours, or
 <strong>d</strong> for days.  For example, to obtain forwardable tickets for
-<code class="docutils literal"><span class="pre">david&#64;EXAMPLE.COM</span></code> that would be good for three hours, you would
+<code class="docutils literal notranslate"><span class="pre">david&#64;EXAMPLE.COM</span></code> that would be good for three hours, you would
 type:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span> <span class="o">-</span><span class="n">f</span> <span class="o">-</span><span class="n">l</span> <span class="mi">3</span><span class="n">h</span> <span class="n">david</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kinit</span> <span class="o">-</span><span class="n">f</span> <span class="o">-</span><span class="n">l</span> <span class="mi">3</span><span class="n">h</span> <span class="n">david</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">Password</span> <span class="k">for</span> <span class="n">david</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span><span class="p">:</span> <span class="o">&lt;--</span> <span class="p">[</span><span class="n">Type</span> <span class="n">david</span><span class="s1">&#39;s password here.]</span>
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">You cannot mix units; specifying a lifetime of 3h30m would
+<p class="admonition-title">Note</p>
+<p>You cannot mix units; specifying a lifetime of 3h30m would
 result in an error.  Note also that most systems specify a
 maximum ticket lifetime.  If you request a longer ticket
 lifetime, it will be automatically truncated to the maximum
 lifetime.</p>
 </div>
-</div>
-<div class="section" id="viewing-tickets-with-klist">
+</section>
+<section id="viewing-tickets-with-klist">
 <span id="view-tkt"></span><h2>Viewing tickets with klist<a class="headerlink" href="#viewing-tickets-with-klist" title="Permalink to this headline">¶</a></h2>
 <p>The <a class="reference internal" href="user_commands/klist.html#klist-1"><span class="std std-ref">klist</span></a> command shows your tickets.  When you first obtain
 tickets, you will have only the ticket-granting ticket.  The listing
 would look like this:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span>
 <span class="n">Ticket</span> <span class="n">cache</span><span class="p">:</span> <span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">krb5cc_ttypa</span>
 <span class="n">Default</span> <span class="n">principal</span><span class="p">:</span> <span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 
@@ -222,16 +213,16 @@ would look like this:</p>
 </pre></div>
 </div>
 <p>The ticket cache is the location of your ticket file. In the above
-example, this file is named <code class="docutils literal"><span class="pre">/tmp/krb5cc_ttypa</span></code>. The default
+example, this file is named <code class="docutils literal notranslate"><span class="pre">/tmp/krb5cc_ttypa</span></code>. The default
 principal is your Kerberos principal.</p>
 <p>The “valid starting” and “expires” fields describe the period of time
 during which the ticket is valid.  The “service principal” describes
 each ticket.  The ticket-granting ticket has a first component
-<code class="docutils literal"><span class="pre">krbtgt</span></code>, and a second component which is the realm name.</p>
-<p>Now, if <code class="docutils literal"><span class="pre">jennifer</span></code> connected to the machine <code class="docutils literal"><span class="pre">daffodil.mit.edu</span></code>,
+<code class="docutils literal notranslate"><span class="pre">krbtgt</span></code>, and a second component which is the realm name.</p>
+<p>Now, if <code class="docutils literal notranslate"><span class="pre">jennifer</span></code> connected to the machine <code class="docutils literal notranslate"><span class="pre">daffodil.mit.edu</span></code>,
 and then typed “klist” again, she would have gotten the following
 result:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span>
 <span class="n">Ticket</span> <span class="n">cache</span><span class="p">:</span> <span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">krb5cc_ttypa</span>
 <span class="n">Default</span> <span class="n">principal</span><span class="p">:</span> <span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 
@@ -241,19 +232,19 @@ result:</p>
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
-<p>Here’s what happened: when <code class="docutils literal"><span class="pre">jennifer</span></code> used ssh to connect to the
-host <code class="docutils literal"><span class="pre">daffodil.mit.edu</span></code>, the ssh program presented her
+<p>Here’s what happened: when <code class="docutils literal notranslate"><span class="pre">jennifer</span></code> used ssh to connect to the
+host <code class="docutils literal notranslate"><span class="pre">daffodil.mit.edu</span></code>, the ssh program presented her
 ticket-granting ticket to the KDC and requested a host ticket for the
-host <code class="docutils literal"><span class="pre">daffodil.mit.edu</span></code>.  The KDC sent the host ticket, which ssh
-then presented to the host <code class="docutils literal"><span class="pre">daffodil.mit.edu</span></code>, and she was allowed
+host <code class="docutils literal notranslate"><span class="pre">daffodil.mit.edu</span></code>.  The KDC sent the host ticket, which ssh
+then presented to the host <code class="docutils literal notranslate"><span class="pre">daffodil.mit.edu</span></code>, and she was allowed
 to log in without typing her password.</p>
 <p>Suppose your Kerberos tickets allow you to log into a host in another
-domain, such as <code class="docutils literal"><span class="pre">trillium.example.com</span></code>, which is also in another
-Kerberos realm, <code class="docutils literal"><span class="pre">EXAMPLE.COM</span></code>.  If you ssh to this host, you will
-receive a ticket-granting ticket for the realm <code class="docutils literal"><span class="pre">EXAMPLE.COM</span></code>, plus
-the new host ticket for <code class="docutils literal"><span class="pre">trillium.example.com</span></code>.  klist will now
+domain, such as <code class="docutils literal notranslate"><span class="pre">trillium.example.com</span></code>, which is also in another
+Kerberos realm, <code class="docutils literal notranslate"><span class="pre">EXAMPLE.COM</span></code>.  If you ssh to this host, you will
+receive a ticket-granting ticket for the realm <code class="docutils literal notranslate"><span class="pre">EXAMPLE.COM</span></code>, plus
+the new host ticket for <code class="docutils literal notranslate"><span class="pre">trillium.example.com</span></code>.  klist will now
 show:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span>
 <span class="n">Ticket</span> <span class="n">cache</span><span class="p">:</span> <span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">krb5cc_ttypa</span>
 <span class="n">Default</span> <span class="n">principal</span><span class="p">:</span> <span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 
@@ -266,68 +257,68 @@ show:</p>
 </pre></div>
 </div>
 <p>Depending on your host’s and realm’s configuration, you may also see a
-ticket with the service principal <code class="docutils literal"><span class="pre">host/trillium.example.com&#64;</span></code>.  If
+ticket with the service principal <code class="docutils literal notranslate"><span class="pre">host/trillium.example.com&#64;</span></code>.  If
 so, this means that your host did not know what realm
-trillium.example.com is in, so it asked the <code class="docutils literal"><span class="pre">ATHENA.MIT.EDU</span></code> KDC for
-a referral.  The next time you connect to <code class="docutils literal"><span class="pre">trillium.example.com</span></code>,
+trillium.example.com is in, so it asked the <code class="docutils literal notranslate"><span class="pre">ATHENA.MIT.EDU</span></code> KDC for
+a referral.  The next time you connect to <code class="docutils literal notranslate"><span class="pre">trillium.example.com</span></code>,
 the odd-looking entry will be used to avoid needing to ask for a
 referral again.</p>
 <p>You can use the <strong>-f</strong> option to view the flags that apply to your
 tickets.  The flags are:</p>
-<table border="1" class="docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="17%" />
-<col width="83%" />
+<col style="width: 17%" />
+<col style="width: 83%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>F</td>
-<td>Forwardable</td>
+<tbody>
+<tr class="row-odd"><td><p>F</p></td>
+<td><p>Forwardable</p></td>
 </tr>
-<tr class="row-even"><td>f</td>
-<td>forwarded</td>
+<tr class="row-even"><td><p>f</p></td>
+<td><p>forwarded</p></td>
 </tr>
-<tr class="row-odd"><td>P</td>
-<td>Proxiable</td>
+<tr class="row-odd"><td><p>P</p></td>
+<td><p>Proxiable</p></td>
 </tr>
-<tr class="row-even"><td>p</td>
-<td>proxy</td>
+<tr class="row-even"><td><p>p</p></td>
+<td><p>proxy</p></td>
 </tr>
-<tr class="row-odd"><td>D</td>
-<td>postDateable</td>
+<tr class="row-odd"><td><p>D</p></td>
+<td><p>postDateable</p></td>
 </tr>
-<tr class="row-even"><td>d</td>
-<td>postdated</td>
+<tr class="row-even"><td><p>d</p></td>
+<td><p>postdated</p></td>
 </tr>
-<tr class="row-odd"><td>R</td>
-<td>Renewable</td>
+<tr class="row-odd"><td><p>R</p></td>
+<td><p>Renewable</p></td>
 </tr>
-<tr class="row-even"><td>I</td>
-<td>Initial</td>
+<tr class="row-even"><td><p>I</p></td>
+<td><p>Initial</p></td>
 </tr>
-<tr class="row-odd"><td>i</td>
-<td>invalid</td>
+<tr class="row-odd"><td><p>i</p></td>
+<td><p>invalid</p></td>
 </tr>
-<tr class="row-even"><td>H</td>
-<td>Hardware authenticated</td>
+<tr class="row-even"><td><p>H</p></td>
+<td><p>Hardware authenticated</p></td>
 </tr>
-<tr class="row-odd"><td>A</td>
-<td>preAuthenticated</td>
+<tr class="row-odd"><td><p>A</p></td>
+<td><p>preAuthenticated</p></td>
 </tr>
-<tr class="row-even"><td>T</td>
-<td>Transit policy checked</td>
+<tr class="row-even"><td><p>T</p></td>
+<td><p>Transit policy checked</p></td>
 </tr>
-<tr class="row-odd"><td>O</td>
-<td>Okay as delegate</td>
+<tr class="row-odd"><td><p>O</p></td>
+<td><p>Okay as delegate</p></td>
 </tr>
-<tr class="row-even"><td>a</td>
-<td>anonymous</td>
+<tr class="row-even"><td><p>a</p></td>
+<td><p>anonymous</p></td>
 </tr>
 </tbody>
 </table>
 <p>Here is a sample listing.  In this example, the user <em>jennifer</em>
 obtained her initial tickets (<strong>I</strong>), which are forwardable (<strong>F</strong>)
 and postdated (<strong>d</strong>) but not yet validated (<strong>i</strong>):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span> <span class="o">-</span><span class="n">f</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span> <span class="o">-</span><span class="n">f</span>
 <span class="n">Ticket</span> <span class="n">cache</span><span class="p">:</span> <span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">krb5cc_320</span>
 <span class="n">Default</span> <span class="n">principal</span><span class="p">:</span> <span class="n">jennifer</span><span class="nd">@ATHENA</span><span class="o">.</span><span class="n">MIT</span><span class="o">.</span><span class="n">EDU</span>
 
@@ -340,7 +331,7 @@ and postdated (<strong>d</strong>) but n
 <p>In the following example, the user <em>david</em>’s tickets were forwarded
 (<strong>f</strong>) to this host from another host.  The tickets are reforwardable
 (<strong>F</strong>):</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span> <span class="o">-</span><span class="n">f</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">klist</span> <span class="o">-</span><span class="n">f</span>
 <span class="n">Ticket</span> <span class="n">cache</span><span class="p">:</span> <span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">krb5cc_p11795</span>
 <span class="n">Default</span> <span class="n">principal</span><span class="p">:</span> <span class="n">david</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>
 
@@ -352,8 +343,8 @@ and postdated (<strong>d</strong>) but n
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="destroying-tickets-with-kdestroy">
+</section>
+<section id="destroying-tickets-with-kdestroy">
 <h2>Destroying tickets with kdestroy<a class="headerlink" href="#destroying-tickets-with-kdestroy" title="Permalink to this headline">¶</a></h2>
 <p>Your Kerberos tickets are proof that you are indeed yourself, and
 tickets could be stolen if someone gains access to a computer where
@@ -361,27 +352,29 @@ they are stored.  If this happens, the p
 masquerade as you until they expire.  For this reason, you should
 destroy your Kerberos tickets when you are away from your computer.</p>
 <p>Destroying your tickets is easy.  Simply type kdestroy:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdestroy</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdestroy</span>
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
 <p>If <a class="reference internal" href="user_commands/kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a> fails to destroy your tickets, it will beep and
 give an error message.  For example, if kdestroy can’t find any
 tickets to destroy, it will give the following message:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdestroy</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">kdestroy</span>
 <span class="n">kdestroy</span><span class="p">:</span> <span class="n">No</span> <span class="n">credentials</span> <span class="n">cache</span> <span class="n">file</span> <span class="n">found</span> <span class="k">while</span> <span class="n">destroying</span> <span class="n">cache</span>
 <span class="n">shell</span><span class="o">%</span>
 </pre></div>
 </div>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">Ticket management</a><ul>
@@ -424,6 +417,7 @@ tickets to destroy, it will give the fol
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -431,8 +425,8 @@ tickets to destroy, it will give the fol
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/index.html 1.21.3-1/doc/html/user/user_commands/index.html
--- 1.21.2-1/doc/html/user/user_commands/index.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/index.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>User commands &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kdestroy" href="kdestroy.html" />
     <link rel="prev" title=".k5identity" href="../user_config/k5identity.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="user-commands">
+  <section id="user-commands">
 <span id="id1"></span><h1>User commands<a class="headerlink" href="#user-commands" title="Permalink to this headline">¶</a></h1>
 <div class="toctree-wrapper compound">
 <ul>
@@ -76,14 +67,16 @@
 <li class="toctree-l1"><a class="reference internal" href="sclient.html">sclient</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">User commands</a></li>
@@ -131,6 +124,7 @@
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -138,8 +132,8 @@
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/kdestroy.html 1.21.3-1/doc/html/user/user_commands/kdestroy.html
--- 1.21.2-1/doc/html/user/user_commands/kdestroy.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/kdestroy.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kdestroy &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kinit" href="kinit.html" />
     <link rel="prev" title="User commands" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,77 +52,78 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kdestroy">
+  <section id="kdestroy">
 <span id="kdestroy-1"></span><h1>kdestroy<a class="headerlink" href="#kdestroy" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>kdestroy</strong>
 [<strong>-A</strong>]
 [<strong>-q</strong>]
 [<strong>-c</strong> <em>cache_name</em>]
 [<strong>-p</strong> <em>princ_name</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>The kdestroy utility destroys the user’s active Kerberos authorization
 tickets by overwriting and deleting the credentials cache that
 contains them.  If the credentials cache is not specified, the default
 credentials cache is destroyed.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-A</strong></dt>
-<dd>Destroys all caches in the collection, if a cache collection is
+<dl>
+<dt><strong>-A</strong></dt><dd><p>Destroys all caches in the collection, if a cache collection is
 available.  May be used with the <strong>-c</strong> option to specify the
-collection to be destroyed.</dd>
-<dt><strong>-q</strong></dt>
-<dd>Run quietly.  Normally kdestroy beeps if it fails to destroy the
-user’s tickets.  The <strong>-q</strong> flag suppresses this behavior.</dd>
-<dt><strong>-c</strong> <em>cache_name</em></dt>
-<dd><p class="first">Use <em>cache_name</em> as the credentials (ticket) cache name and
+collection to be destroyed.</p>
+</dd>
+<dt><strong>-q</strong></dt><dd><p>Run quietly.  Normally kdestroy beeps if it fails to destroy the
+user’s tickets.  The <strong>-q</strong> flag suppresses this behavior.</p>
+</dd>
+<dt><strong>-c</strong> <em>cache_name</em></dt><dd><p>Use <em>cache_name</em> as the credentials (ticket) cache name and
 location; if this option is not used, the default cache name and
 location are used.</p>
-<p class="last">The default credentials cache may vary between systems.  If the
+<p>The default credentials cache may vary between systems.  If the
 <strong>KRB5CCNAME</strong> environment variable is set, its value is used to
 name the default ticket cache.</p>
 </dd>
-<dt><strong>-p</strong> <em>princ_name</em></dt>
-<dd>If a cache collection is available, destroy the cache for
+<dt><strong>-p</strong> <em>princ_name</em></dt><dd><p>If a cache collection is available, destroy the cache for
 <em>princ_name</em> instead of the primary cache.  May be used with the
-<strong>-c</strong> option to specify the collection to be searched.</dd>
+<strong>-c</strong> option to specify the collection to be searched.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="note">
+</section>
+<section id="note">
 <h2>NOTE<a class="headerlink" href="#note" title="Permalink to this headline">¶</a></h2>
 <p>Most installations recommend that you place the kdestroy command in
 your .logout file, so that your tickets are destroyed automatically
 when you log out.</p>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="files">
+</section>
+<section id="files">
 <h2>FILES<a class="headerlink" href="#files" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt>
-<dd>Default location of Kerberos 5 credentials cache</dd>
+<dl class="simple">
+<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt><dd><p>Default location of Kerberos 5 credentials cache</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>, <a class="reference internal" href="klist.html#klist-1"><span class="std std-ref">klist</span></a>, <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kdestroy</a><ul>
@@ -188,6 +180,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -195,8 +188,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/kinit.html 1.21.3-1/doc/html/user/user_commands/kinit.html
--- 1.21.2-1/doc/html/user/user_commands/kinit.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/kinit.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kinit &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="klist" href="klist.html" />
     <link rel="prev" title="kdestroy" href="kdestroy.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kinit">
+  <section id="kinit">
 <span id="kinit-1"></span><h1>kinit<a class="headerlink" href="#kinit" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>kinit</strong>
 [<strong>-V</strong>]
@@ -87,120 +78,116 @@
 [<strong>-X</strong> <em>attribute</em>[=<em>value</em>]]
 [<strong>–request-pac</strong> | <strong>–no-request-pac</strong>]
 [<em>principal</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>kinit obtains and caches an initial ticket-granting ticket for
 <em>principal</em>.  If <em>principal</em> is absent, kinit chooses an appropriate
 principal name based on existing credential cache contents or the
 local username of the user invoking kinit.  Some options modify the
 choice of principal name.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-V</strong></dt>
-<dd>display verbose output.</dd>
-<dt><strong>-l</strong> <em>lifetime</em></dt>
-<dd><p class="first">(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Requests a ticket with the lifetime
+<dl>
+<dt><strong>-V</strong></dt><dd><p>display verbose output.</p>
+</dd>
+<dt><strong>-l</strong> <em>lifetime</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Requests a ticket with the lifetime
 <em>lifetime</em>.</p>
-<p>For example, <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-l</span> <span class="pre">5:30</span></code> or <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-l</span> <span class="pre">5h30m</span></code>.</p>
-<p class="last">If the <strong>-l</strong> option is not specified, the default ticket lifetime
+<p>For example, <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-l</span> <span class="pre">5:30</span></code> or <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-l</span> <span class="pre">5h30m</span></code>.</p>
+<p>If the <strong>-l</strong> option is not specified, the default ticket lifetime
 (configured by each site) is used.  Specifying a ticket lifetime
 longer than the maximum ticket lifetime (configured by each site)
 will not override the configured maximum ticket lifetime.</p>
 </dd>
-<dt><strong>-s</strong> <em>start_time</em></dt>
-<dd><p class="first">(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Requests a postdated ticket.  Postdated
+<dt><strong>-s</strong> <em>start_time</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Requests a postdated ticket.  Postdated
 tickets are issued with the <strong>invalid</strong> flag set, and need to be
 resubmitted to the KDC for validation before use.</p>
-<p class="last"><em>start_time</em> specifies the duration of the delay before the ticket
+<p><em>start_time</em> specifies the duration of the delay before the ticket
 can become valid.</p>
 </dd>
-<dt><strong>-r</strong> <em>renewable_life</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Requests renewable tickets, with a total
-lifetime of <em>renewable_life</em>.</dd>
-<dt><strong>-f</strong></dt>
-<dd>requests forwardable tickets.</dd>
-<dt><strong>-F</strong></dt>
-<dd>requests non-forwardable tickets.</dd>
-<dt><strong>-p</strong></dt>
-<dd>requests proxiable tickets.</dd>
-<dt><strong>-P</strong></dt>
-<dd>requests non-proxiable tickets.</dd>
-<dt><strong>-a</strong></dt>
-<dd>requests tickets restricted to the host’s local address[es].</dd>
-<dt><strong>-A</strong></dt>
-<dd>requests tickets not restricted by address.</dd>
-<dt><strong>-C</strong></dt>
-<dd>requests canonicalization of the principal name, and allows the
+<dt><strong>-r</strong> <em>renewable_life</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Requests renewable tickets, with a total
+lifetime of <em>renewable_life</em>.</p>
+</dd>
+<dt><strong>-f</strong></dt><dd><p>requests forwardable tickets.</p>
+</dd>
+<dt><strong>-F</strong></dt><dd><p>requests non-forwardable tickets.</p>
+</dd>
+<dt><strong>-p</strong></dt><dd><p>requests proxiable tickets.</p>
+</dd>
+<dt><strong>-P</strong></dt><dd><p>requests non-proxiable tickets.</p>
+</dd>
+<dt><strong>-a</strong></dt><dd><p>requests tickets restricted to the host’s local address[es].</p>
+</dd>
+<dt><strong>-A</strong></dt><dd><p>requests tickets not restricted by address.</p>
+</dd>
+<dt><strong>-C</strong></dt><dd><p>requests canonicalization of the principal name, and allows the
 KDC to reply with a different client principal from the one
-requested.</dd>
-<dt><strong>-E</strong></dt>
-<dd>treats the principal name as an enterprise name.</dd>
-<dt><strong>-v</strong></dt>
-<dd>requests that the ticket-granting ticket in the cache (with the
+requested.</p>
+</dd>
+<dt><strong>-E</strong></dt><dd><p>treats the principal name as an enterprise name.</p>
+</dd>
+<dt><strong>-v</strong></dt><dd><p>requests that the ticket-granting ticket in the cache (with the
 <strong>invalid</strong> flag set) be passed to the KDC for validation.  If the
 ticket is within its requested time range, the cache is replaced
-with the validated ticket.</dd>
-<dt><strong>-R</strong></dt>
-<dd><p class="first">requests renewal of the ticket-granting ticket.  Note that an
+with the validated ticket.</p>
+</dd>
+<dt><strong>-R</strong></dt><dd><p>requests renewal of the ticket-granting ticket.  Note that an
 expired ticket cannot be renewed, even if the ticket is still
 within its renewable life.</p>
-<p class="last">Note that renewable tickets that have expired as reported by
+<p>Note that renewable tickets that have expired as reported by
 <a class="reference internal" href="klist.html#klist-1"><span class="std std-ref">klist</span></a> may sometimes be renewed using this option,
 because the KDC applies a grace period to account for client-KDC
 clock skew.  See <a class="reference internal" href="../../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> <strong>clockskew</strong> setting.</p>
 </dd>
-<dt><strong>-k</strong> [<strong>-i</strong> | <strong>-t</strong> <em>keytab_file</em>]</dt>
-<dd>requests a ticket, obtained from a key in the local host’s keytab.
+<dt><strong>-k</strong> [<strong>-i</strong> | <strong>-t</strong> <em>keytab_file</em>]</dt><dd><p>requests a ticket, obtained from a key in the local host’s keytab.
 The location of the keytab may be specified with the <strong>-t</strong>
 <em>keytab_file</em> option, or with the <strong>-i</strong> option to specify the use
 of the default client keytab; otherwise the default keytab will be
 used.  By default, a host ticket for the local host is requested,
 but any principal may be specified.  On a KDC, the special keytab
-location <code class="docutils literal"><span class="pre">KDB:</span></code> can be used to indicate that kinit should open
+location <code class="docutils literal notranslate"><span class="pre">KDB:</span></code> can be used to indicate that kinit should open
 the KDC database and look up the key directly.  This permits an
 administrator to obtain tickets as any principal that supports
-authentication based on the key.</dd>
-<dt><strong>-n</strong></dt>
-<dd><p class="first">Requests anonymous processing.  Two types of anonymous principals
+authentication based on the key.</p>
+</dd>
+<dt><strong>-n</strong></dt><dd><p>Requests anonymous processing.  Two types of anonymous principals
 are supported.</p>
 <p>For fully anonymous Kerberos, configure pkinit on the KDC and
 configure <strong>pkinit_anchors</strong> in the client’s <a class="reference internal" href="../../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>.
-Then use the <strong>-n</strong> option with a principal of the form <code class="docutils literal"><span class="pre">&#64;REALM</span></code>
+Then use the <strong>-n</strong> option with a principal of the form <code class="docutils literal notranslate"><span class="pre">&#64;REALM</span></code>
 (an empty principal name followed by the at-sign and a realm
 name).  If permitted by the KDC, an anonymous ticket will be
 returned.</p>
 <p>A second form of anonymous tickets is supported; these
 realm-exposed tickets hide the identity of the client but not the
-client’s realm.  For this mode, use <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-n</span></code> with a normal
+client’s realm.  For this mode, use <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-n</span></code> with a normal
 principal name.  If supported by the KDC, the principal (but not
 realm) will be replaced by the anonymous principal.</p>
-<p class="last">As of release 1.8, the MIT Kerberos KDC only supports fully
+<p>As of release 1.8, the MIT Kerberos KDC only supports fully
 anonymous operation.</p>
 </dd>
 </dl>
 <p><strong>-I</strong> <em>input_ccache</em></p>
 <blockquote>
-<div>Specifies the name of a credentials cache that already contains a
+<div><p>Specifies the name of a credentials cache that already contains a
 ticket.  When obtaining that ticket, if information about how that
 ticket was obtained was also stored to the cache, that information
 will be used to affect how new credentials are obtained, including
-preselecting the same methods of authenticating to the KDC.</div></blockquote>
-<dl class="docutils">
-<dt><strong>-T</strong> <em>armor_ccache</em></dt>
-<dd>Specifies the name of a credentials cache that already contains a
+preselecting the same methods of authenticating to the KDC.</p>
+</div></blockquote>
+<dl>
+<dt><strong>-T</strong> <em>armor_ccache</em></dt><dd><p>Specifies the name of a credentials cache that already contains a
 ticket.  If supported by the KDC, this cache will be used to armor
 the request, preventing offline dictionary attacks and allowing
 the use of additional preauthentication mechanisms.  Armoring also
 makes sure that the response from the KDC is not modified in
-transit.</dd>
-<dt><strong>-c</strong> <em>cache_name</em></dt>
-<dd><p class="first">use <em>cache_name</em> as the Kerberos 5 credentials (ticket) cache
+transit.</p>
+</dd>
+<dt><strong>-c</strong> <em>cache_name</em></dt><dd><p>use <em>cache_name</em> as the Kerberos 5 credentials (ticket) cache
 location.  If this option is not used, the default cache location
 is used.</p>
-<p class="last">The default cache location may vary between systems.  If the
+<p>The default cache location may vary between systems.  If the
 <strong>KRB5CCNAME</strong> environment variable is set, its value is used to
 locate the default cache.  If a principal name is specified and
 the type of the default cache supports a collection (such as the
@@ -209,63 +196,64 @@ principal is selected or a new one is cr
 primary cache.  Otherwise, any existing contents of the default
 cache are destroyed by kinit.</p>
 </dd>
-<dt><strong>-S</strong> <em>service_name</em></dt>
-<dd>specify an alternate service name to use when getting initial
-tickets.</dd>
-<dt><strong>-X</strong> <em>attribute</em>[=<em>value</em>]</dt>
-<dd><p class="first">specify a pre-authentication <em>attribute</em> and <em>value</em> to be
+<dt><strong>-S</strong> <em>service_name</em></dt><dd><p>specify an alternate service name to use when getting initial
+tickets.</p>
+</dd>
+<dt><strong>-X</strong> <em>attribute</em>[=<em>value</em>]</dt><dd><p>specify a pre-authentication <em>attribute</em> and <em>value</em> to be
 interpreted by pre-authentication modules.  The acceptable
 attribute and value values vary from module to module.  This
 option may be specified multiple times to specify multiple
 attributes.  If no value is specified, it is assumed to be “yes”.</p>
 <p>The following attributes are recognized by the PKINIT
 pre-authentication mechanism:</p>
-<dl class="last docutils">
-<dt><strong>X509_user_identity</strong>=<em>value</em></dt>
-<dd>specify where to find user’s X509 identity information</dd>
-<dt><strong>X509_anchors</strong>=<em>value</em></dt>
-<dd>specify where to find trusted X509 anchor information</dd>
-<dt><strong>flag_RSA_PROTOCOL</strong>[<strong>=yes</strong>]</dt>
-<dd>specify use of RSA, rather than the default Diffie-Hellman
-protocol</dd>
-<dt><strong>disable_freshness</strong>[<strong>=yes</strong>]</dt>
-<dd>disable sending freshness tokens (for testing purposes only)</dd>
+<dl class="simple">
+<dt><strong>X509_user_identity</strong>=<em>value</em></dt><dd><p>specify where to find user’s X509 identity information</p>
+</dd>
+<dt><strong>X509_anchors</strong>=<em>value</em></dt><dd><p>specify where to find trusted X509 anchor information</p>
+</dd>
+<dt><strong>flag_RSA_PROTOCOL</strong>[<strong>=yes</strong>]</dt><dd><p>specify use of RSA, rather than the default Diffie-Hellman
+protocol</p>
+</dd>
+<dt><strong>disable_freshness</strong>[<strong>=yes</strong>]</dt><dd><p>disable sending freshness tokens (for testing purposes only)</p>
+</dd>
 </dl>
 </dd>
-<dt><strong>–request-pac</strong> | <strong>–no-request-pac</strong></dt>
-<dd>mutually exclusive.  If <strong>–request-pac</strong> is set, ask the KDC to
+<dt><strong>–request-pac</strong> | <strong>–no-request-pac</strong></dt><dd><p>mutually exclusive.  If <strong>–request-pac</strong> is set, ask the KDC to
 include a PAC in authdata; if <strong>–no-request-pac</strong> is set, ask the
 KDC not to include a PAC; if neither are set,  the KDC will follow
 its default, which is typically is to include a PAC if doing so is
-supported.</dd>
+supported.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="files">
+</section>
+<section id="files">
 <h2>FILES<a class="headerlink" href="#files" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt>
-<dd>default location of Kerberos 5 credentials cache</dd>
-<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a></dt>
-<dd>default location for the local host’s keytab.</dd>
+<dl class="simple">
+<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt><dd><p>default location of Kerberos 5 credentials cache</p>
+</dd>
+<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a></dt><dd><p>default location for the local host’s keytab.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="klist.html#klist-1"><span class="std std-ref">klist</span></a>, <a class="reference internal" href="kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a>, <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kinit</a><ul>
@@ -321,6 +309,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -328,8 +317,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/klist.html 1.21.3-1/doc/html/user/user_commands/klist.html
--- 1.21.2-1/doc/html/user/user_commands/klist.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/klist.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>klist &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kpasswd" href="kpasswd.html" />
     <link rel="prev" title="kinit" href="kinit.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="klist">
+  <section id="klist">
 <span id="klist-1"></span><h1>klist<a class="headerlink" href="#klist" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>klist</strong>
 [<strong>-e</strong>]
@@ -73,32 +64,31 @@
 [<strong>-V</strong>]
 [<strong>-d</strong>]
 [<em>cache_name</em>|<em>keytab_name</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>klist lists the Kerberos principal and Kerberos tickets held in a
 credentials cache, or the keys held in a keytab file.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-e</strong></dt>
-<dd>Displays the encryption types of the session key and the ticket
+<dl>
+<dt><strong>-e</strong></dt><dd><p>Displays the encryption types of the session key and the ticket
 for each credential in the credential cache, or each key in the
-keytab file.</dd>
-<dt><strong>-l</strong></dt>
-<dd>If a cache collection is available, displays a table summarizing
-the caches present in the collection.</dd>
-<dt><strong>-A</strong></dt>
-<dd>If a cache collection is available, displays the contents of all
-of the caches in the collection.</dd>
-<dt><strong>-c</strong></dt>
-<dd>List tickets held in a credentials cache. This is the default if
-neither <strong>-c</strong> nor <strong>-k</strong> is specified.</dd>
-<dt><strong>-f</strong></dt>
-<dd><p class="first">Shows the flags present in the credentials, using the following
+keytab file.</p>
+</dd>
+<dt><strong>-l</strong></dt><dd><p>If a cache collection is available, displays a table summarizing
+the caches present in the collection.</p>
+</dd>
+<dt><strong>-A</strong></dt><dd><p>If a cache collection is available, displays the contents of all
+of the caches in the collection.</p>
+</dd>
+<dt><strong>-c</strong></dt><dd><p>List tickets held in a credentials cache. This is the default if
+neither <strong>-c</strong> nor <strong>-k</strong> is specified.</p>
+</dd>
+<dt><strong>-f</strong></dt><dd><p>Shows the flags present in the credentials, using the following
 abbreviations:</p>
-<div class="last highlight-default"><div class="highlight"><pre><span></span><span class="n">F</span>    <span class="n">Forwardable</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">F</span>    <span class="n">Forwardable</span>
 <span class="n">f</span>    <span class="n">forwarded</span>
 <span class="n">P</span>    <span class="n">Proxiable</span>
 <span class="n">p</span>    <span class="n">proxy</span>
@@ -115,66 +105,68 @@ abbreviations:</p>
 </pre></div>
 </div>
 </dd>
-<dt><strong>-s</strong></dt>
-<dd>Causes klist to run silently (produce no output).  klist will exit
+<dt><strong>-s</strong></dt><dd><p>Causes klist to run silently (produce no output).  klist will exit
 with status 1 if the credentials cache cannot be read or is
-expired, and with status 0 otherwise.</dd>
-<dt><strong>-a</strong></dt>
-<dd>Display list of addresses in credentials.</dd>
-<dt><strong>-n</strong></dt>
-<dd>Show numeric addresses instead of reverse-resolving addresses.</dd>
-<dt><strong>-C</strong></dt>
-<dd>List configuration data that has been stored in the credentials
+expired, and with status 0 otherwise.</p>
+</dd>
+<dt><strong>-a</strong></dt><dd><p>Display list of addresses in credentials.</p>
+</dd>
+<dt><strong>-n</strong></dt><dd><p>Show numeric addresses instead of reverse-resolving addresses.</p>
+</dd>
+<dt><strong>-C</strong></dt><dd><p>List configuration data that has been stored in the credentials
 cache when klist encounters it.  By default, configuration data
-is not listed.</dd>
-<dt><strong>-k</strong></dt>
-<dd>List keys held in a keytab file.</dd>
-<dt><strong>-i</strong></dt>
-<dd>In combination with <strong>-k</strong>, defaults to using the default client
+is not listed.</p>
+</dd>
+<dt><strong>-k</strong></dt><dd><p>List keys held in a keytab file.</p>
+</dd>
+<dt><strong>-i</strong></dt><dd><p>In combination with <strong>-k</strong>, defaults to using the default client
 keytab instead of the default acceptor keytab, if no name is
-given.</dd>
-<dt><strong>-t</strong></dt>
-<dd>Display the time entry timestamps for each keytab entry in the
-keytab file.</dd>
-<dt><strong>-K</strong></dt>
-<dd>Display the value of the encryption key in each keytab entry in
-the keytab file.</dd>
-<dt><strong>-d</strong></dt>
-<dd>Display the authdata types (if any) for each entry.</dd>
-<dt><strong>-V</strong></dt>
-<dd>Display the Kerberos version number and exit.</dd>
+given.</p>
+</dd>
+<dt><strong>-t</strong></dt><dd><p>Display the time entry timestamps for each keytab entry in the
+keytab file.</p>
+</dd>
+<dt><strong>-K</strong></dt><dd><p>Display the value of the encryption key in each keytab entry in
+the keytab file.</p>
+</dd>
+<dt><strong>-d</strong></dt><dd><p>Display the authdata types (if any) for each entry.</p>
+</dd>
+<dt><strong>-V</strong></dt><dd><p>Display the Kerberos version number and exit.</p>
+</dd>
 </dl>
 <p>If <em>cache_name</em> or <em>keytab_name</em> is not specified, klist will display
 the credentials in the default credentials cache or keytab file as
 appropriate.  If the <strong>KRB5CCNAME</strong> environment variable is set, its
 value is used to locate the default ticket cache.</p>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="files">
+</section>
+<section id="files">
 <h2>FILES<a class="headerlink" href="#files" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt>
-<dd>Default location of Kerberos 5 credentials cache</dd>
-<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a></dt>
-<dd>Default location for the local host’s keytab file.</dd>
+<dl class="simple">
+<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt><dd><p>Default location of Kerberos 5 credentials cache</p>
+</dd>
+<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a></dt><dd><p>Default location for the local host’s keytab file.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>, <a class="reference internal" href="kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a>, <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">klist</a><ul>
@@ -230,6 +222,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -237,8 +230,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/kpasswd.html 1.21.3-1/doc/html/user/user_commands/kpasswd.html
--- 1.21.2-1/doc/html/user/user_commands/kpasswd.html	2023-08-14 16:24:18.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/kpasswd.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kpasswd &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="krb5-config" href="krb5-config.html" />
     <link rel="prev" title="klist" href="klist.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,13 +52,13 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kpasswd">
+  <section id="kpasswd">
 <span id="kpasswd-1"></span><h1>kpasswd<a class="headerlink" href="#kpasswd" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>kpasswd</strong> [<em>principal</em>]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>The kpasswd command is used to change a Kerberos principal’s password.
 kpasswd first prompts for the current Kerberos password, then prompts
@@ -77,34 +68,36 @@ and/or number of character classes requi
 new password must conform to the policy.  (The five character classes
 are lower case, upper case, numbers, punctuation, and all other
 characters.)</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><em>principal</em></dt>
-<dd>Change the password for the Kerberos principal principal.
+<dl class="simple">
+<dt><em>principal</em></dt><dd><p>Change the password for the Kerberos principal principal.
 Otherwise, kpasswd uses the principal name from an existing ccache
 if there is one; if not, the principal is derived from the
-identity of the user invoking the kpasswd command.</dd>
+identity of the user invoking the kpasswd command.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="../../admin/admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>, <a class="reference internal" href="../../admin/admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>, <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kpasswd</a><ul>
@@ -159,6 +152,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -166,8 +160,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/krb5-config.html 1.21.3-1/doc/html/user/user_commands/krb5-config.html
--- 1.21.2-1/doc/html/user/user_commands/krb5-config.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/krb5-config.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>krb5-config &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="ksu" href="ksu.html" />
     <link rel="prev" title="kpasswd" href="kpasswd.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,96 +52,97 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="krb5-config">
+  <section id="krb5-config">
 <span id="krb5-config-1"></span><h1>krb5-config<a class="headerlink" href="#krb5-config" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>krb5-config</strong>
 [<strong>-</strong><strong>-help</strong> | <strong>-</strong><strong>-all</strong> | <strong>-</strong><strong>-version</strong> | <strong>-</strong><strong>-vendor</strong> | <strong>-</strong><strong>-prefix</strong> | <strong>-</strong><strong>-exec-prefix</strong> | <strong>-</strong><strong>-defccname</strong> | <strong>-</strong><strong>-defktname</strong> | <strong>-</strong><strong>-defcktname</strong> | <strong>-</strong><strong>-cflags</strong> | <strong>-</strong><strong>-libs</strong> [<em>libraries</em>]]</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>krb5-config tells the application programmer what flags to use to compile
 and link programs against the installed Kerberos libraries.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-</strong><strong>-help</strong></dt>
-<dd>prints a usage message.  This is the default behavior when no options
-are specified.</dd>
-<dt><strong>-</strong><strong>-all</strong></dt>
-<dd>prints the version, vendor, prefix, and exec-prefix.</dd>
-<dt><strong>-</strong><strong>-version</strong></dt>
-<dd>prints the version number of the Kerberos installation.</dd>
-<dt><strong>-</strong><strong>-vendor</strong></dt>
-<dd>prints the name of the vendor of the Kerberos installation.</dd>
-<dt><strong>-</strong><strong>-prefix</strong></dt>
-<dd>prints the prefix for which the Kerberos installation was built.</dd>
-<dt><strong>-</strong><strong>-exec-prefix</strong></dt>
-<dd>prints the prefix for executables for which the Kerberos installation
-was built.</dd>
-<dt><strong>-</strong><strong>-defccname</strong></dt>
-<dd>prints the built-in default credentials cache location.</dd>
-<dt><strong>-</strong><strong>-defktname</strong></dt>
-<dd>prints the built-in default keytab location.</dd>
-<dt><strong>-</strong><strong>-defcktname</strong></dt>
-<dd>prints the built-in default client (initiator) keytab location.</dd>
-<dt><strong>-</strong><strong>-cflags</strong></dt>
-<dd>prints the compilation flags used to build the Kerberos installation.</dd>
-<dt><strong>-</strong><strong>-libs</strong> [<em>library</em>]</dt>
-<dd><p class="first">prints the compiler options needed to link against <em>library</em>.
+<dl>
+<dt><strong>-</strong><strong>-help</strong></dt><dd><p>prints a usage message.  This is the default behavior when no options
+are specified.</p>
+</dd>
+<dt><strong>-</strong><strong>-all</strong></dt><dd><p>prints the version, vendor, prefix, and exec-prefix.</p>
+</dd>
+<dt><strong>-</strong><strong>-version</strong></dt><dd><p>prints the version number of the Kerberos installation.</p>
+</dd>
+<dt><strong>-</strong><strong>-vendor</strong></dt><dd><p>prints the name of the vendor of the Kerberos installation.</p>
+</dd>
+<dt><strong>-</strong><strong>-prefix</strong></dt><dd><p>prints the prefix for which the Kerberos installation was built.</p>
+</dd>
+<dt><strong>-</strong><strong>-exec-prefix</strong></dt><dd><p>prints the prefix for executables for which the Kerberos installation
+was built.</p>
+</dd>
+<dt><strong>-</strong><strong>-defccname</strong></dt><dd><p>prints the built-in default credentials cache location.</p>
+</dd>
+<dt><strong>-</strong><strong>-defktname</strong></dt><dd><p>prints the built-in default keytab location.</p>
+</dd>
+<dt><strong>-</strong><strong>-defcktname</strong></dt><dd><p>prints the built-in default client (initiator) keytab location.</p>
+</dd>
+<dt><strong>-</strong><strong>-cflags</strong></dt><dd><p>prints the compilation flags used to build the Kerberos installation.</p>
+</dd>
+<dt><strong>-</strong><strong>-libs</strong> [<em>library</em>]</dt><dd><p>prints the compiler options needed to link against <em>library</em>.
 Allowed values for <em>library</em> are:</p>
-<table border="1" class="last docutils">
+<table class="docutils align-default">
 <colgroup>
-<col width="20%" />
-<col width="80%" />
+<col style="width: 20%" />
+<col style="width: 80%" />
 </colgroup>
-<tbody valign="top">
-<tr class="row-odd"><td>krb5</td>
-<td>Kerberos 5 applications (default)</td>
+<tbody>
+<tr class="row-odd"><td><p>krb5</p></td>
+<td><p>Kerberos 5 applications (default)</p></td>
 </tr>
-<tr class="row-even"><td>gssapi</td>
-<td>GSSAPI applications with Kerberos 5 bindings</td>
+<tr class="row-even"><td><p>gssapi</p></td>
+<td><p>GSSAPI applications with Kerberos 5 bindings</p></td>
 </tr>
-<tr class="row-odd"><td>kadm-client</td>
-<td>Kadmin client</td>
+<tr class="row-odd"><td><p>kadm-client</p></td>
+<td><p>Kadmin client</p></td>
 </tr>
-<tr class="row-even"><td>kadm-server</td>
-<td>Kadmin server</td>
+<tr class="row-even"><td><p>kadm-server</p></td>
+<td><p>Kadmin server</p></td>
 </tr>
-<tr class="row-odd"><td>kdb</td>
-<td>Applications that access the Kerberos database</td>
+<tr class="row-odd"><td><p>kdb</p></td>
+<td><p>Applications that access the Kerberos database</p></td>
 </tr>
 </tbody>
 </table>
 </dd>
 </dl>
-</div>
-<div class="section" id="examples">
+</section>
+<section id="examples">
 <h2>EXAMPLES<a class="headerlink" href="#examples" title="Permalink to this headline">¶</a></h2>
 <p>krb5-config is particularly useful for compiling against a Kerberos
 installation that was installed in a non-standard location.  For example,
-a Kerberos installation that is installed in <code class="docutils literal"><span class="pre">/opt/krb5/</span></code> but uses
-libraries in <code class="docutils literal"><span class="pre">/usr/local/lib/</span></code> for text localization would produce
+a Kerberos installation that is installed in <code class="docutils literal notranslate"><span class="pre">/opt/krb5/</span></code> but uses
+libraries in <code class="docutils literal notranslate"><span class="pre">/usr/local/lib/</span></code> for text localization would produce
 the following output:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">krb5</span><span class="o">-</span><span class="n">config</span> <span class="o">--</span><span class="n">libs</span> <span class="n">krb5</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">shell</span><span class="o">%</span> <span class="n">krb5</span><span class="o">-</span><span class="n">config</span> <span class="o">--</span><span class="n">libs</span> <span class="n">krb5</span>
 <span class="o">-</span><span class="n">L</span><span class="o">/</span><span class="n">opt</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">lib</span> <span class="o">-</span><span class="n">Wl</span><span class="p">,</span><span class="o">-</span><span class="n">rpath</span> <span class="o">-</span><span class="n">Wl</span><span class="p">,</span><span class="o">/</span><span class="n">opt</span><span class="o">/</span><span class="n">krb5</span><span class="o">/</span><span class="n">lib</span> <span class="o">-</span><span class="n">L</span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">lib</span> <span class="o">-</span><span class="n">lkrb5</span> <span class="o">-</span><span class="n">lk5crypto</span> <span class="o">-</span><span class="n">lcom_err</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a>, cc(1)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">krb5-config</a><ul>
@@ -205,6 +197,7 @@ the following output:</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -212,8 +205,8 @@ the following output:</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/ksu.html 1.21.3-1/doc/html/user/user_commands/ksu.html
--- 1.21.2-1/doc/html/user/user_commands/ksu.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/ksu.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>ksu &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kswitch" href="kswitch.html" />
     <link rel="prev" title="krb5-config" href="krb5-config.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="ksu">
+  <section id="ksu">
 <span id="ksu-1"></span><h1>ksu<a class="headerlink" href="#ksu" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>ksu</strong>
 [ <em>target_user</em> ]
@@ -77,37 +68,37 @@
 [ <strong>-z | Z</strong> ]
 [ <strong>-q</strong> ]
 [ <strong>-e</strong> <em>command</em> [ args …  ] ] [ <strong>-a</strong> [ args …  ] ]</p>
-</div>
-<div class="section" id="requirements">
+</section>
+<section id="requirements">
 <h2>REQUIREMENTS<a class="headerlink" href="#requirements" title="Permalink to this headline">¶</a></h2>
 <p>Must have Kerberos version 5 installed to compile ksu.  Must have a
 Kerberos version 5 server running to use ksu.</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>ksu is a Kerberized version of the su program that has two missions:
 one is to securely change the real and effective user ID to that of
 the target user, and the other is to create a new security context.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
+<p class="admonition-title">Note</p>
 <p>For the sake of clarity, all references to and attributes of
 the user invoking the program will start with “source”
 (e.g., “source user”, “source cache”, etc.).</p>
-<p class="last">Likewise, all references to and attributes of the target
+<p>Likewise, all references to and attributes of the target
 account will start with “target”.</p>
 </div>
-</div>
-<div class="section" id="authentication">
+</section>
+<section id="authentication">
 <h2>AUTHENTICATION<a class="headerlink" href="#authentication" title="Permalink to this headline">¶</a></h2>
 <p>To fulfill the first mission, ksu operates in two phases:
 authentication and authorization.  Resolving the target principal name
 is the first step in authentication.  The user can either specify his
-principal name with the <strong>-n</strong> option (e.g., <code class="docutils literal"><span class="pre">-n</span> <span class="pre">jqpublic&#64;USC.EDU</span></code>)
+principal name with the <strong>-n</strong> option (e.g., <code class="docutils literal notranslate"><span class="pre">-n</span> <span class="pre">jqpublic&#64;USC.EDU</span></code>)
 or a default principal name will be assigned using a heuristic
 described in the OPTIONS section (see <strong>-n</strong> option).  The target user
 name must be the first argument to ksu; if not specified root is the
-default.  If <code class="docutils literal"><span class="pre">.</span></code> is specified then the target user will be the
-source user (e.g., <code class="docutils literal"><span class="pre">ksu</span> <span class="pre">.</span></code>).  If the source user is root or the
+default.  If <code class="docutils literal notranslate"><span class="pre">.</span></code> is specified then the target user will be the
+source user (e.g., <code class="docutils literal notranslate"><span class="pre">ksu</span> <span class="pre">.</span></code>).  If the source user is root or the
 target user is the source user, no authentication or authorization
 takes place.  Otherwise, ksu looks for an appropriate Kerberos ticket
 in the source cache.</p>
@@ -122,8 +113,8 @@ Kerberos password which will then be use
 is logged in remotely and does not have a secure channel, the password
 may be exposed.  If neither ticket is in the cache and
 <strong>GET_TGT_VIA_PASSWD</strong> is not defined, authentication fails.</p>
-</div>
-<div class="section" id="authorization">
+</section>
+<section id="authorization">
 <h2>AUTHORIZATION<a class="headerlink" href="#authorization" title="Permalink to this headline">¶</a></h2>
 <p>This section describes authorization of the source user when ksu is
 invoked without the <strong>-e</strong> option.  For a description of the <strong>-e</strong>
@@ -135,7 +126,7 @@ user’s home directory, ksu attempts to
 contains the name of a principal that is authorized to access the
 account.</p>
 <p>For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">jqpublic</span><span class="nd">@USC</span><span class="o">.</span><span class="n">EDU</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">jqpublic</span><span class="nd">@USC</span><span class="o">.</span><span class="n">EDU</span>
 <span class="n">jqpublic</span><span class="o">/</span><span class="n">secure</span><span class="nd">@USC</span><span class="o">.</span><span class="n">EDU</span>
 <span class="n">jqpublic</span><span class="o">/</span><span class="n">admin</span><span class="nd">@USC</span><span class="o">.</span><span class="n">EDU</span>
 </pre></div>
@@ -146,14 +137,14 @@ execute (see the <strong>-e</strong> opt
 <p>Thus if the target principal name is found in the .k5login file the
 source user is authorized to access the target account.  Otherwise ksu
 looks in the .k5users file.  If the target principal name is found
-without any trailing commands or followed only by <code class="docutils literal"><span class="pre">*</span></code> then the
+without any trailing commands or followed only by <code class="docutils literal notranslate"><span class="pre">*</span></code> then the
 source user is authorized.  If either .k5login or .k5users exist but
 an appropriate entry for the target principal does not exist then
 access is denied.  If neither file exists then the principal will be
 granted access to the account according to the aname-&gt;lname mapping
 rules.  Otherwise, authorization fails.</p>
-</div>
-<div class="section" id="execution-of-the-target-shell">
+</section>
+<section id="execution-of-the-target-shell">
 <h2>EXECUTION OF THE TARGET SHELL<a class="headerlink" href="#execution-of-the-target-shell" title="Permalink to this headline">¶</a></h2>
 <p>Upon successful authentication and authorization, ksu proceeds in a
 similar fashion to su.  The environment is unmodified with the
@@ -167,8 +158,8 @@ then invoked (the shell name is specifie
 termination of the shell, ksu deletes the target cache (unless ksu is
 invoked with the <strong>-k</strong> option).  This is implemented by first doing a
 fork and then an exec, instead of just exec, as done by su.</p>
-</div>
-<div class="section" id="creating-a-new-security-context">
+</section>
+<section id="creating-a-new-security-context">
 <h2>CREATING A NEW SECURITY CONTEXT<a class="headerlink" href="#creating-a-new-security-context" title="Permalink to this headline">¶</a></h2>
 <p>ksu can be used to create a new security context for the target
 program (either the target shell, or command specified via the <strong>-e</strong>
@@ -194,38 +185,37 @@ not provided (user hit return) ksu conti
 operation (the target cache will not contain the desired TGT).  If the
 wrong password is typed in, ksu fails.</p>
 <div class="admonition note">
-<p class="first admonition-title">Note</p>
-<p class="last">During authentication, only the tickets that could be
+<p class="admonition-title">Note</p>
+<p>During authentication, only the tickets that could be
 obtained without providing a password are cached in the
 source cache.</p>
 </div>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-n</strong> <em>target_principal_name</em></dt>
-<dd><p class="first">Specify a Kerberos target principal name.  Used in authentication
+<dl>
+<dt><strong>-n</strong> <em>target_principal_name</em></dt><dd><p>Specify a Kerberos target principal name.  Used in authentication
 and authorization phases of ksu.</p>
 <p>If ksu is invoked without <strong>-n</strong>, a default principal name is
 assigned via the following heuristic:</p>
-<ul class="last">
-<li><p class="first">Case 1: source user is non-root.</p>
+<ul>
+<li><p>Case 1: source user is non-root.</p>
 <p>If the target user is the source user the default principal name
 is set to the default principal of the source cache.  If the
 cache does not exist then the default principal name is set to
-<code class="docutils literal"><span class="pre">target_user&#64;local_realm</span></code>.  If the source and target users are
-different and neither <code class="docutils literal"><span class="pre">~target_user/.k5users</span></code> nor
-<code class="docutils literal"><span class="pre">~target_user/.k5login</span></code> exist then the default principal name
-is <code class="docutils literal"><span class="pre">target_user_login_name&#64;local_realm</span></code>.  Otherwise, starting
+<code class="docutils literal notranslate"><span class="pre">target_user&#64;local_realm</span></code>.  If the source and target users are
+different and neither <code class="docutils literal notranslate"><span class="pre">~target_user/.k5users</span></code> nor
+<code class="docutils literal notranslate"><span class="pre">~target_user/.k5login</span></code> exist then the default principal name
+is <code class="docutils literal notranslate"><span class="pre">target_user_login_name&#64;local_realm</span></code>.  Otherwise, starting
 with the first principal listed below, ksu checks if the
 principal is authorized to access the target account and whether
 there is a legitimate ticket for that principal in the source
 cache.  If both conditions are met that principal becomes the
 default target principal, otherwise go to the next principal.</p>
 <ol class="loweralpha simple">
-<li>default principal of the source cache</li>
-<li>target_user&#64;local_realm</li>
-<li>source_user&#64;local_realm</li>
+<li><p>default principal of the source cache</p></li>
+<li><p>target_user&#64;local_realm</p></li>
+<li><p>source_user&#64;local_realm</p></li>
 </ol>
 <p>If a-c fails try any principal for which there is a ticket in
 the source cache and that is authorized to access the target
@@ -237,201 +227,201 @@ follows:</p>
 <p>For each candidate in the above list, select an authorized
 principal that has the same realm name and first part of the
 principal name equal to the prefix of the candidate.  For
-example if candidate a) is <code class="docutils literal"><span class="pre">jqpublic&#64;ISI.EDU</span></code> and
-<code class="docutils literal"><span class="pre">jqpublic/secure&#64;ISI.EDU</span></code> is authorized to access the target
+example if candidate a) is <code class="docutils literal notranslate"><span class="pre">jqpublic&#64;ISI.EDU</span></code> and
+<code class="docutils literal notranslate"><span class="pre">jqpublic/secure&#64;ISI.EDU</span></code> is authorized to access the target
 account then the default principal is set to
-<code class="docutils literal"><span class="pre">jqpublic/secure&#64;ISI.EDU</span></code>.</p>
+<code class="docutils literal notranslate"><span class="pre">jqpublic/secure&#64;ISI.EDU</span></code>.</p>
 </li>
-<li><p class="first">Case 2: source user is root.</p>
+<li><p>Case 2: source user is root.</p>
 <p>If the target user is non-root then the default principal name
-is <code class="docutils literal"><span class="pre">target_user&#64;local_realm</span></code>.  Else, if the source cache
+is <code class="docutils literal notranslate"><span class="pre">target_user&#64;local_realm</span></code>.  Else, if the source cache
 exists the default principal name is set to the default
 principal of the source cache.  If the source cache does not
-exist, default principal name is set to <code class="docutils literal"><span class="pre">root\&#64;local_realm</span></code>.</p>
+exist, default principal name is set to <code class="docutils literal notranslate"><span class="pre">root\&#64;local_realm</span></code>.</p>
 </li>
 </ul>
 </dd>
 </dl>
 <p><strong>-c</strong> <em>source_cache_name</em></p>
 <blockquote>
-<div><p>Specify source cache name (e.g., <code class="docutils literal"><span class="pre">-c</span> <span class="pre">FILE:/tmp/my_cache</span></code>).  If
+<div><p>Specify source cache name (e.g., <code class="docutils literal notranslate"><span class="pre">-c</span> <span class="pre">FILE:/tmp/my_cache</span></code>).  If
 <strong>-c</strong> option is not used then the name is obtained from
 <strong>KRB5CCNAME</strong> environment variable.  If <strong>KRB5CCNAME</strong> is not
-defined the source cache name is set to <code class="docutils literal"><span class="pre">krb5cc_&lt;source</span> <span class="pre">uid&gt;</span></code>.
-The target cache name is automatically set to <code class="docutils literal"><span class="pre">krb5cc_&lt;target</span>
+defined the source cache name is set to <code class="docutils literal notranslate"><span class="pre">krb5cc_&lt;source</span> <span class="pre">uid&gt;</span></code>.
+The target cache name is automatically set to <code class="docutils literal notranslate"><span class="pre">krb5cc_&lt;target</span>
 <span class="pre">uid&gt;.(gen_sym())</span></code>, where gen_sym generates a new number such that
 the resulting cache does not already exist.  For example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">krb5cc_1984</span><span class="o">.</span><span class="mi">2</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">krb5cc_1984</span><span class="mf">.2</span>
 </pre></div>
 </div>
 </div></blockquote>
-<dl class="docutils">
-<dt><strong>-k</strong></dt>
-<dd>Do not delete the target cache upon termination of the target
+<dl class="simple">
+<dt><strong>-k</strong></dt><dd><p>Do not delete the target cache upon termination of the target
 shell or a command (<strong>-e</strong> command).  Without <strong>-k</strong>, ksu deletes
-the target cache.</dd>
-<dt><strong>-z</strong></dt>
-<dd>Restrict the copy of tickets from the source cache to the target
+the target cache.</p>
+</dd>
+<dt><strong>-z</strong></dt><dd><p>Restrict the copy of tickets from the source cache to the target
 cache to only the tickets where client == the target principal
 name.  Use the <strong>-n</strong> option if you want the tickets for other then
 the default principal.  Note that the <strong>-z</strong> option is mutually
-exclusive with the <strong>-Z</strong> option.</dd>
-<dt><strong>-Z</strong></dt>
-<dd>Don’t copy any tickets from the source cache to the target cache.
+exclusive with the <strong>-Z</strong> option.</p>
+</dd>
+<dt><strong>-Z</strong></dt><dd><p>Don’t copy any tickets from the source cache to the target cache.
 Just create a fresh target cache, where the default principal name
 of the cache is initialized to the target principal name.  Note
 that the <strong>-Z</strong> option is mutually exclusive with the <strong>-z</strong>
-option.</dd>
-<dt><strong>-q</strong></dt>
-<dd>Suppress the printing of status messages.</dd>
+option.</p>
+</dd>
+<dt><strong>-q</strong></dt><dd><p>Suppress the printing of status messages.</p>
+</dd>
 </dl>
 <p>Ticket granting ticket options:</p>
-<dl class="docutils">
-<dt><strong>-l</strong> <em>lifetime</em> <strong>-r</strong> <em>time</em> <strong>-p</strong> <strong>-P</strong> <strong>-f</strong> <strong>-F</strong></dt>
-<dd>The ticket granting ticket options only apply to the case where
+<dl>
+<dt><strong>-l</strong> <em>lifetime</em> <strong>-r</strong> <em>time</em> <strong>-p</strong> <strong>-P</strong> <strong>-f</strong> <strong>-F</strong></dt><dd><p>The ticket granting ticket options only apply to the case where
 there are no appropriate tickets in the cache to authenticate the
 source user.  In this case if ksu is configured to prompt users
 for a Kerberos password (<strong>GET_TGT_VIA_PASSWD</strong> is defined), the
 ticket granting ticket options that are specified will be used
-when getting a ticket granting ticket from the Kerberos server.</dd>
-<dt><strong>-l</strong> <em>lifetime</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Specifies the lifetime to be requested
+when getting a ticket granting ticket from the Kerberos server.</p>
+</dd>
+<dt><strong>-l</strong> <em>lifetime</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Specifies the lifetime to be requested
 for the ticket; if this option is not specified, the default ticket
-lifetime (12 hours) is used instead.</dd>
-<dt><strong>-r</strong> <em>time</em></dt>
-<dd>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Specifies that the <strong>renewable</strong> option
+lifetime (12 hours) is used instead.</p>
+</dd>
+<dt><strong>-r</strong> <em>time</em></dt><dd><p>(<a class="reference internal" href="../../basic/date_format.html#duration"><span class="std std-ref">Time duration</span></a> string.)  Specifies that the <strong>renewable</strong> option
 should be requested for the ticket, and specifies the desired
-total lifetime of the ticket.</dd>
-<dt><strong>-p</strong></dt>
-<dd>specifies that the <strong>proxiable</strong> option should be requested for
-the ticket.</dd>
-<dt><strong>-P</strong></dt>
-<dd>specifies that the <strong>proxiable</strong> option should not be requested
+total lifetime of the ticket.</p>
+</dd>
+<dt><strong>-p</strong></dt><dd><p>specifies that the <strong>proxiable</strong> option should be requested for
+the ticket.</p>
+</dd>
+<dt><strong>-P</strong></dt><dd><p>specifies that the <strong>proxiable</strong> option should not be requested
 for the ticket, even if the default configuration is to ask for
-proxiable tickets.</dd>
-<dt><strong>-f</strong></dt>
-<dd>option specifies that the <strong>forwardable</strong> option should be
-requested for the ticket.</dd>
-<dt><strong>-F</strong></dt>
-<dd>option specifies that the <strong>forwardable</strong> option should not be
+proxiable tickets.</p>
+</dd>
+<dt><strong>-f</strong></dt><dd><p>option specifies that the <strong>forwardable</strong> option should be
+requested for the ticket.</p>
+</dd>
+<dt><strong>-F</strong></dt><dd><p>option specifies that the <strong>forwardable</strong> option should not be
 requested for the ticket, even if the default configuration is to
-ask for forwardable tickets.</dd>
-<dt><strong>-e</strong> <em>command</em> [<em>args</em> …]</dt>
-<dd><p class="first">ksu proceeds exactly the same as if it was invoked without the
+ask for forwardable tickets.</p>
+</dd>
+<dt><strong>-e</strong> <em>command</em> [<em>args</em> …]</dt><dd><p>ksu proceeds exactly the same as if it was invoked without the
 <strong>-e</strong> option, except instead of executing the target shell, ksu
 executes the specified command. Example of usage:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">ksu</span> <span class="n">bob</span> <span class="o">-</span><span class="n">e</span> <span class="n">ls</span> <span class="o">-</span><span class="n">lag</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">ksu</span> <span class="n">bob</span> <span class="o">-</span><span class="n">e</span> <span class="n">ls</span> <span class="o">-</span><span class="n">lag</span>
 </pre></div>
 </div>
 <p>The authorization algorithm for <strong>-e</strong> is as follows:</p>
 <p>If the source user is root or source user == target user, no
 authorization takes place and the command is executed.  If source
-user id != 0, and <code class="docutils literal"><span class="pre">~target_user/.k5users</span></code> file does not exist,
-authorization fails.  Otherwise, <code class="docutils literal"><span class="pre">~target_user/.k5users</span></code> file
+user id != 0, and <code class="docutils literal notranslate"><span class="pre">~target_user/.k5users</span></code> file does not exist,
+authorization fails.  Otherwise, <code class="docutils literal notranslate"><span class="pre">~target_user/.k5users</span></code> file
 must have an appropriate entry for target principal to get
 authorized.</p>
 <p>The .k5users file format:</p>
 <p>A single principal entry on each line that may be followed by a
 list of commands that the principal is authorized to execute.  A
-principal name followed by a <code class="docutils literal"><span class="pre">*</span></code> means that the user is
+principal name followed by a <code class="docutils literal notranslate"><span class="pre">*</span></code> means that the user is
 authorized to execute any command.  Thus, in the following
 example:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">jqpublic</span><span class="nd">@USC</span><span class="o">.</span><span class="n">EDU</span> <span class="n">ls</span> <span class="n">mail</span> <span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">kerberos</span><span class="o">/</span><span class="n">klist</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">jqpublic</span><span class="nd">@USC</span><span class="o">.</span><span class="n">EDU</span> <span class="n">ls</span> <span class="n">mail</span> <span class="o">/</span><span class="n">local</span><span class="o">/</span><span class="n">kerberos</span><span class="o">/</span><span class="n">klist</span>
 <span class="n">jqpublic</span><span class="o">/</span><span class="n">secure</span><span class="nd">@USC</span><span class="o">.</span><span class="n">EDU</span> <span class="o">*</span>
 <span class="n">jqpublic</span><span class="o">/</span><span class="n">admin</span><span class="nd">@USC</span><span class="o">.</span><span class="n">EDU</span>
 </pre></div>
 </div>
-<p><code class="docutils literal"><span class="pre">jqpublic&#64;USC.EDU</span></code> is only authorized to execute <code class="docutils literal"><span class="pre">ls</span></code>,
-<code class="docutils literal"><span class="pre">mail</span></code> and <code class="docutils literal"><span class="pre">klist</span></code> commands.  <code class="docutils literal"><span class="pre">jqpublic/secure&#64;USC.EDU</span></code> is
-authorized to execute any command.  <code class="docutils literal"><span class="pre">jqpublic/admin&#64;USC.EDU</span></code> is
+<p><code class="docutils literal notranslate"><span class="pre">jqpublic&#64;USC.EDU</span></code> is only authorized to execute <code class="docutils literal notranslate"><span class="pre">ls</span></code>,
+<code class="docutils literal notranslate"><span class="pre">mail</span></code> and <code class="docutils literal notranslate"><span class="pre">klist</span></code> commands.  <code class="docutils literal notranslate"><span class="pre">jqpublic/secure&#64;USC.EDU</span></code> is
+authorized to execute any command.  <code class="docutils literal notranslate"><span class="pre">jqpublic/admin&#64;USC.EDU</span></code> is
 not authorized to execute any command.  Note, that
-<code class="docutils literal"><span class="pre">jqpublic/admin&#64;USC.EDU</span></code> is authorized to execute the target
+<code class="docutils literal notranslate"><span class="pre">jqpublic/admin&#64;USC.EDU</span></code> is authorized to execute the target
 shell (regular ksu, without the <strong>-e</strong> option) but
-<code class="docutils literal"><span class="pre">jqpublic&#64;USC.EDU</span></code> is not.</p>
+<code class="docutils literal notranslate"><span class="pre">jqpublic&#64;USC.EDU</span></code> is not.</p>
 <p>The commands listed after the principal name must be either a full
 path names or just the program name.  In the second case,
 <strong>CMD_PATH</strong> specifying the location of authorized programs must
 be defined at the compilation time of ksu.  Which command gets
 executed?</p>
-<p class="last">If the source user is root or the target user is the source user
-or the user is authorized to execute any command (<code class="docutils literal"><span class="pre">*</span></code> entry)
+<p>If the source user is root or the target user is the source user
+or the user is authorized to execute any command (<code class="docutils literal notranslate"><span class="pre">*</span></code> entry)
 then command can be either a full or a relative path leading to
 the target program.  Otherwise, the user must specify either a
 full path or just the program name.</p>
 </dd>
-<dt><strong>-a</strong> <em>args</em></dt>
-<dd><p class="first">Specify arguments to be passed to the target shell.  Note that all
+<dt><strong>-a</strong> <em>args</em></dt><dd><p>Specify arguments to be passed to the target shell.  Note that all
 flags and parameters following -a will be passed to the shell,
 thus all options intended for ksu must precede <strong>-a</strong>.</p>
 <p>The <strong>-a</strong> option can be used to simulate the <strong>-e</strong> option if
 used as follows:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="o">-</span><span class="n">a</span> <span class="o">-</span><span class="n">c</span> <span class="p">[</span><span class="n">command</span> <span class="p">[</span><span class="n">arguments</span><span class="p">]]</span><span class="o">.</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">-</span><span class="n">a</span> <span class="o">-</span><span class="n">c</span> <span class="p">[</span><span class="n">command</span> <span class="p">[</span><span class="n">arguments</span><span class="p">]]</span><span class="o">.</span>
 </pre></div>
 </div>
-<p class="last"><strong>-c</strong> is interpreted by the c-shell to execute the command.</p>
+<p><strong>-c</strong> is interpreted by the c-shell to execute the command.</p>
 </dd>
 </dl>
-</div>
-<div class="section" id="installation-instructions">
+</section>
+<section id="installation-instructions">
 <h2>INSTALLATION INSTRUCTIONS<a class="headerlink" href="#installation-instructions" title="Permalink to this headline">¶</a></h2>
 <p>ksu can be compiled with the following four flags:</p>
-<dl class="docutils">
-<dt><strong>GET_TGT_VIA_PASSWD</strong></dt>
-<dd>In case no appropriate tickets are found in the source cache, the
+<dl class="simple">
+<dt><strong>GET_TGT_VIA_PASSWD</strong></dt><dd><p>In case no appropriate tickets are found in the source cache, the
 user will be prompted for a Kerberos password.  The password is
 then used to get a ticket granting ticket from the Kerberos
 server.  The danger of configuring ksu with this macro is if the
 source user is logged in remotely and does not have a secure
-channel, the password may get exposed.</dd>
-<dt><strong>PRINC_LOOK_AHEAD</strong></dt>
-<dd>During the resolution of the default principal name,
+channel, the password may get exposed.</p>
+</dd>
+<dt><strong>PRINC_LOOK_AHEAD</strong></dt><dd><p>During the resolution of the default principal name,
 <strong>PRINC_LOOK_AHEAD</strong> enables ksu to find principal names in
 the .k5users file as described in the OPTIONS section
-(see <strong>-n</strong> option).</dd>
-<dt><strong>CMD_PATH</strong></dt>
-<dd>Specifies a list of directories containing programs that users are
-authorized to execute (via .k5users file).</dd>
-<dt><strong>HAVE_GETUSERSHELL</strong></dt>
-<dd>If the source user is non-root, ksu insists that the target user’s
+(see <strong>-n</strong> option).</p>
+</dd>
+<dt><strong>CMD_PATH</strong></dt><dd><p>Specifies a list of directories containing programs that users are
+authorized to execute (via .k5users file).</p>
+</dd>
+<dt><strong>HAVE_GETUSERSHELL</strong></dt><dd><p>If the source user is non-root, ksu insists that the target user’s
 shell to be invoked is a “legal shell”.  <em>getusershell(3)</em> is
 called to obtain the names of “legal shells”.  Note that the
-target user’s shell is obtained from the passwd file.</dd>
+target user’s shell is obtained from the passwd file.</p>
+</dd>
 </dl>
 <p>Sample configuration:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">KSU_OPTS</span> <span class="o">=</span> <span class="o">-</span><span class="n">DGET_TGT_VIA_PASSWD</span> <span class="o">-</span><span class="n">DPRINC_LOOK_AHEAD</span> <span class="o">-</span><span class="n">DCMD_PATH</span><span class="o">=</span><span class="s1">&#39;&quot;/bin /usr/ucb /local/bin&quot;</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">KSU_OPTS</span> <span class="o">=</span> <span class="o">-</span><span class="n">DGET_TGT_VIA_PASSWD</span> <span class="o">-</span><span class="n">DPRINC_LOOK_AHEAD</span> <span class="o">-</span><span class="n">DCMD_PATH</span><span class="o">=</span><span class="s1">&#39;&quot;/bin /usr/ucb /local/bin&quot;</span>
 </pre></div>
 </div>
 <p>ksu should be owned by root and have the set user id bit turned on.</p>
 <p>ksu attempts to get a ticket for the end server just as Kerberized
 telnet and rlogin.  Thus, there must be an entry for the server in the
-Kerberos database (e.g., <code class="docutils literal"><span class="pre">host/nii.isi.edu&#64;ISI.EDU</span></code>).  The keytab
+Kerberos database (e.g., <code class="docutils literal notranslate"><span class="pre">host/nii.isi.edu&#64;ISI.EDU</span></code>).  The keytab
 file must be in an appropriate location.</p>
-</div>
-<div class="section" id="side-effects">
+</section>
+<section id="side-effects">
 <h2>SIDE EFFECTS<a class="headerlink" href="#side-effects" title="Permalink to this headline">¶</a></h2>
 <p>ksu deletes all expired tickets from the source cache.</p>
-</div>
-<div class="section" id="author-of-ksu">
+</section>
+<section id="author-of-ksu">
 <h2>AUTHOR OF KSU<a class="headerlink" href="#author-of-ksu" title="Permalink to this headline">¶</a></h2>
 <p>GENNADY (ARI) MEDVINSKY</p>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a>, <a class="reference internal" href="kinit.html#kinit-1"><span class="std std-ref">kinit</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">ksu</a><ul>
@@ -494,6 +484,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -501,8 +492,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/kswitch.html 1.21.3-1/doc/html/user/user_commands/kswitch.html
--- 1.21.2-1/doc/html/user/user_commands/kswitch.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/kswitch.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kswitch &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kvno" href="kvno.html" />
     <link rel="prev" title="ksu" href="ksu.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,54 +52,56 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kswitch">
+  <section id="kswitch">
 <span id="kswitch-1"></span><h1>kswitch<a class="headerlink" href="#kswitch" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>kswitch</strong>
 {<strong>-c</strong> <em>cachename</em>|<strong>-p</strong> <em>principal</em>}</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>kswitch makes the specified credential cache the primary cache for the
 collection, if a cache collection is available.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-c</strong> <em>cachename</em></dt>
-<dd>Directly specifies the credential cache to be made primary.</dd>
-<dt><strong>-p</strong> <em>principal</em></dt>
-<dd>Causes the cache collection to be searched for a cache containing
+<dl class="simple">
+<dt><strong>-c</strong> <em>cachename</em></dt><dd><p>Directly specifies the credential cache to be made primary.</p>
+</dd>
+<dt><strong>-p</strong> <em>principal</em></dt><dd><p>Causes the cache collection to be searched for a cache containing
 credentials for <em>principal</em>.  If one is found, that collection is
-made primary.</dd>
+made primary.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="files">
+</section>
+<section id="files">
 <h2>FILES<a class="headerlink" href="#files" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt>
-<dd>Default location of Kerberos 5 credentials cache</dd>
+<dl class="simple">
+<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt><dd><p>Default location of Kerberos 5 credentials cache</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>, <a class="reference internal" href="kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a>, <a class="reference internal" href="klist.html#klist-1"><span class="std std-ref">klist</span></a>,
 <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kswitch</a><ul>
@@ -164,6 +157,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -171,8 +165,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/kvno.html 1.21.3-1/doc/html/user/user_commands/kvno.html
--- 1.21.2-1/doc/html/user/user_commands/kvno.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/kvno.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kvno &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="sclient" href="sclient.html" />
     <link rel="prev" title="kswitch" href="kswitch.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kvno">
+  <section id="kvno">
 <span id="kvno-1"></span><h1>kvno<a class="headerlink" href="#kvno" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>kvno</strong>
 [<strong>-c</strong> <em>ccache</em>]
@@ -77,96 +68,98 @@
 [<strong>–out-cache</strong> <em>cache</em>]
 [[{<strong>-F</strong> <em>cert_file</em> | {<strong>-I</strong> | <strong>-U</strong>} <em>for_user</em>} [<strong>-P</strong>]] | <strong>–u2u</strong> <em>ccache</em>]
 <em>service1 service2</em> …</p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>kvno acquires a service ticket for the specified Kerberos principals
 and prints out the key version numbers of each.</p>
-</div>
-<div class="section" id="options">
+</section>
+<section id="options">
 <h2>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><strong>-c</strong> <em>ccache</em></dt>
-<dd>Specifies the name of a credentials cache to use (if not the
-default)</dd>
-<dt><strong>-e</strong> <em>etype</em></dt>
-<dd>Specifies the enctype which will be requested for the session key
+<dl class="simple">
+<dt><strong>-c</strong> <em>ccache</em></dt><dd><p>Specifies the name of a credentials cache to use (if not the
+default)</p>
+</dd>
+<dt><strong>-e</strong> <em>etype</em></dt><dd><p>Specifies the enctype which will be requested for the session key
 of all the services named on the command line.  This is useful in
-certain backward compatibility situations.</dd>
-<dt><strong>-k</strong> <em>keytab</em></dt>
-<dd>Decrypt the acquired tickets using <em>keytab</em> to confirm their
-validity.</dd>
-<dt><strong>-q</strong></dt>
-<dd>Suppress printing output when successful.  If a service ticket
+certain backward compatibility situations.</p>
+</dd>
+<dt><strong>-k</strong> <em>keytab</em></dt><dd><p>Decrypt the acquired tickets using <em>keytab</em> to confirm their
+validity.</p>
+</dd>
+<dt><strong>-q</strong></dt><dd><p>Suppress printing output when successful.  If a service ticket
 cannot be obtained, an error message will still be printed and
-kvno will exit with nonzero status.</dd>
-<dt><strong>-u</strong></dt>
-<dd>Use the unknown name type in requested service principal names.
-This option Cannot be used with <em>-S</em>.</dd>
-<dt><strong>-P</strong></dt>
-<dd>Specifies that the <em>service1 service2</em> …  arguments are to be
+kvno will exit with nonzero status.</p>
+</dd>
+<dt><strong>-u</strong></dt><dd><p>Use the unknown name type in requested service principal names.
+This option Cannot be used with <em>-S</em>.</p>
+</dd>
+<dt><strong>-P</strong></dt><dd><p>Specifies that the <em>service1 service2</em> …  arguments are to be
 treated as services for which credentials should be acquired using
 constrained delegation.  This option is only valid when used in
-conjunction with protocol transition.</dd>
-<dt><strong>-S</strong> <em>sname</em></dt>
-<dd>Specifies that the <em>service1 service2</em> … arguments are
+conjunction with protocol transition.</p>
+</dd>
+<dt><strong>-S</strong> <em>sname</em></dt><dd><p>Specifies that the <em>service1 service2</em> … arguments are
 interpreted as hostnames, and the service principals are to be
 constructed from those hostnames and the service name <em>sname</em>.
 The service hostnames will be canonicalized according to the usual
-rules for constructing service principals.</dd>
-<dt><strong>-I</strong> <em>for_user</em></dt>
-<dd>Specifies that protocol transition (S4U2Self) is to be used to
+rules for constructing service principals.</p>
+</dd>
+<dt><strong>-I</strong> <em>for_user</em></dt><dd><p>Specifies that protocol transition (S4U2Self) is to be used to
 acquire a ticket on behalf of <em>for_user</em>.  If constrained
 delegation is not requested, the service name must match the
-credentials cache client principal.</dd>
-<dt><strong>-U</strong> <em>for_user</em></dt>
-<dd>Same as -I, but treats <em>for_user</em> as an enterprise name.</dd>
-<dt><strong>-F</strong> <em>cert_file</em></dt>
-<dd>Specifies that protocol transition is to be used, identifying the
+credentials cache client principal.</p>
+</dd>
+<dt><strong>-U</strong> <em>for_user</em></dt><dd><p>Same as -I, but treats <em>for_user</em> as an enterprise name.</p>
+</dd>
+<dt><strong>-F</strong> <em>cert_file</em></dt><dd><p>Specifies that protocol transition is to be used, identifying the
 client principal with the X.509 certificate in <em>cert_file</em>.  The
-certificate file must be in PEM format.</dd>
-<dt><strong>–cached-only</strong></dt>
-<dd>Only retrieve credentials already present in the cache, not from
-the KDC.  (Added in release 1.19.)</dd>
-<dt><strong>–no-store</strong></dt>
-<dd>Do not store retrieved credentials in the cache.  If
+certificate file must be in PEM format.</p>
+</dd>
+<dt><strong>–cached-only</strong></dt><dd><p>Only retrieve credentials already present in the cache, not from
+the KDC.  (Added in release 1.19.)</p>
+</dd>
+<dt><strong>–no-store</strong></dt><dd><p>Do not store retrieved credentials in the cache.  If
 <strong>–out-cache</strong> is also specified, credentials will still be
-stored into the output credential cache.  (Added in release 1.19.)</dd>
-<dt><strong>–out-cache</strong> <em>ccache</em></dt>
-<dd>Initialize <em>ccache</em> and store all retrieved credentials into it.
+stored into the output credential cache.  (Added in release 1.19.)</p>
+</dd>
+<dt><strong>–out-cache</strong> <em>ccache</em></dt><dd><p>Initialize <em>ccache</em> and store all retrieved credentials into it.
 Do not store acquired credentials in the input cache.  (Added in
-release 1.19.)</dd>
-<dt><strong>–u2u</strong> <em>ccache</em></dt>
-<dd>Requests a user-to-user ticket.  <em>ccache</em> must contain a local
+release 1.19.)</p>
+</dd>
+<dt><strong>–u2u</strong> <em>ccache</em></dt><dd><p>Requests a user-to-user ticket.  <em>ccache</em> must contain a local
 krbtgt ticket for the server principal.  The reported version
 number will typically be 0, as the resulting ticket is not
-encrypted in the server’s long-term key.</dd>
+encrypted in the server’s long-term key.</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="files">
+</section>
+<section id="files">
 <h2>FILES<a class="headerlink" href="#files" title="Permalink to this headline">¶</a></h2>
-<dl class="docutils">
-<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt>
-<dd>Default location of the credentials cache</dd>
+<dl class="simple">
+<dt><a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCCNAME</span></a></dt><dd><p>Default location of the credentials cache</p>
+</dd>
 </dl>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>, <a class="reference internal" href="kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a>, <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kvno</a><ul>
@@ -222,6 +215,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -229,8 +223,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_commands/sclient.html 1.21.3-1/doc/html/user/user_commands/sclient.html
--- 1.21.2-1/doc/html/user/user_commands/sclient.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_commands/sclient.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>sclient &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="For administrators" href="../../admin/index.html" />
     <link rel="prev" title="kvno" href="kvno.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,36 +52,38 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="sclient">
+  <section id="sclient">
 <span id="sclient-1"></span><h1>sclient<a class="headerlink" href="#sclient" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="synopsis">
+<section id="synopsis">
 <h2>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h2>
 <p><strong>sclient</strong> <em>remotehost</em></p>
-</div>
-<div class="section" id="description">
+</section>
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>sclient is a sample application, primarily useful for testing
 purposes.  It contacts a sample server <a class="reference internal" href="../../admin/admin_commands/sserver.html#sserver-8"><span class="std std-ref">sserver</span></a> and
 authenticates to it using Kerberos version 5 tickets, then displays
 the server’s response.</p>
-</div>
-<div class="section" id="environment">
+</section>
+<section id="environment">
 <h2>ENVIRONMENT<a class="headerlink" href="#environment" title="Permalink to this headline">¶</a></h2>
 <p>See <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a> for a description of Kerberos environment
 variables.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>, <a class="reference internal" href="../../admin/admin_commands/sserver.html#sserver-8"><span class="std std-ref">sserver</span></a>, <a class="reference internal" href="../user_config/kerberos.html#kerberos-7"><span class="std std-ref">kerberos</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">sclient</a><ul>
@@ -144,6 +137,7 @@ variables.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -151,8 +145,8 @@ variables.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_config/index.html 1.21.3-1/doc/html/user/user_config/index.html
--- 1.21.2-1/doc/html/user/user_config/index.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_config/index.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>User config files &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="kerberos" href="kerberos.html" />
     <link rel="prev" title="Ticket management" href="../tkt_mgmt.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,7 +52,7 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="user-config-files">
+  <section id="user-config-files">
 <h1>User config files<a class="headerlink" href="#user-config-files" title="Permalink to this headline">¶</a></h1>
 <p>The following files in your home directory can be used to control the
 behavior of Kerberos as it applies to your account (unless they have
@@ -73,14 +64,16 @@ been disabled by your host’s configura
 <li class="toctree-l1"><a class="reference internal" href="k5identity.html">.k5identity</a></li>
 </ul>
 </div>
-</div>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">User config files</a></li>
@@ -122,6 +115,7 @@ been disabled by your host’s configura
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -129,8 +123,8 @@ been disabled by your host’s configura
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_config/k5identity.html 1.21.3-1/doc/html/user/user_config/k5identity.html
--- 1.21.2-1/doc/html/user/user_config/k5identity.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_config/k5identity.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>.k5identity &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title="User commands" href="../user_commands/index.html" />
     <link rel="prev" title=".k5login" href="k5login.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,69 +52,71 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="k5identity">
+  <section id="k5identity">
 <span id="k5identity-5"></span><h1>.k5identity<a class="headerlink" href="#k5identity" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="description">
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>The .k5identity file, which resides in a user’s home directory,
 contains a list of rules for selecting a client principals based on
 the server being accessed.  These rules are used to choose a
 credential cache within the cache collection when possible.</p>
-<p>Blank lines and lines beginning with <code class="docutils literal"><span class="pre">#</span></code> are ignored.  Each line has
+<p>Blank lines and lines beginning with <code class="docutils literal notranslate"><span class="pre">#</span></code> are ignored.  Each line has
 the form:</p>
 <blockquote>
-<div><em>principal</em> <em>field</em>=<em>value</em> …</div></blockquote>
+<div><p><em>principal</em> <em>field</em>=<em>value</em> …</p>
+</div></blockquote>
 <p>If the server principal meets all of the field constraints, then
 principal is chosen as the client principal.  The following fields are
 recognized:</p>
-<dl class="docutils">
-<dt><strong>realm</strong></dt>
-<dd>If the realm of the server principal is known, it is matched
+<dl>
+<dt><strong>realm</strong></dt><dd><p>If the realm of the server principal is known, it is matched
 against <em>value</em>, which may be a pattern using shell wildcards.
 For host-based server principals, the realm will generally only be
 known if there is a <a class="reference internal" href="../../admin/conf_files/krb5_conf.html#domain-realm"><span class="std std-ref">[domain_realm]</span></a> section in
-<a class="reference internal" href="../../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> with a mapping for the hostname.</dd>
-<dt><strong>service</strong></dt>
-<dd>If the server principal is a host-based principal, its service
+<a class="reference internal" href="../../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a> with a mapping for the hostname.</p>
+</dd>
+<dt><strong>service</strong></dt><dd><p>If the server principal is a host-based principal, its service
 component is matched against <em>value</em>, which may be a pattern using
-shell wildcards.</dd>
-<dt><strong>host</strong></dt>
-<dd><p class="first">If the server principal is a host-based principal, its hostname
+shell wildcards.</p>
+</dd>
+<dt><strong>host</strong></dt><dd><p>If the server principal is a host-based principal, its hostname
 component is converted to lower case and matched against <em>value</em>,
 which may be a pattern using shell wildcards.</p>
-<p class="last">If the server principal matches the constraints of multiple lines
+<p>If the server principal matches the constraints of multiple lines
 in the .k5identity file, the principal from the first matching
 line is used.  If no line matches, credentials will be selected
 some other way, such as the realm heuristic or the current primary
 cache.</p>
 </dd>
 </dl>
-</div>
-<div class="section" id="example">
+</section>
+<section id="example">
 <h2>EXAMPLE<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
 <p>The following example .k5identity file selects the client principal
-<code class="docutils literal"><span class="pre">alice&#64;KRBTEST.COM</span></code> if the server principal is within that realm,
-the principal <code class="docutils literal"><span class="pre">alice/root&#64;EXAMPLE.COM</span></code> if the server host is within
-a servers subdomain, and the principal <code class="docutils literal"><span class="pre">alice/mail&#64;EXAMPLE.COM</span></code> when
-accessing the IMAP service on <code class="docutils literal"><span class="pre">mail.example.com</span></code>:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">alice</span><span class="nd">@KRBTEST</span><span class="o">.</span><span class="n">COM</span>       <span class="n">realm</span><span class="o">=</span><span class="n">KRBTEST</span><span class="o">.</span><span class="n">COM</span>
+<code class="docutils literal notranslate"><span class="pre">alice&#64;KRBTEST.COM</span></code> if the server principal is within that realm,
+the principal <code class="docutils literal notranslate"><span class="pre">alice/root&#64;EXAMPLE.COM</span></code> if the server host is within
+a servers subdomain, and the principal <code class="docutils literal notranslate"><span class="pre">alice/mail&#64;EXAMPLE.COM</span></code> when
+accessing the IMAP service on <code class="docutils literal notranslate"><span class="pre">mail.example.com</span></code>:</p>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">alice</span><span class="nd">@KRBTEST</span><span class="o">.</span><span class="n">COM</span>       <span class="n">realm</span><span class="o">=</span><span class="n">KRBTEST</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">alice</span><span class="o">/</span><span class="n">root</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>  <span class="n">host</span><span class="o">=*.</span><span class="n">servers</span><span class="o">.</span><span class="n">example</span><span class="o">.</span><span class="n">com</span>
 <span class="n">alice</span><span class="o">/</span><span class="n">mail</span><span class="nd">@EXAMPLE</span><span class="o">.</span><span class="n">COM</span>  <span class="n">host</span><span class="o">=</span><span class="n">mail</span><span class="o">.</span><span class="n">example</span><span class="o">.</span><span class="n">com</span> <span class="n">service</span><span class="o">=</span><span class="n">imap</span>
 </pre></div>
 </div>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p>kerberos(1), <a class="reference internal" href="../../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a></p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">.k5identity</a><ul>
@@ -170,6 +163,7 @@ accessing the IMAP service on <code clas
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -177,8 +171,8 @@ accessing the IMAP service on <code clas
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_config/k5login.html 1.21.3-1/doc/html/user/user_config/k5login.html
--- 1.21.2-1/doc/html/user/user_config/k5login.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_config/k5login.html	2024-06-26 20:01:30.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>.k5login &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title=".k5identity" href="k5identity.html" />
     <link rel="prev" title="kerberos" href="kerberos.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="k5login">
+  <section id="k5login">
 <span id="k5login-5"></span><h1>.k5login<a class="headerlink" href="#k5login" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="description">
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>The .k5login file, which resides in a user’s home directory, contains
 a list of the Kerberos principals.  Anyone with valid tickets for a
@@ -71,50 +62,52 @@ principal in the file is allowed host ac
 in whose home directory the file resides.  One common use is to place
 a .k5login file in root’s home directory, thereby granting system
 administrators remote root access to the host via Kerberos.</p>
-</div>
-<div class="section" id="examples">
+</section>
+<section id="examples">
 <h2>EXAMPLES<a class="headerlink" href="#examples" title="Permalink to this headline">¶</a></h2>
-<p>Suppose the user <code class="docutils literal"><span class="pre">alice</span></code> had a .k5login file in her home directory
+<p>Suppose the user <code class="docutils literal notranslate"><span class="pre">alice</span></code> had a .k5login file in her home directory
 containing just the following line:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">bob</span><span class="nd">@FOOBAR</span><span class="o">.</span><span class="n">ORG</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">bob</span><span class="nd">@FOOBAR</span><span class="o">.</span><span class="n">ORG</span>
 </pre></div>
 </div>
-<p>This would allow <code class="docutils literal"><span class="pre">bob</span></code> to use Kerberos network applications, such as
-ssh(1), to access <code class="docutils literal"><span class="pre">alice</span></code>’s account, using <code class="docutils literal"><span class="pre">bob</span></code>’s Kerberos
+<p>This would allow <code class="docutils literal notranslate"><span class="pre">bob</span></code> to use Kerberos network applications, such as
+ssh(1), to access <code class="docutils literal notranslate"><span class="pre">alice</span></code>’s account, using <code class="docutils literal notranslate"><span class="pre">bob</span></code>’s Kerberos
 tickets.  In a default configuration (with <strong>k5login_authoritative</strong> set
 to true in <a class="reference internal" href="../../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>), this .k5login file would not let
-<code class="docutils literal"><span class="pre">alice</span></code> use those network applications to access her account, since
+<code class="docutils literal notranslate"><span class="pre">alice</span></code> use those network applications to access her account, since
 she is not listed!  With no .k5login file, or with <strong>k5login_authoritative</strong>
-set to false, a default rule would permit the principal <code class="docutils literal"><span class="pre">alice</span></code> in the
-machine’s default realm to access the <code class="docutils literal"><span class="pre">alice</span></code> account.</p>
-<p>Let us further suppose that <code class="docutils literal"><span class="pre">alice</span></code> is a system administrator.
+set to false, a default rule would permit the principal <code class="docutils literal notranslate"><span class="pre">alice</span></code> in the
+machine’s default realm to access the <code class="docutils literal notranslate"><span class="pre">alice</span></code> account.</p>
+<p>Let us further suppose that <code class="docutils literal notranslate"><span class="pre">alice</span></code> is a system administrator.
 Alice and the other system administrators would have their principals
 in root’s .k5login file on each host:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">alice</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">alice</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span>
 
 <span class="n">joeadmin</span><span class="o">/</span><span class="n">root</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span>
 </pre></div>
 </div>
 <p>This would allow either system administrator to log in to these hosts
 using their Kerberos tickets instead of having to type the root
-password.  Note that because <code class="docutils literal"><span class="pre">bob</span></code> retains the Kerberos tickets for
-his own principal, <code class="docutils literal"><span class="pre">bob&#64;FOOBAR.ORG</span></code>, he would not have any of the
-privileges that require <code class="docutils literal"><span class="pre">alice</span></code>’s tickets, such as root access to
-any of the site’s hosts, or the ability to change <code class="docutils literal"><span class="pre">alice</span></code>’s
+password.  Note that because <code class="docutils literal notranslate"><span class="pre">bob</span></code> retains the Kerberos tickets for
+his own principal, <code class="docutils literal notranslate"><span class="pre">bob&#64;FOOBAR.ORG</span></code>, he would not have any of the
+privileges that require <code class="docutils literal notranslate"><span class="pre">alice</span></code>’s tickets, such as root access to
+any of the site’s hosts, or the ability to change <code class="docutils literal notranslate"><span class="pre">alice</span></code>’s
 password.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p>kerberos(1)</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">.k5login</a><ul>
@@ -161,6 +154,7 @@ password.</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -168,8 +162,8 @@ password.</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/html/user/user_config/kerberos.html 1.21.3-1/doc/html/user/user_config/kerberos.html
--- 1.21.2-1/doc/html/user/user_config/kerberos.html	2023-08-14 16:24:19.000000000 +0000
+++ 1.21.3-1/doc/html/user/user_config/kerberos.html	2024-06-26 20:01:31.000000000 +0000
@@ -1,35 +1,26 @@
 
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html>
 
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
   <head>
-    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <meta charset="utf-8" />
+    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
+
     <title>kerberos &#8212; MIT Kerberos Documentation</title>
-    <link rel="stylesheet" href="../../_static/agogo.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
-    <link rel="stylesheet" href="../../_static/kerb.css" type="text/css" />
-    <script type="text/javascript">
-      var DOCUMENTATION_OPTIONS = {
-        URL_ROOT:    '../../',
-        VERSION:     '1.21.2',
-        COLLAPSE_INDEX: false,
-        FILE_SUFFIX: '.html',
-        HAS_SOURCE:  true,
-        SOURCELINK_SUFFIX: '.txt'
-      };
-    </script>
-    <script type="text/javascript" src="../../_static/jquery.js"></script>
-    <script type="text/javascript" src="../../_static/underscore.js"></script>
-    <script type="text/javascript" src="../../_static/doctools.js"></script>
+    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/agogo.css" />
+    <link rel="stylesheet" type="text/css" href="../../_static/kerb.css" />
+    <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
+    <script src="../../_static/jquery.js"></script>
+    <script src="../../_static/underscore.js"></script>
+    <script src="../../_static/doctools.js"></script>
     <link rel="author" title="About these documents" href="../../about.html" />
     <link rel="index" title="Index" href="../../genindex.html" />
     <link rel="search" title="Search" href="../../search.html" />
     <link rel="copyright" title="Copyright" href="../../copyright.html" />
     <link rel="next" title=".k5login" href="k5login.html" />
     <link rel="prev" title="User config files" href="index.html" /> 
-  </head>
-  <body>
+  </head><body>
     <div class="header-wrapper">
         <div class="header">
             
@@ -61,9 +52,9 @@
         <div class="bodywrapper">
           <div class="body" role="main">
             
-  <div class="section" id="kerberos">
+  <section id="kerberos">
 <span id="kerberos-7"></span><h1>kerberos<a class="headerlink" href="#kerberos" title="Permalink to this headline">¶</a></h1>
-<div class="section" id="description">
+<section id="description">
 <h2>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h2>
 <p>The Kerberos system authenticates individual users in a network
 environment.  After authenticating yourself to Kerberos, you can use
@@ -77,8 +68,8 @@ administrator.</p>
 <p>A Kerberos name usually contains three parts.  The first is the
 <strong>primary</strong>, which is usually a user’s or service’s name.  The second
 is the <strong>instance</strong>, which in the case of a user is usually null.
-Some users may have privileged instances, however, such as <code class="docutils literal"><span class="pre">root</span></code> or
-<code class="docutils literal"><span class="pre">admin</span></code>.  In the case of a service, the instance is the fully
+Some users may have privileged instances, however, such as <code class="docutils literal notranslate"><span class="pre">root</span></code> or
+<code class="docutils literal notranslate"><span class="pre">admin</span></code>.  In the case of a service, the instance is the fully
 qualified name of the machine on which it runs; i.e. there can be an
 ssh service running on the machine ABC (<a class="reference external" href="mailto:ssh/ABC&#37;&#52;&#48;REALM">ssh/ABC<span>&#64;</span>REALM</a>), which is
 different from the ssh service running on the machine XYZ
@@ -91,7 +82,7 @@ might be in realm EXAMPLE.COM).</p>
 instance (if not null) by a slash, and the realm (if not the local
 realm) follows, preceded by an “&#64;” sign.  The following are examples
 of valid Kerberos names:</p>
-<div class="highlight-default"><div class="highlight"><pre><span></span><span class="n">david</span>
+<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">david</span>
 <span class="n">jennifer</span><span class="o">/</span><span class="n">admin</span>
 <span class="n">joeuser</span><span class="nd">@BLEEP</span><span class="o">.</span><span class="n">COM</span>
 <span class="n">cbrown</span><span class="o">/</span><span class="n">root</span><span class="nd">@FUBAR</span><span class="o">.</span><span class="n">ORG</span>
@@ -103,14 +94,14 @@ message that provides authentication.)
 network utilities such as ssh.  The ticket transactions are done
 transparently, so you don’t have to worry about their management.</p>
 <p>Note, however, that tickets expire.  Administrators may configure more
-privileged tickets, such as those with service or instance of <code class="docutils literal"><span class="pre">root</span></code>
-or <code class="docutils literal"><span class="pre">admin</span></code>, to expire in a few minutes, while tickets that carry
+privileged tickets, such as those with service or instance of <code class="docutils literal notranslate"><span class="pre">root</span></code>
+or <code class="docutils literal notranslate"><span class="pre">admin</span></code>, to expire in a few minutes, while tickets that carry
 more ordinary privileges may be good for several hours or a day.  If
 your login session extends beyond the time limit, you will have to
 re-authenticate yourself to Kerberos to get new tickets using the
 <a class="reference internal" href="../user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a> command.</p>
 <p>Some tickets are <strong>renewable</strong> beyond their initial lifetime.  This
-means that <code class="docutils literal"><span class="pre">kinit</span> <span class="pre">-R</span></code> can extend their lifetime without requiring
+means that <code class="docutils literal notranslate"><span class="pre">kinit</span> <span class="pre">-R</span></code> can extend their lifetime without requiring
 you to re-authenticate.</p>
 <p>If you wish to delete your local tickets, use the <a class="reference internal" href="../user_commands/kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a>
 command.</p>
@@ -121,87 +112,86 @@ to forward them to the remote host.  Thi
 running kinit on your local machine and then sshing into another to do
 work.  Note that this should not be done on untrusted machines since
 they will then have your tickets.</p>
-</div>
-<div class="section" id="environment-variables">
+</section>
+<section id="environment-variables">
 <h2>ENVIRONMENT VARIABLES<a class="headerlink" href="#environment-variables" title="Permalink to this headline">¶</a></h2>
 <p>Several environment variables affect the operation of Kerberos-enabled
 programs.  These include:</p>
-<dl class="docutils">
-<dt><strong>KRB5CCNAME</strong></dt>
-<dd><p class="first">Default name for the credentials cache file, in the form
+<dl>
+<dt><strong>KRB5CCNAME</strong></dt><dd><p>Default name for the credentials cache file, in the form
 <em>TYPE</em>:<em>residual</em>.  The type of the default cache may determine
-the availability of a cache collection.  <code class="docutils literal"><span class="pre">FILE</span></code> is not a
-collection type; <code class="docutils literal"><span class="pre">KEYRING</span></code>, <code class="docutils literal"><span class="pre">DIR</span></code>, and <code class="docutils literal"><span class="pre">KCM</span></code> are.</p>
-<p class="last">If not set, the value of <strong>default_ccache_name</strong> from
+the availability of a cache collection.  <code class="docutils literal notranslate"><span class="pre">FILE</span></code> is not a
+collection type; <code class="docutils literal notranslate"><span class="pre">KEYRING</span></code>, <code class="docutils literal notranslate"><span class="pre">DIR</span></code>, and <code class="docutils literal notranslate"><span class="pre">KCM</span></code> are.</p>
+<p>If not set, the value of <strong>default_ccache_name</strong> from
 configuration files (see <strong>KRB5_CONFIG</strong>) will be used.  If that
-is also not set, the default <em>type</em> is <code class="docutils literal"><span class="pre">FILE</span></code>, and the
+is also not set, the default <em>type</em> is <code class="docutils literal notranslate"><span class="pre">FILE</span></code>, and the
 <em>residual</em> is the path /tmp/krb5cc_*uid*, where <em>uid</em> is the
 decimal user ID of the user.</p>
 </dd>
-<dt><strong>KRB5_KTNAME</strong></dt>
-<dd>Specifies the location of the default keytab file, in the form
+<dt><strong>KRB5_KTNAME</strong></dt><dd><p>Specifies the location of the default keytab file, in the form
 <em>TYPE</em>:<em>residual</em>.  If no <em>type</em> is present, the <strong>FILE</strong> type is
 assumed and <em>residual</em> is the pathname of the keytab file.  If
-unset, <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a> will be used.</dd>
-<dt><strong>KRB5_CONFIG</strong></dt>
-<dd>Specifies the location of the Kerberos configuration file.  The
-default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal"><span class="pre">/krb5.conf</span></code>.  Multiple filenames can
+unset, <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFKTNAME</span></a> will be used.</p>
+</dd>
+<dt><strong>KRB5_CONFIG</strong></dt><dd><p>Specifies the location of the Kerberos configuration file.  The
+default is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5.conf</span></code>.  Multiple filenames can
 be specified, separated by a colon; all files which are present
-will be read.</dd>
-<dt><strong>KRB5_KDC_PROFILE</strong></dt>
-<dd>Specifies the location of the KDC configuration file, which
+will be read.</p>
+</dd>
+<dt><strong>KRB5_KDC_PROFILE</strong></dt><dd><p>Specifies the location of the KDC configuration file, which
 contains additional configuration directives for the Key
 Distribution Center daemon and associated programs.  The default
-is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal"><span class="pre">/krb5kdc</span></code><code class="docutils literal"><span class="pre">/kdc.conf</span></code>.</dd>
-<dt><strong>KRB5RCACHENAME</strong></dt>
-<dd>(New in release 1.18) Specifies the location of the default replay
-cache, in the form <em>type</em>:<em>residual</em>.  The <code class="docutils literal"><span class="pre">file2</span></code> type with a
+is <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">LOCALSTATEDIR</span></a><code class="docutils literal notranslate"><span class="pre">/krb5kdc</span></code><code class="docutils literal notranslate"><span class="pre">/kdc.conf</span></code>.</p>
+</dd>
+<dt><strong>KRB5RCACHENAME</strong></dt><dd><p>(New in release 1.18) Specifies the location of the default replay
+cache, in the form <em>type</em>:<em>residual</em>.  The <code class="docutils literal notranslate"><span class="pre">file2</span></code> type with a
 pathname residual specifies a replay cache file in the version-2
-format in the specified location.  The <code class="docutils literal"><span class="pre">none</span></code> type (residual is
-ignored) disables the replay cache.  The <code class="docutils literal"><span class="pre">dfl</span></code> type (residual is
+format in the specified location.  The <code class="docutils literal notranslate"><span class="pre">none</span></code> type (residual is
+ignored) disables the replay cache.  The <code class="docutils literal notranslate"><span class="pre">dfl</span></code> type (residual is
 ignored) indicates the default, which uses a file2 replay cache in
-a temporary directory.  The default is <code class="docutils literal"><span class="pre">dfl:</span></code>.</dd>
-<dt><strong>KRB5RCACHETYPE</strong></dt>
-<dd>Specifies the type of the default replay cache, if
+a temporary directory.  The default is <code class="docutils literal notranslate"><span class="pre">dfl:</span></code>.</p>
+</dd>
+<dt><strong>KRB5RCACHETYPE</strong></dt><dd><p>Specifies the type of the default replay cache, if
 <strong>KRB5RCACHENAME</strong> is unspecified.  No residual can be specified,
-so <code class="docutils literal"><span class="pre">none</span></code> and <code class="docutils literal"><span class="pre">dfl</span></code> are the only useful types.</dd>
-<dt><strong>KRB5RCACHEDIR</strong></dt>
-<dd>Specifies the directory used by the <code class="docutils literal"><span class="pre">dfl</span></code> replay cache type.
+so <code class="docutils literal notranslate"><span class="pre">none</span></code> and <code class="docutils literal notranslate"><span class="pre">dfl</span></code> are the only useful types.</p>
+</dd>
+<dt><strong>KRB5RCACHEDIR</strong></dt><dd><p>Specifies the directory used by the <code class="docutils literal notranslate"><span class="pre">dfl</span></code> replay cache type.
 The default is the value of the <strong>TMPDIR</strong> environment variable,
-or <code class="docutils literal"><span class="pre">/var/tmp</span></code> if <strong>TMPDIR</strong> is not set.</dd>
-<dt><strong>KRB5_TRACE</strong></dt>
-<dd>Specifies a filename to write trace log output to.  Trace logs can
+or <code class="docutils literal notranslate"><span class="pre">/var/tmp</span></code> if <strong>TMPDIR</strong> is not set.</p>
+</dd>
+<dt><strong>KRB5_TRACE</strong></dt><dd><p>Specifies a filename to write trace log output to.  Trace logs can
 help illuminate decisions made internally by the Kerberos
-libraries.  For example, <code class="docutils literal"><span class="pre">env</span> <span class="pre">KRB5_TRACE=/dev/stderr</span> <span class="pre">kinit</span></code>
+libraries.  For example, <code class="docutils literal notranslate"><span class="pre">env</span> <span class="pre">KRB5_TRACE=/dev/stderr</span> <span class="pre">kinit</span></code>
 would send tracing information for <a class="reference internal" href="../user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a> to
-<code class="docutils literal"><span class="pre">/dev/stderr</span></code>.  The default is not to write trace log output
-anywhere.</dd>
-<dt><strong>KRB5_CLIENT_KTNAME</strong></dt>
-<dd>Default client keytab file name.  If unset, <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCKTNAME</span></a> will be
-used).</dd>
-<dt><strong>KPROP_PORT</strong></dt>
-<dd><a class="reference internal" href="../../admin/admin_commands/kprop.html#kprop-8"><span class="std std-ref">kprop</span></a> port to use.  Defaults to 754.</dd>
-<dt><strong>GSS_MECH_CONFIG</strong></dt>
-<dd>Specifies a filename containing GSSAPI mechanism module
-configuration.  The default is to read <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal"><span class="pre">/gss/mech</span></code>
-and files with a <code class="docutils literal"><span class="pre">.conf</span></code> suffix within the directory
-<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal"><span class="pre">/gss/mech.d</span></code>.</dd>
+<code class="docutils literal notranslate"><span class="pre">/dev/stderr</span></code>.  The default is not to write trace log output
+anywhere.</p>
+</dd>
+<dt><strong>KRB5_CLIENT_KTNAME</strong></dt><dd><p>Default client keytab file name.  If unset, <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">DEFCKTNAME</span></a> will be
+used).</p>
+</dd>
+<dt><strong>KPROP_PORT</strong></dt><dd><p><a class="reference internal" href="../../admin/admin_commands/kprop.html#kprop-8"><span class="std std-ref">kprop</span></a> port to use.  Defaults to 754.</p>
+</dd>
+<dt><strong>GSS_MECH_CONFIG</strong></dt><dd><p>Specifies a filename containing GSSAPI mechanism module
+configuration.  The default is to read <a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal notranslate"><span class="pre">/gss/mech</span></code>
+and files with a <code class="docutils literal notranslate"><span class="pre">.conf</span></code> suffix within the directory
+<a class="reference internal" href="../../mitK5defaults.html#paths"><span class="std std-ref">SYSCONFDIR</span></a><code class="docutils literal notranslate"><span class="pre">/gss/mech.d</span></code>.</p>
+</dd>
 </dl>
 <p>Most environment variables are disabled for certain programs, such as
 login system programs and setuid programs, which are designed to be
 secure when run within an untrusted process environment.</p>
-</div>
-<div class="section" id="see-also">
+</section>
+<section id="see-also">
 <h2>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
 <p><a class="reference internal" href="../user_commands/kdestroy.html#kdestroy-1"><span class="std std-ref">kdestroy</span></a>, <a class="reference internal" href="../user_commands/kinit.html#kinit-1"><span class="std std-ref">kinit</span></a>, <a class="reference internal" href="../user_commands/klist.html#klist-1"><span class="std std-ref">klist</span></a>,
 <a class="reference internal" href="../user_commands/kswitch.html#kswitch-1"><span class="std std-ref">kswitch</span></a>, <a class="reference internal" href="../user_commands/kpasswd.html#kpasswd-1"><span class="std std-ref">kpasswd</span></a>, <a class="reference internal" href="../user_commands/ksu.html#ksu-1"><span class="std std-ref">ksu</span></a>,
 <a class="reference internal" href="../../admin/conf_files/krb5_conf.html#krb5-conf-5"><span class="std std-ref">krb5.conf</span></a>, <a class="reference internal" href="../../admin/conf_files/kdc_conf.html#kdc-conf-5"><span class="std std-ref">kdc.conf</span></a>, <a class="reference internal" href="../../admin/admin_commands/kadmin_local.html#kadmin-1"><span class="std std-ref">kadmin</span></a>,
 <a class="reference internal" href="../../admin/admin_commands/kadmind.html#kadmind-8"><span class="std std-ref">kadmind</span></a>, <a class="reference internal" href="../../admin/admin_commands/kdb5_util.html#kdb5-util-8"><span class="std std-ref">kdb5_util</span></a>, <a class="reference internal" href="../../admin/admin_commands/krb5kdc.html#krb5kdc-8"><span class="std std-ref">krb5kdc</span></a></p>
-</div>
-<div class="section" id="bugs">
+</section>
+<section id="bugs">
 <h2>BUGS<a class="headerlink" href="#bugs" title="Permalink to this headline">¶</a></h2>
-</div>
-<div class="section" id="authors">
+</section>
+<section id="authors">
 <h2>AUTHORS<a class="headerlink" href="#authors" title="Permalink to this headline">¶</a></h2>
 <div class="line-block">
 <div class="line">Steve Miller, MIT Project Athena/Digital Equipment Corporation</div>
@@ -209,26 +199,28 @@ secure when run within an untrusted proc
 <div class="line">Greg Hudson, MIT Kerberos Consortium</div>
 <div class="line">Robbie Harwood, Red Hat, Inc.</div>
 </div>
-</div>
-<div class="section" id="history">
+</section>
+<section id="history">
 <h2>HISTORY<a class="headerlink" href="#history" title="Permalink to this headline">¶</a></h2>
 <p>The MIT Kerberos 5 implementation was developed at MIT, with
 contributions from many outside parties.  It is currently maintained
 by the MIT Kerberos Consortium.</p>
-</div>
-<div class="section" id="restrictions">
+</section>
+<section id="restrictions">
 <h2>RESTRICTIONS<a class="headerlink" href="#restrictions" title="Permalink to this headline">¶</a></h2>
 <p>Copyright 1985, 1986, 1989-1996, 2002, 2011, 2018 Masachusetts
 Institute of Technology</p>
-</div>
-</div>
+</section>
+</section>
 
 
+            <div class="clearer"></div>
           </div>
         </div>
       </div>
         </div>
         <div class="sidebar">
+          
     <h2>On this page</h2>
     <ul>
 <li><a class="reference internal" href="#">kerberos</a><ul>
@@ -279,6 +271,7 @@ Institute of Technology</p>
       <input type="hidden" name="check_keywords" value="yes" />
       <input type="hidden" name="area" value="default" />
     </form>
+
         </div>
         <div class="clearer"></div>
       </div>
@@ -286,8 +279,8 @@ Institute of Technology</p>
 
     <div class="footer-wrapper">
         <div class="footer" >
-            <div class="right" ><i>Release: 1.21.2</i><br />
-                &copy; <a href="../../copyright.html">Copyright</a> 1985-2023, MIT.
+            <div class="right" ><i>Release: 1.21.3</i><br />
+                &copy; <a href="../../copyright.html">Copyright</a> 1985-2024, MIT.
             </div>
             <div class="left">
                 
diff -pruN 1.21.2-1/doc/notice.rst 1.21.3-1/doc/notice.rst
--- 1.21.2-1/doc/notice.rst	2023-08-14 16:16:42.000000000 +0000
+++ 1.21.3-1/doc/notice.rst	2024-06-26 20:00:35.000000000 +0000
@@ -1,4 +1,4 @@
-Copyright |copy| 1985-2023 by the Massachusetts Institute of Technology.
+Copyright |copy| 1985-2024 by the Massachusetts Institute of Technology.
 
 All rights reserved.
 
diff -pruN 1.21.2-1/doc/pdf/GMakefile 1.21.3-1/doc/pdf/GMakefile
--- 1.21.2-1/doc/pdf/GMakefile	2023-08-14 16:25:08.000000000 +0000
+++ 1.21.3-1/doc/pdf/GMakefile	2024-06-26 20:01:51.000000000 +0000
@@ -5,14 +5,13 @@ ALLPDF = $(addsuffix .pdf,$(ALLDOCS))
 ALLDVI = $(addsuffix .dvi,$(ALLDOCS))
 ALLXDV =
 ALLPS  = $(addsuffix .ps,$(ALLDOCS))
-ALLIMGS = $(wildcard *.png *.gif *.jpg *.jpeg)
 
 # Prefix for archive names
 ARCHIVEPREFIX =
 # Additional LaTeX options (passed via variables in latexmkrc/latexmkjarc file)
-export LATEXOPTS =
+export LATEXOPTS ?=
 # Additional latexmk options
-LATEXMKOPTS =
+LATEXMKOPTS ?=
 # format: pdf or dvi (used only by archive targets)
 FMT = pdf
 
@@ -20,9 +19,6 @@ LATEX = latexmk -dvi
 PDFLATEX = latexmk -pdf -dvi- -ps-
 
 
-%.png %.gif %.jpg %.jpeg: FORCE_MAKE
-	extractbb '$@'
-
 %.dvi: %.tex FORCE_MAKE
 	$(LATEX) $(LATEXMKOPTS) '$<'
 
diff -pruN 1.21.2-1/doc/pdf/LICRcyr2utf8.xdy 1.21.3-1/doc/pdf/LICRcyr2utf8.xdy
--- 1.21.2-1/doc/pdf/LICRcyr2utf8.xdy	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/LICRcyr2utf8.xdy	2021-01-01 06:53:29.000000000 +0000
@@ -0,0 +1,101 @@
+;; -*- coding: utf-8; mode: Lisp; -*-
+;; style file for xindy
+;; filename: LICRcyr2utf8.xdy
+;; description: style file for xindy which maps back LaTeX Internal
+;;   Character Representation of Cyrillic to utf-8
+;; usage: for use with pdflatex produced .idx files.
+;; Contributed by the Sphinx team, July 2018.
+(merge-rule "\IeC {\'\CYRG }" "Ѓ" :string)
+(merge-rule "\IeC {\'\CYRK }" "Ќ" :string)
+(merge-rule "\IeC {\'\cyrg }" "ѓ" :string)
+(merge-rule "\IeC {\'\cyrk }" "ќ" :string)
+(merge-rule "\IeC {\CYRA }" "А" :string)
+(merge-rule "\IeC {\CYRB }" "Б" :string)
+(merge-rule "\IeC {\CYRC }" "Ц" :string)
+(merge-rule "\IeC {\CYRCH }" "Ч" :string)
+(merge-rule "\IeC {\CYRD }" "Д" :string)
+(merge-rule "\IeC {\CYRDJE }" "Ђ" :string)
+(merge-rule "\IeC {\CYRDZE }" "Ѕ" :string)
+(merge-rule "\IeC {\CYRDZHE }" "Џ" :string)
+(merge-rule "\IeC {\CYRE }" "Е" :string)
+(merge-rule "\IeC {\CYREREV }" "Э" :string)
+(merge-rule "\IeC {\CYRERY }" "Ы" :string)
+(merge-rule "\IeC {\CYRF }" "Ф" :string)
+(merge-rule "\IeC {\CYRG }" "Г" :string)
+(merge-rule "\IeC {\CYRGUP }" "Ґ" :string)
+(merge-rule "\IeC {\CYRH }" "Х" :string)
+(merge-rule "\IeC {\CYRHRDSN }" "Ъ" :string)
+(merge-rule "\IeC {\CYRI }" "И" :string)
+(merge-rule "\IeC {\CYRIE }" "Є" :string)
+(merge-rule "\IeC {\CYRII }" "І" :string)
+(merge-rule "\IeC {\CYRISHRT }" "Й" :string)
+(merge-rule "\IeC {\CYRJE }" "Ј" :string)
+(merge-rule "\IeC {\CYRK }" "К" :string)
+(merge-rule "\IeC {\CYRL }" "Л" :string)
+(merge-rule "\IeC {\CYRLJE }" "Љ" :string)
+(merge-rule "\IeC {\CYRM }" "М" :string)
+(merge-rule "\IeC {\CYRN }" "Н" :string)
+(merge-rule "\IeC {\CYRNJE }" "Њ" :string)
+(merge-rule "\IeC {\CYRO }" "О" :string)
+(merge-rule "\IeC {\CYRP }" "П" :string)
+(merge-rule "\IeC {\CYRR }" "Р" :string)
+(merge-rule "\IeC {\CYRS }" "С" :string)
+(merge-rule "\IeC {\CYRSFTSN }" "Ь" :string)
+(merge-rule "\IeC {\CYRSH }" "Ш" :string)
+(merge-rule "\IeC {\CYRSHCH }" "Щ" :string)
+(merge-rule "\IeC {\CYRT }" "Т" :string)
+(merge-rule "\IeC {\CYRTSHE }" "Ћ" :string)
+(merge-rule "\IeC {\CYRU }" "У" :string)
+(merge-rule "\IeC {\CYRUSHRT }" "Ў" :string)
+(merge-rule "\IeC {\CYRV }" "В" :string)
+(merge-rule "\IeC {\CYRYA }" "Я" :string)
+(merge-rule "\IeC {\CYRYI }" "Ї" :string)
+(merge-rule "\IeC {\CYRYO }" "Ё" :string)
+(merge-rule "\IeC {\CYRYU }" "Ю" :string)
+(merge-rule "\IeC {\CYRZ }" "З" :string)
+(merge-rule "\IeC {\CYRZH }" "Ж" :string)
+(merge-rule "\IeC {\cyra }" "а" :string)
+(merge-rule "\IeC {\cyrb }" "б" :string)
+(merge-rule "\IeC {\cyrc }" "ц" :string)
+(merge-rule "\IeC {\cyrch }" "ч" :string)
+(merge-rule "\IeC {\cyrd }" "д" :string)
+(merge-rule "\IeC {\cyrdje }" "ђ" :string)
+(merge-rule "\IeC {\cyrdze }" "ѕ" :string)
+(merge-rule "\IeC {\cyrdzhe }" "џ" :string)
+(merge-rule "\IeC {\cyre }" "е" :string)
+(merge-rule "\IeC {\cyrerev }" "э" :string)
+(merge-rule "\IeC {\cyrery }" "ы" :string)
+(merge-rule "\IeC {\cyrf }" "ф" :string)
+(merge-rule "\IeC {\cyrg }" "г" :string)
+(merge-rule "\IeC {\cyrgup }" "ґ" :string)
+(merge-rule "\IeC {\cyrh }" "х" :string)
+(merge-rule "\IeC {\cyrhrdsn }" "ъ" :string)
+(merge-rule "\IeC {\cyri }" "и" :string)
+(merge-rule "\IeC {\cyrie }" "є" :string)
+(merge-rule "\IeC {\cyrii }" "і" :string)
+(merge-rule "\IeC {\cyrishrt }" "й" :string)
+(merge-rule "\IeC {\cyrje }" "ј" :string)
+(merge-rule "\IeC {\cyrk }" "к" :string)
+(merge-rule "\IeC {\cyrl }" "л" :string)
+(merge-rule "\IeC {\cyrlje }" "љ" :string)
+(merge-rule "\IeC {\cyrm }" "м" :string)
+(merge-rule "\IeC {\cyrn }" "н" :string)
+(merge-rule "\IeC {\cyrnje }" "њ" :string)
+(merge-rule "\IeC {\cyro }" "о" :string)
+(merge-rule "\IeC {\cyrp }" "п" :string)
+(merge-rule "\IeC {\cyrr }" "р" :string)
+(merge-rule "\IeC {\cyrs }" "с" :string)
+(merge-rule "\IeC {\cyrsftsn }" "ь" :string)
+(merge-rule "\IeC {\cyrsh }" "ш" :string)
+(merge-rule "\IeC {\cyrshch }" "щ" :string)
+(merge-rule "\IeC {\cyrt }" "т" :string)
+(merge-rule "\IeC {\cyrtshe }" "ћ" :string)
+(merge-rule "\IeC {\cyru }" "у" :string)
+(merge-rule "\IeC {\cyrushrt }" "ў" :string)
+(merge-rule "\IeC {\cyrv }" "в" :string)
+(merge-rule "\IeC {\cyrya }" "я" :string)
+(merge-rule "\IeC {\cyryi }" "ї" :string)
+(merge-rule "\IeC {\cyryo }" "ё" :string)
+(merge-rule "\IeC {\cyryu }" "ю" :string)
+(merge-rule "\IeC {\cyrz }" "з" :string)
+(merge-rule "\IeC {\cyrzh }" "ж" :string)
diff -pruN 1.21.2-1/doc/pdf/LICRlatin2utf8.xdy 1.21.3-1/doc/pdf/LICRlatin2utf8.xdy
--- 1.21.2-1/doc/pdf/LICRlatin2utf8.xdy	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/LICRlatin2utf8.xdy	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,239 @@
+;; style file for xindy
+;; filename: LICRlatin2utf8.xdy
+;; description: style file for xindy which maps back LaTeX Internal
+;;   Character Representation of letters (as arising in .idx index
+;;   file) to UTF-8 encoding for correct sorting by xindy.
+;; usage: for use with the pdflatex engine,
+;;        *not* for use with xelatex or lualatex.
+;;
+;; This is based upon xindy's distributed file tex/inputenc/utf8.xdy.
+;; The modifications include:
+;;
+;; - Updates for compatibility with current LaTeX macro encoding.
+;;
+;; - Systematic usage of the \IeC {...} mark-up, because mark-up in
+;;   tex/inputenc/utf8.xdy was using it on seemingly random basis, and
+;;   Sphinx coercing of xindy usability for both Latin and Cyrillic scripts
+;;   with pdflatex requires its systematic presence here.
+;;
+;; - Support for some extra letters: Ÿ, Ŋ, ŋ, Œ, œ, Ĳ, ĳ, ȷ and ẞ.
+;;
+;;   Indeed Sphinx needs to support for pdflatex engine all Unicode letters
+;;   available in TeX T1 font encoding.  The above letters are found in
+;;   that encoding but not in the Latin1, 2, 3 charsets which are those
+;;   covered by original tex/inputenc/utf8.xdy.
+;;
+;; - There is a problem that ȷ is not supported out-of-the box by LaTeX
+;;   with inputenc, one must add explicitly
+;;       \DeclareUnicodeCharacter{0237}{\j}
+;;   to preamble of LaTeX document.  However this character is not supported
+;;   by the TeX "times" font used by default by Sphinx for pdflatex engine.
+;;
+;;     **Update**: since LaTeX 2018/12/01, the \j as well as \SS, \k{} and
+;;                  \.{} need no extra user declaration anymore.
+;;
+;; - ẞ needs \DeclareUnicodeCharacter{1E9E}{\SS} (but ß needs no extra set-up).
+;;
+;; - U+02DB (˛) and U+02D9 (˙) are also not supported by inputenc
+;;   out of the box and require
+;;       \DeclareUnicodeCharacter{02DB}{\k{}}
+;;       \DeclareUnicodeCharacter{02D9}{\.{}}
+;;   to be added to preamble.
+;;
+;; - U+0127 ħ and U+0126 Ħ are absent from TeX T1+TS1 font encodings.
+;;
+;; - Characters Ŋ and ŋ are not supported by TeX font "times" used by
+;;   default by Sphinx for pdflatex engine but they are supported by
+;;   some TeX fonts, in particular by the default LaTeX font for T1
+;;   encoding.
+;;
+;; - " and ~ must be escaped as ~" and resp. ~~ in xindy merge rules.
+;;
+;; Contributed by the Sphinx team, July 2018.
+;;
+;; See sphinx.xdy for superior figures, as they are escaped by LaTeX writer.
+(merge-rule "\IeC {\textonesuperior }" "¹" :string)
+(merge-rule "\IeC {\texttwosuperior }" "²" :string)
+(merge-rule "\IeC {\textthreesuperior }" "³" :string)
+(merge-rule "\IeC {\'a}" "á" :string)
+(merge-rule "\IeC {\'A}" "Á" :string)
+(merge-rule "\IeC {\`a}" "à" :string)
+(merge-rule "\IeC {\`A}" "À" :string)
+(merge-rule "\IeC {\^a}" "â" :string)
+(merge-rule "\IeC {\^A}" "Â" :string)
+(merge-rule "\IeC {\~"a}" "ä" :string)
+(merge-rule "\IeC {\~"A}" "Ä" :string)
+(merge-rule "\IeC {\~~a}" "ã" :string)
+(merge-rule "\IeC {\~~A}" "Ã" :string)
+(merge-rule "\IeC {\c c}" "ç" :string)
+(merge-rule "\IeC {\c C}" "Ç" :string)
+(merge-rule "\IeC {\'c}" "ć" :string)
+(merge-rule "\IeC {\'C}" "Ć" :string)
+(merge-rule "\IeC {\^c}" "ĉ" :string)
+(merge-rule "\IeC {\^C}" "Ĉ" :string)
+(merge-rule "\IeC {\.c}" "ċ" :string)
+(merge-rule "\IeC {\.C}" "Ċ" :string)
+(merge-rule "\IeC {\c s}" "ş" :string)
+(merge-rule "\IeC {\c S}" "Ş" :string)
+(merge-rule "\IeC {\c t}" "ţ" :string)
+(merge-rule "\IeC {\c T}" "Ţ" :string)
+(merge-rule "\IeC {\-}" "­" :string); soft hyphen
+(merge-rule "\IeC {\textdiv }" "÷" :string)
+(merge-rule "\IeC {\'e}" "é" :string)
+(merge-rule "\IeC {\'E}" "É" :string)
+(merge-rule "\IeC {\`e}" "è" :string)
+(merge-rule "\IeC {\`E}" "È" :string)
+(merge-rule "\IeC {\^e}" "ê" :string)
+(merge-rule "\IeC {\^E}" "Ê" :string)
+(merge-rule "\IeC {\~"e}" "ë" :string)
+(merge-rule "\IeC {\~"E}" "Ë" :string)
+(merge-rule "\IeC {\^g}" "ĝ" :string)
+(merge-rule "\IeC {\^G}" "Ĝ" :string)
+(merge-rule "\IeC {\.g}" "ġ" :string)
+(merge-rule "\IeC {\.G}" "Ġ" :string)
+(merge-rule "\IeC {\^h}" "ĥ" :string)
+(merge-rule "\IeC {\^H}" "Ĥ" :string)
+(merge-rule "\IeC {\H o}" "ő" :string)
+(merge-rule "\IeC {\H O}" "Ő" :string)
+(merge-rule "\IeC {\textacutedbl }" "˝" :string)
+(merge-rule "\IeC {\H u}" "ű" :string)
+(merge-rule "\IeC {\H U}" "Ű" :string)
+(merge-rule "\IeC {\ae }" "æ" :string)
+(merge-rule "\IeC {\AE }" "Æ" :string)
+(merge-rule "\IeC {\textcopyright }" "©" :string)
+(merge-rule "\IeC {\c \ }" "¸" :string)
+(merge-rule "\IeC {\dh }" "ð" :string)
+(merge-rule "\IeC {\DH }" "Ð" :string)
+(merge-rule "\IeC {\dj }" "đ" :string)
+(merge-rule "\IeC {\DJ }" "Đ" :string)
+(merge-rule "\IeC {\guillemotleft }" "«" :string)
+(merge-rule "\IeC {\guillemotright }" "»" :string)
+(merge-rule "\IeC {\'\i }" "í" :string)
+(merge-rule "\IeC {\`\i }" "ì" :string)
+(merge-rule "\IeC {\^\i }" "î" :string)
+(merge-rule "\IeC {\~"\i }" "ï" :string)
+(merge-rule "\IeC {\i }" "ı" :string)
+(merge-rule "\IeC {\^\j }" "ĵ" :string)
+(merge-rule "\IeC {\k {}}" "˛" :string)
+(merge-rule "\IeC {\l }" "ł" :string)
+(merge-rule "\IeC {\L }" "Ł" :string)
+(merge-rule "\IeC {\nobreakspace }" " " :string)
+(merge-rule "\IeC {\o }" "ø" :string)
+(merge-rule "\IeC {\O }" "Ø" :string)
+(merge-rule "\IeC {\textsterling }" "£" :string)
+(merge-rule "\IeC {\textparagraph }" "¶" :string)
+(merge-rule "\IeC {\ss }" "ß" :string)
+(merge-rule "\IeC {\textsection }" "§" :string)
+(merge-rule "\IeC {\textbrokenbar }" "¦" :string)
+(merge-rule "\IeC {\textcent }" "¢" :string)
+(merge-rule "\IeC {\textcurrency }" "¤" :string)
+(merge-rule "\IeC {\textdegree }" "°" :string)
+(merge-rule "\IeC {\textexclamdown }" "¡" :string)
+(merge-rule "\IeC {\texthbar }" "ħ" :string)
+(merge-rule "\IeC {\textHbar }" "Ħ" :string)
+(merge-rule "\IeC {\textonehalf }" "½" :string)
+(merge-rule "\IeC {\textonequarter }" "¼" :string)
+(merge-rule "\IeC {\textordfeminine }" "ª" :string)
+(merge-rule "\IeC {\textordmasculine }" "º" :string)
+(merge-rule "\IeC {\textperiodcentered }" "·" :string)
+(merge-rule "\IeC {\textquestiondown }" "¿" :string)
+(merge-rule "\IeC {\textregistered }" "®" :string)
+(merge-rule "\IeC {\textthreequarters }" "¾" :string)
+(merge-rule "\IeC {\textyen }" "¥" :string)
+(merge-rule "\IeC {\th }" "þ" :string)
+(merge-rule "\IeC {\TH }" "Þ" :string)
+(merge-rule "\IeC {\'I}" "Í" :string)
+(merge-rule "\IeC {\`I}" "Ì" :string)
+(merge-rule "\IeC {\^I}" "Î" :string)
+(merge-rule "\IeC {\~"I}" "Ï" :string)
+(merge-rule "\IeC {\.I}" "İ" :string)
+(merge-rule "\IeC {\^J}" "Ĵ" :string)
+(merge-rule "\IeC {\k a}" "ą" :string)
+(merge-rule "\IeC {\k A}" "Ą" :string)
+(merge-rule "\IeC {\k e}" "ę" :string)
+(merge-rule "\IeC {\k E}" "Ę" :string)
+(merge-rule "\IeC {\'l}" "ĺ" :string)
+(merge-rule "\IeC {\'L}" "Ĺ" :string)
+(merge-rule "\IeC {\textlnot }" "¬" :string)
+(merge-rule "\IeC {\textmu }" "µ" :string)
+(merge-rule "\IeC {\'n}" "ń" :string)
+(merge-rule "\IeC {\'N}" "Ń" :string)
+(merge-rule "\IeC {\~~n}" "ñ" :string)
+(merge-rule "\IeC {\~~N}" "Ñ" :string)
+(merge-rule "\IeC {\'o}" "ó" :string)
+(merge-rule "\IeC {\'O}" "Ó" :string)
+(merge-rule "\IeC {\`o}" "ò" :string)
+(merge-rule "\IeC {\`O}" "Ò" :string)
+(merge-rule "\IeC {\^o}" "ô" :string)
+(merge-rule "\IeC {\^O}" "Ô" :string)
+(merge-rule "\IeC {\~"o}" "ö" :string)
+(merge-rule "\IeC {\~"O}" "Ö" :string)
+(merge-rule "\IeC {\~~o}" "õ" :string)
+(merge-rule "\IeC {\~~O}" "Õ" :string)
+(merge-rule "\IeC {\textpm }" "±" :string)
+(merge-rule "\IeC {\r a}" "å" :string)
+(merge-rule "\IeC {\r A}" "Å" :string)
+(merge-rule "\IeC {\'r}" "ŕ" :string)
+(merge-rule "\IeC {\'R}" "Ŕ" :string)
+(merge-rule "\IeC {\r u}" "ů" :string)
+(merge-rule "\IeC {\r U}" "Ů" :string)
+(merge-rule "\IeC {\'s}" "ś" :string)
+(merge-rule "\IeC {\'S}" "Ś" :string)
+(merge-rule "\IeC {\^s}" "ŝ" :string)
+(merge-rule "\IeC {\^S}" "Ŝ" :string)
+(merge-rule "\IeC {\textasciidieresis }" "¨" :string)
+(merge-rule "\IeC {\textasciimacron }" "¯" :string)
+(merge-rule "\IeC {\.{}}" "˙" :string)
+(merge-rule "\IeC {\textasciiacute }" "´" :string)
+(merge-rule "\IeC {\texttimes }" "×" :string)
+(merge-rule "\IeC {\u a}" "ă" :string)
+(merge-rule "\IeC {\u A}" "Ă" :string)
+(merge-rule "\IeC {\u g}" "ğ" :string)
+(merge-rule "\IeC {\u G}" "Ğ" :string)
+(merge-rule "\IeC {\textasciibreve }" "˘" :string)
+(merge-rule "\IeC {\'u}" "ú" :string)
+(merge-rule "\IeC {\'U}" "Ú" :string)
+(merge-rule "\IeC {\`u}" "ù" :string)
+(merge-rule "\IeC {\`U}" "Ù" :string)
+(merge-rule "\IeC {\^u}" "û" :string)
+(merge-rule "\IeC {\^U}" "Û" :string)
+(merge-rule "\IeC {\~"u}" "ü" :string)
+(merge-rule "\IeC {\~"U}" "Ü" :string)
+(merge-rule "\IeC {\u u}" "ŭ" :string)
+(merge-rule "\IeC {\u U}" "Ŭ" :string)
+(merge-rule "\IeC {\v c}" "č" :string)
+(merge-rule "\IeC {\v C}" "Č" :string)
+(merge-rule "\IeC {\v d}" "ď" :string)
+(merge-rule "\IeC {\v D}" "Ď" :string)
+(merge-rule "\IeC {\v e}" "ě" :string)
+(merge-rule "\IeC {\v E}" "Ě" :string)
+(merge-rule "\IeC {\v l}" "ľ" :string)
+(merge-rule "\IeC {\v L}" "Ľ" :string)
+(merge-rule "\IeC {\v n}" "ň" :string)
+(merge-rule "\IeC {\v N}" "Ň" :string)
+(merge-rule "\IeC {\v r}" "ř" :string)
+(merge-rule "\IeC {\v R}" "Ř" :string)
+(merge-rule "\IeC {\v s}" "š" :string)
+(merge-rule "\IeC {\v S}" "Š" :string)
+(merge-rule "\IeC {\textasciicaron }" "ˇ" :string)
+(merge-rule "\IeC {\v t}" "ť" :string)
+(merge-rule "\IeC {\v T}" "Ť" :string)
+(merge-rule "\IeC {\v z}" "ž" :string)
+(merge-rule "\IeC {\v Z}" "Ž" :string)
+(merge-rule "\IeC {\'y}" "ý" :string)
+(merge-rule "\IeC {\'Y}" "Ý" :string)
+(merge-rule "\IeC {\~"y}" "ÿ" :string)
+(merge-rule "\IeC {\'z}" "ź" :string)
+(merge-rule "\IeC {\'Z}" "Ź" :string)
+(merge-rule "\IeC {\.z}" "ż" :string)
+(merge-rule "\IeC {\.Z}" "Ż" :string)
+;; letters not in Latin1, 2, 3 but available in TeX T1 font encoding
+(merge-rule "\IeC {\~"Y}" "Ÿ" :string)
+(merge-rule "\IeC {\NG }" "Ŋ" :string)
+(merge-rule "\IeC {\ng }" "ŋ" :string)
+(merge-rule "\IeC {\OE }" "Œ" :string)
+(merge-rule "\IeC {\oe }" "œ" :string)
+(merge-rule "\IeC {\IJ }" "Ĳ" :string)
+(merge-rule "\IeC {\ij }" "ĳ" :string)
+(merge-rule "\IeC {\j }" "ȷ" :string)
+(merge-rule "\IeC {\SS }" "ẞ" :string)
diff -pruN 1.21.2-1/doc/pdf/LatinRules.xdy 1.21.3-1/doc/pdf/LatinRules.xdy
--- 1.21.2-1/doc/pdf/LatinRules.xdy	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/LatinRules.xdy	2021-01-01 06:53:29.000000000 +0000
@@ -0,0 +1,607 @@
+;; style file for xindy
+;; filename: LatinRules.xdy
+;;
+;; It is based upon xindy's files lang/general/utf8.xdy and
+;; lang/general/utf8-lang.xdy which implement
+;; "a general sorting order for Western European languages"
+;;
+;; The aim for Sphinx is to be able to index in a Cyrillic document
+;; also terms using the Latin alphabets, inclusive of letters
+;; with diacritics.  To this effect the xindy rules from lang/general
+;; got manually re-coded to avoid collisions with the encoding
+;; done by xindy for sorting words in Cyrillic languages, which was
+;; observed not to use bytes with octal encoding 0o266 or higher.
+;;
+;; So here we use only 0o266 or higher bytes.
+;; (Ŋ, ŋ, Ĳ, and ĳ are absent from
+;; lang/general/utf8.xdy and not included here)
+;; Contributed by the Sphinx team, 2018.
+
+(define-letter-group "A" :prefixes (""))
+(define-letter-group "B" :after "A" :prefixes (""))
+(define-letter-group "C" :after "B" :prefixes (""))
+(define-letter-group "D" :after "C" :prefixes (""))
+(define-letter-group "E" :after "D" :prefixes (""))
+(define-letter-group "F" :after "E" :prefixes (""))
+(define-letter-group "G" :after "F" :prefixes (""))
+(define-letter-group "H" :after "G" :prefixes (""))
+(define-letter-group "I" :after "H" :prefixes (""))
+(define-letter-group "J" :after "I" :prefixes (""))
+(define-letter-group "K" :after "J" :prefixes (""))
+(define-letter-group "L" :after "K" :prefixes (""))
+(define-letter-group "M" :after "L" :prefixes (""))
+(define-letter-group "N" :after "M" :prefixes (""))
+(define-letter-group "O" :after "N" :prefixes (""))
+(define-letter-group "P" :after "O" :prefixes (""))
+(define-letter-group "Q" :after "P" :prefixes (""))
+(define-letter-group "R" :after "Q" :prefixes (""))
+(define-letter-group "S" :after "R" :prefixes (""))
+(define-letter-group "T" :after "S" :prefixes (""))
+(define-letter-group "U" :after "T" :prefixes (""))
+(define-letter-group "V" :after "U" :prefixes (""))
+(define-letter-group "W" :after "V" :prefixes (""))
+(define-letter-group "X" :after "W" :prefixes (""))
+(define-letter-group "Y" :after "X" :prefixes (""))
+(define-letter-group "Z" :after "Y" :prefixes (""))
+
+(define-rule-set "sphinx-xy-alphabetize"
+
+  :rules  (("À" "" :string)
+           ("Ă" "" :string)
+           ("â" "" :string)
+           ("Ä" "" :string)
+           ("à" "" :string)
+           ("Å" "" :string)
+           ("Ã" "" :string)
+           ("Á" "" :string)
+           ("á" "" :string)
+           ("ã" "" :string)
+           ("Â" "" :string)
+           ("ă" "" :string)
+           ("å" "" :string)
+           ("ą" "" :string)
+           ("ä" "" :string)
+           ("Ą" "" :string)
+           ("æ" "" :string)
+           ("Æ" "" :string)
+           ("ć" "" :string)
+           ("ĉ" "" :string)
+           ("ç" "" :string)
+           ("Č" "" :string)
+           ("č" "" :string)
+           ("Ĉ" "" :string)
+           ("Ç" "" :string)
+           ("Ć" "" :string)
+           ("ď" "" :string)
+           ("Đ" "" :string)
+           ("Ď" "" :string)
+           ("đ" "" :string)
+           ("ê" "" :string)
+           ("Ę" "" :string)
+           ("Ě" "" :string)
+           ("ë" "" :string)
+           ("ě" "" :string)
+           ("é" "" :string)
+           ("È" "" :string)
+           ("Ë" "" :string)
+           ("É" "" :string)
+           ("è" "" :string)
+           ("Ê" "" :string)
+           ("ę" "" :string)
+           ("ĝ" "" :string)
+           ("ğ" "" :string)
+           ("Ğ" "" :string)
+           ("Ĝ" "" :string)
+           ("ĥ" "" :string)
+           ("Ĥ" "" :string)
+           ("Ï" "" :string)
+           ("Í" "" :string)
+           ("ï" "" :string)
+           ("Î" "" :string)
+           ("î" "" :string)
+           ("ı" "" :string)
+           ("İ" "" :string)
+           ("í" "" :string)
+           ("Ì" "" :string)
+           ("ì" "" :string)
+           ("Ĵ" "" :string)
+           ("ĵ" "" :string)
+           ("ł" "" :string)
+           ("Ł" "" :string)
+           ("ľ" "" :string)
+           ("Ľ" "" :string)
+           ("ń" "" :string)
+           ("Ń" "" :string)
+           ("ñ" "" :string)
+           ("ň" "" :string)
+           ("Ñ" "" :string)
+           ("Ň" "" :string)
+           ("Õ" "" :string)
+           ("Ő" "" :string)
+           ("ó" "" :string)
+           ("ö" "" :string)
+           ("ô" "" :string)
+           ("ő" "" :string)
+           ("Ø" "" :string)
+           ("Ö" "" :string)
+           ("õ" "" :string)
+           ("Ô" "" :string)
+           ("ø" "" :string)
+           ("Ó" "" :string)
+           ("Ò" "" :string)
+           ("ò" "" :string)
+           ("œ" "ĺ" :string)
+           ("Œ" "ĺ" :string)
+           ("Ř" "" :string)
+           ("ř" "" :string)
+           ("Ŕ" "" :string)
+           ("ŕ" "" :string)
+           ("ŝ" "" :string)
+           ("Ś" "" :string)
+           ("ș" "" :string)
+           ("ş" "" :string)
+           ("Ŝ" "" :string)
+           ("ś" "" :string)
+           ("Ș" "" :string)
+           ("š" "" :string)
+           ("Ş" "" :string)
+           ("Š" "" :string)
+           ("ß" "" :string)
+           ("Ț" "" :string)
+           ("Ť" "" :string)
+           ("ț" "" :string)
+           ("ť" "" :string)
+           ("û" "" :string)
+           ("ŭ" "" :string)
+           ("ů" "" :string)
+           ("ű" "" :string)
+           ("ù" "" :string)
+           ("Ŭ" "" :string)
+           ("Ù" "" :string)
+           ("Ű" "" :string)
+           ("Ü" "" :string)
+           ("Ů" "" :string)
+           ("ú" "" :string)
+           ("Ú" "" :string)
+           ("Û" "" :string)
+           ("ü" "" :string)
+           ("ÿ" "" :string)
+           ("Ý" "" :string)
+           ("Ÿ" "" :string)
+           ("ý" "" :string)
+           ("Ż" "" :string)
+           ("Ž" "" :string)
+           ("Ź" "" :string)
+           ("ž" "" :string)
+           ("ż" "" :string)
+           ("ź" "" :string)
+           ("a" "" :string)
+           ("A" "" :string)
+           ("b" "" :string)
+           ("B" "" :string)
+           ("c" "" :string)
+           ("C" "" :string)
+           ("d" "" :string)
+           ("D" "" :string)
+           ("e" "" :string)
+           ("E" "" :string)
+           ("F" "" :string)
+           ("f" "" :string)
+           ("G" "" :string)
+           ("g" "" :string)
+           ("H" "" :string)
+           ("h" "" :string)
+           ("i" "" :string)
+           ("I" "" :string)
+           ("J" "" :string)
+           ("j" "" :string)
+           ("K" "" :string)
+           ("k" "" :string)
+           ("L" "" :string)
+           ("l" "" :string)
+           ("M" "" :string)
+           ("m" "" :string)
+           ("n" "" :string)
+           ("N" "" :string)
+           ("O" "" :string)
+           ("o" "" :string)
+           ("p" "" :string)
+           ("P" "" :string)
+           ("Q" "" :string)
+           ("q" "" :string)
+           ("r" "" :string)
+           ("R" "" :string)
+           ("S" "" :string)
+           ("s" "" :string)
+           ("t" "" :string)
+           ("T" "" :string)
+           ("u" "" :string)
+           ("U" "" :string)
+           ("v" "" :string)
+           ("V" "" :string)
+           ("W" "" :string)
+           ("w" "" :string)
+           ("x" "" :string)
+           ("X" "" :string)
+           ("Y" "" :string)
+           ("y" "" :string)
+           ("z" "" :string)
+           ("Z" "" :string)
+           ))
+
+(define-rule-set "sphinx-xy-resolve-diacritics"
+
+  :rules  (("Ĥ" "" :string)
+           ("ó" "" :string)
+           ("ľ" "" :string)
+           ("Ř" "" :string)
+           ("ĝ" "" :string)
+           ("ď" "" :string)
+           ("Ě" "" :string)
+           ("ĥ" "" :string)
+           ("Č" "" :string)
+           ("Ĵ" "" :string)
+           ("ě" "" :string)
+           ("ž" "" :string)
+           ("Ď" "" :string)
+           ("ř" "" :string)
+           ("Ž" "" :string)
+           ("ı" "" :string)
+           ("Ť" "" :string)
+           ("á" "" :string)
+           ("č" "" :string)
+           ("Á" "" :string)
+           ("ň" "" :string)
+           ("Š" "" :string)
+           ("Ň" "" :string)
+           ("ĵ" "" :string)
+           ("ť" "" :string)
+           ("Ó" "" :string)
+           ("ý" "" :string)
+           ("Ĝ" "" :string)
+           ("Ú" "" :string)
+           ("Ľ" "" :string)
+           ("š" "" :string)
+           ("Ý" "" :string)
+           ("ú" "" :string)
+           ("Ś" "" :string)
+           ("ć" "" :string)
+           ("Ł" "" :string)
+           ("ł" "" :string)
+           ("ń" "" :string)
+           ("À" "" :string)
+           ("Ź" "" :string)
+           ("à" "" :string)
+           ("Ń" "" :string)
+           ("Đ" "" :string)
+           ("ÿ" "" :string)
+           ("ś" "" :string)
+           ("Ğ" "" :string)
+           ("ğ" "" :string)
+           ("Ù" "" :string)
+           ("İ" "" :string)
+           ("đ" "" :string)
+           ("ù" "" :string)
+           ("Ț" "" :string)
+           ("é" "" :string)
+           ("ŕ" "" :string)
+           ("Ć" "" :string)
+           ("ț" "" :string)
+           ("ò" "" :string)
+           ("ź" "" :string)
+           ("Ò" "" :string)
+           ("Ÿ" "" :string)
+           ("Ŕ" "" :string)
+           ("É" "" :string)
+           ("ĉ" "" :string)
+           ("ô" "" :string)
+           ("Í" "" :string)
+           ("ŝ" "" :string)
+           ("Ż" "" :string)
+           ("Ă" "" :string)
+           ("Ŝ" "" :string)
+           ("ñ" "" :string)
+           ("ŭ" "" :string)
+           ("í" "" :string)
+           ("È" "" :string)
+           ("Ô" "" :string)
+           ("Ŭ" "" :string)
+           ("ż" "" :string)
+           ("Ñ" "" :string)
+           ("è" "" :string)
+           ("Ĉ" "" :string)
+           ("ă" "" :string)
+           ("â" "" :string)
+           ("û" "" :string)
+           ("ê" "" :string)
+           ("Õ" "" :string)
+           ("õ" "" :string)
+           ("ș" "" :string)
+           ("ç" "" :string)
+           ("Â" "" :string)
+           ("Ê" "" :string)
+           ("Û" "" :string)
+           ("Ç" "" :string)
+           ("ì" "" :string)
+           ("Ì" "" :string)
+           ("Ș" "" :string)
+           ("ö" "" :string)
+           ("Ö" "" :string)
+           ("ş" "" :string)
+           ("ů" "" :string)
+           ("ë" "" :string)
+           ("ã" "" :string)
+           ("î" "" :string)
+           ("Î" "" :string)
+           ("Ã" "" :string)
+           ("Ş" "" :string)
+           ("Ů" "" :string)
+           ("Ë" "" :string)
+           ("ï" "" :string)
+           ("Ő" "" :string)
+           ("Ï" "" :string)
+           ("Ę" "" :string)
+           ("ő" "" :string)
+           ("Ü" "" :string)
+           ("Å" "" :string)
+           ("ü" "" :string)
+           ("ę" "" :string)
+           ("å" "" :string)
+           ("Ä" "" :string)
+           ("ű" "" :string)
+           ("Ø" "" :string)
+           ("ø" "" :string)
+           ("Ű" "" :string)
+           ("ä" "" :string)
+           ("Ą" "" :string)
+           ("ą" "" :string)
+           ("œ" "" :string)
+           ("ß" "" :string)
+           ("Æ" "" :string)
+           ("Œ" "" :string)
+           ("æ" "" :string)
+           ("e" "" :string)
+           ("t" "" :string)
+           ("L" "" :string)
+           ("Y" "" :string)
+           ("J" "" :string)
+           ("a" "" :string)
+           ("p" "" :string)
+           ("u" "" :string)
+           ("j" "" :string)
+           ("b" "" :string)
+           ("G" "" :string)
+           ("U" "" :string)
+           ("F" "" :string)
+           ("H" "" :string)
+           ("i" "" :string)
+           ("z" "" :string)
+           ("c" "" :string)
+           ("l" "" :string)
+           ("A" "" :string)
+           ("Q" "" :string)
+           ("w" "" :string)
+           ("D" "" :string)
+           ("R" "" :string)
+           ("d" "" :string)
+           ("s" "" :string)
+           ("r" "" :string)
+           ("k" "" :string)
+           ("v" "" :string)
+           ("m" "" :string)
+           ("P" "" :string)
+           ("y" "" :string)
+           ("K" "" :string)
+           ("q" "" :string)
+           ("S" "" :string)
+           ("I" "" :string)
+           ("C" "" :string)
+           ("M" "" :string)
+           ("Z" "" :string)
+           ("T" "" :string)
+           ("W" "" :string)
+           ("B" "" :string)
+           ("h" "" :string)
+           ("x" "" :string)
+           ("X" "" :string)
+           ("f" "" :string)
+           ("E" "" :string)
+           ("V" "" :string)
+           ("N" "" :string)
+           ("O" "" :string)
+           ("o" "" :string)
+           ("g" "" :string)
+           ("n" "" :string)
+           ))
+
+(define-rule-set "sphinx-xy-resolve-case"
+
+  :rules  (("Ú" "8" :string)
+           ("Ÿ" "8" :string)
+           ("Ç" "8" :string)
+           ("Ĉ" "8" :string)
+           ("Ŕ" "8" :string)
+           ("Ľ" "8" :string)
+           ("Ů" "8" :string)
+           ("Ý" "8" :string)
+           ("É" "8" :string)
+           ("Ë" "8" :string)
+           ("Ș" "8" :string)
+           ("Ì" "8" :string)
+           ("Ê" "8" :string)
+           ("Ň" "8" :string)
+           ("Ą" "8" :string)
+           ("Š" "8" :string)
+           ("Û" "8" :string)
+           ("Ş" "8" :string)
+           ("Ć" "8" :string)
+           ("Ò" "8" :string)
+           ("Ĝ" "8" :string)
+           ("Ñ" "8" :string)
+           ("Ó" "8" :string)
+           ("Î" "8" :string)
+           ("Á" "8" :string)
+           ("Ã" "8" :string)
+           ("Ț" "8" :string)
+           ("Å" "8" :string)
+           ("Ğ" "8" :string)
+           ("Ü" "8" :string)
+           ("È" "8" :string)
+           ("Ô" "8" :string)
+           ("İ" "8" :string)
+           ("Ű" "8" :string)
+           ("Ù" "8" :string)
+           ("Ŭ" "8" :string)
+           ("Â" "8" :string)
+           ("Ť" "8" :string)
+           ("Ń" "8" :string)
+           ("Ď" "8" :string)
+           ("Ź" "8" :string)
+           ("Ž" "8" :string)
+           ("Đ" "8" :string)
+           ("Ŝ" "8" :string)
+           ("Č" "8" :string)
+           ("Ĵ" "8" :string)
+           ("Ö" "8" :string)
+           ("Ø" "8" :string)
+           ("Ż" "8" :string)
+           ("Ł" "8" :string)
+           ("Ă" "8" :string)
+           ("Ě" "8" :string)
+           ("Ő" "8" :string)
+           ("Õ" "8" :string)
+           ("Ę" "8" :string)
+           ("Ï" "8" :string)
+           ("À" "8" :string)
+           ("Ĥ" "8" :string)
+           ("Ä" "8" :string)
+           ("Ś" "8" :string)
+           ("Ř" "8" :string)
+           ("Í" "8" :string)
+           ("Œ" "89" :string)
+           ("Æ" "89" :string)
+           ("ì" "9" :string)
+           ("è" "9" :string)
+           ("ą" "9" :string)
+           ("š" "9" :string)
+           ("ú" "9" :string)
+           ("å" "9" :string)
+           ("ă" "9" :string)
+           ("ę" "9" :string)
+           ("ü" "9" :string)
+           ("ź" "9" :string)
+           ("ò" "9" :string)
+           ("ť" "9" :string)
+           ("ț" "9" :string)
+           ("ĵ" "9" :string)
+           ("ŕ" "9" :string)
+           ("ż" "9" :string)
+           ("ä" "9" :string)
+           ("ý" "9" :string)
+           ("ù" "9" :string)
+           ("á" "9" :string)
+           ("é" "9" :string)
+           ("č" "9" :string)
+           ("ň" "9" :string)
+           ("ś" "9" :string)
+           ("ø" "9" :string)
+           ("í" "9" :string)
+           ("đ" "9" :string)
+           ("ı" "9" :string)
+           ("ğ" "9" :string)
+           ("î" "9" :string)
+           ("ã" "9" :string)
+           ("à" "9" :string)
+           ("ř" "9" :string)
+           ("ő" "9" :string)
+           ("ů" "9" :string)
+           ("ș" "9" :string)
+           ("ÿ" "9" :string)
+           ("ë" "9" :string)
+           ("ŭ" "9" :string)
+           ("ç" "9" :string)
+           ("ű" "9" :string)
+           ("ñ" "9" :string)
+           ("õ" "9" :string)
+           ("ě" "9" :string)
+           ("ş" "9" :string)
+           ("ž" "9" :string)
+           ("ĝ" "9" :string)
+           ("ŝ" "9" :string)
+           ("ń" "9" :string)
+           ("û" "9" :string)
+           ("ł" "9" :string)
+           ("ď" "9" :string)
+           ("ĥ" "9" :string)
+           ("ê" "9" :string)
+           ("ô" "9" :string)
+           ("ĉ" "9" :string)
+           ("â" "9" :string)
+           ("ć" "9" :string)
+           ("ï" "9" :string)
+           ("ö" "9" :string)
+           ("ľ" "9" :string)
+           ("ó" "9" :string)
+           ("æ" "99" :string)
+           ("ß" "99" :string)
+           ("œ" "99" :string)
+           ("N" "8" :string)
+           ("V" "8" :string)
+           ("O" "8" :string)
+           ("X" "8" :string)
+           ("E" "8" :string)
+           ("P" "8" :string)
+           ("K" "8" :string)
+           ("T" "8" :string)
+           ("Z" "8" :string)
+           ("M" "8" :string)
+           ("C" "8" :string)
+           ("I" "8" :string)
+           ("S" "8" :string)
+           ("B" "8" :string)
+           ("W" "8" :string)
+           ("D" "8" :string)
+           ("R" "8" :string)
+           ("H" "8" :string)
+           ("F" "8" :string)
+           ("Q" "8" :string)
+           ("A" "8" :string)
+           ("G" "8" :string)
+           ("U" "8" :string)
+           ("J" "8" :string)
+           ("Y" "8" :string)
+           ("L" "8" :string)
+           ("o" "9" :string)
+           ("n" "9" :string)
+           ("g" "9" :string)
+           ("x" "9" :string)
+           ("f" "9" :string)
+           ("y" "9" :string)
+           ("q" "9" :string)
+           ("h" "9" :string)
+           ("w" "9" :string)
+           ("s" "9" :string)
+           ("d" "9" :string)
+           ("v" "9" :string)
+           ("k" "9" :string)
+           ("r" "9" :string)
+           ("m" "9" :string)
+           ("z" "9" :string)
+           ("c" "9" :string)
+           ("i" "9" :string)
+           ("l" "9" :string)
+           ("b" "9" :string)
+           ("j" "9" :string)
+           ("a" "9" :string)
+           ("p" "9" :string)
+           ("u" "9" :string)
+           ("t" "9" :string)
+           ("e" "9" :string)
+           ))
+
+(use-rule-set :run 0
+	      :rule-set ("sphinx-xy-alphabetize"))
+(use-rule-set :run 1
+	      :rule-set ("sphinx-xy-resolve-diacritics"))
+(use-rule-set :run 2
+	      :rule-set ("sphinx-xy-resolve-case"))
Binary files 1.21.2-1/doc/pdf/admin.pdf and 1.21.3-1/doc/pdf/admin.pdf differ
diff -pruN 1.21.2-1/doc/pdf/admin.tex 1.21.3-1/doc/pdf/admin.tex
--- 1.21.2-1/doc/pdf/admin.tex	2023-08-14 16:24:58.000000000 +0000
+++ 1.21.3-1/doc/pdf/admin.tex	2024-06-26 20:01:46.000000000 +0000
@@ -4,35 +4,48 @@
 \ifdefined\pdfpxdimen
    \let\sphinxpxdimen\pdfpxdimen\else\newdimen\sphinxpxdimen
 \fi \sphinxpxdimen=.75bp\relax
+\ifdefined\pdfimageresolution
+    \pdfimageresolution= \numexpr \dimexpr1in\relax/\sphinxpxdimen\relax
+\fi
+%% let collapsible pdf bookmarks panel have high depth per default
+\PassOptionsToPackage{bookmarksdepth=5}{hyperref}
 
+\PassOptionsToPackage{warn}{textcomp}
 \usepackage[utf8]{inputenc}
 \ifdefined\DeclareUnicodeCharacter
- \ifdefined\DeclareUnicodeCharacterAsOptional
-  \DeclareUnicodeCharacter{"00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{"2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{"2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{"2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{"251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{"2572}{\textbackslash}
- \else
-  \DeclareUnicodeCharacter{00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{2572}{\textbackslash}
- \fi
+% support both utf8 and utf8x syntaxes
+  \ifdefined\DeclareUnicodeCharacterAsOptional
+    \def\sphinxDUC#1{\DeclareUnicodeCharacter{"#1}}
+  \else
+    \let\sphinxDUC\DeclareUnicodeCharacter
+  \fi
+  \sphinxDUC{00A0}{\nobreakspace}
+  \sphinxDUC{2500}{\sphinxunichar{2500}}
+  \sphinxDUC{2502}{\sphinxunichar{2502}}
+  \sphinxDUC{2514}{\sphinxunichar{2514}}
+  \sphinxDUC{251C}{\sphinxunichar{251C}}
+  \sphinxDUC{2572}{\textbackslash}
 \fi
 \usepackage{cmap}
 \usepackage[T1]{fontenc}
 \usepackage{amsmath,amssymb,amstext}
 \usepackage{babel}
-\usepackage{times}
+
+
+
+\usepackage{tgtermes}
+\usepackage{tgheros}
+\renewcommand{\ttdefault}{txtt}
+
+
+
 \usepackage[Bjarne]{fncychap}
-\usepackage[dontkeepoldnames]{sphinx}
+\usepackage{sphinx}
 
+\fvset{fontsize=auto}
 \usepackage{geometry}
 
+
 % Include hyperref last.
 \usepackage{hyperref}
 % Fix anchor placement for figures with captions.
@@ -40,43 +53,39 @@
 % Set up styles of URL: it should be placed after hyperref.
 \urlstyle{same}
 
-\addto\captionsenglish{\renewcommand{\figurename}{Fig.}}
-\addto\captionsenglish{\renewcommand{\tablename}{Table}}
-\addto\captionsenglish{\renewcommand{\literalblockname}{Listing}}
-
-\addto\captionsenglish{\renewcommand{\literalblockcontinuedname}{continued from previous page}}
-\addto\captionsenglish{\renewcommand{\literalblockcontinuesname}{continues on next page}}
-
-\addto\extrasenglish{\def\pageautorefname{page}}
 
+\usepackage{sphinxmessages}
 \setcounter{tocdepth}{0}
 
 
 
 \title{Kerberos Administration Guide}
 \date{ }
-\release{1.21.2}
+\release{1.21.3}
 \author{MIT}
 \newcommand{\sphinxlogo}{\vbox{}}
 \renewcommand{\releasename}{Release}
 \makeindex
-
 \begin{document}
 
-\maketitle
+\pagestyle{empty}
+\sphinxmaketitle
+\pagestyle{plain}
 \sphinxtableofcontents
+\pagestyle{normal}
 \phantomsection\label{\detokenize{admin/index::doc}}
 
 
 
 \chapter{Installation guide}
-\label{\detokenize{admin/install:for-administrators}}\label{\detokenize{admin/install::doc}}\label{\detokenize{admin/install:installation-guide}}
+\label{\detokenize{admin/install:installation-guide}}\label{\detokenize{admin/install::doc}}
 
 \section{Contents}
 \label{\detokenize{admin/install:contents}}
 
 \subsection{Installing KDCs}
 \label{\detokenize{admin/install_kdc:installing-kdcs}}\label{\detokenize{admin/install_kdc::doc}}
+\sphinxAtStartPar
 When setting up Kerberos in a production environment, it is best to
 have multiple replica KDCs alongside with a primary KDC to ensure the
 continued availability of the Kerberized services.  Each KDC contains
@@ -84,7 +93,7 @@ a copy of the Kerberos database.  The pr
 writable copy of the realm database, which it replicates to the
 replica KDCs at regular intervals.  All database changes (such as
 password changes) are made on the primary KDC.  Replica KDCs provide
-Kerberos ticket-granting services, but not database administration,
+Kerberos ticket\sphinxhyphen{}granting services, but not database administration,
 when the primary KDC is unavailable.  MIT recommends that you install
 all of your KDCs to be able to function as either the primary or one
 of the replicas.  This will enable you to easily switch your primary
@@ -94,11 +103,13 @@ on that recommendation.
 
 \begin{sphinxadmonition}{warning}{Warning:}\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 The Kerberos system relies on the availability of correct time
 information.  Ensure that the primary and all replica KDCs have
 properly synchronized clocks.
 
 \item {} 
+\sphinxAtStartPar
 It is best to install and run KDCs on secured and dedicated
 hardware with limited access.  If your KDC is also a file
 server, FTP server, Web server, or even just a client machine,
@@ -112,14 +123,15 @@ database.
 
 \subsubsection{Install and configure the primary KDC}
 \label{\detokenize{admin/install_kdc:install-and-configure-the-primary-kdc}}
-Install Kerberos either from the OS-provided packages or from the
+\sphinxAtStartPar
+Install Kerberos either from the OS\sphinxhyphen{}provided packages or from the
 source (See \DUrole{xref,std,std-ref}{do\_build}).
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 For the purpose of this document we will use the following
 names:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kerberos}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}    \PYG{o}{\PYGZhy{}} \PYG{n}{primary} \PYG{n}{KDC}
 \PYG{n}{kerberos}\PYG{o}{\PYGZhy{}}\PYG{l+m+mf}{1.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}  \PYG{o}{\PYGZhy{}} \PYG{n}{replica} \PYG{n}{KDC}
@@ -128,6 +140,7 @@ names:
 \PYG{n}{admin}\PYG{o}{/}\PYG{n}{admin}         \PYG{o}{\PYGZhy{}} \PYG{n}{admin} \PYG{n}{principal}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 See {\hyperref[\detokenize{mitK5defaults:mitk5defaults}]{\sphinxcrossref{\DUrole{std,std-ref}{MIT Kerberos defaults}}}} for the default names and locations
 of the relevant to this topic files.  Adjust the names and
 paths to your system environment.
@@ -136,23 +149,25 @@ paths to your system environment.
 
 \subsubsection{Edit KDC configuration files}
 \label{\detokenize{admin/install_kdc:edit-kdc-configuration-files}}
+\sphinxAtStartPar
 Modify the configuration files, {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} and
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}, to reflect the correct information (such as
-domain-realm mappings and Kerberos servers names) for your realm.
+domain\sphinxhyphen{}realm mappings and Kerberos servers names) for your realm.
 (See {\hyperref[\detokenize{mitK5defaults:mitk5defaults}]{\sphinxcrossref{\DUrole{std,std-ref}{MIT Kerberos defaults}}}} for the recommended default locations for
 these files).
 
+\sphinxAtStartPar
 Most of the tags in the configuration have default values that will
 work well for most sites.  There are some tags in the
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} file whose values must be specified, and this
 section will explain those.
 
+\sphinxAtStartPar
 If the locations for these configuration files differs from the
 default ones, set \sphinxstylestrong{KRB5\_CONFIG} and \sphinxstylestrong{KRB5\_KDC\_PROFILE} environment
 variables to point to the krb5.conf and kdc.conf respectively.  For
 example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{export} \PYG{n}{KRB5\PYGZus{}CONFIG}\PYG{o}{=}\PYG{o}{/}\PYG{n}{yourdir}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{conf}
 \PYG{n}{export} \PYG{n}{KRB5\PYGZus{}KDC\PYGZus{}PROFILE}\PYG{o}{=}\PYG{o}{/}\PYG{n}{yourdir}\PYG{o}{/}\PYG{n}{kdc}\PYG{o}{.}\PYG{n}{conf}
@@ -161,6 +176,7 @@ example:
 
 \paragraph{krb5.conf}
 \label{\detokenize{admin/install_kdc:krb5-conf}}
+\sphinxAtStartPar
 If you are not using DNS TXT records (see {\hyperref[\detokenize{admin/realm_config:mapping-hostnames}]{\sphinxcrossref{\DUrole{std,std-ref}{Mapping hostnames onto Kerberos realms}}}}),
 you must specify the \sphinxstylestrong{default\_realm} in the {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}}
 section.  If you are not using DNS URI or SRV records (see
@@ -170,9 +186,9 @@ communicate with the kadmin server in ea
 tag must be set in the
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} section.
 
+\sphinxAtStartPar
 An example krb5.conf file:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{libdefaults}\PYG{p}{]}
     \PYG{n}{default\PYGZus{}realm} \PYG{o}{=} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
@@ -188,13 +204,14 @@ An example krb5.conf file:
 
 \paragraph{kdc.conf}
 \label{\detokenize{admin/install_kdc:kdc-conf}}
+\sphinxAtStartPar
 The kdc.conf file can be used to control the listening ports of the
-KDC and kadmind, as well as realm-specific defaults, the database type
+KDC and kadmind, as well as realm\sphinxhyphen{}specific defaults, the database type
 and location, and logging.
 
+\sphinxAtStartPar
 An example kdc.conf file:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{kdcdefaults}\PYG{p}{]}
     \PYG{n}{kdc\PYGZus{}listen} \PYG{o}{=} \PYG{l+m+mi}{88}
@@ -222,10 +239,12 @@ An example kdc.conf file:
     \PYG{n}{default} \PYG{o}{=} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{var}\PYG{o}{/}\PYG{n}{log}\PYG{o}{/}\PYG{n}{krb5lib}\PYG{o}{.}\PYG{n}{log}
 \end{sphinxVerbatim}
 
-Replace \sphinxcode{ATHENA.MIT.EDU} and \sphinxcode{kerberos.mit.edu} with the name of
+\sphinxAtStartPar
+Replace \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} and \sphinxcode{\sphinxupquote{kerberos.mit.edu}} with the name of
 your Kerberos realm and server respectively.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 You have to have write permission on the target directories
 (these directories must exist) used by \sphinxstylestrong{database\_name},
 \sphinxstylestrong{key\_stash\_file}, and \sphinxstylestrong{acl\_file}.
@@ -234,16 +253,19 @@ You have to have write permission on the
 
 \subsubsection{Create the KDC database}
 \label{\detokenize{admin/install_kdc:create-the-kdc-database}}\label{\detokenize{admin/install_kdc:create-db}}
+\sphinxAtStartPar
 You will use the {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} command on the primary KDC to
 create the Kerberos database and the optional \DUrole{xref,std,std-ref}{stash\_definition}.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 If you choose not to install a stash file, the KDC will
 prompt you for the master key each time it starts up.  This
 means that the KDC will not be able to start automatically,
 such as after a system reboot.
 \end{sphinxadmonition}
 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} will prompt you for the master password for the
 Kerberos database.  This password can be any string.  A good password
 is one you can remember, but that no one else can guess.  Examples of
@@ -257,11 +279,11 @@ your source for Kerberos 5!”  (It’s
 substituting the numeral “4” for the word “for”, and includes the
 punctuation mark at the end.)
 
+\sphinxAtStartPar
 The following is an example of how to create a Kerberos database and
 stash file on the primary KDC, using the {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} command.
-Replace \sphinxcode{ATHENA.MIT.EDU} with the name of your Kerberos realm:
+Replace \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} with the name of your Kerberos realm:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kdb5\PYGZus{}util} \PYG{n}{create} \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{\PYGZhy{}}\PYG{n}{s}
 
@@ -274,43 +296,52 @@ Replace \sphinxcode{ATHENA.MIT.EDU} with
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
-This will create five files in {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc} (or at the locations specified
+\sphinxAtStartPar
+This will create five files in {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}} (or at the locations specified
 in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}):
 \begin{itemize}
 \item {} 
-two Kerberos database files, \sphinxcode{principal}, and \sphinxcode{principal.ok}
+\sphinxAtStartPar
+two Kerberos database files, \sphinxcode{\sphinxupquote{principal}}, and \sphinxcode{\sphinxupquote{principal.ok}}
 
 \item {} 
-the Kerberos administrative database file, \sphinxcode{principal.kadm5}
+\sphinxAtStartPar
+the Kerberos administrative database file, \sphinxcode{\sphinxupquote{principal.kadm5}}
 
 \item {} 
-the administrative database lock file, \sphinxcode{principal.kadm5.lock}
+\sphinxAtStartPar
+the administrative database lock file, \sphinxcode{\sphinxupquote{principal.kadm5.lock}}
 
 \item {} 
-the stash file, in this example \sphinxcode{.k5.ATHENA.MIT.EDU}.  If you do
-not want a stash file, run the above command without the \sphinxstylestrong{-s}
+\sphinxAtStartPar
+the stash file, in this example \sphinxcode{\sphinxupquote{.k5.ATHENA.MIT.EDU}}.  If you do
+not want a stash file, run the above command without the \sphinxstylestrong{\sphinxhyphen{}s}
 option.
 
 \end{itemize}
 
+\sphinxAtStartPar
 For more information on administrating Kerberos database see
 {\hyperref[\detokenize{admin/database:db-operations}]{\sphinxcrossref{\DUrole{std,std-ref}{Operations on the Kerberos database}}}}.
 
 
 \subsubsection{Add administrators to the ACL file}
 \label{\detokenize{admin/install_kdc:add-administrators-to-the-acl-file}}\label{\detokenize{admin/install_kdc:admin-acl}}
+\sphinxAtStartPar
 Next, you need create an Access Control List (ACL) file and put the
 Kerberos principal of at least one of the administrators into it.
 This file is used by the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} daemon to control which
 principals may view and make privileged modifications to the Kerberos
 database files.  The ACL filename is determined by the \sphinxstylestrong{acl\_file}
-variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}; the default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/kadm5.acl}.
+variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}; the default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kadm5.acl}}.
 
+\sphinxAtStartPar
 For more information on Kerberos ACL file see {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}}.
 
 
 \subsubsection{Add administrators to the Kerberos database}
 \label{\detokenize{admin/install_kdc:add-administrators-to-the-kerberos-database}}\label{\detokenize{admin/install_kdc:addadmin-kdb}}
+\sphinxAtStartPar
 Next you need to add administrative principals (i.e., principals who
 are allowed to administer Kerberos database) to the Kerberos database.
 You \sphinxstyleemphasis{must} add at least one principal now to allow communication
@@ -321,13 +352,14 @@ to be run on the primary KDC host withou
 authentication to an admin server; instead, it must have read and
 write access to the Kerberos database on the local filesystem.
 
+\sphinxAtStartPar
 The administrative principals you create should be the ones you added
 to the ACL file (see {\hyperref[\detokenize{admin/install_kdc:admin-acl}]{\sphinxcrossref{\DUrole{std,std-ref}{Add administrators to the ACL file}}}}).
 
-In the following example, the administrative principal \sphinxcode{admin/admin}
+\sphinxAtStartPar
+In the following example, the administrative principal \sphinxcode{\sphinxupquote{admin/admin}}
 is created:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kadmin}\PYG{o}{.}\PYG{n}{local}
 
@@ -344,30 +376,32 @@ is created:
 
 \subsubsection{Start the Kerberos daemons on the primary KDC}
 \label{\detokenize{admin/install_kdc:start-the-kerberos-daemons-on-the-primary-kdc}}\label{\detokenize{admin/install_kdc:start-kdc-daemons}}
+\sphinxAtStartPar
 At this point, you are ready to start the Kerberos KDC
 ({\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}}) and administrative daemons on the primary KDC.  To
 do so, type:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{krb5kdc}
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kadmind}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Each server daemon will fork and run in the background.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 Assuming you want these daemons to start up automatically at
-boot time, you can add them to the KDC’s \sphinxcode{/etc/rc} or
-\sphinxcode{/etc/inittab} file.  You need to have a
+boot time, you can add them to the KDC’s \sphinxcode{\sphinxupquote{/etc/rc}} or
+\sphinxcode{\sphinxupquote{/etc/inittab}} file.  You need to have a
 \DUrole{xref,std,std-ref}{stash\_definition} in order to do this.
 \end{sphinxadmonition}
 
+\sphinxAtStartPar
 You can verify that they started properly by checking for their
 startup messages in the logging locations you defined in
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} (see {\hyperref[\detokenize{admin/conf_files/kdc_conf:logging}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}logging{]}}}}}).  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{tail} \PYG{o}{/}\PYG{n}{var}\PYG{o}{/}\PYG{n}{log}\PYG{o}{/}\PYG{n}{krb5kdc}\PYG{o}{.}\PYG{n}{log}
 \PYG{n}{Dec} \PYG{l+m+mi}{02} \PYG{l+m+mi}{12}\PYG{p}{:}\PYG{l+m+mi}{35}\PYG{p}{:}\PYG{l+m+mi}{47} \PYG{n}{beeblebrox} \PYG{n}{krb5kdc}\PYG{p}{[}\PYG{l+m+mi}{3187}\PYG{p}{]}\PYG{p}{(}\PYG{n}{info}\PYG{p}{)}\PYG{p}{:} \PYG{n}{commencing} \PYG{n}{operation}
@@ -375,14 +409,15 @@ startup messages in the logging location
 \PYG{n}{Dec} \PYG{l+m+mi}{02} \PYG{l+m+mi}{12}\PYG{p}{:}\PYG{l+m+mi}{35}\PYG{p}{:}\PYG{l+m+mi}{52} \PYG{n}{beeblebrox} \PYG{n}{kadmind}\PYG{p}{[}\PYG{l+m+mi}{3189}\PYG{p}{]}\PYG{p}{(}\PYG{n}{info}\PYG{p}{)}\PYG{p}{:} \PYG{n}{starting}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Any errors the daemons encounter while starting will also be listed in
 the logging output.
 
+\sphinxAtStartPar
 As an additional verification, check if \DUrole{xref,std,std-ref}{kinit(1)} succeeds
 against the principals that you have created on the previous step
 ({\hyperref[\detokenize{admin/install_kdc:addadmin-kdb}]{\sphinxcrossref{\DUrole{std,std-ref}{Add administrators to the Kerberos database}}}}).  Run:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kinit} \PYG{n}{admin}\PYG{o}{/}\PYG{n}{admin}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \end{sphinxVerbatim}
@@ -390,9 +425,11 @@ against the principals that you have cre
 
 \subsubsection{Install the replica KDCs}
 \label{\detokenize{admin/install_kdc:install-the-replica-kdcs}}
+\sphinxAtStartPar
 You are now ready to start configuring the replica KDCs.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 Assuming you are setting the KDCs up so that you can easily
 switch the primary KDC with one of the replicas, you should
 perform each of these steps on the primary KDC as well as
@@ -403,17 +440,18 @@ otherwise.
 
 \paragraph{Create host keytabs for replica KDCs}
 \label{\detokenize{admin/install_kdc:create-host-keytabs-for-replica-kdcs}}\label{\detokenize{admin/install_kdc:replica-host-key}}
-Each KDC needs a \sphinxcode{host} key in the Kerberos database.  These keys
+\sphinxAtStartPar
+Each KDC needs a \sphinxcode{\sphinxupquote{host}} key in the Kerberos database.  These keys
 are used for mutual authentication when propagating the database dump
 file from the primary KDC to the secondary KDC servers.
 
+\sphinxAtStartPar
 On the primary KDC, connect to administrative interface and create the
-host principal for each of the KDCs’ \sphinxcode{host} services.  For example,
-if the primary KDC were called \sphinxcode{kerberos.mit.edu}, and you had a
-replica KDC named \sphinxcode{kerberos-1.mit.edu}, you would type the
+host principal for each of the KDCs’ \sphinxcode{\sphinxupquote{host}} services.  For example,
+if the primary KDC were called \sphinxcode{\sphinxupquote{kerberos.mit.edu}}, and you had a
+replica KDC named \sphinxcode{\sphinxupquote{kerberos\sphinxhyphen{}1.mit.edu}}, you would type the
 following:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kadmin}
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{addprinc} \PYG{o}{\PYGZhy{}}\PYG{n}{randkey} \PYG{n}{host}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
@@ -425,18 +463,19 @@ following:
 \PYG{n}{Principal} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{host/kerberos\PYGZhy{}1.mit.edu@ATHENA.MIT.EDU}\PYG{l+s+s2}{\PYGZdq{}} \PYG{n}{created}\PYG{o}{.}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 It is not strictly necessary to have the primary KDC server in the
 Kerberos database, but it can be handy if you want to be able to swap
 the primary KDC with one of the replicas.
 
-Next, extract \sphinxcode{host} random keys for all participating KDCs and
+\sphinxAtStartPar
+Next, extract \sphinxcode{\sphinxupquote{host}} random keys for all participating KDCs and
 store them in each host’s default keytab file.  Ideally, you should
 extract each keytab locally on its own KDC.  If this is not feasible,
 you should use an encrypted session to send them across the network.
 To extract a keytab directly on a replica KDC called
-\sphinxcode{kerberos-1.mit.edu}, you would execute the following command:
+\sphinxcode{\sphinxupquote{kerberos\sphinxhyphen{}1.mit.edu}}, you would execute the following command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{ktadd} \PYG{n}{host}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{\PYGZhy{}}\PYG{l+m+mf}{1.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
 \PYG{n}{Entry} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{host}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{\PYGZhy{}}\PYG{l+m+mf}{1.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{k}{with} \PYG{n}{kvno} \PYG{l+m+mi}{2}\PYG{p}{,} \PYG{n}{encryption}
@@ -449,11 +488,11 @@ To extract a keytab directly on a replic
     \PYG{n+nb}{type} \PYG{n}{arcfour}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac} \PYG{n}{added} \PYG{n}{to} \PYG{n}{keytab} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{keytab}\PYG{o}{.}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If you are instead extracting a keytab for the replica KDC called
-\sphinxcode{kerberos-1.mit.edu} on the primary KDC, you should use a dedicated
+\sphinxcode{\sphinxupquote{kerberos\sphinxhyphen{}1.mit.edu}} on the primary KDC, you should use a dedicated
 temporary keytab file for that machine’s keytab:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{ktadd} \PYG{o}{\PYGZhy{}}\PYG{n}{k} \PYG{o}{/}\PYG{n}{tmp}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{\PYGZhy{}}\PYG{l+m+mf}{1.}\PYG{n}{keytab} \PYG{n}{host}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{\PYGZhy{}}\PYG{l+m+mf}{1.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
 \PYG{n}{Entry} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{host}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{\PYGZhy{}}\PYG{l+m+mf}{1.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{k}{with} \PYG{n}{kvno} \PYG{l+m+mi}{2}\PYG{p}{,} \PYG{n}{encryption}
@@ -462,49 +501,57 @@ temporary keytab file for that machine
     \PYG{n+nb}{type} \PYG{n}{aes128}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{o}{\PYGZhy{}}\PYG{l+m+mi}{96} \PYG{n}{added} \PYG{n}{to} \PYG{n}{keytab} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{keytab}\PYG{o}{.}
 \end{sphinxVerbatim}
 
-The file \sphinxcode{/tmp/kerberos-1.keytab} can then be installed as
-\sphinxcode{/etc/krb5.keytab} on the host \sphinxcode{kerberos-1.mit.edu}.
+\sphinxAtStartPar
+The file \sphinxcode{\sphinxupquote{/tmp/kerberos\sphinxhyphen{}1.keytab}} can then be installed as
+\sphinxcode{\sphinxupquote{/etc/krb5.keytab}} on the host \sphinxcode{\sphinxupquote{kerberos\sphinxhyphen{}1.mit.edu}}.
 
 
 \paragraph{Configure replica KDCs}
 \label{\detokenize{admin/install_kdc:configure-replica-kdcs}}
+\sphinxAtStartPar
 Database propagation copies the contents of the primary’s database,
 but does not propagate configuration files, stash files, or the kadm5
 ACL file.  The following files must be copied by hand to each replica
 (see {\hyperref[\detokenize{mitK5defaults:mitk5defaults}]{\sphinxcrossref{\DUrole{std,std-ref}{MIT Kerberos defaults}}}} for the default locations for these files):
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 krb5.conf
 
 \item {} 
+\sphinxAtStartPar
 kdc.conf
 
 \item {} 
+\sphinxAtStartPar
 kadm5.acl
 
 \item {} 
+\sphinxAtStartPar
 master key stash file
 
 \end{itemize}
 
+\sphinxAtStartPar
 Move the copied files into their appropriate directories, exactly as
 on the primary KDC.  kadm5.acl is only needed to allow a replica to
 swap with the primary KDC.
 
+\sphinxAtStartPar
 The database is propagated from the primary KDC to the replica KDCs
 via the {\hyperref[\detokenize{admin/admin_commands/kpropd:kpropd-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kpropd}}}} daemon.  You must explicitly specify the
 principals which are allowed to provide Kerberos dump updates on the
 replica machine with a new database.  Create a file named kpropd.acl
-in the KDC state directory containing the \sphinxcode{host} principals for each
+in the KDC state directory containing the \sphinxcode{\sphinxupquote{host}} principals for each
 of the KDCs:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{host}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \PYG{n}{host}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{\PYGZhy{}}\PYG{l+m+mf}{1.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \end{sphinxVerbatim}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 If you expect that the primary and replica KDCs will be
 switched at some point of time, list the host principals
 from all participating KDC servers in kpropd.acl files on
@@ -513,64 +560,69 @@ primary KDC’s host principal in the kp
 replica KDCs.
 \end{sphinxadmonition}
 
-Then, add the following line to \sphinxcode{/etc/inetd.conf} on each KDC
+\sphinxAtStartPar
+Then, add the following line to \sphinxcode{\sphinxupquote{/etc/inetd.conf}} on each KDC
 (adjust the path to kpropd):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{krb5\PYGZus{}prop} \PYG{n}{stream} \PYG{n}{tcp} \PYG{n}{nowait} \PYG{n}{root} \PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{local}\PYG{o}{/}\PYG{n}{sbin}\PYG{o}{/}\PYG{n}{kpropd} \PYG{n}{kpropd}
 \end{sphinxVerbatim}
 
-You also need to add the following line to \sphinxcode{/etc/services} on each
+\sphinxAtStartPar
+You also need to add the following line to \sphinxcode{\sphinxupquote{/etc/services}} on each
 KDC, if it is not already present (assuming that the default port is
 used):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{krb5\PYGZus{}prop}       \PYG{l+m+mi}{754}\PYG{o}{/}\PYG{n}{tcp}               \PYG{c+c1}{\PYGZsh{} Kerberos replica propagation}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Restart inetd daemon.
 
-Alternatively, start {\hyperref[\detokenize{admin/admin_commands/kpropd:kpropd-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kpropd}}}} as a stand-alone daemon.  This is
+\sphinxAtStartPar
+Alternatively, start {\hyperref[\detokenize{admin/admin_commands/kpropd:kpropd-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kpropd}}}} as a stand\sphinxhyphen{}alone daemon.  This is
 required when incremental propagation is enabled.
 
+\sphinxAtStartPar
 Now that the replica KDC is able to accept database propagation,
 you’ll need to propagate the database from the primary server.
 
+\sphinxAtStartPar
 NOTE: Do not start the replica KDC yet; you still do not have a copy
 of the primary’s database.
 
 
 \paragraph{Propagate the database to each replica KDC}
-\label{\detokenize{admin/install_kdc:kprop-to-replicas}}\label{\detokenize{admin/install_kdc:propagate-the-database-to-each-replica-kdc}}
+\label{\detokenize{admin/install_kdc:propagate-the-database-to-each-replica-kdc}}\label{\detokenize{admin/install_kdc:kprop-to-replicas}}
+\sphinxAtStartPar
 First, create a dump file of the database on the primary KDC, as
 follows:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kdb5\PYGZus{}util} \PYG{n}{dump} \PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{local}\PYG{o}{/}\PYG{n}{var}\PYG{o}{/}\PYG{n}{krb5kdc}\PYG{o}{/}\PYG{n}{replica\PYGZus{}datatrans}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Then, manually propagate the database to each replica KDC, as in the
 following example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kprop} \PYG{o}{\PYGZhy{}}\PYG{n}{f} \PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{local}\PYG{o}{/}\PYG{n}{var}\PYG{o}{/}\PYG{n}{krb5kdc}\PYG{o}{/}\PYG{n}{replica\PYGZus{}datatrans} \PYG{n}{kerberos}\PYG{o}{\PYGZhy{}}\PYG{l+m+mf}{1.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
 
 \PYG{n}{Database} \PYG{n}{propagation} \PYG{n}{to} \PYG{n}{kerberos}\PYG{o}{\PYGZhy{}}\PYG{l+m+mf}{1.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}\PYG{p}{:} \PYG{n}{SUCCEEDED}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 You will need a script to dump and propagate the database. The
 following is an example of a Bourne shell script that will do this.
 
 \begin{sphinxadmonition}{note}{Note:}
-Remember that you need to replace \sphinxcode{/usr/local/var/krb5kdc}
+\sphinxAtStartPar
+Remember that you need to replace \sphinxcode{\sphinxupquote{/usr/local/var/krb5kdc}}
 with the name of the KDC state directory.
 \end{sphinxadmonition}
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZsh{}!/bin/sh
 
@@ -584,35 +636,42 @@ do
 done
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 You will need to set up a cron job to run this script at the intervals
 you decided on earlier (see {\hyperref[\detokenize{admin/realm_config:db-prop}]{\sphinxcrossref{\DUrole{std,std-ref}{Database propagation}}}}).
 
+\sphinxAtStartPar
 Now that the replica KDC has a copy of the Kerberos database, you can
 start the krb5kdc daemon:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{krb5kdc}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 As with the primary KDC, you will probably want to add this command to
-the KDCs’ \sphinxcode{/etc/rc} or \sphinxcode{/etc/inittab} files, so they will start
+the KDCs’ \sphinxcode{\sphinxupquote{/etc/rc}} or \sphinxcode{\sphinxupquote{/etc/inittab}} files, so they will start
 the krb5kdc daemon automatically at boot time.
 
 
 \subparagraph{Propagation failed?}
 \label{\detokenize{admin/install_kdc:propagation-failed}}
+\sphinxAtStartPar
 You may encounter the following error messages. For a more detailed
 discussion on possible causes and solutions click on the error link
 to be redirected to {\hyperref[\detokenize{admin/troubleshoot:troubleshoot}]{\sphinxcrossref{\DUrole{std,std-ref}{Troubleshooting}}}} section.
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/troubleshoot:kprop-no-route}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop: No route to host while connecting to server}}}}
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/troubleshoot:kprop-con-refused}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop: Connection refused while connecting to server}}}}
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/troubleshoot:kprop-sendauth-exchange}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop: Server rejected authentication (during sendauth exchange) while authenticating to server}}}}
 
 \end{enumerate}
@@ -620,11 +679,13 @@ to be redirected to {\hyperref[\detokeni
 
 \subsubsection{Add Kerberos principals to the database}
 \label{\detokenize{admin/install_kdc:add-kerberos-principals-to-the-database}}
+\sphinxAtStartPar
 Once your KDCs are set up and running, you are ready to use
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} to load principals for your users, hosts, and other
 services into the Kerberos database.  This procedure is described
 fully in {\hyperref[\detokenize{admin/database:principals}]{\sphinxcrossref{\DUrole{std,std-ref}{Principals}}}}.
 
+\sphinxAtStartPar
 You may occasionally want to use one of your replica KDCs as the
 primary.  This might happen if you are upgrading the primary KDC, or
 if your primary KDC has a disk crash.  See the following section for
@@ -632,41 +693,53 @@ the instructions.
 
 
 \subsubsection{Switching primary and replica KDCs}
-\label{\detokenize{admin/install_kdc:switch-primary-replica}}\label{\detokenize{admin/install_kdc:switching-primary-and-replica-kdcs}}
+\label{\detokenize{admin/install_kdc:switching-primary-and-replica-kdcs}}\label{\detokenize{admin/install_kdc:switch-primary-replica}}
+\sphinxAtStartPar
 You may occasionally want to use one of your replica KDCs as the
 primary.  This might happen if you are upgrading the primary KDC, or
 if your primary KDC has a disk crash.
 
+\sphinxAtStartPar
 Assuming you have configured all of your KDCs to be able to function
 as either the primary KDC or a replica KDC (as this document
 recommends), all you need to do to make the changeover is:
 
+\sphinxAtStartPar
 If the primary KDC is still running, do the following on the \sphinxstyleemphasis{old}
 primary KDC:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 Kill the kadmind process.
 
 \item {} 
+\sphinxAtStartPar
 Disable the cron job that propagates the database.
 
 \item {} 
+\sphinxAtStartPar
 Run your database propagation script manually, to ensure that the
 replicas all have the latest copy of the database (see
 {\hyperref[\detokenize{admin/install_kdc:kprop-to-replicas}]{\sphinxcrossref{\DUrole{std,std-ref}{Propagate the database to each replica KDC}}}}).
 
 \end{enumerate}
 
+\sphinxAtStartPar
 On the \sphinxstyleemphasis{new} primary KDC:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 Start the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} daemon (see {\hyperref[\detokenize{admin/install_kdc:start-kdc-daemons}]{\sphinxcrossref{\DUrole{std,std-ref}{Start the Kerberos daemons on the primary KDC}}}}).
 
 \item {} 
+\sphinxAtStartPar
 Set up the cron job to propagate the database (see
 {\hyperref[\detokenize{admin/install_kdc:kprop-to-replicas}]{\sphinxcrossref{\DUrole{std,std-ref}{Propagate the database to each replica KDC}}}}).
 
 \item {} 
+\sphinxAtStartPar
 Switch the CNAMEs of the old and new primary KDCs.  If you can’t do
 this, you’ll need to change the {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} file on every
 client machine in your Kerberos realm.
@@ -676,6 +749,7 @@ client machine in your Kerberos realm.
 
 \subsubsection{Incremental database propagation}
 \label{\detokenize{admin/install_kdc:incremental-database-propagation}}
+\sphinxAtStartPar
 If you expect your Kerberos database to become large, you may wish to
 set up incremental propagation to replica KDCs.  See
 {\hyperref[\detokenize{admin/database:incr-db-prop}]{\sphinxcrossref{\DUrole{std,std-ref}{Incremental database propagation}}}} for details.
@@ -683,25 +757,29 @@ set up incremental propagation to replic
 
 \subsection{Installing and configuring UNIX client machines}
 \label{\detokenize{admin/install_clients:installing-and-configuring-unix-client-machines}}\label{\detokenize{admin/install_clients::doc}}
+\sphinxAtStartPar
 The Kerberized client programs include \DUrole{xref,std,std-ref}{kinit(1)},
 \DUrole{xref,std,std-ref}{klist(1)}, \DUrole{xref,std,std-ref}{kdestroy(1)}, and \DUrole{xref,std,std-ref}{kpasswd(1)}.  All of
 these programs are in the directory {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{BINDIR}}}}.
 
+\sphinxAtStartPar
 You can often integrate Kerberos with the login system on client
 machines, typically through the use of PAM.  The details vary by
 operating system, and should be covered in your operating system’s
 documentation.  If you do this, you will need to make sure your users
 know to use their Kerberos passwords when they log in.
 
+\sphinxAtStartPar
 You will also need to educate your users to use the ticket management
 programs kinit, klist, and kdestroy.  If you do not have Kerberos
 password changing integrated into the native password program (again,
 typically through PAM), you will need to educate users to use kpasswd
-in place of its non-Kerberos counterparts passwd.
+in place of its non\sphinxhyphen{}Kerberos counterparts passwd.
 
 
 \subsubsection{Client machine configuration files}
 \label{\detokenize{admin/install_clients:client-machine-configuration-files}}
+\sphinxAtStartPar
 Each machine running Kerberos should have a {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} file.
 At a minimum, it should define a \sphinxstylestrong{default\_realm} setting in
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}}.  If you are not using DNS SRV records
@@ -709,6 +787,7 @@ At a minimum, it should define a \sphinx
 also contain a {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} section containing information for your
 realm’s KDCs.
 
+\sphinxAtStartPar
 Consider setting \sphinxstylestrong{rdns} to false in order to reduce your dependence
 on precisely correct DNS information for service hostnames.  Turning
 this flag off means that service hostnames will be canonicalized
@@ -717,20 +796,23 @@ unqualified hostnames, and resolves CNAM
 through reverse address lookup.  The default value of this flag is
 true for historical reasons only.
 
+\sphinxAtStartPar
 If you anticipate users frequently logging into remote hosts
 (e.g., using ssh) using forwardable credentials, consider setting
 \sphinxstylestrong{forwardable} to true so that users obtain forwardable tickets by
-default.  Otherwise users will need to use \sphinxcode{kinit -f} to get
+default.  Otherwise users will need to use \sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}f}} to get
 forwardable tickets.
 
+\sphinxAtStartPar
 Consider adjusting the \sphinxstylestrong{ticket\_lifetime} setting to match the likely
 length of sessions for your users.  For instance, if most of your
-users will be logging in for an eight-hour workday, you could set the
+users will be logging in for an eight\sphinxhyphen{}hour workday, you could set the
 default to ten hours so that tickets obtained in the morning expire
 shortly after the end of the workday.  Users can still manually
 request longer tickets when necessary, up to the maximum allowed by
 each user’s principal record on the KDC.
 
+\sphinxAtStartPar
 If a client host may access services in different realms, it may be
 useful to define a {\hyperref[\detokenize{admin/conf_files/krb5_conf:domain-realm}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}domain\_realm{]}}}}} mapping so that clients know
 which hosts belong to which realms.  However, if your clients and KDC
@@ -741,6 +823,7 @@ krb5.conf.
 
 \subsection{UNIX Application Servers}
 \label{\detokenize{admin/install_appl_srv:unix-application-servers}}\label{\detokenize{admin/install_appl_srv::doc}}
+\sphinxAtStartPar
 An application server is a host that provides one or more services
 over the network.  Application servers can be “secure” or “insecure.”
 A “secure” host is set up to require authentication from every client
@@ -748,26 +831,29 @@ connecting to it.  An “insecure” hos
 authentication, but will also allow unauthenticated clients to
 connect.
 
+\sphinxAtStartPar
 If you have Kerberos V5 installed on all of your client machines, MIT
 recommends that you make your hosts secure, to take advantage of the
 security that Kerberos authentication affords.  However, if you have
 some clients that do not have Kerberos V5 installed, you can run an
 insecure server, and still take advantage of Kerberos V5’s single
-sign-on capability.
+sign\sphinxhyphen{}on capability.
 
 
 \subsubsection{The keytab file}
 \label{\detokenize{admin/install_appl_srv:the-keytab-file}}\label{\detokenize{admin/install_appl_srv:keytab-file}}
+\sphinxAtStartPar
 All Kerberos server machines need a keytab file to authenticate to the
-KDC.  By default on UNIX-like systems this file is named {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFKTNAME}}}}.
+KDC.  By default on UNIX\sphinxhyphen{}like systems this file is named {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFKTNAME}}}}.
 The keytab file is an local copy of the host’s key.  The keytab file
-is a potential point of entry for a break-in, and if compromised,
+is a potential point of entry for a break\sphinxhyphen{}in, and if compromised,
 would allow unrestricted access to its host.  The keytab file should
 be readable only by root, and should exist only on the machine’s local
 disk.  The file should not be part of any backup of the machine,
 unless access to the backup data is secured as tightly as access to
 the machine’s root password.
 
+\sphinxAtStartPar
 In order to generate a keytab for a host, the host must have a
 principal in the Kerberos database.  The procedure for adding hosts to
 the database is described fully in {\hyperref[\detokenize{admin/database:principals}]{\sphinxcrossref{\DUrole{std,std-ref}{Principals}}}}.  (See
@@ -775,12 +861,12 @@ the database is described fully in {\hyp
 generated by running {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} and issuing the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:ktadd}]{\sphinxcrossref{\DUrole{std,std-ref}{ktadd}}}}
 command.
 
+\sphinxAtStartPar
 For example, to generate a keytab file to allow the host
-\sphinxcode{trillium.mit.edu} to authenticate for the services host, ftp, and
-pop, the administrator \sphinxcode{joeadmin} would issue the command (on
-\sphinxcode{trillium.mit.edu}):
+\sphinxcode{\sphinxupquote{trillium.mit.edu}} to authenticate for the services host, ftp, and
+pop, the administrator \sphinxcode{\sphinxupquote{joeadmin}} would issue the command (on
+\sphinxcode{\sphinxupquote{trillium.mit.edu}}):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{trillium}\PYG{o}{\PYGZpc{}} \PYG{n}{kadmin}
 \PYG{n}{Authenticating} \PYG{k}{as} \PYG{n}{principal} \PYG{n}{root}\PYG{o}{/}\PYG{n}{admin}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{k}{with} \PYG{n}{password}\PYG{o}{.}
@@ -793,25 +879,29 @@ pop, the administrator \sphinxcode{joead
 \PYG{n}{trillium}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If you generate the keytab file on another host, you need to get a
-copy of the keytab file onto the destination host (\sphinxcode{trillium}, in
+copy of the keytab file onto the destination host (\sphinxcode{\sphinxupquote{trillium}}, in
 the above example) without sending it unencrypted over the network.
 
 
 \subsubsection{Some advice about secure hosts}
 \label{\detokenize{admin/install_appl_srv:some-advice-about-secure-hosts}}
-Kerberos V5 can protect your host from certain types of break-ins, but
+\sphinxAtStartPar
+Kerberos V5 can protect your host from certain types of break\sphinxhyphen{}ins, but
 it is possible to install Kerberos V5 and still leave your host
 vulnerable to attack.  Obviously an installation guide is not the
 place to try to include an exhaustive list of countermeasures for
 every possible attack, but it is worth noting some of the larger holes
 and how to close them.
 
+\sphinxAtStartPar
 We recommend that backups of secure machines exclude the keytab file
 ({\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFKTNAME}}}}).  If this is not possible, the backups should at least be
 done locally, rather than over a network, and the backup tapes should
 be physically secured.
 
+\sphinxAtStartPar
 The keytab file and any programs run by root, including the Kerberos
 V5 binaries, should be kept on local disk.  The keytab file should be
 readable only by root.
@@ -819,10 +909,13 @@ readable only by root.
 
 \section{Additional references}
 \label{\detokenize{admin/install:additional-references}}\begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 Debian: \sphinxhref{http://techpubs.spinlocksolutions.com/dklar/kerberos.html}{Setting up MIT Kerberos 5}
 
 \item {} 
+\sphinxAtStartPar
 Solaris: \sphinxhref{https://docs.oracle.com/cd/E19253-01/816-4557/6maosrjv2/index.html}{Configuring the Kerberos Service}
 
 \end{enumerate}
@@ -830,10 +923,11 @@ Solaris: \sphinxhref{https://docs.oracle
 
 \chapter{Configuration Files}
 \label{\detokenize{admin/conf_files/index:configuration-files}}\label{\detokenize{admin/conf_files/index::doc}}
+\sphinxAtStartPar
 Kerberos uses configuration files to allow administrators to specify
-settings on a per-machine basis.  {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} applies to all
+settings on a per\sphinxhyphen{}machine basis.  {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} applies to all
 applications using the Kerboros library, on clients and servers.
-For KDC-specific applications, additional settings can be specified in
+For KDC\sphinxhyphen{}specific applications, additional settings can be specified in
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}; the two files are merged into a configuration profile
 used by applications accessing the KDC database directly.  {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}}
 is also only used on the KDC, it controls permissions for modifying the
@@ -844,14 +938,15 @@ KDC database.
 \label{\detokenize{admin/conf_files/index:contents}}
 
 \subsection{krb5.conf}
-\label{\detokenize{admin/conf_files/krb5_conf::doc}}\label{\detokenize{admin/conf_files/krb5_conf:krb5-conf}}\label{\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}}
+\label{\detokenize{admin/conf_files/krb5_conf:krb5-conf}}\label{\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}}\label{\detokenize{admin/conf_files/krb5_conf::doc}}
+\sphinxAtStartPar
 The krb5.conf file contains Kerberos configuration information,
 including the locations of KDCs and admin servers for the Kerberos
 realms of interest, defaults for the current realm and for Kerberos
 applications, and mappings of hostnames onto Kerberos realms.
 Normally, you should install your krb5.conf file in the directory
-\sphinxcode{/etc}.  You can override the default location by setting the
-environment variable \sphinxstylestrong{KRB5\_CONFIG}.  Multiple colon-separated
+\sphinxcode{\sphinxupquote{/etc}}.  You can override the default location by setting the
+environment variable \sphinxstylestrong{KRB5\_CONFIG}.  Multiple colon\sphinxhyphen{}separated
 filenames may be specified in \sphinxstylestrong{KRB5\_CONFIG}; all files which are
 present will be read.  Starting in release 1.14, directory names can
 also be specified in \sphinxstylestrong{KRB5\_CONFIG}; all files within the directory
@@ -861,20 +956,20 @@ underscores will be read.
 
 \subsubsection{Structure}
 \label{\detokenize{admin/conf_files/krb5_conf:structure}}
+\sphinxAtStartPar
 The krb5.conf file is set up in the style of a Windows INI file.
 Lines beginning with ‘\#’ or ‘;’ (possibly after initial whitespace)
 are ignored as comments.  Sections are headed by the section name, in
 square brackets.  Each section may contain zero or more relations, of
 the form:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{foo} \PYG{o}{=} \PYG{n}{bar}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 or:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{fubar} \PYG{o}{=} \PYG{p}{\PYGZob{}}
     \PYG{n}{foo} \PYG{o}{=} \PYG{n}{bar}
@@ -882,21 +977,23 @@ or:
 \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Placing a ‘*’ after the closing bracket of a section name indicates
 that the section is \sphinxstyleemphasis{final}, meaning that if the same section appears
 within a later file specified in \sphinxstylestrong{KRB5\_CONFIG}, it will be ignored.
 A subsection can be marked as final by placing a ‘*’ after either the
 tag name or the closing brace.
 
+\sphinxAtStartPar
 The krb5.conf file can include other files using either of the
 following directives at the beginning of a line:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{include} \PYG{n}{FILENAME}
 \PYG{n}{includedir} \PYG{n}{DIRNAME}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{FILENAME} or \sphinxstyleemphasis{DIRNAME} should be an absolute path. The named file or
 directory must exist and be readable.  Including a directory includes
 all files within the directory whose names consist solely of
@@ -908,16 +1005,17 @@ section header.  Starting in release 1.1
 alphanumeric order; in previous releases, they may be read in any
 order.
 
+\sphinxAtStartPar
 The krb5.conf file can specify that configuration should be obtained
 from a loadable module, rather than the file itself, using the
 following directive at the beginning of a line before any section
 headers:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{module} \PYG{n}{MODULEPATH}\PYG{p}{:}\PYG{n}{RESIDUAL}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{MODULEPATH} may be relative to the library path of the krb5
 installation, or it may be an absolute path.  \sphinxstyleemphasis{RESIDUAL} is provided
 to the module at initialization time.  If krb5.conf uses a module
@@ -926,6 +1024,7 @@ directive, {\hyperref[\detokenize{admin/
 
 \subsubsection{Sections}
 \label{\detokenize{admin/conf_files/krb5_conf:sections}}
+\sphinxAtStartPar
 The krb5.conf file may contain the following sections:
 
 
@@ -934,33 +1033,45 @@ The krb5.conf file may contain the follo
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}}
 &
+\sphinxAtStartPar
 Settings used by the Kerberos V5 library
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}}
 &
-Realm-specific contact information and settings
+\sphinxAtStartPar
+Realm\sphinxhyphen{}specific contact information and settings
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:domain-realm}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}domain\_realm{]}}}}}
 &
+\sphinxAtStartPar
 Maps server hostnames to Kerberos realms
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:capaths}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}capaths{]}}}}}
 &
-Authentication paths for non-hierarchical cross-realm
+\sphinxAtStartPar
+Authentication paths for non\sphinxhyphen{}hierarchical cross\sphinxhyphen{}realm
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:appdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}appdefaults{]}}}}}
 &
+\sphinxAtStartPar
 Settings used by some Kerberos V5 applications
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:plugins}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}plugins{]}}}}}
 &
+\sphinxAtStartPar
 Controls plugin module registration
 \\
 \hline
@@ -968,27 +1079,32 @@ Controls plugin module registration
 \par
 \sphinxattableend\end{savenotes}
 
+\sphinxAtStartPar
 Additionally, krb5.conf may include any of the relations described in
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}, but it is not a recommended practice.
 
 
 \paragraph{{[}libdefaults{]}}
 \label{\detokenize{admin/conf_files/krb5_conf:libdefaults}}\label{\detokenize{admin/conf_files/krb5_conf:id1}}
+\sphinxAtStartPar
 The libdefaults section may contain any of the following relations:
 \begin{description}
 \item[{\sphinxstylestrong{allow\_des3}}] \leavevmode
-Permit the KDC to issue tickets with des3-cbc-sha1 session keys.
-In future releases, this flag will allow des3-cbc-sha1 to be used
+\sphinxAtStartPar
+Permit the KDC to issue tickets with des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 session keys.
+In future releases, this flag will allow des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 to be used
 at all.  The default value for this tag is false.  (Added in
 release 1.21.)
 
 \item[{\sphinxstylestrong{allow\_rc4}}] \leavevmode
-Permit the KDC to issue tickets with arcfour-hmac session keys.
-In future releases, this flag will allow arcfour-hmac to be used
+\sphinxAtStartPar
+Permit the KDC to issue tickets with arcfour\sphinxhyphen{}hmac session keys.
+In future releases, this flag will allow arcfour\sphinxhyphen{}hmac to be used
 at all.  The default value for this tag is false.  (Added in
 release 1.21.)
 
 \item[{\sphinxstylestrong{allow\_weak\_crypto}}] \leavevmode
+\sphinxAtStartPar
 If this flag is set to false, then weak encryption types (as noted
 in {\hyperref[\detokenize{admin/conf_files/kdc_conf:encryption-types}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}) will be filtered
 out of the lists \sphinxstylestrong{default\_tgs\_enctypes},
@@ -996,12 +1112,14 @@ out of the lists \sphinxstylestrong{defa
 value for this tag is false.
 
 \item[{\sphinxstylestrong{canonicalize}}] \leavevmode
+\sphinxAtStartPar
 If this flag is set to true, initial ticket requests to the KDC
 will request canonicalization of the client principal name, and
 answers with different client principals than the requested
 principal will be accepted.  The default value is false.
 
 \item[{\sphinxstylestrong{ccache\_type}}] \leavevmode
+\sphinxAtStartPar
 This parameter determines the format of credential cache types
 created by \DUrole{xref,std,std-ref}{kinit(1)} or other programs.  The default value
 is 4, which represents the most current format.  Smaller values
@@ -1009,10 +1127,12 @@ can be used for compatibility with very
 Kerberos which interact with credential caches on the same host.
 
 \item[{\sphinxstylestrong{clockskew}}] \leavevmode
+\sphinxAtStartPar
 Sets the maximum allowable amount of clockskew in seconds that the
 library will tolerate before assuming that a Kerberos message is
 invalid.  The default value is 300 seconds, or five minutes.
 
+\sphinxAtStartPar
 The clockskew setting is also used when evaluating ticket start
 and expiration times.  For example, tickets that have reached
 their expiration time can still be used (and renewed if they are
@@ -1020,73 +1140,84 @@ renewable tickets) if they have been exp
 duration than the \sphinxstylestrong{clockskew} setting.
 
 \item[{\sphinxstylestrong{default\_ccache\_name}}] \leavevmode
+\sphinxAtStartPar
 This relation specifies the name of the default credential cache.
 The default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFCCNAME}}}}.  This relation is subject to parameter
 expansion (see below).  New in release 1.11.
 
 \item[{\sphinxstylestrong{default\_client\_keytab\_name}}] \leavevmode
+\sphinxAtStartPar
 This relation specifies the name of the default keytab for
 obtaining client credentials.  The default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFCKTNAME}}}}.  This
 relation is subject to parameter expansion (see below).
 New in release 1.11.
 
 \item[{\sphinxstylestrong{default\_keytab\_name}}] \leavevmode
+\sphinxAtStartPar
 This relation specifies the default keytab name to be used by
 application servers such as sshd.  The default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFKTNAME}}}}.  This
 relation is subject to parameter expansion (see below).
 
 \item[{\sphinxstylestrong{default\_rcache\_name}}] \leavevmode
+\sphinxAtStartPar
 This relation specifies the name of the default replay cache.
-The default is \sphinxcode{dfl:}.  This relation is subject to parameter
+The default is \sphinxcode{\sphinxupquote{dfl:}}.  This relation is subject to parameter
 expansion (see below).  New in release 1.18.
 
 \item[{\sphinxstylestrong{default\_realm}}] \leavevmode
+\sphinxAtStartPar
 Identifies the default Kerberos realm for the client.  Set its
 value to your Kerberos realm.  If this value is not set, then a
 realm must be specified with every Kerberos principal when
 invoking programs such as \DUrole{xref,std,std-ref}{kinit(1)}.
 
 \item[{\sphinxstylestrong{default\_tgs\_enctypes}}] \leavevmode
+\sphinxAtStartPar
 Identifies the supported list of session key encryption types that
-the client should request when making a TGS-REQ, in order of
+the client should request when making a TGS\sphinxhyphen{}REQ, in order of
 preference from highest to lowest.  The list may be delimited with
 commas or whitespace.  See {\hyperref[\detokenize{admin/conf_files/kdc_conf:encryption-types}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}} in
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} for a list of the accepted values for this tag.
 Starting in release 1.18, the default value is the value of
 \sphinxstylestrong{permitted\_enctypes}.  For previous releases or if
 \sphinxstylestrong{permitted\_enctypes} is not set, the default value is
-\sphinxcode{aes256-cts-hmac-sha1-96 aes128-cts-hmac-sha1-96 aes256-cts-hmac-sha384-192 aes128-cts-hmac-sha256-128 des3-cbc-sha1 arcfour-hmac-md5 camellia256-cts-cmac camellia128-cts-cmac}.
+\sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha384\sphinxhyphen{}192 aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha256\sphinxhyphen{}128 des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 arcfour\sphinxhyphen{}hmac\sphinxhyphen{}md5 camellia256\sphinxhyphen{}cts\sphinxhyphen{}cmac camellia128\sphinxhyphen{}cts\sphinxhyphen{}cmac}}.
 
+\sphinxAtStartPar
 Do not set this unless required for specific backward
 compatibility purposes; stale values of this setting can prevent
 clients from taking advantage of new stronger enctypes when the
 libraries are upgraded.
 
 \item[{\sphinxstylestrong{default\_tkt\_enctypes}}] \leavevmode
+\sphinxAtStartPar
 Identifies the supported list of session key encryption types that
-the client should request when making an AS-REQ, in order of
+the client should request when making an AS\sphinxhyphen{}REQ, in order of
 preference from highest to lowest.  The format is the same as for
 default\_tgs\_enctypes.  Starting in release 1.18, the default
 value is the value of \sphinxstylestrong{permitted\_enctypes}.  For previous
 releases or if \sphinxstylestrong{permitted\_enctypes} is not set, the default
-value is \sphinxcode{aes256-cts-hmac-sha1-96 aes128-cts-hmac-sha1-96 aes256-cts-hmac-sha384-192 aes128-cts-hmac-sha256-128 des3-cbc-sha1 arcfour-hmac-md5 camellia256-cts-cmac camellia128-cts-cmac}.
+value is \sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha384\sphinxhyphen{}192 aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha256\sphinxhyphen{}128 des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 arcfour\sphinxhyphen{}hmac\sphinxhyphen{}md5 camellia256\sphinxhyphen{}cts\sphinxhyphen{}cmac camellia128\sphinxhyphen{}cts\sphinxhyphen{}cmac}}.
 
+\sphinxAtStartPar
 Do not set this unless required for specific backward
 compatibility purposes; stale values of this setting can prevent
 clients from taking advantage of new stronger enctypes when the
 libraries are upgraded.
 
 \item[{\sphinxstylestrong{dns\_canonicalize\_hostname}}] \leavevmode
+\sphinxAtStartPar
 Indicate whether name lookups will be used to canonicalize
 hostnames for use in service principal names.  Setting this flag
 to false can improve security by reducing reliance on DNS, but
 means that short hostnames will not be canonicalized to
-fully-qualified hostnames.  If this option is set to \sphinxcode{fallback} (new
+fully\sphinxhyphen{}qualified hostnames.  If this option is set to \sphinxcode{\sphinxupquote{fallback}} (new
 in release 1.18), DNS canonicalization will only be performed the
 server hostname is not found with the original name when
 requesting credentials.  The default value is true.
 
 \item[{\sphinxstylestrong{dns\_lookup\_kdc}}] \leavevmode
+\sphinxAtStartPar
 Indicate whether DNS SRV records should be used to locate the KDCs
 and other servers for a realm, if they are not listed in the
 krb5.conf information for the realm.  (Note that the admin\_server
@@ -1094,7 +1225,8 @@ entry must be in the krb5.conf realm inf
 contact kadmind, because the DNS implementation for kadmin is
 incomplete.)
 
-Enabling this option does open up a type of denial-of-service
+\sphinxAtStartPar
+Enabling this option does open up a type of denial\sphinxhyphen{}of\sphinxhyphen{}service
 attack, if someone spoofs the DNS records and redirects you to
 another server.  However, it’s no worse than a denial of service,
 because that fake KDC will be unable to decode anything you send
@@ -1103,6 +1235,7 @@ data), and anything the fake KDC sends w
 verification using some secret that it won’t know.
 
 \item[{\sphinxstylestrong{dns\_uri\_lookup}}] \leavevmode
+\sphinxAtStartPar
 Indicate whether DNS URI records should be used to locate the KDCs
 and other servers for a realm, if they are not listed in the
 krb5.conf information for the realm.  SRV records are used as a
@@ -1110,30 +1243,35 @@ fallback if no URI records were found.
 New in release 1.15.
 
 \item[{\sphinxstylestrong{enforce\_ok\_as\_delegate}}] \leavevmode
+\sphinxAtStartPar
 If this flag to true, GSSAPI credential delegation will be
-disabled when the \sphinxcode{ok-as-delegate} flag is not set in the
-service ticket.  If this flag is false, the \sphinxcode{ok-as-delegate}
+disabled when the \sphinxcode{\sphinxupquote{ok\sphinxhyphen{}as\sphinxhyphen{}delegate}} flag is not set in the
+service ticket.  If this flag is false, the \sphinxcode{\sphinxupquote{ok\sphinxhyphen{}as\sphinxhyphen{}delegate}}
 ticket flag is only enforced when an application specifically
 requests enforcement.  The default value is false.
 
 \item[{\sphinxstylestrong{err\_fmt}}] \leavevmode
+\sphinxAtStartPar
 This relation allows for custom error message formatting.  If a
 value is set, error messages will be formatted by substituting a
 normal error message for \%M and an error code for \%C in the value.
 
 \item[{\sphinxstylestrong{extra\_addresses}}] \leavevmode
+\sphinxAtStartPar
 This allows a computer to use multiple local addresses, in order
 to allow Kerberos to work in a network that uses NATs while still
-using address-restricted tickets.  The addresses should be in a
-comma-separated list.  This option has no effect if
+using address\sphinxhyphen{}restricted tickets.  The addresses should be in a
+comma\sphinxhyphen{}separated list.  This option has no effect if
 \sphinxstylestrong{noaddresses} is true.
 
 \item[{\sphinxstylestrong{forwardable}}] \leavevmode
+\sphinxAtStartPar
 If this flag is true, initial tickets will be forwardable by
 default, if allowed by the KDC.  The default value is false.
 
 \item[{\sphinxstylestrong{ignore\_acceptor\_hostname}}] \leavevmode
-When accepting GSSAPI or krb5 security contexts for host-based
+\sphinxAtStartPar
+When accepting GSSAPI or krb5 security contexts for host\sphinxhyphen{}based
 service principals, ignore any hostname passed by the calling
 application, and allow clients to authenticate to any service
 principal in the keytab matching the service name and realm name
@@ -1143,6 +1281,7 @@ compromise the security of virtual hosti
 default value is false.  New in release 1.10.
 
 \item[{\sphinxstylestrong{k5login\_authoritative}}] \leavevmode
+\sphinxAtStartPar
 If this flag is true, principals must be listed in a local user’s
 k5login file to be granted login access, if a \DUrole{xref,std,std-ref}{.k5login(5)}
 file exists.  If this flag is false, a principal may still be
@@ -1151,6 +1290,7 @@ file exists but does not list the princi
 true.
 
 \item[{\sphinxstylestrong{k5login\_directory}}] \leavevmode
+\sphinxAtStartPar
 If set, the library will look for a local user’s k5login file
 within the named directory, with a filename corresponding to the
 local username.  If not set, the library will look for k5login
@@ -1159,24 +1299,28 @@ For security reasons, .k5login files mus
 the local user or by root.
 
 \item[{\sphinxstylestrong{kcm\_mach\_service}}] \leavevmode
+\sphinxAtStartPar
 On macOS only, determines the name of the bootstrap service used to
 contact the KCM daemon for the KCM credential cache type.  If the
-value is \sphinxcode{-}, Mach RPC will not be used to contact the KCM
-daemon.  The default value is \sphinxcode{org.h5l.kcm}.
+value is \sphinxcode{\sphinxupquote{\sphinxhyphen{}}}, Mach RPC will not be used to contact the KCM
+daemon.  The default value is \sphinxcode{\sphinxupquote{org.h5l.kcm}}.
 
 \item[{\sphinxstylestrong{kcm\_socket}}] \leavevmode
+\sphinxAtStartPar
 Determines the path to the Unix domain socket used to access the
 KCM daemon for the KCM credential cache type.  If the value is
-\sphinxcode{-}, Unix domain sockets will not be used to contact the KCM
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}}}, Unix domain sockets will not be used to contact the KCM
 daemon.  The default value is
-\sphinxcode{/var/run/.heim\_org.h5l.kcm-socket}.
+\sphinxcode{\sphinxupquote{/var/run/.heim\_org.h5l.kcm\sphinxhyphen{}socket}}.
 
 \item[{\sphinxstylestrong{kdc\_default\_options}}] \leavevmode
+\sphinxAtStartPar
 Default KDC options (Xored for multiple values) when requesting
 initial tickets.  By default it is set to 0x00000010
 (KDC\_OPT\_RENEWABLE\_OK).
 
 \item[{\sphinxstylestrong{kdc\_timesync}}] \leavevmode
+\sphinxAtStartPar
 Accepted values for this relation are 1 or 0.  If it is nonzero,
 client machines will compute the difference between their time and
 the time returned by the KDC in the timestamps in the tickets and
@@ -1186,53 +1330,61 @@ corrective factor is only used by the Ke
 used to change the system clock.  The default value is 1.
 
 \item[{\sphinxstylestrong{noaddresses}}] \leavevmode
+\sphinxAtStartPar
 If this flag is true, requests for initial tickets will not be
 made with address restrictions set, allowing the tickets to be
 used across NATs.  The default value is true.
 
 \item[{\sphinxstylestrong{permitted\_enctypes}}] \leavevmode
+\sphinxAtStartPar
 Identifies the encryption types that servers will permit for
 session keys and for ticket and authenticator encryption, ordered
 by preference from highest to lowest.  Starting in release 1.18,
 this tag also acts as the default value for
 \sphinxstylestrong{default\_tgs\_enctypes} and \sphinxstylestrong{default\_tkt\_enctypes}.  The
-default value for this tag is \sphinxcode{aes256-cts-hmac-sha1-96 aes128-cts-hmac-sha1-96 aes256-cts-hmac-sha384-192 aes128-cts-hmac-sha256-128 des3-cbc-sha1 arcfour-hmac-md5 camellia256-cts-cmac camellia128-cts-cmac}.
+default value for this tag is \sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha384\sphinxhyphen{}192 aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha256\sphinxhyphen{}128 des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 arcfour\sphinxhyphen{}hmac\sphinxhyphen{}md5 camellia256\sphinxhyphen{}cts\sphinxhyphen{}cmac camellia128\sphinxhyphen{}cts\sphinxhyphen{}cmac}}.
 
 \item[{\sphinxstylestrong{plugin\_base\_dir}}] \leavevmode
+\sphinxAtStartPar
 If set, determines the base directory where krb5 plugins are
-located.  The default value is the \sphinxcode{krb5/plugins} subdirectory
+located.  The default value is the \sphinxcode{\sphinxupquote{krb5/plugins}} subdirectory
 of the krb5 library directory.  This relation is subject to
 parameter expansion (see below) in release 1.17 and later.
 
 \item[{\sphinxstylestrong{preferred\_preauth\_types}}] \leavevmode
+\sphinxAtStartPar
 This allows you to set the preferred preauthentication types which
 the client will attempt before others which may be advertised by a
 KDC.  The default value for this setting is “17, 16, 15, 14”,
 which forces libkrb5 to attempt to use PKINIT if it is supported.
 
 \item[{\sphinxstylestrong{proxiable}}] \leavevmode
+\sphinxAtStartPar
 If this flag is true, initial tickets will be proxiable by
 default, if allowed by the KDC.  The default value is false.
 
 \item[{\sphinxstylestrong{qualify\_shortname}}] \leavevmode
+\sphinxAtStartPar
 If this string is set, it determines the domain suffix for
-single-component hostnames when DNS canonicalization is not used
+single\sphinxhyphen{}component hostnames when DNS canonicalization is not used
 (either because \sphinxstylestrong{dns\_canonicalize\_hostname} is false or because
 forward canonicalization failed).  The default value is the first
 search domain of the system’s DNS configuration.  To disable
 qualification of shortnames, set this relation to the empty string
-with \sphinxcode{qualify\_shortname = ""}.  (New in release 1.18.)
+with \sphinxcode{\sphinxupquote{qualify\_shortname = ""}}.  (New in release 1.18.)
 
 \item[{\sphinxstylestrong{rdns}}] \leavevmode
+\sphinxAtStartPar
 If this flag is true, reverse name lookup will be used in addition
 to forward name lookup to canonicalizing hostnames for use in
 service principal names.  If \sphinxstylestrong{dns\_canonicalize\_hostname} is set
 to false, this flag has no effect.  The default value is true.
 
 \item[{\sphinxstylestrong{realm\_try\_domains}}] \leavevmode
+\sphinxAtStartPar
 Indicate whether a host’s domain components should be used to
 determine the Kerberos realm of the host.  The value of this
-variable is an integer: -1 means not to search, 0 means to try the
+variable is an integer: \sphinxhyphen{}1 means not to search, 0 means to try the
 host’s domain itself, 1 means to also try the domain’s immediate
 parent, and so forth.  The library’s usual mechanism for locating
 Kerberos realms is used to determine whether a domain is a valid
@@ -1240,11 +1392,13 @@ realm, which may involve consulting DNS
 set.  The default is not to search domain components.
 
 \item[{\sphinxstylestrong{renew\_lifetime}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} string.)  Sets the default renewable lifetime
 for initial ticket requests.  The default value is 0.
 
 \item[{\sphinxstylestrong{spake\_preauth\_groups}}] \leavevmode
-A whitespace or comma-separated list of words which specifies the
+\sphinxAtStartPar
+A whitespace or comma\sphinxhyphen{}separated list of words which specifies the
 groups allowed for SPAKE preauthentication.  The possible values
 are:
 
@@ -1254,38 +1408,49 @@ are:
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
+\sphinxAtStartPar
 edwards25519
 &
-Edwards25519 curve (\index{RFC!RFC 7748}\sphinxhref{https://tools.ietf.org/html/rfc7748.html}{\sphinxstylestrong{RFC 7748}})
+\sphinxAtStartPar
+Edwards25519 curve (\index{RFC@\spxentry{RFC}!RFC 7748@\spxentry{RFC 7748}}\sphinxhref{https://tools.ietf.org/html/rfc7748.html}{\sphinxstylestrong{RFC 7748}})
 \\
 \hline
-P-256
+\sphinxAtStartPar
+P\sphinxhyphen{}256
 &
-NIST P-256 curve (\index{RFC!RFC 5480}\sphinxhref{https://tools.ietf.org/html/rfc5480.html}{\sphinxstylestrong{RFC 5480}})
+\sphinxAtStartPar
+NIST P\sphinxhyphen{}256 curve (\index{RFC@\spxentry{RFC}!RFC 5480@\spxentry{RFC 5480}}\sphinxhref{https://tools.ietf.org/html/rfc5480.html}{\sphinxstylestrong{RFC 5480}})
 \\
 \hline
-P-384
+\sphinxAtStartPar
+P\sphinxhyphen{}384
 &
-NIST P-384 curve (\index{RFC!RFC 5480}\sphinxhref{https://tools.ietf.org/html/rfc5480.html}{\sphinxstylestrong{RFC 5480}})
+\sphinxAtStartPar
+NIST P\sphinxhyphen{}384 curve (\index{RFC@\spxentry{RFC}!RFC 5480@\spxentry{RFC 5480}}\sphinxhref{https://tools.ietf.org/html/rfc5480.html}{\sphinxstylestrong{RFC 5480}})
 \\
 \hline
-P-521
+\sphinxAtStartPar
+P\sphinxhyphen{}521
 &
-NIST P-521 curve (\index{RFC!RFC 5480}\sphinxhref{https://tools.ietf.org/html/rfc5480.html}{\sphinxstylestrong{RFC 5480}})
+\sphinxAtStartPar
+NIST P\sphinxhyphen{}521 curve (\index{RFC@\spxentry{RFC}!RFC 5480@\spxentry{RFC 5480}}\sphinxhref{https://tools.ietf.org/html/rfc5480.html}{\sphinxstylestrong{RFC 5480}})
 \\
 \hline
 \end{tabulary}
 \par
 \sphinxattableend\end{savenotes}
 
-The default value for the client is \sphinxcode{edwards25519}.  The default
+\sphinxAtStartPar
+The default value for the client is \sphinxcode{\sphinxupquote{edwards25519}}.  The default
 value for the KDC is empty.  New in release 1.17.
 
 \item[{\sphinxstylestrong{ticket\_lifetime}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} string.)  Sets the default lifetime for initial
 ticket requests.  The default value is 1 day.
 
 \item[{\sphinxstylestrong{udp\_preference\_limit}}] \leavevmode
+\sphinxAtStartPar
 When sending a message to the KDC, the library will try using TCP
 before UDP if the size of the message is above
 \sphinxstylestrong{udp\_preference\_limit}.  If the message is smaller than
@@ -1294,11 +1459,13 @@ Regardless of the size, both protocols w
 attempt fails.
 
 \item[{\sphinxstylestrong{verify\_ap\_req\_nofail}}] \leavevmode
+\sphinxAtStartPar
 If this flag is true, then an attempt to verify initial
 credentials will fail if the client machine does not have a
 keytab.  The default value is false.
 
 \item[{\sphinxstylestrong{client\_aware\_channel\_bindings}}] \leavevmode
+\sphinxAtStartPar
 If this flag is true, then all application protocol authentication
 requests will be flagged to indicate that the application supports
 channel bindings when operating over a secure channel.  The
@@ -1308,41 +1475,47 @@ default value is false.
 
 
 \paragraph{{[}realms{]}}
-\label{\detokenize{admin/conf_files/krb5_conf:id2}}\label{\detokenize{admin/conf_files/krb5_conf:realms}}
+\label{\detokenize{admin/conf_files/krb5_conf:realms}}\label{\detokenize{admin/conf_files/krb5_conf:id2}}
+\sphinxAtStartPar
 Each tag in the {[}realms{]} section of the file is the name of a Kerberos
 realm.  The value of the tag is a subsection with relations that
 define the properties of that particular realm.  For each realm, the
 following tags may be specified in the realm’s subsection:
 \begin{description}
 \item[{\sphinxstylestrong{admin\_server}}] \leavevmode
+\sphinxAtStartPar
 Identifies the host where the administration server is running.
 Typically, this is the primary Kerberos server.  This tag must be
 given a value in order to communicate with the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}}
 server for the realm.
 
 \item[{\sphinxstylestrong{auth\_to\_local}}] \leavevmode
+\sphinxAtStartPar
 This tag allows you to set a general rule for mapping principal
 names to local user names.  It will be used if there is not an
 explicit mapping for the principal name that is being
 translated. The possible values are:
 \begin{description}
 \item[{\sphinxstylestrong{RULE:}\sphinxstyleemphasis{exp}}] \leavevmode
+\sphinxAtStartPar
 The local name will be formulated from \sphinxstyleemphasis{exp}.
 
+\sphinxAtStartPar
 The format for \sphinxstyleemphasis{exp} is \sphinxstylestrong{{[}}\sphinxstyleemphasis{n}\sphinxstylestrong{:}\sphinxstyleemphasis{string}\sphinxstylestrong{{]}(}\sphinxstyleemphasis{regexp}\sphinxstylestrong{)s/}\sphinxstyleemphasis{pattern}\sphinxstylestrong{/}\sphinxstyleemphasis{replacement}\sphinxstylestrong{/g}.
 The integer \sphinxstyleemphasis{n} indicates how many components the target
 principal should have.  If this matches, then a string will be
 formed from \sphinxstyleemphasis{string}, substituting the realm of the principal
-for \sphinxcode{\$0} and the \sphinxstyleemphasis{n}’th component of the principal for
-\sphinxcode{\$n} (e.g., if the principal was \sphinxcode{johndoe/admin} then
-\sphinxcode{{[}2:\$2\$1foo{]}} would result in the string
-\sphinxcode{adminjohndoefoo}).  If this string matches \sphinxstyleemphasis{regexp}, then
-the \sphinxcode{s//{[}g{]}} substitution command will be run over the
+for \sphinxcode{\sphinxupquote{\$0}} and the \sphinxstyleemphasis{n}’th component of the principal for
+\sphinxcode{\sphinxupquote{\$n}} (e.g., if the principal was \sphinxcode{\sphinxupquote{johndoe/admin}} then
+\sphinxcode{\sphinxupquote{{[}2:\$2\$1foo{]}}} would result in the string
+\sphinxcode{\sphinxupquote{adminjohndoefoo}}).  If this string matches \sphinxstyleemphasis{regexp}, then
+the \sphinxcode{\sphinxupquote{s//{[}g{]}}} substitution command will be run over the
 string.  The optional \sphinxstylestrong{g} will cause the substitution to be
 global over the \sphinxstyleemphasis{string}, instead of replacing only the first
 match in the \sphinxstyleemphasis{string}.
 
 \item[{\sphinxstylestrong{DEFAULT}}] \leavevmode
+\sphinxAtStartPar
 The principal name will be used as the local user name.  If
 the principal has more than one component or is not in the
 default realm, this rule is not applicable and the conversion
@@ -1350,9 +1523,9 @@ will fail.
 
 \end{description}
 
+\sphinxAtStartPar
 For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 [realms]
     ATHENA.MIT.EDU = \PYGZob{}
@@ -1363,26 +1536,30 @@ For example:
     \PYGZcb{}
 \end{sphinxVerbatim}
 
-would result in any principal without \sphinxcode{root} or \sphinxcode{admin} as the
+\sphinxAtStartPar
+would result in any principal without \sphinxcode{\sphinxupquote{root}} or \sphinxcode{\sphinxupquote{admin}} as the
 second component to be translated with the default rule.  A
-principal with a second component of \sphinxcode{admin} will become its
-first component.  \sphinxcode{root} will be used as the local name for any
-principal with a second component of \sphinxcode{root}.  The exception to
-these two rules are any principals \sphinxcode{johndoe/*}, which will
-always get the local name \sphinxcode{guest}.
+principal with a second component of \sphinxcode{\sphinxupquote{admin}} will become its
+first component.  \sphinxcode{\sphinxupquote{root}} will be used as the local name for any
+principal with a second component of \sphinxcode{\sphinxupquote{root}}.  The exception to
+these two rules are any principals \sphinxcode{\sphinxupquote{johndoe/*}}, which will
+always get the local name \sphinxcode{\sphinxupquote{guest}}.
 
 \item[{\sphinxstylestrong{auth\_to\_local\_names}}] \leavevmode
+\sphinxAtStartPar
 This subsection allows you to set explicit mappings from principal
 names to local user names.  The tag is the mapping name, and the
 value is the corresponding local user name.
 
 \item[{\sphinxstylestrong{default\_domain}}] \leavevmode
+\sphinxAtStartPar
 This tag specifies the domain used to expand hostnames when
 translating Kerberos 4 service principals to Kerberos 5 principals
-(for example, when converting \sphinxcode{rcmd.hostname} to
-\sphinxcode{host/hostname.domain}).
+(for example, when converting \sphinxcode{\sphinxupquote{rcmd.hostname}} to
+\sphinxcode{\sphinxupquote{host/hostname.domain}}).
 
 \item[{\sphinxstylestrong{disable\_encrypted\_timestamp}}] \leavevmode
+\sphinxAtStartPar
 If this flag is true, the client will not perform encrypted
 timestamp preauthentication if requested by the KDC.  Setting this
 flag can help to prevent dictionary attacks by active attackers,
@@ -1393,32 +1570,41 @@ authentication.  This flag does not prev
 encrypted timestamp.  New in release 1.17.
 
 \item[{\sphinxstylestrong{http\_anchors}}] \leavevmode
+\sphinxAtStartPar
 When KDCs and kpasswd servers are accessed through HTTPS proxies, this tag
 can be used to specify the location of the CA certificate which should be
 trusted to issue the certificate for a proxy server.  If left unspecified,
-the system-wide default set of CA certificates is used.
+the system\sphinxhyphen{}wide default set of CA certificates is used.
 
+\sphinxAtStartPar
 The syntax for values is similar to that of values for the
 \sphinxstylestrong{pkinit\_anchors} tag:
 
+\sphinxAtStartPar
 \sphinxstylestrong{FILE:} \sphinxstyleemphasis{filename}
 
-\sphinxstyleemphasis{filename} is assumed to be the name of an OpenSSL-style ca-bundle file.
+\sphinxAtStartPar
+\sphinxstyleemphasis{filename} is assumed to be the name of an OpenSSL\sphinxhyphen{}style ca\sphinxhyphen{}bundle file.
 
+\sphinxAtStartPar
 \sphinxstylestrong{DIR:} \sphinxstyleemphasis{dirname}
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{dirname} is assumed to be an directory which contains CA certificates.
 All files in the directory will be examined; if they contain certificates
 (in PEM format), they will be used.
 
+\sphinxAtStartPar
 \sphinxstylestrong{ENV:} \sphinxstyleemphasis{envvar}
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{envvar} specifies the name of an environment variable which has been set
 to a value conforming to one of the previous values.  For example,
-\sphinxcode{ENV:X509\_PROXY\_CA}, where environment variable \sphinxcode{X509\_PROXY\_CA} has
-been set to \sphinxcode{FILE:/tmp/my\_proxy.pem}.
+\sphinxcode{\sphinxupquote{ENV:X509\_PROXY\_CA}}, where environment variable \sphinxcode{\sphinxupquote{X509\_PROXY\_CA}} has
+been set to \sphinxcode{\sphinxupquote{FILE:/tmp/my\_proxy.pem}}.
 
 \item[{\sphinxstylestrong{kdc}}] \leavevmode
+\sphinxAtStartPar
 The name or address of a host running a KDC for that realm.  An
 optional port number, separated from the hostname by a colon, may
 be included.  If the name or address contains colons (for example,
@@ -1429,16 +1615,19 @@ be given a value in each realm subsectio
 file, or there must be DNS SRV records specifying the KDCs.
 
 \item[{\sphinxstylestrong{kpasswd\_server}}] \leavevmode
+\sphinxAtStartPar
 Points to the server where all the password changes are performed.
 If there is no such entry, DNS will be queried (unless forbidden
 by \sphinxstylestrong{dns\_lookup\_kdc}).  Finally, port 464 on the \sphinxstylestrong{admin\_server}
 host will be tried.
 
 \item[{\sphinxstylestrong{master\_kdc}}] \leavevmode
+\sphinxAtStartPar
 The name for \sphinxstylestrong{primary\_kdc} prior to release 1.19.  Its value is
 used as a fallback if \sphinxstylestrong{primary\_kdc} is not specified.
 
 \item[{\sphinxstylestrong{primary\_kdc}}] \leavevmode
+\sphinxAtStartPar
 Identifies the primary KDC(s).  Currently, this tag is used in only
 one case: If an attempt to get credentials fails because of an
 invalid password, the client software will attempt to contact the
@@ -1447,6 +1636,7 @@ the updated database has not been propag
 servers yet.  New in release 1.19.
 
 \item[{\sphinxstylestrong{v4\_instance\_convert}}] \leavevmode
+\sphinxAtStartPar
 This subsection allows the administrator to configure exceptions
 to the \sphinxstylestrong{default\_domain} mapping rule.  It contains V4 instances
 (the tag name) which should be translated to some specific
@@ -1454,6 +1644,7 @@ hostname (the tag value) as the second c
 principal name.
 
 \item[{\sphinxstylestrong{v4\_realm}}] \leavevmode
+\sphinxAtStartPar
 This relation is used by the krb524 library routines when
 converting a V5 principal name to a V4 principal name.  It is used
 when the V4 realm name and the V5 realm name are not the same, but
@@ -1464,15 +1655,15 @@ is the Kerberos V4 realm name.
 
 
 \paragraph{{[}domain\_realm{]}}
-\label{\detokenize{admin/conf_files/krb5_conf:id3}}\label{\detokenize{admin/conf_files/krb5_conf:domain-realm}}
+\label{\detokenize{admin/conf_files/krb5_conf:domain-realm}}\label{\detokenize{admin/conf_files/krb5_conf:id3}}
+\sphinxAtStartPar
 The {[}domain\_realm{]} section provides a translation from hostnames to
 Kerberos realms.  Each tag is a domain name, providing the mapping for
 that domain and all subdomains.  If the tag begins with a period
-(\sphinxcode{.}) then it applies only to subdomains.  The Kerberos realm may be
+(\sphinxcode{\sphinxupquote{.}}) then it applies only to subdomains.  The Kerberos realm may be
 identified either in the {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{realms}}} section or using DNS SRV records.
 Tag names should be in lower case.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{domain\PYGZus{}realm}\PYG{p}{]}
     \PYG{n}{crash}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{o}{=} \PYG{n}{TEST}\PYG{o}{.}\PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
@@ -1480,14 +1671,16 @@ Tag names should be in lower case.  For
     \PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{o}{=} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \end{sphinxVerbatim}
 
-maps the host with the name \sphinxcode{crash.mit.edu} into the
-\sphinxcode{TEST.ATHENA.MIT.EDU} realm.  The second entry maps all hosts under the
-domain \sphinxcode{dev.mit.edu} into the \sphinxcode{TEST.ATHENA.MIT.EDU} realm, but not
-the host with the name \sphinxcode{dev.mit.edu}.  That host is matched
-by the third entry, which maps the host \sphinxcode{mit.edu} and all hosts
-under the domain \sphinxcode{mit.edu} that do not match a preceding rule
-into the realm \sphinxcode{ATHENA.MIT.EDU}.
+\sphinxAtStartPar
+maps the host with the name \sphinxcode{\sphinxupquote{crash.mit.edu}} into the
+\sphinxcode{\sphinxupquote{TEST.ATHENA.MIT.EDU}} realm.  The second entry maps all hosts under the
+domain \sphinxcode{\sphinxupquote{dev.mit.edu}} into the \sphinxcode{\sphinxupquote{TEST.ATHENA.MIT.EDU}} realm, but not
+the host with the name \sphinxcode{\sphinxupquote{dev.mit.edu}}.  That host is matched
+by the third entry, which maps the host \sphinxcode{\sphinxupquote{mit.edu}} and all hosts
+under the domain \sphinxcode{\sphinxupquote{mit.edu}} that do not match a preceding rule
+into the realm \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}}.
 
+\sphinxAtStartPar
 If no translation entry applies to a hostname used for a service
 principal for a service ticket request, the library will try to get a
 referral to the appropriate realm from the client realm’s KDC.  If
@@ -1498,37 +1691,41 @@ parent domain to be used.
 
 
 \paragraph{{[}capaths{]}}
-\label{\detokenize{admin/conf_files/krb5_conf:id4}}\label{\detokenize{admin/conf_files/krb5_conf:capaths}}
-In order to perform direct (non-hierarchical) cross-realm
+\label{\detokenize{admin/conf_files/krb5_conf:capaths}}\label{\detokenize{admin/conf_files/krb5_conf:id4}}
+\sphinxAtStartPar
+In order to perform direct (non\sphinxhyphen{}hierarchical) cross\sphinxhyphen{}realm
 authentication, configuration is needed to determine the
 authentication paths between realms.
 
+\sphinxAtStartPar
 A client will use this section to find the authentication path between
 its realm and the realm of the server.  The server will use this
 section to verify the authentication path used by the client, by
 checking the transited field of the received ticket.
 
+\sphinxAtStartPar
 There is a tag for each participating client realm, and each tag has
 subtags for each of the server realms.  The value of the subtags is an
-intermediate realm which may participate in the cross-realm
+intermediate realm which may participate in the cross\sphinxhyphen{}realm
 authentication.  The subtags may be repeated if there is more then one
 intermediate realm.  A value of “.” means that the two realms share
 keys directly, and no intermediate realms should be allowed to
 participate.
 
+\sphinxAtStartPar
 Only those entries which will be needed on the client or the server
 need to be present.  A client needs a tag for its local realm with
 subtags for all the realms of servers it will need to authenticate to.
 A server needs a tag for each realm of the clients it will serve, with
 a subtag of the server realm.
 
-For example, \sphinxcode{ANL.GOV}, \sphinxcode{PNL.GOV}, and \sphinxcode{NERSC.GOV} all wish to
-use the \sphinxcode{ES.NET} realm as an intermediate realm.  ANL has a sub
-realm of \sphinxcode{TEST.ANL.GOV} which will authenticate with \sphinxcode{NERSC.GOV}
-but not \sphinxcode{PNL.GOV}.  The {[}capaths{]} section for \sphinxcode{ANL.GOV} systems
+\sphinxAtStartPar
+For example, \sphinxcode{\sphinxupquote{ANL.GOV}}, \sphinxcode{\sphinxupquote{PNL.GOV}}, and \sphinxcode{\sphinxupquote{NERSC.GOV}} all wish to
+use the \sphinxcode{\sphinxupquote{ES.NET}} realm as an intermediate realm.  ANL has a sub
+realm of \sphinxcode{\sphinxupquote{TEST.ANL.GOV}} which will authenticate with \sphinxcode{\sphinxupquote{NERSC.GOV}}
+but not \sphinxcode{\sphinxupquote{PNL.GOV}}.  The {[}capaths{]} section for \sphinxcode{\sphinxupquote{ANL.GOV}} systems
 would look like this:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{capaths}\PYG{p}{]}
     \PYG{n}{ANL}\PYG{o}{.}\PYG{n}{GOV} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -1551,10 +1748,10 @@ would look like this:
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
-The {[}capaths{]} section of the configuration file used on \sphinxcode{NERSC.GOV}
+\sphinxAtStartPar
+The {[}capaths{]} section of the configuration file used on \sphinxcode{\sphinxupquote{NERSC.GOV}}
 systems would look like this:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{capaths}\PYG{p}{]}
     \PYG{n}{NERSC}\PYG{o}{.}\PYG{n}{GOV} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -1579,20 +1776,22 @@ systems would look like this:
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 When a subtag is used more than once within a tag, clients will use
 the order of values to determine the path.  The order of values is not
 important to servers.
 
 
 \paragraph{{[}appdefaults{]}}
-\label{\detokenize{admin/conf_files/krb5_conf:id5}}\label{\detokenize{admin/conf_files/krb5_conf:appdefaults}}
+\label{\detokenize{admin/conf_files/krb5_conf:appdefaults}}\label{\detokenize{admin/conf_files/krb5_conf:id5}}
+\sphinxAtStartPar
 Each tag in the {[}appdefaults{]} section names a Kerberos V5 application
 or an option that is used by some Kerberos V5 application{[}s{]}.  The
 value of the tag defines the default behaviors for that application.
 
+\sphinxAtStartPar
 For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{appdefaults}\PYG{p}{]}
     \PYG{n}{telnet} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -1610,56 +1809,67 @@ For example:
     \PYG{n}{option2} \PYG{o}{=} \PYG{n}{true}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The above four ways of specifying the value of an option are shown in
 order of decreasing precedence. In this example, if telnet is running
 in the realm EXAMPLE.COM, it should, by default, have option1 and
 option2 set to true.  However, a telnet program in the realm
-\sphinxcode{ATHENA.MIT.EDU} should have \sphinxcode{option1} set to false and
-\sphinxcode{option2} set to true.  Any other programs in ATHENA.MIT.EDU should
-have \sphinxcode{option2} set to false by default.  Any programs running in
-other realms should have \sphinxcode{option2} set to true.
+\sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} should have \sphinxcode{\sphinxupquote{option1}} set to false and
+\sphinxcode{\sphinxupquote{option2}} set to true.  Any other programs in ATHENA.MIT.EDU should
+have \sphinxcode{\sphinxupquote{option2}} set to false by default.  Any programs running in
+other realms should have \sphinxcode{\sphinxupquote{option2}} set to true.
 
+\sphinxAtStartPar
 The list of specifiable options for each application may be found in
 that application’s man pages.  The application defaults specified here
 are overridden by those specified in the {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{realms}}} section.
 
 
 \paragraph{{[}plugins{]}}
-\label{\detokenize{admin/conf_files/krb5_conf:id6}}\label{\detokenize{admin/conf_files/krb5_conf:plugins}}\begin{itemize}
+\label{\detokenize{admin/conf_files/krb5_conf:plugins}}\label{\detokenize{admin/conf_files/krb5_conf:id6}}\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:pwqual}]{\sphinxcrossref{pwqual}}} interface
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:kadm5-hook}]{\sphinxcrossref{kadm5\_hook}}} interface
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:clpreauth}]{\sphinxcrossref{clpreauth}}} and {\hyperref[\detokenize{admin/conf_files/krb5_conf:kdcpreauth}]{\sphinxcrossref{kdcpreauth}}} interfaces
 
 \end{itemize}
 
+\sphinxAtStartPar
 Tags in the {[}plugins{]} section can be used to register dynamic plugin
 modules and to turn modules on and off.  Not every krb5 pluggable
 interface uses the {[}plugins{]} section; the ones that do are documented
 here.
 
+\sphinxAtStartPar
 New in release 1.9.
 
+\sphinxAtStartPar
 Each pluggable interface corresponds to a subsection of {[}plugins{]}.
 All subsections support the same tags:
 \begin{description}
 \item[{\sphinxstylestrong{disable}}] \leavevmode
+\sphinxAtStartPar
 This tag may have multiple values. If there are values for this
 tag, then the named modules will be disabled for the pluggable
 interface.
 
 \item[{\sphinxstylestrong{enable\_only}}] \leavevmode
+\sphinxAtStartPar
 This tag may have multiple values. If there are values for this
 tag, then only the named modules will be enabled for the pluggable
 interface.
 
 \item[{\sphinxstylestrong{module}}] \leavevmode
+\sphinxAtStartPar
 This tag may have multiple values.  Each value is a string of the
-form \sphinxcode{modulename:pathname}, which causes the shared object
+form \sphinxcode{\sphinxupquote{modulename:pathname}}, which causes the shared object
 located at \sphinxstyleemphasis{pathname} to be registered as a dynamic module named
 \sphinxstyleemphasis{modulename} for the pluggable interface.  If \sphinxstyleemphasis{pathname} is not an
 absolute path, it will be treated as relative to the
@@ -1667,33 +1877,39 @@ absolute path, it will be treated as rel
 
 \end{description}
 
+\sphinxAtStartPar
 For pluggable interfaces where module order matters, modules
 registered with a \sphinxstylestrong{module} tag normally come first, in the order
-they are registered, followed by built-in modules in the order they
+they are registered, followed by built\sphinxhyphen{}in modules in the order they
 are documented below.  If \sphinxstylestrong{enable\_only} tags are used, then the
 order of those tags overrides the normal module order.
 
+\sphinxAtStartPar
 The following subsections are currently supported within the {[}plugins{]}
 section:
 
 
 \subparagraph{ccselect interface}
-\label{\detokenize{admin/conf_files/krb5_conf:ccselect}}\label{\detokenize{admin/conf_files/krb5_conf:ccselect-interface}}
+\label{\detokenize{admin/conf_files/krb5_conf:ccselect-interface}}\label{\detokenize{admin/conf_files/krb5_conf:ccselect}}
+\sphinxAtStartPar
 The ccselect subsection controls modules for credential cache
 selection within a cache collection.  In addition to any registered
-dynamic modules, the following built-in modules exist (and may be
+dynamic modules, the following built\sphinxhyphen{}in modules exist (and may be
 disabled with the disable tag):
 \begin{description}
 \item[{\sphinxstylestrong{k5identity}}] \leavevmode
+\sphinxAtStartPar
 Uses a .k5identity file in the user’s home directory to select a
 client principal
 
 \item[{\sphinxstylestrong{realm}}] \leavevmode
+\sphinxAtStartPar
 Uses the service realm to guess an appropriate cache from the
 collection
 
 \item[{\sphinxstylestrong{hostname}}] \leavevmode
-If the service principal is host-based, uses the service hostname
+\sphinxAtStartPar
+If the service principal is host\sphinxhyphen{}based, uses the service hostname
 to guess an appropriate cache from the collection
 
 \end{description}
@@ -1701,21 +1917,26 @@ to guess an appropriate cache from the c
 
 \subparagraph{pwqual interface}
 \label{\detokenize{admin/conf_files/krb5_conf:pwqual-interface}}\label{\detokenize{admin/conf_files/krb5_conf:pwqual}}
+\sphinxAtStartPar
 The pwqual subsection controls modules for the password quality
 interface, which is used to reject weak passwords when passwords are
-changed.  The following built-in modules exist for this interface:
+changed.  The following built\sphinxhyphen{}in modules exist for this interface:
 \begin{description}
 \item[{\sphinxstylestrong{dict}}] \leavevmode
+\sphinxAtStartPar
 Checks against the realm dictionary file
 
 \item[{\sphinxstylestrong{empty}}] \leavevmode
+\sphinxAtStartPar
 Rejects empty passwords
 
 \item[{\sphinxstylestrong{hesiod}}] \leavevmode
+\sphinxAtStartPar
 Checks against user information stored in Hesiod (only if Kerberos
 was built with Hesiod support)
 
 \item[{\sphinxstylestrong{princ}}] \leavevmode
+\sphinxAtStartPar
 Checks against components of the principal name
 
 \end{description}
@@ -1723,6 +1944,7 @@ Checks against components of the princip
 
 \subparagraph{kadm5\_hook interface}
 \label{\detokenize{admin/conf_files/krb5_conf:kadm5-hook-interface}}\label{\detokenize{admin/conf_files/krb5_conf:kadm5-hook}}
+\sphinxAtStartPar
 The kadm5\_hook interface provides plugins with information on
 principal creation, modification, password changes and deletion.  This
 interface can be used to write a plugin to synchronize MIT Kerberos
@@ -1732,37 +1954,44 @@ in for this interface.
 
 \subparagraph{kadm5\_auth interface}
 \label{\detokenize{admin/conf_files/krb5_conf:kadm5-auth-interface}}\label{\detokenize{admin/conf_files/krb5_conf:kadm5-auth}}
+\sphinxAtStartPar
 The kadm5\_auth section (introduced in release 1.16) controls modules
 for the kadmin authorization interface, which determines whether a
 client principal is allowed to perform a kadmin operation.  The
-following built-in modules exist for this interface:
+following built\sphinxhyphen{}in modules exist for this interface:
 \begin{description}
 \item[{\sphinxstylestrong{acl}}] \leavevmode
+\sphinxAtStartPar
 This module reads the {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}} file, and authorizes
 operations which are allowed according to the rules in the file.
 
 \item[{\sphinxstylestrong{self}}] \leavevmode
-This module authorizes self-service operations including password
+\sphinxAtStartPar
+This module authorizes self\sphinxhyphen{}service operations including password
 changes, creation of new random keys, fetching the client’s
 principal record or string attributes, and fetching the policy
 record associated with the client principal.
 
 \end{description}
-\phantomsection\label{\detokenize{admin/conf_files/krb5_conf:clpreauth}}
+
 
 \subparagraph{clpreauth and kdcpreauth interfaces}
-\label{\detokenize{admin/conf_files/krb5_conf:clpreauth-and-kdcpreauth-interfaces}}\label{\detokenize{admin/conf_files/krb5_conf:clpreauth}}\label{\detokenize{admin/conf_files/krb5_conf:kdcpreauth}}
+\label{\detokenize{admin/conf_files/krb5_conf:clpreauth-and-kdcpreauth-interfaces}}\label{\detokenize{admin/conf_files/krb5_conf:kdcpreauth}}\label{\detokenize{admin/conf_files/krb5_conf:clpreauth}}
+\sphinxAtStartPar
 The clpreauth and kdcpreauth interfaces allow plugin modules to
 provide client and KDC preauthentication mechanisms.  The following
-built-in modules exist for these interfaces:
+built\sphinxhyphen{}in modules exist for these interfaces:
 \begin{description}
 \item[{\sphinxstylestrong{pkinit}}] \leavevmode
+\sphinxAtStartPar
 This module implements the PKINIT preauthentication mechanism.
 
 \item[{\sphinxstylestrong{encrypted\_challenge}}] \leavevmode
+\sphinxAtStartPar
 This module implements the encrypted challenge FAST factor.
 
 \item[{\sphinxstylestrong{encrypted\_timestamp}}] \leavevmode
+\sphinxAtStartPar
 This module implements the encrypted timestamp mechanism.
 
 \end{description}
@@ -1770,23 +1999,27 @@ This module implements the encrypted tim
 
 \subparagraph{hostrealm interface}
 \label{\detokenize{admin/conf_files/krb5_conf:hostrealm-interface}}\label{\detokenize{admin/conf_files/krb5_conf:hostrealm}}
+\sphinxAtStartPar
 The hostrealm section (introduced in release 1.12) controls modules
-for the host-to-realm interface, which affects the local mapping of
+for the host\sphinxhyphen{}to\sphinxhyphen{}realm interface, which affects the local mapping of
 hostnames to realm names and the choice of default realm.  The following
-built-in modules exist for this interface:
+built\sphinxhyphen{}in modules exist for this interface:
 \begin{description}
 \item[{\sphinxstylestrong{profile}}] \leavevmode
+\sphinxAtStartPar
 This module consults the {[}domain\_realm{]} section of the profile for
-authoritative host-to-realm mappings, and the \sphinxstylestrong{default\_realm}
+authoritative host\sphinxhyphen{}to\sphinxhyphen{}realm mappings, and the \sphinxstylestrong{default\_realm}
 variable for the default realm.
 
 \item[{\sphinxstylestrong{dns}}] \leavevmode
-This module looks for DNS records for fallback host-to-realm
+\sphinxAtStartPar
+This module looks for DNS records for fallback host\sphinxhyphen{}to\sphinxhyphen{}realm
 mappings and the default realm.  It only operates if the
 \sphinxstylestrong{dns\_lookup\_realm} variable is set to true.
 
 \item[{\sphinxstylestrong{domain}}] \leavevmode
-This module applies heuristics for fallback host-to-realm
+\sphinxAtStartPar
+This module applies heuristics for fallback host\sphinxhyphen{}to\sphinxhyphen{}realm
 mappings.  It implements the \sphinxstylestrong{realm\_try\_domains} variable, and
 uses the uppercased parent domain of the hostname if that does not
 produce a result.
@@ -1796,33 +2029,40 @@ produce a result.
 
 \subparagraph{localauth interface}
 \label{\detokenize{admin/conf_files/krb5_conf:localauth-interface}}\label{\detokenize{admin/conf_files/krb5_conf:localauth}}
+\sphinxAtStartPar
 The localauth section (introduced in release 1.12) controls modules
 for the local authorization interface, which affects the relationship
 between Kerberos principals and local system accounts.  The following
-built-in modules exist for this interface:
+built\sphinxhyphen{}in modules exist for this interface:
 \begin{description}
 \item[{\sphinxstylestrong{default}}] \leavevmode
+\sphinxAtStartPar
 This module implements the \sphinxstylestrong{DEFAULT} type for \sphinxstylestrong{auth\_to\_local}
 values.
 
 \item[{\sphinxstylestrong{rule}}] \leavevmode
+\sphinxAtStartPar
 This module implements the \sphinxstylestrong{RULE} type for \sphinxstylestrong{auth\_to\_local}
 values.
 
 \item[{\sphinxstylestrong{names}}] \leavevmode
+\sphinxAtStartPar
 This module looks for an \sphinxstylestrong{auth\_to\_local\_names} mapping for the
 principal name.
 
 \item[{\sphinxstylestrong{auth\_to\_local}}] \leavevmode
+\sphinxAtStartPar
 This module processes \sphinxstylestrong{auth\_to\_local} values in the default
 realm’s section, and applies the default method if no
 \sphinxstylestrong{auth\_to\_local} values exist.
 
 \item[{\sphinxstylestrong{k5login}}] \leavevmode
+\sphinxAtStartPar
 This module authorizes a principal to a local account according to
 the account’s \DUrole{xref,std,std-ref}{.k5login(5)} file.
 
 \item[{\sphinxstylestrong{an2ln}}] \leavevmode
+\sphinxAtStartPar
 This module authorizes a principal to a local account if the
 principal name maps to the local account name.
 
@@ -1830,24 +2070,28 @@ principal name maps to the local account
 
 
 \subparagraph{certauth interface}
-\label{\detokenize{admin/conf_files/krb5_conf:certauth}}\label{\detokenize{admin/conf_files/krb5_conf:certauth-interface}}
+\label{\detokenize{admin/conf_files/krb5_conf:certauth-interface}}\label{\detokenize{admin/conf_files/krb5_conf:certauth}}
+\sphinxAtStartPar
 The certauth section (introduced in release 1.16) controls modules for
 the certificate authorization interface, which determines whether a
 certificate is allowed to preauthenticate a user via PKINIT.  The
-following built-in modules exist for this interface:
+following built\sphinxhyphen{}in modules exist for this interface:
 \begin{description}
 \item[{\sphinxstylestrong{pkinit\_san}}] \leavevmode
+\sphinxAtStartPar
 This module authorizes the certificate if it contains a PKINIT
 Subject Alternative Name for the requested client principal, or a
 Microsoft UPN SAN matching the principal if \sphinxstylestrong{pkinit\_allow\_upn}
 is set to true for the realm.
 
 \item[{\sphinxstylestrong{pkinit\_eku}}] \leavevmode
+\sphinxAtStartPar
 This module rejects the certificate if it does not contain an
 Extended Key Usage attribute consistent with the
 \sphinxstylestrong{pkinit\_eku\_checking} value for the realm.
 
 \item[{\sphinxstylestrong{dbmatch}}] \leavevmode
+\sphinxAtStartPar
 This module authorizes or rejects the certificate according to
 whether it matches the \sphinxstylestrong{pkinit\_cert\_match} string attribute on
 the client principal, if that attribute is present.
@@ -1858,18 +2102,20 @@ the client principal, if that attribute
 \subsubsection{PKINIT options}
 \label{\detokenize{admin/conf_files/krb5_conf:pkinit-options}}
 \begin{sphinxadmonition}{note}{Note:}
-The following are PKINIT-specific options.  These values may
+\sphinxAtStartPar
+The following are PKINIT\sphinxhyphen{}specific options.  These values may
 be specified in {[}libdefaults{]} as global defaults, or within
-a realm-specific subsection of {[}libdefaults{]}, or may be
-specified as realm-specific values in the {[}realms{]} section.
-A realm-specific value overrides, not adds to, a generic
+a realm\sphinxhyphen{}specific subsection of {[}libdefaults{]}, or may be
+specified as realm\sphinxhyphen{}specific values in the {[}realms{]} section.
+A realm\sphinxhyphen{}specific value overrides, not adds to, a generic
 {[}libdefaults{]} specification.  The search order is:
 \end{sphinxadmonition}
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
-realm-specific subsection of {[}libdefaults{]}:
+\sphinxAtStartPar
+realm\sphinxhyphen{}specific subsection of {[}libdefaults{]}:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{libdefaults}\PYG{p}{]}
     \PYG{n}{EXAMPLE}\PYG{o}{.}\PYG{n}{COM} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -1878,9 +2124,9 @@ realm-specific subsection of {[}libdefau
 \end{sphinxVerbatim}
 
 \item {} 
-realm-specific value in the {[}realms{]} section:
+\sphinxAtStartPar
+realm\sphinxhyphen{}specific value in the {[}realms{]} section:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{realms}\PYG{p}{]}
     \PYG{n}{OTHERREALM}\PYG{o}{.}\PYG{n}{ORG} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -1889,9 +2135,9 @@ realm-specific value in the {[}realms{]}
 \end{sphinxVerbatim}
 
 \item {} 
+\sphinxAtStartPar
 generic value in the {[}libdefaults{]} section:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{libdefaults}\PYG{p}{]}
     \PYG{n}{pkinit\PYGZus{}anchors} \PYG{o}{=} \PYG{n}{DIR}\PYG{p}{:}\PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{local}\PYG{o}{/}\PYG{n}{generic\PYGZus{}trusted\PYGZus{}cas}\PYG{o}{/}
@@ -1902,65 +2148,76 @@ generic value in the {[}libdefaults{]} s
 
 \paragraph{Specifying PKINIT identity information}
 \label{\detokenize{admin/conf_files/krb5_conf:specifying-pkinit-identity-information}}\label{\detokenize{admin/conf_files/krb5_conf:pkinit-identity}}
+\sphinxAtStartPar
 The syntax for specifying Public Key identity, trust, and revocation
 information for PKINIT is as follows:
 \begin{description}
 \item[{\sphinxstylestrong{FILE:}\sphinxstyleemphasis{filename}{[}\sphinxstylestrong{,}\sphinxstyleemphasis{keyfilename}{]}}] \leavevmode
-This option has context-specific behavior.
+\sphinxAtStartPar
+This option has context\sphinxhyphen{}specific behavior.
 
+\sphinxAtStartPar
 In \sphinxstylestrong{pkinit\_identity} or \sphinxstylestrong{pkinit\_identities}, \sphinxstyleemphasis{filename}
-specifies the name of a PEM-format file containing the user’s
+specifies the name of a PEM\sphinxhyphen{}format file containing the user’s
 certificate.  If \sphinxstyleemphasis{keyfilename} is not specified, the user’s
 private key is expected to be in \sphinxstyleemphasis{filename} as well.  Otherwise,
 \sphinxstyleemphasis{keyfilename} is the name of the file containing the private key.
 
+\sphinxAtStartPar
 In \sphinxstylestrong{pkinit\_anchors} or \sphinxstylestrong{pkinit\_pool}, \sphinxstyleemphasis{filename} is assumed to
-be the name of an OpenSSL-style ca-bundle file.
+be the name of an OpenSSL\sphinxhyphen{}style ca\sphinxhyphen{}bundle file.
 
 \item[{\sphinxstylestrong{DIR:}\sphinxstyleemphasis{dirname}}] \leavevmode
-This option has context-specific behavior.
+\sphinxAtStartPar
+This option has context\sphinxhyphen{}specific behavior.
 
+\sphinxAtStartPar
 In \sphinxstylestrong{pkinit\_identity} or \sphinxstylestrong{pkinit\_identities}, \sphinxstyleemphasis{dirname}
-specifies a directory with files named \sphinxcode{*.crt} and \sphinxcode{*.key}
+specifies a directory with files named \sphinxcode{\sphinxupquote{*.crt}} and \sphinxcode{\sphinxupquote{*.key}}
 where the first part of the file name is the same for matching
 pairs of certificate and private key files.  When a file with a
-name ending with \sphinxcode{.crt} is found, a matching file ending with
-\sphinxcode{.key} is assumed to contain the private key.  If no such file
-is found, then the certificate in the \sphinxcode{.crt} is not used.
+name ending with \sphinxcode{\sphinxupquote{.crt}} is found, a matching file ending with
+\sphinxcode{\sphinxupquote{.key}} is assumed to contain the private key.  If no such file
+is found, then the certificate in the \sphinxcode{\sphinxupquote{.crt}} is not used.
 
+\sphinxAtStartPar
 In \sphinxstylestrong{pkinit\_anchors} or \sphinxstylestrong{pkinit\_pool}, \sphinxstyleemphasis{dirname} is assumed to
-be an OpenSSL-style hashed CA directory where each CA cert is
-stored in a file named \sphinxcode{hash-of-ca-cert.\#}.  This infrastructure
+be an OpenSSL\sphinxhyphen{}style hashed CA directory where each CA cert is
+stored in a file named \sphinxcode{\sphinxupquote{hash\sphinxhyphen{}of\sphinxhyphen{}ca\sphinxhyphen{}cert.\#}}.  This infrastructure
 is encouraged, but all files in the directory will be examined and
 if they contain certificates (in PEM format), they will be used.
 
-In \sphinxstylestrong{pkinit\_revoke}, \sphinxstyleemphasis{dirname} is assumed to be an OpenSSL-style
+\sphinxAtStartPar
+In \sphinxstylestrong{pkinit\_revoke}, \sphinxstyleemphasis{dirname} is assumed to be an OpenSSL\sphinxhyphen{}style
 hashed CA directory where each revocation list is stored in a file
-named \sphinxcode{hash-of-ca-cert.r\#}.  This infrastructure is encouraged,
+named \sphinxcode{\sphinxupquote{hash\sphinxhyphen{}of\sphinxhyphen{}ca\sphinxhyphen{}cert.r\#}}.  This infrastructure is encouraged,
 but all files in the directory will be examined and if they
 contain a revocation list (in PEM format), they will be used.
 
 \item[{\sphinxstylestrong{PKCS12:}\sphinxstyleemphasis{filename}}] \leavevmode
+\sphinxAtStartPar
 \sphinxstyleemphasis{filename} is the name of a PKCS \#12 format file, containing the
 user’s certificate and private key.
 
-\item[{\sphinxstylestrong{PKCS11:}{[}\sphinxstylestrong{module\_name=}{]}\sphinxstyleemphasis{modname}{[}\sphinxstylestrong{:slotid=}\sphinxstyleemphasis{slot-id}{]}{[}\sphinxstylestrong{:token=}\sphinxstyleemphasis{token-label}{]}{[}\sphinxstylestrong{:certid=}\sphinxstyleemphasis{cert-id}{]}{[}\sphinxstylestrong{:certlabel=}\sphinxstyleemphasis{cert-label}{]}}] \leavevmode
+\item[{\sphinxstylestrong{PKCS11:}{[}\sphinxstylestrong{module\_name=}{]}\sphinxstyleemphasis{modname}{[}\sphinxstylestrong{:slotid=}\sphinxstyleemphasis{slot\sphinxhyphen{}id}{]}{[}\sphinxstylestrong{:token=}\sphinxstyleemphasis{token\sphinxhyphen{}label}{]}{[}\sphinxstylestrong{:certid=}\sphinxstyleemphasis{cert\sphinxhyphen{}id}{]}{[}\sphinxstylestrong{:certlabel=}\sphinxstyleemphasis{cert\sphinxhyphen{}label}{]}}] \leavevmode
+\sphinxAtStartPar
 All keyword/values are optional.  \sphinxstyleemphasis{modname} specifies the location
 of a library implementing PKCS \#11.  If a value is encountered
 with no keyword, it is assumed to be the \sphinxstyleemphasis{modname}.  If no
-module-name is specified, the default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{PKCS11\_MODNAME}}}}.
-\sphinxcode{slotid=} and/or \sphinxcode{token=} may be specified to force the use of
+module\sphinxhyphen{}name is specified, the default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{PKCS11\_MODNAME}}}}.
+\sphinxcode{\sphinxupquote{slotid=}} and/or \sphinxcode{\sphinxupquote{token=}} may be specified to force the use of
 a particular smard card reader or token if there is more than one
-available.  \sphinxcode{certid=} and/or \sphinxcode{certlabel=} may be specified to
+available.  \sphinxcode{\sphinxupquote{certid=}} and/or \sphinxcode{\sphinxupquote{certlabel=}} may be specified to
 force the selection of a particular certificate on the device.
 See the \sphinxstylestrong{pkinit\_cert\_match} configuration option for more ways
 to select a particular certificate to use for PKINIT.
 
 \item[{\sphinxstylestrong{ENV:}\sphinxstyleemphasis{envvar}}] \leavevmode
+\sphinxAtStartPar
 \sphinxstyleemphasis{envvar} specifies the name of an environment variable which has
 been set to a value conforming to one of the previous values.  For
-example, \sphinxcode{ENV:X509\_PROXY}, where environment variable
-\sphinxcode{X509\_PROXY} has been set to \sphinxcode{FILE:/tmp/my\_proxy.pem}.
+example, \sphinxcode{\sphinxupquote{ENV:X509\_PROXY}}, where environment variable
+\sphinxcode{\sphinxupquote{X509\_PROXY}} has been set to \sphinxcode{\sphinxupquote{FILE:/tmp/my\_proxy.pem}}.
 
 \end{description}
 
@@ -1968,12 +2225,14 @@ example, \sphinxcode{ENV:X509\_PROXY}, w
 \paragraph{PKINIT krb5.conf options}
 \label{\detokenize{admin/conf_files/krb5_conf:pkinit-krb5-conf-options}}\begin{description}
 \item[{\sphinxstylestrong{pkinit\_anchors}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of trusted anchor (root) certificates which
 the client trusts to sign KDC certificates.  This option may be
 specified multiple times.  These values from the config file are
 not used if the user specifies X509\_anchors on the command line.
 
 \item[{\sphinxstylestrong{pkinit\_cert\_match}}] \leavevmode
+\sphinxAtStartPar
 Specifies matching rules that the client certificate must match
 before it is used to attempt PKINIT authentication.  If a user has
 multiple certificates available (on a smart card, or via other
@@ -1983,80 +2242,95 @@ multiple times.  All the available certi
 against each rule in order until there is a match of exactly one
 certificate.
 
-The Subject and Issuer comparison strings are the \index{RFC!RFC 2253}\sphinxhref{https://tools.ietf.org/html/rfc2253.html}{\sphinxstylestrong{RFC 2253}}
+\sphinxAtStartPar
+The Subject and Issuer comparison strings are the \index{RFC@\spxentry{RFC}!RFC 2253@\spxentry{RFC 2253}}\sphinxhref{https://tools.ietf.org/html/rfc2253.html}{\sphinxstylestrong{RFC 2253}}
 string representations from the certificate Subject DN and Issuer
 DN values.
 
+\sphinxAtStartPar
 The syntax of the matching rules is:
 \begin{quote}
 
-{[}\sphinxstyleemphasis{relation-operator}{]}\sphinxstyleemphasis{component-rule} …
+\sphinxAtStartPar
+{[}\sphinxstyleemphasis{relation\sphinxhyphen{}operator}{]}\sphinxstyleemphasis{component\sphinxhyphen{}rule} …
 \end{quote}
 
+\sphinxAtStartPar
 where:
 \begin{description}
-\item[{\sphinxstyleemphasis{relation-operator}}] \leavevmode
-can be either \sphinxcode{\&\&}, meaning all component rules must match,
-or \sphinxcode{\textbar{}\textbar{}}, meaning only one component rule must match.  The
-default is \sphinxcode{\&\&}.
+\item[{\sphinxstyleemphasis{relation\sphinxhyphen{}operator}}] \leavevmode
+\sphinxAtStartPar
+can be either \sphinxcode{\sphinxupquote{\&\&}}, meaning all component rules must match,
+or \sphinxcode{\sphinxupquote{||}}, meaning only one component rule must match.  The
+default is \sphinxcode{\sphinxupquote{\&\&}}.
 
-\item[{\sphinxstyleemphasis{component-rule}}] \leavevmode
+\item[{\sphinxstyleemphasis{component\sphinxhyphen{}rule}}] \leavevmode
+\sphinxAtStartPar
 can be one of the following.  Note that there is no
 punctuation or whitespace between component rules.
 \begin{quote}
 
 \begin{DUlineblock}{0em}
-\item[] \sphinxstylestrong{\textless{}SUBJECT\textgreater{}}\sphinxstyleemphasis{regular-expression}
-\item[] \sphinxstylestrong{\textless{}ISSUER\textgreater{}}\sphinxstyleemphasis{regular-expression}
-\item[] \sphinxstylestrong{\textless{}SAN\textgreater{}}\sphinxstyleemphasis{regular-expression}
-\item[] \sphinxstylestrong{\textless{}EKU\textgreater{}}\sphinxstyleemphasis{extended-key-usage-list}
-\item[] \sphinxstylestrong{\textless{}KU\textgreater{}}\sphinxstyleemphasis{key-usage-list}
+\item[] \sphinxstylestrong{\textless{}SUBJECT\textgreater{}}\sphinxstyleemphasis{regular\sphinxhyphen{}expression}
+\item[] \sphinxstylestrong{\textless{}ISSUER\textgreater{}}\sphinxstyleemphasis{regular\sphinxhyphen{}expression}
+\item[] \sphinxstylestrong{\textless{}SAN\textgreater{}}\sphinxstyleemphasis{regular\sphinxhyphen{}expression}
+\item[] \sphinxstylestrong{\textless{}EKU\textgreater{}}\sphinxstyleemphasis{extended\sphinxhyphen{}key\sphinxhyphen{}usage\sphinxhyphen{}list}
+\item[] \sphinxstylestrong{\textless{}KU\textgreater{}}\sphinxstyleemphasis{key\sphinxhyphen{}usage\sphinxhyphen{}list}
 \end{DUlineblock}
 \end{quote}
 
-\sphinxstyleemphasis{extended-key-usage-list} is a comma-separated list of
+\sphinxAtStartPar
+\sphinxstyleemphasis{extended\sphinxhyphen{}key\sphinxhyphen{}usage\sphinxhyphen{}list} is a comma\sphinxhyphen{}separated list of
 required Extended Key Usage values.  All values in the list
 must be present in the certificate.  Extended Key Usage values
 can be:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 pkinit
 
 \item {} 
+\sphinxAtStartPar
 msScLogin
 
 \item {} 
+\sphinxAtStartPar
 clientAuth
 
 \item {} 
+\sphinxAtStartPar
 emailProtection
 
 \end{itemize}
 
-\sphinxstyleemphasis{key-usage-list} is a comma-separated list of required Key
+\sphinxAtStartPar
+\sphinxstyleemphasis{key\sphinxhyphen{}usage\sphinxhyphen{}list} is a comma\sphinxhyphen{}separated list of required Key
 Usage values.  All values in the list must be present in the
 certificate.  Key Usage values can be:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 digitalSignature
 
 \item {} 
+\sphinxAtStartPar
 keyEncipherment
 
 \end{itemize}
 
 \end{description}
 
+\sphinxAtStartPar
 Examples:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
-\PYG{n}{pkinit\PYGZus{}cert\PYGZus{}match} \PYG{o}{=} \PYG{o}{\textbar{}}\PYG{o}{\textbar{}}\PYG{o}{\PYGZlt{}}\PYG{n}{SUBJECT}\PYG{o}{\PYGZgt{}}\PYG{o}{.}\PYG{o}{*}\PYG{n}{DoE}\PYG{o}{.}\PYG{o}{*}\PYG{o}{\PYGZlt{}}\PYG{n}{SAN}\PYG{o}{\PYGZgt{}}\PYG{o}{.}\PYG{o}{*}\PYG{n+nd}{@EXAMPLE}\PYG{o}{.}\PYG{n}{COM}
+\PYG{n}{pkinit\PYGZus{}cert\PYGZus{}match} \PYG{o}{=} \PYG{o}{|}\PYG{o}{|}\PYG{o}{\PYGZlt{}}\PYG{n}{SUBJECT}\PYG{o}{\PYGZgt{}}\PYG{o}{.}\PYG{o}{*}\PYG{n}{DoE}\PYG{o}{.}\PYG{o}{*}\PYG{o}{\PYGZlt{}}\PYG{n}{SAN}\PYG{o}{\PYGZgt{}}\PYG{o}{.}\PYG{o}{*}\PYG{n+nd}{@EXAMPLE}\PYG{o}{.}\PYG{n}{COM}
 \PYG{n}{pkinit\PYGZus{}cert\PYGZus{}match} \PYG{o}{=} \PYG{o}{\PYGZam{}}\PYG{o}{\PYGZam{}}\PYG{o}{\PYGZlt{}}\PYG{n}{EKU}\PYG{o}{\PYGZgt{}}\PYG{n}{msScLogin}\PYG{p}{,}\PYG{n}{clientAuth}\PYG{o}{\PYGZlt{}}\PYG{n}{ISSUER}\PYG{o}{\PYGZgt{}}\PYG{o}{.}\PYG{o}{*}\PYG{n}{DoE}\PYG{o}{.}\PYG{o}{*}
 \PYG{n}{pkinit\PYGZus{}cert\PYGZus{}match} \PYG{o}{=} \PYG{o}{\PYGZlt{}}\PYG{n}{EKU}\PYG{o}{\PYGZgt{}}\PYG{n}{msScLogin}\PYG{p}{,}\PYG{n}{clientAuth}\PYG{o}{\PYGZlt{}}\PYG{n}{KU}\PYG{o}{\PYGZgt{}}\PYG{n}{digitalSignature}
 \end{sphinxVerbatim}
 
 \item[{\sphinxstylestrong{pkinit\_eku\_checking}}] \leavevmode
+\sphinxAtStartPar
 This option specifies what Extended Key Usage value the KDC
 certificate presented to the client must contain.  (Note that if
 the KDC certificate has the pkinit SubjectAlternativeName encoded
@@ -2065,15 +2339,18 @@ issuing CA has certified this as a KDC c
 recognized in the krb5.conf file are:
 \begin{description}
 \item[{\sphinxstylestrong{kpKDC}}] \leavevmode
+\sphinxAtStartPar
 This is the default value and specifies that the KDC must have
-the id-pkinit-KPKdc EKU as defined in \index{RFC!RFC 4556}\sphinxhref{https://tools.ietf.org/html/rfc4556.html}{\sphinxstylestrong{RFC 4556}}.
+the id\sphinxhyphen{}pkinit\sphinxhyphen{}KPKdc EKU as defined in \index{RFC@\spxentry{RFC}!RFC 4556@\spxentry{RFC 4556}}\sphinxhref{https://tools.ietf.org/html/rfc4556.html}{\sphinxstylestrong{RFC 4556}}.
 
 \item[{\sphinxstylestrong{kpServerAuth}}] \leavevmode
+\sphinxAtStartPar
 If \sphinxstylestrong{kpServerAuth} is specified, a KDC certificate with the
-id-kp-serverAuth EKU will be accepted.  This key usage value
+id\sphinxhyphen{}kp\sphinxhyphen{}serverAuth EKU will be accepted.  This key usage value
 is used in most commercially issued server certificates.
 
 \item[{\sphinxstylestrong{none}}] \leavevmode
+\sphinxAtStartPar
 If \sphinxstylestrong{none} is specified, then the KDC certificate will not be
 checked to verify it has an acceptable EKU.  The use of this
 option is not recommended.
@@ -2081,11 +2358,13 @@ option is not recommended.
 \end{description}
 
 \item[{\sphinxstylestrong{pkinit\_dh\_min\_bits}}] \leavevmode
-Specifies the size of the Diffie-Hellman key the client will
+\sphinxAtStartPar
+Specifies the size of the Diffie\sphinxhyphen{}Hellman key the client will
 attempt to use.  The acceptable values are 1024, 2048, and 4096.
 The default is 2048.
 
 \item[{\sphinxstylestrong{pkinit\_identities}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location(s) to be used to find the user’s X.509
 identity information.  If this option is specified multiple times,
 each value is attempted in order until certificates are found.
@@ -2093,20 +2372,23 @@ Note that these values are not used if t
 \sphinxstylestrong{X509\_user\_identity} on the command line.
 
 \item[{\sphinxstylestrong{pkinit\_kdc\_hostname}}] \leavevmode
+\sphinxAtStartPar
 The presence of this option indicates that the client is willing
 to accept a KDC certificate with a dNSName SAN (Subject
-Alternative Name) rather than requiring the id-pkinit-san as
-defined in \index{RFC!RFC 4556}\sphinxhref{https://tools.ietf.org/html/rfc4556.html}{\sphinxstylestrong{RFC 4556}}.  This option may be specified multiple
+Alternative Name) rather than requiring the id\sphinxhyphen{}pkinit\sphinxhyphen{}san as
+defined in \index{RFC@\spxentry{RFC}!RFC 4556@\spxentry{RFC 4556}}\sphinxhref{https://tools.ietf.org/html/rfc4556.html}{\sphinxstylestrong{RFC 4556}}.  This option may be specified multiple
 times.  Its value should contain the acceptable hostname for the
 KDC (as contained in its certificate).
 
 \item[{\sphinxstylestrong{pkinit\_pool}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of intermediate certificates which may be
 used by the client to complete the trust chain between a KDC
 certificate and a trusted anchor.  This option may be specified
 multiple times.
 
 \item[{\sphinxstylestrong{pkinit\_require\_crl\_checking}}] \leavevmode
+\sphinxAtStartPar
 The default certificate verification process will always check the
 available revocation information to see if a certificate has been
 revoked.  If a match is found for the certificate in a CRL,
@@ -2115,14 +2397,17 @@ listed in a CRL, or there is no CRL pres
 and \sphinxstylestrong{pkinit\_require\_crl\_checking} is false, then verification
 succeeds.
 
+\sphinxAtStartPar
 However, if \sphinxstylestrong{pkinit\_require\_crl\_checking} is true and there is
 no CRL information available for the issuing CA, then verification
 fails.
 
+\sphinxAtStartPar
 \sphinxstylestrong{pkinit\_require\_crl\_checking} should be set to true if the
-policy is such that up-to-date CRLs must be present for every CA.
+policy is such that up\sphinxhyphen{}to\sphinxhyphen{}date CRLs must be present for every CA.
 
 \item[{\sphinxstylestrong{pkinit\_revoke}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of Certificate Revocation List (CRL)
 information to be used by the client when verifying the validity
 of the KDC certificate presented.  This option may be specified
@@ -2132,7 +2417,8 @@ multiple times.
 
 
 \subsubsection{Parameter expansion}
-\label{\detokenize{admin/conf_files/krb5_conf:id7}}\label{\detokenize{admin/conf_files/krb5_conf:parameter-expansion}}
+\label{\detokenize{admin/conf_files/krb5_conf:parameter-expansion}}\label{\detokenize{admin/conf_files/krb5_conf:id7}}
+\sphinxAtStartPar
 Starting with release 1.11, several variables, such as
 \sphinxstylestrong{default\_keytab\_name}, allow parameters to be expanded.
 Valid parameters are:
@@ -2144,83 +2430,115 @@ Valid parameters are:
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
+\sphinxAtStartPar
 \%\{TEMP\}
 &
+\sphinxAtStartPar
 Temporary directory
 \\
 \hline
+\sphinxAtStartPar
 \%\{uid\}
 &
+\sphinxAtStartPar
 Unix real UID or Windows SID
 \\
 \hline
+\sphinxAtStartPar
 \%\{euid\}
 &
+\sphinxAtStartPar
 Unix effective user ID or Windows SID
 \\
 \hline
+\sphinxAtStartPar
 \%\{USERID\}
 &
+\sphinxAtStartPar
 Same as \%\{uid\}
 \\
 \hline
+\sphinxAtStartPar
 \%\{null\}
 &
+\sphinxAtStartPar
 Empty string
 \\
 \hline
+\sphinxAtStartPar
 \%\{LIBDIR\}
 &
+\sphinxAtStartPar
 Installation library directory
 \\
 \hline
+\sphinxAtStartPar
 \%\{BINDIR\}
 &
+\sphinxAtStartPar
 Installation binary directory
 \\
 \hline
+\sphinxAtStartPar
 \%\{SBINDIR\}
 &
+\sphinxAtStartPar
 Installation admin binary directory
 \\
 \hline
+\sphinxAtStartPar
 \%\{username\}
 &
+\sphinxAtStartPar
 (Unix) Username of effective user ID
 \\
 \hline
+\sphinxAtStartPar
 \%\{APPDATA\}
 &
+\sphinxAtStartPar
 (Windows) Roaming application data for current user
 \\
 \hline
+\sphinxAtStartPar
 \%\{COMMON\_APPDATA\}
 &
+\sphinxAtStartPar
 (Windows) Application data for all users
 \\
 \hline
+\sphinxAtStartPar
 \%\{LOCAL\_APPDATA\}
 &
+\sphinxAtStartPar
 (Windows) Local application data for current user
 \\
 \hline
+\sphinxAtStartPar
 \%\{SYSTEM\}
 &
+\sphinxAtStartPar
 (Windows) Windows system folder
 \\
 \hline
+\sphinxAtStartPar
 \%\{WINDOWS\}
 &
+\sphinxAtStartPar
 (Windows) Windows folder
 \\
 \hline
+\sphinxAtStartPar
 \%\{USERCONFIG\}
 &
-(Windows) Per-user MIT krb5 config file directory
+\sphinxAtStartPar
+(Windows) Per\sphinxhyphen{}user MIT krb5 config file directory
 \\
 \hline
+\sphinxAtStartPar
 \%\{COMMONCONFIG\}
 &
+\sphinxAtStartPar
 (Windows) Common MIT krb5 config file directory
 \\
 \hline
@@ -2232,9 +2550,9 @@ Installation admin binary directory
 
 \subsubsection{Sample krb5.conf file}
 \label{\detokenize{admin/conf_files/krb5_conf:sample-krb5-conf-file}}
+\sphinxAtStartPar
 Here is an example of a generic krb5.conf file:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{libdefaults}\PYG{p}{]}
     \PYG{n}{default\PYGZus{}realm} \PYG{o}{=} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
@@ -2270,16 +2588,19 @@ Here is an example of a generic krb5.con
 
 \subsubsection{FILES}
 \label{\detokenize{admin/conf_files/krb5_conf:files}}
-\sphinxcode{/etc/krb5.conf}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/etc/krb5.conf}}
 
 
 \subsubsection{SEE ALSO}
 \label{\detokenize{admin/conf_files/krb5_conf:see-also}}
+\sphinxAtStartPar
 syslog(3)
 
 
 \subsection{kdc.conf}
-\label{\detokenize{admin/conf_files/kdc_conf:kdc-conf}}\label{\detokenize{admin/conf_files/kdc_conf::doc}}\label{\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}}
+\label{\detokenize{admin/conf_files/kdc_conf:kdc-conf}}\label{\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}}\label{\detokenize{admin/conf_files/kdc_conf::doc}}
+\sphinxAtStartPar
 The kdc.conf file supplements {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} for programs which
 are typically only used on a KDC, such as the {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} and
 {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} daemons and the {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} program.
@@ -2287,22 +2608,26 @@ Relations documented here may also be sp
 KDC programs mentioned, krb5.conf and kdc.conf will be merged into a
 single configuration profile.
 
+\sphinxAtStartPar
 Normally, the kdc.conf file is found in the KDC state directory,
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}.  You can override the default location by setting the
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}.  You can override the default location by setting the
 environment variable \sphinxstylestrong{KRB5\_KDC\_PROFILE}.
 
+\sphinxAtStartPar
 Please note that you need to restart the KDC daemon for any configuration
 changes to take effect.
 
 
 \subsubsection{Structure}
 \label{\detokenize{admin/conf_files/kdc_conf:structure}}
+\sphinxAtStartPar
 The kdc.conf file is set up in the same format as the
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} file.
 
 
 \subsubsection{Sections}
 \label{\detokenize{admin/conf_files/kdc_conf:sections}}
+\sphinxAtStartPar
 The kdc.conf file may contain the following sections:
 
 
@@ -2311,28 +2636,38 @@ The kdc.conf file may contain the follow
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdcdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}kdcdefaults{]}}}}}
 &
+\sphinxAtStartPar
 Default values for KDC behavior
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}}
 &
-Realm-specific database configuration and settings
+\sphinxAtStartPar
+Realm\sphinxhyphen{}specific database configuration and settings
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbdefaults{]}}}}}
 &
+\sphinxAtStartPar
 Default database settings
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbmodules}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbmodules{]}}}}}
 &
-Per-database settings
+\sphinxAtStartPar
+Per\sphinxhyphen{}database settings
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:logging}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}logging{]}}}}}
 &
+\sphinxAtStartPar
 Controls how Kerberos daemons perform logging
 \\
 \hline
@@ -2343,46 +2678,58 @@ Controls how Kerberos daemons perform lo
 
 \paragraph{{[}kdcdefaults{]}}
 \label{\detokenize{admin/conf_files/kdc_conf:kdcdefaults}}\label{\detokenize{admin/conf_files/kdc_conf:id1}}
+\sphinxAtStartPar
 Some relations in the {[}kdcdefaults{]} section specify default values for
 realm variables, to be used if the {[}realms{]} subsection does not
 contain a relation for the tag.  See the {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} section for
 the definitions of these relations.
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{host\_based\_services}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{kdc\_listen}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{kdc\_ports}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{kdc\_tcp\_listen}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{kdc\_tcp\_ports}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{no\_host\_referral}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{restrict\_anonymous\_to\_tgt}
 
 \end{itemize}
 
-The following {[}kdcdefaults{]} variables have no per-realm equivalent:
+\sphinxAtStartPar
+The following {[}kdcdefaults{]} variables have no per\sphinxhyphen{}realm equivalent:
 \begin{description}
 \item[{\sphinxstylestrong{kdc\_max\_dgram\_reply\_size}}] \leavevmode
+\sphinxAtStartPar
 Specifies the maximum packet size that can be sent over UDP.  The
 default value is 4096 bytes.
 
 \item[{\sphinxstylestrong{kdc\_tcp\_listen\_backlog}}] \leavevmode
+\sphinxAtStartPar
 (Integer.)  Set the size of the listen queue length for the KDC
 daemon.  The value may be limited by OS settings.  The default
 value is 5.
 
 \item[{\sphinxstylestrong{spake\_preauth\_kdc\_challenge}}] \leavevmode
+\sphinxAtStartPar
 (String.)  Specifies the group for a SPAKE optimistic challenge.
 See the \sphinxstylestrong{spake\_preauth\_groups} variable in {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}}
 for possible values.  The default is not to issue an optimistic
@@ -2393,12 +2740,12 @@ challenge.  (New in release 1.17.)
 
 \paragraph{{[}realms{]}}
 \label{\detokenize{admin/conf_files/kdc_conf:realms}}\label{\detokenize{admin/conf_files/kdc_conf:kdc-realms}}
+\sphinxAtStartPar
 Each tag in the {[}realms{]} section is the name of a Kerberos realm.  The
 value of the tag is a subsection where the relations define KDC
 parameters for that particular realm.  The following example shows how
 to define one parameter for the ATHENA.MIT.EDU realm:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{realms}\PYG{p}{]}
     \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -2406,80 +2753,96 @@ to define one parameter for the ATHENA.M
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The following tags may be specified in a {[}realms{]} subsection:
 \begin{description}
 \item[{\sphinxstylestrong{acl\_file}}] \leavevmode
+\sphinxAtStartPar
 (String.)  Location of the access control list file that
 {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} uses to determine which principals are allowed
 which permissions on the Kerberos database.  To operate without an
-ACL file, set this relation to the empty string with \sphinxcode{acl\_file =
-""}.  The default value is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/kadm5.acl}.  For more
+ACL file, set this relation to the empty string with \sphinxcode{\sphinxupquote{acl\_file =
+""}}.  The default value is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kadm5.acl}}.  For more
 information on Kerberos ACL file see {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}}.
 
 \item[{\sphinxstylestrong{database\_module}}] \leavevmode
+\sphinxAtStartPar
 (String.)  This relation indicates the name of the configuration
-section under {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbmodules}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbmodules{]}}}}} for database-specific parameters
+section under {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbmodules}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbmodules{]}}}}} for database\sphinxhyphen{}specific parameters
 used by the loadable database library.  The default value is the
 realm name.  If this configuration section does not exist, default
 values will be used for all database parameters.
 
 \item[{\sphinxstylestrong{database\_name}}] \leavevmode
+\sphinxAtStartPar
 (String, deprecated.)  This relation specifies the location of the
 Kerberos database for this realm, if the DB2 module is being used
 and the {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbmodules}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbmodules{]}}}}} configuration section does not specify a
-database name.  The default value is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/principal}.
+database name.  The default value is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/principal}}.
 
 \item[{\sphinxstylestrong{default\_principal\_expiration}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{abstime} string.)  Specifies the default expiration date of
 principals created in this realm.  The default value is 0, which
 means no expiration date.
 
 \item[{\sphinxstylestrong{default\_principal\_flags}}] \leavevmode
+\sphinxAtStartPar
 (Flag string.)  Specifies the default attributes of principals
 created in this realm.  The format for this string is a
-comma-separated list of flags, with ‘+’ before each flag that
-should be enabled and ‘-‘ before each flag that should be
-disabled.  The \sphinxstylestrong{postdateable}, \sphinxstylestrong{forwardable}, \sphinxstylestrong{tgt-based},
-\sphinxstylestrong{renewable}, \sphinxstylestrong{proxiable}, \sphinxstylestrong{dup-skey}, \sphinxstylestrong{allow-tickets}, and
+comma\sphinxhyphen{}separated list of flags, with ‘+’ before each flag that
+should be enabled and ‘\sphinxhyphen{}’ before each flag that should be
+disabled.  The \sphinxstylestrong{postdateable}, \sphinxstylestrong{forwardable}, \sphinxstylestrong{tgt\sphinxhyphen{}based},
+\sphinxstylestrong{renewable}, \sphinxstylestrong{proxiable}, \sphinxstylestrong{dup\sphinxhyphen{}skey}, \sphinxstylestrong{allow\sphinxhyphen{}tickets}, and
 \sphinxstylestrong{service} flags default to enabled.
 
+\sphinxAtStartPar
 There are a number of possible flags:
 \begin{description}
-\item[{\sphinxstylestrong{allow-tickets}}] \leavevmode
+\item[{\sphinxstylestrong{allow\sphinxhyphen{}tickets}}] \leavevmode
+\sphinxAtStartPar
 Enabling this flag means that the KDC will issue tickets for
 this principal.  Disabling this flag essentially deactivates
 the principal within this realm.
 
-\item[{\sphinxstylestrong{dup-skey}}] \leavevmode
-Enabling this flag allows the KDC to issue user-to-user
+\item[{\sphinxstylestrong{dup\sphinxhyphen{}skey}}] \leavevmode
+\sphinxAtStartPar
+Enabling this flag allows the KDC to issue user\sphinxhyphen{}to\sphinxhyphen{}user
 service tickets for this principal.
 
 \item[{\sphinxstylestrong{forwardable}}] \leavevmode
+\sphinxAtStartPar
 Enabling this flag allows the principal to obtain forwardable
 tickets.
 
 \item[{\sphinxstylestrong{hwauth}}] \leavevmode
+\sphinxAtStartPar
 If this flag is enabled, then the principal is required to
 preauthenticate using a hardware device before receiving any
 tickets.
 
-\item[{\sphinxstylestrong{no-auth-data-required}}] \leavevmode
-Enabling this flag prevents PAC or AD-SIGNEDPATH data from
+\item[{\sphinxstylestrong{no\sphinxhyphen{}auth\sphinxhyphen{}data\sphinxhyphen{}required}}] \leavevmode
+\sphinxAtStartPar
+Enabling this flag prevents PAC or AD\sphinxhyphen{}SIGNEDPATH data from
 being added to service tickets for the principal.
 
-\item[{\sphinxstylestrong{ok-as-delegate}}] \leavevmode
+\item[{\sphinxstylestrong{ok\sphinxhyphen{}as\sphinxhyphen{}delegate}}] \leavevmode
+\sphinxAtStartPar
 If this flag is enabled, it hints the client that credentials
 can and should be delegated when authenticating to the
 service.
 
-\item[{\sphinxstylestrong{ok-to-auth-as-delegate}}] \leavevmode
+\item[{\sphinxstylestrong{ok\sphinxhyphen{}to\sphinxhyphen{}auth\sphinxhyphen{}as\sphinxhyphen{}delegate}}] \leavevmode
+\sphinxAtStartPar
 Enabling this flag allows the principal to use S4USelf tickets.
 
 \item[{\sphinxstylestrong{postdateable}}] \leavevmode
+\sphinxAtStartPar
 Enabling this flag allows the principal to obtain postdateable
 tickets.
 
 \item[{\sphinxstylestrong{preauth}}] \leavevmode
+\sphinxAtStartPar
 If this flag is enabled on a client principal, then that
 principal is required to preauthenticate to the KDC before
 receiving any tickets.  On a service principal, enabling this
@@ -2488,14 +2851,17 @@ be issued to clients with a TGT that has
 bit set.
 
 \item[{\sphinxstylestrong{proxiable}}] \leavevmode
+\sphinxAtStartPar
 Enabling this flag allows the principal to obtain proxy
 tickets.
 
 \item[{\sphinxstylestrong{pwchange}}] \leavevmode
+\sphinxAtStartPar
 Enabling this flag forces a password change for this
 principal.
 
 \item[{\sphinxstylestrong{pwservice}}] \leavevmode
+\sphinxAtStartPar
 If this flag is enabled, it marks this principal as a password
 change service.  This should only be used in special cases,
 for example, if a user’s password has expired, then the user
@@ -2504,23 +2870,27 @@ the normal password authentication in or
 change the password.
 
 \item[{\sphinxstylestrong{renewable}}] \leavevmode
+\sphinxAtStartPar
 Enabling this flag allows the principal to obtain renewable
 tickets.
 
 \item[{\sphinxstylestrong{service}}] \leavevmode
+\sphinxAtStartPar
 Enabling this flag allows the the KDC to issue service tickets
-for this principal.  In release 1.17 and later, user-to-user
-service tickets are still allowed if the \sphinxstylestrong{dup-skey} flag is
+for this principal.  In release 1.17 and later, user\sphinxhyphen{}to\sphinxhyphen{}user
+service tickets are still allowed if the \sphinxstylestrong{dup\sphinxhyphen{}skey} flag is
 set.
 
-\item[{\sphinxstylestrong{tgt-based}}] \leavevmode
+\item[{\sphinxstylestrong{tgt\sphinxhyphen{}based}}] \leavevmode
+\sphinxAtStartPar
 Enabling this flag allows a principal to obtain tickets based
-on a ticket-granting-ticket, rather than repeating the
+on a ticket\sphinxhyphen{}granting\sphinxhyphen{}ticket, rather than repeating the
 authentication process that was used to obtain the TGT.
 
 \end{description}
 
 \item[{\sphinxstylestrong{dict\_file}}] \leavevmode
+\sphinxAtStartPar
 (String.)  Location of the dictionary file containing strings that
 are not allowed as passwords.  The file should contain one string
 per line, with no additional whitespace.  If none is specified or
@@ -2528,47 +2898,56 @@ if there is no policy assigned to the pr
 checks of passwords will be performed.
 
 \item[{\sphinxstylestrong{disable\_pac}}] \leavevmode
+\sphinxAtStartPar
 (Boolean value.)  If true, the KDC will not issue PACs for this
 realm, and S4U2Self and S4U2Proxy operations will be disabled.
 The default is false, which will permit the KDC to issue PACs.
 New in release 1.20.
 
 \item[{\sphinxstylestrong{encrypted\_challenge\_indicator}}] \leavevmode
+\sphinxAtStartPar
 (String.)  Specifies the authentication indicator value that the KDC
 asserts into tickets obtained using FAST encrypted challenge
-pre-authentication.  New in 1.16.
+pre\sphinxhyphen{}authentication.  New in 1.16.
 
 \item[{\sphinxstylestrong{host\_based\_services}}] \leavevmode
-(Whitespace- or comma-separated list.)  Lists services which will
-get host-based referral processing even if the server principal is
-not marked as host-based by the client.
+\sphinxAtStartPar
+(Whitespace\sphinxhyphen{} or comma\sphinxhyphen{}separated list.)  Lists services which will
+get host\sphinxhyphen{}based referral processing even if the server principal is
+not marked as host\sphinxhyphen{}based by the client.
 
 \item[{\sphinxstylestrong{iprop\_enable}}] \leavevmode
+\sphinxAtStartPar
 (Boolean value.)  Specifies whether incremental database
 propagation is enabled.  The default value is false.
 
 \item[{\sphinxstylestrong{iprop\_ulogsize}}] \leavevmode
+\sphinxAtStartPar
 (Integer.)  Specifies the maximum number of log entries to be
 retained for incremental propagation.  The default value is 1000.
 Prior to release 1.11, the maximum value was 2500.  New in release
 1.19.
 
 \item[{\sphinxstylestrong{iprop\_master\_ulogsize}}] \leavevmode
+\sphinxAtStartPar
 The name for \sphinxstylestrong{iprop\_ulogsize} prior to release 1.19.  Its value is
 used as a fallback if \sphinxstylestrong{iprop\_ulogsize} is not specified.
 
 \item[{\sphinxstylestrong{iprop\_replica\_poll}}] \leavevmode
+\sphinxAtStartPar
 (Delta time string.)  Specifies how often the replica KDC polls
-for new updates from the primary.  The default value is \sphinxcode{2m}
+for new updates from the primary.  The default value is \sphinxcode{\sphinxupquote{2m}}
 (that is, two minutes).  New in release 1.17.
 
 \item[{\sphinxstylestrong{iprop\_slave\_poll}}] \leavevmode
+\sphinxAtStartPar
 (Delta time string.)  The name for \sphinxstylestrong{iprop\_replica\_poll} prior to
 release 1.17.  Its value is used as a fallback if
 \sphinxstylestrong{iprop\_replica\_poll} is not specified.
 
 \item[{\sphinxstylestrong{iprop\_listen}}] \leavevmode
-(Whitespace- or comma-separated list.)  Specifies the iprop RPC
+\sphinxAtStartPar
+(Whitespace\sphinxhyphen{} or comma\sphinxhyphen{}separated list.)  Specifies the iprop RPC
 listening addresses and/or ports for the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} daemon.
 Each entry may be an interface address, a port number, or an
 address and port number separated by a colon.  If the address
@@ -2580,6 +2959,7 @@ address at the port specified in \sphinx
 1.15.
 
 \item[{\sphinxstylestrong{iprop\_port}}] \leavevmode
+\sphinxAtStartPar
 (Port number.)  Specifies the port number to be used for
 incremental propagation.  When \sphinxstylestrong{iprop\_enable} is true, this
 relation is required in the replica KDC configuration file, and
@@ -2589,24 +2969,27 @@ numbers specified in \sphinxstylestrong{
 port number for the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} daemon.
 
 \item[{\sphinxstylestrong{iprop\_resync\_timeout}}] \leavevmode
+\sphinxAtStartPar
 (Delta time string.)  Specifies the amount of time to wait for a
 full propagation to complete.  This is optional in configuration
 files, and is used by replica KDCs only.  The default value is 5
-minutes (\sphinxcode{5m}).  New in release 1.11.
+minutes (\sphinxcode{\sphinxupquote{5m}}).  New in release 1.11.
 
 \item[{\sphinxstylestrong{iprop\_logfile}}] \leavevmode
+\sphinxAtStartPar
 (File name.)  Specifies where the update log file for the realm
 database is to be stored.  The default is to use the
 \sphinxstylestrong{database\_name} entry from the realms section of the krb5 config
-file, with \sphinxcode{.ulog} appended.  (NOTE: If \sphinxstylestrong{database\_name} isn’t
+file, with \sphinxcode{\sphinxupquote{.ulog}} appended.  (NOTE: If \sphinxstylestrong{database\_name} isn’t
 specified in the realms section, perhaps because the LDAP database
 back end is being used, or the file name is specified in the
-{[}dbmodules{]} section, then the hard-coded default for
+{[}dbmodules{]} section, then the hard\sphinxhyphen{}coded default for
 \sphinxstylestrong{database\_name} is used.  Determination of the \sphinxstylestrong{iprop\_logfile}
 default value will not use values from the {[}dbmodules{]} section.)
 
 \item[{\sphinxstylestrong{kadmind\_listen}}] \leavevmode
-(Whitespace- or comma-separated list.)  Specifies the kadmin RPC
+\sphinxAtStartPar
+(Whitespace\sphinxhyphen{} or comma\sphinxhyphen{}separated list.)  Specifies the kadmin RPC
 listening addresses and/or ports for the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} daemon.
 Each entry may be an interface address, a port number, or an
 address and port number separated by a colon.  If the address
@@ -2618,17 +3001,20 @@ in \sphinxstylestrong{kadmind\_port}, or
 release 1.15.
 
 \item[{\sphinxstylestrong{kadmind\_port}}] \leavevmode
+\sphinxAtStartPar
 (Port number.)  Specifies the port on which the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}}
 daemon is to listen for this realm.  Port numbers specified in
 \sphinxstylestrong{kadmind\_listen} entries will override this port number.  The
 assigned port for kadmind is 749, which is used by default.
 
 \item[{\sphinxstylestrong{key\_stash\_file}}] \leavevmode
+\sphinxAtStartPar
 (String.)  Specifies the location where the master key has been
-stored (via kdb5\_util stash).  The default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/.k5.REALM}, where \sphinxstyleemphasis{REALM} is the Kerberos realm.
+stored (via kdb5\_util stash).  The default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/.k5.REALM}}, where \sphinxstyleemphasis{REALM} is the Kerberos realm.
 
 \item[{\sphinxstylestrong{kdc\_listen}}] \leavevmode
-(Whitespace- or comma-separated list.)  Specifies the UDP
+\sphinxAtStartPar
+(Whitespace\sphinxhyphen{} or comma\sphinxhyphen{}separated list.)  Specifies the UDP
 listening addresses and/or ports for the {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} daemon.
 Each entry may be an interface address, a port number, or an
 address and port number separated by a colon.  If the address
@@ -2640,34 +3026,38 @@ default is to bind to the wildcard addre
 New in release 1.15.
 
 \item[{\sphinxstylestrong{kdc\_ports}}] \leavevmode
-(Whitespace- or comma-separated list, deprecated.)  Prior to
+\sphinxAtStartPar
+(Whitespace\sphinxhyphen{} or comma\sphinxhyphen{}separated list, deprecated.)  Prior to
 release 1.15, this relation lists the ports for the
 {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} daemon to listen on for UDP requests.  In
 release 1.15 and later, it has the same meaning as \sphinxstylestrong{kdc\_listen}
 if that relation is not defined.
 
 \item[{\sphinxstylestrong{kdc\_tcp\_listen}}] \leavevmode
-(Whitespace- or comma-separated list.)  Specifies the TCP
+\sphinxAtStartPar
+(Whitespace\sphinxhyphen{} or comma\sphinxhyphen{}separated list.)  Specifies the TCP
 listening addresses and/or ports for the {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} daemon.
 Each entry may be an interface address, a port number, or an
 address and port number separated by a colon.  If the address
 contains colons, enclose it in square brackets.  If no address is
 specified, the wildcard address is used.  If no port is specified,
 the standard port (88) is used.  To disable listening on TCP, set
-this relation to the empty string with \sphinxcode{kdc\_tcp\_listen = ""}.
+this relation to the empty string with \sphinxcode{\sphinxupquote{kdc\_tcp\_listen = ""}}.
 If the KDC daemon fails to bind to any of the specified addresses,
 it will fail to start.  The default is to bind to the wildcard
 address on the standard port.  New in release 1.15.
 
 \item[{\sphinxstylestrong{kdc\_tcp\_ports}}] \leavevmode
-(Whitespace- or comma-separated list, deprecated.)  Prior to
+\sphinxAtStartPar
+(Whitespace\sphinxhyphen{} or comma\sphinxhyphen{}separated list, deprecated.)  Prior to
 release 1.15, this relation lists the ports for the
 {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} daemon to listen on for UDP requests.  In
 release 1.15 and later, it has the same meaning as
 \sphinxstylestrong{kdc\_tcp\_listen} if that relation is not defined.
 
 \item[{\sphinxstylestrong{kpasswd\_listen}}] \leavevmode
-(Comma-separated list.)  Specifies the kpasswd listening addresses
+\sphinxAtStartPar
+(Comma\sphinxhyphen{}separated list.)  Specifies the kpasswd listening addresses
 and/or ports for the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} daemon.  Each entry may be
 an interface address, a port number, or an address and port number
 separated by a colon.  If the address contains colons, enclose it
@@ -2678,6 +3068,7 @@ wildcard address at the port specified i
 standard kpasswd port (464).  New in release 1.15.
 
 \item[{\sphinxstylestrong{kpasswd\_port}}] \leavevmode
+\sphinxAtStartPar
 (Port number.)  Specifies the port on which the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}}
 daemon is to listen for password change requests for this realm.
 Port numbers specified in \sphinxstylestrong{kpasswd\_listen} entries will override
@@ -2685,34 +3076,40 @@ this port number.  The assigned port for
 is 464, which is used by default.
 
 \item[{\sphinxstylestrong{master\_key\_name}}] \leavevmode
+\sphinxAtStartPar
 (String.)  Specifies the name of the principal associated with the
-master key.  The default is \sphinxcode{K/M}.
+master key.  The default is \sphinxcode{\sphinxupquote{K/M}}.
 
 \item[{\sphinxstylestrong{master\_key\_type}}] \leavevmode
+\sphinxAtStartPar
 (Key type string.)  Specifies the master key’s key type.  The
-default value for this is \sphinxcode{aes256-cts-hmac-sha1-96}.  For a list of all possible
+default value for this is \sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96}}.  For a list of all possible
 values, see {\hyperref[\detokenize{admin/conf_files/kdc_conf:encryption-types}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}}.
 
 \item[{\sphinxstylestrong{max\_life}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} string.)  Specifies the maximum time period for
 which a ticket may be valid in this realm.  The default value is
 24 hours.
 
 \item[{\sphinxstylestrong{max\_renewable\_life}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} string.)  Specifies the maximum time period
 during which a valid ticket may be renewed in this realm.
 The default value is 0.
 
 \item[{\sphinxstylestrong{no\_host\_referral}}] \leavevmode
-(Whitespace- or comma-separated list.)  Lists services to block
-from getting host-based referral processing, even if the client
-marks the server principal as host-based or the service is also
-listed in \sphinxstylestrong{host\_based\_services}.  \sphinxcode{no\_host\_referral = *} will
+\sphinxAtStartPar
+(Whitespace\sphinxhyphen{} or comma\sphinxhyphen{}separated list.)  Lists services to block
+from getting host\sphinxhyphen{}based referral processing, even if the client
+marks the server principal as host\sphinxhyphen{}based or the service is also
+listed in \sphinxstylestrong{host\_based\_services}.  \sphinxcode{\sphinxupquote{no\_host\_referral = *}} will
 disable referral processing altogether.
 
 \item[{\sphinxstylestrong{reject\_bad\_transit}}] \leavevmode
+\sphinxAtStartPar
 (Boolean value.)  If set to true, the KDC will check the list of
-transited realms for cross-realm tickets against the transit path
+transited realms for cross\sphinxhyphen{}realm tickets against the transit path
 computed from the realm names and the capaths section of its
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} file; if the path in the ticket to be issued
 contains any realms not in the computed path, the ticket will not
@@ -2721,84 +3118,104 @@ If this value is set to false, such tick
 anyways, and it will be left up to the application server to
 validate the realm transit path.
 
-If the disable-transited-check flag is set in the incoming
+\sphinxAtStartPar
+If the disable\sphinxhyphen{}transited\sphinxhyphen{}check flag is set in the incoming
 request, this check is not performed at all.  Having the
 \sphinxstylestrong{reject\_bad\_transit} option will cause such ticket requests to
 be rejected always.
 
+\sphinxAtStartPar
 This transit path checking and config file option currently apply
 only to TGS requests.
 
+\sphinxAtStartPar
 The default value is true.
 
 \item[{\sphinxstylestrong{restrict\_anonymous\_to\_tgt}}] \leavevmode
+\sphinxAtStartPar
 (Boolean value.)  If set to true, the KDC will reject ticket
 requests from anonymous principals to service principals other
-than the realm’s ticket-granting service.  This option allows
+than the realm’s ticket\sphinxhyphen{}granting service.  This option allows
 anonymous PKINIT to be enabled for use as FAST armor tickets
 without allowing anonymous authentication to services.  The
 default value is false.  New in release 1.9.
 
 \item[{\sphinxstylestrong{spake\_preauth\_indicator}}] \leavevmode
+\sphinxAtStartPar
 (String.)  Specifies an authentication indicator value that the
-KDC asserts into tickets obtained using SPAKE pre-authentication.
+KDC asserts into tickets obtained using SPAKE pre\sphinxhyphen{}authentication.
 The default is not to add any indicators.  This option may be
 specified multiple times.  New in release 1.17.
 
 \item[{\sphinxstylestrong{supported\_enctypes}}] \leavevmode
+\sphinxAtStartPar
 (List of \sphinxstyleemphasis{key}:\sphinxstyleemphasis{salt} strings.)  Specifies the default key/salt
 combinations of principals for this realm.  Any principals created
 through {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} will have keys of these types.  The
-default value for this tag is \sphinxcode{aes256-cts-hmac-sha1-96:normal aes128-cts-hmac-sha1-96:normal}.  For lists of
+default value for this tag is \sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96:normal aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96:normal}}.  For lists of
 possible values, see {\hyperref[\detokenize{admin/conf_files/kdc_conf:keysalt-lists}]{\sphinxcrossref{\DUrole{std,std-ref}{Keysalt lists}}}}.
 
 \end{description}
 
 
 \paragraph{{[}dbdefaults{]}}
-\label{\detokenize{admin/conf_files/kdc_conf:id2}}\label{\detokenize{admin/conf_files/kdc_conf:dbdefaults}}
+\label{\detokenize{admin/conf_files/kdc_conf:dbdefaults}}\label{\detokenize{admin/conf_files/kdc_conf:id2}}
+\sphinxAtStartPar
 The {[}dbdefaults{]} section specifies default values for some database
 parameters, to be used if the {[}dbmodules{]} subsection does not contain
 a relation for the tag.  See the {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbmodules}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbmodules{]}}}}} section for the
 definitions of these relations.
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kerberos\_container\_dn}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kdc\_dn}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kdc\_sasl\_authcid}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kdc\_sasl\_authzid}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kdc\_sasl\_mech}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kdc\_sasl\_realm}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kadmind\_dn}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kadmind\_sasl\_authcid}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kadmind\_sasl\_authzid}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kadmind\_sasl\_mech}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_kadmind\_sasl\_realm}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_service\_password\_file}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ldap\_conns\_per\_server}
 
 \end{itemize}
@@ -2806,13 +3223,13 @@ definitions of these relations.
 
 \paragraph{{[}dbmodules{]}}
 \label{\detokenize{admin/conf_files/kdc_conf:dbmodules}}\label{\detokenize{admin/conf_files/kdc_conf:id3}}
+\sphinxAtStartPar
 The {[}dbmodules{]} section contains parameters used by the KDC database
 library and database modules.  Each tag in the {[}dbmodules{]} section is
 the name of a Kerberos realm or a section name specified by a realm’s
 \sphinxstylestrong{database\_module} parameter.  The following example shows how to
 define one database parameter for the ATHENA.MIT.EDU realm:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{dbmodules}\PYG{p}{]}
     \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -2820,19 +3237,23 @@ define one database parameter for the AT
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The following tags may be specified in a {[}dbmodules{]} subsection:
 \begin{description}
 \item[{\sphinxstylestrong{database\_name}}] \leavevmode
-This DB2-specific tag indicates the location of the database in
-the filesystem.  The default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/principal}.
+\sphinxAtStartPar
+This DB2\sphinxhyphen{}specific tag indicates the location of the database in
+the filesystem.  The default is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/principal}}.
 
 \item[{\sphinxstylestrong{db\_library}}] \leavevmode
+\sphinxAtStartPar
 This tag indicates the name of the loadable database module.  The
-value should be \sphinxcode{db2} for the DB2 module, \sphinxcode{klmdb} for the LMDB
-module, or \sphinxcode{kldap} for the LDAP module.
+value should be \sphinxcode{\sphinxupquote{db2}} for the DB2 module, \sphinxcode{\sphinxupquote{klmdb}} for the LMDB
+module, or \sphinxcode{\sphinxupquote{kldap}} for the LDAP module.
 
 \item[{\sphinxstylestrong{disable\_last\_success}}] \leavevmode
-If set to \sphinxcode{true}, suppresses KDC updates to the “Last successful
+\sphinxAtStartPar
+If set to \sphinxcode{\sphinxupquote{true}}, suppresses KDC updates to the “Last successful
 authentication” field of principal entries requiring
 preauthentication.  Setting this flag may improve performance.
 (Principal entries which do not require preauthentication never
@@ -2840,18 +3261,21 @@ update the “Last successful authentica
 introduced in release 1.9.
 
 \item[{\sphinxstylestrong{disable\_lockout}}] \leavevmode
-If set to \sphinxcode{true}, suppresses KDC updates to the “Last failed
+\sphinxAtStartPar
+If set to \sphinxcode{\sphinxupquote{true}}, suppresses KDC updates to the “Last failed
 authentication” and “Failed password attempts” fields of principal
 entries requiring preauthentication.  Setting this flag may
 improve performance, but also disables account lockout.  First
 introduced in release 1.9.
 
 \item[{\sphinxstylestrong{ldap\_conns\_per\_server}}] \leavevmode
-This LDAP-specific tag indicates the number of connections to be
+\sphinxAtStartPar
+This LDAP\sphinxhyphen{}specific tag indicates the number of connections to be
 maintained per LDAP server.
 
 \item[{\sphinxstylestrong{ldap\_kdc\_dn} and \sphinxstylestrong{ldap\_kadmind\_dn}}] \leavevmode
-These LDAP-specific tags indicate the default DN for binding to
+\sphinxAtStartPar
+These LDAP\sphinxhyphen{}specific tags indicate the default DN for binding to
 the LDAP server.  The {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} daemon uses
 \sphinxstylestrong{ldap\_kdc\_dn}, while the {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} daemon and other
 administrative programs use \sphinxstylestrong{ldap\_kadmind\_dn}.  The kadmind DN
@@ -2863,78 +3287,91 @@ These tags are ignored if a SASL mechani
 \sphinxstylestrong{ldap\_kdc\_sasl\_mech} or \sphinxstylestrong{ldap\_kadmind\_sasl\_mech}.
 
 \item[{\sphinxstylestrong{ldap\_kdc\_sasl\_mech} and \sphinxstylestrong{ldap\_kadmind\_sasl\_mech}}] \leavevmode
-These LDAP-specific tags specify the SASL mechanism (such as
-\sphinxcode{EXTERNAL}) to use when binding to the LDAP server.  New in
+\sphinxAtStartPar
+These LDAP\sphinxhyphen{}specific tags specify the SASL mechanism (such as
+\sphinxcode{\sphinxupquote{EXTERNAL}}) to use when binding to the LDAP server.  New in
 release 1.13.
 
 \item[{\sphinxstylestrong{ldap\_kdc\_sasl\_authcid} and \sphinxstylestrong{ldap\_kadmind\_sasl\_authcid}}] \leavevmode
-These LDAP-specific tags specify the SASL authentication identity
+\sphinxAtStartPar
+These LDAP\sphinxhyphen{}specific tags specify the SASL authentication identity
 to use when binding to the LDAP server.  Not all SASL mechanisms
 require an authentication identity.  If the SASL mechanism
-requires a secret (such as the password for \sphinxcode{DIGEST-MD5}), these
+requires a secret (such as the password for \sphinxcode{\sphinxupquote{DIGEST\sphinxhyphen{}MD5}}), these
 tags also determine the name within the
 \sphinxstylestrong{ldap\_service\_password\_file} where the secret is stashed.  New
 in release 1.13.
 
 \item[{\sphinxstylestrong{ldap\_kdc\_sasl\_authzid} and \sphinxstylestrong{ldap\_kadmind\_sasl\_authzid}}] \leavevmode
-These LDAP-specific tags specify the SASL authorization identity
+\sphinxAtStartPar
+These LDAP\sphinxhyphen{}specific tags specify the SASL authorization identity
 to use when binding to the LDAP server.  In most circumstances
 they do not need to be specified.  New in release 1.13.
 
 \item[{\sphinxstylestrong{ldap\_kdc\_sasl\_realm} and \sphinxstylestrong{ldap\_kadmind\_sasl\_realm}}] \leavevmode
-These LDAP-specific tags specify the SASL realm to use when
+\sphinxAtStartPar
+These LDAP\sphinxhyphen{}specific tags specify the SASL realm to use when
 binding to the LDAP server.  In most circumstances they do not
 need to be set.  New in release 1.13.
 
 \item[{\sphinxstylestrong{ldap\_kerberos\_container\_dn}}] \leavevmode
-This LDAP-specific tag indicates the DN of the container object
+\sphinxAtStartPar
+This LDAP\sphinxhyphen{}specific tag indicates the DN of the container object
 where the realm objects will be located.
 
 \item[{\sphinxstylestrong{ldap\_servers}}] \leavevmode
-This LDAP-specific tag indicates the list of LDAP servers that the
+\sphinxAtStartPar
+This LDAP\sphinxhyphen{}specific tag indicates the list of LDAP servers that the
 Kerberos servers can connect to.  The list of LDAP servers is
-whitespace-separated.  The LDAP server is specified by a LDAP URI.
-It is recommended to use \sphinxcode{ldapi:} or \sphinxcode{ldaps:} URLs to connect
+whitespace\sphinxhyphen{}separated.  The LDAP server is specified by a LDAP URI.
+It is recommended to use \sphinxcode{\sphinxupquote{ldapi:}} or \sphinxcode{\sphinxupquote{ldaps:}} URLs to connect
 to the LDAP server.
 
 \item[{\sphinxstylestrong{ldap\_service\_password\_file}}] \leavevmode
-This LDAP-specific tag indicates the file containing the stashed
-passwords (created by \sphinxcode{kdb5\_ldap\_util stashsrvpw}) for the
+\sphinxAtStartPar
+This LDAP\sphinxhyphen{}specific tag indicates the file containing the stashed
+passwords (created by \sphinxcode{\sphinxupquote{kdb5\_ldap\_util stashsrvpw}}) for the
 \sphinxstylestrong{ldap\_kdc\_dn} and \sphinxstylestrong{ldap\_kadmind\_dn} objects, or for the
 \sphinxstylestrong{ldap\_kdc\_sasl\_authcid} or \sphinxstylestrong{ldap\_kadmind\_sasl\_authcid} names
 for SASL authentication.  This file must be kept secure.
 
 \item[{\sphinxstylestrong{mapsize}}] \leavevmode
-This LMDB-specific tag indicates the maximum size of the two
+\sphinxAtStartPar
+This LMDB\sphinxhyphen{}specific tag indicates the maximum size of the two
 database environments in megabytes.  The default value is 128.
 Increase this value to address “Environment mapsize limit reached”
 errors.  New in release 1.17.
 
 \item[{\sphinxstylestrong{max\_readers}}] \leavevmode
-This LMDB-specific tag indicates the maximum number of concurrent
+\sphinxAtStartPar
+This LMDB\sphinxhyphen{}specific tag indicates the maximum number of concurrent
 reading processes for the databases.  The default value is 128.
 New in release 1.17.
 
 \item[{\sphinxstylestrong{nosync}}] \leavevmode
-This LMDB-specific tag can be set to improve the throughput of
+\sphinxAtStartPar
+This LMDB\sphinxhyphen{}specific tag can be set to improve the throughput of
 kadmind and other administrative agents, at the expense of
 durability (recent database changes may not survive a power outage
 or other sudden reboot).  It does not affect the throughput of the
 KDC.  The default value is false.  New in release 1.17.
 
 \item[{\sphinxstylestrong{unlockiter}}] \leavevmode
-If set to \sphinxcode{true}, this DB2-specific tag causes iteration
+\sphinxAtStartPar
+If set to \sphinxcode{\sphinxupquote{true}}, this DB2\sphinxhyphen{}specific tag causes iteration
 operations to release the database lock while processing each
-principal.  Setting this flag to \sphinxcode{true} can prevent extended
+principal.  Setting this flag to \sphinxcode{\sphinxupquote{true}} can prevent extended
 blocking of KDC or kadmin operations when dumps of large databases
 are in progress.  First introduced in release 1.13.
 
 \end{description}
 
+\sphinxAtStartPar
 The following tag may be specified directly in the {[}dbmodules{]}
 section to control where database modules are loaded from:
 \begin{description}
 \item[{\sphinxstylestrong{db\_module\_dir}}] \leavevmode
+\sphinxAtStartPar
 This tag controls where the plugin system looks for database
 modules.  The value should be an absolute path.
 
@@ -2942,22 +3379,27 @@ modules.  The value should be an absolut
 
 
 \paragraph{{[}logging{]}}
-\label{\detokenize{admin/conf_files/kdc_conf:id4}}\label{\detokenize{admin/conf_files/kdc_conf:logging}}
+\label{\detokenize{admin/conf_files/kdc_conf:logging}}\label{\detokenize{admin/conf_files/kdc_conf:id4}}
+\sphinxAtStartPar
 The {[}logging{]} section indicates how {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} and
 {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} perform logging.  It may contain the following
 relations:
 \begin{description}
 \item[{\sphinxstylestrong{admin\_server}}] \leavevmode
+\sphinxAtStartPar
 Specifies how {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} performs logging.
 
 \item[{\sphinxstylestrong{kdc}}] \leavevmode
+\sphinxAtStartPar
 Specifies how {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} performs logging.
 
 \item[{\sphinxstylestrong{default}}] \leavevmode
+\sphinxAtStartPar
 Specifies how either daemon performs logging in the absence of
 relations specific to the daemon.
 
 \item[{\sphinxstylestrong{debug}}] \leavevmode
+\sphinxAtStartPar
 (Boolean value.)  Specifies whether debugging messages are
 included in log outputs other than SYSLOG.  Debugging messages are
 always included in the system log output because syslog performs
@@ -2966,32 +3408,40 @@ release 1.15.
 
 \end{description}
 
+\sphinxAtStartPar
 Logging specifications may have the following forms:
 \begin{description}
 \item[{\sphinxstylestrong{FILE=}\sphinxstyleemphasis{filename} or \sphinxstylestrong{FILE:}\sphinxstyleemphasis{filename}}] \leavevmode
+\sphinxAtStartPar
 This value causes the daemon’s logging messages to go to the
-\sphinxstyleemphasis{filename}.  If the \sphinxcode{=} form is used, the file is overwritten.
-If the \sphinxcode{:} form is used, the file is appended to.
+\sphinxstyleemphasis{filename}.  If the \sphinxcode{\sphinxupquote{=}} form is used, the file is overwritten.
+If the \sphinxcode{\sphinxupquote{:}} form is used, the file is appended to.
 
 \item[{\sphinxstylestrong{STDERR}}] \leavevmode
+\sphinxAtStartPar
 This value causes the daemon’s logging messages to go to its
 standard error stream.
 
 \item[{\sphinxstylestrong{CONSOLE}}] \leavevmode
+\sphinxAtStartPar
 This value causes the daemon’s logging messages to go to the
 console, if the system supports it.
 
 \item[{\sphinxstylestrong{DEVICE=}\sphinxstyleemphasis{\textless{}devicename\textgreater{}}}] \leavevmode
+\sphinxAtStartPar
 This causes the daemon’s logging messages to go to the specified
 device.
 
 \item[{\sphinxstylestrong{SYSLOG}{[}\sphinxstylestrong{:}\sphinxstyleemphasis{severity}{[}\sphinxstylestrong{:}\sphinxstyleemphasis{facility}{]}{]}}] \leavevmode
+\sphinxAtStartPar
 This causes the daemon’s logging messages to go to the system log.
 
+\sphinxAtStartPar
 For backward compatibility, a severity argument may be specified,
 and must be specified in order to specify a facility.  This
 argument will be ignored.
 
+\sphinxAtStartPar
 The facility argument specifies the facility under which the
 messages are logged.  This may be any of the following facilities
 supported by the syslog(3) call minus the LOG\_ prefix: \sphinxstylestrong{KERN},
@@ -3001,13 +3451,13 @@ facility is specified, the default is \s
 
 \end{description}
 
+\sphinxAtStartPar
 In the following example, the logging messages from the KDC will go to
 the console and to the system log under the facility LOG\_DAEMON, and
 the logging messages from the administrative server will be appended
-to the file \sphinxcode{/var/adm/kadmin.log} and sent to the device
-\sphinxcode{/dev/tty04}.
+to the file \sphinxcode{\sphinxupquote{/var/adm/kadmin.log}} and sent to the device
+\sphinxcode{\sphinxupquote{/dev/tty04}}.
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{logging}\PYG{p}{]}
     \PYG{n}{kdc} \PYG{o}{=} \PYG{n}{CONSOLE}
@@ -3016,26 +3466,31 @@ to the file \sphinxcode{/var/adm/kadmin.
     \PYG{n}{admin\PYGZus{}server} \PYG{o}{=} \PYG{n}{DEVICE}\PYG{o}{=}\PYG{o}{/}\PYG{n}{dev}\PYG{o}{/}\PYG{n}{tty04}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If no logging specification is given, the default is to use syslog.
-To disable logging entirely, specify \sphinxcode{default = DEVICE=/dev/null}.
+To disable logging entirely, specify \sphinxcode{\sphinxupquote{default = DEVICE=/dev/null}}.
 
 
 \paragraph{{[}otp{]}}
 \label{\detokenize{admin/conf_files/kdc_conf:otp}}\label{\detokenize{admin/conf_files/kdc_conf:id5}}
+\sphinxAtStartPar
 Each subsection of {[}otp{]} is the name of an OTP token type.  The tags
 within the subsection define the configuration required to forward a
 One Time Password request to a RADIUS server.
 
+\sphinxAtStartPar
 For each token type, the following tags may be specified:
 \begin{description}
 \item[{\sphinxstylestrong{server}}] \leavevmode
+\sphinxAtStartPar
 This is the server to send the RADIUS request to.  It can be a
 hostname with optional port, an ip address with optional port, or
 a Unix domain socket address.  The default is
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/\textless{}name\textgreater{}.socket}.
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/\textless{}name\textgreater{}.socket}}.
 
 \item[{\sphinxstylestrong{secret}}] \leavevmode
-This tag indicates a filename (which may be relative to {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc})
+\sphinxAtStartPar
+This tag indicates a filename (which may be relative to {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}})
 containing the secret used to encrypt the RADIUS packets.  The
 secret should appear in the first line of the file by itself;
 leading and trailing whitespace on the line will be removed.  If
@@ -3044,30 +3499,34 @@ is optional, and an empty secret will be
 specified.  Otherwise, this tag is required.
 
 \item[{\sphinxstylestrong{timeout}}] \leavevmode
+\sphinxAtStartPar
 An integer which specifies the time in seconds during which the
 KDC should attempt to contact the RADIUS server.  This tag is the
 total time across all retries and should be less than the time
 which an OTP value remains valid for.  The default is 5 seconds.
 
 \item[{\sphinxstylestrong{retries}}] \leavevmode
+\sphinxAtStartPar
 This tag specifies the number of retries to make to the RADIUS
 server.  The default is 3 retries (4 tries).
 
 \item[{\sphinxstylestrong{strip\_realm}}] \leavevmode
-If this tag is \sphinxcode{true}, the principal without the realm will be
+\sphinxAtStartPar
+If this tag is \sphinxcode{\sphinxupquote{true}}, the principal without the realm will be
 passed to the RADIUS server.  Otherwise, the realm will be
-included.  The default value is \sphinxcode{true}.
+included.  The default value is \sphinxcode{\sphinxupquote{true}}.
 
 \item[{\sphinxstylestrong{indicator}}] \leavevmode
+\sphinxAtStartPar
 This tag specifies an authentication indicator to be included in
 the ticket if this token type is used to authenticate.  This
 option may be specified multiple times.  (New in release 1.14.)
 
 \end{description}
 
+\sphinxAtStartPar
 In the following example, requests are sent to a remote server via UDP:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 [otp]
     MyRemoteTokenType = \PYGZob{}
@@ -3079,12 +3538,12 @@ In the following example, requests are s
     \PYGZcb{}
 \end{sphinxVerbatim}
 
-An implicit default token type named \sphinxcode{DEFAULT} is defined for when
-the per-principal configuration does not specify a token type.  Its
+\sphinxAtStartPar
+An implicit default token type named \sphinxcode{\sphinxupquote{DEFAULT}} is defined for when
+the per\sphinxhyphen{}principal configuration does not specify a token type.  Its
 configuration is shown below.  You may override this token type to
 something applicable for your situation:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{otp}\PYG{p}{]}
     \PYG{n}{DEFAULT} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -3096,17 +3555,19 @@ something applicable for your situation:
 \subsubsection{PKINIT options}
 \label{\detokenize{admin/conf_files/kdc_conf:pkinit-options}}
 \begin{sphinxadmonition}{note}{Note:}
-The following are pkinit-specific options.  These values may
+\sphinxAtStartPar
+The following are pkinit\sphinxhyphen{}specific options.  These values may
 be specified in {[}kdcdefaults{]} as global defaults, or within
-a realm-specific subsection of {[}realms{]}.  Also note that a
-realm-specific value over-rides, does not add to, a generic
+a realm\sphinxhyphen{}specific subsection of {[}realms{]}.  Also note that a
+realm\sphinxhyphen{}specific value over\sphinxhyphen{}rides, does not add to, a generic
 {[}kdcdefaults{]} specification.  The search order is:
 \end{sphinxadmonition}
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
-realm-specific subsection of {[}realms{]}:
+\sphinxAtStartPar
+realm\sphinxhyphen{}specific subsection of {[}realms{]}:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{realms}\PYG{p}{]}
     \PYG{n}{EXAMPLE}\PYG{o}{.}\PYG{n}{COM} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -3115,9 +3576,9 @@ realm-specific subsection of {[}realms{]
 \end{sphinxVerbatim}
 
 \item {} 
+\sphinxAtStartPar
 generic value in the {[}kdcdefaults{]} section:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{kdcdefaults}\PYG{p}{]}
     \PYG{n}{pkinit\PYGZus{}anchors} \PYG{o}{=} \PYG{n}{DIR}\PYG{p}{:}\PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{local}\PYG{o}{/}\PYG{n}{generic\PYGZus{}trusted\PYGZus{}cas}\PYG{o}{/}
@@ -3125,47 +3586,56 @@ generic value in the {[}kdcdefaults{]} s
 
 \end{enumerate}
 
+\sphinxAtStartPar
 For information about the syntax of some of these options, see
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:pkinit-identity}]{\sphinxcrossref{\DUrole{std,std-ref}{Specifying PKINIT identity information}}}} in
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.
 \begin{description}
 \item[{\sphinxstylestrong{pkinit\_anchors}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of trusted anchor (root) certificates which
 the KDC trusts to sign client certificates.  This option is
 required if pkinit is to be supported by the KDC.  This option may
 be specified multiple times.
 
 \item[{\sphinxstylestrong{pkinit\_dh\_min\_bits}}] \leavevmode
+\sphinxAtStartPar
 Specifies the minimum number of bits the KDC is willing to accept
-for a client’s Diffie-Hellman key.  The default is 2048.
+for a client’s Diffie\sphinxhyphen{}Hellman key.  The default is 2048.
 
 \item[{\sphinxstylestrong{pkinit\_allow\_upn}}] \leavevmode
+\sphinxAtStartPar
 Specifies that the KDC is willing to accept client certificates
 with the Microsoft UserPrincipalName (UPN) Subject Alternative
 Name (SAN).  This means the KDC accepts the binding of the UPN in
 the certificate to the Kerberos principal name.  The default value
 is false.
 
+\sphinxAtStartPar
 Without this option, the KDC will only accept certificates with
-the id-pkinit-san as defined in \index{RFC!RFC 4556}\sphinxhref{https://tools.ietf.org/html/rfc4556.html}{\sphinxstylestrong{RFC 4556}}.  There is currently
+the id\sphinxhyphen{}pkinit\sphinxhyphen{}san as defined in \index{RFC@\spxentry{RFC}!RFC 4556@\spxentry{RFC 4556}}\sphinxhref{https://tools.ietf.org/html/rfc4556.html}{\sphinxstylestrong{RFC 4556}}.  There is currently
 no option to disable SAN checking in the KDC.
 
 \item[{\sphinxstylestrong{pkinit\_eku\_checking}}] \leavevmode
+\sphinxAtStartPar
 This option specifies what Extended Key Usage (EKU) values the KDC
 is willing to accept in client certificates.  The values
 recognized in the kdc.conf file are:
 \begin{description}
 \item[{\sphinxstylestrong{kpClientAuth}}] \leavevmode
+\sphinxAtStartPar
 This is the default value and specifies that client
-certificates must have the id-pkinit-KPClientAuth EKU as
-defined in \index{RFC!RFC 4556}\sphinxhref{https://tools.ietf.org/html/rfc4556.html}{\sphinxstylestrong{RFC 4556}}.
+certificates must have the id\sphinxhyphen{}pkinit\sphinxhyphen{}KPClientAuth EKU as
+defined in \index{RFC@\spxentry{RFC}!RFC 4556@\spxentry{RFC 4556}}\sphinxhref{https://tools.ietf.org/html/rfc4556.html}{\sphinxstylestrong{RFC 4556}}.
 
 \item[{\sphinxstylestrong{scLogin}}] \leavevmode
+\sphinxAtStartPar
 If scLogin is specified, client certificates with the
-Microsoft Smart Card Login EKU (id-ms-kp-sc-logon) will be
+Microsoft Smart Card Login EKU (id\sphinxhyphen{}ms\sphinxhyphen{}kp\sphinxhyphen{}sc\sphinxhyphen{}logon) will be
 accepted.
 
 \item[{\sphinxstylestrong{none}}] \leavevmode
+\sphinxAtStartPar
 If none is specified, then client certificates will not be
 checked to verify they have an acceptable EKU.  The use of
 this option is not recommended.
@@ -3173,26 +3643,31 @@ this option is not recommended.
 \end{description}
 
 \item[{\sphinxstylestrong{pkinit\_identity}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of the KDC’s X.509 identity information.
 This option is required if pkinit is to be supported by the KDC.
 
 \item[{\sphinxstylestrong{pkinit\_indicator}}] \leavevmode
+\sphinxAtStartPar
 Specifies an authentication indicator to include in the ticket if
 pkinit is used to authenticate.  This option may be specified
 multiple times.  (New in release 1.14.)
 
 \item[{\sphinxstylestrong{pkinit\_pool}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of intermediate certificates which may be
 used by the KDC to complete the trust chain between a client’s
 certificate and a trusted anchor.  This option may be specified
 multiple times.
 
 \item[{\sphinxstylestrong{pkinit\_revoke}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of Certificate Revocation List (CRL)
 information to be used by the KDC when verifying the validity of
 client certificates.  This option may be specified multiple times.
 
 \item[{\sphinxstylestrong{pkinit\_require\_crl\_checking}}] \leavevmode
+\sphinxAtStartPar
 The default certificate verification process will always check the
 available revocation information to see if a certificate has been
 revoked.  If a match is found for the certificate in a CRL,
@@ -3201,14 +3676,17 @@ listed in a CRL, or there is no CRL pres
 and \sphinxstylestrong{pkinit\_require\_crl\_checking} is false, then verification
 succeeds.
 
+\sphinxAtStartPar
 However, if \sphinxstylestrong{pkinit\_require\_crl\_checking} is true and there is
 no CRL information available for the issuing CA, then verification
 fails.
 
+\sphinxAtStartPar
 \sphinxstylestrong{pkinit\_require\_crl\_checking} should be set to true if the
-policy is such that up-to-date CRLs must be present for every CA.
+policy is such that up\sphinxhyphen{}to\sphinxhyphen{}date CRLs must be present for every CA.
 
 \item[{\sphinxstylestrong{pkinit\_require\_freshness}}] \leavevmode
+\sphinxAtStartPar
 Specifies whether to require clients to include a freshness token
 in PKINIT requests.  The default value is false.  (New in release
 1.17.)
@@ -3217,7 +3695,8 @@ in PKINIT requests.  The default value i
 
 
 \subsubsection{Encryption types}
-\label{\detokenize{admin/conf_files/kdc_conf:id6}}\label{\detokenize{admin/conf_files/kdc_conf:encryption-types}}
+\label{\detokenize{admin/conf_files/kdc_conf:encryption-types}}\label{\detokenize{admin/conf_files/kdc_conf:id6}}
+\sphinxAtStartPar
 Any tag in the configuration files which requires a list of encryption
 types can be set to some combination of the following strings.
 Encryption types marked as “weak” and “deprecated” are available for
@@ -3229,120 +3708,153 @@ compatibility but not recommended for us
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-des3-cbc-raw
+\sphinxAtStartPar
+des3\sphinxhyphen{}cbc\sphinxhyphen{}raw
 &
+\sphinxAtStartPar
 Triple DES cbc mode raw (weak)
 \\
 \hline
-des3-cbc-sha1 des3-hmac-sha1 des3-cbc-sha1-kd
+\sphinxAtStartPar
+des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 des3\sphinxhyphen{}hmac\sphinxhyphen{}sha1 des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1\sphinxhyphen{}kd
 &
+\sphinxAtStartPar
 Triple DES cbc mode with HMAC/sha1 (deprecated)
 \\
 \hline
-aes256-cts-hmac-sha1-96 aes256-cts aes256-sha1
+\sphinxAtStartPar
+aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes256\sphinxhyphen{}cts aes256\sphinxhyphen{}sha1
 &
-AES-256 CTS mode with 96-bit SHA-1 HMAC
+\sphinxAtStartPar
+AES\sphinxhyphen{}256 CTS mode with 96\sphinxhyphen{}bit SHA\sphinxhyphen{}1 HMAC
 \\
 \hline
-aes128-cts-hmac-sha1-96 aes128-cts aes128-sha1
+\sphinxAtStartPar
+aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes128\sphinxhyphen{}cts aes128\sphinxhyphen{}sha1
 &
-AES-128 CTS mode with 96-bit SHA-1 HMAC
+\sphinxAtStartPar
+AES\sphinxhyphen{}128 CTS mode with 96\sphinxhyphen{}bit SHA\sphinxhyphen{}1 HMAC
 \\
 \hline
-aes256-cts-hmac-sha384-192 aes256-sha2
+\sphinxAtStartPar
+aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha384\sphinxhyphen{}192 aes256\sphinxhyphen{}sha2
 &
-AES-256 CTS mode with 192-bit SHA-384 HMAC
+\sphinxAtStartPar
+AES\sphinxhyphen{}256 CTS mode with 192\sphinxhyphen{}bit SHA\sphinxhyphen{}384 HMAC
 \\
 \hline
-aes128-cts-hmac-sha256-128 aes128-sha2
+\sphinxAtStartPar
+aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha256\sphinxhyphen{}128 aes128\sphinxhyphen{}sha2
 &
-AES-128 CTS mode with 128-bit SHA-256 HMAC
+\sphinxAtStartPar
+AES\sphinxhyphen{}128 CTS mode with 128\sphinxhyphen{}bit SHA\sphinxhyphen{}256 HMAC
 \\
 \hline
-arcfour-hmac rc4-hmac arcfour-hmac-md5
+\sphinxAtStartPar
+arcfour\sphinxhyphen{}hmac rc4\sphinxhyphen{}hmac arcfour\sphinxhyphen{}hmac\sphinxhyphen{}md5
 &
+\sphinxAtStartPar
 RC4 with HMAC/MD5 (deprecated)
 \\
 \hline
-arcfour-hmac-exp rc4-hmac-exp arcfour-hmac-md5-exp
+\sphinxAtStartPar
+arcfour\sphinxhyphen{}hmac\sphinxhyphen{}exp rc4\sphinxhyphen{}hmac\sphinxhyphen{}exp arcfour\sphinxhyphen{}hmac\sphinxhyphen{}md5\sphinxhyphen{}exp
 &
+\sphinxAtStartPar
 Exportable RC4 with HMAC/MD5 (weak)
 \\
 \hline
-camellia256-cts-cmac camellia256-cts
+\sphinxAtStartPar
+camellia256\sphinxhyphen{}cts\sphinxhyphen{}cmac camellia256\sphinxhyphen{}cts
 &
-Camellia-256 CTS mode with CMAC
+\sphinxAtStartPar
+Camellia\sphinxhyphen{}256 CTS mode with CMAC
 \\
 \hline
-camellia128-cts-cmac camellia128-cts
+\sphinxAtStartPar
+camellia128\sphinxhyphen{}cts\sphinxhyphen{}cmac camellia128\sphinxhyphen{}cts
 &
-Camellia-128 CTS mode with CMAC
+\sphinxAtStartPar
+Camellia\sphinxhyphen{}128 CTS mode with CMAC
 \\
 \hline
+\sphinxAtStartPar
 des3
 &
-The triple DES family: des3-cbc-sha1
+\sphinxAtStartPar
+The triple DES family: des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1
 \\
 \hline
+\sphinxAtStartPar
 aes
 &
-The AES family: aes256-cts-hmac-sha1-96, aes128-cts-hmac-sha1-96, aes256-cts-hmac-sha384-192, and aes128-cts-hmac-sha256-128
+\sphinxAtStartPar
+The AES family: aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96, aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96, aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha384\sphinxhyphen{}192, and aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha256\sphinxhyphen{}128
 \\
 \hline
+\sphinxAtStartPar
 rc4
 &
-The RC4 family: arcfour-hmac
+\sphinxAtStartPar
+The RC4 family: arcfour\sphinxhyphen{}hmac
 \\
 \hline
+\sphinxAtStartPar
 camellia
 &
-The Camellia family: camellia256-cts-cmac and camellia128-cts-cmac
+\sphinxAtStartPar
+The Camellia family: camellia256\sphinxhyphen{}cts\sphinxhyphen{}cmac and camellia128\sphinxhyphen{}cts\sphinxhyphen{}cmac
 \\
 \hline
 \end{tabulary}
 \par
 \sphinxattableend\end{savenotes}
 
+\sphinxAtStartPar
 The string \sphinxstylestrong{DEFAULT} can be used to refer to the default set of
 types for the variable in question.  Types or families can be removed
-from the current list by prefixing them with a minus sign (“-“).
+from the current list by prefixing them with a minus sign (“\sphinxhyphen{}“).
 Types or families can be prefixed with a plus sign (“+”) for symmetry;
 it has the same meaning as just listing the type or family.  For
-example, “\sphinxcode{DEFAULT -rc4}” would be the default set of encryption
-types with RC4 types removed, and “\sphinxcode{des3 DEFAULT}” would be the
+example, “\sphinxcode{\sphinxupquote{DEFAULT \sphinxhyphen{}rc4}}” would be the default set of encryption
+types with RC4 types removed, and “\sphinxcode{\sphinxupquote{des3 DEFAULT}}” would be the
 default set of encryption types with triple DES types moved to the
 front.
 
-While \sphinxstylestrong{aes128-cts} and \sphinxstylestrong{aes256-cts} are supported for all Kerberos
+\sphinxAtStartPar
+While \sphinxstylestrong{aes128\sphinxhyphen{}cts} and \sphinxstylestrong{aes256\sphinxhyphen{}cts} are supported for all Kerberos
 operations, they are not supported by very old versions of our GSSAPI
-implementation (krb5-1.3.1 and earlier).  Services running versions of
+implementation (krb5\sphinxhyphen{}1.3.1 and earlier).  Services running versions of
 krb5 without AES support must not be given keys of these encryption
 types in the KDC database.
 
-The \sphinxstylestrong{aes128-sha2} and \sphinxstylestrong{aes256-sha2} encryption types are new in
+\sphinxAtStartPar
+The \sphinxstylestrong{aes128\sphinxhyphen{}sha2} and \sphinxstylestrong{aes256\sphinxhyphen{}sha2} encryption types are new in
 release 1.15.  Services running versions of krb5 without support for
 these newer encryption types must not be given keys of these
 encryption types in the KDC database.
 
 
 \subsubsection{Keysalt lists}
-\label{\detokenize{admin/conf_files/kdc_conf:id7}}\label{\detokenize{admin/conf_files/kdc_conf:keysalt-lists}}
+\label{\detokenize{admin/conf_files/kdc_conf:keysalt-lists}}\label{\detokenize{admin/conf_files/kdc_conf:id7}}
+\sphinxAtStartPar
 Kerberos keys for users are usually derived from passwords.  Kerberos
 commands and configuration parameters that affect generation of keys
-take lists of enctype-salttype (“keysalt”) pairs, known as \sphinxstyleemphasis{keysalt
+take lists of enctype\sphinxhyphen{}salttype (“keysalt”) pairs, known as \sphinxstyleemphasis{keysalt
 lists}.  Each keysalt pair is an enctype name followed by a salttype
 name, in the format \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt}.  Individual keysalt list members are
 separated by comma (“,”) characters or space characters.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin} \PYG{o}{\PYGZhy{}}\PYG{n}{e} \PYG{n}{aes256}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}\PYG{p}{:}\PYG{n}{normal}\PYG{p}{,}\PYG{n}{aes128}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}\PYG{p}{:}\PYG{n}{normal}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 would start up kadmin so that by default it would generate
-password-derived keys for the \sphinxstylestrong{aes256-cts} and \sphinxstylestrong{aes128-cts}
+password\sphinxhyphen{}derived keys for the \sphinxstylestrong{aes256\sphinxhyphen{}cts} and \sphinxstylestrong{aes128\sphinxhyphen{}cts}
 encryption types, using a \sphinxstylestrong{normal} salt.
 
+\sphinxAtStartPar
 To ensure that people who happen to pick the same password do not have
 the same key, Kerberos 5 incorporates more information into the key
 using something called a salt.  The supported salt types are as
@@ -3354,23 +3866,31 @@ follows:
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
+\sphinxAtStartPar
 normal
 &
+\sphinxAtStartPar
 default for Kerberos Version 5
 \\
 \hline
+\sphinxAtStartPar
 norealm
 &
+\sphinxAtStartPar
 same as the default, without using realm information
 \\
 \hline
+\sphinxAtStartPar
 onlyrealm
 &
+\sphinxAtStartPar
 uses only realm information as the salt
 \\
 \hline
+\sphinxAtStartPar
 special
 &
+\sphinxAtStartPar
 generate a random salt
 \\
 \hline
@@ -3381,9 +3901,9 @@ generate a random salt
 
 \subsubsection{Sample kdc.conf File}
 \label{\detokenize{admin/conf_files/kdc_conf:sample-kdc-conf-file}}
+\sphinxAtStartPar
 Here’s an example of a kdc.conf file:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{kdcdefaults}\PYG{p}{]}
     \PYG{n}{kdc\PYGZus{}listen} \PYG{o}{=} \PYG{l+m+mi}{88}
@@ -3424,11 +3944,13 @@ Here’s an example of a kdc.conf file:
 
 \subsubsection{FILES}
 \label{\detokenize{admin/conf_files/kdc_conf:files}}
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/kdc.conf}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kdc.conf}}
 
 
 \subsubsection{SEE ALSO}
 \label{\detokenize{admin/conf_files/kdc_conf:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}, {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}}, {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}}
 
 
@@ -3437,44 +3959,50 @@ Here’s an example of a kdc.conf file:
 
 \subsubsection{DESCRIPTION}
 \label{\detokenize{admin/conf_files/kadm5_acl:description}}
+\sphinxAtStartPar
 The Kerberos {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} daemon uses an Access Control List
 (ACL) file to manage access rights to the Kerberos database.
 For operations that affect principals, the ACL file also controls
 which principals can operate on which other principals.
 
+\sphinxAtStartPar
 The default location of the Kerberos ACL file is
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/kadm5.acl}  unless this is overridden by the \sphinxstyleemphasis{acl\_file}
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kadm5.acl}}  unless this is overridden by the \sphinxstyleemphasis{acl\_file}
 variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
 
 \subsubsection{SYNTAX}
 \label{\detokenize{admin/conf_files/kadm5_acl:syntax}}
-Empty lines and lines starting with the sharp sign (\sphinxcode{\#}) are
+\sphinxAtStartPar
+Empty lines and lines starting with the sharp sign (\sphinxcode{\sphinxupquote{\#}}) are
 ignored.  Lines containing ACL entries have the format:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{principal}  \PYG{n}{permissions}  \PYG{p}{[}\PYG{n}{target\PYGZus{}principal}  \PYG{p}{[}\PYG{n}{restrictions}\PYG{p}{]} \PYG{p}{]}
 \end{sphinxVerbatim}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 Line order in the ACL file is important.  The first matching entry
 will control access for an actor principal on a target principal.
 \end{sphinxadmonition}
 \begin{description}
 \item[{\sphinxstyleemphasis{principal}}] \leavevmode
+\sphinxAtStartPar
 (Partially or fully qualified Kerberos principal name.) Specifies
 the principal whose permissions are to be set.
 
-Each component of the name may be wildcarded using the \sphinxcode{*}
+\sphinxAtStartPar
+Each component of the name may be wildcarded using the \sphinxcode{\sphinxupquote{*}}
 character.
 
 \item[{\sphinxstyleemphasis{permissions}}] \leavevmode
+\sphinxAtStartPar
 Specifies what operations may or may not be performed by a
 \sphinxstyleemphasis{principal} matching a particular entry.  This is a string of one or
-more of the following list of characters or their upper-case
-counterparts.  If the character is \sphinxstyleemphasis{upper-case}, then the operation
-is disallowed.  If the character is \sphinxstyleemphasis{lower-case}, then the operation
+more of the following list of characters or their upper\sphinxhyphen{}case
+counterparts.  If the character is \sphinxstyleemphasis{upper\sphinxhyphen{}case}, then the operation
+is disallowed.  If the character is \sphinxstyleemphasis{lower\sphinxhyphen{}case}, then the operation
 is permitted.
 
 
@@ -3483,58 +4011,80 @@ is permitted.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
+\sphinxAtStartPar
 a
 &
+\sphinxAtStartPar
 {[}Dis{]}allows the addition of principals or policies
 \\
 \hline
+\sphinxAtStartPar
 c
 &
+\sphinxAtStartPar
 {[}Dis{]}allows the changing of passwords for principals
 \\
 \hline
+\sphinxAtStartPar
 d
 &
+\sphinxAtStartPar
 {[}Dis{]}allows the deletion of principals or policies
 \\
 \hline
+\sphinxAtStartPar
 e
 &
+\sphinxAtStartPar
 {[}Dis{]}allows the extraction of principal keys
 \\
 \hline
+\sphinxAtStartPar
 i
 &
+\sphinxAtStartPar
 {[}Dis{]}allows inquiries about principals or policies
 \\
 \hline
+\sphinxAtStartPar
 l
 &
+\sphinxAtStartPar
 {[}Dis{]}allows the listing of all principals or policies
 \\
 \hline
+\sphinxAtStartPar
 m
 &
+\sphinxAtStartPar
 {[}Dis{]}allows the modification of principals or policies
 \\
 \hline
+\sphinxAtStartPar
 p
 &
+\sphinxAtStartPar
 {[}Dis{]}allows the propagation of the principal database (used in {\hyperref[\detokenize{admin/database:incr-db-prop}]{\sphinxcrossref{\DUrole{std,std-ref}{Incremental database propagation}}}})
 \\
 \hline
+\sphinxAtStartPar
 s
 &
+\sphinxAtStartPar
 {[}Dis{]}allows the explicit setting of the key for a principal
 \\
 \hline
+\sphinxAtStartPar
 x
 &
-Short for admcilsp. All privileges (except \sphinxcode{e})
+\sphinxAtStartPar
+Short for admcilsp. All privileges (except \sphinxcode{\sphinxupquote{e}})
 \\
 \hline
+\sphinxAtStartPar
 *
 &
+\sphinxAtStartPar
 Same as x.
 \\
 \hline
@@ -3545,7 +4095,8 @@ Same as x.
 \end{description}
 
 \begin{sphinxadmonition}{note}{Note:}
-The \sphinxcode{extract} privilege is not included in the wildcard
+\sphinxAtStartPar
+The \sphinxcode{\sphinxupquote{extract}} privilege is not included in the wildcard
 privilege; it must be explicitly assigned.  This privilege
 allows the user to extract keys from the database, and must be
 handled with great care to avoid disclosure of important keys
@@ -3556,43 +4107,52 @@ granted privilege.
 \end{sphinxadmonition}
 \begin{description}
 \item[{\sphinxstyleemphasis{target\_principal}}] \leavevmode
+\sphinxAtStartPar
 (Optional. Partially or fully qualified Kerberos principal name.)
 Specifies the principal on which \sphinxstyleemphasis{permissions} may be applied.
-Each component of the name may be wildcarded using the \sphinxcode{*}
+Each component of the name may be wildcarded using the \sphinxcode{\sphinxupquote{*}}
 character.
 
-\sphinxstyleemphasis{target\_principal} can also include back-references to \sphinxstyleemphasis{principal},
-in which \sphinxcode{*number} matches the corresponding wildcard in
+\sphinxAtStartPar
+\sphinxstyleemphasis{target\_principal} can also include back\sphinxhyphen{}references to \sphinxstyleemphasis{principal},
+in which \sphinxcode{\sphinxupquote{*number}} matches the corresponding wildcard in
 \sphinxstyleemphasis{principal}.
 
 \item[{\sphinxstyleemphasis{restrictions}}] \leavevmode
+\sphinxAtStartPar
 (Optional) A string of flags. Allowed restrictions are:
 \begin{quote}
 \begin{description}
-\item[{\{+\textbar{}-\}\sphinxstyleemphasis{flagname}}] \leavevmode
+\item[{\{+|\sphinxhyphen{}\}\sphinxstyleemphasis{flagname}}] \leavevmode
+\sphinxAtStartPar
 flag is forced to the indicated value.  The permissible flags
 are the same as those for the \sphinxstylestrong{default\_principal\_flags}
 variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
-\item[{\sphinxstyleemphasis{-clearpolicy}}] \leavevmode
+\item[{\sphinxstyleemphasis{\sphinxhyphen{}clearpolicy}}] \leavevmode
+\sphinxAtStartPar
 policy is forced to be empty.
 
-\item[{\sphinxstyleemphasis{-policy pol}}] \leavevmode
+\item[{\sphinxstyleemphasis{\sphinxhyphen{}policy pol}}] \leavevmode
+\sphinxAtStartPar
 policy is forced to be \sphinxstyleemphasis{pol}.
 
-\item[{-\{\sphinxstyleemphasis{expire, pwexpire, maxlife, maxrenewlife}\} \sphinxstyleemphasis{time}}] \leavevmode
+\item[{\sphinxhyphen{}\{\sphinxstyleemphasis{expire, pwexpire, maxlife, maxrenewlife}\} \sphinxstyleemphasis{time}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{getdate} string) associated value will be forced to
 MIN(\sphinxstyleemphasis{time}, requested value).
 
 \end{description}
 \end{quote}
 
+\sphinxAtStartPar
 The above flags act as restrictions on any add or modify operation
 which is allowed due to that ACL line.
 
 \end{description}
 
 \begin{sphinxadmonition}{warning}{Warning:}
+\sphinxAtStartPar
 If the kadmind ACL file is modified, the kadmind daemon needs to be
 restarted for changes to take effect.
 \end{sphinxadmonition}
@@ -3600,9 +4160,9 @@ restarted for changes to take effect.
 
 \subsubsection{EXAMPLE}
 \label{\detokenize{admin/conf_files/kadm5_acl:example}}
+\sphinxAtStartPar
 Here is an example of a kadm5.acl file:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{o}{*}\PYG{o}{/}\PYG{n}{admin}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}    \PYG{o}{*}                               \PYG{c+c1}{\PYGZsh{} line 1}
 \PYG{n}{joeadmin}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}   \PYG{n}{ADMCIL}                          \PYG{c+c1}{\PYGZsh{} line 2}
@@ -3612,37 +4172,43 @@ Here is an example of a kadm5.acl file:
 \PYG{n}{sms}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}        \PYG{n}{x}   \PYG{o}{*} \PYG{o}{\PYGZhy{}}\PYG{n}{maxlife} \PYG{l+m+mi}{9}\PYG{n}{h} \PYG{o}{\PYGZhy{}}\PYG{n}{postdateable} \PYG{c+c1}{\PYGZsh{} line 6}
 \end{sphinxVerbatim}
 
-(line 1) Any principal in the \sphinxcode{ATHENA.MIT.EDU} realm with an
-\sphinxcode{admin} instance has all administrative privileges except extracting
+\sphinxAtStartPar
+(line 1) Any principal in the \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} realm with an
+\sphinxcode{\sphinxupquote{admin}} instance has all administrative privileges except extracting
 keys.
 
-(lines 1-3) The user \sphinxcode{joeadmin} has all permissions except
-extracting keys with his \sphinxcode{admin} instance,
-\sphinxcode{joeadmin/admin@ATHENA.MIT.EDU} (matches line 1).  He has no
-permissions at all with his null instance, \sphinxcode{joeadmin@ATHENA.MIT.EDU}
-(matches line 2).  His \sphinxcode{root} and other non-\sphinxcode{admin}, non-null
-instances (e.g., \sphinxcode{extra} or \sphinxcode{dbadmin}) have inquire permissions
-with any principal that has the instance \sphinxcode{root} (matches line 3).
+\sphinxAtStartPar
+(lines 1\sphinxhyphen{}3) The user \sphinxcode{\sphinxupquote{joeadmin}} has all permissions except
+extracting keys with his \sphinxcode{\sphinxupquote{admin}} instance,
+\sphinxcode{\sphinxupquote{joeadmin/admin@ATHENA.MIT.EDU}} (matches line 1).  He has no
+permissions at all with his null instance, \sphinxcode{\sphinxupquote{joeadmin@ATHENA.MIT.EDU}}
+(matches line 2).  His \sphinxcode{\sphinxupquote{root}} and other non\sphinxhyphen{}\sphinxcode{\sphinxupquote{admin}}, non\sphinxhyphen{}null
+instances (e.g., \sphinxcode{\sphinxupquote{extra}} or \sphinxcode{\sphinxupquote{dbadmin}}) have inquire permissions
+with any principal that has the instance \sphinxcode{\sphinxupquote{root}} (matches line 3).
 
-(line 4) Any \sphinxcode{root} principal in \sphinxcode{ATHENA.MIT.EDU} can inquire
+\sphinxAtStartPar
+(line 4) Any \sphinxcode{\sphinxupquote{root}} principal in \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} can inquire
 or change the password of their null instance, but not any other
-null instance.  (Here, \sphinxcode{*1} denotes a back-reference to the
+null instance.  (Here, \sphinxcode{\sphinxupquote{*1}} denotes a back\sphinxhyphen{}reference to the
 component matching the first wildcard in the actor principal.)
 
-(line 5) Any \sphinxcode{root} principal in \sphinxcode{ATHENA.MIT.EDU} can generate
+\sphinxAtStartPar
+(line 5) Any \sphinxcode{\sphinxupquote{root}} principal in \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} can generate
 the list of principals in the database, and the list of policies
 in the database.  This line is separate from line 4, because list
 permission can only be granted globally, not to specific target
 principals.
 
+\sphinxAtStartPar
 (line 6) Finally, the Service Management System principal
-\sphinxcode{sms@ATHENA.MIT.EDU} has all permissions except extracting keys, but
+\sphinxcode{\sphinxupquote{sms@ATHENA.MIT.EDU}} has all permissions except extracting keys, but
 any principal that it creates or modifies will not be able to get
 postdateable tickets or tickets with a life of longer than 9 hours.
 
 
 \subsubsection{MODULE BEHAVIOR}
 \label{\detokenize{admin/conf_files/kadm5_acl:module-behavior}}
+\sphinxAtStartPar
 The ACL file can coexist with other authorization modules in release
 1.16 and later, as configured in the {\hyperref[\detokenize{admin/conf_files/krb5_conf:kadm5-auth}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5\_auth interface}}}} section of
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.  The ACL file will positively authorize
@@ -3650,38 +4216,47 @@ operations according to the rules above,
 authoritatively deny an operation, so other modules can authorize
 operations in addition to those authorized by the ACL file.
 
+\sphinxAtStartPar
 To operate without an ACL file, set the \sphinxstyleemphasis{acl\_file} variable in
-{\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} to the empty string with \sphinxcode{acl\_file = ""}.
+{\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} to the empty string with \sphinxcode{\sphinxupquote{acl\_file = ""}}.
 
 
 \subsubsection{SEE ALSO}
 \label{\detokenize{admin/conf_files/kadm5_acl:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}, {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}}
 
 
 \chapter{Realm configuration decisions}
 \label{\detokenize{admin/realm_config:realm-configuration-decisions}}\label{\detokenize{admin/realm_config::doc}}
+\sphinxAtStartPar
 Before installing Kerberos V5, it is necessary to consider the
 following issues:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 The name of your Kerberos realm (or the name of each realm, if you
 need more than one).
 
 \item {} 
+\sphinxAtStartPar
 How you will assign your hostnames to Kerberos realms.
 
 \item {} 
+\sphinxAtStartPar
 Which ports your KDC and and kadmind services will use, if they will
 not be using the default ports.
 
 \item {} 
+\sphinxAtStartPar
 How many replica KDCs you need and where they should be located.
 
 \item {} 
+\sphinxAtStartPar
 The hostnames of your primary and replica KDCs.
 
 \item {} 
+\sphinxAtStartPar
 How frequently you will propagate the database from the primary KDC
 to the replica KDCs.
 
@@ -3690,21 +4265,22 @@ to the replica KDCs.
 
 \section{Realm name}
 \label{\detokenize{admin/realm_config:realm-name}}
+\sphinxAtStartPar
 Although your Kerberos realm can be any ASCII string, convention is to
-make it the same as your domain name, in upper-case letters.
+make it the same as your domain name, in upper\sphinxhyphen{}case letters.
 
-For example, hosts in the domain \sphinxcode{example.com} would be in the
+\sphinxAtStartPar
+For example, hosts in the domain \sphinxcode{\sphinxupquote{example.com}} would be in the
 Kerberos realm:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{EXAMPLE}\PYG{o}{.}\PYG{n}{COM}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If you need multiple Kerberos realms, MIT recommends that you use
 descriptive names which end with your domain name, such as:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{BOSTON}\PYG{o}{.}\PYG{n}{EXAMPLE}\PYG{o}{.}\PYG{n}{COM}
 \PYG{n}{HOUSTON}\PYG{o}{.}\PYG{n}{EXAMPLE}\PYG{o}{.}\PYG{n}{COM}
@@ -3713,15 +4289,18 @@ descriptive names which end with your do
 
 \section{Mapping hostnames onto Kerberos realms}
 \label{\detokenize{admin/realm_config:mapping-hostnames-onto-kerberos-realms}}\label{\detokenize{admin/realm_config:mapping-hostnames}}
+\sphinxAtStartPar
 Mapping hostnames onto Kerberos realms is done in one of three ways.
 
+\sphinxAtStartPar
 The first mechanism works through a set of rules in the
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:domain-realm}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}domain\_realm{]}}}}} section of {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.  You can specify
-mappings for an entire domain or on a per-hostname basis.  Typically
+mappings for an entire domain or on a per\sphinxhyphen{}hostname basis.  Typically
 you would do this by specifying the mappings for a given domain or
 subdomain and listing the exceptions.
 
-The second mechanism is to use KDC host-based service referrals.  With
+\sphinxAtStartPar
+The second mechanism is to use KDC host\sphinxhyphen{}based service referrals.  With
 this method, the KDC’s krb5.conf has a full {[}domain\_realm{]} mapping for
 hosts, but the clients do not, or have mappings for only a subset of
 the hosts they might contact.  When a client needs to contact a server
@@ -3729,24 +4308,25 @@ host for which it has no mapping, it wil
 for the service ticket, and will receive a referral to the appropriate
 service realm.
 
+\sphinxAtStartPar
 To use referrals, clients must be running MIT krb5 1.6 or later, and
 the KDC must be running MIT krb5 1.7 or later.  The
 \sphinxstylestrong{host\_based\_services} and \sphinxstylestrong{no\_host\_referral} variables in the
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} section of {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} can be used to
-fine-tune referral behavior on the KDC.
+fine\sphinxhyphen{}tune referral behavior on the KDC.
 
+\sphinxAtStartPar
 It is also possible for clients to use DNS TXT records, if
 \sphinxstylestrong{dns\_lookup\_realm} is enabled in {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.  Such lookups
 are disabled by default because DNS is an insecure protocol and security
 holes could result if DNS records are spoofed.  If enabled, the client
 will try to look up a TXT record formed by prepending the prefix
-\sphinxcode{\_kerberos} to the hostname in question.  If that record is not
-found, the client will attempt a lookup by prepending \sphinxcode{\_kerberos} to the
-host’s domain name, then its parent domain, up to the top-level domain.
-For the hostname \sphinxcode{boston.engineering.example.com}, the names looked up
+\sphinxcode{\sphinxupquote{\_kerberos}} to the hostname in question.  If that record is not
+found, the client will attempt a lookup by prepending \sphinxcode{\sphinxupquote{\_kerberos}} to the
+host’s domain name, then its parent domain, up to the top\sphinxhyphen{}level domain.
+For the hostname \sphinxcode{\sphinxupquote{boston.engineering.example.com}}, the names looked up
 would be:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{\PYGZus{}kerberos}\PYG{o}{.}\PYG{n}{boston}\PYG{o}{.}\PYG{n}{engineering}\PYG{o}{.}\PYG{n}{example}\PYG{o}{.}\PYG{n}{com}
 \PYG{n}{\PYGZus{}kerberos}\PYG{o}{.}\PYG{n}{engineering}\PYG{o}{.}\PYG{n}{example}\PYG{o}{.}\PYG{n}{com}
@@ -3754,14 +4334,17 @@ would be:
 \PYG{n}{\PYGZus{}kerberos}\PYG{o}{.}\PYG{n}{com}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The value of the first TXT record found is taken as the realm name.
 
+\sphinxAtStartPar
 Even if you do not choose to use this mechanism within your site,
 you may wish to set it up anyway, for use when interacting with other sites.
 
 
 \section{Ports for the KDC and admin services}
 \label{\detokenize{admin/realm_config:ports-for-the-kdc-and-admin-services}}
+\sphinxAtStartPar
 The default ports used by Kerberos are port 88 for the KDC and port
 749 for the admin server.  You can, however, choose to run on other
 ports, as long as they are specified in each host’s
@@ -3773,29 +4356,35 @@ port numbers used by the Kerberos V5 pro
 
 \section{Replica KDCs}
 \label{\detokenize{admin/realm_config:replica-kdcs}}
-Replica KDCs provide an additional source of Kerberos ticket-granting
+\sphinxAtStartPar
+Replica KDCs provide an additional source of Kerberos ticket\sphinxhyphen{}granting
 services in the event of inaccessibility of the primary KDC.  The
 number of replica KDCs you need and the decision of where to place them,
 both physically and logically, depends on the specifics of your
 network.
 
+\sphinxAtStartPar
 Kerberos authentication requires that each client be able to contact a
 KDC.  Therefore, you need to anticipate any likely reason a KDC might
 be unavailable and have a replica KDC to take up the slack.
 
+\sphinxAtStartPar
 Some considerations include:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Have at least one replica KDC as a backup, for when the primary KDC
 is down, is being upgraded, or is otherwise unavailable.
 
 \item {} 
+\sphinxAtStartPar
 If your network is split such that a network outage is likely to
 cause a network partition (some segment or segments of the network
 to become cut off or isolated from other segments), have a replica
 KDC accessible to each segment.
 
 \item {} 
+\sphinxAtStartPar
 If possible, have at least one replica KDC in a different building
 from the primary, in case of power outages, fires, or other
 localized disasters.
@@ -3804,66 +4393,78 @@ localized disasters.
 
 
 \section{Hostnames for KDCs}
-\label{\detokenize{admin/realm_config:kdc-hostnames}}\label{\detokenize{admin/realm_config:hostnames-for-kdcs}}
+\label{\detokenize{admin/realm_config:hostnames-for-kdcs}}\label{\detokenize{admin/realm_config:kdc-hostnames}}
+\sphinxAtStartPar
 MIT recommends that your KDCs have a predefined set of CNAME records
-(DNS hostname aliases), such as \sphinxcode{kerberos} for the primary KDC and
-\sphinxcode{kerberos-1}, \sphinxcode{kerberos-2}, … for the replica KDCs.  This way,
+(DNS hostname aliases), such as \sphinxcode{\sphinxupquote{kerberos}} for the primary KDC and
+\sphinxcode{\sphinxupquote{kerberos\sphinxhyphen{}1}}, \sphinxcode{\sphinxupquote{kerberos\sphinxhyphen{}2}}, … for the replica KDCs.  This way,
 if you need to swap a machine, you only need to change a DNS entry,
 rather than having to change hostnames.
 
+\sphinxAtStartPar
 As of MIT krb5 1.4, clients can locate a realm’s KDCs through DNS
-using SRV records (\index{RFC!RFC 2782}\sphinxhref{https://tools.ietf.org/html/rfc2782.html}{\sphinxstylestrong{RFC 2782}}), assuming the Kerberos realm name is
+using SRV records (\index{RFC@\spxentry{RFC}!RFC 2782@\spxentry{RFC 2782}}\sphinxhref{https://tools.ietf.org/html/rfc2782.html}{\sphinxstylestrong{RFC 2782}}), assuming the Kerberos realm name is
 also a DNS domain name.  These records indicate the hostname and port
 number to contact for that service, optionally with weighting and
 prioritization.  The domain name used in the SRV record name is the
-realm name.  Several different Kerberos-related service names are
+realm name.  Several different Kerberos\sphinxhyphen{}related service names are
 used:
 \begin{description}
 \item[{\_kerberos.\_udp}] \leavevmode
+\sphinxAtStartPar
 This is for contacting any KDC by UDP.  This entry will be used
 the most often.  Normally you should list port 88 on each of your
 KDCs.
 
 \item[{\_kerberos.\_tcp}] \leavevmode
+\sphinxAtStartPar
 This is for contacting any KDC by TCP.  Normally you should use
 port 88.  This entry should be omitted if the KDC does not listen
 on TCP ports, as was the default prior to release 1.13.
 
-\item[{\_kerberos-master.\_udp}] \leavevmode
+\item[{\_kerberos\sphinxhyphen{}master.\_udp}] \leavevmode
+\sphinxAtStartPar
 This entry should refer to those KDCs, if any, that will
 immediately see password changes to the Kerberos database.  If a
 user is logging in and the password appears to be incorrect, the
 client will retry with the primary KDC before failing with an
 “incorrect password” error given.
 
+\sphinxAtStartPar
 If you have only one KDC, or for whatever reason there is no
 accessible KDC that would get database changes faster than the
-others, you do not need to define this entry.  \_kerberos-adm.\_tcp
+others, you do not need to define this entry.
+
+\item[{\_kerberos\sphinxhyphen{}adm.\_tcp}] \leavevmode
+\sphinxAtStartPar
 This should list port 749 on your primary KDC.  Support for it is
 not complete at this time, but it will eventually be used by the
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} program and related utilities.  For now, you will
 also need the \sphinxstylestrong{admin\_server} variable in {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.
 
-\item[{\_kerberos-master.\_tcp}] \leavevmode
-The corresponding TCP port for \_kerberos-master.\_udp, assuming the
+\item[{\_kerberos\sphinxhyphen{}master.\_tcp}] \leavevmode
+\sphinxAtStartPar
+The corresponding TCP port for \_kerberos\sphinxhyphen{}master.\_udp, assuming the
 primary KDC listens on a TCP port.
 
 \item[{\_kpasswd.\_udp}] \leavevmode
+\sphinxAtStartPar
 This entry should list port 464 on your primary KDC.  It is used
 when a user changes her password.  If this entry is not defined
-but a \_kerberos-adm.\_tcp entry is defined, the client will use the
-\_kerberos-adm.\_tcp entry with the port number changed to 464.
+but a \_kerberos\sphinxhyphen{}adm.\_tcp entry is defined, the client will use the
+\_kerberos\sphinxhyphen{}adm.\_tcp entry with the port number changed to 464.
 
 \item[{\_kpasswd.\_tcp}] \leavevmode
+\sphinxAtStartPar
 The corresponding TCP port for \_kpasswd.\_udp.
 
 \end{description}
 
+\sphinxAtStartPar
 The DNS SRV specification requires that the hostnames listed be the
 canonical names, not aliases.  So, for example, you might include the
-following records in your (BIND-style) zone file:
+following records in your (BIND\sphinxhyphen{}style) zone file:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{}ORIGIN foobar.com.
 \PYGZus{}kerberos               TXT       \PYGZdq{}FOOBAR.COM\PYGZdq{}
@@ -3878,6 +4479,7 @@ kerberos\PYGZhy{}2              CNAME
 \PYGZus{}kpasswd.\PYGZus{}udp           SRV       0 0 464 daisy
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Clients can also be configured with the explicit location of services
 using the \sphinxstylestrong{kdc}, \sphinxstylestrong{master\_kdc}, \sphinxstylestrong{admin\_server}, and
 \sphinxstylestrong{kpasswd\_server} variables in the {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} section of
@@ -3888,61 +4490,72 @@ unconfigured clients, and be useful for
 
 \section{KDC Discovery}
 \label{\detokenize{admin/realm_config:kdc-discovery}}\label{\detokenize{admin/realm_config:id1}}
+\sphinxAtStartPar
 As of MIT krb5 1.15, clients can also locate KDCs in DNS through URI
-records (\index{RFC!RFC 7553}\sphinxhref{https://tools.ietf.org/html/rfc7553.html}{\sphinxstylestrong{RFC 7553}}).  Limitations with the SRV record format may
+records (\index{RFC@\spxentry{RFC}!RFC 7553@\spxentry{RFC 7553}}\sphinxhref{https://tools.ietf.org/html/rfc7553.html}{\sphinxstylestrong{RFC 7553}}).  Limitations with the SRV record format may
 result in extra DNS queries in situations where a client must failover
 to other transport types, or find a primary server.  The URI record
 can convey more information about a realm’s KDCs with a single query.
 
+\sphinxAtStartPar
 The client performs a query for the following URI records:
 \begin{itemize}
 \item {} 
-\sphinxcode{\_kerberos.REALM} for finding KDCs.
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\_kerberos.REALM}} for finding KDCs.
 
 \item {} 
-\sphinxcode{\_kerberos-adm.REALM} for finding kadmin services.
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\_kerberos\sphinxhyphen{}adm.REALM}} for finding kadmin services.
 
 \item {} 
-\sphinxcode{\_kpasswd.REALM} for finding password services.
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\_kpasswd.REALM}} for finding password services.
 
 \end{itemize}
 
+\sphinxAtStartPar
 The URI record includes a priority, weight, and a URI string that
-consists of case-insensitive colon separated fields, in the form
-\sphinxcode{scheme:{[}flags{]}:transport:residual}.
+consists of case\sphinxhyphen{}insensitive colon separated fields, in the form
+\sphinxcode{\sphinxupquote{scheme:{[}flags{]}:transport:residual}}.
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 \sphinxstyleemphasis{scheme} defines the registered URI type.  It should always be
-\sphinxcode{krb5srv}.
+\sphinxcode{\sphinxupquote{krb5srv}}.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstyleemphasis{flags} contains zero or more flag characters.  Currently the only
-valid flag is \sphinxcode{m}, which indicates that the record is for a
+valid flag is \sphinxcode{\sphinxupquote{m}}, which indicates that the record is for a
 primary server.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstyleemphasis{transport} defines the transport type of the residual URL or
-address.  Accepted values are \sphinxcode{tcp}, \sphinxcode{udp}, or \sphinxcode{kkdcp} for the
-MS-KKDCP type.
+address.  Accepted values are \sphinxcode{\sphinxupquote{tcp}}, \sphinxcode{\sphinxupquote{udp}}, or \sphinxcode{\sphinxupquote{kkdcp}} for the
+MS\sphinxhyphen{}KKDCP type.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstyleemphasis{residual} contains the hostname, IP address, or URL to be
 contacted using the specified transport, with an optional port
-extension.  The MS-KKDCP transport type uses a HTTPS URL, and can
+extension.  The MS\sphinxhyphen{}KKDCP transport type uses a HTTPS URL, and can
 include a port and/or path extension.
 
 \end{itemize}
 
+\sphinxAtStartPar
 An example of URI records in a zone file:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{\PYGZus{}kerberos}\PYG{o}{.}\PYG{n}{EXAMPLE}\PYG{o}{.}\PYG{n}{COM}  \PYG{n}{URI}  \PYG{l+m+mi}{10} \PYG{l+m+mi}{1} \PYG{n}{krb5srv}\PYG{p}{:}\PYG{n}{m}\PYG{p}{:}\PYG{n}{tcp}\PYG{p}{:}\PYG{n}{kdc1}\PYG{o}{.}\PYG{n}{example}\PYG{o}{.}\PYG{n}{com}
                        \PYG{n}{URI}  \PYG{l+m+mi}{20} \PYG{l+m+mi}{1} \PYG{n}{krb5srv}\PYG{p}{:}\PYG{n}{m}\PYG{p}{:}\PYG{n}{udp}\PYG{p}{:}\PYG{n}{kdc2}\PYG{o}{.}\PYG{n}{example}\PYG{o}{.}\PYG{n}{com}\PYG{p}{:}\PYG{l+m+mi}{89}
-                       \PYG{n}{URI}  \PYG{l+m+mi}{40} \PYG{l+m+mi}{1} \PYG{n}{krb5srv}\PYG{p}{:}\PYG{p}{:}\PYG{n}{udp}\PYG{p}{:}\PYG{l+m+mf}{10.10}\PYG{o}{.}\PYG{l+m+mf}{0.23}
+                       \PYG{n}{URI}  \PYG{l+m+mi}{40} \PYG{l+m+mi}{1} \PYG{n}{krb5srv}\PYG{p}{:}\PYG{p}{:}\PYG{n}{udp}\PYG{p}{:}\PYG{l+m+mf}{10.10}\PYG{l+m+mf}{.0}\PYG{l+m+mf}{.23}
                        \PYG{n}{URI}  \PYG{l+m+mi}{30} \PYG{l+m+mi}{1} \PYG{n}{krb5srv}\PYG{p}{:}\PYG{p}{:}\PYG{n}{kkdcp}\PYG{p}{:}\PYG{n}{https}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{proxy}\PYG{p}{:}\PYG{l+m+mi}{89}\PYG{o}{/}\PYG{n}{auth}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 URI lookups are enabled by default, and can be disabled by setting
 \sphinxstylestrong{dns\_uri\_lookup} in the {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}} section of
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} to False.  When enabled, URI lookups take
@@ -3952,6 +4565,7 @@ records are found.
 
 \section{Database propagation}
 \label{\detokenize{admin/realm_config:database-propagation}}\label{\detokenize{admin/realm_config:db-prop}}
+\sphinxAtStartPar
 The Kerberos database resides on the primary KDC, and must be
 propagated regularly (usually by a cron job) to the replica KDCs.  In
 deciding how frequently the propagation should happen, you will need
@@ -3959,6 +4573,7 @@ to balance the amount of time the propag
 maximum reasonable amount of time a user should have to wait for a
 password change to take effect.
 
+\sphinxAtStartPar
 If the propagation time is longer than this maximum reasonable time
 (e.g., you have a particularly large database, you have a lot of
 replicas, or you experience frequent network delays), you may wish to
@@ -3967,11 +4582,13 @@ parallel.  To do this, have the primary
 one set of replicas, and then have each of these replicas propagate
 the database to additional replicas.
 
+\sphinxAtStartPar
 See also {\hyperref[\detokenize{admin/database:incr-db-prop}]{\sphinxcrossref{\DUrole{std,std-ref}{Incremental database propagation}}}}
 
 
 \chapter{Database administration}
-\label{\detokenize{admin/database::doc}}\label{\detokenize{admin/database:database-administration}}
+\label{\detokenize{admin/database:database-administration}}\label{\detokenize{admin/database::doc}}
+\sphinxAtStartPar
 A Kerberos database contains all of a realm’s Kerberos principals,
 their passwords, and other administrative information about each
 principal.  For the most part, you will use the {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}}
@@ -3979,15 +4596,17 @@ program to manipulate the Kerberos datab
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} program to make changes to the entries in the
 database.  (One notable exception is that users will use the
 \DUrole{xref,std,std-ref}{kpasswd(1)} program to change their own passwords.)  The kadmin
-program has its own command-line interface, to which you type the
+program has its own command\sphinxhyphen{}line interface, to which you type the
 database administrating commands.
 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} provides a means to create, delete, load, or dump
 a Kerberos database.  It also contains commands to roll over the
 database master key, and to stash a copy of the key so that the
 {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} and {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} daemons can use the database
 without manual input.
 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} provides for the maintenance of Kerberos principals,
 password policies, and service key tables (keytabs).  Normally it
 operates as a network client using Kerberos authentication to
@@ -3996,48 +4615,53 @@ kadmin.local, which directly accesses th
 local filesystem (or through LDAP).  kadmin.local is necessary to set
 up enough of the database to be able to use the remote version.
 
+\sphinxAtStartPar
 kadmin can authenticate to the admin server using the service
-principal \sphinxcode{kadmin/admin} or \sphinxcode{kadmin/HOST} (where \sphinxstyleemphasis{HOST} is the
+principal \sphinxcode{\sphinxupquote{kadmin/admin}} or \sphinxcode{\sphinxupquote{kadmin/HOST}} (where \sphinxstyleemphasis{HOST} is the
 hostname of the admin server).  If the credentials cache contains a
-ticket for either service principal and the \sphinxstylestrong{-c} ccache option is
+ticket for either service principal and the \sphinxstylestrong{\sphinxhyphen{}c} ccache option is
 specified, that ticket is used to authenticate to KADM5.  Otherwise,
-the \sphinxstylestrong{-p} and \sphinxstylestrong{-k} options are used to specify the client Kerberos
+the \sphinxstylestrong{\sphinxhyphen{}p} and \sphinxstylestrong{\sphinxhyphen{}k} options are used to specify the client Kerberos
 principal name used to authenticate.  Once kadmin has determined the
-principal name, it requests a \sphinxcode{kadmin/admin} Kerberos service ticket
+principal name, it requests a \sphinxcode{\sphinxupquote{kadmin/admin}} Kerberos service ticket
 from the KDC, and uses that service ticket to authenticate to KADM5.
 
+\sphinxAtStartPar
 See {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} for the available kadmin and kadmin.local
 commands and options.
 
 
 \section{Principals}
 \label{\detokenize{admin/database:principals}}\label{\detokenize{admin/database:id1}}
+\sphinxAtStartPar
 Each entry in the Kerberos database contains a Kerberos principal and
 the attributes and policies associated with that principal.
 
+\sphinxAtStartPar
 To add a principal to the database, use the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}
 \sphinxstylestrong{add\_principal} command.  User principals should usually be created
-with the \sphinxcode{+requires\_preauth -allow\_svr} options to help mitigate
+with the \sphinxcode{\sphinxupquote{+requires\_preauth \sphinxhyphen{}allow\_svr}} options to help mitigate
 dictionary attacks (see {\hyperref[\detokenize{admin/dictionary:dictionary}]{\sphinxcrossref{\DUrole{std,std-ref}{Addressing dictionary attack risks}}}}):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{addprinc} \PYG{o}{+}\PYG{n}{requires\PYGZus{}preauth} \PYG{o}{\PYGZhy{}}\PYG{n}{allow\PYGZus{}svr} \PYG{n}{alice}
 \PYG{n}{Enter} \PYG{n}{password} \PYG{k}{for} \PYG{n}{principal} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{alice@KRBTEST.COM}\PYG{l+s+s2}{\PYGZdq{}}\PYG{p}{:}
 \PYG{n}{Re}\PYG{o}{\PYGZhy{}}\PYG{n}{enter} \PYG{n}{password} \PYG{k}{for} \PYG{n}{principal} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{alice@KRBTEST.COM}\PYG{l+s+s2}{\PYGZdq{}}\PYG{p}{:}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 User principals which will authenticate with {\hyperref[\detokenize{admin/pkinit:pkinit}]{\sphinxcrossref{\DUrole{std,std-ref}{PKINIT configuration}}}} should
-instead by created with the \sphinxcode{-nokey} option:
+instead by created with the \sphinxcode{\sphinxupquote{\sphinxhyphen{}nokey}} option:
 \begin{quote}
 
-kadmin: addprinc -nokey alice
+\sphinxAtStartPar
+kadmin: addprinc \sphinxhyphen{}nokey alice
 \end{quote}
 
-Service principals can be created with the \sphinxcode{-nokey} option;
-long-term keys will be added when a keytab is generated:
+\sphinxAtStartPar
+Service principals can be created with the \sphinxcode{\sphinxupquote{\sphinxhyphen{}nokey}} option;
+long\sphinxhyphen{}term keys will be added when a keytab is generated:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{addprinc} \PYG{o}{\PYGZhy{}}\PYG{n}{nokey} \PYG{n}{host}\PYG{o}{/}\PYG{n}{foo}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{ktadd} \PYG{o}{\PYGZhy{}}\PYG{n}{k} \PYG{n}{foo}\PYG{o}{.}\PYG{n}{keytab} \PYG{n}{host}\PYG{o}{/}\PYG{n}{foo}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
@@ -4045,18 +4669,18 @@ long-term keys will be added when a keyt
 \PYG{n}{Entry} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{host}\PYG{o}{/}\PYG{n}{foo}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{k}{with} \PYG{n}{kvno} \PYG{l+m+mi}{1}\PYG{p}{,} \PYG{n}{encryption} \PYG{n+nb}{type} \PYG{n}{aes128}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{o}{\PYGZhy{}}\PYG{l+m+mi}{96} \PYG{n}{added} \PYG{n}{to} \PYG{n}{keytab} \PYG{n}{WRFILE}\PYG{p}{:}\PYG{n}{foo}\PYG{o}{.}\PYG{n}{keytab}\PYG{o}{.}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To modify attributes of an existing principal, use the kadmin
 \sphinxstylestrong{modify\_principal} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{modprinc} \PYG{o}{\PYGZhy{}}\PYG{n}{expire} \PYG{n}{tomorrow} \PYG{n}{alice}
 \PYG{n}{Principal} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{alice@KRBTEST.COM}\PYG{l+s+s2}{\PYGZdq{}} \PYG{n}{modified}\PYG{o}{.}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To delete a principal, use the kadmin \sphinxstylestrong{delete\_principal} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 kadmin: delprinc alice
 Are you sure you want to delete the principal \PYGZdq{}alice@KRBTEST.COM\PYGZdq{}? (yes/no): yes
@@ -4064,44 +4688,52 @@ Principal \PYGZdq{}alice@KRBTEST.COM\PYG
 Make sure that you have removed this principal from all ACLs before reusing.
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To change a principal’s password, use the kadmin \sphinxstylestrong{change\_password}
 command.  Password changes made through kadmin are subject to the same
 password policies as would apply to password changes made through
 \DUrole{xref,std,std-ref}{kpasswd(1)}.
 
-To view the attributes of a principal, use the kadmin{}`
+\sphinxAtStartPar
+To view the attributes of a principal, use the kadmin\textasciigrave{}
 \sphinxstylestrong{get\_principal} command.
 
+\sphinxAtStartPar
 To generate a listing of principals, use the kadmin
 \sphinxstylestrong{list\_principals} command.
 
 
 \section{Policies}
-\label{\detokenize{admin/database:id2}}\label{\detokenize{admin/database:policies}}
+\label{\detokenize{admin/database:policies}}\label{\detokenize{admin/database:id2}}
+\sphinxAtStartPar
 A policy is a set of rules governing passwords.  Policies can dictate
 minimum and maximum password lifetimes, minimum number of characters
 and character classes a password must contain, and the number of old
 passwords kept in the database.
 
+\sphinxAtStartPar
 To add a new policy, use the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} \sphinxstylestrong{add\_policy} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{addpol} \PYG{o}{\PYGZhy{}}\PYG{n}{maxlife} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{1 year}\PYG{l+s+s2}{\PYGZdq{}} \PYG{o}{\PYGZhy{}}\PYG{n}{history} \PYG{l+m+mi}{3} \PYG{n}{stduser}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To modify attributes of a principal, use the kadmin \sphinxstylestrong{modify\_policy}
 command.  To delete a policy, use the kadmin \sphinxstylestrong{delete\_policy}
 command.
 
+\sphinxAtStartPar
 To associate a policy with a principal, use the kadmin
-\sphinxstylestrong{modify\_principal} command with the \sphinxstylestrong{-policy} option:
+\sphinxstylestrong{modify\_principal} command with the \sphinxstylestrong{\sphinxhyphen{}policy} option:
 \begin{quote}
 
-kadmin: modprinc -policy stduser alice
+\sphinxAtStartPar
+kadmin: modprinc \sphinxhyphen{}policy stduser alice
 Principal “\sphinxhref{mailto:alice@KRBTEST.COM}{alice@KRBTEST.COM}” modified.
 \end{quote}
 
+\sphinxAtStartPar
 A principal entry may be associated with a nonexistent policy, either
 because the policy did not exist at the time of associated or was
 deleted afterwards.  kadmin will warn when associated a principal with
@@ -4110,25 +4742,28 @@ not exist{]}” in the \sphinxstylestron
 
 
 \subsection{Updating the history key}
-\label{\detokenize{admin/database:updating-history-key}}\label{\detokenize{admin/database:updating-the-history-key}}
+\label{\detokenize{admin/database:updating-the-history-key}}\label{\detokenize{admin/database:updating-history-key}}
+\sphinxAtStartPar
 If a policy specifies a number of old keys kept of two or more, the
 stored old keys are encrypted in a history key, which is found in the
-key data of the \sphinxcode{kadmin/history} principal.
+key data of the \sphinxcode{\sphinxupquote{kadmin/history}} principal.
 
+\sphinxAtStartPar
 Currently there is no support for proper rollover of the history key,
 but you can change the history key (for example, to use a better
 encryption type) at the cost of invalidating currently stored old
 keys.  To change the history key, run:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{change\PYGZus{}password} \PYG{o}{\PYGZhy{}}\PYG{n}{randkey} \PYG{n}{kadmin}\PYG{o}{/}\PYG{n}{history}
 \end{sphinxVerbatim}
 
-This command will fail if you specify the \sphinxstylestrong{-keepold} flag.  Only one
+\sphinxAtStartPar
+This command will fail if you specify the \sphinxstylestrong{\sphinxhyphen{}keepold} flag.  Only one
 new history key will be created, even if you specify multiple key/salt
 combinations.
 
+\sphinxAtStartPar
 In the future, we plan to migrate towards encrypting old keys in the
 master key instead of the history key, and implementing proper
 rollover support for stored old keys.
@@ -4136,33 +4771,36 @@ rollover support for stored old keys.
 
 \section{Privileges}
 \label{\detokenize{admin/database:privileges}}\label{\detokenize{admin/database:id3}}
+\sphinxAtStartPar
 Administrative privileges for the Kerberos database are stored in the
 file {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}}.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 A common use of an admin instance is so you can grant
 separate permissions (such as administrator access to the
 Kerberos database) to a separate Kerberos principal. For
-example, the user \sphinxcode{joeadmin} might have a principal for
-his administrative use, called \sphinxcode{joeadmin/admin}.  This
-way, \sphinxcode{joeadmin} would obtain \sphinxcode{joeadmin/admin} tickets
+example, the user \sphinxcode{\sphinxupquote{joeadmin}} might have a principal for
+his administrative use, called \sphinxcode{\sphinxupquote{joeadmin/admin}}.  This
+way, \sphinxcode{\sphinxupquote{joeadmin}} would obtain \sphinxcode{\sphinxupquote{joeadmin/admin}} tickets
 only when he actually needs to use those permissions.
 \end{sphinxadmonition}
 
 
 \section{Operations on the Kerberos database}
-\label{\detokenize{admin/database:db-operations}}\label{\detokenize{admin/database:operations-on-the-kerberos-database}}
+\label{\detokenize{admin/database:operations-on-the-kerberos-database}}\label{\detokenize{admin/database:db-operations}}
+\sphinxAtStartPar
 The {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} command is the primary tool for administrating
 the Kerberos database when using the DB2 or LMDB modules (see
 {\hyperref[\detokenize{admin/dbtypes:dbtypes}]{\sphinxcrossref{\DUrole{std,std-ref}{Database types}}}}).  Creating a database is described in
 {\hyperref[\detokenize{admin/install_kdc:create-db}]{\sphinxcrossref{\DUrole{std,std-ref}{Create the KDC database}}}}.
 
+\sphinxAtStartPar
 To create a stash file using the master password (because the database
-was not created with one using the \sphinxcode{create -s} flag, or after
+was not created with one using the \sphinxcode{\sphinxupquote{create \sphinxhyphen{}s}} flag, or after
 restoring from a backup which did not contain the stash file), use the
 kdb5\_util \sphinxstylestrong{stash} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}util stash
 kdb5\PYGZus{}util: Cannot find/read stored master key while reading master key
@@ -4170,9 +4808,9 @@ kdb5\PYGZus{}util: Warning: proceeding w
 Enter KDC database master key:  \PYGZlt{}= Type the KDC database master password.
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To destroy a database, use the kdb5\_util destroy command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}util destroy
 Deleting KDC database stored in \PYGZsq{}/var/krb5kdc/principal\PYGZsq{}, are you sure?
@@ -4184,11 +4822,11 @@ OK, deleting database \PYGZsq{}/var/krb5
 
 \subsection{Dumping and loading a Kerberos database}
 \label{\detokenize{admin/database:dumping-and-loading-a-kerberos-database}}\label{\detokenize{admin/database:restore-from-dump}}
+\sphinxAtStartPar
 To dump a Kerberos database into a text file for backup or transfer
 purposes, use the {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} \sphinxstylestrong{dump} command on one of the
 KDCs:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}util dump dumpfile
 
@@ -4200,50 +4838,53 @@ K/M@ATHENA.MIT.EDU
 kadmin/changepw@ATHENA.MIT.EDU
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 You may specify which principals to dump, using full principal names
 including realm:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}util dump \PYGZhy{}verbose someprincs K/M@ATHENA.MIT.EDU kadmin/admin@ATHENA.MIT.EDU
 kadmin/admin@ATHENA.MIT.EDU
 K/M@ATHENA.MIT.EDU
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To restore a Kerberos database dump from a file, use the
 {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} \sphinxstylestrong{load} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}util load dumpfile
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To update an existing database with a partial dump file containing
-only some principals, use the \sphinxcode{-update} flag:
+only some principals, use the \sphinxcode{\sphinxupquote{\sphinxhyphen{}update}} flag:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}util load \PYGZhy{}update someprincs
 \end{sphinxVerbatim}
 
 \begin{sphinxadmonition}{note}{Note:}
-If the database file exists, and the \sphinxstyleemphasis{-update} flag was not
+\sphinxAtStartPar
+If the database file exists, and the \sphinxstyleemphasis{\sphinxhyphen{}update} flag was not
 given, \sphinxstyleemphasis{kdb5\_util} will overwrite the existing database.
 \end{sphinxadmonition}
 
 
 \subsection{Updating the master key}
-\label{\detokenize{admin/database:updating-master-key}}\label{\detokenize{admin/database:updating-the-master-key}}
+\label{\detokenize{admin/database:updating-the-master-key}}\label{\detokenize{admin/database:updating-master-key}}
+\sphinxAtStartPar
 Starting with release 1.7, {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} allows the master key
 to be changed using a rollover process, with minimal loss of
 availability.  To roll over the master key, follow these steps:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
-On the primary KDC, run \sphinxcode{kdb5\_util list\_mkeys} to view the
+\sphinxAtStartPar
+On the primary KDC, run \sphinxcode{\sphinxupquote{kdb5\_util list\_mkeys}} to view the
 current master key version number (KVNO).  If you have never rolled
 over the master key before, this will likely be version 1:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}util list\PYGZus{}mkeys
 Master keys for Principal: K/M@KRBTEST.COM
@@ -4251,54 +4892,62 @@ KVNO: 1, Enctype: aes256\PYGZhy{}cts\PYG
 \end{sphinxVerbatim}
 
 \item {} 
-On the primary KDC, run \sphinxcode{kdb5\_util use\_mkey 1} to ensure that a
+\sphinxAtStartPar
+On the primary KDC, run \sphinxcode{\sphinxupquote{kdb5\_util use\_mkey 1}} to ensure that a
 master key activation list is present in the database.  This step
 is unnecessary in release 1.11.4 or later, or if the database was
 initially created with release 1.7 or later.
 
 \item {} 
-On the primary KDC, run \sphinxcode{kdb5\_util add\_mkey -s} to create a new
+\sphinxAtStartPar
+On the primary KDC, run \sphinxcode{\sphinxupquote{kdb5\_util add\_mkey \sphinxhyphen{}s}} to create a new
 master key and write it to the stash file.  Enter a secure password
 when prompted.  If this is the first time you are changing the
 master key, the new key will have version 2.  The new master key
 will not be used until you make it active.
 
 \item {} 
+\sphinxAtStartPar
 Propagate the database to all replica KDCs, either manually or by
 waiting until the next scheduled propagation.  If you do not have
 any replica KDCs, you can skip this and the next step.
 
 \item {} 
-On each replica KDC, run \sphinxcode{kdb5\_util list\_mkeys} to verify that
-the new master key is present, and then \sphinxcode{kdb5\_util stash} to
+\sphinxAtStartPar
+On each replica KDC, run \sphinxcode{\sphinxupquote{kdb5\_util list\_mkeys}} to verify that
+the new master key is present, and then \sphinxcode{\sphinxupquote{kdb5\_util stash}} to
 write the new master key to the replica KDC’s stash file.
 
 \item {} 
-On the primary KDC, run \sphinxcode{kdb5\_util use\_mkey 2} to begin using the
-new master key.  Replace \sphinxcode{2} with the version of the new master
+\sphinxAtStartPar
+On the primary KDC, run \sphinxcode{\sphinxupquote{kdb5\_util use\_mkey 2}} to begin using the
+new master key.  Replace \sphinxcode{\sphinxupquote{2}} with the version of the new master
 key, as appropriate.  You can optionally specify a date for the new
 master key to become active; by default, it will become active
 immediately.  Prior to release 1.12, {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} must be
 restarted for this change to take full effect.
 
 \item {} 
-On the primary KDC, run \sphinxcode{kdb5\_util update\_princ\_encryption}.
-This command will iterate over the database and re-encrypt all keys
+\sphinxAtStartPar
+On the primary KDC, run \sphinxcode{\sphinxupquote{kdb5\_util update\_princ\_encryption}}.
+This command will iterate over the database and re\sphinxhyphen{}encrypt all keys
 in the new master key.  If the database is large and uses DB2, the
 primary KDC will become unavailable while this command runs, but
 clients should fail over to replica KDCs (if any are present)
 during this time period.  In release 1.13 and later, you can
-instead run \sphinxcode{kdb5\_util -x unlockiter update\_princ\_encryption} to
+instead run \sphinxcode{\sphinxupquote{kdb5\_util \sphinxhyphen{}x unlockiter update\_princ\_encryption}} to
 use unlocked iteration; this variant will take longer, but will
 keep the database available to the KDC and kadmind while it runs.
 
 \item {} 
+\sphinxAtStartPar
 Wait until the above changes have propagated to all replica KDCs
 and until all running KDC and kadmind processes have serviced
 requests using updated principal entries.
 
 \item {} 
-On the primary KDC, run \sphinxcode{kdb5\_util purge\_mkeys} to clean up the
+\sphinxAtStartPar
+On the primary KDC, run \sphinxcode{\sphinxupquote{kdb5\_util purge\_mkeys}} to clean up the
 old master key.
 
 \end{enumerate}
@@ -4306,42 +4955,43 @@ old master key.
 
 \section{Operations on the LDAP database}
 \label{\detokenize{admin/database:operations-on-the-ldap-database}}\label{\detokenize{admin/database:ops-on-ldap}}
+\sphinxAtStartPar
 The {\hyperref[\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_ldap\_util}}}} command is the primary tool for
 administrating the Kerberos database when using the LDAP module.
-Creating an LDAP Kerberos database is describe in {\hyperref[\detokenize{admin/conf_ldap:conf-ldap}]{\sphinxcrossref{\DUrole{std,std-ref}{Configuring Kerberos with OpenLDAP back-end}}}}.
+Creating an LDAP Kerberos database is describe in {\hyperref[\detokenize{admin/conf_ldap:conf-ldap}]{\sphinxcrossref{\DUrole{std,std-ref}{Configuring Kerberos with OpenLDAP back\sphinxhyphen{}end}}}}.
 
+\sphinxAtStartPar
 To view a list of realms in the LDAP database, use the kdb5\_ldap\_util
 \sphinxstylestrong{list} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}ldap\PYGZus{}util list
 KRBTEST.COM
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To modify the attributes of a realm, use the kdb5\_ldap\_util \sphinxstylestrong{modify}
 command.  For example, to change the default realm’s maximum ticket
 life:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}ldap\PYGZus{}util modify \PYGZhy{}maxtktlife \PYGZdq{}10 hours\PYGZdq{}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To display the attributes of a realm, use the kdb5\_ldap\_util \sphinxstylestrong{view}
 command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}ldap\PYGZus{}util view
                Realm Name: KRBTEST.COM
       Maximum Ticket Life: 0 days 00:10:00
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To remove a realm from the LDAP database, destroying its contents, use
 the kdb5\_ldap\_util \sphinxstylestrong{destroy} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}ldap\PYGZus{}util destroy
 Deleting KDC database of \PYGZsq{}KRBTEST.COM\PYGZsq{}, are you sure?
@@ -4353,6 +5003,7 @@ OK, deleting database of \PYGZsq{}KRBTES
 
 \subsection{Ticket Policy operations}
 \label{\detokenize{admin/database:ticket-policy-operations}}
+\sphinxAtStartPar
 Unlike the DB2 and LMDB modules, the LDAP module supports ticket
 policy objects, which can be associated with principals to restrict
 maximum ticket lifetimes and set mandatory principal flags.  Ticket
@@ -4361,49 +5012,48 @@ earlier on this page, and are chiefly ma
 rather than kadmin.  To create a new ticket policy, use the
 kdb5\_ldap\_util \sphinxstylestrong{create\_policy} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}ldap\PYGZus{}util create\PYGZus{}policy \PYGZhy{}maxrenewlife \PYGZdq{}2 days\PYGZdq{} users
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To associate a ticket policy with a principal, use the
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} \sphinxstylestrong{modify\_principal} (or \sphinxstylestrong{add\_principal}) command
-with the \sphinxstylestrong{-x tktpolicy=}\sphinxstyleemphasis{policy} option:
+with the \sphinxstylestrong{\sphinxhyphen{}x tktpolicy=}\sphinxstyleemphasis{policy} option:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kadmin.local modprinc \PYGZhy{}x tktpolicy=users alice
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To remove a ticket policy reference from a principal, use the same
 command with an empty \sphinxstyleemphasis{policy}:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kadmin.local modprinc \PYGZhy{}x tktpolicy= alice
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To list the existing ticket policy objects, use the kdb5\_ldap\_util
 \sphinxstylestrong{list\_policy} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}ldap\PYGZus{}util list\PYGZus{}policy
 users
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To modify the attributes of a ticket policy object, use the
 kdb5\_ldap\_util \sphinxstylestrong{modify\_policy} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}ldap\PYGZus{}util modify\PYGZus{}policy \PYGZhy{}allow\PYGZus{}svr +requires\PYGZus{}preauth users
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To view the attributes of a ticket policy object, use the
 kdb5\_ldap\_util \sphinxstylestrong{view\_policy} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}ldap\PYGZus{}util view\PYGZus{}policy users
             Ticket policy: users
@@ -4411,10 +5061,10 @@ kdb5\_ldap\_util \sphinxstylestrong{view
              Ticket flags: REQUIRES\PYGZus{}PRE\PYGZus{}AUTH DISALLOW\PYGZus{}SVR
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To destroy an ticket policy object, use the kdb5\_ldap\_util
 \sphinxstylestrong{destroy\_policy} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}ldap\PYGZus{}util destroy\PYGZus{}policy users
 This will delete the policy object \PYGZsq{}users\PYGZsq{}, are you sure?
@@ -4423,23 +5073,24 @@ This will delete the policy object \PYGZ
 \end{sphinxVerbatim}
 
 
-\section{Cross-realm authentication}
+\section{Cross\sphinxhyphen{}realm authentication}
 \label{\detokenize{admin/database:cross-realm-authentication}}\label{\detokenize{admin/database:xrealm-authn}}
+\sphinxAtStartPar
 In order for a KDC in one realm to authenticate Kerberos users in a
 different realm, it must share a key with the KDC in the other realm.
 In both databases, there must be krbtgt service principals for both realms.
-For example, if you need to do cross-realm authentication between the realms
-\sphinxcode{ATHENA.MIT.EDU} and \sphinxcode{EXAMPLE.COM}, you would need to add the
-principals \sphinxcode{krbtgt/EXAMPLE.COM@ATHENA.MIT.EDU} and
-\sphinxcode{krbtgt/ATHENA.MIT.EDU@EXAMPLE.COM} to both databases.
+For example, if you need to do cross\sphinxhyphen{}realm authentication between the realms
+\sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} and \sphinxcode{\sphinxupquote{EXAMPLE.COM}}, you would need to add the
+principals \sphinxcode{\sphinxupquote{krbtgt/EXAMPLE.COM@ATHENA.MIT.EDU}} and
+\sphinxcode{\sphinxupquote{krbtgt/ATHENA.MIT.EDU@EXAMPLE.COM}} to both databases.
 These principals must all have the same passwords, key version
 numbers, and encryption types; this may require explicitly setting
-the key version number with the \sphinxstylestrong{-kvno} option.
+the key version number with the \sphinxstylestrong{\sphinxhyphen{}kvno} option.
 
-In the ATHENA.MIT.EDU and EXAMPLE.COM cross-realm case, the administrators
+\sphinxAtStartPar
+In the ATHENA.MIT.EDU and EXAMPLE.COM cross\sphinxhyphen{}realm case, the administrators
 would run the following commands on the KDCs in both realms:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}\PYG{p}{:} \PYG{n}{kadmin}\PYG{o}{.}\PYG{n}{local} \PYG{o}{\PYGZhy{}}\PYG{n}{e} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{aes256\PYGZhy{}cts:normal}\PYG{l+s+s2}{\PYGZdq{}}
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{addprinc} \PYG{o}{\PYGZhy{}}\PYG{n}{requires\PYGZus{}preauth} \PYG{n}{krbtgt}\PYG{o}{/}\PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}\PYG{n+nd}{@EXAMPLE}\PYG{o}{.}\PYG{n}{COM}
@@ -4452,15 +5103,17 @@ would run the following commands on the
 \end{sphinxVerbatim}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 Even if most principals in a realm are generally created
 with the \sphinxstylestrong{requires\_preauth} flag enabled, this flag is not
-desirable on cross-realm authentication keys because doing
+desirable on cross\sphinxhyphen{}realm authentication keys because doing
 so makes it impossible to disable preauthentication on a
-service-by-service basis.  Disabling it as in the example
+service\sphinxhyphen{}by\sphinxhyphen{}service basis.  Disabling it as in the example
 above is recommended.
 \end{sphinxadmonition}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 It is very important that these principals have good
 passwords.  MIT recommends that TGT principal passwords be
 at least 26 characters of random ASCII text.
@@ -4468,26 +5121,28 @@ at least 26 characters of random ASCII t
 
 
 \section{Changing the krbtgt key}
-\label{\detokenize{admin/database:changing-krbtgt-key}}\label{\detokenize{admin/database:changing-the-krbtgt-key}}
+\label{\detokenize{admin/database:changing-the-krbtgt-key}}\label{\detokenize{admin/database:changing-krbtgt-key}}
+\sphinxAtStartPar
 A Kerberos Ticket Granting Ticket (TGT) is a service ticket for the
-principal \sphinxcode{krbtgt/REALM}.  The key for this principal is created
+principal \sphinxcode{\sphinxupquote{krbtgt/REALM}}.  The key for this principal is created
 when the Kerberos database is initialized and need not be changed.
 However, it will only have the encryption types supported by the KDC
 at the time of the initial database creation.  To allow use of newer
 encryption types for the TGT, this key has to be changed.
 
+\sphinxAtStartPar
 Changing this key using the normal {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}
 \sphinxstylestrong{change\_password} command would invalidate any previously issued
 TGTs.  Therefore, when changing this key, normally one should use the
-\sphinxstylestrong{-keepold} flag to change\_password to retain the previous key in the
+\sphinxstylestrong{\sphinxhyphen{}keepold} flag to change\_password to retain the previous key in the
 database as well as the new key.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{change\PYGZus{}password} \PYG{o}{\PYGZhy{}}\PYG{n}{randkey} \PYG{o}{\PYGZhy{}}\PYG{n}{keepold} \PYG{n}{krbtgt}\PYG{o}{/}\PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \end{sphinxVerbatim}
 
 \begin{sphinxadmonition}{warning}{Warning:}
+\sphinxAtStartPar
 After issuing this command, the old key is still valid
 and is still vulnerable to (for instance) brute force
 attacks.  To completely retire an old key or encryption
@@ -4496,19 +5151,21 @@ with older kvnos, ideally first making s
 tickets issued with the old keys have expired.
 \end{sphinxadmonition}
 
+\sphinxAtStartPar
 Only the first krbtgt key of the newest key version is used to encrypt
-ticket-granting tickets.  However, the set of encryption types present
+ticket\sphinxhyphen{}granting tickets.  However, the set of encryption types present
 in the krbtgt keys is used by default to determine the session key
 types supported by the krbtgt service (see
-{\hyperref[\detokenize{admin/enctypes:session-key-selection}]{\sphinxcrossref{\DUrole{std,std-ref}{Session key selection}}}}).  Because non-MIT Kerberos clients
+{\hyperref[\detokenize{admin/enctypes:session-key-selection}]{\sphinxcrossref{\DUrole{std,std-ref}{Session key selection}}}}).  Because non\sphinxhyphen{}MIT Kerberos clients
 sometimes send a limited set of encryption types when making AS
 requests, it can be important for the krbtgt service to support
 multiple encryption types.  This can be accomplished by giving the
 krbtgt principal multiple keys, which is usually as simple as not
-specifying any \sphinxstylestrong{-e} option when changing the krbtgt key, or by
+specifying any \sphinxstylestrong{\sphinxhyphen{}e} option when changing the krbtgt key, or by
 setting the \sphinxstylestrong{session\_enctypes} string attribute on the krbtgt
 principal (see {\hyperref[\detokenize{admin/admin_commands/kadmin_local:set-string}]{\sphinxcrossref{\DUrole{std,std-ref}{set\_string}}}}).
 
+\sphinxAtStartPar
 Due to a bug in releases 1.8 through 1.13, renewed and forwarded
 tickets may not work if the original ticket was obtained prior to a
 krbtgt key change and the modified ticket is obtained afterwards.
@@ -4520,11 +5177,13 @@ Upgrading the KDC to release 1.14 or lat
 
 \subsection{Overview}
 \label{\detokenize{admin/database:overview}}
+\sphinxAtStartPar
 At some very large sites, dumping and transmitting the database can
 take more time than is desirable for changes to propagate from the
 primary KDC to the replica KDCs.  The incremental propagation support
 added in the 1.7 release is intended to address this.
 
+\sphinxAtStartPar
 With incremental propagation enabled, all programs on the primary KDC
 that change the database also write information about the changes to
 an “update log” file, maintained as a circular buffer of a certain
@@ -4533,7 +5192,8 @@ primary KDC (currently implemented in th
 periodically requests the changes that have been made since the last
 check.  By default, this check is done every two minutes.
 
-Incremental propagation uses the following entries in the per-realm
+\sphinxAtStartPar
+Incremental propagation uses the following entries in the per\sphinxhyphen{}realm
 data in the KDC config file (See {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}):
 
 
@@ -4542,98 +5202,125 @@ data in the KDC config file (See {\hyper
 \begin{tabulary}{\linewidth}[t]{|T|T|T|}
 \hline
 
+\sphinxAtStartPar
 iprop\_enable
 &
+\sphinxAtStartPar
 \sphinxstyleemphasis{boolean}
 &
+\sphinxAtStartPar
 If \sphinxstyleemphasis{true}, then incremental propagation is enabled, and (as noted below) normal kprop propagation is disabled. The default is \sphinxstyleemphasis{false}.
 \\
 \hline
+\sphinxAtStartPar
 iprop\_master\_ulogsize
 &
+\sphinxAtStartPar
 \sphinxstyleemphasis{integer}
 &
+\sphinxAtStartPar
 Indicates the number of entries that should be retained in the update log. The default is 1000; the maximum number is 2500.
 \\
 \hline
+\sphinxAtStartPar
 iprop\_replica\_poll
 &
+\sphinxAtStartPar
 \sphinxstyleemphasis{time interval}
 &
+\sphinxAtStartPar
 Indicates how often the replica should poll the primary KDC for changes to the database. The default is two minutes.
 \\
 \hline
+\sphinxAtStartPar
 iprop\_port
 &
+\sphinxAtStartPar
 \sphinxstyleemphasis{integer}
 &
+\sphinxAtStartPar
 Specifies the port number to be used for incremental propagation. This is required in both primary and replica configuration files.
 \\
 \hline
+\sphinxAtStartPar
 iprop\_resync\_timeout
 &
+\sphinxAtStartPar
 \sphinxstyleemphasis{integer}
 &
+\sphinxAtStartPar
 Specifies the number of seconds to wait for a full propagation to complete. This is optional on replica configurations.  Defaults to 300 seconds (5 minutes).
 \\
 \hline
+\sphinxAtStartPar
 iprop\_logfile
 &
+\sphinxAtStartPar
 \sphinxstyleemphasis{file name}
 &
-Specifies where the update log file for the realm database is to be stored. The default is to use the \sphinxstyleemphasis{database\_name} entry from the realms section of the config file {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}, with \sphinxstyleemphasis{.ulog} appended. (NOTE: If database\_name isn’t specified in the realms section, perhaps because the LDAP database back end is being used, or the file name is specified in the \sphinxstyleemphasis{dbmodules} section, then the hard-coded default for \sphinxstyleemphasis{database\_name} is used. Determination of the \sphinxstyleemphasis{iprop\_logfile}  default value will not use values from the \sphinxstyleemphasis{dbmodules} section.)
+\sphinxAtStartPar
+Specifies where the update log file for the realm database is to be stored. The default is to use the \sphinxstyleemphasis{database\_name} entry from the realms section of the config file {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}, with \sphinxstyleemphasis{.ulog} appended. (NOTE: If database\_name isn’t specified in the realms section, perhaps because the LDAP database back end is being used, or the file name is specified in the \sphinxstyleemphasis{dbmodules} section, then the hard\sphinxhyphen{}coded default for \sphinxstyleemphasis{database\_name} is used. Determination of the \sphinxstyleemphasis{iprop\_logfile}  default value will not use values from the \sphinxstyleemphasis{dbmodules} section.)
 \\
 \hline
 \end{tabulary}
 \par
 \sphinxattableend\end{savenotes}
 
+\sphinxAtStartPar
 Both primary and replica sides must have a principal named
-\sphinxcode{kiprop/hostname} (where \sphinxstyleemphasis{hostname} is the lowercase,
-fully-qualified, canonical name for the host) registered in the
+\sphinxcode{\sphinxupquote{kiprop/hostname}} (where \sphinxstyleemphasis{hostname} is the lowercase,
+fully\sphinxhyphen{}qualified, canonical name for the host) registered in the
 Kerberos database, and have keys for that principal stored in the
-default keytab file ({\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFKTNAME}}}}).  The \sphinxcode{kiprop/hostname} principal may
+default keytab file ({\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFKTNAME}}}}).  The \sphinxcode{\sphinxupquote{kiprop/hostname}} principal may
 have been created automatically for the primary KDC, but it must
 always be created for replica KDCs.
 
-On the primary KDC side, the \sphinxcode{kiprop/hostname} principal must be
+\sphinxAtStartPar
+On the primary KDC side, the \sphinxcode{\sphinxupquote{kiprop/hostname}} principal must be
 listed in the kadmind ACL file {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}}, and given the
 \sphinxstylestrong{p} privilege (see {\hyperref[\detokenize{admin/database:privileges}]{\sphinxcrossref{\DUrole{std,std-ref}{Privileges}}}}).
 
+\sphinxAtStartPar
 On the replica KDC side, {\hyperref[\detokenize{admin/admin_commands/kpropd:kpropd-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kpropd}}}} should be run.  When
 incremental propagation is enabled, it will connect to the kadmind on
 the primary KDC and start requesting updates.
 
+\sphinxAtStartPar
 The normal kprop mechanism is disabled by the incremental propagation
 support.  However, if the replica has been unable to fetch changes
 from the primary KDC for too long (network problems, perhaps), the log
 on the primary may wrap around and overwrite some of the updates that
 the replica has not yet retrieved.  In this case, the replica will
 instruct the primary KDC to dump the current database out to a file
-and invoke a one-time kprop propagation, with special options to also
+and invoke a one\sphinxhyphen{}time kprop propagation, with special options to also
 convey the point in the update log at which the replica should resume
 fetching incremental updates.  Thus, all the keytab and ACL setup
 previously described for kprop propagation is still needed.
 
+\sphinxAtStartPar
 If an environment has a large number of replicas, it may be desirable
 to arrange them in a hierarchy instead of having the primary serve
-updates to every replica.  To do this, run \sphinxcode{kadmind -proponly} on
-each intermediate replica, and \sphinxcode{kpropd -A upstreamhostname} on
+updates to every replica.  To do this, run \sphinxcode{\sphinxupquote{kadmind \sphinxhyphen{}proponly}} on
+each intermediate replica, and \sphinxcode{\sphinxupquote{kpropd \sphinxhyphen{}A upstreamhostname}} on
 downstream replicas to direct each one to the appropriate upstream
 replica.
 
+\sphinxAtStartPar
 There are several known restrictions in the current implementation:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 The incremental update protocol does not transport changes to policy
 objects.  Any policy changes on the primary will result in full
 resyncs to all replicas.
 
 \item {} 
+\sphinxAtStartPar
 The replica’s KDB module must support locking; it cannot be using the
 LDAP KDB module.
 
 \item {} 
+\sphinxAtStartPar
 The primary and replica must be able to initiate TCP connections in
 both directions, without an intervening NAT.
 
@@ -4642,15 +5329,18 @@ both directions, without an intervening
 
 \subsection{Sun/MIT incremental propagation differences}
 \label{\detokenize{admin/database:sun-mit-incremental-propagation-differences}}
+\sphinxAtStartPar
 Sun donated the original code for supporting incremental database
 propagation to MIT.  Some changes have been made in the MIT source
 tree that will be visible to administrators.  (These notes are based
 on Sun’s patches.  Changes to Sun’s implementation since then may not
 be reflected here.)
 
-The Sun config file support looks for \sphinxcode{sunw\_dbprop\_enable},
-\sphinxcode{sunw\_dbprop\_master\_ulogsize}, and \sphinxcode{sunw\_dbprop\_slave\_poll}.
+\sphinxAtStartPar
+The Sun config file support looks for \sphinxcode{\sphinxupquote{sunw\_dbprop\_enable}},
+\sphinxcode{\sphinxupquote{sunw\_dbprop\_master\_ulogsize}}, and \sphinxcode{\sphinxupquote{sunw\_dbprop\_slave\_poll}}.
 
+\sphinxAtStartPar
 The incremental propagation service is implemented as an ONC RPC
 service.  In the Sun implementation, the service is registered with
 rpcbind (also known as portmapper) and the client looks up the port
@@ -4659,25 +5349,27 @@ some modern versions of rpcbind doesn’
 number must be specified in the config file on both the primary and
 replica sides.
 
-The Sun implementation hard-codes pathnames in \sphinxcode{/var/krb5} for the
-update log and the per-replica kprop dump files.  In the MIT
+\sphinxAtStartPar
+The Sun implementation hard\sphinxhyphen{}codes pathnames in \sphinxcode{\sphinxupquote{/var/krb5}} for the
+update log and the per\sphinxhyphen{}replica kprop dump files.  In the MIT
 implementation, the pathname for the update log is specified in the
-config file, and the per-replica dump files are stored in
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/replica\_datatrans\_hostname}.
+config file, and the per\sphinxhyphen{}replica dump files are stored in
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/replica\_datatrans\_hostname}}.
 
 
 \chapter{Database types}
-\label{\detokenize{admin/dbtypes::doc}}\label{\detokenize{admin/dbtypes:database-types}}\label{\detokenize{admin/dbtypes:dbtypes}}
-A Kerberos database can be implemented with one of three built-in
+\label{\detokenize{admin/dbtypes:database-types}}\label{\detokenize{admin/dbtypes:dbtypes}}\label{\detokenize{admin/dbtypes::doc}}
+\sphinxAtStartPar
+A Kerberos database can be implemented with one of three built\sphinxhyphen{}in
 database providers, called KDB modules.  Software which incorporates
 the MIT krb5 KDC may also provide its own KDB module.  The following
-subsections describe the three built-in KDB modules and the
+subsections describe the three built\sphinxhyphen{}in KDB modules and the
 configuration specific to them.
 
+\sphinxAtStartPar
 The database type can be configured with the \sphinxstylestrong{db\_library} variable
 in the {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbmodules}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbmodules{]}}}}} subsection for the realm.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{dbmodules}\PYG{p}{]}
     \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -4685,41 +5377,49 @@ in the {\hyperref[\detokenize{admin/conf
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
-If the \sphinxcode{ATHENA.MIT.EDU} realm subsection contains a
+\sphinxAtStartPar
+If the \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} realm subsection contains a
 \sphinxstylestrong{database\_module} setting, then the subsection within
-\sphinxcode{{[}dbmodules{]}} should use that name instead of \sphinxcode{ATHENA.MIT.EDU}.
+\sphinxcode{\sphinxupquote{{[}dbmodules{]}}} should use that name instead of \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}}.
 
+\sphinxAtStartPar
 To transition from one database type to another, stop the
-{\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} service, use \sphinxcode{kdb5\_util dump} to create a dump
+{\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} service, use \sphinxcode{\sphinxupquote{kdb5\_util dump}} to create a dump
 file, change the \sphinxstylestrong{db\_library} value and set any appropriate
-configuration for the new database type, and use \sphinxcode{kdb5\_util load} to
+configuration for the new database type, and use \sphinxcode{\sphinxupquote{kdb5\_util load}} to
 create and populate the new database.  If the new database type is
-LDAP, create the new database using \sphinxcode{kdb5\_ldap\_util} and populate it
-from the dump file using \sphinxcode{kdb5\_util load -update}.  Then restart the
+LDAP, create the new database using \sphinxcode{\sphinxupquote{kdb5\_ldap\_util}} and populate it
+from the dump file using \sphinxcode{\sphinxupquote{kdb5\_util load \sphinxhyphen{}update}}.  Then restart the
 {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} and {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} services.
 
 
 \section{Berkeley database module (db2)}
 \label{\detokenize{admin/dbtypes:berkeley-database-module-db2}}
-The default KDB module is \sphinxcode{db2}, which uses a version of the
+\sphinxAtStartPar
+The default KDB module is \sphinxcode{\sphinxupquote{db2}}, which uses a version of the
 Berkeley DB library.  It creates four files based on the database
-pathname.  If the pathname ends with \sphinxcode{principal} then the four files
+pathname.  If the pathname ends with \sphinxcode{\sphinxupquote{principal}} then the four files
 are:
 \begin{itemize}
 \item {} 
-\sphinxcode{principal}, containing principal entry data
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{principal}}, containing principal entry data
 
 \item {} 
-\sphinxcode{principal.ok}, a lock file for the principal database
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{principal.ok}}, a lock file for the principal database
 
 \item {} 
-\sphinxcode{principal.kadm5}, containing policy object data
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{principal.kadm5}}, containing policy object data
 
 \item {} 
-\sphinxcode{principal.kadm5.lock}, a lock file for the policy database
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{principal.kadm5.lock}}, a lock file for the policy database
 
 \end{itemize}
 
+\sphinxAtStartPar
 For large databases, the {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} \sphinxstylestrong{dump} command (perhaps
 invoked by {\hyperref[\detokenize{admin/admin_commands/kprop:kprop-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop}}}} or by {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} for incremental
 propagation) may cause {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} to stop for a noticeable
@@ -4727,9 +5427,8 @@ period of time while it iterates over th
 avoided by disabling account lockout features so that the KDC does not
 perform database writes (see {\hyperref[\detokenize{admin/lockout:disable-lockout}]{\sphinxcrossref{\DUrole{std,std-ref}{KDC performance and account lockout}}}}).  Alternatively,
 a slower form of iteration can be enabled by setting the
-\sphinxstylestrong{unlockiter} variable to \sphinxcode{true}.  For example:
+\sphinxstylestrong{unlockiter} variable to \sphinxcode{\sphinxupquote{true}}.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{dbmodules}\PYG{p}{]}
     \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -4738,41 +5437,48 @@ a slower form of iteration can be enable
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 In rare cases, a power failure or other unclean system shutdown may
 cause inconsistencies in the internal pointers within a database file,
-such that \sphinxcode{kdb5\_util dump} cannot retrieve all principal entries in
+such that \sphinxcode{\sphinxupquote{kdb5\_util dump}} cannot retrieve all principal entries in
 the database.  In this situation, it may be possible to retrieve all
-of the principal data by running \sphinxcode{kdb5\_util dump -recurse} to
+of the principal data by running \sphinxcode{\sphinxupquote{kdb5\_util dump \sphinxhyphen{}recurse}} to
 iterate over the database using the tree pointers instead of the
-iteration pointers.  Running \sphinxcode{kdb5\_util dump -rev} to iterate over
+iteration pointers.  Running \sphinxcode{\sphinxupquote{kdb5\_util dump \sphinxhyphen{}rev}} to iterate over
 the database backwards may also retrieve some of the data which is not
 retrieved by a normal dump operation.
 
 
-\section{Lightning Memory-Mapped Database module (klmdb)}
+\section{Lightning Memory\sphinxhyphen{}Mapped Database module (klmdb)}
 \label{\detokenize{admin/dbtypes:lightning-memory-mapped-database-module-klmdb}}
+\sphinxAtStartPar
 The klmdb module was added in release 1.17.  It uses the LMDB library,
 and may offer better performance and reliability than the db2 module.
 It creates four files based on the database pathname.  If the pathname
-ends with \sphinxcode{principal}, then the four files are:
+ends with \sphinxcode{\sphinxupquote{principal}}, then the four files are:
 \begin{itemize}
 \item {} 
-\sphinxcode{principal.mdb}, containing policy object data and most principal
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{principal.mdb}}, containing policy object data and most principal
 entry data
 
 \item {} 
-\sphinxcode{principal.mdb-lock}, a lock file for the primary database
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{principal.mdb\sphinxhyphen{}lock}}, a lock file for the primary database
 
 \item {} 
-\sphinxcode{principal.lockout.mdb}, containing the account lockout attributes
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{principal.lockout.mdb}}, containing the account lockout attributes
 (last successful authentication time, last failed authentication
 time, and number of failed attempts) for each principal entry
 
 \item {} 
-\sphinxcode{principal.lockout.mdb-lock}, a lock file for the lockout database
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{principal.lockout.mdb\sphinxhyphen{}lock}}, a lock file for the lockout database
 
 \end{itemize}
 
+\sphinxAtStartPar
 Separating out the lockout attributes ensures that the KDC will never
 block on an administrative operation such as a database dump or load.
 It also allows the KDC to operate without write access to the primary
@@ -4781,11 +5487,12 @@ database.  If both account lockout featu
 but will not subsequently be opened, and the account lockout
 attributes will always have zero values.
 
+\sphinxAtStartPar
 Because LMDB creates a memory map to the database files, it requires a
 configured memory map size which also determines the maximum size of
 the database.  This size is applied equally to the two databases, so
 twice the configured size will be consumed in the process address
-space; this is primarily a limitation on 32-bit platforms.  The
+space; this is primarily a limitation on 32\sphinxhyphen{}bit platforms.  The
 default value of 128 megabytes should be sufficient for several
 hundred thousand principal entries.  If the limit is reached, kadmin
 operations will fail and the error message “Environment mapsize limit
@@ -4793,7 +5500,6 @@ reached” will appear in the kadmind lo
 \sphinxstylestrong{mapsize} variable can be used to increase the map size.  The
 following example sets the map size to 512 megabytes:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{dbmodules}\PYG{p}{]}
     \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -4802,11 +5508,13 @@ following example sets the map size to 5
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 LMDB has a configurable maximum number of readers.  The default value
 of 128 should be sufficient for most deployments.  If you are going to
 use a large number of KDC worker processes, it may be necessary to set
 the \sphinxstylestrong{max\_readers} variable to a larger number.
 
+\sphinxAtStartPar
 By default, LMDB synchronizes database files to disk after each write
 transaction to ensure durability in the case of an unclean system
 shutdown.  The klmdb module always turns synchronization off for the
@@ -4816,30 +5524,35 @@ operations (including password changes)
 variable can be set to “true” to disable synchronization for the
 primary database.
 
+\sphinxAtStartPar
 The klmdb module does not support explicit locking with the
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} \sphinxstylestrong{lock} command.
 
 
 \section{LDAP module (kldap)}
 \label{\detokenize{admin/dbtypes:ldap-module-kldap}}
+\sphinxAtStartPar
 The kldap module stores principal and policy data using an LDAP
 server.  To use it you must configure an LDAP server to use the
-Kerberos schema.  See {\hyperref[\detokenize{admin/conf_ldap:conf-ldap}]{\sphinxcrossref{\DUrole{std,std-ref}{Configuring Kerberos with OpenLDAP back-end}}}} for details.
+Kerberos schema.  See {\hyperref[\detokenize{admin/conf_ldap:conf-ldap}]{\sphinxcrossref{\DUrole{std,std-ref}{Configuring Kerberos with OpenLDAP back\sphinxhyphen{}end}}}} for details.
 
-Because {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} is single-threaded, latency in LDAP database
+\sphinxAtStartPar
+Because {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} is single\sphinxhyphen{}threaded, latency in LDAP database
 accesses may limit KDC operation throughput.  If the LDAP server is
 located on the same server host as the KDC and accessed through an
-\sphinxcode{ldapi://} URL, latency should be minimal.  If this is not possible,
+\sphinxcode{\sphinxupquote{ldapi://}} URL, latency should be minimal.  If this is not possible,
 consider starting multiple KDC worker processes with the
-{\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} \sphinxstylestrong{-w} option to enable concurrent processing of KDC
+{\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} \sphinxstylestrong{\sphinxhyphen{}w} option to enable concurrent processing of KDC
 requests.
 
+\sphinxAtStartPar
 The kldap module does not support explicit locking with the
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} \sphinxstylestrong{lock} command.
 
 
 \chapter{Account lockout}
-\label{\detokenize{admin/lockout:lockout}}\label{\detokenize{admin/lockout::doc}}\label{\detokenize{admin/lockout:account-lockout}}
+\label{\detokenize{admin/lockout:account-lockout}}\label{\detokenize{admin/lockout:lockout}}\label{\detokenize{admin/lockout::doc}}
+\sphinxAtStartPar
 As of release 1.8, the KDC can be configured to lock out principals
 after a number of failed authentication attempts within a period of
 time.  Account lockout can make it more difficult to attack a
@@ -4849,43 +5562,48 @@ attacker to deny access to a principal.
 
 \section{Configuring account lockout}
 \label{\detokenize{admin/lockout:configuring-account-lockout}}
+\sphinxAtStartPar
 Account lockout only works for principals with the
 \sphinxstylestrong{+requires\_preauth} flag set.  Without this flag, the KDC cannot
 know whether or not a client successfully decrypted the ticket it
-issued.  It is also important to set the \sphinxstylestrong{-allow\_svr} flag on a
-principal to protect its password from an off-line dictionary attack
+issued.  It is also important to set the \sphinxstylestrong{\sphinxhyphen{}allow\_svr} flag on a
+principal to protect its password from an off\sphinxhyphen{}line dictionary attack
 through a TGS request.  You can set these flags on a principal with
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} as follows:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{modprinc} \PYG{o}{+}\PYG{n}{requires\PYGZus{}preauth} \PYG{o}{\PYGZhy{}}\PYG{n}{allow\PYGZus{}svr} \PYG{n}{PRINCNAME}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Account lockout parameters are configured via {\hyperref[\detokenize{admin/database:policies}]{\sphinxcrossref{\DUrole{std,std-ref}{policy objects}}}}.  There may be an existing policy associated with user
 principals (such as the “default” policy), or you may need to create a
 new one and associate it with each user principal.
 
+\sphinxAtStartPar
 The policy parameters related to account lockout are:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:policy-maxfailure}]{\sphinxcrossref{\DUrole{std,std-ref}{maxfailure}}}}: the number of failed attempts
 before the principal is locked out
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:policy-failurecountinterval}]{\sphinxcrossref{\DUrole{std,std-ref}{failurecountinterval}}}}: the
 allowable interval between failed attempts
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:policy-lockoutduration}]{\sphinxcrossref{\DUrole{std,std-ref}{lockoutduration}}}}: the amount of time
 a principal is locked out for
 
 \end{itemize}
 
+\sphinxAtStartPar
 Here is an example of setting these parameters on a new policy and
 associating it with a principal:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{addpol} \PYG{o}{\PYGZhy{}}\PYG{n}{maxfailure} \PYG{l+m+mi}{10} \PYG{o}{\PYGZhy{}}\PYG{n}{failurecountinterval} \PYG{l+m+mi}{180}
     \PYG{o}{\PYGZhy{}}\PYG{n}{lockoutduration} \PYG{l+m+mi}{60} \PYG{n}{lockout\PYGZus{}policy}
@@ -4895,12 +5613,12 @@ associating it with a principal:
 
 \section{Testing account lockout}
 \label{\detokenize{admin/lockout:testing-account-lockout}}
+\sphinxAtStartPar
 To test that account lockout is working, try authenticating as the
 principal (hopefully not one that might be in use) multiple times with
 the wrong password.  For instance, if \sphinxstylestrong{maxfailure} is set to 2, you
 might see:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kinit user
 Password for user@KRBTEST.COM:
@@ -4915,26 +5633,30 @@ kinit: Client\PYGZsq{}s credentials have
 
 \section{Account lockout principal state}
 \label{\detokenize{admin/lockout:account-lockout-principal-state}}
+\sphinxAtStartPar
 A principal entry keeps three pieces of state related to account
 lockout:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 The time of last successful authentication
 
 \item {} 
+\sphinxAtStartPar
 The time of last failed authentication
 
 \item {} 
+\sphinxAtStartPar
 A counter of failed attempts
 
 \end{itemize}
 
+\sphinxAtStartPar
 The time of last successful authentication is not actually needed for
 the account lockout system to function, but may be of administrative
 interest.  These fields can be observed with the \sphinxstylestrong{getprinc} kadmin
 command.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{getprinc} \PYG{n}{user}
 \PYG{n}{Principal}\PYG{p}{:} \PYG{n}{user}\PYG{n+nd}{@KRBTEST}\PYG{o}{.}\PYG{n}{COM}
@@ -4945,19 +5667,21 @@ command.  For example:
 \PYG{o}{.}\PYG{o}{.}\PYG{o}{.}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 A principal which has been locked out can be administratively unlocked
-with the \sphinxstylestrong{-unlock} option to the \sphinxstylestrong{modprinc} kadmin command:
+with the \sphinxstylestrong{\sphinxhyphen{}unlock} option to the \sphinxstylestrong{modprinc} kadmin command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{modprinc} \PYG{o}{\PYGZhy{}}\PYG{n}{unlock} \PYG{n}{PRINCNAME}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This command will reset the number of failed attempts to 0.
 
 
 \section{KDC replication and account lockout}
 \label{\detokenize{admin/lockout:kdc-replication-and-account-lockout}}
+\sphinxAtStartPar
 The account lockout state of a principal is not replicated by either
 traditional {\hyperref[\detokenize{admin/admin_commands/kprop:kprop-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop}}}} or incremental propagation.  Because of
 this, the number of attempts an attacker can make within a time period
@@ -4967,19 +5691,22 @@ the environment (a primary and three rep
 as many as 40 attempts before the principal is locked out on all four
 KDCs.
 
+\sphinxAtStartPar
 An administrative unlock is propagated from the primary to the replica
 KDCs during the next propagation.  Propagation of an administrative
 unlock will cause the counter of failed attempts on each replica to
 reset to 1 on the next failure.
 
+\sphinxAtStartPar
 If a KDC environment uses a replication strategy other than kprop or
-incremental propagation, such as the LDAP KDB module with multi-master
+incremental propagation, such as the LDAP KDB module with multi\sphinxhyphen{}master
 LDAP replication, then account lockout state may be replicated between
 KDCs and the concerns of this section may not apply.
 
 
 \section{KDC performance and account lockout}
 \label{\detokenize{admin/lockout:kdc-performance-and-account-lockout}}\label{\detokenize{admin/lockout:disable-lockout}}
+\sphinxAtStartPar
 In order to fully track account lockout state, the KDC must write to
 the the database on each successful and failed authentication.
 Writing to the database is generally more expensive than reading from
@@ -4989,7 +5716,6 @@ tracking in order to improve performance
 \sphinxstylestrong{disable\_last\_success} and \sphinxstylestrong{disable\_lockout} variables in the
 database module subsection of {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{dbmodules}\PYG{p}{]}
     \PYG{n}{DB} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -4998,6 +5724,7 @@ database module subsection of {\hyperref
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Of the two variables, setting \sphinxstylestrong{disable\_last\_success} will usually
 have the largest positive impact on performance, and will still allow
 account lockout policies to operate.  However, it will make it
@@ -5007,6 +5734,7 @@ kadmin.
 
 \section{KDC setup and account lockout}
 \label{\detokenize{admin/lockout:kdc-setup-and-account-lockout}}
+\sphinxAtStartPar
 To update the account lockout state on principals, the KDC must be
 able to write to the principal database.  For the DB2 module, no
 special setup is required.  For the LDAP module, the KDC DN must be
@@ -5014,51 +5742,57 @@ granted write access to the principal ob
 read access, account lockout will not function.
 
 
-\chapter{Configuring Kerberos with OpenLDAP back-end}
-\label{\detokenize{admin/conf_ldap:conf-ldap}}\label{\detokenize{admin/conf_ldap::doc}}\label{\detokenize{admin/conf_ldap:configuring-kerberos-with-openldap-back-end}}\begin{enumerate}
+\chapter{Configuring Kerberos with OpenLDAP back\sphinxhyphen{}end}
+\label{\detokenize{admin/conf_ldap:configuring-kerberos-with-openldap-back-end}}\label{\detokenize{admin/conf_ldap:conf-ldap}}\label{\detokenize{admin/conf_ldap::doc}}\begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 Make sure the LDAP server is using local authentication
-(\sphinxcode{ldapi://}) or TLS (\sphinxcode{ldaps}).  See
+(\sphinxcode{\sphinxupquote{ldapi://}}) or TLS (\sphinxcode{\sphinxupquote{ldaps}}).  See
 \sphinxurl{https://www.openldap.org/doc/admin/tls.html} for instructions on
 configuring TLS support in OpenLDAP.
 
 \item {} 
+\sphinxAtStartPar
 Add the Kerberos schema file to the LDAP Server using the OpenLDAP
 LDIF file from the krb5 source directory
-(\sphinxcode{src/plugins/kdb/ldap/libkdb\_ldap/kerberos.openldap.ldif}).
+(\sphinxcode{\sphinxupquote{src/plugins/kdb/ldap/libkdb\_ldap/kerberos.openldap.ldif}}).
 The following example uses local authentication:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{ldapadd} \PYG{o}{\PYGZhy{}}\PYG{n}{Y} \PYG{n}{EXTERNAL} \PYG{o}{\PYGZhy{}}\PYG{n}{H} \PYG{n}{ldapi}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{o}{/} \PYG{o}{\PYGZhy{}}\PYG{n}{f} \PYG{o}{/}\PYG{n}{path}\PYG{o}{/}\PYG{n}{to}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{.}\PYG{n}{openldap}\PYG{o}{.}\PYG{n}{ldif}
 \end{sphinxVerbatim}
 
 \item {} 
+\sphinxAtStartPar
 Choose DNs for the {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} and {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} servers
 to bind to the LDAP server, and create them if necessary.  Specify
 these DNs with the \sphinxstylestrong{ldap\_kdc\_dn} and \sphinxstylestrong{ldap\_kadmind\_dn}
 directives in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.  The kadmind DN will also be
 used for administrative commands such as {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}}.
 
+\sphinxAtStartPar
 Alternatively, you may configure krb5kdc and kadmind to use SASL
 authentication to access the LDAP server; see the {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbmodules}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbmodules{]}}}}}
 relations \sphinxstylestrong{ldap\_kdc\_sasl\_mech} and similar.
 
 \item {} 
+\sphinxAtStartPar
 Specify a location for the LDAP service password file by setting
-\sphinxstylestrong{ldap\_service\_password\_file}.  Use \sphinxcode{kdb5\_ldap\_util stashsrvpw}
+\sphinxstylestrong{ldap\_service\_password\_file}.  Use \sphinxcode{\sphinxupquote{kdb5\_ldap\_util stashsrvpw}}
 to stash passwords for the KDC and kadmind DNs chosen above.  For
 example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{n}{stashsrvpw} \PYG{o}{\PYGZhy{}}\PYG{n}{f} \PYG{o}{/}\PYG{n}{path}\PYG{o}{/}\PYG{n}{to}\PYG{o}{/}\PYG{n}{service}\PYG{o}{.}\PYG{n}{keyfile} \PYG{n}{cn}\PYG{o}{=}\PYG{n}{krbadmin}\PYG{p}{,}\PYG{n}{dc}\PYG{o}{=}\PYG{n}{example}\PYG{p}{,}\PYG{n}{dc}\PYG{o}{=}\PYG{n}{com}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Skip this step if you are using SASL authentication and the
 mechanism does not require a password.
 
 \item {} 
+\sphinxAtStartPar
 Choose a DN for the global Kerberos container entry (but do not
 create the entry at this time).  Specify this DN with the
 \sphinxstylestrong{ldap\_kerberos\_container\_dn} directive in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
@@ -5068,15 +5802,16 @@ Principal entries may exist either under
 container.
 
 \item {} 
+\sphinxAtStartPar
 Configure the LDAP server ACLs to enable the KDC and kadmin server
 DNs to read and write the Kerberos data.  If
 \sphinxstylestrong{disable\_last\_success} and \sphinxstylestrong{disable\_lockout} are both set to
 true in the {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbmodules}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbmodules{]}}}}} subsection for the realm, then the
 KDC DN only requires read access to the Kerberos data.
 
+\sphinxAtStartPar
 Sample access control information:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{access} \PYG{n}{to} \PYG{n}{dn}\PYG{o}{.}\PYG{n}{base}\PYG{o}{=}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}
     \PYG{n}{by} \PYG{o}{*} \PYG{n}{read}
@@ -5100,17 +5835,18 @@ Sample access control information:
     \PYG{n}{by} \PYG{o}{*} \PYG{n}{read}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the locations of the container and principals or the DNs of the
 service objects for a realm are changed then this information
 should be updated.
 
 \item {} 
+\sphinxAtStartPar
 In {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}, make sure the following relations are set
 in the {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbmodules}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbmodules{]}}}}} subsection for the realm:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
-db\PYGZus{}library (set to {}`{}`kldap{}`{}`)
+db\PYGZus{}library (set to ``kldap``)
 ldap\PYGZus{}kerberos\PYGZus{}container\PYGZus{}dn
 ldap\PYGZus{}kdc\PYGZus{}dn
 ldap\PYGZus{}kadmind\PYGZus{}dn
@@ -5119,21 +5855,26 @@ ldap\PYGZus{}servers
 \end{sphinxVerbatim}
 
 \item {} 
+\sphinxAtStartPar
 Create the realm using {\hyperref[\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_ldap\_util}}}}:
 \begin{quote}
 
-kdb5\_ldap\_util create -subtrees ou=users,dc=example,dc=com -s
+\sphinxAtStartPar
+kdb5\_ldap\_util create \sphinxhyphen{}subtrees ou=users,dc=example,dc=com \sphinxhyphen{}s
 \end{quote}
 
-Use the \sphinxstylestrong{-subtrees} option if the principals are to exist in a
+\sphinxAtStartPar
+Use the \sphinxstylestrong{\sphinxhyphen{}subtrees} option if the principals are to exist in a
 separate subtree from the realm container.  Before executing the
 command, make sure that the subtree mentioned above
-\sphinxcode{(ou=users,dc=example,dc=com)} exists.  If the principals will
-exist underneath the realm container, omit the \sphinxstylestrong{-subtrees} option
+\sphinxcode{\sphinxupquote{(ou=users,dc=example,dc=com)}} exists.  If the principals will
+exist underneath the realm container, omit the \sphinxstylestrong{\sphinxhyphen{}subtrees} option
 and do not worry about creating the principal subtree.
 
+\sphinxAtStartPar
 For more information, refer to the section {\hyperref[\detokenize{admin/database:ops-on-ldap}]{\sphinxcrossref{\DUrole{std,std-ref}{Operations on the LDAP database}}}}.
 
+\sphinxAtStartPar
 The realm object is created under the
 \sphinxstylestrong{ldap\_kerberos\_container\_dn} specified in the configuration
 file.  This operation will also create the Kerberos container, if
@@ -5141,36 +5882,41 @@ not present already.  This container can
 information related to multiple realms.
 
 \item {} 
-Add an \sphinxcode{eq} index for \sphinxcode{krbPrincipalName} to speed up principal
+\sphinxAtStartPar
+Add an \sphinxcode{\sphinxupquote{eq}} index for \sphinxcode{\sphinxupquote{krbPrincipalName}} to speed up principal
 lookup operations.  See
 \sphinxurl{https://www.openldap.org/doc/admin/tuning.html\#Indexes} for
 details.
 
 \end{enumerate}
 
+\sphinxAtStartPar
 With the LDAP back end it is possible to provide aliases for principal
 entries.  Currently we provide no administrative utilities for
 creating aliases, so it must be done by direct manipulation of the
 LDAP entries.
 
+\sphinxAtStartPar
 An entry with aliases contains multiple values of the
 \sphinxstyleemphasis{krbPrincipalName} attribute.  Since LDAP attribute values are not
 ordered, it is necessary to specify which principal name is canonical,
 by using the \sphinxstyleemphasis{krbCanonicalName} attribute.  Therefore, to create
 aliases for an entry, first set the \sphinxstyleemphasis{krbCanonicalName} attribute of
 the entry to the canonical principal name (which should be identical
-to the pre-existing \sphinxstyleemphasis{krbPrincipalName} value), and then add additional
+to the pre\sphinxhyphen{}existing \sphinxstyleemphasis{krbPrincipalName} value), and then add additional
 \sphinxstyleemphasis{krbPrincipalName} attributes for the aliases.
 
+\sphinxAtStartPar
 Principal aliases are only returned by the KDC when the client
 requests canonicalization.  Canonicalization is normally requested for
 service principals; for client principals, an explicit flag is often
-required (e.g., \sphinxcode{kinit -C}) and canonicalization is only performed
+required (e.g., \sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}C}}) and canonicalization is only performed
 for initial ticket requests.
 
 
 \chapter{Application servers}
-\label{\detokenize{admin/appl_servers::doc}}\label{\detokenize{admin/appl_servers:application-servers}}
+\label{\detokenize{admin/appl_servers:application-servers}}\label{\detokenize{admin/appl_servers::doc}}
+\sphinxAtStartPar
 If you need to install the Kerberos V5 programs on an application
 server, please refer to the Kerberos V5 Installation Guide.  Once you
 have installed the software, you need to add that host to the Kerberos
@@ -5181,6 +5927,7 @@ clock is within your maximum clock skew
 
 \section{Keytabs}
 \label{\detokenize{admin/appl_servers:keytabs}}
+\sphinxAtStartPar
 A keytab is a host’s copy of its own keylist, which is analogous to a
 user’s password.  An application server that needs to authenticate
 itself to the KDC has to have a keytab that contains its own principal
@@ -5195,11 +5942,11 @@ reside.
 
 \subsection{Adding principals to keytabs}
 \label{\detokenize{admin/appl_servers:adding-principals-to-keytabs}}\label{\detokenize{admin/appl_servers:add-princ-kt}}
+\sphinxAtStartPar
 To generate a keytab, or to add a principal to an existing keytab, use
 the \sphinxstylestrong{ktadd} command from kadmin.  Here is a sample session, using
 configuration files that enable only AES encryption:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{ktadd} \PYG{n}{host}\PYG{o}{/}\PYG{n}{daffodil}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \PYG{n}{Entry} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{host}\PYG{o}{/}\PYG{n}{daffodil}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{k}{with} \PYG{n}{kvno} \PYG{l+m+mi}{2}\PYG{p}{,} \PYG{n}{encryption} \PYG{n+nb}{type} \PYG{n}{aes256}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{o}{\PYGZhy{}}\PYG{l+m+mi}{96} \PYG{n}{added} \PYG{n}{to} \PYG{n}{keytab} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{keytab}
@@ -5209,10 +5956,10 @@ configuration files that enable only AES
 
 \subsection{Removing principals from keytabs}
 \label{\detokenize{admin/appl_servers:removing-principals-from-keytabs}}
+\sphinxAtStartPar
 To remove a principal from an existing keytab, use the kadmin
 \sphinxstylestrong{ktremove} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:}  \PYG{n}{ktremove} \PYG{n}{host}\PYG{o}{/}\PYG{n}{daffodil}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \PYG{n}{Entry} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{host}\PYG{o}{/}\PYG{n}{daffodil}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{k}{with} \PYG{n}{kvno} \PYG{l+m+mi}{2} \PYG{n}{removed} \PYG{k+kn}{from} \PYG{n+nn}{keytab} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{keytab}\PYG{o}{.}
@@ -5222,23 +5969,29 @@ To remove a principal from an existing k
 
 \subsection{Using a keytab to acquire client credentials}
 \label{\detokenize{admin/appl_servers:using-a-keytab-to-acquire-client-credentials}}
+\sphinxAtStartPar
 While keytabs are ordinarily used to accept credentials from clients,
 they can also be used to acquire initial credentials, allowing one
 service to authenticate to another.
 
+\sphinxAtStartPar
 To manually obtain credentials using a keytab, use the \DUrole{xref,std,std-ref}{kinit(1)}
-\sphinxstylestrong{-k} option, together with the \sphinxstylestrong{-t} option if the keytab is not in
+\sphinxstylestrong{\sphinxhyphen{}k} option, together with the \sphinxstylestrong{\sphinxhyphen{}t} option if the keytab is not in
 the default location.
 
+\sphinxAtStartPar
 Beginning with release 1.11, GSSAPI applications can be configured to
 automatically obtain initial credentials from a keytab as needed.  The
 recommended configuration is as follows:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 Create a keytab containing a single entry for the desired client
 identity.
 
 \item {} 
+\sphinxAtStartPar
 Place the keytab in a location readable by the service, and set the
 \sphinxstylestrong{KRB5\_CLIENT\_KTNAME} environment variable to its filename.
 Alternatively, use the \sphinxstylestrong{default\_client\_keytab\_name} profile
@@ -5246,15 +5999,17 @@ variable in {\hyperref[\detokenize{admin
 {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFCKTNAME}}}}.
 
 \item {} 
+\sphinxAtStartPar
 Set \sphinxstylestrong{KRB5CCNAME} to a filename writable by the service, which
 will not be used for any other purpose.  Do not manually obtain
 credentials at this location.  (Another credential cache type
 besides \sphinxstylestrong{FILE} can be used if desired, as long the cache will not
 conflict with another use.  A \sphinxstylestrong{MEMORY} cache can be used if the
-service runs as a long-lived process.  See \DUrole{xref,std,std-ref}{ccache\_definition}
+service runs as a long\sphinxhyphen{}lived process.  See \DUrole{xref,std,std-ref}{ccache\_definition}
 for details.)
 
 \item {} 
+\sphinxAtStartPar
 Start the service.  When it authenticates using GSSAPI, it will
 automatically obtain credentials from the client keytab into the
 specified credential cache, and refresh them before they expire.
@@ -5264,6 +6019,7 @@ specified credential cache, and refresh
 
 \section{Clock Skew}
 \label{\detokenize{admin/appl_servers:clock-skew}}
+\sphinxAtStartPar
 A Kerberos application server host must keep its clock synchronized or
 it will reject authentication requests from clients.  Modern operating
 systems typically provide a facility to maintain the correct time;
@@ -5271,43 +6027,45 @@ make sure it is enabled.  This is especi
 machines, where clocks tend to drift more rapidly than normal machine
 clocks.
 
+\sphinxAtStartPar
 The default allowable clock skew is controlled by the \sphinxstylestrong{clockskew}
 variable in {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}}.
 
 
 \section{Getting DNS information correct}
 \label{\detokenize{admin/appl_servers:getting-dns-information-correct}}
+\sphinxAtStartPar
 Several aspects of Kerberos rely on name service.  When a hostname is
 used to name a service, clients may canonicalize the hostname using
 forward and possibly reverse name resolution.  The result of this
 canonicalization must match the principal entry in the host’s keytab,
 or authentication will fail.  To work with all client canonicalization
-configurations, each host’s canonical name must be the fully-qualified
+configurations, each host’s canonical name must be the fully\sphinxhyphen{}qualified
 host name (including the domain), and each host’s IP address must
-reverse-resolve to the canonical name.
+reverse\sphinxhyphen{}resolve to the canonical name.
 
+\sphinxAtStartPar
 Configuration of hostnames varies by operating system.  On the
 application server itself, canonicalization will typically use the
-\sphinxcode{/etc/hosts} file rather than the DNS.  Ensure that the line for the
+\sphinxcode{\sphinxupquote{/etc/hosts}} file rather than the DNS.  Ensure that the line for the
 server’s hostname is in the following form:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{IP} \PYG{n}{address}      \PYG{n}{fully}\PYG{o}{\PYGZhy{}}\PYG{n}{qualified} \PYG{n}{hostname}        \PYG{n}{aliases}
 \end{sphinxVerbatim}
 
-Here is a sample \sphinxcode{/etc/hosts} file:
+\sphinxAtStartPar
+Here is a sample \sphinxcode{\sphinxupquote{/etc/hosts}} file:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{c+c1}{\PYGZsh{} this is a comment}
-\PYG{l+m+mf}{127.0}\PYG{o}{.}\PYG{l+m+mf}{0.1}      \PYG{n}{localhost} \PYG{n}{localhost}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
-\PYG{l+m+mf}{10.0}\PYG{o}{.}\PYG{l+m+mf}{0.6}       \PYG{n}{daffodil}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{n}{daffodil} \PYG{n}{trillium} \PYG{n}{wake}\PYG{o}{\PYGZhy{}}\PYG{n}{robin}
+\PYG{l+m+mf}{127.0}\PYG{l+m+mf}{.0}\PYG{l+m+mf}{.1}      \PYG{n}{localhost} \PYG{n}{localhost}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
+\PYG{l+m+mf}{10.0}\PYG{l+m+mf}{.0}\PYG{l+m+mf}{.6}       \PYG{n}{daffodil}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{n}{daffodil} \PYG{n}{trillium} \PYG{n}{wake}\PYG{o}{\PYGZhy{}}\PYG{n}{robin}
 \end{sphinxVerbatim}
 
-The output of \sphinxcode{klist -k} for this example host should look like:
+\sphinxAtStartPar
+The output of \sphinxcode{\sphinxupquote{klist \sphinxhyphen{}k}} for this example host should look like:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{viola}\PYG{c+c1}{\PYGZsh{} klist \PYGZhy{}k}
 \PYG{n}{Keytab} \PYG{n}{name}\PYG{p}{:} \PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{keytab}
@@ -5316,43 +6074,49 @@ The output of \sphinxcode{klist -k} for
    \PYG{l+m+mi}{2} \PYG{n}{host}\PYG{o}{/}\PYG{n}{daffodil}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If you were to ssh to this host with a fresh credentials cache (ticket
 file), and then \DUrole{xref,std,std-ref}{klist(1)}, the output should list a service
-principal of \sphinxcode{host/daffodil.mit.edu@ATHENA.MIT.EDU}.
+principal of \sphinxcode{\sphinxupquote{host/daffodil.mit.edu@ATHENA.MIT.EDU}}.
 
 
 \section{Configuring your firewall to work with Kerberos V5}
-\label{\detokenize{admin/appl_servers:conf-firewall}}\label{\detokenize{admin/appl_servers:configuring-your-firewall-to-work-with-kerberos-v5}}
-If you need off-site users to be able to get Kerberos tickets in your
+\label{\detokenize{admin/appl_servers:configuring-your-firewall-to-work-with-kerberos-v5}}\label{\detokenize{admin/appl_servers:conf-firewall}}
+\sphinxAtStartPar
+If you need off\sphinxhyphen{}site users to be able to get Kerberos tickets in your
 realm, they must be able to get to your KDC.  This requires either
 that you have a replica KDC outside your firewall, or that you
 configure your firewall to allow UDP requests into at least one of
 your KDCs, on whichever port the KDC is running.  (The default is port
 88; other ports may be specified in the KDC’s {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}
-file.)  Similarly, if you need off-site users to be able to change
+file.)  Similarly, if you need off\sphinxhyphen{}site users to be able to change
 their passwords in your realm, they must be able to get to your
 Kerberos admin server on the kpasswd port (which defaults to 464).  If
-you need off-site users to be able to administer your Kerberos realm,
+you need off\sphinxhyphen{}site users to be able to administer your Kerberos realm,
 they must be able to get to your Kerberos admin server on the
 administrative port (which defaults to 749).
 
-If your on-site users inside your firewall will need to get to KDCs in
+\sphinxAtStartPar
+If your on\sphinxhyphen{}site users inside your firewall will need to get to KDCs in
 other realms, you will also need to configure your firewall to allow
 outgoing TCP and UDP requests to port 88, and to port 464 to allow
-password changes.  If your on-site users inside your firewall will
+password changes.  If your on\sphinxhyphen{}site users inside your firewall will
 need to get to Kerberos admin servers in other realms, you will also
 need to allow outgoing TCP and UDP requests to port 749.
 
+\sphinxAtStartPar
 If any of your KDCs are outside your firewall, you will need to allow
 kprop requests to get through to the remote KDC.  {\hyperref[\detokenize{admin/admin_commands/kprop:kprop-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop}}}} uses
-the \sphinxcode{krb5\_prop} service on port 754 (tcp).
+the \sphinxcode{\sphinxupquote{krb5\_prop}} service on port 754 (tcp).
 
+\sphinxAtStartPar
 The book \sphinxstyleemphasis{UNIX System Security}, by David Curry, is a good starting
 point for learning to configure firewalls.
 
 
 \chapter{Host configuration}
 \label{\detokenize{admin/host_config:host-configuration}}\label{\detokenize{admin/host_config::doc}}
+\sphinxAtStartPar
 All hosts running Kerberos software, whether they are clients,
 application servers, or KDCs, can be configured using
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.  Here we describe some of the behavior changes
@@ -5361,41 +6125,48 @@ you might want to make.
 
 \section{Default realm}
 \label{\detokenize{admin/host_config:default-realm}}
+\sphinxAtStartPar
 In the {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}} section, the \sphinxstylestrong{default\_realm} realm
 relation sets the default Kerberos realm.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{libdefaults}\PYG{p}{]}
     \PYG{n}{default\PYGZus{}realm} \PYG{o}{=} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The default realm affects Kerberos behavior in the following ways:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 When a principal name is parsed from text, the default realm is used
-if no \sphinxcode{@REALM} component is specified.
+if no \sphinxcode{\sphinxupquote{@REALM}} component is specified.
 
 \item {} 
+\sphinxAtStartPar
 The default realm affects login authorization as described below.
 
 \item {} 
+\sphinxAtStartPar
 For programs which operate on a Kerberos database, the default realm
-is used to determine which database to operate on, unless the \sphinxstylestrong{-r}
+is used to determine which database to operate on, unless the \sphinxstylestrong{\sphinxhyphen{}r}
 parameter is given to specify a realm.
 
 \item {} 
+\sphinxAtStartPar
 A server program may use the default realm when looking up its key
 in a {\hyperref[\detokenize{admin/install_appl_srv:keytab-file}]{\sphinxcrossref{\DUrole{std,std-ref}{keytab file}}}}, if its realm is not
 determined by {\hyperref[\detokenize{admin/conf_files/krb5_conf:domain-realm}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}domain\_realm{]}}}}} configuration or by the server
 program itself.
 
 \item {} 
-If \DUrole{xref,std,std-ref}{kinit(1)} is passed the \sphinxstylestrong{-n} flag, it requests anonymous
+\sphinxAtStartPar
+If \DUrole{xref,std,std-ref}{kinit(1)} is passed the \sphinxstylestrong{\sphinxhyphen{}n} flag, it requests anonymous
 tickets from the default realm.
 
 \end{itemize}
 
+\sphinxAtStartPar
 In some situations, these uses of the default realm might conflict.
 For example, it might be desirable for principal name parsing to use
 one realm by default, but for login authorization to use a second
@@ -5406,40 +6177,44 @@ described below to use the second realm
 
 \section{Login authorization}
 \label{\detokenize{admin/host_config:login-authorization}}\label{\detokenize{admin/host_config:id1}}
-If a host runs a Kerberos-enabled login service such as OpenSSH with
+\sphinxAtStartPar
+If a host runs a Kerberos\sphinxhyphen{}enabled login service such as OpenSSH with
 GSSAPIAuthentication enabled, login authorization rules determine
 whether a Kerberos principal is allowed to access a local account.
 
+\sphinxAtStartPar
 By default, a Kerberos principal is allowed access to an account if
 its realm matches the default realm and its name matches the account
 name.  (For historical reasons, access is also granted by default if
 the name has two components and the second component matches the
-default realm; for instance, \sphinxcode{alice/ATHENA.MIT.EDU@ATHENA.MIT.EDU}
-is granted access to the \sphinxcode{alice} account if \sphinxcode{ATHENA.MIT.EDU} is
+default realm; for instance, \sphinxcode{\sphinxupquote{alice/ATHENA.MIT.EDU@ATHENA.MIT.EDU}}
+is granted access to the \sphinxcode{\sphinxupquote{alice}} account if \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} is
 the default realm.)
 
+\sphinxAtStartPar
 The simplest way to control local access is using \DUrole{xref,std,std-ref}{.k5login(5)}
-files.  To use these, place a \sphinxcode{.k5login} file in the home directory
+files.  To use these, place a \sphinxcode{\sphinxupquote{.k5login}} file in the home directory
 of each account listing the principal names which should have login
-access to that account.  If it is not desirable to use \sphinxcode{.k5login}
+access to that account.  If it is not desirable to use \sphinxcode{\sphinxupquote{.k5login}}
 files located in account home directories, the \sphinxstylestrong{k5login\_directory}
 relation in the {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}} section can specify a directory
 containing one file per account uname.
 
-By default, if a \sphinxcode{.k5login} file is present, it controls
+\sphinxAtStartPar
+By default, if a \sphinxcode{\sphinxupquote{.k5login}} file is present, it controls
 authorization both positively and negatively\textendash{}any principal name
 contained in the file is granted access and any other principal name
-is denied access, even if it would have had access if the \sphinxcode{.k5login}
+is denied access, even if it would have had access if the \sphinxcode{\sphinxupquote{.k5login}}
 file didn’t exist.  The \sphinxstylestrong{k5login\_authoritative} relation in the
-{\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}} section can be set to false to make \sphinxcode{.k5login}
+{\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}} section can be set to false to make \sphinxcode{\sphinxupquote{.k5login}}
 files provide positive authorization only.
 
+\sphinxAtStartPar
 The \sphinxstylestrong{auth\_to\_local} relation in the {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} section for the
-default realm can specify pattern-matching rules to control login
+default realm can specify pattern\sphinxhyphen{}matching rules to control login
 authorization.  For example, the following configuration allows access
 to principals from a different realm than the default realm:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 [realms]
     DEFAULT.REALM = \PYGZob{}
@@ -5461,6 +6236,7 @@ to principals from a different realm tha
     \PYGZcb{}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The \sphinxstylestrong{auth\_to\_local\_names} subsection of the {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} section
 for the default realm can specify explicit mappings from principal
 names to local accounts.  The key used in this subsection is the
@@ -5468,7 +6244,6 @@ principal name without realm, so it is o
 environment with a single realm or a tightly controlled set of realms.
 An example use of \sphinxstylestrong{auth\_to\_local\_names} might be:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{realms}\PYG{p}{]}
     \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -5480,31 +6255,33 @@ An example use of \sphinxstylestrong{aut
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Local authorization behavior can also be modified using plugin
 modules; see \DUrole{xref,std,std-ref}{hostrealm\_plugin} for details.
 
 
 \section{Plugin module configuration}
-\label{\detokenize{admin/host_config:plugin-config}}\label{\detokenize{admin/host_config:plugin-module-configuration}}
+\label{\detokenize{admin/host_config:plugin-module-configuration}}\label{\detokenize{admin/host_config:plugin-config}}
+\sphinxAtStartPar
 Many aspects of Kerberos behavior, such as client preauthentication
 and KDC service location, can be modified through the use of plugin
 modules.  For most of these behaviors, you can use the {\hyperref[\detokenize{admin/conf_files/krb5_conf:plugins}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}plugins{]}}}}}
-section of krb5.conf to register third-party modules, and to switch
-off registered or built-in modules.
+section of krb5.conf to register third\sphinxhyphen{}party modules, and to switch
+off registered or built\sphinxhyphen{}in modules.
 
+\sphinxAtStartPar
 A plugin module takes the form of a Unix shared object
-(\sphinxcode{modname.so}) or Windows DLL (\sphinxcode{modname.dll}).  If you have
-installed a third-party plugin module and want to register it, you do
+(\sphinxcode{\sphinxupquote{modname.so}}) or Windows DLL (\sphinxcode{\sphinxupquote{modname.dll}}).  If you have
+installed a third\sphinxhyphen{}party plugin module and want to register it, you do
 so using the \sphinxstylestrong{module} relation in the appropriate subsection of the
 {[}plugins{]} section.  The value for \sphinxstylestrong{module} must give the module name
 and the path to the module, separated by a colon.  The module name
 will often be the same as the shared object’s name, but in unusual
 cases (such as a shared object which implements multiple modules for
 the same interface) it might not be.  For example, to register a
-client preauthentication module named \sphinxcode{mypreauth} installed at
-\sphinxcode{/path/to/mypreauth.so}, you could write:
+client preauthentication module named \sphinxcode{\sphinxupquote{mypreauth}} installed at
+\sphinxcode{\sphinxupquote{/path/to/mypreauth.so}}, you could write:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{plugins}\PYG{p}{]}
     \PYG{n}{clpreauth} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -5512,14 +6289,14 @@ client preauthentication module named \s
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
-Many of the pluggable behaviors in MIT krb5 contain built-in modules
-which can be switched off.  You can disable a built-in module (or one
+\sphinxAtStartPar
+Many of the pluggable behaviors in MIT krb5 contain built\sphinxhyphen{}in modules
+which can be switched off.  You can disable a built\sphinxhyphen{}in module (or one
 you have registered) using the \sphinxstylestrong{disable} directive in the
 appropriate subsection of the {[}plugins{]} section.  For example, to
 disable the use of .k5identity files to select credential caches, you
 could write:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{plugins}\PYG{p}{]}
     \PYG{n}{ccselect} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -5527,15 +6304,16 @@ could write:
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If you want to disable multiple modules, specify the \sphinxstylestrong{disable}
 directive multiple times, giving one module to disable each time.
 
+\sphinxAtStartPar
 Alternatively, you can explicitly specify which modules you want to be
 enabled for that behavior using the \sphinxstylestrong{enable\_only} directive.  For
 example, to make {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} check password quality using only a
 module you have registered, and no other mechanism, you could write:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{plugins}\PYG{p}{]}
     \PYG{n}{pwqual} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -5544,36 +6322,40 @@ module you have registered, and no other
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Again, if you want to specify multiple modules, specify the
 \sphinxstylestrong{enable\_only} directive multiple times, giving one module to enable
 each time.
 
+\sphinxAtStartPar
 Some Kerberos interfaces use different mechanisms to register plugin
 modules.
 
 
 \subsection{KDC location modules}
 \label{\detokenize{admin/host_config:kdc-location-modules}}
+\sphinxAtStartPar
 For historical reasons, modules to control how KDC servers are located
 are registered simply by placing the shared object or DLL into the
 “libkrb5” subdirectory of the krb5 plugin directory, which defaults to
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LIBDIR}}}}\sphinxcode{/krb5/plugins}.  For example, Samba’s winbind krb5
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LIBDIR}}}}\sphinxcode{\sphinxupquote{/krb5/plugins}}.  For example, Samba’s winbind krb5
 locator plugin would be registered by placing its shared object in
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LIBDIR}}}}\sphinxcode{/krb5/plugins/libkrb5/winbind\_krb5\_locator.so}.
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LIBDIR}}}}\sphinxcode{\sphinxupquote{/krb5/plugins/libkrb5/winbind\_krb5\_locator.so}}.
 
 
 \subsection{GSSAPI mechanism modules}
-\label{\detokenize{admin/host_config:gssapi-plugin-config}}\label{\detokenize{admin/host_config:gssapi-mechanism-modules}}
+\label{\detokenize{admin/host_config:gssapi-mechanism-modules}}\label{\detokenize{admin/host_config:gssapi-plugin-config}}
+\sphinxAtStartPar
 GSSAPI mechanism modules are registered using the file
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SYSCONFDIR}}}}\sphinxcode{/gss/mech} or configuration files in the
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SYSCONFDIR}}}}\sphinxcode{/gss/mech.d} directory with a \sphinxcode{.conf}
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SYSCONFDIR}}}}\sphinxcode{\sphinxupquote{/gss/mech}} or configuration files in the
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SYSCONFDIR}}}}\sphinxcode{\sphinxupquote{/gss/mech.d}} directory with a \sphinxcode{\sphinxupquote{.conf}}
 suffix.  Each line in these files has the form:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{name}  \PYG{n}{oid}  \PYG{n}{pathname}  \PYG{p}{[}\PYG{n}{options}\PYG{p}{]}  \PYG{o}{\PYGZlt{}}\PYG{n+nb}{type}\PYG{o}{\PYGZgt{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Only the name, oid, and pathname are required.  \sphinxstyleemphasis{name} is the
 mechanism name, which may be used for debugging or logging purposes.
 \sphinxstyleemphasis{oid} is the object identifier of the GSSAPI mechanism to be
@@ -5584,21 +6366,23 @@ indicate a special type of module.  Curr
 type is “interposer”, for a module designed to intercept calls to
 other mechanisms.
 
+\sphinxAtStartPar
 If the environment variable \sphinxstylestrong{GSS\_MECH\_CONFIG} is set, its value is
 used as the sole mechanism configuration filename.
 
 
 \subsection{Configuration profile modules}
-\label{\detokenize{admin/host_config:profile-plugin-config}}\label{\detokenize{admin/host_config:configuration-profile-modules}}
+\label{\detokenize{admin/host_config:configuration-profile-modules}}\label{\detokenize{admin/host_config:profile-plugin-config}}
+\sphinxAtStartPar
 A configuration profile module replaces the information source for
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} itself.  To use a profile module, begin krb5.conf
 with the line:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{module} \PYG{n}{PATHNAME}\PYG{p}{:}\PYG{n}{STRING}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 where \sphinxstyleemphasis{PATHNAME} is a path to the module shared object or DLL, and
 \sphinxstyleemphasis{STRING} is a string to provide to the module.  The module will then
 take over, and the rest of krb5.conf will be ignored.
@@ -5606,6 +6390,7 @@ take over, and the rest of krb5.conf wil
 
 \chapter{Backups of secure hosts}
 \label{\detokenize{admin/backup_host:backups-of-secure-hosts}}\label{\detokenize{admin/backup_host::doc}}
+\sphinxAtStartPar
 When you back up a secure host, you should exclude the host’s keytab
 file from the backup.  If someone obtained a copy of the keytab from a
 backup, that person could make any host masquerade as the host whose
@@ -5621,6 +6406,7 @@ password.
 
 \section{Backing up the Kerberos database}
 \label{\detokenize{admin/backup_host:backing-up-the-kerberos-database}}
+\sphinxAtStartPar
 As with any file, it is possible that your Kerberos database could
 become corrupted.  If this happens on one of the replica KDCs, you
 might never notice, since the next automatic propagation of the
@@ -5640,6 +6426,7 @@ corrupted, you can load the most recent
 
 \chapter{PKINIT configuration}
 \label{\detokenize{admin/pkinit:pkinit-configuration}}\label{\detokenize{admin/pkinit:pkinit}}\label{\detokenize{admin/pkinit::doc}}
+\sphinxAtStartPar
 PKINIT is a preauthentication mechanism for Kerberos 5 which uses
 X.509 certificates to authenticate the KDC to clients and vice versa.
 PKINIT can also be used to enable anonymity support, allowing clients
@@ -5649,12 +6436,14 @@ without authenticating as a particular c
 
 \section{Creating certificates}
 \label{\detokenize{admin/pkinit:creating-certificates}}
+\sphinxAtStartPar
 PKINIT requires an X.509 certificate for the KDC and one for each
 client principal which will authenticate using PKINIT.  For anonymous
 PKINIT, a KDC certificate is required, but client certificates are
 not.  A commercially issued server certificate can be used for the KDC
 certificate, but generally cannot be used for client certificates.
 
+\sphinxAtStartPar
 The instruction in this section describe how to establish a
 certificate authority and create standard PKINIT certificates.  Skip
 this section if you are using a commercially issued server certificate
@@ -5664,25 +6453,27 @@ a client to use an Active Directory KDC.
 
 \subsection{Generating a certificate authority certificate}
 \label{\detokenize{admin/pkinit:generating-a-certificate-authority-certificate}}
+\sphinxAtStartPar
 You can establish a new certificate authority (CA) for use with a
 PKINIT deployment with the commands:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{openssl} \PYG{n}{genrsa} \PYG{o}{\PYGZhy{}}\PYG{n}{out} \PYG{n}{cakey}\PYG{o}{.}\PYG{n}{pem} \PYG{l+m+mi}{2048}
 \PYG{n}{openssl} \PYG{n}{req} \PYG{o}{\PYGZhy{}}\PYG{n}{key} \PYG{n}{cakey}\PYG{o}{.}\PYG{n}{pem} \PYG{o}{\PYGZhy{}}\PYG{n}{new} \PYG{o}{\PYGZhy{}}\PYG{n}{x509} \PYG{o}{\PYGZhy{}}\PYG{n}{out} \PYG{n}{cacert}\PYG{o}{.}\PYG{n}{pem} \PYG{o}{\PYGZhy{}}\PYG{n}{days} \PYG{l+m+mi}{3650}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The second command will ask for the values of several certificate
 fields.  These fields can be set to any values.  You can adjust the
 expiration time of the CA certificate by changing the number after
-\sphinxcode{-days}.  Since the CA certificate must be deployed to client
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}days}}.  Since the CA certificate must be deployed to client
 machines each time it changes, it should normally have an expiration
 time far in the future; however, expiration times after 2037 may cause
 interoperability issues in rare circumstances.
 
+\sphinxAtStartPar
 The result of these commands will be two files, cakey.pem and
-cacert.pem.  cakey.pem will contain a 2048-bit RSA private key, which
+cacert.pem.  cakey.pem will contain a 2048\sphinxhyphen{}bit RSA private key, which
 must be carefully protected.  cacert.pem will contain the CA
 certificate, which must be placed in the filesystems of the KDC and
 each client host.  cakey.pem will be required to create KDC and client
@@ -5691,11 +6482,11 @@ certificates.
 
 \subsection{Generating a KDC certificate}
 \label{\detokenize{admin/pkinit:generating-a-kdc-certificate}}
+\sphinxAtStartPar
 A KDC certificate for use with PKINIT is required to have some unusual
 fields, which makes generating them with OpenSSL somewhat complicated.
 First, you will need a file containing the following:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 [kdc\PYGZus{}cert]
 basicConstraints=CA:FALSE
@@ -5719,10 +6510,10 @@ princ1=GeneralString:krbtgt
 princ2=GeneralString:\PYGZdl{}\PYGZob{}ENV::REALM\PYGZcb{}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the above contents are placed in extensions.kdc, you can generate
 and sign a KDC certificate with the following commands:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{openssl} \PYG{n}{genrsa} \PYG{o}{\PYGZhy{}}\PYG{n}{out} \PYG{n}{kdckey}\PYG{o}{.}\PYG{n}{pem} \PYG{l+m+mi}{2048}
 \PYG{n}{openssl} \PYG{n}{req} \PYG{o}{\PYGZhy{}}\PYG{n}{new} \PYG{o}{\PYGZhy{}}\PYG{n}{out} \PYG{n}{kdc}\PYG{o}{.}\PYG{n}{req} \PYG{o}{\PYGZhy{}}\PYG{n}{key} \PYG{n}{kdckey}\PYG{o}{.}\PYG{n}{pem}
@@ -5732,32 +6523,35 @@ and sign a KDC certificate with the foll
 \PYG{n}{rm} \PYG{n}{kdc}\PYG{o}{.}\PYG{n}{req}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The second command will ask for the values of certificate fields,
 which can be set to any values.  In the third command, substitute your
 KDC’s realm name for YOUR\_REALMNAME.  You can adjust the certificate’s
-expiration date by changing the number after \sphinxcode{-days}.  Remember to
+expiration date by changing the number after \sphinxcode{\sphinxupquote{\sphinxhyphen{}days}}.  Remember to
 create a new KDC certificate before the old one expires.
 
+\sphinxAtStartPar
 The result of this operation will be in two files, kdckey.pem and
 kdc.pem.  Both files must be placed in the KDC’s filesystem.
 kdckey.pem, which contains the KDC’s private key, must be carefully
 protected.
 
-If you examine the KDC certificate with \sphinxcode{openssl x509 -in kdc.pem
--text -noout}, OpenSSL will not know how to display the KDC principal
+\sphinxAtStartPar
+If you examine the KDC certificate with \sphinxcode{\sphinxupquote{openssl x509 \sphinxhyphen{}in kdc.pem
+\sphinxhyphen{}text \sphinxhyphen{}noout}}, OpenSSL will not know how to display the KDC principal
 name in the Subject Alternative Name extension, so it will appear as
-\sphinxcode{othername:\textless{}unsupported\textgreater{}}.  This is normal and does not mean
+\sphinxcode{\sphinxupquote{othername:\textless{}unsupported\textgreater{}}}.  This is normal and does not mean
 anything is wrong with the KDC certificate.
 
 
 \subsection{Generating client certificates}
 \label{\detokenize{admin/pkinit:generating-client-certificates}}
+\sphinxAtStartPar
 PKINIT client certificates also must have some unusual certificate
 fields.  To generate a client certificate with OpenSSL for a
-single-component principal name, you will need an extensions file
+single\sphinxhyphen{}component principal name, you will need an extensions file
 (different from the KDC extensions file above) containing:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 [client\PYGZus{}cert]
 basicConstraints=CA:FALSE
@@ -5780,10 +6574,10 @@ name\PYGZus{}string=EXP:1,SEQUENCE:princ
 princ1=GeneralString:\PYGZdl{}\PYGZob{}ENV::CLIENT\PYGZcb{}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the above contents are placed in extensions.client, you can
 generate and sign a client certificate with the following commands:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{openssl} \PYG{n}{genrsa} \PYG{o}{\PYGZhy{}}\PYG{n}{out} \PYG{n}{clientkey}\PYG{o}{.}\PYG{n}{pem} \PYG{l+m+mi}{2048}
 \PYG{n}{openssl} \PYG{n}{req} \PYG{o}{\PYGZhy{}}\PYG{n}{new} \PYG{o}{\PYGZhy{}}\PYG{n}{key} \PYG{n}{clientkey}\PYG{o}{.}\PYG{n}{pem} \PYG{o}{\PYGZhy{}}\PYG{n}{out} \PYG{n}{client}\PYG{o}{.}\PYG{n}{req}
@@ -5794,6 +6588,7 @@ generate and sign a client certificate w
 \PYG{n}{rm} \PYG{n}{client}\PYG{o}{.}\PYG{n}{req}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Normally, the first two commands should be run on the client host, and
 the resulting client.req file transferred to the certificate authority
 host for the third command.  As in the previous steps, the second
@@ -5801,96 +6596,101 @@ command will ask for the values of certi
 set to any values.  In the third command, substitute your realm’s name
 for YOUR\_REALMNAME and the client’s principal name (without realm) for
 YOUR\_PRINCNAME.  You can adjust the certificate’s expiration date by
-changing the number after \sphinxcode{-days}.
+changing the number after \sphinxcode{\sphinxupquote{\sphinxhyphen{}days}}.
 
+\sphinxAtStartPar
 The result of this operation will be two files, clientkey.pem and
 client.pem.  Both files must be present on the client’s host;
 clientkey.pem, which contains the client’s private key, must be
 protected from access by others.
 
+\sphinxAtStartPar
 As in the KDC certificate, OpenSSL will display the client principal
-name as \sphinxcode{othername:\textless{}unsupported\textgreater{}} in the Subject Alternative Name
+name as \sphinxcode{\sphinxupquote{othername:\textless{}unsupported\textgreater{}}} in the Subject Alternative Name
 extension of a PKINIT client certificate.
 
+\sphinxAtStartPar
 If the client principal name contains more than one component
-(e.g. \sphinxcode{host/example.com@REALM}), the \sphinxcode{{[}principals{]}} section of
-\sphinxcode{extensions.client} must be altered to contain multiple entries.
-(Simply setting \sphinxcode{CLIENT} to \sphinxcode{host/example.com} would generate a
-certificate for \sphinxcode{host\textbackslash{}/example.com@REALM} which would not match the
-multi-component principal name.)  For a two-component principal, the
+(e.g. \sphinxcode{\sphinxupquote{host/example.com@REALM}}), the \sphinxcode{\sphinxupquote{{[}principals{]}}} section of
+\sphinxcode{\sphinxupquote{extensions.client}} must be altered to contain multiple entries.
+(Simply setting \sphinxcode{\sphinxupquote{CLIENT}} to \sphinxcode{\sphinxupquote{host/example.com}} would generate a
+certificate for \sphinxcode{\sphinxupquote{host\textbackslash{}/example.com@REALM}} which would not match the
+multi\sphinxhyphen{}component principal name.)  For a two\sphinxhyphen{}component principal, the
 section should read:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 [principals]
 princ1=GeneralString:\PYGZdl{}\PYGZob{}ENV::CLIENT1\PYGZcb{}
 princ2=GeneralString:\PYGZdl{}\PYGZob{}ENV::CLIENT2\PYGZcb{}
 \end{sphinxVerbatim}
 
-The environment variables \sphinxcode{CLIENT1} and \sphinxcode{CLIENT2} must then be set
-to the first and second components when running \sphinxcode{openssl x509}.
+\sphinxAtStartPar
+The environment variables \sphinxcode{\sphinxupquote{CLIENT1}} and \sphinxcode{\sphinxupquote{CLIENT2}} must then be set
+to the first and second components when running \sphinxcode{\sphinxupquote{openssl x509}}.
 
 
 \section{Configuring the KDC}
 \label{\detokenize{admin/pkinit:configuring-the-kdc}}
+\sphinxAtStartPar
 The KDC must have filesystem access to the KDC certificate (kdc.pem)
 and the KDC private key (kdckey.pem).  Configure the following
 relation in the KDC’s {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} file, either in the
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdcdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}kdcdefaults{]}}}}} section or in a {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} subsection (with
 appropriate pathnames):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{pkinit\PYGZus{}identity} \PYG{o}{=} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{var}\PYG{o}{/}\PYG{n}{lib}\PYG{o}{/}\PYG{n}{krb5kdc}\PYG{o}{/}\PYG{n}{kdc}\PYG{o}{.}\PYG{n}{pem}\PYG{p}{,}\PYG{o}{/}\PYG{n}{var}\PYG{o}{/}\PYG{n}{lib}\PYG{o}{/}\PYG{n}{krb5kdc}\PYG{o}{/}\PYG{n}{kdckey}\PYG{o}{.}\PYG{n}{pem}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If any clients will authenticate using regular (as opposed to
 anonymous) PKINIT, the KDC must also have filesystem access to the CA
 certificate (cacert.pem), and the following configuration (with the
 appropriate pathname):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{pkinit\PYGZus{}anchors} \PYG{o}{=} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{var}\PYG{o}{/}\PYG{n}{lib}\PYG{o}{/}\PYG{n}{krb5kdc}\PYG{o}{/}\PYG{n}{cacert}\PYG{o}{.}\PYG{n}{pem}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Because of the larger size of requests and responses using PKINIT, you
 may also need to allow TCP access to the KDC:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdc\PYGZus{}tcp\PYGZus{}listen} \PYG{o}{=} \PYG{l+m+mi}{88}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Restart the {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} daemon to pick up the configuration
 changes.
 
-The principal entry for each PKINIT-using client must be configured to
+\sphinxAtStartPar
+The principal entry for each PKINIT\sphinxhyphen{}using client must be configured to
 require preauthentication.  Ensure this with the command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin} \PYG{o}{\PYGZhy{}}\PYG{n}{q} \PYG{l+s+s1}{\PYGZsq{}}\PYG{l+s+s1}{modprinc +requires\PYGZus{}preauth YOUR\PYGZus{}PRINCNAME}\PYG{l+s+s1}{\PYGZsq{}}
 \end{sphinxVerbatim}
 
-Starting with release 1.12, it is possible to remove the long-term
+\sphinxAtStartPar
+Starting with release 1.12, it is possible to remove the long\sphinxhyphen{}term
 keys of a principal entry, which can save some space in the database
-and help to clarify some PKINIT-related error conditions by not asking
+and help to clarify some PKINIT\sphinxhyphen{}related error conditions by not asking
 for a password:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin} \PYG{o}{\PYGZhy{}}\PYG{n}{q} \PYG{l+s+s1}{\PYGZsq{}}\PYG{l+s+s1}{purgekeys \PYGZhy{}all YOUR\PYGZus{}PRINCNAME}\PYG{l+s+s1}{\PYGZsq{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 These principal options can also be specified at principal creation
 time as follows:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin} \PYG{o}{\PYGZhy{}}\PYG{n}{q} \PYG{l+s+s1}{\PYGZsq{}}\PYG{l+s+s1}{add\PYGZus{}principal +requires\PYGZus{}preauth \PYGZhy{}nokey YOUR\PYGZus{}PRINCNAME}\PYG{l+s+s1}{\PYGZsq{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 By default, the KDC requires PKINIT client certificates to have the
 standard Extended Key Usage and Subject Alternative Name attributes
 for PKINIT.  Starting in release 1.16, it is possible to authorize
@@ -5899,18 +6699,17 @@ the standard PKINIT Subject Alternative
 \sphinxstylestrong{pkinit\_cert\_match} string attribute on each client principal entry.
 For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin} \PYG{n}{set\PYGZus{}string} \PYG{n}{user}\PYG{n+nd}{@REALM} \PYG{n}{pkinit\PYGZus{}cert\PYGZus{}match} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZlt{}SUBJECT\PYGZgt{}CN=user@REALM\PYGZdl{}}\PYG{l+s+s2}{\PYGZdq{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The \sphinxstylestrong{pkinit\_cert\_match} string attribute follows the syntax used by
 the {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} \sphinxstylestrong{pkinit\_cert\_match} relation.  To allow the
-use of non-PKINIT client certificates, it will also be necessary to
+use of non\sphinxhyphen{}PKINIT client certificates, it will also be necessary to
 disable key usage checking using the \sphinxstylestrong{pkinit\_eku\_checking} relation;
 for example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{kdcdefaults}\PYG{p}{]}
     \PYG{n}{pkinit\PYGZus{}eku\PYGZus{}checking} \PYG{o}{=} \PYG{n}{none}
@@ -5919,43 +6718,45 @@ for example:
 
 \section{Configuring the clients}
 \label{\detokenize{admin/pkinit:configuring-the-clients}}
+\sphinxAtStartPar
 Client hosts must be configured to trust the issuing authority for the
 KDC certificate.  For a newly established certificate authority, the
 client host must have filesystem access to the CA certificate
 (cacert.pem) and the following relation in {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} in the
 appropriate {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} subsection (with appropriate pathnames):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{pkinit\PYGZus{}anchors} \PYG{o}{=} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{/}\PYG{n}{cacert}\PYG{o}{.}\PYG{n}{pem}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the KDC certificate is a commercially issued server certificate,
 the issuing certificate is most likely included in a system directory.
 You can specify it by filename as above, or specify the whole
 directory like so:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{pkinit\PYGZus{}anchors} \PYG{o}{=} \PYG{n}{DIR}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{ssl}\PYG{o}{/}\PYG{n}{certs}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 A commercially issued server certificate will usually not have the
 standard PKINIT principal name or Extended Key Usage extensions, so
 the following additional configuration is required:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{pkinit\PYGZus{}eku\PYGZus{}checking} \PYG{o}{=} \PYG{n}{kpServerAuth}
 \PYG{n}{pkinit\PYGZus{}kdc\PYGZus{}hostname} \PYG{o}{=} \PYG{n}{hostname}\PYG{o}{.}\PYG{n}{of}\PYG{o}{.}\PYG{n}{kdc}\PYG{o}{.}\PYG{n}{certificate}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Multiple \sphinxstylestrong{pkinit\_kdc\_hostname} relations can be configured to
 recognize multiple KDC certificates.  If the KDC is an Active
 Directory domain controller, setting \sphinxstylestrong{pkinit\_kdc\_hostname} is
 necessary, but it should not be necessary to set
 \sphinxstylestrong{pkinit\_eku\_checking}.
 
+\sphinxAtStartPar
 To perform regular (as opposed to anonymous) PKINIT authentication, a
 client host must have filesystem access to a client certificate
 (client.pem), and the corresponding private key (clientkey.pem).
@@ -5963,22 +6764,24 @@ Configure the following relations in the
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} file in the appropriate {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} subsection
 (with appropriate pathnames):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{pkinit\PYGZus{}identities} \PYG{o}{=} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{/}\PYG{n}{client}\PYG{o}{.}\PYG{n}{pem}\PYG{p}{,}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{/}\PYG{n}{clientkey}\PYG{o}{.}\PYG{n}{pem}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the KDC and client are properly configured, it should now be
-possible to run \sphinxcode{kinit username} without entering a password.
+possible to run \sphinxcode{\sphinxupquote{kinit username}} without entering a password.
 
 
 \section{Anonymous PKINIT}
 \label{\detokenize{admin/pkinit:anonymous-pkinit}}\label{\detokenize{admin/pkinit:id1}}
+\sphinxAtStartPar
 Anonymity support in Kerberos allows a client to obtain a ticket
 without authenticating as any particular principal.  Such a ticket can
 be used as a FAST armor ticket, or to securely communicate with an
 application server anonymously.
 
+\sphinxAtStartPar
 To configure anonymity support, you must generate or otherwise procure
 a KDC certificate and configure the KDC host, but you do not need to
 generate any client certificates.  On the KDC, you must set the
@@ -5990,66 +6793,72 @@ possibly \sphinxstylestrong{pkinit\_kdc\
 to trust the issuing authority for the KDC certificate, but do not
 need to set the \sphinxstylestrong{pkinit\_identities} variable.
 
+\sphinxAtStartPar
 Anonymity support is not enabled by default.  To enable it, you must
-create the principal \sphinxcode{WELLKNOWN/ANONYMOUS} using the command:
+create the principal \sphinxcode{\sphinxupquote{WELLKNOWN/ANONYMOUS}} using the command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin} \PYG{o}{\PYGZhy{}}\PYG{n}{q} \PYG{l+s+s1}{\PYGZsq{}}\PYG{l+s+s1}{addprinc \PYGZhy{}randkey WELLKNOWN/ANONYMOUS}\PYG{l+s+s1}{\PYGZsq{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Some Kerberos deployments include application servers which lack
 proper access control, and grant some level of access to any user who
 can authenticate.  In such an environment, enabling anonymity support
 on the KDC would present a security issue.  If you need to enable
 anonymity support for TGTs (for use as FAST armor tickets) without
 enabling anonymous authentication to application servers, you can set
-the variable \sphinxstylestrong{restrict\_anonymous\_to\_tgt} to \sphinxcode{true} in the
+the variable \sphinxstylestrong{restrict\_anonymous\_to\_tgt} to \sphinxcode{\sphinxupquote{true}} in the
 appropriate {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} subsection of the KDC’s
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} file.
 
-To obtain anonymous credentials on a client, run \sphinxcode{kinit -n}, or
-\sphinxcode{kinit -n @REALMNAME} to specify a realm.  The resulting tickets
-will have the client name \sphinxcode{WELLKNOWN/ANONYMOUS@WELLKNOWN:ANONYMOUS}.
+\sphinxAtStartPar
+To obtain anonymous credentials on a client, run \sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}n}}, or
+\sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}n @REALMNAME}} to specify a realm.  The resulting tickets
+will have the client name \sphinxcode{\sphinxupquote{WELLKNOWN/ANONYMOUS@WELLKNOWN:ANONYMOUS}}.
 
 
 \section{Freshness tokens}
 \label{\detokenize{admin/pkinit:freshness-tokens}}
+\sphinxAtStartPar
 Freshness tokens can ensure that the client has recently had access to
 its certificate private key.  If freshness tokens are not required by
 the KDC, a client program with temporary possession of the private key
 can compose requests for future timestamps and use them later.
 
+\sphinxAtStartPar
 In release 1.17 and later, freshness tokens are supported by the
 client and are sent by the KDC when the client indicates support for
 them.  Because not all clients support freshness tokens yet, they are
 not required by default.  To check if freshness tokens are supported
 by a realm’s clients, look in the KDC logs for the lines:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{PKINIT}\PYG{p}{:} \PYG{n}{freshness} \PYG{n}{token} \PYG{n}{received} \PYG{k+kn}{from} \PYG{o}{\PYGZlt{}}\PYG{n}{client} \PYG{n}{principal}\PYG{o}{\PYGZgt{}}
 \PYG{n}{PKINIT}\PYG{p}{:} \PYG{n}{no} \PYG{n}{freshness} \PYG{n}{token} \PYG{n}{received} \PYG{k+kn}{from} \PYG{o}{\PYGZlt{}}\PYG{n}{client} \PYG{n}{principal}\PYG{o}{\PYGZgt{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 To require freshness tokens for all clients in a realm (except for
 clients authenticating anonymously), set the
-\sphinxstylestrong{pkinit\_require\_freshness} variable to \sphinxcode{true} in the appropriate
+\sphinxstylestrong{pkinit\_require\_freshness} variable to \sphinxcode{\sphinxupquote{true}} in the appropriate
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} subsection of the KDC’s {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} file.  To
-test that this option is in effect, run \sphinxcode{kinit -X disable\_freshness}
+test that this option is in effect, run \sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}X disable\_freshness}}
 and verify that authentication is unsuccessful.
 
 
 \chapter{OTP Preauthentication}
-\label{\detokenize{admin/otp::doc}}\label{\detokenize{admin/otp:otp-preauthentication}}\label{\detokenize{admin/otp:otp-preauth}}
+\label{\detokenize{admin/otp:otp-preauthentication}}\label{\detokenize{admin/otp:otp-preauth}}\label{\detokenize{admin/otp::doc}}
+\sphinxAtStartPar
 OTP is a preauthentication mechanism for Kerberos 5 which uses One
 Time Passwords (OTP) to authenticate the client to the KDC.  The OTP
-is passed to the KDC over an encrypted FAST channel in clear-text.
-The KDC uses the password along with per-user configuration to proxy
-the request to a third-party RADIUS system.  This enables
-out-of-the-box compatibility with a large number of already widely
+is passed to the KDC over an encrypted FAST channel in clear\sphinxhyphen{}text.
+The KDC uses the password along with per\sphinxhyphen{}user configuration to proxy
+the request to a third\sphinxhyphen{}party RADIUS system.  This enables
+out\sphinxhyphen{}of\sphinxhyphen{}the\sphinxhyphen{}box compatibility with a large number of already widely
 deployed proprietary systems.
 
+\sphinxAtStartPar
 Additionally, our implementation of the OTP system allows for the
 passing of RADIUS requests over a UNIX domain stream socket.  This
 permits the use of a local companion daemon which can handle the
@@ -6058,10 +6867,10 @@ details of authentication.
 
 \section{Defining token types}
 \label{\detokenize{admin/otp:defining-token-types}}
+\sphinxAtStartPar
 Token types are defined in either {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} or
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} according to the following format:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{otp}\PYG{p}{]}
     \PYG{o}{\PYGZlt{}}\PYG{n}{name}\PYG{o}{\PYGZgt{}} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -6074,17 +6883,20 @@ Token types are defined in either {\hype
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the server field begins with ‘/’, it will be interpreted as a UNIX
 socket.  Otherwise, it is assumed to be in the format host:port.  When
 a UNIX domain socket is specified, the secret field is optional and an
 empty secret is used by default.  If the server field is not
-specified, it defaults to {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{RUNSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/\textless{}name\textgreater{}.socket}.
+specified, it defaults to {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{RUNSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/\textless{}name\textgreater{}.socket}}.
 
+\sphinxAtStartPar
 When forwarding the request over RADIUS, by default the principal is
-used in the User-Name attribute of the RADIUS packet.  The strip\_realm
+used in the User\sphinxhyphen{}Name attribute of the RADIUS packet.  The strip\_realm
 parameter controls whether the principal is forwarded with or without
 the realm portion.
 
+\sphinxAtStartPar
 If an indicator field is present, tickets issued using this token type
 will be annotated with the specified authentication indicator (see
 {\hyperref[\detokenize{admin/auth_indicator:auth-indicator}]{\sphinxcrossref{\DUrole{std,std-ref}{Authentication indicators}}}}).  This key may be specified multiple times to
@@ -6093,10 +6905,10 @@ add multiple indicators.
 
 \section{The default token type}
 \label{\detokenize{admin/otp:the-default-token-type}}
+\sphinxAtStartPar
 A default token type is used internally when no token type is specified for a
 given user.  It is defined as follows:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{otp}\PYG{p}{]}
     \PYG{n}{DEFAULT} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -6104,18 +6916,19 @@ given user.  It is defined as follows:
     \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
-The administrator may override the internal \sphinxcode{DEFAULT} token type
+\sphinxAtStartPar
+The administrator may override the internal \sphinxcode{\sphinxupquote{DEFAULT}} token type
 simply by defining a configuration with the same name.
 
 
 \section{Token instance configuration}
 \label{\detokenize{admin/otp:token-instance-configuration}}
+\sphinxAtStartPar
 To enable OTP for a client principal, the administrator must define
 the \sphinxstylestrong{otp} string attribute for that principal.  (See
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:set-string}]{\sphinxcrossref{\DUrole{std,std-ref}{set\_string}}}}.)  The \sphinxstylestrong{otp} user string is a JSON string of the
 format:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 [\PYGZob{}
     \PYGZdq{}type\PYGZdq{}: \PYG{n+nt}{\PYGZlt{}string}\PYG{n+nt}{\PYGZgt{}},
@@ -6124,29 +6937,34 @@ format:
  \PYGZcb{}, ...]
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This is an array of token objects.  Both fields of token objects are
 optional.  The \sphinxstylestrong{type} field names the token type of this token; if
-not specified, it defaults to \sphinxcode{DEFAULT}.  The \sphinxstylestrong{username} field
-specifies the value to be sent in the User-Name RADIUS attribute.  If
+not specified, it defaults to \sphinxcode{\sphinxupquote{DEFAULT}}.  The \sphinxstylestrong{username} field
+specifies the value to be sent in the User\sphinxhyphen{}Name RADIUS attribute.  If
 not specified, the principal name is sent, with or without realm as
 defined in the token type.  The \sphinxstylestrong{indicators} field specifies a list
 of authentication indicators to annotate tickets with, overriding any
 indicators specified in the token type.
 
-For ease of configuration, an empty array (\sphinxcode{{[}{]}}) is treated as
-equivalent to one DEFAULT token (\sphinxcode{{[}\{\}{]}}).
+\sphinxAtStartPar
+For ease of configuration, an empty array (\sphinxcode{\sphinxupquote{{[}{]}}}) is treated as
+equivalent to one DEFAULT token (\sphinxcode{\sphinxupquote{{[}\{\}{]}}}).
 
 
 \section{Other considerations}
 \label{\detokenize{admin/otp:other-considerations}}\begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 FAST is required for OTP to work.
 
 \end{enumerate}
 
 
 \chapter{SPAKE Preauthentication}
-\label{\detokenize{admin/spake::doc}}\label{\detokenize{admin/spake:spake-preauthentication}}\label{\detokenize{admin/spake:spake}}
+\label{\detokenize{admin/spake:spake-preauthentication}}\label{\detokenize{admin/spake:spake}}\label{\detokenize{admin/spake::doc}}
+\sphinxAtStartPar
 SPAKE preauthentication (added in release 1.17) uses public key
 cryptography techniques to protect against {\hyperref[\detokenize{admin/dictionary:dictionary}]{\sphinxcrossref{\DUrole{std,std-ref}{password dictionary
 attacks}}}}.  Unlike {\hyperref[\detokenize{admin/pkinit:pkinit}]{\sphinxcrossref{\DUrole{std,std-ref}{PKINIT}}}}, it does not
@@ -6154,42 +6972,46 @@ require any additional infrastructure su
 needs to be turned on.  Using SPAKE preauthentication may modestly
 increase the CPU and network load on the KDC.
 
+\sphinxAtStartPar
 SPAKE preauthentication can use one of four elliptic curve groups for
-its password-authenticated key exchange.  The recommended group is
-\sphinxcode{edwards25519}; three NIST curves (\sphinxcode{P-256}, \sphinxcode{P-384}, and
-\sphinxcode{P-521}) are also supported.
+its password\sphinxhyphen{}authenticated key exchange.  The recommended group is
+\sphinxcode{\sphinxupquote{edwards25519}}; three NIST curves (\sphinxcode{\sphinxupquote{P\sphinxhyphen{}256}}, \sphinxcode{\sphinxupquote{P\sphinxhyphen{}384}}, and
+\sphinxcode{\sphinxupquote{P\sphinxhyphen{}521}}) are also supported.
 
-By default, SPAKE with the \sphinxcode{edwards25519} group is enabled on
+\sphinxAtStartPar
+By default, SPAKE with the \sphinxcode{\sphinxupquote{edwards25519}} group is enabled on
 clients, but the KDC does not offer SPAKE by default.  To turn it on,
 set the \sphinxstylestrong{spake\_preauth\_groups} variable in {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}} to a
 list of allowed groups.  This variable affects both the client and the
-KDC.  Simply setting it to \sphinxcode{edwards25519} is recommended:
+KDC.  Simply setting it to \sphinxcode{\sphinxupquote{edwards25519}} is recommended:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{libdefaults}\PYG{p}{]}
     \PYG{n}{spake\PYGZus{}preauth\PYGZus{}groups} \PYG{o}{=} \PYG{n}{edwards25519}
 \end{sphinxVerbatim}
 
-Set the \sphinxstylestrong{+requires\_preauth} and \sphinxstylestrong{-allow\_svr} flags on client
+\sphinxAtStartPar
+Set the \sphinxstylestrong{+requires\_preauth} and \sphinxstylestrong{\sphinxhyphen{}allow\_svr} flags on client
 principal entries, as you would for any preauthentication mechanism:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{modprinc} \PYG{o}{+}\PYG{n}{requires\PYGZus{}preauth} \PYG{o}{\PYGZhy{}}\PYG{n}{allow\PYGZus{}svr} \PYG{n}{PRINCNAME}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Clients which do not implement SPAKE preauthentication will fall back
 to encrypted timestamp.
 
+\sphinxAtStartPar
 An active attacker can force a fallback to encrypted timestamp by
 modifying the initial KDC response, defeating the protection against
 dictionary attacks.  To prevent this fallback on clients which do
 implement SPAKE preauthentication, set the
-\sphinxstylestrong{disable\_encrypted\_timestamp} variable to \sphinxcode{true} in the
+\sphinxstylestrong{disable\_encrypted\_timestamp} variable to \sphinxcode{\sphinxupquote{true}} in the
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} subsection for realms whose KDCs offer SPAKE
 preauthentication.
 
+\sphinxAtStartPar
 By default, SPAKE preauthentication requires an extra network round
 trip to the KDC during initial authentication.  If most of the clients
 in a realm support SPAKE, this extra round trip can be eliminated
@@ -6197,12 +7019,12 @@ using an optimistic challenge, by settin
 \sphinxstylestrong{spake\_preauth\_kdc\_challenge} variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdcdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}kdcdefaults{]}}}}} to a
 single group name:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{kdcdefaults}\PYG{p}{]}
     \PYG{n}{spake\PYGZus{}preauth\PYGZus{}kdc\PYGZus{}challenge} \PYG{o}{=} \PYG{n}{edwards25519}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Using optimistic challenge will cause the KDC to do extra work for
 initial authentication requests that do not result in SPAKE
 preauthentication, but will save work when SPAKE preauthentication is
@@ -6210,10 +7032,11 @@ used.
 
 
 \chapter{Addressing dictionary attack risks}
-\label{\detokenize{admin/dictionary:addressing-dictionary-attack-risks}}\label{\detokenize{admin/dictionary::doc}}\label{\detokenize{admin/dictionary:dictionary}}
+\label{\detokenize{admin/dictionary:addressing-dictionary-attack-risks}}\label{\detokenize{admin/dictionary:dictionary}}\label{\detokenize{admin/dictionary::doc}}
+\sphinxAtStartPar
 Kerberos initial authentication is normally secured using the client
-principal’s long-term key, which for users is generally derived from a
-password.  Using a pasword-derived long-term key carries the risk of a
+principal’s long\sphinxhyphen{}term key, which for users is generally derived from a
+password.  Using a pasword\sphinxhyphen{}derived long\sphinxhyphen{}term key carries the risk of a
 dictionary attack, where an attacker tries a sequence of possible
 passwords, possibly requiring much less effort than would be required
 to try all possible values of the key.  Even if {\hyperref[\detokenize{admin/database:policies}]{\sphinxcrossref{\DUrole{std,std-ref}{password policy
@@ -6222,6 +7045,7 @@ passwords, dictionary attacks can someti
 significant fraction of the users in a realm.  Dictionary attacks are
 not a concern for principals using random keys.
 
+\sphinxAtStartPar
 A dictionary attack may be online or offline.  An online dictionary
 attack is performed by trying each password in a separate request to
 the KDC, and is therefore visible to the KDC and also limited in speed
@@ -6231,31 +7055,33 @@ client and the KDC.  Online dictionary a
 satisfactory, as it makes it easy for an attacker to deny access to a
 client principal.
 
+\sphinxAtStartPar
 An offline dictionary attack is performed by obtaining a ciphertext
-generated using the password-derived key, and trying each password
+generated using the password\sphinxhyphen{}derived key, and trying each password
 against the ciphertext.  This category of attack is invisible to the
 KDC and can be performed much faster than an online attack.  The
 attack will generally take much longer with more recent encryption
 types (particularly the ones based on AES), because those encryption
-types use a much more expensive string-to-key function.  However, the
+types use a much more expensive string\sphinxhyphen{}to\sphinxhyphen{}key function.  However, the
 best defense is to deny the attacker access to a useful ciphertext.
 The required defensive measures depend on the attacker’s level of
 network access.
 
-An off-path attacker has no access to packets sent between legitimate
-users and the KDC.  An off-path attacker could gain access to an
+\sphinxAtStartPar
+An off\sphinxhyphen{}path attacker has no access to packets sent between legitimate
+users and the KDC.  An off\sphinxhyphen{}path attacker could gain access to an
 attackable ciphertext either by making an AS request for a client
 principal which does not have the \sphinxstylestrong{+requires\_preauth} flag, or by
 making a TGS request (after authenticating as a different user) for a
-server principal which does not have the \sphinxstylestrong{-allow\_svr} flag.  To
-address off-path attackers, a KDC administrator should set those flags
-on principals with password-derived keys:
+server principal which does not have the \sphinxstylestrong{\sphinxhyphen{}allow\_svr} flag.  To
+address off\sphinxhyphen{}path attackers, a KDC administrator should set those flags
+on principals with password\sphinxhyphen{}derived keys:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{add\PYGZus{}principal} \PYG{o}{+}\PYG{n}{requires\PYGZus{}preauth} \PYG{o}{\PYGZhy{}}\PYG{n}{allow\PYGZus{}svr} \PYG{n}{princname}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 An attacker with passive network access (one who can monitor packets
 sent between legitimate users and the KDC, but cannot change them or
 insert their own packets) can gain access to an attackable ciphertext
@@ -6265,21 +7091,25 @@ can prevent dictionary attacks by attack
 access:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Enabling {\hyperref[\detokenize{admin/spake:spake}]{\sphinxcrossref{\DUrole{std,std-ref}{SPAKE preauthentication}}}} (added in release
 1.17) on the KDC, and ensuring that all clients are able to support
 it.
 
 \item {} 
+\sphinxAtStartPar
 Using an {\hyperref[\detokenize{admin/https:https}]{\sphinxcrossref{\DUrole{std,std-ref}{HTTPS proxy}}}} for communication with the KDC,
 if the attacker cannot monitor communication between the proxy
 server and the KDC.
 
 \item {} 
+\sphinxAtStartPar
 Using FAST, protecting the initial authentication with either a
 random key (such as a host key) or with {\hyperref[\detokenize{admin/pkinit:anonymous-pkinit}]{\sphinxcrossref{\DUrole{std,std-ref}{anonymous PKINIT}}}}.
 
 \end{itemize}
 
+\sphinxAtStartPar
 An attacker with active network access (one who can inject or modify
 packets sent between legitimate users and the KDC) can try to fool the
 client software into sending an attackable ciphertext using an
@@ -6287,28 +7117,33 @@ encryption type and salt string of the a
 following methods can prevent dictionary attacks by active attackers:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Enabling SPAKE preauthentication and setting the
-\sphinxstylestrong{disable\_encrypted\_timestamp} variable to \sphinxcode{true} in the
+\sphinxstylestrong{disable\_encrypted\_timestamp} variable to \sphinxcode{\sphinxupquote{true}} in the
 {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} subsection of the client configuration.
 
 \item {} 
+\sphinxAtStartPar
 Using an HTTPS proxy as described above, configured in the client’s
 krb5.conf realm configuration.  If {\hyperref[\detokenize{admin/realm_config:kdc-discovery}]{\sphinxcrossref{\DUrole{std,std-ref}{KDC discovery}}}} is used to locate a proxy server, an active
 attacker may be able to use DNS spoofing to cause the client to use
 a different HTTPS server or to not use HTTPS.
 
 \item {} 
+\sphinxAtStartPar
 Using FAST as described above.
 
 \end{itemize}
 
+\sphinxAtStartPar
 If {\hyperref[\detokenize{admin/pkinit:pkinit}]{\sphinxcrossref{\DUrole{std,std-ref}{PKINIT}}}} or {\hyperref[\detokenize{admin/otp:otp-preauth}]{\sphinxcrossref{\DUrole{std,std-ref}{OTP}}}} are used for
-initial authentication, the principal’s long-term keys are not used
+initial authentication, the principal’s long\sphinxhyphen{}term keys are not used
 and dictionary attacks are usually not a concern.
 
 
 \chapter{Principal names and DNS}
 \label{\detokenize{admin/princ_dns:principal-names-and-dns}}\label{\detokenize{admin/princ_dns::doc}}
+\sphinxAtStartPar
 Kerberos clients can do DNS lookups to canonicalize service principal
 names.  This can cause difficulties when setting up Kerberos
 application servers, especially when the client’s name for the service
@@ -6317,92 +7152,102 @@ is different from what the service think
 
 \section{Service principal names}
 \label{\detokenize{admin/princ_dns:service-principal-names}}
-A frequently used kind of principal name is the host-based service
+\sphinxAtStartPar
+A frequently used kind of principal name is the host\sphinxhyphen{}based service
 principal name.  This kind of principal name has two components: a
-service name and a hostname.  For example, \sphinxcode{imap/imap.example.com}
+service name and a hostname.  For example, \sphinxcode{\sphinxupquote{imap/imap.example.com}}
 is the principal name of the “imap” service on the host
 “imap.example.com”.  Other possible service names for the first
 component include “host” (remote login services such as ssh), “HTTP”,
 and “nfs” (Network File System).
 
-Service administrators often publish well-known hostname aliases that
+\sphinxAtStartPar
+Service administrators often publish well\sphinxhyphen{}known hostname aliases that
 they would prefer users to use instead of the canonical name of the
 service host.  This gives service administrators more flexibility in
 deploying services.  For example, a shell login server might be named
-“long-vanity-hostname.example.com”, but users will naturally prefer to
+“long\sphinxhyphen{}vanity\sphinxhyphen{}hostname.example.com”, but users will naturally prefer to
 type something like “login.example.com”.  Hostname aliases also allow
 for administrators to set up load balancing for some sorts of services
-based on rotating \sphinxcode{CNAME} records in DNS.
+based on rotating \sphinxcode{\sphinxupquote{CNAME}} records in DNS.
 
 
 \section{Service principal canonicalization}
 \label{\detokenize{admin/princ_dns:service-principal-canonicalization}}
-In the MIT krb5 client library, canonicalization of host-based service
+\sphinxAtStartPar
+In the MIT krb5 client library, canonicalization of host\sphinxhyphen{}based service
 principals is controlled by the \sphinxstylestrong{dns\_canonicalize\_hostname},
 \sphinxstylestrong{rnds}, and \sphinxstylestrong{qualify\_shortname} variables in {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}}.
 
-If \sphinxstylestrong{dns\_canonicalize\_hostname} is set to \sphinxcode{true} (the default
+\sphinxAtStartPar
+If \sphinxstylestrong{dns\_canonicalize\_hostname} is set to \sphinxcode{\sphinxupquote{true}} (the default
 value), the client performs forward resolution by looking up the IPv4
-and/or IPv6 addresses of the hostname using \sphinxcode{getaddrinfo()}.  This
+and/or IPv6 addresses of the hostname using \sphinxcode{\sphinxupquote{getaddrinfo()}}.  This
 process will typically add a domain suffix to the hostname if needed,
 and follow CNAME records in the DNS.  If \sphinxstylestrong{rdns} is also set to
-\sphinxcode{true} (the default), the client will then perform a reverse lookup
-of the first returned Internet address using \sphinxcode{getnameinfo()},
+\sphinxcode{\sphinxupquote{true}} (the default), the client will then perform a reverse lookup
+of the first returned Internet address using \sphinxcode{\sphinxupquote{getnameinfo()}},
 finding the name associated with the PTR record.
 
-If \sphinxstylestrong{dns\_canonicalize\_hostname} is set to \sphinxcode{false}, the hostname is
+\sphinxAtStartPar
+If \sphinxstylestrong{dns\_canonicalize\_hostname} is set to \sphinxcode{\sphinxupquote{false}}, the hostname is
 not canonicalized using DNS.  If the hostname has only one component
 (i.e. it contains no “.” characters), the host’s primary DNS search
 domain will be appended, if there is one.  The \sphinxstylestrong{qualify\_shortname}
 variable can be used to override or disable this suffix.
 
-If \sphinxstylestrong{dns\_canonicalize\_hostname} is set to \sphinxcode{fallback} (added in
+\sphinxAtStartPar
+If \sphinxstylestrong{dns\_canonicalize\_hostname} is set to \sphinxcode{\sphinxupquote{fallback}} (added in
 release 1.18), the hostname is initially treated according to the
-rules for \sphinxcode{dns\_canonicalize\_hostname=false}.  If a ticket request
+rules for \sphinxcode{\sphinxupquote{dns\_canonicalize\_hostname=false}}.  If a ticket request
 fails because the service principal is unknown, the hostname will be
 canonicalized according to the rules for
-\sphinxcode{dns\_canonicalize\_hostname=true} and the request will be retried.
+\sphinxcode{\sphinxupquote{dns\_canonicalize\_hostname=true}} and the request will be retried.
 
+\sphinxAtStartPar
 In all cases, the hostname is converted to lowercase, and any trailing
 dot is removed.
 
 
 \section{Reverse DNS mismatches}
 \label{\detokenize{admin/princ_dns:reverse-dns-mismatches}}
+\sphinxAtStartPar
 Sometimes, an enterprise will have control over its forward DNS but
 not its reverse DNS.  The reverse DNS is sometimes under the control
 of the Internet service provider of the enterprise, and the enterprise
 may not have much influence in setting up reverse DNS records for its
 address space.  If there are difficulties with getting forward and
-reverse DNS to match, it is best to set \sphinxcode{rdns = false} on client
+reverse DNS to match, it is best to set \sphinxcode{\sphinxupquote{rdns = false}} on client
 machines.
 
 
 \section{Overriding application behavior}
 \label{\detokenize{admin/princ_dns:overriding-application-behavior}}
+\sphinxAtStartPar
 Applications can choose to use a default hostname component in their
 service principal name when accepting authentication, which avoids
 some sorts of hostname mismatches.  Because not all relevant
 applications do this yet, using the {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} setting:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{libdefaults}\PYG{p}{]}
     \PYG{n}{ignore\PYGZus{}acceptor\PYGZus{}hostname} \PYG{o}{=} \PYG{n}{true}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 will allow the Kerberos library to override the application’s choice
 of service principal hostname and will allow a server program to
 accept incoming authentications using any key in its keytab that
 matches the service name and realm name (if given).  This setting
-defaults to “false” and is available in releases krb5-1.10 and later.
+defaults to “false” and is available in releases krb5\sphinxhyphen{}1.10 and later.
 
 
 \section{Provisioning keytabs}
 \label{\detokenize{admin/princ_dns:provisioning-keytabs}}
+\sphinxAtStartPar
 One service principal entry that should be in the keytab is a
 principal whose hostname component is the canonical hostname that
-\sphinxcode{getaddrinfo()} reports for all known aliases for the host.  If the
+\sphinxcode{\sphinxupquote{getaddrinfo()}} reports for all known aliases for the host.  If the
 reverse DNS information does not match this canonical hostname, an
 additional service principal entry should be in the keytab for this
 different hostname.
@@ -6413,25 +7258,28 @@ different hostname.
 
 \subsection{Secure shell (ssh)}
 \label{\detokenize{admin/princ_dns:secure-shell-ssh}}
-Setting \sphinxcode{GSSAPIStrictAcceptorCheck = no} in the configuration file
+\sphinxAtStartPar
+Setting \sphinxcode{\sphinxupquote{GSSAPIStrictAcceptorCheck = no}} in the configuration file
 of modern versions of the openssh daemon will allow the daemon to try
 any key in its keytab when accepting a connection, rather than looking
 for the keytab entry that matches the host’s own idea of its name
-(typically the name that \sphinxcode{gethostname()} returns).  This requires
-krb5-1.10 or later.
+(typically the name that \sphinxcode{\sphinxupquote{gethostname()}} returns).  This requires
+krb5\sphinxhyphen{}1.10 or later.
 
 
 \subsection{OpenLDAP (ldapsearch, etc.)}
 \label{\detokenize{admin/princ_dns:openldap-ldapsearch-etc}}
+\sphinxAtStartPar
 OpenLDAP’s SASL implementation performs reverse DNS lookup in order to
 canonicalize service principal names, even if \sphinxstylestrong{rdns} is set to
-\sphinxcode{false} in the Kerberos configuration.  To disable this behavior,
-add \sphinxcode{SASL\_NOCANON on} to \sphinxcode{ldap.conf}, or set the
-\sphinxcode{LDAPSASL\_NOCANON} environment variable.
+\sphinxcode{\sphinxupquote{false}} in the Kerberos configuration.  To disable this behavior,
+add \sphinxcode{\sphinxupquote{SASL\_NOCANON on}} to \sphinxcode{\sphinxupquote{ldap.conf}}, or set the
+\sphinxcode{\sphinxupquote{LDAPSASL\_NOCANON}} environment variable.
 
 
 \chapter{Encryption types}
-\label{\detokenize{admin/enctypes:enctypes}}\label{\detokenize{admin/enctypes::doc}}\label{\detokenize{admin/enctypes:encryption-types}}
+\label{\detokenize{admin/enctypes:encryption-types}}\label{\detokenize{admin/enctypes:enctypes}}\label{\detokenize{admin/enctypes::doc}}
+\sphinxAtStartPar
 Kerberos can use a variety of cipher algorithms to protect data.  A
 Kerberos \sphinxstylestrong{encryption type} (also known as an \sphinxstylestrong{enctype}) is a
 specific combination of a cipher algorithm with an integrity algorithm
@@ -6440,78 +7288,91 @@ to provide both confidentiality and inte
 
 \section{Enctypes in requests}
 \label{\detokenize{admin/enctypes:enctypes-in-requests}}
-Clients make two types of requests (KDC-REQ) to the KDC: AS-REQs and
-TGS-REQs.  The client uses the AS-REQ to obtain initial tickets
-(typically a Ticket-Granting Ticket (TGT)), and uses the TGS-REQ to
+\sphinxAtStartPar
+Clients make two types of requests (KDC\sphinxhyphen{}REQ) to the KDC: AS\sphinxhyphen{}REQs and
+TGS\sphinxhyphen{}REQs.  The client uses the AS\sphinxhyphen{}REQ to obtain initial tickets
+(typically a Ticket\sphinxhyphen{}Granting Ticket (TGT)), and uses the TGS\sphinxhyphen{}REQ to
 obtain service tickets.
 
+\sphinxAtStartPar
 The KDC uses three different keys when issuing a ticket to a client:
 \begin{itemize}
 \item {} 
-The long-term key of the service: the KDC uses this to encrypt the
-actual service ticket.  The KDC only uses the first long-term key in
+\sphinxAtStartPar
+The long\sphinxhyphen{}term key of the service: the KDC uses this to encrypt the
+actual service ticket.  The KDC only uses the first long\sphinxhyphen{}term key in
 the most recent kvno for this purpose.
 
 \item {} 
+\sphinxAtStartPar
 The session key: the KDC randomly chooses this key and places one
 copy inside the ticket and the other copy inside the encrypted part
 of the reply.
 
 \item {} 
-The reply-encrypting key: the KDC uses this to encrypt the reply it
-sends to the client.  For AS replies, this is a long-term key of the
+\sphinxAtStartPar
+The reply\sphinxhyphen{}encrypting key: the KDC uses this to encrypt the reply it
+sends to the client.  For AS replies, this is a long\sphinxhyphen{}term key of the
 client principal.  For TGS replies, this is either the session key of the
 authenticating ticket, or a subsession key.
 
 \end{itemize}
 
+\sphinxAtStartPar
 Each of these keys is of a specific enctype.
 
+\sphinxAtStartPar
 Each request type allows the client to submit a list of enctypes that
-it is willing to accept.  For the AS-REQ, this list affects both the
-session key selection and the reply-encrypting key selection.  For the
-TGS-REQ, this list only affects the session key selection.
+it is willing to accept.  For the AS\sphinxhyphen{}REQ, this list affects both the
+session key selection and the reply\sphinxhyphen{}encrypting key selection.  For the
+TGS\sphinxhyphen{}REQ, this list only affects the session key selection.
 
 
 \section{Session key selection}
 \label{\detokenize{admin/enctypes:session-key-selection}}\label{\detokenize{admin/enctypes:id1}}
+\sphinxAtStartPar
 The KDC chooses the session key enctype by taking the intersection of
-its \sphinxstylestrong{permitted\_enctypes} list, the list of long-term keys for the
+its \sphinxstylestrong{permitted\_enctypes} list, the list of long\sphinxhyphen{}term keys for the
 most recent kvno of the service, and the client’s requested list of
-enctypes.  Starting in krb5-1.21, all services are assumed to support
-aes256-cts-hmac-sha1-96; also, des3-cbc-sha1 and arcfour-hmac session
+enctypes.  Starting in krb5\sphinxhyphen{}1.21, all services are assumed to support
+aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96; also, des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 and arcfour\sphinxhyphen{}hmac session
 keys will not be issued by default.
 
-Starting in krb5-1.11, it is possible to set a string attribute on a
+\sphinxAtStartPar
+Starting in krb5\sphinxhyphen{}1.11, it is possible to set a string attribute on a
 service principal to control what session key enctypes the KDC may
 issue for service tickets for that principal, overriding the service’s
-long-term keys and the assumption of aes256-cts-hmac-sha1-96 support.
+long\sphinxhyphen{}term keys and the assumption of aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 support.
 See {\hyperref[\detokenize{admin/admin_commands/kadmin_local:set-string}]{\sphinxcrossref{\DUrole{std,std-ref}{set\_string}}}} in {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} for details.
 
 
 \section{Choosing enctypes for a service}
 \label{\detokenize{admin/enctypes:choosing-enctypes-for-a-service}}
+\sphinxAtStartPar
 Generally, a service should have a key of the strongest
 enctype that both it and the KDC support.  If the KDC is running a
-release earlier than krb5-1.11, it is also useful to generate an
+release earlier than krb5\sphinxhyphen{}1.11, it is also useful to generate an
 additional key for each enctype that the service can support.  The KDC
-will only use the first key in the list of long-term keys for encrypting
-the service ticket, but the additional long-term keys indicate the
+will only use the first key in the list of long\sphinxhyphen{}term keys for encrypting
+the service ticket, but the additional long\sphinxhyphen{}term keys indicate the
 other enctypes that the service supports.
 
-As noted above, starting with release krb5-1.11, there are additional
+\sphinxAtStartPar
+As noted above, starting with release krb5\sphinxhyphen{}1.11, there are additional
 configuration settings that control session key enctype selection
-independently of the set of long-term keys that the KDC has stored for
+independently of the set of long\sphinxhyphen{}term keys that the KDC has stored for
 a service principal.
 
 
 \section{Configuration variables}
 \label{\detokenize{admin/enctypes:configuration-variables}}
-The following \sphinxcode{{[}libdefaults{]}} settings in {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} will
+\sphinxAtStartPar
+The following \sphinxcode{\sphinxupquote{{[}libdefaults{]}}} settings in {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} will
 affect how enctypes are chosen.
 \begin{description}
 \item[{\sphinxstylestrong{allow\_weak\_crypto}}] \leavevmode
-defaults to \sphinxstyleemphasis{false} starting with krb5-1.8.  When \sphinxstyleemphasis{false}, removes
+\sphinxAtStartPar
+defaults to \sphinxstyleemphasis{false} starting with krb5\sphinxhyphen{}1.8.  When \sphinxstyleemphasis{false}, removes
 weak enctypes from \sphinxstylestrong{permitted\_enctypes},
 \sphinxstylestrong{default\_tkt\_enctypes}, and \sphinxstylestrong{default\_tgs\_enctypes}.  Do not
 set this to \sphinxstyleemphasis{true} unless the use of weak enctypes is an
@@ -6519,49 +7380,56 @@ acceptable risk for your environment and
 required for backward compatibility.
 
 \item[{\sphinxstylestrong{allow\_des3}}] \leavevmode
+\sphinxAtStartPar
 was added in release 1.21 and defaults to \sphinxstyleemphasis{false}.  Unless this
 flag is set to \sphinxstyleemphasis{true}, the KDC will not issue tickets with
-des3-cbc-sha1 session keys.  In a future release, this flag will
-control whether des3-cbc-sha1 is permitted in similar fashion to
+des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 session keys.  In a future release, this flag will
+control whether des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 is permitted in similar fashion to
 weak enctypes.
 
 \item[{\sphinxstylestrong{allow\_rc4}}] \leavevmode
+\sphinxAtStartPar
 was added in release 1.21 and defaults to \sphinxstyleemphasis{false}.  Unless this
 flag is set to \sphinxstyleemphasis{true}, the KDC will not issue tickets with
-arcfour-hmac session keys.  In a future release, this flag will
-control whether arcfour-hmac is permitted in similar fashion to
+arcfour\sphinxhyphen{}hmac session keys.  In a future release, this flag will
+control whether arcfour\sphinxhyphen{}hmac is permitted in similar fashion to
 weak enctypes.
 
 \item[{\sphinxstylestrong{permitted\_enctypes}}] \leavevmode
+\sphinxAtStartPar
 controls the set of enctypes that a service will permit for
 session keys and for ticket and authenticator encryption.  The KDC
 and other programs that access the Kerberos database will ignore
-keys of non-permitted enctypes.  Starting in release 1.18, this
+keys of non\sphinxhyphen{}permitted enctypes.  Starting in release 1.18, this
 setting also acts as the default for \sphinxstylestrong{default\_tkt\_enctypes} and
 \sphinxstylestrong{default\_tgs\_enctypes}.
 
 \item[{\sphinxstylestrong{default\_tkt\_enctypes}}] \leavevmode
+\sphinxAtStartPar
 controls the default set of enctypes that the Kerberos client
-library requests when making an AS-REQ.  Do not set this unless
+library requests when making an AS\sphinxhyphen{}REQ.  Do not set this unless
 required for specific backward compatibility purposes; stale
 values of this setting can prevent clients from taking advantage
 of new stronger enctypes when the libraries are upgraded.
 
 \item[{\sphinxstylestrong{default\_tgs\_enctypes}}] \leavevmode
+\sphinxAtStartPar
 controls the default set of enctypes that the Kerberos client
-library requests when making a TGS-REQ.  Do not set this unless
+library requests when making a TGS\sphinxhyphen{}REQ.  Do not set this unless
 required for specific backward compatibility purposes; stale
 values of this setting can prevent clients from taking advantage
 of new stronger enctypes when the libraries are upgraded.
 
 \end{description}
 
-The following per-realm setting in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} affects the
-generation of long-term keys.
+\sphinxAtStartPar
+The following per\sphinxhyphen{}realm setting in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} affects the
+generation of long\sphinxhyphen{}term keys.
 \begin{description}
 \item[{\sphinxstylestrong{supported\_enctypes}}] \leavevmode
-controls the default set of enctype-salttype pairs that {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}}
-will use for generating long-term keys, either randomly or from
+\sphinxAtStartPar
+controls the default set of enctype\sphinxhyphen{}salttype pairs that {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}}
+will use for generating long\sphinxhyphen{}term keys, either randomly or from
 passwords
 
 \end{description}
@@ -6569,6 +7437,7 @@ passwords
 
 \section{Enctype compatibility}
 \label{\detokenize{admin/enctypes:enctype-compatibility}}
+\sphinxAtStartPar
 See {\hyperref[\detokenize{admin/conf_files/kdc_conf:encryption-types}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}} for additional information about enctypes.
 
 
@@ -6576,109 +7445,155 @@ See {\hyperref[\detokenize{admin/conf_fi
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|T|T|}
 \hline
-\sphinxstylethead{\sphinxstyletheadfamily 
+\sphinxstyletheadfamily 
+\sphinxAtStartPar
 enctype
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 weak?
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 krb5
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Windows
-\unskip}\relax \\
+\\
 \hline
-des-cbc-crc
+\sphinxAtStartPar
+des\sphinxhyphen{}cbc\sphinxhyphen{}crc
 &
+\sphinxAtStartPar
 weak
 &
+\sphinxAtStartPar
 \textless{}1.18
 &
+\sphinxAtStartPar
 \textgreater{}=2000
 \\
 \hline
-des-cbc-md4
+\sphinxAtStartPar
+des\sphinxhyphen{}cbc\sphinxhyphen{}md4
 &
+\sphinxAtStartPar
 weak
 &
+\sphinxAtStartPar
 \textless{}1.18
 &
+\sphinxAtStartPar
 ?
 \\
 \hline
-des-cbc-md5
+\sphinxAtStartPar
+des\sphinxhyphen{}cbc\sphinxhyphen{}md5
 &
+\sphinxAtStartPar
 weak
 &
+\sphinxAtStartPar
 \textless{}1.18
 &
+\sphinxAtStartPar
 \textgreater{}=2000
 \\
 \hline
-des3-cbc-sha1
+\sphinxAtStartPar
+des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1
 &
+\sphinxAtStartPar
 deprecated
 &
+\sphinxAtStartPar
 \textgreater{}=1.1
 &
+\sphinxAtStartPar
 none
 \\
 \hline
-arcfour-hmac
+\sphinxAtStartPar
+arcfour\sphinxhyphen{}hmac
 &
+\sphinxAtStartPar
 deprecated
 &
+\sphinxAtStartPar
 \textgreater{}=1.3
 &
+\sphinxAtStartPar
 \textgreater{}=2000
 \\
 \hline
-arcfour-hmac-exp
+\sphinxAtStartPar
+arcfour\sphinxhyphen{}hmac\sphinxhyphen{}exp
 &
+\sphinxAtStartPar
 weak
 &
+\sphinxAtStartPar
 \textgreater{}=1.3
 &
+\sphinxAtStartPar
 \textgreater{}=2000
 \\
 \hline
-aes128-cts-hmac-sha1-96
+\sphinxAtStartPar
+aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96
 &&
+\sphinxAtStartPar
 \textgreater{}=1.3
 &
+\sphinxAtStartPar
 \textgreater{}=Vista
 \\
 \hline
-aes256-cts-hmac-sha1-96
+\sphinxAtStartPar
+aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96
 &&
+\sphinxAtStartPar
 \textgreater{}=1.3
 &
+\sphinxAtStartPar
 \textgreater{}=Vista
 \\
 \hline
-aes128-cts-hmac-sha256-128
+\sphinxAtStartPar
+aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha256\sphinxhyphen{}128
 &&
+\sphinxAtStartPar
 \textgreater{}=1.15
 &
+\sphinxAtStartPar
 none
 \\
 \hline
-aes256-cts-hmac-sha384-192
+\sphinxAtStartPar
+aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha384\sphinxhyphen{}192
 &&
+\sphinxAtStartPar
 \textgreater{}=1.15
 &
+\sphinxAtStartPar
 none
 \\
 \hline
-camellia128-cts-cmac
+\sphinxAtStartPar
+camellia128\sphinxhyphen{}cts\sphinxhyphen{}cmac
 &&
+\sphinxAtStartPar
 \textgreater{}=1.9
 &
+\sphinxAtStartPar
 none
 \\
 \hline
-camellia256-cts-cmac
+\sphinxAtStartPar
+camellia256\sphinxhyphen{}cts\sphinxhyphen{}cmac
 &&
+\sphinxAtStartPar
 \textgreater{}=1.9
 &
+\sphinxAtStartPar
 none
 \\
 \hline
@@ -6686,78 +7601,92 @@ none
 \par
 \sphinxattableend\end{savenotes}
 
-krb5 releases 1.18 and later do not support single-DES.  krb5 releases
-1.8 and later disable the single-DES enctypes by default.  Microsoft
-Windows releases Windows 7 and later disable single-DES enctypes by
+\sphinxAtStartPar
+krb5 releases 1.18 and later do not support single\sphinxhyphen{}DES.  krb5 releases
+1.8 and later disable the single\sphinxhyphen{}DES enctypes by default.  Microsoft
+Windows releases Windows 7 and later disable single\sphinxhyphen{}DES enctypes by
 default.
 
+\sphinxAtStartPar
 krb5 releases 1.17 and later flag deprecated encryption types
-(including \sphinxcode{des3-cbc-sha1} and \sphinxcode{arcfour-hmac}) in KDC logs and
+(including \sphinxcode{\sphinxupquote{des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1}} and \sphinxcode{\sphinxupquote{arcfour\sphinxhyphen{}hmac}}) in KDC logs and
 kadmin output.  krb5 release 1.19 issues a warning during initial
-authentication if \sphinxcode{des3-cbc-sha1} is used.  Future releases will
-disable \sphinxcode{des3-cbc-sha1} by default and eventually remove support for
+authentication if \sphinxcode{\sphinxupquote{des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1}} is used.  Future releases will
+disable \sphinxcode{\sphinxupquote{des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1}} by default and eventually remove support for
 it.
 
 
 \section{Migrating away from older encryption types}
 \label{\detokenize{admin/enctypes:migrating-away-from-older-encryption-types}}
+\sphinxAtStartPar
 Administrator intervention may be required to migrate a realm away
 from legacy encryption types, especially if the realm was created
 using krb5 release 1.2 or earlier.  This migration should be performed
 before upgrading to krb5 versions which disable or remove support for
 legacy encryption types.
 
+\sphinxAtStartPar
 If there is a \sphinxstylestrong{supported\_enctypes} setting in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} on
 the KDC, make sure that it does not include weak or deprecated
 encryption types.  This will ensure that newly created keys do not use
 those encryption types by default.
 
-Check the \sphinxcode{krbtgt/REALM} principal using the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}
+\sphinxAtStartPar
+Check the \sphinxcode{\sphinxupquote{krbtgt/REALM}} principal using the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}
 \sphinxstylestrong{getprinc} command.  If it lists a weak or deprecated encryption
 type as the first key, it must be migrated using the procedure in
 {\hyperref[\detokenize{admin/database:changing-krbtgt-key}]{\sphinxcrossref{\DUrole{std,std-ref}{Changing the krbtgt key}}}}.
 
-Check the \sphinxcode{kadmin/history} principal, which should have only one key
+\sphinxAtStartPar
+Check the \sphinxcode{\sphinxupquote{kadmin/history}} principal, which should have only one key
 entry.  If it uses a weak or deprecated encryption type, it should be
 upgraded following the notes in {\hyperref[\detokenize{admin/database:updating-history-key}]{\sphinxcrossref{\DUrole{std,std-ref}{Updating the history key}}}}.
 
+\sphinxAtStartPar
 Check the other kadmin principals: kadmin/changepw, kadmin/admin, and
 any kadmin/hostname principals that may exist.  These principals can
-be upgraded with \sphinxstylestrong{change\_password -randkey} in kadmin.
+be upgraded with \sphinxstylestrong{change\_password \sphinxhyphen{}randkey} in kadmin.
 
-Check the \sphinxcode{K/M} entry.  If it uses a weak or deprecated encryption
+\sphinxAtStartPar
+Check the \sphinxcode{\sphinxupquote{K/M}} entry.  If it uses a weak or deprecated encryption
 type, it should be upgraded following the procedure in
 {\hyperref[\detokenize{admin/database:updating-master-key}]{\sphinxcrossref{\DUrole{std,std-ref}{Updating the master key}}}}.
 
+\sphinxAtStartPar
 User and service principals using legacy encryption types can be
 enumerated with the {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} \sphinxstylestrong{tabdump keyinfo} command.
 
+\sphinxAtStartPar
 Service principals can be migrated with a keytab rotation on the
 service host, which can be accomplished using the {\hyperref[\detokenize{admin/admin_commands/k5srvutil:k5srvutil-1}]{\sphinxcrossref{\DUrole{std,std-ref}{k5srvutil}}}}
 \sphinxstylestrong{change} and \sphinxstylestrong{delold} commands.  Allow enough time for existing
 tickets to expire between the change and delold operations.
 
-User principals with password-based keys can be migrated with a
+\sphinxAtStartPar
+User principals with password\sphinxhyphen{}based keys can be migrated with a
 password change.  The realm administrator can set a password
 expiration date using the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} \sphinxstylestrong{modify\_principal
--pwexpire} command to force a password change.
+\sphinxhyphen{}pwexpire} command to force a password change.
 
+\sphinxAtStartPar
 If a legacy encryption type has not yet been disabled by default in
 the version of krb5 running on the KDC, it can be disabled
 administratively with the \sphinxstylestrong{permitted\_enctypes} variable.  For
-example, setting \sphinxstylestrong{permitted\_enctypes} to \sphinxcode{DEFAULT -des3 -rc4} will
-cause any database keys of the triple-DES and RC4 encryption types to
+example, setting \sphinxstylestrong{permitted\_enctypes} to \sphinxcode{\sphinxupquote{DEFAULT \sphinxhyphen{}des3 \sphinxhyphen{}rc4}} will
+cause any database keys of the triple\sphinxhyphen{}DES and RC4 encryption types to
 be ignored.
 
 
 \chapter{HTTPS proxy configuration}
-\label{\detokenize{admin/https:https-proxy-configuration}}\label{\detokenize{admin/https::doc}}\label{\detokenize{admin/https:https}}
+\label{\detokenize{admin/https:https-proxy-configuration}}\label{\detokenize{admin/https:https}}\label{\detokenize{admin/https::doc}}
+\sphinxAtStartPar
 In addition to being able to use UDP or TCP to communicate directly
 with a KDC as is outlined in RFC4120, and with kpasswd services in a
 similar fashion, the client libraries can attempt to use an HTTPS
 proxy server to communicate with a KDC or kpasswd service, using the
-protocol outlined in {[}MS-KKDCP{]}.
+protocol outlined in {[}MS\sphinxhyphen{}KKDCP{]}.
 
+\sphinxAtStartPar
 Communicating with a KDC through an HTTPS proxy allows clients to
 contact servers when network firewalls might otherwise prevent them
 from doing so.  The use of TLS also encrypts all traffic between the
@@ -6766,6 +7695,7 @@ dictionary attacks or from observing the
 being authenticated, at additional computational cost to both clients
 and servers.
 
+\sphinxAtStartPar
 An HTTPS proxy server is provided as a feature in some versions of
 Microsoft Windows Server, and a WSGI implementation named \sphinxtitleref{kdcproxy}
 is available in the python package index.
@@ -6773,37 +7703,40 @@ is available in the python package index
 
 \section{Configuring the clients}
 \label{\detokenize{admin/https:configuring-the-clients}}
+\sphinxAtStartPar
 To use an HTTPS proxy, a client host must trust the CA which issued
 that proxy’s SSL certificate.  If that CA’s certificate is not in the
-system-wide default set of trusted certificates, configure the
+system\sphinxhyphen{}wide default set of trusted certificates, configure the
 following relation in the client host’s {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} file in
 the appropriate {\hyperref[\detokenize{admin/conf_files/krb5_conf:realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} subsection:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{http\PYGZus{}anchors} \PYG{o}{=} \PYG{n}{FILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{/}\PYG{n}{cacert}\PYG{o}{.}\PYG{n}{pem}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Adjust the pathname to match the path of the file which contains a
 copy of the CA’s certificate.  The \sphinxtitleref{http\_anchors} option is documented
 more fully in {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.
 
+\sphinxAtStartPar
 Configure the client to access the KDC and kpasswd service by
 specifying their locations in its {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} file in the form
 of HTTPS URLs for the proxy server:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdc} \PYG{o}{=} \PYG{n}{https}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{server}\PYG{o}{.}\PYG{n}{fqdn}\PYG{o}{/}\PYG{n}{KdcProxy}
 \PYG{n}{kpasswd\PYGZus{}server} \PYG{o}{=} \PYG{n}{https}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{server}\PYG{o}{.}\PYG{n}{fqdn}\PYG{o}{/}\PYG{n}{KdcProxy}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the proxy and client are properly configured, client commands such
-as \sphinxcode{kinit}, \sphinxcode{kvno}, and \sphinxcode{kpasswd} should all function normally.
+as \sphinxcode{\sphinxupquote{kinit}}, \sphinxcode{\sphinxupquote{kvno}}, and \sphinxcode{\sphinxupquote{kpasswd}} should all function normally.
 
 
 \chapter{Authentication indicators}
-\label{\detokenize{admin/auth_indicator:auth-indicator}}\label{\detokenize{admin/auth_indicator:authentication-indicators}}\label{\detokenize{admin/auth_indicator::doc}}
+\label{\detokenize{admin/auth_indicator:authentication-indicators}}\label{\detokenize{admin/auth_indicator:auth-indicator}}\label{\detokenize{admin/auth_indicator::doc}}
+\sphinxAtStartPar
 As of release 1.14, the KDC can be configured to annotate tickets if
 the client authenticated using a stronger preauthentication mechanism
 such as {\hyperref[\detokenize{admin/pkinit:pkinit}]{\sphinxcrossref{\DUrole{std,std-ref}{PKINIT}}}} or {\hyperref[\detokenize{admin/otp:otp-preauth}]{\sphinxcrossref{\DUrole{std,std-ref}{OTP}}}}.  These
@@ -6811,8 +7744,9 @@ annotations are called “authentication
 principals can be configured to require particular authentication
 indicators in order to authenticate to that service.  An
 authentication indicator value can be any string chosen by the KDC
-administrator; there are no pre-set values.
+administrator; there are no pre\sphinxhyphen{}set values.
 
+\sphinxAtStartPar
 To use authentication indicators with PKINIT or OTP, first configure
 the KDC to include an indicator when that preauthentication mechanism
 is used.  For PKINIT, use the \sphinxstylestrong{pkinit\_indicator} variable in
@@ -6820,43 +7754,44 @@ is used.  For PKINIT, use the \sphinxsty
 token type definition, or specify the indicators in the \sphinxstylestrong{otp} user
 string as described in {\hyperref[\detokenize{admin/otp:otp-preauth}]{\sphinxcrossref{\DUrole{std,std-ref}{OTP Preauthentication}}}}.
 
+\sphinxAtStartPar
 To require an indicator to be present in order to authenticate to a
 service principal, set the \sphinxstylestrong{require\_auth} string attribute on the
 principal to the indicator value to be required.  If you wish to allow
 one of several indicators to be accepted, you can specify multiple
 indicator values separated by spaces.
 
+\sphinxAtStartPar
 For example, a realm could be configured to set the authentication
 indicator value “strong” when PKINIT is used to authenticate, using a
 setting in the {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-realms}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}realms{]}}}}} subsection:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{pkinit\PYGZus{}indicator} \PYG{o}{=} \PYG{n}{strong}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 A service principal could be configured to require the “strong”
 authentication indicator value:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kadmin setstr host/high.value.server require\PYGZus{}auth strong
 Password for user/admin@KRBTEST.COM:
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 A user who authenticates with PKINIT would be able to obtain a ticket
 for the service principal:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kinit \PYGZhy{}X X509\PYGZus{}user\PYGZus{}identity=FILE:/my/cert.pem,/my/key.pem user
 \PYGZdl{} kvno host/high.value.server
 host/high.value.server@KRBTEST.COM: kvno = 1
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 but a user who authenticates with a password would not:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kinit user
 Password for user@KRBTEST.COM:
@@ -6865,8 +7800,9 @@ kvno: KDC policy rejects request while g
   host/high.value.server@KRBTEST.COM
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 GSSAPI server applications can inspect authentication indicators
-through the \DUrole{xref,std,std-ref}{auth-indicators} name
+through the \DUrole{xref,std,std-ref}{auth\sphinxhyphen{}indicators} name
 attribute.
 
 
@@ -6874,34 +7810,37 @@ attribute.
 \label{\detokenize{admin/admin_commands/index:administration-programs}}\label{\detokenize{admin/admin_commands/index::doc}}
 
 \section{kadmin}
-\label{\detokenize{admin/admin_commands/kadmin_local::doc}}\label{\detokenize{admin/admin_commands/kadmin_local:kadmin}}\label{\detokenize{admin/admin_commands/kadmin_local:kadmin-1}}
+\label{\detokenize{admin/admin_commands/kadmin_local:kadmin}}\label{\detokenize{admin/admin_commands/kadmin_local:kadmin-1}}\label{\detokenize{admin/admin_commands/kadmin_local::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/kadmin_local:synopsis}}\phantomsection\label{\detokenize{admin/admin_commands/kadmin_local:kadmin-synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kadmin}
-{[}\sphinxstylestrong{-O}\textbar{}\sphinxstylestrong{-N}{]}
-{[}\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}{]}
-{[}\sphinxstylestrong{-p} \sphinxstyleemphasis{principal}{]}
-{[}\sphinxstylestrong{-q} \sphinxstyleemphasis{query}{]}
-{[}{[}\sphinxstylestrong{-c} \sphinxstyleemphasis{cache\_name}{]}\textbar{}{[}\sphinxstylestrong{-k} {[}\sphinxstylestrong{-t} \sphinxstyleemphasis{keytab}{]}{]}\textbar{}\sphinxstylestrong{-n}{]}
-{[}\sphinxstylestrong{-w} \sphinxstyleemphasis{password}{]}
-{[}\sphinxstylestrong{-s} \sphinxstyleemphasis{admin\_server}{[}:\sphinxstyleemphasis{port}{]}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}O}|\sphinxstylestrong{\sphinxhyphen{}N}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{principal}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}q} \sphinxstyleemphasis{query}{]}
+{[}{[}\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{cache\_name}{]}|{[}\sphinxstylestrong{\sphinxhyphen{}k} {[}\sphinxstylestrong{\sphinxhyphen{}t} \sphinxstyleemphasis{keytab}{]}{]}|\sphinxstylestrong{\sphinxhyphen{}n}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}w} \sphinxstyleemphasis{password}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}s} \sphinxstyleemphasis{admin\_server}{[}:\sphinxstyleemphasis{port}{]}{]}
 {[}command args…{]}
 
+\sphinxAtStartPar
 \sphinxstylestrong{kadmin.local}
-{[}\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}{]}
-{[}\sphinxstylestrong{-p} \sphinxstyleemphasis{principal}{]}
-{[}\sphinxstylestrong{-q} \sphinxstyleemphasis{query}{]}
-{[}\sphinxstylestrong{-d} \sphinxstyleemphasis{dbname}{]}
-{[}\sphinxstylestrong{-e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt} …{]}
-{[}\sphinxstylestrong{-m}{]}
-{[}\sphinxstylestrong{-x} \sphinxstyleemphasis{db\_args}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{principal}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}q} \sphinxstyleemphasis{query}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}d} \sphinxstyleemphasis{dbname}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt} …{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}m}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_args}{]}
 {[}command args…{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{admin/admin_commands/kadmin_local:description}}
-kadmin and kadmin.local are command-line interfaces to the Kerberos V5
+\sphinxAtStartPar
+kadmin and kadmin.local are command\sphinxhyphen{}line interfaces to the Kerberos V5
 administration system.  They provide nearly identical functionalities;
 the difference is that kadmin.local directly accesses the KDC
 database, while kadmin performs operations using {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}}.
@@ -6910,17 +7849,19 @@ to refer to both versions.  kadmin provi
 Kerberos principals, password policies, and service key tables
 (keytabs).
 
+\sphinxAtStartPar
 The remote kadmin client uses Kerberos to authenticate to kadmind
-using the service principal \sphinxcode{kadmin/admin} or \sphinxcode{kadmin/ADMINHOST}
-(where \sphinxstyleemphasis{ADMINHOST} is the fully-qualified hostname of the admin
+using the service principal \sphinxcode{\sphinxupquote{kadmin/admin}} or \sphinxcode{\sphinxupquote{kadmin/ADMINHOST}}
+(where \sphinxstyleemphasis{ADMINHOST} is the fully\sphinxhyphen{}qualified hostname of the admin
 server).  If the credentials cache contains a ticket for one of these
-principals, and the \sphinxstylestrong{-c} credentials\_cache option is specified, that
-ticket is used to authenticate to kadmind.  Otherwise, the \sphinxstylestrong{-p} and
-\sphinxstylestrong{-k} options are used to specify the client Kerberos principal name
+principals, and the \sphinxstylestrong{\sphinxhyphen{}c} credentials\_cache option is specified, that
+ticket is used to authenticate to kadmind.  Otherwise, the \sphinxstylestrong{\sphinxhyphen{}p} and
+\sphinxstylestrong{\sphinxhyphen{}k} options are used to specify the client Kerberos principal name
 used to authenticate.  Once kadmin has determined the principal name,
 it requests a service ticket from the KDC, and uses that service
 ticket to authenticate to kadmind.
 
+\sphinxAtStartPar
 Since kadmin.local directly accesses the KDC database, it usually must
 be run directly on the primary KDC with sufficient permissions to read
 the KDC database.  If the KDC database uses the LDAP database module,
@@ -6929,123 +7870,147 @@ kadmin.local can be run on any host whic
 
 \subsection{OPTIONS}
 \label{\detokenize{admin/admin_commands/kadmin_local:options}}\phantomsection\label{\detokenize{admin/admin_commands/kadmin_local:kadmin-options}}\begin{description}
-\item[{\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{realm} as the default database realm.
 
-\item[{\sphinxstylestrong{-p} \sphinxstyleemphasis{principal}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{principal}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{principal} to authenticate.  Otherwise, kadmin will append
-\sphinxcode{/admin} to the primary principal name of the default ccache,
+\sphinxcode{\sphinxupquote{/admin}} to the primary principal name of the default ccache,
 the value of the \sphinxstylestrong{USER} environment variable, or the username as
 obtained with getpwuid, in order of preference.
 
-\item[{\sphinxstylestrong{-k}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k}}] \leavevmode
+\sphinxAtStartPar
 Use a keytab to decrypt the KDC response instead of prompting for
 a password.  In this case, the default principal will be
-\sphinxcode{host/hostname}.  If there is no keytab specified with the
-\sphinxstylestrong{-t} option, then the default keytab will be used.
+\sphinxcode{\sphinxupquote{host/hostname}}.  If there is no keytab specified with the
+\sphinxstylestrong{\sphinxhyphen{}t} option, then the default keytab will be used.
 
-\item[{\sphinxstylestrong{-t} \sphinxstyleemphasis{keytab}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}t} \sphinxstyleemphasis{keytab}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{keytab} to decrypt the KDC response.  This can only be used
-with the \sphinxstylestrong{-k} option.
+with the \sphinxstylestrong{\sphinxhyphen{}k} option.
 
-\item[{\sphinxstylestrong{-n}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}n}}] \leavevmode
+\sphinxAtStartPar
 Requests anonymous processing.  Two types of anonymous principals
 are supported.  For fully anonymous Kerberos, configure PKINIT on
 the KDC and configure \sphinxstylestrong{pkinit\_anchors} in the client’s
-{\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.  Then use the \sphinxstylestrong{-n} option with a principal
-of the form \sphinxcode{@REALM} (an empty principal name followed by the
-at-sign and a realm name).  If permitted by the KDC, an anonymous
+{\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.  Then use the \sphinxstylestrong{\sphinxhyphen{}n} option with a principal
+of the form \sphinxcode{\sphinxupquote{@REALM}} (an empty principal name followed by the
+at\sphinxhyphen{}sign and a realm name).  If permitted by the KDC, an anonymous
 ticket will be returned.  A second form of anonymous tickets is
-supported; these realm-exposed tickets hide the identity of the
-client but not the client’s realm.  For this mode, use \sphinxcode{kinit
--n} with a normal principal name.  If supported by the KDC, the
+supported; these realm\sphinxhyphen{}exposed tickets hide the identity of the
+client but not the client’s realm.  For this mode, use \sphinxcode{\sphinxupquote{kinit
+\sphinxhyphen{}n}} with a normal principal name.  If supported by the KDC, the
 principal (but not realm) will be replaced by the anonymous
 principal.  As of release 1.8, the MIT Kerberos KDC only supports
 fully anonymous operation.
 
-\item[{\sphinxstylestrong{-c} \sphinxstyleemphasis{credentials\_cache}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{credentials\_cache}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{credentials\_cache} as the credentials cache.  The cache
-should contain a service ticket for the \sphinxcode{kadmin/admin} or
-\sphinxcode{kadmin/ADMINHOST} (where \sphinxstyleemphasis{ADMINHOST} is the fully-qualified
+should contain a service ticket for the \sphinxcode{\sphinxupquote{kadmin/admin}} or
+\sphinxcode{\sphinxupquote{kadmin/ADMINHOST}} (where \sphinxstyleemphasis{ADMINHOST} is the fully\sphinxhyphen{}qualified
 hostname of the admin server) service; it can be acquired with the
 \DUrole{xref,std,std-ref}{kinit(1)} program.  If this option is not specified, kadmin
 requests a new service ticket from the KDC, and stores it in its
 own temporary ccache.
 
-\item[{\sphinxstylestrong{-w} \sphinxstyleemphasis{password}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}w} \sphinxstyleemphasis{password}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{password} instead of prompting for one.  Use this option with
 care, as it may expose the password to other users on the system
 via the process list.
 
-\item[{\sphinxstylestrong{-q} \sphinxstyleemphasis{query}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}q} \sphinxstyleemphasis{query}}] \leavevmode
+\sphinxAtStartPar
 Perform the specified query and then exit.
 
-\item[{\sphinxstylestrong{-d} \sphinxstyleemphasis{dbname}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}d} \sphinxstyleemphasis{dbname}}] \leavevmode
+\sphinxAtStartPar
 Specifies the name of the KDC database.  This option does not
 apply to the LDAP database module.
 
-\item[{\sphinxstylestrong{-s} \sphinxstyleemphasis{admin\_server}{[}:\sphinxstyleemphasis{port}{]}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}s} \sphinxstyleemphasis{admin\_server}{[}:\sphinxstyleemphasis{port}{]}}] \leavevmode
+\sphinxAtStartPar
 Specifies the admin server which kadmin should contact.
 
-\item[{\sphinxstylestrong{-m}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}m}}] \leavevmode
+\sphinxAtStartPar
 If using kadmin.local, prompt for the database master password
 instead of reading it from a stash file.
 
-\item[{\sphinxstylestrong{-e} “\sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt} …”}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}e} “\sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt} …”}] \leavevmode
+\sphinxAtStartPar
 Sets the keysalt list to be used for any new keys created.  See
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:keysalt-lists}]{\sphinxcrossref{\DUrole{std,std-ref}{Keysalt lists}}}} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} for a list of possible
 values.
 
-\item[{\sphinxstylestrong{-O}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}O}}] \leavevmode
+\sphinxAtStartPar
 Force use of old AUTH\_GSSAPI authentication flavor.
 
-\item[{\sphinxstylestrong{-N}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}N}}] \leavevmode
+\sphinxAtStartPar
 Prevent fallback to AUTH\_GSSAPI authentication flavor.
 
-\item[{\sphinxstylestrong{-x} \sphinxstyleemphasis{db\_args}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_args}}] \leavevmode
+\sphinxAtStartPar
 Specifies the database specific arguments.  See the next section
 for supported options.
 
 \end{description}
 
-Starting with release 1.14, if any command-line arguments remain after
+\sphinxAtStartPar
+Starting with release 1.14, if any command\sphinxhyphen{}line arguments remain after
 the options, they will be treated as a single query to be executed.
 This mode of operation is intended for scripts and behaves differently
 from the interactive mode in several respects:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Query arguments are split by the shell, not by kadmin.
 
 \item {} 
+\sphinxAtStartPar
 Informational and warning messages are suppressed.  Error messages
 and query output (e.g. for \sphinxstylestrong{get\_principal}) will still be
 displayed.
 
 \item {} 
-Confirmation prompts are disabled (as if \sphinxstylestrong{-force} was given).
+\sphinxAtStartPar
+Confirmation prompts are disabled (as if \sphinxstylestrong{\sphinxhyphen{}force} was given).
 Password prompts will still be issued as required.
 
 \item {} 
-The exit status will be non-zero if the query fails.
+\sphinxAtStartPar
+The exit status will be non\sphinxhyphen{}zero if the query fails.
 
 \end{itemize}
 
-The \sphinxstylestrong{-q} option does not carry these behavior differences; the query
-will be processed as if it was entered interactively.  The \sphinxstylestrong{-q}
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}q} option does not carry these behavior differences; the query
+will be processed as if it was entered interactively.  The \sphinxstylestrong{\sphinxhyphen{}q}
 option cannot be used in combination with a query in the remaining
 arguments.
 
 
 \subsection{DATABASE OPTIONS}
 \label{\detokenize{admin/admin_commands/kadmin_local:database-options}}\label{\detokenize{admin/admin_commands/kadmin_local:dboptions}}
-Database options can be used to override database-specific defaults.
+\sphinxAtStartPar
+Database options can be used to override database\sphinxhyphen{}specific defaults.
 Supported options for the DB2 module are:
 \begin{quote}
 \begin{description}
-\item[{\sphinxstylestrong{-x dbname=}*filename*}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x dbname=}*filename*}] \leavevmode
+\sphinxAtStartPar
 Specifies the base filename of the DB2 database.
 
-\item[{\sphinxstylestrong{-x lockiter}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x lockiter}}] \leavevmode
+\sphinxAtStartPar
 Make iteration operations hold the lock for the duration of
 the entire operation, rather than temporarily releasing the
 lock while handling each principal.  This is the default
@@ -7053,7 +8018,8 @@ behavior, but this option exists to allo
 override of a {[}dbmodules{]} setting.  First introduced in
 release 1.13.
 
-\item[{\sphinxstylestrong{-x unlockiter}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x unlockiter}}] \leavevmode
+\sphinxAtStartPar
 Make iteration operations unlock the database for each
 principal, instead of holding the lock for the duration of the
 entire operation.  First introduced in release 1.13.
@@ -7061,42 +8027,51 @@ entire operation.  First introduced in r
 \end{description}
 \end{quote}
 
+\sphinxAtStartPar
 Supported options for the LDAP module are:
 \begin{quote}
 \begin{description}
-\item[{\sphinxstylestrong{-x host=}\sphinxstyleemphasis{ldapuri}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x host=}\sphinxstyleemphasis{ldapuri}}] \leavevmode
+\sphinxAtStartPar
 Specifies the LDAP server to connect to by a LDAP URI.
 
-\item[{\sphinxstylestrong{-x binddn=}\sphinxstyleemphasis{bind\_dn}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x binddn=}\sphinxstyleemphasis{bind\_dn}}] \leavevmode
+\sphinxAtStartPar
 Specifies the DN used to bind to the LDAP server.
 
-\item[{\sphinxstylestrong{-x bindpwd=}\sphinxstyleemphasis{password}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x bindpwd=}\sphinxstyleemphasis{password}}] \leavevmode
+\sphinxAtStartPar
 Specifies the password or SASL secret used to bind to the LDAP
 server.  Using this option may expose the password to other
 users on the system via the process list; to avoid this,
 instead stash the password using the \sphinxstylestrong{stashsrvpw} command of
 {\hyperref[\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_ldap\_util}}}}.
 
-\item[{\sphinxstylestrong{-x sasl\_mech=}\sphinxstyleemphasis{mechanism}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x sasl\_mech=}\sphinxstyleemphasis{mechanism}}] \leavevmode
+\sphinxAtStartPar
 Specifies the SASL mechanism used to bind to the LDAP server.
 The bind DN is ignored if a SASL mechanism is used.  New in
 release 1.13.
 
-\item[{\sphinxstylestrong{-x sasl\_authcid=}\sphinxstyleemphasis{name}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x sasl\_authcid=}\sphinxstyleemphasis{name}}] \leavevmode
+\sphinxAtStartPar
 Specifies the authentication name used when binding to the
 LDAP server with a SASL mechanism, if the mechanism requires
 one.  New in release 1.13.
 
-\item[{\sphinxstylestrong{-x sasl\_authzid=}\sphinxstyleemphasis{name}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x sasl\_authzid=}\sphinxstyleemphasis{name}}] \leavevmode
+\sphinxAtStartPar
 Specifies the authorization name used when binding to the LDAP
 server with a SASL mechanism.  New in release 1.13.
 
-\item[{\sphinxstylestrong{-x sasl\_realm=}\sphinxstyleemphasis{realm}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x sasl\_realm=}\sphinxstyleemphasis{realm}}] \leavevmode
+\sphinxAtStartPar
 Specifies the realm used when binding to the LDAP server with
 a SASL mechanism, if the mechanism uses one.  New in release
 1.13.
 
-\item[{\sphinxstylestrong{-x debug=}\sphinxstyleemphasis{level}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x debug=}\sphinxstyleemphasis{level}}] \leavevmode
+\sphinxAtStartPar
 sets the OpenLDAP client library debug level.  \sphinxstyleemphasis{level} is an
 integer to be interpreted by the library.  Debugging messages
 are printed to standard error.  New in release 1.12.
@@ -7107,6 +8082,7 @@ are printed to standard error.  New in r
 
 \subsection{COMMANDS}
 \label{\detokenize{admin/admin_commands/kadmin_local:commands}}
+\sphinxAtStartPar
 When using the remote client, available commands may be restricted
 according to the privileges specified in the {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}} file
 on the admin server.
@@ -7115,127 +8091,155 @@ on the admin server.
 \subsubsection{add\_principal}
 \label{\detokenize{admin/admin_commands/kadmin_local:add-principal}}\label{\detokenize{admin/admin_commands/kadmin_local:id1}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{add\_principal} {[}\sphinxstyleemphasis{options}{]} \sphinxstyleemphasis{newprinc}
 \end{quote}
 
+\sphinxAtStartPar
 Creates the principal \sphinxstyleemphasis{newprinc}, prompting twice for a password.  If
-no password policy is specified with the \sphinxstylestrong{-policy} option, and the
-policy named \sphinxcode{default} is assigned to the principal if it exists.
-However, creating a policy named \sphinxcode{default} will not automatically
+no password policy is specified with the \sphinxstylestrong{\sphinxhyphen{}policy} option, and the
+policy named \sphinxcode{\sphinxupquote{default}} is assigned to the principal if it exists.
+However, creating a policy named \sphinxcode{\sphinxupquote{default}} will not automatically
 assign this policy to previously existing principals.  This policy
-assignment can be suppressed with the \sphinxstylestrong{-clearpolicy} option.
+assignment can be suppressed with the \sphinxstylestrong{\sphinxhyphen{}clearpolicy} option.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{add} privilege.
 
+\sphinxAtStartPar
 Aliases: \sphinxstylestrong{addprinc}, \sphinxstylestrong{ank}
 
+\sphinxAtStartPar
 Options:
 \begin{description}
-\item[{\sphinxstylestrong{-expire} \sphinxstyleemphasis{expdate}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}expire} \sphinxstyleemphasis{expdate}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{getdate} string) The expiration date of the principal.
 
-\item[{\sphinxstylestrong{-pwexpire} \sphinxstyleemphasis{pwexpdate}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}pwexpire} \sphinxstyleemphasis{pwexpdate}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{getdate} string) The password expiration date.
 
-\item[{\sphinxstylestrong{-maxlife} \sphinxstyleemphasis{maxlife}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxlife} \sphinxstyleemphasis{maxlife}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} or \DUrole{xref,std,std-ref}{getdate} string) The maximum ticket life
 for the principal.
 
-\item[{\sphinxstylestrong{-maxrenewlife} \sphinxstyleemphasis{maxrenewlife}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxrenewlife} \sphinxstyleemphasis{maxrenewlife}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} or \DUrole{xref,std,std-ref}{getdate} string) The maximum renewable
 life of tickets for the principal.
 
-\item[{\sphinxstylestrong{-kvno} \sphinxstyleemphasis{kvno}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}kvno} \sphinxstyleemphasis{kvno}}] \leavevmode
+\sphinxAtStartPar
 The initial key version number.
 
-\item[{\sphinxstylestrong{-policy} \sphinxstyleemphasis{policy}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}policy} \sphinxstyleemphasis{policy}}] \leavevmode
+\sphinxAtStartPar
 The password policy used by this principal.  If not specified, the
-policy \sphinxcode{default} is used if it exists (unless \sphinxstylestrong{-clearpolicy}
+policy \sphinxcode{\sphinxupquote{default}} is used if it exists (unless \sphinxstylestrong{\sphinxhyphen{}clearpolicy}
 is specified).
 
-\item[{\sphinxstylestrong{-clearpolicy}}] \leavevmode
-Prevents any policy from being assigned when \sphinxstylestrong{-policy} is not
+\item[{\sphinxstylestrong{\sphinxhyphen{}clearpolicy}}] \leavevmode
+\sphinxAtStartPar
+Prevents any policy from being assigned when \sphinxstylestrong{\sphinxhyphen{}policy} is not
 specified.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{allow\_postdated}}] \leavevmode
-\sphinxstylestrong{-allow\_postdated} prohibits this principal from obtaining
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{allow\_postdated}}] \leavevmode
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}allow\_postdated} prohibits this principal from obtaining
 postdated tickets.  \sphinxstylestrong{+allow\_postdated} clears this flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{allow\_forwardable}}] \leavevmode
-\sphinxstylestrong{-allow\_forwardable} prohibits this principal from obtaining
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{allow\_forwardable}}] \leavevmode
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}allow\_forwardable} prohibits this principal from obtaining
 forwardable tickets.  \sphinxstylestrong{+allow\_forwardable} clears this flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{allow\_renewable}}] \leavevmode
-\sphinxstylestrong{-allow\_renewable} prohibits this principal from obtaining
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{allow\_renewable}}] \leavevmode
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}allow\_renewable} prohibits this principal from obtaining
 renewable tickets.  \sphinxstylestrong{+allow\_renewable} clears this flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{allow\_proxiable}}] \leavevmode
-\sphinxstylestrong{-allow\_proxiable} prohibits this principal from obtaining
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{allow\_proxiable}}] \leavevmode
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}allow\_proxiable} prohibits this principal from obtaining
 proxiable tickets.  \sphinxstylestrong{+allow\_proxiable} clears this flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{allow\_dup\_skey}}] \leavevmode
-\sphinxstylestrong{-allow\_dup\_skey} disables user-to-user authentication for this
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{allow\_dup\_skey}}] \leavevmode
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}allow\_dup\_skey} disables user\sphinxhyphen{}to\sphinxhyphen{}user authentication for this
 principal by prohibiting others from obtaining a service ticket
 encrypted in this principal’s TGT session key.
 \sphinxstylestrong{+allow\_dup\_skey} clears this flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{requires\_preauth}}] \leavevmode
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{requires\_preauth}}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{+requires\_preauth} requires this principal to preauthenticate
-before being allowed to kinit.  \sphinxstylestrong{-requires\_preauth} clears this
+before being allowed to kinit.  \sphinxstylestrong{\sphinxhyphen{}requires\_preauth} clears this
 flag.  When \sphinxstylestrong{+requires\_preauth} is set on a service principal,
 the KDC will only issue service tickets for that service principal
 if the client’s initial authentication was performed using
 preauthentication.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{requires\_hwauth}}] \leavevmode
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{requires\_hwauth}}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{+requires\_hwauth} requires this principal to preauthenticate
 using a hardware device before being allowed to kinit.
-\sphinxstylestrong{-requires\_hwauth} clears this flag.  When \sphinxstylestrong{+requires\_hwauth} is
+\sphinxstylestrong{\sphinxhyphen{}requires\_hwauth} clears this flag.  When \sphinxstylestrong{+requires\_hwauth} is
 set on a service principal, the KDC will only issue service tickets
 for that service principal if the client’s initial authentication was
 performed using a hardware device to preauthenticate.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{ok\_as\_delegate}}] \leavevmode
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{ok\_as\_delegate}}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{+ok\_as\_delegate} sets the \sphinxstylestrong{okay as delegate} flag on tickets
 issued with this principal as the service.  Clients may use this
 flag as a hint that credentials should be delegated when
-authenticating to the service.  \sphinxstylestrong{-ok\_as\_delegate} clears this
+authenticating to the service.  \sphinxstylestrong{\sphinxhyphen{}ok\_as\_delegate} clears this
 flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{allow\_svr}}] \leavevmode
-\sphinxstylestrong{-allow\_svr} prohibits the issuance of service tickets for this
-principal.  In release 1.17 and later, user-to-user service
-tickets are still allowed unless the \sphinxstylestrong{-allow\_dup\_skey} flag is
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{allow\_svr}}] \leavevmode
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}allow\_svr} prohibits the issuance of service tickets for this
+principal.  In release 1.17 and later, user\sphinxhyphen{}to\sphinxhyphen{}user service
+tickets are still allowed unless the \sphinxstylestrong{\sphinxhyphen{}allow\_dup\_skey} flag is
 also set.  \sphinxstylestrong{+allow\_svr} clears this flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{allow\_tgs\_req}}] \leavevmode
-\sphinxstylestrong{-allow\_tgs\_req} specifies that a Ticket-Granting Service (TGS)
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{allow\_tgs\_req}}] \leavevmode
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}allow\_tgs\_req} specifies that a Ticket\sphinxhyphen{}Granting Service (TGS)
 request for a service ticket for this principal is not permitted.
 \sphinxstylestrong{+allow\_tgs\_req} clears this flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{allow\_tix}}] \leavevmode
-\sphinxstylestrong{-allow\_tix} forbids the issuance of any tickets for this
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{allow\_tix}}] \leavevmode
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}allow\_tix} forbids the issuance of any tickets for this
 principal.  \sphinxstylestrong{+allow\_tix} clears this flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{needchange}}] \leavevmode
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{needchange}}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{+needchange} forces a password change on the next initial
-authentication to this principal.  \sphinxstylestrong{-needchange} clears this
+authentication to this principal.  \sphinxstylestrong{\sphinxhyphen{}needchange} clears this
 flag.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{password\_changing\_service}}] \leavevmode
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{password\_changing\_service}}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{+password\_changing\_service} marks this principal as a password
 change service principal.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{ok\_to\_auth\_as\_delegate}}] \leavevmode
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{ok\_to\_auth\_as\_delegate}}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{+ok\_to\_auth\_as\_delegate} allows this principal to acquire
 forwardable tickets to itself from arbitrary users, for use with
 constrained delegation.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{no\_auth\_data\_required}}] \leavevmode
-\sphinxstylestrong{+no\_auth\_data\_required} prevents PAC or AD-SIGNEDPATH data from
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{no\_auth\_data\_required}}] \leavevmode
+\sphinxAtStartPar
+\sphinxstylestrong{+no\_auth\_data\_required} prevents PAC or AD\sphinxhyphen{}SIGNEDPATH data from
 being added to service tickets for the principal.
 
-\item[{\{-\textbar{}+\}\sphinxstylestrong{lockdown\_keys}}] \leavevmode
+\item[{\{\sphinxhyphen{}|+\}\sphinxstylestrong{lockdown\_keys}}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{+lockdown\_keys} prevents keys for this principal from leaving
 the KDC via kadmind.  The chpass and extract operations are denied
 for a principal with this attribute.  The chrand operation is
@@ -7246,57 +8250,69 @@ krbtgt/* or kadmin/* with new principals
 This attribute can be set via the network protocol, but can only
 be removed using kadmin.local.
 
-\item[{\sphinxstylestrong{-randkey}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}randkey}}] \leavevmode
+\sphinxAtStartPar
 Sets the key of the principal to a random value.
 
-\item[{\sphinxstylestrong{-nokey}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}nokey}}] \leavevmode
+\sphinxAtStartPar
 Causes the principal to be created with no key.  New in release
 1.12.
 
-\item[{\sphinxstylestrong{-pw} \sphinxstyleemphasis{password}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}pw} \sphinxstyleemphasis{password}}] \leavevmode
+\sphinxAtStartPar
 Sets the password of the principal to the specified string and
 does not prompt for a password.  Note: using this option in a
 shell script may expose the password to other users on the system
 via the process list.
 
-\item[{\sphinxstylestrong{-e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt},…}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt},…}] \leavevmode
+\sphinxAtStartPar
 Uses the specified keysalt list for setting the keys of the
 principal.  See {\hyperref[\detokenize{admin/conf_files/kdc_conf:keysalt-lists}]{\sphinxcrossref{\DUrole{std,std-ref}{Keysalt lists}}}} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} for a
 list of possible values.
 
-\item[{\sphinxstylestrong{-x} \sphinxstyleemphasis{db\_princ\_args}}] \leavevmode
-Indicates database-specific options.  The options for the LDAP
+\item[{\sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_princ\_args}}] \leavevmode
+\sphinxAtStartPar
+Indicates database\sphinxhyphen{}specific options.  The options for the LDAP
 database module are:
 \begin{description}
-\item[{\sphinxstylestrong{-x dn=}\sphinxstyleemphasis{dn}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x dn=}\sphinxstyleemphasis{dn}}] \leavevmode
+\sphinxAtStartPar
 Specifies the LDAP object that will contain the Kerberos
 principal being created.
 
-\item[{\sphinxstylestrong{-x linkdn=}\sphinxstyleemphasis{dn}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x linkdn=}\sphinxstyleemphasis{dn}}] \leavevmode
+\sphinxAtStartPar
 Specifies the LDAP object to which the newly created Kerberos
 principal object will point.
 
-\item[{\sphinxstylestrong{-x containerdn=}\sphinxstyleemphasis{container\_dn}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x containerdn=}\sphinxstyleemphasis{container\_dn}}] \leavevmode
+\sphinxAtStartPar
 Specifies the container object under which the Kerberos
 principal is to be created.
 
-\item[{\sphinxstylestrong{-x tktpolicy=}\sphinxstyleemphasis{policy}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}x tktpolicy=}\sphinxstyleemphasis{policy}}] \leavevmode
+\sphinxAtStartPar
 Associates a ticket policy to the Kerberos principal.
 
 \end{description}
 
 \begin{sphinxadmonition}{note}{Note:}\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{containerdn} and \sphinxstylestrong{linkdn} options cannot be
 specified with the \sphinxstylestrong{dn} option.
 
 \item {} 
+\sphinxAtStartPar
 If the \sphinxstyleemphasis{dn} or \sphinxstyleemphasis{containerdn} options are not specified while
 adding the principal, the principals are created under the
 principal container configured in the realm or the realm
 container.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstyleemphasis{dn} and \sphinxstyleemphasis{containerdn} should be within the subtrees or
 principal container configured in the realm.
 
@@ -7305,9 +8321,9 @@ principal container configured in the re
 
 \end{description}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{addprinc} \PYG{n}{jennifer}
 \PYG{n}{No} \PYG{n}{policy} \PYG{n}{specified} \PYG{k}{for} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{jennifer@ATHENA.MIT.EDU}\PYG{l+s+s2}{\PYGZdq{}}\PYG{p}{;}
@@ -7320,23 +8336,29 @@ Example:
 
 
 \subsubsection{modify\_principal}
-\label{\detokenize{admin/admin_commands/kadmin_local:id2}}\label{\detokenize{admin/admin_commands/kadmin_local:modify-principal}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kadmin_local:modify-principal}}\label{\detokenize{admin/admin_commands/kadmin_local:id2}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{modify\_principal} {[}\sphinxstyleemphasis{options}{]} \sphinxstyleemphasis{principal}
 \end{quote}
 
+\sphinxAtStartPar
 Modifies the specified principal, changing the fields as specified.
 The options to \sphinxstylestrong{add\_principal} also apply to this command, except
-for the \sphinxstylestrong{-randkey}, \sphinxstylestrong{-pw}, and \sphinxstylestrong{-e} options.  In addition, the
-option \sphinxstylestrong{-clearpolicy} will clear the current policy of a principal.
+for the \sphinxstylestrong{\sphinxhyphen{}randkey}, \sphinxstylestrong{\sphinxhyphen{}pw}, and \sphinxstylestrong{\sphinxhyphen{}e} options.  In addition, the
+option \sphinxstylestrong{\sphinxhyphen{}clearpolicy} will clear the current policy of a principal.
 
+\sphinxAtStartPar
 This command requires the \sphinxstyleemphasis{modify} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{modprinc}
 
+\sphinxAtStartPar
 Options (in addition to the \sphinxstylestrong{addprinc} options):
 \begin{description}
-\item[{\sphinxstylestrong{-unlock}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}unlock}}] \leavevmode
+\sphinxAtStartPar
 Unlocks a locked principal (one which has received too many failed
 authentication attempts without enough time between them according
 to its password policy) so that it can successfully authenticate.
@@ -7347,71 +8369,88 @@ to its password policy) so that it can s
 \subsubsection{rename\_principal}
 \label{\detokenize{admin/admin_commands/kadmin_local:rename-principal}}\label{\detokenize{admin/admin_commands/kadmin_local:id3}}\begin{quote}
 
-\sphinxstylestrong{rename\_principal} {[}\sphinxstylestrong{-force}{]} \sphinxstyleemphasis{old\_principal} \sphinxstyleemphasis{new\_principal}
+\sphinxAtStartPar
+\sphinxstylestrong{rename\_principal} {[}\sphinxstylestrong{\sphinxhyphen{}force}{]} \sphinxstyleemphasis{old\_principal} \sphinxstyleemphasis{new\_principal}
 \end{quote}
 
+\sphinxAtStartPar
 Renames the specified \sphinxstyleemphasis{old\_principal} to \sphinxstyleemphasis{new\_principal}.  This
-command prompts for confirmation, unless the \sphinxstylestrong{-force} option is
+command prompts for confirmation, unless the \sphinxstylestrong{\sphinxhyphen{}force} option is
 given.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{add} and \sphinxstylestrong{delete} privileges.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{renprinc}
 
 
 \subsubsection{delete\_principal}
-\label{\detokenize{admin/admin_commands/kadmin_local:id4}}\label{\detokenize{admin/admin_commands/kadmin_local:delete-principal}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kadmin_local:delete-principal}}\label{\detokenize{admin/admin_commands/kadmin_local:id4}}\begin{quote}
 
-\sphinxstylestrong{delete\_principal} {[}\sphinxstylestrong{-force}{]} \sphinxstyleemphasis{principal}
+\sphinxAtStartPar
+\sphinxstylestrong{delete\_principal} {[}\sphinxstylestrong{\sphinxhyphen{}force}{]} \sphinxstyleemphasis{principal}
 \end{quote}
 
+\sphinxAtStartPar
 Deletes the specified \sphinxstyleemphasis{principal} from the database.  This command
-prompts for deletion, unless the \sphinxstylestrong{-force} option is given.
+prompts for deletion, unless the \sphinxstylestrong{\sphinxhyphen{}force} option is given.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{delete} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{delprinc}
 
 
 \subsubsection{change\_password}
-\label{\detokenize{admin/admin_commands/kadmin_local:id5}}\label{\detokenize{admin/admin_commands/kadmin_local:change-password}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kadmin_local:change-password}}\label{\detokenize{admin/admin_commands/kadmin_local:id5}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{change\_password} {[}\sphinxstyleemphasis{options}{]} \sphinxstyleemphasis{principal}
 \end{quote}
 
+\sphinxAtStartPar
 Changes the password of \sphinxstyleemphasis{principal}.  Prompts for a new password if
-neither \sphinxstylestrong{-randkey} or \sphinxstylestrong{-pw} is specified.
+neither \sphinxstylestrong{\sphinxhyphen{}randkey} or \sphinxstylestrong{\sphinxhyphen{}pw} is specified.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{changepw} privilege, or that the
 principal running the program is the same as the principal being
 changed.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{cpw}
 
+\sphinxAtStartPar
 The following options are available:
 \begin{description}
-\item[{\sphinxstylestrong{-randkey}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}randkey}}] \leavevmode
+\sphinxAtStartPar
 Sets the key of the principal to a random value.
 
-\item[{\sphinxstylestrong{-pw} \sphinxstyleemphasis{password}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}pw} \sphinxstyleemphasis{password}}] \leavevmode
+\sphinxAtStartPar
 Set the password to the specified string.  Using this option in a
 script may expose the password to other users on the system via
 the process list.
 
-\item[{\sphinxstylestrong{-e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt},…}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt},…}] \leavevmode
+\sphinxAtStartPar
 Uses the specified keysalt list for setting the keys of the
 principal.  See {\hyperref[\detokenize{admin/conf_files/kdc_conf:keysalt-lists}]{\sphinxcrossref{\DUrole{std,std-ref}{Keysalt lists}}}} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} for a
 list of possible values.
 
-\item[{\sphinxstylestrong{-keepold}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}keepold}}] \leavevmode
+\sphinxAtStartPar
 Keeps the existing keys in the database.  This flag is usually not
-necessary except perhaps for \sphinxcode{krbtgt} principals.
+necessary except perhaps for \sphinxcode{\sphinxupquote{krbtgt}} principals.
 
 \end{description}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{cpw} \PYG{n}{systest}
 \PYG{n}{Enter} \PYG{n}{password} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{systest}\PYG{n+nd}{@BLEEP}\PYG{o}{.}\PYG{n}{COM}\PYG{p}{:}
@@ -7422,37 +8461,44 @@ Example:
 
 
 \subsubsection{purgekeys}
-\label{\detokenize{admin/admin_commands/kadmin_local:id6}}\label{\detokenize{admin/admin_commands/kadmin_local:purgekeys}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kadmin_local:purgekeys}}\label{\detokenize{admin/admin_commands/kadmin_local:id6}}\begin{quote}
 
-\sphinxstylestrong{purgekeys} {[}\sphinxstylestrong{-all}\textbar{}\sphinxstylestrong{-keepkvno} \sphinxstyleemphasis{oldest\_kvno\_to\_keep}{]} \sphinxstyleemphasis{principal}
+\sphinxAtStartPar
+\sphinxstylestrong{purgekeys} {[}\sphinxstylestrong{\sphinxhyphen{}all}|\sphinxstylestrong{\sphinxhyphen{}keepkvno} \sphinxstyleemphasis{oldest\_kvno\_to\_keep}{]} \sphinxstyleemphasis{principal}
 \end{quote}
 
+\sphinxAtStartPar
 Purges previously retained old keys (e.g., from \sphinxstylestrong{change\_password
--keepold}) from \sphinxstyleemphasis{principal}.  If \sphinxstylestrong{-keepkvno} is specified, then
+\sphinxhyphen{}keepold}) from \sphinxstyleemphasis{principal}.  If \sphinxstylestrong{\sphinxhyphen{}keepkvno} is specified, then
 only purges keys with kvnos lower than \sphinxstyleemphasis{oldest\_kvno\_to\_keep}.  If
-\sphinxstylestrong{-all} is specified, then all keys are purged.  The \sphinxstylestrong{-all} option
+\sphinxstylestrong{\sphinxhyphen{}all} is specified, then all keys are purged.  The \sphinxstylestrong{\sphinxhyphen{}all} option
 is new in release 1.12.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{modify} privilege.
 
 
 \subsubsection{get\_principal}
 \label{\detokenize{admin/admin_commands/kadmin_local:get-principal}}\label{\detokenize{admin/admin_commands/kadmin_local:id7}}\begin{quote}
 
-\sphinxstylestrong{get\_principal} {[}\sphinxstylestrong{-terse}{]} \sphinxstyleemphasis{principal}
+\sphinxAtStartPar
+\sphinxstylestrong{get\_principal} {[}\sphinxstylestrong{\sphinxhyphen{}terse}{]} \sphinxstyleemphasis{principal}
 \end{quote}
 
-Gets the attributes of principal.  With the \sphinxstylestrong{-terse} option, outputs
-fields as quoted tab-separated strings.
+\sphinxAtStartPar
+Gets the attributes of principal.  With the \sphinxstylestrong{\sphinxhyphen{}terse} option, outputs
+fields as quoted tab\sphinxhyphen{}separated strings.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{inquire} privilege, or that the principal
 running the the program to be the same as the one being listed.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{getprinc}
 
+\sphinxAtStartPar
 Examples:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{getprinc} \PYG{n}{tlyu}\PYG{o}{/}\PYG{n}{admin}
 \PYG{n}{Principal}\PYG{p}{:} \PYG{n}{tlyu}\PYG{o}{/}\PYG{n}{admin}\PYG{n+nd}{@BLEEP}\PYG{o}{.}\PYG{n}{COM}
@@ -7480,26 +8526,30 @@ Examples:
 
 
 \subsubsection{list\_principals}
-\label{\detokenize{admin/admin_commands/kadmin_local:id8}}\label{\detokenize{admin/admin_commands/kadmin_local:list-principals}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kadmin_local:list-principals}}\label{\detokenize{admin/admin_commands/kadmin_local:id8}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{list\_principals} {[}\sphinxstyleemphasis{expression}{]}
 \end{quote}
 
-Retrieves all or some principal names.  \sphinxstyleemphasis{expression} is a shell-style
-glob expression that can contain the wild-card characters \sphinxcode{?},
-\sphinxcode{*}, and \sphinxcode{{[}{]}}.  All principal names matching the expression are
+\sphinxAtStartPar
+Retrieves all or some principal names.  \sphinxstyleemphasis{expression} is a shell\sphinxhyphen{}style
+glob expression that can contain the wild\sphinxhyphen{}card characters \sphinxcode{\sphinxupquote{?}},
+\sphinxcode{\sphinxupquote{*}}, and \sphinxcode{\sphinxupquote{{[}{]}}}.  All principal names matching the expression are
 printed.  If no expression is provided, all principal names are
-printed.  If the expression does not contain an \sphinxcode{@} character, an
-\sphinxcode{@} character followed by the local realm is appended to the
+printed.  If the expression does not contain an \sphinxcode{\sphinxupquote{@}} character, an
+\sphinxcode{\sphinxupquote{@}} character followed by the local realm is appended to the
 expression.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{list} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{listprincs}, \sphinxstylestrong{get\_principals}, \sphinxstylestrong{getprincs}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:}  \PYG{n}{listprincs} \PYG{n}{test}\PYG{o}{*}
 \PYG{n}{test3}\PYG{n+nd}{@SECURE}\PYG{o}{\PYGZhy{}}\PYG{n}{TEST}\PYG{o}{.}\PYG{n}{OV}\PYG{o}{.}\PYG{n}{COM}
@@ -7513,45 +8563,55 @@ Example:
 \subsubsection{get\_strings}
 \label{\detokenize{admin/admin_commands/kadmin_local:get-strings}}\label{\detokenize{admin/admin_commands/kadmin_local:id9}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{get\_strings} \sphinxstyleemphasis{principal}
 \end{quote}
 
+\sphinxAtStartPar
 Displays string attributes on \sphinxstyleemphasis{principal}.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{inquire} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{getstrs}
 
 
 \subsubsection{set\_string}
-\label{\detokenize{admin/admin_commands/kadmin_local:id10}}\label{\detokenize{admin/admin_commands/kadmin_local:set-string}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kadmin_local:set-string}}\label{\detokenize{admin/admin_commands/kadmin_local:id10}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{set\_string} \sphinxstyleemphasis{principal} \sphinxstyleemphasis{name} \sphinxstyleemphasis{value}
 \end{quote}
 
+\sphinxAtStartPar
 Sets a string attribute on \sphinxstyleemphasis{principal}.  String attributes are used to
-supply per-principal configuration to the KDC and some KDC plugin
+supply per\sphinxhyphen{}principal configuration to the KDC and some KDC plugin
 modules.  The following string attribute names are recognized by the
 KDC:
 \begin{description}
 \item[{\sphinxstylestrong{require\_auth}}] \leavevmode
+\sphinxAtStartPar
 Specifies an authentication indicator which is required to
 authenticate to the principal as a service.  Multiple indicators
 can be specified, separated by spaces; in this case any of the
 specified indicators will be accepted.  (New in release 1.14.)
 
 \item[{\sphinxstylestrong{session\_enctypes}}] \leavevmode
+\sphinxAtStartPar
 Specifies the encryption types supported for session keys when the
 principal is authenticated to as a server.  See
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:encryption-types}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} for a list of the
 accepted values.
 
 \item[{\sphinxstylestrong{otp}}] \leavevmode
+\sphinxAtStartPar
 Enables One Time Passwords (OTP) preauthentication for a client
 \sphinxstyleemphasis{principal}.  The \sphinxstyleemphasis{value} is a JSON string representing an array
-of objects, each having optional \sphinxcode{type} and \sphinxcode{username} fields.
+of objects, each having optional \sphinxcode{\sphinxupquote{type}} and \sphinxcode{\sphinxupquote{username}} fields.
 
 \item[{\sphinxstylestrong{pkinit\_cert\_match}}] \leavevmode
+\sphinxAtStartPar
 Specifies a matching expression that defines the certificate
 attributes required for the client certificate used by the
 principal during PKINIT authentication.  The matching expression
@@ -7559,23 +8619,26 @@ is in the same format as those used by t
 option in {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.  (New in release 1.16.)
 
 \item[{\sphinxstylestrong{pac\_privsvr\_enctype}}] \leavevmode
+\sphinxAtStartPar
 Forces the encryption type of the PAC KDC checksum buffers to the
 specified encryption type for tickets issued to this server, by
 deriving a key from the local krbtgt key if it is of a different
 encryption type.  It may be necessary to set this value to
-“aes256-sha1” on the cross-realm krbtgt entry for an Active
-Directory realm when using aes-sha2 keys on the local krbtgt
+“aes256\sphinxhyphen{}sha1” on the cross\sphinxhyphen{}realm krbtgt entry for an Active
+Directory realm when using aes\sphinxhyphen{}sha2 keys on the local krbtgt
 entry.
 
 \end{description}
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{modify} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{setstr}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{set\PYGZus{}string} \PYG{n}{host}\PYG{o}{/}\PYG{n}{foo}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{n}{session\PYGZus{}enctypes} \PYG{n}{aes128}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}
 \PYG{n}{set\PYGZus{}string} \PYG{n}{user}\PYG{n+nd}{@FOO}\PYG{o}{.}\PYG{n}{COM} \PYG{n}{otp} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{[}\PYG{l+s+s2}{\PYGZob{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{type}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{:}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{hotp}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{,}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{username}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{:}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{al}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZcb{}]}\PYG{l+s+s2}{\PYGZdq{}}
@@ -7585,53 +8648,68 @@ Example:
 \subsubsection{del\_string}
 \label{\detokenize{admin/admin_commands/kadmin_local:del-string}}\label{\detokenize{admin/admin_commands/kadmin_local:id11}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{del\_string} \sphinxstyleemphasis{principal} \sphinxstyleemphasis{key}
 \end{quote}
 
+\sphinxAtStartPar
 Deletes a string attribute from \sphinxstyleemphasis{principal}.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{delete} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{delstr}
 
 
 \subsubsection{add\_policy}
-\label{\detokenize{admin/admin_commands/kadmin_local:id12}}\label{\detokenize{admin/admin_commands/kadmin_local:add-policy}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kadmin_local:add-policy}}\label{\detokenize{admin/admin_commands/kadmin_local:id12}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{add\_policy} {[}\sphinxstyleemphasis{options}{]} \sphinxstyleemphasis{policy}
 \end{quote}
 
+\sphinxAtStartPar
 Adds a password policy named \sphinxstyleemphasis{policy} to the database.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{add} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{addpol}
 
+\sphinxAtStartPar
 The following options are available:
 \begin{description}
-\item[{\sphinxstylestrong{-maxlife} \sphinxstyleemphasis{time}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxlife} \sphinxstyleemphasis{time}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} or \DUrole{xref,std,std-ref}{getdate} string) Sets the maximum
 lifetime of a password.
 
-\item[{\sphinxstylestrong{-minlife} \sphinxstyleemphasis{time}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}minlife} \sphinxstyleemphasis{time}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} or \DUrole{xref,std,std-ref}{getdate} string) Sets the minimum
 lifetime of a password.
 
-\item[{\sphinxstylestrong{-minlength} \sphinxstyleemphasis{length}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}minlength} \sphinxstyleemphasis{length}}] \leavevmode
+\sphinxAtStartPar
 Sets the minimum length of a password.
 
-\item[{\sphinxstylestrong{-minclasses} \sphinxstyleemphasis{number}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}minclasses} \sphinxstyleemphasis{number}}] \leavevmode
+\sphinxAtStartPar
 Sets the minimum number of character classes required in a
 password.  The five character classes are lower case, upper case,
 numbers, punctuation, and whitespace/unprintable characters.
 
-\item[{\sphinxstylestrong{-history} \sphinxstyleemphasis{number}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}history} \sphinxstyleemphasis{number}}] \leavevmode
+\sphinxAtStartPar
 Sets the number of past keys kept for a principal.  This option is
 not supported with the LDAP KDC database module.
 
 \end{description}
 \phantomsection\label{\detokenize{admin/admin_commands/kadmin_local:policy-maxfailure}}\begin{description}
-\item[{\sphinxstylestrong{-maxfailure} \sphinxstyleemphasis{maxnumber}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxfailure} \sphinxstyleemphasis{maxnumber}}] \leavevmode
+\sphinxAtStartPar
 Sets the number of authentication failures before the principal is
 locked.  Authentication failures are only tracked for principals
 which require preauthentication.  The counter of failed attempts
@@ -7640,7 +8718,8 @@ resets to 0 after a successful attempt t
 
 \end{description}
 \phantomsection\label{\detokenize{admin/admin_commands/kadmin_local:policy-failurecountinterval}}\begin{description}
-\item[{\sphinxstylestrong{-failurecountinterval} \sphinxstyleemphasis{failuretime}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}failurecountinterval} \sphinxstyleemphasis{failuretime}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} or \DUrole{xref,std,std-ref}{getdate} string) Sets the allowable time
 between authentication failures.  If an authentication failure
 happens after \sphinxstyleemphasis{failuretime} has elapsed since the previous
@@ -7649,27 +8728,29 @@ failure, the number of authentication fa
 
 \end{description}
 \phantomsection\label{\detokenize{admin/admin_commands/kadmin_local:policy-lockoutduration}}\begin{description}
-\item[{\sphinxstylestrong{-lockoutduration} \sphinxstyleemphasis{lockouttime}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}lockoutduration} \sphinxstyleemphasis{lockouttime}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} or \DUrole{xref,std,std-ref}{getdate} string) Sets the duration for
 which the principal is locked from authenticating if too many
 authentication failures occur without the specified failure count
 interval elapsing.  A duration of 0 (the default) means the
 principal remains locked out until it is administratively unlocked
-with \sphinxcode{modprinc -unlock}.
+with \sphinxcode{\sphinxupquote{modprinc \sphinxhyphen{}unlock}}.
 
-\item[{\sphinxstylestrong{-allowedkeysalts}}] \leavevmode
-Specifies the key/salt tuples supported for long-term keys when
+\item[{\sphinxstylestrong{\sphinxhyphen{}allowedkeysalts}}] \leavevmode
+\sphinxAtStartPar
+Specifies the key/salt tuples supported for long\sphinxhyphen{}term keys when
 setting or changing a principal’s password/keys.  See
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:keysalt-lists}]{\sphinxcrossref{\DUrole{std,std-ref}{Keysalt lists}}}} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} for a list of the
 accepted values, but note that key/salt tuples must be separated
 with commas (‘,’) only.  To clear the allowed key/salt policy use
-a value of ‘-‘.
+a value of ‘\sphinxhyphen{}‘.
 
 \end{description}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{add\PYGZus{}policy} \PYG{o}{\PYGZhy{}}\PYG{n}{maxlife} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{2 days}\PYG{l+s+s2}{\PYGZdq{}} \PYG{o}{\PYGZhy{}}\PYG{n}{minlength} \PYG{l+m+mi}{5} \PYG{n}{guests}
 \PYG{n}{kadmin}\PYG{p}{:}
@@ -7677,36 +8758,44 @@ Example:
 
 
 \subsubsection{modify\_policy}
-\label{\detokenize{admin/admin_commands/kadmin_local:id13}}\label{\detokenize{admin/admin_commands/kadmin_local:modify-policy}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kadmin_local:modify-policy}}\label{\detokenize{admin/admin_commands/kadmin_local:id13}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{modify\_policy} {[}\sphinxstyleemphasis{options}{]} \sphinxstyleemphasis{policy}
 \end{quote}
 
+\sphinxAtStartPar
 Modifies the password policy named \sphinxstyleemphasis{policy}.  Options are as described
 for \sphinxstylestrong{add\_policy}.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{modify} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{modpol}
 
 
 \subsubsection{delete\_policy}
 \label{\detokenize{admin/admin_commands/kadmin_local:delete-policy}}\label{\detokenize{admin/admin_commands/kadmin_local:id14}}\begin{quote}
 
-\sphinxstylestrong{delete\_policy} {[}\sphinxstylestrong{-force}{]} \sphinxstyleemphasis{policy}
+\sphinxAtStartPar
+\sphinxstylestrong{delete\_policy} {[}\sphinxstylestrong{\sphinxhyphen{}force}{]} \sphinxstyleemphasis{policy}
 \end{quote}
 
+\sphinxAtStartPar
 Deletes the password policy named \sphinxstyleemphasis{policy}.  Prompts for confirmation
 before deletion.  The command will fail if the policy is in use by any
 principals.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{delete} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{delpol}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 kadmin: del\PYGZus{}policy guests
 Are you sure you want to delete the policy \PYGZdq{}guests\PYGZdq{}?
@@ -7718,20 +8807,24 @@ kadmin:
 \subsubsection{get\_policy}
 \label{\detokenize{admin/admin_commands/kadmin_local:get-policy}}\label{\detokenize{admin/admin_commands/kadmin_local:id15}}\begin{quote}
 
-\sphinxstylestrong{get\_policy} {[} \sphinxstylestrong{-terse} {]} \sphinxstyleemphasis{policy}
+\sphinxAtStartPar
+\sphinxstylestrong{get\_policy} {[} \sphinxstylestrong{\sphinxhyphen{}terse} {]} \sphinxstyleemphasis{policy}
 \end{quote}
 
+\sphinxAtStartPar
 Displays the values of the password policy named \sphinxstyleemphasis{policy}.  With the
-\sphinxstylestrong{-terse} flag, outputs the fields as quoted strings separated by
+\sphinxstylestrong{\sphinxhyphen{}terse} flag, outputs the fields as quoted strings separated by
 tabs.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{inquire} privilege.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{getpol}
 
+\sphinxAtStartPar
 Examples:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{get\PYGZus{}policy} \PYG{n}{admin}
 \PYG{n}{Policy}\PYG{p}{:} \PYG{n}{admin}
@@ -7747,6 +8840,7 @@ Examples:
 \PYG{n}{kadmin}\PYG{p}{:}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The “Reference count” is the number of principals using that policy.
 With the LDAP KDC database module, the reference count field is not
 meaningful.
@@ -7755,22 +8849,26 @@ meaningful.
 \subsubsection{list\_policies}
 \label{\detokenize{admin/admin_commands/kadmin_local:list-policies}}\label{\detokenize{admin/admin_commands/kadmin_local:id16}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{list\_policies} {[}\sphinxstyleemphasis{expression}{]}
 \end{quote}
 
-Retrieves all or some policy names.  \sphinxstyleemphasis{expression} is a shell-style
-glob expression that can contain the wild-card characters \sphinxcode{?},
-\sphinxcode{*}, and \sphinxcode{{[}{]}}.  All policy names matching the expression are
+\sphinxAtStartPar
+Retrieves all or some policy names.  \sphinxstyleemphasis{expression} is a shell\sphinxhyphen{}style
+glob expression that can contain the wild\sphinxhyphen{}card characters \sphinxcode{\sphinxupquote{?}},
+\sphinxcode{\sphinxupquote{*}}, and \sphinxcode{\sphinxupquote{{[}{]}}}.  All policy names matching the expression are
 printed.  If no expression is provided, all existing policy names are
 printed.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{list} privilege.
 
+\sphinxAtStartPar
 Aliases: \sphinxstylestrong{listpols}, \sphinxstylestrong{get\_policies}, \sphinxstylestrong{getpols}.
 
+\sphinxAtStartPar
 Examples:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:}  \PYG{n}{listpols}
 \PYG{n}{test}\PYG{o}{\PYGZhy{}}\PYG{n}{pol}
@@ -7790,48 +8888,57 @@ Examples:
 
 \begin{DUlineblock}{0em}
 \item[] \sphinxstylestrong{ktadd} {[}options{]} \sphinxstyleemphasis{principal}
-\item[] \sphinxstylestrong{ktadd} {[}options{]} \sphinxstylestrong{-glob} \sphinxstyleemphasis{princ-exp}
+\item[] \sphinxstylestrong{ktadd} {[}options{]} \sphinxstylestrong{\sphinxhyphen{}glob} \sphinxstyleemphasis{princ\sphinxhyphen{}exp}
 \end{DUlineblock}
 \end{quote}
 
-Adds a \sphinxstyleemphasis{principal}, or all principals matching \sphinxstyleemphasis{princ-exp}, to a
+\sphinxAtStartPar
+Adds a \sphinxstyleemphasis{principal}, or all principals matching \sphinxstyleemphasis{princ\sphinxhyphen{}exp}, to a
 keytab file.  Each principal’s keys are randomized in the process.
-The rules for \sphinxstyleemphasis{princ-exp} are described in the \sphinxstylestrong{list\_principals}
+The rules for \sphinxstyleemphasis{princ\sphinxhyphen{}exp} are described in the \sphinxstylestrong{list\_principals}
 command.
 
+\sphinxAtStartPar
 This command requires the \sphinxstylestrong{inquire} and \sphinxstylestrong{changepw} privileges.
-With the \sphinxstylestrong{-glob} form, it also requires the \sphinxstylestrong{list} privilege.
+With the \sphinxstylestrong{\sphinxhyphen{}glob} form, it also requires the \sphinxstylestrong{list} privilege.
 
+\sphinxAtStartPar
 The options are:
 \begin{description}
-\item[{\sphinxstylestrong{-k{[}eytab{]}} \sphinxstyleemphasis{keytab}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k{[}eytab{]}} \sphinxstyleemphasis{keytab}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{keytab} as the keytab file.  Otherwise, the default keytab is
 used.
 
-\item[{\sphinxstylestrong{-e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt},…}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt},…}] \leavevmode
+\sphinxAtStartPar
 Uses the specified keysalt list for setting the new keys of the
 principal.  See {\hyperref[\detokenize{admin/conf_files/kdc_conf:keysalt-lists}]{\sphinxcrossref{\DUrole{std,std-ref}{Keysalt lists}}}} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} for a
 list of possible values.
 
-\item[{\sphinxstylestrong{-q}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}q}}] \leavevmode
+\sphinxAtStartPar
 Display less verbose information.
 
-\item[{\sphinxstylestrong{-norandkey}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}norandkey}}] \leavevmode
+\sphinxAtStartPar
 Do not randomize the keys. The keys and their version numbers stay
 unchanged.  This option cannot be specified in combination with the
-\sphinxstylestrong{-e} option.
+\sphinxstylestrong{\sphinxhyphen{}e} option.
 
 \end{description}
 
+\sphinxAtStartPar
 An entry for each of the principal’s unique encryption types is added,
 ignoring multiple keys with the same encryption type but different
 salt types.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{xst}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{ktadd} \PYG{o}{\PYGZhy{}}\PYG{n}{k} \PYG{o}{/}\PYG{n}{tmp}\PYG{o}{/}\PYG{n}{foo}\PYG{o}{\PYGZhy{}}\PYG{n}{new}\PYG{o}{\PYGZhy{}}\PYG{n}{keytab} \PYG{n}{host}\PYG{o}{/}\PYG{n}{foo}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
 \PYG{n}{Entry} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{host}\PYG{o}{/}\PYG{n}{foo}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{k}{with} \PYG{n}{kvno} \PYG{l+m+mi}{3}\PYG{p}{,}
@@ -7842,36 +8949,43 @@ Example:
 
 
 \subsubsection{ktremove}
-\label{\detokenize{admin/admin_commands/kadmin_local:id18}}\label{\detokenize{admin/admin_commands/kadmin_local:ktremove}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kadmin_local:ktremove}}\label{\detokenize{admin/admin_commands/kadmin_local:id18}}\begin{quote}
 
-\sphinxstylestrong{ktremove} {[}options{]} \sphinxstyleemphasis{principal} {[}\sphinxstyleemphasis{kvno} \textbar{} \sphinxstyleemphasis{all} \textbar{} \sphinxstyleemphasis{old}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{ktremove} {[}options{]} \sphinxstyleemphasis{principal} {[}\sphinxstyleemphasis{kvno} | \sphinxstyleemphasis{all} | \sphinxstyleemphasis{old}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Removes entries for the specified \sphinxstyleemphasis{principal} from a keytab.  Requires
 no permissions, since this does not require database access.
 
+\sphinxAtStartPar
 If the string “all” is specified, all entries for that principal are
 removed; if the string “old” is specified, all entries for that
 principal except those with the highest kvno are removed.  Otherwise,
 the value specified is parsed as an integer, and all entries whose
 kvno match that integer are removed.
 
+\sphinxAtStartPar
 The options are:
 \begin{description}
-\item[{\sphinxstylestrong{-k{[}eytab{]}} \sphinxstyleemphasis{keytab}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k{[}eytab{]}} \sphinxstyleemphasis{keytab}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{keytab} as the keytab file.  Otherwise, the default keytab is
 used.
 
-\item[{\sphinxstylestrong{-q}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}q}}] \leavevmode
+\sphinxAtStartPar
 Display less verbose information.
 
 \end{description}
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{ktrem}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kadmin}\PYG{p}{:} \PYG{n}{ktremove} \PYG{n}{kadmin}\PYG{o}{/}\PYG{n}{admin} \PYG{n+nb}{all}
 \PYG{n}{Entry} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{kadmin}\PYG{o}{/}\PYG{n}{admin} \PYG{k}{with} \PYG{n}{kvno} \PYG{l+m+mi}{3} \PYG{n}{removed} \PYG{k+kn}{from} \PYG{n+nn}{keytab}
@@ -7882,67 +8996,78 @@ Example:
 
 \subsubsection{lock}
 \label{\detokenize{admin/admin_commands/kadmin_local:lock}}
+\sphinxAtStartPar
 Lock database exclusively.  Use with extreme caution!  This command
 only works with the DB2 KDC database module.
 
 
 \subsubsection{unlock}
 \label{\detokenize{admin/admin_commands/kadmin_local:unlock}}
+\sphinxAtStartPar
 Release the exclusive database lock.
 
 
 \subsubsection{list\_requests}
 \label{\detokenize{admin/admin_commands/kadmin_local:list-requests}}
+\sphinxAtStartPar
 Lists available for kadmin requests.
 
+\sphinxAtStartPar
 Aliases: \sphinxstylestrong{lr}, \sphinxstylestrong{?}
 
 
 \subsubsection{quit}
 \label{\detokenize{admin/admin_commands/kadmin_local:quit}}
+\sphinxAtStartPar
 Exit program.  If the database was locked, the lock is released.
 
+\sphinxAtStartPar
 Aliases: \sphinxstylestrong{exit}, \sphinxstylestrong{q}
 
 
 \subsection{HISTORY}
 \label{\detokenize{admin/admin_commands/kadmin_local:history}}
+\sphinxAtStartPar
 The kadmin program was originally written by Tom Yu at MIT, as an
 interface to the OpenVision Kerberos administration program.
 
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/kadmin_local:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/kadmin_local:see-also}}
+\sphinxAtStartPar
 \DUrole{xref,std,std-ref}{kpasswd(1)}, {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}}, \DUrole{xref,std,std-ref}{kerberos(7)}
 
 
 \section{kadmind}
-\label{\detokenize{admin/admin_commands/kadmind:kadmind-8}}\label{\detokenize{admin/admin_commands/kadmind:kadmind}}\label{\detokenize{admin/admin_commands/kadmind::doc}}
+\label{\detokenize{admin/admin_commands/kadmind:kadmind}}\label{\detokenize{admin/admin_commands/kadmind:kadmind-8}}\label{\detokenize{admin/admin_commands/kadmind::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/kadmind:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kadmind}
-{[}\sphinxstylestrong{-x} \sphinxstyleemphasis{db\_args}{]}
-{[}\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}{]}
-{[}\sphinxstylestrong{-m}{]}
-{[}\sphinxstylestrong{-nofork}{]}
-{[}\sphinxstylestrong{-proponly}{]}
-{[}\sphinxstylestrong{-port} \sphinxstyleemphasis{port-number}{]}
-{[}\sphinxstylestrong{-P} \sphinxstyleemphasis{pid\_file}{]}
-{[}\sphinxstylestrong{-p} \sphinxstyleemphasis{kdb5\_util\_path}{]}
-{[}\sphinxstylestrong{-K} \sphinxstyleemphasis{kprop\_path}{]}
-{[}\sphinxstylestrong{-k} \sphinxstyleemphasis{kprop\_port}{]}
-{[}\sphinxstylestrong{-F} \sphinxstyleemphasis{dump\_file}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_args}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}m}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}nofork}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}proponly}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}port} \sphinxstyleemphasis{port\sphinxhyphen{}number}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{pid\_file}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{kdb5\_util\_path}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}K} \sphinxstyleemphasis{kprop\_path}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{kprop\_port}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}F} \sphinxstyleemphasis{dump\_file}{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{admin/admin_commands/kadmind:description}}
+\sphinxAtStartPar
 kadmind starts the Kerberos administration server.  kadmind typically
 runs on the primary Kerberos server, which stores the KDC database.
 If the KDC database uses the LDAP module, the administration server
@@ -7950,33 +9075,38 @@ and the KDC server need not run on the s
 remote requests from programs such as {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} and
 \DUrole{xref,std,std-ref}{kpasswd(1)} to administer the information in these database.
 
+\sphinxAtStartPar
 kadmind requires a number of configuration files to be set up in order
 for it to work:
 \begin{description}
 \item[{{\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}}] \leavevmode
+\sphinxAtStartPar
 The KDC configuration file contains configuration information for
 the KDC and admin servers.  kadmind uses settings in this file to
 locate the Kerberos database, and is also affected by the
-\sphinxstylestrong{acl\_file}, \sphinxstylestrong{dict\_file}, \sphinxstylestrong{kadmind\_port}, and iprop-related
+\sphinxstylestrong{acl\_file}, \sphinxstylestrong{dict\_file}, \sphinxstylestrong{kadmind\_port}, and iprop\sphinxhyphen{}related
 settings.
 
 \item[{{\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}}}] \leavevmode
+\sphinxAtStartPar
 kadmind’s ACL (access control list) tells it which principals are
 allowed to perform administration actions.  The pathname to the
 ACL file can be specified with the \sphinxstylestrong{acl\_file} {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}
-variable; by default, it is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/kadm5.acl}.
+variable; by default, it is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kadm5.acl}}.
 
 \end{description}
 
+\sphinxAtStartPar
 After the server begins running, it puts itself in the background and
 disassociates itself from its controlling terminal.
 
+\sphinxAtStartPar
 kadmind can be configured for incremental database propagation.
 Incremental propagation allows replica KDC servers to receive
 principal and policy updates incrementally instead of receiving full
 dumps of the database.  This facility can be enabled in the
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} file with the \sphinxstylestrong{iprop\_enable} option.  Incremental
-propagation requires the principal \sphinxcode{kiprop/PRIMARY\textbackslash{}@REALM} (where
+propagation requires the principal \sphinxcode{\sphinxupquote{kiprop/PRIMARY\textbackslash{}@REALM}} (where
 PRIMARY is the primary KDC’s canonical host name, and REALM the realm
 name).  In release 1.13, this principal is automatically created and
 registered into the datebase.
@@ -7984,147 +9114,173 @@ registered into the datebase.
 
 \subsection{OPTIONS}
 \label{\detokenize{admin/admin_commands/kadmind:options}}\begin{description}
-\item[{\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}}] \leavevmode
+\sphinxAtStartPar
 specifies the realm that kadmind will serve; if it is not
 specified, the default realm of the host is used.
 
-\item[{\sphinxstylestrong{-m}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}m}}] \leavevmode
+\sphinxAtStartPar
 causes the master database password to be fetched from the
 keyboard (before the server puts itself in the background, if not
-invoked with the \sphinxstylestrong{-nofork} option) rather than from a file on
+invoked with the \sphinxstylestrong{\sphinxhyphen{}nofork} option) rather than from a file on
 disk.
 
-\item[{\sphinxstylestrong{-nofork}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}nofork}}] \leavevmode
+\sphinxAtStartPar
 causes the server to remain in the foreground and remain
 associated to the terminal.
 
-\item[{\sphinxstylestrong{-proponly}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}proponly}}] \leavevmode
+\sphinxAtStartPar
 causes the server to only listen and respond to Kerberos replica
 incremental propagation polling requests.  This option can be used
 to set up a hierarchical propagation topology where a replica KDC
 provides incremental updates to other Kerberos replicas.
 
-\item[{\sphinxstylestrong{-port} \sphinxstyleemphasis{port-number}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}port} \sphinxstyleemphasis{port\sphinxhyphen{}number}}] \leavevmode
+\sphinxAtStartPar
 specifies the port on which the administration server listens for
 connections.  The default port is determined by the
 \sphinxstylestrong{kadmind\_port} configuration variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
-\item[{\sphinxstylestrong{-P} \sphinxstyleemphasis{pid\_file}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{pid\_file}}] \leavevmode
+\sphinxAtStartPar
 specifies the file to which the PID of kadmind process should be
 written after it starts up.  This file can be used to identify
 whether kadmind is still running and to allow init scripts to stop
 the correct process.
 
-\item[{\sphinxstylestrong{-p} \sphinxstyleemphasis{kdb5\_util\_path}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{kdb5\_util\_path}}] \leavevmode
+\sphinxAtStartPar
 specifies the path to the kdb5\_util command to use when dumping the
 KDB in response to full resync requests when iprop is enabled.
 
-\item[{\sphinxstylestrong{-K} \sphinxstyleemphasis{kprop\_path}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}K} \sphinxstyleemphasis{kprop\_path}}] \leavevmode
+\sphinxAtStartPar
 specifies the path to the kprop command to use to send full dumps
 to replicas in response to full resync requests.
 
-\item[{\sphinxstylestrong{-k} \sphinxstyleemphasis{kprop\_port}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{kprop\_port}}] \leavevmode
+\sphinxAtStartPar
 specifies the port by which the kprop process that is spawned by
 kadmind connects to the replica kpropd, in order to transfer the
 dump file during an iprop full resync request.
 
-\item[{\sphinxstylestrong{-F} \sphinxstyleemphasis{dump\_file}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}F} \sphinxstyleemphasis{dump\_file}}] \leavevmode
+\sphinxAtStartPar
 specifies the file path to be used for dumping the KDB in response
 to full resync requests when iprop is enabled.
 
-\item[{\sphinxstylestrong{-x} \sphinxstyleemphasis{db\_args}}] \leavevmode
-specifies database-specific arguments.  See {\hyperref[\detokenize{admin/admin_commands/kadmin_local:dboptions}]{\sphinxcrossref{\DUrole{std,std-ref}{Database Options}}}} in {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} for supported arguments.
+\item[{\sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_args}}] \leavevmode
+\sphinxAtStartPar
+specifies database\sphinxhyphen{}specific arguments.  See {\hyperref[\detokenize{admin/admin_commands/kadmin_local:dboptions}]{\sphinxcrossref{\DUrole{std,std-ref}{Database Options}}}} in {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} for supported arguments.
 
 \end{description}
 
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/kadmind:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/kadmind:see-also}}
+\sphinxAtStartPar
 \DUrole{xref,std,std-ref}{kpasswd(1)}, {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}, {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}},
 {\hyperref[\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_ldap\_util}}}}, {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}}, \DUrole{xref,std,std-ref}{kerberos(7)}
 
 
 \section{kdb5\_util}
-\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}}\label{\detokenize{admin/admin_commands/kdb5_util::doc}}\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util}}
+\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util}}\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}}\label{\detokenize{admin/admin_commands/kdb5_util::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/kdb5_util:synopsis}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kdb5\_util}
-{[}\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}{]}
-{[}\sphinxstylestrong{-d} \sphinxstyleemphasis{dbname}{]}
-{[}\sphinxstylestrong{-k} \sphinxstyleemphasis{mkeytype}{]}
-{[}\sphinxstylestrong{-kv} \sphinxstyleemphasis{mkeyVNO}{]}
-{[}\sphinxstylestrong{-M} \sphinxstyleemphasis{mkeyname}{]}
-{[}\sphinxstylestrong{-m}{]}
-{[}\sphinxstylestrong{-sf} \sphinxstyleemphasis{stashfilename}{]}
-{[}\sphinxstylestrong{-P} \sphinxstyleemphasis{password}{]}
-{[}\sphinxstylestrong{-x} \sphinxstyleemphasis{db\_args}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}d} \sphinxstyleemphasis{dbname}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{mkeytype}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}kv} \sphinxstyleemphasis{mkeyVNO}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}M} \sphinxstyleemphasis{mkeyname}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}m}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}sf} \sphinxstyleemphasis{stashfilename}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{password}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_args}{]}
 \sphinxstyleemphasis{command} {[}\sphinxstyleemphasis{command\_options}{]}
 
 
 \subsection{DESCRIPTION}
-\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-synopsis-end}}\label{\detokenize{admin/admin_commands/kdb5_util:description}}
+\label{\detokenize{admin/admin_commands/kdb5_util:description}}\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-synopsis-end}}
+\sphinxAtStartPar
 kdb5\_util allows an administrator to perform maintenance procedures on
 the KDC database.  Databases can be created, destroyed, and dumped to
 or loaded from ASCII files.  kdb5\_util can create a Kerberos master
 key stash file or perform live rollover of the master key.
 
+\sphinxAtStartPar
 When kdb5\_util is run, it attempts to acquire the master key and open
 the database.  However, execution continues regardless of whether or
 not kdb5\_util successfully opens the database, because the database
 may not exist yet or the stash file may be corrupt.
 
+\sphinxAtStartPar
 Note that some KDC database modules may not support all kdb5\_util
 commands.
 
 
-\subsection{COMMAND-LINE OPTIONS}
+\subsection{COMMAND\sphinxhyphen{}LINE OPTIONS}
 \label{\detokenize{admin/admin_commands/kdb5_util:command-line-options}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-options}}\begin{description}
-\item[{\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}}] \leavevmode
+\sphinxAtStartPar
 specifies the Kerberos realm of the database.
 
-\item[{\sphinxstylestrong{-d} \sphinxstyleemphasis{dbname}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}d} \sphinxstyleemphasis{dbname}}] \leavevmode
+\sphinxAtStartPar
 specifies the name under which the principal database is stored;
 by default the database is that listed in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.  The
 password policy database and lock files are also derived from this
 value.
 
-\item[{\sphinxstylestrong{-k} \sphinxstyleemphasis{mkeytype}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{mkeytype}}] \leavevmode
+\sphinxAtStartPar
 specifies the key type of the master key in the database.  The
 default is given by the \sphinxstylestrong{master\_key\_type} variable in
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
-\item[{\sphinxstylestrong{-kv} \sphinxstyleemphasis{mkeyVNO}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}kv} \sphinxstyleemphasis{mkeyVNO}}] \leavevmode
+\sphinxAtStartPar
 Specifies the version number of the master key in the database;
 the default is 1.  Note that 0 is not allowed.
 
-\item[{\sphinxstylestrong{-M} \sphinxstyleemphasis{mkeyname}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}M} \sphinxstyleemphasis{mkeyname}}] \leavevmode
+\sphinxAtStartPar
 principal name for the master key in the database.  If not
 specified, the name is determined by the \sphinxstylestrong{master\_key\_name}
 variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
-\item[{\sphinxstylestrong{-m}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}m}}] \leavevmode
+\sphinxAtStartPar
 specifies that the master database password should be read from
 the keyboard rather than fetched from a file on disk.
 
-\item[{\sphinxstylestrong{-sf} \sphinxstyleemphasis{stash\_file}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}sf} \sphinxstyleemphasis{stash\_file}}] \leavevmode
+\sphinxAtStartPar
 specifies the stash filename of the master database password.  If
 not specified, the filename is determined by the
 \sphinxstylestrong{key\_stash\_file} variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
-\item[{\sphinxstylestrong{-P} \sphinxstyleemphasis{password}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{password}}] \leavevmode
+\sphinxAtStartPar
 specifies the master database password.  Using this option may
 expose the password to other users on the system via the process
 list.
 
-\item[{\sphinxstylestrong{-x} \sphinxstyleemphasis{db\_args}}] \leavevmode
-specifies database-specific options.  See {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} for
+\item[{\sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_args}}] \leavevmode
+\sphinxAtStartPar
+specifies database\sphinxhyphen{}specific options.  See {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} for
 supported options.
 
 \end{description}
@@ -8136,10 +9292,12 @@ supported options.
 \subsubsection{create}
 \label{\detokenize{admin/admin_commands/kdb5_util:create}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-create}}\begin{quote}
 
-\sphinxstylestrong{create} {[}\sphinxstylestrong{-s}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{create} {[}\sphinxstylestrong{\sphinxhyphen{}s}{]}
 \end{quote}
 
-Creates a new database.  If the \sphinxstylestrong{-s} option is specified, the stash
+\sphinxAtStartPar
+Creates a new database.  If the \sphinxstylestrong{\sphinxhyphen{}s} option is specified, the stash
 file is also created.  This command fails if the database already
 exists.  If the command is successful, the database is opened just as
 if it had already existed when the program was first run.
@@ -8148,132 +9306,157 @@ if it had already existed when the progr
 \subsubsection{destroy}
 \label{\detokenize{admin/admin_commands/kdb5_util:destroy}}\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-create-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-destroy}}\begin{quote}
 
-\sphinxstylestrong{destroy} {[}\sphinxstylestrong{-f}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{destroy} {[}\sphinxstylestrong{\sphinxhyphen{}f}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Destroys the database, first overwriting the disk sectors and then
 unlinking the files, after prompting the user for confirmation.  With
-the \sphinxstylestrong{-f} argument, does not prompt the user.
+the \sphinxstylestrong{\sphinxhyphen{}f} argument, does not prompt the user.
 
 
 \subsubsection{stash}
-\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-destroy-end}}\label{\detokenize{admin/admin_commands/kdb5_util:stash}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-stash}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kdb5_util:stash}}\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-destroy-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-stash}}\begin{quote}
 
-\sphinxstylestrong{stash} {[}\sphinxstylestrong{-f} \sphinxstyleemphasis{keyfile}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{stash} {[}\sphinxstylestrong{\sphinxhyphen{}f} \sphinxstyleemphasis{keyfile}{]}
 \end{quote}
 
-Stores the master principal’s keys in a stash file.  The \sphinxstylestrong{-f}
+\sphinxAtStartPar
+Stores the master principal’s keys in a stash file.  The \sphinxstylestrong{\sphinxhyphen{}f}
 argument can be used to override the \sphinxstyleemphasis{keyfile} specified in
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
 
 \subsubsection{dump}
-\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-stash-end}}\label{\detokenize{admin/admin_commands/kdb5_util:dump}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-dump}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kdb5_util:dump}}\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-stash-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-dump}}\begin{quote}
 
-\sphinxstylestrong{dump} {[}\sphinxstylestrong{-b7}\textbar{}\sphinxstylestrong{-r13}\textbar{}\sphinxstylestrong{-r18}{]}
-{[}\sphinxstylestrong{-verbose}{]} {[}\sphinxstylestrong{-mkey\_convert}{]} {[}\sphinxstylestrong{-new\_mkey\_file}
-\sphinxstyleemphasis{mkey\_file}{]} {[}\sphinxstylestrong{-rev}{]} {[}\sphinxstylestrong{-recurse}{]} {[}\sphinxstyleemphasis{filename}
+\sphinxAtStartPar
+\sphinxstylestrong{dump} {[}\sphinxstylestrong{\sphinxhyphen{}b7}|\sphinxstylestrong{\sphinxhyphen{}r13}|\sphinxstylestrong{\sphinxhyphen{}r18}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}verbose}{]} {[}\sphinxstylestrong{\sphinxhyphen{}mkey\_convert}{]} {[}\sphinxstylestrong{\sphinxhyphen{}new\_mkey\_file}
+\sphinxstyleemphasis{mkey\_file}{]} {[}\sphinxstylestrong{\sphinxhyphen{}rev}{]} {[}\sphinxstylestrong{\sphinxhyphen{}recurse}{]} {[}\sphinxstyleemphasis{filename}
 {[}\sphinxstyleemphasis{principals}…{]}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Dumps the current Kerberos and KADM5 database into an ASCII file.  By
 default, the database is dumped in current format, “kdb5\_util
 load\_dump version 7”.  If filename is not specified, or is the string
-“-“, the dump is sent to standard output.  Options:
+“\sphinxhyphen{}”, the dump is sent to standard output.  Options:
 \begin{description}
-\item[{\sphinxstylestrong{-b7}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}b7}}] \leavevmode
+\sphinxAtStartPar
 causes the dump to be in the Kerberos 5 Beta 7 format (“kdb5\_util
 load\_dump version 4”).  This was the dump format produced on
 releases prior to 1.2.2.
 
-\item[{\sphinxstylestrong{-r13}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r13}}] \leavevmode
+\sphinxAtStartPar
 causes the dump to be in the Kerberos 5 1.3 format (“kdb5\_util
 load\_dump version 5”).  This was the dump format produced on
 releases prior to 1.8.
 
-\item[{\sphinxstylestrong{-r18}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r18}}] \leavevmode
+\sphinxAtStartPar
 causes the dump to be in the Kerberos 5 1.8 format (“kdb5\_util
 load\_dump version 6”).  This was the dump format produced on
 releases prior to 1.11.
 
-\item[{\sphinxstylestrong{-verbose}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}verbose}}] \leavevmode
+\sphinxAtStartPar
 causes the name of each principal and policy to be printed as it
 is dumped.
 
-\item[{\sphinxstylestrong{-mkey\_convert}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}mkey\_convert}}] \leavevmode
+\sphinxAtStartPar
 prompts for a new master key.  This new master key will be used to
-re-encrypt principal key data in the dumpfile.  The principal keys
+re\sphinxhyphen{}encrypt principal key data in the dumpfile.  The principal keys
 themselves will not be changed.
 
-\item[{\sphinxstylestrong{-new\_mkey\_file} \sphinxstyleemphasis{mkey\_file}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}new\_mkey\_file} \sphinxstyleemphasis{mkey\_file}}] \leavevmode
+\sphinxAtStartPar
 the filename of a stash file.  The master key in this stash file
-will be used to re-encrypt the key data in the dumpfile.  The key
+will be used to re\sphinxhyphen{}encrypt the key data in the dumpfile.  The key
 data in the database will not be changed.
 
-\item[{\sphinxstylestrong{-rev}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}rev}}] \leavevmode
+\sphinxAtStartPar
 dumps in reverse order.  This may recover principals that do not
 dump normally, in cases where database corruption has occurred.
 
-\item[{\sphinxstylestrong{-recurse}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}recurse}}] \leavevmode
+\sphinxAtStartPar
 causes the dump to walk the database recursively (btree only).
 This may recover principals that do not dump normally, in cases
 where database corruption has occurred.  In cases of such
 corruption, this option will probably retrieve more principals
-than the \sphinxstylestrong{-rev} option will.
+than the \sphinxstylestrong{\sphinxhyphen{}rev} option will.
 
-\DUrole{versionmodified}{Changed in version 1.15: }Release 1.15 restored the functionality of the \sphinxstylestrong{-recurse}
+\sphinxAtStartPar
+\DUrole{versionmodified,changed}{Changed in version 1.15: }Release 1.15 restored the functionality of the \sphinxstylestrong{\sphinxhyphen{}recurse}
 option.
 
-\DUrole{versionmodified}{Changed in version 1.5: }The \sphinxstylestrong{-recurse} option ceased working until release 1.15,
+\sphinxAtStartPar
+\DUrole{versionmodified,changed}{Changed in version 1.5: }The \sphinxstylestrong{\sphinxhyphen{}recurse} option ceased working until release 1.15,
 doing a normal dump instead of a recursive traversal.
 
 \end{description}
 
 
 \subsubsection{load}
-\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-dump-end}}\label{\detokenize{admin/admin_commands/kdb5_util:load}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-load}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kdb5_util:load}}\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-dump-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-load}}\begin{quote}
 
-\sphinxstylestrong{load} {[}\sphinxstylestrong{-b7}\textbar{}\sphinxstylestrong{-r13}\textbar{}\sphinxstylestrong{-r18}{]} {[}\sphinxstylestrong{-hash}{]}
-{[}\sphinxstylestrong{-verbose}{]} {[}\sphinxstylestrong{-update}{]} \sphinxstyleemphasis{filename}
+\sphinxAtStartPar
+\sphinxstylestrong{load} {[}\sphinxstylestrong{\sphinxhyphen{}b7}|\sphinxstylestrong{\sphinxhyphen{}r13}|\sphinxstylestrong{\sphinxhyphen{}r18}{]} {[}\sphinxstylestrong{\sphinxhyphen{}hash}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}verbose}{]} {[}\sphinxstylestrong{\sphinxhyphen{}update}{]} \sphinxstyleemphasis{filename}
 \end{quote}
 
+\sphinxAtStartPar
 Loads a database dump from the named file into the named database.  If
 no option is given to determine the format of the dump file, the
 format is detected automatically and handled as appropriate.  Unless
-the \sphinxstylestrong{-update} option is given, \sphinxstylestrong{load} creates a new database
+the \sphinxstylestrong{\sphinxhyphen{}update} option is given, \sphinxstylestrong{load} creates a new database
 containing only the data in the dump file, overwriting the contents of
 any previously existing database.  Note that when using the LDAP KDC
-database module, the \sphinxstylestrong{-update} flag is required.
+database module, the \sphinxstylestrong{\sphinxhyphen{}update} flag is required.
 
+\sphinxAtStartPar
 Options:
 \begin{description}
-\item[{\sphinxstylestrong{-b7}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}b7}}] \leavevmode
+\sphinxAtStartPar
 requires the database to be in the Kerberos 5 Beta 7 format
 (“kdb5\_util load\_dump version 4”).  This was the dump format
 produced on releases prior to 1.2.2.
 
-\item[{\sphinxstylestrong{-r13}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r13}}] \leavevmode
+\sphinxAtStartPar
 requires the database to be in Kerberos 5 1.3 format (“kdb5\_util
 load\_dump version 5”).  This was the dump format produced on
 releases prior to 1.8.
 
-\item[{\sphinxstylestrong{-r18}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r18}}] \leavevmode
+\sphinxAtStartPar
 requires the database to be in Kerberos 5 1.8 format (“kdb5\_util
 load\_dump version 6”).  This was the dump format produced on
 releases prior to 1.11.
 
-\item[{\sphinxstylestrong{-hash}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}hash}}] \leavevmode
+\sphinxAtStartPar
 stores the database in hash format, if using the DB2 database
 type.  If this option is not specified, the database will be
 stored in btree format.  This option is not recommended, as
 databases stored in hash format are known to corrupt data and lose
 principals.
 
-\item[{\sphinxstylestrong{-verbose}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}verbose}}] \leavevmode
+\sphinxAtStartPar
 causes the name of each principal and policy to be printed as it
 is dumped.
 
-\item[{\sphinxstylestrong{-update}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}update}}] \leavevmode
+\sphinxAtStartPar
 records from the dump file are added to or updated in the existing
 database.  Otherwise, a new database is created containing only
 what is in the dump file and the old one destroyed upon successful
@@ -8283,30 +9466,35 @@ completion.
 
 
 \subsubsection{ark}
-\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-load-end}}\label{\detokenize{admin/admin_commands/kdb5_util:ark}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kdb5_util:ark}}\label{\detokenize{admin/admin_commands/kdb5_util:kdb5-util-load-end}}\begin{quote}
 
-\sphinxstylestrong{ark} {[}\sphinxstylestrong{-e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt},…{]} \sphinxstyleemphasis{principal}
+\sphinxAtStartPar
+\sphinxstylestrong{ark} {[}\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{enc}:\sphinxstyleemphasis{salt},…{]} \sphinxstyleemphasis{principal}
 \end{quote}
 
+\sphinxAtStartPar
 Adds new random keys to \sphinxstyleemphasis{principal} at the next available key version
 number.  Keys for the current highest key version number will be
-preserved.  The \sphinxstylestrong{-e} option specifies the list of encryption and
+preserved.  The \sphinxstylestrong{\sphinxhyphen{}e} option specifies the list of encryption and
 salt types to be used for the new keys.
 
 
 \subsubsection{add\_mkey}
 \label{\detokenize{admin/admin_commands/kdb5_util:add-mkey}}\begin{quote}
 
-\sphinxstylestrong{add\_mkey} {[}\sphinxstylestrong{-e} \sphinxstyleemphasis{etype}{]} {[}\sphinxstylestrong{-s}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{add\_mkey} {[}\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{etype}{]} {[}\sphinxstylestrong{\sphinxhyphen{}s}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Adds a new master key to the master key principal, but does not mark
-it as active.  Existing master keys will remain.  The \sphinxstylestrong{-e} option
+it as active.  Existing master keys will remain.  The \sphinxstylestrong{\sphinxhyphen{}e} option
 specifies the encryption type of the new master key; see
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:encryption-types}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} for a list of possible
-values.  The \sphinxstylestrong{-s} option stashes the new master key in the stash
+values.  The \sphinxstylestrong{\sphinxhyphen{}s} option stashes the new master key in the stash
 file, which will be created if it doesn’t already exist.
 
+\sphinxAtStartPar
 After a new master key is added, it should be propagated to replica
 servers via a manual or periodic invocation of {\hyperref[\detokenize{admin/admin_commands/kprop:kprop-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop}}}}.  Then,
 the stash files on the replica servers should be updated with the
@@ -8317,15 +9505,18 @@ is ready to be marked active with the kd
 \subsubsection{use\_mkey}
 \label{\detokenize{admin/admin_commands/kdb5_util:use-mkey}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{use\_mkey} \sphinxstyleemphasis{mkeyVNO} {[}\sphinxstyleemphasis{time}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Sets the activation time of the master key specified by \sphinxstyleemphasis{mkeyVNO}.
 Once a master key becomes active, it will be used to encrypt newly
 created principal keys.  If no \sphinxstyleemphasis{time} argument is given, the current
 time is used, causing the specified master key version to become
 active immediately.  The format for \sphinxstyleemphasis{time} is \DUrole{xref,std,std-ref}{getdate} string.
 
+\sphinxAtStartPar
 After a new master key becomes active, the kdb5\_util
 \sphinxstylestrong{update\_princ\_encryption} command can be used to update all
 principal keys to be encrypted in the new master key.
@@ -8334,33 +9525,40 @@ principal keys to be encrypted in the ne
 \subsubsection{list\_mkeys}
 \label{\detokenize{admin/admin_commands/kdb5_util:list-mkeys}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{list\_mkeys}
 \end{quote}
 
+\sphinxAtStartPar
 List all master keys, from most recent to earliest, in the master key
 principal.  The output will show the kvno, enctype, and salt type for
 each mkey, similar to the output of {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} \sphinxstylestrong{getprinc}.  A
-\sphinxcode{*} following an mkey denotes the currently active master key.
+\sphinxcode{\sphinxupquote{*}} following an mkey denotes the currently active master key.
 
 
 \subsubsection{purge\_mkeys}
 \label{\detokenize{admin/admin_commands/kdb5_util:purge-mkeys}}\begin{quote}
 
-\sphinxstylestrong{purge\_mkeys} {[}\sphinxstylestrong{-f}{]} {[}\sphinxstylestrong{-n}{]} {[}\sphinxstylestrong{-v}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{purge\_mkeys} {[}\sphinxstylestrong{\sphinxhyphen{}f}{]} {[}\sphinxstylestrong{\sphinxhyphen{}n}{]} {[}\sphinxstylestrong{\sphinxhyphen{}v}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Delete master keys from the master key principal that are not used to
 protect any principals.  This command can be used to remove old master
 keys all principal keys are protected by a newer master key.
 \begin{description}
-\item[{\sphinxstylestrong{-f}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}f}}] \leavevmode
+\sphinxAtStartPar
 does not prompt for confirmation.
 
-\item[{\sphinxstylestrong{-n}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}n}}] \leavevmode
+\sphinxAtStartPar
 performs a dry run, showing master keys that would be purged, but
 not actually purging any keys.
 
-\item[{\sphinxstylestrong{-v}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}v}}] \leavevmode
+\sphinxAtStartPar
 gives more verbose output.
 
 \end{description}
@@ -8369,199 +9567,247 @@ gives more verbose output.
 \subsubsection{update\_princ\_encryption}
 \label{\detokenize{admin/admin_commands/kdb5_util:update-princ-encryption}}\begin{quote}
 
-\sphinxstylestrong{update\_princ\_encryption} {[}\sphinxstylestrong{-f}{]} {[}\sphinxstylestrong{-n}{]} {[}\sphinxstylestrong{-v}{]}
-{[}\sphinxstyleemphasis{princ-pattern}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{update\_princ\_encryption} {[}\sphinxstylestrong{\sphinxhyphen{}f}{]} {[}\sphinxstylestrong{\sphinxhyphen{}n}{]} {[}\sphinxstylestrong{\sphinxhyphen{}v}{]}
+{[}\sphinxstyleemphasis{princ\sphinxhyphen{}pattern}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Update all principal records (or only those matching the
-\sphinxstyleemphasis{princ-pattern} glob pattern) to re-encrypt the key data using the
+\sphinxstyleemphasis{princ\sphinxhyphen{}pattern} glob pattern) to re\sphinxhyphen{}encrypt the key data using the
 active database master key, if they are encrypted using a different
 version, and give a count at the end of the number of principals
-updated.  If the \sphinxstylestrong{-f} option is not given, ask for confirmation
-before starting to make changes.  The \sphinxstylestrong{-v} option causes each
+updated.  If the \sphinxstylestrong{\sphinxhyphen{}f} option is not given, ask for confirmation
+before starting to make changes.  The \sphinxstylestrong{\sphinxhyphen{}v} option causes each
 principal processed to be listed, with an indication as to whether it
-needed updating or not.  The \sphinxstylestrong{-n} option performs a dry run, only
+needed updating or not.  The \sphinxstylestrong{\sphinxhyphen{}n} option performs a dry run, only
 showing the actions which would have been taken.
 
 
 \subsubsection{tabdump}
 \label{\detokenize{admin/admin_commands/kdb5_util:tabdump}}\begin{quote}
 
-\sphinxstylestrong{tabdump} {[}\sphinxstylestrong{-H}{]} {[}\sphinxstylestrong{-c}{]} {[}\sphinxstylestrong{-e}{]} {[}\sphinxstylestrong{-n}{]} {[}\sphinxstylestrong{-o} \sphinxstyleemphasis{outfile}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{tabdump} {[}\sphinxstylestrong{\sphinxhyphen{}H}{]} {[}\sphinxstylestrong{\sphinxhyphen{}c}{]} {[}\sphinxstylestrong{\sphinxhyphen{}e}{]} {[}\sphinxstylestrong{\sphinxhyphen{}n}{]} {[}\sphinxstylestrong{\sphinxhyphen{}o} \sphinxstyleemphasis{outfile}{]}
 \sphinxstyleemphasis{dumptype}
 \end{quote}
 
+\sphinxAtStartPar
 Dump selected fields of the database in a tabular format suitable for
 reporting (e.g., using traditional Unix text processing tools) or
-importing into relational databases.  The data format is tab-separated
-(default), or optionally comma-separated (CSV), with a fixed number of
+importing into relational databases.  The data format is tab\sphinxhyphen{}separated
+(default), or optionally comma\sphinxhyphen{}separated (CSV), with a fixed number of
 columns.  The output begins with a header line containing field names,
-unless suppression is requested using the \sphinxstylestrong{-H} option.
+unless suppression is requested using the \sphinxstylestrong{\sphinxhyphen{}H} option.
 
+\sphinxAtStartPar
 The \sphinxstyleemphasis{dumptype} parameter specifies the name of an output table (see
 below).
 
+\sphinxAtStartPar
 Options:
 \begin{description}
-\item[{\sphinxstylestrong{-H}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}H}}] \leavevmode
+\sphinxAtStartPar
 suppress writing the field names in a header line
 
-\item[{\sphinxstylestrong{-c}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}c}}] \leavevmode
+\sphinxAtStartPar
 use comma separated values (CSV) format, with minimal quoting,
-instead of the default tab-separated (unquoted, unescaped) format
+instead of the default tab\sphinxhyphen{}separated (unquoted, unescaped) format
 
-\item[{\sphinxstylestrong{-e}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}e}}] \leavevmode
+\sphinxAtStartPar
 write empty hexadecimal string fields as empty fields instead of
-as “-1”.
+as “\sphinxhyphen{}1”.
 
-\item[{\sphinxstylestrong{-n}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}n}}] \leavevmode
+\sphinxAtStartPar
 produce numeric output for fields that normally have symbolic
 output, such as enctypes and flag names.  Also requests output of
 time stamps as decimal POSIX time\_t values.
 
-\item[{\sphinxstylestrong{-o} \sphinxstyleemphasis{outfile}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}o} \sphinxstyleemphasis{outfile}}] \leavevmode
+\sphinxAtStartPar
 write the dump to the specified output file instead of to standard
 output
 
 \end{description}
 
+\sphinxAtStartPar
 Dump types:
 \begin{description}
 \item[{\sphinxstylestrong{keydata}}] \leavevmode
+\sphinxAtStartPar
 principal encryption key information, including actual key data
 (which is still encrypted in the master key)
 \begin{description}
 \item[{\sphinxstylestrong{name}}] \leavevmode
+\sphinxAtStartPar
 principal name
 
 \item[{\sphinxstylestrong{keyindex}}] \leavevmode
+\sphinxAtStartPar
 index of this key in the principal’s key list
 
 \item[{\sphinxstylestrong{kvno}}] \leavevmode
+\sphinxAtStartPar
 key version number
 
 \item[{\sphinxstylestrong{enctype}}] \leavevmode
+\sphinxAtStartPar
 encryption type
 
 \item[{\sphinxstylestrong{key}}] \leavevmode
+\sphinxAtStartPar
 key data as a hexadecimal string
 
 \item[{\sphinxstylestrong{salttype}}] \leavevmode
+\sphinxAtStartPar
 salt type
 
 \item[{\sphinxstylestrong{salt}}] \leavevmode
+\sphinxAtStartPar
 salt data as a hexadecimal string
 
 \end{description}
 
 \item[{\sphinxstylestrong{keyinfo}}] \leavevmode
+\sphinxAtStartPar
 principal encryption key information (as in \sphinxstylestrong{keydata} above),
 excluding actual key data
 
 \item[{\sphinxstylestrong{princ\_flags}}] \leavevmode
+\sphinxAtStartPar
 principal boolean attributes.  Flag names print as hexadecimal
-numbers if the \sphinxstylestrong{-n} option is specified, and all flag positions
-are printed regardless of whether or not they are set.  If \sphinxstylestrong{-n}
+numbers if the \sphinxstylestrong{\sphinxhyphen{}n} option is specified, and all flag positions
+are printed regardless of whether or not they are set.  If \sphinxstylestrong{\sphinxhyphen{}n}
 is not specified, print all known flag names for each principal,
 but only print hexadecimal flag names if the corresponding flag is
 set.
 \begin{description}
 \item[{\sphinxstylestrong{name}}] \leavevmode
+\sphinxAtStartPar
 principal name
 
 \item[{\sphinxstylestrong{flag}}] \leavevmode
+\sphinxAtStartPar
 flag name
 
 \item[{\sphinxstylestrong{value}}] \leavevmode
+\sphinxAtStartPar
 boolean value (0 for clear, or 1 for set)
 
 \end{description}
 
 \item[{\sphinxstylestrong{princ\_lockout}}] \leavevmode
+\sphinxAtStartPar
 state information used for tracking repeated password failures
 \begin{description}
 \item[{\sphinxstylestrong{name}}] \leavevmode
+\sphinxAtStartPar
 principal name
 
 \item[{\sphinxstylestrong{last\_success}}] \leavevmode
+\sphinxAtStartPar
 time stamp of most recent successful authentication
 
 \item[{\sphinxstylestrong{last\_failed}}] \leavevmode
+\sphinxAtStartPar
 time stamp of most recent failed authentication
 
 \item[{\sphinxstylestrong{fail\_count}}] \leavevmode
+\sphinxAtStartPar
 count of failed attempts
 
 \end{description}
 
 \item[{\sphinxstylestrong{princ\_meta}}] \leavevmode
+\sphinxAtStartPar
 principal metadata
 \begin{description}
 \item[{\sphinxstylestrong{name}}] \leavevmode
+\sphinxAtStartPar
 principal name
 
 \item[{\sphinxstylestrong{modby}}] \leavevmode
+\sphinxAtStartPar
 name of last principal to modify this principal
 
 \item[{\sphinxstylestrong{modtime}}] \leavevmode
+\sphinxAtStartPar
 timestamp of last modification
 
 \item[{\sphinxstylestrong{lastpwd}}] \leavevmode
+\sphinxAtStartPar
 timestamp of last password change
 
 \item[{\sphinxstylestrong{policy}}] \leavevmode
+\sphinxAtStartPar
 policy object name
 
 \item[{\sphinxstylestrong{mkvno}}] \leavevmode
+\sphinxAtStartPar
 key version number of the master key that encrypts this
 principal’s key data
 
 \item[{\sphinxstylestrong{hist\_kvno}}] \leavevmode
+\sphinxAtStartPar
 key version number of the history key that encrypts the key
 history data for this principal
 
 \end{description}
 
 \item[{\sphinxstylestrong{princ\_stringattrs}}] \leavevmode
+\sphinxAtStartPar
 string attributes (key/value pairs)
 \begin{description}
 \item[{\sphinxstylestrong{name}}] \leavevmode
+\sphinxAtStartPar
 principal name
 
 \item[{\sphinxstylestrong{key}}] \leavevmode
+\sphinxAtStartPar
 attribute name
 
 \item[{\sphinxstylestrong{value}}] \leavevmode
+\sphinxAtStartPar
 attribute value
 
 \end{description}
 
 \item[{\sphinxstylestrong{princ\_tktpolicy}}] \leavevmode
-per-principal ticket policy data, including maximum ticket
+\sphinxAtStartPar
+per\sphinxhyphen{}principal ticket policy data, including maximum ticket
 lifetimes
 \begin{description}
 \item[{\sphinxstylestrong{name}}] \leavevmode
+\sphinxAtStartPar
 principal name
 
 \item[{\sphinxstylestrong{expiration}}] \leavevmode
+\sphinxAtStartPar
 principal expiration date
 
 \item[{\sphinxstylestrong{pw\_expiration}}] \leavevmode
+\sphinxAtStartPar
 password expiration date
 
 \item[{\sphinxstylestrong{max\_life}}] \leavevmode
+\sphinxAtStartPar
 maximum ticket lifetime
 
 \item[{\sphinxstylestrong{max\_renew\_life}}] \leavevmode
+\sphinxAtStartPar
 maximum renewable ticket lifetime
 
 \end{description}
 
 \end{description}
 
+\sphinxAtStartPar
 Examples:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYGZdl{} kdb5\PYGZus{}util tabdump \PYGZhy{}o keyinfo.txt keyinfo
 \PYGZdl{} cat keyinfo.txt
@@ -8582,141 +9828,165 @@ K/M@EXAMPLE.COM     1       1       aes2
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/kdb5_util:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/kdb5_util:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}, \DUrole{xref,std,std-ref}{kerberos(7)}
 
 
 \section{kdb5\_ldap\_util}
-\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-8}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util::doc}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util}}
+\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-8}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:synopsis}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kdb5\_ldap\_util}
-{[}\sphinxstylestrong{-D} \sphinxstyleemphasis{user\_dn} {[}\sphinxstylestrong{-w} \sphinxstyleemphasis{passwd}{]}{]}
-{[}\sphinxstylestrong{-H} \sphinxstyleemphasis{ldapuri}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}D} \sphinxstyleemphasis{user\_dn} {[}\sphinxstylestrong{\sphinxhyphen{}w} \sphinxstyleemphasis{passwd}{]}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}H} \sphinxstyleemphasis{ldapuri}{]}
 \sphinxstylestrong{command}
 {[}\sphinxstyleemphasis{command\_options}{]}
 
 
 \subsection{DESCRIPTION}
-\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-synopsis-end}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:description}}
+\label{\detokenize{admin/admin_commands/kdb5_ldap_util:description}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-synopsis-end}}
+\sphinxAtStartPar
 kdb5\_ldap\_util allows an administrator to manage realms, Kerberos
 services and ticket policies.
 
 
-\subsection{COMMAND-LINE OPTIONS}
+\subsection{COMMAND\sphinxhyphen{}LINE OPTIONS}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:command-line-options}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-options}}\begin{description}
-\item[{\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}}] \leavevmode
+\sphinxAtStartPar
 Specifies the realm to be operated on.
 
-\item[{\sphinxstylestrong{-D} \sphinxstyleemphasis{user\_dn}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}D} \sphinxstyleemphasis{user\_dn}}] \leavevmode
+\sphinxAtStartPar
 Specifies the Distinguished Name (DN) of the user who has
 sufficient rights to perform the operation on the LDAP server.
 
-\item[{\sphinxstylestrong{-w} \sphinxstyleemphasis{passwd}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}w} \sphinxstyleemphasis{passwd}}] \leavevmode
+\sphinxAtStartPar
 Specifies the password of \sphinxstyleemphasis{user\_dn}.  This option is not
 recommended.
 
-\item[{\sphinxstylestrong{-H} \sphinxstyleemphasis{ldapuri}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}H} \sphinxstyleemphasis{ldapuri}}] \leavevmode
+\sphinxAtStartPar
 Specifies the URI of the LDAP server.
 
 \end{description}
 
+\sphinxAtStartPar
 By default, kdb5\_ldap\_util operates on the default realm (as specified
 in {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}) and connects and authenticates to the LDAP
-server in the same manner as :ref:kadmind(8){}` would given the
+server in the same manner as :ref:kadmind(8)\textasciigrave{} would given the
 parameters in {\hyperref[\detokenize{admin/conf_files/kdc_conf:dbdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}dbdefaults{]}}}}} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
 
 \subsection{COMMANDS}
-\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-options-end}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:commands}}
+\label{\detokenize{admin/admin_commands/kdb5_ldap_util:commands}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-options-end}}
 
 \subsubsection{create}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:create}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-create}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{create}
-{[}\sphinxstylestrong{-subtrees} \sphinxstyleemphasis{subtree\_dn\_list}{]}
-{[}\sphinxstylestrong{-sscope} \sphinxstyleemphasis{search\_scope}{]}
-{[}\sphinxstylestrong{-containerref} \sphinxstyleemphasis{container\_reference\_dn}{]}
-{[}\sphinxstylestrong{-k} \sphinxstyleemphasis{mkeytype}{]}
-{[}\sphinxstylestrong{-kv} \sphinxstyleemphasis{mkeyVNO}{]}
-{[}\sphinxstylestrong{-M} \sphinxstyleemphasis{mkeyname}{]}
-{[}\sphinxstylestrong{-m\textbar{}-P} \sphinxstyleemphasis{password}\textbar{}\sphinxstylestrong{-sf} \sphinxstyleemphasis{stashfilename}{]}
-{[}\sphinxstylestrong{-s}{]}
-{[}\sphinxstylestrong{-maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}{]}
-{[}\sphinxstylestrong{-maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}subtrees} \sphinxstyleemphasis{subtree\_dn\_list}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}sscope} \sphinxstyleemphasis{search\_scope}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}containerref} \sphinxstyleemphasis{container\_reference\_dn}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{mkeytype}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}kv} \sphinxstyleemphasis{mkeyVNO}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}M} \sphinxstyleemphasis{mkeyname}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}m|\sphinxhyphen{}P} \sphinxstyleemphasis{password}|\sphinxstylestrong{\sphinxhyphen{}sf} \sphinxstyleemphasis{stashfilename}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}s}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}{]}
 {[}\sphinxstyleemphasis{ticket\_flags}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Creates realm in directory. Options:
 \begin{description}
-\item[{\sphinxstylestrong{-subtrees} \sphinxstyleemphasis{subtree\_dn\_list}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}subtrees} \sphinxstyleemphasis{subtree\_dn\_list}}] \leavevmode
+\sphinxAtStartPar
 Specifies the list of subtrees containing the principals of a
 realm.  The list contains the DNs of the subtree objects separated
-by colon (\sphinxcode{:}).
+by colon (\sphinxcode{\sphinxupquote{:}}).
 
-\item[{\sphinxstylestrong{-sscope} \sphinxstyleemphasis{search\_scope}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}sscope} \sphinxstyleemphasis{search\_scope}}] \leavevmode
+\sphinxAtStartPar
 Specifies the scope for searching the principals under the
 subtree.  The possible values are 1 or one (one level), 2 or sub
 (subtrees).
 
-\item[{\sphinxstylestrong{-containerref} \sphinxstyleemphasis{container\_reference\_dn}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}containerref} \sphinxstyleemphasis{container\_reference\_dn}}] \leavevmode
+\sphinxAtStartPar
 Specifies the DN of the container object in which the principals
 of a realm will be created.  If the container reference is not
 configured for a realm, the principals will be created in the
 realm container.
 
-\item[{\sphinxstylestrong{-k} \sphinxstyleemphasis{mkeytype}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{mkeytype}}] \leavevmode
+\sphinxAtStartPar
 Specifies the key type of the master key in the database.  The
 default is given by the \sphinxstylestrong{master\_key\_type} variable in
 {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
-\item[{\sphinxstylestrong{-kv} \sphinxstyleemphasis{mkeyVNO}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}kv} \sphinxstyleemphasis{mkeyVNO}}] \leavevmode
+\sphinxAtStartPar
 Specifies the version number of the master key in the database;
 the default is 1.  Note that 0 is not allowed.
 
-\item[{\sphinxstylestrong{-M} \sphinxstyleemphasis{mkeyname}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}M} \sphinxstyleemphasis{mkeyname}}] \leavevmode
+\sphinxAtStartPar
 Specifies the principal name for the master key in the database.
 If not specified, the name is determined by the
 \sphinxstylestrong{master\_key\_name} variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.
 
-\item[{\sphinxstylestrong{-m}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}m}}] \leavevmode
+\sphinxAtStartPar
 Specifies that the master database password should be read from
 the TTY rather than fetched from a file on the disk.
 
-\item[{\sphinxstylestrong{-P} \sphinxstyleemphasis{password}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{password}}] \leavevmode
+\sphinxAtStartPar
 Specifies the master database password. This option is not
 recommended.
 
-\item[{\sphinxstylestrong{-sf} \sphinxstyleemphasis{stashfilename}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}sf} \sphinxstyleemphasis{stashfilename}}] \leavevmode
+\sphinxAtStartPar
 Specifies the stash file of the master database password.
 
-\item[{\sphinxstylestrong{-s}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}s}}] \leavevmode
+\sphinxAtStartPar
 Specifies that the stash file is to be created.
 
-\item[{\sphinxstylestrong{-maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{getdate} string) Specifies maximum ticket life for
 principals in this realm.
 
-\item[{\sphinxstylestrong{-maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{getdate} string) Specifies maximum renewable life of
 tickets for principals in this realm.
 
 \item[{\sphinxstyleemphasis{ticket\_flags}}] \leavevmode
+\sphinxAtStartPar
 Specifies global ticket flags for the realm.  Allowable flags are
 documented in the description of the \sphinxstylestrong{add\_principal} command in
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}.
 
 \end{description}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{o}{\PYGZhy{}}\PYG{n}{D} \PYG{n}{cn}\PYG{o}{=}\PYG{n}{admin}\PYG{p}{,}\PYG{n}{o}\PYG{o}{=}\PYG{n}{org} \PYG{o}{\PYGZhy{}}\PYG{n}{H} \PYG{n}{ldaps}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{ldap}\PYG{o}{\PYGZhy{}}\PYG{n}{server1}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
     \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{n}{create} \PYG{o}{\PYGZhy{}}\PYG{n}{subtrees} \PYG{n}{o}\PYG{o}{=}\PYG{n}{org} \PYG{o}{\PYGZhy{}}\PYG{n}{sscope} \PYG{n}{SUB}
@@ -8730,51 +10000,59 @@ Example:
 
 
 \subsubsection{modify}
-\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-create-end}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:modify}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-modify}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kdb5_ldap_util:modify}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-create-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-modify}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{modify}
-{[}\sphinxstylestrong{-subtrees} \sphinxstyleemphasis{subtree\_dn\_list}{]}
-{[}\sphinxstylestrong{-sscope} \sphinxstyleemphasis{search\_scope}{]}
-{[}\sphinxstylestrong{-containerref} \sphinxstyleemphasis{container\_reference\_dn}{]}
-{[}\sphinxstylestrong{-maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}{]}
-{[}\sphinxstylestrong{-maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}subtrees} \sphinxstyleemphasis{subtree\_dn\_list}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}sscope} \sphinxstyleemphasis{search\_scope}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}containerref} \sphinxstyleemphasis{container\_reference\_dn}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}{]}
 {[}\sphinxstyleemphasis{ticket\_flags}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Modifies the attributes of a realm.  Options:
 \begin{description}
-\item[{\sphinxstylestrong{-subtrees} \sphinxstyleemphasis{subtree\_dn\_list}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}subtrees} \sphinxstyleemphasis{subtree\_dn\_list}}] \leavevmode
+\sphinxAtStartPar
 Specifies the list of subtrees containing the principals of a
 realm.  The list contains the DNs of the subtree objects separated
-by colon (\sphinxcode{:}).  This list replaces the existing list.
+by colon (\sphinxcode{\sphinxupquote{:}}).  This list replaces the existing list.
 
-\item[{\sphinxstylestrong{-sscope} \sphinxstyleemphasis{search\_scope}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}sscope} \sphinxstyleemphasis{search\_scope}}] \leavevmode
+\sphinxAtStartPar
 Specifies the scope for searching the principals under the
 subtrees.  The possible values are 1 or one (one level), 2 or sub
 (subtrees).
 
-\item[{\sphinxstylestrong{-containerref} \sphinxstyleemphasis{container\_reference\_dn} Specifies the DN of the}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}containerref} \sphinxstyleemphasis{container\_reference\_dn} Specifies the DN of the}] \leavevmode
+\sphinxAtStartPar
 container object in which the principals of a realm will be
 created.
 
-\item[{\sphinxstylestrong{-maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{getdate} string) Specifies maximum ticket life for
 principals in this realm.
 
-\item[{\sphinxstylestrong{-maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{getdate} string) Specifies maximum renewable life of
 tickets for principals in this realm.
 
 \item[{\sphinxstyleemphasis{ticket\_flags}}] \leavevmode
+\sphinxAtStartPar
 Specifies global ticket flags for the realm.  Allowable flags are
 documented in the description of the \sphinxstylestrong{add\_principal} command in
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}.
 
 \end{description}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{\PYGZhy{}}\PYG{n}{D} \PYG{n}{cn}\PYG{o}{=}\PYG{n}{admin}\PYG{p}{,}\PYG{n}{o}\PYG{o}{=}\PYG{n}{org} \PYG{o}{\PYGZhy{}}\PYG{n}{H}
     \PYG{n}{ldaps}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{ldap}\PYG{o}{\PYGZhy{}}\PYG{n}{server1}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{n}{modify} \PYG{o}{+}\PYG{n}{requires\PYGZus{}preauth}
@@ -8784,16 +10062,18 @@ Example:
 
 
 \subsubsection{view}
-\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-modify-end}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:view}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-view}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kdb5_ldap_util:view}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-modify-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-view}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{view}
 \end{quote}
 
+\sphinxAtStartPar
 Displays the attributes of a realm.
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{o}{\PYGZhy{}}\PYG{n}{D} \PYG{n}{cn}\PYG{o}{=}\PYG{n}{admin}\PYG{p}{,}\PYG{n}{o}\PYG{o}{=}\PYG{n}{org} \PYG{o}{\PYGZhy{}}\PYG{n}{H} \PYG{n}{ldaps}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{ldap}\PYG{o}{\PYGZhy{}}\PYG{n}{server1}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
     \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{n}{view}
@@ -8811,19 +10091,22 @@ Example:
 \subsubsection{destroy}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:destroy}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-view-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-destroy}}\begin{quote}
 
-\sphinxstylestrong{destroy} {[}\sphinxstylestrong{-f}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{destroy} {[}\sphinxstylestrong{\sphinxhyphen{}f}{]}
 \end{quote}
 
+\sphinxAtStartPar
 Destroys an existing realm. Options:
 \begin{description}
-\item[{\sphinxstylestrong{-f}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}f}}] \leavevmode
+\sphinxAtStartPar
 If specified, will not prompt the user for confirmation.
 
 \end{description}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 shell\PYGZpc{} kdb5\PYGZus{}ldap\PYGZus{}util \PYGZhy{}r ATHENA.MIT.EDU \PYGZhy{}D cn=admin,o=org \PYGZhy{}H
     ldaps://ldap\PYGZhy{}server1.mit.edu destroy
@@ -8836,16 +10119,18 @@ shell\PYGZpc{}
 
 
 \subsubsection{list}
-\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-destroy-end}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:list}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-list}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kdb5_ldap_util:list}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-destroy-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-list}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{list}
 \end{quote}
 
+\sphinxAtStartPar
 Lists the names of realms under the container.
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{o}{\PYGZhy{}}\PYG{n}{D} \PYG{n}{cn}\PYG{o}{=}\PYG{n}{admin}\PYG{p}{,}\PYG{n}{o}\PYG{o}{=}\PYG{n}{org} \PYG{o}{\PYGZhy{}}\PYG{n}{H}
     \PYG{n}{ldaps}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{ldap}\PYG{o}{\PYGZhy{}}\PYG{n}{server1}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{n+nb}{list}
@@ -8858,22 +10143,26 @@ Example:
 
 
 \subsubsection{stashsrvpw}
-\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-list-end}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:stashsrvpw}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-stashsrvpw}}\begin{quote}
+\label{\detokenize{admin/admin_commands/kdb5_ldap_util:stashsrvpw}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-list-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-stashsrvpw}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{stashsrvpw}
-{[}\sphinxstylestrong{-f} \sphinxstyleemphasis{filename}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}f} \sphinxstyleemphasis{filename}{]}
 \sphinxstyleemphasis{name}
 \end{quote}
 
+\sphinxAtStartPar
 Allows an administrator to store the password for service object in a
 file so that KDC and Administration server can use it to authenticate
 to the LDAP server.  Options:
 \begin{description}
-\item[{\sphinxstylestrong{-f} \sphinxstyleemphasis{filename}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}f} \sphinxstyleemphasis{filename}}] \leavevmode
+\sphinxAtStartPar
 Specifies the complete path of the service password file. By
-default, \sphinxcode{/usr/local/var/service\_passwd} is used.
+default, \sphinxcode{\sphinxupquote{/usr/local/var/service\_passwd}} is used.
 
 \item[{\sphinxstyleemphasis{name}}] \leavevmode
+\sphinxAtStartPar
 Specifies the name of the object whose password is to be stored.
 If {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}} or {\hyperref[\detokenize{admin/admin_commands/kadmind:kadmind-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmind}}}} are configured for
 simple binding, this should be the distinguished name it will
@@ -8885,9 +10174,9 @@ name it will use as given by the \sphinx
 
 \end{description}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{n}{stashsrvpw} \PYG{o}{\PYGZhy{}}\PYG{n}{f} \PYG{o}{/}\PYG{n}{home}\PYG{o}{/}\PYG{n}{andrew}\PYG{o}{/}\PYG{n}{conf\PYGZus{}keyfile}
     \PYG{n}{cn}\PYG{o}{=}\PYG{n}{service}\PYG{o}{\PYGZhy{}}\PYG{n}{kdc}\PYG{p}{,}\PYG{n}{o}\PYG{o}{=}\PYG{n}{org}
@@ -8899,37 +10188,43 @@ Example:
 \subsubsection{create\_policy}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:create-policy}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-stashsrvpw-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-create-policy}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{create\_policy}
-{[}\sphinxstylestrong{-maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}{]}
-{[}\sphinxstylestrong{-maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}{]}
 {[}\sphinxstyleemphasis{ticket\_flags}{]}
 \sphinxstyleemphasis{policy\_name}
 \end{quote}
 
+\sphinxAtStartPar
 Creates a ticket policy in the directory.  Options:
 \begin{description}
-\item[{\sphinxstylestrong{-maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{getdate} string) Specifies maximum ticket life for
 principals.
 
-\item[{\sphinxstylestrong{-maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{getdate} string) Specifies maximum renewable life of
 tickets for principals.
 
 \item[{\sphinxstyleemphasis{ticket\_flags}}] \leavevmode
+\sphinxAtStartPar
 Specifies the ticket flags.  If this option is not specified, by
 default, no restriction will be set by the policy.  Allowable
 flags are documented in the description of the \sphinxstylestrong{add\_principal}
 command in {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}.
 
 \item[{\sphinxstyleemphasis{policy\_name}}] \leavevmode
+\sphinxAtStartPar
 Specifies the name of the ticket policy.
 
 \end{description}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{o}{\PYGZhy{}}\PYG{n}{D} \PYG{n}{cn}\PYG{o}{=}\PYG{n}{admin}\PYG{p}{,}\PYG{n}{o}\PYG{o}{=}\PYG{n}{org} \PYG{o}{\PYGZhy{}}\PYG{n}{H} \PYG{n}{ldaps}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{ldap}\PYG{o}{\PYGZhy{}}\PYG{n}{server1}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
     \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{n}{create\PYGZus{}policy} \PYG{o}{\PYGZhy{}}\PYG{n}{maxtktlife} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{1 day}\PYG{l+s+s2}{\PYGZdq{}}
@@ -8942,19 +10237,21 @@ Example:
 \subsubsection{modify\_policy}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:modify-policy}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-create-policy-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-modify-policy}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{modify\_policy}
-{[}\sphinxstylestrong{-maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}{]}
-{[}\sphinxstylestrong{-maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}maxtktlife} \sphinxstyleemphasis{max\_ticket\_life}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}maxrenewlife} \sphinxstyleemphasis{max\_renewable\_ticket\_life}{]}
 {[}\sphinxstyleemphasis{ticket\_flags}{]}
 \sphinxstyleemphasis{policy\_name}
 \end{quote}
 
+\sphinxAtStartPar
 Modifies the attributes of a ticket policy.  Options are same as for
 \sphinxstylestrong{create\_policy}.
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{o}{\PYGZhy{}}\PYG{n}{D} \PYG{n}{cn}\PYG{o}{=}\PYG{n}{admin}\PYG{p}{,}\PYG{n}{o}\PYG{o}{=}\PYG{n}{org} \PYG{o}{\PYGZhy{}}\PYG{n}{H}
     \PYG{n}{ldaps}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{ldap}\PYG{o}{\PYGZhy{}}\PYG{n}{server1}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu} \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{n}{modify\PYGZus{}policy}
@@ -8967,15 +10264,17 @@ Example:
 \subsubsection{view\_policy}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:view-policy}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-modify-policy-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-view-policy}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{view\_policy}
 \sphinxstyleemphasis{policy\_name}
 \end{quote}
 
+\sphinxAtStartPar
 Displays the attributes of the named ticket policy.
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{o}{\PYGZhy{}}\PYG{n}{D} \PYG{n}{cn}\PYG{o}{=}\PYG{n}{admin}\PYG{p}{,}\PYG{n}{o}\PYG{o}{=}\PYG{n}{org} \PYG{o}{\PYGZhy{}}\PYG{n}{H} \PYG{n}{ldaps}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{ldap}\PYG{o}{\PYGZhy{}}\PYG{n}{server1}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
     \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{n}{view\PYGZus{}policy} \PYG{n}{tktpolicy}
@@ -8990,25 +10289,29 @@ Example:
 \subsubsection{destroy\_policy}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:destroy-policy}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-view-policy-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-destroy-policy}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{destroy\_policy}
-{[}\sphinxstylestrong{-force}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}force}{]}
 \sphinxstyleemphasis{policy\_name}
 \end{quote}
 
+\sphinxAtStartPar
 Destroys an existing ticket policy.  Options:
 \begin{description}
-\item[{\sphinxstylestrong{-force}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}force}}] \leavevmode
+\sphinxAtStartPar
 Forces the deletion of the policy object.  If not specified, the
 user will be prompted for confirmation before deleting the policy.
 
 \item[{\sphinxstyleemphasis{policy\_name}}] \leavevmode
+\sphinxAtStartPar
 Specifies the name of the ticket policy.
 
 \end{description}
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 kdb5\PYGZus{}ldap\PYGZus{}util \PYGZhy{}D cn=admin,o=org \PYGZhy{}H ldaps://ldap\PYGZhy{}server1.mit.edu
     \PYGZhy{}r ATHENA.MIT.EDU destroy\PYGZus{}policy tktpolicy
@@ -9022,14 +10325,16 @@ This will delete the policy object \PYGZ
 \subsubsection{list\_policy}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:list-policy}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-destroy-policy-end}}\phantomsection\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-list-policy}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{list\_policy}
 \end{quote}
 
+\sphinxAtStartPar
 Lists ticket policies.
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kdb5\PYGZus{}ldap\PYGZus{}util} \PYG{o}{\PYGZhy{}}\PYG{n}{D} \PYG{n}{cn}\PYG{o}{=}\PYG{n}{admin}\PYG{p}{,}\PYG{n}{o}\PYG{o}{=}\PYG{n}{org} \PYG{o}{\PYGZhy{}}\PYG{n}{H} \PYG{n}{ldaps}\PYG{p}{:}\PYG{o}{/}\PYG{o}{/}\PYG{n}{ldap}\PYG{o}{\PYGZhy{}}\PYG{n}{server1}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}
     \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{n}{list\PYGZus{}policy}
@@ -9042,143 +10347,164 @@ Example:
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:environment}}\label{\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-list-policy-end}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/kdb5_ldap_util:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}, \DUrole{xref,std,std-ref}{kerberos(7)}
 
 
 \section{krb5kdc}
-\label{\detokenize{admin/admin_commands/krb5kdc::doc}}\label{\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}}\label{\detokenize{admin/admin_commands/krb5kdc:krb5kdc}}
+\label{\detokenize{admin/admin_commands/krb5kdc:krb5kdc}}\label{\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}}\label{\detokenize{admin/admin_commands/krb5kdc::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/krb5kdc:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{krb5kdc}
-{[}\sphinxstylestrong{-x} \sphinxstyleemphasis{db\_args}{]}
-{[}\sphinxstylestrong{-d} \sphinxstyleemphasis{dbname}{]}
-{[}\sphinxstylestrong{-k} \sphinxstyleemphasis{keytype}{]}
-{[}\sphinxstylestrong{-M} \sphinxstyleemphasis{mkeyname}{]}
-{[}\sphinxstylestrong{-p} \sphinxstyleemphasis{portnum}{]}
-{[}\sphinxstylestrong{-m}{]}
-{[}\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}{]}
-{[}\sphinxstylestrong{-n}{]}
-{[}\sphinxstylestrong{-w} \sphinxstyleemphasis{numworkers}{]}
-{[}\sphinxstylestrong{-P} \sphinxstyleemphasis{pid\_file}{]}
-{[}\sphinxstylestrong{-T} \sphinxstyleemphasis{time\_offset}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_args}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}d} \sphinxstyleemphasis{dbname}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{keytype}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}M} \sphinxstyleemphasis{mkeyname}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{portnum}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}m}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}n}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}w} \sphinxstyleemphasis{numworkers}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{pid\_file}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}T} \sphinxstyleemphasis{time\_offset}{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{admin/admin_commands/krb5kdc:description}}
+\sphinxAtStartPar
 krb5kdc is the Kerberos version 5 Authentication Service and Key
 Distribution Center (AS/KDC).
 
 
 \subsection{OPTIONS}
 \label{\detokenize{admin/admin_commands/krb5kdc:options}}
-The \sphinxstylestrong{-r} \sphinxstyleemphasis{realm} option specifies the realm for which the server
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm} option specifies the realm for which the server
 should provide service.  This option may be specified multiple times
-to serve multiple realms.  If no \sphinxstylestrong{-r} option is given, the default
+to serve multiple realms.  If no \sphinxstylestrong{\sphinxhyphen{}r} option is given, the default
 realm (as specified in {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}) will be served.
 
-The \sphinxstylestrong{-d} \sphinxstyleemphasis{dbname} option specifies the name under which the
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}d} \sphinxstyleemphasis{dbname} option specifies the name under which the
 principal database can be found.  This option does not apply to the
 LDAP database.
 
-The \sphinxstylestrong{-k} \sphinxstyleemphasis{keytype} option specifies the key type of the master key
-to be entered manually as a password when \sphinxstylestrong{-m} is given; the default
-is \sphinxcode{aes256-cts-hmac-sha1-96}.
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{keytype} option specifies the key type of the master key
+to be entered manually as a password when \sphinxstylestrong{\sphinxhyphen{}m} is given; the default
+is \sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96}}.
+
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}M} \sphinxstyleemphasis{mkeyname} option specifies the principal name for the
+master key in the database (usually \sphinxcode{\sphinxupquote{K/M}} in the KDC’s realm).
 
-The \sphinxstylestrong{-M} \sphinxstyleemphasis{mkeyname} option specifies the principal name for the
-master key in the database (usually \sphinxcode{K/M} in the KDC’s realm).
-
-The \sphinxstylestrong{-m} option specifies that the master database password should
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}m} option specifies that the master database password should
 be fetched from the keyboard rather than from a stash file.
 
-The \sphinxstylestrong{-n} option specifies that the KDC does not put itself in the
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}n} option specifies that the KDC does not put itself in the
 background and does not disassociate itself from the terminal.
 
-The \sphinxstylestrong{-P} \sphinxstyleemphasis{pid\_file} option tells the KDC to write its PID into
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{pid\_file} option tells the KDC to write its PID into
 \sphinxstyleemphasis{pid\_file} after it starts up.  This can be used to identify whether
 the KDC is still running and to allow init scripts to stop the correct
 process.
 
-The \sphinxstylestrong{-p} \sphinxstyleemphasis{portnum} option specifies the default UDP and TCP port
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{portnum} option specifies the default UDP and TCP port
 numbers which the KDC should listen on for Kerberos version 5
-requests, as a comma-separated list.  This value overrides the port
+requests, as a comma\sphinxhyphen{}separated list.  This value overrides the port
 numbers specified in the {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdcdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}kdcdefaults{]}}}}} section of
-{\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}, but may be overridden by realm-specific values.
+{\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}, but may be overridden by realm\sphinxhyphen{}specific values.
 If no value is given from any source, the default port is 88.
 
-The \sphinxstylestrong{-w} \sphinxstyleemphasis{numworkers} option tells the KDC to fork \sphinxstyleemphasis{numworkers}
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}w} \sphinxstyleemphasis{numworkers} option tells the KDC to fork \sphinxstyleemphasis{numworkers}
 processes to listen to the KDC ports and process requests in parallel.
 The top level KDC process (whose pid is recorded in the pid file if
-the \sphinxstylestrong{-P} option is also given) acts as a supervisor.  The supervisor
+the \sphinxstylestrong{\sphinxhyphen{}P} option is also given) acts as a supervisor.  The supervisor
 will relay SIGHUP signals to the worker subprocesses, and will
 terminate the worker subprocess if the it is itself terminated or if
 any other worker process exits.
 
-The \sphinxstylestrong{-x} \sphinxstyleemphasis{db\_args} option specifies database-specific arguments.
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_args} option specifies database\sphinxhyphen{}specific arguments.
 See {\hyperref[\detokenize{admin/admin_commands/kadmin_local:dboptions}]{\sphinxcrossref{\DUrole{std,std-ref}{Database Options}}}} in {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} for
 supported arguments.
 
-The \sphinxstylestrong{-T} \sphinxstyleemphasis{offset} option specifies a time offset, in seconds, which
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}T} \sphinxstyleemphasis{offset} option specifies a time offset, in seconds, which
 the KDC will operate under.  It is intended only for testing purposes.
 
 
 \subsection{EXAMPLE}
 \label{\detokenize{admin/admin_commands/krb5kdc:example}}
+\sphinxAtStartPar
 The KDC may service requests for multiple realms (maximum 32 realms).
-The realms are listed on the command line.  Per-realm options that can
+The realms are listed on the command line.  Per\sphinxhyphen{}realm options that can
 be specified on the command line pertain for each realm that follows
 it and are superseded by subsequent definitions of the same option.
 
+\sphinxAtStartPar
 For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{krb5kdc} \PYG{o}{\PYGZhy{}}\PYG{n}{p} \PYG{l+m+mi}{2001} \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{REALM1} \PYG{o}{\PYGZhy{}}\PYG{n}{p} \PYG{l+m+mi}{2002} \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{REALM2} \PYG{o}{\PYGZhy{}}\PYG{n}{r} \PYG{n}{REALM3}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 specifies that the KDC listen on port 2001 for REALM1 and on port 2002
-for REALM2 and REALM3.  Additionally, per-realm parameters may be
+for REALM2 and REALM3.  Additionally, per\sphinxhyphen{}realm parameters may be
 specified in the {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} file.  The location of this file
 may be specified by the \sphinxstylestrong{KRB5\_KDC\_PROFILE} environment variable.
-Per-realm parameters specified in this file take precedence over
+Per\sphinxhyphen{}realm parameters specified in this file take precedence over
 options specified on the command line.  See the {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}
 description for further details.
 
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/krb5kdc:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/krb5kdc:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}}, {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}, {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}},
 {\hyperref[\detokenize{admin/admin_commands/kdb5_ldap_util:kdb5-ldap-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_ldap\_util}}}}, \DUrole{xref,std,std-ref}{kerberos(7)}
 
 
 \section{kprop}
-\label{\detokenize{admin/admin_commands/kprop:kprop-8}}\label{\detokenize{admin/admin_commands/kprop::doc}}\label{\detokenize{admin/admin_commands/kprop:kprop}}
+\label{\detokenize{admin/admin_commands/kprop:kprop}}\label{\detokenize{admin/admin_commands/kprop:kprop-8}}\label{\detokenize{admin/admin_commands/kprop::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/kprop:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kprop}
-{[}\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}{]}
-{[}\sphinxstylestrong{-f} \sphinxstyleemphasis{file}{]}
-{[}\sphinxstylestrong{-d}{]}
-{[}\sphinxstylestrong{-P} \sphinxstyleemphasis{port}{]}
-{[}\sphinxstylestrong{-s} \sphinxstyleemphasis{keytab}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}f} \sphinxstyleemphasis{file}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}d}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{port}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}s} \sphinxstyleemphasis{keytab}{]}
 \sphinxstyleemphasis{replica\_host}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{admin/admin_commands/kprop:description}}
+\sphinxAtStartPar
 kprop is used to securely propagate a Kerberos V5 database dump file
 from the primary Kerberos server to a replica Kerberos server, which is
 specified by \sphinxstyleemphasis{replica\_host}.  The dump file must be created by
@@ -9187,22 +10513,27 @@ specified by \sphinxstyleemphasis{replic
 
 \subsection{OPTIONS}
 \label{\detokenize{admin/admin_commands/kprop:options}}\begin{description}
-\item[{\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}}] \leavevmode
+\sphinxAtStartPar
 Specifies the realm of the primary server.
 
-\item[{\sphinxstylestrong{-f} \sphinxstyleemphasis{file}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}f} \sphinxstyleemphasis{file}}] \leavevmode
+\sphinxAtStartPar
 Specifies the filename where the dumped principal database file is
 to be found; by default the dumped database file is normally
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/replica\_datatrans}.
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/replica\_datatrans}}.
 
-\item[{\sphinxstylestrong{-P} \sphinxstyleemphasis{port}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{port}}] \leavevmode
+\sphinxAtStartPar
 Specifies the port to use to contact the {\hyperref[\detokenize{admin/admin_commands/kpropd:kpropd-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kpropd}}}} server
 on the remote host.
 
-\item[{\sphinxstylestrong{-d}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}d}}] \leavevmode
+\sphinxAtStartPar
 Prints debugging information.
 
-\item[{\sphinxstylestrong{-s} \sphinxstyleemphasis{keytab}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}s} \sphinxstyleemphasis{keytab}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of the keytab file.
 
 \end{description}
@@ -9210,69 +10541,76 @@ Specifies the location of the keytab fil
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/kprop:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/kprop:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kpropd:kpropd-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kpropd}}}}, {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}}, {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}},
 \DUrole{xref,std,std-ref}{kerberos(7)}
 
 
 \section{kpropd}
-\label{\detokenize{admin/admin_commands/kpropd::doc}}\label{\detokenize{admin/admin_commands/kpropd:kpropd}}\label{\detokenize{admin/admin_commands/kpropd:kpropd-8}}
+\label{\detokenize{admin/admin_commands/kpropd:kpropd}}\label{\detokenize{admin/admin_commands/kpropd:kpropd-8}}\label{\detokenize{admin/admin_commands/kpropd::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/kpropd:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kpropd}
-{[}\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}{]}
-{[}\sphinxstylestrong{-A} \sphinxstyleemphasis{admin\_server}{]}
-{[}\sphinxstylestrong{-a} \sphinxstyleemphasis{acl\_file}{]}
-{[}\sphinxstylestrong{-f} \sphinxstyleemphasis{replica\_dumpfile}{]}
-{[}\sphinxstylestrong{-F} \sphinxstyleemphasis{principal\_database}{]}
-{[}\sphinxstylestrong{-p} \sphinxstyleemphasis{kdb5\_util\_prog}{]}
-{[}\sphinxstylestrong{-P} \sphinxstyleemphasis{port}{]}
-{[}\sphinxstylestrong{\textendash{}pid-file}=\sphinxstyleemphasis{pid\_file}{]}
-{[}\sphinxstylestrong{-D}{]}
-{[}\sphinxstylestrong{-d}{]}
-{[}\sphinxstylestrong{-s} \sphinxstyleemphasis{keytab\_file}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}A} \sphinxstyleemphasis{admin\_server}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}a} \sphinxstyleemphasis{acl\_file}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}f} \sphinxstyleemphasis{replica\_dumpfile}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}F} \sphinxstyleemphasis{principal\_database}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{kdb5\_util\_prog}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}P} \sphinxstyleemphasis{port}{]}
+{[}\sphinxstylestrong{\textendash{}pid\sphinxhyphen{}file}=\sphinxstyleemphasis{pid\_file}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}D}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}d}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}s} \sphinxstyleemphasis{keytab\_file}{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{admin/admin_commands/kpropd:description}}
+\sphinxAtStartPar
 The \sphinxstyleemphasis{kpropd} command runs on the replica KDC server.  It listens for
 update requests made by the {\hyperref[\detokenize{admin/admin_commands/kprop:kprop-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop}}}} program.  If incremental
 propagation is enabled, it periodically requests incremental updates
 from the primary KDC.
 
+\sphinxAtStartPar
 When the replica receives a kprop request from the primary, kpropd
 accepts the dumped KDC database and places it in a file, and then runs
 {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}} to load the dumped database into the active
 database which is used by {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}}.  This allows the primary
 Kerberos server to use {\hyperref[\detokenize{admin/admin_commands/kprop:kprop-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop}}}} to propagate its database to
 the replica servers.  Upon a successful download of the KDC database
-file, the replica Kerberos server will have an up-to-date KDC
+file, the replica Kerberos server will have an up\sphinxhyphen{}to\sphinxhyphen{}date KDC
 database.
 
+\sphinxAtStartPar
 Where incremental propagation is not used, kpropd is commonly invoked
 out of inetd(8) as a nowait service.  This is done by adding a line to
-the \sphinxcode{/etc/inetd.conf} file which looks like this:
+the \sphinxcode{\sphinxupquote{/etc/inetd.conf}} file which looks like this:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kprop}  \PYG{n}{stream}  \PYG{n}{tcp}  \PYG{n}{nowait}  \PYG{n}{root}  \PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{local}\PYG{o}{/}\PYG{n}{sbin}\PYG{o}{/}\PYG{n}{kpropd}  \PYG{n}{kpropd}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 kpropd can also run as a standalone daemon, backgrounding itself and
 waiting for connections on port 754 (or the port specified with the
-\sphinxstylestrong{-P} option if given).  Standalone mode is required for incremental
+\sphinxstylestrong{\sphinxhyphen{}P} option if given).  Standalone mode is required for incremental
 propagation.  Starting in release 1.11, kpropd automatically detects
 whether it was run from inetd and runs in standalone mode if it is
-not.  Prior to release 1.11, the \sphinxstylestrong{-S} option is required to run
+not.  Prior to release 1.11, the \sphinxstylestrong{\sphinxhyphen{}S} option is required to run
 kpropd in standalone mode; this option is now accepted for backward
 compatibility but does nothing.
 
+\sphinxAtStartPar
 Incremental propagation may be enabled with the \sphinxstylestrong{iprop\_enable}
 variable in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}.  If incremental propagation is
 enabled, the replica periodically polls the primary KDC for updates, at
@@ -9280,62 +10618,75 @@ an interval determined by the \sphinxsty
 replica receives updates, kpropd updates its log file with any updates
 from the primary.  {\hyperref[\detokenize{admin/admin_commands/kproplog:kproplog-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kproplog}}}} can be used to view a summary of
 the update entry log on the replica KDC.  If incremental propagation
-is enabled, the principal \sphinxcode{kiprop/replicahostname@REALM} (where
+is enabled, the principal \sphinxcode{\sphinxupquote{kiprop/replicahostname@REALM}} (where
 \sphinxstyleemphasis{replicahostname} is the name of the replica KDC host, and \sphinxstyleemphasis{REALM} is
 the name of the Kerberos realm) must be present in the replica’s
 keytab file.
 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kproplog:kproplog-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kproplog}}}} can be used to force full replication when iprop is
 enabled.
 
 
 \subsection{OPTIONS}
 \label{\detokenize{admin/admin_commands/kpropd:options}}\begin{description}
-\item[{\sphinxstylestrong{-r} \sphinxstyleemphasis{realm}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{realm}}] \leavevmode
+\sphinxAtStartPar
 Specifies the realm of the primary server.
 
-\item[{\sphinxstylestrong{-A} \sphinxstyleemphasis{admin\_server}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}A} \sphinxstyleemphasis{admin\_server}}] \leavevmode
+\sphinxAtStartPar
 Specifies the server to be contacted for incremental updates; by
 default, the primary admin server is contacted.
 
-\item[{\sphinxstylestrong{-f} \sphinxstyleemphasis{file}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}f} \sphinxstyleemphasis{file}}] \leavevmode
+\sphinxAtStartPar
 Specifies the filename where the dumped principal database file is
-to be stored; by default the dumped database file is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/from\_master}.
+to be stored; by default the dumped database file is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/from\_master}}.
 
-\item[{\sphinxstylestrong{-F} \sphinxstyleemphasis{kerberos\_db}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}F} \sphinxstyleemphasis{kerberos\_db}}] \leavevmode
+\sphinxAtStartPar
 Path to the Kerberos database file, if not the default.
 
-\item[{\sphinxstylestrong{-p}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}p}}] \leavevmode
+\sphinxAtStartPar
 Allows the user to specify the pathname to the {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}}
-program; by default the pathname used is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SBINDIR}}}}\sphinxcode{/kdb5\_util}.
+program; by default the pathname used is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SBINDIR}}}}\sphinxcode{\sphinxupquote{/kdb5\_util}}.
 
-\item[{\sphinxstylestrong{-D}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}D}}] \leavevmode
+\sphinxAtStartPar
 In this mode, kpropd will not detach itself from the current job
 and run in the background.  Instead, it will run in the
 foreground.
 
-\item[{\sphinxstylestrong{-d}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}d}}] \leavevmode
+\sphinxAtStartPar
 Turn on debug mode.  kpropd will print out debugging messages
 during the database propogation and will run in the foreground
-(implies \sphinxstylestrong{-D}).
+(implies \sphinxstylestrong{\sphinxhyphen{}D}).
 
-\item[{\sphinxstylestrong{-P}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}P}}] \leavevmode
+\sphinxAtStartPar
 Allow for an alternate port number for kpropd to listen on.  This
-is only useful in combination with the \sphinxstylestrong{-S} option.
+is only useful in combination with the \sphinxstylestrong{\sphinxhyphen{}S} option.
 
-\item[{\sphinxstylestrong{-a} \sphinxstyleemphasis{acl\_file}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}a} \sphinxstyleemphasis{acl\_file}}] \leavevmode
+\sphinxAtStartPar
 Allows the user to specify the path to the kpropd.acl file; by
-default the path used is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/kpropd.acl}.
+default the path used is {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kpropd.acl}}.
 
-\item[{\sphinxstylestrong{\textendash{}pid-file}=\sphinxstyleemphasis{pid\_file}}] \leavevmode
+\item[{\sphinxstylestrong{\textendash{}pid\sphinxhyphen{}file}=\sphinxstyleemphasis{pid\_file}}] \leavevmode
+\sphinxAtStartPar
 In standalone mode, write the process ID of the daemon into
 \sphinxstyleemphasis{pid\_file}.
 
-\item[{\sphinxstylestrong{-s} \sphinxstyleemphasis{keytab\_file}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}s} \sphinxstyleemphasis{keytab\_file}}] \leavevmode
+\sphinxAtStartPar
 Path to a keytab to use for acquiring acceptor credentials.
 
-\item[{\sphinxstylestrong{-x} \sphinxstyleemphasis{db\_args}}] \leavevmode
-Database-specific arguments.  See {\hyperref[\detokenize{admin/admin_commands/kadmin_local:dboptions}]{\sphinxcrossref{\DUrole{std,std-ref}{Database Options}}}} in {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} for supported arguments.
+\item[{\sphinxstylestrong{\sphinxhyphen{}x} \sphinxstyleemphasis{db\_args}}] \leavevmode
+\sphinxAtStartPar
+Database\sphinxhyphen{}specific arguments.  See {\hyperref[\detokenize{admin/admin_commands/kadmin_local:dboptions}]{\sphinxcrossref{\DUrole{std,std-ref}{Database Options}}}} in {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} for supported arguments.
 
 \end{description}
 
@@ -9343,8 +10694,9 @@ Database-specific arguments.  See {\hype
 \subsection{FILES}
 \label{\detokenize{admin/admin_commands/kpropd:files}}\begin{description}
 \item[{kpropd.acl}] \leavevmode
+\sphinxAtStartPar
 Access file for kpropd; the default location is
-\sphinxcode{/usr/local/var/krb5kdc/kpropd.acl}.  Each entry is a line
+\sphinxcode{\sphinxupquote{/usr/local/var/krb5kdc/kpropd.acl}}.  Each entry is a line
 containing the principal of a host from which the local machine
 will allow Kerberos database propagation via {\hyperref[\detokenize{admin/admin_commands/kprop:kprop-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop}}}}.
 
@@ -9353,12 +10705,14 @@ will allow Kerberos database propagation
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/kpropd:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/kpropd:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kprop:kprop-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop}}}}, {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}}, {\hyperref[\detokenize{admin/admin_commands/krb5kdc:krb5kdc-8}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5kdc}}}},
 \DUrole{xref,std,std-ref}{kerberos(7)}, inetd(8)
 
@@ -9368,12 +10722,14 @@ variables.
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/kproplog:synopsis}}
-\sphinxstylestrong{kproplog} {[}\sphinxstylestrong{-h}{]} {[}\sphinxstylestrong{-e} \sphinxstyleemphasis{num}{]} {[}-v{]}
-\sphinxstylestrong{kproplog} {[}-R{]}
+\sphinxAtStartPar
+\sphinxstylestrong{kproplog} {[}\sphinxstylestrong{\sphinxhyphen{}h}{]} {[}\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{num}{]} {[}\sphinxhyphen{}v{]}
+\sphinxstylestrong{kproplog} {[}\sphinxhyphen{}R{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{admin/admin_commands/kproplog:description}}
+\sphinxAtStartPar
 The kproplog command displays the contents of the KDC database update
 log to standard output.  It can be used to keep track of incremental
 updates to the principal database.  The update log file contains the
@@ -9384,9 +10740,11 @@ Subsequently any KDC replica configured
 request the current data from the primary KDC and update their log
 file with any updates returned.
 
+\sphinxAtStartPar
 The kproplog command requires read access to the update log file.  It
 will display update entries only for the KDC it runs on.
 
+\sphinxAtStartPar
 If no options are specified, kproplog displays a summary of the update
 log.  If invoked on the primary, kproplog also displays all of the
 update entries.  If invoked on a replica KDC server, kproplog displays
@@ -9396,27 +10754,30 @@ last update received and the associated
 
 \subsection{OPTIONS}
 \label{\detokenize{admin/admin_commands/kproplog:options}}\begin{description}
-\item[{\sphinxstylestrong{-R}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}R}}] \leavevmode
+\sphinxAtStartPar
 Reset the update log.  This forces full resynchronization.  If
 used on a replica then that replica will request a full resync.
 If used on the primary then all replicas will request full
 resyncs.
 
-\item[{\sphinxstylestrong{-h}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}h}}] \leavevmode
+\sphinxAtStartPar
 Display a summary of the update log.  This information includes
 the database version number, state of the database, the number of
 updates in the log, the time stamp of the first and last update,
 and the version number of the first and last update entry.
 
-\item[{\sphinxstylestrong{-e} \sphinxstyleemphasis{num}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{num}}] \leavevmode
+\sphinxAtStartPar
 Display the last \sphinxstyleemphasis{num} update entries in the log.  This is useful
 when debugging synchronization between KDC servers.
 
-\item[{\sphinxstylestrong{-v}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}v}}] \leavevmode
+\sphinxAtStartPar
 Display individual attributes per update.  An example of the
 output generated for one entry:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{Update} \PYG{n}{Entry}
    \PYG{n}{Update} \PYG{n}{serial} \PYG{c+c1}{\PYGZsh{} : 4}
@@ -9439,25 +10800,29 @@ output generated for one entry:
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/kproplog:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/kproplog:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kpropd:kpropd-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kpropd}}}}, \DUrole{xref,std,std-ref}{kerberos(7)}
 
 
 \section{ktutil}
-\label{\detokenize{admin/admin_commands/ktutil:ktutil-1}}\label{\detokenize{admin/admin_commands/ktutil::doc}}\label{\detokenize{admin/admin_commands/ktutil:ktutil}}
+\label{\detokenize{admin/admin_commands/ktutil:ktutil}}\label{\detokenize{admin/admin_commands/ktutil:ktutil-1}}\label{\detokenize{admin/admin_commands/ktutil::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/ktutil:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{ktutil}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{admin/admin_commands/ktutil:description}}
+\sphinxAtStartPar
 The ktutil command invokes a command interface from which an
 administrator can read, write, or edit entries in a keytab.  (Kerberos
 V4 srvtab files are no longer supported.)
@@ -9469,103 +10834,126 @@ V4 srvtab files are no longer supported.
 \subsubsection{list}
 \label{\detokenize{admin/admin_commands/ktutil:list}}\begin{quote}
 
-\sphinxstylestrong{list} {[}\sphinxstylestrong{-t}{]} {[}\sphinxstylestrong{-k}{]} {[}\sphinxstylestrong{-e}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{list} {[}\sphinxstylestrong{\sphinxhyphen{}t}{]} {[}\sphinxstylestrong{\sphinxhyphen{}k}{]} {[}\sphinxstylestrong{\sphinxhyphen{}e}{]}
 \end{quote}
 
-Displays the current keylist.  If \sphinxstylestrong{-t}, \sphinxstylestrong{-k}, and/or \sphinxstylestrong{-e} are
+\sphinxAtStartPar
+Displays the current keylist.  If \sphinxstylestrong{\sphinxhyphen{}t}, \sphinxstylestrong{\sphinxhyphen{}k}, and/or \sphinxstylestrong{\sphinxhyphen{}e} are
 specified, also display the timestamp, key contents, or enctype
 (respectively).
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{l}
 
 
 \subsubsection{read\_kt}
 \label{\detokenize{admin/admin_commands/ktutil:read-kt}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{read\_kt} \sphinxstyleemphasis{keytab}
 \end{quote}
 
+\sphinxAtStartPar
 Read the Kerberos V5 keytab file \sphinxstyleemphasis{keytab} into the current keylist.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{rkt}
 
 
 \subsubsection{write\_kt}
 \label{\detokenize{admin/admin_commands/ktutil:write-kt}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{write\_kt} \sphinxstyleemphasis{keytab}
 \end{quote}
 
+\sphinxAtStartPar
 Write the current keylist into the Kerberos V5 keytab file \sphinxstyleemphasis{keytab}.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{wkt}
 
 
 \subsubsection{clear\_list}
 \label{\detokenize{admin/admin_commands/ktutil:clear-list}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{clear\_list}
 \end{quote}
 
+\sphinxAtStartPar
 Clear the current keylist.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{clear}
 
 
 \subsubsection{delete\_entry}
 \label{\detokenize{admin/admin_commands/ktutil:delete-entry}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{delete\_entry} \sphinxstyleemphasis{slot}
 \end{quote}
 
+\sphinxAtStartPar
 Delete the entry in slot number \sphinxstyleemphasis{slot} from the current keylist.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{delent}
 
 
 \subsubsection{add\_entry}
 \label{\detokenize{admin/admin_commands/ktutil:add-entry}}\begin{quote}
 
-\sphinxstylestrong{add\_entry} \{\sphinxstylestrong{-key}\textbar{}\sphinxstylestrong{-password}\} \sphinxstylestrong{-p} \sphinxstyleemphasis{principal}
-\sphinxstylestrong{-k} \sphinxstyleemphasis{kvno} {[}\sphinxstylestrong{-e} \sphinxstyleemphasis{enctype}{]} {[}\sphinxstylestrong{-f}\textbar{}\sphinxstylestrong{-s} \sphinxstyleemphasis{salt}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{add\_entry} \{\sphinxstylestrong{\sphinxhyphen{}key}|\sphinxstylestrong{\sphinxhyphen{}password}\} \sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{principal}
+\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{kvno} {[}\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{enctype}{]} {[}\sphinxstylestrong{\sphinxhyphen{}f}|\sphinxstylestrong{\sphinxhyphen{}s} \sphinxstyleemphasis{salt}{]}
 \end{quote}
 
-Add \sphinxstyleemphasis{principal} to keylist using key or password.  If the \sphinxstylestrong{-f} flag
+\sphinxAtStartPar
+Add \sphinxstyleemphasis{principal} to keylist using key or password.  If the \sphinxstylestrong{\sphinxhyphen{}f} flag
 is specified, salt information will be fetched from the KDC; in this
-case the \sphinxstylestrong{-e} flag may be omitted, or it may be supplied to force a
-particular enctype.  If the \sphinxstylestrong{-f} flag is not specified, the \sphinxstylestrong{-e}
+case the \sphinxstylestrong{\sphinxhyphen{}e} flag may be omitted, or it may be supplied to force a
+particular enctype.  If the \sphinxstylestrong{\sphinxhyphen{}f} flag is not specified, the \sphinxstylestrong{\sphinxhyphen{}e}
 flag must be specified, and the default salt will be used unless
-overridden with the \sphinxstylestrong{-s} option.
+overridden with the \sphinxstylestrong{\sphinxhyphen{}s} option.
 
+\sphinxAtStartPar
 Alias: \sphinxstylestrong{addent}
 
 
 \subsubsection{list\_requests}
 \label{\detokenize{admin/admin_commands/ktutil:list-requests}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{list\_requests}
 \end{quote}
 
+\sphinxAtStartPar
 Displays a listing of available commands.
 
+\sphinxAtStartPar
 Aliases: \sphinxstylestrong{lr}, \sphinxstylestrong{?}
 
 
 \subsubsection{quit}
 \label{\detokenize{admin/admin_commands/ktutil:quit}}\begin{quote}
 
+\sphinxAtStartPar
 \sphinxstylestrong{quit}
 \end{quote}
 
+\sphinxAtStartPar
 Quits ktutil.
 
+\sphinxAtStartPar
 Aliases: \sphinxstylestrong{exit}, \sphinxstylestrong{q}
 
 
 \subsection{EXAMPLE}
 \label{\detokenize{admin/admin_commands/ktutil:example}}\begin{quote}
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{ktutil}\PYG{p}{:}  \PYG{n}{add\PYGZus{}entry} \PYG{o}{\PYGZhy{}}\PYG{n}{password} \PYG{o}{\PYGZhy{}}\PYG{n}{p} \PYG{n}{alice}\PYG{n+nd}{@BLEEP}\PYG{o}{.}\PYG{n}{COM} \PYG{o}{\PYGZhy{}}\PYG{n}{k} \PYG{l+m+mi}{1} \PYG{o}{\PYGZhy{}}\PYG{n}{e}
     \PYG{n}{aes128}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{o}{\PYGZhy{}}\PYG{l+m+mi}{96}
@@ -9581,127 +10969,145 @@ Aliases: \sphinxstylestrong{exit}, \sphi
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/ktutil:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/ktutil:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}, {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}}, \DUrole{xref,std,std-ref}{kerberos(7)}
 
 
 \section{k5srvutil}
-\label{\detokenize{admin/admin_commands/k5srvutil:k5srvutil-1}}\label{\detokenize{admin/admin_commands/k5srvutil::doc}}\label{\detokenize{admin/admin_commands/k5srvutil:k5srvutil}}
+\label{\detokenize{admin/admin_commands/k5srvutil:k5srvutil}}\label{\detokenize{admin/admin_commands/k5srvutil:k5srvutil-1}}\label{\detokenize{admin/admin_commands/k5srvutil::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/k5srvutil:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{k5srvutil} \sphinxstyleemphasis{operation}
-{[}\sphinxstylestrong{-i}{]}
-{[}\sphinxstylestrong{-f} \sphinxstyleemphasis{filename}{]}
-{[}\sphinxstylestrong{-e} \sphinxstyleemphasis{keysalts}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}i}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}f} \sphinxstyleemphasis{filename}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{keysalts}{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{admin/admin_commands/k5srvutil:description}}
+\sphinxAtStartPar
 k5srvutil allows an administrator to list keys currently in
 a keytab, to obtain new keys for a principal currently in a keytab,
-or to delete non-current keys from a keytab.
+or to delete non\sphinxhyphen{}current keys from a keytab.
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{operation} must be one of the following:
 \begin{description}
 \item[{\sphinxstylestrong{list}}] \leavevmode
+\sphinxAtStartPar
 Lists the keys in a keytab, showing version number and principal
 name.
 
 \item[{\sphinxstylestrong{change}}] \leavevmode
+\sphinxAtStartPar
 Uses the kadmin protocol to update the keys in the Kerberos
-database to new randomly-generated keys, and updates the keys in
+database to new randomly\sphinxhyphen{}generated keys, and updates the keys in
 the keytab to match.  If a key’s version number doesn’t match the
 version number stored in the Kerberos server’s database, then the
-operation will fail.  If the \sphinxstylestrong{-i} flag is given, k5srvutil will
-prompt for confirmation before changing each key.  If the \sphinxstylestrong{-k}
+operation will fail.  If the \sphinxstylestrong{\sphinxhyphen{}i} flag is given, k5srvutil will
+prompt for confirmation before changing each key.  If the \sphinxstylestrong{\sphinxhyphen{}k}
 option is given, the old and new keys will be displayed.
 Ordinarily, keys will be generated with the default encryption
-types and key salts.  This can be overridden with the \sphinxstylestrong{-e}
+types and key salts.  This can be overridden with the \sphinxstylestrong{\sphinxhyphen{}e}
 option.  Old keys are retained in the keytab so that existing
 tickets continue to work, but \sphinxstylestrong{delold} should be used after
 such tickets expire, to prevent attacks against the old keys.
 
 \item[{\sphinxstylestrong{delold}}] \leavevmode
+\sphinxAtStartPar
 Deletes keys that are not the most recent version from the keytab.
 This operation should be used some time after a change operation
 to remove old keys, after existing tickets issued for the service
-have expired.  If the \sphinxstylestrong{-i} flag is given, then k5srvutil will
+have expired.  If the \sphinxstylestrong{\sphinxhyphen{}i} flag is given, then k5srvutil will
 prompt for confirmation for each principal.
 
 \item[{\sphinxstylestrong{delete}}] \leavevmode
+\sphinxAtStartPar
 Deletes particular keys in the keytab, interactively prompting for
 each key.
 
 \end{description}
 
+\sphinxAtStartPar
 In all cases, the default keytab is used unless this is overridden by
-the \sphinxstylestrong{-f} option.
+the \sphinxstylestrong{\sphinxhyphen{}f} option.
 
+\sphinxAtStartPar
 k5srvutil uses the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} program to edit the keytab in
 place.
 
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/k5srvutil:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/k5srvutil:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}, {\hyperref[\detokenize{admin/admin_commands/ktutil:ktutil-1}]{\sphinxcrossref{\DUrole{std,std-ref}{ktutil}}}}, \DUrole{xref,std,std-ref}{kerberos(7)}
 
 
 \section{sserver}
-\label{\detokenize{admin/admin_commands/sserver:sserver-8}}\label{\detokenize{admin/admin_commands/sserver::doc}}\label{\detokenize{admin/admin_commands/sserver:sserver}}
+\label{\detokenize{admin/admin_commands/sserver:sserver}}\label{\detokenize{admin/admin_commands/sserver:sserver-8}}\label{\detokenize{admin/admin_commands/sserver::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{admin/admin_commands/sserver:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{sserver}
-{[} \sphinxstylestrong{-p} \sphinxstyleemphasis{port} {]}
-{[} \sphinxstylestrong{-S} \sphinxstyleemphasis{keytab} {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{port} {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}S} \sphinxstyleemphasis{keytab} {]}
 {[} \sphinxstyleemphasis{server\_port} {]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{admin/admin_commands/sserver:description}}
+\sphinxAtStartPar
 sserver and \DUrole{xref,std,std-ref}{sclient(1)} are a simple demonstration client/server
 application.  When sclient connects to sserver, it performs a Kerberos
 authentication, and then sserver returns to sclient the Kerberos
 principal which was used for the Kerberos authentication.  It makes a
 good test that Kerberos has been successfully installed on a machine.
 
+\sphinxAtStartPar
 The service name used by sserver and sclient is sample.  Hence,
 sserver will require that there be a keytab entry for the service
-\sphinxcode{sample/hostname.domain.name@REALM.NAME}.  This keytab is generated
+\sphinxcode{\sphinxupquote{sample/hostname.domain.name@REALM.NAME}}.  This keytab is generated
 using the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} program.  The keytab file is usually
 installed as {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFKTNAME}}}}.
 
-The \sphinxstylestrong{-S} option allows for a different keytab than the default.
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}S} option allows for a different keytab than the default.
 
+\sphinxAtStartPar
 sserver is normally invoked out of inetd(8), using a line in
-\sphinxcode{/etc/inetd.conf} that looks like this:
+\sphinxcode{\sphinxupquote{/etc/inetd.conf}} that looks like this:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{sample} \PYG{n}{stream} \PYG{n}{tcp} \PYG{n}{nowait} \PYG{n}{root} \PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{local}\PYG{o}{/}\PYG{n}{sbin}\PYG{o}{/}\PYG{n}{sserver} \PYG{n}{sserver}
 \end{sphinxVerbatim}
 
-Since \sphinxcode{sample} is normally not a port defined in \sphinxcode{/etc/services},
-you will usually have to add a line to \sphinxcode{/etc/services} which looks
+\sphinxAtStartPar
+Since \sphinxcode{\sphinxupquote{sample}} is normally not a port defined in \sphinxcode{\sphinxupquote{/etc/services}},
+you will usually have to add a line to \sphinxcode{\sphinxupquote{/etc/services}} which looks
 like this:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{sample}          \PYG{l+m+mi}{13135}\PYG{o}{/}\PYG{n}{tcp}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 When using sclient, you will first have to have an entry in the
 Kerberos database, by using {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}, and then you have to get
 Kerberos tickets, by using \DUrole{xref,std,std-ref}{kinit(1)}.  Also, if you are running
@@ -9710,9 +11116,9 @@ connecting to, be sure that both hosts h
 for the sample tcp port, and that the same port number is in both
 files.
 
+\sphinxAtStartPar
 When you run sclient you should see something like this:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{sendauth} \PYG{n}{succeeded}\PYG{p}{,} \PYG{n}{reply} \PYG{o+ow}{is}\PYG{p}{:}
 \PYG{n}{reply} \PYG{n+nb}{len} \PYG{l+m+mi}{32}\PYG{p}{,} \PYG{n}{contents}\PYG{p}{:}
@@ -9722,63 +11128,69 @@ When you run sclient you should see some
 
 \subsection{COMMON ERROR MESSAGES}
 \label{\detokenize{admin/admin_commands/sserver:common-error-messages}}\begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{)}%
 \item {} 
+\sphinxAtStartPar
 kinit returns the error:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{kinit}\PYG{p}{:} \PYG{n}{Client} \PYG{o+ow}{not} \PYG{n}{found} \PYG{o+ow}{in} \PYG{n}{Kerberos} \PYG{n}{database} \PYG{k}{while} \PYG{n}{getting}
        \PYG{n}{initial} \PYG{n}{credentials}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This means that you didn’t create an entry for your username in the
 Kerberos database.
 
 \item {} 
+\sphinxAtStartPar
 sclient returns the error:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{unknown} \PYG{n}{service} \PYG{n}{sample}\PYG{o}{/}\PYG{n}{tcp}\PYG{p}{;} \PYG{n}{check} \PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{services}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This means that you don’t have an entry in /etc/services for the
 sample tcp port.
 
 \item {} 
+\sphinxAtStartPar
 sclient returns the error:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{connect}\PYG{p}{:} \PYG{n}{Connection} \PYG{n}{refused}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This probably means you didn’t edit /etc/inetd.conf correctly, or
 you didn’t restart inetd after editing inetd.conf.
 
 \item {} 
+\sphinxAtStartPar
 sclient returns the error:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{sclient}\PYG{p}{:} \PYG{n}{Server} \PYG{o+ow}{not} \PYG{n}{found} \PYG{o+ow}{in} \PYG{n}{Kerberos} \PYG{n}{database} \PYG{k}{while} \PYG{n}{using}
          \PYG{n}{sendauth}
 \end{sphinxVerbatim}
 
-This means that the \sphinxcode{sample/hostname@LOCAL.REALM} service was not
+\sphinxAtStartPar
+This means that the \sphinxcode{\sphinxupquote{sample/hostname@LOCAL.REALM}} service was not
 defined in the Kerberos database; it should be created using
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}, and a keytab file needs to be generated to make
 the key for that service principal available for sclient.
 
 \item {} 
+\sphinxAtStartPar
 sclient returns the error:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{sendauth} \PYG{n}{rejected}\PYG{p}{,} \PYG{n}{error} \PYG{n}{reply} \PYG{o+ow}{is}\PYG{p}{:}
     \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{No such file or directory}\PYG{l+s+s2}{\PYGZdq{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This probably means sserver couldn’t find the keytab file.  It was
 probably not installed in the proper directory.
 
@@ -9787,17 +11199,19 @@ probably not installed in the proper dir
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{admin/admin_commands/sserver:environment}}
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{kerberos(7)} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{admin/admin_commands/sserver:see-also}}
+\sphinxAtStartPar
 \DUrole{xref,std,std-ref}{sclient(1)}, \DUrole{xref,std,std-ref}{kerberos(7)}, services(5), inetd(8)
 
 
 \chapter{MIT Kerberos defaults}
-\label{\detokenize{mitK5defaults:mitk5defaults}}\label{\detokenize{mitK5defaults::doc}}\label{\detokenize{mitK5defaults:mit-kerberos-defaults}}
+\label{\detokenize{mitK5defaults:mit-kerberos-defaults}}\label{\detokenize{mitK5defaults:mitk5defaults}}\label{\detokenize{mitK5defaults::doc}}
 
 \section{General defaults}
 \label{\detokenize{mitK5defaults:general-defaults}}
@@ -9806,108 +11220,151 @@ variables.
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|T|}
 \hline
-\sphinxstylethead{\sphinxstyletheadfamily 
+\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Description
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Default
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Environment
-\unskip}\relax \\
+\\
 \hline
+\sphinxAtStartPar
 \DUrole{xref,std,std-ref}{keytab\_definition} file
 &
+\sphinxAtStartPar
 {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFKTNAME}}}}
 &
+\sphinxAtStartPar
 \sphinxstylestrong{KRB5\_KTNAME}
 \\
 \hline
+\sphinxAtStartPar
 Client \DUrole{xref,std,std-ref}{keytab\_definition} file
 &
+\sphinxAtStartPar
 {\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{DEFCKTNAME}}}}
 &
+\sphinxAtStartPar
 \sphinxstylestrong{KRB5\_CLIENT\_KTNAME}
 \\
 \hline
+\sphinxAtStartPar
 Kerberos config file {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}
 &
-\sphinxcode{/etc/krb5.conf}\sphinxcode{:}{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SYSCONFDIR}}}}\sphinxcode{/krb5.conf}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/etc/krb5.conf}}\sphinxcode{\sphinxupquote{:}}{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SYSCONFDIR}}}}\sphinxcode{\sphinxupquote{/krb5.conf}}
 &
+\sphinxAtStartPar
 \sphinxstylestrong{KRB5\_CONFIG}
 \\
 \hline
+\sphinxAtStartPar
 KDC config file {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}}
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/kdc.conf}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kdc.conf}}
 &
+\sphinxAtStartPar
 \sphinxstylestrong{KRB5\_KDC\_PROFILE}
 \\
 \hline
+\sphinxAtStartPar
 GSS mechanism config file
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SYSCONFDIR}}}}\sphinxcode{/gss/mech}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SYSCONFDIR}}}}\sphinxcode{\sphinxupquote{/gss/mech}}
 &
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_MECH\_CONFIG}
 \\
 \hline
+\sphinxAtStartPar
 KDC database path (DB2)
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/principal}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/principal}}
 &\\
 \hline
+\sphinxAtStartPar
 Master key \DUrole{xref,std,std-ref}{stash\_definition}
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/.k5.}\sphinxstyleemphasis{realm}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/.k5.}}\sphinxstyleemphasis{realm}
 &\\
 \hline
+\sphinxAtStartPar
 Admin server ACL file {\hyperref[\detokenize{admin/conf_files/kadm5_acl:kadm5-acl-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kadm5.acl}}}}
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/kadm5.acl}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kadm5.acl}}
 &\\
 \hline
+\sphinxAtStartPar
 OTP socket directory
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{RUNSTATEDIR}}}}\sphinxcode{/krb5kdc}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{RUNSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}
 &\\
 \hline
+\sphinxAtStartPar
 Plugin base directory
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LIBDIR}}}}\sphinxcode{/krb5/plugins}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LIBDIR}}}}\sphinxcode{\sphinxupquote{/krb5/plugins}}
 &\\
 \hline
+\sphinxAtStartPar
 \DUrole{xref,std,std-ref}{rcache\_definition} directory
 &
-\sphinxcode{/var/tmp}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/var/tmp}}
 &
+\sphinxAtStartPar
 \sphinxstylestrong{KRB5RCACHEDIR}
 \\
 \hline
+\sphinxAtStartPar
 Master key default enctype
 &
-\sphinxcode{aes256-cts-hmac-sha1-96}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96}}
 &\\
 \hline
+\sphinxAtStartPar
 Default {\hyperref[\detokenize{admin/conf_files/kdc_conf:keysalt-lists}]{\sphinxcrossref{\DUrole{std,std-ref}{keysalt list}}}}
 &
-\sphinxcode{aes256-cts-hmac-sha1-96:normal aes128-cts-hmac-sha1-96:normal}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96:normal aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96:normal}}
 &\\
 \hline
+\sphinxAtStartPar
 Permitted enctypes
 &
-\sphinxcode{aes256-cts-hmac-sha1-96 aes128-cts-hmac-sha1-96 aes256-cts-hmac-sha384-192 aes128-cts-hmac-sha256-128 des3-cbc-sha1 arcfour-hmac-md5 camellia256-cts-cmac camellia128-cts-cmac}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96 aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha384\sphinxhyphen{}192 aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha256\sphinxhyphen{}128 des3\sphinxhyphen{}cbc\sphinxhyphen{}sha1 arcfour\sphinxhyphen{}hmac\sphinxhyphen{}md5 camellia256\sphinxhyphen{}cts\sphinxhyphen{}cmac camellia128\sphinxhyphen{}cts\sphinxhyphen{}cmac}}
 &\\
 \hline
+\sphinxAtStartPar
 KDC default port
 &
+\sphinxAtStartPar
 88
 &\\
 \hline
+\sphinxAtStartPar
 Admin server port
 &
+\sphinxAtStartPar
 749
 &\\
 \hline
+\sphinxAtStartPar
 Password change port
 &
+\sphinxAtStartPar
 464
 &\\
 \hline
@@ -9918,6 +11375,7 @@ Password change port
 
 \section{Replica KDC propagation defaults}
 \label{\detokenize{mitK5defaults:replica-kdc-propagation-defaults}}
+\sphinxAtStartPar
 This table shows defaults used by the {\hyperref[\detokenize{admin/admin_commands/kprop:kprop-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop}}}} and
 {\hyperref[\detokenize{admin/admin_commands/kpropd:kpropd-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kpropd}}}} programs.
 
@@ -9926,43 +11384,59 @@ This table shows defaults used by the {\
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|T|}
 \hline
-\sphinxstylethead{\sphinxstyletheadfamily 
+\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Description
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Default
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Environment
-\unskip}\relax \\
+\\
 \hline
+\sphinxAtStartPar
 kprop database dump file
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/replica\_datatrans}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/replica\_datatrans}}
 &\\
 \hline
+\sphinxAtStartPar
 kpropd temporary dump file
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/from\_master}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/from\_master}}
 &\\
 \hline
+\sphinxAtStartPar
 kdb5\_util location
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SBINDIR}}}}\sphinxcode{/kdb5\_util}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SBINDIR}}}}\sphinxcode{\sphinxupquote{/kdb5\_util}}
 &\\
 \hline
+\sphinxAtStartPar
 kprop location
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SBINDIR}}}}\sphinxcode{/kprop}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{SBINDIR}}}}\sphinxcode{\sphinxupquote{/kprop}}
 &\\
 \hline
+\sphinxAtStartPar
 kpropd ACL file
 &
-{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{/krb5kdc}\sphinxcode{/kpropd.acl}
+\sphinxAtStartPar
+{\hyperref[\detokenize{mitK5defaults:paths}]{\sphinxcrossref{\DUrole{std,std-ref}{LOCALSTATEDIR}}}}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kpropd.acl}}
 &\\
 \hline
+\sphinxAtStartPar
 kprop port
 &
+\sphinxAtStartPar
 754
 &
+\sphinxAtStartPar
 KPROP\_PORT
 \\
 \hline
@@ -9971,11 +11445,12 @@ KPROP\_PORT
 \sphinxattableend\end{savenotes}
 
 
-\section{Default paths for Unix-like systems}
-\label{\detokenize{mitK5defaults:paths}}\label{\detokenize{mitK5defaults:default-paths-for-unix-like-systems}}
-On Unix-like systems, some paths used by MIT krb5 depend on parameters
+\section{Default paths for Unix\sphinxhyphen{}like systems}
+\label{\detokenize{mitK5defaults:default-paths-for-unix-like-systems}}\label{\detokenize{mitK5defaults:paths}}
+\sphinxAtStartPar
+On Unix\sphinxhyphen{}like systems, some paths used by MIT krb5 depend on parameters
 chosen at build time.  For a custom build, these paths default to
-subdirectories of \sphinxcode{/usr/local}.  When MIT krb5 is integrated into an
+subdirectories of \sphinxcode{\sphinxupquote{/usr/local}}.  When MIT krb5 is integrated into an
 operating system, the paths are generally chosen to match the
 operating system’s filesystem layout.
 
@@ -9984,133 +11459,177 @@ operating system’s filesystem layout.
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|T|T|}
 \hline
-\sphinxstylethead{\sphinxstyletheadfamily 
+\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Description
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Symbolic name
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Custom build path
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Typical OS path
-\unskip}\relax \\
+\\
 \hline
+\sphinxAtStartPar
 User programs
 &
+\sphinxAtStartPar
 BINDIR
 &
-\sphinxcode{/usr/local/bin}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/usr/local/bin}}
 &
-\sphinxcode{/usr/bin}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/usr/bin}}
 \\
 \hline
+\sphinxAtStartPar
 Libraries and plugins
 &
+\sphinxAtStartPar
 LIBDIR
 &
-\sphinxcode{/usr/local/lib}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/usr/local/lib}}
 &
-\sphinxcode{/usr/lib}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/usr/lib}}
 \\
 \hline
+\sphinxAtStartPar
 Parent of KDC state dir
 &
+\sphinxAtStartPar
 LOCALSTATEDIR
 &
-\sphinxcode{/usr/local/var}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/usr/local/var}}
 &
-\sphinxcode{/var}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/var}}
 \\
 \hline
+\sphinxAtStartPar
 Parent of KDC runtime dir
 &
+\sphinxAtStartPar
 RUNSTATEDIR
 &
-\sphinxcode{/usr/local/var/run}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/usr/local/var/run}}
 &
-\sphinxcode{/run}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/run}}
 \\
 \hline
+\sphinxAtStartPar
 Administrative programs
 &
+\sphinxAtStartPar
 SBINDIR
 &
-\sphinxcode{/usr/local/sbin}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/usr/local/sbin}}
 &
-\sphinxcode{/usr/sbin}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/usr/sbin}}
 \\
 \hline
+\sphinxAtStartPar
 Alternate krb5.conf dir
 &
+\sphinxAtStartPar
 SYSCONFDIR
 &
-\sphinxcode{/usr/local/etc}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/usr/local/etc}}
 &
-\sphinxcode{/etc}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{/etc}}
 \\
 \hline
+\sphinxAtStartPar
 Default ccache name
 &
+\sphinxAtStartPar
 DEFCCNAME
 &
-\sphinxcode{FILE:/tmp/krb5cc\_\%\{uid\}}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{FILE:/tmp/krb5cc\_\%\{uid\}}}
 &
-\sphinxcode{FILE:/tmp/krb5cc\_\%\{uid\}}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{FILE:/tmp/krb5cc\_\%\{uid\}}}
 \\
 \hline
+\sphinxAtStartPar
 Default keytab name
 &
+\sphinxAtStartPar
 DEFKTNAME
 &
-\sphinxcode{FILE:/etc/krb5.keytab}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{FILE:/etc/krb5.keytab}}
 &
-\sphinxcode{FILE:/etc/krb5.keytab}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{FILE:/etc/krb5.keytab}}
 \\
 \hline
+\sphinxAtStartPar
 Default PKCS11 module
 &
+\sphinxAtStartPar
 PKCS11\_MODNAME
 &
-\sphinxcode{opensc-pkcs11.so}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{opensc\sphinxhyphen{}pkcs11.so}}
 &
-\sphinxcode{opensc-pkcs11.so}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{opensc\sphinxhyphen{}pkcs11.so}}
 \\
 \hline
 \end{tabulary}
 \par
 \sphinxattableend\end{savenotes}
 
+\sphinxAtStartPar
 The default client keytab name (DEFCKTNAME) typically defaults to
-\sphinxcode{FILE:/usr/local/var/krb5/user/\%\{euid\}/client.keytab} for a custom
+\sphinxcode{\sphinxupquote{FILE:/usr/local/var/krb5/user/\%\{euid\}/client.keytab}} for a custom
 build.  A native build will typically use a path which will vary
-according to the operating system’s layout of \sphinxcode{/var}.
+according to the operating system’s layout of \sphinxcode{\sphinxupquote{/var}}.
 
 
 \chapter{Environment variables}
 \label{\detokenize{admin/env_variables:environment-variables}}\label{\detokenize{admin/env_variables::doc}}
+\sphinxAtStartPar
 This content has moved to \DUrole{xref,std,std-ref}{kerberos(7)}.
 
 
 \chapter{Troubleshooting}
-\label{\detokenize{admin/troubleshoot:troubleshoot}}\label{\detokenize{admin/troubleshoot::doc}}\label{\detokenize{admin/troubleshoot:troubleshooting}}
+\label{\detokenize{admin/troubleshoot:troubleshooting}}\label{\detokenize{admin/troubleshoot:troubleshoot}}\label{\detokenize{admin/troubleshoot::doc}}
 
 \section{Trace logging}
 \label{\detokenize{admin/troubleshoot:trace-logging}}\label{\detokenize{admin/troubleshoot:id1}}
+\sphinxAtStartPar
 Most programs using MIT krb5 1.9 or later can be made to provide
 information about internal krb5 library operations using trace
 logging.  To enable this, set the \sphinxstylestrong{KRB5\_TRACE} environment variable
 to a filename before running the program.  On many operating systems,
-the filename \sphinxcode{/dev/stdout} can be used to send trace logging output
+the filename \sphinxcode{\sphinxupquote{/dev/stdout}} can be used to send trace logging output
 to standard output.
 
+\sphinxAtStartPar
 Some programs do not honor \sphinxstylestrong{KRB5\_TRACE}, either because they use
 secure library contexts (this generally applies to setuid programs and
 parts of the login system) or because they take direct control of the
 trace logging system using the API.
 
+\sphinxAtStartPar
 Here is a short example showing trace logging output for an invocation
 of the \DUrole{xref,std,std-ref}{kvno(1)} command:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{env} \PYG{n}{KRB5\PYGZus{}TRACE}\PYG{o}{=}\PYG{o}{/}\PYG{n}{dev}\PYG{o}{/}\PYG{n}{stdout} \PYG{n}{kvno} \PYG{n}{krbtgt}\PYG{o}{/}\PYG{n}{KRBTEST}\PYG{o}{.}\PYG{n}{COM}
 \PYG{p}{[}\PYG{l+m+mi}{9138}\PYG{p}{]} \PYG{l+m+mf}{1332348778.823276}\PYG{p}{:} \PYG{n}{Getting} \PYG{n}{credentials} \PYG{n}{user}\PYG{n+nd}{@KRBTEST}\PYG{o}{.}\PYG{n}{COM} \PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZgt{}}
@@ -10128,13 +11647,17 @@ of the \DUrole{xref,std,std-ref}{kvno(1)
 
 \subsection{Frequently seen errors}
 \label{\detokenize{admin/troubleshoot:frequently-seen-errors}}\begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/troubleshoot:init-creds-etype-nosupp}]{\sphinxcrossref{\DUrole{std,std-ref}{KDC has no support for encryption type while getting initial credentials}}}}
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/troubleshoot:cert-chain-etype-nosupp}]{\sphinxcrossref{\DUrole{std,std-ref}{credential verification failed: KDC has no support for encryption type}}}}
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/troubleshoot:err-cert-chain-cert-expired}]{\sphinxcrossref{\DUrole{std,std-ref}{Cannot create cert chain: certificate has expired}}}}
 
 \end{enumerate}
@@ -10142,13 +11665,17 @@ of the \DUrole{xref,std,std-ref}{kvno(1)
 
 \subsection{Errors seen by admins}
 \label{\detokenize{admin/troubleshoot:errors-seen-by-admins}}\phantomsection\label{\detokenize{admin/troubleshoot:prop-failed-start}}\begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/troubleshoot:kprop-no-route}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop: No route to host while connecting to server}}}}
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/troubleshoot:kprop-con-refused}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop: Connection refused while connecting to server}}}}
 
 \item {} 
+\sphinxAtStartPar
 {\hyperref[\detokenize{admin/troubleshoot:kprop-sendauth-exchange}]{\sphinxcrossref{\DUrole{std,std-ref}{kprop: Server rejected authentication (during sendauth exchange) while authenticating to server}}}}
 
 \end{enumerate}
@@ -10163,35 +11690,40 @@ of the \DUrole{xref,std,std-ref}{kvno(1)
 
 \subsubsection{credential verification failed: KDC has no support for encryption type}
 \label{\detokenize{admin/troubleshoot:credential-verification-failed-kdc-has-no-support-for-encryption-type}}\label{\detokenize{admin/troubleshoot:cert-chain-etype-nosupp}}
+\sphinxAtStartPar
 This most commonly happens when trying to use a principal with only
 DES keys, in a release (MIT krb5 1.7 or later) which disables DES by
 default.  DES encryption is considered weak due to its inadequate key
-size.  If you cannot migrate away from its use, you can re-enable DES
-by adding \sphinxcode{allow\_weak\_crypto = true} to the {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}}
+size.  If you cannot migrate away from its use, you can re\sphinxhyphen{}enable DES
+by adding \sphinxcode{\sphinxupquote{allow\_weak\_crypto = true}} to the {\hyperref[\detokenize{admin/conf_files/krb5_conf:libdefaults}]{\sphinxcrossref{\DUrole{std,std-ref}{{[}libdefaults{]}}}}}
 section of {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}}.
 
 
 \subsubsection{Cannot create cert chain: certificate has expired}
 \label{\detokenize{admin/troubleshoot:cannot-create-cert-chain-certificate-has-expired}}\label{\detokenize{admin/troubleshoot:err-cert-chain-cert-expired}}
+\sphinxAtStartPar
 This error message indicates that PKINIT authentication failed because
 the client certificate, KDC certificate, or one of the certificates in
 the signing chain above them has expired.
 
+\sphinxAtStartPar
 If the KDC certificate has expired, this message appears in the KDC
 log file, and the client will receive a “Preauthentication failed”
 error.  (Prior to release 1.11, the KDC log file message erroneously
 appears as “Out of memory”.  Prior to release 1.12, the client will
 receive a “Generic error”.)
 
+\sphinxAtStartPar
 If the client or a signing certificate has expired, this message may
 appear in {\hyperref[\detokenize{admin/troubleshoot:trace-logging}]{\sphinxcrossref{trace\_logging}}} output from \DUrole{xref,std,std-ref}{kinit(1)} or, starting in
 release 1.12, as an error message from kinit or another program which
 gets initial tickets.  The error message is more likely to appear
-properly on the client if the principal entry has no long-term keys.
+properly on the client if the principal entry has no long\sphinxhyphen{}term keys.
 
 
 \subsubsection{kprop: No route to host while connecting to server}
-\label{\detokenize{admin/troubleshoot:kprop-no-route}}\label{\detokenize{admin/troubleshoot:kprop-no-route-to-host-while-connecting-to-server}}
+\label{\detokenize{admin/troubleshoot:kprop-no-route-to-host-while-connecting-to-server}}\label{\detokenize{admin/troubleshoot:kprop-no-route}}
+\sphinxAtStartPar
 Make sure that the hostname of the replica KDC (as given to kprop) is
 correct, and that any firewalls between the primary and the replica
 allow a connection on port 754.
@@ -10199,6 +11731,7 @@ allow a connection on port 754.
 
 \subsubsection{kprop: Connection refused while connecting to server}
 \label{\detokenize{admin/troubleshoot:kprop-connection-refused-while-connecting-to-server}}\label{\detokenize{admin/troubleshoot:kprop-con-refused}}
+\sphinxAtStartPar
 If the replica KDC is intended to run kpropd out of inetd, make sure
 that inetd is configured to accept krb5\_prop connections.  inetd may
 need to be restarted or sent a SIGHUP to recognize the new
@@ -10207,19 +11740,24 @@ mode, make sure that it is running.
 
 
 \subsubsection{kprop: Server rejected authentication (during sendauth exchange) while authenticating to server}
-\label{\detokenize{admin/troubleshoot:kprop-sendauth-exchange}}\label{\detokenize{admin/troubleshoot:kprop-server-rejected-authentication-during-sendauth-exchange-while-authenticating-to-server}}
+\label{\detokenize{admin/troubleshoot:kprop-server-rejected-authentication-during-sendauth-exchange-while-authenticating-to-server}}\label{\detokenize{admin/troubleshoot:kprop-sendauth-exchange}}
+\sphinxAtStartPar
 Make sure that:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 The time is synchronized between the primary and replica KDCs.
 
 \item {} 
+\sphinxAtStartPar
 The master stash file was copied from the primary to the expected
 location on the replica.
 
 \item {} 
+\sphinxAtStartPar
 The replica has a keytab file in the default location containing a
-\sphinxcode{host} principal for the replica’s hostname.
+\sphinxcode{\sphinxupquote{host}} principal for the replica’s hostname.
 
 \end{enumerate}
 
@@ -10228,19 +11766,21 @@ The replica has a keytab file in the def
 \label{\detokenize{admin/advanced/index:advanced-topics}}\label{\detokenize{admin/advanced/index::doc}}
 
 \section{Retiring DES}
-\label{\detokenize{admin/advanced/retiring-des:retiring-des}}\label{\detokenize{admin/advanced/retiring-des::doc}}\label{\detokenize{admin/advanced/retiring-des:id1}}
+\label{\detokenize{admin/advanced/retiring-des:retiring-des}}\label{\detokenize{admin/advanced/retiring-des:id1}}\label{\detokenize{admin/advanced/retiring-des::doc}}
+\sphinxAtStartPar
 Version 5 of the Kerberos protocol was originally implemented using
 the Data Encryption Standard (DES) as a block cipher for encryption.
 While it was considered secure at the time, advancements in computational
-ability have rendered DES vulnerable to brute force attacks on its 56-bit
+ability have rendered DES vulnerable to brute force attacks on its 56\sphinxhyphen{}bit
 keyspace.  As such, it is now considered insecure and should not be
-used (\index{RFC!RFC 6649}\sphinxhref{https://tools.ietf.org/html/rfc6649.html}{\sphinxstylestrong{RFC 6649}}).
+used (\index{RFC@\spxentry{RFC}!RFC 6649@\spxentry{RFC 6649}}\sphinxhref{https://tools.ietf.org/html/rfc6649.html}{\sphinxstylestrong{RFC 6649}}).
 
 
 \subsection{History}
 \label{\detokenize{admin/advanced/retiring-des:history}}
+\sphinxAtStartPar
 DES was used in the original Kerberos implementation, and was the
-only cryptosystem in krb5 1.0.  Partial support for triple-DES (3DES) was
+only cryptosystem in krb5 1.0.  Partial support for triple\sphinxhyphen{}DES (3DES) was
 added in version 1.1, with full support following in version 1.2.
 The Advanced Encryption Standard (AES), which supersedes DES, gained
 partial support in version 1.3.0 of krb5 and full support in version 1.3.2.
@@ -10248,8 +11788,9 @@ However, deployments of krb5 using Kerbe
 versions of krb5 will not necessarily start using strong crypto for
 ordinary operation without administrator intervention.
 
+\sphinxAtStartPar
 MIT krb5 began flagging deprecated encryption types with release 1.17,
-and removed DES (single-DES) support in release 1.18.  As a
+and removed DES (single\sphinxhyphen{}DES) support in release 1.18.  As a
 consequence, a release prior to 1.18 is required to perform these
 migrations.
 
@@ -10257,18 +11798,21 @@ migrations.
 \subsection{Types of keys}
 \label{\detokenize{admin/advanced/retiring-des:types-of-keys}}\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 The database master key:  This key is not exposed to user requests,
 but is used to encrypt other key material stored in the kerberos
-database.  The database master key is currently stored as \sphinxcode{K/M}
+database.  The database master key is currently stored as \sphinxcode{\sphinxupquote{K/M}}
 by default.
 
 \item {} 
-Password-derived keys:  User principals frequently have keys
+\sphinxAtStartPar
+Password\sphinxhyphen{}derived keys:  User principals frequently have keys
 derived from a password.  When a new password is set, the KDC
 uses various string2key functions to generate keys in the database
 for that principal.
 
 \item {} 
+\sphinxAtStartPar
 Keytab keys:  Application server principals generally use random
 keys which are not derived from a password.  When the database
 entry is created, the KDC generates random keys of various enctypes
@@ -10276,18 +11820,21 @@ to enter in the database, which are conv
 and stored in a keytab.
 
 \item {} 
-Session keys:  These are short-term keys generated by the KDC while
+\sphinxAtStartPar
+Session keys:  These are short\sphinxhyphen{}term keys generated by the KDC while
 processing client requests, with an enctype selected by the KDC.
 
 \end{itemize}
 
+\sphinxAtStartPar
 For details on the various enctypes and how enctypes are selected by the KDC
-for session keys and client/server long-term keys, see {\hyperref[\detokenize{admin/enctypes:enctypes}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}}.
-When using the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} interface to generate new long-term keys,
-the \sphinxstylestrong{-e} argument can be used to force a particular set of enctypes,
+for session keys and client/server long\sphinxhyphen{}term keys, see {\hyperref[\detokenize{admin/enctypes:enctypes}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}}.
+When using the {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} interface to generate new long\sphinxhyphen{}term keys,
+the \sphinxstylestrong{\sphinxhyphen{}e} argument can be used to force a particular set of enctypes,
 overriding the KDC default values.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 When the KDC is selecting a session key, it has no knowledge about the
 kerberos installation on the server which will receive the service ticket,
 only what keys are in the database for the service principal.
@@ -10301,17 +11848,17 @@ are created in the Kerberos database for
 
 \subsection{Upgrade procedure}
 \label{\detokenize{admin/advanced/retiring-des:upgrade-procedure}}
+\sphinxAtStartPar
 This procedure assumes that the KDC software has already been upgraded
-to a modern version of krb5 that supports non-DES keys, so that the
+to a modern version of krb5 that supports non\sphinxhyphen{}DES keys, so that the
 only remaining task is to update the actual keys used to service requests.
 The realm used for demonstrating this procedure, ZONE.MIT.EDU,
-is an example of the worst-case scenario, where all keys in the realm
+is an example of the worst\sphinxhyphen{}case scenario, where all keys in the realm
 are DES.  The realm was initially created with a very old version of krb5,
 and \sphinxstylestrong{supported\_enctypes} in {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} was set to a value
 appropriate when the KDC was installed, but was not updated as the KDC
 was upgraded:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{realms}\PYG{p}{]}
         \PYG{n}{ZONE}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -10321,13 +11868,14 @@ was upgraded:
         \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This resulted in the keys for all principals in the realm being forced
-to DES-only, unless specifically requested using {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}.
+to DES\sphinxhyphen{}only, unless specifically requested using {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}}.
 
+\sphinxAtStartPar
 Before starting the upgrade, all KDCs were running krb5 1.11,
-and the database entries for some “high-value” principals were:
+and the database entries for some “high\sphinxhyphen{}value” principals were:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{root}\PYG{n+nd}{@casio} \PYG{n}{krb5kdc}\PYG{p}{]}\PYG{c+c1}{\PYGZsh{} kadmin.local \PYGZhy{}r ZONE.MIT.EDU \PYGZhy{}q \PYGZsq{}getprinc krbtgt/ZONE.MIT.EDU\PYGZsq{}}
 \PYG{p}{[}\PYG{o}{.}\PYG{o}{.}\PYG{o}{.}\PYG{p}{]}
@@ -10346,15 +11894,17 @@ and the database entries for some “hig
 \PYG{p}{[}\PYG{o}{.}\PYG{o}{.}\PYG{o}{.}\PYG{p}{]}
 \end{sphinxVerbatim}
 
-The \sphinxcode{krbtgt/REALM} key appears to have never been changed since creation
-(its kvno is 1), and all three database entries have only a des-cbc-crc key.
+\sphinxAtStartPar
+The \sphinxcode{\sphinxupquote{krbtgt/REALM}} key appears to have never been changed since creation
+(its kvno is 1), and all three database entries have only a des\sphinxhyphen{}cbc\sphinxhyphen{}crc key.
 
 
 \subsubsection{The krbtgt key and KDC keys}
 \label{\detokenize{admin/advanced/retiring-des:the-krbtgt-key-and-kdc-keys}}
-Perhaps the biggest single-step improvement in the security of the cell
-is gained by strengthening the key of the ticket-granting service principal,
-\sphinxcode{krbtgt/REALM}—if this principal’s key is compromised, so is the
+\sphinxAtStartPar
+Perhaps the biggest single\sphinxhyphen{}step improvement in the security of the cell
+is gained by strengthening the key of the ticket\sphinxhyphen{}granting service principal,
+\sphinxcode{\sphinxupquote{krbtgt/REALM}}—if this principal’s key is compromised, so is the
 entire realm.  Since the server that will handle service tickets
 for this principal is the KDC itself, it is easy to guarantee that it
 will be configured to support any encryption types which might be
@@ -10365,7 +11915,6 @@ Instead, a new key can be created with t
 existing tickets will still function until their scheduled expiry
 (see {\hyperref[\detokenize{admin/database:changing-krbtgt-key}]{\sphinxcrossref{\DUrole{std,std-ref}{Changing the krbtgt key}}}}).
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{root}\PYG{n+nd}{@casio} \PYG{n}{krb5kdc}\PYG{p}{]}\PYG{c+c1}{\PYGZsh{} enctypes=aes256\PYGZhy{}cts\PYGZhy{}hmac\PYGZhy{}sha1\PYGZhy{}96:normal,\PYGZbs{}}
 \PYG{o}{\PYGZgt{}} \PYG{n}{aes128}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{o}{\PYGZhy{}}\PYG{l+m+mi}{96}\PYG{p}{:}\PYG{n}{normal}\PYG{p}{,}\PYG{n}{des3}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{p}{:}\PYG{n}{normal}\PYG{p}{,}\PYG{n}{des}\PYG{o}{\PYGZhy{}}\PYG{n}{cbc}\PYG{o}{\PYGZhy{}}\PYG{n}{crc}\PYG{p}{:}\PYG{n}{normal}
@@ -10376,19 +11925,21 @@ existing tickets will still function unt
 \end{sphinxVerbatim}
 
 \begin{sphinxadmonition}{note}{Note:}
-The new \sphinxcode{krbtgt@REALM} key should be propagated to replica KDCs
+\sphinxAtStartPar
+The new \sphinxcode{\sphinxupquote{krbtgt@REALM}} key should be propagated to replica KDCs
 immediately so that TGTs issued by the primary KDC can be used to
 issue service tickets on replica KDCs.  Replica KDCs will refuse
 requests using the new TGT kvno until the new krbtgt entry has
 been propagated to them.
 \end{sphinxadmonition}
 
+\sphinxAtStartPar
 It is necessary to explicitly specify the enctypes for the new database
 entry, since \sphinxstylestrong{supported\_enctypes} has not been changed.  Leaving
 \sphinxstylestrong{supported\_enctypes} unchanged makes a potential rollback operation
 easier, since all new keys of new enctypes are the result of explicit
 administrator action and can be easily enumerated.
-Upgrading the krbtgt key should have minimal user-visible disruption other
+Upgrading the krbtgt key should have minimal user\sphinxhyphen{}visible disruption other
 than that described in the note above, since only clients which list the
 new enctypes as supported will use them, per the procedure
 in {\hyperref[\detokenize{admin/enctypes:session-key-selection}]{\sphinxcrossref{\DUrole{std,std-ref}{Session key selection}}}}.
@@ -10396,11 +11947,11 @@ Once the krbtgt key is updated, the sess
 TGTs will be strong keys, but subsequent requests
 for service tickets will still get DES keys until the service principals
 have new keys generated.  Application service
-remains uninterrupted due to the key-selection procedure on the KDC.
+remains uninterrupted due to the key\sphinxhyphen{}selection procedure on the KDC.
 
+\sphinxAtStartPar
 After the change, the database entry is now:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{root}\PYG{n+nd}{@casio} \PYG{n}{krb5kdc}\PYG{p}{]}\PYG{c+c1}{\PYGZsh{} kadmin.local \PYGZhy{}r ZONE.MIT.EDU \PYGZhy{}q \PYGZsq{}getprinc krbtgt/ZONE.MIT.EDU\PYGZsq{}}
 \PYG{p}{[}\PYG{o}{.}\PYG{o}{.}\PYG{o}{.}\PYG{p}{]}
@@ -10413,18 +11964,18 @@ After the change, the database entry is
 \PYG{p}{[}\PYG{o}{.}\PYG{o}{.}\PYG{o}{.}\PYG{p}{]}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Since the expected disruptions from rekeying the krbtgt principal are
 minor, after a short testing period, it is
-appropriate to rekey the other high-value principals, \sphinxcode{kadmin/admin@REALM}
-and \sphinxcode{kadmin/changepw@REALM}. These are the service principals used for
+appropriate to rekey the other high\sphinxhyphen{}value principals, \sphinxcode{\sphinxupquote{kadmin/admin@REALM}}
+and \sphinxcode{\sphinxupquote{kadmin/changepw@REALM}}. These are the service principals used for
 changing user passwords and updating application keytabs.  The kadmin
-and password-changing services are regular kerberized services, so the
-session-key-selection algorithm described in {\hyperref[\detokenize{admin/enctypes:session-key-selection}]{\sphinxcrossref{\DUrole{std,std-ref}{Session key selection}}}}
+and password\sphinxhyphen{}changing services are regular kerberized services, so the
+session\sphinxhyphen{}key\sphinxhyphen{}selection algorithm described in {\hyperref[\detokenize{admin/enctypes:session-key-selection}]{\sphinxcrossref{\DUrole{std,std-ref}{Session key selection}}}}
 applies.  It is particularly important to have strong session keys for
-these services, since user passwords and new long-term keys are conveyed
+these services, since user passwords and new long\sphinxhyphen{}term keys are conveyed
 over the encrypted channel.
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{root}\PYG{n+nd}{@casio} \PYG{n}{krb5kdc}\PYG{p}{]}\PYG{c+c1}{\PYGZsh{} enctypes=aes256\PYGZhy{}cts\PYGZhy{}hmac\PYGZhy{}sha1\PYGZhy{}96:normal,\PYGZbs{}}
 \PYG{o}{\PYGZgt{}} \PYG{n}{aes128}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{o}{\PYGZhy{}}\PYG{l+m+mi}{96}\PYG{p}{:}\PYG{n}{normal}\PYG{p}{,}\PYG{n}{des3}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{p}{:}\PYG{n}{normal}
@@ -10438,24 +11989,25 @@ over the encrypted channel.
 \PYG{n}{Key} \PYG{k}{for} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{kadmin/changepw@ZONE.MIT.EDU}\PYG{l+s+s2}{\PYGZdq{}} \PYG{n}{randomized}\PYG{o}{.}
 \end{sphinxVerbatim}
 
-It is not necessary to retain a single-DES key for these services, since
+\sphinxAtStartPar
+It is not necessary to retain a single\sphinxhyphen{}DES key for these services, since
 password changes are not part of normal daily workflow, and disruption
 from a client failure is likely to be minimal.  Furthermore, if a kerberos
 client experiences failure changing a user password or keytab key,
 this indicates that that client will become inoperative once services
-are rekeyed to non-DES enctypes.  Such problems can be detected early
+are rekeyed to non\sphinxhyphen{}DES enctypes.  Such problems can be detected early
 at this stage, giving more time for corrective action.
 
 
 \subsubsection{Adding strong keys to application servers}
 \label{\detokenize{admin/advanced/retiring-des:adding-strong-keys-to-application-servers}}
+\sphinxAtStartPar
 Before switching the default enctypes for new keys over to strong enctypes,
 it may be desired to test upgrading a handful of services with the
 new configuration before flipping the switch for the defaults.  This
-still requires using the \sphinxstylestrong{-e} argument in {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} to get non-default
+still requires using the \sphinxstylestrong{\sphinxhyphen{}e} argument in {\hyperref[\detokenize{admin/admin_commands/kadmin_local:kadmin-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kadmin}}}} to get non\sphinxhyphen{}default
 enctypes:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{root}\PYG{n+nd}{@casio} \PYG{n}{krb5kdc}\PYG{p}{]}\PYG{c+c1}{\PYGZsh{} enctypes=aes256\PYGZhy{}cts\PYGZhy{}hmac\PYGZhy{}sha1\PYGZhy{}96:normal,\PYGZbs{}}
 \PYG{o}{\PYGZgt{}} \PYG{n}{aes128}\PYG{o}{\PYGZhy{}}\PYG{n}{cts}\PYG{o}{\PYGZhy{}}\PYG{n}{hmac}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{o}{\PYGZhy{}}\PYG{l+m+mi}{96}\PYG{p}{:}\PYG{n}{normal}\PYG{p}{,}\PYG{n}{des3}\PYG{o}{\PYGZhy{}}\PYG{n}{cbc}\PYG{o}{\PYGZhy{}}\PYG{n}{sha1}\PYG{p}{:}\PYG{n}{normal}\PYG{p}{,}\PYG{n}{des}\PYG{o}{\PYGZhy{}}\PYG{n}{cbc}\PYG{o}{\PYGZhy{}}\PYG{n}{crc}\PYG{p}{:}\PYG{n}{normal}
@@ -10469,10 +12021,10 @@ enctypes:
 \PYG{n}{Entry} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{zephyr}\PYG{o}{/}\PYG{n}{zephyr}\PYG{n+nd}{@ZONE}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{k}{with} \PYG{n}{kvno} \PYG{l+m+mi}{4}\PYG{p}{,} \PYG{n}{encryption} \PYG{n+nb}{type} \PYG{n}{des}\PYG{o}{\PYGZhy{}}\PYG{n}{cbc}\PYG{o}{\PYGZhy{}}\PYG{n}{crc} \PYG{n}{added} \PYG{n}{to} \PYG{n}{keytab} \PYG{n}{WRFILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{zephyr}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{keytab}\PYG{o}{.}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Be sure to remove the old keys from the application keytab, per best
 practice.
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{root}\PYG{n+nd}{@casio} \PYG{n}{krb5kdc}\PYG{p}{]}\PYG{c+c1}{\PYGZsh{} k5srvutil \PYGZhy{}f /etc/zephyr/krb5.keytab delold}
 \PYG{n}{Authenticating} \PYG{k}{as} \PYG{n}{principal} \PYG{n}{zephyr}\PYG{o}{/}\PYG{n}{zephyr}\PYG{n+nd}{@ZONE}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{k}{with} \PYG{n}{keytab} \PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{zephyr}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{keytab}\PYG{o}{.}
@@ -10482,7 +12034,8 @@ practice.
 
 \subsubsection{Adding strong keys by default}
 \label{\detokenize{admin/advanced/retiring-des:adding-strong-keys-by-default}}
-Once the high-visibility services have been rekeyed, it is probably
+\sphinxAtStartPar
+Once the high\sphinxhyphen{}visibility services have been rekeyed, it is probably
 appropriate to change {\hyperref[\detokenize{admin/conf_files/kdc_conf:kdc-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{kdc.conf}}}} to generate keys with the new
 encryption types by default.  This enables server administrators to generate
 new enctypes with the \sphinxstylestrong{change} subcommand of {\hyperref[\detokenize{admin/admin_commands/k5srvutil:k5srvutil-1}]{\sphinxcrossref{\DUrole{std,std-ref}{k5srvutil}}}},
@@ -10493,7 +12046,6 @@ principal keys to be updated in a reason
 by forcing password changes or a password synchronization service that
 has access to the current password and can add the new keys.
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{realms}\PYG{p}{]}
         \PYG{n}{ZONE}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -10501,19 +12053,20 @@ has access to the current password and c
 \end{sphinxVerbatim}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The krb5kdc process must be restarted for these changes to take effect.
 \end{sphinxadmonition}
 
+\sphinxAtStartPar
 At this point, all service administrators can update their services and the
 servers behind them to take advantage of strong cryptography.
 If necessary, the server’s krb5 installation should be configured and/or
-upgraded to a version supporting non-DES keys.  See {\hyperref[\detokenize{admin/enctypes:enctypes}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}} for
+upgraded to a version supporting non\sphinxhyphen{}DES keys.  See {\hyperref[\detokenize{admin/enctypes:enctypes}]{\sphinxcrossref{\DUrole{std,std-ref}{Encryption types}}}} for
 krb5 version and configuration settings.
-Only when the service is configured to accept non-DES keys should
+Only when the service is configured to accept non\sphinxhyphen{}DES keys should
 the key version number be incremented and new keys generated
-(\sphinxcode{k5srvutil change \&\& k5srvutil delold}).
+(\sphinxcode{\sphinxupquote{k5srvutil change \&\& k5srvutil delold}}).
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{root}\PYG{n+nd}{@dr}\PYG{o}{\PYGZhy{}}\PYG{n}{willy}\PYG{p}{:}\PYG{o}{\PYGZti{}}\PYG{c+c1}{\PYGZsh{} k5srvutil change}
 \PYG{n}{Authenticating} \PYG{k}{as} \PYG{n}{principal} \PYG{n}{host}\PYG{o}{/}\PYG{n}{dr}\PYG{o}{\PYGZhy{}}\PYG{n}{willy}\PYG{o}{.}\PYG{n}{xvm}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}\PYG{n+nd}{@ZONE}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{k}{with} \PYG{n}{keytab} \PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{keytab}\PYG{o}{.}
@@ -10535,22 +12088,25 @@ the key version number be incremented an
 \PYG{n}{Entry} \PYG{k}{for} \PYG{n}{principal} \PYG{n}{host}\PYG{o}{/}\PYG{n}{dr}\PYG{o}{\PYGZhy{}}\PYG{n}{willy}\PYG{o}{.}\PYG{n}{xvm}\PYG{o}{.}\PYG{n}{mit}\PYG{o}{.}\PYG{n}{edu}\PYG{n+nd}{@ZONE}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{k}{with} \PYG{n}{kvno} \PYG{l+m+mi}{2} \PYG{n}{removed} \PYG{k+kn}{from} \PYG{n+nn}{keytab} \PYG{n}{WRFILE}\PYG{p}{:}\PYG{o}{/}\PYG{n}{etc}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{.}\PYG{n}{keytab}\PYG{o}{.}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 When a single service principal is shared by multiple backend servers in
-a load-balanced environment, it may be necessary to schedule downtime
-or adjust the population in the load-balanced pool in order to propagate
+a load\sphinxhyphen{}balanced environment, it may be necessary to schedule downtime
+or adjust the population in the load\sphinxhyphen{}balanced pool in order to propagate
 the updated keytab to all hosts in the pool with minimal service interruption.
 
 
 \subsubsection{Removing DES keys from usage}
 \label{\detokenize{admin/advanced/retiring-des:removing-des-keys-from-usage}}
+\sphinxAtStartPar
 This situation remains something of a testing or transitory state,
 as new DES keys are still being generated, and will be used if requested
 by a client.  To make more progress removing DES from the realm, the KDC
 should be configured to not generate such keys by default.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 An attacker posing as a client can implement a brute force attack against
-a DES key for any principal, if that key is in the current (highest-kvno)
+a DES key for any principal, if that key is in the current (highest\sphinxhyphen{}kvno)
 key list.  This attack is only possible if \sphinxstylestrong{allow\_weak\_crypto = true}
 is enabled on the KDC.  Setting the \sphinxstylestrong{+requires\_preauth} flag on a
 principal forces this attack to be an online attack, much slower than
@@ -10559,9 +12115,9 @@ this flag on a service principal is not
 {\hyperref[\detokenize{admin/admin_commands/kadmin_local:add-principal}]{\sphinxcrossref{\DUrole{std,std-ref}{add\_principal}}}} for details.
 \end{sphinxadmonition}
 
+\sphinxAtStartPar
 The following KDC configuration will not generate DES keys by default:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{realms}\PYG{p}{]}
         \PYG{n}{ZONE}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{=} \PYG{p}{\PYGZob{}}
@@ -10569,16 +12125,17 @@ The following KDC configuration will not
 \end{sphinxVerbatim}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 As before, the KDC process must be restarted for this change to take
 effect.  It is best practice to update kdc.conf on all KDCs, not just the
 primary, to avoid unpleasant surprises should the primary fail and a
 replica need to be promoted.
 \end{sphinxadmonition}
 
-It is now appropriate to remove the legacy single-DES key from the
-\sphinxcode{krbtgt/REALM} entry:
+\sphinxAtStartPar
+It is now appropriate to remove the legacy single\sphinxhyphen{}DES key from the
+\sphinxcode{\sphinxupquote{krbtgt/REALM}} entry:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{root}\PYG{n+nd}{@casio} \PYG{n}{krb5kdc}\PYG{p}{]}\PYG{c+c1}{\PYGZsh{} kadmin.local \PYGZhy{}r ZONE.MIT.EDU \PYGZhy{}q \PYGZdq{}cpw \PYGZhy{}randkey \PYGZhy{}keepold \PYGZbs{}}
 \PYG{o}{\PYGZgt{}} \PYG{n}{krbtgt}\PYG{o}{/}\PYG{n}{ZONE}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}\PYG{l+s+s2}{\PYGZdq{}}
@@ -10586,21 +12143,21 @@ It is now appropriate to remove the lega
 \PYG{n}{Key} \PYG{k}{for} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{krbtgt/ZONE.MIT.EDU@ZONE.MIT.EDU}\PYG{l+s+s2}{\PYGZdq{}} \PYG{n}{randomized}\PYG{o}{.}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 After the maximum ticket lifetime has passed, the old database entry
 should be removed.
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{[}\PYG{n}{root}\PYG{n+nd}{@casio} \PYG{n}{krb5kdc}\PYG{p}{]}\PYG{c+c1}{\PYGZsh{} kadmin.local \PYGZhy{}r ZONE.MIT.EDU \PYGZhy{}q \PYGZsq{}purgekeys krbtgt/ZONE.MIT.EDU\PYGZsq{}}
 \PYG{n}{Authenticating} \PYG{k}{as} \PYG{n}{principal} \PYG{n}{root}\PYG{o}{/}\PYG{n}{admin}\PYG{n+nd}{@ZONE}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU} \PYG{k}{with} \PYG{n}{password}\PYG{o}{.}
 \PYG{n}{Old} \PYG{n}{keys} \PYG{k}{for} \PYG{n}{principal} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{krbtgt/ZONE.MIT.EDU@ZONE.MIT.EDU}\PYG{l+s+s2}{\PYGZdq{}} \PYG{n}{purged}\PYG{o}{.}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 After the KDC is restarted with the new \sphinxstylestrong{supported\_enctypes},
 all user password changes and application keytab updates will not
 generate DES keys by default.
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 contents\PYGZhy{}vnder\PYGZhy{}pressvre:\PYGZti{}\PYGZgt{} kpasswd zonetest@ZONE.MIT.EDU
 Password for zonetest@ZONE.MIT.EDU:  [enter old password]
@@ -10623,7 +12180,8 @@ Entry for principal kaduk@ZONE.MIT.EDU w
 Entry for principal kaduk@ZONE.MIT.EDU with kvno 3, encryption type des3\PYGZhy{}cbc\PYGZhy{}sha1 added to keytab WRFILE:kaduk\PYGZhy{}zone.keytab.
 \end{sphinxVerbatim}
 
-Once all principals have been re-keyed, DES support can be disabled on the
+\sphinxAtStartPar
+Once all principals have been re\sphinxhyphen{}keyed, DES support can be disabled on the
 KDC (\sphinxstylestrong{allow\_weak\_crypto = false}), and client machines can remove
 \sphinxstylestrong{allow\_weak\_crypto = true} from their {\hyperref[\detokenize{admin/conf_files/krb5_conf:krb5-conf-5}]{\sphinxcrossref{\DUrole{std,std-ref}{krb5.conf}}}} configuration
 files, completing the migration.  \sphinxstylestrong{allow\_weak\_crypto} takes precedence over
@@ -10633,11 +12191,12 @@ not be used, even if they are present, w
 
 \subsubsection{Support for legacy services}
 \label{\detokenize{admin/advanced/retiring-des:support-for-legacy-services}}
-If there remain legacy services which do not support non-DES enctypes
+\sphinxAtStartPar
+If there remain legacy services which do not support non\sphinxhyphen{}DES enctypes
 (such as older versions of AFS), \sphinxstylestrong{allow\_weak\_crypto} must remain
 enabled on the KDC.  Client machines need not have this setting,
 though—applications which require DES can use API calls to allow
-weak crypto on a per-request basis, overriding the system krb5.conf.
+weak crypto on a per\sphinxhyphen{}request basis, overriding the system krb5.conf.
 However, having \sphinxstylestrong{allow\_weak\_crypto} set on the KDC means that any
 principals which have a DES key in the database could still use those
 keys.  To minimize the use of DES in the realm and restrict it to just
@@ -10654,16 +12213,18 @@ user to contact the helpdesk for access.
 
 \subsection{The Database Master Key}
 \label{\detokenize{admin/advanced/retiring-des:the-database-master-key}}
-This procedure does not alter \sphinxcode{K/M@REALM}, the key used to encrypt key
+\sphinxAtStartPar
+This procedure does not alter \sphinxcode{\sphinxupquote{K/M@REALM}}, the key used to encrypt key
 material in the Kerberos database.  (This is the key stored in the stash file
 on the KDC if stash files are used.)  However, the security risk of
-a single-DES key for \sphinxcode{K/M} is minimal, given that access to material
-encrypted in \sphinxcode{K/M} (the Kerberos database) is generally tightly controlled.
+a single\sphinxhyphen{}DES key for \sphinxcode{\sphinxupquote{K/M}} is minimal, given that access to material
+encrypted in \sphinxcode{\sphinxupquote{K/M}} (the Kerberos database) is generally tightly controlled.
 If an attacker can gain access to the encrypted database, they likely
 have access to the stash file as well, rendering the weak cryptography
-broken by non-cryptographic means.  As such, upgrading \sphinxcode{K/M} to a stronger
-encryption type is unlikely to be a high-priority task.
+broken by non\sphinxhyphen{}cryptographic means.  As such, upgrading \sphinxcode{\sphinxupquote{K/M}} to a stronger
+encryption type is unlikely to be a high\sphinxhyphen{}priority task.
 
+\sphinxAtStartPar
 Is is possible to upgrade the master key used for the database, if
 desired.  Using {\hyperref[\detokenize{admin/admin_commands/kdb5_util:kdb5-util-8}]{\sphinxcrossref{\DUrole{std,std-ref}{kdb5\_util}}}}’s \sphinxstylestrong{add\_mkey}, \sphinxstylestrong{use\_mkey}, and
 \sphinxstylestrong{update\_princ\_encryption} commands, a new master key can be added
@@ -10676,7 +12237,9 @@ converted to the new master key.
 
 \section{Whitepapers}
 \label{\detokenize{admin/various_envs:whitepapers}}\begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 \sphinxurl{https://kerberos.org/software/whitepapers.html}
 
 \end{enumerate}
@@ -10684,7 +12247,9 @@ converted to the new master key.
 
 \section{Tutorials}
 \label{\detokenize{admin/various_envs:tutorials}}\begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 Fulvio Ricciardi  \textless{}\sphinxurl{https://www.kerberos.org/software/tutorial.html}\textgreater{}\_
 
 \end{enumerate}
@@ -10692,19 +12257,25 @@ Fulvio Ricciardi  \textless{}\sphinxurl{
 
 \section{Troubleshooting}
 \label{\detokenize{admin/various_envs:troubleshooting}}\begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 \sphinxurl{https://wiki.ncsa.illinois.edu/display/ITS/Windows+Kerberos+Troubleshooting}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxurl{https://www.shrubbery.net/solaris9ab/SUNWaadm/SYSADV6/p27.html}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxurl{https://docs.oracle.com/cd/E19253-01/816-4557/trouble-1/index.html}
 
 \item {} 
+\sphinxAtStartPar
 \sphinxurl{https://docs.microsoft.com/en-us/previous-versions/tn-archive/bb463167(v=technet.10})\#EBAA
 
 \item {} 
+\sphinxAtStartPar
 \sphinxurl{https://bugs.launchpad.net/ubuntu/+source/libpam-heimdal/+bug/86528}
 
 \end{enumerate}
Binary files 1.21.2-1/doc/pdf/appdev.pdf and 1.21.3-1/doc/pdf/appdev.pdf differ
diff -pruN 1.21.2-1/doc/pdf/appdev.tex 1.21.3-1/doc/pdf/appdev.tex
--- 1.21.2-1/doc/pdf/appdev.tex	2023-08-14 16:25:07.000000000 +0000
+++ 1.21.3-1/doc/pdf/appdev.tex	2024-06-26 20:01:51.000000000 +0000
@@ -4,35 +4,48 @@
 \ifdefined\pdfpxdimen
    \let\sphinxpxdimen\pdfpxdimen\else\newdimen\sphinxpxdimen
 \fi \sphinxpxdimen=.75bp\relax
+\ifdefined\pdfimageresolution
+    \pdfimageresolution= \numexpr \dimexpr1in\relax/\sphinxpxdimen\relax
+\fi
+%% let collapsible pdf bookmarks panel have high depth per default
+\PassOptionsToPackage{bookmarksdepth=5}{hyperref}
 
+\PassOptionsToPackage{warn}{textcomp}
 \usepackage[utf8]{inputenc}
 \ifdefined\DeclareUnicodeCharacter
- \ifdefined\DeclareUnicodeCharacterAsOptional
-  \DeclareUnicodeCharacter{"00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{"2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{"2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{"2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{"251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{"2572}{\textbackslash}
- \else
-  \DeclareUnicodeCharacter{00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{2572}{\textbackslash}
- \fi
+% support both utf8 and utf8x syntaxes
+  \ifdefined\DeclareUnicodeCharacterAsOptional
+    \def\sphinxDUC#1{\DeclareUnicodeCharacter{"#1}}
+  \else
+    \let\sphinxDUC\DeclareUnicodeCharacter
+  \fi
+  \sphinxDUC{00A0}{\nobreakspace}
+  \sphinxDUC{2500}{\sphinxunichar{2500}}
+  \sphinxDUC{2502}{\sphinxunichar{2502}}
+  \sphinxDUC{2514}{\sphinxunichar{2514}}
+  \sphinxDUC{251C}{\sphinxunichar{251C}}
+  \sphinxDUC{2572}{\textbackslash}
 \fi
 \usepackage{cmap}
 \usepackage[T1]{fontenc}
 \usepackage{amsmath,amssymb,amstext}
 \usepackage{babel}
-\usepackage{times}
+
+
+
+\usepackage{tgtermes}
+\usepackage{tgheros}
+\renewcommand{\ttdefault}{txtt}
+
+
+
 \usepackage[Bjarne]{fncychap}
-\usepackage[dontkeepoldnames]{sphinx}
+\usepackage{sphinx}
 
+\fvset{fontsize=auto}
 \usepackage{geometry}
 
+
 % Include hyperref last.
 \usepackage{hyperref}
 % Fix anchor placement for figures with captions.
@@ -40,107 +53,115 @@
 % Set up styles of URL: it should be placed after hyperref.
 \urlstyle{same}
 
-\addto\captionsenglish{\renewcommand{\figurename}{Fig.}}
-\addto\captionsenglish{\renewcommand{\tablename}{Table}}
-\addto\captionsenglish{\renewcommand{\literalblockname}{Listing}}
-
-\addto\captionsenglish{\renewcommand{\literalblockcontinuedname}{continued from previous page}}
-\addto\captionsenglish{\renewcommand{\literalblockcontinuesname}{continues on next page}}
-
-\addto\extrasenglish{\def\pageautorefname{page}}
 
+\usepackage{sphinxmessages}
 \setcounter{tocdepth}{0}
 
 
 
 \title{Kerberos Application Developer Guide}
 \date{ }
-\release{1.21.2}
+\release{1.21.3}
 \author{MIT}
 \newcommand{\sphinxlogo}{\vbox{}}
 \renewcommand{\releasename}{Release}
 \makeindex
-
 \begin{document}
 
-\maketitle
+\pagestyle{empty}
+\sphinxmaketitle
+\pagestyle{plain}
 \sphinxtableofcontents
+\pagestyle{normal}
 \phantomsection\label{\detokenize{appdev/index::doc}}
 
 
 
 \chapter{Developing with GSSAPI}
-\label{\detokenize{appdev/gssapi:for-application-developers}}\label{\detokenize{appdev/gssapi::doc}}\label{\detokenize{appdev/gssapi:developing-with-gssapi}}
+\label{\detokenize{appdev/gssapi:developing-with-gssapi}}\label{\detokenize{appdev/gssapi::doc}}
+\sphinxAtStartPar
 The GSSAPI (Generic Security Services API) allows applications to
 communicate securely using Kerberos 5 or other security mechanisms.
-We recommend using the GSSAPI (or a higher-level framework which
+We recommend using the GSSAPI (or a higher\sphinxhyphen{}level framework which
 encompasses GSSAPI, such as SASL) for secure network communication
 over using the libkrb5 API directly.
 
-GSSAPIv2 is specified in \index{RFC!RFC 2743}\sphinxhref{https://tools.ietf.org/html/rfc2743.html}{\sphinxstylestrong{RFC 2743}} and \index{RFC!RFC 2744}\sphinxhref{https://tools.ietf.org/html/rfc2744.html}{\sphinxstylestrong{RFC 2744}}.  Also see
-\index{RFC!RFC 7546}\sphinxhref{https://tools.ietf.org/html/rfc7546.html}{\sphinxstylestrong{RFC 7546}} for a description of how to use the GSSAPI in a client or
+\sphinxAtStartPar
+GSSAPIv2 is specified in \index{RFC@\spxentry{RFC}!RFC 2743@\spxentry{RFC 2743}}\sphinxhref{https://tools.ietf.org/html/rfc2743.html}{\sphinxstylestrong{RFC 2743}} and \index{RFC@\spxentry{RFC}!RFC 2744@\spxentry{RFC 2744}}\sphinxhref{https://tools.ietf.org/html/rfc2744.html}{\sphinxstylestrong{RFC 2744}}.  Also see
+\index{RFC@\spxentry{RFC}!RFC 7546@\spxentry{RFC 7546}}\sphinxhref{https://tools.ietf.org/html/rfc7546.html}{\sphinxstylestrong{RFC 7546}} for a description of how to use the GSSAPI in a client or
 server program.
 
+\sphinxAtStartPar
 This documentation will describe how various ways of using the
 GSSAPI will behave with the krb5 mechanism as implemented in MIT krb5,
-as well as krb5-specific extensions to the GSSAPI.
+as well as krb5\sphinxhyphen{}specific extensions to the GSSAPI.
 
 
 \section{Name types}
 \label{\detokenize{appdev/gssapi:name-types}}
+\sphinxAtStartPar
 A GSSAPI application can name a local or remote entity by calling
 \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.16}{gss\_import\_name}, specifying a name type and a value.  The following
 name types are supported by the krb5 mechanism:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_NT\_HOSTBASED\_SERVICE}: The value should be a string of the
-form \sphinxcode{service} or \sphinxcode{service@hostname}.  This is the most common
+form \sphinxcode{\sphinxupquote{service}} or \sphinxcode{\sphinxupquote{service@hostname}}.  This is the most common
 way to name target services when initiating a security context, and
 is the most likely name type to work across multiple mechanisms.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_KRB5\_NT\_PRINCIPAL\_NAME}: The value should be a principal name
 string.  This name type only works with the krb5 mechanism, and is
-defined in the \sphinxcode{\textless{}gssapi/gssapi\_krb5.h\textgreater{}} header.
+defined in the \sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_krb5.h\textgreater{}}} header.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_NT\_USER\_NAME} or \sphinxstylestrong{GSS\_C\_NULL\_OID}: The value is treated
 as an unparsed principal name string, as above.  These name types
 may work with mechanisms other than krb5, but will have different
 interpretations in those mechanisms.  \sphinxstylestrong{GSS\_C\_NT\_USER\_NAME} is
 intended to be used with a local username, which will parse into a
-single-component principal in the default realm.
+single\sphinxhyphen{}component principal in the default realm.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_NT\_ANONYMOUS}: The value is ignored.  The anonymous
 principal is used, allowing a client to authenticate to a server
 without asserting a particular identity (which may or may not be
 allowed by a particular server or Kerberos realm).
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_NT\_MACHINE\_UID\_NAME}: The value is uid\_t object.  On
-Unix-like systems, the username of the uid is looked up in the
+Unix\sphinxhyphen{}like systems, the username of the uid is looked up in the
 system user database and the resulting username is parsed as a
 principal name.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_NT\_STRING\_UID\_NAME}: As above, but the value is a decimal
 string representation of the uid.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_NT\_EXPORT\_NAME}: The value must be the result of a
 \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.13}{gss\_export\_name} call.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_KRB5\_NT\_ENTERPRISE\_NAME}: The value should be a krb5
-enterprise name string (see \index{RFC!RFC 6806}\sphinxhref{https://tools.ietf.org/html/rfc6806.html}{\sphinxstylestrong{RFC 6806}} section 5), in the form
-\sphinxcode{user@suffix}.  This name type is used to convey alias names, and
-is defined in the \sphinxcode{\textless{}gssapi/gssapi\_krb5.h\textgreater{}} header.  (New in
+enterprise name string (see \index{RFC@\spxentry{RFC}!RFC 6806@\spxentry{RFC 6806}}\sphinxhref{https://tools.ietf.org/html/rfc6806.html}{\sphinxstylestrong{RFC 6806}} section 5), in the form
+\sphinxcode{\sphinxupquote{user@suffix}}.  This name type is used to convey alias names, and
+is defined in the \sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_krb5.h\textgreater{}}} header.  (New in
 release 1.17.)
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_KRB5\_NT\_X509\_CERT}: The value should be an X.509 certificate
-encoded according to \index{RFC!RFC 5280}\sphinxhref{https://tools.ietf.org/html/rfc5280.html}{\sphinxstylestrong{RFC 5280}}.  This name form can be used for
+encoded according to \index{RFC@\spxentry{RFC}!RFC 5280@\spxentry{RFC 5280}}\sphinxhref{https://tools.ietf.org/html/rfc5280.html}{\sphinxstylestrong{RFC 5280}}.  This name form can be used for
 the desired\_name parameter of gss\_acquire\_cred\_impersonate\_name(),
 to identify the S4U2Self user by certificate.  (New in release
 1.19.)
@@ -150,6 +171,7 @@ to identify the S4U2Self user by certifi
 
 \section{Initiator credentials}
 \label{\detokenize{appdev/gssapi:initiator-credentials}}
+\sphinxAtStartPar
 A GSSAPI client application uses \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.19}{gss\_init\_sec\_context} to establish a
 security context.  The \sphinxstyleemphasis{initiator\_cred\_handle} parameter determines
 what tickets are used to establish the connection.  An application can
@@ -159,14 +181,16 @@ initiator credential.  The call to \sphi
 \sphinxstyleemphasis{desired\_name} parameter, or it may pass \sphinxstylestrong{GSS\_C\_NO\_NAME} if it does
 not have a specific name preference.
 
-If the desired name for a krb5 initiator credential is a host-based
+\sphinxAtStartPar
+If the desired name for a krb5 initiator credential is a host\sphinxhyphen{}based
 name, it is converted to a principal name of the form
-\sphinxcode{service/hostname} in the local realm, where \sphinxstyleemphasis{hostname} is the local
+\sphinxcode{\sphinxupquote{service/hostname}} in the local realm, where \sphinxstyleemphasis{hostname} is the local
 hostname if not specified.  The hostname will be canonicalized using
 forward name resolution, and possibly also using reverse name
 resolution depending on the value of the \sphinxstylestrong{rdns} variable in
 \DUrole{xref,std,std-ref}{libdefaults}.
 
+\sphinxAtStartPar
 If a desired name is specified in the call to \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.2}{gss\_acquire\_cred}, the
 krb5 mechanism will attempt to find existing tickets for that client
 principal name in the default credential cache or collection.  If the
@@ -175,11 +199,13 @@ cache contains credentials for a differe
 name, a \sphinxstylestrong{GSS\_S\_CRED\_UNAVAIL} error will be returned with a minor
 code indicating a mismatch.
 
+\sphinxAtStartPar
 If no existing tickets are available for the desired name, but the
 name has an entry in the default client \DUrole{xref,std,std-ref}{keytab\_definition}, the
 krb5 mechanism will acquire initial tickets for the name using the
 default client keytab.
 
+\sphinxAtStartPar
 If no desired name is specified, credential acquisition will be
 deferred until the credential is used in a call to
 \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.19}{gss\_init\_sec\_context} or \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.21}{gss\_inquire\_cred}.  If the call is to
@@ -191,16 +217,19 @@ are no existing tickets for the chosen p
 the default client keytab, the krb5 mechanism will acquire initial
 tickets using the keytab.
 
+\sphinxAtStartPar
 If the target name cannot be used to select a client principal
 (because the credentials are used in a call to \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.21}{gss\_inquire\_cred}), or
 if the credential cache selection facility cannot choose a principal
 for it, the default credential cache will be selected if it exists and
 contains tickets.
 
+\sphinxAtStartPar
 If the default credential cache does not exist, but the default client
 keytab does, the krb5 mechanism will try to acquire initial tickets
 for the first principal in the default client keytab.
 
+\sphinxAtStartPar
 If the krb5 mechanism acquires initial tickets using the default
 client keytab, the resulting tickets will be stored in the default
 cache or collection, and will be refreshed by future calls to
@@ -209,12 +238,14 @@ cache or collection, and will be refresh
 
 \section{Acceptor names}
 \label{\detokenize{appdev/gssapi:acceptor-names}}
+\sphinxAtStartPar
 A GSSAPI server application uses \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.1}{gss\_accept\_sec\_context} to establish
 a security context based on tokens provided by the client.  The
 \sphinxstyleemphasis{acceptor\_cred\_handle} parameter determines what
 \DUrole{xref,std,std-ref}{keytab\_definition} entries may be authenticated to by the
 client, if the krb5 mechanism is used.
 
+\sphinxAtStartPar
 The simplest choice is to pass \sphinxstylestrong{GSS\_C\_NO\_CREDENTIAL} as the acceptor
 credential.  In this case, clients may authenticate to any service
 principal in the default keytab (typically \DUrole{xref,std,std-ref}{DEFKTNAME}, or the value of
@@ -222,23 +253,26 @@ the \sphinxstylestrong{KRB5\_KTNAME} env
 approach if the server application has no specific requirements to the
 contrary.
 
+\sphinxAtStartPar
 A server may acquire an acceptor credential with \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.2}{gss\_acquire\_cred} and
 a \sphinxstyleemphasis{cred\_usage} of \sphinxstylestrong{GSS\_C\_ACCEPT} or \sphinxstylestrong{GSS\_C\_BOTH}.  If the
 \sphinxstyleemphasis{desired\_name} parameter is \sphinxstylestrong{GSS\_C\_NO\_NAME}, then clients will be
 allowed to authenticate to any service principal in the default
 keytab, just as if no acceptor credential was supplied.
 
+\sphinxAtStartPar
 If a server wishes to specify a \sphinxstyleemphasis{desired\_name} to \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.2}{gss\_acquire\_cred},
-the most common choice is a host-based name.  If the host-based
+the most common choice is a host\sphinxhyphen{}based name.  If the host\sphinxhyphen{}based
 \sphinxstyleemphasis{desired\_name} contains just a \sphinxstyleemphasis{service}, then clients will be allowed
-to authenticate to any host-based service principal (that is, a
-principal of the form \sphinxcode{service/hostname@REALM}) for the named
+to authenticate to any host\sphinxhyphen{}based service principal (that is, a
+principal of the form \sphinxcode{\sphinxupquote{service/hostname@REALM}}) for the named
 service, regardless of hostname or realm, as long as it is present in
 the default keytab.  If the input name contains both a \sphinxstyleemphasis{service} and a
-\sphinxstyleemphasis{hostname}, clients will be allowed to authenticate to any host-based
+\sphinxstyleemphasis{hostname}, clients will be allowed to authenticate to any host\sphinxhyphen{}based
 principal for the named service and hostname, regardless of realm.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 If a \sphinxstyleemphasis{hostname} is specified, it will be canonicalized
 using forward name resolution, and possibly also using
 reverse name resolution depending on the value of the
@@ -246,19 +280,22 @@ reverse name resolution depending on the
 \end{sphinxadmonition}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 If the \sphinxstylestrong{ignore\_acceptor\_hostname} variable in
 \DUrole{xref,std,std-ref}{libdefaults} is enabled, then \sphinxstyleemphasis{hostname} will be
 ignored even if one is specified in the input name.
 \end{sphinxadmonition}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 In MIT krb5 versions prior to 1.10, and in Heimdal’s
 implementation of the krb5 mechanism, an input name with
 just a \sphinxstyleemphasis{service} is treated like an input name of
-\sphinxcode{service@localhostname}, where \sphinxstyleemphasis{localhostname} is the
+\sphinxcode{\sphinxupquote{service@localhostname}}, where \sphinxstyleemphasis{localhostname} is the
 string returned by gethostname().
 \end{sphinxadmonition}
 
+\sphinxAtStartPar
 If the \sphinxstyleemphasis{desired\_name} is a krb5 principal name or a local system name
 type which is mapped to a krb5 principal name, clients will only be
 allowed to authenticate to that principal in the default keytab.
@@ -266,18 +303,21 @@ allowed to authenticate to that principa
 
 \section{Name Attributes}
 \label{\detokenize{appdev/gssapi:name-attributes}}
+\sphinxAtStartPar
 In release 1.8 or later, the \sphinxhref{https://tools.ietf.org/html/rfc6680.txt\#section-7.4}{gss\_inquire\_name} and
-\sphinxhref{https://tools.ietf.org/html/6680.html\#section-7.5}{gss\_get\_name\_attribute} functions, specified in \index{RFC!RFC 6680}\sphinxhref{https://tools.ietf.org/html/rfc6680.html}{\sphinxstylestrong{RFC 6680}}, can be
+\sphinxhref{https://tools.ietf.org/html/6680.html\#section-7.5}{gss\_get\_name\_attribute} functions, specified in \index{RFC@\spxentry{RFC}!RFC 6680@\spxentry{RFC 6680}}\sphinxhref{https://tools.ietf.org/html/rfc6680.html}{\sphinxstylestrong{RFC 6680}}, can be
 used to retrieve name attributes from the \sphinxstyleemphasis{src\_name} returned by
 \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.1}{gss\_accept\_sec\_context}.  The following attributes are defined when
 the krb5 mechanism is used:
 
 \phantomsection\label{\detokenize{appdev/gssapi:gssapi-authind-attr}}\begin{itemize}
 \item {} 
-“auth-indicators” attribute:
+\sphinxAtStartPar
+“auth\sphinxhyphen{}indicators” attribute:
 
 \end{itemize}
 
+\sphinxAtStartPar
 This attribute will be included in the \sphinxhref{https://tools.ietf.org/html/rfc6680.txt\#section-7.4}{gss\_inquire\_name} output if the
 ticket contains \DUrole{xref,std,std-ref}{authentication indicators}.
 One indicator is returned per invocation of \sphinxhref{https://tools.ietf.org/html/6680.html\#section-7.5}{gss\_get\_name\_attribute},
@@ -287,11 +327,11 @@ indicators from the ticket.  (New in rel
 
 \section{Credential store extensions}
 \label{\detokenize{appdev/gssapi:credential-store-extensions}}
+\sphinxAtStartPar
 Beginning with release 1.11, the following GSSAPI extensions declared
-in \sphinxcode{\textless{}gssapi/gssapi\_ext.h\textgreater{}} can be used to specify how credentials
+in \sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_ext.h\textgreater{}}} can be used to specify how credentials
 are acquired or stored:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{struct} \PYG{n}{gss\PYGZus{}key\PYGZus{}value\PYGZus{}element\PYGZus{}struct} \PYG{p}{\PYGZob{}}
     \PYG{n}{const} \PYG{n}{char} \PYG{o}{*}\PYG{n}{key}\PYG{p}{;}
@@ -327,22 +367,26 @@ are acquired or stored:
                               \PYG{n}{gss\PYGZus{}cred\PYGZus{}usage\PYGZus{}t} \PYG{o}{*}\PYG{n}{cred\PYGZus{}usage\PYGZus{}stored}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The additional \sphinxstyleemphasis{cred\_store} parameter allows the caller to specify
 information about how the credentials should be obtained and stored.
 The following options are supported by the krb5 mechanism:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{ccache}: For acquiring initiator credentials, the name of the
 \DUrole{xref,std,std-ref}{credential cache} to which the handle will
 refer.  For storing credentials, the name of the cache or collection
 where the credentials will be stored (see below).
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{client\_keytab}: For acquiring initiator credentials, the name of
 the \DUrole{xref,std,std-ref}{keytab} which will be used, if
 necessary, to refresh the credentials in the cache.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{keytab}: For acquiring acceptor credentials, the name of the
 \DUrole{xref,std,std-ref}{keytab} to which the handle will refer.
 In release 1.19 and later, this option also determines the keytab to
@@ -350,6 +394,7 @@ be used for verification when initiator
 using a password and verified.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{password}: For acquiring initiator credentials, this option
 instructs the mechanism to acquire fresh credentials into a unique
 memory credential cache.  This option may not be used with the
@@ -357,21 +402,24 @@ memory credential cache.  This option ma
 be specified.  (New in release 1.19.)
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{rcache}: For acquiring acceptor credentials, the name of the
 \DUrole{xref,std,std-ref}{replay cache} to be used when processing
 the initiator tokens.  (New in release 1.13.)
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{verify}: For acquiring initiator credentials, this option
 instructs the mechanism to verify the credentials by obtaining a
 ticket to a service with a known key.  The service key is obtained
 from the keytab specified with the \sphinxstylestrong{keytab} option or the default
 keytab.  The value may be the name of a principal in the keytab, or
-the empty string.  If the empty string is given, any \sphinxcode{host}
+the empty string.  If the empty string is given, any \sphinxcode{\sphinxupquote{host}}
 service principal in the keytab may be used.  (New in release 1.19.)
 
 \end{itemize}
 
+\sphinxAtStartPar
 In release 1.20 or later, if a collection name is specified for
 \sphinxstylestrong{cache} in a call to gss\_store\_cred\_into(), an existing cache for
 the client principal within the collection will be selected, or a new
@@ -384,10 +432,10 @@ selected cache.
 
 \section{Importing and exporting credentials}
 \label{\detokenize{appdev/gssapi:importing-and-exporting-credentials}}
+\sphinxAtStartPar
 The following GSSAPI extensions can be used to import and export
-credentials (declared in \sphinxcode{\textless{}gssapi/gssapi\_ext.h\textgreater{}}):
+credentials (declared in \sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_ext.h\textgreater{}}}):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{gss\PYGZus{}export\PYGZus{}cred}\PYG{p}{(}\PYG{n}{OM\PYGZus{}uint32} \PYG{o}{*}\PYG{n}{minor\PYGZus{}status}\PYG{p}{,}
                           \PYG{n}{gss\PYGZus{}cred\PYGZus{}id\PYGZus{}t} \PYG{n}{cred\PYGZus{}handle}\PYG{p}{,}
@@ -398,6 +446,7 @@ credentials (declared in \sphinxcode{\te
                           \PYG{n}{gss\PYGZus{}cred\PYGZus{}id\PYGZus{}t} \PYG{o}{*}\PYG{n}{cred\PYGZus{}handle}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The first function serializes a GSSAPI credential handle into a
 buffer; the second unseralizes a buffer into a GSSAPI credential
 handle.  Serializing a credential does not destroy it.  If any of the
@@ -407,12 +456,14 @@ GSSAPI serialization functions, these ex
 work with a matching implementation on the other side; they do not
 serialize credentials in a standardized format.
 
+\sphinxAtStartPar
 A serialized credential may contain secret information such as ticket
 session keys.  The serialization format does not protect this
 information from eavesdropping or tampering.  The calling application
 must take care to protect the serialized credential when communicating
 it over an insecure channel or to an untrusted party.
 
+\sphinxAtStartPar
 A krb5 GSSAPI credential may contain references to a credential cache,
 a client keytab, an acceptor keytab, and a replay cache.  These
 resources are normally serialized as references to their external
@@ -424,6 +475,7 @@ privileges than the importer, as it may
 credential cache, keytab, or replay cache resources not accessible to
 the originator.
 
+\sphinxAtStartPar
 An exception to the above rule applies when a krb5 GSSAPI credential
 refers to a memory credential cache, as is normally the case for
 delegated credentials received by \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.1}{gss\_accept\_sec\_context}.  In this
@@ -434,11 +486,13 @@ cache no longer exists.
 
 \section{Constrained delegation (S4U)}
 \label{\detokenize{appdev/gssapi:constrained-delegation-s4u}}
+\sphinxAtStartPar
 The Microsoft S4U2Self and S4U2Proxy Kerberos protocol extensions
 allow an intermediate service to acquire credentials from a client to
 a target service without requiring the client to delegate a
-ticket-granting ticket, if the KDC is configured to allow it.
+ticket\sphinxhyphen{}granting ticket, if the KDC is configured to allow it.
 
+\sphinxAtStartPar
 To perform a constrained delegation operation, the intermediate
 service must submit to the KDC an “evidence ticket” from the client to
 the intermediate service.  An evidence ticket can be acquired when the
@@ -449,21 +503,22 @@ which is a special kind of gss\_cred\_id
 credential cache contains the evidence ticket and a krbtgt ticket for
 the intermediate service.
 
+\sphinxAtStartPar
 To acquire a proxy credential during client authentication, the
 service should first create an acceptor credential using the
 \sphinxstylestrong{GSS\_C\_BOTH} usage.  The application should then pass this
 credential as the \sphinxstyleemphasis{acceptor\_cred\_handle} to \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.1}{gss\_accept\_sec\_context},
 and also pass a \sphinxstyleemphasis{delegated\_cred\_handle} output parameter to receive a
 proxy credential containing the evidence ticket.  The output value of
-\sphinxstyleemphasis{delegated\_cred\_handle} may be a delegated ticket-granting ticket if
+\sphinxstyleemphasis{delegated\_cred\_handle} may be a delegated ticket\sphinxhyphen{}granting ticket if
 the client sent one, or a proxy credential if not.  If the library can
 determine that the client’s ticket is not a valid evidence ticket, it
 will place \sphinxstylestrong{GSS\_C\_NO\_CREDENTIAL} in \sphinxstyleemphasis{delegated\_cred\_handle}.
 
+\sphinxAtStartPar
 To acquire a proxy credential using an S4U2Self request, the service
 can use the following GSSAPI extension:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{gss\PYGZus{}acquire\PYGZus{}cred\PYGZus{}impersonate\PYGZus{}name}\PYG{p}{(}\PYG{n}{OM\PYGZus{}uint32} \PYG{o}{*}\PYG{n}{minor\PYGZus{}status}\PYG{p}{,}
                                             \PYG{n}{gss\PYGZus{}cred\PYGZus{}id\PYGZus{}t} \PYG{n}{icred}\PYG{p}{,}
@@ -476,6 +531,7 @@ can use the following GSSAPI extension:
                                             \PYG{n}{OM\PYGZus{}uint32} \PYG{o}{*}\PYG{n}{time\PYGZus{}rec}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The parameters to this function are similar to those of
 \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.2}{gss\_acquire\_cred}, except that \sphinxstyleemphasis{icred} is used to make an S4U2Self
 request to the KDC for a ticket from \sphinxstyleemphasis{desired\_name} to the
@@ -485,8 +541,9 @@ for this function; passing \sphinxstyles
 krbtgt ticket for the intermediate service.  The result of this
 operation is a proxy credential.  (Prior to release 1.18, the result
 of this operation may be a regular credential for \sphinxstyleemphasis{desired\_name}, if
-the KDC issues a non-forwardable ticket.)
+the KDC issues a non\sphinxhyphen{}forwardable ticket.)
 
+\sphinxAtStartPar
 Once the intermediate service has a proxy credential, it can simply
 pass it to \sphinxhref{https://tools.ietf.org/html/rfc2744.html\#section-5.19}{gss\_init\_sec\_context} as the \sphinxstyleemphasis{initiator\_cred\_handle}
 parameter, and the desired service as the \sphinxstyleemphasis{target\_name} parameter.
@@ -497,14 +554,14 @@ issue a ticket from the client to the ta
 library will then use this ticket to authenticate to the target
 service.
 
+\sphinxAtStartPar
 If an application needs to find out whether a credential it holds is a
 proxy credential and the name of the intermediate service, it can
 query the credential with the \sphinxstylestrong{GSS\_KRB5\_GET\_CRED\_IMPERSONATOR} OID
-(new in release 1.16, declared in \sphinxcode{\textless{}gssapi/gssapi\_krb5.h\textgreater{}}) using
+(new in release 1.16, declared in \sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_krb5.h\textgreater{}}}) using
 the gss\_inquire\_cred\_by\_oid extension (declared in
-\sphinxcode{\textless{}gssapi/gssapi\_ext.h\textgreater{}}):
+\sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_ext.h\textgreater{}}}):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{gss\PYGZus{}inquire\PYGZus{}cred\PYGZus{}by\PYGZus{}oid}\PYG{p}{(}\PYG{n}{OM\PYGZus{}uint32} \PYG{o}{*}\PYG{n}{minor\PYGZus{}status}\PYG{p}{,}
                                   \PYG{n}{const} \PYG{n}{gss\PYGZus{}cred\PYGZus{}id\PYGZus{}t} \PYG{n}{cred\PYGZus{}handle}\PYG{p}{,}
@@ -512,8 +569,9 @@ the gss\_inquire\_cred\_by\_oid extensio
                                   \PYG{n}{gss\PYGZus{}buffer\PYGZus{}set\PYGZus{}t} \PYG{o}{*}\PYG{n}{data\PYGZus{}set}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the call succeeds and \sphinxstyleemphasis{cred\_handle} is a proxy credential,
-\sphinxstyleemphasis{data\_set} will be set to a single-element buffer set containing the
+\sphinxstyleemphasis{data\_set} will be set to a single\sphinxhyphen{}element buffer set containing the
 unparsed principal name of the intermediate service.  If \sphinxstyleemphasis{cred\_handle}
 is not a proxy credential, \sphinxstyleemphasis{data\_set} will be set to an empty buffer
 set.  If the library does not support the query,
@@ -522,12 +580,12 @@ gss\_inquire\_cred\_by\_oid will return
 
 \section{AEAD message wrapping}
 \label{\detokenize{appdev/gssapi:aead-message-wrapping}}
+\sphinxAtStartPar
 The following GSSAPI extensions (declared in
-\sphinxcode{\textless{}gssapi/gssapi\_ext.h\textgreater{}}) can be used to wrap and unwrap messages
-with additional “associated data” which is integrity-checked but is
+\sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_ext.h\textgreater{}}}) can be used to wrap and unwrap messages
+with additional “associated data” which is integrity\sphinxhyphen{}checked but is
 not included in the output buffer:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{gss\PYGZus{}wrap\PYGZus{}aead}\PYG{p}{(}\PYG{n}{OM\PYGZus{}uint32} \PYG{o}{*}\PYG{n}{minor\PYGZus{}status}\PYG{p}{,}
                         \PYG{n}{gss\PYGZus{}ctx\PYGZus{}id\PYGZus{}t} \PYG{n}{context\PYGZus{}handle}\PYG{p}{,}
@@ -546,6 +604,7 @@ not included in the output buffer:
                           \PYG{n}{gss\PYGZus{}qop\PYGZus{}t} \PYG{o}{*}\PYG{n}{qop\PYGZus{}state}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Wrap tokens created with gss\_wrap\_aead will successfully unwrap only
 if the same \sphinxstyleemphasis{input\_assoc\_buffer} contents are presented to
 gss\_unwrap\_aead.
@@ -553,12 +612,12 @@ gss\_unwrap\_aead.
 
 \section{IOV message wrapping}
 \label{\detokenize{appdev/gssapi:iov-message-wrapping}}
-The following extensions (declared in \sphinxcode{\textless{}gssapi/gssapi\_ext.h\textgreater{}}) can
-be used for in-place encryption, fine-grained control over wrap token
+\sphinxAtStartPar
+The following extensions (declared in \sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_ext.h\textgreater{}}}) can
+be used for in\sphinxhyphen{}place encryption, fine\sphinxhyphen{}grained control over wrap token
 layout, and for constructing wrap tokens compatible with Microsoft DCE
 RPC:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{typedef} \PYG{n}{struct} \PYG{n}{gss\PYGZus{}iov\PYGZus{}buffer\PYGZus{}desc\PYGZus{}struct} \PYG{p}{\PYGZob{}}
     \PYG{n}{OM\PYGZus{}uint32} \PYG{n+nb}{type}\PYG{p}{;}
@@ -588,47 +647,56 @@ RPC:
                                  \PYG{n+nb}{int} \PYG{n}{iov\PYGZus{}count}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The caller of gss\_wrap\_iov provides an array of gss\_iov\_buffer\_desc
 structures, each containing a type and a gss\_buffer\_desc structure.
 Valid types include:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_BUFFER\_TYPE\_DATA}: A data buffer to be included in the
-token, and to be encrypted or decrypted in-place if the token is
-confidentiality-protected.
+token, and to be encrypted or decrypted in\sphinxhyphen{}place if the token is
+confidentiality\sphinxhyphen{}protected.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_BUFFER\_TYPE\_HEADER}: The GSSAPI wrap token header and
 underlying cryptographic header.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_BUFFER\_TYPE\_TRAILER}: The cryptographic trailer, if one is
 required.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_BUFFER\_TYPE\_PADDING}: Padding to be combined with the data
 during encryption and decryption.  (The implementation may choose to
 place padding in the trailer buffer, in which case it will set the
 padding buffer length to 0.)
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_BUFFER\_TYPE\_STREAM}: For unwrapping only, a buffer
 containing a complete wrap token in standard format to be unwrapped.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_BUFFER\_TYPE\_SIGN\_ONLY}: A buffer to be included in the
 token’s integrity protection checksum, but not to be encrypted or
 included in the token itself.
 
 \end{itemize}
 
+\sphinxAtStartPar
 For gss\_wrap\_iov, the IOV list should contain one HEADER buffer,
 followed by zero or more SIGN\_ONLY buffers, followed by one or more
 DATA buffers, followed by a TRAILER buffer.  The memory pointed to by
 the buffers is not required to be contiguous or in any particular
 order.  If \sphinxstyleemphasis{conf\_req\_flag} is true, DATA buffers will be encrypted
-in-place, while SIGN\_ONLY buffers will not be modified.
+in\sphinxhyphen{}place, while SIGN\_ONLY buffers will not be modified.
 
+\sphinxAtStartPar
 The type of an output buffer may be combined with
 \sphinxstylestrong{GSS\_C\_BUFFER\_FLAG\_ALLOCATE} to request that gss\_wrap\_iov allocate
 the buffer contents.  If gss\_wrap\_iov allocates a buffer, it sets the
@@ -638,18 +706,17 @@ within an iov list and unset their alloc
 example of how gss\_wrap\_iov can be used with allocation requested
 (\sphinxstyleemphasis{ctx} is assumed to be a previously established gss\_ctx\_id\_t):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{major}\PYG{p}{,} \PYG{n}{minor}\PYG{p}{;}
 \PYG{n}{gss\PYGZus{}iov\PYGZus{}buffer\PYGZus{}desc} \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{4}\PYG{p}{]}\PYG{p}{;}
 \PYG{n}{char} \PYG{n+nb}{str}\PYG{p}{[}\PYG{p}{]} \PYG{o}{=} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{message}\PYG{l+s+s2}{\PYGZdq{}}\PYG{p}{;}
 
-\PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{0}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}HEADER} \PYG{o}{\textbar{}} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}FLAG\PYGZus{}ALLOCATE}\PYG{p}{;}
+\PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{0}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}HEADER} \PYG{o}{|} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}FLAG\PYGZus{}ALLOCATE}\PYG{p}{;}
 \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{1}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}DATA}\PYG{p}{;}
 \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{1}\PYG{p}{]}\PYG{o}{.}\PYG{n}{buffer}\PYG{o}{.}\PYG{n}{value} \PYG{o}{=} \PYG{n+nb}{str}\PYG{p}{;}
 \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{1}\PYG{p}{]}\PYG{o}{.}\PYG{n}{buffer}\PYG{o}{.}\PYG{n}{length} \PYG{o}{=} \PYG{n}{strlen}\PYG{p}{(}\PYG{n+nb}{str}\PYG{p}{)}\PYG{p}{;}
-\PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{2}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}PADDING} \PYG{o}{\textbar{}} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}FLAG\PYGZus{}ALLOCATE}\PYG{p}{;}
-\PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{3}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}TRAILER} \PYG{o}{\textbar{}} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}FLAG\PYGZus{}ALLOCATE}\PYG{p}{;}
+\PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{2}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}PADDING} \PYG{o}{|} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}FLAG\PYGZus{}ALLOCATE}\PYG{p}{;}
+\PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{3}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}TRAILER} \PYG{o}{|} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}FLAG\PYGZus{}ALLOCATE}\PYG{p}{;}
 
 \PYG{n}{major} \PYG{o}{=} \PYG{n}{gss\PYGZus{}wrap\PYGZus{}iov}\PYG{p}{(}\PYG{o}{\PYGZam{}}\PYG{n}{minor}\PYG{p}{,} \PYG{n}{ctx}\PYG{p}{,} \PYG{l+m+mi}{1}\PYG{p}{,} \PYG{n}{GSS\PYGZus{}C\PYGZus{}QOP\PYGZus{}DEFAULT}\PYG{p}{,} \PYG{n}{NULL}\PYG{p}{,}
                      \PYG{n}{iov}\PYG{p}{,} \PYG{l+m+mi}{4}\PYG{p}{)}\PYG{p}{;}
@@ -661,6 +728,7 @@ example of how gss\_wrap\_iov can be use
 \PYG{p}{(}\PYG{n}{void}\PYG{p}{)}\PYG{n}{gss\PYGZus{}release\PYGZus{}iov\PYGZus{}buffer}\PYG{p}{(}\PYG{o}{\PYGZam{}}\PYG{n}{minor}\PYG{p}{,} \PYG{n}{iov}\PYG{p}{,} \PYG{l+m+mi}{4}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the caller does not choose to request buffer allocation by
 gss\_wrap\_iov, it should first call gss\_wrap\_iov\_length to query the
 lengths of the HEADER, PADDING, and TRAILER buffers.  DATA buffers
@@ -668,7 +736,6 @@ must be provided in the iov list so that
 computed correctly, but the output buffers need not be initialized.
 Here is an example of using gss\_wrap\_iov\_length and gss\_wrap\_iov:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{major}\PYG{p}{,} \PYG{n}{minor}\PYG{p}{;}
 \PYG{n}{gss\PYGZus{}iov\PYGZus{}buffer\PYGZus{}desc} \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{4}\PYG{p}{]}\PYG{p}{;}
@@ -702,30 +769,32 @@ Here is an example of using gss\_wrap\_i
     \PYG{n}{handle\PYGZus{}error}\PYG{p}{(}\PYG{n}{major}\PYG{p}{,} \PYG{n}{minor}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the context was established using the \sphinxstylestrong{GSS\_C\_DCE\_STYLE} flag
-(described in \index{RFC!RFC 4757}\sphinxhref{https://tools.ietf.org/html/rfc4757.html}{\sphinxstylestrong{RFC 4757}}), wrap tokens compatible with Microsoft DCE
+(described in \index{RFC@\spxentry{RFC}!RFC 4757@\spxentry{RFC 4757}}\sphinxhref{https://tools.ietf.org/html/rfc4757.html}{\sphinxstylestrong{RFC 4757}}), wrap tokens compatible with Microsoft DCE
 RPC can be constructed.  In this case, the IOV list must include a
 SIGN\_ONLY buffer, a DATA buffer, a second SIGN\_ONLY buffer, and a
 HEADER buffer in that order (the order of the buffer contents remains
 arbitrary).  The application must pad the DATA buffer to a multiple of
 16 bytes as no padding or trailer buffer is used.
 
+\sphinxAtStartPar
 gss\_unwrap\_iov may be called with an IOV list just like one which
 would be provided to gss\_wrap\_iov.  DATA buffers will be decrypted
-in-place if they were encrypted, and SIGN\_ONLY buffers will not be
+in\sphinxhyphen{}place if they were encrypted, and SIGN\_ONLY buffers will not be
 modified.
 
+\sphinxAtStartPar
 Alternatively, gss\_unwrap\_iov may be called with a single STREAM
 buffer, zero or more SIGN\_ONLY buffers, and a single DATA buffer.  The
 STREAM buffer is interpreted as a complete wrap token.  The STREAM
-buffer will be modified in-place to decrypt its contents.  The DATA
+buffer will be modified in\sphinxhyphen{}place to decrypt its contents.  The DATA
 buffer will be initialized to point to the decrypted data within the
 STREAM buffer, unless it has the \sphinxstylestrong{GSS\_C\_BUFFER\_FLAG\_ALLOCATE} flag
 set, in which case it will be initialized with a copy of the decrypted
 data.  Here is an example (\sphinxstyleemphasis{token} and \sphinxstyleemphasis{token\_len} are assumed to be a
-pre-existing pointer and length for a modifiable region of data):
+pre\sphinxhyphen{}existing pointer and length for a modifiable region of data):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{major}\PYG{p}{,} \PYG{n}{minor}\PYG{p}{;}
 \PYG{n}{gss\PYGZus{}iov\PYGZus{}buffer\PYGZus{}desc} \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{2}\PYG{p}{]}\PYG{p}{;}
@@ -744,12 +813,12 @@ pre-existing pointer and length for a mo
 
 
 \section{IOV MIC tokens}
-\label{\detokenize{appdev/gssapi:gssapi-mic-token}}\label{\detokenize{appdev/gssapi:iov-mic-tokens}}
-The following extensions (declared in \sphinxcode{\textless{}gssapi/gssapi\_ext.h\textgreater{}}) can
+\label{\detokenize{appdev/gssapi:iov-mic-tokens}}\label{\detokenize{appdev/gssapi:gssapi-mic-token}}
+\sphinxAtStartPar
+The following extensions (declared in \sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_ext.h\textgreater{}}}) can
 be used in release 1.12 or later to construct and verify MIC tokens
 using an IOV list:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{gss\PYGZus{}get\PYGZus{}mic\PYGZus{}iov}\PYG{p}{(}\PYG{n}{OM\PYGZus{}uint32} \PYG{o}{*}\PYG{n}{minor\PYGZus{}status}\PYG{p}{,}
                           \PYG{n}{gss\PYGZus{}ctx\PYGZus{}id\PYGZus{}t} \PYG{n}{context\PYGZus{}handle}\PYG{p}{,}
@@ -770,20 +839,24 @@ using an IOV list:
                              \PYG{n+nb}{int} \PYG{n}{iov\PYGZus{}count}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The caller of gss\_get\_mic\_iov provides an array of gss\_iov\_buffer\_desc
 structures, each containing a type and a gss\_buffer\_desc structure.
 Valid types include:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_BUFFER\_TYPE\_DATA} and \sphinxstylestrong{GSS\_C\_BUFFER\_TYPE\_SIGN\_ONLY}: The
 corresponding buffer for each of these types will be signed for the
 MIC token, in the order provided.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{GSS\_C\_BUFFER\_TYPE\_MIC\_TOKEN}: The GSSAPI MIC token.
 
 \end{itemize}
 
+\sphinxAtStartPar
 The type of the MIC\_TOKEN buffer may be combined with
 \sphinxstylestrong{GSS\_C\_BUFFER\_FLAG\_ALLOCATE} to request that gss\_get\_mic\_iov
 allocate the buffer contents.  If gss\_get\_mic\_iov allocates the
@@ -794,7 +867,6 @@ an example of how gss\_get\_mic\_iov can
 requested (\sphinxstyleemphasis{ctx} is assumed to be a previously established
 gss\_ctx\_id\_t):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{major}\PYG{p}{,} \PYG{n}{minor}\PYG{p}{;}
 \PYG{n}{gss\PYGZus{}iov\PYGZus{}buffer\PYGZus{}desc} \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{3}\PYG{p}{]}\PYG{p}{;}
@@ -805,7 +877,7 @@ gss\_ctx\_id\_t):
 \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{1}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}SIGN\PYGZus{}ONLY}\PYG{p}{;}
 \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{1}\PYG{p}{]}\PYG{o}{.}\PYG{n}{buffer}\PYG{o}{.}\PYG{n}{value} \PYG{o}{=} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{sign2}\PYG{l+s+s2}{\PYGZdq{}}\PYG{p}{;}
 \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{1}\PYG{p}{]}\PYG{o}{.}\PYG{n}{buffer}\PYG{o}{.}\PYG{n}{length} \PYG{o}{=} \PYG{l+m+mi}{5}\PYG{p}{;}
-\PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{2}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}MIC\PYGZus{}TOKEN} \PYG{o}{\textbar{}} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}FLAG\PYGZus{}ALLOCATE}\PYG{p}{;}
+\PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{2}\PYG{p}{]}\PYG{o}{.}\PYG{n}{type} \PYG{o}{=} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}TYPE\PYGZus{}MIC\PYGZus{}TOKEN} \PYG{o}{|} \PYG{n}{GSS\PYGZus{}IOV\PYGZus{}BUFFER\PYGZus{}FLAG\PYGZus{}ALLOCATE}\PYG{p}{;}
 
 \PYG{n}{major} \PYG{o}{=} \PYG{n}{gss\PYGZus{}get\PYGZus{}mic\PYGZus{}iov}\PYG{p}{(}\PYG{o}{\PYGZam{}}\PYG{n}{minor}\PYG{p}{,} \PYG{n}{ctx}\PYG{p}{,} \PYG{n}{GSS\PYGZus{}C\PYGZus{}QOP\PYGZus{}DEFAULT}\PYG{p}{,} \PYG{n}{iov}\PYG{p}{,} \PYG{l+m+mi}{3}\PYG{p}{)}\PYG{p}{;}
 \PYG{k}{if} \PYG{p}{(}\PYG{n}{GSS\PYGZus{}ERROR}\PYG{p}{(}\PYG{n}{major}\PYG{p}{)}\PYG{p}{)}
@@ -816,12 +888,12 @@ gss\_ctx\_id\_t):
 \PYG{p}{(}\PYG{n}{void}\PYG{p}{)}\PYG{n}{gss\PYGZus{}release\PYGZus{}iov\PYGZus{}buffer}\PYG{p}{(}\PYG{o}{\PYGZam{}}\PYG{n}{minor}\PYG{p}{,} \PYG{n}{iov}\PYG{p}{,} \PYG{l+m+mi}{3}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If the caller does not choose to request buffer allocation by
 gss\_get\_mic\_iov, it should first call gss\_get\_mic\_iov\_length to query
 the length of the MIC\_TOKEN buffer.  Here is an example of using
 gss\_get\_mic\_iov\_length and gss\_get\_mic\_iov:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{major}\PYG{p}{,} \PYG{n}{minor}\PYG{p}{;}
 \PYG{n}{gss\PYGZus{}iov\PYGZus{}buffer\PYGZus{}desc} \PYG{n}{iov}\PYG{p}{[}\PYG{l+m+mi}{2}\PYG{p}{]}\PYG{p}{;}
@@ -846,31 +918,34 @@ gss\_get\_mic\_iov\_length and gss\_get\
 
 
 \chapter{Year 2038 considerations for uses of krb5\_timestamp}
-\label{\detokenize{appdev/y2038::doc}}\label{\detokenize{appdev/y2038:year-2038-considerations-for-uses-of-krb5-timestamp}}
+\label{\detokenize{appdev/y2038:year-2038-considerations-for-uses-of-krb5-timestamp}}\label{\detokenize{appdev/y2038::doc}}
+\sphinxAtStartPar
 POSIX time values, which measure the number of seconds since January 1
-1970, will exceed the maximum value representable in a signed 32-bit
+1970, will exceed the maximum value representable in a signed 32\sphinxhyphen{}bit
 integer in January 2038.  This documentation describes considerations
 for consumers of the MIT krb5 libraries.
 
+\sphinxAtStartPar
 Applications or libraries which use libkrb5 and consume the timestamps
 included in credentials or other structures make use of the
-{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\sphinxcode{krb5\_timestamp}}}} type.  For historical reasons, krb5\_timestamp
-is a signed 32-bit integer, even on platforms where a larger type is
+{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_timestamp}}}}} type.  For historical reasons, krb5\_timestamp
+is a signed 32\sphinxhyphen{}bit integer, even on platforms where a larger type is
 natively used to represent time values.  To behave properly for time
 values after January 2038, calling code should cast krb5\_timestamp
 values to uint32\_t, and then to time\_t:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{(}\PYG{n}{time\PYGZus{}t}\PYG{p}{)}\PYG{p}{(}\PYG{n}{uint32\PYGZus{}t}\PYG{p}{)}\PYG{n}{timestamp}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Used in this way, krb5\_timestamp values can represent time values up
-until February 2106, provided that the platform uses a 64-bit or
+until February 2106, provided that the platform uses a 64\sphinxhyphen{}bit or
 larger time\_t type.  This usage will also remain safe if a later
-version of MIT krb5 changes krb5\_timestamp to an unsigned 32-bit
+version of MIT krb5 changes krb5\_timestamp to an unsigned 32\sphinxhyphen{}bit
 integer.
 
+\sphinxAtStartPar
 The GSSAPI only uses representations of time intervals, not absolute
 times.  Callers of the GSSAPI should require no changes to behave
 correctly after January 2038, provided that they use MIT krb5 release
@@ -885,8 +960,10 @@ correctly after January 2038, provided t
 \begin{tabulary}{\linewidth}[t]{|l|l|}
 \hline
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_getaddrs:c.krb5_auth_con_getaddrs}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_getaddrs()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_getaddrs:c.krb5_auth_con_getaddrs}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_auth\_con\_getaddrs()}}}}}
 &
+\sphinxAtStartPar
 H5l: If either of the pointers to local\_addr
 and remote\_addr is not NULL, it is freed
 first and then reallocated before being
@@ -894,41 +971,55 @@ populated with the content of correspond
 address from authentication context.
 \\
 \hline
-{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setaddrs:c.krb5_auth_con_setaddrs}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_setaddrs()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setaddrs:c.krb5_auth_con_setaddrs}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_auth\_con\_setaddrs()}}}}}
 &
+\sphinxAtStartPar
 H5l: If either address is NULL, the previous
 address remains in place
 \\
 \hline
-{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setports:c.krb5_auth_con_setports}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_setports()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setports:c.krb5_auth_con_setports}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_auth\_con\_setports()}}}}}
 &
+\sphinxAtStartPar
 H5l: Not implemented as of version 1.3.3
 \\
 \hline
-{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey:c.krb5_auth_con_setrecvsubkey}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_setrecvsubkey()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey:c.krb5_auth_con_setrecvsubkey}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_auth\_con\_setrecvsubkey()}}}}}
 &
+\sphinxAtStartPar
 H5l: If either port is NULL, the previous
 port remains in place
 \\
 \hline
-{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey:c.krb5_auth_con_setsendsubkey}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_setsendsubkey()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey:c.krb5_auth_con_setsendsubkey}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_auth\_con\_setsendsubkey()}}}}}
 &
+\sphinxAtStartPar
 H5l: Not implemented as of version 1.3.3
 \\
 \hline
-{\hyperref[\detokenize{appdev/refs/api/krb5_cc_set_config:c.krb5_cc_set_config}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_set\_config()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_cc_set_config:c.krb5_cc_set_config}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_cc\_set\_config()}}}}}
 &
+\sphinxAtStartPar
 MIT: Before version 1.10 it was assumed that
-the last argument \sphinxstyleemphasis{data} is ALWAYS non-zero.
+the last argument \sphinxstyleemphasis{data} is ALWAYS non\sphinxhyphen{}zero.
 \\
 \hline
-\sphinxcode{krb5\_cccol\_last\_change\_time()}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_cccol\_last\_change\_time()}}
 &
+\sphinxAtStartPar
 MIT: not implemented
 \\
 \hline
-{\hyperref[\detokenize{appdev/refs/api/krb5_set_default_realm:c.krb5_set_default_realm}]{\sphinxcrossref{\sphinxcode{krb5\_set\_default\_realm()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_set_default_realm:c.krb5_set_default_realm}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_set\_default\_realm()}}}}}
 &
+\sphinxAtStartPar
 H5l: Caches the computed default realm context
 field.  If the second argument is NULL,
 it tries to retrieve it from libdefaults or DNS.
@@ -943,11 +1034,13 @@ if it wasn’t explicitly set in the con
 
 \chapter{Initial credentials}
 \label{\detokenize{appdev/init_creds:initial-credentials}}\label{\detokenize{appdev/init_creds::doc}}
+\sphinxAtStartPar
 Software that performs tasks such as logging users into a computer
 when they type their Kerberos password needs to get initial
 credentials (usually ticket granting tickets) from Kerberos.  Such
 software shares some behavior with the \DUrole{xref,std,std-ref}{kinit(1)} program.
 
+\sphinxAtStartPar
 Whenever a program grants access to a resource (such as a local login
 session on a desktop computer) based on a user successfully getting
 initial Kerberos credentials, it must verify those credentials against
@@ -956,22 +1049,23 @@ credentials actually originate from a le
 perform this verification is a critical vulnerability, because a
 malicious user can execute the “Zanarotti attack”: the user constructs
 a fake response that appears to come from the legitimate KDC, but
-whose contents come from an attacker-controlled KDC.
+whose contents come from an attacker\sphinxhyphen{}controlled KDC.
 
+\sphinxAtStartPar
 Some applications read a Kerberos password over the network (ideally
 over a secure channel), which they then verify against the KDC.  While
 this technique may be the only practical way to integrate Kerberos
 into some existing legacy systems, its use is contrary to the original
 design goals of Kerberos.
 
-The function {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_password()}}}} will get initial
+\sphinxAtStartPar
+The function {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_init\_creds\_password()}}}}} will get initial
 credentials for a client using a password.  An application that needs
-to verify the credentials can call {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds()}}}}.
+to verify the credentials can call {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_verify\_init\_creds()}}}}}.
 Here is an example of code to obtain and verify TGT credentials, given
 strings \sphinxstyleemphasis{princname} and \sphinxstyleemphasis{password} for the client principal name and
 password:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{krb5\PYGZus{}error\PYGZus{}code} \PYG{n}{ret}\PYG{p}{;}
 \PYG{n}{krb5\PYGZus{}creds} \PYG{n}{creds}\PYG{p}{;}
@@ -996,13 +1090,13 @@ password:
 
 \section{Options for get\_init\_creds}
 \label{\detokenize{appdev/init_creds:options-for-get-init-creds}}
-The function {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_password()}}}} takes an options
+\sphinxAtStartPar
+The function {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_init\_creds\_password()}}}}} takes an options
 parameter (which can be a null pointer).  Use the function
-{\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_alloc:c.krb5_get_init_creds_opt_alloc}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_alloc()}}}} to allocate an options
-structure, and {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_free:c.krb5_get_init_creds_opt_free}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_free()}}}} to free it.  For
+{\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_alloc:c.krb5_get_init_creds_opt_alloc}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_init\_creds\_opt\_alloc()}}}}} to allocate an options
+structure, and {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_free:c.krb5_get_init_creds_opt_free}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_init\_creds\_opt\_free()}}}}} to free it.  For
 example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{krb5\PYGZus{}error\PYGZus{}code} \PYG{n}{ret}\PYG{p}{;}
 \PYG{n}{krb5\PYGZus{}get\PYGZus{}init\PYGZus{}creds\PYGZus{}opt} \PYG{o}{*}\PYG{n}{opt} \PYG{o}{=} \PYG{n}{NULL}\PYG{p}{;}
@@ -1027,23 +1121,24 @@ example:
 
 \section{Getting anonymous credentials}
 \label{\detokenize{appdev/init_creds:getting-anonymous-credentials}}
+\sphinxAtStartPar
 As of release 1.8, it is possible to obtain fully anonymous or
-partially anonymous (realm-exposed) credentials, if the KDC supports
+partially anonymous (realm\sphinxhyphen{}exposed) credentials, if the KDC supports
 it.  The MIT KDC supports issuing fully anonymous credentials as of
 release 1.8 if configured appropriately (see \DUrole{xref,std,std-ref}{anonymous\_pkinit}),
-but does not support issuing realm-exposed anonymous credentials at
+but does not support issuing realm\sphinxhyphen{}exposed anonymous credentials at
 this time.
 
+\sphinxAtStartPar
 To obtain fully anonymous credentials, call
-{\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_anonymous:c.krb5_get_init_creds_opt_set_anonymous}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_set\_anonymous()}}}} on the options
+{\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_anonymous:c.krb5_get_init_creds_opt_set_anonymous}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_init\_creds\_opt\_set\_anonymous()}}}}} on the options
 structure to set the anonymous flag, and specify a client principal
 with the KDC’s realm and a single empty data component (the principal
-obtained by parsing \sphinxcode{@}\sphinxstyleemphasis{realmname}).  Authentication will take
+obtained by parsing \sphinxcode{\sphinxupquote{@}}\sphinxstyleemphasis{realmname}).  Authentication will take
 place using anonymous PKINIT; if successful, the client principal of
 the resulting tickets will be
-\sphinxcode{WELLKNOWN/ANONYMOUS@WELLKNOWN:ANONYMOUS}.  Here is an example:
+\sphinxcode{\sphinxupquote{WELLKNOWN/ANONYMOUS@WELLKNOWN:ANONYMOUS}}.  Here is an example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{krb5\PYGZus{}get\PYGZus{}init\PYGZus{}creds\PYGZus{}opt\PYGZus{}set\PYGZus{}anonymous}\PYG{p}{(}\PYG{n}{opt}\PYG{p}{,} \PYG{l+m+mi}{1}\PYG{p}{)}\PYG{p}{;}
 \PYG{n}{ret} \PYG{o}{=} \PYG{n}{krb5\PYGZus{}build\PYGZus{}principal}\PYG{p}{(}\PYG{n}{context}\PYG{p}{,} \PYG{o}{\PYGZam{}}\PYG{n}{client\PYGZus{}princ}\PYG{p}{,} \PYG{n}{strlen}\PYG{p}{(}\PYG{n}{myrealm}\PYG{p}{)}\PYG{p}{,}
@@ -1056,18 +1151,20 @@ the resulting tickets will be
     \PYG{n}{goto} \PYG{n}{cleanup}\PYG{p}{;}
 \end{sphinxVerbatim}
 
-To obtain realm-exposed anonymous credentials, set the anonymous flag
+\sphinxAtStartPar
+To obtain realm\sphinxhyphen{}exposed anonymous credentials, set the anonymous flag
 on the options structure as above, but specify a normal client
 principal in order to prove membership in the realm.  Authentication
 will take place as it normally does; if successful, the client
-principal of the resulting tickets will be \sphinxcode{WELLKNOWN/ANONYMOUS@}\sphinxstyleemphasis{realmname}.
+principal of the resulting tickets will be \sphinxcode{\sphinxupquote{WELLKNOWN/ANONYMOUS@}}\sphinxstyleemphasis{realmname}.
 
 
 \section{User interaction}
 \label{\detokenize{appdev/init_creds:user-interaction}}
+\sphinxAtStartPar
 Authenticating a user usually requires the entry of secret
 information, such as a password.  A password can be supplied directly
-to {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_password()}}}} via the \sphinxstyleemphasis{password}
+to {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_init\_creds\_password()}}}}} via the \sphinxstyleemphasis{password}
 parameter, or the application can supply prompter and/or responder
 callbacks instead.  If callbacks are used, the user can also be
 queried for other secret information such as a PIN, informed of
@@ -1077,8 +1174,9 @@ has expired.
 
 \subsection{Prompter callback}
 \label{\detokenize{appdev/init_creds:prompter-callback}}
+\sphinxAtStartPar
 A prompter callback can be specified via the \sphinxstyleemphasis{prompter} and \sphinxstyleemphasis{data}
-parameters to {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_password()}}}}.  The prompter
+parameters to {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_init\_creds\_password()}}}}}.  The prompter
 will be invoked each time the krb5 library has a question to ask or
 information to present.  When the prompter callback is invoked, the
 \sphinxstyleemphasis{banner} argument (if not null) is intended to be displayed to the
@@ -1086,22 +1184,23 @@ user, and the questions to be answered a
 array.  Each prompt contains a text question in the \sphinxstyleemphasis{prompt} field, a
 \sphinxstyleemphasis{hidden} bit to indicate whether the answer should be hidden from
 display, and a storage area for the answer in the \sphinxstyleemphasis{reply} field.  The
-callback should fill in each question’s \sphinxcode{reply-\textgreater{}data} with the
-answer, up to a maximum number of \sphinxcode{reply-\textgreater{}length} bytes, and then
-reset \sphinxcode{reply-\textgreater{}length} to the length of the answer.
+callback should fill in each question’s \sphinxcode{\sphinxupquote{reply\sphinxhyphen{}\textgreater{}data}} with the
+answer, up to a maximum number of \sphinxcode{\sphinxupquote{reply\sphinxhyphen{}\textgreater{}length}} bytes, and then
+reset \sphinxcode{\sphinxupquote{reply\sphinxhyphen{}\textgreater{}length}} to the length of the answer.
 
-A prompter callback can call {\hyperref[\detokenize{appdev/refs/api/krb5_get_prompt_types:c.krb5_get_prompt_types}]{\sphinxcrossref{\sphinxcode{krb5\_get\_prompt\_types()}}}} to get an
+\sphinxAtStartPar
+A prompter callback can call {\hyperref[\detokenize{appdev/refs/api/krb5_get_prompt_types:c.krb5_get_prompt_types}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_prompt\_types()}}}}} to get an
 array of type constants corresponding to the prompts, to get
 programmatic information about the semantic meaning of the questions.
-{\hyperref[\detokenize{appdev/refs/api/krb5_get_prompt_types:c.krb5_get_prompt_types}]{\sphinxcrossref{\sphinxcode{krb5\_get\_prompt\_types()}}}} may return a null pointer if no prompt
+{\hyperref[\detokenize{appdev/refs/api/krb5_get_prompt_types:c.krb5_get_prompt_types}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_prompt\_types()}}}}} may return a null pointer if no prompt
 type information is available.
 
-Text-based applications can use a built-in text prompter
-implementation by supplying {\hyperref[\detokenize{appdev/refs/api/krb5_prompter_posix:c.krb5_prompter_posix}]{\sphinxcrossref{\sphinxcode{krb5\_prompter\_posix()}}}} as the
+\sphinxAtStartPar
+Text\sphinxhyphen{}based applications can use a built\sphinxhyphen{}in text prompter
+implementation by supplying {\hyperref[\detokenize{appdev/refs/api/krb5_prompter_posix:c.krb5_prompter_posix}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_prompter\_posix()}}}}} as the
 \sphinxstyleemphasis{prompter} parameter and a null pointer as the \sphinxstyleemphasis{data} parameter.  For
 example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{ret} \PYG{o}{=} \PYG{n}{krb5\PYGZus{}get\PYGZus{}init\PYGZus{}creds\PYGZus{}password}\PYG{p}{(}\PYG{n}{context}\PYG{p}{,} \PYG{o}{\PYGZam{}}\PYG{n}{creds}\PYG{p}{,} \PYG{n}{client\PYGZus{}princ}\PYG{p}{,}
                                    \PYG{n}{NULL}\PYG{p}{,} \PYG{n}{krb5\PYGZus{}prompter\PYGZus{}posix}\PYG{p}{,} \PYG{n}{NULL}\PYG{p}{,} \PYG{l+m+mi}{0}\PYG{p}{,}
@@ -1111,23 +1210,26 @@ example:
 
 \subsection{Responder callback}
 \label{\detokenize{appdev/init_creds:responder-callback}}
+\sphinxAtStartPar
 A responder callback can be specified through the init\_creds options
-using the {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_responder:c.krb5_get_init_creds_opt_set_responder}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_set\_responder()}}}} function.
+using the {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_responder:c.krb5_get_init_creds_opt_set_responder}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_get\_init\_creds\_opt\_set\_responder()}}}}} function.
 Responder callbacks can present a more sophisticated user interface
 for authentication secrets.  The responder callback is usually invoked
 only once per authentication, with a list of questions produced by all
 of the allowed preauthentication mechanisms.
 
+\sphinxAtStartPar
 When the responder callback is invoked, the \sphinxstyleemphasis{rctx} argument can be
 accessed to obtain the list of questions and to answer them.  The
-{\hyperref[\detokenize{appdev/refs/api/krb5_responder_list_questions:c.krb5_responder_list_questions}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_list\_questions()}}}} function retrieves an array of
+{\hyperref[\detokenize{appdev/refs/api/krb5_responder_list_questions:c.krb5_responder_list_questions}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_responder\_list\_questions()}}}}} function retrieves an array of
 question types.  For each question type, the
-{\hyperref[\detokenize{appdev/refs/api/krb5_responder_get_challenge:c.krb5_responder_get_challenge}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_get\_challenge()}}}} function retrieves additional
+{\hyperref[\detokenize{appdev/refs/api/krb5_responder_get_challenge:c.krb5_responder_get_challenge}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_responder\_get\_challenge()}}}}} function retrieves additional
 information about the question, if applicable, and the
-{\hyperref[\detokenize{appdev/refs/api/krb5_responder_set_answer:c.krb5_responder_set_answer}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_set\_answer()}}}} function sets the answer.
+{\hyperref[\detokenize{appdev/refs/api/krb5_responder_set_answer:c.krb5_responder_set_answer}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_responder\_set\_answer()}}}}} function sets the answer.
 
-Responder question types, challenges, and answers are UTF-8 strings.
-The question type is a well-known string; the meaning of the challenge
+\sphinxAtStartPar
+Responder question types, challenges, and answers are UTF\sphinxhyphen{}8 strings.
+The question type is a well\sphinxhyphen{}known string; the meaning of the challenge
 and answer depend on the question type.  If an application does not
 understand a question type, it cannot interpret the challenge or
 provide an answer.  Failing to answer a question typically results in
@@ -1136,47 +1238,52 @@ the prompter callback being used as a fa
 
 \subsubsection{Password question}
 \label{\detokenize{appdev/init_creds:password-question}}
-The \sphinxcode{KRB5\_RESPONDER\_QUESTION\_PASSWORD} (or \sphinxcode{"password"})
+\sphinxAtStartPar
+The \sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_QUESTION\_PASSWORD}} (or \sphinxcode{\sphinxupquote{"password"}})
 question type requests the user’s password.  This question does not
 have a challenge, and the response is simply the password string.
 
 
-\subsubsection{One-time password question}
+\subsubsection{One\sphinxhyphen{}time password question}
 \label{\detokenize{appdev/init_creds:one-time-password-question}}
-The \sphinxcode{KRB5\_RESPONDER\_QUESTION\_OTP} (or \sphinxcode{"otp"}) question
-type requests a choice among one-time password tokens and the PIN and
-value for the chosen token.  The challenge and answer are JSON-encoded
+\sphinxAtStartPar
+The \sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_QUESTION\_OTP}} (or \sphinxcode{\sphinxupquote{"otp"}}) question
+type requests a choice among one\sphinxhyphen{}time password tokens and the PIN and
+value for the chosen token.  The challenge and answer are JSON\sphinxhyphen{}encoded
 strings, but an application can use convenience functions to avoid
 doing any JSON processing itself.
 
-The {\hyperref[\detokenize{appdev/refs/api/krb5_responder_otp_get_challenge:c.krb5_responder_otp_get_challenge}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_otp\_get\_challenge()}}}} function decodes the
+\sphinxAtStartPar
+The {\hyperref[\detokenize{appdev/refs/api/krb5_responder_otp_get_challenge:c.krb5_responder_otp_get_challenge}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_responder\_otp\_get\_challenge()}}}}} function decodes the
 challenge into a krb5\_responder\_otp\_challenge structure.  The
-{\hyperref[\detokenize{appdev/refs/api/krb5_responder_otp_set_answer:c.krb5_responder_otp_set_answer}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_otp\_set\_answer()}}}} function selects one of the
+{\hyperref[\detokenize{appdev/refs/api/krb5_responder_otp_set_answer:c.krb5_responder_otp_set_answer}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_responder\_otp\_set\_answer()}}}}} function selects one of the
 token information elements from the challenge and supplies the value
 and pin for that token.
 
 
 \subsubsection{PKINIT password or PIN question}
 \label{\detokenize{appdev/init_creds:pkinit-password-or-pin-question}}
-The \sphinxcode{KRB5\_RESPONDER\_QUESTION\_PKINIT} (or \sphinxcode{"pkinit"}) question
+\sphinxAtStartPar
+The \sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_QUESTION\_PKINIT}} (or \sphinxcode{\sphinxupquote{"pkinit"}}) question
 type requests PINs for hardware devices and/or passwords for encrypted
 credentials which are stored on disk, potentially also supplying
 information about the state of the hardware devices.  The challenge and
-answer are JSON-encoded strings, but an application can use convenience
+answer are JSON\sphinxhyphen{}encoded strings, but an application can use convenience
 functions to avoid doing any JSON processing itself.
 
-The {\hyperref[\detokenize{appdev/refs/api/krb5_responder_pkinit_get_challenge:c.krb5_responder_pkinit_get_challenge}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_pkinit\_get\_challenge()}}}} function decodes the
+\sphinxAtStartPar
+The {\hyperref[\detokenize{appdev/refs/api/krb5_responder_pkinit_get_challenge:c.krb5_responder_pkinit_get_challenge}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_responder\_pkinit\_get\_challenge()}}}}} function decodes the
 challenges into a krb5\_responder\_pkinit\_challenge structure.  The
-{\hyperref[\detokenize{appdev/refs/api/krb5_responder_pkinit_set_answer:c.krb5_responder_pkinit_set_answer}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_pkinit\_set\_answer()}}}} function can be used to
+{\hyperref[\detokenize{appdev/refs/api/krb5_responder_pkinit_set_answer:c.krb5_responder_pkinit_set_answer}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_responder\_pkinit\_set\_answer()}}}}} function can be used to
 supply the PIN or password for a particular client credential, and can
 be called multiple times.
 
 
 \subsubsection{Example}
 \label{\detokenize{appdev/init_creds:example}}
+\sphinxAtStartPar
 Here is an example of using a responder callback:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{static} \PYG{n}{krb5\PYGZus{}error\PYGZus{}code}
 \PYG{n}{my\PYGZus{}responder}\PYG{p}{(}\PYG{n}{krb5\PYGZus{}context} \PYG{n}{context}\PYG{p}{,} \PYG{n}{void} \PYG{o}{*}\PYG{n}{data}\PYG{p}{,}
@@ -1232,14 +1339,14 @@ Here is an example of using a responder
 
 \section{Verifying initial credentials}
 \label{\detokenize{appdev/init_creds:verifying-initial-credentials}}
-Use the function {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds()}}}} to verify initial
+\sphinxAtStartPar
+Use the function {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_verify\_init\_creds()}}}}} to verify initial
 credentials.  It takes an options structure (which can be a null
-pointer).  Use {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_init:c.krb5_verify_init_creds_opt_init}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds\_opt\_init()}}}} to initialize
-the caller-allocated options structure, and
-{\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail:c.krb5_verify_init_creds_opt_set_ap_req_nofail}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail()}}}} to set the
+pointer).  Use {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_init:c.krb5_verify_init_creds_opt_init}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_verify\_init\_creds\_opt\_init()}}}}} to initialize
+the caller\sphinxhyphen{}allocated options structure, and
+{\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail:c.krb5_verify_init_creds_opt_set_ap_req_nofail}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail()}}}}} to set the
 “nofail” option.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{krb5\PYGZus{}verify\PYGZus{}init\PYGZus{}creds\PYGZus{}opt} \PYG{n}{vopt}\PYG{p}{;}
 
@@ -1248,14 +1355,16 @@ the caller-allocated options structure,
 \PYG{n}{ret} \PYG{o}{=} \PYG{n}{krb5\PYGZus{}verify\PYGZus{}init\PYGZus{}creds}\PYG{p}{(}\PYG{n}{context}\PYG{p}{,} \PYG{o}{\PYGZam{}}\PYG{n}{creds}\PYG{p}{,} \PYG{n}{NULL}\PYG{p}{,} \PYG{n}{NULL}\PYG{p}{,} \PYG{n}{NULL}\PYG{p}{,} \PYG{o}{\PYGZam{}}\PYG{n}{vopt}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The confusingly named “nofail” option, when set, means that the
 verification must actually succeed in order for
-{\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds()}}}} to indicate success.  The default
+{\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_verify\_init\_creds()}}}}} to indicate success.  The default
 state of this option (cleared) means that if there is no key material
 available to verify the user credentials, the verification will
 succeed anyway.  (The default can be changed by a configuration file
 setting.)
 
+\sphinxAtStartPar
 This accommodates a use case where a large number of unkeyed shared
 desktop workstations need to allow users to log in using Kerberos.
 The security risks from this practice are mitigated by the absence of
@@ -1265,64 +1374,92 @@ that the users would access reside on ne
 
 \chapter{Principal manipulation and parsing}
 \label{\detokenize{appdev/princ_handle:principal-manipulation-and-parsing}}\label{\detokenize{appdev/princ_handle::doc}}
+\sphinxAtStartPar
 Kerberos principal structure
 
-{\hyperref[\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}]{\sphinxcrossref{\sphinxcode{krb5\_principal\_data}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_principal\_data}}}}}
 
-{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\sphinxcode{krb5\_principal}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_principal}}}}}
 
+\sphinxAtStartPar
 Create and free principal
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_build_principal:c.krb5_build_principal}]{\sphinxcrossref{\sphinxcode{krb5\_build\_principal()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_build_principal:c.krb5_build_principal}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_build\_principal()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_build_principal_alloc_va:c.krb5_build_principal_alloc_va}]{\sphinxcrossref{\sphinxcode{krb5\_build\_principal\_alloc\_va()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_build_principal_alloc_va:c.krb5_build_principal_alloc_va}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_build\_principal\_alloc\_va()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_build_principal_ext:c.krb5_build_principal_ext}]{\sphinxcrossref{\sphinxcode{krb5\_build\_principal\_ext()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_build_principal_ext:c.krb5_build_principal_ext}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_build\_principal\_ext()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_copy_principal:c.krb5_copy_principal}]{\sphinxcrossref{\sphinxcode{krb5\_copy\_principal()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_copy_principal:c.krb5_copy_principal}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_copy\_principal()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_free\_principal()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_cc_get_principal:c.krb5_cc_get_principal}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_get\_principal()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_cc_get_principal:c.krb5_cc_get_principal}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_cc\_get\_principal()}}}}}
 
+\sphinxAtStartPar
 Comparing
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_principal_compare:c.krb5_principal_compare}]{\sphinxcrossref{\sphinxcode{krb5\_principal\_compare()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_principal_compare:c.krb5_principal_compare}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_principal\_compare()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_principal_compare_flags:c.krb5_principal_compare_flags}]{\sphinxcrossref{\sphinxcode{krb5\_principal\_compare\_flags()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_principal_compare_flags:c.krb5_principal_compare_flags}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_principal\_compare\_flags()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_principal_compare_any_realm:c.krb5_principal_compare_any_realm}]{\sphinxcrossref{\sphinxcode{krb5\_principal\_compare\_any\_realm()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_principal_compare_any_realm:c.krb5_principal_compare_any_realm}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_principal\_compare\_any\_realm()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_sname_match:c.krb5_sname_match}]{\sphinxcrossref{\sphinxcode{krb5\_sname\_match()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_sname_match:c.krb5_sname_match}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_sname\_match()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_sname_to_principal:c.krb5_sname_to_principal}]{\sphinxcrossref{\sphinxcode{krb5\_sname\_to\_principal()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_sname_to_principal:c.krb5_sname_to_principal}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_sname\_to\_principal()}}}}}
 
+\sphinxAtStartPar
 Parsing:
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_parse_name:c.krb5_parse_name}]{\sphinxcrossref{\sphinxcode{krb5\_parse\_name()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_parse_name:c.krb5_parse_name}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_parse\_name()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_parse_name_flags:c.krb5_parse_name_flags}]{\sphinxcrossref{\sphinxcode{krb5\_parse\_name\_flags()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_parse_name_flags:c.krb5_parse_name_flags}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_parse\_name\_flags()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_unparse_name:c.krb5_unparse_name}]{\sphinxcrossref{\sphinxcode{krb5\_unparse\_name()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_unparse_name:c.krb5_unparse_name}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_unparse\_name()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_unparse_name_flags:c.krb5_unparse_name_flags}]{\sphinxcrossref{\sphinxcode{krb5\_unparse\_name\_flags()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_unparse_name_flags:c.krb5_unparse_name_flags}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_unparse\_name\_flags()}}}}}
 
+\sphinxAtStartPar
 Utilities:
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_is_config_principal:c.krb5_is_config_principal}]{\sphinxcrossref{\sphinxcode{krb5\_is\_config\_principal()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_is_config_principal:c.krb5_is_config_principal}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_is\_config\_principal()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_kuserok:c.krb5_kuserok}]{\sphinxcrossref{\sphinxcode{krb5\_kuserok()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_kuserok:c.krb5_kuserok}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_kuserok()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_set_password:c.krb5_set_password}]{\sphinxcrossref{\sphinxcode{krb5\_set\_password()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_set_password:c.krb5_set_password}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_set\_password()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_set_password_using_ccache:c.krb5_set_password_using_ccache}]{\sphinxcrossref{\sphinxcode{krb5\_set\_password\_using\_ccache()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_set_password_using_ccache:c.krb5_set_password_using_ccache}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_set\_password\_using\_ccache()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_set_principal_realm:c.krb5_set_principal_realm}]{\sphinxcrossref{\sphinxcode{krb5\_set\_principal\_realm()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_set_principal_realm:c.krb5_set_principal_realm}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_set\_principal\_realm()}}}}}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_realm_compare:c.krb5_realm_compare}]{\sphinxcrossref{\sphinxcode{krb5\_realm\_compare()}}}}
+\sphinxAtStartPar
+{\hyperref[\detokenize{appdev/refs/api/krb5_realm_compare:c.krb5_realm_compare}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_realm\_compare()}}}}}
 
 
-\chapter{Complete reference - API and datatypes}
+\chapter{Complete reference \sphinxhyphen{} API and datatypes}
 \label{\detokenize{appdev/refs/index:complete-reference-api-and-datatypes}}\label{\detokenize{appdev/refs/index::doc}}
 
 \section{krb5 API}
@@ -1331,355 +1468,453 @@ Utilities:
 \subsection{Frequently used public interfaces}
 \label{\detokenize{appdev/refs/api/index:frequently-used-public-interfaces}}
 
-\subsubsection{krb5\_build\_principal -  Build a principal name using null-terminated strings.}
-\label{\detokenize{appdev/refs/api/krb5_build_principal:krb5-build-principal-build-a-principal-name-using-null-terminated-strings}}\label{\detokenize{appdev/refs/api/krb5_build_principal::doc}}\index{krb5\_build\_principal (C function)}
+\subsubsection{krb5\_build\_principal \sphinxhyphen{}  Build a principal name using null\sphinxhyphen{}terminated strings.}
+\label{\detokenize{appdev/refs/api/krb5_build_principal:krb5-build-principal-build-a-principal-name-using-null-terminated-strings}}\label{\detokenize{appdev/refs/api/krb5_build_principal::doc}}\index{krb5\_build\_principal (C function)@\spxentry{krb5\_build\_principal}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_build_principal:c.krb5_build_principal}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_build\_principal}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ princ}, unsigned int\sphinxstyleemphasis{ rlen}, const char *\sphinxstyleemphasis{ realm}, ...}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_build_principal:c.krb5_build_principal}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_build\_principal}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{princ}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{rlen}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}, \DUrole{p}{...}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ} - Principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ} \sphinxhyphen{} Principal name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rlen} - Realm name length
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rlen} \sphinxhyphen{} Realm name length
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} - Realm name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Realm name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Call {\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}} to free \sphinxstyleemphasis{princ} when it is no longer needed.
+\sphinxAtStartPar
+Call krb5\_free\_principal() to free \sphinxstyleemphasis{princ} when it is no longer needed.
 
+\sphinxAtStartPar
 Beginning with release 1.20, the name type of the principal will be inferred as \sphinxstylestrong{KRB5\_NT\_SRV\_INST} or \sphinxstylestrong{KRB5\_NT\_WELLKNOWN} based on the principal name. The type will be \sphinxstylestrong{KRB5\_NT\_PRINCIPAL} if a type cannot be inferred.
 
 \begin{sphinxadmonition}{note}{Note:}
-{\hyperref[\detokenize{appdev/refs/api/krb5_build_principal:c.krb5_build_principal}]{\sphinxcrossref{\sphinxcode{krb5\_build\_principal()}}}} and {\hyperref[\detokenize{appdev/refs/api/krb5_build_principal_alloc_va:c.krb5_build_principal_alloc_va}]{\sphinxcrossref{\sphinxcode{krb5\_build\_principal\_alloc\_va()}}}} perform the same task. {\hyperref[\detokenize{appdev/refs/api/krb5_build_principal:c.krb5_build_principal}]{\sphinxcrossref{\sphinxcode{krb5\_build\_principal()}}}} takes variadic arguments. {\hyperref[\detokenize{appdev/refs/api/krb5_build_principal_alloc_va:c.krb5_build_principal_alloc_va}]{\sphinxcrossref{\sphinxcode{krb5\_build\_principal\_alloc\_va()}}}} takes a pre-computed \sphinxstyleemphasis{varargs} pointer.
+\sphinxAtStartPar
+krb5\_build\_principal() and krb5\_build\_principal\_alloc\_va() perform the same task. krb5\_build\_principal() takes variadic arguments. krb5\_build\_principal\_alloc\_va() takes a pre\sphinxhyphen{}computed \sphinxstyleemphasis{varargs} pointer.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_build\_principal\_alloc\_va -  Build a principal name, using a precomputed variable argument list.}
-\label{\detokenize{appdev/refs/api/krb5_build_principal_alloc_va:krb5-build-principal-alloc-va-build-a-principal-name-using-a-precomputed-variable-argument-list}}\label{\detokenize{appdev/refs/api/krb5_build_principal_alloc_va::doc}}\index{krb5\_build\_principal\_alloc\_va (C function)}
+\subsubsection{krb5\_build\_principal\_alloc\_va \sphinxhyphen{}  Build a principal name, using a precomputed variable argument list.}
+\label{\detokenize{appdev/refs/api/krb5_build_principal_alloc_va:krb5-build-principal-alloc-va-build-a-principal-name-using-a-precomputed-variable-argument-list}}\label{\detokenize{appdev/refs/api/krb5_build_principal_alloc_va::doc}}\index{krb5\_build\_principal\_alloc\_va (C function)@\spxentry{krb5\_build\_principal\_alloc\_va}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_build_principal_alloc_va:c.krb5_build_principal_alloc_va}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_build\_principal\_alloc\_va}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ princ}, unsigned int\sphinxstyleemphasis{ rlen}, const char *\sphinxstyleemphasis{ realm}, va\_list\sphinxstyleemphasis{ ap}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_build_principal_alloc_va:c.krb5_build_principal_alloc_va}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_build\_principal\_alloc\_va}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{princ}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{rlen}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}, \DUrole{n}{va\_list}\DUrole{w}{  }\DUrole{n}{ap}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ} - Principal structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ} \sphinxhyphen{} Principal structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rlen} - Realm name length
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rlen} \sphinxhyphen{} Realm name length
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} - Realm name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Realm name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap} - List of char * components, ending with NULL
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap} \sphinxhyphen{} List of char * components, ending with NULL
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Similar to {\hyperref[\detokenize{appdev/refs/api/krb5_build_principal:c.krb5_build_principal}]{\sphinxcrossref{\sphinxcode{krb5\_build\_principal()}}}} , this function builds a principal name, but its name components are specified as a va\_list.
+\sphinxAtStartPar
+Similar to krb5\_build\_principal(), this function builds a principal name, but its name components are specified as a va\_list.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}} to deallocate \sphinxstyleemphasis{princ} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_principal() to deallocate \sphinxstyleemphasis{princ} when it is no longer needed.
 
 
-\subsubsection{krb5\_build\_principal\_ext -  Build a principal name using length-counted strings.}
-\label{\detokenize{appdev/refs/api/krb5_build_principal_ext:krb5-build-principal-ext-build-a-principal-name-using-length-counted-strings}}\label{\detokenize{appdev/refs/api/krb5_build_principal_ext::doc}}\index{krb5\_build\_principal\_ext (C function)}
+\subsubsection{krb5\_build\_principal\_ext \sphinxhyphen{}  Build a principal name using length\sphinxhyphen{}counted strings.}
+\label{\detokenize{appdev/refs/api/krb5_build_principal_ext:krb5-build-principal-ext-build-a-principal-name-using-length-counted-strings}}\label{\detokenize{appdev/refs/api/krb5_build_principal_ext::doc}}\index{krb5\_build\_principal\_ext (C function)@\spxentry{krb5\_build\_principal\_ext}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_build_principal_ext:c.krb5_build_principal_ext}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_build\_principal\_ext}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ princ}, unsigned int\sphinxstyleemphasis{ rlen}, const char *\sphinxstyleemphasis{ realm}, ...}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_build_principal_ext:c.krb5_build_principal_ext}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_build\_principal\_ext}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{princ}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{rlen}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}, \DUrole{p}{...}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ} - Principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ} \sphinxhyphen{} Principal name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rlen} - Realm name length
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rlen} \sphinxhyphen{} Realm name length
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} - Realm name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Realm name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a principal from a length-counted string and a variable-length list of length-counted components. The list of components ends with the first 0 length argument (so it is not possible to specify an empty component with this function). Call {\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}} to free allocated memory for principal when it is no longer needed.
+\sphinxAtStartPar
+This function creates a principal from a length\sphinxhyphen{}counted string and a variable\sphinxhyphen{}length list of length\sphinxhyphen{}counted components. The list of components ends with the first 0 length argument (so it is not possible to specify an empty component with this function). Call krb5\_free\_principal() to free allocated memory for principal when it is no longer needed.
 
+\sphinxAtStartPar
 Beginning with release 1.20, the name type of the principal will be inferred as \sphinxstylestrong{KRB5\_NT\_SRV\_INST} or \sphinxstylestrong{KRB5\_NT\_WELLKNOWN} based on the principal name. The type will be \sphinxstylestrong{KRB5\_NT\_PRINCIPAL} if a type cannot be inferred.
 
 
-\subsubsection{krb5\_cc\_close -  Close a credential cache handle.}
-\label{\detokenize{appdev/refs/api/krb5_cc_close:krb5-cc-close-close-a-credential-cache-handle}}\label{\detokenize{appdev/refs/api/krb5_cc_close::doc}}\index{krb5\_cc\_close (C function)}
+\subsubsection{krb5\_cc\_close \sphinxhyphen{}  Close a credential cache handle.}
+\label{\detokenize{appdev/refs/api/krb5_cc_close:krb5-cc-close-close-a-credential-cache-handle}}\label{\detokenize{appdev/refs/api/krb5_cc_close::doc}}\index{krb5\_cc\_close (C function)@\spxentry{krb5\_cc\_close}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_close:c.krb5_cc_close}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_close}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_close:c.krb5_cc_close}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_close}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function closes a credential cache handle \sphinxstyleemphasis{cache} without affecting the contents of the cache.
 
 
-\subsubsection{krb5\_cc\_default -  Resolve the default credential cache name.}
-\label{\detokenize{appdev/refs/api/krb5_cc_default::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_default:krb5-cc-default-resolve-the-default-credential-cache-name}}\index{krb5\_cc\_default (C function)}
+\subsubsection{krb5\_cc\_default \sphinxhyphen{}  Resolve the default credential cache name.}
+\label{\detokenize{appdev/refs/api/krb5_cc_default:krb5-cc-default-resolve-the-default-credential-cache-name}}\label{\detokenize{appdev/refs/api/krb5_cc_default::doc}}\index{krb5\_cc\_default (C function)@\spxentry{krb5\_cc\_default}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_default:c.krb5_cc_default}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_default}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}} *\sphinxstyleemphasis{ ccache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_default:c.krb5_cc_default}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_default}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ccache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ccache} - Pointer to credential cache name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Pointer to credential cache name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KV5M\_CONTEXT   Bad magic number for \_krb5\_context structure
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_FCC\_INTERNAL   The name of the default credential cache cannot be obtained
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Create a handle to the default credential cache as given by {\hyperref[\detokenize{appdev/refs/api/krb5_cc_default_name:c.krb5_cc_default_name}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_default\_name()}}}} .
+\sphinxAtStartPar
+Create a handle to the default credential cache as given by krb5\_cc\_default\_name().
 
 
-\subsubsection{krb5\_cc\_default\_name -  Return the name of the default credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_default_name::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_default_name:krb5-cc-default-name-return-the-name-of-the-default-credential-cache}}\index{krb5\_cc\_default\_name (C function)}
+\subsubsection{krb5\_cc\_default\_name \sphinxhyphen{}  Return the name of the default credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_default_name:krb5-cc-default-name-return-the-name-of-the-default-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_default_name::doc}}\index{krb5\_cc\_default\_name (C function)@\spxentry{krb5\_cc\_default\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_default_name:c.krb5_cc_default_name}}\pysiglinewithargsret{const char * \sphinxbfcode{krb5\_cc\_default\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_default_name:c.krb5_cc_default_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_default\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Name of default credential cache for the current user.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Return a pointer to the default credential cache name for \sphinxstyleemphasis{context} , as determined by a prior call to {\hyperref[\detokenize{appdev/refs/api/krb5_cc_set_default_name:c.krb5_cc_set_default_name}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_set\_default\_name()}}}} , by the KRB5CCNAME environment variable, by the default\_ccache\_name profile variable, or by the operating system or build-time default value. The returned value must not be modified or freed by the caller. The returned value becomes invalid when \sphinxstyleemphasis{context} is destroyed {\hyperref[\detokenize{appdev/refs/api/krb5_free_context:c.krb5_free_context}]{\sphinxcrossref{\sphinxcode{krb5\_free\_context()}}}} or if a subsequent call to {\hyperref[\detokenize{appdev/refs/api/krb5_cc_set_default_name:c.krb5_cc_set_default_name}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_set\_default\_name()}}}} is made on \sphinxstyleemphasis{context} .
+\sphinxAtStartPar
+Return a pointer to the default credential cache name for \sphinxstyleemphasis{context} , as determined by a prior call to krb5\_cc\_set\_default\_name(), by the KRB5CCNAME environment variable, by the default\_ccache\_name profile variable, or by the operating system or build\sphinxhyphen{}time default value. The returned value must not be modified or freed by the caller. The returned value becomes invalid when \sphinxstyleemphasis{context} is destroyed krb5\_free\_context() or if a subsequent call to krb5\_cc\_set\_default\_name() is made on \sphinxstyleemphasis{context} .
 
-The default credential cache name is cached in \sphinxstyleemphasis{context} between calls to this function, so if the value of KRB5CCNAME changes in the process environment after the first call to this function on, that change will not be reflected in later calls with the same context. The caller can invoke {\hyperref[\detokenize{appdev/refs/api/krb5_cc_set_default_name:c.krb5_cc_set_default_name}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_set\_default\_name()}}}} with a NULL value of \sphinxstyleemphasis{name} to clear the cached value and force the default name to be recomputed.
+\sphinxAtStartPar
+The default credential cache name is cached in \sphinxstyleemphasis{context} between calls to this function, so if the value of KRB5CCNAME changes in the process environment after the first call to this function on, that change will not be reflected in later calls with the same context. The caller can invoke krb5\_cc\_set\_default\_name() with a NULL value of \sphinxstyleemphasis{name} to clear the cached value and force the default name to be recomputed.
 
 
-\subsubsection{krb5\_cc\_destroy -  Destroy a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_destroy:krb5-cc-destroy-destroy-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_destroy::doc}}\index{krb5\_cc\_destroy (C function)}
+\subsubsection{krb5\_cc\_destroy \sphinxhyphen{}  Destroy a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_destroy:krb5-cc-destroy-destroy-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_destroy::doc}}\index{krb5\_cc\_destroy (C function)@\spxentry{krb5\_cc\_destroy}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_destroy:c.krb5_cc_destroy}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_destroy}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_destroy:c.krb5_cc_destroy}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_destroy}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Permission errors
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function destroys any existing contents of \sphinxstyleemphasis{cache} and closes the handle to it.
 
 
-\subsubsection{krb5\_cc\_dup -  Duplicate ccache handle.}
-\label{\detokenize{appdev/refs/api/krb5_cc_dup:krb5-cc-dup-duplicate-ccache-handle}}\label{\detokenize{appdev/refs/api/krb5_cc_dup::doc}}\index{krb5\_cc\_dup (C function)}
+\subsubsection{krb5\_cc\_dup \sphinxhyphen{}  Duplicate ccache handle.}
+\label{\detokenize{appdev/refs/api/krb5_cc_dup:krb5-cc-dup-duplicate-ccache-handle}}\label{\detokenize{appdev/refs/api/krb5_cc_dup::doc}}\index{krb5\_cc\_dup (C function)@\spxentry{krb5\_cc\_dup}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_dup:c.krb5_cc_dup}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_dup}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ in}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}} *\sphinxstyleemphasis{ out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_dup:c.krb5_cc_dup}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_dup}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{in}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in} - Credential cache handle to be duplicated
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in} \sphinxhyphen{} Credential cache handle to be duplicated
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Create a new handle referring to the same cache as \sphinxstyleemphasis{in} . The new handle and \sphinxstyleemphasis{in} can be closed independently.
 
 
-\subsubsection{krb5\_cc\_get\_name -  Retrieve the name, but not type of a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_get_name::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_get_name:krb5-cc-get-name-retrieve-the-name-but-not-type-of-a-credential-cache}}\index{krb5\_cc\_get\_name (C function)}
+\subsubsection{krb5\_cc\_get\_name \sphinxhyphen{}  Retrieve the name, but not type of a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_get_name:krb5-cc-get-name-retrieve-the-name-but-not-type-of-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_get_name::doc}}\index{krb5\_cc\_get\_name (C function)@\spxentry{krb5\_cc\_get\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_name:c.krb5_cc_get_name}}\pysiglinewithargsret{const char * \sphinxbfcode{krb5\_cc\_get\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_name:c.krb5_cc_get_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_get\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
-On success - the name of the credential cache.
+\sphinxAtStartPar
+On success \sphinxhyphen{} the name of the credential cache.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{warning}{Warning:}
-Returns the name of the credential cache. The result is an alias into \sphinxstyleemphasis{cache} and should not be freed or modified by the caller. This name does not include the cache type, so should not be used as input to {\hyperref[\detokenize{appdev/refs/api/krb5_cc_resolve:c.krb5_cc_resolve}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_resolve()}}}} .
+\sphinxAtStartPar
+Returns the name of the credential cache. The result is an alias into \sphinxstyleemphasis{cache} and should not be freed or modified by the caller. This name does not include the cache type, so should not be used as input to krb5\_cc\_resolve().
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cc\_get\_principal -  Get the default principal of a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_get_principal:krb5-cc-get-principal-get-the-default-principal-of-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_get_principal::doc}}\index{krb5\_cc\_get\_principal (C function)}
+\subsubsection{krb5\_cc\_get\_principal \sphinxhyphen{}  Get the default principal of a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_get_principal:krb5-cc-get-principal-get-the-default-principal-of-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_get_principal::doc}}\index{krb5\_cc\_get\_principal (C function)@\spxentry{krb5\_cc\_get\_principal}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_principal:c.krb5_cc_get_principal}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_get\_principal}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ principal}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_principal:c.krb5_cc_get_principal}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_get\_principal}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{principal}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{principal} - Primary principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Primary principal
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Returns the default client principal of a credential cache as set by {\hyperref[\detokenize{appdev/refs/api/krb5_cc_initialize:c.krb5_cc_initialize}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_initialize()}}}} .
+\sphinxAtStartPar
+Returns the default client principal of a credential cache as set by krb5\_cc\_initialize().
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}} to free \sphinxstyleemphasis{principal} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_principal() to free \sphinxstyleemphasis{principal} when it is no longer needed.
 
 
-\subsubsection{krb5\_cc\_get\_type -  Retrieve the type of a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_get_type:krb5-cc-get-type-retrieve-the-type-of-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_get_type::doc}}\index{krb5\_cc\_get\_type (C function)}
+\subsubsection{krb5\_cc\_get\_type \sphinxhyphen{}  Retrieve the type of a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_get_type:krb5-cc-get-type-retrieve-the-type-of-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_get_type::doc}}\index{krb5\_cc\_get\_type (C function)@\spxentry{krb5\_cc\_get\_type}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_type:c.krb5_cc_get_type}}\pysiglinewithargsret{const char * \sphinxbfcode{krb5\_cc\_get\_type}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_type:c.krb5_cc_get_type}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_get\_type}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 The type of a credential cache as an alias that must not be modified or freed by the caller.
 
 \end{itemize}
@@ -1687,67 +1922,85 @@ The type of a credential cache as an ali
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_cc\_initialize -  Initialize a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_initialize::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_initialize:krb5-cc-initialize-initialize-a-credential-cache}}\index{krb5\_cc\_initialize (C function)}
+\subsubsection{krb5\_cc\_initialize \sphinxhyphen{}  Initialize a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_initialize:krb5-cc-initialize-initialize-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_initialize::doc}}\index{krb5\_cc\_initialize (C function)@\spxentry{krb5\_cc\_initialize}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_initialize:c.krb5_cc_initialize}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_initialize}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ principal}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_initialize:c.krb5_cc_initialize}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_initialize}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Default principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Default principal name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 System errors; Permission errors; Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Destroy any existing contents of \sphinxstyleemphasis{cache} and initialize it for the default principal \sphinxstyleemphasis{principal} .
 
 
-\subsubsection{krb5\_cc\_new\_unique -  Create a new credential cache of the specified type with a unique name.}
-\label{\detokenize{appdev/refs/api/krb5_cc_new_unique:krb5-cc-new-unique-create-a-new-credential-cache-of-the-specified-type-with-a-unique-name}}\label{\detokenize{appdev/refs/api/krb5_cc_new_unique::doc}}\index{krb5\_cc\_new\_unique (C function)}
+\subsubsection{krb5\_cc\_new\_unique \sphinxhyphen{}  Create a new credential cache of the specified type with a unique name.}
+\label{\detokenize{appdev/refs/api/krb5_cc_new_unique:krb5-cc-new-unique-create-a-new-credential-cache-of-the-specified-type-with-a-unique-name}}\label{\detokenize{appdev/refs/api/krb5_cc_new_unique::doc}}\index{krb5\_cc\_new\_unique (C function)@\spxentry{krb5\_cc\_new\_unique}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_new_unique:c.krb5_cc_new_unique}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_new\_unique}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ type}, const char *\sphinxstyleemphasis{ hint}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}} *\sphinxstyleemphasis{ id}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_new_unique:c.krb5_cc_new_unique}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_new\_unique}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{type}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{hint}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{id}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} - Credential cache type name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} \sphinxhyphen{} Credential cache type name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{hint} - Unused
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{hint} \sphinxhyphen{} Unused
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{id} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{id} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
@@ -1755,1312 +2008,1714 @@ Kerberos error codes
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_cc\_resolve -  Resolve a credential cache name.}
-\label{\detokenize{appdev/refs/api/krb5_cc_resolve:krb5-cc-resolve-resolve-a-credential-cache-name}}\label{\detokenize{appdev/refs/api/krb5_cc_resolve::doc}}\index{krb5\_cc\_resolve (C function)}
+\subsubsection{krb5\_cc\_resolve \sphinxhyphen{}  Resolve a credential cache name.}
+\label{\detokenize{appdev/refs/api/krb5_cc_resolve:krb5-cc-resolve-resolve-a-credential-cache-name}}\label{\detokenize{appdev/refs/api/krb5_cc_resolve::doc}}\index{krb5\_cc\_resolve (C function)@\spxentry{krb5\_cc\_resolve}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_resolve:c.krb5_cc_resolve}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_resolve}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ name}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}} *\sphinxstyleemphasis{ cache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_resolve:c.krb5_cc_resolve}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_resolve}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} - Credential cache name to be resolved
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} \sphinxhyphen{} Credential cache name to be resolved
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Fills in \sphinxstyleemphasis{cache} with a \sphinxstyleemphasis{cache} handle that corresponds to the name in \sphinxstyleemphasis{name} . \sphinxstyleemphasis{name} should be of the form \sphinxstylestrong{type:residual} , and \sphinxstyleemphasis{type} must be a type known to the library. If the \sphinxstyleemphasis{name} does not contain a colon, interpret it as a file name.
 
 
-\subsubsection{krb5\_change\_password -  Change a password for an existing Kerberos account.}
-\label{\detokenize{appdev/refs/api/krb5_change_password:krb5-change-password-change-a-password-for-an-existing-kerberos-account}}\label{\detokenize{appdev/refs/api/krb5_change_password::doc}}\index{krb5\_change\_password (C function)}
+\subsubsection{krb5\_change\_password \sphinxhyphen{}  Change a password for an existing Kerberos account.}
+\label{\detokenize{appdev/refs/api/krb5_change_password:krb5-change-password-change-a-password-for-an-existing-kerberos-account}}\label{\detokenize{appdev/refs/api/krb5_change_password::doc}}\index{krb5\_change\_password (C function)@\spxentry{krb5\_change\_password}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_change_password:c.krb5_change_password}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_change\_password}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, const char *\sphinxstyleemphasis{ newpw}, int *\sphinxstyleemphasis{ result\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ result\_code\_string}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ result\_string}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_change_password:c.krb5_change_password}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_change\_password}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{newpw}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{result\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{result\_code\_string}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{result\_string}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} - Credentials for kadmin/changepw service
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Credentials for kadmin/changepw service
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{newpw} - New password
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{newpw} \sphinxhyphen{} New password
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code} - Numeric error code from server
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code} \sphinxhyphen{} Numeric error code from server
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code\_string} - String equivalent to \sphinxstyleemphasis{result\_code}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code\_string} \sphinxhyphen{} String equivalent to \sphinxstyleemphasis{result\_code}
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_string} - Change password response from the KDC
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_string} \sphinxhyphen{} Change password response from the KDC
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Change the password for the existing principal identified by \sphinxstyleemphasis{creds} .
 
+\sphinxAtStartPar
 The possible values of the output \sphinxstyleemphasis{result\_code} are:
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_KPASSWD_SUCCESS:KRB5_KPASSWD_SUCCESS}]{\sphinxcrossref{\sphinxcode{KRB5\_KPASSWD\_SUCCESS}}}} (0) - success
+\sphinxAtStartPar
+\#KRB5\_KPASSWD\_SUCCESS (0) \sphinxhyphen{} success
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_KPASSWD_MALFORMED:KRB5_KPASSWD_MALFORMED}]{\sphinxcrossref{\sphinxcode{KRB5\_KPASSWD\_MALFORMED}}}} (1) - Malformed request error
+\sphinxAtStartPar
+\#KRB5\_KPASSWD\_MALFORMED (1) \sphinxhyphen{} Malformed request error
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_KPASSWD_HARDERROR:KRB5_KPASSWD_HARDERROR}]{\sphinxcrossref{\sphinxcode{KRB5\_KPASSWD\_HARDERROR}}}} (2) - Server error
+\sphinxAtStartPar
+\#KRB5\_KPASSWD\_HARDERROR (2) \sphinxhyphen{} Server error
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_KPASSWD_AUTHERROR:KRB5_KPASSWD_AUTHERROR}]{\sphinxcrossref{\sphinxcode{KRB5\_KPASSWD\_AUTHERROR}}}} (3) - Authentication error
+\sphinxAtStartPar
+\#KRB5\_KPASSWD\_AUTHERROR (3) \sphinxhyphen{} Authentication error
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_KPASSWD_SOFTERROR:KRB5_KPASSWD_SOFTERROR}]{\sphinxcrossref{\sphinxcode{KRB5\_KPASSWD\_SOFTERROR}}}} (4) - Password change rejected
+\sphinxAtStartPar
+\#KRB5\_KPASSWD\_SOFTERROR (4) \sphinxhyphen{} Password change rejected
 
 \end{itemize}
 
 
-\subsubsection{krb5\_chpw\_message -  Get a result message for changing or setting a password.}
-\label{\detokenize{appdev/refs/api/krb5_chpw_message:krb5-chpw-message-get-a-result-message-for-changing-or-setting-a-password}}\label{\detokenize{appdev/refs/api/krb5_chpw_message::doc}}\index{krb5\_chpw\_message (C function)}
+\subsubsection{krb5\_chpw\_message \sphinxhyphen{}  Get a result message for changing or setting a password.}
+\label{\detokenize{appdev/refs/api/krb5_chpw_message:krb5-chpw-message-get-a-result-message-for-changing-or-setting-a-password}}\label{\detokenize{appdev/refs/api/krb5_chpw_message::doc}}\index{krb5\_chpw\_message (C function)@\spxentry{krb5\_chpw\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_chpw_message:c.krb5_chpw_message}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_chpw\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ server\_string}, char **\sphinxstyleemphasis{ message\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_chpw_message:c.krb5_chpw_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_chpw\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{server\_string}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{message\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server\_string} - Data returned from the remote system
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server\_string} \sphinxhyphen{} Data returned from the remote system
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{message\_out} - A message displayable to the user
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{message\_out} \sphinxhyphen{} A message displayable to the user
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function processes the \sphinxstyleemphasis{server\_string} returned in the \sphinxstyleemphasis{result\_string} parameter of {\hyperref[\detokenize{appdev/refs/api/krb5_change_password:c.krb5_change_password}]{\sphinxcrossref{\sphinxcode{krb5\_change\_password()}}}} , {\hyperref[\detokenize{appdev/refs/api/krb5_set_password:c.krb5_set_password}]{\sphinxcrossref{\sphinxcode{krb5\_set\_password()}}}} , and related functions, and returns a displayable string. If \sphinxstyleemphasis{server\_string} contains Active Directory structured policy information, it will be converted into human-readable text.
+\sphinxAtStartPar
+This function processes the \sphinxstyleemphasis{server\_string} returned in the \sphinxstyleemphasis{result\_string} parameter of krb5\_change\_password(), krb5\_set\_password(), and related functions, and returns a displayable string. If \sphinxstyleemphasis{server\_string} contains Active Directory structured policy information, it will be converted into human\sphinxhyphen{}readable text.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_string:c.krb5_free_string}]{\sphinxcrossref{\sphinxcode{krb5\_free\_string()}}}} to free \sphinxstyleemphasis{message\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_string() to free \sphinxstyleemphasis{message\_out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_expand\_hostname -  Canonicalize a hostname, possibly using name service.}
-\label{\detokenize{appdev/refs/api/krb5_expand_hostname:krb5-expand-hostname-canonicalize-a-hostname-possibly-using-name-service}}\label{\detokenize{appdev/refs/api/krb5_expand_hostname::doc}}\index{krb5\_expand\_hostname (C function)}
+\subsubsection{krb5\_expand\_hostname \sphinxhyphen{}  Canonicalize a hostname, possibly using name service.}
+\label{\detokenize{appdev/refs/api/krb5_expand_hostname:krb5-expand-hostname-canonicalize-a-hostname-possibly-using-name-service}}\label{\detokenize{appdev/refs/api/krb5_expand_hostname::doc}}\index{krb5\_expand\_hostname (C function)@\spxentry{krb5\_expand\_hostname}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_expand_hostname:c.krb5_expand_hostname}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_expand\_hostname}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ host}, char **\sphinxstyleemphasis{ canonhost\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_expand_hostname:c.krb5_expand_hostname}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_expand\_hostname}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{host}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{canonhost\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{host} - Input hostname
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{host} \sphinxhyphen{} Input hostname
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{canonhost\_out} - Canonicalized hostname
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{canonhost\_out} \sphinxhyphen{} Canonicalized hostname
 
 \end{description}\end{quote}
 
-This function canonicalizes orig\_hostname, possibly using name service lookups if configuration permits. Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_string:c.krb5_free_string}]{\sphinxcrossref{\sphinxcode{krb5\_free\_string()}}}} to free \sphinxstyleemphasis{canonhost\_out} when it is no longer needed.
+\sphinxAtStartPar
+This function canonicalizes orig\_hostname, possibly using name service lookups if configuration permits. Use krb5\_free\_string() to free \sphinxstyleemphasis{canonhost\_out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.15
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_free\_context -  Free a krb5 library context.}
-\label{\detokenize{appdev/refs/api/krb5_free_context:krb5-free-context-free-a-krb5-library-context}}\label{\detokenize{appdev/refs/api/krb5_free_context::doc}}\index{krb5\_free\_context (C function)}
+\subsubsection{krb5\_free\_context \sphinxhyphen{}  Free a krb5 library context.}
+\label{\detokenize{appdev/refs/api/krb5_free_context:krb5-free-context-free-a-krb5-library-context}}\label{\detokenize{appdev/refs/api/krb5_free_context::doc}}\index{krb5\_free\_context (C function)@\spxentry{krb5\_free\_context}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_context:c.krb5_free_context}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_context}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_context:c.krb5_free_context}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_context}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
 \end{description}\end{quote}
 
-This function frees a \sphinxstyleemphasis{context} that was created by {\hyperref[\detokenize{appdev/refs/api/krb5_init_context:c.krb5_init_context}]{\sphinxcrossref{\sphinxcode{krb5\_init\_context()}}}} or {\hyperref[\detokenize{appdev/refs/api/krb5_init_secure_context:c.krb5_init_secure_context}]{\sphinxcrossref{\sphinxcode{krb5\_init\_secure\_context()}}}} .
+\sphinxAtStartPar
+This function frees a \sphinxstyleemphasis{context} that was created by krb5\_init\_context() or krb5\_init\_secure\_context().
 
 
-\subsubsection{krb5\_free\_error\_message -  Free an error message generated by krb5\_get\_error\_message() .}
-\label{\detokenize{appdev/refs/api/krb5_free_error_message:krb5-free-error-message-free-an-error-message-generated-by-krb5-get-error-message}}\label{\detokenize{appdev/refs/api/krb5_free_error_message::doc}}\index{krb5\_free\_error\_message (C function)}
+\subsubsection{krb5\_free\_error\_message \sphinxhyphen{}  Free an error message generated by krb5\_get\_error\_message().}
+\label{\detokenize{appdev/refs/api/krb5_free_error_message:krb5-free-error-message-free-an-error-message-generated-by-krb5-get-error-message}}\label{\detokenize{appdev/refs/api/krb5_free_error_message::doc}}\index{krb5\_free\_error\_message (C function)@\spxentry{krb5\_free\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_error_message:c.krb5_free_error_message}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, const char *\sphinxstyleemphasis{ msg}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_error_message:c.krb5_free_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{msg}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{msg} - Pointer to error message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{msg} \sphinxhyphen{} Pointer to error message
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_free\_principal -  Free the storage assigned to a principal.}
-\label{\detokenize{appdev/refs/api/krb5_free_principal::doc}}\label{\detokenize{appdev/refs/api/krb5_free_principal:krb5-free-principal-free-the-storage-assigned-to-a-principal}}\index{krb5\_free\_principal (C function)}
+\subsubsection{krb5\_free\_principal \sphinxhyphen{}  Free the storage assigned to a principal.}
+\label{\detokenize{appdev/refs/api/krb5_free_principal:krb5-free-principal-free-the-storage-assigned-to-a-principal}}\label{\detokenize{appdev/refs/api/krb5_free_principal::doc}}\index{krb5\_free\_principal (C function)@\spxentry{krb5\_free\_principal}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_principal}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_principal}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Principal to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Principal to be freed
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_fwd\_tgt\_creds -  Get a forwarded TGT and format a KRB-CRED message.}
-\label{\detokenize{appdev/refs/api/krb5_fwd_tgt_creds:krb5-fwd-tgt-creds-get-a-forwarded-tgt-and-format-a-krb-cred-message}}\label{\detokenize{appdev/refs/api/krb5_fwd_tgt_creds::doc}}\index{krb5\_fwd\_tgt\_creds (C function)}
+\subsubsection{krb5\_fwd\_tgt\_creds \sphinxhyphen{}  Get a forwarded TGT and format a KRB\sphinxhyphen{}CRED message.}
+\label{\detokenize{appdev/refs/api/krb5_fwd_tgt_creds:krb5-fwd-tgt-creds-get-a-forwarded-tgt-and-format-a-krb-cred-message}}\label{\detokenize{appdev/refs/api/krb5_fwd_tgt_creds::doc}}\index{krb5\_fwd\_tgt\_creds (C function)@\spxentry{krb5\_fwd\_tgt\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_fwd_tgt_creds:c.krb5_fwd_tgt_creds}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_fwd\_tgt\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, const char *\sphinxstyleemphasis{ rhost}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ client}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ server}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cc}, int\sphinxstyleemphasis{ forwardable}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ outbuf}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_fwd_tgt_creds:c.krb5_fwd_tgt_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_fwd\_tgt\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rhost}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{client}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{server}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cc}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{forwardable}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{outbuf}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rhost} - Remote host
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rhost} \sphinxhyphen{} Remote host
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} - Client principal of TGT
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} \sphinxhyphen{} Client principal of TGT
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Principal of server to receive TGT
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Principal of server to receive TGT
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cc} - Credential cache handle (NULL to use default)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cc} \sphinxhyphen{} Credential cache handle (NULL to use default)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{forwardable} - Whether TGT should be forwardable
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{forwardable} \sphinxhyphen{} Whether TGT should be forwardable
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} - KRB-CRED message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} \sphinxhyphen{} KRB\sphinxhyphen{}CRED message
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 ENOMEM   Insufficient memory
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_PRINC\_NOMATCH   Requested principal and ticket do not match
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_NO\_TKT\_SUPPLIED   Request did not supply a ticket
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_CC\_BADNAME   Credential cache name or principal name malformed
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Get a TGT for use at the remote host \sphinxstyleemphasis{rhost} and format it into a KRB-CRED message. If \sphinxstyleemphasis{rhost} is NULL and \sphinxstyleemphasis{server} is of type {\hyperref[\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST:KRB5_NT_SRV_HST}]{\sphinxcrossref{\sphinxcode{KRB5\_NT\_SRV\_HST}}}} , the second component of \sphinxstyleemphasis{server} will be used.
+\sphinxAtStartPar
+Get a TGT for use at the remote host \sphinxstyleemphasis{rhost} and format it into a KRB\sphinxhyphen{}CRED message. If \sphinxstyleemphasis{rhost} is NULL and \sphinxstyleemphasis{server} is of type \#KRB5\_NT\_SRV\_HST, the second component of \sphinxstyleemphasis{server} will be used.
 
 
-\subsubsection{krb5\_get\_default\_realm -  Retrieve the default realm.}
-\label{\detokenize{appdev/refs/api/krb5_get_default_realm:krb5-get-default-realm-retrieve-the-default-realm}}\label{\detokenize{appdev/refs/api/krb5_get_default_realm::doc}}\index{krb5\_get\_default\_realm (C function)}
+\subsubsection{krb5\_get\_default\_realm \sphinxhyphen{}  Retrieve the default realm.}
+\label{\detokenize{appdev/refs/api/krb5_get_default_realm:krb5-get-default-realm-retrieve-the-default-realm}}\label{\detokenize{appdev/refs/api/krb5_get_default_realm::doc}}\index{krb5\_get\_default\_realm (C function)@\spxentry{krb5\_get\_default\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_default_realm:c.krb5_get_default_realm}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_default\_realm}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, char **\sphinxstyleemphasis{ lrealm}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_default_realm:c.krb5_get_default_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_default\_realm}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{lrealm}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{lrealm} - Default realm name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{lrealm} \sphinxhyphen{} Default realm name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Retrieves the default realm to be used if no user-specified realm is available.
+\sphinxAtStartPar
+Retrieves the default realm to be used if no user\sphinxhyphen{}specified realm is available.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_default_realm:c.krb5_free_default_realm}]{\sphinxcrossref{\sphinxcode{krb5\_free\_default\_realm()}}}} to free \sphinxstyleemphasis{lrealm} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_default\_realm() to free \sphinxstyleemphasis{lrealm} when it is no longer needed.
 
 
-\subsubsection{krb5\_get\_error\_message -  Get the (possibly extended) error message for a code.}
-\label{\detokenize{appdev/refs/api/krb5_get_error_message::doc}}\label{\detokenize{appdev/refs/api/krb5_get_error_message:krb5-get-error-message-get-the-possibly-extended-error-message-for-a-code}}\index{krb5\_get\_error\_message (C function)}
+\subsubsection{krb5\_get\_error\_message \sphinxhyphen{}  Get the (possibly extended) error message for a code.}
+\label{\detokenize{appdev/refs/api/krb5_get_error_message:krb5-get-error-message-get-the-possibly-extended-error-message-for-a-code}}\label{\detokenize{appdev/refs/api/krb5_get_error_message::doc}}\index{krb5\_get\_error\_message (C function)@\spxentry{krb5\_get\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_error_message:c.krb5_get_error_message}}\pysiglinewithargsret{const char * \sphinxbfcode{krb5\_get\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}}\sphinxstyleemphasis{ code}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_error_message:c.krb5_get_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\DUrole{n}{code}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} - Error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} \sphinxhyphen{} Error code
 
 \end{description}\end{quote}
 
-The behavior of {\hyperref[\detokenize{appdev/refs/api/krb5_get_error_message:c.krb5_get_error_message}]{\sphinxcrossref{\sphinxcode{krb5\_get\_error\_message()}}}} is only defined the first time it is called after a failed call to a krb5 function using the same context, and only when the error code passed in is the same as that returned by the krb5 function.
+\sphinxAtStartPar
+The behavior of krb5\_get\_error\_message() is only defined the first time it is called after a failed call to a krb5 function using the same context, and only when the error code passed in is the same as that returned by the krb5 function.
 
+\sphinxAtStartPar
 This function never returns NULL, so its result may be used unconditionally as a C string.
 
-The string returned by this function must be freed using {\hyperref[\detokenize{appdev/refs/api/krb5_free_error_message:c.krb5_free_error_message}]{\sphinxcrossref{\sphinxcode{krb5\_free\_error\_message()}}}}
+\sphinxAtStartPar
+The string returned by this function must be freed using krb5\_free\_error\_message()
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 Future versions may return the same string for the second and following calls.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_get\_host\_realm -  Get the Kerberos realm names for a host.}
-\label{\detokenize{appdev/refs/api/krb5_get_host_realm:krb5-get-host-realm-get-the-kerberos-realm-names-for-a-host}}\label{\detokenize{appdev/refs/api/krb5_get_host_realm::doc}}\index{krb5\_get\_host\_realm (C function)}
+\subsubsection{krb5\_get\_host\_realm \sphinxhyphen{}  Get the Kerberos realm names for a host.}
+\label{\detokenize{appdev/refs/api/krb5_get_host_realm:krb5-get-host-realm-get-the-kerberos-realm-names-for-a-host}}\label{\detokenize{appdev/refs/api/krb5_get_host_realm::doc}}\index{krb5\_get\_host\_realm (C function)@\spxentry{krb5\_get\_host\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_host_realm:c.krb5_get_host_realm}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_host\_realm}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ host}, char ***\sphinxstyleemphasis{ realmsp}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_host_realm:c.krb5_get_host_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_host\_realm}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{host}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{realmsp}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{host} - Host name (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{host} \sphinxhyphen{} Host name (or NULL)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realmsp} - Null-terminated list of realm names
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realmsp} \sphinxhyphen{} Null\sphinxhyphen{}terminated list of realm names
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 ENOMEM   Insufficient memory
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Fill in \sphinxstyleemphasis{realmsp} with a pointer to a null-terminated list of realm names. If there are no known realms for the host, a list containing the referral (empty) realm is returned.
+\sphinxAtStartPar
+Fill in \sphinxstyleemphasis{realmsp} with a pointer to a null\sphinxhyphen{}terminated list of realm names. If there are no known realms for the host, a list containing the referral (empty) realm is returned.
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{host} is NULL, the local host’s realms are determined.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_host_realm:c.krb5_free_host_realm}]{\sphinxcrossref{\sphinxcode{krb5\_free\_host\_realm()}}}} to release \sphinxstyleemphasis{realmsp} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_host\_realm() to release \sphinxstyleemphasis{realmsp} when it is no longer needed.
 
 
-\subsubsection{krb5\_get\_credentials -  Get an additional ticket.}
-\label{\detokenize{appdev/refs/api/krb5_get_credentials:krb5-get-credentials-get-an-additional-ticket}}\label{\detokenize{appdev/refs/api/krb5_get_credentials::doc}}\index{krb5\_get\_credentials (C function)}
+\subsubsection{krb5\_get\_credentials \sphinxhyphen{}  Get an additional ticket.}
+\label{\detokenize{appdev/refs/api/krb5_get_credentials:krb5-get-credentials-get-an-additional-ticket}}\label{\detokenize{appdev/refs/api/krb5_get_credentials::doc}}\index{krb5\_get\_credentials (C function)@\spxentry{krb5\_get\_credentials}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_credentials:c.krb5_get_credentials}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_credentials}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ options}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} **\sphinxstyleemphasis{ out\_creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_credentials:c.krb5_get_credentials}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_credentials}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{options}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{out\_creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{options} - Options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{options} \sphinxhyphen{} Options
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_creds} - Input credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_creds} \sphinxhyphen{} Input credentials
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out\_creds} - Output updated credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out\_creds} \sphinxhyphen{} Output updated credentials
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{ccache} or a TGS exchange to get a service ticket matching \sphinxstyleemphasis{in\_creds} .
 
+\sphinxAtStartPar
 Valid values for \sphinxstyleemphasis{options} are:
 \begin{quote}
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_GC_CACHED:KRB5_GC_CACHED}]{\sphinxcrossref{\sphinxcode{KRB5\_GC\_CACHED}}}} Search only credential cache for the ticket
+\sphinxAtStartPar
+\#KRB5\_GC\_CACHED Search only credential cache for the ticket
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_GC_USER_USER:KRB5_GC_USER_USER}]{\sphinxcrossref{\sphinxcode{KRB5\_GC\_USER\_USER}}}} Return a user to user authentication ticket
+\sphinxAtStartPar
+\#KRB5\_GC\_USER\_USER Return a user to user authentication ticket
 
 \end{itemize}
 
-\sphinxstyleemphasis{in\_creds} must be non-null. \sphinxstyleemphasis{in\_creds-\textgreater{}client} and \sphinxstyleemphasis{in\_creds-\textgreater{}server} must be filled in to specify the client and the server respectively. If any authorization data needs to be requested for the service ticket (such as restrictions on how the ticket can be used), specify it in \sphinxstyleemphasis{in\_creds-\textgreater{}authdata} ; otherwise set \sphinxstyleemphasis{in\_creds-\textgreater{}authdata} to NULL. The session key type is specified in \sphinxstyleemphasis{in\_creds-\textgreater{}keyblock.enctype} , if it is nonzero.
+\sphinxAtStartPar
+\sphinxstyleemphasis{in\_creds} must be non\sphinxhyphen{}null. \sphinxstyleemphasis{in\_creds\sphinxhyphen{}\textgreater{}client} and \sphinxstyleemphasis{in\_creds\sphinxhyphen{}\textgreater{}server} must be filled in to specify the client and the server respectively. If any authorization data needs to be requested for the service ticket (such as restrictions on how the ticket can be used), specify it in \sphinxstyleemphasis{in\_creds\sphinxhyphen{}\textgreater{}authdata} ; otherwise set \sphinxstyleemphasis{in\_creds\sphinxhyphen{}\textgreater{}authdata} to NULL. The session key type is specified in \sphinxstyleemphasis{in\_creds\sphinxhyphen{}\textgreater{}keyblock.enctype} , if it is nonzero.
 \end{quote}
 
-The expiration date is specified in \sphinxstyleemphasis{in\_creds-\textgreater{}times.endtime} . The KDC may return tickets with an earlier expiration date. If \sphinxstyleemphasis{in\_creds-\textgreater{}times.endtime} is set to 0, the latest possible expiration date will be requested.
+\sphinxAtStartPar
+The expiration date is specified in \sphinxstyleemphasis{in\_creds\sphinxhyphen{}\textgreater{}times.endtime} . The KDC may return tickets with an earlier expiration date. If \sphinxstyleemphasis{in\_creds\sphinxhyphen{}\textgreater{}times.endtime} is set to 0, the latest possible expiration date will be requested.
 
-Any returned ticket and intermediate ticket-granting tickets are stored in \sphinxstyleemphasis{ccache} .
+\sphinxAtStartPar
+Any returned ticket and intermediate ticket\sphinxhyphen{}granting tickets are stored in \sphinxstyleemphasis{ccache} .
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_creds:c.krb5_free_creds}]{\sphinxcrossref{\sphinxcode{krb5\_free\_creds()}}}} to free \sphinxstyleemphasis{out\_creds} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_creds() to free \sphinxstyleemphasis{out\_creds} when it is no longer needed.
 
 
 \subsubsection{krb5\_get\_fallback\_host\_realm}
-\label{\detokenize{appdev/refs/api/krb5_get_fallback_host_realm:krb5-get-fallback-host-realm}}\label{\detokenize{appdev/refs/api/krb5_get_fallback_host_realm::doc}}\index{krb5\_get\_fallback\_host\_realm (C function)}
+\label{\detokenize{appdev/refs/api/krb5_get_fallback_host_realm:krb5-get-fallback-host-realm}}\label{\detokenize{appdev/refs/api/krb5_get_fallback_host_realm::doc}}\index{krb5\_get\_fallback\_host\_realm (C function)@\spxentry{krb5\_get\_fallback\_host\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_fallback_host_realm:c.krb5_get_fallback_host_realm}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_fallback\_host\_realm}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ hdata}, char ***\sphinxstyleemphasis{ realmsp}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_fallback_host_realm:c.krb5_get_fallback_host_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_fallback\_host\_realm}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{hdata}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{realmsp}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{hdata} - Host name (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{hdata} \sphinxhyphen{} Host name (or NULL)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realmsp} - Null-terminated list of realm names
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realmsp} \sphinxhyphen{} Null\sphinxhyphen{}terminated list of realm names
 
 \end{description}\end{quote}
 
-Fill in \sphinxstyleemphasis{realmsp} with a pointer to a null-terminated list of realm names obtained through heuristics or insecure resolution methods which have lower priority than KDC referrals.
+\sphinxAtStartPar
+Fill in \sphinxstyleemphasis{realmsp} with a pointer to a null\sphinxhyphen{}terminated list of realm names obtained through heuristics or insecure resolution methods which have lower priority than KDC referrals.
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{host} is NULL, the local host’s realms are determined.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_host_realm:c.krb5_free_host_realm}]{\sphinxcrossref{\sphinxcode{krb5\_free\_host\_realm()}}}} to release \sphinxstyleemphasis{realmsp} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_host\_realm() to release \sphinxstyleemphasis{realmsp} when it is no longer needed.
 
 
-\subsubsection{krb5\_get\_init\_creds\_keytab -  Get initial credentials using a key table.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_keytab:krb5-get-init-creds-keytab-get-initial-credentials-using-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_keytab::doc}}\index{krb5\_get\_init\_creds\_keytab (C function)}
+\subsubsection{krb5\_get\_init\_creds\_keytab \sphinxhyphen{}  Get initial credentials using a key table.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_keytab:krb5-get-init-creds-keytab-get-initial-credentials-using-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_keytab::doc}}\index{krb5\_get\_init\_creds\_keytab (C function)@\spxentry{krb5\_get\_init\_creds\_keytab}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_keytab:c.krb5_get_init_creds_keytab}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_keytab}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ client}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ arg\_keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{krb5\_deltat}}}\sphinxstyleemphasis{ start\_time}, const char *\sphinxstyleemphasis{ in\_tkt\_service}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ k5\_gic\_options}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_keytab:c.krb5_get_init_creds_keytab}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_keytab}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{client}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{arg\_keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{\DUrole{n}{krb5\_deltat}}}}\DUrole{w}{  }\DUrole{n}{start\_time}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_tkt\_service}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k5\_gic\_options}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} - New credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} \sphinxhyphen{} New credentials
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} - Client principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} \sphinxhyphen{} Client principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{arg\_keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{arg\_keytab} \sphinxhyphen{} Key table handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{start\_time} - Time when ticket becomes valid (0 for now)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{start\_time} \sphinxhyphen{} Time when ticket becomes valid (0 for now)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_tkt\_service} - Service name of initial credentials (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_tkt\_service} \sphinxhyphen{} Service name of initial credentials (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k5\_gic\_options} - Initial credential options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k5\_gic\_options} \sphinxhyphen{} Initial credential options
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function requests KDC for an initial credentials for \sphinxstyleemphasis{client} using a client key stored in \sphinxstyleemphasis{arg\_keytab} . If \sphinxstyleemphasis{in\_tkt\_service} is specified, it is parsed as a principal name (with the realm ignored) and used as the service principal for the request; otherwise the ticket-granting service is used.
+\sphinxAtStartPar
+This function requests KDC for an initial credentials for \sphinxstyleemphasis{client} using a client key stored in \sphinxstyleemphasis{arg\_keytab} . If \sphinxstyleemphasis{in\_tkt\_service} is specified, it is parsed as a principal name (with the realm ignored) and used as the service principal for the request; otherwise the ticket\sphinxhyphen{}granting service is used.
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_alloc -  Allocate a new initial credential options structure.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_alloc:krb5-get-init-creds-opt-alloc-allocate-a-new-initial-credential-options-structure}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_alloc::doc}}\index{krb5\_get\_init\_creds\_opt\_alloc (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_alloc \sphinxhyphen{}  Allocate a new initial credential options structure.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_alloc:krb5-get-init-creds-opt-alloc-allocate-a-new-initial-credential-options-structure}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_alloc::doc}}\index{krb5\_get\_init\_creds\_opt\_alloc (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_alloc}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_alloc:c.krb5_get_init_creds_opt_alloc}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_alloc}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} **\sphinxstyleemphasis{ opt}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_alloc:c.krb5_get_init_creds_opt_alloc}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_alloc}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{opt}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{opt} - New options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{opt} \sphinxhyphen{} New options structure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   - Success; Kerberos errors otherwise.
+\sphinxAtStartPar
+0   \sphinxhyphen{} Success; Kerberos errors otherwise.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function is the preferred way to create an options structure for getting initial credentials, and is required to make use of certain options. Use {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_free:c.krb5_get_init_creds_opt_free}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_free()}}}} to free \sphinxstyleemphasis{opt} when it is no longer needed.
+\sphinxAtStartPar
+This function is the preferred way to create an options structure for getting initial credentials, and is required to make use of certain options. Use krb5\_get\_init\_creds\_opt\_free() to free \sphinxstyleemphasis{opt} when it is no longer needed.
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_free -  Free initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_free::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_free:krb5-get-init-creds-opt-free-free-initial-credential-options}}\index{krb5\_get\_init\_creds\_opt\_free (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_free \sphinxhyphen{}  Free initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_free:krb5-get-init-creds-opt-free-free-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_free::doc}}\index{krb5\_get\_init\_creds\_opt\_free (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_free}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_free:c.krb5_get_init_creds_opt_free}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_free}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_free:c.krb5_get_init_creds_opt_free}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_free}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure to free
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure to free
 
 \end{description}\end{quote}
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_alloc:c.krb5_get_init_creds_opt_alloc}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_alloc()}}}}
+\sphinxAtStartPar
+krb5\_get\_init\_creds\_opt\_alloc()
 
 
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_get\_fast\_flags -  Retrieve FAST flags from initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags:krb5-get-init-creds-opt-get-fast-flags-retrieve-fast-flags-from-initial-credential-options}}\index{krb5\_get\_init\_creds\_opt\_get\_fast\_flags (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_get\_fast\_flags \sphinxhyphen{}  Retrieve FAST flags from initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags:krb5-get-init-creds-opt-get-fast-flags-retrieve-fast-flags-from-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags::doc}}\index{krb5\_get\_init\_creds\_opt\_get\_fast\_flags (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_get\_fast\_flags}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags:c.krb5_get_init_creds_opt_get_fast_flags}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_get\_fast\_flags}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}} *\sphinxstyleemphasis{ out\_flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_get_fast_flags:c.krb5_get_init_creds_opt_get_fast_flags}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_get\_fast\_flags}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{out\_flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out\_flags} - FAST flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out\_flags} \sphinxhyphen{} FAST flags
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   - Success; Kerberos errors otherwise.
+\sphinxAtStartPar
+0   \sphinxhyphen{} Success; Kerberos errors otherwise.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_address\_list -  Set address restrictions in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_address_list:krb5-get-init-creds-opt-set-address-list-set-address-restrictions-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_address_list::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_address\_list (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_address\_list \sphinxhyphen{}  Set address restrictions in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_address_list:krb5-get-init-creds-opt-set-address-list-set-address-restrictions-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_address_list::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_address\_list (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_address\_list}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_address_list:c.krb5_get_init_creds_opt_set_address_list}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_address\_list}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} **\sphinxstyleemphasis{ addresses}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_address_list:c.krb5_get_init_creds_opt_set_address_list}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_address\_list}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{addresses}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addresses} - Null-terminated array of addresses
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addresses} \sphinxhyphen{} Null\sphinxhyphen{}terminated array of addresses
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_anonymous -  Set or unset the anonymous flag in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_anonymous:krb5-get-init-creds-opt-set-anonymous-set-or-unset-the-anonymous-flag-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_anonymous::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_anonymous (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_anonymous \sphinxhyphen{}  Set or unset the anonymous flag in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_anonymous:krb5-get-init-creds-opt-set-anonymous-set-or-unset-the-anonymous-flag-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_anonymous::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_anonymous (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_anonymous}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_anonymous:c.krb5_get_init_creds_opt_set_anonymous}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_anonymous}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, int\sphinxstyleemphasis{ anonymous}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_anonymous:c.krb5_get_init_creds_opt_set_anonymous}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_anonymous}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{anonymous}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{anonymous} - Whether to make an anonymous request
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{anonymous} \sphinxhyphen{} Whether to make an anonymous request
 
 \end{description}\end{quote}
 
-This function may be used to request anonymous credentials from the KDC by setting \sphinxstyleemphasis{anonymous} to non-zero. Note that anonymous credentials are only a request; clients must verify that credentials are anonymous if that is a requirement.
+\sphinxAtStartPar
+This function may be used to request anonymous credentials from the KDC by setting \sphinxstyleemphasis{anonymous} to non\sphinxhyphen{}zero. Note that anonymous credentials are only a request; clients must verify that credentials are anonymous if that is a requirement.
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_canonicalize -  Set or unset the canonicalize flag in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize:krb5-get-init-creds-opt-set-canonicalize-set-or-unset-the-canonicalize-flag-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_canonicalize (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_canonicalize \sphinxhyphen{}  Set or unset the canonicalize flag in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize:krb5-get-init-creds-opt-set-canonicalize-set-or-unset-the-canonicalize-flag-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_canonicalize (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_canonicalize}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize:c.krb5_get_init_creds_opt_set_canonicalize}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_canonicalize}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, int\sphinxstyleemphasis{ canonicalize}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_canonicalize:c.krb5_get_init_creds_opt_set_canonicalize}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_canonicalize}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{canonicalize}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{canonicalize} - Whether to canonicalize client principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{canonicalize} \sphinxhyphen{} Whether to canonicalize client principal
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_change\_password\_prompt -  Set or unset change-password-prompt flag in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt:krb5-get-init-creds-opt-set-change-password-prompt-set-or-unset-change-password-prompt-flag-in-initial-credential-options}}\index{krb5\_get\_init\_creds\_opt\_set\_change\_password\_prompt (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_change\_password\_prompt \sphinxhyphen{}  Set or unset change\sphinxhyphen{}password\sphinxhyphen{}prompt flag in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt:krb5-get-init-creds-opt-set-change-password-prompt-set-or-unset-change-password-prompt-flag-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_change\_password\_prompt (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_change\_password\_prompt}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt:c.krb5_get_init_creds_opt_set_change_password_prompt}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_change\_password\_prompt}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, int\sphinxstyleemphasis{ prompt}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_change_password_prompt:c.krb5_get_init_creds_opt_set_change_password_prompt}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_change\_password\_prompt}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{prompt}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompt} - Whether to prompt to change password
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompt} \sphinxhyphen{} Whether to prompt to change password
 
 \end{description}\end{quote}
 
-This flag is on by default. It controls whether {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_password()}}}} will react to an expired-password error by prompting for a new password and attempting to change the old one.
+\sphinxAtStartPar
+This flag is on by default. It controls whether krb5\_get\_init\_creds\_password() will react to an expired\sphinxhyphen{}password error by prompting for a new password and attempting to change the old one.
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_etype\_list -  Set allowable encryption types in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_etype_list:krb5-get-init-creds-opt-set-etype-list-set-allowable-encryption-types-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_etype_list::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_etype\_list (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_etype\_list \sphinxhyphen{}  Set allowable encryption types in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_etype_list:krb5-get-init-creds-opt-set-etype-list-set-allowable-encryption-types-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_etype_list::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_etype\_list (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_etype\_list}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_etype_list:c.krb5_get_init_creds_opt_set_etype_list}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_etype\_list}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *\sphinxstyleemphasis{ etype\_list}, int\sphinxstyleemphasis{ etype\_list\_length}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_etype_list:c.krb5_get_init_creds_opt_set_etype_list}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_etype\_list}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{etype\_list}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{etype\_list\_length}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{etype\_list} - Array of encryption types
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{etype\_list} \sphinxhyphen{} Array of encryption types
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{etype\_list\_length} - Length of \sphinxstyleemphasis{etype\_list}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{etype\_list\_length} \sphinxhyphen{} Length of \sphinxstyleemphasis{etype\_list}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_expire\_callback -  Set an expiration callback in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback:krb5-get-init-creds-opt-set-expire-callback-set-an-expiration-callback-in-initial-credential-options}}\index{krb5\_get\_init\_creds\_opt\_set\_expire\_callback (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_expire\_callback \sphinxhyphen{}  Set an expiration callback in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback:krb5-get-init-creds-opt-set-expire-callback-set-an-expiration-callback-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_expire\_callback (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_expire\_callback}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback:c.krb5_get_init_creds_opt_set_expire_callback}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_expire\_callback}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_expire_callback_func:c.krb5_expire_callback_func}]{\sphinxcrossref{krb5\_expire\_callback\_func}}}\sphinxstyleemphasis{ cb}, void *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_expire_callback:c.krb5_get_init_creds_opt_set_expire_callback}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_expire\_callback}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_expire_callback_func:c.krb5_expire_callback_func}]{\sphinxcrossref{\DUrole{n}{krb5\_expire\_callback\_func}}}}\DUrole{w}{  }\DUrole{n}{cb}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cb} - Callback function
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cb} \sphinxhyphen{} Callback function
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Callback argument
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Callback argument
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Set a callback to receive password and account expiration times.
 \begin{quote}
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{cb} will be invoked if and only if credentials are successfully acquired. The callback will receive the \sphinxstyleemphasis{context} from the calling function and the \sphinxstyleemphasis{data} argument supplied with this API. The remaining arguments should be interpreted as follows:
 \end{quote}
 
-If \sphinxstyleemphasis{is\_last\_req} is true, then the KDC reply contained last-req entries which unambiguously indicated the password expiration, account expiration, or both. (If either value was not present, the corresponding argument will be 0.) Furthermore, a non-zero \sphinxstyleemphasis{password\_expiration} should be taken as a suggestion from the KDC that a warning be displayed.
+\sphinxAtStartPar
+If \sphinxstyleemphasis{is\_last\_req} is true, then the KDC reply contained last\sphinxhyphen{}req entries which unambiguously indicated the password expiration, account expiration, or both. (If either value was not present, the corresponding argument will be 0.) Furthermore, a non\sphinxhyphen{}zero \sphinxstyleemphasis{password\_expiration} should be taken as a suggestion from the KDC that a warning be displayed.
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{is\_last\_req} is false, then \sphinxstyleemphasis{account\_expiration} will be 0 and \sphinxstyleemphasis{password\_expiration} will contain the expiration time of either the password or account, or 0 if no expiration time was indicated in the KDC reply. The callback should independently decide whether to display a password expiration warning.
 
+\sphinxAtStartPar
 Note that \sphinxstyleemphasis{cb} may be invoked even if credentials are being acquired for the kadmin/changepw service in order to change the password. It is the caller’s responsibility to avoid displaying a password expiry warning in this case.
 
 \begin{sphinxadmonition}{warning}{Warning:}
-Setting an expire callback with this API will cause {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_password()}}}} not to send password expiry warnings to the prompter, as it ordinarily may.
+\sphinxAtStartPar
+Setting an expire callback with this API will cause krb5\_get\_init\_creds\_password() not to send password expiry warnings to the prompter, as it ordinarily may.
 \end{sphinxadmonition}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache -  Set FAST armor cache in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache:krb5-get-init-creds-opt-set-fast-ccache-set-fast-armor-cache-in-initial-credential-options}}\index{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache \sphinxhyphen{}  Set FAST armor cache in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache:krb5-get-init-creds-opt-set-fast-ccache-set-fast-armor-cache-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache:c.krb5_get_init_creds_opt_set_fast_ccache}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache:c.krb5_get_init_creds_opt_set_fast_ccache}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name:c.krb5_get_init_creds_opt_set_fast_ccache_name}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name()}}}} , but uses a credential cache handle instead of a name.
+\sphinxAtStartPar
+This function is similar to krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name(), but uses a credential cache handle instead of a name.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name -  Set location of FAST armor ccache in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name:krb5-get-init-creds-opt-set-fast-ccache-name-set-location-of-fast-armor-ccache-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name \sphinxhyphen{}  Set location of FAST armor ccache in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name:krb5-get-init-creds-opt-set-fast-ccache-name-set-location-of-fast-armor-ccache-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name:c.krb5_get_init_creds_opt_set_fast_ccache_name}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, const char *\sphinxstyleemphasis{ fast\_ccache\_name}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name:c.krb5_get_init_creds_opt_set_fast_ccache_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{fast\_ccache\_name}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fast\_ccache\_name} - Credential cache name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fast\_ccache\_name} \sphinxhyphen{} Credential cache name
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Sets the location of a credential cache containing an armor ticket to protect an initial credential exchange using the FAST protocol extension.
 
-In version 1.7, setting an armor ccache requires that FAST be used for the exchange. In version 1.8 or later, setting the armor ccache causes FAST to be used if the KDC supports it; {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags:c.krb5_get_init_creds_opt_set_fast_flags}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_set\_fast\_flags()}}}} must be used to require that FAST be used.
+\sphinxAtStartPar
+In version 1.7, setting an armor ccache requires that FAST be used for the exchange. In version 1.8 or later, setting the armor ccache causes FAST to be used if the KDC supports it; krb5\_get\_init\_creds\_opt\_set\_fast\_flags() must be used to require that FAST be used.
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_fast\_flags -  Set FAST flags in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags:krb5-get-init-creds-opt-set-fast-flags-set-fast-flags-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_fast\_flags (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_fast\_flags \sphinxhyphen{}  Set FAST flags in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags:krb5-get-init-creds-opt-set-fast-flags-set-fast-flags-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_fast\_flags (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_fast\_flags}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags:c.krb5_get_init_creds_opt_set_fast_flags}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_fast\_flags}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_flags:c.krb5_get_init_creds_opt_set_fast_flags}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_fast\_flags}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - FAST flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} FAST flags
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   - Success; Kerberos errors otherwise.
+\sphinxAtStartPar
+0   \sphinxhyphen{} Success; Kerberos errors otherwise.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 The following flag values are valid:
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_FAST_REQUIRED:KRB5_FAST_REQUIRED}]{\sphinxcrossref{\sphinxcode{KRB5\_FAST\_REQUIRED}}}} - Require FAST to be used
+\sphinxAtStartPar
+\#KRB5\_FAST\_REQUIRED \sphinxhyphen{} Require FAST to be used
 
 \end{itemize}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_forwardable -  Set or unset the forwardable flag in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_forwardable:krb5-get-init-creds-opt-set-forwardable-set-or-unset-the-forwardable-flag-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_forwardable::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_forwardable (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_forwardable \sphinxhyphen{}  Set or unset the forwardable flag in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_forwardable:krb5-get-init-creds-opt-set-forwardable-set-or-unset-the-forwardable-flag-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_forwardable::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_forwardable (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_forwardable}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_forwardable:c.krb5_get_init_creds_opt_set_forwardable}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_forwardable}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, int\sphinxstyleemphasis{ forwardable}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_forwardable:c.krb5_get_init_creds_opt_set_forwardable}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_forwardable}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{forwardable}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{forwardable} - Whether credentials should be forwardable
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{forwardable} \sphinxhyphen{} Whether credentials should be forwardable
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_in\_ccache -  Set an input credential cache in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache:krb5-get-init-creds-opt-set-in-ccache-set-an-input-credential-cache-in-initial-credential-options}}\index{krb5\_get\_init\_creds\_opt\_set\_in\_ccache (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_in\_ccache \sphinxhyphen{}  Set an input credential cache in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache:krb5-get-init-creds-opt-set-in-ccache-set-an-input-credential-cache-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_in\_ccache (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_in\_ccache}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache:c.krb5_get_init_creds_opt_set_in_ccache}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_in\_ccache}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_in_ccache:c.krb5_get_init_creds_opt_set_in_ccache}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_in\_ccache}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 
-If an input credential cache is set, then the krb5\_get\_init\_creds family of APIs will read settings from it. Setting an input ccache is desirable when the application wishes to perform authentication in the same way (using the same preauthentication mechanisms, and making the same non-security- sensitive choices) as the previous authentication attempt, which stored information in the passed-in ccache.
+\sphinxAtStartPar
+If an input credential cache is set, then the krb5\_get\_init\_creds family of APIs will read settings from it. Setting an input ccache is desirable when the application wishes to perform authentication in the same way (using the same preauthentication mechanisms, and making the same non\sphinxhyphen{}security\sphinxhyphen{} sensitive choices) as the previous authentication attempt, which stored information in the passed\sphinxhyphen{}in ccache.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_out\_ccache -  Set an output credential cache in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache:krb5-get-init-creds-opt-set-out-ccache-set-an-output-credential-cache-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_out\_ccache (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_out\_ccache \sphinxhyphen{}  Set an output credential cache in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache:krb5-get-init-creds-opt-set-out-ccache-set-an-output-credential-cache-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_out\_ccache (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_out\_ccache}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache:c.krb5_get_init_creds_opt_set_out_ccache}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_out\_ccache}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_out_ccache:c.krb5_get_init_creds_opt_set_out_ccache}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_out\_ccache}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 If an output credential cache is set, then the krb5\_get\_init\_creds family of APIs will write credentials to it. Setting an output ccache is desirable both because it simplifies calling code and because it permits the krb5\_get\_init\_creds APIs to write out configuration information about the realm to the ccache.
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_pa -  Supply options for preauthentication in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pa::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pa:krb5-get-init-creds-opt-set-pa-supply-options-for-preauthentication-in-initial-credential-options}}\index{krb5\_get\_init\_creds\_opt\_set\_pa (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_pa \sphinxhyphen{}  Supply options for preauthentication in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pa:krb5-get-init-creds-opt-set-pa-supply-options-for-preauthentication-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pa::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_pa (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_pa}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pa:c.krb5_get_init_creds_opt_set_pa}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_pa}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, const char *\sphinxstyleemphasis{ attr}, const char *\sphinxstyleemphasis{ value}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pa:c.krb5_get_init_creds_opt_set_pa}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_pa}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{attr}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{value}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{attr} - Preauthentication option name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{attr} \sphinxhyphen{} Preauthentication option name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{value} - Preauthentication option value
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{value} \sphinxhyphen{} Preauthentication option value
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function allows the caller to supply options for preauthentication. The values of \sphinxstyleemphasis{attr} and \sphinxstyleemphasis{value} are supplied to each preauthentication module available within \sphinxstyleemphasis{context} .
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_pac\_request -  Ask the KDC to include or not include a PAC in the ticket.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pac_request:krb5-get-init-creds-opt-set-pac-request-ask-the-kdc-to-include-or-not-include-a-pac-in-the-ticket}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pac_request::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_pac\_request (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_pac\_request \sphinxhyphen{}  Ask the KDC to include or not include a PAC in the ticket.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pac_request:krb5-get-init-creds-opt-set-pac-request-ask-the-kdc-to-include-or-not-include-a-pac-in-the-ticket}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pac_request::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_pac\_request (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_pac\_request}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pac_request:c.krb5_get_init_creds_opt_set_pac_request}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_pac\_request}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}}\sphinxstyleemphasis{ req\_pac}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pac_request:c.krb5_get_init_creds_opt_set_pac_request}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_pac\_request}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{n}{req\_pac}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{req\_pac} - Whether to request a PAC or not
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{req\_pac} \sphinxhyphen{} Whether to request a PAC or not
 
 \end{description}\end{quote}
 
-If this option is set, the AS request will include a PAC-REQUEST pa-data item explicitly asking the KDC to either include or not include a privilege attribute certificate in the ticket authorization data. By default, no request is made; typically the KDC will default to including a PAC if it supports them.
+\sphinxAtStartPar
+If this option is set, the AS request will include a PAC\sphinxhyphen{}REQUEST pa\sphinxhyphen{}data item explicitly asking the KDC to either include or not include a privilege attribute certificate in the ticket authorization data. By default, no request is made; typically the KDC will default to including a PAC if it supports them.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.15
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_preauth\_list -  Set preauthentication types in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list:krb5-get-init-creds-opt-set-preauth-list-set-preauthentication-types-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_preauth\_list (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_preauth\_list \sphinxhyphen{}  Set preauthentication types in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list:krb5-get-init-creds-opt-set-preauth-list-set-preauthentication-types-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_preauth\_list (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_preauth\_list}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list:c.krb5_get_init_creds_opt_set_preauth_list}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_preauth\_list}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{krb5\_preauthtype}}} *\sphinxstyleemphasis{ preauth\_list}, int\sphinxstyleemphasis{ preauth\_list\_length}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_preauth_list:c.krb5_get_init_creds_opt_set_preauth_list}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_preauth\_list}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{\DUrole{n}{krb5\_preauthtype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{preauth\_list}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{preauth\_list\_length}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{preauth\_list} - Array of preauthentication types
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{preauth\_list} \sphinxhyphen{} Array of preauthentication types
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{preauth\_list\_length} - Length of \sphinxstyleemphasis{preauth\_list}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{preauth\_list\_length} \sphinxhyphen{} Length of \sphinxstyleemphasis{preauth\_list}
 
 \end{description}\end{quote}
 
-This function can be used to perform optimistic preauthentication when getting initial credentials, in combination with {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_salt:c.krb5_get_init_creds_opt_set_salt}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_set\_salt()}}}} and {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_pa:c.krb5_get_init_creds_opt_set_pa}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_set\_pa()}}}} .
+\sphinxAtStartPar
+This function can be used to perform optimistic preauthentication when getting initial credentials, in combination with krb5\_get\_init\_creds\_opt\_set\_salt() and krb5\_get\_init\_creds\_opt\_set\_pa().
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_proxiable -  Set or unset the proxiable flag in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_proxiable::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_proxiable:krb5-get-init-creds-opt-set-proxiable-set-or-unset-the-proxiable-flag-in-initial-credential-options}}\index{krb5\_get\_init\_creds\_opt\_set\_proxiable (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_proxiable \sphinxhyphen{}  Set or unset the proxiable flag in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_proxiable:krb5-get-init-creds-opt-set-proxiable-set-or-unset-the-proxiable-flag-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_proxiable::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_proxiable (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_proxiable}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_proxiable:c.krb5_get_init_creds_opt_set_proxiable}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_proxiable}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, int\sphinxstyleemphasis{ proxiable}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_proxiable:c.krb5_get_init_creds_opt_set_proxiable}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_proxiable}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{proxiable}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{proxiable} - Whether credentials should be proxiable
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{proxiable} \sphinxhyphen{} Whether credentials should be proxiable
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_renew\_life -  Set the ticket renewal lifetime in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_renew_life::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_renew_life:krb5-get-init-creds-opt-set-renew-life-set-the-ticket-renewal-lifetime-in-initial-credential-options}}\index{krb5\_get\_init\_creds\_opt\_set\_renew\_life (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_renew\_life \sphinxhyphen{}  Set the ticket renewal lifetime in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_renew_life:krb5-get-init-creds-opt-set-renew-life-set-the-ticket-renewal-lifetime-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_renew_life::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_renew\_life (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_renew\_life}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_renew_life:c.krb5_get_init_creds_opt_set_renew_life}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_renew\_life}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{krb5\_deltat}}}\sphinxstyleemphasis{ renew\_life}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_renew_life:c.krb5_get_init_creds_opt_set_renew_life}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_renew\_life}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{\DUrole{n}{krb5\_deltat}}}}\DUrole{w}{  }\DUrole{n}{renew\_life}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Pointer to \sphinxstyleemphasis{options} field
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Pointer to \sphinxstyleemphasis{options} field
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{renew\_life} - Ticket renewal lifetime
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{renew\_life} \sphinxhyphen{} Ticket renewal lifetime
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_responder -  Set the responder function in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_responder:krb5-get-init-creds-opt-set-responder-set-the-responder-function-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_responder::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_responder (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_responder \sphinxhyphen{}  Set the responder function in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_responder:krb5-get-init-creds-opt-set-responder-set-the-responder-function-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_responder::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_responder (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_responder}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_responder:c.krb5_get_init_creds_opt_set_responder}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_responder}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_fn:c.krb5_responder_fn}]{\sphinxcrossref{krb5\_responder\_fn}}}\sphinxstyleemphasis{ responder}, void *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_responder:c.krb5_get_init_creds_opt_set_responder}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_responder}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_fn:c.krb5_responder_fn}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_fn}}}}\DUrole{w}{  }\DUrole{n}{responder}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{responder} - Responder function
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{responder} \sphinxhyphen{} Responder function
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Responder data argument
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Responder data argument
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_salt -  Set salt for optimistic preauthentication in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_salt:krb5-get-init-creds-opt-set-salt-set-salt-for-optimistic-preauthentication-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_salt::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_salt (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_salt \sphinxhyphen{}  Set salt for optimistic preauthentication in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_salt:krb5-get-init-creds-opt-set-salt-set-salt-for-optimistic-preauthentication-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_salt::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_salt (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_salt}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_salt:c.krb5_get_init_creds_opt_set_salt}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_salt}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ salt}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_salt:c.krb5_get_init_creds_opt_set_salt}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_salt}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{salt}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{salt} - Salt data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{salt} \sphinxhyphen{} Salt data
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 When getting initial credentials with a password, a salt string it used to convert the password to a key. Normally this salt is obtained from the first KDC reply, but when performing optimistic preauthentication, the client may need to supply the salt string with this function.
 
 
-\subsubsection{krb5\_get\_init\_creds\_opt\_set\_tkt\_life -  Set the ticket lifetime in initial credential options.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life:krb5-get-init-creds-opt-set-tkt-life-set-the-ticket-lifetime-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_tkt\_life (C function)}
+\subsubsection{krb5\_get\_init\_creds\_opt\_set\_tkt\_life \sphinxhyphen{}  Set the ticket lifetime in initial credential options.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life:krb5-get-init-creds-opt-set-tkt-life-set-the-ticket-lifetime-in-initial-credential-options}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life::doc}}\index{krb5\_get\_init\_creds\_opt\_set\_tkt\_life (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_set\_tkt\_life}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life:c.krb5_get_init_creds_opt_set_tkt_life}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_set\_tkt\_life}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{krb5\_deltat}}}\sphinxstyleemphasis{ tkt\_life}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_tkt_life:c.krb5_get_init_creds_opt_set_tkt_life}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_set\_tkt\_life}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{\DUrole{n}{krb5\_deltat}}}}\DUrole{w}{  }\DUrole{n}{tkt\_life}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{tkt\_life} - Ticket lifetime
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{tkt\_life} \sphinxhyphen{} Ticket lifetime
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_init\_creds\_password -  Get initial credentials using a password.}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_password::doc}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_password:krb5-get-init-creds-password-get-initial-credentials-using-a-password}}\index{krb5\_get\_init\_creds\_password (C function)}
+\subsubsection{krb5\_get\_init\_creds\_password \sphinxhyphen{}  Get initial credentials using a password.}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_password:krb5-get-init-creds-password-get-initial-credentials-using-a-password}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_password::doc}}\index{krb5\_get\_init\_creds\_password (C function)@\spxentry{krb5\_get\_init\_creds\_password}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_init\_creds\_password}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ client}, const char *\sphinxstyleemphasis{ password}, {\hyperref[\detokenize{appdev/refs/types/krb5_prompter_fct:c.krb5_prompter_fct}]{\sphinxcrossref{krb5\_prompter\_fct}}}\sphinxstyleemphasis{ prompter}, void *\sphinxstyleemphasis{ data}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{krb5\_deltat}}}\sphinxstyleemphasis{ start\_time}, const char *\sphinxstyleemphasis{ in\_tkt\_service}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ k5\_gic\_options}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_password}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{client}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{password}, {\hyperref[\detokenize{appdev/refs/types/krb5_prompter_fct:c.krb5_prompter_fct}]{\sphinxcrossref{\DUrole{n}{krb5\_prompter\_fct}}}}\DUrole{w}{  }\DUrole{n}{prompter}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{\DUrole{n}{krb5\_deltat}}}}\DUrole{w}{  }\DUrole{n}{start\_time}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_tkt\_service}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k5\_gic\_options}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} - New credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} \sphinxhyphen{} New credentials
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} - Client principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} \sphinxhyphen{} Client principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{password} - Password (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{password} \sphinxhyphen{} Password (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompter} - Prompter function
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompter} \sphinxhyphen{} Prompter function
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Prompter callback data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Prompter callback data
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{start\_time} - Time when ticket becomes valid (0 for now)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{start\_time} \sphinxhyphen{} Time when ticket becomes valid (0 for now)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_tkt\_service} - Service name of initial credentials (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_tkt\_service} \sphinxhyphen{} Service name of initial credentials (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k5\_gic\_options} - Initial credential options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k5\_gic\_options} \sphinxhyphen{} Initial credential options
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 EINVAL   Invalid argument
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_KDC\_UNREACH   Cannot contact any KDC for requested realm
 
 \item {} 
-KRB5\_PREAUTH\_FAILED   Generic Pre-athentication failure
+\sphinxAtStartPar
+KRB5\_PREAUTH\_FAILED   Generic Pre\sphinxhyphen{}athentication failure
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_LIBOS\_PWDINTR   Password read interrupted
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_REALM\_CANT\_RESOLVE   Cannot resolve network address for KDC in requested realm
 
 \item {} 
+\sphinxAtStartPar
 KRB5KDC\_ERR\_KEY\_EXP   Password has expired
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_LIBOS\_BADPWDMATCH   Password mismatch
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_CHPW\_PWDNULL   New password cannot be zero length
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_CHPW\_FAIL   Password change failed
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function requests KDC for an initial credentials for \sphinxstyleemphasis{client} using \sphinxstyleemphasis{password} . If \sphinxstyleemphasis{password} is NULL, a password will be prompted for using \sphinxstyleemphasis{prompter} if necessary. If \sphinxstyleemphasis{in\_tkt\_service} is specified, it is parsed as a principal name (with the realm ignored) and used as the service principal for the request; otherwise the ticket-granting service is used.
+\sphinxAtStartPar
+This function requests KDC for an initial credentials for \sphinxstyleemphasis{client} using \sphinxstyleemphasis{password} . If \sphinxstyleemphasis{password} is NULL, a password will be prompted for using \sphinxstyleemphasis{prompter} if necessary. If \sphinxstyleemphasis{in\_tkt\_service} is specified, it is parsed as a principal name (with the realm ignored) and used as the service principal for the request; otherwise the ticket\sphinxhyphen{}granting service is used.
 
 
-\subsubsection{krb5\_get\_profile -  Retrieve configuration profile from the context.}
-\label{\detokenize{appdev/refs/api/krb5_get_profile::doc}}\label{\detokenize{appdev/refs/api/krb5_get_profile:krb5-get-profile-retrieve-configuration-profile-from-the-context}}\index{krb5\_get\_profile (C function)}
+\subsubsection{krb5\_get\_profile \sphinxhyphen{}  Retrieve configuration profile from the context.}
+\label{\detokenize{appdev/refs/api/krb5_get_profile:krb5-get-profile-retrieve-configuration-profile-from-the-context}}\label{\detokenize{appdev/refs/api/krb5_get_profile::doc}}\index{krb5\_get\_profile (C function)@\spxentry{krb5\_get\_profile}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_profile:c.krb5_get_profile}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_profile}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, struct \_profile\_t **\sphinxstyleemphasis{ profile}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_profile:c.krb5_get_profile}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_profile}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{struct}\DUrole{w}{  }\DUrole{n}{\_profile\_t}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{profile}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{profile} - Pointer to data read from a configuration file
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{profile} \sphinxhyphen{} Pointer to data read from a configuration file
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function creates a new \sphinxstyleemphasis{profile} object that reflects profile in the supplied \sphinxstyleemphasis{context} .
 
+\sphinxAtStartPar
 The \sphinxstyleemphasis{profile} object may be freed with profile\_release() function. See profile.h and profile API for more details.
 
 
-\subsubsection{krb5\_get\_prompt\_types -  Get prompt types array from a context.}
-\label{\detokenize{appdev/refs/api/krb5_get_prompt_types::doc}}\label{\detokenize{appdev/refs/api/krb5_get_prompt_types:krb5-get-prompt-types-get-prompt-types-array-from-a-context}}\index{krb5\_get\_prompt\_types (C function)}
+\subsubsection{krb5\_get\_prompt\_types \sphinxhyphen{}  Get prompt types array from a context.}
+\label{\detokenize{appdev/refs/api/krb5_get_prompt_types:krb5-get-prompt-types-get-prompt-types-array-from-a-context}}\label{\detokenize{appdev/refs/api/krb5_get_prompt_types::doc}}\index{krb5\_get\_prompt\_types (C function)@\spxentry{krb5\_get\_prompt\_types}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_prompt_types:c.krb5_get_prompt_types}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_prompt_type:c.krb5_prompt_type}]{\sphinxcrossref{krb5\_prompt\_type}}} * \sphinxbfcode{krb5\_get\_prompt\_types}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_prompt_types:c.krb5_get_prompt_types}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_prompt_type:c.krb5_prompt_type}]{\sphinxcrossref{\DUrole{n}{krb5\_prompt\_type}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_prompt\_types}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
-Pointer to an array of prompt types corresponding to the prompter’s prompts arguments. Each type has one of the following values: KRB5\_PROMPT\_TYPE\_PASSWORD KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN KRB5\_PROMPT\_TYPE\_PREAUTH
+\sphinxAtStartPar
+Pointer to an array of prompt types corresponding to the prompter’s prompts arguments. Each type has one of the following values: \#KRB5\_PROMPT\_TYPE\_PASSWORD \#KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD \#KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN \#KRB5\_PROMPT\_TYPE\_PREAUTH
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_renewed\_creds -  Get renewed credential from KDC using an existing credential.}
-\label{\detokenize{appdev/refs/api/krb5_get_renewed_creds:krb5-get-renewed-creds-get-renewed-credential-from-kdc-using-an-existing-credential}}\label{\detokenize{appdev/refs/api/krb5_get_renewed_creds::doc}}\index{krb5\_get\_renewed\_creds (C function)}
+\subsubsection{krb5\_get\_renewed\_creds \sphinxhyphen{}  Get renewed credential from KDC using an existing credential.}
+\label{\detokenize{appdev/refs/api/krb5_get_renewed_creds:krb5-get-renewed-creds-get-renewed-credential-from-kdc-using-an-existing-credential}}\label{\detokenize{appdev/refs/api/krb5_get_renewed_creds::doc}}\index{krb5\_get\_renewed\_creds (C function)@\spxentry{krb5\_get\_renewed\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_renewed_creds:c.krb5_get_renewed_creds}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_renewed\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ client}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, const char *\sphinxstyleemphasis{ in\_tkt\_service}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_renewed_creds:c.krb5_get_renewed_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_renewed\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{client}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_tkt\_service}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} - Renewed credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Renewed credentials
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} - Client principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} \sphinxhyphen{} Client principal name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_tkt\_service} - Server principal string (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_tkt\_service} \sphinxhyphen{} Server principal string (or NULL)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function gets a renewed credential using an existing one from \sphinxstyleemphasis{ccache} . If \sphinxstyleemphasis{in\_tkt\_service} is specified, it is parsed (with the realm part ignored) and used as the server principal of the credential; otherwise, the ticket-granting service is used.
+\sphinxAtStartPar
+This function gets a renewed credential using an existing one from \sphinxstyleemphasis{ccache} . If \sphinxstyleemphasis{in\_tkt\_service} is specified, it is parsed (with the realm part ignored) and used as the server principal of the credential; otherwise, the ticket\sphinxhyphen{}granting service is used.
 
+\sphinxAtStartPar
 If successful, the renewed credential is placed in \sphinxstyleemphasis{creds} .
 
 
-\subsubsection{krb5\_get\_validated\_creds -  Get validated credentials from the KDC.}
-\label{\detokenize{appdev/refs/api/krb5_get_validated_creds:krb5-get-validated-creds-get-validated-credentials-from-the-kdc}}\label{\detokenize{appdev/refs/api/krb5_get_validated_creds::doc}}\index{krb5\_get\_validated\_creds (C function)}
+\subsubsection{krb5\_get\_validated\_creds \sphinxhyphen{}  Get validated credentials from the KDC.}
+\label{\detokenize{appdev/refs/api/krb5_get_validated_creds:krb5-get-validated-creds-get-validated-credentials-from-the-kdc}}\label{\detokenize{appdev/refs/api/krb5_get_validated_creds::doc}}\index{krb5\_get\_validated\_creds (C function)@\spxentry{krb5\_get\_validated\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_validated_creds:c.krb5_get_validated_creds}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_validated\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ client}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, const char *\sphinxstyleemphasis{ in\_tkt\_service}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_validated_creds:c.krb5_get_validated_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_validated\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{client}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_tkt\_service}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} - Validated credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Validated credentials
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} - Client principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} \sphinxhyphen{} Client principal name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_tkt\_service} - Server principal string (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_tkt\_service} \sphinxhyphen{} Server principal string (or NULL)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_NO\_2ND\_TKT   Request missing second ticket
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_NO\_TKT\_SUPPLIED   Request did not supply a ticket
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_PRINC\_NOMATCH   Requested principal and ticket do not match
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_KDCREP\_MODIFIED   KDC reply did not match expectations
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_KDCREP\_SKEW   Clock skew too great in KDC reply
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function gets a validated credential using a postdated credential from \sphinxstyleemphasis{ccache} . If \sphinxstyleemphasis{in\_tkt\_service} is specified, it is parsed (with the realm part ignored) and used as the server principal of the credential; otherwise, the ticket-granting service is used.
+\sphinxAtStartPar
+This function gets a validated credential using a postdated credential from \sphinxstyleemphasis{ccache} . If \sphinxstyleemphasis{in\_tkt\_service} is specified, it is parsed (with the realm part ignored) and used as the server principal of the credential; otherwise, the ticket\sphinxhyphen{}granting service is used.
 
+\sphinxAtStartPar
 If successful, the validated credential is placed in \sphinxstyleemphasis{creds} .
 
 
-\subsubsection{krb5\_init\_context -  Create a krb5 library context.}
-\label{\detokenize{appdev/refs/api/krb5_init_context:krb5-init-context-create-a-krb5-library-context}}\label{\detokenize{appdev/refs/api/krb5_init_context::doc}}\index{krb5\_init\_context (C function)}
+\subsubsection{krb5\_init\_context \sphinxhyphen{}  Create a krb5 library context.}
+\label{\detokenize{appdev/refs/api/krb5_init_context:krb5-init-context-create-a-krb5-library-context}}\label{\detokenize{appdev/refs/api/krb5_init_context::doc}}\index{krb5\_init\_context (C function)@\spxentry{krb5\_init\_context}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_context:c.krb5_init_context}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_context}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}} *\sphinxstyleemphasis{ context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_context:c.krb5_init_context}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_context}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-The \sphinxstyleemphasis{context} must be released by calling {\hyperref[\detokenize{appdev/refs/api/krb5_free_context:c.krb5_free_context}]{\sphinxcrossref{\sphinxcode{krb5\_free\_context()}}}} when it is no longer needed.
+\sphinxAtStartPar
+The \sphinxstyleemphasis{context} must be released by calling krb5\_free\_context() when it is no longer needed.
 
 \begin{sphinxadmonition}{warning}{Warning:}
-Any program or module that needs the Kerberos code to not trust the environment must use {\hyperref[\detokenize{appdev/refs/api/krb5_init_secure_context:c.krb5_init_secure_context}]{\sphinxcrossref{\sphinxcode{krb5\_init\_secure\_context()}}}} , or clean out the environment.
+\sphinxAtStartPar
+Any program or module that needs the Kerberos code to not trust the environment must use krb5\_init\_secure\_context(), or clean out the environment.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_init\_secure\_context -  Create a krb5 library context using only configuration files.}
-\label{\detokenize{appdev/refs/api/krb5_init_secure_context::doc}}\label{\detokenize{appdev/refs/api/krb5_init_secure_context:krb5-init-secure-context-create-a-krb5-library-context-using-only-configuration-files}}\index{krb5\_init\_secure\_context (C function)}
+\subsubsection{krb5\_init\_secure\_context \sphinxhyphen{}  Create a krb5 library context using only configuration files.}
+\label{\detokenize{appdev/refs/api/krb5_init_secure_context:krb5-init-secure-context-create-a-krb5-library-context-using-only-configuration-files}}\label{\detokenize{appdev/refs/api/krb5_init_secure_context::doc}}\index{krb5\_init\_secure\_context (C function)@\spxentry{krb5\_init\_secure\_context}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_secure_context:c.krb5_init_secure_context}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_secure\_context}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}} *\sphinxstyleemphasis{ context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_secure_context:c.krb5_init_secure_context}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_secure\_context}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Create a context structure, using only system configuration files. All information passed through the environment variables is ignored.
 
-The \sphinxstyleemphasis{context} must be released by calling {\hyperref[\detokenize{appdev/refs/api/krb5_free_context:c.krb5_free_context}]{\sphinxcrossref{\sphinxcode{krb5\_free\_context()}}}} when it is no longer needed.
+\sphinxAtStartPar
+The \sphinxstyleemphasis{context} must be released by calling krb5\_free\_context() when it is no longer needed.
 
 
-\subsubsection{krb5\_is\_config\_principal -  Test whether a principal is a configuration principal.}
-\label{\detokenize{appdev/refs/api/krb5_is_config_principal:krb5-is-config-principal-test-whether-a-principal-is-a-configuration-principal}}\label{\detokenize{appdev/refs/api/krb5_is_config_principal::doc}}\index{krb5\_is\_config\_principal (C function)}
+\subsubsection{krb5\_is\_config\_principal \sphinxhyphen{}  Test whether a principal is a configuration principal.}
+\label{\detokenize{appdev/refs/api/krb5_is_config_principal:krb5-is-config-principal-test-whether-a-principal-is-a-configuration-principal}}\label{\detokenize{appdev/refs/api/krb5_is_config_principal::doc}}\index{krb5\_is\_config\_principal (C function)@\spxentry{krb5\_is\_config\_principal}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_is_config_principal:c.krb5_is_config_principal}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_is\_config\_principal}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_is_config_principal:c.krb5_is_config_principal}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_is\_config\_principal}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Principal to check
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Principal to check
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
-TRUE if the principal is a configuration principal (generated part of krb5\_cc\_set\_config() ); FALSE otherwise.
+\sphinxAtStartPar
+TRUE if the principal is a configuration principal (generated part of krb5\_cc\_set\_config()); FALSE otherwise.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_is\_thread\_safe -  Test whether the Kerberos library was built with multithread support.}
-\label{\detokenize{appdev/refs/api/krb5_is_thread_safe::doc}}\label{\detokenize{appdev/refs/api/krb5_is_thread_safe:krb5-is-thread-safe-test-whether-the-kerberos-library-was-built-with-multithread-support}}\index{krb5\_is\_thread\_safe (C function)}
+\subsubsection{krb5\_is\_thread\_safe \sphinxhyphen{}  Test whether the Kerberos library was built with multithread support.}
+\label{\detokenize{appdev/refs/api/krb5_is_thread_safe:krb5-is-thread-safe-test-whether-the-kerberos-library-was-built-with-multithread-support}}\label{\detokenize{appdev/refs/api/krb5_is_thread_safe::doc}}\index{krb5\_is\_thread\_safe (C function)@\spxentry{krb5\_is\_thread\_safe}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_is_thread_safe:c.krb5_is_thread_safe}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_is\_thread\_safe}}{void\sphinxstyleemphasis{ None}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_is_thread_safe:c.krb5_is_thread_safe}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_is\_thread\_safe}}}}{\DUrole{kt}{void}\DUrole{w}{  }\DUrole{n}{None}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{None}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE   if the library is threadsafe; FALSE otherwise
 
 \end{itemize}
@@ -3068,23 +3723,29 @@ TRUE   if the library is threadsafe; FAL
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_kt\_close -  Close a key table handle.}
-\label{\detokenize{appdev/refs/api/krb5_kt_close:krb5-kt-close-close-a-key-table-handle}}\label{\detokenize{appdev/refs/api/krb5_kt_close::doc}}\index{krb5\_kt\_close (C function)}
+\subsubsection{krb5\_kt\_close \sphinxhyphen{}  Close a key table handle.}
+\label{\detokenize{appdev/refs/api/krb5_kt_close:krb5-kt-close-close-a-key-table-handle}}\label{\detokenize{appdev/refs/api/krb5_kt_close::doc}}\index{krb5\_kt\_close (C function)@\spxentry{krb5\_kt\_close}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_close:c.krb5_kt_close}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_close}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_close:c.krb5_kt_close}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_close}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   None
 
 \end{itemize}
@@ -3092,191 +3753,243 @@ TRUE   if the library is threadsafe; FAL
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_kt\_client\_default -  Resolve the default client key table.}
-\label{\detokenize{appdev/refs/api/krb5_kt_client_default::doc}}\label{\detokenize{appdev/refs/api/krb5_kt_client_default:krb5-kt-client-default-resolve-the-default-client-key-table}}\index{krb5\_kt\_client\_default (C function)}
+\subsubsection{krb5\_kt\_client\_default \sphinxhyphen{}  Resolve the default client key table.}
+\label{\detokenize{appdev/refs/api/krb5_kt_client_default:krb5-kt-client-default-resolve-the-default-client-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_client_default::doc}}\index{krb5\_kt\_client\_default (C function)@\spxentry{krb5\_kt\_client\_default}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_client_default:c.krb5_kt_client_default}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_client\_default}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}} *\sphinxstyleemphasis{ keytab\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_client_default:c.krb5_kt_client_default}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_client\_default}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keytab\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keytab\_out} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keytab\_out} \sphinxhyphen{} Key table handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Fill \sphinxstyleemphasis{keytab\_out} with a handle to the default client key table.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_kt\_default -  Resolve the default key table.}
-\label{\detokenize{appdev/refs/api/krb5_kt_default:krb5-kt-default-resolve-the-default-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_default::doc}}\index{krb5\_kt\_default (C function)}
+\subsubsection{krb5\_kt\_default \sphinxhyphen{}  Resolve the default key table.}
+\label{\detokenize{appdev/refs/api/krb5_kt_default:krb5-kt-default-resolve-the-default-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_default::doc}}\index{krb5\_kt\_default (C function)@\spxentry{krb5\_kt\_default}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_default:c.krb5_kt_default}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_default}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}} *\sphinxstyleemphasis{ id}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_default:c.krb5_kt_default}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_default}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{id}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{id} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{id} \sphinxhyphen{} Key table handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Set \sphinxstyleemphasis{id} to a handle to the default key table. The key table is not opened.
 
 
-\subsubsection{krb5\_kt\_default\_name -  Get the default key table name.}
-\label{\detokenize{appdev/refs/api/krb5_kt_default_name::doc}}\label{\detokenize{appdev/refs/api/krb5_kt_default_name:krb5-kt-default-name-get-the-default-key-table-name}}\index{krb5\_kt\_default\_name (C function)}
+\subsubsection{krb5\_kt\_default\_name \sphinxhyphen{}  Get the default key table name.}
+\label{\detokenize{appdev/refs/api/krb5_kt_default_name:krb5-kt-default-name-get-the-default-key-table-name}}\label{\detokenize{appdev/refs/api/krb5_kt_default_name::doc}}\index{krb5\_kt\_default\_name (C function)@\spxentry{krb5\_kt\_default\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_default_name:c.krb5_kt_default_name}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_default\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, char *\sphinxstyleemphasis{ name}, int\sphinxstyleemphasis{ name\_size}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_default_name:c.krb5_kt_default_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_default\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{name\_size}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} - Default key table name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} \sphinxhyphen{} Default key table name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name\_size} - Space available in \sphinxstyleemphasis{name}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name\_size} \sphinxhyphen{} Space available in \sphinxstyleemphasis{name}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_CONFIG\_NOTENUFSPACE   Buffer is too short
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Fill \sphinxstyleemphasis{name} with the name of the default key table for \sphinxstyleemphasis{context} .
 
 
-\subsubsection{krb5\_kt\_dup -  Duplicate keytab handle.}
-\label{\detokenize{appdev/refs/api/krb5_kt_dup:krb5-kt-dup-duplicate-keytab-handle}}\label{\detokenize{appdev/refs/api/krb5_kt_dup::doc}}\index{krb5\_kt\_dup (C function)}
+\subsubsection{krb5\_kt\_dup \sphinxhyphen{}  Duplicate keytab handle.}
+\label{\detokenize{appdev/refs/api/krb5_kt_dup:krb5-kt-dup-duplicate-keytab-handle}}\label{\detokenize{appdev/refs/api/krb5_kt_dup::doc}}\index{krb5\_kt\_dup (C function)@\spxentry{krb5\_kt\_dup}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_dup:c.krb5_kt_dup}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_dup}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ in}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}} *\sphinxstyleemphasis{ out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_dup:c.krb5_kt_dup}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_dup}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{in}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in} - Key table handle to be duplicated
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in} \sphinxhyphen{} Key table handle to be duplicated
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} \sphinxhyphen{} Key table handle
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Create a new handle referring to the same key table as \sphinxstyleemphasis{in} . The new handle and \sphinxstyleemphasis{in} can be closed independently.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.12
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_kt\_get\_name -  Get a key table name.}
-\label{\detokenize{appdev/refs/api/krb5_kt_get_name::doc}}\label{\detokenize{appdev/refs/api/krb5_kt_get_name:krb5-kt-get-name-get-a-key-table-name}}\index{krb5\_kt\_get\_name (C function)}
+\subsubsection{krb5\_kt\_get\_name \sphinxhyphen{}  Get a key table name.}
+\label{\detokenize{appdev/refs/api/krb5_kt_get_name:krb5-kt-get-name-get-a-key-table-name}}\label{\detokenize{appdev/refs/api/krb5_kt_get_name::doc}}\index{krb5\_kt\_get\_name (C function)@\spxentry{krb5\_kt\_get\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_get_name:c.krb5_kt_get_name}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_get\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}, char *\sphinxstyleemphasis{ name}, unsigned int\sphinxstyleemphasis{ namelen}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_get_name:c.krb5_kt_get_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_get\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{namelen}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} - Key table name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} \sphinxhyphen{} Key table name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{namelen} - Maximum length to fill in name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{namelen} \sphinxhyphen{} Maximum length to fill in name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_KT\_NAME\_TOOLONG   Key table name does not fit in namelen bytes
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Fill \sphinxstyleemphasis{name} with the name of \sphinxstyleemphasis{keytab} including the type and delimiter.
 
 
-\subsubsection{krb5\_kt\_get\_type -  Return the type of a key table.}
-\label{\detokenize{appdev/refs/api/krb5_kt_get_type:krb5-kt-get-type-return-the-type-of-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_get_type::doc}}\index{krb5\_kt\_get\_type (C function)}
+\subsubsection{krb5\_kt\_get\_type \sphinxhyphen{}  Return the type of a key table.}
+\label{\detokenize{appdev/refs/api/krb5_kt_get_type:krb5-kt-get-type-return-the-type-of-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_get_type::doc}}\index{krb5\_kt\_get\_type (C function)@\spxentry{krb5\_kt\_get\_type}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_get_type:c.krb5_kt_get_type}}\pysiglinewithargsret{const char * \sphinxbfcode{krb5\_kt\_get\_type}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_get_type:c.krb5_kt_get_type}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_get\_type}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 The type of a key table as an alias that must not be modified or freed by the caller.
 
 \end{itemize}
@@ -3284,197 +3997,254 @@ The type of a key table as an alias that
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_kt\_resolve -  Get a handle for a key table.}
-\label{\detokenize{appdev/refs/api/krb5_kt_resolve:krb5-kt-resolve-get-a-handle-for-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_resolve::doc}}\index{krb5\_kt\_resolve (C function)}
+\subsubsection{krb5\_kt\_resolve \sphinxhyphen{}  Get a handle for a key table.}
+\label{\detokenize{appdev/refs/api/krb5_kt_resolve:krb5-kt-resolve-get-a-handle-for-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_resolve::doc}}\index{krb5\_kt\_resolve (C function)@\spxentry{krb5\_kt\_resolve}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_resolve:c.krb5_kt_resolve}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_resolve}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ name}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}} *\sphinxstyleemphasis{ ktid}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_resolve:c.krb5_kt_resolve}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_resolve}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ktid}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} - Name of the key table
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} \sphinxhyphen{} Name of the key table
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ktid} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ktid} \sphinxhyphen{} Key table handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Resolve the key table name \sphinxstyleemphasis{name} and set \sphinxstyleemphasis{ktid} to a handle identifying the key table. Use {\hyperref[\detokenize{appdev/refs/api/krb5_kt_close:c.krb5_kt_close}]{\sphinxcrossref{\sphinxcode{krb5\_kt\_close()}}}} to free \sphinxstyleemphasis{ktid} when it is no longer needed.
+\sphinxAtStartPar
+Resolve the key table name \sphinxstyleemphasis{name} and set \sphinxstyleemphasis{ktid} to a handle identifying the key table. Use krb5\_kt\_close() to free \sphinxstyleemphasis{ktid} when it is no longer needed.
 \begin{quote}
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{name} must be of the form \sphinxstylestrong{type:residual} , where \sphinxstyleemphasis{type} must be a type known to the library and \sphinxstyleemphasis{residual} portion should be specific to the particular keytab type. If no \sphinxstyleemphasis{type} is given, the default is \sphinxstylestrong{FILE} .
 \end{quote}
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{name} is of type \sphinxstylestrong{FILE} , the keytab file is not opened by this call.
 
 
-\subsubsection{krb5\_kuserok -  Determine if a principal is authorized to log in as a local user.}
-\label{\detokenize{appdev/refs/api/krb5_kuserok:krb5-kuserok-determine-if-a-principal-is-authorized-to-log-in-as-a-local-user}}\label{\detokenize{appdev/refs/api/krb5_kuserok::doc}}\index{krb5\_kuserok (C function)}
+\subsubsection{krb5\_kuserok \sphinxhyphen{}  Determine if a principal is authorized to log in as a local user.}
+\label{\detokenize{appdev/refs/api/krb5_kuserok:krb5-kuserok-determine-if-a-principal-is-authorized-to-log-in-as-a-local-user}}\label{\detokenize{appdev/refs/api/krb5_kuserok::doc}}\index{krb5\_kuserok (C function)@\spxentry{krb5\_kuserok}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kuserok:c.krb5_kuserok}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_kuserok}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ principal}, const char *\sphinxstyleemphasis{ luser}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kuserok:c.krb5_kuserok}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kuserok}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{luser}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Principal name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{luser} - Local username
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{luser} \sphinxhyphen{} Local username
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE   Principal is authorized to log in as user; FALSE otherwise.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Determine whether \sphinxstyleemphasis{principal} is authorized to log in as a local user \sphinxstyleemphasis{luser} .
 
 
-\subsubsection{krb5\_parse\_name -  Convert a string principal name to a krb5\_principal structure.}
-\label{\detokenize{appdev/refs/api/krb5_parse_name::doc}}\label{\detokenize{appdev/refs/api/krb5_parse_name:krb5-parse-name-convert-a-string-principal-name-to-a-krb5-principal-structure}}\index{krb5\_parse\_name (C function)}
+\subsubsection{krb5\_parse\_name \sphinxhyphen{}  Convert a string principal name to a krb5\_principal structure.}
+\label{\detokenize{appdev/refs/api/krb5_parse_name:krb5-parse-name-convert-a-string-principal-name-to-a-krb5-principal-structure}}\label{\detokenize{appdev/refs/api/krb5_parse_name::doc}}\index{krb5\_parse\_name (C function)@\spxentry{krb5\_parse\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_parse_name:c.krb5_parse_name}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_parse\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ name}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ principal\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_parse_name:c.krb5_parse_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_parse\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{principal\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} - String representation of a principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} \sphinxhyphen{} String representation of a principal name
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{principal\_out} - New principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{principal\_out} \sphinxhyphen{} New principal
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Convert a string representation of a principal name to a krb5\_principal structure.
 
+\sphinxAtStartPar
 A string representation of a Kerberos name consists of one or more principal name components, separated by slashes, optionally followed by the @ character and a realm name. If the realm name is not specified, the local realm is used.
 
+\sphinxAtStartPar
 To use the slash and @ symbols as part of a component (quoted) instead of using them as a component separator or as a realm prefix), put a backslash () character in front of the symbol. Similarly, newline, tab, backspace, and NULL characters can be included in a component by using \sphinxstylestrong{n} , \sphinxstylestrong{t} , \sphinxstylestrong{b} or \sphinxstylestrong{0} , respectively.
 
+\sphinxAtStartPar
 Beginning with release 1.20, the name type of the principal will be inferred as \sphinxstylestrong{KRB5\_NT\_SRV\_INST} or \sphinxstylestrong{KRB5\_NT\_WELLKNOWN} based on the principal name. The type will be \sphinxstylestrong{KRB5\_NT\_PRINCIPAL} if a type cannot be inferred.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}} to free \sphinxstyleemphasis{principal\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_principal() to free \sphinxstyleemphasis{principal\_out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The realm in a Kerberos \sphinxstyleemphasis{name} cannot contain slash, colon, or NULL characters.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_parse\_name\_flags -  Convert a string principal name to a krb5\_principal with flags.}
-\label{\detokenize{appdev/refs/api/krb5_parse_name_flags:krb5-parse-name-flags-convert-a-string-principal-name-to-a-krb5-principal-with-flags}}\label{\detokenize{appdev/refs/api/krb5_parse_name_flags::doc}}\index{krb5\_parse\_name\_flags (C function)}
+\subsubsection{krb5\_parse\_name\_flags \sphinxhyphen{}  Convert a string principal name to a krb5\_principal with flags.}
+\label{\detokenize{appdev/refs/api/krb5_parse_name_flags:krb5-parse-name-flags-convert-a-string-principal-name-to-a-krb5-principal-with-flags}}\label{\detokenize{appdev/refs/api/krb5_parse_name_flags::doc}}\index{krb5\_parse\_name\_flags (C function)@\spxentry{krb5\_parse\_name\_flags}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_parse_name_flags:c.krb5_parse_name_flags}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_parse\_name\_flags}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ name}, int\sphinxstyleemphasis{ flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ principal\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_parse_name_flags:c.krb5_parse_name_flags}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_parse\_name\_flags}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{principal\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} - String representation of a principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} \sphinxhyphen{} String representation of a principal name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Flag
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flag
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{principal\_out} - New principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{principal\_out} \sphinxhyphen{} New principal
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Similar to {\hyperref[\detokenize{appdev/refs/api/krb5_parse_name:c.krb5_parse_name}]{\sphinxcrossref{\sphinxcode{krb5\_parse\_name()}}}} , this function converts a single-string representation of a principal name to a krb5\_principal structure.
+\sphinxAtStartPar
+Similar to krb5\_parse\_name(), this function converts a single\sphinxhyphen{}string representation of a principal name to a krb5\_principal structure.
 
+\sphinxAtStartPar
 The following flags are valid:
 \begin{quote}
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM:KRB5_PRINCIPAL_PARSE_NO_REALM}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM}}}} - no realm must be present in \sphinxstyleemphasis{name}
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_PARSE\_NO\_REALM \sphinxhyphen{} no realm must be present in \sphinxstyleemphasis{name}
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM:KRB5_PRINCIPAL_PARSE_REQUIRE_REALM}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM}}}} - realm must be present in \sphinxstyleemphasis{name}
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM \sphinxhyphen{} realm must be present in \sphinxstyleemphasis{name}
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE:KRB5_PRINCIPAL_PARSE_ENTERPRISE}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE}}}} - create single-component enterprise principal
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE \sphinxhyphen{} create single\sphinxhyphen{}component enterprise principal
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM:KRB5_PRINCIPAL_PARSE_IGNORE_REALM}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM}}}} - ignore realm if present in \sphinxstyleemphasis{name}
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM \sphinxhyphen{} ignore realm if present in \sphinxstyleemphasis{name}
 
 \end{itemize}
 
+\sphinxAtStartPar
 If \sphinxstylestrong{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM} or \sphinxstylestrong{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM} is specified in \sphinxstyleemphasis{flags} , the realm of the new principal will be empty. Otherwise, the default realm for \sphinxstyleemphasis{context} will be used if \sphinxstyleemphasis{name} does not specify a realm.
 \end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}} to free \sphinxstyleemphasis{principal\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_principal() to free \sphinxstyleemphasis{principal\_out} when it is no longer needed.
 
 
-\subsubsection{krb5\_principal\_compare -  Compare two principals.}
-\label{\detokenize{appdev/refs/api/krb5_principal_compare:krb5-principal-compare-compare-two-principals}}\label{\detokenize{appdev/refs/api/krb5_principal_compare::doc}}\index{krb5\_principal\_compare (C function)}
+\subsubsection{krb5\_principal\_compare \sphinxhyphen{}  Compare two principals.}
+\label{\detokenize{appdev/refs/api/krb5_principal_compare:krb5-principal-compare-compare-two-principals}}\label{\detokenize{appdev/refs/api/krb5_principal_compare::doc}}\index{krb5\_principal\_compare (C function)@\spxentry{krb5\_principal\_compare}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_principal_compare:c.krb5_principal_compare}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_principal\_compare}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ1}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ2}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_principal_compare:c.krb5_principal_compare}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_principal\_compare}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ1}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ2}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ1} - First principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ1} \sphinxhyphen{} First principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ2} - Second principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ2} \sphinxhyphen{} Second principal
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE   if the principals are the same; FALSE otherwise
 
 \end{itemize}
@@ -3482,147 +4252,190 @@ TRUE   if the principals are the same; F
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_principal\_compare\_any\_realm -  Compare two principals ignoring realm components.}
-\label{\detokenize{appdev/refs/api/krb5_principal_compare_any_realm:krb5-principal-compare-any-realm-compare-two-principals-ignoring-realm-components}}\label{\detokenize{appdev/refs/api/krb5_principal_compare_any_realm::doc}}\index{krb5\_principal\_compare\_any\_realm (C function)}
+\subsubsection{krb5\_principal\_compare\_any\_realm \sphinxhyphen{}  Compare two principals ignoring realm components.}
+\label{\detokenize{appdev/refs/api/krb5_principal_compare_any_realm:krb5-principal-compare-any-realm-compare-two-principals-ignoring-realm-components}}\label{\detokenize{appdev/refs/api/krb5_principal_compare_any_realm::doc}}\index{krb5\_principal\_compare\_any\_realm (C function)@\spxentry{krb5\_principal\_compare\_any\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_principal_compare_any_realm:c.krb5_principal_compare_any_realm}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_principal\_compare\_any\_realm}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ1}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ2}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_principal_compare_any_realm:c.krb5_principal_compare_any_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_principal\_compare\_any\_realm}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ1}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ2}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ1} - First principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ1} \sphinxhyphen{} First principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ2} - Second principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ2} \sphinxhyphen{} Second principal
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE   if the principals are the same; FALSE otherwise
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Similar to {\hyperref[\detokenize{appdev/refs/api/krb5_principal_compare:c.krb5_principal_compare}]{\sphinxcrossref{\sphinxcode{krb5\_principal\_compare()}}}} , but do not compare the realm components of the principals.
+\sphinxAtStartPar
+Similar to krb5\_principal\_compare(), but do not compare the realm components of the principals.
 
 
-\subsubsection{krb5\_principal\_compare\_flags -  Compare two principals with additional flags.}
-\label{\detokenize{appdev/refs/api/krb5_principal_compare_flags:krb5-principal-compare-flags-compare-two-principals-with-additional-flags}}\label{\detokenize{appdev/refs/api/krb5_principal_compare_flags::doc}}\index{krb5\_principal\_compare\_flags (C function)}
+\subsubsection{krb5\_principal\_compare\_flags \sphinxhyphen{}  Compare two principals with additional flags.}
+\label{\detokenize{appdev/refs/api/krb5_principal_compare_flags:krb5-principal-compare-flags-compare-two-principals-with-additional-flags}}\label{\detokenize{appdev/refs/api/krb5_principal_compare_flags::doc}}\index{krb5\_principal\_compare\_flags (C function)@\spxentry{krb5\_principal\_compare\_flags}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_principal_compare_flags:c.krb5_principal_compare_flags}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_principal\_compare\_flags}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ1}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ2}, int\sphinxstyleemphasis{ flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_principal_compare_flags:c.krb5_principal_compare_flags}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_principal\_compare\_flags}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ1}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ2}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ1} - First principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ1} \sphinxhyphen{} First principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ2} - Second principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ2} \sphinxhyphen{} Second principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flags
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE   if the principal names are the same; FALSE otherwise
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Valid flags are:
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM:KRB5_PRINCIPAL_COMPARE_IGNORE_REALM}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM}}}} - ignore realm component
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM \sphinxhyphen{} ignore realm component
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE:KRB5_PRINCIPAL_COMPARE_ENTERPRISE}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE}}}} - UPNs as real principals
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE \sphinxhyphen{} UPNs as real principals
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD:KRB5_PRINCIPAL_COMPARE_CASEFOLD}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD}}}} case-insensitive
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD case\sphinxhyphen{}insensitive
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8:KRB5_PRINCIPAL_COMPARE_UTF8}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_COMPARE\_UTF8}}}} - treat principals as UTF-8
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_COMPARE\_UTF8 \sphinxhyphen{} treat principals as UTF\sphinxhyphen{}8
 
 \end{itemize}
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_principal_compare:c.krb5_principal_compare}]{\sphinxcrossref{\sphinxcode{krb5\_principal\_compare()}}}}
+\sphinxAtStartPar
+krb5\_principal\_compare()
 
 
 
 
-\subsubsection{krb5\_prompter\_posix -  Prompt user for password.}
-\label{\detokenize{appdev/refs/api/krb5_prompter_posix:krb5-prompter-posix-prompt-user-for-password}}\label{\detokenize{appdev/refs/api/krb5_prompter_posix::doc}}\index{krb5\_prompter\_posix (C function)}
+\subsubsection{krb5\_prompter\_posix \sphinxhyphen{}  Prompt user for password.}
+\label{\detokenize{appdev/refs/api/krb5_prompter_posix:krb5-prompter-posix-prompt-user-for-password}}\label{\detokenize{appdev/refs/api/krb5_prompter_posix::doc}}\index{krb5\_prompter\_posix (C function)@\spxentry{krb5\_prompter\_posix}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_prompter_posix:c.krb5_prompter_posix}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_prompter\_posix}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, void *\sphinxstyleemphasis{ data}, const char *\sphinxstyleemphasis{ name}, const char *\sphinxstyleemphasis{ banner}, int\sphinxstyleemphasis{ num\_prompts}, {\hyperref[\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt}]{\sphinxcrossref{krb5\_prompt}}}\sphinxstyleemphasis{ prompts}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_prompter_posix:c.krb5_prompter_posix}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_prompter\_posix}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{banner}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{num\_prompts}, {\hyperref[\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt}]{\sphinxcrossref{\DUrole{n}{krb5\_prompt}}}}\DUrole{w}{  }\DUrole{n}{prompts}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{data} - Unused (callback argument)
+\sphinxAtStartPar
+\sphinxstylestrong{data} \sphinxhyphen{} Unused (callback argument)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} - Name to output during prompt
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} \sphinxhyphen{} Name to output during prompt
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{banner} - Banner to output during prompt
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{banner} \sphinxhyphen{} Banner to output during prompt
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_prompts} - Number of prompts in \sphinxstyleemphasis{prompts}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_prompts} \sphinxhyphen{} Number of prompts in \sphinxstyleemphasis{prompts}
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompts} - Array of prompts and replies
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompts} \sphinxhyphen{} Array of prompts and replies
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function is intended to be used as a prompter callback for {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_password:c.krb5_get_init_creds_password}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_password()}}}} or {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_init:c.krb5_init_creds_init}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_init()}}}} .
+\sphinxAtStartPar
+This function is intended to be used as a prompter callback for krb5\_get\_init\_creds\_password() or krb5\_init\_creds\_init().
 
+\sphinxAtStartPar
 Writes \sphinxstyleemphasis{name} and \sphinxstyleemphasis{banner} to stdout, each followed by a newline, then writes each prompt field in the \sphinxstyleemphasis{prompts} array, followed by”:”, and sets the reply field of the entry to a line of input read from stdin. If the hidden flag is set for a prompt, then terminal echoing is turned off when input is read.
 
 
-\subsubsection{krb5\_realm\_compare -  Compare the realms of two principals.}
-\label{\detokenize{appdev/refs/api/krb5_realm_compare::doc}}\label{\detokenize{appdev/refs/api/krb5_realm_compare:krb5-realm-compare-compare-the-realms-of-two-principals}}\index{krb5\_realm\_compare (C function)}
+\subsubsection{krb5\_realm\_compare \sphinxhyphen{}  Compare the realms of two principals.}
+\label{\detokenize{appdev/refs/api/krb5_realm_compare:krb5-realm-compare-compare-the-realms-of-two-principals}}\label{\detokenize{appdev/refs/api/krb5_realm_compare::doc}}\index{krb5\_realm\_compare (C function)@\spxentry{krb5\_realm\_compare}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_realm_compare:c.krb5_realm_compare}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_realm\_compare}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ1}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ2}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_realm_compare:c.krb5_realm_compare}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_realm\_compare}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ1}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ2}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ1} - First principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ1} \sphinxhyphen{} First principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ2} - Second principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ2} \sphinxhyphen{} Second principal
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE   if the realm names are the same; FALSE otherwise
 
 \end{itemize}
@@ -3630,704 +4443,914 @@ TRUE   if the realm names are the same;
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_responder\_get\_challenge -  Retrieve the challenge data for a given question in the responder context.}
-\label{\detokenize{appdev/refs/api/krb5_responder_get_challenge:krb5-responder-get-challenge-retrieve-the-challenge-data-for-a-given-question-in-the-responder-context}}\label{\detokenize{appdev/refs/api/krb5_responder_get_challenge::doc}}\index{krb5\_responder\_get\_challenge (C function)}
+\subsubsection{krb5\_responder\_get\_challenge \sphinxhyphen{}  Retrieve the challenge data for a given question in the responder context.}
+\label{\detokenize{appdev/refs/api/krb5_responder_get_challenge:krb5-responder-get-challenge-retrieve-the-challenge-data-for-a-given-question-in-the-responder-context}}\label{\detokenize{appdev/refs/api/krb5_responder_get_challenge::doc}}\index{krb5\_responder\_get\_challenge (C function)@\spxentry{krb5\_responder\_get\_challenge}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_get_challenge:c.krb5_responder_get_challenge}}\pysiglinewithargsret{const char * \sphinxbfcode{krb5\_responder\_get\_challenge}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{krb5\_responder\_context}}}\sphinxstyleemphasis{ rctx}, const char *\sphinxstyleemphasis{ question}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_get_challenge:c.krb5_responder_get_challenge}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_get\_challenge}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_context}}}}\DUrole{w}{  }\DUrole{n}{rctx}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{question}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} - Responder context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} \sphinxhyphen{} Responder context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{question} - Question name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{question} \sphinxhyphen{} Question name
 
 \end{description}\end{quote}
 
-Return a pointer to a C string containing the challenge for \sphinxstyleemphasis{question} within \sphinxstyleemphasis{rctx} , or NULL if the question is not present in \sphinxstyleemphasis{rctx} . The structure of the question depends on the question name, but will always be printable UTF-8 text. The returned pointer is an alias, valid only as long as the lifetime of \sphinxstyleemphasis{rctx} , and should not be modified or freed by the caller.
+\sphinxAtStartPar
+Return a pointer to a C string containing the challenge for \sphinxstyleemphasis{question} within \sphinxstyleemphasis{rctx} , or NULL if the question is not present in \sphinxstyleemphasis{rctx} . The structure of the question depends on the question name, but will always be printable UTF\sphinxhyphen{}8 text. The returned pointer is an alias, valid only as long as the lifetime of \sphinxstyleemphasis{rctx} , and should not be modified or freed by the caller.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_responder\_list\_questions -  List the question names contained in the responder context.}
-\label{\detokenize{appdev/refs/api/krb5_responder_list_questions::doc}}\label{\detokenize{appdev/refs/api/krb5_responder_list_questions:krb5-responder-list-questions-list-the-question-names-contained-in-the-responder-context}}\index{krb5\_responder\_list\_questions (C function)}
+\subsubsection{krb5\_responder\_list\_questions \sphinxhyphen{}  List the question names contained in the responder context.}
+\label{\detokenize{appdev/refs/api/krb5_responder_list_questions:krb5-responder-list-questions-list-the-question-names-contained-in-the-responder-context}}\label{\detokenize{appdev/refs/api/krb5_responder_list_questions::doc}}\index{krb5\_responder\_list\_questions (C function)@\spxentry{krb5\_responder\_list\_questions}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_list_questions:c.krb5_responder_list_questions}}\pysiglinewithargsret{const char *const * \sphinxbfcode{krb5\_responder\_list\_questions}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{krb5\_responder\_context}}}\sphinxstyleemphasis{ rctx}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_list_questions:c.krb5_responder_list_questions}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_list\_questions}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_context}}}}\DUrole{w}{  }\DUrole{n}{rctx}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} - Responder context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} \sphinxhyphen{} Responder context
 
 \end{description}\end{quote}
 
-Return a pointer to a null-terminated list of question names which are present in \sphinxstyleemphasis{rctx} . The pointer is an alias, valid only as long as the lifetime of \sphinxstyleemphasis{rctx} , and should not be modified or freed by the caller. A question’s challenge can be retrieved using {\hyperref[\detokenize{appdev/refs/api/krb5_responder_get_challenge:c.krb5_responder_get_challenge}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_get\_challenge()}}}} and answered using {\hyperref[\detokenize{appdev/refs/api/krb5_responder_set_answer:c.krb5_responder_set_answer}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_set\_answer()}}}} .
+\sphinxAtStartPar
+Return a pointer to a null\sphinxhyphen{}terminated list of question names which are present in \sphinxstyleemphasis{rctx} . The pointer is an alias, valid only as long as the lifetime of \sphinxstyleemphasis{rctx} , and should not be modified or freed by the caller. A question’s challenge can be retrieved using krb5\_responder\_get\_challenge() and answered using krb5\_responder\_set\_answer().
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_responder\_set\_answer -  Answer a named question in the responder context.}
-\label{\detokenize{appdev/refs/api/krb5_responder_set_answer:krb5-responder-set-answer-answer-a-named-question-in-the-responder-context}}\label{\detokenize{appdev/refs/api/krb5_responder_set_answer::doc}}\index{krb5\_responder\_set\_answer (C function)}
+\subsubsection{krb5\_responder\_set\_answer \sphinxhyphen{}  Answer a named question in the responder context.}
+\label{\detokenize{appdev/refs/api/krb5_responder_set_answer:krb5-responder-set-answer-answer-a-named-question-in-the-responder-context}}\label{\detokenize{appdev/refs/api/krb5_responder_set_answer::doc}}\index{krb5\_responder\_set\_answer (C function)@\spxentry{krb5\_responder\_set\_answer}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_set_answer:c.krb5_responder_set_answer}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_responder\_set\_answer}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{krb5\_responder\_context}}}\sphinxstyleemphasis{ rctx}, const char *\sphinxstyleemphasis{ question}, const char *\sphinxstyleemphasis{ answer}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_set_answer:c.krb5_responder_set_answer}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_set\_answer}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_context}}}}\DUrole{w}{  }\DUrole{n}{rctx}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{question}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{answer}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} - Responder context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} \sphinxhyphen{} Responder context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{question} - Question name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{question} \sphinxhyphen{} Question name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{answer} - The string to set (MUST be printable UTF-8)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{answer} \sphinxhyphen{} The string to set (MUST be printable UTF\sphinxhyphen{}8)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 EINVAL    question is not present within rctx
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function supplies an answer to \sphinxstyleemphasis{question} within \sphinxstyleemphasis{rctx} . The appropriate form of the answer depends on the question name.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_responder\_otp\_get\_challenge -  Decode the KRB5\_RESPONDER\_QUESTION\_OTP to a C struct.}
-\label{\detokenize{appdev/refs/api/krb5_responder_otp_get_challenge:krb5-responder-otp-get-challenge-decode-the-krb5-responder-question-otp-to-a-c-struct}}\label{\detokenize{appdev/refs/api/krb5_responder_otp_get_challenge::doc}}\index{krb5\_responder\_otp\_get\_challenge (C function)}
+\subsubsection{krb5\_responder\_otp\_get\_challenge \sphinxhyphen{}  Decode the KRB5\_RESPONDER\_QUESTION\_OTP to a C struct.}
+\label{\detokenize{appdev/refs/api/krb5_responder_otp_get_challenge:krb5-responder-otp-get-challenge-decode-the-krb5-responder-question-otp-to-a-c-struct}}\label{\detokenize{appdev/refs/api/krb5_responder_otp_get_challenge::doc}}\index{krb5\_responder\_otp\_get\_challenge (C function)@\spxentry{krb5\_responder\_otp\_get\_challenge}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_otp_get_challenge:c.krb5_responder_otp_get_challenge}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_responder\_otp\_get\_challenge}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{krb5\_responder\_context}}}\sphinxstyleemphasis{ rctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge}]{\sphinxcrossref{krb5\_responder\_otp\_challenge}}} **\sphinxstyleemphasis{ chl}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_otp_get_challenge:c.krb5_responder_otp_get_challenge}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_otp\_get\_challenge}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_context}}}}\DUrole{w}{  }\DUrole{n}{rctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_challenge}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{chl}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} - Responder context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} \sphinxhyphen{} Responder context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{chl} - Challenge structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{chl} \sphinxhyphen{} Challenge structure
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 A convenience function which parses the KRB5\_RESPONDER\_QUESTION\_OTP question challenge data, making it available in native C. The main feature of this function is the ability to interact with OTP tokens without parsing the JSON.
 
-The returned value must be passed to {\hyperref[\detokenize{appdev/refs/api/krb5_responder_otp_challenge_free:c.krb5_responder_otp_challenge_free}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_otp\_challenge\_free()}}}} to be freed.
+\sphinxAtStartPar
+The returned value must be passed to krb5\_responder\_otp\_challenge\_free() to be freed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_responder\_otp\_set\_answer -  Answer the KRB5\_RESPONDER\_QUESTION\_OTP question.}
-\label{\detokenize{appdev/refs/api/krb5_responder_otp_set_answer:krb5-responder-otp-set-answer-answer-the-krb5-responder-question-otp-question}}\label{\detokenize{appdev/refs/api/krb5_responder_otp_set_answer::doc}}\index{krb5\_responder\_otp\_set\_answer (C function)}
+\subsubsection{krb5\_responder\_otp\_set\_answer \sphinxhyphen{}  Answer the KRB5\_RESPONDER\_QUESTION\_OTP question.}
+\label{\detokenize{appdev/refs/api/krb5_responder_otp_set_answer:krb5-responder-otp-set-answer-answer-the-krb5-responder-question-otp-question}}\label{\detokenize{appdev/refs/api/krb5_responder_otp_set_answer::doc}}\index{krb5\_responder\_otp\_set\_answer (C function)@\spxentry{krb5\_responder\_otp\_set\_answer}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_otp_set_answer:c.krb5_responder_otp_set_answer}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_responder\_otp\_set\_answer}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{krb5\_responder\_context}}}\sphinxstyleemphasis{ rctx}, size\_t\sphinxstyleemphasis{ ti}, const char *\sphinxstyleemphasis{ value}, const char *\sphinxstyleemphasis{ pin}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_otp_set_answer:c.krb5_responder_otp_set_answer}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_otp\_set\_answer}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_context}}}}\DUrole{w}{  }\DUrole{n}{rctx}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{ti}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{value}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pin}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} - Responder context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} \sphinxhyphen{} Responder context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ti} - The index of the tokeninfo selected
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ti} \sphinxhyphen{} The index of the tokeninfo selected
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{value} - The value to set, or NULL for none
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{value} \sphinxhyphen{} The value to set, or NULL for none
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pin} - The pin to set, or NULL for none
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pin} \sphinxhyphen{} The pin to set, or NULL for none
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_responder\_otp\_challenge\_free -  Free the value returned by krb5\_responder\_otp\_get\_challenge() .}
-\label{\detokenize{appdev/refs/api/krb5_responder_otp_challenge_free:krb5-responder-otp-challenge-free-free-the-value-returned-by-krb5-responder-otp-get-challenge}}\label{\detokenize{appdev/refs/api/krb5_responder_otp_challenge_free::doc}}\index{krb5\_responder\_otp\_challenge\_free (C function)}
+\subsubsection{krb5\_responder\_otp\_challenge\_free \sphinxhyphen{}  Free the value returned by krb5\_responder\_otp\_get\_challenge().}
+\label{\detokenize{appdev/refs/api/krb5_responder_otp_challenge_free:krb5-responder-otp-challenge-free-free-the-value-returned-by-krb5-responder-otp-get-challenge}}\label{\detokenize{appdev/refs/api/krb5_responder_otp_challenge_free::doc}}\index{krb5\_responder\_otp\_challenge\_free (C function)@\spxentry{krb5\_responder\_otp\_challenge\_free}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_otp_challenge_free:c.krb5_responder_otp_challenge_free}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_responder\_otp\_challenge\_free}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{krb5\_responder\_context}}}\sphinxstyleemphasis{ rctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge}]{\sphinxcrossref{krb5\_responder\_otp\_challenge}}} *\sphinxstyleemphasis{ chl}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_otp_challenge_free:c.krb5_responder_otp_challenge_free}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_otp\_challenge\_free}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_context}}}}\DUrole{w}{  }\DUrole{n}{rctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_challenge}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{chl}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} - Responder context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} \sphinxhyphen{} Responder context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{chl} - The challenge to free
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{chl} \sphinxhyphen{} The challenge to free
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_responder\_pkinit\_get\_challenge -  Decode the KRB5\_RESPONDER\_QUESTION\_PKINIT to a C struct.}
-\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_get_challenge:krb5-responder-pkinit-get-challenge-decode-the-krb5-responder-question-pkinit-to-a-c-struct}}\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_get_challenge::doc}}\index{krb5\_responder\_pkinit\_get\_challenge (C function)}
+\subsubsection{krb5\_responder\_pkinit\_get\_challenge \sphinxhyphen{}  Decode the KRB5\_RESPONDER\_QUESTION\_PKINIT to a C struct.}
+\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_get_challenge:krb5-responder-pkinit-get-challenge-decode-the-krb5-responder-question-pkinit-to-a-c-struct}}\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_get_challenge::doc}}\index{krb5\_responder\_pkinit\_get\_challenge (C function)@\spxentry{krb5\_responder\_pkinit\_get\_challenge}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_get_challenge:c.krb5_responder_pkinit_get_challenge}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_responder\_pkinit\_get\_challenge}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{krb5\_responder\_context}}}\sphinxstyleemphasis{ rctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:c.krb5_responder_pkinit_challenge}]{\sphinxcrossref{krb5\_responder\_pkinit\_challenge}}} **\sphinxstyleemphasis{ chl\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_get_challenge:c.krb5_responder_pkinit_get_challenge}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_pkinit\_get\_challenge}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_context}}}}\DUrole{w}{  }\DUrole{n}{rctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:c.krb5_responder_pkinit_challenge}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_pkinit\_challenge}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{chl\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} - Responder context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} \sphinxhyphen{} Responder context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{chl\_out} - Challenge structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{chl\_out} \sphinxhyphen{} Challenge structure
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 A convenience function which parses the KRB5\_RESPONDER\_QUESTION\_PKINIT question challenge data, making it available in native C. The main feature of this function is the ability to read the challenge without parsing the JSON.
 
-The returned value must be passed to {\hyperref[\detokenize{appdev/refs/api/krb5_responder_pkinit_challenge_free:c.krb5_responder_pkinit_challenge_free}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_pkinit\_challenge\_free()}}}} to be freed.
+\sphinxAtStartPar
+The returned value must be passed to krb5\_responder\_pkinit\_challenge\_free() to be freed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.12
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_responder\_pkinit\_set\_answer -  Answer the KRB5\_RESPONDER\_QUESTION\_PKINIT question for one identity.}
-\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_set_answer:krb5-responder-pkinit-set-answer-answer-the-krb5-responder-question-pkinit-question-for-one-identity}}\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_set_answer::doc}}\index{krb5\_responder\_pkinit\_set\_answer (C function)}
+\subsubsection{krb5\_responder\_pkinit\_set\_answer \sphinxhyphen{}  Answer the KRB5\_RESPONDER\_QUESTION\_PKINIT question for one identity.}
+\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_set_answer:krb5-responder-pkinit-set-answer-answer-the-krb5-responder-question-pkinit-question-for-one-identity}}\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_set_answer::doc}}\index{krb5\_responder\_pkinit\_set\_answer (C function)@\spxentry{krb5\_responder\_pkinit\_set\_answer}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_set_answer:c.krb5_responder_pkinit_set_answer}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_responder\_pkinit\_set\_answer}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{krb5\_responder\_context}}}\sphinxstyleemphasis{ rctx}, const char *\sphinxstyleemphasis{ identity}, const char *\sphinxstyleemphasis{ pin}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_set_answer:c.krb5_responder_pkinit_set_answer}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_pkinit\_set\_answer}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_context}}}}\DUrole{w}{  }\DUrole{n}{rctx}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{identity}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pin}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} - Responder context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} \sphinxhyphen{} Responder context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{identity} - The identity for which a PIN is being supplied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{identity} \sphinxhyphen{} The identity for which a PIN is being supplied
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pin} - The provided PIN, or NULL for none
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pin} \sphinxhyphen{} The provided PIN, or NULL for none
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.12
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_responder\_pkinit\_challenge\_free -  Free the value returned by krb5\_responder\_pkinit\_get\_challenge() .}
-\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_challenge_free:krb5-responder-pkinit-challenge-free-free-the-value-returned-by-krb5-responder-pkinit-get-challenge}}\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_challenge_free::doc}}\index{krb5\_responder\_pkinit\_challenge\_free (C function)}
+\subsubsection{krb5\_responder\_pkinit\_challenge\_free \sphinxhyphen{}  Free the value returned by krb5\_responder\_pkinit\_get\_challenge().}
+\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_challenge_free:krb5-responder-pkinit-challenge-free-free-the-value-returned-by-krb5-responder-pkinit-get-challenge}}\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_challenge_free::doc}}\index{krb5\_responder\_pkinit\_challenge\_free (C function)@\spxentry{krb5\_responder\_pkinit\_challenge\_free}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_challenge_free:c.krb5_responder_pkinit_challenge_free}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_responder\_pkinit\_challenge\_free}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{krb5\_responder\_context}}}\sphinxstyleemphasis{ rctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:c.krb5_responder_pkinit_challenge}]{\sphinxcrossref{krb5\_responder\_pkinit\_challenge}}} *\sphinxstyleemphasis{ chl}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_responder_pkinit_challenge_free:c.krb5_responder_pkinit_challenge_free}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_pkinit\_challenge\_free}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_context}}}}\DUrole{w}{  }\DUrole{n}{rctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:c.krb5_responder_pkinit_challenge}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_pkinit\_challenge}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{chl}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} - Responder context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rctx} \sphinxhyphen{} Responder context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{chl} - The challenge to free
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{chl} \sphinxhyphen{} The challenge to free
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.12
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_set\_default\_realm -  Override the default realm for the specified context.}
-\label{\detokenize{appdev/refs/api/krb5_set_default_realm::doc}}\label{\detokenize{appdev/refs/api/krb5_set_default_realm:krb5-set-default-realm-override-the-default-realm-for-the-specified-context}}\index{krb5\_set\_default\_realm (C function)}
+\subsubsection{krb5\_set\_default\_realm \sphinxhyphen{}  Override the default realm for the specified context.}
+\label{\detokenize{appdev/refs/api/krb5_set_default_realm:krb5-set-default-realm-override-the-default-realm-for-the-specified-context}}\label{\detokenize{appdev/refs/api/krb5_set_default_realm::doc}}\index{krb5\_set\_default\_realm (C function)@\spxentry{krb5\_set\_default\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_default_realm:c.krb5_set_default_realm}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_set\_default\_realm}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ lrealm}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_default_realm:c.krb5_set_default_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_default\_realm}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{lrealm}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{lrealm} - Realm name for the default realm
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{lrealm} \sphinxhyphen{} Realm name for the default realm
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{lrealm} is NULL, clear the default realm setting.
 
 
-\subsubsection{krb5\_set\_password -  Set a password for a principal using specified credentials.}
-\label{\detokenize{appdev/refs/api/krb5_set_password:krb5-set-password-set-a-password-for-a-principal-using-specified-credentials}}\label{\detokenize{appdev/refs/api/krb5_set_password::doc}}\index{krb5\_set\_password (C function)}
+\subsubsection{krb5\_set\_password \sphinxhyphen{}  Set a password for a principal using specified credentials.}
+\label{\detokenize{appdev/refs/api/krb5_set_password:krb5-set-password-set-a-password-for-a-principal-using-specified-credentials}}\label{\detokenize{appdev/refs/api/krb5_set_password::doc}}\index{krb5\_set\_password (C function)@\spxentry{krb5\_set\_password}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_password:c.krb5_set_password}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_set\_password}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, const char *\sphinxstyleemphasis{ newpw}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ change\_password\_for}, int *\sphinxstyleemphasis{ result\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ result\_code\_string}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ result\_string}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_password:c.krb5_set_password}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_password}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{newpw}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{change\_password\_for}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{result\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{result\_code\_string}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{result\_string}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} - Credentials for kadmin/changepw service
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Credentials for kadmin/changepw service
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{newpw} - New password
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{newpw} \sphinxhyphen{} New password
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{change\_password\_for} - Change the password for this principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{change\_password\_for} \sphinxhyphen{} Change the password for this principal
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code} - Numeric error code from server
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code} \sphinxhyphen{} Numeric error code from server
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code\_string} - String equivalent to \sphinxstyleemphasis{result\_code}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code\_string} \sphinxhyphen{} String equivalent to \sphinxstyleemphasis{result\_code}
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_string} - Data returned from the remote system
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_string} \sphinxhyphen{} Data returned from the remote system
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success and result\_code is set to KRB5\_KPASSWD\_SUCCESS .
+\sphinxAtStartPar
+0   Success and result\_code is set to \#KRB5\_KPASSWD\_SUCCESS.
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function uses the credentials \sphinxstyleemphasis{creds} to set the password \sphinxstyleemphasis{newpw} for the principal \sphinxstyleemphasis{change\_password\_for} . It implements the set password operation of RFC 3244, for interoperability with Microsoft Windows implementations.
 
+\sphinxAtStartPar
 The error code and strings are returned in \sphinxstyleemphasis{result\_code} , \sphinxstyleemphasis{result\_code\_string} and \sphinxstyleemphasis{result\_string} .
 
 \begin{sphinxadmonition}{note}{Note:}
-If \sphinxstyleemphasis{change\_password\_for} is NULL, the change is performed on the current principal. If \sphinxstyleemphasis{change\_password\_for} is non-null, the change is performed on the principal name passed in \sphinxstyleemphasis{change\_password\_for} .
+\sphinxAtStartPar
+If \sphinxstyleemphasis{change\_password\_for} is NULL, the change is performed on the current principal. If \sphinxstyleemphasis{change\_password\_for} is non\sphinxhyphen{}null, the change is performed on the principal name passed in \sphinxstyleemphasis{change\_password\_for} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_set\_password\_using\_ccache -  Set a password for a principal using cached credentials.}
-\label{\detokenize{appdev/refs/api/krb5_set_password_using_ccache:krb5-set-password-using-ccache-set-a-password-for-a-principal-using-cached-credentials}}\label{\detokenize{appdev/refs/api/krb5_set_password_using_ccache::doc}}\index{krb5\_set\_password\_using\_ccache (C function)}
+\subsubsection{krb5\_set\_password\_using\_ccache \sphinxhyphen{}  Set a password for a principal using cached credentials.}
+\label{\detokenize{appdev/refs/api/krb5_set_password_using_ccache:krb5-set-password-using-ccache-set-a-password-for-a-principal-using-cached-credentials}}\label{\detokenize{appdev/refs/api/krb5_set_password_using_ccache::doc}}\index{krb5\_set\_password\_using\_ccache (C function)@\spxentry{krb5\_set\_password\_using\_ccache}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_password_using_ccache:c.krb5_set_password_using_ccache}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_set\_password\_using\_ccache}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, const char *\sphinxstyleemphasis{ newpw}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ change\_password\_for}, int *\sphinxstyleemphasis{ result\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ result\_code\_string}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ result\_string}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_password_using_ccache:c.krb5_set_password_using_ccache}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_password\_using\_ccache}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{newpw}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{change\_password\_for}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{result\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{result\_code\_string}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{result\_string}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{newpw} - New password
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{newpw} \sphinxhyphen{} New password
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{change\_password\_for} - Change the password for this principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{change\_password\_for} \sphinxhyphen{} Change the password for this principal
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code} - Numeric error code from server
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code} \sphinxhyphen{} Numeric error code from server
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code\_string} - String equivalent to \sphinxstyleemphasis{result\_code}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_code\_string} \sphinxhyphen{} String equivalent to \sphinxstyleemphasis{result\_code}
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_string} - Data returned from the remote system
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{result\_string} \sphinxhyphen{} Data returned from the remote system
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function uses the cached credentials from \sphinxstyleemphasis{ccache} to set the password \sphinxstyleemphasis{newpw} for the principal \sphinxstyleemphasis{change\_password\_for} . It implements RFC 3244 set password operation (interoperable with MS Windows implementations) using the credential cache.
 
+\sphinxAtStartPar
 The error code and strings are returned in \sphinxstyleemphasis{result\_code} , \sphinxstyleemphasis{result\_code\_string} and \sphinxstyleemphasis{result\_string} .
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 If \sphinxstyleemphasis{change\_password\_for} is set to NULL, the change is performed on the default principal in \sphinxstyleemphasis{ccache} . If \sphinxstyleemphasis{change\_password\_for} is non null, the change is performed on the specified principal.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_set\_principal\_realm -  Set the realm field of a principal.}
-\label{\detokenize{appdev/refs/api/krb5_set_principal_realm::doc}}\label{\detokenize{appdev/refs/api/krb5_set_principal_realm:krb5-set-principal-realm-set-the-realm-field-of-a-principal}}\index{krb5\_set\_principal\_realm (C function)}
+\subsubsection{krb5\_set\_principal\_realm \sphinxhyphen{}  Set the realm field of a principal.}
+\label{\detokenize{appdev/refs/api/krb5_set_principal_realm:krb5-set-principal-realm-set-the-realm-field-of-a-principal}}\label{\detokenize{appdev/refs/api/krb5_set_principal_realm::doc}}\index{krb5\_set\_principal\_realm (C function)@\spxentry{krb5\_set\_principal\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_principal_realm:c.krb5_set_principal_realm}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_set\_principal\_realm}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ principal}, const char *\sphinxstyleemphasis{ realm}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_principal_realm:c.krb5_set_principal_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_principal\_realm}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Principal name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} - Realm name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Realm name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Set the realm name part of \sphinxstyleemphasis{principal} to \sphinxstyleemphasis{realm} , overwriting the previous realm.
 
 
-\subsubsection{krb5\_set\_trace\_callback -  Specify a callback function for trace events.}
-\label{\detokenize{appdev/refs/api/krb5_set_trace_callback:krb5-set-trace-callback-specify-a-callback-function-for-trace-events}}\label{\detokenize{appdev/refs/api/krb5_set_trace_callback::doc}}\index{krb5\_set\_trace\_callback (C function)}
+\subsubsection{krb5\_set\_trace\_callback \sphinxhyphen{}  Specify a callback function for trace events.}
+\label{\detokenize{appdev/refs/api/krb5_set_trace_callback:krb5-set-trace-callback-specify-a-callback-function-for-trace-events}}\label{\detokenize{appdev/refs/api/krb5_set_trace_callback::doc}}\index{krb5\_set\_trace\_callback (C function)@\spxentry{krb5\_set\_trace\_callback}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_trace_callback:c.krb5_set_trace_callback}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_set\_trace\_callback}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_trace_callback:c.krb5_trace_callback}]{\sphinxcrossref{krb5\_trace\_callback}}}\sphinxstyleemphasis{ fn}, void *\sphinxstyleemphasis{ cb\_data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_trace_callback:c.krb5_set_trace_callback}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_trace\_callback}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_trace_callback:c.krb5_trace_callback}]{\sphinxcrossref{\DUrole{n}{krb5\_trace\_callback}}}}\DUrole{w}{  }\DUrole{n}{fn}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cb\_data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fn} - Callback function
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fn} \sphinxhyphen{} Callback function
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cb\_data} - Callback data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cb\_data} \sphinxhyphen{} Callback data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Returns KRB5\_TRACE\_NOSUPP if tracing is not supported in the library (unless fn is NULL).
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Specify a callback for trace events occurring in krb5 operations performed within \sphinxstyleemphasis{context} . \sphinxstyleemphasis{fn} will be invoked with \sphinxstyleemphasis{context} as the first argument, \sphinxstyleemphasis{cb\_data} as the last argument, and a pointer to a krb5\_trace\_info as the second argument. If the trace callback is reset via this function or \sphinxstyleemphasis{context} is destroyed, \sphinxstyleemphasis{fn} will be invoked with a NULL second argument so it can clean up \sphinxstyleemphasis{cb\_data} . Supply a NULL value for \sphinxstyleemphasis{fn} to disable trace callbacks within \sphinxstyleemphasis{context} .
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 This function overrides the information passed through the \sphinxstyleemphasis{KRB5\_TRACE} environment variable.
 \end{sphinxadmonition}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_set\_trace\_filename -  Specify a file name for directing trace events.}
-\label{\detokenize{appdev/refs/api/krb5_set_trace_filename:krb5-set-trace-filename-specify-a-file-name-for-directing-trace-events}}\label{\detokenize{appdev/refs/api/krb5_set_trace_filename::doc}}\index{krb5\_set\_trace\_filename (C function)}
+\subsubsection{krb5\_set\_trace\_filename \sphinxhyphen{}  Specify a file name for directing trace events.}
+\label{\detokenize{appdev/refs/api/krb5_set_trace_filename:krb5-set-trace-filename-specify-a-file-name-for-directing-trace-events}}\label{\detokenize{appdev/refs/api/krb5_set_trace_filename::doc}}\index{krb5\_set\_trace\_filename (C function)@\spxentry{krb5\_set\_trace\_filename}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_trace_filename:c.krb5_set_trace_filename}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_set\_trace\_filename}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ filename}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_trace_filename:c.krb5_set_trace_filename}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_trace\_filename}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{filename}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{filename} - File name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{filename} \sphinxhyphen{} File name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 KRB5\_TRACE\_NOSUPP   Tracing is not supported in the library.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Open \sphinxstyleemphasis{filename} for appending (creating it, if necessary) and set up a callback to write trace events to it.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 This function overrides the information passed through the \sphinxstyleemphasis{KRB5\_TRACE} environment variable.
 \end{sphinxadmonition}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_sname\_match -  Test whether a principal matches a matching principal.}
-\label{\detokenize{appdev/refs/api/krb5_sname_match::doc}}\label{\detokenize{appdev/refs/api/krb5_sname_match:krb5-sname-match-test-whether-a-principal-matches-a-matching-principal}}\index{krb5\_sname\_match (C function)}
+\subsubsection{krb5\_sname\_match \sphinxhyphen{}  Test whether a principal matches a matching principal.}
+\label{\detokenize{appdev/refs/api/krb5_sname_match:krb5-sname-match-test-whether-a-principal-matches-a-matching-principal}}\label{\detokenize{appdev/refs/api/krb5_sname_match::doc}}\index{krb5\_sname\_match (C function)@\spxentry{krb5\_sname\_match}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_sname_match:c.krb5_sname_match}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_sname\_match}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ matching}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_sname_match:c.krb5_sname_match}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_sname\_match}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{matching}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{matching} - Matching principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{matching} \sphinxhyphen{} Matching principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ} - Principal to test
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ} \sphinxhyphen{} Principal to test
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE if princ matches matching , FALSE otherwise.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{matching} is NULL, return TRUE. If \sphinxstyleemphasis{matching} is not a matching principal, return the value of krb5\_principal\_compare(context, matching, princ).
 
 \begin{sphinxadmonition}{note}{Note:}
-A matching principal is a host-based principal with an empty realm and/or second data component (hostname). Profile configuration may cause the hostname to be ignored even if it is present. A principal matches a matching principal if the former has the same non-empty (and non-ignored) components of the latter.
+\sphinxAtStartPar
+A matching principal is a host\sphinxhyphen{}based principal with an empty realm and/or second data component (hostname). Profile configuration may cause the hostname to be ignored even if it is present. A principal matches a matching principal if the former has the same non\sphinxhyphen{}empty (and non\sphinxhyphen{}ignored) components of the latter.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_sname\_to\_principal -  Generate a full principal name from a service name.}
-\label{\detokenize{appdev/refs/api/krb5_sname_to_principal:krb5-sname-to-principal-generate-a-full-principal-name-from-a-service-name}}\label{\detokenize{appdev/refs/api/krb5_sname_to_principal::doc}}\index{krb5\_sname\_to\_principal (C function)}
+\subsubsection{krb5\_sname\_to\_principal \sphinxhyphen{}  Generate a full principal name from a service name.}
+\label{\detokenize{appdev/refs/api/krb5_sname_to_principal:krb5-sname-to-principal-generate-a-full-principal-name-from-a-service-name}}\label{\detokenize{appdev/refs/api/krb5_sname_to_principal::doc}}\index{krb5\_sname\_to\_principal (C function)@\spxentry{krb5\_sname\_to\_principal}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_sname_to_principal:c.krb5_sname_to_principal}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_sname\_to\_principal}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ hostname}, const char *\sphinxstyleemphasis{ sname}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}\sphinxstyleemphasis{ type}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ ret\_princ}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_sname_to_principal:c.krb5_sname_to_principal}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_sname\_to\_principal}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{hostname}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{sname}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{n}{type}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ret\_princ}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{hostname} - Host name, or NULL to use local host
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{hostname} \sphinxhyphen{} Host name, or NULL to use local host
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{sname} - Service name, or NULL to use \sphinxstylestrong{“host”}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{sname} \sphinxhyphen{} Service name, or NULL to use \sphinxstylestrong{“host”}
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} - Principal type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} \sphinxhyphen{} Principal type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ret\_princ} - Generated principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ret\_princ} \sphinxhyphen{} Generated principal
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function converts a \sphinxstyleemphasis{hostname} and \sphinxstyleemphasis{sname} into \sphinxstyleemphasis{krb5\_principal} structure \sphinxstyleemphasis{ret\_princ} . The returned principal will be of the form \sphinxstyleemphasis{sname/hostname@REALM} where REALM is determined by {\hyperref[\detokenize{appdev/refs/api/krb5_get_host_realm:c.krb5_get_host_realm}]{\sphinxcrossref{\sphinxcode{krb5\_get\_host\_realm()}}}} . In some cases this may be the referral (empty) realm.
+\sphinxAtStartPar
+This function converts a \sphinxstyleemphasis{hostname} and \sphinxstyleemphasis{sname} into \sphinxstyleemphasis{krb5\_principal} structure \sphinxstyleemphasis{ret\_princ} . The returned principal will be of the form \sphinxstyleemphasis{sname/hostname@REALM} where REALM is determined by krb5\_get\_host\_realm(). In some cases this may be the referral (empty) realm.
 
+\sphinxAtStartPar
 The \sphinxstyleemphasis{type} can be one of the following:
 \begin{quote}
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST:KRB5_NT_SRV_HST}]{\sphinxcrossref{\sphinxcode{KRB5\_NT\_SRV\_HST}}}} canonicalizes the host name before looking up the realm and generating the principal.
+\sphinxAtStartPar
+\#KRB5\_NT\_SRV\_HST canonicalizes the host name before looking up the realm and generating the principal.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_NT_UNKNOWN:KRB5_NT_UNKNOWN}]{\sphinxcrossref{\sphinxcode{KRB5\_NT\_UNKNOWN}}}} accepts the hostname as given, and does not canonicalize it.
+\sphinxAtStartPar
+\#KRB5\_NT\_UNKNOWN accepts the hostname as given, and does not canonicalize it.
 
 \end{itemize}
 
+\sphinxAtStartPar
 Use krb5\_free\_principal to free \sphinxstyleemphasis{ret\_princ} when it is no longer needed.
 \end{quote}
 
 
-\subsubsection{krb5\_unparse\_name -  Convert a krb5\_principal structure to a string representation.}
-\label{\detokenize{appdev/refs/api/krb5_unparse_name:krb5-unparse-name-convert-a-krb5-principal-structure-to-a-string-representation}}\label{\detokenize{appdev/refs/api/krb5_unparse_name::doc}}\index{krb5\_unparse\_name (C function)}
+\subsubsection{krb5\_unparse\_name \sphinxhyphen{}  Convert a krb5\_principal structure to a string representation.}
+\label{\detokenize{appdev/refs/api/krb5_unparse_name:krb5-unparse-name-convert-a-krb5-principal-structure-to-a-string-representation}}\label{\detokenize{appdev/refs/api/krb5_unparse_name::doc}}\index{krb5\_unparse\_name (C function)@\spxentry{krb5\_unparse\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_unparse_name:c.krb5_unparse_name}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_unparse\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, char **\sphinxstyleemphasis{ name}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_unparse_name:c.krb5_unparse_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_unparse\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{name}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Principal
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} - String representation of principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} \sphinxhyphen{} String representation of principal name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-The resulting string representation uses the format and quoting conventions described for {\hyperref[\detokenize{appdev/refs/api/krb5_parse_name:c.krb5_parse_name}]{\sphinxcrossref{\sphinxcode{krb5\_parse\_name()}}}} .
+\sphinxAtStartPar
+The resulting string representation uses the format and quoting conventions described for krb5\_parse\_name().
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_unparsed_name:c.krb5_free_unparsed_name}]{\sphinxcrossref{\sphinxcode{krb5\_free\_unparsed\_name()}}}} to free \sphinxstyleemphasis{name} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_unparsed\_name() to free \sphinxstyleemphasis{name} when it is no longer needed.
 
 
-\subsubsection{krb5\_unparse\_name\_ext -  Convert krb5\_principal structure to string and length.}
-\label{\detokenize{appdev/refs/api/krb5_unparse_name_ext:krb5-unparse-name-ext-convert-krb5-principal-structure-to-string-and-length}}\label{\detokenize{appdev/refs/api/krb5_unparse_name_ext::doc}}\index{krb5\_unparse\_name\_ext (C function)}
+\subsubsection{krb5\_unparse\_name\_ext \sphinxhyphen{}  Convert krb5\_principal structure to string and length.}
+\label{\detokenize{appdev/refs/api/krb5_unparse_name_ext:krb5-unparse-name-ext-convert-krb5-principal-structure-to-string-and-length}}\label{\detokenize{appdev/refs/api/krb5_unparse_name_ext::doc}}\index{krb5\_unparse\_name\_ext (C function)@\spxentry{krb5\_unparse\_name\_ext}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_unparse_name_ext:c.krb5_unparse_name_ext}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_unparse\_name\_ext}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, char **\sphinxstyleemphasis{ name}, unsigned int *\sphinxstyleemphasis{ size}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_unparse_name_ext:c.krb5_unparse_name_ext}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_unparse\_name\_ext}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{name}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{size}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Principal
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{name} - String representation of principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{name} \sphinxhyphen{} String representation of principal name
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{size} - Size of unparsed name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{size} \sphinxhyphen{} Size of unparsed name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes. On failure name is set to NULL
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_unparse_name:c.krb5_unparse_name}]{\sphinxcrossref{\sphinxcode{krb5\_unparse\_name()}}}} , but allows the use of an existing buffer for the result. If size is not NULL, then \sphinxstyleemphasis{name} must point to either NULL or an existing buffer of at least the size pointed to by \sphinxstyleemphasis{size} . The buffer will be allocated or resized if necessary, with the new pointer stored into \sphinxstyleemphasis{name} . Whether or not the buffer is resized, the necessary space for the result, including null terminator, will be stored into \sphinxstyleemphasis{size} .
+\sphinxAtStartPar
+This function is similar to krb5\_unparse\_name(), but allows the use of an existing buffer for the result. If size is not NULL, then \sphinxstyleemphasis{name} must point to either NULL or an existing buffer of at least the size pointed to by \sphinxstyleemphasis{size} . The buffer will be allocated or resized if necessary, with the new pointer stored into \sphinxstyleemphasis{name} . Whether or not the buffer is resized, the necessary space for the result, including null terminator, will be stored into \sphinxstyleemphasis{size} .
 
-If size is NULL, this function behaves exactly as {\hyperref[\detokenize{appdev/refs/api/krb5_unparse_name:c.krb5_unparse_name}]{\sphinxcrossref{\sphinxcode{krb5\_unparse\_name()}}}} .
+\sphinxAtStartPar
+If size is NULL, this function behaves exactly as krb5\_unparse\_name().
 
 
-\subsubsection{krb5\_unparse\_name\_flags -  Convert krb5\_principal structure to a string with flags.}
-\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags::doc}}\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags:krb5-unparse-name-flags-convert-krb5-principal-structure-to-a-string-with-flags}}\index{krb5\_unparse\_name\_flags (C function)}
+\subsubsection{krb5\_unparse\_name\_flags \sphinxhyphen{}  Convert krb5\_principal structure to a string with flags.}
+\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags:krb5-unparse-name-flags-convert-krb5-principal-structure-to-a-string-with-flags}}\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags::doc}}\index{krb5\_unparse\_name\_flags (C function)@\spxentry{krb5\_unparse\_name\_flags}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags:c.krb5_unparse_name_flags}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_unparse\_name\_flags}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, int\sphinxstyleemphasis{ flags}, char **\sphinxstyleemphasis{ name}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags:c.krb5_unparse_name_flags}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_unparse\_name\_flags}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{flags}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{name}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flags
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} - String representation of principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} \sphinxhyphen{} String representation of principal name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes. On failure name is set to NULL
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Similar to {\hyperref[\detokenize{appdev/refs/api/krb5_unparse_name:c.krb5_unparse_name}]{\sphinxcrossref{\sphinxcode{krb5\_unparse\_name()}}}} , this function converts a krb5\_principal structure to a string representation.
+\sphinxAtStartPar
+Similar to krb5\_unparse\_name(), this function converts a krb5\_principal structure to a string representation.
 
+\sphinxAtStartPar
 The following flags are valid:
 \begin{quote}
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT:KRB5_PRINCIPAL_UNPARSE_SHORT}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_UNPARSE\_SHORT}}}} - omit realm if it is the local realm
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_UNPARSE\_SHORT \sphinxhyphen{} omit realm if it is the local realm
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM:KRB5_PRINCIPAL_UNPARSE_NO_REALM}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM}}}} - omit realm
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM \sphinxhyphen{} omit realm
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY:KRB5_PRINCIPAL_UNPARSE_DISPLAY}]{\sphinxcrossref{\sphinxcode{KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY}}}} - do not quote special characters
+\sphinxAtStartPar
+\#KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY \sphinxhyphen{} do not quote special characters
 
 \end{itemize}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_unparsed_name:c.krb5_free_unparsed_name}]{\sphinxcrossref{\sphinxcode{krb5\_free\_unparsed\_name()}}}} to free \sphinxstyleemphasis{name} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_unparsed\_name() to free \sphinxstyleemphasis{name} when it is no longer needed.
 \end{quote}
 
 
-\subsubsection{krb5\_unparse\_name\_flags\_ext -  Convert krb5\_principal structure to string format with flags.}
-\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags_ext:krb5-unparse-name-flags-ext-convert-krb5-principal-structure-to-string-format-with-flags}}\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags_ext::doc}}\index{krb5\_unparse\_name\_flags\_ext (C function)}
+\subsubsection{krb5\_unparse\_name\_flags\_ext \sphinxhyphen{}  Convert krb5\_principal structure to string format with flags.}
+\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags_ext:krb5-unparse-name-flags-ext-convert-krb5-principal-structure-to-string-format-with-flags}}\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags_ext::doc}}\index{krb5\_unparse\_name\_flags\_ext (C function)@\spxentry{krb5\_unparse\_name\_flags\_ext}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags_ext:c.krb5_unparse_name_flags_ext}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_unparse\_name\_flags\_ext}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, int\sphinxstyleemphasis{ flags}, char **\sphinxstyleemphasis{ name}, unsigned int *\sphinxstyleemphasis{ size}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_unparse_name_flags_ext:c.krb5_unparse_name_flags_ext}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_unparse\_name\_flags\_ext}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{flags}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{name}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{size}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flags
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} - Single string format of principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} \sphinxhyphen{} Single string format of principal name
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{size} - Size of unparsed name buffer
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{size} \sphinxhyphen{} Size of unparsed name buffer
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes. On failure name is set to NULL
 
 \end{itemize}
@@ -4335,164 +5358,213 @@ Kerberos error codes. On failure name is
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_us\_timeofday -  Retrieve the system time of day, in sec and ms, since the epoch.}
-\label{\detokenize{appdev/refs/api/krb5_us_timeofday:krb5-us-timeofday-retrieve-the-system-time-of-day-in-sec-and-ms-since-the-epoch}}\label{\detokenize{appdev/refs/api/krb5_us_timeofday::doc}}\index{krb5\_us\_timeofday (C function)}
+\subsubsection{krb5\_us\_timeofday \sphinxhyphen{}  Retrieve the system time of day, in sec and ms, since the epoch.}
+\label{\detokenize{appdev/refs/api/krb5_us_timeofday:krb5-us-timeofday-retrieve-the-system-time-of-day-in-sec-and-ms-since-the-epoch}}\label{\detokenize{appdev/refs/api/krb5_us_timeofday::doc}}\index{krb5\_us\_timeofday (C function)@\spxentry{krb5\_us\_timeofday}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_us_timeofday:c.krb5_us_timeofday}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_us\_timeofday}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}} *\sphinxstyleemphasis{ seconds}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}} *\sphinxstyleemphasis{ microseconds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_us_timeofday:c.krb5_us_timeofday}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_us\_timeofday}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{seconds}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{microseconds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{seconds} - System timeofday, seconds portion
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{seconds} \sphinxhyphen{} System timeofday, seconds portion
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{microseconds} - System timeofday, microseconds portion
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{microseconds} \sphinxhyphen{} System timeofday, microseconds portion
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function retrieves the system time of day with the context specific time offset adjustment.
 
 
-\subsubsection{krb5\_verify\_authdata\_kdc\_issued -  Unwrap and verify AD-KDCIssued authorization data.}
-\label{\detokenize{appdev/refs/api/krb5_verify_authdata_kdc_issued:krb5-verify-authdata-kdc-issued-unwrap-and-verify-ad-kdcissued-authorization-data}}\label{\detokenize{appdev/refs/api/krb5_verify_authdata_kdc_issued::doc}}\index{krb5\_verify\_authdata\_kdc\_issued (C function)}
+\subsubsection{krb5\_verify\_authdata\_kdc\_issued \sphinxhyphen{}  Unwrap and verify AD\sphinxhyphen{}KDCIssued authorization data.}
+\label{\detokenize{appdev/refs/api/krb5_verify_authdata_kdc_issued:krb5-verify-authdata-kdc-issued-unwrap-and-verify-ad-kdcissued-authorization-data}}\label{\detokenize{appdev/refs/api/krb5_verify_authdata_kdc_issued::doc}}\index{krb5\_verify\_authdata\_kdc\_issued (C function)@\spxentry{krb5\_verify\_authdata\_kdc\_issued}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_authdata_kdc_issued:c.krb5_verify_authdata_kdc_issued}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_verify\_authdata\_kdc\_issued}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, const {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} *\sphinxstyleemphasis{ ad\_kdcissued}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ issuer}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} ***\sphinxstyleemphasis{ authdata}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_authdata_kdc_issued:c.krb5_verify_authdata_kdc_issued}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_verify\_authdata\_kdc\_issued}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ad\_kdcissued}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{issuer}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{authdata}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Session key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Session key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ad\_kdcissued} - AD-KDCIssued authorization data to be unwrapped
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ad\_kdcissued} \sphinxhyphen{} AD\sphinxhyphen{}KDCIssued authorization data to be unwrapped
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{issuer} - Name of issuing principal (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{issuer} \sphinxhyphen{} Name of issuing principal (or NULL)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authdata} - Unwrapped list of authorization data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authdata} \sphinxhyphen{} Unwrapped list of authorization data
 
 \end{description}\end{quote}
 
-This function unwraps an AD-KDCIssued authdatum (see RFC 4120 section 5.2.6.2) and verifies its signature against \sphinxstyleemphasis{key} . The issuer field of the authdatum element is returned in \sphinxstyleemphasis{issuer} , and the unwrapped list of authdata is returned in \sphinxstyleemphasis{authdata} .
+\sphinxAtStartPar
+This function unwraps an AD\sphinxhyphen{}KDCIssued authdatum (see RFC 4120 section 5.2.6.2) and verifies its signature against \sphinxstyleemphasis{key} . The issuer field of the authdatum element is returned in \sphinxstyleemphasis{issuer} , and the unwrapped list of authdata is returned in \sphinxstyleemphasis{authdata} .
 
 
 \subsection{Rarely used public interfaces}
 \label{\detokenize{appdev/refs/api/index:rarely-used-public-interfaces}}
 
-\subsubsection{krb5\_425\_conv\_principal -  Convert a Kerberos V4 principal to a Kerberos V5 principal.}
-\label{\detokenize{appdev/refs/api/krb5_425_conv_principal:krb5-425-conv-principal-convert-a-kerberos-v4-principal-to-a-kerberos-v5-principal}}\label{\detokenize{appdev/refs/api/krb5_425_conv_principal::doc}}\index{krb5\_425\_conv\_principal (C function)}
+\subsubsection{krb5\_425\_conv\_principal \sphinxhyphen{}  Convert a Kerberos V4 principal to a Kerberos V5 principal.}
+\label{\detokenize{appdev/refs/api/krb5_425_conv_principal:krb5-425-conv-principal-convert-a-kerberos-v4-principal-to-a-kerberos-v5-principal}}\label{\detokenize{appdev/refs/api/krb5_425_conv_principal::doc}}\index{krb5\_425\_conv\_principal (C function)@\spxentry{krb5\_425\_conv\_principal}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_425_conv_principal:c.krb5_425_conv_principal}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_425\_conv\_principal}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ name}, const char *\sphinxstyleemphasis{ instance}, const char *\sphinxstyleemphasis{ realm}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ princ}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_425_conv_principal:c.krb5_425_conv_principal}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_425\_conv\_principal}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{instance}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{princ}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} - V4 name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} \sphinxhyphen{} V4 name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{instance} - V4 instance
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{instance} \sphinxhyphen{} V4 instance
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} - Realm
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Realm
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ} - V5 principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ} \sphinxhyphen{} V5 principal
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function builds a \sphinxstyleemphasis{princ} from V4 specification based on given input \sphinxstyleemphasis{name.instance@realm} .
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}} to free \sphinxstyleemphasis{princ} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_principal() to free \sphinxstyleemphasis{princ} when it is no longer needed.
 
 
-\subsubsection{krb5\_524\_conv\_principal -  Convert a Kerberos V5 principal to a Kerberos V4 principal.}
-\label{\detokenize{appdev/refs/api/krb5_524_conv_principal:krb5-524-conv-principal-convert-a-kerberos-v5-principal-to-a-kerberos-v4-principal}}\label{\detokenize{appdev/refs/api/krb5_524_conv_principal::doc}}\index{krb5\_524\_conv\_principal (C function)}
+\subsubsection{krb5\_524\_conv\_principal \sphinxhyphen{}  Convert a Kerberos V5 principal to a Kerberos V4 principal.}
+\label{\detokenize{appdev/refs/api/krb5_524_conv_principal:krb5-524-conv-principal-convert-a-kerberos-v5-principal-to-a-kerberos-v4-principal}}\label{\detokenize{appdev/refs/api/krb5_524_conv_principal::doc}}\index{krb5\_524\_conv\_principal (C function)@\spxentry{krb5\_524\_conv\_principal}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_524_conv_principal:c.krb5_524_conv_principal}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_524\_conv\_principal}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ princ}, char *\sphinxstyleemphasis{ name}, char *\sphinxstyleemphasis{ inst}, char *\sphinxstyleemphasis{ realm}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_524_conv_principal:c.krb5_524_conv_principal}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_524\_conv\_principal}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{inst}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ} - V5 Principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{princ} \sphinxhyphen{} V5 Principal
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} - V4 principal’s name to be filled in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{name} \sphinxhyphen{} V4 principal’s name to be filled in
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{inst} - V4 principal’s instance name to be filled in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{inst} \sphinxhyphen{} V4 principal’s instance name to be filled in
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realm} - Principal’s realm name to be filled in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Principal’s realm name to be filled in
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_INVALID\_PRINCIPAL   Invalid principal name
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_CONFIG\_CANTOPEN   Can’t open or find Kerberos configuration file
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function separates a V5 principal \sphinxstyleemphasis{princ} into \sphinxstyleemphasis{name} , \sphinxstyleemphasis{instance} , and \sphinxstyleemphasis{realm} .
 
 
-\subsubsection{krb5\_address\_compare -  Compare two Kerberos addresses.}
-\label{\detokenize{appdev/refs/api/krb5_address_compare:krb5-address-compare-compare-two-kerberos-addresses}}\label{\detokenize{appdev/refs/api/krb5_address_compare::doc}}\index{krb5\_address\_compare (C function)}
+\subsubsection{krb5\_address\_compare \sphinxhyphen{}  Compare two Kerberos addresses.}
+\label{\detokenize{appdev/refs/api/krb5_address_compare:krb5-address-compare-compare-two-kerberos-addresses}}\label{\detokenize{appdev/refs/api/krb5_address_compare::doc}}\index{krb5\_address\_compare (C function)@\spxentry{krb5\_address\_compare}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_address_compare:c.krb5_address_compare}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_address\_compare}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *\sphinxstyleemphasis{ addr1}, const {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *\sphinxstyleemphasis{ addr2}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_address_compare:c.krb5_address_compare}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_address\_compare}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{addr1}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{addr2}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr1} - First address to be compared
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr1} \sphinxhyphen{} First address to be compared
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr2} - Second address to be compared
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr2} \sphinxhyphen{} Second address to be compared
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE if the addresses are the same, FALSE otherwise
 
 \end{itemize}
@@ -4500,31 +5572,40 @@ TRUE if the addresses are the same, FALS
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_address\_order -  Return an ordering of the specified addresses.}
-\label{\detokenize{appdev/refs/api/krb5_address_order:krb5-address-order-return-an-ordering-of-the-specified-addresses}}\label{\detokenize{appdev/refs/api/krb5_address_order::doc}}\index{krb5\_address\_order (C function)}
+\subsubsection{krb5\_address\_order \sphinxhyphen{}  Return an ordering of the specified addresses.}
+\label{\detokenize{appdev/refs/api/krb5_address_order:krb5-address-order-return-an-ordering-of-the-specified-addresses}}\label{\detokenize{appdev/refs/api/krb5_address_order::doc}}\index{krb5\_address\_order (C function)@\spxentry{krb5\_address\_order}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_address_order:c.krb5_address_order}}\pysiglinewithargsret{int \sphinxbfcode{krb5\_address\_order}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *\sphinxstyleemphasis{ addr1}, const {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *\sphinxstyleemphasis{ addr2}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_address_order:c.krb5_address_order}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{int}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_address\_order}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{addr1}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{addr2}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr1} - First address
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr1} \sphinxhyphen{} First address
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr2} - Second address
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr2} \sphinxhyphen{} Second address
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   if The two addresses are the same
 
 \item {} 
+\sphinxAtStartPar
 \textless{}   0 First address is less than second
 
 \item {} 
+\sphinxAtStartPar
 \textgreater{}   0 First address is greater than second
 
 \end{itemize}
@@ -4532,25 +5613,32 @@ TRUE if the addresses are the same, FALS
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_address\_search -  Search a list of addresses for a specified address.}
-\label{\detokenize{appdev/refs/api/krb5_address_search:krb5-address-search-search-a-list-of-addresses-for-a-specified-address}}\label{\detokenize{appdev/refs/api/krb5_address_search::doc}}\index{krb5\_address\_search (C function)}
+\subsubsection{krb5\_address\_search \sphinxhyphen{}  Search a list of addresses for a specified address.}
+\label{\detokenize{appdev/refs/api/krb5_address_search:krb5-address-search-search-a-list-of-addresses-for-a-specified-address}}\label{\detokenize{appdev/refs/api/krb5_address_search::doc}}\index{krb5\_address\_search (C function)@\spxentry{krb5\_address\_search}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_address_search:c.krb5_address_search}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_address\_search}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *\sphinxstyleemphasis{ addr}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *const *\sphinxstyleemphasis{ addrlist}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_address_search:c.krb5_address_search}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_address\_search}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{addr}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{addrlist}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr} - Address to search for
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addr} \sphinxhyphen{} Address to search for
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addrlist} - Address list to be searched (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{addrlist} \sphinxhyphen{} Address list to be searched (or NULL)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE if addr is listed in addrlist , or addrlist is NULL; FALSE otherwise
 
 \end{itemize}
@@ -4558,284 +5646,370 @@ TRUE if addr is listed in addrlist , or
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 If \sphinxstyleemphasis{addrlist} contains only a NetBIOS addresses, it will be treated as a null list.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_allow\_weak\_crypto -  Allow the application to override the profile’s allow\_weak\_crypto setting.}
-\label{\detokenize{appdev/refs/api/krb5_allow_weak_crypto::doc}}\label{\detokenize{appdev/refs/api/krb5_allow_weak_crypto:krb5-allow-weak-crypto-allow-the-application-to-override-the-profile-s-allow-weak-crypto-setting}}\index{krb5\_allow\_weak\_crypto (C function)}
+\subsubsection{krb5\_allow\_weak\_crypto \sphinxhyphen{}  Allow the application to override the profile’s allow\_weak\_crypto setting.}
+\label{\detokenize{appdev/refs/api/krb5_allow_weak_crypto:krb5-allow-weak-crypto-allow-the-application-to-override-the-profile-s-allow-weak-crypto-setting}}\label{\detokenize{appdev/refs/api/krb5_allow_weak_crypto::doc}}\index{krb5\_allow\_weak\_crypto (C function)@\spxentry{krb5\_allow\_weak\_crypto}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_allow_weak_crypto:c.krb5_allow_weak_crypto}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_allow\_weak\_crypto}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}}\sphinxstyleemphasis{ enable}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_allow_weak_crypto:c.krb5_allow_weak_crypto}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_allow\_weak\_crypto}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{n}{enable}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enable} - Boolean flag
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enable} \sphinxhyphen{} Boolean flag
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   (always)
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function allows an application to override the allow\_weak\_crypto setting. It is primarily for use by aklog.
 
 
-\subsubsection{krb5\_aname\_to\_localname -  Convert a principal name to a local name.}
-\label{\detokenize{appdev/refs/api/krb5_aname_to_localname::doc}}\label{\detokenize{appdev/refs/api/krb5_aname_to_localname:krb5-aname-to-localname-convert-a-principal-name-to-a-local-name}}\index{krb5\_aname\_to\_localname (C function)}
+\subsubsection{krb5\_aname\_to\_localname \sphinxhyphen{}  Convert a principal name to a local name.}
+\label{\detokenize{appdev/refs/api/krb5_aname_to_localname:krb5-aname-to-localname-convert-a-principal-name-to-a-local-name}}\label{\detokenize{appdev/refs/api/krb5_aname_to_localname::doc}}\index{krb5\_aname\_to\_localname (C function)@\spxentry{krb5\_aname\_to\_localname}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_aname_to_localname:c.krb5_aname_to_localname}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_aname\_to\_localname}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ aname}, int\sphinxstyleemphasis{ lnsize\_in}, char *\sphinxstyleemphasis{ lname}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_aname_to_localname:c.krb5_aname_to_localname}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_aname\_to\_localname}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{aname}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{lnsize\_in}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{lname}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{aname} - Principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{aname} \sphinxhyphen{} Principal name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{lnsize\_in} - Space available in \sphinxstyleemphasis{lname}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{lnsize\_in} \sphinxhyphen{} Space available in \sphinxstyleemphasis{lname}
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{lname} - Local name buffer to be filled in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{lname} \sphinxhyphen{} Local name buffer to be filled in
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 System   errors
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{aname} does not correspond to any local account, KRB5\_LNAME\_NOTRANS is returned. If \sphinxstyleemphasis{lnsize\_in} is too small for the local name, KRB5\_CONFIG\_NOTENUFSPACE is returned.
 
-Local names, rather than principal names, can be used by programs that translate to an environment-specific name (for example, a user account name).
+\sphinxAtStartPar
+Local names, rather than principal names, can be used by programs that translate to an environment\sphinxhyphen{}specific name (for example, a user account name).
 
 
-\subsubsection{krb5\_anonymous\_principal -  Build an anonymous principal.}
-\label{\detokenize{appdev/refs/api/krb5_anonymous_principal:krb5-anonymous-principal-build-an-anonymous-principal}}\label{\detokenize{appdev/refs/api/krb5_anonymous_principal::doc}}\index{krb5\_anonymous\_principal (C function)}
+\subsubsection{krb5\_anonymous\_principal \sphinxhyphen{}  Build an anonymous principal.}
+\label{\detokenize{appdev/refs/api/krb5_anonymous_principal:krb5-anonymous-principal-build-an-anonymous-principal}}\label{\detokenize{appdev/refs/api/krb5_anonymous_principal::doc}}\index{krb5\_anonymous\_principal (C function)@\spxentry{krb5\_anonymous\_principal}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_anonymous_principal:c.krb5_anonymous_principal}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}} \sphinxbfcode{krb5\_anonymous\_principal}}{void\sphinxstyleemphasis{ None}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_anonymous_principal:c.krb5_anonymous_principal}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_anonymous\_principal}}}}{\DUrole{kt}{void}\DUrole{w}{  }\DUrole{n}{None}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{None}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function returns constant storage that must not be freed.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR:KRB5_ANONYMOUS_PRINCSTR}]{\sphinxcrossref{\sphinxcode{KRB5\_ANONYMOUS\_PRINCSTR}}}}
+\sphinxAtStartPar
+\#KRB5\_ANONYMOUS\_PRINCSTR
 
 
 
 
-\subsubsection{krb5\_anonymous\_realm -  Return an anonymous realm data.}
-\label{\detokenize{appdev/refs/api/krb5_anonymous_realm::doc}}\label{\detokenize{appdev/refs/api/krb5_anonymous_realm:krb5-anonymous-realm-return-an-anonymous-realm-data}}\index{krb5\_anonymous\_realm (C function)}
+\subsubsection{krb5\_anonymous\_realm \sphinxhyphen{}  Return an anonymous realm data.}
+\label{\detokenize{appdev/refs/api/krb5_anonymous_realm:krb5-anonymous-realm-return-an-anonymous-realm-data}}\label{\detokenize{appdev/refs/api/krb5_anonymous_realm::doc}}\index{krb5\_anonymous\_realm (C function)@\spxentry{krb5\_anonymous\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_anonymous_realm:c.krb5_anonymous_realm}}\pysiglinewithargsret{const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} * \sphinxbfcode{krb5\_anonymous\_realm}}{void\sphinxstyleemphasis{ None}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_anonymous_realm:c.krb5_anonymous_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_anonymous\_realm}}}}{\DUrole{kt}{void}\DUrole{w}{  }\DUrole{n}{None}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{None}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function returns constant storage that must not be freed.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR:KRB5_ANONYMOUS_REALMSTR}]{\sphinxcrossref{\sphinxcode{KRB5\_ANONYMOUS\_REALMSTR}}}}
+\sphinxAtStartPar
+\#KRB5\_ANONYMOUS\_REALMSTR
 
 
 
 
-\subsubsection{krb5\_appdefault\_boolean -  Retrieve a boolean value from the appdefaults section of krb5.conf.}
-\label{\detokenize{appdev/refs/api/krb5_appdefault_boolean::doc}}\label{\detokenize{appdev/refs/api/krb5_appdefault_boolean:krb5-appdefault-boolean-retrieve-a-boolean-value-from-the-appdefaults-section-of-krb5-conf}}\index{krb5\_appdefault\_boolean (C function)}
+\subsubsection{krb5\_appdefault\_boolean \sphinxhyphen{}  Retrieve a boolean value from the appdefaults section of krb5.conf.}
+\label{\detokenize{appdev/refs/api/krb5_appdefault_boolean:krb5-appdefault-boolean-retrieve-a-boolean-value-from-the-appdefaults-section-of-krb5-conf}}\label{\detokenize{appdev/refs/api/krb5_appdefault_boolean::doc}}\index{krb5\_appdefault\_boolean (C function)@\spxentry{krb5\_appdefault\_boolean}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_appdefault_boolean:c.krb5_appdefault_boolean}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_appdefault\_boolean}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ appname}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ realm}, const char *\sphinxstyleemphasis{ option}, int\sphinxstyleemphasis{ default\_value}, int *\sphinxstyleemphasis{ ret\_value}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_appdefault_boolean:c.krb5_appdefault_boolean}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_appdefault\_boolean}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{appname}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{option}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{default\_value}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ret\_value}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{appname} - Application name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{appname} \sphinxhyphen{} Application name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} - Realm name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Realm name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{option} - Option to be checked
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{option} \sphinxhyphen{} Option to be checked
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{default\_value} - Default value to return if no match is found
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{default\_value} \sphinxhyphen{} Default value to return if no match is found
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ret\_value} - Boolean value of \sphinxstyleemphasis{option}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ret\_value} \sphinxhyphen{} Boolean value of \sphinxstyleemphasis{option}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function gets the application defaults for \sphinxstyleemphasis{option} based on the given \sphinxstyleemphasis{appname} and/or \sphinxstyleemphasis{realm} .
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_appdefault_string:c.krb5_appdefault_string}]{\sphinxcrossref{\sphinxcode{krb5\_appdefault\_string()}}}}
+\sphinxAtStartPar
+krb5\_appdefault\_string()
 
 
 
 
-\subsubsection{krb5\_appdefault\_string -  Retrieve a string value from the appdefaults section of krb5.conf.}
-\label{\detokenize{appdev/refs/api/krb5_appdefault_string::doc}}\label{\detokenize{appdev/refs/api/krb5_appdefault_string:krb5-appdefault-string-retrieve-a-string-value-from-the-appdefaults-section-of-krb5-conf}}\index{krb5\_appdefault\_string (C function)}
+\subsubsection{krb5\_appdefault\_string \sphinxhyphen{}  Retrieve a string value from the appdefaults section of krb5.conf.}
+\label{\detokenize{appdev/refs/api/krb5_appdefault_string:krb5-appdefault-string-retrieve-a-string-value-from-the-appdefaults-section-of-krb5-conf}}\label{\detokenize{appdev/refs/api/krb5_appdefault_string::doc}}\index{krb5\_appdefault\_string (C function)@\spxentry{krb5\_appdefault\_string}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_appdefault_string:c.krb5_appdefault_string}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_appdefault\_string}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ appname}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ realm}, const char *\sphinxstyleemphasis{ option}, const char *\sphinxstyleemphasis{ default\_value}, char **\sphinxstyleemphasis{ ret\_value}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_appdefault_string:c.krb5_appdefault_string}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_appdefault\_string}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{appname}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{option}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{default\_value}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ret\_value}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{appname} - Application name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{appname} \sphinxhyphen{} Application name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} - Realm name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Realm name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{option} - Option to be checked
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{option} \sphinxhyphen{} Option to be checked
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{default\_value} - Default value to return if no match is found
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{default\_value} \sphinxhyphen{} Default value to return if no match is found
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ret\_value} - String value of \sphinxstyleemphasis{option}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ret\_value} \sphinxhyphen{} String value of \sphinxstyleemphasis{option}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function gets the application defaults for \sphinxstyleemphasis{option} based on the given \sphinxstyleemphasis{appname} and/or \sphinxstyleemphasis{realm} .
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_appdefault_boolean:c.krb5_appdefault_boolean}]{\sphinxcrossref{\sphinxcode{krb5\_appdefault\_boolean()}}}}
+\sphinxAtStartPar
+krb5\_appdefault\_boolean()
 
 
 
 
-\subsubsection{krb5\_auth\_con\_free -  Free a krb5\_auth\_context structure.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_free:krb5-auth-con-free-free-a-krb5-auth-context-structure}}\label{\detokenize{appdev/refs/api/krb5_auth_con_free::doc}}\index{krb5\_auth\_con\_free (C function)}
+\subsubsection{krb5\_auth\_con\_free \sphinxhyphen{}  Free a krb5\_auth\_context structure.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_free:krb5-auth-con-free-free-a-krb5-auth-context-structure}}\label{\detokenize{appdev/refs/api/krb5_auth_con_free::doc}}\index{krb5\_auth\_con\_free (C function)@\spxentry{krb5\_auth\_con\_free}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_free:c.krb5_auth_con_free}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_free}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_free:c.krb5_auth_con_free}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_free}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context to be freed
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   (always)
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function frees an auth context allocated by {\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_init:c.krb5_auth_con_init}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_init()}}}} .
+\sphinxAtStartPar
+This function frees an auth context allocated by krb5\_auth\_con\_init().
 
 
-\subsubsection{krb5\_auth\_con\_genaddrs -  Generate auth context addresses from a connected socket.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_genaddrs::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_genaddrs:krb5-auth-con-genaddrs-generate-auth-context-addresses-from-a-connected-socket}}\index{krb5\_auth\_con\_genaddrs (C function)}
+\subsubsection{krb5\_auth\_con\_genaddrs \sphinxhyphen{}  Generate auth context addresses from a connected socket.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_genaddrs:krb5-auth-con-genaddrs-generate-auth-context-addresses-from-a-connected-socket}}\label{\detokenize{appdev/refs/api/krb5_auth_con_genaddrs::doc}}\index{krb5\_auth\_con\_genaddrs (C function)@\spxentry{krb5\_auth\_con\_genaddrs}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_genaddrs:c.krb5_auth_con_genaddrs}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_genaddrs}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, int\sphinxstyleemphasis{ infd}, int\sphinxstyleemphasis{ flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_genaddrs:c.krb5_auth_con_genaddrs}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_genaddrs}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{infd}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{infd} - Connected socket descriptor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{infd} \sphinxhyphen{} Connected socket descriptor
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flags
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function sets the local and/or remote addresses in \sphinxstyleemphasis{auth\_context} based on the local and remote endpoints of the socket \sphinxstyleemphasis{infd} . The following flags determine the operations performed:
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR:KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR}}}} Generate local address.
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR Generate local address.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR:KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR}}}} Generate remote address.
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR Generate remote address.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR:KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR}}}} Generate local address and port.
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR Generate local address and port.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR:KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR}}}} Generate remote address and port.
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR Generate remote address and port.
 
 \end{itemize}
 
 
-\subsubsection{krb5\_auth\_con\_get\_checksum\_func -  Get the checksum callback from an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_get_checksum_func::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_get_checksum_func:krb5-auth-con-get-checksum-func-get-the-checksum-callback-from-an-auth-context}}\index{krb5\_auth\_con\_get\_checksum\_func (C function)}
+\subsubsection{krb5\_auth\_con\_get\_checksum\_func \sphinxhyphen{}  Get the checksum callback from an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_get_checksum_func:krb5-auth-con-get-checksum-func-get-the-checksum-callback-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_get_checksum_func::doc}}\index{krb5\_auth\_con\_get\_checksum\_func (C function)@\spxentry{krb5\_auth\_con\_get\_checksum\_func}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_get_checksum_func:c.krb5_auth_con_get_checksum_func}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_get\_checksum\_func}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:c.krb5_mk_req_checksum_func}]{\sphinxcrossref{krb5\_mk\_req\_checksum\_func}}} *\sphinxstyleemphasis{ func}, void **\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_get_checksum_func:c.krb5_auth_con_get_checksum_func}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_get\_checksum\_func}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:c.krb5_mk_req_checksum_func}]{\sphinxcrossref{\DUrole{n}{krb5\_mk\_req\_checksum\_func}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{func}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{func} - Checksum callback
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{func} \sphinxhyphen{} Checksum callback
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data} - Callback argument
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data} \sphinxhyphen{} Callback argument
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   (always)
 
 \end{itemize}
@@ -4843,1180 +6017,1521 @@ This function sets the local and/or remo
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_auth\_con\_getaddrs -  Retrieve address fields from an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getaddrs:krb5-auth-con-getaddrs-retrieve-address-fields-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getaddrs::doc}}\index{krb5\_auth\_con\_getaddrs (C function)}
+\subsubsection{krb5\_auth\_con\_getaddrs \sphinxhyphen{}  Retrieve address fields from an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getaddrs:krb5-auth-con-getaddrs-retrieve-address-fields-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getaddrs::doc}}\index{krb5\_auth\_con\_getaddrs (C function)@\spxentry{krb5\_auth\_con\_getaddrs}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getaddrs:c.krb5_auth_con_getaddrs}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getaddrs}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} **\sphinxstyleemphasis{ local\_addr}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} **\sphinxstyleemphasis{ remote\_addr}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getaddrs:c.krb5_auth_con_getaddrs}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getaddrs}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{local\_addr}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{remote\_addr}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{local\_addr} - Local address (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{local\_addr} \sphinxhyphen{} Local address (NULL if not needed)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{remote\_addr} - Remote address (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{remote\_addr} \sphinxhyphen{} Remote address (NULL if not needed)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_auth\_con\_getauthenticator -  Retrieve the authenticator from an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getauthenticator:krb5-auth-con-getauthenticator-retrieve-the-authenticator-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getauthenticator::doc}}\index{krb5\_auth\_con\_getauthenticator (C function)}
+\subsubsection{krb5\_auth\_con\_getauthenticator \sphinxhyphen{}  Retrieve the authenticator from an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getauthenticator:krb5-auth-con-getauthenticator-retrieve-the-authenticator-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getauthenticator::doc}}\index{krb5\_auth\_con\_getauthenticator (C function)@\spxentry{krb5\_auth\_con\_getauthenticator}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getauthenticator:c.krb5_auth_con_getauthenticator}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getauthenticator}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{krb5\_authenticator}}} **\sphinxstyleemphasis{ authenticator}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getauthenticator:c.krb5_auth_con_getauthenticator}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getauthenticator}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{authenticator}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authenticator} - Authenticator
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authenticator} \sphinxhyphen{} Authenticator
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success. Otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success. Otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_authenticator:c.krb5_free_authenticator}]{\sphinxcrossref{\sphinxcode{krb5\_free\_authenticator()}}}} to free \sphinxstyleemphasis{authenticator} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_authenticator() to free \sphinxstyleemphasis{authenticator} when it is no longer needed.
 
 
-\subsubsection{krb5\_auth\_con\_getflags -  Retrieve flags from a krb5\_auth\_context structure.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getflags:krb5-auth-con-getflags-retrieve-flags-from-a-krb5-auth-context-structure}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getflags::doc}}\index{krb5\_auth\_con\_getflags (C function)}
+\subsubsection{krb5\_auth\_con\_getflags \sphinxhyphen{}  Retrieve flags from a krb5\_auth\_context structure.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getflags:krb5-auth-con-getflags-retrieve-flags-from-a-krb5-auth-context-structure}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getflags::doc}}\index{krb5\_auth\_con\_getflags (C function)@\spxentry{krb5\_auth\_con\_getflags}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getflags:c.krb5_auth_con_getflags}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getflags}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}} *\sphinxstyleemphasis{ flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getflags:c.krb5_auth_con_getflags}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getflags}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{flags} - Flags bit mask
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flags bit mask
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   (always)
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Valid values for \sphinxstyleemphasis{flags} are:
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} Use timestamps
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_DO\_TIME Use timestamps
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} Save timestamps
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_RET\_TIME Save timestamps
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} Use sequence numbers
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE Use sequence numbers
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} Save sequence numbers
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE Save sequence numbers
 
 \end{itemize}
 
 
-\subsubsection{krb5\_auth\_con\_getkey -  Retrieve the session key from an auth context as a keyblock.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey:krb5-auth-con-getkey-retrieve-the-session-key-from-an-auth-context-as-a-keyblock}}\index{krb5\_auth\_con\_getkey (C function)}
+\subsubsection{krb5\_auth\_con\_getkey \sphinxhyphen{}  Retrieve the session key from an auth context as a keyblock.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey:krb5-auth-con-getkey-retrieve-the-session-key-from-an-auth-context-as-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey::doc}}\index{krb5\_auth\_con\_getkey (C function)@\spxentry{krb5\_auth\_con\_getkey}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey:c.krb5_auth_con_getkey}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getkey}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ keyblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey:c.krb5_auth_con_getkey}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getkey}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{keyblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keyblock} - Session key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keyblock} \sphinxhyphen{} Session key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success. Otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success. Otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a keyblock containing the session key from \sphinxstyleemphasis{auth\_context} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock:c.krb5_free_keyblock}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock()}}}} to free \sphinxstyleemphasis{keyblock} when it is no longer needed
+\sphinxAtStartPar
+This function creates a keyblock containing the session key from \sphinxstyleemphasis{auth\_context} . Use krb5\_free\_keyblock() to free \sphinxstyleemphasis{keyblock} when it is no longer needed
 
 
-\subsubsection{krb5\_auth\_con\_getkey\_k -  Retrieve the session key from an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey_k:krb5-auth-con-getkey-k-retrieve-the-session-key-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey_k::doc}}\index{krb5\_auth\_con\_getkey\_k (C function)}
+\subsubsection{krb5\_auth\_con\_getkey\_k \sphinxhyphen{}  Retrieve the session key from an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey_k:krb5-auth-con-getkey-k-retrieve-the-session-key-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey_k::doc}}\index{krb5\_auth\_con\_getkey\_k (C function)@\spxentry{krb5\_auth\_con\_getkey\_k}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey_k:c.krb5_auth_con_getkey_k}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getkey\_k}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}} *\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getkey_k:c.krb5_auth_con_getkey_k}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getkey\_k}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} - Session key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} \sphinxhyphen{} Session key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   (always)
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function sets \sphinxstyleemphasis{key} to the session key from \sphinxstyleemphasis{auth\_context} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_k_free_key:c.krb5_k_free_key}]{\sphinxcrossref{\sphinxcode{krb5\_k\_free\_key()}}}} to release \sphinxstyleemphasis{key} when it is no longer needed.
+\sphinxAtStartPar
+This function sets \sphinxstyleemphasis{key} to the session key from \sphinxstyleemphasis{auth\_context} . Use krb5\_k\_free\_key() to release \sphinxstyleemphasis{key} when it is no longer needed.
 
 
-\subsubsection{krb5\_auth\_con\_getlocalseqnumber -  Retrieve the local sequence number from an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalseqnumber::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalseqnumber:krb5-auth-con-getlocalseqnumber-retrieve-the-local-sequence-number-from-an-auth-context}}\index{krb5\_auth\_con\_getlocalseqnumber (C function)}
+\subsubsection{krb5\_auth\_con\_getlocalseqnumber \sphinxhyphen{}  Retrieve the local sequence number from an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalseqnumber:krb5-auth-con-getlocalseqnumber-retrieve-the-local-sequence-number-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalseqnumber::doc}}\index{krb5\_auth\_con\_getlocalseqnumber (C function)@\spxentry{krb5\_auth\_con\_getlocalseqnumber}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalseqnumber:c.krb5_auth_con_getlocalseqnumber}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getlocalseqnumber}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}} *\sphinxstyleemphasis{ seqnumber}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalseqnumber:c.krb5_auth_con_getlocalseqnumber}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getlocalseqnumber}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{seqnumber}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{seqnumber} - Local sequence number
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{seqnumber} \sphinxhyphen{} Local sequence number
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Retrieve the local sequence number from \sphinxstyleemphasis{auth\_context} and return it in \sphinxstyleemphasis{seqnumber} . The {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} flag must be set in \sphinxstyleemphasis{auth\_context} for this function to be useful.
+\sphinxAtStartPar
+Retrieve the local sequence number from \sphinxstyleemphasis{auth\_context} and return it in \sphinxstyleemphasis{seqnumber} . The \#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE flag must be set in \sphinxstyleemphasis{auth\_context} for this function to be useful.
 
 
-\subsubsection{krb5\_auth\_con\_getrcache -  Retrieve the replay cache from an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getrcache:krb5-auth-con-getrcache-retrieve-the-replay-cache-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getrcache::doc}}\index{krb5\_auth\_con\_getrcache (C function)}
+\subsubsection{krb5\_auth\_con\_getrcache \sphinxhyphen{}  Retrieve the replay cache from an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getrcache:krb5-auth-con-getrcache-retrieve-the-replay-cache-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getrcache::doc}}\index{krb5\_auth\_con\_getrcache (C function)@\spxentry{krb5\_auth\_con\_getrcache}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getrcache:c.krb5_auth_con_getrcache}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getrcache}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_rcache:c.krb5_rcache}]{\sphinxcrossref{krb5\_rcache}}} *\sphinxstyleemphasis{ rcache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getrcache:c.krb5_auth_con_getrcache}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getrcache}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_rcache:c.krb5_rcache}]{\sphinxcrossref{\DUrole{n}{krb5\_rcache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rcache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rcache} - Replay cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rcache} \sphinxhyphen{} Replay cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   (always)
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function fetches the replay cache from \sphinxstyleemphasis{auth\_context} . The caller should not close \sphinxstyleemphasis{rcache} .
 
 
-\subsubsection{krb5\_auth\_con\_getrecvsubkey -  Retrieve the receiving subkey from an auth context as a keyblock.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey:krb5-auth-con-getrecvsubkey-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey::doc}}\index{krb5\_auth\_con\_getrecvsubkey (C function)}
+\subsubsection{krb5\_auth\_con\_getrecvsubkey \sphinxhyphen{}  Retrieve the receiving subkey from an auth context as a keyblock.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey:krb5-auth-con-getrecvsubkey-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey::doc}}\index{krb5\_auth\_con\_getrecvsubkey (C function)@\spxentry{krb5\_auth\_con\_getrecvsubkey}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey:c.krb5_auth_con_getrecvsubkey}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getrecvsubkey}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ keyblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey:c.krb5_auth_con_getrecvsubkey}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getrecvsubkey}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{keyblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keyblock} - Receiving subkey
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keyblock} \sphinxhyphen{} Receiving subkey
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a keyblock containing the receiving subkey from \sphinxstyleemphasis{auth\_context} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock:c.krb5_free_keyblock}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock()}}}} to free \sphinxstyleemphasis{keyblock} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a keyblock containing the receiving subkey from \sphinxstyleemphasis{auth\_context} . Use krb5\_free\_keyblock() to free \sphinxstyleemphasis{keyblock} when it is no longer needed.
 
 
-\subsubsection{krb5\_auth\_con\_getrecvsubkey\_k -  Retrieve the receiving subkey from an auth context as a keyblock.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey_k:krb5-auth-con-getrecvsubkey-k-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey_k::doc}}\index{krb5\_auth\_con\_getrecvsubkey\_k (C function)}
+\subsubsection{krb5\_auth\_con\_getrecvsubkey\_k \sphinxhyphen{}  Retrieve the receiving subkey from an auth context as a keyblock.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey_k:krb5-auth-con-getrecvsubkey-k-retrieve-the-receiving-subkey-from-an-auth-context-as-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey_k::doc}}\index{krb5\_auth\_con\_getrecvsubkey\_k (C function)@\spxentry{krb5\_auth\_con\_getrecvsubkey\_k}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey_k:c.krb5_auth_con_getrecvsubkey_k}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getrecvsubkey\_k}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}} *\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getrecvsubkey_k:c.krb5_auth_con_getrecvsubkey_k}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getrecvsubkey\_k}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} - Receiving subkey
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} \sphinxhyphen{} Receiving subkey
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function sets \sphinxstyleemphasis{key} to the receiving subkey from \sphinxstyleemphasis{auth\_context} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_k_free_key:c.krb5_k_free_key}]{\sphinxcrossref{\sphinxcode{krb5\_k\_free\_key()}}}} to release \sphinxstyleemphasis{key} when it is no longer needed.
+\sphinxAtStartPar
+This function sets \sphinxstyleemphasis{key} to the receiving subkey from \sphinxstyleemphasis{auth\_context} . Use krb5\_k\_free\_key() to release \sphinxstyleemphasis{key} when it is no longer needed.
 
 
-\subsubsection{krb5\_auth\_con\_getremoteseqnumber -  Retrieve the remote sequence number from an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getremoteseqnumber:krb5-auth-con-getremoteseqnumber-retrieve-the-remote-sequence-number-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getremoteseqnumber::doc}}\index{krb5\_auth\_con\_getremoteseqnumber (C function)}
+\subsubsection{krb5\_auth\_con\_getremoteseqnumber \sphinxhyphen{}  Retrieve the remote sequence number from an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getremoteseqnumber:krb5-auth-con-getremoteseqnumber-retrieve-the-remote-sequence-number-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getremoteseqnumber::doc}}\index{krb5\_auth\_con\_getremoteseqnumber (C function)@\spxentry{krb5\_auth\_con\_getremoteseqnumber}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getremoteseqnumber:c.krb5_auth_con_getremoteseqnumber}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getremoteseqnumber}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}} *\sphinxstyleemphasis{ seqnumber}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getremoteseqnumber:c.krb5_auth_con_getremoteseqnumber}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getremoteseqnumber}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{seqnumber}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{seqnumber} - Remote sequence number
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{seqnumber} \sphinxhyphen{} Remote sequence number
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Retrieve the remote sequence number from \sphinxstyleemphasis{auth\_context} and return it in \sphinxstyleemphasis{seqnumber} . The {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} flag must be set in \sphinxstyleemphasis{auth\_context} for this function to be useful.
+\sphinxAtStartPar
+Retrieve the remote sequence number from \sphinxstyleemphasis{auth\_context} and return it in \sphinxstyleemphasis{seqnumber} . The \#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE flag must be set in \sphinxstyleemphasis{auth\_context} for this function to be useful.
 
 
-\subsubsection{krb5\_auth\_con\_getsendsubkey -  Retrieve the send subkey from an auth context as a keyblock.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey:krb5-auth-con-getsendsubkey-retrieve-the-send-subkey-from-an-auth-context-as-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey::doc}}\index{krb5\_auth\_con\_getsendsubkey (C function)}
+\subsubsection{krb5\_auth\_con\_getsendsubkey \sphinxhyphen{}  Retrieve the send subkey from an auth context as a keyblock.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey:krb5-auth-con-getsendsubkey-retrieve-the-send-subkey-from-an-auth-context-as-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey::doc}}\index{krb5\_auth\_con\_getsendsubkey (C function)@\spxentry{krb5\_auth\_con\_getsendsubkey}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey:c.krb5_auth_con_getsendsubkey}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getsendsubkey}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ keyblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey:c.krb5_auth_con_getsendsubkey}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getsendsubkey}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{keyblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keyblock} - Send subkey
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keyblock} \sphinxhyphen{} Send subkey
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a keyblock containing the send subkey from \sphinxstyleemphasis{auth\_context} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock:c.krb5_free_keyblock}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock()}}}} to free \sphinxstyleemphasis{keyblock} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a keyblock containing the send subkey from \sphinxstyleemphasis{auth\_context} . Use krb5\_free\_keyblock() to free \sphinxstyleemphasis{keyblock} when it is no longer needed.
 
 
-\subsubsection{krb5\_auth\_con\_getsendsubkey\_k -  Retrieve the send subkey from an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey_k:krb5-auth-con-getsendsubkey-k-retrieve-the-send-subkey-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey_k::doc}}\index{krb5\_auth\_con\_getsendsubkey\_k (C function)}
+\subsubsection{krb5\_auth\_con\_getsendsubkey\_k \sphinxhyphen{}  Retrieve the send subkey from an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey_k:krb5-auth-con-getsendsubkey-k-retrieve-the-send-subkey-from-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey_k::doc}}\index{krb5\_auth\_con\_getsendsubkey\_k (C function)@\spxentry{krb5\_auth\_con\_getsendsubkey\_k}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey_k:c.krb5_auth_con_getsendsubkey_k}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getsendsubkey\_k}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}} *\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getsendsubkey_k:c.krb5_auth_con_getsendsubkey_k}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getsendsubkey\_k}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} - Send subkey
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} \sphinxhyphen{} Send subkey
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function sets \sphinxstyleemphasis{key} to the send subkey from \sphinxstyleemphasis{auth\_context} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_k_free_key:c.krb5_k_free_key}]{\sphinxcrossref{\sphinxcode{krb5\_k\_free\_key()}}}} to release \sphinxstyleemphasis{key} when it is no longer needed.
+\sphinxAtStartPar
+This function sets \sphinxstyleemphasis{key} to the send subkey from \sphinxstyleemphasis{auth\_context} . Use krb5\_k\_free\_key() to release \sphinxstyleemphasis{key} when it is no longer needed.
 
 
-\subsubsection{krb5\_auth\_con\_init -  Create and initialize an authentication context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_init:krb5-auth-con-init-create-and-initialize-an-authentication-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_init::doc}}\index{krb5\_auth\_con\_init (C function)}
+\subsubsection{krb5\_auth\_con\_init \sphinxhyphen{}  Create and initialize an authentication context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_init:krb5-auth-con-init-create-and-initialize-an-authentication-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_init::doc}}\index{krb5\_auth\_con\_init (C function)@\spxentry{krb5\_auth\_con\_init}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_init:c.krb5_auth_con_init}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_init}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}} *\sphinxstyleemphasis{ auth\_context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_init:c.krb5_auth_con_init}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_init}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{auth\_context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function creates an authentication context to hold configuration and state relevant to krb5 functions for authenticating principals and protecting messages once authentication has occurred.
 
-By default, flags for the context are set to enable the use of the replay cache ( {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} ), but not sequence numbers. Use {\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setflags:c.krb5_auth_con_setflags}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_setflags()}}}} to change the flags.
+\sphinxAtStartPar
+By default, flags for the context are set to enable the use of the replay cache (\#KRB5\_AUTH\_CONTEXT\_DO\_TIME), but not sequence numbers. Use krb5\_auth\_con\_setflags() to change the flags.
 
-The allocated \sphinxstyleemphasis{auth\_context} must be freed with {\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_free:c.krb5_auth_con_free}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_free()}}}} when it is no longer needed.
+\sphinxAtStartPar
+The allocated \sphinxstyleemphasis{auth\_context} must be freed with krb5\_auth\_con\_free() when it is no longer needed.
 
 
-\subsubsection{krb5\_auth\_con\_set\_checksum\_func -  Set a checksum callback in an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_set_checksum_func:krb5-auth-con-set-checksum-func-set-a-checksum-callback-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_set_checksum_func::doc}}\index{krb5\_auth\_con\_set\_checksum\_func (C function)}
+\subsubsection{krb5\_auth\_con\_set\_checksum\_func \sphinxhyphen{}  Set a checksum callback in an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_set_checksum_func:krb5-auth-con-set-checksum-func-set-a-checksum-callback-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_set_checksum_func::doc}}\index{krb5\_auth\_con\_set\_checksum\_func (C function)@\spxentry{krb5\_auth\_con\_set\_checksum\_func}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_set_checksum_func:c.krb5_auth_con_set_checksum_func}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_set\_checksum\_func}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:c.krb5_mk_req_checksum_func}]{\sphinxcrossref{krb5\_mk\_req\_checksum\_func}}}\sphinxstyleemphasis{ func}, void *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_set_checksum_func:c.krb5_auth_con_set_checksum_func}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_set\_checksum\_func}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:c.krb5_mk_req_checksum_func}]{\sphinxcrossref{\DUrole{n}{krb5\_mk\_req\_checksum\_func}}}}\DUrole{w}{  }\DUrole{n}{func}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{func} - Checksum callback
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{func} \sphinxhyphen{} Checksum callback
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Callback argument
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Callback argument
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   (always)
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Set a callback to obtain checksum data in {\hyperref[\detokenize{appdev/refs/api/krb5_mk_req:c.krb5_mk_req}]{\sphinxcrossref{\sphinxcode{krb5\_mk\_req()}}}} . The callback will be invoked after the subkey and local sequence number are stored in \sphinxstyleemphasis{auth\_context} .
+\sphinxAtStartPar
+Set a callback to obtain checksum data in krb5\_mk\_req(). The callback will be invoked after the subkey and local sequence number are stored in \sphinxstyleemphasis{auth\_context} .
 
 
-\subsubsection{krb5\_auth\_con\_set\_req\_cksumtype -  Set checksum type in an an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_set_req_cksumtype:krb5-auth-con-set-req-cksumtype-set-checksum-type-in-an-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_set_req_cksumtype::doc}}\index{krb5\_auth\_con\_set\_req\_cksumtype (C function)}
+\subsubsection{krb5\_auth\_con\_set\_req\_cksumtype \sphinxhyphen{}  Set checksum type in an an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_set_req_cksumtype:krb5-auth-con-set-req-cksumtype-set-checksum-type-in-an-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_set_req_cksumtype::doc}}\index{krb5\_auth\_con\_set\_req\_cksumtype (C function)@\spxentry{krb5\_auth\_con\_set\_req\_cksumtype}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_set_req_cksumtype:c.krb5_auth_con_set_req_cksumtype}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_set\_req\_cksumtype}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ cksumtype}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_set_req_cksumtype:c.krb5_auth_con_set_req_cksumtype}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_set\_req\_cksumtype}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{cksumtype}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} - Checksum type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} \sphinxhyphen{} Checksum type
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success. Otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success. Otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function sets the checksum type in \sphinxstyleemphasis{auth\_context} to be used by {\hyperref[\detokenize{appdev/refs/api/krb5_mk_req:c.krb5_mk_req}]{\sphinxcrossref{\sphinxcode{krb5\_mk\_req()}}}} for the authenticator checksum.
+\sphinxAtStartPar
+This function sets the checksum type in \sphinxstyleemphasis{auth\_context} to be used by krb5\_mk\_req() for the authenticator checksum.
 
 
-\subsubsection{krb5\_auth\_con\_setaddrs -  Set the local and remote addresses in an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_setaddrs::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setaddrs:krb5-auth-con-setaddrs-set-the-local-and-remote-addresses-in-an-auth-context}}\index{krb5\_auth\_con\_setaddrs (C function)}
+\subsubsection{krb5\_auth\_con\_setaddrs \sphinxhyphen{}  Set the local and remote addresses in an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_setaddrs:krb5-auth-con-setaddrs-set-the-local-and-remote-addresses-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setaddrs::doc}}\index{krb5\_auth\_con\_setaddrs (C function)@\spxentry{krb5\_auth\_con\_setaddrs}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setaddrs:c.krb5_auth_con_setaddrs}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_setaddrs}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *\sphinxstyleemphasis{ local\_addr}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *\sphinxstyleemphasis{ remote\_addr}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setaddrs:c.krb5_auth_con_setaddrs}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_setaddrs}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{local\_addr}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{remote\_addr}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{local\_addr} - Local address
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{local\_addr} \sphinxhyphen{} Local address
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{remote\_addr} - Remote address
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{remote\_addr} \sphinxhyphen{} Remote address
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function releases the storage assigned to the contents of the local and remote addresses of \sphinxstyleemphasis{auth\_context} and then sets them to \sphinxstyleemphasis{local\_addr} and \sphinxstyleemphasis{remote\_addr} respectively.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_genaddrs:c.krb5_auth_con_genaddrs}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_genaddrs()}}}}
+\sphinxAtStartPar
+krb5\_auth\_con\_genaddrs()
 
 
 
 
-\subsubsection{krb5\_auth\_con\_setflags -  Set a flags field in a krb5\_auth\_context structure.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_setflags:krb5-auth-con-setflags-set-a-flags-field-in-a-krb5-auth-context-structure}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setflags::doc}}\index{krb5\_auth\_con\_setflags (C function)}
+\subsubsection{krb5\_auth\_con\_setflags \sphinxhyphen{}  Set a flags field in a krb5\_auth\_context structure.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_setflags:krb5-auth-con-setflags-set-a-flags-field-in-a-krb5-auth-context-structure}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setflags::doc}}\index{krb5\_auth\_con\_setflags (C function)@\spxentry{krb5\_auth\_con\_setflags}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setflags:c.krb5_auth_con_setflags}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_setflags}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}\sphinxstyleemphasis{ flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setflags:c.krb5_auth_con_setflags}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_setflags}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{n}{flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Flags bit mask
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flags bit mask
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   (always)
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Valid values for \sphinxstyleemphasis{flags} are:
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} Use timestamps
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_DO\_TIME Use timestamps
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} Save timestamps
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_RET\_TIME Save timestamps
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} Use sequence numbers
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE Use sequence numbers
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} Save sequence numbers
+\sphinxAtStartPar
+\#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE Save sequence numbers
 
 \end{itemize}
 
 
-\subsubsection{krb5\_auth\_con\_setports -  Set local and remote port fields in an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_setports:krb5-auth-con-setports-set-local-and-remote-port-fields-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setports::doc}}\index{krb5\_auth\_con\_setports (C function)}
+\subsubsection{krb5\_auth\_con\_setports \sphinxhyphen{}  Set local and remote port fields in an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_setports:krb5-auth-con-setports-set-local-and-remote-port-fields-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setports::doc}}\index{krb5\_auth\_con\_setports (C function)@\spxentry{krb5\_auth\_con\_setports}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setports:c.krb5_auth_con_setports}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_setports}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *\sphinxstyleemphasis{ local\_port}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *\sphinxstyleemphasis{ remote\_port}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setports:c.krb5_auth_con_setports}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_setports}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{local\_port}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{remote\_port}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{local\_port} - Local port
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{local\_port} \sphinxhyphen{} Local port
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{remote\_port} - Remote port
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{remote\_port} \sphinxhyphen{} Remote port
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function releases the storage assigned to the contents of the local and remote ports of \sphinxstyleemphasis{auth\_context} and then sets them to \sphinxstyleemphasis{local\_port} and \sphinxstyleemphasis{remote\_port} respectively.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_genaddrs:c.krb5_auth_con_genaddrs}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_genaddrs()}}}}
+\sphinxAtStartPar
+krb5\_auth\_con\_genaddrs()
 
 
 
 
-\subsubsection{krb5\_auth\_con\_setrcache -  Set the replay cache in an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_setrcache::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setrcache:krb5-auth-con-setrcache-set-the-replay-cache-in-an-auth-context}}\index{krb5\_auth\_con\_setrcache (C function)}
+\subsubsection{krb5\_auth\_con\_setrcache \sphinxhyphen{}  Set the replay cache in an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_setrcache:krb5-auth-con-setrcache-set-the-replay-cache-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setrcache::doc}}\index{krb5\_auth\_con\_setrcache (C function)@\spxentry{krb5\_auth\_con\_setrcache}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setrcache:c.krb5_auth_con_setrcache}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_setrcache}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_rcache:c.krb5_rcache}]{\sphinxcrossref{krb5\_rcache}}}\sphinxstyleemphasis{ rcache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setrcache:c.krb5_auth_con_setrcache}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_setrcache}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_rcache:c.krb5_rcache}]{\sphinxcrossref{\DUrole{n}{krb5\_rcache}}}}\DUrole{w}{  }\DUrole{n}{rcache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rcache} - Replay cache haddle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{rcache} \sphinxhyphen{} Replay cache haddle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function sets the replay cache in \sphinxstyleemphasis{auth\_context} to \sphinxstyleemphasis{rcache} . \sphinxstyleemphasis{rcache} will be closed when \sphinxstyleemphasis{auth\_context} is freed, so the caller should relinquish that responsibility.
 
 
-\subsubsection{krb5\_auth\_con\_setrecvsubkey -  Set the receiving subkey in an auth context with a keyblock.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey:krb5-auth-con-setrecvsubkey-set-the-receiving-subkey-in-an-auth-context-with-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey::doc}}\index{krb5\_auth\_con\_setrecvsubkey (C function)}
+\subsubsection{krb5\_auth\_con\_setrecvsubkey \sphinxhyphen{}  Set the receiving subkey in an auth context with a keyblock.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey:krb5-auth-con-setrecvsubkey-set-the-receiving-subkey-in-an-auth-context-with-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey::doc}}\index{krb5\_auth\_con\_setrecvsubkey (C function)@\spxentry{krb5\_auth\_con\_setrecvsubkey}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey:c.krb5_auth_con_setrecvsubkey}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_setrecvsubkey}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ keyblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey:c.krb5_auth_con_setrecvsubkey}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_setrecvsubkey}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keyblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} - Receiving subkey
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} \sphinxhyphen{} Receiving subkey
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function sets the receiving subkey in \sphinxstyleemphasis{ac} to a copy of \sphinxstyleemphasis{keyblock} .
 
 
-\subsubsection{krb5\_auth\_con\_setrecvsubkey\_k -  Set the receiving subkey in an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey_k::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey_k:krb5-auth-con-setrecvsubkey-k-set-the-receiving-subkey-in-an-auth-context}}\index{krb5\_auth\_con\_setrecvsubkey\_k (C function)}
+\subsubsection{krb5\_auth\_con\_setrecvsubkey\_k \sphinxhyphen{}  Set the receiving subkey in an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey_k:krb5-auth-con-setrecvsubkey-k-set-the-receiving-subkey-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey_k::doc}}\index{krb5\_auth\_con\_setrecvsubkey\_k (C function)@\spxentry{krb5\_auth\_con\_setrecvsubkey\_k}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey_k:c.krb5_auth_con_setrecvsubkey_k}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_setrecvsubkey\_k}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setrecvsubkey_k:c.krb5_auth_con_setrecvsubkey_k}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_setrecvsubkey\_k}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Receiving subkey
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Receiving subkey
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function sets the receiving subkey in \sphinxstyleemphasis{ac} to \sphinxstyleemphasis{key} , incrementing its reference count.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_auth\_con\_setsendsubkey -  Set the send subkey in an auth context with a keyblock.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey:krb5-auth-con-setsendsubkey-set-the-send-subkey-in-an-auth-context-with-a-keyblock}}\index{krb5\_auth\_con\_setsendsubkey (C function)}
+\subsubsection{krb5\_auth\_con\_setsendsubkey \sphinxhyphen{}  Set the send subkey in an auth context with a keyblock.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey:krb5-auth-con-setsendsubkey-set-the-send-subkey-in-an-auth-context-with-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey::doc}}\index{krb5\_auth\_con\_setsendsubkey (C function)@\spxentry{krb5\_auth\_con\_setsendsubkey}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey:c.krb5_auth_con_setsendsubkey}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_setsendsubkey}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ keyblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey:c.krb5_auth_con_setsendsubkey}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_setsendsubkey}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keyblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} - Send subkey
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} \sphinxhyphen{} Send subkey
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success. Otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success. Otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function sets the send subkey in \sphinxstyleemphasis{ac} to a copy of \sphinxstyleemphasis{keyblock} .
 
 
-\subsubsection{krb5\_auth\_con\_setsendsubkey\_k -  Set the send subkey in an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey_k:krb5-auth-con-setsendsubkey-k-set-the-send-subkey-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey_k::doc}}\index{krb5\_auth\_con\_setsendsubkey\_k (C function)}
+\subsubsection{krb5\_auth\_con\_setsendsubkey\_k \sphinxhyphen{}  Set the send subkey in an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey_k:krb5-auth-con-setsendsubkey-k-set-the-send-subkey-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey_k::doc}}\index{krb5\_auth\_con\_setsendsubkey\_k (C function)@\spxentry{krb5\_auth\_con\_setsendsubkey\_k}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey_k:c.krb5_auth_con_setsendsubkey_k}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_setsendsubkey\_k}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setsendsubkey_k:c.krb5_auth_con_setsendsubkey_k}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_setsendsubkey\_k}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{ac}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ac} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} - Send subkey
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} \sphinxhyphen{} Send subkey
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function sets the send subkey in \sphinxstyleemphasis{ac} to \sphinxstyleemphasis{key} , incrementing its reference count.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_auth\_con\_setuseruserkey -  Set the session key in an auth context.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_setuseruserkey::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setuseruserkey:krb5-auth-con-setuseruserkey-set-the-session-key-in-an-auth-context}}\index{krb5\_auth\_con\_setuseruserkey (C function)}
+\subsubsection{krb5\_auth\_con\_setuseruserkey \sphinxhyphen{}  Set the session key in an auth context.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_setuseruserkey:krb5-auth-con-setuseruserkey-set-the-session-key-in-an-auth-context}}\label{\detokenize{appdev/refs/api/krb5_auth_con_setuseruserkey::doc}}\index{krb5\_auth\_con\_setuseruserkey (C function)@\spxentry{krb5\_auth\_con\_setuseruserkey}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setuseruserkey:c.krb5_auth_con_setuseruserkey}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_setuseruserkey}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ keyblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_setuseruserkey:c.krb5_auth_con_setuseruserkey}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_setuseruserkey}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keyblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} - User key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} \sphinxhyphen{} User key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_cc\_cache\_match -  Find a credential cache with a specified client principal.}
-\label{\detokenize{appdev/refs/api/krb5_cc_cache_match:krb5-cc-cache-match-find-a-credential-cache-with-a-specified-client-principal}}\label{\detokenize{appdev/refs/api/krb5_cc_cache_match::doc}}\index{krb5\_cc\_cache\_match (C function)}
+\subsubsection{krb5\_cc\_cache\_match \sphinxhyphen{}  Find a credential cache with a specified client principal.}
+\label{\detokenize{appdev/refs/api/krb5_cc_cache_match:krb5-cc-cache-match-find-a-credential-cache-with-a-specified-client-principal}}\label{\detokenize{appdev/refs/api/krb5_cc_cache_match::doc}}\index{krb5\_cc\_cache\_match (C function)@\spxentry{krb5\_cc\_cache\_match}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_cache_match:c.krb5_cc_cache_match}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_cache\_match}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ client}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}} *\sphinxstyleemphasis{ cache\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_cache_match:c.krb5_cc_cache_match}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_cache\_match}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{client}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cache\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} - Client principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} \sphinxhyphen{} Client principal
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cache\_out} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cache\_out} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_CC\_NOTFOUND   None
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Find a cache within the collection whose default principal is \sphinxstyleemphasis{client} . Use \sphinxstyleemphasis{krb5\_cc\_close} to close \sphinxstyleemphasis{ccache} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.10
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cc\_copy\_creds -  Copy a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_copy_creds::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_copy_creds:krb5-cc-copy-creds-copy-a-credential-cache}}\index{krb5\_cc\_copy\_creds (C function)}
+\subsubsection{krb5\_cc\_copy\_creds \sphinxhyphen{}  Copy a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_copy_creds:krb5-cc-copy-creds-copy-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_copy_creds::doc}}\index{krb5\_cc\_copy\_creds (C function)@\spxentry{krb5\_cc\_copy\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_copy_creds:c.krb5_cc_copy_creds}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_copy\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ incc}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ outcc}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_copy_creds:c.krb5_cc_copy_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_copy\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{incc}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{outcc}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{incc} - Credential cache to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{incc} \sphinxhyphen{} Credential cache to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outcc} - Copy of credential cache to be filled in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outcc} \sphinxhyphen{} Copy of credential cache to be filled in
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_cc\_end\_seq\_get -  Finish a series of sequential processing credential cache entries.}
-\label{\detokenize{appdev/refs/api/krb5_cc_end_seq_get:krb5-cc-end-seq-get-finish-a-series-of-sequential-processing-credential-cache-entries}}\label{\detokenize{appdev/refs/api/krb5_cc_end_seq_get::doc}}\index{krb5\_cc\_end\_seq\_get (C function)}
+\subsubsection{krb5\_cc\_end\_seq\_get \sphinxhyphen{}  Finish a series of sequential processing credential cache entries.}
+\label{\detokenize{appdev/refs/api/krb5_cc_end_seq_get:krb5-cc-end-seq-get-finish-a-series-of-sequential-processing-credential-cache-entries}}\label{\detokenize{appdev/refs/api/krb5_cc_end_seq_get::doc}}\index{krb5\_cc\_end\_seq\_get (C function)@\spxentry{krb5\_cc\_end\_seq\_get}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_end_seq_get:c.krb5_cc_end_seq_get}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_end\_seq\_get}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_cc_cursor:c.krb5_cc_cursor}]{\sphinxcrossref{krb5\_cc\_cursor}}} *\sphinxstyleemphasis{ cursor}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_end_seq_get:c.krb5_cc_end_seq_get}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_end\_seq\_get}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_cc_cursor:c.krb5_cc_cursor}]{\sphinxcrossref{\DUrole{n}{krb5\_cc\_cursor}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cursor}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} - Cursor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} \sphinxhyphen{} Cursor
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   (always)
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function finishes processing credential cache entries and invalidates \sphinxstyleemphasis{cursor} .
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_cc_start_seq_get:c.krb5_cc_start_seq_get}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_start\_seq\_get()}}}} , {\hyperref[\detokenize{appdev/refs/api/krb5_cc_next_cred:c.krb5_cc_next_cred}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_next\_cred()}}}}
+\sphinxAtStartPar
+krb5\_cc\_start\_seq\_get(), krb5\_cc\_next\_cred()
 
 
 
 
-\subsubsection{krb5\_cc\_get\_config -  Get a configuration value from a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_get_config:krb5-cc-get-config-get-a-configuration-value-from-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_get_config::doc}}\index{krb5\_cc\_get\_config (C function)}
+\subsubsection{krb5\_cc\_get\_config \sphinxhyphen{}  Get a configuration value from a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_get_config:krb5-cc-get-config-get-a-configuration-value-from-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_get_config::doc}}\index{krb5\_cc\_get\_config (C function)@\spxentry{krb5\_cc\_get\_config}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_config:c.krb5_cc_get_config}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_get\_config}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ id}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, const char *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_config:c.krb5_cc_get_config}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_get\_config}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{id}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{id} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{id} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Configuration for this principal; if NULL, global for the whole cache
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Configuration for this principal; if NULL, global for the whole cache
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Name of config variable
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Name of config variable
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data} - Data to be fetched
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data} \sphinxhyphen{} Data to be fetched
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{data} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{data} when it is no longer needed.
 
 
-\subsubsection{krb5\_cc\_get\_flags -  Retrieve flags from a credential cache structure.}
-\label{\detokenize{appdev/refs/api/krb5_cc_get_flags:krb5-cc-get-flags-retrieve-flags-from-a-credential-cache-structure}}\label{\detokenize{appdev/refs/api/krb5_cc_get_flags::doc}}\index{krb5\_cc\_get\_flags (C function)}
+\subsubsection{krb5\_cc\_get\_flags \sphinxhyphen{}  Retrieve flags from a credential cache structure.}
+\label{\detokenize{appdev/refs/api/krb5_cc_get_flags:krb5-cc-get-flags-retrieve-flags-from-a-credential-cache-structure}}\label{\detokenize{appdev/refs/api/krb5_cc_get_flags::doc}}\index{krb5\_cc\_get\_flags (C function)@\spxentry{krb5\_cc\_get\_flags}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_flags:c.krb5_cc_get_flags}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_get\_flags}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}} *\sphinxstyleemphasis{ flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_flags:c.krb5_cc_get_flags}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_get\_flags}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{flags} - Flag bit mask
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flag bit mask
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{warning}{Warning:}
+\sphinxAtStartPar
 For memory credential cache always returns a flag mask of 0.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cc\_get\_full\_name -  Retrieve the full name of a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_get_full_name::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_get_full_name:krb5-cc-get-full-name-retrieve-the-full-name-of-a-credential-cache}}\index{krb5\_cc\_get\_full\_name (C function)}
+\subsubsection{krb5\_cc\_get\_full\_name \sphinxhyphen{}  Retrieve the full name of a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_get_full_name:krb5-cc-get-full-name-retrieve-the-full-name-of-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_get_full_name::doc}}\index{krb5\_cc\_get\_full\_name (C function)@\spxentry{krb5\_cc\_get\_full\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_full_name:c.krb5_cc_get_full_name}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_get\_full\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, char **\sphinxstyleemphasis{ fullname\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_get_full_name:c.krb5_cc_get_full_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_get\_full\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{fullname\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{fullname\_out} - Full name of cache
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{fullname\_out} \sphinxhyphen{} Full name of cache
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_string:c.krb5_free_string}]{\sphinxcrossref{\sphinxcode{krb5\_free\_string()}}}} to free \sphinxstyleemphasis{fullname\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_string() to free \sphinxstyleemphasis{fullname\_out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.10
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cc\_move -  Move a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_move:krb5-cc-move-move-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_move::doc}}\index{krb5\_cc\_move (C function)}
+\subsubsection{krb5\_cc\_move \sphinxhyphen{}  Move a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_move:krb5-cc-move-move-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_move::doc}}\index{krb5\_cc\_move (C function)@\spxentry{krb5\_cc\_move}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_move:c.krb5_cc_move}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_move}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ src}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ dst}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_move:c.krb5_cc_move}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_move}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{src}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{dst}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{src} - The credential cache to move the content from
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{src} \sphinxhyphen{} The credential cache to move the content from
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{dst} - The credential cache to move the content to
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{dst} \sphinxhyphen{} The credential cache to move the content to
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success; src is closed.
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes; src is still allocated.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function reinitializes \sphinxstyleemphasis{dst} and populates it with the credentials and default principal of \sphinxstyleemphasis{src} ; then, if successful, destroys \sphinxstyleemphasis{src} .
 
 
-\subsubsection{krb5\_cc\_next\_cred -  Retrieve the next entry from the credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_next_cred::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_next_cred:krb5-cc-next-cred-retrieve-the-next-entry-from-the-credential-cache}}\index{krb5\_cc\_next\_cred (C function)}
+\subsubsection{krb5\_cc\_next\_cred \sphinxhyphen{}  Retrieve the next entry from the credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_next_cred:krb5-cc-next-cred-retrieve-the-next-entry-from-the-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_next_cred::doc}}\index{krb5\_cc\_next\_cred (C function)@\spxentry{krb5\_cc\_next\_cred}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_next_cred:c.krb5_cc_next_cred}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_next\_cred}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_cc_cursor:c.krb5_cc_cursor}]{\sphinxcrossref{krb5\_cc\_cursor}}} *\sphinxstyleemphasis{ cursor}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_next_cred:c.krb5_cc_next_cred}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_next\_cred}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_cc_cursor:c.krb5_cc_cursor}]{\sphinxcrossref{\DUrole{n}{krb5\_cc\_cursor}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cursor}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} - Cursor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} \sphinxhyphen{} Cursor
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} - Next credential cache entry
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Next credential cache entry
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function fills in \sphinxstyleemphasis{creds} with the next entry in \sphinxstyleemphasis{cache} and advances \sphinxstyleemphasis{cursor} .
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_cred_contents:c.krb5_free_cred_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_cred\_contents()}}}} to free \sphinxstyleemphasis{creds} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_cred\_contents() to free \sphinxstyleemphasis{creds} when it is no longer needed.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_cc_start_seq_get:c.krb5_cc_start_seq_get}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_start\_seq\_get()}}}} , krb5\_end\_seq\_get()
+\sphinxAtStartPar
+krb5\_cc\_start\_seq\_get(), krb5\_end\_seq\_get()
 
 
 
 
-\subsubsection{krb5\_cc\_remove\_cred -  Remove credentials from a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_remove_cred:krb5-cc-remove-cred-remove-credentials-from-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_remove_cred::doc}}\index{krb5\_cc\_remove\_cred (C function)}
+\subsubsection{krb5\_cc\_remove\_cred \sphinxhyphen{}  Remove credentials from a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_remove_cred:krb5-cc-remove-cred-remove-credentials-from-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_remove_cred::doc}}\index{krb5\_cc\_remove\_cred (C function)@\spxentry{krb5\_cc\_remove\_cred}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_remove_cred:c.krb5_cc_remove_cred}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_remove\_cred}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_remove_cred:c.krb5_cc_remove_cred}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_remove\_cred}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Bitwise-ORed search flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Bitwise\sphinxhyphen{}ORed search flags
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} - Credentials to be matched
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Credentials to be matched
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 KRB5\_CC\_NOSUPP   Not implemented for this cache type
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 No matches found; Data cannot be deleted; Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function accepts the same flag values as {\hyperref[\detokenize{appdev/refs/api/krb5_cc_retrieve_cred:c.krb5_cc_retrieve_cred}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_retrieve\_cred()}}}} .
+\sphinxAtStartPar
+This function accepts the same flag values as krb5\_cc\_retrieve\_cred().
 
 \begin{sphinxadmonition}{warning}{Warning:}
+\sphinxAtStartPar
 This function is not implemented for some cache types.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cc\_retrieve\_cred -  Retrieve a specified credentials from a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_retrieve_cred:krb5-cc-retrieve-cred-retrieve-a-specified-credentials-from-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_retrieve_cred::doc}}\index{krb5\_cc\_retrieve\_cred (C function)}
+\subsubsection{krb5\_cc\_retrieve\_cred \sphinxhyphen{}  Retrieve a specified credentials from a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_retrieve_cred:krb5-cc-retrieve-cred-retrieve-a-specified-credentials-from-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_retrieve_cred::doc}}\index{krb5\_cc\_retrieve\_cred (C function)@\spxentry{krb5\_cc\_retrieve\_cred}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_retrieve_cred:c.krb5_cc_retrieve_cred}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_retrieve\_cred}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ mcreds}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_retrieve_cred:c.krb5_cc_retrieve_cred}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_retrieve\_cred}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{mcreds}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Flags bit mask
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flags bit mask
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{mcreds} - Credentials to match
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{mcreds} \sphinxhyphen{} Credentials to match
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} - Credentials matching the requested value
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Credentials matching the requested value
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function searches a credential cache for credentials matching \sphinxstyleemphasis{mcreds} and returns it if found.
 
+\sphinxAtStartPar
 Valid values for \sphinxstyleemphasis{flags} are:
 \begin{quote}
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES:KRB5_TC_MATCH_TIMES}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_MATCH\_TIMES}}}} The requested lifetime must be at least as great as in \sphinxstyleemphasis{mcreds} .
+\sphinxAtStartPar
+\#KRB5\_TC\_MATCH\_TIMES The requested lifetime must be at least as great as in \sphinxstyleemphasis{mcreds} .
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY:KRB5_TC_MATCH_IS_SKEY}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_MATCH\_IS\_SKEY}}}} The \sphinxstyleemphasis{is\_skey} field much match exactly.
+\sphinxAtStartPar
+\#KRB5\_TC\_MATCH\_IS\_SKEY The \sphinxstyleemphasis{is\_skey} field much match exactly.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS:KRB5_TC_MATCH_FLAGS}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_MATCH\_FLAGS}}}} Flags set in \sphinxstyleemphasis{mcreds} must be set.
+\sphinxAtStartPar
+\#KRB5\_TC\_MATCH\_FLAGS Flags set in \sphinxstyleemphasis{mcreds} must be set.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT:KRB5_TC_MATCH_TIMES_EXACT}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_MATCH\_TIMES\_EXACT}}}} The requested lifetime must match exactly.
+\sphinxAtStartPar
+\#KRB5\_TC\_MATCH\_TIMES\_EXACT The requested lifetime must match exactly.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT:KRB5_TC_MATCH_FLAGS_EXACT}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_MATCH\_FLAGS\_EXACT}}}} Flags must match exactly.
+\sphinxAtStartPar
+\#KRB5\_TC\_MATCH\_FLAGS\_EXACT Flags must match exactly.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA:KRB5_TC_MATCH_AUTHDATA}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_MATCH\_AUTHDATA}}}} The authorization data must match.
+\sphinxAtStartPar
+\#KRB5\_TC\_MATCH\_AUTHDATA The authorization data must match.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY:KRB5_TC_MATCH_SRV_NAMEONLY}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_MATCH\_SRV\_NAMEONLY}}}} Only the name portion of the principal name must match, not the realm.
+\sphinxAtStartPar
+\#KRB5\_TC\_MATCH\_SRV\_NAMEONLY Only the name portion of the principal name must match, not the realm.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT:KRB5_TC_MATCH_2ND_TKT}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_MATCH\_2ND\_TKT}}}} The second tickets must match.
+\sphinxAtStartPar
+\#KRB5\_TC\_MATCH\_2ND\_TKT The second tickets must match.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_MATCH_KTYPE:KRB5_TC_MATCH_KTYPE}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_MATCH\_KTYPE}}}} The encryption key types must match.
+\sphinxAtStartPar
+\#KRB5\_TC\_MATCH\_KTYPE The encryption key types must match.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES:KRB5_TC_SUPPORTED_KTYPES}]{\sphinxcrossref{\sphinxcode{KRB5\_TC\_SUPPORTED\_KTYPES}}}} Check all matching entries that have any supported encryption type and return the one with the encryption type listed earliest.
+\sphinxAtStartPar
+\#KRB5\_TC\_SUPPORTED\_KTYPES Check all matching entries that have any supported encryption type and return the one with the encryption type listed earliest.
 
 \end{itemize}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_cred_contents:c.krb5_free_cred_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_cred\_contents()}}}} to free \sphinxstyleemphasis{creds} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_cred\_contents() to free \sphinxstyleemphasis{creds} when it is no longer needed.
 \end{quote}
 
 
-\subsubsection{krb5\_cc\_select -  Select a credential cache to use with a server principal.}
-\label{\detokenize{appdev/refs/api/krb5_cc_select::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_select:krb5-cc-select-select-a-credential-cache-to-use-with-a-server-principal}}\index{krb5\_cc\_select (C function)}
+\subsubsection{krb5\_cc\_select \sphinxhyphen{}  Select a credential cache to use with a server principal.}
+\label{\detokenize{appdev/refs/api/krb5_cc_select:krb5-cc-select-select-a-credential-cache-to-use-with-a-server-principal}}\label{\detokenize{appdev/refs/api/krb5_cc_select::doc}}\index{krb5\_cc\_select (C function)@\spxentry{krb5\_cc\_select}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_select:c.krb5_cc_select}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_select}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ server}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}} *\sphinxstyleemphasis{ cache\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ princ\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_select:c.krb5_cc_select}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_select}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{server}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cache\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{princ\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Server principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Server principal
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cache\_out} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cache\_out} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ\_out} - Client principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princ\_out} \sphinxhyphen{} Client principal
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 If an appropriate cache is found, 0 is returned, cache\_out is set to the selected cache, and princ\_out is set to the default principal of that cache.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Select a cache within the collection containing credentials most appropriate for use with \sphinxstyleemphasis{server} , according to configured rules and heuristics.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_cc_close:c.krb5_cc_close}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_close()}}}} to release \sphinxstyleemphasis{cache\_out} when it is no longer needed. Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}} to release \sphinxstyleemphasis{princ\_out} when it is no longer needed. Note that \sphinxstyleemphasis{princ\_out} is set in some error conditions.
+\sphinxAtStartPar
+Use krb5\_cc\_close() to release \sphinxstyleemphasis{cache\_out} when it is no longer needed. Use krb5\_free\_principal() to release \sphinxstyleemphasis{princ\_out} when it is no longer needed. Note that \sphinxstyleemphasis{princ\_out} is set in some error conditions.
 
+\sphinxAtStartPar
 If the appropriate client principal can be authoritatively determined but the cache collection contains no credentials for that principal, then KRB5\_CC\_NOTFOUND is returned, \sphinxstyleemphasis{cache\_out} is set to NULL, and \sphinxstyleemphasis{princ\_out} is set to the appropriate client principal.
 
+\sphinxAtStartPar
 If no configured mechanism can determine the appropriate cache or principal, KRB5\_CC\_NOTFOUND is returned and \sphinxstyleemphasis{cache\_out} and \sphinxstyleemphasis{princ\_out} are set to NULL.
 
+\sphinxAtStartPar
 Any other error code indicates a fatal error in the processing of a cache selection mechanism.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.10
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cc\_set\_config -  Store a configuration value in a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_set_config::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_set_config:krb5-cc-set-config-store-a-configuration-value-in-a-credential-cache}}\index{krb5\_cc\_set\_config (C function)}
+\subsubsection{krb5\_cc\_set\_config \sphinxhyphen{}  Store a configuration value in a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_set_config:krb5-cc-set-config-store-a-configuration-value-in-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_set_config::doc}}\index{krb5\_cc\_set\_config (C function)@\spxentry{krb5\_cc\_set\_config}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_set_config:c.krb5_cc_set_config}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_set\_config}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ id}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, const char *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_set_config:c.krb5_cc_set_config}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_set\_config}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{id}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{id} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{id} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Configuration for a specific principal; if NULL, global for the whole cache
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Configuration for a specific principal; if NULL, global for the whole cache
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Name of config variable
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Name of config variable
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Data to store, or NULL to remove
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Data to store, or NULL to remove
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
@@ -6024,167 +7539,210 @@ Kerberos error codes
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{warning}{Warning:}
-Before version 1.10 \sphinxstyleemphasis{data} was assumed to be always non-null.
+\sphinxAtStartPar
+Before version 1.10 \sphinxstyleemphasis{data} was assumed to be always non\sphinxhyphen{}null.
 \end{sphinxadmonition}
 
 \begin{sphinxadmonition}{note}{Note:}
-Existing configuration under the same key is over-written.
+\sphinxAtStartPar
+Existing configuration under the same key is over\sphinxhyphen{}written.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cc\_set\_default\_name -  Set the default credential cache name.}
-\label{\detokenize{appdev/refs/api/krb5_cc_set_default_name:krb5-cc-set-default-name-set-the-default-credential-cache-name}}\label{\detokenize{appdev/refs/api/krb5_cc_set_default_name::doc}}\index{krb5\_cc\_set\_default\_name (C function)}
+\subsubsection{krb5\_cc\_set\_default\_name \sphinxhyphen{}  Set the default credential cache name.}
+\label{\detokenize{appdev/refs/api/krb5_cc_set_default_name:krb5-cc-set-default-name-set-the-default-credential-cache-name}}\label{\detokenize{appdev/refs/api/krb5_cc_set_default_name::doc}}\index{krb5\_cc\_set\_default\_name (C function)@\spxentry{krb5\_cc\_set\_default\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_set_default_name:c.krb5_cc_set_default_name}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_set\_default\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ name}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_set_default_name:c.krb5_cc_set_default_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_set\_default\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{name}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} - Default credential cache name or NULL
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{name} \sphinxhyphen{} Default credential cache name or NULL
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KV5M\_CONTEXT   Bad magic number for \_krb5\_context structure
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Set the default credential cache name to \sphinxstyleemphasis{name} for future operations using \sphinxstyleemphasis{context} . If \sphinxstyleemphasis{name} is NULL, clear any previous application-set default name and forget any cached value of the default name for \sphinxstyleemphasis{context} .
+\sphinxAtStartPar
+Set the default credential cache name to \sphinxstyleemphasis{name} for future operations using \sphinxstyleemphasis{context} . If \sphinxstyleemphasis{name} is NULL, clear any previous application\sphinxhyphen{}set default name and forget any cached value of the default name for \sphinxstyleemphasis{context} .
 
-Calls to this function invalidate the result of any previous calls to {\hyperref[\detokenize{appdev/refs/api/krb5_cc_default_name:c.krb5_cc_default_name}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_default\_name()}}}} using \sphinxstyleemphasis{context} .
+\sphinxAtStartPar
+Calls to this function invalidate the result of any previous calls to krb5\_cc\_default\_name() using \sphinxstyleemphasis{context} .
 
 
-\subsubsection{krb5\_cc\_set\_flags -  Set options flags on a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_set_flags:krb5-cc-set-flags-set-options-flags-on-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_set_flags::doc}}\index{krb5\_cc\_set\_flags (C function)}
+\subsubsection{krb5\_cc\_set\_flags \sphinxhyphen{}  Set options flags on a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_set_flags:krb5-cc-set-flags-set-options-flags-on-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_set_flags::doc}}\index{krb5\_cc\_set\_flags (C function)@\spxentry{krb5\_cc\_set\_flags}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_set_flags:c.krb5_cc_set_flags}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_set\_flags}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_set_flags:c.krb5_cc_set_flags}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_set\_flags}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Flag bit mask
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Flag bit mask
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function resets \sphinxstyleemphasis{cache} flags to \sphinxstyleemphasis{flags} .
 
 
-\subsubsection{krb5\_cc\_start\_seq\_get -  Prepare to sequentially read every credential in a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_start_seq_get::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_start_seq_get:krb5-cc-start-seq-get-prepare-to-sequentially-read-every-credential-in-a-credential-cache}}\index{krb5\_cc\_start\_seq\_get (C function)}
+\subsubsection{krb5\_cc\_start\_seq\_get \sphinxhyphen{}  Prepare to sequentially read every credential in a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_start_seq_get:krb5-cc-start-seq-get-prepare-to-sequentially-read-every-credential-in-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_start_seq_get::doc}}\index{krb5\_cc\_start\_seq\_get (C function)@\spxentry{krb5\_cc\_start\_seq\_get}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_start_seq_get:c.krb5_cc_start_seq_get}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_start\_seq\_get}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_cc_cursor:c.krb5_cc_cursor}]{\sphinxcrossref{krb5\_cc\_cursor}}} *\sphinxstyleemphasis{ cursor}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_start_seq_get:c.krb5_cc_start_seq_get}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_start\_seq\_get}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_cc_cursor:c.krb5_cc_cursor}]{\sphinxcrossref{\DUrole{n}{krb5\_cc\_cursor}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cursor}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cursor} - Cursor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cursor} \sphinxhyphen{} Cursor
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
-\begin{quote}
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_cc_end_seq_get:c.krb5_cc_end_seq_get}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_end\_seq\_get()}}}} must be called to complete the retrieve operation.
-\end{quote}
+\sphinxAtStartPar
+krb5\_cc\_end\_seq\_get() must be called to complete the retrieve operation.
 
 \begin{sphinxadmonition}{note}{Note:}
-If the cache represented by \sphinxstyleemphasis{cache} is modified between the time of the call to this function and the time of the final {\hyperref[\detokenize{appdev/refs/api/krb5_cc_end_seq_get:c.krb5_cc_end_seq_get}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_end\_seq\_get()}}}} , these changes may not be reflected in the results of {\hyperref[\detokenize{appdev/refs/api/krb5_cc_next_cred:c.krb5_cc_next_cred}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_next\_cred()}}}} calls.
+\sphinxAtStartPar
+If the cache represented by \sphinxstyleemphasis{cache} is modified between the time of the call to this function and the time of the final krb5\_cc\_end\_seq\_get(), these changes may not be reflected in the results of krb5\_cc\_next\_cred() calls.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cc\_store\_cred -  Store credentials in a credential cache.}
-\label{\detokenize{appdev/refs/api/krb5_cc_store_cred:krb5-cc-store-cred-store-credentials-in-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_store_cred::doc}}\index{krb5\_cc\_store\_cred (C function)}
+\subsubsection{krb5\_cc\_store\_cred \sphinxhyphen{}  Store credentials in a credential cache.}
+\label{\detokenize{appdev/refs/api/krb5_cc_store_cred:krb5-cc-store-cred-store-credentials-in-a-credential-cache}}\label{\detokenize{appdev/refs/api/krb5_cc_store_cred::doc}}\index{krb5\_cc\_store\_cred (C function)@\spxentry{krb5\_cc\_store\_cred}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_store_cred:c.krb5_cc_store_cred}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_store\_cred}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_store_cred:c.krb5_cc_store_cred}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_store\_cred}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} - Credentials to be stored in cache
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Credentials to be stored in cache
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Permission errors; storage failure errors; Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function stores \sphinxstyleemphasis{creds} into \sphinxstyleemphasis{cache} . If \sphinxstyleemphasis{creds-\textgreater{}server} and the server in the decoded ticket \sphinxstyleemphasis{creds-\textgreater{}ticket} differ, the credentials will be stored under both server principal names.
+\sphinxAtStartPar
+This function stores \sphinxstyleemphasis{creds} into \sphinxstyleemphasis{cache} . If \sphinxstyleemphasis{creds\sphinxhyphen{}\textgreater{}server} and the server in the decoded ticket \sphinxstyleemphasis{creds\sphinxhyphen{}\textgreater{}ticket} differ, the credentials will be stored under both server principal names.
 
 
-\subsubsection{krb5\_cc\_support\_switch -  Determine whether a credential cache type supports switching.}
-\label{\detokenize{appdev/refs/api/krb5_cc_support_switch::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_support_switch:krb5-cc-support-switch-determine-whether-a-credential-cache-type-supports-switching}}\index{krb5\_cc\_support\_switch (C function)}
+\subsubsection{krb5\_cc\_support\_switch \sphinxhyphen{}  Determine whether a credential cache type supports switching.}
+\label{\detokenize{appdev/refs/api/krb5_cc_support_switch:krb5-cc-support-switch-determine-whether-a-credential-cache-type-supports-switching}}\label{\detokenize{appdev/refs/api/krb5_cc_support_switch::doc}}\index{krb5\_cc\_support\_switch (C function)@\spxentry{krb5\_cc\_support\_switch}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_support_switch:c.krb5_cc_support_switch}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_cc\_support\_switch}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ type}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_support_switch:c.krb5_cc_support_switch}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_support\_switch}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{type}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} - Credential cache type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} \sphinxhyphen{} Credential cache type
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE   if type supports switching
 
 \item {} 
+\sphinxAtStartPar
 FALSE   if it does not or is not a valid credential cache type.
 
 \end{itemize}
@@ -6192,60 +7750,75 @@ FALSE   if it does not or is not a valid
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.10
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cc\_switch -  Make a credential cache the primary cache for its collection.}
-\label{\detokenize{appdev/refs/api/krb5_cc_switch::doc}}\label{\detokenize{appdev/refs/api/krb5_cc_switch:krb5-cc-switch-make-a-credential-cache-the-primary-cache-for-its-collection}}\index{krb5\_cc\_switch (C function)}
+\subsubsection{krb5\_cc\_switch \sphinxhyphen{}  Make a credential cache the primary cache for its collection.}
+\label{\detokenize{appdev/refs/api/krb5_cc_switch:krb5-cc-switch-make-a-credential-cache-the-primary-cache-for-its-collection}}\label{\detokenize{appdev/refs/api/krb5_cc_switch::doc}}\index{krb5\_cc\_switch (C function)@\spxentry{krb5\_cc\_switch}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_switch:c.krb5_cc_switch}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_switch}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ cache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_switch:c.krb5_cc_switch}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_switch}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{cache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success, or the type of cache doesn’t support switching
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 If the type of \sphinxstyleemphasis{cache} supports it, set \sphinxstyleemphasis{cache} to be the primary credential cache for the collection it belongs to.
 
 
-\subsubsection{krb5\_cccol\_cursor\_free -  Free a credential cache collection cursor.}
-\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_free::doc}}\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_free:krb5-cccol-cursor-free-free-a-credential-cache-collection-cursor}}\index{krb5\_cccol\_cursor\_free (C function)}
+\subsubsection{krb5\_cccol\_cursor\_free \sphinxhyphen{}  Free a credential cache collection cursor.}
+\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_free:krb5-cccol-cursor-free-free-a-credential-cache-collection-cursor}}\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_free::doc}}\index{krb5\_cccol\_cursor\_free (C function)@\spxentry{krb5\_cccol\_cursor\_free}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_free:c.krb5_cccol_cursor_free}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cccol\_cursor\_free}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cccol_cursor:c.krb5_cccol_cursor}]{\sphinxcrossref{krb5\_cccol\_cursor}}} *\sphinxstyleemphasis{ cursor}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_free:c.krb5_cccol_cursor_free}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cccol\_cursor\_free}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cccol_cursor:c.krb5_cccol_cursor}]{\sphinxcrossref{\DUrole{n}{krb5\_cccol\_cursor}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cursor}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} - Cursor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} \sphinxhyphen{} Cursor
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
@@ -6253,107 +7826,136 @@ If the type of \sphinxstyleemphasis{cach
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_cccol_cursor_new:c.krb5_cccol_cursor_new}]{\sphinxcrossref{\sphinxcode{krb5\_cccol\_cursor\_new()}}}} , {\hyperref[\detokenize{appdev/refs/api/krb5_cccol_cursor_next:c.krb5_cccol_cursor_next}]{\sphinxcrossref{\sphinxcode{krb5\_cccol\_cursor\_next()}}}}
+\sphinxAtStartPar
+krb5\_cccol\_cursor\_new(), krb5\_cccol\_cursor\_next()
 
 
 
 
-\subsubsection{krb5\_cccol\_cursor\_new -  Prepare to iterate over the collection of known credential caches.}
-\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_new::doc}}\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_new:krb5-cccol-cursor-new-prepare-to-iterate-over-the-collection-of-known-credential-caches}}\index{krb5\_cccol\_cursor\_new (C function)}
+\subsubsection{krb5\_cccol\_cursor\_new \sphinxhyphen{}  Prepare to iterate over the collection of known credential caches.}
+\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_new:krb5-cccol-cursor-new-prepare-to-iterate-over-the-collection-of-known-credential-caches}}\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_new::doc}}\index{krb5\_cccol\_cursor\_new (C function)@\spxentry{krb5\_cccol\_cursor\_new}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_new:c.krb5_cccol_cursor_new}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cccol\_cursor\_new}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cccol_cursor:c.krb5_cccol_cursor}]{\sphinxcrossref{krb5\_cccol\_cursor}}} *\sphinxstyleemphasis{ cursor}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_new:c.krb5_cccol_cursor_new}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cccol\_cursor\_new}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cccol_cursor:c.krb5_cccol_cursor}]{\sphinxcrossref{\DUrole{n}{krb5\_cccol\_cursor}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cursor}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cursor} - Cursor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cursor} \sphinxhyphen{} Cursor
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Get a new cache iteration \sphinxstyleemphasis{cursor} that will iterate over all known credential caches independent of type.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_cccol_cursor_free:c.krb5_cccol_cursor_free}]{\sphinxcrossref{\sphinxcode{krb5\_cccol\_cursor\_free()}}}} to release \sphinxstyleemphasis{cursor} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_cccol\_cursor\_free() to release \sphinxstyleemphasis{cursor} when it is no longer needed.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_cccol_cursor_next:c.krb5_cccol_cursor_next}]{\sphinxcrossref{\sphinxcode{krb5\_cccol\_cursor\_next()}}}}
+\sphinxAtStartPar
+krb5\_cccol\_cursor\_next()
 
 
 
 
-\subsubsection{krb5\_cccol\_cursor\_next -  Get the next credential cache in the collection.}
-\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_next::doc}}\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_next:krb5-cccol-cursor-next-get-the-next-credential-cache-in-the-collection}}\index{krb5\_cccol\_cursor\_next (C function)}
+\subsubsection{krb5\_cccol\_cursor\_next \sphinxhyphen{}  Get the next credential cache in the collection.}
+\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_next:krb5-cccol-cursor-next-get-the-next-credential-cache-in-the-collection}}\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_next::doc}}\index{krb5\_cccol\_cursor\_next (C function)@\spxentry{krb5\_cccol\_cursor\_next}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_next:c.krb5_cccol_cursor_next}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cccol\_cursor\_next}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cccol_cursor:c.krb5_cccol_cursor}]{\sphinxcrossref{krb5\_cccol\_cursor}}}\sphinxstyleemphasis{ cursor}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}} *\sphinxstyleemphasis{ ccache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cccol_cursor_next:c.krb5_cccol_cursor_next}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cccol\_cursor\_next}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cccol_cursor:c.krb5_cccol_cursor}]{\sphinxcrossref{\DUrole{n}{krb5\_cccol\_cursor}}}}\DUrole{w}{  }\DUrole{n}{cursor}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ccache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} - Cursor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} \sphinxhyphen{} Cursor
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ccache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_cc_close:c.krb5_cc_close}]{\sphinxcrossref{\sphinxcode{krb5\_cc\_close()}}}} to close \sphinxstyleemphasis{ccache} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_cc\_close() to close \sphinxstyleemphasis{ccache} when it is no longer needed.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_cccol_cursor_new:c.krb5_cccol_cursor_new}]{\sphinxcrossref{\sphinxcode{krb5\_cccol\_cursor\_new()}}}} , {\hyperref[\detokenize{appdev/refs/api/krb5_cccol_cursor_free:c.krb5_cccol_cursor_free}]{\sphinxcrossref{\sphinxcode{krb5\_cccol\_cursor\_free()}}}}
+\sphinxAtStartPar
+krb5\_cccol\_cursor\_new(), krb5\_cccol\_cursor\_free()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 When all caches are iterated over and the end of the list is reached, \sphinxstyleemphasis{ccache} is set to NULL.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cccol\_have\_content -  Check if the credential cache collection contains any initialized caches.}
-\label{\detokenize{appdev/refs/api/krb5_cccol_have_content:krb5-cccol-have-content-check-if-the-credential-cache-collection-contains-any-initialized-caches}}\label{\detokenize{appdev/refs/api/krb5_cccol_have_content::doc}}\index{krb5\_cccol\_have\_content (C function)}
+\subsubsection{krb5\_cccol\_have\_content \sphinxhyphen{}  Check if the credential cache collection contains any initialized caches.}
+\label{\detokenize{appdev/refs/api/krb5_cccol_have_content:krb5-cccol-have-content-check-if-the-credential-cache-collection-contains-any-initialized-caches}}\label{\detokenize{appdev/refs/api/krb5_cccol_have_content::doc}}\index{krb5\_cccol\_have\_content (C function)@\spxentry{krb5\_cccol\_have\_content}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cccol_have_content:c.krb5_cccol_have_content}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cccol\_have\_content}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cccol_have_content:c.krb5_cccol_have_content}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cccol\_have\_content}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   At least one initialized cache is present in the collection
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_CC\_NOTFOUND   The collection contains no caches
 
 \end{itemize}
@@ -6361,648 +7963,841 @@ KRB5\_CC\_NOTFOUND   The collection cont
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_clear\_error\_message -  Clear the extended error message in a context.}
-\label{\detokenize{appdev/refs/api/krb5_clear_error_message:krb5-clear-error-message-clear-the-extended-error-message-in-a-context}}\label{\detokenize{appdev/refs/api/krb5_clear_error_message::doc}}\index{krb5\_clear\_error\_message (C function)}
+\subsubsection{krb5\_clear\_error\_message \sphinxhyphen{}  Clear the extended error message in a context.}
+\label{\detokenize{appdev/refs/api/krb5_clear_error_message:krb5-clear-error-message-clear-the-extended-error-message-in-a-context}}\label{\detokenize{appdev/refs/api/krb5_clear_error_message::doc}}\index{krb5\_clear\_error\_message (C function)@\spxentry{krb5\_clear\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_clear_error_message:c.krb5_clear_error_message}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_clear\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_clear_error_message:c.krb5_clear_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_clear\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function unsets the extended error message in a context, to ensure that it is not mistakenly applied to another occurrence of the same error code.
 
 
-\subsubsection{krb5\_check\_clockskew -  Check if a timestamp is within the allowed clock skew of the current time.}
-\label{\detokenize{appdev/refs/api/krb5_check_clockskew:krb5-check-clockskew-check-if-a-timestamp-is-within-the-allowed-clock-skew-of-the-current-time}}\label{\detokenize{appdev/refs/api/krb5_check_clockskew::doc}}\index{krb5\_check\_clockskew (C function)}
+\subsubsection{krb5\_check\_clockskew \sphinxhyphen{}  Check if a timestamp is within the allowed clock skew of the current time.}
+\label{\detokenize{appdev/refs/api/krb5_check_clockskew:krb5-check-clockskew-check-if-a-timestamp-is-within-the-allowed-clock-skew-of-the-current-time}}\label{\detokenize{appdev/refs/api/krb5_check_clockskew::doc}}\index{krb5\_check\_clockskew (C function)@\spxentry{krb5\_check\_clockskew}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_check_clockskew:c.krb5_check_clockskew}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_check\_clockskew}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}\sphinxstyleemphasis{ date}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_check_clockskew:c.krb5_check_clockskew}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_check\_clockskew}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{n}{date}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{date} - Timestamp to check
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{date} \sphinxhyphen{} Timestamp to check
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KRB5KRB\_AP\_ERR\_SKEW    date is not within allowable clock skew
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function checks if \sphinxstyleemphasis{date} is close enough to the current time according to the configured allowable clock skew.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.10
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_copy\_addresses -  Copy an array of addresses.}
-\label{\detokenize{appdev/refs/api/krb5_copy_addresses:krb5-copy-addresses-copy-an-array-of-addresses}}\label{\detokenize{appdev/refs/api/krb5_copy_addresses::doc}}\index{krb5\_copy\_addresses (C function)}
+\subsubsection{krb5\_copy\_addresses \sphinxhyphen{}  Copy an array of addresses.}
+\label{\detokenize{appdev/refs/api/krb5_copy_addresses:krb5-copy-addresses-copy-an-array-of-addresses}}\label{\detokenize{appdev/refs/api/krb5_copy_addresses::doc}}\index{krb5\_copy\_addresses (C function)@\spxentry{krb5\_copy\_addresses}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_addresses:c.krb5_copy_addresses}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_addresses}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *const *\sphinxstyleemphasis{ inaddr}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} ***\sphinxstyleemphasis{ outaddr}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_addresses:c.krb5_copy_addresses}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_addresses}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{inaddr}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{outaddr}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inaddr} - Array of addresses to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inaddr} \sphinxhyphen{} Array of addresses to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outaddr} - Copy of array of addresses
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outaddr} \sphinxhyphen{} Copy of array of addresses
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new address array containing a copy of \sphinxstyleemphasis{inaddr} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_addresses:c.krb5_free_addresses}]{\sphinxcrossref{\sphinxcode{krb5\_free\_addresses()}}}} to free \sphinxstyleemphasis{outaddr} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new address array containing a copy of \sphinxstyleemphasis{inaddr} . Use krb5\_free\_addresses() to free \sphinxstyleemphasis{outaddr} when it is no longer needed.
 
 
-\subsubsection{krb5\_copy\_authdata -  Copy an authorization data list.}
-\label{\detokenize{appdev/refs/api/krb5_copy_authdata:krb5-copy-authdata-copy-an-authorization-data-list}}\label{\detokenize{appdev/refs/api/krb5_copy_authdata::doc}}\index{krb5\_copy\_authdata (C function)}
+\subsubsection{krb5\_copy\_authdata \sphinxhyphen{}  Copy an authorization data list.}
+\label{\detokenize{appdev/refs/api/krb5_copy_authdata:krb5-copy-authdata-copy-an-authorization-data-list}}\label{\detokenize{appdev/refs/api/krb5_copy_authdata::doc}}\index{krb5\_copy\_authdata (C function)@\spxentry{krb5\_copy\_authdata}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_authdata:c.krb5_copy_authdata}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_authdata}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} *const *\sphinxstyleemphasis{ in\_authdat}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} ***\sphinxstyleemphasis{ out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_authdata:c.krb5_copy_authdata}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_authdata}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_authdat}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_authdat} - List of \sphinxstyleemphasis{krb5\_authdata} structures
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_authdat} \sphinxhyphen{} List of \sphinxstyleemphasis{krb5\_authdata} structures
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} - New array of \sphinxstyleemphasis{krb5\_authdata} structures
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} \sphinxhyphen{} New array of \sphinxstyleemphasis{krb5\_authdata} structures
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new authorization data list containing a copy of \sphinxstyleemphasis{in\_authdat} , which must be null-terminated. Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_authdata:c.krb5_free_authdata}]{\sphinxcrossref{\sphinxcode{krb5\_free\_authdata()}}}} to free \sphinxstyleemphasis{out} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new authorization data list containing a copy of \sphinxstyleemphasis{in\_authdat} , which must be null\sphinxhyphen{}terminated. Use krb5\_free\_authdata() to free \sphinxstyleemphasis{out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The last array entry in \sphinxstyleemphasis{in\_authdat} must be a NULL pointer.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_copy\_authenticator -  Copy a krb5\_authenticator structure.}
-\label{\detokenize{appdev/refs/api/krb5_copy_authenticator:krb5-copy-authenticator-copy-a-krb5-authenticator-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_authenticator::doc}}\index{krb5\_copy\_authenticator (C function)}
+\subsubsection{krb5\_copy\_authenticator \sphinxhyphen{}  Copy a krb5\_authenticator structure.}
+\label{\detokenize{appdev/refs/api/krb5_copy_authenticator:krb5-copy-authenticator-copy-a-krb5-authenticator-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_authenticator::doc}}\index{krb5\_copy\_authenticator (C function)@\spxentry{krb5\_copy\_authenticator}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_authenticator:c.krb5_copy_authenticator}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_authenticator}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{krb5\_authenticator}}} *\sphinxstyleemphasis{ authfrom}, {\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{krb5\_authenticator}}} **\sphinxstyleemphasis{ authto}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_authenticator:c.krb5_copy_authenticator}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_authenticator}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{authfrom}, {\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{authto}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authfrom} - krb5\_authenticator structure to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authfrom} \sphinxhyphen{} krb5\_authenticator structure to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authto} - Copy of krb5\_authenticator structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authto} \sphinxhyphen{} Copy of krb5\_authenticator structure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new krb5\_authenticator structure with the content of \sphinxstyleemphasis{authfrom} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_authenticator:c.krb5_free_authenticator}]{\sphinxcrossref{\sphinxcode{krb5\_free\_authenticator()}}}} to free \sphinxstyleemphasis{authto} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new krb5\_authenticator structure with the content of \sphinxstyleemphasis{authfrom} . Use krb5\_free\_authenticator() to free \sphinxstyleemphasis{authto} when it is no longer needed.
 
 
-\subsubsection{krb5\_copy\_checksum -  Copy a krb5\_checksum structure.}
-\label{\detokenize{appdev/refs/api/krb5_copy_checksum:krb5-copy-checksum-copy-a-krb5-checksum-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_checksum::doc}}\index{krb5\_copy\_checksum (C function)}
+\subsubsection{krb5\_copy\_checksum \sphinxhyphen{}  Copy a krb5\_checksum structure.}
+\label{\detokenize{appdev/refs/api/krb5_copy_checksum:krb5-copy-checksum-copy-a-krb5-checksum-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_checksum::doc}}\index{krb5\_copy\_checksum (C function)@\spxentry{krb5\_copy\_checksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_checksum:c.krb5_copy_checksum}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_checksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} *\sphinxstyleemphasis{ ckfrom}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} **\sphinxstyleemphasis{ ckto}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_checksum:c.krb5_copy_checksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_checksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ckfrom}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ckto}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ckfrom} - Checksum to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ckfrom} \sphinxhyphen{} Checksum to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ckto} - Copy of krb5\_checksum structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ckto} \sphinxhyphen{} Copy of krb5\_checksum structure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new krb5\_checksum structure with the contents of \sphinxstyleemphasis{ckfrom} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_checksum:c.krb5_free_checksum}]{\sphinxcrossref{\sphinxcode{krb5\_free\_checksum()}}}} to free \sphinxstyleemphasis{ckto} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new krb5\_checksum structure with the contents of \sphinxstyleemphasis{ckfrom} . Use krb5\_free\_checksum() to free \sphinxstyleemphasis{ckto} when it is no longer needed.
 
 
-\subsubsection{krb5\_copy\_context -  Copy a krb5\_context structure.}
-\label{\detokenize{appdev/refs/api/krb5_copy_context:krb5-copy-context-copy-a-krb5-context-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_context::doc}}\index{krb5\_copy\_context (C function)}
+\subsubsection{krb5\_copy\_context \sphinxhyphen{}  Copy a krb5\_context structure.}
+\label{\detokenize{appdev/refs/api/krb5_copy_context:krb5-copy-context-copy-a-krb5-context-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_context::doc}}\index{krb5\_copy\_context (C function)@\spxentry{krb5\_copy\_context}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_context:c.krb5_copy_context}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_context}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}} *\sphinxstyleemphasis{ nctx\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_context:c.krb5_copy_context}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_context}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{nctx\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{nctx\_out} - New context structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{nctx\_out} \sphinxhyphen{} New context structure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-The newly created context must be released by calling {\hyperref[\detokenize{appdev/refs/api/krb5_free_context:c.krb5_free_context}]{\sphinxcrossref{\sphinxcode{krb5\_free\_context()}}}} when it is no longer needed.
+\sphinxAtStartPar
+The newly created context must be released by calling krb5\_free\_context() when it is no longer needed.
 
 
-\subsubsection{krb5\_copy\_creds -  Copy a krb5\_creds structure.}
-\label{\detokenize{appdev/refs/api/krb5_copy_creds:krb5-copy-creds-copy-a-krb5-creds-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_creds::doc}}\index{krb5\_copy\_creds (C function)}
+\subsubsection{krb5\_copy\_creds \sphinxhyphen{}  Copy a krb5\_creds structure.}
+\label{\detokenize{appdev/refs/api/krb5_copy_creds:krb5-copy-creds-copy-a-krb5-creds-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_creds::doc}}\index{krb5\_copy\_creds (C function)@\spxentry{krb5\_copy\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_creds:c.krb5_copy_creds}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ incred}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} **\sphinxstyleemphasis{ outcred}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_creds:c.krb5_copy_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{incred}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{outcred}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{incred} - Credentials structure to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{incred} \sphinxhyphen{} Credentials structure to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outcred} - Copy of \sphinxstyleemphasis{incred}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outcred} \sphinxhyphen{} Copy of \sphinxstyleemphasis{incred}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new credential with the contents of \sphinxstyleemphasis{incred} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_creds:c.krb5_free_creds}]{\sphinxcrossref{\sphinxcode{krb5\_free\_creds()}}}} to free \sphinxstyleemphasis{outcred} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new credential with the contents of \sphinxstyleemphasis{incred} . Use krb5\_free\_creds() to free \sphinxstyleemphasis{outcred} when it is no longer needed.
 
 
-\subsubsection{krb5\_copy\_data -  Copy a krb5\_data object.}
-\label{\detokenize{appdev/refs/api/krb5_copy_data:krb5-copy-data-copy-a-krb5-data-object}}\label{\detokenize{appdev/refs/api/krb5_copy_data::doc}}\index{krb5\_copy\_data (C function)}
+\subsubsection{krb5\_copy\_data \sphinxhyphen{}  Copy a krb5\_data object.}
+\label{\detokenize{appdev/refs/api/krb5_copy_data:krb5-copy-data-copy-a-krb5-data-object}}\label{\detokenize{appdev/refs/api/krb5_copy_data::doc}}\index{krb5\_copy\_data (C function)@\spxentry{krb5\_copy\_data}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_data:c.krb5_copy_data}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_data}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ indata}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} **\sphinxstyleemphasis{ outdata}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_data:c.krb5_copy_data}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_data}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{indata}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{outdata}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{indata} - Data object to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{indata} \sphinxhyphen{} Data object to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outdata} - Copy of \sphinxstyleemphasis{indata}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outdata} \sphinxhyphen{} Copy of \sphinxstyleemphasis{indata}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new krb5\_data object with the contents of \sphinxstyleemphasis{indata} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data:c.krb5_free_data}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data()}}}} to free \sphinxstyleemphasis{outdata} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new krb5\_data object with the contents of \sphinxstyleemphasis{indata} . Use krb5\_free\_data() to free \sphinxstyleemphasis{outdata} when it is no longer needed.
 
 
-\subsubsection{krb5\_copy\_error\_message -  Copy the most recent extended error message from one context to another.}
-\label{\detokenize{appdev/refs/api/krb5_copy_error_message:krb5-copy-error-message-copy-the-most-recent-extended-error-message-from-one-context-to-another}}\label{\detokenize{appdev/refs/api/krb5_copy_error_message::doc}}\index{krb5\_copy\_error\_message (C function)}
+\subsubsection{krb5\_copy\_error\_message \sphinxhyphen{}  Copy the most recent extended error message from one context to another.}
+\label{\detokenize{appdev/refs/api/krb5_copy_error_message:krb5-copy-error-message-copy-the-most-recent-extended-error-message-from-one-context-to-another}}\label{\detokenize{appdev/refs/api/krb5_copy_error_message::doc}}\index{krb5\_copy\_error\_message (C function)@\spxentry{krb5\_copy\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_error_message:c.krb5_copy_error_message}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_copy\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ dest\_ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ src\_ctx}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_error_message:c.krb5_copy_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{dest\_ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{src\_ctx}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{dest\_ctx} - Library context to copy message to
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{dest\_ctx} \sphinxhyphen{} Library context to copy message to
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{src\_ctx} - Library context with current message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{src\_ctx} \sphinxhyphen{} Library context with current message
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_copy\_keyblock -  Copy a keyblock.}
-\label{\detokenize{appdev/refs/api/krb5_copy_keyblock:krb5-copy-keyblock-copy-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_copy_keyblock::doc}}\index{krb5\_copy\_keyblock (C function)}
+\subsubsection{krb5\_copy\_keyblock \sphinxhyphen{}  Copy a keyblock.}
+\label{\detokenize{appdev/refs/api/krb5_copy_keyblock:krb5-copy-keyblock-copy-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_copy_keyblock::doc}}\index{krb5\_copy\_keyblock (C function)@\spxentry{krb5\_copy\_keyblock}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_keyblock:c.krb5_copy_keyblock}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_keyblock}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ from}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ to}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_keyblock:c.krb5_copy_keyblock}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_keyblock}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{from}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{to}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{from} - Keyblock to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{from} \sphinxhyphen{} Keyblock to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{to} - Copy of keyblock \sphinxstyleemphasis{from}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{to} \sphinxhyphen{} Copy of keyblock \sphinxstyleemphasis{from}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new keyblock with the same contents as \sphinxstyleemphasis{from} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock:c.krb5_free_keyblock}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock()}}}} to free \sphinxstyleemphasis{to} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new keyblock with the same contents as \sphinxstyleemphasis{from} . Use krb5\_free\_keyblock() to free \sphinxstyleemphasis{to} when it is no longer needed.
 
 
-\subsubsection{krb5\_copy\_keyblock\_contents -  Copy the contents of a keyblock.}
-\label{\detokenize{appdev/refs/api/krb5_copy_keyblock_contents:krb5-copy-keyblock-contents-copy-the-contents-of-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_copy_keyblock_contents::doc}}\index{krb5\_copy\_keyblock\_contents (C function)}
+\subsubsection{krb5\_copy\_keyblock\_contents \sphinxhyphen{}  Copy the contents of a keyblock.}
+\label{\detokenize{appdev/refs/api/krb5_copy_keyblock_contents:krb5-copy-keyblock-contents-copy-the-contents-of-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_copy_keyblock_contents::doc}}\index{krb5\_copy\_keyblock\_contents (C function)@\spxentry{krb5\_copy\_keyblock\_contents}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_keyblock_contents:c.krb5_copy_keyblock_contents}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_keyblock\_contents}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ from}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ to}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_keyblock_contents:c.krb5_copy_keyblock_contents}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_keyblock\_contents}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{from}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{to}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{from} - Key to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{from} \sphinxhyphen{} Key to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{to} - Output key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{to} \sphinxhyphen{} Output key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function copies the contents of \sphinxstyleemphasis{from} to \sphinxstyleemphasis{to} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock_contents:c.krb5_free_keyblock_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock\_contents()}}}} to free \sphinxstyleemphasis{to} when it is no longer needed.
+\sphinxAtStartPar
+This function copies the contents of \sphinxstyleemphasis{from} to \sphinxstyleemphasis{to} . Use krb5\_free\_keyblock\_contents() to free \sphinxstyleemphasis{to} when it is no longer needed.
 
 
-\subsubsection{krb5\_copy\_principal -  Copy a principal.}
-\label{\detokenize{appdev/refs/api/krb5_copy_principal:krb5-copy-principal-copy-a-principal}}\label{\detokenize{appdev/refs/api/krb5_copy_principal::doc}}\index{krb5\_copy\_principal (C function)}
+\subsubsection{krb5\_copy\_principal \sphinxhyphen{}  Copy a principal.}
+\label{\detokenize{appdev/refs/api/krb5_copy_principal:krb5-copy-principal-copy-a-principal}}\label{\detokenize{appdev/refs/api/krb5_copy_principal::doc}}\index{krb5\_copy\_principal (C function)@\spxentry{krb5\_copy\_principal}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_principal:c.krb5_copy_principal}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_principal}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ inprinc}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}} *\sphinxstyleemphasis{ outprinc}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_principal:c.krb5_copy_principal}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_principal}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{inprinc}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{outprinc}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inprinc} - Principal to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inprinc} \sphinxhyphen{} Principal to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outprinc} - Copy of \sphinxstyleemphasis{inprinc}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outprinc} \sphinxhyphen{} Copy of \sphinxstyleemphasis{inprinc}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new principal structure with the contents of \sphinxstyleemphasis{inprinc} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_principal:c.krb5_free_principal}]{\sphinxcrossref{\sphinxcode{krb5\_free\_principal()}}}} to free \sphinxstyleemphasis{outprinc} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new principal structure with the contents of \sphinxstyleemphasis{inprinc} . Use krb5\_free\_principal() to free \sphinxstyleemphasis{outprinc} when it is no longer needed.
 
 
-\subsubsection{krb5\_copy\_ticket -  Copy a krb5\_ticket structure.}
-\label{\detokenize{appdev/refs/api/krb5_copy_ticket:krb5-copy-ticket-copy-a-krb5-ticket-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_ticket::doc}}\index{krb5\_copy\_ticket (C function)}
+\subsubsection{krb5\_copy\_ticket \sphinxhyphen{}  Copy a krb5\_ticket structure.}
+\label{\detokenize{appdev/refs/api/krb5_copy_ticket:krb5-copy-ticket-copy-a-krb5-ticket-structure}}\label{\detokenize{appdev/refs/api/krb5_copy_ticket::doc}}\index{krb5\_copy\_ticket (C function)@\spxentry{krb5\_copy\_ticket}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_ticket:c.krb5_copy_ticket}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_copy\_ticket}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}} *\sphinxstyleemphasis{ from}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}} **\sphinxstyleemphasis{ pto}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_copy_ticket:c.krb5_copy_ticket}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_copy\_ticket}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{from}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{pto}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{from} - Ticket to be copied
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{from} \sphinxhyphen{} Ticket to be copied
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{pto} - Copy of ticket
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{pto} \sphinxhyphen{} Copy of ticket
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new krb5\_ticket structure containing the contents of \sphinxstyleemphasis{from} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_ticket:c.krb5_free_ticket}]{\sphinxcrossref{\sphinxcode{krb5\_free\_ticket()}}}} to free \sphinxstyleemphasis{pto} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new krb5\_ticket structure containing the contents of \sphinxstyleemphasis{from} . Use krb5\_free\_ticket() to free \sphinxstyleemphasis{pto} when it is no longer needed.
 
 
-\subsubsection{krb5\_find\_authdata -  Find authorization data elements.}
-\label{\detokenize{appdev/refs/api/krb5_find_authdata:krb5-find-authdata-find-authorization-data-elements}}\label{\detokenize{appdev/refs/api/krb5_find_authdata::doc}}\index{krb5\_find\_authdata (C function)}
+\subsubsection{krb5\_find\_authdata \sphinxhyphen{}  Find authorization data elements.}
+\label{\detokenize{appdev/refs/api/krb5_find_authdata:krb5-find-authdata-find-authorization-data-elements}}\label{\detokenize{appdev/refs/api/krb5_find_authdata::doc}}\index{krb5\_find\_authdata (C function)@\spxentry{krb5\_find\_authdata}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_find_authdata:c.krb5_find_authdata}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_find\_authdata}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} *const *\sphinxstyleemphasis{ ticket\_authdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} *const *\sphinxstyleemphasis{ ap\_req\_authdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}]{\sphinxcrossref{krb5\_authdatatype}}}\sphinxstyleemphasis{ ad\_type}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} ***\sphinxstyleemphasis{ results}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_find_authdata:c.krb5_find_authdata}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_find\_authdata}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ticket\_authdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ap\_req\_authdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}]{\sphinxcrossref{\DUrole{n}{krb5\_authdatatype}}}}\DUrole{w}{  }\DUrole{n}{ad\_type}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{results}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ticket\_authdata} - Authorization data list from ticket
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ticket\_authdata} \sphinxhyphen{} Authorization data list from ticket
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_authdata} - Authorization data list from AP request
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_authdata} \sphinxhyphen{} Authorization data list from AP request
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ad\_type} - Authorization data type to find
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ad\_type} \sphinxhyphen{} Authorization data type to find
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{results} - List of matching entries
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{results} \sphinxhyphen{} List of matching entries
 
 \end{description}\end{quote}
 
-This function searches \sphinxstyleemphasis{ticket\_authdata} and \sphinxstyleemphasis{ap\_req\_authdata} for elements of type \sphinxstyleemphasis{ad\_type} . Either input list may be NULL, in which case it will not be searched; otherwise, the input lists must be terminated by NULL entries. This function will search inside AD-IF-RELEVANT containers if found in either list. Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_authdata:c.krb5_free_authdata}]{\sphinxcrossref{\sphinxcode{krb5\_free\_authdata()}}}} to free \sphinxstyleemphasis{results} when it is no longer needed.
+\sphinxAtStartPar
+This function searches \sphinxstyleemphasis{ticket\_authdata} and \sphinxstyleemphasis{ap\_req\_authdata} for elements of type \sphinxstyleemphasis{ad\_type} . Either input list may be NULL, in which case it will not be searched; otherwise, the input lists must be terminated by NULL entries. This function will search inside AD\sphinxhyphen{}IF\sphinxhyphen{}RELEVANT containers if found in either list. Use krb5\_free\_authdata() to free \sphinxstyleemphasis{results} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.10
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_free\_addresses -  Free the data stored in array of addresses.}
-\label{\detokenize{appdev/refs/api/krb5_free_addresses:krb5-free-addresses-free-the-data-stored-in-array-of-addresses}}\label{\detokenize{appdev/refs/api/krb5_free_addresses::doc}}\index{krb5\_free\_addresses (C function)}
+\subsubsection{krb5\_free\_addresses \sphinxhyphen{}  Free the data stored in array of addresses.}
+\label{\detokenize{appdev/refs/api/krb5_free_addresses:krb5-free-addresses-free-the-data-stored-in-array-of-addresses}}\label{\detokenize{appdev/refs/api/krb5_free_addresses::doc}}\index{krb5\_free\_addresses (C function)@\spxentry{krb5\_free\_addresses}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_addresses:c.krb5_free_addresses}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_addresses}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} **\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_addresses:c.krb5_free_addresses}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_addresses}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Array of addresses to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Array of addresses to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the array itself.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The last entry in the array must be a NULL pointer.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_free\_ap\_rep\_enc\_part -  Free a krb5\_ap\_rep\_enc\_part structure.}
-\label{\detokenize{appdev/refs/api/krb5_free_ap_rep_enc_part:krb5-free-ap-rep-enc-part-free-a-krb5-ap-rep-enc-part-structure}}\label{\detokenize{appdev/refs/api/krb5_free_ap_rep_enc_part::doc}}\index{krb5\_free\_ap\_rep\_enc\_part (C function)}
+\subsubsection{krb5\_free\_ap\_rep\_enc\_part \sphinxhyphen{}  Free a krb5\_ap\_rep\_enc\_part structure.}
+\label{\detokenize{appdev/refs/api/krb5_free_ap_rep_enc_part:krb5-free-ap-rep-enc-part-free-a-krb5-ap-rep-enc-part-structure}}\label{\detokenize{appdev/refs/api/krb5_free_ap_rep_enc_part::doc}}\index{krb5\_free\_ap\_rep\_enc\_part (C function)@\spxentry{krb5\_free\_ap\_rep\_enc\_part}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_ap_rep_enc_part:c.krb5_free_ap_rep_enc_part}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_ap\_rep\_enc\_part}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{krb5\_ap\_rep\_enc\_part}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_ap_rep_enc_part:c.krb5_free_ap_rep_enc_part}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_ap\_rep\_enc\_part}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep\_enc\_part}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - AP-REP enc part to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} AP\sphinxhyphen{}REP enc part to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the structure itself.
 
 
-\subsubsection{krb5\_free\_authdata -  Free the storage assigned to array of authentication data.}
-\label{\detokenize{appdev/refs/api/krb5_free_authdata::doc}}\label{\detokenize{appdev/refs/api/krb5_free_authdata:krb5-free-authdata-free-the-storage-assigned-to-array-of-authentication-data}}\index{krb5\_free\_authdata (C function)}
+\subsubsection{krb5\_free\_authdata \sphinxhyphen{}  Free the storage assigned to array of authentication data.}
+\label{\detokenize{appdev/refs/api/krb5_free_authdata:krb5-free-authdata-free-the-storage-assigned-to-array-of-authentication-data}}\label{\detokenize{appdev/refs/api/krb5_free_authdata::doc}}\index{krb5\_free\_authdata (C function)@\spxentry{krb5\_free\_authdata}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_authdata:c.krb5_free_authdata}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_authdata}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} **\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_authdata:c.krb5_free_authdata}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_authdata}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Array of authentication data to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Array of authentication data to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the array itself.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The last entry in the array must be a NULL pointer.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_free\_authenticator -  Free a krb5\_authenticator structure.}
-\label{\detokenize{appdev/refs/api/krb5_free_authenticator:krb5-free-authenticator-free-a-krb5-authenticator-structure}}\label{\detokenize{appdev/refs/api/krb5_free_authenticator::doc}}\index{krb5\_free\_authenticator (C function)}
+\subsubsection{krb5\_free\_authenticator \sphinxhyphen{}  Free a krb5\_authenticator structure.}
+\label{\detokenize{appdev/refs/api/krb5_free_authenticator:krb5-free-authenticator-free-a-krb5-authenticator-structure}}\label{\detokenize{appdev/refs/api/krb5_free_authenticator::doc}}\index{krb5\_free\_authenticator (C function)@\spxentry{krb5\_free\_authenticator}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_authenticator:c.krb5_free_authenticator}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_authenticator}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{krb5\_authenticator}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_authenticator:c.krb5_free_authenticator}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_authenticator}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Authenticator structure to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Authenticator structure to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the structure itself.
 
 
-\subsubsection{krb5\_free\_cred\_contents -  Free the contents of a krb5\_creds structure.}
-\label{\detokenize{appdev/refs/api/krb5_free_cred_contents::doc}}\label{\detokenize{appdev/refs/api/krb5_free_cred_contents:krb5-free-cred-contents-free-the-contents-of-a-krb5-creds-structure}}\index{krb5\_free\_cred\_contents (C function)}
+\subsubsection{krb5\_free\_cred\_contents \sphinxhyphen{}  Free the contents of a krb5\_creds structure.}
+\label{\detokenize{appdev/refs/api/krb5_free_cred_contents:krb5-free-cred-contents-free-the-contents-of-a-krb5-creds-structure}}\label{\detokenize{appdev/refs/api/krb5_free_cred_contents::doc}}\index{krb5\_free\_cred\_contents (C function)@\spxentry{krb5\_free\_cred\_contents}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_cred_contents:c.krb5_free_cred_contents}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_cred\_contents}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_cred_contents:c.krb5_free_cred_contents}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_cred\_contents}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Credential structure to free contents of
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Credential structure to free contents of
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} , but not the structure itself.
 
 
-\subsubsection{krb5\_free\_creds -  Free a krb5\_creds structure.}
-\label{\detokenize{appdev/refs/api/krb5_free_creds::doc}}\label{\detokenize{appdev/refs/api/krb5_free_creds:krb5-free-creds-free-a-krb5-creds-structure}}\index{krb5\_free\_creds (C function)}
+\subsubsection{krb5\_free\_creds \sphinxhyphen{}  Free a krb5\_creds structure.}
+\label{\detokenize{appdev/refs/api/krb5_free_creds:krb5-free-creds-free-a-krb5-creds-structure}}\label{\detokenize{appdev/refs/api/krb5_free_creds::doc}}\index{krb5\_free\_creds (C function)@\spxentry{krb5\_free\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_creds:c.krb5_free_creds}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_creds:c.krb5_free_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Credential structure to be freed.
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Credential structure to be freed.
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the structure itself.
 
 
-\subsubsection{krb5\_free\_data -  Free a krb5\_data structure.}
-\label{\detokenize{appdev/refs/api/krb5_free_data:krb5-free-data-free-a-krb5-data-structure}}\label{\detokenize{appdev/refs/api/krb5_free_data::doc}}\index{krb5\_free\_data (C function)}
+\subsubsection{krb5\_free\_data \sphinxhyphen{}  Free a krb5\_data structure.}
+\label{\detokenize{appdev/refs/api/krb5_free_data:krb5-free-data-free-a-krb5-data-structure}}\label{\detokenize{appdev/refs/api/krb5_free_data::doc}}\index{krb5\_free\_data (C function)@\spxentry{krb5\_free\_data}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_data:c.krb5_free_data}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_data}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_data:c.krb5_free_data}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_data}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Data structure to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Data structure to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the structure itself.
 
 
-\subsubsection{krb5\_free\_data\_contents -  Free the contents of a krb5\_data structure and zero the data field.}
-\label{\detokenize{appdev/refs/api/krb5_free_data_contents:krb5-free-data-contents-free-the-contents-of-a-krb5-data-structure-and-zero-the-data-field}}\label{\detokenize{appdev/refs/api/krb5_free_data_contents::doc}}\index{krb5\_free\_data\_contents (C function)}
+\subsubsection{krb5\_free\_data\_contents \sphinxhyphen{}  Free the contents of a krb5\_data structure and zero the data field.}
+\label{\detokenize{appdev/refs/api/krb5_free_data_contents:krb5-free-data-contents-free-the-contents-of-a-krb5-data-structure-and-zero-the-data-field}}\label{\detokenize{appdev/refs/api/krb5_free_data_contents::doc}}\index{krb5\_free\_data\_contents (C function)@\spxentry{krb5\_free\_data\_contents}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_data\_contents}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_data\_contents}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Data structure to free contents of
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Data structure to free contents of
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} , but not the structure itself. It sets the structure’s data pointer to null and (beginning in release 1.19) sets its length to zero.
 
 
-\subsubsection{krb5\_free\_default\_realm -  Free a default realm string returned by krb5\_get\_default\_realm() .}
-\label{\detokenize{appdev/refs/api/krb5_free_default_realm:krb5-free-default-realm-free-a-default-realm-string-returned-by-krb5-get-default-realm}}\label{\detokenize{appdev/refs/api/krb5_free_default_realm::doc}}\index{krb5\_free\_default\_realm (C function)}
+\subsubsection{krb5\_free\_default\_realm \sphinxhyphen{}  Free a default realm string returned by krb5\_get\_default\_realm().}
+\label{\detokenize{appdev/refs/api/krb5_free_default_realm:krb5-free-default-realm-free-a-default-realm-string-returned-by-krb5-get-default-realm}}\label{\detokenize{appdev/refs/api/krb5_free_default_realm::doc}}\index{krb5\_free\_default\_realm (C function)@\spxentry{krb5\_free\_default\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_default_realm:c.krb5_free_default_realm}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_default\_realm}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, char *\sphinxstyleemphasis{ lrealm}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_default_realm:c.krb5_free_default_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_default\_realm}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{lrealm}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{lrealm} - Realm to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{lrealm} \sphinxhyphen{} Realm to be freed
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_free\_enctypes -  Free an array of encryption types.}
-\label{\detokenize{appdev/refs/api/krb5_free_enctypes::doc}}\label{\detokenize{appdev/refs/api/krb5_free_enctypes:krb5-free-enctypes-free-an-array-of-encryption-types}}\index{krb5\_free\_enctypes (C function)}
+\subsubsection{krb5\_free\_enctypes \sphinxhyphen{}  Free an array of encryption types.}
+\label{\detokenize{appdev/refs/api/krb5_free_enctypes:krb5-free-enctypes-free-an-array-of-encryption-types}}\label{\detokenize{appdev/refs/api/krb5_free_enctypes::doc}}\index{krb5\_free\_enctypes (C function)@\spxentry{krb5\_free\_enctypes}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_enctypes:c.krb5_free_enctypes}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_enctypes}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_enctypes:c.krb5_free_enctypes}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_enctypes}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Array of enctypes to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Array of enctypes to be freed
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.12
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_free\_error -  Free an error allocated by krb5\_read\_error() or krb5\_sendauth() .}
-\label{\detokenize{appdev/refs/api/krb5_free_error::doc}}\label{\detokenize{appdev/refs/api/krb5_free_error:krb5-free-error-free-an-error-allocated-by-krb5-read-error-or-krb5-sendauth}}\index{krb5\_free\_error (C function)}
+\subsubsection{krb5\_free\_error \sphinxhyphen{}  Free an error allocated by krb5\_read\_error() or krb5\_sendauth().}
+\label{\detokenize{appdev/refs/api/krb5_free_error:krb5-free-error-free-an-error-allocated-by-krb5-read-error-or-krb5-sendauth}}\label{\detokenize{appdev/refs/api/krb5_free_error::doc}}\index{krb5\_free\_error (C function)@\spxentry{krb5\_free\_error}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_error:c.krb5_free_error}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_error}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{krb5\_error}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_error:c.krb5_free_error}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_error}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Error data structure to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Error data structure to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the structure itself.
 
 
-\subsubsection{krb5\_free\_host\_realm -  Free the memory allocated by krb5\_get\_host\_realm() .}
-\label{\detokenize{appdev/refs/api/krb5_free_host_realm::doc}}\label{\detokenize{appdev/refs/api/krb5_free_host_realm:krb5-free-host-realm-free-the-memory-allocated-by-krb5-get-host-realm}}\index{krb5\_free\_host\_realm (C function)}
+\subsubsection{krb5\_free\_host\_realm \sphinxhyphen{}  Free the memory allocated by krb5\_get\_host\_realm().}
+\label{\detokenize{appdev/refs/api/krb5_free_host_realm:krb5-free-host-realm-free-the-memory-allocated-by-krb5-get-host-realm}}\label{\detokenize{appdev/refs/api/krb5_free_host_realm::doc}}\index{krb5\_free\_host\_realm (C function)@\spxentry{krb5\_free\_host\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_host_realm:c.krb5_free_host_realm}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_free\_host\_realm}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, char *const *\sphinxstyleemphasis{ realmlist}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_host_realm:c.krb5_free_host_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_host\_realm}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realmlist}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realmlist} - List of realm names to be released
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{realmlist} \sphinxhyphen{} List of realm names to be released
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
@@ -7010,759 +8805,985 @@ Kerberos error codes
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_free\_keyblock -  Free a krb5\_keyblock structure.}
-\label{\detokenize{appdev/refs/api/krb5_free_keyblock:krb5-free-keyblock-free-a-krb5-keyblock-structure}}\label{\detokenize{appdev/refs/api/krb5_free_keyblock::doc}}\index{krb5\_free\_keyblock (C function)}
+\subsubsection{krb5\_free\_keyblock \sphinxhyphen{}  Free a krb5\_keyblock structure.}
+\label{\detokenize{appdev/refs/api/krb5_free_keyblock:krb5-free-keyblock-free-a-krb5-keyblock-structure}}\label{\detokenize{appdev/refs/api/krb5_free_keyblock::doc}}\index{krb5\_free\_keyblock (C function)@\spxentry{krb5\_free\_keyblock}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_keyblock:c.krb5_free_keyblock}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_keyblock}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_keyblock:c.krb5_free_keyblock}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_keyblock}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Keyblock to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Keyblock to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the structure itself.
 
 
-\subsubsection{krb5\_free\_keyblock\_contents -  Free the contents of a krb5\_keyblock structure.}
-\label{\detokenize{appdev/refs/api/krb5_free_keyblock_contents::doc}}\label{\detokenize{appdev/refs/api/krb5_free_keyblock_contents:krb5-free-keyblock-contents-free-the-contents-of-a-krb5-keyblock-structure}}\index{krb5\_free\_keyblock\_contents (C function)}
+\subsubsection{krb5\_free\_keyblock\_contents \sphinxhyphen{}  Free the contents of a krb5\_keyblock structure.}
+\label{\detokenize{appdev/refs/api/krb5_free_keyblock_contents:krb5-free-keyblock-contents-free-the-contents-of-a-krb5-keyblock-structure}}\label{\detokenize{appdev/refs/api/krb5_free_keyblock_contents::doc}}\index{krb5\_free\_keyblock\_contents (C function)@\spxentry{krb5\_free\_keyblock\_contents}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_keyblock_contents:c.krb5_free_keyblock_contents}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_keyblock\_contents}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_keyblock_contents:c.krb5_free_keyblock_contents}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_keyblock\_contents}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Keyblock to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Keyblock to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{key} , but not the structure itself.
 
 
-\subsubsection{krb5\_free\_keytab\_entry\_contents -  Free the contents of a key table entry.}
-\label{\detokenize{appdev/refs/api/krb5_free_keytab_entry_contents:krb5-free-keytab-entry-contents-free-the-contents-of-a-key-table-entry}}\label{\detokenize{appdev/refs/api/krb5_free_keytab_entry_contents::doc}}\index{krb5\_free\_keytab\_entry\_contents (C function)}
+\subsubsection{krb5\_free\_keytab\_entry\_contents \sphinxhyphen{}  Free the contents of a key table entry.}
+\label{\detokenize{appdev/refs/api/krb5_free_keytab_entry_contents:krb5-free-keytab-entry-contents-free-the-contents-of-a-key-table-entry}}\label{\detokenize{appdev/refs/api/krb5_free_keytab_entry_contents::doc}}\index{krb5\_free\_keytab\_entry\_contents (C function)@\spxentry{krb5\_free\_keytab\_entry\_contents}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_keytab_entry_contents:c.krb5_free_keytab_entry_contents}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_free\_keytab\_entry\_contents}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{krb5\_keytab\_entry}}} *\sphinxstyleemphasis{ entry}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_keytab_entry_contents:c.krb5_free_keytab_entry_contents}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_keytab\_entry\_contents}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{entry}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{entry} - Key table entry whose contents are to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{entry} \sphinxhyphen{} Key table entry whose contents are to be freed
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The pointer is not freed.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_free\_string -  Free a string allocated by a krb5 function.}
-\label{\detokenize{appdev/refs/api/krb5_free_string:krb5-free-string-free-a-string-allocated-by-a-krb5-function}}\label{\detokenize{appdev/refs/api/krb5_free_string::doc}}\index{krb5\_free\_string (C function)}
+\subsubsection{krb5\_free\_string \sphinxhyphen{}  Free a string allocated by a krb5 function.}
+\label{\detokenize{appdev/refs/api/krb5_free_string:krb5-free-string-free-a-string-allocated-by-a-krb5-function}}\label{\detokenize{appdev/refs/api/krb5_free_string::doc}}\index{krb5\_free\_string (C function)@\spxentry{krb5\_free\_string}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_string:c.krb5_free_string}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_string}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, char *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_string:c.krb5_free_string}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_string}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - String to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} String to be freed
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.10
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_free\_ticket -  Free a ticket.}
-\label{\detokenize{appdev/refs/api/krb5_free_ticket:krb5-free-ticket-free-a-ticket}}\label{\detokenize{appdev/refs/api/krb5_free_ticket::doc}}\index{krb5\_free\_ticket (C function)}
+\subsubsection{krb5\_free\_ticket \sphinxhyphen{}  Free a ticket.}
+\label{\detokenize{appdev/refs/api/krb5_free_ticket:krb5-free-ticket-free-a-ticket}}\label{\detokenize{appdev/refs/api/krb5_free_ticket::doc}}\index{krb5\_free\_ticket (C function)@\spxentry{krb5\_free\_ticket}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_ticket:c.krb5_free_ticket}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_ticket}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_ticket:c.krb5_free_ticket}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_ticket}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Ticket to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Ticket to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the structure itself.
 
 
-\subsubsection{krb5\_free\_unparsed\_name -  Free a string representation of a principal.}
-\label{\detokenize{appdev/refs/api/krb5_free_unparsed_name::doc}}\label{\detokenize{appdev/refs/api/krb5_free_unparsed_name:krb5-free-unparsed-name-free-a-string-representation-of-a-principal}}\index{krb5\_free\_unparsed\_name (C function)}
+\subsubsection{krb5\_free\_unparsed\_name \sphinxhyphen{}  Free a string representation of a principal.}
+\label{\detokenize{appdev/refs/api/krb5_free_unparsed_name:krb5-free-unparsed-name-free-a-string-representation-of-a-principal}}\label{\detokenize{appdev/refs/api/krb5_free_unparsed_name::doc}}\index{krb5\_free\_unparsed\_name (C function)@\spxentry{krb5\_free\_unparsed\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_unparsed_name:c.krb5_free_unparsed_name}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_unparsed\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, char *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_unparsed_name:c.krb5_free_unparsed_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_unparsed\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Name string to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Name string to be freed
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_get\_etype\_info -  Retrieve enctype, salt and s2kparams from KDC.}
-\label{\detokenize{appdev/refs/api/krb5_get_etype_info:krb5-get-etype-info-retrieve-enctype-salt-and-s2kparams-from-kdc}}\label{\detokenize{appdev/refs/api/krb5_get_etype_info::doc}}\index{krb5\_get\_etype\_info (C function)}
+\subsubsection{krb5\_get\_etype\_info \sphinxhyphen{}  Retrieve enctype, salt and s2kparams from KDC.}
+\label{\detokenize{appdev/refs/api/krb5_get_etype_info:krb5-get-etype-info-retrieve-enctype-salt-and-s2kparams-from-kdc}}\label{\detokenize{appdev/refs/api/krb5_get_etype_info::doc}}\index{krb5\_get\_etype\_info (C function)@\spxentry{krb5\_get\_etype\_info}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_etype_info:c.krb5_get_etype_info}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_etype\_info}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ principal}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *\sphinxstyleemphasis{ enctype\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ salt\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ s2kparams\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_etype_info:c.krb5_get_etype_info}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_etype\_info}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{enctype\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{salt\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{s2kparams\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Principal whose information is requested
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Principal whose information is requested
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} - Initial credential options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{opt} \sphinxhyphen{} Initial credential options
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{enctype\_out} - The enctype chosen by KDC
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{enctype\_out} \sphinxhyphen{} The enctype chosen by KDC
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{salt\_out} - Salt returned from KDC
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{salt\_out} \sphinxhyphen{} Salt returned from KDC
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{s2kparams\_out} - String-to-key parameters returned from KDC
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{s2kparams\_out} \sphinxhyphen{} String\sphinxhyphen{}to\sphinxhyphen{}key parameters returned from KDC
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 A Kerberos error code
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Send an initial ticket request for \sphinxstyleemphasis{principal} and extract the encryption type, salt type, and string-to-key parameters from the KDC response. If the KDC provides no etype-info, set \sphinxstyleemphasis{enctype\_out} to \sphinxstylestrong{ENCTYPE\_NULL} and set \sphinxstyleemphasis{salt\_out} and \sphinxstyleemphasis{s2kparams\_out} to empty. If the KDC etype-info provides no salt, compute the default salt and place it in \sphinxstyleemphasis{salt\_out} . If the KDC etype-info provides no string-to-key parameters, set \sphinxstyleemphasis{s2kparams\_out} to empty.
+\sphinxAtStartPar
+Send an initial ticket request for \sphinxstyleemphasis{principal} and extract the encryption type, salt type, and string\sphinxhyphen{}to\sphinxhyphen{}key parameters from the KDC response. If the KDC provides no etype\sphinxhyphen{}info, set \sphinxstyleemphasis{enctype\_out} to \sphinxstylestrong{ENCTYPE\_NULL} and set \sphinxstyleemphasis{salt\_out} and \sphinxstyleemphasis{s2kparams\_out} to empty. If the KDC etype\sphinxhyphen{}info provides no salt, compute the default salt and place it in \sphinxstyleemphasis{salt\_out} . If the KDC etype\sphinxhyphen{}info provides no string\sphinxhyphen{}to\sphinxhyphen{}key parameters, set \sphinxstyleemphasis{s2kparams\_out} to empty.
 \begin{quote}
 
-\sphinxstyleemphasis{opt} may be used to specify options which affect the initial request, such as request encryption types or a FAST armor cache (see {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_etype_list:c.krb5_get_init_creds_opt_set_etype_list}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_set\_etype\_list()}}}} and {\hyperref[\detokenize{appdev/refs/api/krb5_get_init_creds_opt_set_fast_ccache_name:c.krb5_get_init_creds_opt_set_fast_ccache_name}]{\sphinxcrossref{\sphinxcode{krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name()}}}} ).
+\sphinxAtStartPar
+\sphinxstyleemphasis{opt} may be used to specify options which affect the initial request, such as request encryption types or a FAST armor cache (see krb5\_get\_init\_creds\_opt\_set\_etype\_list() and krb5\_get\_init\_creds\_opt\_set\_fast\_ccache\_name()).
 \end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{salt\_out} and \sphinxstyleemphasis{s2kparams\_out} when they are no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{salt\_out} and \sphinxstyleemphasis{s2kparams\_out} when they are no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.17
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_get\_permitted\_enctypes -  Return a list of encryption types permitted for session keys.}
-\label{\detokenize{appdev/refs/api/krb5_get_permitted_enctypes:krb5-get-permitted-enctypes-return-a-list-of-encryption-types-permitted-for-session-keys}}\label{\detokenize{appdev/refs/api/krb5_get_permitted_enctypes::doc}}\index{krb5\_get\_permitted\_enctypes (C function)}
+\subsubsection{krb5\_get\_permitted\_enctypes \sphinxhyphen{}  Return a list of encryption types permitted for session keys.}
+\label{\detokenize{appdev/refs/api/krb5_get_permitted_enctypes:krb5-get-permitted-enctypes-return-a-list-of-encryption-types-permitted-for-session-keys}}\label{\detokenize{appdev/refs/api/krb5_get_permitted_enctypes::doc}}\index{krb5\_get\_permitted\_enctypes (C function)@\spxentry{krb5\_get\_permitted\_enctypes}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_permitted_enctypes:c.krb5_get_permitted_enctypes}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_permitted\_enctypes}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} **\sphinxstyleemphasis{ ktypes}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_permitted_enctypes:c.krb5_get_permitted_enctypes}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_permitted\_enctypes}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ktypes}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ktypes} - Zero-terminated list of encryption types
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ktypes} \sphinxhyphen{} Zero\sphinxhyphen{}terminated list of encryption types
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function returns the list of encryption types permitted for session keys within \sphinxstyleemphasis{context} , as determined by configuration or by a previous call to {\hyperref[\detokenize{appdev/refs/api/krb5_set_default_tgs_enctypes:c.krb5_set_default_tgs_enctypes}]{\sphinxcrossref{\sphinxcode{krb5\_set\_default\_tgs\_enctypes()}}}} .
+\sphinxAtStartPar
+This function returns the list of encryption types permitted for session keys within \sphinxstyleemphasis{context} , as determined by configuration or by a previous call to krb5\_set\_default\_tgs\_enctypes().
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_enctypes:c.krb5_free_enctypes}]{\sphinxcrossref{\sphinxcode{krb5\_free\_enctypes()}}}} to free \sphinxstyleemphasis{ktypes} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_enctypes() to free \sphinxstyleemphasis{ktypes} when it is no longer needed.
 
 
-\subsubsection{krb5\_get\_server\_rcache -  Generate a replay cache object for server use and open it.}
-\label{\detokenize{appdev/refs/api/krb5_get_server_rcache:krb5-get-server-rcache-generate-a-replay-cache-object-for-server-use-and-open-it}}\label{\detokenize{appdev/refs/api/krb5_get_server_rcache::doc}}\index{krb5\_get\_server\_rcache (C function)}
+\subsubsection{krb5\_get\_server\_rcache \sphinxhyphen{}  Generate a replay cache object for server use and open it.}
+\label{\detokenize{appdev/refs/api/krb5_get_server_rcache:krb5-get-server-rcache-generate-a-replay-cache-object-for-server-use-and-open-it}}\label{\detokenize{appdev/refs/api/krb5_get_server_rcache::doc}}\index{krb5\_get\_server\_rcache (C function)@\spxentry{krb5\_get\_server\_rcache}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_server_rcache:c.krb5_get_server_rcache}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_server\_rcache}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ piece}, {\hyperref[\detokenize{appdev/refs/types/krb5_rcache:c.krb5_rcache}]{\sphinxcrossref{krb5\_rcache}}} *\sphinxstyleemphasis{ rcptr}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_server_rcache:c.krb5_get_server_rcache}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_server\_rcache}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{piece}, {\hyperref[\detokenize{appdev/refs/types/krb5_rcache:c.krb5_rcache}]{\sphinxcrossref{\DUrole{n}{krb5\_rcache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rcptr}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{piece} - Unused (replay cache identifier)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{piece} \sphinxhyphen{} Unused (replay cache identifier)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rcptr} - Handle to an open rcache
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rcptr} \sphinxhyphen{} Handle to an open rcache
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function creates a handle to the default replay cache. Use krb5\_rc\_close() to close \sphinxstyleemphasis{rcptr} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 Prior to release 1.18, this function creates a handle to a different replay cache for each unique value of \sphinxstyleemphasis{piece} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_get\_time\_offsets -  Return the time offsets from the os context.}
-\label{\detokenize{appdev/refs/api/krb5_get_time_offsets:krb5-get-time-offsets-return-the-time-offsets-from-the-os-context}}\label{\detokenize{appdev/refs/api/krb5_get_time_offsets::doc}}\index{krb5\_get\_time\_offsets (C function)}
+\subsubsection{krb5\_get\_time\_offsets \sphinxhyphen{}  Return the time offsets from the os context.}
+\label{\detokenize{appdev/refs/api/krb5_get_time_offsets:krb5-get-time-offsets-return-the-time-offsets-from-the-os-context}}\label{\detokenize{appdev/refs/api/krb5_get_time_offsets::doc}}\index{krb5\_get\_time\_offsets (C function)@\spxentry{krb5\_get\_time\_offsets}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_time_offsets:c.krb5_get_time_offsets}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_time\_offsets}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}} *\sphinxstyleemphasis{ seconds}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}} *\sphinxstyleemphasis{ microseconds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_time_offsets:c.krb5_get_time_offsets}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_time\_offsets}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{seconds}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{microseconds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{seconds} - Time offset, seconds portion
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{seconds} \sphinxhyphen{} Time offset, seconds portion
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{microseconds} - Time offset, microseconds portion
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{microseconds} \sphinxhyphen{} Time offset, microseconds portion
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function returns the time offsets in \sphinxstyleemphasis{context} .
 
 
-\subsubsection{krb5\_init\_context\_profile -  Create a krb5 library context using a specified profile.}
-\label{\detokenize{appdev/refs/api/krb5_init_context_profile:krb5-init-context-profile-create-a-krb5-library-context-using-a-specified-profile}}\label{\detokenize{appdev/refs/api/krb5_init_context_profile::doc}}\index{krb5\_init\_context\_profile (C function)}
+\subsubsection{krb5\_init\_context\_profile \sphinxhyphen{}  Create a krb5 library context using a specified profile.}
+\label{\detokenize{appdev/refs/api/krb5_init_context_profile:krb5-init-context-profile-create-a-krb5-library-context-using-a-specified-profile}}\label{\detokenize{appdev/refs/api/krb5_init_context_profile::doc}}\index{krb5\_init\_context\_profile (C function)@\spxentry{krb5\_init\_context\_profile}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_context_profile:c.krb5_init_context_profile}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_context\_profile}}{struct \_profile\_t *\sphinxstyleemphasis{ profile}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}} *\sphinxstyleemphasis{ context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_context_profile:c.krb5_init_context_profile}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_context\_profile}}}}{\DUrole{k}{struct}\DUrole{w}{  }\DUrole{n}{\_profile\_t}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{profile}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{profile} - Profile object (NULL to create default profile)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{profile} \sphinxhyphen{} Profile object (NULL to create default profile)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Context initialization flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Context initialization flags
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
 \end{description}\end{quote}
 
-Create a context structure, optionally using a specified profile and initialization flags. If \sphinxstyleemphasis{profile} is NULL, the default profile will be created from config files. If \sphinxstyleemphasis{profile} is non-null, a copy of it will be made for the new context; the caller should still clean up its copy. Valid flag values are:
+\sphinxAtStartPar
+Create a context structure, optionally using a specified profile and initialization flags. If \sphinxstyleemphasis{profile} is NULL, the default profile will be created from config files. If \sphinxstyleemphasis{profile} is non\sphinxhyphen{}null, a copy of it will be made for the new context; the caller should still clean up its copy. Valid flag values are:
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE:KRB5_INIT_CONTEXT_SECURE}]{\sphinxcrossref{\sphinxcode{KRB5\_INIT\_CONTEXT\_SECURE}}}} Ignore environment variables
+\sphinxAtStartPar
+\#KRB5\_INIT\_CONTEXT\_SECURE Ignore environment variables
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_KDC:KRB5_INIT_CONTEXT_KDC}]{\sphinxcrossref{\sphinxcode{KRB5\_INIT\_CONTEXT\_KDC}}}} Use KDC configuration if creating profile
+\sphinxAtStartPar
+\#KRB5\_INIT\_CONTEXT\_KDC Use KDC configuration if creating profile
 
 \end{itemize}
 
 
-\subsubsection{krb5\_init\_creds\_free -  Free an initial credentials context.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_free::doc}}\label{\detokenize{appdev/refs/api/krb5_init_creds_free:krb5-init-creds-free-free-an-initial-credentials-context}}\index{krb5\_init\_creds\_free (C function)}
+\subsubsection{krb5\_init\_creds\_free \sphinxhyphen{}  Free an initial credentials context.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_free:krb5-init-creds-free-free-an-initial-credentials-context}}\label{\detokenize{appdev/refs/api/krb5_init_creds_free::doc}}\index{krb5\_init\_creds\_free (C function)@\spxentry{krb5\_init\_creds\_free}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_free:c.krb5_init_creds_free}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_init\_creds\_free}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}}\sphinxstyleemphasis{ ctx}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_free:c.krb5_init_creds_free}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_free}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Initial credentials context
 
 \end{description}\end{quote}
 \begin{quote}
 
-\sphinxstyleemphasis{context} must be the same as the one passed to {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_init:c.krb5_init_creds_init}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_init()}}}} for this initial credentials context.
+\sphinxAtStartPar
+\sphinxstyleemphasis{context} must be the same as the one passed to krb5\_init\_creds\_init() for this initial credentials context.
 \end{quote}
 
 
-\subsubsection{krb5\_init\_creds\_get -  Acquire credentials using an initial credentials context.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_get::doc}}\label{\detokenize{appdev/refs/api/krb5_init_creds_get:krb5-init-creds-get-acquire-credentials-using-an-initial-credentials-context}}\index{krb5\_init\_creds\_get (C function)}
+\subsubsection{krb5\_init\_creds\_get \sphinxhyphen{}  Acquire credentials using an initial credentials context.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_get:krb5-init-creds-get-acquire-credentials-using-an-initial-credentials-context}}\label{\detokenize{appdev/refs/api/krb5_init_creds_get::doc}}\index{krb5\_init\_creds\_get (C function)@\spxentry{krb5\_init\_creds\_get}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_get:c.krb5_init_creds_get}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_creds\_get}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}}\sphinxstyleemphasis{ ctx}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_get:c.krb5_init_creds_get}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_get}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Initial credentials context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function synchronously obtains credentials using a context created by {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_init:c.krb5_init_creds_init}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_init()}}}} . On successful return, the credentials can be retrieved with {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_get_creds:c.krb5_init_creds_get_creds}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_get\_creds()}}}} .
+\sphinxAtStartPar
+This function synchronously obtains credentials using a context created by krb5\_init\_creds\_init(). On successful return, the credentials can be retrieved with krb5\_init\_creds\_get\_creds().
 \begin{quote}
 
-\sphinxstyleemphasis{context} must be the same as the one passed to {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_init:c.krb5_init_creds_init}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_init()}}}} for this initial credentials context.
+\sphinxAtStartPar
+\sphinxstyleemphasis{context} must be the same as the one passed to krb5\_init\_creds\_init() for this initial credentials context.
 \end{quote}
 
 
-\subsubsection{krb5\_init\_creds\_get\_creds -  Retrieve acquired credentials from an initial credentials context.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_get_creds::doc}}\label{\detokenize{appdev/refs/api/krb5_init_creds_get_creds:krb5-init-creds-get-creds-retrieve-acquired-credentials-from-an-initial-credentials-context}}\index{krb5\_init\_creds\_get\_creds (C function)}
+\subsubsection{krb5\_init\_creds\_get\_creds \sphinxhyphen{}  Retrieve acquired credentials from an initial credentials context.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_get_creds:krb5-init-creds-get-creds-retrieve-acquired-credentials-from-an-initial-credentials-context}}\label{\detokenize{appdev/refs/api/krb5_init_creds_get_creds::doc}}\index{krb5\_init\_creds\_get\_creds (C function)@\spxentry{krb5\_init\_creds\_get\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_get_creds:c.krb5_init_creds_get_creds}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_creds\_get\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_get_creds:c.krb5_init_creds_get_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_get\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Initial credentials context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} - Acquired credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Acquired credentials
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function copies the acquired initial credentials from \sphinxstyleemphasis{ctx} into \sphinxstyleemphasis{creds} , after the successful completion of {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_get:c.krb5_init_creds_get}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_get()}}}} or {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_step:c.krb5_init_creds_step}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_step()}}}} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_cred_contents:c.krb5_free_cred_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_cred\_contents()}}}} to free \sphinxstyleemphasis{creds} when it is no longer needed.
+\sphinxAtStartPar
+This function copies the acquired initial credentials from \sphinxstyleemphasis{ctx} into \sphinxstyleemphasis{creds} , after the successful completion of krb5\_init\_creds\_get() or krb5\_init\_creds\_step(). Use krb5\_free\_cred\_contents() to free \sphinxstyleemphasis{creds} when it is no longer needed.
 
 
-\subsubsection{krb5\_init\_creds\_get\_error -  Get the last error from KDC from an initial credentials context.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_get_error:krb5-init-creds-get-error-get-the-last-error-from-kdc-from-an-initial-credentials-context}}\label{\detokenize{appdev/refs/api/krb5_init_creds_get_error::doc}}\index{krb5\_init\_creds\_get\_error (C function)}
+\subsubsection{krb5\_init\_creds\_get\_error \sphinxhyphen{}  Get the last error from KDC from an initial credentials context.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_get_error:krb5-init-creds-get-error-get-the-last-error-from-kdc-from-an-initial-credentials-context}}\label{\detokenize{appdev/refs/api/krb5_init_creds_get_error::doc}}\index{krb5\_init\_creds\_get\_error (C function)@\spxentry{krb5\_init\_creds\_get\_error}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_get_error:c.krb5_init_creds_get_error}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_creds\_get\_error}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{krb5\_error}}} **\sphinxstyleemphasis{ error}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_get_error:c.krb5_init_creds_get_error}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_get\_error}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{error}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Initial credentials context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{error} - Error from KDC, or NULL if none was received
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{error} \sphinxhyphen{} Error from KDC, or NULL if none was received
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_init\_creds\_get\_times -  Retrieve ticket times from an initial credentials context.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_get_times::doc}}\label{\detokenize{appdev/refs/api/krb5_init_creds_get_times:krb5-init-creds-get-times-retrieve-ticket-times-from-an-initial-credentials-context}}\index{krb5\_init\_creds\_get\_times (C function)}
+\subsubsection{krb5\_init\_creds\_get\_times \sphinxhyphen{}  Retrieve ticket times from an initial credentials context.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_get_times:krb5-init-creds-get-times-retrieve-ticket-times-from-an-initial-credentials-context}}\label{\detokenize{appdev/refs/api/krb5_init_creds_get_times::doc}}\index{krb5\_init\_creds\_get\_times (C function)@\spxentry{krb5\_init\_creds\_get\_times}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_get_times:c.krb5_init_creds_get_times}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_creds\_get\_times}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{krb5\_ticket\_times}}} *\sphinxstyleemphasis{ times}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_get_times:c.krb5_init_creds_get_times}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_get\_times}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{times}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Initial credentials context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{times} - Ticket times for acquired credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{times} \sphinxhyphen{} Ticket times for acquired credentials
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-The initial credentials context must have completed obtaining credentials via either {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_get:c.krb5_init_creds_get}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_get()}}}} or {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_step:c.krb5_init_creds_step}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_step()}}}} .
+\sphinxAtStartPar
+The initial credentials context must have completed obtaining credentials via either krb5\_init\_creds\_get() or krb5\_init\_creds\_step().
 
 
-\subsubsection{krb5\_init\_creds\_init -  Create a context for acquiring initial credentials.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_init::doc}}\label{\detokenize{appdev/refs/api/krb5_init_creds_init:krb5-init-creds-init-create-a-context-for-acquiring-initial-credentials}}\index{krb5\_init\_creds\_init (C function)}
+\subsubsection{krb5\_init\_creds\_init \sphinxhyphen{}  Create a context for acquiring initial credentials.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_init:krb5-init-creds-init-create-a-context-for-acquiring-initial-credentials}}\label{\detokenize{appdev/refs/api/krb5_init_creds_init::doc}}\index{krb5\_init\_creds\_init (C function)@\spxentry{krb5\_init\_creds\_init}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_init:c.krb5_init_creds_init}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_creds\_init}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ client}, {\hyperref[\detokenize{appdev/refs/types/krb5_prompter_fct:c.krb5_prompter_fct}]{\sphinxcrossref{krb5\_prompter\_fct}}}\sphinxstyleemphasis{ prompter}, void *\sphinxstyleemphasis{ data}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{krb5\_deltat}}}\sphinxstyleemphasis{ start\_time}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ options}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}} *\sphinxstyleemphasis{ ctx}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_init:c.krb5_init_creds_init}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_init}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{client}, {\hyperref[\detokenize{appdev/refs/types/krb5_prompter_fct:c.krb5_prompter_fct}]{\sphinxcrossref{\DUrole{n}{krb5\_prompter\_fct}}}}\DUrole{w}{  }\DUrole{n}{prompter}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{\DUrole{n}{krb5\_deltat}}}}\DUrole{w}{  }\DUrole{n}{start\_time}, {\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{options}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ctx}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} - Client principal to get initial creds for
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} \sphinxhyphen{} Client principal to get initial creds for
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompter} - Prompter callback
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompter} \sphinxhyphen{} Prompter callback
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Prompter callback argument
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Prompter callback argument
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{start\_time} - Time when credentials become valid (0 for now)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{start\_time} \sphinxhyphen{} Time when credentials become valid (0 for now)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{options} - Options structure (NULL for default)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{options} \sphinxhyphen{} Options structure (NULL for default)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ctx} - New initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} New initial credentials context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a new context for acquiring initial credentials. Use {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_free:c.krb5_init_creds_free}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_free()}}}} to free \sphinxstyleemphasis{ctx} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a new context for acquiring initial credentials. Use krb5\_init\_creds\_free() to free \sphinxstyleemphasis{ctx} when it is no longer needed.
 
-Any subsequent calls to {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_step:c.krb5_init_creds_step}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_step()}}}} , {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_get:c.krb5_init_creds_get}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_get()}}}} , or {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_free:c.krb5_init_creds_free}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_free()}}}} for this initial credentials context must use the same \sphinxstyleemphasis{context} argument as the one passed to this function.
+\sphinxAtStartPar
+Any subsequent calls to krb5\_init\_creds\_step(), krb5\_init\_creds\_get(), or krb5\_init\_creds\_free() for this initial credentials context must use the same \sphinxstyleemphasis{context} argument as the one passed to this function.
 
 
-\subsubsection{krb5\_init\_creds\_set\_keytab -  Specify a keytab to use for acquiring initial credentials.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_set_keytab:krb5-init-creds-set-keytab-specify-a-keytab-to-use-for-acquiring-initial-credentials}}\label{\detokenize{appdev/refs/api/krb5_init_creds_set_keytab::doc}}\index{krb5\_init\_creds\_set\_keytab (C function)}
+\subsubsection{krb5\_init\_creds\_set\_keytab \sphinxhyphen{}  Specify a keytab to use for acquiring initial credentials.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_set_keytab:krb5-init-creds-set-keytab-specify-a-keytab-to-use-for-acquiring-initial-credentials}}\label{\detokenize{appdev/refs/api/krb5_init_creds_set_keytab::doc}}\index{krb5\_init\_creds\_set\_keytab (C function)@\spxentry{krb5\_init\_creds\_set\_keytab}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_set_keytab:c.krb5_init_creds_set_keytab}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_creds\_set\_keytab}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_set_keytab:c.krb5_init_creds_set_keytab}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_set\_keytab}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Initial credentials context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function supplies a keytab containing the client key for an initial credentials request.
 
 
-\subsubsection{krb5\_init\_creds\_set\_password -  Set a password for acquiring initial credentials.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_set_password:krb5-init-creds-set-password-set-a-password-for-acquiring-initial-credentials}}\label{\detokenize{appdev/refs/api/krb5_init_creds_set_password::doc}}\index{krb5\_init\_creds\_set\_password (C function)}
+\subsubsection{krb5\_init\_creds\_set\_password \sphinxhyphen{}  Set a password for acquiring initial credentials.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_set_password:krb5-init-creds-set-password-set-a-password-for-acquiring-initial-credentials}}\label{\detokenize{appdev/refs/api/krb5_init_creds_set_password::doc}}\index{krb5\_init\_creds\_set\_password (C function)@\spxentry{krb5\_init\_creds\_set\_password}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_set_password:c.krb5_init_creds_set_password}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_creds\_set\_password}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}}\sphinxstyleemphasis{ ctx}, const char *\sphinxstyleemphasis{ password}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_set_password:c.krb5_init_creds_set_password}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_set\_password}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{password}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Initial credentials context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{password} - Password
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{password} \sphinxhyphen{} Password
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function supplies a password to be used to construct the client key for an initial credentials request.
 
 
-\subsubsection{krb5\_init\_creds\_set\_service -  Specify a service principal for acquiring initial credentials.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_set_service::doc}}\label{\detokenize{appdev/refs/api/krb5_init_creds_set_service:krb5-init-creds-set-service-specify-a-service-principal-for-acquiring-initial-credentials}}\index{krb5\_init\_creds\_set\_service (C function)}
+\subsubsection{krb5\_init\_creds\_set\_service \sphinxhyphen{}  Specify a service principal for acquiring initial credentials.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_set_service:krb5-init-creds-set-service-specify-a-service-principal-for-acquiring-initial-credentials}}\label{\detokenize{appdev/refs/api/krb5_init_creds_set_service::doc}}\index{krb5\_init\_creds\_set\_service (C function)@\spxentry{krb5\_init\_creds\_set\_service}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_set_service:c.krb5_init_creds_set_service}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_creds\_set\_service}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}}\sphinxstyleemphasis{ ctx}, const char *\sphinxstyleemphasis{ service}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_set_service:c.krb5_init_creds_set_service}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_set\_service}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{service}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Initial credentials context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{service} - Service principal string
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{service} \sphinxhyphen{} Service principal string
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function supplies a service principal string to acquire initial credentials for instead of the default krbtgt service. \sphinxstyleemphasis{service} is parsed as a principal name; any realm part is ignored.
 
 
-\subsubsection{krb5\_init\_creds\_step -  Get the next KDC request for acquiring initial credentials.}
-\label{\detokenize{appdev/refs/api/krb5_init_creds_step::doc}}\label{\detokenize{appdev/refs/api/krb5_init_creds_step:krb5-init-creds-step-get-the-next-kdc-request-for-acquiring-initial-credentials}}\index{krb5\_init\_creds\_step (C function)}
+\subsubsection{krb5\_init\_creds\_step \sphinxhyphen{}  Get the next KDC request for acquiring initial credentials.}
+\label{\detokenize{appdev/refs/api/krb5_init_creds_step:krb5-init-creds-step-get-the-next-kdc-request-for-acquiring-initial-credentials}}\label{\detokenize{appdev/refs/api/krb5_init_creds_step::doc}}\index{krb5\_init\_creds\_step (C function)@\spxentry{krb5\_init\_creds\_step}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_step:c.krb5_init_creds_step}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_creds\_step}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{krb5\_init\_creds\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ in}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ out}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ realm}, unsigned int *\sphinxstyleemphasis{ flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_creds_step:c.krb5_init_creds_step}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_step}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_init\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{out}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Initial credentials context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Initial credentials context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in} - KDC response (empty on the first call)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in} \sphinxhyphen{} KDC response (empty on the first call)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} - Next KDC request
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} \sphinxhyphen{} Next KDC request
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realm} - Realm for next KDC request
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Realm for next KDC request
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{flags} - Output flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Output flags
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function constructs the next KDC request in an initial credential exchange, allowing the caller to control the transport of KDC requests and replies. On the first call, \sphinxstyleemphasis{in} should be set to an empty buffer; on subsequent calls, it should be set to the KDC’s reply to the previous request.
 
-If more requests are needed, \sphinxstyleemphasis{flags} will be set to {\hyperref[\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE:KRB5_INIT_CREDS_STEP_FLAG_CONTINUE}]{\sphinxcrossref{\sphinxcode{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE}}}} and the next request will be placed in \sphinxstyleemphasis{out} . If no more requests are needed, \sphinxstyleemphasis{flags} will not contain {\hyperref[\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE:KRB5_INIT_CREDS_STEP_FLAG_CONTINUE}]{\sphinxcrossref{\sphinxcode{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE}}}} and \sphinxstyleemphasis{out} will be empty.
+\sphinxAtStartPar
+If more requests are needed, \sphinxstyleemphasis{flags} will be set to \#KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE and the next request will be placed in \sphinxstyleemphasis{out} . If no more requests are needed, \sphinxstyleemphasis{flags} will not contain \#KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE and \sphinxstyleemphasis{out} will be empty.
 
+\sphinxAtStartPar
 If this function returns \sphinxstylestrong{KRB5KRB\_ERR\_RESPONSE\_TOO\_BIG} , the caller should transmit the next request using TCP rather than UDP. If this function returns any other error, the initial credential exchange has failed.
 \begin{quote}
 
-\sphinxstyleemphasis{context} must be the same as the one passed to {\hyperref[\detokenize{appdev/refs/api/krb5_init_creds_init:c.krb5_init_creds_init}]{\sphinxcrossref{\sphinxcode{krb5\_init\_creds\_init()}}}} for this initial credentials context.
+\sphinxAtStartPar
+\sphinxstyleemphasis{context} must be the same as the one passed to krb5\_init\_creds\_init() for this initial credentials context.
 \end{quote}
 
 
-\subsubsection{krb5\_init\_keyblock -  Initialize an empty krb5\_keyblock .}
-\label{\detokenize{appdev/refs/api/krb5_init_keyblock:krb5-init-keyblock-initialize-an-empty-krb5-keyblock}}\label{\detokenize{appdev/refs/api/krb5_init_keyblock::doc}}\index{krb5\_init\_keyblock (C function)}
+\subsubsection{krb5\_init\_keyblock \sphinxhyphen{}  Initialize an empty krb5\_keyblock .}
+\label{\detokenize{appdev/refs/api/krb5_init_keyblock:krb5-init-keyblock-initialize-an-empty-krb5-keyblock}}\label{\detokenize{appdev/refs/api/krb5_init_keyblock::doc}}\index{krb5\_init\_keyblock (C function)@\spxentry{krb5\_init\_keyblock}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_keyblock:c.krb5_init_keyblock}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_keyblock}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, size\_t\sphinxstyleemphasis{ length}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_keyblock:c.krb5_init_keyblock}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_keyblock}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{length}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{length} - Length of keyblock (or 0)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{length} \sphinxhyphen{} Length of keyblock (or 0)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} - New keyblock structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} \sphinxhyphen{} New keyblock structure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Initialize a new keyblock and allocate storage for the contents of the key. It is legal to pass in a length of 0, in which case contents are left unallocated. Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock:c.krb5_free_keyblock}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock()}}}} to free \sphinxstyleemphasis{out} when it is no longer needed.
+\sphinxAtStartPar
+Initialize a new keyblock and allocate storage for the contents of the key. It is legal to pass in a length of 0, in which case contents are left unallocated. Use krb5\_free\_keyblock() to free \sphinxstyleemphasis{out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 If \sphinxstyleemphasis{length} is set to 0, contents are left unallocated.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_is\_referral\_realm -  Check for a match with KRB5\_REFERRAL\_REALM.}
-\label{\detokenize{appdev/refs/api/krb5_is_referral_realm:krb5-is-referral-realm-check-for-a-match-with-krb5-referral-realm}}\label{\detokenize{appdev/refs/api/krb5_is_referral_realm::doc}}\index{krb5\_is\_referral\_realm (C function)}
+\subsubsection{krb5\_is\_referral\_realm \sphinxhyphen{}  Check for a match with KRB5\_REFERRAL\_REALM.}
+\label{\detokenize{appdev/refs/api/krb5_is_referral_realm:krb5-is-referral-realm-check-for-a-match-with-krb5-referral-realm}}\label{\detokenize{appdev/refs/api/krb5_is_referral_realm::doc}}\index{krb5\_is\_referral\_realm (C function)@\spxentry{krb5\_is\_referral\_realm}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_is_referral_realm:c.krb5_is_referral_realm}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_is\_referral\_realm}}{const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ r}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_is_referral_realm:c.krb5_is_referral_realm}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_is\_referral\_realm}}}}{\DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{r}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{r} - Realm to check
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{r} \sphinxhyphen{} Realm to check
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
-TRUE if r is zero-length, FALSE otherwise
+\sphinxAtStartPar
+TRUE if r is zero\sphinxhyphen{}length, FALSE otherwise
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_kdc\_sign\_ticket -  Sign a PAC, possibly including a ticket signature.}
-\label{\detokenize{appdev/refs/api/krb5_kdc_sign_ticket:krb5-kdc-sign-ticket-sign-a-pac-possibly-including-a-ticket-signature}}\label{\detokenize{appdev/refs/api/krb5_kdc_sign_ticket::doc}}\index{krb5\_kdc\_sign\_ticket (C function)}
+\subsubsection{krb5\_kdc\_sign\_ticket \sphinxhyphen{}  Sign a PAC, possibly including a ticket signature.}
+\label{\detokenize{appdev/refs/api/krb5_kdc_sign_ticket:krb5-kdc-sign-ticket-sign-a-pac-possibly-including-a-ticket-signature}}\label{\detokenize{appdev/refs/api/krb5_kdc_sign_ticket::doc}}\index{krb5\_kdc\_sign\_ticket (C function)@\spxentry{krb5\_kdc\_sign\_ticket}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kdc_sign_ticket:c.krb5_kdc_sign_ticket}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kdc\_sign\_ticket}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{krb5\_enc\_tkt\_part}}} *\sphinxstyleemphasis{ enc\_tkt}, const {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ server\_princ}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ client\_princ}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ server}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ privsvr}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}}\sphinxstyleemphasis{ with\_realm}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kdc_sign_ticket:c.krb5_kdc_sign_ticket}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kdc\_sign\_ticket}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{enc\_tkt}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{server\_princ}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{client\_princ}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{server}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{privsvr}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{n}{with\_realm}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enc\_tkt} - The ticket for the signature
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enc\_tkt} \sphinxhyphen{} The ticket for the signature
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} - PAC handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} \sphinxhyphen{} PAC handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server\_princ} - Canonical ticket server name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server\_princ} \sphinxhyphen{} Canonical ticket server name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client\_princ} - PAC\_CLIENT\_INFO principal (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client\_princ} \sphinxhyphen{} PAC\_CLIENT\_INFO principal (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Key for server checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Key for server checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{privsvr} - Key for KDC and ticket checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{privsvr} \sphinxhyphen{} Key for KDC and ticket checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{with\_realm} - If true, include the realm of \sphinxstyleemphasis{principal}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{with\_realm} \sphinxhyphen{} If true, include the realm of \sphinxstyleemphasis{principal}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   on success, otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   on success, otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Sign \sphinxstyleemphasis{pac} using the keys \sphinxstyleemphasis{server} and \sphinxstyleemphasis{privsvr} . Include a ticket signature over \sphinxstyleemphasis{enc\_tkt} if \sphinxstyleemphasis{server\_princ} is not a TGS or kadmin/changepw principal name. Add the signed PAC’s encoding to the authorization data of \sphinxstyleemphasis{enc\_tkt} in the first slot, wrapped in an AD-IF-RELEVANT container. If \sphinxstyleemphasis{client\_princ} is non-null, add a PAC\_CLIENT\_INFO buffer, including the realm if \sphinxstyleemphasis{with\_realm} is true.
+\sphinxAtStartPar
+Sign \sphinxstyleemphasis{pac} using the keys \sphinxstyleemphasis{server} and \sphinxstyleemphasis{privsvr} . Include a ticket signature over \sphinxstyleemphasis{enc\_tkt} if \sphinxstyleemphasis{server\_princ} is not a TGS or kadmin/changepw principal name. Add the signed PAC’s encoding to the authorization data of \sphinxstyleemphasis{enc\_tkt} in the first slot, wrapped in an AD\sphinxhyphen{}IF\sphinxhyphen{}RELEVANT container. If \sphinxstyleemphasis{client\_princ} is non\sphinxhyphen{}null, add a PAC\_CLIENT\_INFO buffer, including the realm if \sphinxstyleemphasis{with\_realm} is true.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.20
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_kdc\_verify\_ticket -  Verify a PAC, possibly including ticket signature.}
-\label{\detokenize{appdev/refs/api/krb5_kdc_verify_ticket:krb5-kdc-verify-ticket-verify-a-pac-possibly-including-ticket-signature}}\label{\detokenize{appdev/refs/api/krb5_kdc_verify_ticket::doc}}\index{krb5\_kdc\_verify\_ticket (C function)}
+\subsubsection{krb5\_kdc\_verify\_ticket \sphinxhyphen{}  Verify a PAC, possibly including ticket signature.}
+\label{\detokenize{appdev/refs/api/krb5_kdc_verify_ticket:krb5-kdc-verify-ticket-verify-a-pac-possibly-including-ticket-signature}}\label{\detokenize{appdev/refs/api/krb5_kdc_verify_ticket::doc}}\index{krb5\_kdc\_verify\_ticket (C function)@\spxentry{krb5\_kdc\_verify\_ticket}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kdc_verify_ticket:c.krb5_kdc_verify_ticket}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kdc\_verify\_ticket}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{krb5\_enc\_tkt\_part}}} *\sphinxstyleemphasis{ enc\_tkt}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ server\_princ}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ server}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ privsvr}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}} *\sphinxstyleemphasis{ pac\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kdc_verify_ticket:c.krb5_kdc_verify_ticket}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kdc\_verify\_ticket}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{enc\_tkt}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{server\_princ}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{server}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{privsvr}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pac\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enc\_tkt} - Ticket enc-part, possibly containing a PAC
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enc\_tkt} \sphinxhyphen{} Ticket enc\sphinxhyphen{}part, possibly containing a PAC
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server\_princ} - Canonicalized name of ticket server
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server\_princ} \sphinxhyphen{} Canonicalized name of ticket server
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Key to validate server checksum (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Key to validate server checksum (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{privsvr} - Key to validate KDC checksum (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{privsvr} \sphinxhyphen{} Key to validate KDC checksum (or NULL)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{pac\_out} - Verified PAC (NULL if no PAC included)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{pac\_out} \sphinxhyphen{} Verified PAC (NULL if no PAC included)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 If a PAC is present in \sphinxstyleemphasis{enc\_tkt} , verify its signatures. If \sphinxstyleemphasis{privsvr} is not NULL and \sphinxstyleemphasis{server\_princ} is not a krbtgt or kadmin/changepw service, require a ticket signature over \sphinxstyleemphasis{enc\_tkt} in addition to the KDC signature. Place the verified PAC in \sphinxstyleemphasis{pac\_out} . If an invalid PAC signature is found, return an error matching the Windows KDC protocol code for that condition as closely as possible.
 
+\sphinxAtStartPar
 If no PAC is present in \sphinxstyleemphasis{enc\_tkt} , set \sphinxstyleemphasis{pac\_out} to NULL and return successfully.
 
 \begin{sphinxadmonition}{note}{Note:}
-This function does not validate the PAC\_CLIENT\_INFO buffer. If a specific value is expected, the caller can make a separate call to {\hyperref[\detokenize{appdev/refs/api/krb5_pac_verify_ext:c.krb5_pac_verify_ext}]{\sphinxcrossref{\sphinxcode{krb5\_pac\_verify\_ext()}}}} with a principal but no keys.
+\sphinxAtStartPar
+This function does not validate the PAC\_CLIENT\_INFO buffer. If a specific value is expected, the caller can make a separate call to krb5\_pac\_verify\_ext() with a principal but no keys.
 \end{sphinxadmonition}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.20
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_kt\_add\_entry -  Add a new entry to a key table.}
-\label{\detokenize{appdev/refs/api/krb5_kt_add_entry:krb5-kt-add-entry-add-a-new-entry-to-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_add_entry::doc}}\index{krb5\_kt\_add\_entry (C function)}
+\subsubsection{krb5\_kt\_add\_entry \sphinxhyphen{}  Add a new entry to a key table.}
+\label{\detokenize{appdev/refs/api/krb5_kt_add_entry:krb5-kt-add-entry-add-a-new-entry-to-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_add_entry::doc}}\index{krb5\_kt\_add\_entry (C function)@\spxentry{krb5\_kt\_add\_entry}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_add_entry:c.krb5_kt_add_entry}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_add\_entry}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ id}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{krb5\_keytab\_entry}}} *\sphinxstyleemphasis{ entry}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_add_entry:c.krb5_kt_add_entry}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_add\_entry}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{id}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{entry}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{id} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{id} \sphinxhyphen{} Key table handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{entry} - Entry to be added
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{entry} \sphinxhyphen{} Entry to be added
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 ENOMEM   Insufficient memory
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_KT\_NOWRITE   Key table is not writeable
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
@@ -7770,103 +9791,133 @@ Kerberos error codes
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_kt\_end\_seq\_get -  Release a keytab cursor.}
-\label{\detokenize{appdev/refs/api/krb5_kt_end_seq_get::doc}}\label{\detokenize{appdev/refs/api/krb5_kt_end_seq_get:krb5-kt-end-seq-get-release-a-keytab-cursor}}\index{krb5\_kt\_end\_seq\_get (C function)}
+\subsubsection{krb5\_kt\_end\_seq\_get \sphinxhyphen{}  Release a keytab cursor.}
+\label{\detokenize{appdev/refs/api/krb5_kt_end_seq_get:krb5-kt-end-seq-get-release-a-keytab-cursor}}\label{\detokenize{appdev/refs/api/krb5_kt_end_seq_get::doc}}\index{krb5\_kt\_end\_seq\_get (C function)@\spxentry{krb5\_kt\_end\_seq\_get}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_end_seq_get:c.krb5_kt_end_seq_get}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_end\_seq\_get}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_kt_cursor:c.krb5_kt_cursor}]{\sphinxcrossref{krb5\_kt\_cursor}}} *\sphinxstyleemphasis{ cursor}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_end_seq_get:c.krb5_kt_end_seq_get}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_end\_seq\_get}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_kt_cursor:c.krb5_kt_cursor}]{\sphinxcrossref{\DUrole{n}{krb5\_kt\_cursor}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cursor}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cursor} - Cursor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cursor} \sphinxhyphen{} Cursor
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function should be called to release the cursor created by {\hyperref[\detokenize{appdev/refs/api/krb5_kt_start_seq_get:c.krb5_kt_start_seq_get}]{\sphinxcrossref{\sphinxcode{krb5\_kt\_start\_seq\_get()}}}} .
+\sphinxAtStartPar
+This function should be called to release the cursor created by krb5\_kt\_start\_seq\_get().
 
 
-\subsubsection{krb5\_kt\_get\_entry -  Get an entry from a key table.}
-\label{\detokenize{appdev/refs/api/krb5_kt_get_entry:krb5-kt-get-entry-get-an-entry-from-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_get_entry::doc}}\index{krb5\_kt\_get\_entry (C function)}
+\subsubsection{krb5\_kt\_get\_entry \sphinxhyphen{}  Get an entry from a key table.}
+\label{\detokenize{appdev/refs/api/krb5_kt_get_entry:krb5-kt-get-entry-get-an-entry-from-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_get_entry::doc}}\index{krb5\_kt\_get\_entry (C function)@\spxentry{krb5\_kt\_get\_entry}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_get_entry:c.krb5_kt_get_entry}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_get\_entry}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, {\hyperref[\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}]{\sphinxcrossref{krb5\_kvno}}}\sphinxstyleemphasis{ vno}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{krb5\_keytab\_entry}}} *\sphinxstyleemphasis{ entry}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_get_entry:c.krb5_kt_get_entry}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_get\_entry}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, {\hyperref[\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}]{\sphinxcrossref{\DUrole{n}{krb5\_kvno}}}}\DUrole{w}{  }\DUrole{n}{vno}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{entry}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Principal name
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{vno} - Key version number (0 for highest available)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{vno} \sphinxhyphen{} Key version number (0 for highest available)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type (0 zero for any enctype)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type (0 zero for any enctype)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{entry} - Returned entry from key table
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{entry} \sphinxhyphen{} Returned entry from key table
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 Kerberos   error codes on failure
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Retrieve an entry from a key table which matches the \sphinxstyleemphasis{keytab} , \sphinxstyleemphasis{principal} , \sphinxstyleemphasis{vno} , and \sphinxstyleemphasis{enctype} . If \sphinxstyleemphasis{vno} is zero, retrieve the highest-numbered kvno matching the other fields. If \sphinxstyleemphasis{enctype} is 0, match any enctype.
+\sphinxAtStartPar
+Retrieve an entry from a key table which matches the \sphinxstyleemphasis{keytab} , \sphinxstyleemphasis{principal} , \sphinxstyleemphasis{vno} , and \sphinxstyleemphasis{enctype} . If \sphinxstyleemphasis{vno} is zero, retrieve the highest\sphinxhyphen{}numbered kvno matching the other fields. If \sphinxstyleemphasis{enctype} is 0, match any enctype.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_keytab_entry_contents:c.krb5_free_keytab_entry_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keytab\_entry\_contents()}}}} to free \sphinxstyleemphasis{entry} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_keytab\_entry\_contents() to free \sphinxstyleemphasis{entry} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
-If \sphinxstyleemphasis{vno} is zero, the function retrieves the highest-numbered-kvno entry that matches the specified principal.
+\sphinxAtStartPar
+If \sphinxstyleemphasis{vno} is zero, the function retrieves the highest\sphinxhyphen{}numbered\sphinxhyphen{}kvno entry that matches the specified principal.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_kt\_have\_content -  Check if a keytab exists and contains entries.}
-\label{\detokenize{appdev/refs/api/krb5_kt_have_content::doc}}\label{\detokenize{appdev/refs/api/krb5_kt_have_content:krb5-kt-have-content-check-if-a-keytab-exists-and-contains-entries}}\index{krb5\_kt\_have\_content (C function)}
+\subsubsection{krb5\_kt\_have\_content \sphinxhyphen{}  Check if a keytab exists and contains entries.}
+\label{\detokenize{appdev/refs/api/krb5_kt_have_content:krb5-kt-have-content-check-if-a-keytab-exists-and-contains-entries}}\label{\detokenize{appdev/refs/api/krb5_kt_have_content::doc}}\index{krb5\_kt\_have\_content (C function)@\spxentry{krb5\_kt\_have\_content}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_have_content:c.krb5_kt_have_content}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_have\_content}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_have_content:c.krb5_kt_have_content}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_have\_content}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Keytab exists and contains entries
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_KT\_NOTFOUND   Keytab does not contain entries
 
 \end{itemize}
@@ -7874,121 +9925,156 @@ KRB5\_KT\_NOTFOUND   Keytab does not con
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.11
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_kt\_next\_entry -  Retrieve the next entry from the key table.}
-\label{\detokenize{appdev/refs/api/krb5_kt_next_entry:krb5-kt-next-entry-retrieve-the-next-entry-from-the-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_next_entry::doc}}\index{krb5\_kt\_next\_entry (C function)}
+\subsubsection{krb5\_kt\_next\_entry \sphinxhyphen{}  Retrieve the next entry from the key table.}
+\label{\detokenize{appdev/refs/api/krb5_kt_next_entry:krb5-kt-next-entry-retrieve-the-next-entry-from-the-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_next_entry::doc}}\index{krb5\_kt\_next\_entry (C function)@\spxentry{krb5\_kt\_next\_entry}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_next_entry:c.krb5_kt_next_entry}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_next\_entry}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{krb5\_keytab\_entry}}} *\sphinxstyleemphasis{ entry}, {\hyperref[\detokenize{appdev/refs/types/krb5_kt_cursor:c.krb5_kt_cursor}]{\sphinxcrossref{krb5\_kt\_cursor}}} *\sphinxstyleemphasis{ cursor}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_next_entry:c.krb5_kt_next_entry}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_next\_entry}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{entry}, {\hyperref[\detokenize{appdev/refs/types/krb5_kt_cursor:c.krb5_kt_cursor}]{\sphinxcrossref{\DUrole{n}{krb5\_kt\_cursor}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cursor}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{entry} - Returned key table entry
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{entry} \sphinxhyphen{} Returned key table entry
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} - Key table cursor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cursor} \sphinxhyphen{} Key table cursor
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
-KRB5\_KT\_END   - if the last entry was reached
+\sphinxAtStartPar
+KRB5\_KT\_END   \sphinxhyphen{} if the last entry was reached
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Return the next sequential entry in \sphinxstyleemphasis{keytab} and advance \sphinxstyleemphasis{cursor} . Callers must release the returned entry with {\hyperref[\detokenize{appdev/refs/api/krb5_kt_free_entry:c.krb5_kt_free_entry}]{\sphinxcrossref{\sphinxcode{krb5\_kt\_free\_entry()}}}} .
+\sphinxAtStartPar
+Return the next sequential entry in \sphinxstyleemphasis{keytab} and advance \sphinxstyleemphasis{cursor} . Callers must release the returned entry with krb5\_kt\_free\_entry().
 
 
-\subsubsection{krb5\_kt\_read\_service\_key -  Retrieve a service key from a key table.}
-\label{\detokenize{appdev/refs/api/krb5_kt_read_service_key::doc}}\label{\detokenize{appdev/refs/api/krb5_kt_read_service_key:krb5-kt-read-service-key-retrieve-a-service-key-from-a-key-table}}\index{krb5\_kt\_read\_service\_key (C function)}
+\subsubsection{krb5\_kt\_read\_service\_key \sphinxhyphen{}  Retrieve a service key from a key table.}
+\label{\detokenize{appdev/refs/api/krb5_kt_read_service_key:krb5-kt-read-service-key-retrieve-a-service-key-from-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_read_service_key::doc}}\index{krb5\_kt\_read\_service\_key (C function)@\spxentry{krb5\_kt\_read\_service\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_read_service_key:c.krb5_kt_read_service_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_read\_service\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}}\sphinxstyleemphasis{ keyprocarg}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ principal}, {\hyperref[\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}]{\sphinxcrossref{krb5\_kvno}}}\sphinxstyleemphasis{ vno}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_read_service_key:c.krb5_kt_read_service_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_read\_service\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{n}{keyprocarg}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, {\hyperref[\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}]{\sphinxcrossref{\DUrole{n}{krb5\_kvno}}}}\DUrole{w}{  }\DUrole{n}{vno}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyprocarg} - Name of a key table (NULL to use default name)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyprocarg} \sphinxhyphen{} Name of a key table (NULL to use default name)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Service principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Service principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{vno} - Key version number (0 for highest available)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{vno} \sphinxhyphen{} Key version number (0 for highest available)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type (0 for any type)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type (0 for any type)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} - Service key from key table
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} \sphinxhyphen{} Service key from key table
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error code if not found or keyprocarg is invalid.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Open and search the specified key table for the entry identified by \sphinxstyleemphasis{principal} , \sphinxstyleemphasis{enctype} , and \sphinxstyleemphasis{vno} . If no key is found, return an error code.
 
-The default key table is used, unless \sphinxstyleemphasis{keyprocarg} is non-null. \sphinxstyleemphasis{keyprocarg} designates a specific key table.
+\sphinxAtStartPar
+The default key table is used, unless \sphinxstyleemphasis{keyprocarg} is non\sphinxhyphen{}null. \sphinxstyleemphasis{keyprocarg} designates a specific key table.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock:c.krb5_free_keyblock}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock()}}}} to free \sphinxstyleemphasis{key} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_keyblock() to free \sphinxstyleemphasis{key} when it is no longer needed.
 
 
-\subsubsection{krb5\_kt\_remove\_entry -  Remove an entry from a key table.}
-\label{\detokenize{appdev/refs/api/krb5_kt_remove_entry::doc}}\label{\detokenize{appdev/refs/api/krb5_kt_remove_entry:krb5-kt-remove-entry-remove-an-entry-from-a-key-table}}\index{krb5\_kt\_remove\_entry (C function)}
+\subsubsection{krb5\_kt\_remove\_entry \sphinxhyphen{}  Remove an entry from a key table.}
+\label{\detokenize{appdev/refs/api/krb5_kt_remove_entry:krb5-kt-remove-entry-remove-an-entry-from-a-key-table}}\label{\detokenize{appdev/refs/api/krb5_kt_remove_entry::doc}}\index{krb5\_kt\_remove\_entry (C function)@\spxentry{krb5\_kt\_remove\_entry}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_remove_entry:c.krb5_kt_remove_entry}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_remove\_entry}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ id}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{krb5\_keytab\_entry}}} *\sphinxstyleemphasis{ entry}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_remove_entry:c.krb5_kt_remove_entry}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_remove\_entry}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{id}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{entry}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{id} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{id} \sphinxhyphen{} Key table handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{entry} - Entry to remove from key table
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{entry} \sphinxhyphen{} Entry to remove from key table
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_KT\_NOWRITE   Key table is not writable
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
@@ -7996,2537 +10082,3317 @@ Kerberos error codes
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_kt\_start\_seq\_get -  Start a sequential retrieval of key table entries.}
-\label{\detokenize{appdev/refs/api/krb5_kt_start_seq_get:krb5-kt-start-seq-get-start-a-sequential-retrieval-of-key-table-entries}}\label{\detokenize{appdev/refs/api/krb5_kt_start_seq_get::doc}}\index{krb5\_kt\_start\_seq\_get (C function)}
+\subsubsection{krb5\_kt\_start\_seq\_get \sphinxhyphen{}  Start a sequential retrieval of key table entries.}
+\label{\detokenize{appdev/refs/api/krb5_kt_start_seq_get:krb5-kt-start-seq-get-start-a-sequential-retrieval-of-key-table-entries}}\label{\detokenize{appdev/refs/api/krb5_kt_start_seq_get::doc}}\index{krb5\_kt\_start\_seq\_get (C function)@\spxentry{krb5\_kt\_start\_seq\_get}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_start_seq_get:c.krb5_kt_start_seq_get}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_start\_seq\_get}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_kt_cursor:c.krb5_kt_cursor}]{\sphinxcrossref{krb5\_kt\_cursor}}} *\sphinxstyleemphasis{ cursor}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_start_seq_get:c.krb5_kt_start_seq_get}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_start\_seq\_get}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_kt_cursor:c.krb5_kt_cursor}]{\sphinxcrossref{\DUrole{n}{krb5\_kt\_cursor}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cursor}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cursor} - Cursor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cursor} \sphinxhyphen{} Cursor
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Prepare to read sequentially every key in the specified key table. Use {\hyperref[\detokenize{appdev/refs/api/krb5_kt_end_seq_get:c.krb5_kt_end_seq_get}]{\sphinxcrossref{\sphinxcode{krb5\_kt\_end\_seq\_get()}}}} to release the cursor when it is no longer needed.
+\sphinxAtStartPar
+Prepare to read sequentially every key in the specified key table. Use krb5\_kt\_end\_seq\_get() to release the cursor when it is no longer needed.
 
 
-\subsubsection{krb5\_make\_authdata\_kdc\_issued -  Encode and sign AD-KDCIssued authorization data.}
-\label{\detokenize{appdev/refs/api/krb5_make_authdata_kdc_issued:krb5-make-authdata-kdc-issued-encode-and-sign-ad-kdcissued-authorization-data}}\label{\detokenize{appdev/refs/api/krb5_make_authdata_kdc_issued::doc}}\index{krb5\_make\_authdata\_kdc\_issued (C function)}
+\subsubsection{krb5\_make\_authdata\_kdc\_issued \sphinxhyphen{}  Encode and sign AD\sphinxhyphen{}KDCIssued authorization data.}
+\label{\detokenize{appdev/refs/api/krb5_make_authdata_kdc_issued:krb5-make-authdata-kdc-issued-encode-and-sign-ad-kdcissued-authorization-data}}\label{\detokenize{appdev/refs/api/krb5_make_authdata_kdc_issued::doc}}\index{krb5\_make\_authdata\_kdc\_issued (C function)@\spxentry{krb5\_make\_authdata\_kdc\_issued}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_make_authdata_kdc_issued:c.krb5_make_authdata_kdc_issued}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_make\_authdata\_kdc\_issued}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ issuer}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} *const *\sphinxstyleemphasis{ authdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} ***\sphinxstyleemphasis{ ad\_kdcissued}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_make_authdata_kdc_issued:c.krb5_make_authdata_kdc_issued}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_make\_authdata\_kdc\_issued}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{issuer}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{authdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ad\_kdcissued}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Session key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Session key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{issuer} - The name of the issuing principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{issuer} \sphinxhyphen{} The name of the issuing principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authdata} - List of authorization data to be signed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authdata} \sphinxhyphen{} List of authorization data to be signed
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ad\_kdcissued} - List containing AD-KDCIssued authdata
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ad\_kdcissued} \sphinxhyphen{} List containing AD\sphinxhyphen{}KDCIssued authdata
 
 \end{description}\end{quote}
 
-This function wraps a list of authorization data entries \sphinxstyleemphasis{authdata} in an AD-KDCIssued container (see RFC 4120 section 5.2.6.2) signed with \sphinxstyleemphasis{key} . The result is returned in \sphinxstyleemphasis{ad\_kdcissued} as a single-element list.
+\sphinxAtStartPar
+This function wraps a list of authorization data entries \sphinxstyleemphasis{authdata} in an AD\sphinxhyphen{}KDCIssued container (see RFC 4120 section 5.2.6.2) signed with \sphinxstyleemphasis{key} . The result is returned in \sphinxstyleemphasis{ad\_kdcissued} as a single\sphinxhyphen{}element list.
 
 
-\subsubsection{krb5\_marshal\_credentials -  Serialize a krb5\_creds object.}
-\label{\detokenize{appdev/refs/api/krb5_marshal_credentials:krb5-marshal-credentials-serialize-a-krb5-creds-object}}\label{\detokenize{appdev/refs/api/krb5_marshal_credentials::doc}}\index{krb5\_marshal\_credentials (C function)}
+\subsubsection{krb5\_marshal\_credentials \sphinxhyphen{}  Serialize a krb5\_creds object.}
+\label{\detokenize{appdev/refs/api/krb5_marshal_credentials:krb5-marshal-credentials-serialize-a-krb5-creds-object}}\label{\detokenize{appdev/refs/api/krb5_marshal_credentials::doc}}\index{krb5\_marshal\_credentials (C function)@\spxentry{krb5\_marshal\_credentials}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_marshal_credentials:c.krb5_marshal_credentials}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_marshal\_credentials}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} **\sphinxstyleemphasis{ data\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_marshal_credentials:c.krb5_marshal_credentials}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_marshal\_credentials}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{data\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_creds} - The credentials object to serialize
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_creds} \sphinxhyphen{} The credentials object to serialize
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data\_out} - The serialized credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data\_out} \sphinxhyphen{} The serialized credentials
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Serialize \sphinxstyleemphasis{creds} in the format used by the FILE ccache format (vesion 4) and KCM ccache protocol.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data:c.krb5_free_data}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data()}}}} to free \sphinxstyleemphasis{data\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data() to free \sphinxstyleemphasis{data\_out} when it is no longer needed.
 
 
-\subsubsection{krb5\_merge\_authdata -  Merge two authorization data lists into a new list.}
-\label{\detokenize{appdev/refs/api/krb5_merge_authdata:krb5-merge-authdata-merge-two-authorization-data-lists-into-a-new-list}}\label{\detokenize{appdev/refs/api/krb5_merge_authdata::doc}}\index{krb5\_merge\_authdata (C function)}
+\subsubsection{krb5\_merge\_authdata \sphinxhyphen{}  Merge two authorization data lists into a new list.}
+\label{\detokenize{appdev/refs/api/krb5_merge_authdata:krb5-merge-authdata-merge-two-authorization-data-lists-into-a-new-list}}\label{\detokenize{appdev/refs/api/krb5_merge_authdata::doc}}\index{krb5\_merge\_authdata (C function)@\spxentry{krb5\_merge\_authdata}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_merge_authdata:c.krb5_merge_authdata}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_merge\_authdata}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} *const *\sphinxstyleemphasis{ inauthdat1}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} *const *\sphinxstyleemphasis{ inauthdat2}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} ***\sphinxstyleemphasis{ outauthdat}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_merge_authdata:c.krb5_merge_authdata}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_merge\_authdata}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{inauthdat1}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{inauthdat2}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{outauthdat}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inauthdat1} - First list of \sphinxstyleemphasis{krb5\_authdata} structures
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inauthdat1} \sphinxhyphen{} First list of \sphinxstyleemphasis{krb5\_authdata} structures
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inauthdat2} - Second list of \sphinxstyleemphasis{krb5\_authdata} structures
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inauthdat2} \sphinxhyphen{} Second list of \sphinxstyleemphasis{krb5\_authdata} structures
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outauthdat} - Merged list of \sphinxstyleemphasis{krb5\_authdata} structures
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outauthdat} \sphinxhyphen{} Merged list of \sphinxstyleemphasis{krb5\_authdata} structures
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Merge two authdata arrays, such as the array from a ticket and authenticator. Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_authdata:c.krb5_free_authdata}]{\sphinxcrossref{\sphinxcode{krb5\_free\_authdata()}}}} to free \sphinxstyleemphasis{outauthdat} when it is no longer needed.
+\sphinxAtStartPar
+Merge two authdata arrays, such as the array from a ticket and authenticator. Use krb5\_free\_authdata() to free \sphinxstyleemphasis{outauthdat} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The last array entry in \sphinxstyleemphasis{inauthdat1} and \sphinxstyleemphasis{inauthdat2} must be a NULL pointer.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_mk\_1cred -  Format a KRB-CRED message for a single set of credentials.}
-\label{\detokenize{appdev/refs/api/krb5_mk_1cred:krb5-mk-1cred-format-a-krb-cred-message-for-a-single-set-of-credentials}}\label{\detokenize{appdev/refs/api/krb5_mk_1cred::doc}}\index{krb5\_mk\_1cred (C function)}
+\subsubsection{krb5\_mk\_1cred \sphinxhyphen{}  Format a KRB\sphinxhyphen{}CRED message for a single set of credentials.}
+\label{\detokenize{appdev/refs/api/krb5_mk_1cred:krb5-mk-1cred-format-a-krb-cred-message-for-a-single-set-of-credentials}}\label{\detokenize{appdev/refs/api/krb5_mk_1cred::doc}}\index{krb5\_mk\_1cred (C function)@\spxentry{krb5\_mk\_1cred}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_1cred:c.krb5_mk_1cred}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_mk\_1cred}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} **\sphinxstyleemphasis{ der\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{krb5\_replay\_data}}} *\sphinxstyleemphasis{ rdata\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_1cred:c.krb5_mk_1cred}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_1cred}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{der\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rdata\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} - Pointer to credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Pointer to credentials
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{der\_out} - Encoded credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{der\_out} \sphinxhyphen{} Encoded credentials
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} - Replay cache data (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} \sphinxhyphen{} Replay cache data (NULL if not needed)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 ENOMEM   Insufficient memory
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_RC\_REQUIRED   Message replay detection requires rcache parameter
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This is a convenience function that calls {\hyperref[\detokenize{appdev/refs/api/krb5_mk_ncred:c.krb5_mk_ncred}]{\sphinxcrossref{\sphinxcode{krb5\_mk\_ncred()}}}} with a single set of credentials.
+\sphinxAtStartPar
+This is a convenience function that calls krb5\_mk\_ncred() with a single set of credentials.
 
 
-\subsubsection{krb5\_mk\_error -  Format and encode a KRB\_ERROR message.}
-\label{\detokenize{appdev/refs/api/krb5_mk_error:krb5-mk-error-format-and-encode-a-krb-error-message}}\label{\detokenize{appdev/refs/api/krb5_mk_error::doc}}\index{krb5\_mk\_error (C function)}
+\subsubsection{krb5\_mk\_error \sphinxhyphen{}  Format and encode a KRB\_ERROR message.}
+\label{\detokenize{appdev/refs/api/krb5_mk_error:krb5-mk-error-format-and-encode-a-krb-error-message}}\label{\detokenize{appdev/refs/api/krb5_mk_error::doc}}\index{krb5\_mk\_error (C function)@\spxentry{krb5\_mk\_error}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_error:c.krb5_mk_error}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_mk\_error}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{krb5\_error}}} *\sphinxstyleemphasis{ dec\_err}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ enc\_err}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_error:c.krb5_mk_error}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_error}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{dec\_err}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{enc\_err}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{dec\_err} - Error structure to be encoded
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{dec\_err} \sphinxhyphen{} Error structure to be encoded
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{enc\_err} - Encoded error structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{enc\_err} \sphinxhyphen{} Encoded error structure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates a \sphinxstylestrong{KRB\_ERROR} message in \sphinxstyleemphasis{enc\_err} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{enc\_err} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a \sphinxstylestrong{KRB\_ERROR} message in \sphinxstyleemphasis{enc\_err} . Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{enc\_err} when it is no longer needed.
 
 
-\subsubsection{krb5\_mk\_ncred -  Format a KRB-CRED message for an array of credentials.}
-\label{\detokenize{appdev/refs/api/krb5_mk_ncred::doc}}\label{\detokenize{appdev/refs/api/krb5_mk_ncred:krb5-mk-ncred-format-a-krb-cred-message-for-an-array-of-credentials}}\index{krb5\_mk\_ncred (C function)}
+\subsubsection{krb5\_mk\_ncred \sphinxhyphen{}  Format a KRB\sphinxhyphen{}CRED message for an array of credentials.}
+\label{\detokenize{appdev/refs/api/krb5_mk_ncred:krb5-mk-ncred-format-a-krb-cred-message-for-an-array-of-credentials}}\label{\detokenize{appdev/refs/api/krb5_mk_ncred::doc}}\index{krb5\_mk\_ncred (C function)@\spxentry{krb5\_mk\_ncred}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_ncred:c.krb5_mk_ncred}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_mk\_ncred}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} **\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} **\sphinxstyleemphasis{ der\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{krb5\_replay\_data}}} *\sphinxstyleemphasis{ rdata\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_ncred:c.krb5_mk_ncred}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_ncred}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{der\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rdata\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} - Null-terminated array of credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Null\sphinxhyphen{}terminated array of credentials
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{der\_out} - Encoded credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{der\_out} \sphinxhyphen{} Encoded credentials
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} - Replay cache information (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} \sphinxhyphen{} Replay cache information (NULL if not needed)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 ENOMEM   Insufficient memory
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_RC\_REQUIRED   Message replay detection requires rcache parameter
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function takes an array of credentials \sphinxstyleemphasis{creds} and formats a \sphinxstylestrong{KRB-CRED} message \sphinxstyleemphasis{der\_out} to pass to {\hyperref[\detokenize{appdev/refs/api/krb5_rd_cred:c.krb5_rd_cred}]{\sphinxcrossref{\sphinxcode{krb5\_rd\_cred()}}}} .
+\sphinxAtStartPar
+This function takes an array of credentials \sphinxstyleemphasis{creds} and formats a \sphinxstylestrong{KRB\sphinxhyphen{}CRED} message \sphinxstyleemphasis{der\_out} to pass to krb5\_rd\_cred().
 
-The local and remote addresses in \sphinxstyleemphasis{auth\_context} are optional; if either is specified, they are used to form the sender and receiver addresses in the KRB-CRED message.
+\sphinxAtStartPar
+The local and remote addresses in \sphinxstyleemphasis{auth\_context} are optional; if either is specified, they are used to form the sender and receiver addresses in the KRB\sphinxhyphen{}CRED message.
 
-If the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} flag is set in \sphinxstyleemphasis{auth\_context} , an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} is not set, no replay cache is used. If {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} is set in \sphinxstyleemphasis{auth\_context} , the timestamp used for the KRB-CRED message is stored in \sphinxstyleemphasis{rdata\_out} .
+\sphinxAtStartPar
+If the \#KRB5\_AUTH\_CONTEXT\_DO\_TIME flag is set in \sphinxstyleemphasis{auth\_context} , an entry for the message is entered in an in\sphinxhyphen{}memory replay cache to detect if the message is reflected by an attacker. If \#KRB5\_AUTH\_CONTEXT\_DO\_TIME is not set, no replay cache is used. If \#KRB5\_AUTH\_CONTEXT\_RET\_TIME is set in \sphinxstyleemphasis{auth\_context} , the timestamp used for the KRB\sphinxhyphen{}CRED message is stored in \sphinxstyleemphasis{rdata\_out} .
 
-If either {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} is set, the \sphinxstyleemphasis{auth\_context} local sequence number is included in the KRB-CRED message and then incremented. If {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} is set, the sequence number used is stored in \sphinxstyleemphasis{rdata\_out} .
+\sphinxAtStartPar
+If either \#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE is set, the \sphinxstyleemphasis{auth\_context} local sequence number is included in the KRB\sphinxhyphen{}CRED message and then incremented. If \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE is set, the sequence number used is stored in \sphinxstyleemphasis{rdata\_out} .
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{der\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{der\_out} when it is no longer needed.
 
+\sphinxAtStartPar
 The message will be encrypted using the send subkey of \sphinxstyleemphasis{auth\_context} if it is present, or the session key otherwise. If neither key is present, the credentials will not be encrypted, and the message should only be sent over a secure channel. No replay cache entry is used in this case.
 
 \begin{sphinxadmonition}{note}{Note:}
-The \sphinxstyleemphasis{rdata\_out} argument is required if the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} flag is set in \sphinxstyleemphasis{auth\_context} .
+\sphinxAtStartPar
+The \sphinxstyleemphasis{rdata\_out} argument is required if the \#KRB5\_AUTH\_CONTEXT\_RET\_TIME or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE flag is set in \sphinxstyleemphasis{auth\_context} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_mk\_priv -  Format a KRB-PRIV message.}
-\label{\detokenize{appdev/refs/api/krb5_mk_priv:krb5-mk-priv-format-a-krb-priv-message}}\label{\detokenize{appdev/refs/api/krb5_mk_priv::doc}}\index{krb5\_mk\_priv (C function)}
+\subsubsection{krb5\_mk\_priv \sphinxhyphen{}  Format a KRB\sphinxhyphen{}PRIV message.}
+\label{\detokenize{appdev/refs/api/krb5_mk_priv:krb5-mk-priv-format-a-krb-priv-message}}\label{\detokenize{appdev/refs/api/krb5_mk_priv::doc}}\index{krb5\_mk\_priv (C function)@\spxentry{krb5\_mk\_priv}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_priv:c.krb5_mk_priv}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_mk\_priv}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ userdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ der\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{krb5\_replay\_data}}} *\sphinxstyleemphasis{ rdata\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_priv:c.krb5_mk_priv}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_priv}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{userdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{der\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rdata\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{userdata} - User data for \sphinxstylestrong{KRB-PRIV} message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{userdata} \sphinxhyphen{} User data for \sphinxstylestrong{KRB\sphinxhyphen{}PRIV} message
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{der\_out} - Formatted \sphinxstylestrong{KRB-PRIV} message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{der\_out} \sphinxhyphen{} Formatted \sphinxstylestrong{KRB\sphinxhyphen{}PRIV} message
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} - Replay data (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} \sphinxhyphen{} Replay data (NULL if not needed)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_mk_safe:c.krb5_mk_safe}]{\sphinxcrossref{\sphinxcode{krb5\_mk\_safe()}}}} , but the message is encrypted and integrity-protected, not just integrity-protected.
+\sphinxAtStartPar
+This function is similar to krb5\_mk\_safe(), but the message is encrypted and integrity\sphinxhyphen{}protected, not just integrity\sphinxhyphen{}protected.
 
-The local address in \sphinxstyleemphasis{auth\_context} must be set, and is used to form the sender address used in the KRB-PRIV message. The remote address is optional; if specified, it will be used to form the receiver address used in the message.
+\sphinxAtStartPar
+The local address in \sphinxstyleemphasis{auth\_context} must be set, and is used to form the sender address used in the KRB\sphinxhyphen{}PRIV message. The remote address is optional; if specified, it will be used to form the receiver address used in the message.
 
-If the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} flag is set in \sphinxstyleemphasis{auth\_context} , a timestamp is included in the KRB-PRIV message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} is not set, no replay cache is used. If {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} is set in \sphinxstyleemphasis{auth\_context} , a timestamp is included in the KRB-PRIV message and is stored in \sphinxstyleemphasis{rdata\_out} .
+\sphinxAtStartPar
+If the \#KRB5\_AUTH\_CONTEXT\_DO\_TIME flag is set in \sphinxstyleemphasis{auth\_context} , a timestamp is included in the KRB\sphinxhyphen{}PRIV message, and an entry for the message is entered in an in\sphinxhyphen{}memory replay cache to detect if the message is reflected by an attacker. If \#KRB5\_AUTH\_CONTEXT\_DO\_TIME is not set, no replay cache is used. If \#KRB5\_AUTH\_CONTEXT\_RET\_TIME is set in \sphinxstyleemphasis{auth\_context} , a timestamp is included in the KRB\sphinxhyphen{}PRIV message and is stored in \sphinxstyleemphasis{rdata\_out} .
 
-If either {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} is set, the \sphinxstyleemphasis{auth\_context} local sequence number is included in the KRB-PRIV message and then incremented. If {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} is set, the sequence number used is stored in \sphinxstyleemphasis{rdata\_out} .
+\sphinxAtStartPar
+If either \#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE is set, the \sphinxstyleemphasis{auth\_context} local sequence number is included in the KRB\sphinxhyphen{}PRIV message and then incremented. If \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE is set, the sequence number used is stored in \sphinxstyleemphasis{rdata\_out} .
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{der\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{der\_out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
-The \sphinxstyleemphasis{rdata\_out} argument is required if the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} flag is set in \sphinxstyleemphasis{auth\_context} .
+\sphinxAtStartPar
+The \sphinxstyleemphasis{rdata\_out} argument is required if the \#KRB5\_AUTH\_CONTEXT\_RET\_TIME or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE flag is set in \sphinxstyleemphasis{auth\_context} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_mk\_rep -  Format and encrypt a KRB\_AP\_REP message.}
-\label{\detokenize{appdev/refs/api/krb5_mk_rep:krb5-mk-rep-format-and-encrypt-a-krb-ap-rep-message}}\label{\detokenize{appdev/refs/api/krb5_mk_rep::doc}}\index{krb5\_mk\_rep (C function)}
+\subsubsection{krb5\_mk\_rep \sphinxhyphen{}  Format and encrypt a KRB\_AP\_REP message.}
+\label{\detokenize{appdev/refs/api/krb5_mk_rep:krb5-mk-rep-format-and-encrypt-a-krb-ap-rep-message}}\label{\detokenize{appdev/refs/api/krb5_mk_rep::doc}}\index{krb5\_mk\_rep (C function)@\spxentry{krb5\_mk\_rep}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_rep:c.krb5_mk_rep}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_mk\_rep}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ outbuf}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_rep:c.krb5_mk_rep}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_rep}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{outbuf}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} - \sphinxstylestrong{AP-REP} message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} \sphinxhyphen{} \sphinxstylestrong{AP\sphinxhyphen{}REP} message
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function fills in \sphinxstyleemphasis{outbuf} with an AP-REP message using information from \sphinxstyleemphasis{auth\_context} .
+\sphinxAtStartPar
+This function fills in \sphinxstyleemphasis{outbuf} with an AP\sphinxhyphen{}REP message using information from \sphinxstyleemphasis{auth\_context} .
 
-If the flags in \sphinxstyleemphasis{auth\_context} indicate that a sequence number should be used (either {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} ) and the local sequence number in \sphinxstyleemphasis{auth\_context} is 0, a new number will be generated with krb5\_generate\_seq\_number().
+\sphinxAtStartPar
+If the flags in \sphinxstyleemphasis{auth\_context} indicate that a sequence number should be used (either \#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE) and the local sequence number in \sphinxstyleemphasis{auth\_context} is 0, a new number will be generated with krb5\_generate\_seq\_number().
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{outbuf} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{outbuf} when it is no longer needed.
 
 
-\subsubsection{krb5\_mk\_rep\_dce -  Format and encrypt a KRB\_AP\_REP message for DCE RPC.}
-\label{\detokenize{appdev/refs/api/krb5_mk_rep_dce:krb5-mk-rep-dce-format-and-encrypt-a-krb-ap-rep-message-for-dce-rpc}}\label{\detokenize{appdev/refs/api/krb5_mk_rep_dce::doc}}\index{krb5\_mk\_rep\_dce (C function)}
+\subsubsection{krb5\_mk\_rep\_dce \sphinxhyphen{}  Format and encrypt a KRB\_AP\_REP message for DCE RPC.}
+\label{\detokenize{appdev/refs/api/krb5_mk_rep_dce:krb5-mk-rep-dce-format-and-encrypt-a-krb-ap-rep-message-for-dce-rpc}}\label{\detokenize{appdev/refs/api/krb5_mk_rep_dce::doc}}\index{krb5\_mk\_rep\_dce (C function)@\spxentry{krb5\_mk\_rep\_dce}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_rep_dce:c.krb5_mk_rep_dce}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_mk\_rep\_dce}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ outbuf}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_rep_dce:c.krb5_mk_rep_dce}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_rep\_dce}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{outbuf}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} - \sphinxstylestrong{AP-REP} message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} \sphinxhyphen{} \sphinxstylestrong{AP\sphinxhyphen{}REP} message
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{outbuf} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{outbuf} when it is no longer needed.
 
 
-\subsubsection{krb5\_mk\_req -  Create a KRB\_AP\_REQ message.}
-\label{\detokenize{appdev/refs/api/krb5_mk_req:krb5-mk-req-create-a-krb-ap-req-message}}\label{\detokenize{appdev/refs/api/krb5_mk_req::doc}}\index{krb5\_mk\_req (C function)}
+\subsubsection{krb5\_mk\_req \sphinxhyphen{}  Create a KRB\_AP\_REQ message.}
+\label{\detokenize{appdev/refs/api/krb5_mk_req:krb5-mk-req-create-a-krb-ap-req-message}}\label{\detokenize{appdev/refs/api/krb5_mk_req::doc}}\index{krb5\_mk\_req (C function)@\spxentry{krb5\_mk\_req}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_req:c.krb5_mk_req}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_mk\_req}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}} *\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ ap\_req\_options}, const char *\sphinxstyleemphasis{ service}, const char *\sphinxstyleemphasis{ hostname}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ in\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ outbuf}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_req:c.krb5_mk_req}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_req}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{ap\_req\_options}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{service}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{hostname}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{outbuf}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} - Pre-existing or newly created auth context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Pre\sphinxhyphen{}existing or newly created auth context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_options} - \sphinxcode{AP\_OPTS} options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_options} \sphinxhyphen{} Options (see AP\_OPTS macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{service} - Service name, or NULL to use \sphinxstylestrong{“host”}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{service} \sphinxhyphen{} Service name, or NULL to use \sphinxstylestrong{“host”}
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{hostname} - Host name, or NULL to use local hostname
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{hostname} \sphinxhyphen{} Host name, or NULL to use local hostname
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_data} - Application data to be checksummed in the authenticator, or NULL
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_data} \sphinxhyphen{} Application data to be checksummed in the authenticator, or NULL
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache used to obtain credentials for the desired service.
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache used to obtain credentials for the desired service.
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} - \sphinxstylestrong{AP-REQ} message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} \sphinxhyphen{} \sphinxstylestrong{AP\sphinxhyphen{}REQ} message
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_mk_req_extended:c.krb5_mk_req_extended}]{\sphinxcrossref{\sphinxcode{krb5\_mk\_req\_extended()}}}} except that it uses a given \sphinxstyleemphasis{hostname} , \sphinxstyleemphasis{service} , and \sphinxstyleemphasis{ccache} to construct a service principal name and obtain credentials.
+\sphinxAtStartPar
+This function is similar to krb5\_mk\_req\_extended() except that it uses a given \sphinxstyleemphasis{hostname} , \sphinxstyleemphasis{service} , and \sphinxstyleemphasis{ccache} to construct a service principal name and obtain credentials.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{outbuf} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{outbuf} when it is no longer needed.
 
 
-\subsubsection{krb5\_mk\_req\_extended -  Create a KRB\_AP\_REQ message using supplied credentials.}
-\label{\detokenize{appdev/refs/api/krb5_mk_req_extended::doc}}\label{\detokenize{appdev/refs/api/krb5_mk_req_extended:krb5-mk-req-extended-create-a-krb-ap-req-message-using-supplied-credentials}}\index{krb5\_mk\_req\_extended (C function)}
+\subsubsection{krb5\_mk\_req\_extended \sphinxhyphen{}  Create a KRB\_AP\_REQ message using supplied credentials.}
+\label{\detokenize{appdev/refs/api/krb5_mk_req_extended:krb5-mk-req-extended-create-a-krb-ap-req-message-using-supplied-credentials}}\label{\detokenize{appdev/refs/api/krb5_mk_req_extended::doc}}\index{krb5\_mk\_req\_extended (C function)@\spxentry{krb5\_mk\_req\_extended}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_req_extended:c.krb5_mk_req_extended}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_mk\_req\_extended}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}} *\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ ap\_req\_options}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ in\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ outbuf}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_req_extended:c.krb5_mk_req_extended}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_req\_extended}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{ap\_req\_options}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{outbuf}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} - Pre-existing or newly created auth context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Pre\sphinxhyphen{}existing or newly created auth context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_options} - \sphinxcode{AP\_OPTS} options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_options} \sphinxhyphen{} Options (see AP\_OPTS macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_data} - Application data to be checksummed in the authenticator, or NULL
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_data} \sphinxhyphen{} Application data to be checksummed in the authenticator, or NULL
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_creds} - Credentials for the service with valid ticket and key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_creds} \sphinxhyphen{} Credentials for the service with valid ticket and key
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} - \sphinxstylestrong{AP-REQ} message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{outbuf} \sphinxhyphen{} \sphinxstylestrong{AP\sphinxhyphen{}REQ} message
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Valid \sphinxstyleemphasis{ap\_req\_options} are:
 \begin{quote}
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/AP_OPTS_USE_SESSION_KEY:AP_OPTS_USE_SESSION_KEY}]{\sphinxcrossref{\sphinxcode{AP\_OPTS\_USE\_SESSION\_KEY}}}} - Use the session key when creating the request used for user to user authentication.
+\sphinxAtStartPar
+\#AP\_OPTS\_USE\_SESSION\_KEY \sphinxhyphen{} Use the session key when creating the request used for user to user authentication.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED:AP_OPTS_MUTUAL_REQUIRED}]{\sphinxcrossref{\sphinxcode{AP\_OPTS\_MUTUAL\_REQUIRED}}}} - Request a mutual authentication packet from the receiver.
+\sphinxAtStartPar
+\#AP\_OPTS\_MUTUAL\_REQUIRED \sphinxhyphen{} Request a mutual authentication packet from the receiver.
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/AP_OPTS_USE_SUBKEY:AP_OPTS_USE_SUBKEY}]{\sphinxcrossref{\sphinxcode{AP\_OPTS\_USE\_SUBKEY}}}} - Generate a subsession key from the current session key obtained from the credentials.
+\sphinxAtStartPar
+\#AP\_OPTS\_USE\_SUBKEY \sphinxhyphen{} Generate a subsession key from the current session key obtained from the credentials.
 
 \end{itemize}
 
-This function creates a KRB\_AP\_REQ message using supplied credentials \sphinxstyleemphasis{in\_creds} . \sphinxstyleemphasis{auth\_context} may point to an existing auth context or to NULL, in which case a new one will be created. If \sphinxstyleemphasis{in\_data} is non-null, a checksum of it will be included in the authenticator contained in the KRB\_AP\_REQ message. Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{outbuf} when it is no longer needed.
+\sphinxAtStartPar
+This function creates a KRB\_AP\_REQ message using supplied credentials \sphinxstyleemphasis{in\_creds} . \sphinxstyleemphasis{auth\_context} may point to an existing auth context or to NULL, in which case a new one will be created. If \sphinxstyleemphasis{in\_data} is non\sphinxhyphen{}null, a checksum of it will be included in the authenticator contained in the KRB\_AP\_REQ message. Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{outbuf} when it is no longer needed.
 \end{quote}
 
-On successful return, the authenticator is stored in \sphinxstyleemphasis{auth\_context} with the \sphinxstyleemphasis{client} and \sphinxstyleemphasis{checksum} fields nulled out. (This is to prevent pointer-sharing problems; the caller should not need these fields anyway, since the caller supplied them.)
+\sphinxAtStartPar
+On successful return, the authenticator is stored in \sphinxstyleemphasis{auth\_context} with the \sphinxstyleemphasis{client} and \sphinxstyleemphasis{checksum} fields nulled out. (This is to prevent pointer\sphinxhyphen{}sharing problems; the caller should not need these fields anyway, since the caller supplied them.)
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_mk_req:c.krb5_mk_req}]{\sphinxcrossref{\sphinxcode{krb5\_mk\_req()}}}}
+\sphinxAtStartPar
+krb5\_mk\_req()
 
 
 
 
-\subsubsection{krb5\_mk\_safe -  Format a KRB-SAFE message.}
-\label{\detokenize{appdev/refs/api/krb5_mk_safe:krb5-mk-safe-format-a-krb-safe-message}}\label{\detokenize{appdev/refs/api/krb5_mk_safe::doc}}\index{krb5\_mk\_safe (C function)}
+\subsubsection{krb5\_mk\_safe \sphinxhyphen{}  Format a KRB\sphinxhyphen{}SAFE message.}
+\label{\detokenize{appdev/refs/api/krb5_mk_safe:krb5-mk-safe-format-a-krb-safe-message}}\label{\detokenize{appdev/refs/api/krb5_mk_safe::doc}}\index{krb5\_mk\_safe (C function)@\spxentry{krb5\_mk\_safe}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_safe:c.krb5_mk_safe}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_mk\_safe}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ userdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ der\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{krb5\_replay\_data}}} *\sphinxstyleemphasis{ rdata\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_mk_safe:c.krb5_mk_safe}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_safe}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{userdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{der\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rdata\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{userdata} - User data in the message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{userdata} \sphinxhyphen{} User data in the message
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{der\_out} - Formatted \sphinxstylestrong{KRB-SAFE} buffer
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{der\_out} \sphinxhyphen{} Formatted \sphinxstylestrong{KRB\sphinxhyphen{}SAFE} buffer
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} - Replay data. Specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} \sphinxhyphen{} Replay data. Specify NULL if not needed
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function creates an integrity protected \sphinxstylestrong{KRB-SAFE} message using data supplied by the application.
+\sphinxAtStartPar
+This function creates an integrity protected \sphinxstylestrong{KRB\sphinxhyphen{}SAFE} message using data supplied by the application.
 
-Fields in \sphinxstyleemphasis{auth\_context} specify the checksum type, the keyblock that can be used to seed the checksum, full addresses (host and port) for the sender and receiver, and \sphinxcode{KRB5\_AUTH\_CONTEXT} flags.
+\sphinxAtStartPar
+Fields in \sphinxstyleemphasis{auth\_context} specify the checksum type, the keyblock that can be used to seed the checksum, full addresses (host and port) for the sender and receiver, and KRB5\_AUTH\_CONTEXT flags.
 
-The local address in \sphinxstyleemphasis{auth\_context} must be set, and is used to form the sender address used in the KRB-SAFE message. The remote address is optional; if specified, it will be used to form the receiver address used in the message.
+\sphinxAtStartPar
+The local address in \sphinxstyleemphasis{auth\_context} must be set, and is used to form the sender address used in the KRB\sphinxhyphen{}SAFE message. The remote address is optional; if specified, it will be used to form the receiver address used in the message.
 
-If the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} flag is set in \sphinxstyleemphasis{auth\_context} , a timestamp is included in the KRB-SAFE message, and an entry for the message is entered in an in-memory replay cache to detect if the message is reflected by an attacker. If {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} is not set, no replay cache is used. If {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} is set in \sphinxstyleemphasis{auth\_context} , a timestamp is included in the KRB-SAFE message and is stored in \sphinxstyleemphasis{rdata\_out} .
+\sphinxAtStartPar
+If the \#KRB5\_AUTH\_CONTEXT\_DO\_TIME flag is set in \sphinxstyleemphasis{auth\_context} , a timestamp is included in the KRB\sphinxhyphen{}SAFE message, and an entry for the message is entered in an in\sphinxhyphen{}memory replay cache to detect if the message is reflected by an attacker. If \#KRB5\_AUTH\_CONTEXT\_DO\_TIME is not set, no replay cache is used. If \#KRB5\_AUTH\_CONTEXT\_RET\_TIME is set in \sphinxstyleemphasis{auth\_context} , a timestamp is included in the KRB\sphinxhyphen{}SAFE message and is stored in \sphinxstyleemphasis{rdata\_out} .
 
-If either {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} is set, the \sphinxstyleemphasis{auth\_context} local sequence number is included in the KRB-SAFE message and then incremented. If {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} is set, the sequence number used is stored in \sphinxstyleemphasis{rdata\_out} .
+\sphinxAtStartPar
+If either \#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE is set, the \sphinxstyleemphasis{auth\_context} local sequence number is included in the KRB\sphinxhyphen{}SAFE message and then incremented. If \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE is set, the sequence number used is stored in \sphinxstyleemphasis{rdata\_out} .
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{der\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{der\_out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
-The \sphinxstyleemphasis{rdata\_out} argument is required if the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} flag is set in \sphinxstyleemphasis{auth\_context} .
+\sphinxAtStartPar
+The \sphinxstyleemphasis{rdata\_out} argument is required if the \#KRB5\_AUTH\_CONTEXT\_RET\_TIME or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE flag is set in \sphinxstyleemphasis{auth\_context} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_os\_localaddr -  Return all interface addresses for this host.}
-\label{\detokenize{appdev/refs/api/krb5_os_localaddr:krb5-os-localaddr-return-all-interface-addresses-for-this-host}}\label{\detokenize{appdev/refs/api/krb5_os_localaddr::doc}}\index{krb5\_os\_localaddr (C function)}
+\subsubsection{krb5\_os\_localaddr \sphinxhyphen{}  Return all interface addresses for this host.}
+\label{\detokenize{appdev/refs/api/krb5_os_localaddr:krb5-os-localaddr-return-all-interface-addresses-for-this-host}}\label{\detokenize{appdev/refs/api/krb5_os_localaddr::doc}}\index{krb5\_os\_localaddr (C function)@\spxentry{krb5\_os\_localaddr}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_os_localaddr:c.krb5_os_localaddr}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_os\_localaddr}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} ***\sphinxstyleemphasis{ addr}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_os_localaddr:c.krb5_os_localaddr}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_os\_localaddr}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{addr}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{addr} - Array of krb5\_address pointers, ending with NULL
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{addr} \sphinxhyphen{} Array of krb5\_address pointers, ending with NULL
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_addresses:c.krb5_free_addresses}]{\sphinxcrossref{\sphinxcode{krb5\_free\_addresses()}}}} to free \sphinxstyleemphasis{addr} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_addresses() to free \sphinxstyleemphasis{addr} when it is no longer needed.
 
 
-\subsubsection{krb5\_pac\_add\_buffer -  Add a buffer to a PAC handle.}
-\label{\detokenize{appdev/refs/api/krb5_pac_add_buffer:krb5-pac-add-buffer-add-a-buffer-to-a-pac-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_add_buffer::doc}}\index{krb5\_pac\_add\_buffer (C function)}
+\subsubsection{krb5\_pac\_add\_buffer \sphinxhyphen{}  Add a buffer to a PAC handle.}
+\label{\detokenize{appdev/refs/api/krb5_pac_add_buffer:krb5-pac-add-buffer-add-a-buffer-to-a-pac-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_add_buffer::doc}}\index{krb5\_pac\_add\_buffer (C function)@\spxentry{krb5\_pac\_add\_buffer}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_add_buffer:c.krb5_pac_add_buffer}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_add\_buffer}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{krb5\_ui\_4}}}\sphinxstyleemphasis{ type}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_add_buffer:c.krb5_pac_add_buffer}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_add\_buffer}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{\DUrole{n}{krb5\_ui\_4}}}}\DUrole{w}{  }\DUrole{n}{type}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} - PAC handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} \sphinxhyphen{} PAC handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} - Buffer type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} \sphinxhyphen{} Buffer type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - contents
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} contents
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function adds a buffer of type \sphinxstyleemphasis{type} and contents \sphinxstyleemphasis{data} to \sphinxstyleemphasis{pac} if there isn’t already a buffer of this type present.
 
+\sphinxAtStartPar
 The valid values of \sphinxstyleemphasis{type} is one of the following:
 \begin{itemize}
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PAC_LOGON_INFO:KRB5_PAC_LOGON_INFO}]{\sphinxcrossref{\sphinxcode{KRB5\_PAC\_LOGON\_INFO}}}} - Logon information
+\sphinxAtStartPar
+\#KRB5\_PAC\_LOGON\_INFO \sphinxhyphen{} Logon information
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO:KRB5_PAC_CREDENTIALS_INFO}]{\sphinxcrossref{\sphinxcode{KRB5\_PAC\_CREDENTIALS\_INFO}}}} - Credentials information
+\sphinxAtStartPar
+\#KRB5\_PAC\_CREDENTIALS\_INFO \sphinxhyphen{} Credentials information
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM:KRB5_PAC_SERVER_CHECKSUM}]{\sphinxcrossref{\sphinxcode{KRB5\_PAC\_SERVER\_CHECKSUM}}}} - Server checksum
+\sphinxAtStartPar
+\#KRB5\_PAC\_SERVER\_CHECKSUM \sphinxhyphen{} Server checksum
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM:KRB5_PAC_PRIVSVR_CHECKSUM}]{\sphinxcrossref{\sphinxcode{KRB5\_PAC\_PRIVSVR\_CHECKSUM}}}} - KDC checksum
+\sphinxAtStartPar
+\#KRB5\_PAC\_PRIVSVR\_CHECKSUM \sphinxhyphen{} KDC checksum
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_INFO:KRB5_PAC_CLIENT_INFO}]{\sphinxcrossref{\sphinxcode{KRB5\_PAC\_CLIENT\_INFO}}}} - Client name and ticket information
+\sphinxAtStartPar
+\#KRB5\_PAC\_CLIENT\_INFO \sphinxhyphen{} Client name and ticket information
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PAC_DELEGATION_INFO:KRB5_PAC_DELEGATION_INFO}]{\sphinxcrossref{\sphinxcode{KRB5\_PAC\_DELEGATION\_INFO}}}} - Constrained delegation information
+\sphinxAtStartPar
+\#KRB5\_PAC\_DELEGATION\_INFO \sphinxhyphen{} Constrained delegation information
 
 \item {} 
-{\hyperref[\detokenize{appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO:KRB5_PAC_UPN_DNS_INFO}]{\sphinxcrossref{\sphinxcode{KRB5\_PAC\_UPN\_DNS\_INFO}}}} - User principal name and DNS information
+\sphinxAtStartPar
+\#KRB5\_PAC\_UPN\_DNS\_INFO \sphinxhyphen{} User principal name and DNS information
 
 \end{itemize}
 
 
-\subsubsection{krb5\_pac\_free -  Free a PAC handle.}
-\label{\detokenize{appdev/refs/api/krb5_pac_free:krb5-pac-free-free-a-pac-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_free::doc}}\index{krb5\_pac\_free (C function)}
+\subsubsection{krb5\_pac\_free \sphinxhyphen{}  Free a PAC handle.}
+\label{\detokenize{appdev/refs/api/krb5_pac_free:krb5-pac-free-free-a-pac-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_free::doc}}\index{krb5\_pac\_free (C function)@\spxentry{krb5\_pac\_free}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_free:c.krb5_pac_free}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_pac\_free}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_free:c.krb5_pac_free}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_free}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} - PAC to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} \sphinxhyphen{} PAC to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{pac} and the structure itself.
 
 
-\subsubsection{krb5\_pac\_get\_buffer -  Retrieve a buffer value from a PAC.}
-\label{\detokenize{appdev/refs/api/krb5_pac_get_buffer::doc}}\label{\detokenize{appdev/refs/api/krb5_pac_get_buffer:krb5-pac-get-buffer-retrieve-a-buffer-value-from-a-pac}}\index{krb5\_pac\_get\_buffer (C function)}
+\subsubsection{krb5\_pac\_get\_buffer \sphinxhyphen{}  Retrieve a buffer value from a PAC.}
+\label{\detokenize{appdev/refs/api/krb5_pac_get_buffer:krb5-pac-get-buffer-retrieve-a-buffer-value-from-a-pac}}\label{\detokenize{appdev/refs/api/krb5_pac_get_buffer::doc}}\index{krb5\_pac\_get\_buffer (C function)@\spxentry{krb5\_pac\_get\_buffer}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_get_buffer:c.krb5_pac_get_buffer}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_get\_buffer}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{krb5\_ui\_4}}}\sphinxstyleemphasis{ type}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_get_buffer:c.krb5_pac_get_buffer}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_get\_buffer}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{\DUrole{n}{krb5\_ui\_4}}}}\DUrole{w}{  }\DUrole{n}{type}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} - PAC handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} \sphinxhyphen{} PAC handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} - Type of buffer to retrieve
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} \sphinxhyphen{} Type of buffer to retrieve
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data} - Buffer value
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data} \sphinxhyphen{} Buffer value
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{data} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{data} when it is no longer needed.
 
 
-\subsubsection{krb5\_pac\_get\_types -  Return an array of buffer types in a PAC handle.}
-\label{\detokenize{appdev/refs/api/krb5_pac_get_types:krb5-pac-get-types-return-an-array-of-buffer-types-in-a-pac-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_get_types::doc}}\index{krb5\_pac\_get\_types (C function)}
+\subsubsection{krb5\_pac\_get\_types \sphinxhyphen{}  Return an array of buffer types in a PAC handle.}
+\label{\detokenize{appdev/refs/api/krb5_pac_get_types:krb5-pac-get-types-return-an-array-of-buffer-types-in-a-pac-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_get_types::doc}}\index{krb5\_pac\_get\_types (C function)@\spxentry{krb5\_pac\_get\_types}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_get_types:c.krb5_pac_get_types}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_get\_types}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}, size\_t *\sphinxstyleemphasis{ len}, {\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{krb5\_ui\_4}}} **\sphinxstyleemphasis{ types}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_get_types:c.krb5_pac_get_types}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_get\_types}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{len}, {\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{\DUrole{n}{krb5\_ui\_4}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{types}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} - PAC handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} \sphinxhyphen{} PAC handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{len} - Number of entries in \sphinxstyleemphasis{types}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{len} \sphinxhyphen{} Number of entries in \sphinxstyleemphasis{types}
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{types} - Array of buffer types
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{types} \sphinxhyphen{} Array of buffer types
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_pac\_init -  Create an empty Privilege Attribute Certificate (PAC) handle.}
-\label{\detokenize{appdev/refs/api/krb5_pac_init:krb5-pac-init-create-an-empty-privilege-attribute-certificate-pac-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_init::doc}}\index{krb5\_pac\_init (C function)}
+\subsubsection{krb5\_pac\_init \sphinxhyphen{}  Create an empty Privilege Attribute Certificate (PAC) handle.}
+\label{\detokenize{appdev/refs/api/krb5_pac_init:krb5-pac-init-create-an-empty-privilege-attribute-certificate-pac-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_init::doc}}\index{krb5\_pac\_init (C function)@\spxentry{krb5\_pac\_init}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_init:c.krb5_pac_init}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_init}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}} *\sphinxstyleemphasis{ pac}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_init:c.krb5_pac_init}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_init}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pac}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{pac} - New PAC handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{pac} \sphinxhyphen{} New PAC handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_pac_free:c.krb5_pac_free}]{\sphinxcrossref{\sphinxcode{krb5\_pac\_free()}}}} to free \sphinxstyleemphasis{pac} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_pac\_free() to free \sphinxstyleemphasis{pac} when it is no longer needed.
 
 
-\subsubsection{krb5\_pac\_parse -  Unparse an encoded PAC into a new handle.}
-\label{\detokenize{appdev/refs/api/krb5_pac_parse:krb5-pac-parse-unparse-an-encoded-pac-into-a-new-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_parse::doc}}\index{krb5\_pac\_parse (C function)}
+\subsubsection{krb5\_pac\_parse \sphinxhyphen{}  Unparse an encoded PAC into a new handle.}
+\label{\detokenize{appdev/refs/api/krb5_pac_parse:krb5-pac-parse-unparse-an-encoded-pac-into-a-new-handle}}\label{\detokenize{appdev/refs/api/krb5_pac_parse::doc}}\index{krb5\_pac\_parse (C function)@\spxentry{krb5\_pac\_parse}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_parse:c.krb5_pac_parse}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_parse}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const void *\sphinxstyleemphasis{ ptr}, size\_t\sphinxstyleemphasis{ len}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}} *\sphinxstyleemphasis{ pac}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_parse:c.krb5_pac_parse}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_parse}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ptr}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{len}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pac}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ptr} - PAC buffer
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ptr} \sphinxhyphen{} PAC buffer
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{len} - Length of \sphinxstyleemphasis{ptr}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{len} \sphinxhyphen{} Length of \sphinxstyleemphasis{ptr}
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{pac} - PAC handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{pac} \sphinxhyphen{} PAC handle
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_pac_free:c.krb5_pac_free}]{\sphinxcrossref{\sphinxcode{krb5\_pac\_free()}}}} to free \sphinxstyleemphasis{pac} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_pac\_free() to free \sphinxstyleemphasis{pac} when it is no longer needed.
 
 
 \subsubsection{krb5\_pac\_sign}
-\label{\detokenize{appdev/refs/api/krb5_pac_sign:krb5-pac-sign}}\label{\detokenize{appdev/refs/api/krb5_pac_sign::doc}}\index{krb5\_pac\_sign (C function)}
+\label{\detokenize{appdev/refs/api/krb5_pac_sign:krb5-pac-sign}}\label{\detokenize{appdev/refs/api/krb5_pac_sign::doc}}\index{krb5\_pac\_sign (C function)@\spxentry{krb5\_pac\_sign}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_sign:c.krb5_pac_sign}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_sign}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}\sphinxstyleemphasis{ authtime}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ server\_key}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ privsvr\_key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_sign:c.krb5_pac_sign}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_sign}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{n}{authtime}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{server\_key}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{privsvr\_key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{pac}
 
+\sphinxAtStartPar
 \sphinxstylestrong{authtime}
 
+\sphinxAtStartPar
 \sphinxstylestrong{principal}
 
+\sphinxAtStartPar
 \sphinxstylestrong{server\_key}
 
+\sphinxAtStartPar
 \sphinxstylestrong{privsvr\_key}
 
+\sphinxAtStartPar
 \sphinxstylestrong{data}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Use krb5\_kdc\_sign\_ticket() instead.
 
 
 \subsubsection{krb5\_pac\_sign\_ext}
-\label{\detokenize{appdev/refs/api/krb5_pac_sign_ext:krb5-pac-sign-ext}}\label{\detokenize{appdev/refs/api/krb5_pac_sign_ext::doc}}\index{krb5\_pac\_sign\_ext (C function)}
+\label{\detokenize{appdev/refs/api/krb5_pac_sign_ext:krb5-pac-sign-ext}}\label{\detokenize{appdev/refs/api/krb5_pac_sign_ext::doc}}\index{krb5\_pac\_sign\_ext (C function)@\spxentry{krb5\_pac\_sign\_ext}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_sign_ext:c.krb5_pac_sign_ext}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_sign\_ext}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}\sphinxstyleemphasis{ authtime}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ server\_key}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ privsvr\_key}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}}\sphinxstyleemphasis{ with\_realm}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_sign_ext:c.krb5_pac_sign_ext}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_sign\_ext}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{n}{authtime}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{server\_key}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{privsvr\_key}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{n}{with\_realm}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{pac}
 
+\sphinxAtStartPar
 \sphinxstylestrong{authtime}
 
+\sphinxAtStartPar
 \sphinxstylestrong{principal}
 
+\sphinxAtStartPar
 \sphinxstylestrong{server\_key}
 
+\sphinxAtStartPar
 \sphinxstylestrong{privsvr\_key}
 
+\sphinxAtStartPar
 \sphinxstylestrong{with\_realm}
 
+\sphinxAtStartPar
 \sphinxstylestrong{data}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Use krb5\_kdc\_sign\_ticket() instead.
 
 
-\subsubsection{krb5\_pac\_verify -  Verify a PAC.}
-\label{\detokenize{appdev/refs/api/krb5_pac_verify::doc}}\label{\detokenize{appdev/refs/api/krb5_pac_verify:krb5-pac-verify-verify-a-pac}}\index{krb5\_pac\_verify (C function)}
+\subsubsection{krb5\_pac\_verify \sphinxhyphen{}  Verify a PAC.}
+\label{\detokenize{appdev/refs/api/krb5_pac_verify:krb5-pac-verify-verify-a-pac}}\label{\detokenize{appdev/refs/api/krb5_pac_verify::doc}}\index{krb5\_pac\_verify (C function)@\spxentry{krb5\_pac\_verify}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_verify:c.krb5_pac_verify}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_verify}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}\sphinxstyleemphasis{ authtime}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ server}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ privsvr}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_verify:c.krb5_pac_verify}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_verify}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{n}{authtime}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{server}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{privsvr}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} - PAC handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} \sphinxhyphen{} PAC handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authtime} - Expected timestamp
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authtime} \sphinxhyphen{} Expected timestamp
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Expected principal name (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Expected principal name (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Key to validate server checksum (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Key to validate server checksum (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{privsvr} - Key to validate KDC checksum (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{privsvr} \sphinxhyphen{} Key to validate KDC checksum (or NULL)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function validates \sphinxstyleemphasis{pac} against the supplied \sphinxstyleemphasis{server} , \sphinxstyleemphasis{privsvr} , \sphinxstyleemphasis{principal} and \sphinxstyleemphasis{authtime} . If \sphinxstyleemphasis{principal} is NULL, the principal and authtime are not verified. If \sphinxstyleemphasis{server} or \sphinxstyleemphasis{privsvr} is NULL, the corresponding checksum is not verified.
 
+\sphinxAtStartPar
 If successful, \sphinxstyleemphasis{pac} is marked as verified.
 
 \begin{sphinxadmonition}{note}{Note:}
-A checksum mismatch can occur if the PAC was copied from a cross-realm TGT by an ignorant KDC; also macOS Server Open Directory (as of 10.6) generates PACs with no server checksum at all. One should consider not failing the whole authentication because of this reason, but, instead, treating the ticket as if it did not contain a PAC or marking the PAC information as non-verified.
+\sphinxAtStartPar
+A checksum mismatch can occur if the PAC was copied from a cross\sphinxhyphen{}realm TGT by an ignorant KDC; also macOS Server Open Directory (as of 10.6) generates PACs with no server checksum at all. One should consider not failing the whole authentication because of this reason, but, instead, treating the ticket as if it did not contain a PAC or marking the PAC information as non\sphinxhyphen{}verified.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_pac\_verify\_ext -  Verify a PAC, possibly from a specified realm.}
-\label{\detokenize{appdev/refs/api/krb5_pac_verify_ext:krb5-pac-verify-ext-verify-a-pac-possibly-from-a-specified-realm}}\label{\detokenize{appdev/refs/api/krb5_pac_verify_ext::doc}}\index{krb5\_pac\_verify\_ext (C function)}
+\subsubsection{krb5\_pac\_verify\_ext \sphinxhyphen{}  Verify a PAC, possibly from a specified realm.}
+\label{\detokenize{appdev/refs/api/krb5_pac_verify_ext:krb5-pac-verify-ext-verify-a-pac-possibly-from-a-specified-realm}}\label{\detokenize{appdev/refs/api/krb5_pac_verify_ext::doc}}\index{krb5\_pac\_verify\_ext (C function)@\spxentry{krb5\_pac\_verify\_ext}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_verify_ext:c.krb5_pac_verify_ext}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_verify\_ext}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}\sphinxstyleemphasis{ authtime}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ principal}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ server}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ privsvr}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}}\sphinxstyleemphasis{ with\_realm}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_verify_ext:c.krb5_pac_verify_ext}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_verify\_ext}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{n}{authtime}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{principal}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{server}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{privsvr}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{n}{with\_realm}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} - PAC handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} \sphinxhyphen{} PAC handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authtime} - Expected timestamp
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authtime} \sphinxhyphen{} Expected timestamp
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} - Expected principal name (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{principal} \sphinxhyphen{} Expected principal name (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Key to validate server checksum (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Key to validate server checksum (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{privsvr} - Key to validate KDC checksum (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{privsvr} \sphinxhyphen{} Key to validate KDC checksum (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{with\_realm} - If true, expect the realm of \sphinxstyleemphasis{principal}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{with\_realm} \sphinxhyphen{} If true, expect the realm of \sphinxstyleemphasis{principal}
 
 \end{description}\end{quote}
 
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_pac_verify:c.krb5_pac_verify}]{\sphinxcrossref{\sphinxcode{krb5\_pac\_verify()}}}} , but adds a parameter \sphinxstyleemphasis{with\_realm} . If \sphinxstyleemphasis{with\_realm} is true, the PAC\_CLIENT\_INFO field is expected to include the realm of \sphinxstyleemphasis{principal} as well as the name. This flag is necessary to verify PACs in cross-realm S4U2Self referral TGTs.
+\sphinxAtStartPar
+This function is similar to krb5\_pac\_verify(), but adds a parameter \sphinxstyleemphasis{with\_realm} . If \sphinxstyleemphasis{with\_realm} is true, the PAC\_CLIENT\_INFO field is expected to include the realm of \sphinxstyleemphasis{principal} as well as the name. This flag is necessary to verify PACs in cross\sphinxhyphen{}realm S4U2Self referral TGTs.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.17
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_pac\_get\_client\_info -  Read client information from a PAC.}
-\label{\detokenize{appdev/refs/api/krb5_pac_get_client_info::doc}}\label{\detokenize{appdev/refs/api/krb5_pac_get_client_info:krb5-pac-get-client-info-read-client-information-from-a-pac}}\index{krb5\_pac\_get\_client\_info (C function)}
+\subsubsection{krb5\_pac\_get\_client\_info \sphinxhyphen{}  Read client information from a PAC.}
+\label{\detokenize{appdev/refs/api/krb5_pac_get_client_info:krb5-pac-get-client-info-read-client-information-from-a-pac}}\label{\detokenize{appdev/refs/api/krb5_pac_get_client_info::doc}}\index{krb5\_pac\_get\_client\_info (C function)@\spxentry{krb5\_pac\_get\_client\_info}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_get_client_info:c.krb5_pac_get_client_info}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_pac\_get\_client\_info}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{krb5\_pac}}}\sphinxstyleemphasis{ pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}} *\sphinxstyleemphasis{ authtime\_out}, char **\sphinxstyleemphasis{ princname\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_pac_get_client_info:c.krb5_pac_get_client_info}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac\_get\_client\_info}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}]{\sphinxcrossref{\DUrole{n}{krb5\_pac}}}}\DUrole{w}{  }\DUrole{n}{pac}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{authtime\_out}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{princname\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} - PAC handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pac} \sphinxhyphen{} PAC handle
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authtime\_out} - Authentication timestamp (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authtime\_out} \sphinxhyphen{} Authentication timestamp (NULL if not needed)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princname\_out} - Client account name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{princname\_out} \sphinxhyphen{} Client account name
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   on success, ENOENT if no PAC\_CLIENT\_INFO buffer is present in pac , ERANGE if the buffer contains invalid lengths.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Read the PAC\_CLIENT\_INFO buffer in \sphinxstyleemphasis{pac} . Place the client account name as a string in \sphinxstyleemphasis{princname\_out} . If \sphinxstyleemphasis{authtime\_out} is not NULL, place the initial authentication timestamp in \sphinxstyleemphasis{authtime\_out} .
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.18
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_prepend\_error\_message -  Add a prefix to the message for an error code.}
-\label{\detokenize{appdev/refs/api/krb5_prepend_error_message:krb5-prepend-error-message-add-a-prefix-to-the-message-for-an-error-code}}\label{\detokenize{appdev/refs/api/krb5_prepend_error_message::doc}}\index{krb5\_prepend\_error\_message (C function)}
+\subsubsection{krb5\_prepend\_error\_message \sphinxhyphen{}  Add a prefix to the message for an error code.}
+\label{\detokenize{appdev/refs/api/krb5_prepend_error_message:krb5-prepend-error-message-add-a-prefix-to-the-message-for-an-error-code}}\label{\detokenize{appdev/refs/api/krb5_prepend_error_message::doc}}\index{krb5\_prepend\_error\_message (C function)@\spxentry{krb5\_prepend\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_prepend_error_message:c.krb5_prepend_error_message}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_prepend\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}}\sphinxstyleemphasis{ code}, const char *\sphinxstyleemphasis{ fmt}, ...}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_prepend_error_message:c.krb5_prepend_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_prepend\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\DUrole{n}{code}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{fmt}, \DUrole{p}{...}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} - Error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} \sphinxhyphen{} Error code
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} - Format string for error message prefix
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} \sphinxhyphen{} Format string for error message prefix
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Format a message and prepend it to the current message for \sphinxstyleemphasis{code} . The prefix will be separated from the old message with a colon and space.
 
 
-\subsubsection{krb5\_principal2salt -  Convert a principal name into the default salt for that principal.}
-\label{\detokenize{appdev/refs/api/krb5_principal2salt:krb5-principal2salt-convert-a-principal-name-into-the-default-salt-for-that-principal}}\label{\detokenize{appdev/refs/api/krb5_principal2salt::doc}}\index{krb5\_principal2salt (C function)}
+\subsubsection{krb5\_principal2salt \sphinxhyphen{}  Convert a principal name into the default salt for that principal.}
+\label{\detokenize{appdev/refs/api/krb5_principal2salt:krb5-principal2salt-convert-a-principal-name-into-the-default-salt-for-that-principal}}\label{\detokenize{appdev/refs/api/krb5_principal2salt::doc}}\index{krb5\_principal2salt (C function)@\spxentry{krb5\_principal2salt}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_principal2salt:c.krb5_principal2salt}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_principal2salt}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ pr}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ ret}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_principal2salt:c.krb5_principal2salt}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_principal2salt}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{pr}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ret}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pr} - Principal name
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pr} \sphinxhyphen{} Principal name
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ret} - Default salt for \sphinxstyleemphasis{pr} to be filled in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ret} \sphinxhyphen{} Default salt for \sphinxstyleemphasis{pr} to be filled in
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_rd\_cred -  Read and validate a KRB-CRED message.}
-\label{\detokenize{appdev/refs/api/krb5_rd_cred:krb5-rd-cred-read-and-validate-a-krb-cred-message}}\label{\detokenize{appdev/refs/api/krb5_rd_cred::doc}}\index{krb5\_rd\_cred (C function)}
+\subsubsection{krb5\_rd\_cred \sphinxhyphen{}  Read and validate a KRB\sphinxhyphen{}CRED message.}
+\label{\detokenize{appdev/refs/api/krb5_rd_cred:krb5-rd-cred-read-and-validate-a-krb-cred-message}}\label{\detokenize{appdev/refs/api/krb5_rd_cred::doc}}\index{krb5\_rd\_cred (C function)@\spxentry{krb5\_rd\_cred}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_cred:c.krb5_rd_cred}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_rd\_cred}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ creddata}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} ***\sphinxstyleemphasis{ creds\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{krb5\_replay\_data}}} *\sphinxstyleemphasis{ rdata\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_cred:c.krb5_rd_cred}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_rd\_cred}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creddata}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{creds\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rdata\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creddata} - \sphinxstylestrong{KRB-CRED} message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creddata} \sphinxhyphen{} \sphinxstylestrong{KRB\sphinxhyphen{}CRED} message
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds\_out} - Null-terminated array of forwarded credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds\_out} \sphinxhyphen{} Null\sphinxhyphen{}terminated array of forwarded credentials
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} - Replay data (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} \sphinxhyphen{} Replay data (NULL if not needed)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 \begin{quote}
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{creddata} will be decrypted using the receiving subkey if it is present in \sphinxstyleemphasis{auth\_context} , or the session key if the receiving subkey is not present or fails to decrypt the message.
 \end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_tgt_creds:c.krb5_free_tgt_creds}]{\sphinxcrossref{\sphinxcode{krb5\_free\_tgt\_creds()}}}} to free \sphinxstyleemphasis{creds\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_tgt\_creds() to free \sphinxstyleemphasis{creds\_out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
-The \sphinxstyleemphasis{rdata\_out} argument is required if the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} flag is set in \sphinxstyleemphasis{auth\_context} .{}`
+\sphinxAtStartPar
+The \sphinxstyleemphasis{rdata\_out} argument is required if the \#KRB5\_AUTH\_CONTEXT\_RET\_TIME or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE flag is set in \sphinxstyleemphasis{auth\_context} .\textasciigrave{}
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_rd\_error -  Decode a KRB-ERROR message.}
-\label{\detokenize{appdev/refs/api/krb5_rd_error:krb5-rd-error-decode-a-krb-error-message}}\label{\detokenize{appdev/refs/api/krb5_rd_error::doc}}\index{krb5\_rd\_error (C function)}
+\subsubsection{krb5\_rd\_error \sphinxhyphen{}  Decode a KRB\sphinxhyphen{}ERROR message.}
+\label{\detokenize{appdev/refs/api/krb5_rd_error:krb5-rd-error-decode-a-krb-error-message}}\label{\detokenize{appdev/refs/api/krb5_rd_error::doc}}\index{krb5\_rd\_error (C function)@\spxentry{krb5\_rd\_error}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_error:c.krb5_rd_error}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_rd\_error}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ enc\_errbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{krb5\_error}}} **\sphinxstyleemphasis{ dec\_error}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_error:c.krb5_rd_error}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_rd\_error}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{enc\_errbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{dec\_error}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enc\_errbuf} - Encoded error message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enc\_errbuf} \sphinxhyphen{} Encoded error message
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{dec\_error} - Decoded error message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{dec\_error} \sphinxhyphen{} Decoded error message
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function processes \sphinxstylestrong{KRB-ERROR} message \sphinxstyleemphasis{enc\_errbuf} and returns an allocated structure \sphinxstyleemphasis{dec\_error} containing the error message. Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_error:c.krb5_free_error}]{\sphinxcrossref{\sphinxcode{krb5\_free\_error()}}}} to free \sphinxstyleemphasis{dec\_error} when it is no longer needed.
+\sphinxAtStartPar
+This function processes \sphinxstylestrong{KRB\sphinxhyphen{}ERROR} message \sphinxstyleemphasis{enc\_errbuf} and returns an allocated structure \sphinxstyleemphasis{dec\_error} containing the error message. Use krb5\_free\_error() to free \sphinxstyleemphasis{dec\_error} when it is no longer needed.
 
 
-\subsubsection{krb5\_rd\_priv -  Process a KRB-PRIV message.}
-\label{\detokenize{appdev/refs/api/krb5_rd_priv:krb5-rd-priv-process-a-krb-priv-message}}\label{\detokenize{appdev/refs/api/krb5_rd_priv::doc}}\index{krb5\_rd\_priv (C function)}
+\subsubsection{krb5\_rd\_priv \sphinxhyphen{}  Process a KRB\sphinxhyphen{}PRIV message.}
+\label{\detokenize{appdev/refs/api/krb5_rd_priv:krb5-rd-priv-process-a-krb-priv-message}}\label{\detokenize{appdev/refs/api/krb5_rd_priv::doc}}\index{krb5\_rd\_priv (C function)@\spxentry{krb5\_rd\_priv}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_priv:c.krb5_rd_priv}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_rd\_priv}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ userdata\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{krb5\_replay\_data}}} *\sphinxstyleemphasis{ rdata\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_priv:c.krb5_rd_priv}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_rd\_priv}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{userdata\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rdata\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} - \sphinxstylestrong{KRB-PRIV} message to be parsed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} \sphinxhyphen{} \sphinxstylestrong{KRB\sphinxhyphen{}PRIV} message to be parsed
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{userdata\_out} - Data parsed from \sphinxstylestrong{KRB-PRIV} message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{userdata\_out} \sphinxhyphen{} Data parsed from \sphinxstylestrong{KRB\sphinxhyphen{}PRIV} message
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} - Replay data. Specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} \sphinxhyphen{} Replay data. Specify NULL if not needed
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function parses a \sphinxstylestrong{KRB-PRIV} message, verifies its integrity, and stores its unencrypted data into \sphinxstyleemphasis{userdata\_out} .
+\sphinxAtStartPar
+This function parses a \sphinxstylestrong{KRB\sphinxhyphen{}PRIV} message, verifies its integrity, and stores its unencrypted data into \sphinxstyleemphasis{userdata\_out} .
 
-If \sphinxstyleemphasis{auth\_context} has a remote address set, the address will be used to verify the sender address in the KRB-PRIV message. If \sphinxstyleemphasis{auth\_context} has a local address set, it will be used to verify the receiver address in the KRB-PRIV message if the message contains one.
+\sphinxAtStartPar
+If \sphinxstyleemphasis{auth\_context} has a remote address set, the address will be used to verify the sender address in the KRB\sphinxhyphen{}PRIV message. If \sphinxstyleemphasis{auth\_context} has a local address set, it will be used to verify the receiver address in the KRB\sphinxhyphen{}PRIV message if the message contains one.
 
-If the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} flag is set in \sphinxstyleemphasis{auth\_context} , the sequence number of the KRB-PRIV message is checked against the remote sequence number field of \sphinxstyleemphasis{auth\_context} . Otherwise, the sequence number is not used.
+\sphinxAtStartPar
+If the \#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE flag is set in \sphinxstyleemphasis{auth\_context} , the sequence number of the KRB\sphinxhyphen{}PRIV message is checked against the remote sequence number field of \sphinxstyleemphasis{auth\_context} . Otherwise, the sequence number is not used.
 
-If the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} flag is set in \sphinxstyleemphasis{auth\_context} , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.
+\sphinxAtStartPar
+If the \#KRB5\_AUTH\_CONTEXT\_DO\_TIME flag is set in \sphinxstyleemphasis{auth\_context} , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in\sphinxhyphen{}memory replay cache to detect reflections or replays.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{userdata\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{userdata\_out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
-The \sphinxstyleemphasis{rdata\_out} argument is required if the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} flag is set in \sphinxstyleemphasis{auth\_context} .
+\sphinxAtStartPar
+The \sphinxstyleemphasis{rdata\_out} argument is required if the \#KRB5\_AUTH\_CONTEXT\_RET\_TIME or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE flag is set in \sphinxstyleemphasis{auth\_context} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_rd\_rep -  Parse and decrypt a KRB\_AP\_REP message.}
-\label{\detokenize{appdev/refs/api/krb5_rd_rep::doc}}\label{\detokenize{appdev/refs/api/krb5_rd_rep:krb5-rd-rep-parse-and-decrypt-a-krb-ap-rep-message}}\index{krb5\_rd\_rep (C function)}
+\subsubsection{krb5\_rd\_rep \sphinxhyphen{}  Parse and decrypt a KRB\_AP\_REP message.}
+\label{\detokenize{appdev/refs/api/krb5_rd_rep:krb5-rd-rep-parse-and-decrypt-a-krb-ap-rep-message}}\label{\detokenize{appdev/refs/api/krb5_rd_rep::doc}}\index{krb5\_rd\_rep (C function)@\spxentry{krb5\_rd\_rep}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_rep:c.krb5_rd_rep}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_rd\_rep}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{krb5\_ap\_rep\_enc\_part}}} **\sphinxstyleemphasis{ repl}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_rep:c.krb5_rd_rep}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_rd\_rep}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep\_enc\_part}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{repl}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} - AP-REP message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} \sphinxhyphen{} AP\sphinxhyphen{}REP message
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{repl} - Decrypted reply message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{repl} \sphinxhyphen{} Decrypted reply message
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function parses, decrypts and verifies a message from \sphinxstyleemphasis{inbuf} and fills in \sphinxstyleemphasis{repl} with a pointer to allocated memory containing the fields from the encrypted response.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_ap_rep_enc_part:c.krb5_free_ap_rep_enc_part}]{\sphinxcrossref{\sphinxcode{krb5\_free\_ap\_rep\_enc\_part()}}}} to free \sphinxstyleemphasis{repl} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_ap\_rep\_enc\_part() to free \sphinxstyleemphasis{repl} when it is no longer needed.
 
 
-\subsubsection{krb5\_rd\_rep\_dce -  Parse and decrypt a KRB\_AP\_REP message for DCE RPC.}
-\label{\detokenize{appdev/refs/api/krb5_rd_rep_dce::doc}}\label{\detokenize{appdev/refs/api/krb5_rd_rep_dce:krb5-rd-rep-dce-parse-and-decrypt-a-krb-ap-rep-message-for-dce-rpc}}\index{krb5\_rd\_rep\_dce (C function)}
+\subsubsection{krb5\_rd\_rep\_dce \sphinxhyphen{}  Parse and decrypt a KRB\_AP\_REP message for DCE RPC.}
+\label{\detokenize{appdev/refs/api/krb5_rd_rep_dce:krb5-rd-rep-dce-parse-and-decrypt-a-krb-ap-rep-message-for-dce-rpc}}\label{\detokenize{appdev/refs/api/krb5_rd_rep_dce::doc}}\index{krb5\_rd\_rep\_dce (C function)@\spxentry{krb5\_rd\_rep\_dce}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_rep_dce:c.krb5_rd_rep_dce}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_rd\_rep\_dce}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{krb5\_ui\_4}}} *\sphinxstyleemphasis{ nonce}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_rep_dce:c.krb5_rd_rep_dce}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_rd\_rep\_dce}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{\DUrole{n}{krb5\_ui\_4}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{nonce}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} - AP-REP message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} \sphinxhyphen{} AP\sphinxhyphen{}REP message
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{nonce} - Sequence number from the decrypted reply
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{nonce} \sphinxhyphen{} Sequence number from the decrypted reply
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function parses, decrypts and verifies a message from \sphinxstyleemphasis{inbuf} and fills in \sphinxstyleemphasis{nonce} with a decrypted reply sequence number.
 
 
-\subsubsection{krb5\_rd\_req -  Parse and decrypt a KRB\_AP\_REQ message.}
-\label{\detokenize{appdev/refs/api/krb5_rd_req::doc}}\label{\detokenize{appdev/refs/api/krb5_rd_req:krb5-rd-req-parse-and-decrypt-a-krb-ap-req-message}}\index{krb5\_rd\_req (C function)}
+\subsubsection{krb5\_rd\_req \sphinxhyphen{}  Parse and decrypt a KRB\_AP\_REQ message.}
+\label{\detokenize{appdev/refs/api/krb5_rd_req:krb5-rd-req-parse-and-decrypt-a-krb-ap-req-message}}\label{\detokenize{appdev/refs/api/krb5_rd_req::doc}}\index{krb5\_rd\_req (C function)@\spxentry{krb5\_rd\_req}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_req:c.krb5_rd_req}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_rd\_req}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}} *\sphinxstyleemphasis{ auth\_context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{krb5\_const\_principal}}}\sphinxstyleemphasis{ server}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}} *\sphinxstyleemphasis{ ap\_req\_options}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}} **\sphinxstyleemphasis{ ticket}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_req:c.krb5_rd_req}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_rd\_req}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{auth\_context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{w}{  }\DUrole{n}{server}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ap\_req\_options}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ticket}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} - Pre-existing or newly created auth context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Pre\sphinxhyphen{}existing or newly created auth context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} - AP-REQ message to be parsed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} \sphinxhyphen{} AP\sphinxhyphen{}REQ message to be parsed
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Matching principal for server, or NULL to allow any principal in keytab
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Matching principal for server, or NULL to allow any principal in keytab
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table, or NULL to use the default
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table, or NULL to use the default
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ap\_req\_options} - If non-null, the AP-REQ flags on output
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ap\_req\_options} \sphinxhyphen{} If non\sphinxhyphen{}null, the AP\sphinxhyphen{}REQ flags on output
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ticket} - If non-null, ticket from the AP-REQ message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ticket} \sphinxhyphen{} If non\sphinxhyphen{}null, ticket from the AP\sphinxhyphen{}REQ message
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function parses, decrypts and verifies a AP-REQ message from \sphinxstyleemphasis{inbuf} and stores the authenticator in \sphinxstyleemphasis{auth\_context} .
+\sphinxAtStartPar
+This function parses, decrypts and verifies a AP\sphinxhyphen{}REQ message from \sphinxstyleemphasis{inbuf} and stores the authenticator in \sphinxstyleemphasis{auth\_context} .
 
-If a keyblock was specified in \sphinxstyleemphasis{auth\_context} using {\hyperref[\detokenize{appdev/refs/api/krb5_auth_con_setuseruserkey:c.krb5_auth_con_setuseruserkey}]{\sphinxcrossref{\sphinxcode{krb5\_auth\_con\_setuseruserkey()}}}} , that key is used to decrypt the ticket in AP-REQ message and \sphinxstyleemphasis{keytab} is ignored. In this case, \sphinxstyleemphasis{server} should be specified as a complete principal name to allow for proper transited-path checking and replay cache selection.
+\sphinxAtStartPar
+If a keyblock was specified in \sphinxstyleemphasis{auth\_context} using krb5\_auth\_con\_setuseruserkey(), that key is used to decrypt the ticket in AP\sphinxhyphen{}REQ message and \sphinxstyleemphasis{keytab} is ignored. In this case, \sphinxstyleemphasis{server} should be specified as a complete principal name to allow for proper transited\sphinxhyphen{}path checking and replay cache selection.
 
-Otherwise, the decryption key is obtained from \sphinxstyleemphasis{keytab} , or from the default keytab if it is NULL. In this case, \sphinxstyleemphasis{server} may be a complete principal name, a matching principal (see {\hyperref[\detokenize{appdev/refs/api/krb5_sname_match:c.krb5_sname_match}]{\sphinxcrossref{\sphinxcode{krb5\_sname\_match()}}}} ), or NULL to match any principal name. The keys tried against the encrypted part of the ticket are determined as follows:
+\sphinxAtStartPar
+Otherwise, the decryption key is obtained from \sphinxstyleemphasis{keytab} , or from the default keytab if it is NULL. In this case, \sphinxstyleemphasis{server} may be a complete principal name, a matching principal (see krb5\_sname\_match()), or NULL to match any principal name. The keys tried against the encrypted part of the ticket are determined as follows:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{server} is a complete principal name, then its entry in \sphinxstyleemphasis{keytab} is tried.
 
 \item {} 
+\sphinxAtStartPar
 Otherwise, if \sphinxstyleemphasis{keytab} is iterable, then all entries in \sphinxstyleemphasis{keytab} which match \sphinxstyleemphasis{server} are tried.
 
 \item {} 
+\sphinxAtStartPar
 Otherwise, the server principal in the ticket must match \sphinxstyleemphasis{server} , and its entry in \sphinxstyleemphasis{keytab} is tried.
 
 \end{itemize}
 
+\sphinxAtStartPar
 The client specified in the decrypted authenticator must match the client specified in the decrypted ticket.
 
+\sphinxAtStartPar
 If the \sphinxstyleemphasis{remote\_addr} field of \sphinxstyleemphasis{auth\_context} is set, the request must come from that address.
 
+\sphinxAtStartPar
 If a replay cache handle is provided in the \sphinxstyleemphasis{auth\_context} , the authenticator and ticket are verified against it. If no conflict is found, the new authenticator is then stored in the replay cache of \sphinxstyleemphasis{auth\_context} .
 
-Various other checks are performed on the decoded data, including cross-realm policy, clockskew, and ticket validation times.
+\sphinxAtStartPar
+Various other checks are performed on the decoded data, including cross\sphinxhyphen{}realm policy, clockskew, and ticket validation times.
 
-On success the authenticator, subkey, and remote sequence number of the request are stored in \sphinxstyleemphasis{auth\_context} . If the {\hyperref[\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED:AP_OPTS_MUTUAL_REQUIRED}]{\sphinxcrossref{\sphinxcode{AP\_OPTS\_MUTUAL\_REQUIRED}}}} bit is set, the local sequence number is XORed with the remote sequence number in the request.
+\sphinxAtStartPar
+On success the authenticator, subkey, and remote sequence number of the request are stored in \sphinxstyleemphasis{auth\_context} . If the \#AP\_OPTS\_MUTUAL\_REQUIRED bit is set, the local sequence number is XORed with the remote sequence number in the request.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_ticket:c.krb5_free_ticket}]{\sphinxcrossref{\sphinxcode{krb5\_free\_ticket()}}}} to free \sphinxstyleemphasis{ticket} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_ticket() to free \sphinxstyleemphasis{ticket} when it is no longer needed.
 
 
-\subsubsection{krb5\_rd\_safe -  Process KRB-SAFE message.}
-\label{\detokenize{appdev/refs/api/krb5_rd_safe:krb5-rd-safe-process-krb-safe-message}}\label{\detokenize{appdev/refs/api/krb5_rd_safe::doc}}\index{krb5\_rd\_safe (C function)}
+\subsubsection{krb5\_rd\_safe \sphinxhyphen{}  Process KRB\sphinxhyphen{}SAFE message.}
+\label{\detokenize{appdev/refs/api/krb5_rd_safe:krb5-rd-safe-process-krb-safe-message}}\label{\detokenize{appdev/refs/api/krb5_rd_safe::doc}}\index{krb5\_rd\_safe (C function)@\spxentry{krb5\_rd\_safe}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_safe:c.krb5_rd_safe}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_rd\_safe}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ userdata\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{krb5\_replay\_data}}} *\sphinxstyleemphasis{ rdata\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_rd_safe:c.krb5_rd_safe}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_rd\_safe}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{inbuf}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{userdata\_out}, {\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{rdata\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} - \sphinxstylestrong{KRB-SAFE} message to be parsed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inbuf} \sphinxhyphen{} \sphinxstylestrong{KRB\sphinxhyphen{}SAFE} message to be parsed
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{userdata\_out} - Data parsed from \sphinxstylestrong{KRB-SAFE} message
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{userdata\_out} \sphinxhyphen{} Data parsed from \sphinxstylestrong{KRB\sphinxhyphen{}SAFE} message
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} - Replay data. Specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rdata\_out} \sphinxhyphen{} Replay data. Specify NULL if not needed
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function parses a \sphinxstylestrong{KRB-SAFE} message, verifies its integrity, and stores its data into \sphinxstyleemphasis{userdata\_out} .
+\sphinxAtStartPar
+This function parses a \sphinxstylestrong{KRB\sphinxhyphen{}SAFE} message, verifies its integrity, and stores its data into \sphinxstyleemphasis{userdata\_out} .
 
-If \sphinxstyleemphasis{auth\_context} has a remote address set, the address will be used to verify the sender address in the KRB-SAFE message. If \sphinxstyleemphasis{auth\_context} has a local address set, it will be used to verify the receiver address in the KRB-SAFE message if the message contains one.
+\sphinxAtStartPar
+If \sphinxstyleemphasis{auth\_context} has a remote address set, the address will be used to verify the sender address in the KRB\sphinxhyphen{}SAFE message. If \sphinxstyleemphasis{auth\_context} has a local address set, it will be used to verify the receiver address in the KRB\sphinxhyphen{}SAFE message if the message contains one.
 
-If the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}} flag is set in \sphinxstyleemphasis{auth\_context} , the sequence number of the KRB-SAFE message is checked against the remote sequence number field of \sphinxstyleemphasis{auth\_context} . Otherwise, the sequence number is not used.
+\sphinxAtStartPar
+If the \#KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE flag is set in \sphinxstyleemphasis{auth\_context} , the sequence number of the KRB\sphinxhyphen{}SAFE message is checked against the remote sequence number field of \sphinxstyleemphasis{auth\_context} . Otherwise, the sequence number is not used.
 
-If the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}} flag is set in \sphinxstyleemphasis{auth\_context} , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in-memory replay cache to detect reflections or replays.
+\sphinxAtStartPar
+If the \#KRB5\_AUTH\_CONTEXT\_DO\_TIME flag is set in \sphinxstyleemphasis{auth\_context} , then the timestamp in the message is verified to be within the permitted clock skew of the current time, and the message is checked against an in\sphinxhyphen{}memory replay cache to detect reflections or replays.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_data_contents:c.krb5_free_data_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_data\_contents()}}}} to free \sphinxstyleemphasis{userdata\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_data\_contents() to free \sphinxstyleemphasis{userdata\_out} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
-The \sphinxstyleemphasis{rdata\_out} argument is required if the {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}} or {\hyperref[\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}]{\sphinxcrossref{\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}} flag is set in \sphinxstyleemphasis{auth\_context} .
+\sphinxAtStartPar
+The \sphinxstyleemphasis{rdata\_out} argument is required if the \#KRB5\_AUTH\_CONTEXT\_RET\_TIME or \#KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE flag is set in \sphinxstyleemphasis{auth\_context} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_read\_password -  Read a password from keyboard input.}
-\label{\detokenize{appdev/refs/api/krb5_read_password:krb5-read-password-read-a-password-from-keyboard-input}}\label{\detokenize{appdev/refs/api/krb5_read_password::doc}}\index{krb5\_read\_password (C function)}
+\subsubsection{krb5\_read\_password \sphinxhyphen{}  Read a password from keyboard input.}
+\label{\detokenize{appdev/refs/api/krb5_read_password:krb5-read-password-read-a-password-from-keyboard-input}}\label{\detokenize{appdev/refs/api/krb5_read_password::doc}}\index{krb5\_read\_password (C function)@\spxentry{krb5\_read\_password}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_read_password:c.krb5_read_password}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_read\_password}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const char *\sphinxstyleemphasis{ prompt}, const char *\sphinxstyleemphasis{ prompt2}, char *\sphinxstyleemphasis{ return\_pwd}, unsigned int *\sphinxstyleemphasis{ size\_return}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_read_password:c.krb5_read_password}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_read\_password}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{prompt}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{prompt2}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{return\_pwd}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{size\_return}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompt} - First user prompt when reading password
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompt} \sphinxhyphen{} First user prompt when reading password
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompt2} - Second user prompt (NULL to prompt only once)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{prompt2} \sphinxhyphen{} Second user prompt (NULL to prompt only once)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{return\_pwd} - Returned password
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{return\_pwd} \sphinxhyphen{} Returned password
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{size\_return} - On input, maximum size of password; on output, size of password read
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{size\_return} \sphinxhyphen{} On input, maximum size of password; on output, size of password read
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Error in reading or verifying the password
 
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function reads a password from keyboard input and stores it in \sphinxstyleemphasis{return\_pwd} . \sphinxstyleemphasis{size\_return} should be set by the caller to the amount of storage space available in \sphinxstyleemphasis{return\_pwd} ; on successful return, it will be set to the length of the password read.
 \begin{quote}
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{prompt} is printed to the terminal, followed by”:”, and then a password is read from the keyboard.
 \end{quote}
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{prompt2} is NULL, the password is read only once. Otherwise, \sphinxstyleemphasis{prompt2} is printed to the terminal and a second password is read. If the two passwords entered are not identical, KRB5\_LIBOS\_BADPWDMATCH is returned.
 
+\sphinxAtStartPar
 Echoing is turned off when the password is read.
 
 
-\subsubsection{krb5\_salttype\_to\_string -  Convert a salt type to a string.}
-\label{\detokenize{appdev/refs/api/krb5_salttype_to_string::doc}}\label{\detokenize{appdev/refs/api/krb5_salttype_to_string:krb5-salttype-to-string-convert-a-salt-type-to-a-string}}\index{krb5\_salttype\_to\_string (C function)}
+\subsubsection{krb5\_salttype\_to\_string \sphinxhyphen{}  Convert a salt type to a string.}
+\label{\detokenize{appdev/refs/api/krb5_salttype_to_string:krb5-salttype-to-string-convert-a-salt-type-to-a-string}}\label{\detokenize{appdev/refs/api/krb5_salttype_to_string::doc}}\index{krb5\_salttype\_to\_string (C function)@\spxentry{krb5\_salttype\_to\_string}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_salttype_to_string:c.krb5_salttype_to_string}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_salttype\_to\_string}}{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}\sphinxstyleemphasis{ salttype}, char *\sphinxstyleemphasis{ buffer}, size\_t\sphinxstyleemphasis{ buflen}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_salttype_to_string:c.krb5_salttype_to_string}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_salttype\_to\_string}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{n}{salttype}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{buffer}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{buflen}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{salttype} - Salttype to convert
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{salttype} \sphinxhyphen{} Salttype to convert
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} - Buffer to receive the converted string
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} \sphinxhyphen{} Buffer to receive the converted string
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} - Storage available in \sphinxstyleemphasis{buffer}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} \sphinxhyphen{} Storage available in \sphinxstyleemphasis{buffer}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_server\_decrypt\_ticket\_keytab -  Decrypt a ticket using the specified key table.}
-\label{\detokenize{appdev/refs/api/krb5_server_decrypt_ticket_keytab:krb5-server-decrypt-ticket-keytab-decrypt-a-ticket-using-the-specified-key-table}}\label{\detokenize{appdev/refs/api/krb5_server_decrypt_ticket_keytab::doc}}\index{krb5\_server\_decrypt\_ticket\_keytab (C function)}
+\subsubsection{krb5\_server\_decrypt\_ticket\_keytab \sphinxhyphen{}  Decrypt a ticket using the specified key table.}
+\label{\detokenize{appdev/refs/api/krb5_server_decrypt_ticket_keytab:krb5-server-decrypt-ticket-keytab-decrypt-a-ticket-using-the-specified-key-table}}\label{\detokenize{appdev/refs/api/krb5_server_decrypt_ticket_keytab::doc}}\index{krb5\_server\_decrypt\_ticket\_keytab (C function)@\spxentry{krb5\_server\_decrypt\_ticket\_keytab}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_server_decrypt_ticket_keytab:c.krb5_server_decrypt_ticket_keytab}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_server\_decrypt\_ticket\_keytab}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ kt}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}} *\sphinxstyleemphasis{ ticket}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_server_decrypt_ticket_keytab:c.krb5_server_decrypt_ticket_keytab}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_server\_decrypt\_ticket\_keytab}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{kt}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ticket}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{kt} - Key table
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{kt} \sphinxhyphen{} Key table
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ticket} - Ticket to be decrypted
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ticket} \sphinxhyphen{} Ticket to be decrypted
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function takes a \sphinxstyleemphasis{ticket} as input and decrypts it using key data from \sphinxstyleemphasis{kt} . The result is placed into \sphinxstyleemphasis{ticket-\textgreater{}enc\_part2} .
+\sphinxAtStartPar
+This function takes a \sphinxstyleemphasis{ticket} as input and decrypts it using key data from \sphinxstyleemphasis{kt} . The result is placed into \sphinxstyleemphasis{ticket\sphinxhyphen{}\textgreater{}enc\_part2} .
 
 
-\subsubsection{krb5\_set\_default\_tgs\_enctypes -  Set default TGS encryption types in a krb5\_context structure.}
-\label{\detokenize{appdev/refs/api/krb5_set_default_tgs_enctypes::doc}}\label{\detokenize{appdev/refs/api/krb5_set_default_tgs_enctypes:krb5-set-default-tgs-enctypes-set-default-tgs-encryption-types-in-a-krb5-context-structure}}\index{krb5\_set\_default\_tgs\_enctypes (C function)}
+\subsubsection{krb5\_set\_default\_tgs\_enctypes \sphinxhyphen{}  Set default TGS encryption types in a krb5\_context structure.}
+\label{\detokenize{appdev/refs/api/krb5_set_default_tgs_enctypes:krb5-set-default-tgs-enctypes-set-default-tgs-encryption-types-in-a-krb5-context-structure}}\label{\detokenize{appdev/refs/api/krb5_set_default_tgs_enctypes::doc}}\index{krb5\_set\_default\_tgs\_enctypes (C function)@\spxentry{krb5\_set\_default\_tgs\_enctypes}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_default_tgs_enctypes:c.krb5_set_default_tgs_enctypes}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_set\_default\_tgs\_enctypes}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *\sphinxstyleemphasis{ etypes}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_default_tgs_enctypes:c.krb5_set_default_tgs_enctypes}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_default\_tgs\_enctypes}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{etypes}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{etypes} - Encryption type(s) to set
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{etypes} \sphinxhyphen{} Encryption type(s) to set
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \item {} 
+\sphinxAtStartPar
 KRB5\_PROG\_ETYPE\_NOSUPP   Program lacks support for encryption type
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function sets the default enctype list for TGS requests made using \sphinxstyleemphasis{context} to \sphinxstyleemphasis{etypes} .
 
 \begin{sphinxadmonition}{note}{Note:}
-This overrides the default list (from config file or built-in).
+\sphinxAtStartPar
+This overrides the default list (from config file or built\sphinxhyphen{}in).
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_set\_error\_message -  Set an extended error message for an error code.}
-\label{\detokenize{appdev/refs/api/krb5_set_error_message::doc}}\label{\detokenize{appdev/refs/api/krb5_set_error_message:krb5-set-error-message-set-an-extended-error-message-for-an-error-code}}\index{krb5\_set\_error\_message (C function)}
+\subsubsection{krb5\_set\_error\_message \sphinxhyphen{}  Set an extended error message for an error code.}
+\label{\detokenize{appdev/refs/api/krb5_set_error_message:krb5-set-error-message-set-an-extended-error-message-for-an-error-code}}\label{\detokenize{appdev/refs/api/krb5_set_error_message::doc}}\index{krb5\_set\_error\_message (C function)@\spxentry{krb5\_set\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_error_message:c.krb5_set_error_message}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_set\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}}\sphinxstyleemphasis{ code}, const char *\sphinxstyleemphasis{ fmt}, ...}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_error_message:c.krb5_set_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\DUrole{n}{code}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{fmt}, \DUrole{p}{...}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} - Error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} \sphinxhyphen{} Error code
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} - Error string for the error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} \sphinxhyphen{} Error string for the error code
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_set\_kdc\_recv\_hook -  Set a KDC post-receive hook function.}
-\label{\detokenize{appdev/refs/api/krb5_set_kdc_recv_hook::doc}}\label{\detokenize{appdev/refs/api/krb5_set_kdc_recv_hook:krb5-set-kdc-recv-hook-set-a-kdc-post-receive-hook-function}}\index{krb5\_set\_kdc\_recv\_hook (C function)}
+\subsubsection{krb5\_set\_kdc\_recv\_hook \sphinxhyphen{}  Set a KDC post\sphinxhyphen{}receive hook function.}
+\label{\detokenize{appdev/refs/api/krb5_set_kdc_recv_hook:krb5-set-kdc-recv-hook-set-a-kdc-post-receive-hook-function}}\label{\detokenize{appdev/refs/api/krb5_set_kdc_recv_hook::doc}}\index{krb5\_set\_kdc\_recv\_hook (C function)@\spxentry{krb5\_set\_kdc\_recv\_hook}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_kdc_recv_hook:c.krb5_set_kdc_recv_hook}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_set\_kdc\_recv\_hook}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_post_recv_fn:c.krb5_post_recv_fn}]{\sphinxcrossref{krb5\_post\_recv\_fn}}}\sphinxstyleemphasis{ recv\_hook}, void *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_kdc_recv_hook:c.krb5_set_kdc_recv_hook}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_kdc\_recv\_hook}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_post_recv_fn:c.krb5_post_recv_fn}]{\sphinxcrossref{\DUrole{n}{krb5\_post\_recv\_fn}}}}\DUrole{w}{  }\DUrole{n}{recv\_hook}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - The library context.
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} The library context.
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{recv\_hook} - Hook function (or NULL to disable the hook)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{recv\_hook} \sphinxhyphen{} Hook function (or NULL to disable the hook)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Callback data to be passed to \sphinxstyleemphasis{recv\_hook}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Callback data to be passed to \sphinxstyleemphasis{recv\_hook}
 
 \end{description}\end{quote}
 \begin{quote}
 
-\sphinxstyleemphasis{recv\_hook} will be called after a reply is received from a KDC during a call to a library function such as {\hyperref[\detokenize{appdev/refs/api/krb5_get_credentials:c.krb5_get_credentials}]{\sphinxcrossref{\sphinxcode{krb5\_get\_credentials()}}}} . The hook function may inspect or override the reply. This hook will not be executed if the pre-send hook returns a synthetic reply.
+\sphinxAtStartPar
+\sphinxstyleemphasis{recv\_hook} will be called after a reply is received from a KDC during a call to a library function such as krb5\_get\_credentials(). The hook function may inspect or override the reply. This hook will not be executed if the pre\sphinxhyphen{}send hook returns a synthetic reply.
 \end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.15
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_set\_kdc\_send\_hook -  Set a KDC pre-send hook function.}
-\label{\detokenize{appdev/refs/api/krb5_set_kdc_send_hook:krb5-set-kdc-send-hook-set-a-kdc-pre-send-hook-function}}\label{\detokenize{appdev/refs/api/krb5_set_kdc_send_hook::doc}}\index{krb5\_set\_kdc\_send\_hook (C function)}
+\subsubsection{krb5\_set\_kdc\_send\_hook \sphinxhyphen{}  Set a KDC pre\sphinxhyphen{}send hook function.}
+\label{\detokenize{appdev/refs/api/krb5_set_kdc_send_hook:krb5-set-kdc-send-hook-set-a-kdc-pre-send-hook-function}}\label{\detokenize{appdev/refs/api/krb5_set_kdc_send_hook::doc}}\index{krb5\_set\_kdc\_send\_hook (C function)@\spxentry{krb5\_set\_kdc\_send\_hook}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_kdc_send_hook:c.krb5_set_kdc_send_hook}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_set\_kdc\_send\_hook}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pre_send_fn:c.krb5_pre_send_fn}]{\sphinxcrossref{krb5\_pre\_send\_fn}}}\sphinxstyleemphasis{ send\_hook}, void *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_kdc_send_hook:c.krb5_set_kdc_send_hook}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_kdc\_send\_hook}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pre_send_fn:c.krb5_pre_send_fn}]{\sphinxcrossref{\DUrole{n}{krb5\_pre\_send\_fn}}}}\DUrole{w}{  }\DUrole{n}{send\_hook}, \DUrole{kt}{void}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{send\_hook} - Hook function (or NULL to disable the hook)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{send\_hook} \sphinxhyphen{} Hook function (or NULL to disable the hook)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Callback data to be passed to \sphinxstyleemphasis{send\_hook}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Callback data to be passed to \sphinxstyleemphasis{send\_hook}
 
 \end{description}\end{quote}
 \begin{quote}
 
-\sphinxstyleemphasis{send\_hook} will be called before messages are sent to KDCs by library functions such as {\hyperref[\detokenize{appdev/refs/api/krb5_get_credentials:c.krb5_get_credentials}]{\sphinxcrossref{\sphinxcode{krb5\_get\_credentials()}}}} . The hook function may inspect, override, or synthesize its own reply to the message.
+\sphinxAtStartPar
+\sphinxstyleemphasis{send\_hook} will be called before messages are sent to KDCs by library functions such as krb5\_get\_credentials(). The hook function may inspect, override, or synthesize its own reply to the message.
 \end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.15
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_set\_real\_time -  Set time offset field in a krb5\_context structure.}
-\label{\detokenize{appdev/refs/api/krb5_set_real_time::doc}}\label{\detokenize{appdev/refs/api/krb5_set_real_time:krb5-set-real-time-set-time-offset-field-in-a-krb5-context-structure}}\index{krb5\_set\_real\_time (C function)}
+\subsubsection{krb5\_set\_real\_time \sphinxhyphen{}  Set time offset field in a krb5\_context structure.}
+\label{\detokenize{appdev/refs/api/krb5_set_real_time:krb5-set-real-time-set-time-offset-field-in-a-krb5-context-structure}}\label{\detokenize{appdev/refs/api/krb5_set_real_time::doc}}\index{krb5\_set\_real\_time (C function)@\spxentry{krb5\_set\_real\_time}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_real_time:c.krb5_set_real_time}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_set\_real\_time}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}\sphinxstyleemphasis{ seconds}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}\sphinxstyleemphasis{ microseconds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_set_real_time:c.krb5_set_real_time}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_set\_real\_time}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{n}{seconds}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{n}{microseconds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{seconds} - Real time, seconds portion
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{seconds} \sphinxhyphen{} Real time, seconds portion
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{microseconds} - Real time, microseconds portion
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{microseconds} \sphinxhyphen{} Real time, microseconds portion
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function sets the time offset in \sphinxstyleemphasis{context} to the difference between the system time and the real time as determined by \sphinxstyleemphasis{seconds} and \sphinxstyleemphasis{microseconds} .
 
 
-\subsubsection{krb5\_string\_to\_cksumtype -  Convert a string to a checksum type.}
-\label{\detokenize{appdev/refs/api/krb5_string_to_cksumtype:krb5-string-to-cksumtype-convert-a-string-to-a-checksum-type}}\label{\detokenize{appdev/refs/api/krb5_string_to_cksumtype::doc}}\index{krb5\_string\_to\_cksumtype (C function)}
+\subsubsection{krb5\_string\_to\_cksumtype \sphinxhyphen{}  Convert a string to a checksum type.}
+\label{\detokenize{appdev/refs/api/krb5_string_to_cksumtype:krb5-string-to-cksumtype-convert-a-string-to-a-checksum-type}}\label{\detokenize{appdev/refs/api/krb5_string_to_cksumtype::doc}}\index{krb5\_string\_to\_cksumtype (C function)@\spxentry{krb5\_string\_to\_cksumtype}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_cksumtype:c.krb5_string_to_cksumtype}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_string\_to\_cksumtype}}{char *\sphinxstyleemphasis{ string}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}} *\sphinxstyleemphasis{ cksumtypep}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_cksumtype:c.krb5_string_to_cksumtype}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_string\_to\_cksumtype}}}}{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{string}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cksumtypep}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} - String to be converted
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} \sphinxhyphen{} String to be converted
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cksumtypep} - Checksum type to be filled in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cksumtypep} \sphinxhyphen{} Checksum type to be filled in
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - EINVAL
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} EINVAL
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_string\_to\_deltat -  Convert a string to a delta time value.}
-\label{\detokenize{appdev/refs/api/krb5_string_to_deltat::doc}}\label{\detokenize{appdev/refs/api/krb5_string_to_deltat:krb5-string-to-deltat-convert-a-string-to-a-delta-time-value}}\index{krb5\_string\_to\_deltat (C function)}
+\subsubsection{krb5\_string\_to\_deltat \sphinxhyphen{}  Convert a string to a delta time value.}
+\label{\detokenize{appdev/refs/api/krb5_string_to_deltat:krb5-string-to-deltat-convert-a-string-to-a-delta-time-value}}\label{\detokenize{appdev/refs/api/krb5_string_to_deltat::doc}}\index{krb5\_string\_to\_deltat (C function)@\spxentry{krb5\_string\_to\_deltat}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_deltat:c.krb5_string_to_deltat}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_string\_to\_deltat}}{char *\sphinxstyleemphasis{ string}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{krb5\_deltat}}} *\sphinxstyleemphasis{ deltatp}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_deltat:c.krb5_string_to_deltat}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_string\_to\_deltat}}}}{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{string}, {\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{\DUrole{n}{krb5\_deltat}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{deltatp}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} - String to be converted
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} \sphinxhyphen{} String to be converted
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{deltatp} - Delta time to be filled in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{deltatp} \sphinxhyphen{} Delta time to be filled in
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - KRB5\_DELTAT\_BADFORMAT
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} KRB5\_DELTAT\_BADFORMAT
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_string\_to\_enctype -  Convert a string to an encryption type.}
-\label{\detokenize{appdev/refs/api/krb5_string_to_enctype::doc}}\label{\detokenize{appdev/refs/api/krb5_string_to_enctype:krb5-string-to-enctype-convert-a-string-to-an-encryption-type}}\index{krb5\_string\_to\_enctype (C function)}
+\subsubsection{krb5\_string\_to\_enctype \sphinxhyphen{}  Convert a string to an encryption type.}
+\label{\detokenize{appdev/refs/api/krb5_string_to_enctype:krb5-string-to-enctype-convert-a-string-to-an-encryption-type}}\label{\detokenize{appdev/refs/api/krb5_string_to_enctype::doc}}\index{krb5\_string\_to\_enctype (C function)@\spxentry{krb5\_string\_to\_enctype}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_enctype:c.krb5_string_to_enctype}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_string\_to\_enctype}}{char *\sphinxstyleemphasis{ string}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *\sphinxstyleemphasis{ enctypep}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_enctype:c.krb5_string_to_enctype}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_string\_to\_enctype}}}}{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{string}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{enctypep}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} - String to convert to an encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} \sphinxhyphen{} String to convert to an encryption type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{enctypep} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{enctypep} \sphinxhyphen{} Encryption type
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - EINVAL
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} EINVAL
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_string\_to\_salttype -  Convert a string to a salt type.}
-\label{\detokenize{appdev/refs/api/krb5_string_to_salttype:krb5-string-to-salttype-convert-a-string-to-a-salt-type}}\label{\detokenize{appdev/refs/api/krb5_string_to_salttype::doc}}\index{krb5\_string\_to\_salttype (C function)}
+\subsubsection{krb5\_string\_to\_salttype \sphinxhyphen{}  Convert a string to a salt type.}
+\label{\detokenize{appdev/refs/api/krb5_string_to_salttype:krb5-string-to-salttype-convert-a-string-to-a-salt-type}}\label{\detokenize{appdev/refs/api/krb5_string_to_salttype::doc}}\index{krb5\_string\_to\_salttype (C function)@\spxentry{krb5\_string\_to\_salttype}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_salttype:c.krb5_string_to_salttype}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_string\_to\_salttype}}{char *\sphinxstyleemphasis{ string}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}} *\sphinxstyleemphasis{ salttypep}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_salttype:c.krb5_string_to_salttype}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_string\_to\_salttype}}}}{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{string}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{salttypep}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} - String to convert to an encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} \sphinxhyphen{} String to convert to an encryption type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{salttypep} - Salt type to be filled in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{salttypep} \sphinxhyphen{} Salt type to be filled in
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - EINVAL
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} EINVAL
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_string\_to\_timestamp -  Convert a string to a timestamp.}
-\label{\detokenize{appdev/refs/api/krb5_string_to_timestamp::doc}}\label{\detokenize{appdev/refs/api/krb5_string_to_timestamp:krb5-string-to-timestamp-convert-a-string-to-a-timestamp}}\index{krb5\_string\_to\_timestamp (C function)}
+\subsubsection{krb5\_string\_to\_timestamp \sphinxhyphen{}  Convert a string to a timestamp.}
+\label{\detokenize{appdev/refs/api/krb5_string_to_timestamp:krb5-string-to-timestamp-convert-a-string-to-a-timestamp}}\label{\detokenize{appdev/refs/api/krb5_string_to_timestamp::doc}}\index{krb5\_string\_to\_timestamp (C function)@\spxentry{krb5\_string\_to\_timestamp}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_timestamp:c.krb5_string_to_timestamp}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_string\_to\_timestamp}}{char *\sphinxstyleemphasis{ string}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}} *\sphinxstyleemphasis{ timestampp}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_timestamp:c.krb5_string_to_timestamp}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_string\_to\_timestamp}}}}{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{string}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{timestampp}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} - String to be converted
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} \sphinxhyphen{} String to be converted
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{timestampp} - Pointer to timestamp
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{timestampp} \sphinxhyphen{} Pointer to timestamp
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - EINVAL
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} EINVAL
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_timeofday -  Retrieve the current time with context specific time offset adjustment.}
-\label{\detokenize{appdev/refs/api/krb5_timeofday:krb5-timeofday-retrieve-the-current-time-with-context-specific-time-offset-adjustment}}\label{\detokenize{appdev/refs/api/krb5_timeofday::doc}}\index{krb5\_timeofday (C function)}
+\subsubsection{krb5\_timeofday \sphinxhyphen{}  Retrieve the current time with context specific time offset adjustment.}
+\label{\detokenize{appdev/refs/api/krb5_timeofday:krb5-timeofday-retrieve-the-current-time-with-context-specific-time-offset-adjustment}}\label{\detokenize{appdev/refs/api/krb5_timeofday::doc}}\index{krb5\_timeofday (C function)@\spxentry{krb5\_timeofday}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_timeofday:c.krb5_timeofday}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_timeofday}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}} *\sphinxstyleemphasis{ timeret}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_timeofday:c.krb5_timeofday}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_timeofday}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{timeret}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{timeret} - Timestamp to fill in
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{timeret} \sphinxhyphen{} Timestamp to fill in
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 0   Success
 
 \end{itemize}
 
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function retrieves the system time of day with the context specific time offset adjustment.
 
 
-\subsubsection{krb5\_timestamp\_to\_sfstring -  Convert a timestamp to a string, with optional output padding.}
-\label{\detokenize{appdev/refs/api/krb5_timestamp_to_sfstring:krb5-timestamp-to-sfstring-convert-a-timestamp-to-a-string-with-optional-output-padding}}\label{\detokenize{appdev/refs/api/krb5_timestamp_to_sfstring::doc}}\index{krb5\_timestamp\_to\_sfstring (C function)}
+\subsubsection{krb5\_timestamp\_to\_sfstring \sphinxhyphen{}  Convert a timestamp to a string, with optional output padding.}
+\label{\detokenize{appdev/refs/api/krb5_timestamp_to_sfstring:krb5-timestamp-to-sfstring-convert-a-timestamp-to-a-string-with-optional-output-padding}}\label{\detokenize{appdev/refs/api/krb5_timestamp_to_sfstring::doc}}\index{krb5\_timestamp\_to\_sfstring (C function)@\spxentry{krb5\_timestamp\_to\_sfstring}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_timestamp_to_sfstring:c.krb5_timestamp_to_sfstring}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_timestamp\_to\_sfstring}}{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}\sphinxstyleemphasis{ timestamp}, char *\sphinxstyleemphasis{ buffer}, size\_t\sphinxstyleemphasis{ buflen}, char *\sphinxstyleemphasis{ pad}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_timestamp_to_sfstring:c.krb5_timestamp_to_sfstring}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_timestamp\_to\_sfstring}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{n}{timestamp}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{buffer}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{buflen}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pad}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{timestamp} - Timestamp to convert
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{timestamp} \sphinxhyphen{} Timestamp to convert
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} - Buffer to hold the converted timestamp
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} \sphinxhyphen{} Buffer to hold the converted timestamp
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} - Length of buffer
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} \sphinxhyphen{} Length of buffer
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pad} - Optional value to pad \sphinxstyleemphasis{buffer} if converted timestamp does not fill it
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pad} \sphinxhyphen{} Optional value to pad \sphinxstyleemphasis{buffer} if converted timestamp does not fill it
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-If \sphinxstyleemphasis{pad} is not NULL, \sphinxstyleemphasis{buffer} is padded out to \sphinxstyleemphasis{buflen} - 1 characters with the value of * \sphinxstyleemphasis{pad} .
+\sphinxAtStartPar
+If \sphinxstyleemphasis{pad} is not NULL, \sphinxstyleemphasis{buffer} is padded out to \sphinxstyleemphasis{buflen} \sphinxhyphen{} 1 characters with the value of * \sphinxstyleemphasis{pad} .
 
 
-\subsubsection{krb5\_timestamp\_to\_string -  Convert a timestamp to a string.}
-\label{\detokenize{appdev/refs/api/krb5_timestamp_to_string::doc}}\label{\detokenize{appdev/refs/api/krb5_timestamp_to_string:krb5-timestamp-to-string-convert-a-timestamp-to-a-string}}\index{krb5\_timestamp\_to\_string (C function)}
+\subsubsection{krb5\_timestamp\_to\_string \sphinxhyphen{}  Convert a timestamp to a string.}
+\label{\detokenize{appdev/refs/api/krb5_timestamp_to_string:krb5-timestamp-to-string-convert-a-timestamp-to-a-string}}\label{\detokenize{appdev/refs/api/krb5_timestamp_to_string::doc}}\index{krb5\_timestamp\_to\_string (C function)@\spxentry{krb5\_timestamp\_to\_string}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_timestamp_to_string:c.krb5_timestamp_to_string}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_timestamp\_to\_string}}{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}\sphinxstyleemphasis{ timestamp}, char *\sphinxstyleemphasis{ buffer}, size\_t\sphinxstyleemphasis{ buflen}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_timestamp_to_string:c.krb5_timestamp_to_string}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_timestamp\_to\_string}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\DUrole{n}{timestamp}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{buffer}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{buflen}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{timestamp} - Timestamp to convert
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{timestamp} \sphinxhyphen{} Timestamp to convert
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} - Buffer to hold converted timestamp
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} \sphinxhyphen{} Buffer to hold converted timestamp
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} - Storage available in \sphinxstyleemphasis{buffer}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} \sphinxhyphen{} Storage available in \sphinxstyleemphasis{buffer}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 The string is returned in the locale’s appropriate date and time representation.
 
 
-\subsubsection{krb5\_tkt\_creds\_free -  Free a TGS request context.}
-\label{\detokenize{appdev/refs/api/krb5_tkt_creds_free::doc}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_free:krb5-tkt-creds-free-free-a-tgs-request-context}}\index{krb5\_tkt\_creds\_free (C function)}
+\subsubsection{krb5\_tkt\_creds\_free \sphinxhyphen{}  Free a TGS request context.}
+\label{\detokenize{appdev/refs/api/krb5_tkt_creds_free:krb5-tkt-creds-free-free-a-tgs-request-context}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_free::doc}}\index{krb5\_tkt\_creds\_free (C function)@\spxentry{krb5\_tkt\_creds\_free}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_free:c.krb5_tkt_creds_free}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_tkt\_creds\_free}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{krb5\_tkt\_creds\_context}}}\sphinxstyleemphasis{ ctx}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_free:c.krb5_tkt_creds_free}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_tkt\_creds\_free}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - TGS request context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} TGS request context
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_tkt\_creds\_get -  Synchronously obtain credentials using a TGS request context.}
-\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get:krb5-tkt-creds-get-synchronously-obtain-credentials-using-a-tgs-request-context}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get::doc}}\index{krb5\_tkt\_creds\_get (C function)}
+\subsubsection{krb5\_tkt\_creds\_get \sphinxhyphen{}  Synchronously obtain credentials using a TGS request context.}
+\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get:krb5-tkt-creds-get-synchronously-obtain-credentials-using-a-tgs-request-context}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get::doc}}\index{krb5\_tkt\_creds\_get (C function)@\spxentry{krb5\_tkt\_creds\_get}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get:c.krb5_tkt_creds_get}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_tkt\_creds\_get}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{krb5\_tkt\_creds\_context}}}\sphinxstyleemphasis{ ctx}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get:c.krb5_tkt_creds_get}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_tkt\_creds\_get}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - TGS request context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} TGS request context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function synchronously obtains credentials using a context created by {\hyperref[\detokenize{appdev/refs/api/krb5_tkt_creds_init:c.krb5_tkt_creds_init}]{\sphinxcrossref{\sphinxcode{krb5\_tkt\_creds\_init()}}}} . On successful return, the credentials can be retrieved with {\hyperref[\detokenize{appdev/refs/api/krb5_tkt_creds_get_creds:c.krb5_tkt_creds_get_creds}]{\sphinxcrossref{\sphinxcode{krb5\_tkt\_creds\_get\_creds()}}}} .
+\sphinxAtStartPar
+This function synchronously obtains credentials using a context created by krb5\_tkt\_creds\_init(). On successful return, the credentials can be retrieved with krb5\_tkt\_creds\_get\_creds().
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_tkt\_creds\_get\_creds -  Retrieve acquired credentials from a TGS request context.}
-\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_creds:krb5-tkt-creds-get-creds-retrieve-acquired-credentials-from-a-tgs-request-context}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_creds::doc}}\index{krb5\_tkt\_creds\_get\_creds (C function)}
+\subsubsection{krb5\_tkt\_creds\_get\_creds \sphinxhyphen{}  Retrieve acquired credentials from a TGS request context.}
+\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_creds:krb5-tkt-creds-get-creds-retrieve-acquired-credentials-from-a-tgs-request-context}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_creds::doc}}\index{krb5\_tkt\_creds\_get\_creds (C function)@\spxentry{krb5\_tkt\_creds\_get\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_creds:c.krb5_tkt_creds_get_creds}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_tkt\_creds\_get\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{krb5\_tkt\_creds\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_creds:c.krb5_tkt_creds_get_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_tkt\_creds\_get\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - TGS request context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} TGS request context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} - Acquired credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Acquired credentials
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function copies the acquired initial credentials from \sphinxstyleemphasis{ctx} into \sphinxstyleemphasis{creds} , after the successful completion of {\hyperref[\detokenize{appdev/refs/api/krb5_tkt_creds_get:c.krb5_tkt_creds_get}]{\sphinxcrossref{\sphinxcode{krb5\_tkt\_creds\_get()}}}} or {\hyperref[\detokenize{appdev/refs/api/krb5_tkt_creds_step:c.krb5_tkt_creds_step}]{\sphinxcrossref{\sphinxcode{krb5\_tkt\_creds\_step()}}}} . Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_cred_contents:c.krb5_free_cred_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_cred\_contents()}}}} to free \sphinxstyleemphasis{creds} when it is no longer needed.
+\sphinxAtStartPar
+This function copies the acquired initial credentials from \sphinxstyleemphasis{ctx} into \sphinxstyleemphasis{creds} , after the successful completion of krb5\_tkt\_creds\_get() or krb5\_tkt\_creds\_step(). Use krb5\_free\_cred\_contents() to free \sphinxstyleemphasis{creds} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_tkt\_creds\_get\_times -  Retrieve ticket times from a TGS request context.}
-\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_times:krb5-tkt-creds-get-times-retrieve-ticket-times-from-a-tgs-request-context}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_times::doc}}\index{krb5\_tkt\_creds\_get\_times (C function)}
+\subsubsection{krb5\_tkt\_creds\_get\_times \sphinxhyphen{}  Retrieve ticket times from a TGS request context.}
+\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_times:krb5-tkt-creds-get-times-retrieve-ticket-times-from-a-tgs-request-context}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_times::doc}}\index{krb5\_tkt\_creds\_get\_times (C function)@\spxentry{krb5\_tkt\_creds\_get\_times}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_times:c.krb5_tkt_creds_get_times}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_tkt\_creds\_get\_times}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{krb5\_tkt\_creds\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{krb5\_ticket\_times}}} *\sphinxstyleemphasis{ times}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_get_times:c.krb5_tkt_creds_get_times}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_tkt\_creds\_get\_times}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{times}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - TGS request context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} TGS request context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{times} - Ticket times for acquired credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{times} \sphinxhyphen{} Ticket times for acquired credentials
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-The TGS request context must have completed obtaining credentials via either {\hyperref[\detokenize{appdev/refs/api/krb5_tkt_creds_get:c.krb5_tkt_creds_get}]{\sphinxcrossref{\sphinxcode{krb5\_tkt\_creds\_get()}}}} or {\hyperref[\detokenize{appdev/refs/api/krb5_tkt_creds_step:c.krb5_tkt_creds_step}]{\sphinxcrossref{\sphinxcode{krb5\_tkt\_creds\_step()}}}} .
+\sphinxAtStartPar
+The TGS request context must have completed obtaining credentials via either krb5\_tkt\_creds\_get() or krb5\_tkt\_creds\_step().
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_tkt\_creds\_init -  Create a context to get credentials from a KDC’s Ticket Granting Service.}
-\label{\detokenize{appdev/refs/api/krb5_tkt_creds_init:krb5-tkt-creds-init-create-a-context-to-get-credentials-from-a-kdc-s-ticket-granting-service}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_init::doc}}\index{krb5\_tkt\_creds\_init (C function)}
+\subsubsection{krb5\_tkt\_creds\_init \sphinxhyphen{}  Create a context to get credentials from a KDC’s Ticket Granting Service.}
+\label{\detokenize{appdev/refs/api/krb5_tkt_creds_init:krb5-tkt-creds-init-create-a-context-to-get-credentials-from-a-kdc-s-ticket-granting-service}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_init::doc}}\index{krb5\_tkt\_creds\_init (C function)@\spxentry{krb5\_tkt\_creds\_init}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_init:c.krb5_tkt_creds_init}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_tkt\_creds\_init}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ options}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{krb5\_tkt\_creds\_context}}} *\sphinxstyleemphasis{ ctx}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_init:c.krb5_tkt_creds_init}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_tkt\_creds\_init}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{options}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_creds\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ctx}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache handle
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache handle
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} - Input credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Input credentials
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{options} - \sphinxcode{KRB5\_GC} options for this request.
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{options} \sphinxhyphen{} Options (see KRB5\_GC macros)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ctx} - New TGS request context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} New TGS request context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function prepares to obtain credentials matching \sphinxstyleemphasis{creds} , either by retrieving them from \sphinxstyleemphasis{ccache} or by making requests to ticket-granting services beginning with a ticket-granting ticket for the client principal’s realm.
+\sphinxAtStartPar
+This function prepares to obtain credentials matching \sphinxstyleemphasis{creds} , either by retrieving them from \sphinxstyleemphasis{ccache} or by making requests to ticket\sphinxhyphen{}granting services beginning with a ticket\sphinxhyphen{}granting ticket for the client principal’s realm.
 
-The resulting TGS acquisition context can be used asynchronously with {\hyperref[\detokenize{appdev/refs/api/krb5_tkt_creds_step:c.krb5_tkt_creds_step}]{\sphinxcrossref{\sphinxcode{krb5\_tkt\_creds\_step()}}}} or synchronously with {\hyperref[\detokenize{appdev/refs/api/krb5_tkt_creds_get:c.krb5_tkt_creds_get}]{\sphinxcrossref{\sphinxcode{krb5\_tkt\_creds\_get()}}}} . See also {\hyperref[\detokenize{appdev/refs/api/krb5_get_credentials:c.krb5_get_credentials}]{\sphinxcrossref{\sphinxcode{krb5\_get\_credentials()}}}} for synchronous use.
+\sphinxAtStartPar
+The resulting TGS acquisition context can be used asynchronously with krb5\_tkt\_creds\_step() or synchronously with krb5\_tkt\_creds\_get(). See also krb5\_get\_credentials() for synchronous use.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_tkt_creds_free:c.krb5_tkt_creds_free}]{\sphinxcrossref{\sphinxcode{krb5\_tkt\_creds\_free()}}}} to free \sphinxstyleemphasis{ctx} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_tkt\_creds\_free() to free \sphinxstyleemphasis{ctx} when it is no longer needed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_tkt\_creds\_step -  Get the next KDC request in a TGS exchange.}
-\label{\detokenize{appdev/refs/api/krb5_tkt_creds_step:krb5-tkt-creds-step-get-the-next-kdc-request-in-a-tgs-exchange}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_step::doc}}\index{krb5\_tkt\_creds\_step (C function)}
+\subsubsection{krb5\_tkt\_creds\_step \sphinxhyphen{}  Get the next KDC request in a TGS exchange.}
+\label{\detokenize{appdev/refs/api/krb5_tkt_creds_step:krb5-tkt-creds-step-get-the-next-kdc-request-in-a-tgs-exchange}}\label{\detokenize{appdev/refs/api/krb5_tkt_creds_step::doc}}\index{krb5\_tkt\_creds\_step (C function)@\spxentry{krb5\_tkt\_creds\_step}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_step:c.krb5_tkt_creds_step}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_tkt\_creds\_step}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{krb5\_tkt\_creds\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ in}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ out}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ realm}, unsigned int *\sphinxstyleemphasis{ flags}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_tkt_creds_step:c.krb5_tkt_creds_step}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_tkt\_creds\_step}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_creds\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{out}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{flags}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - TGS request context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} TGS request context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in} - KDC response (empty on the first call)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in} \sphinxhyphen{} KDC response (empty on the first call)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} - Next KDC request
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} \sphinxhyphen{} Next KDC request
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realm} - Realm for next KDC request
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{realm} \sphinxhyphen{} Realm for next KDC request
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{flags} - Output flags
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Output flags
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function constructs the next KDC request for a TGS exchange, allowing the caller to control the transport of KDC requests and replies. On the first call, \sphinxstyleemphasis{in} should be set to an empty buffer; on subsequent calls, it should be set to the KDC’s reply to the previous request.
 
-If more requests are needed, \sphinxstyleemphasis{flags} will be set to {\hyperref[\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE:KRB5_TKT_CREDS_STEP_FLAG_CONTINUE}]{\sphinxcrossref{\sphinxcode{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE}}}} and the next request will be placed in \sphinxstyleemphasis{out} . If no more requests are needed, \sphinxstyleemphasis{flags} will not contain {\hyperref[\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE:KRB5_TKT_CREDS_STEP_FLAG_CONTINUE}]{\sphinxcrossref{\sphinxcode{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE}}}} and \sphinxstyleemphasis{out} will be empty.
+\sphinxAtStartPar
+If more requests are needed, \sphinxstyleemphasis{flags} will be set to \#KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE and the next request will be placed in \sphinxstyleemphasis{out} . If no more requests are needed, \sphinxstyleemphasis{flags} will not contain \#KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE and \sphinxstyleemphasis{out} will be empty.
 
+\sphinxAtStartPar
 If this function returns \sphinxstylestrong{KRB5KRB\_ERR\_RESPONSE\_TOO\_BIG} , the caller should transmit the next request using TCP rather than UDP. If this function returns any other error, the TGS exchange has failed.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_unmarshal\_credentials -  Deserialize a krb5\_creds object.}
-\label{\detokenize{appdev/refs/api/krb5_unmarshal_credentials::doc}}\label{\detokenize{appdev/refs/api/krb5_unmarshal_credentials:krb5-unmarshal-credentials-deserialize-a-krb5-creds-object}}\index{krb5\_unmarshal\_credentials (C function)}
+\subsubsection{krb5\_unmarshal\_credentials \sphinxhyphen{}  Deserialize a krb5\_creds object.}
+\label{\detokenize{appdev/refs/api/krb5_unmarshal_credentials:krb5-unmarshal-credentials-deserialize-a-krb5-creds-object}}\label{\detokenize{appdev/refs/api/krb5_unmarshal_credentials::doc}}\index{krb5\_unmarshal\_credentials (C function)@\spxentry{krb5\_unmarshal\_credentials}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_unmarshal_credentials:c.krb5_unmarshal_credentials}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_unmarshal\_credentials}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} **\sphinxstyleemphasis{ creds\_out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_unmarshal_credentials:c.krb5_unmarshal_credentials}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_unmarshal\_credentials}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{creds\_out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - The serialized credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} The serialized credentials
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds\_out} - The resulting creds object
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{creds\_out} \sphinxhyphen{} The resulting creds object
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Deserialize \sphinxstyleemphasis{data} to credentials in the format used by the FILE ccache format (vesion 4) and KCM ccache protocol.
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_creds:c.krb5_free_creds}]{\sphinxcrossref{\sphinxcode{krb5\_free\_creds()}}}} to free \sphinxstyleemphasis{creds\_out} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_creds() to free \sphinxstyleemphasis{creds\_out} when it is no longer needed.
 
 
-\subsubsection{krb5\_verify\_init\_creds -  Verify initial credentials against a keytab.}
-\label{\detokenize{appdev/refs/api/krb5_verify_init_creds:krb5-verify-init-creds-verify-initial-credentials-against-a-keytab}}\label{\detokenize{appdev/refs/api/krb5_verify_init_creds::doc}}\index{krb5\_verify\_init\_creds (C function)}
+\subsubsection{krb5\_verify\_init\_creds \sphinxhyphen{}  Verify initial credentials against a keytab.}
+\label{\detokenize{appdev/refs/api/krb5_verify_init_creds:krb5-verify-init-creds-verify-initial-credentials-against-a-keytab}}\label{\detokenize{appdev/refs/api/krb5_verify_init_creds::doc}}\index{krb5\_verify\_init\_creds (C function)@\spxentry{krb5\_verify\_init\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_verify\_init\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ server}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}} *\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}]{\sphinxcrossref{krb5\_verify\_init\_creds\_opt}}} *\sphinxstyleemphasis{ options}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_verify\_init\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{server}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_verify\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{options}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} - Initial credentials to be verified
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{creds} \sphinxhyphen{} Initial credentials to be verified
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Server principal (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Server principal (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table (NULL to use default keytab)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table (NULL to use default keytab)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache for fetched creds (or NULL)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache for fetched creds (or NULL)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{options} - Verification options (NULL for default options)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{options} \sphinxhyphen{} Verification options (NULL for default options)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function attempts to verify that \sphinxstyleemphasis{creds} were obtained from a KDC with knowledge of a key in \sphinxstyleemphasis{keytab} , or the default keytab if \sphinxstyleemphasis{keytab} is NULL. If \sphinxstyleemphasis{server} is provided, the highest-kvno key entry for that principal name is used to verify the credentials; otherwise, all unique”host”service principals in the keytab are tried.
+\sphinxAtStartPar
+This function attempts to verify that \sphinxstyleemphasis{creds} were obtained from a KDC with knowledge of a key in \sphinxstyleemphasis{keytab} , or the default keytab if \sphinxstyleemphasis{keytab} is NULL. If \sphinxstyleemphasis{server} is provided, the highest\sphinxhyphen{}kvno key entry for that principal name is used to verify the credentials; otherwise, all unique”host”service principals in the keytab are tried.
 
-If the specified keytab does not exist, or is empty, or cannot be read, or does not contain an entry for \sphinxstyleemphasis{server} , then credential verification may be skipped unless configuration demands that it succeed. The caller can control this behavior by providing a verification options structure; see {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_init:c.krb5_verify_init_creds_opt_init}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds\_opt\_init()}}}} and {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail:c.krb5_verify_init_creds_opt_set_ap_req_nofail}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail()}}}} .
+\sphinxAtStartPar
+If the specified keytab does not exist, or is empty, or cannot be read, or does not contain an entry for \sphinxstyleemphasis{server} , then credential verification may be skipped unless configuration demands that it succeed. The caller can control this behavior by providing a verification options structure; see krb5\_verify\_init\_creds\_opt\_init() and krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail().
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{ccache} is NULL, any additional credentials fetched during the verification process will be destroyed. If \sphinxstyleemphasis{ccache} points to NULL, a memory ccache will be created for the additional credentials and returned in \sphinxstyleemphasis{ccache} . If \sphinxstyleemphasis{ccache} points to a valid credential cache handle, the additional credentials will be stored in that cache.
 
 
-\subsubsection{krb5\_verify\_init\_creds\_opt\_init -  Initialize a credential verification options structure.}
-\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_init:krb5-verify-init-creds-opt-init-initialize-a-credential-verification-options-structure}}\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_init::doc}}\index{krb5\_verify\_init\_creds\_opt\_init (C function)}
+\subsubsection{krb5\_verify\_init\_creds\_opt\_init \sphinxhyphen{}  Initialize a credential verification options structure.}
+\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_init:krb5-verify-init-creds-opt-init-initialize-a-credential-verification-options-structure}}\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_init::doc}}\index{krb5\_verify\_init\_creds\_opt\_init (C function)@\spxentry{krb5\_verify\_init\_creds\_opt\_init}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_init:c.krb5_verify_init_creds_opt_init}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_verify\_init\_creds\_opt\_init}}{{\hyperref[\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}]{\sphinxcrossref{krb5\_verify\_init\_creds\_opt}}} *\sphinxstyleemphasis{ k5\_vic\_options}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_init:c.krb5_verify_init_creds_opt_init}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_verify\_init\_creds\_opt\_init}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_verify\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k5\_vic\_options}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k5\_vic\_options} - Verification options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k5\_vic\_options} \sphinxhyphen{} Verification options structure
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail -  Set whether credential verification is required.}
-\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail::doc}}\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail:krb5-verify-init-creds-opt-set-ap-req-nofail-set-whether-credential-verification-is-required}}\index{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail (C function)}
+\subsubsection{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail \sphinxhyphen{}  Set whether credential verification is required.}
+\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail:krb5-verify-init-creds-opt-set-ap-req-nofail-set-whether-credential-verification-is-required}}\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail::doc}}\index{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail (C function)@\spxentry{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail:c.krb5_verify_init_creds_opt_set_ap_req_nofail}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail}}{{\hyperref[\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}]{\sphinxcrossref{krb5\_verify\_init\_creds\_opt}}} *\sphinxstyleemphasis{ k5\_vic\_options}, int\sphinxstyleemphasis{ ap\_req\_nofail}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_init_creds_opt_set_ap_req_nofail:c.krb5_verify_init_creds_opt_set_ap_req_nofail}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_verify\_init\_creds\_opt\_set\_ap\_req\_nofail}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_verify\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k5\_vic\_options}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{ap\_req\_nofail}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k5\_vic\_options} - Verification options structure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k5\_vic\_options} \sphinxhyphen{} Verification options structure
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_nofail} - Whether to require successful verification
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_nofail} \sphinxhyphen{} Whether to require successful verification
 
 \end{description}\end{quote}
 
-This function determines how {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds()}}}} behaves if no keytab information is available. If \sphinxstyleemphasis{ap\_req\_nofail} is \sphinxstylestrong{FALSE} , verification will be skipped in this case and {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds()}}}} will return successfully. If \sphinxstyleemphasis{ap\_req\_nofail} is \sphinxstylestrong{TRUE} , {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds()}}}} will not return successfully unless verification can be performed.
+\sphinxAtStartPar
+This function determines how krb5\_verify\_init\_creds() behaves if no keytab information is available. If \sphinxstyleemphasis{ap\_req\_nofail} is \sphinxstylestrong{FALSE} , verification will be skipped in this case and krb5\_verify\_init\_creds() will return successfully. If \sphinxstyleemphasis{ap\_req\_nofail} is \sphinxstylestrong{TRUE} , krb5\_verify\_init\_creds() will not return successfully unless verification can be performed.
 
-If this function is not used, the behavior of {\hyperref[\detokenize{appdev/refs/api/krb5_verify_init_creds:c.krb5_verify_init_creds}]{\sphinxcrossref{\sphinxcode{krb5\_verify\_init\_creds()}}}} is determined through configuration.
+\sphinxAtStartPar
+If this function is not used, the behavior of krb5\_verify\_init\_creds() is determined through configuration.
 
 
-\subsubsection{krb5\_vprepend\_error\_message -  Add a prefix to the message for an error code using a va\_list.}
-\label{\detokenize{appdev/refs/api/krb5_vprepend_error_message::doc}}\label{\detokenize{appdev/refs/api/krb5_vprepend_error_message:krb5-vprepend-error-message-add-a-prefix-to-the-message-for-an-error-code-using-a-va-list}}\index{krb5\_vprepend\_error\_message (C function)}
+\subsubsection{krb5\_vprepend\_error\_message \sphinxhyphen{}  Add a prefix to the message for an error code using a va\_list.}
+\label{\detokenize{appdev/refs/api/krb5_vprepend_error_message:krb5-vprepend-error-message-add-a-prefix-to-the-message-for-an-error-code-using-a-va-list}}\label{\detokenize{appdev/refs/api/krb5_vprepend_error_message::doc}}\index{krb5\_vprepend\_error\_message (C function)@\spxentry{krb5\_vprepend\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_vprepend_error_message:c.krb5_vprepend_error_message}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_vprepend\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}}\sphinxstyleemphasis{ code}, const char *\sphinxstyleemphasis{ fmt}, va\_list\sphinxstyleemphasis{ args}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_vprepend_error_message:c.krb5_vprepend_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_vprepend\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\DUrole{n}{code}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{fmt}, \DUrole{n}{va\_list}\DUrole{w}{  }\DUrole{n}{args}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} - Error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} \sphinxhyphen{} Error code
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} - Format string for error message prefix
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} \sphinxhyphen{} Format string for error message prefix
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{args} - List of vprintf(3) style arguments
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{args} \sphinxhyphen{} List of vprintf(3) style arguments
 
 \end{description}\end{quote}
 
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_prepend_error_message:c.krb5_prepend_error_message}]{\sphinxcrossref{\sphinxcode{krb5\_prepend\_error\_message()}}}} , but uses a va\_list instead of variadic arguments.
+\sphinxAtStartPar
+This function is similar to krb5\_prepend\_error\_message(), but uses a va\_list instead of variadic arguments.
 
 
-\subsubsection{krb5\_vset\_error\_message -  Set an extended error message for an error code using a va\_list.}
-\label{\detokenize{appdev/refs/api/krb5_vset_error_message:krb5-vset-error-message-set-an-extended-error-message-for-an-error-code-using-a-va-list}}\label{\detokenize{appdev/refs/api/krb5_vset_error_message::doc}}\index{krb5\_vset\_error\_message (C function)}
+\subsubsection{krb5\_vset\_error\_message \sphinxhyphen{}  Set an extended error message for an error code using a va\_list.}
+\label{\detokenize{appdev/refs/api/krb5_vset_error_message:krb5-vset-error-message-set-an-extended-error-message-for-an-error-code-using-a-va-list}}\label{\detokenize{appdev/refs/api/krb5_vset_error_message::doc}}\index{krb5\_vset\_error\_message (C function)@\spxentry{krb5\_vset\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_vset_error_message:c.krb5_vset_error_message}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_vset\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}}\sphinxstyleemphasis{ code}, const char *\sphinxstyleemphasis{ fmt}, va\_list\sphinxstyleemphasis{ args}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_vset_error_message:c.krb5_vset_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_vset\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\DUrole{n}{code}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{fmt}, \DUrole{n}{va\_list}\DUrole{w}{  }\DUrole{n}{args}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} - Error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} \sphinxhyphen{} Error code
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} - Error string for the error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} \sphinxhyphen{} Error string for the error code
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{args} - List of vprintf(3) style arguments
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{args} \sphinxhyphen{} List of vprintf(3) style arguments
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_vwrap\_error\_message -  Add a prefix to a different error code’s message using a va\_list.}
-\label{\detokenize{appdev/refs/api/krb5_vwrap_error_message:krb5-vwrap-error-message-add-a-prefix-to-a-different-error-code-s-message-using-a-va-list}}\label{\detokenize{appdev/refs/api/krb5_vwrap_error_message::doc}}\index{krb5\_vwrap\_error\_message (C function)}
+\subsubsection{krb5\_vwrap\_error\_message \sphinxhyphen{}  Add a prefix to a different error code’s message using a va\_list.}
+\label{\detokenize{appdev/refs/api/krb5_vwrap_error_message:krb5-vwrap-error-message-add-a-prefix-to-a-different-error-code-s-message-using-a-va-list}}\label{\detokenize{appdev/refs/api/krb5_vwrap_error_message::doc}}\index{krb5\_vwrap\_error\_message (C function)@\spxentry{krb5\_vwrap\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_vwrap_error_message:c.krb5_vwrap_error_message}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_vwrap\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}}\sphinxstyleemphasis{ old\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}}\sphinxstyleemphasis{ code}, const char *\sphinxstyleemphasis{ fmt}, va\_list\sphinxstyleemphasis{ args}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_vwrap_error_message:c.krb5_vwrap_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_vwrap\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\DUrole{n}{old\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\DUrole{n}{code}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{fmt}, \DUrole{n}{va\_list}\DUrole{w}{  }\DUrole{n}{args}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{old\_code} - Previous error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{old\_code} \sphinxhyphen{} Previous error code
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} - Error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} \sphinxhyphen{} Error code
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} - Format string for error message prefix
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} \sphinxhyphen{} Format string for error message prefix
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{args} - List of vprintf(3) style arguments
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{args} \sphinxhyphen{} List of vprintf(3) style arguments
 
 \end{description}\end{quote}
 
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_wrap_error_message:c.krb5_wrap_error_message}]{\sphinxcrossref{\sphinxcode{krb5\_wrap\_error\_message()}}}} , but uses a va\_list instead of variadic arguments.
+\sphinxAtStartPar
+This function is similar to krb5\_wrap\_error\_message(), but uses a va\_list instead of variadic arguments.
 
 
-\subsubsection{krb5\_wrap\_error\_message -  Add a prefix to a different error code’s message.}
-\label{\detokenize{appdev/refs/api/krb5_wrap_error_message:krb5-wrap-error-message-add-a-prefix-to-a-different-error-code-s-message}}\label{\detokenize{appdev/refs/api/krb5_wrap_error_message::doc}}\index{krb5\_wrap\_error\_message (C function)}
+\subsubsection{krb5\_wrap\_error\_message \sphinxhyphen{}  Add a prefix to a different error code’s message.}
+\label{\detokenize{appdev/refs/api/krb5_wrap_error_message:krb5-wrap-error-message-add-a-prefix-to-a-different-error-code-s-message}}\label{\detokenize{appdev/refs/api/krb5_wrap_error_message::doc}}\index{krb5\_wrap\_error\_message (C function)@\spxentry{krb5\_wrap\_error\_message}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_wrap_error_message:c.krb5_wrap_error_message}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_wrap\_error\_message}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}}\sphinxstyleemphasis{ old\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}}\sphinxstyleemphasis{ code}, const char *\sphinxstyleemphasis{ fmt}, ...}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_wrap_error_message:c.krb5_wrap_error_message}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_wrap\_error\_message}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{ctx}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\DUrole{n}{old\_code}, {\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\DUrole{n}{code}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{fmt}, \DUrole{p}{...}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctx} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{old\_code} - Previous error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{old\_code} \sphinxhyphen{} Previous error code
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} - Error code
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} \sphinxhyphen{} Error code
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} - Format string for error message prefix
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fmt} \sphinxhyphen{} Format string for error message prefix
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Format a message and prepend it to the message for \sphinxstyleemphasis{old\_code} . The prefix will be separated from the old message with a colon and space. Set the resulting message as the extended error message for \sphinxstyleemphasis{code} .
 
 
 \subsection{Public interfaces that should not be called directly}
 \label{\detokenize{appdev/refs/api/index:public-interfaces-that-should-not-be-called-directly}}
 
-\subsubsection{krb5\_c\_block\_size -  Return cipher block size.}
-\label{\detokenize{appdev/refs/api/krb5_c_block_size:krb5-c-block-size-return-cipher-block-size}}\label{\detokenize{appdev/refs/api/krb5_c_block_size::doc}}\index{krb5\_c\_block\_size (C function)}
+\subsubsection{krb5\_c\_block\_size \sphinxhyphen{}  Return cipher block size.}
+\label{\detokenize{appdev/refs/api/krb5_c_block_size:krb5-c-block-size-return-cipher-block-size}}\label{\detokenize{appdev/refs/api/krb5_c_block_size::doc}}\index{krb5\_c\_block\_size (C function)@\spxentry{krb5\_c\_block\_size}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_block_size:c.krb5_c_block_size}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_block\_size}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, size\_t *\sphinxstyleemphasis{ blocksize}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_block_size:c.krb5_c_block_size}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_block\_size}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{blocksize}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{blocksize} - Block size for \sphinxstyleemphasis{enctype}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{blocksize} \sphinxhyphen{} Block size for \sphinxstyleemphasis{enctype}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_checksum\_length -  Return the length of checksums for a checksum type.}
-\label{\detokenize{appdev/refs/api/krb5_c_checksum_length:krb5-c-checksum-length-return-the-length-of-checksums-for-a-checksum-type}}\label{\detokenize{appdev/refs/api/krb5_c_checksum_length::doc}}\index{krb5\_c\_checksum\_length (C function)}
+\subsubsection{krb5\_c\_checksum\_length \sphinxhyphen{}  Return the length of checksums for a checksum type.}
+\label{\detokenize{appdev/refs/api/krb5_c_checksum_length:krb5-c-checksum-length-return-the-length-of-checksums-for-a-checksum-type}}\label{\detokenize{appdev/refs/api/krb5_c_checksum_length::doc}}\index{krb5\_c\_checksum\_length (C function)@\spxentry{krb5\_c\_checksum\_length}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_checksum_length:c.krb5_c_checksum_length}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_checksum\_length}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ cksumtype}, size\_t *\sphinxstyleemphasis{ length}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_checksum_length:c.krb5_c_checksum_length}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_checksum\_length}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{cksumtype}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{length}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} - Checksum type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} \sphinxhyphen{} Checksum type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{length} - Checksum length
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{length} \sphinxhyphen{} Checksum length
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_crypto\_length -  Return a length of a message field specific to the encryption type.}
-\label{\detokenize{appdev/refs/api/krb5_c_crypto_length:krb5-c-crypto-length-return-a-length-of-a-message-field-specific-to-the-encryption-type}}\label{\detokenize{appdev/refs/api/krb5_c_crypto_length::doc}}\index{krb5\_c\_crypto\_length (C function)}
+\subsubsection{krb5\_c\_crypto\_length \sphinxhyphen{}  Return a length of a message field specific to the encryption type.}
+\label{\detokenize{appdev/refs/api/krb5_c_crypto_length:krb5-c-crypto-length-return-a-length-of-a-message-field-specific-to-the-encryption-type}}\label{\detokenize{appdev/refs/api/krb5_c_crypto_length::doc}}\index{krb5\_c\_crypto\_length (C function)@\spxentry{krb5\_c\_crypto\_length}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_crypto_length:c.krb5_c_crypto_length}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_crypto\_length}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_cryptotype:c.krb5_cryptotype}]{\sphinxcrossref{krb5\_cryptotype}}}\sphinxstyleemphasis{ type}, unsigned int *\sphinxstyleemphasis{ size}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_crypto_length:c.krb5_c_crypto_length}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_crypto\_length}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_cryptotype:c.krb5_cryptotype}]{\sphinxcrossref{\DUrole{n}{krb5\_cryptotype}}}}\DUrole{w}{  }\DUrole{n}{type}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{size}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} - Type field (See \sphinxcode{KRB5\_CRYPTO\_TYPE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} \sphinxhyphen{} Type field (See KRB5\_CRYPTO\_TYPE macros)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{size} - Length of the \sphinxstyleemphasis{type} specific to \sphinxstyleemphasis{enctype}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{size} \sphinxhyphen{} Length of the \sphinxstyleemphasis{type} specific to \sphinxstyleemphasis{enctype}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_crypto\_length\_iov -  Fill in lengths for header, trailer and padding in a IOV array.}
-\label{\detokenize{appdev/refs/api/krb5_c_crypto_length_iov:krb5-c-crypto-length-iov-fill-in-lengths-for-header-trailer-and-padding-in-a-iov-array}}\label{\detokenize{appdev/refs/api/krb5_c_crypto_length_iov::doc}}\index{krb5\_c\_crypto\_length\_iov (C function)}
+\subsubsection{krb5\_c\_crypto\_length\_iov \sphinxhyphen{}  Fill in lengths for header, trailer and padding in a IOV array.}
+\label{\detokenize{appdev/refs/api/krb5_c_crypto_length_iov:krb5-c-crypto-length-iov-fill-in-lengths-for-header-trailer-and-padding-in-a-iov-array}}\label{\detokenize{appdev/refs/api/krb5_c_crypto_length_iov::doc}}\index{krb5\_c\_crypto\_length\_iov (C function)@\spxentry{krb5\_c\_crypto\_length\_iov}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_crypto_length_iov:c.krb5_c_crypto_length_iov}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_crypto\_length\_iov}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{krb5\_crypto\_iov}}} *\sphinxstyleemphasis{ data}, size\_t\sphinxstyleemphasis{ num\_data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_crypto_length_iov:c.krb5_c_crypto_length_iov}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_crypto\_length\_iov}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{num\_data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} - IOV array
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} \sphinxhyphen{} IOV array
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} - Size of \sphinxstyleemphasis{data}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} \sphinxhyphen{} Size of \sphinxstyleemphasis{data}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Padding is set to the actual padding required based on the provided \sphinxstyleemphasis{data} buffers. Typically this API is used after setting up the data buffers and {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:KRB5_CRYPTO_TYPE_SIGN_ONLY}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}}}} buffers, but before actually allocating header, trailer and padding.
+\sphinxAtStartPar
+Padding is set to the actual padding required based on the provided \sphinxstyleemphasis{data} buffers. Typically this API is used after setting up the data buffers and \#KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY buffers, but before actually allocating header, trailer and padding.
 
 
-\subsubsection{krb5\_c\_decrypt -  Decrypt data using a key (operates on keyblock).}
-\label{\detokenize{appdev/refs/api/krb5_c_decrypt::doc}}\label{\detokenize{appdev/refs/api/krb5_c_decrypt:krb5-c-decrypt-decrypt-data-using-a-key-operates-on-keyblock}}\index{krb5\_c\_decrypt (C function)}
+\subsubsection{krb5\_c\_decrypt \sphinxhyphen{}  Decrypt data using a key (operates on keyblock).}
+\label{\detokenize{appdev/refs/api/krb5_c_decrypt:krb5-c-decrypt-decrypt-data-using-a-key-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_decrypt::doc}}\index{krb5\_c\_decrypt (C function)@\spxentry{krb5\_c\_decrypt}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_decrypt:c.krb5_c_decrypt}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_decrypt}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ cipher\_state}, const {\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ output}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_decrypt:c.krb5_c_decrypt}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_decrypt}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cipher\_state}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{output}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{cipher\_state} - Cipher state; specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{cipher\_state} \sphinxhyphen{} Cipher state; specify NULL if not needed
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Encrypted data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Encrypted data
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} - Decrypted data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} \sphinxhyphen{} Decrypted data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function decrypts the data block \sphinxstyleemphasis{input} and stores the output into \sphinxstyleemphasis{output} . The actual decryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non-null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation.
+\sphinxAtStartPar
+This function decrypts the data block \sphinxstyleemphasis{input} and stores the output into \sphinxstyleemphasis{output} . The actual decryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non\sphinxhyphen{}null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation.
 
 \begin{sphinxadmonition}{note}{Note:}
-The caller must initialize \sphinxstyleemphasis{output} and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let {\hyperref[\detokenize{appdev/refs/api/krb5_c_decrypt:c.krb5_c_decrypt}]{\sphinxcrossref{\sphinxcode{krb5\_c\_decrypt()}}}} trim \sphinxstyleemphasis{output-\textgreater{}length} . For some enctypes, the resulting \sphinxstyleemphasis{output-\textgreater{}length} may include padding bytes.
+\sphinxAtStartPar
+The caller must initialize \sphinxstyleemphasis{output} and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let krb5\_c\_decrypt() trim \sphinxstyleemphasis{output\sphinxhyphen{}\textgreater{}length} . For some enctypes, the resulting \sphinxstyleemphasis{output\sphinxhyphen{}\textgreater{}length} may include padding bytes.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_c\_decrypt\_iov -  Decrypt data in place supporting AEAD (operates on keyblock).}
-\label{\detokenize{appdev/refs/api/krb5_c_decrypt_iov:krb5-c-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_decrypt_iov::doc}}\index{krb5\_c\_decrypt\_iov (C function)}
+\subsubsection{krb5\_c\_decrypt\_iov \sphinxhyphen{}  Decrypt data in place supporting AEAD (operates on keyblock).}
+\label{\detokenize{appdev/refs/api/krb5_c_decrypt_iov:krb5-c-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_decrypt_iov::doc}}\index{krb5\_c\_decrypt\_iov (C function)@\spxentry{krb5\_c\_decrypt\_iov}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_decrypt_iov:c.krb5_c_decrypt_iov}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_decrypt\_iov}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ keyblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ cipher\_state}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{krb5\_crypto\_iov}}} *\sphinxstyleemphasis{ data}, size\_t\sphinxstyleemphasis{ num\_data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_decrypt_iov:c.krb5_c_decrypt_iov}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_decrypt\_iov}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keyblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cipher\_state}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{num\_data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} - Encryption key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} \sphinxhyphen{} Encryption key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cipher\_state} - Cipher state; specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cipher\_state} \sphinxhyphen{} Cipher state; specify NULL if not needed
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} - IOV array. Modified in-place.
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} \sphinxhyphen{} IOV array. Modified in\sphinxhyphen{}place.
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} - Size of \sphinxstyleemphasis{data}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} \sphinxhyphen{} Size of \sphinxstyleemphasis{data}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function decrypts the data block \sphinxstyleemphasis{data} and stores the output in-place. The actual decryption key will be derived from \sphinxstyleemphasis{keyblock} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non-null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5\_crypto\_iov structures before calling into this API.
+\sphinxAtStartPar
+This function decrypts the data block \sphinxstyleemphasis{data} and stores the output in\sphinxhyphen{}place. The actual decryption key will be derived from \sphinxstyleemphasis{keyblock} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non\sphinxhyphen{}null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5\_crypto\_iov structures before calling into this API.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_c_decrypt_iov:c.krb5_c_decrypt_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_decrypt\_iov()}}}}
+\sphinxAtStartPar
+krb5\_c\_decrypt\_iov()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-On return from a {\hyperref[\detokenize{appdev/refs/api/krb5_c_decrypt_iov:c.krb5_c_decrypt_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_decrypt\_iov()}}}} call, the \sphinxstyleemphasis{data-\textgreater{}length} in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
+\sphinxAtStartPar
+On return from a krb5\_c\_decrypt\_iov() call, the \sphinxstyleemphasis{data\sphinxhyphen{}\textgreater{}length} in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_c\_derive\_prfplus -  Derive a key using some input data (via RFC 6113 PRF+).}
-\label{\detokenize{appdev/refs/api/krb5_c_derive_prfplus::doc}}\label{\detokenize{appdev/refs/api/krb5_c_derive_prfplus:krb5-c-derive-prfplus-derive-a-key-using-some-input-data-via-rfc-6113-prf}}\index{krb5\_c\_derive\_prfplus (C function)}
+\subsubsection{krb5\_c\_derive\_prfplus \sphinxhyphen{}  Derive a key using some input data (via RFC 6113 PRF+).}
+\label{\detokenize{appdev/refs/api/krb5_c_derive_prfplus:krb5-c-derive-prfplus-derive-a-key-using-some-input-data-via-rfc-6113-prf}}\label{\detokenize{appdev/refs/api/krb5_c_derive_prfplus::doc}}\index{krb5\_c\_derive\_prfplus (C function)@\spxentry{krb5\_c\_derive\_prfplus}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_derive_prfplus:c.krb5_c_derive_prfplus}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_derive\_prfplus}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ k}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_derive_prfplus:c.krb5_c_derive_prfplus}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_derive\_prfplus}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k} - KDC contribution key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k} \sphinxhyphen{} KDC contribution key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Input string
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Input string
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Output key enctype (or \sphinxstylestrong{ENCTYPE\_NULL} )
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Output key enctype (or \sphinxstylestrong{ENCTYPE\_NULL} )
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} - Derived keyblock
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} \sphinxhyphen{} Derived keyblock
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function uses PRF+ as defined in RFC 6113 to derive a key from another key and an input string. If \sphinxstyleemphasis{enctype} is \sphinxstylestrong{ENCTYPE\_NULL} , the output key will have the same enctype as the input key.
 
 
-\subsubsection{krb5\_c\_encrypt -  Encrypt data using a key (operates on keyblock).}
-\label{\detokenize{appdev/refs/api/krb5_c_encrypt::doc}}\label{\detokenize{appdev/refs/api/krb5_c_encrypt:krb5-c-encrypt-encrypt-data-using-a-key-operates-on-keyblock}}\index{krb5\_c\_encrypt (C function)}
+\subsubsection{krb5\_c\_encrypt \sphinxhyphen{}  Encrypt data using a key (operates on keyblock).}
+\label{\detokenize{appdev/refs/api/krb5_c_encrypt:krb5-c-encrypt-encrypt-data-using-a-key-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_encrypt::doc}}\index{krb5\_c\_encrypt (C function)@\spxentry{krb5\_c\_encrypt}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_encrypt:c.krb5_c_encrypt}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_encrypt}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ cipher\_state}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}} *\sphinxstyleemphasis{ output}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_encrypt:c.krb5_c_encrypt}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_encrypt}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cipher\_state}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{output}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{cipher\_state} - Cipher state; specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{cipher\_state} \sphinxhyphen{} Cipher state; specify NULL if not needed
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Data to be encrypted
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Data to be encrypted
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} - Encrypted data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} \sphinxhyphen{} Encrypted data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function encrypts the data block \sphinxstyleemphasis{input} and stores the output into \sphinxstyleemphasis{output} . The actual encryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non-null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation.
+\sphinxAtStartPar
+This function encrypts the data block \sphinxstyleemphasis{input} and stores the outputinto \sphinxstyleemphasis{output} . The actual encryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non\sphinxhyphen{}null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation.
 
 \begin{sphinxadmonition}{note}{Note:}
-The caller must initialize \sphinxstyleemphasis{output} and allocate at least enough space for the result (using {\hyperref[\detokenize{appdev/refs/api/krb5_c_encrypt_length:c.krb5_c_encrypt_length}]{\sphinxcrossref{\sphinxcode{krb5\_c\_encrypt\_length()}}}} to determine the amount of space needed). \sphinxstyleemphasis{output-\textgreater{}length} will be set to the actual length of the ciphertext.
+\sphinxAtStartPar
+The caller must initialize \sphinxstyleemphasis{output} and allocate at least enough space for the result (using krb5\_c\_encrypt\_length() to determine the amount of space needed). \sphinxstyleemphasis{output\sphinxhyphen{}\textgreater{}length} will be set to the actual length of the ciphertext.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_c\_encrypt\_iov -  Encrypt data in place supporting AEAD (operates on keyblock).}
-\label{\detokenize{appdev/refs/api/krb5_c_encrypt_iov:krb5-c-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_encrypt_iov::doc}}\index{krb5\_c\_encrypt\_iov (C function)}
+\subsubsection{krb5\_c\_encrypt\_iov \sphinxhyphen{}  Encrypt data in place supporting AEAD (operates on keyblock).}
+\label{\detokenize{appdev/refs/api/krb5_c_encrypt_iov:krb5-c-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_encrypt_iov::doc}}\index{krb5\_c\_encrypt\_iov (C function)@\spxentry{krb5\_c\_encrypt\_iov}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_encrypt_iov:c.krb5_c_encrypt_iov}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_encrypt\_iov}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ keyblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ cipher\_state}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{krb5\_crypto\_iov}}} *\sphinxstyleemphasis{ data}, size\_t\sphinxstyleemphasis{ num\_data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_encrypt_iov:c.krb5_c_encrypt_iov}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_encrypt\_iov}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keyblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cipher\_state}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{num\_data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} - Encryption key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} \sphinxhyphen{} Encryption key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cipher\_state} - Cipher state; specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cipher\_state} \sphinxhyphen{} Cipher state; specify NULL if not needed
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} - IOV array. Modified in-place.
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} \sphinxhyphen{} IOV array. Modified in\sphinxhyphen{}place.
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} - Size of \sphinxstyleemphasis{data}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} \sphinxhyphen{} Size of \sphinxstyleemphasis{data}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function encrypts the data block \sphinxstyleemphasis{data} and stores the output in-place. The actual encryption key will be derived from \sphinxstyleemphasis{keyblock} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non-null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5\_crypto\_iov structures before calling into this API.
+\sphinxAtStartPar
+This function encrypts the data block \sphinxstyleemphasis{data} and stores the output in\sphinxhyphen{}place. The actual encryption key will be derived from \sphinxstyleemphasis{keyblock} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non\sphinxhyphen{}null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5\_crypto\_iov structures before calling into this API.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_c_decrypt_iov:c.krb5_c_decrypt_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_decrypt\_iov()}}}}
+\sphinxAtStartPar
+krb5\_c\_decrypt\_iov()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-On return from a {\hyperref[\detokenize{appdev/refs/api/krb5_c_encrypt_iov:c.krb5_c_encrypt_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_encrypt\_iov()}}}} call, the \sphinxstyleemphasis{data-\textgreater{}length} in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
+\sphinxAtStartPar
+On return from a krb5\_c\_encrypt\_iov() call, the \sphinxstyleemphasis{data\sphinxhyphen{}\textgreater{}length} in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_c\_encrypt\_length -  Compute encrypted data length.}
-\label{\detokenize{appdev/refs/api/krb5_c_encrypt_length:krb5-c-encrypt-length-compute-encrypted-data-length}}\label{\detokenize{appdev/refs/api/krb5_c_encrypt_length::doc}}\index{krb5\_c\_encrypt\_length (C function)}
+\subsubsection{krb5\_c\_encrypt\_length \sphinxhyphen{}  Compute encrypted data length.}
+\label{\detokenize{appdev/refs/api/krb5_c_encrypt_length:krb5-c-encrypt-length-compute-encrypted-data-length}}\label{\detokenize{appdev/refs/api/krb5_c_encrypt_length::doc}}\index{krb5\_c\_encrypt\_length (C function)@\spxentry{krb5\_c\_encrypt\_length}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_encrypt_length:c.krb5_c_encrypt_length}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_encrypt\_length}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, size\_t\sphinxstyleemphasis{ inputlen}, size\_t *\sphinxstyleemphasis{ length}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_encrypt_length:c.krb5_c_encrypt_length}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_encrypt\_length}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{inputlen}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{length}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inputlen} - Length of the data to be encrypted
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{inputlen} \sphinxhyphen{} Length of the data to be encrypted
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{length} - Length of the encrypted data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{length} \sphinxhyphen{} Length of the encrypted data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function computes the length of the ciphertext produced by encrypting \sphinxstyleemphasis{inputlen} bytes including padding, confounder, and checksum.
 
 
-\subsubsection{krb5\_c\_enctype\_compare -  Compare two encryption types.}
-\label{\detokenize{appdev/refs/api/krb5_c_enctype_compare::doc}}\label{\detokenize{appdev/refs/api/krb5_c_enctype_compare:krb5-c-enctype-compare-compare-two-encryption-types}}\index{krb5\_c\_enctype\_compare (C function)}
+\subsubsection{krb5\_c\_enctype\_compare \sphinxhyphen{}  Compare two encryption types.}
+\label{\detokenize{appdev/refs/api/krb5_c_enctype_compare:krb5-c-enctype-compare-compare-two-encryption-types}}\label{\detokenize{appdev/refs/api/krb5_c_enctype_compare::doc}}\index{krb5\_c\_enctype\_compare (C function)@\spxentry{krb5\_c\_enctype\_compare}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_enctype_compare:c.krb5_c_enctype_compare}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_enctype\_compare}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ e1}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ e2}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} *\sphinxstyleemphasis{ similar}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_enctype_compare:c.krb5_c_enctype_compare}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_enctype\_compare}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{e1}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{e2}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{similar}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{e1} - First encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{e1} \sphinxhyphen{} First encryption type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{e2} - Second encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{e2} \sphinxhyphen{} Second encryption type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{similar} - \sphinxstylestrong{TRUE} if types are similar, \sphinxstylestrong{FALSE} if not
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{similar} \sphinxhyphen{} \sphinxstylestrong{TRUE} if types are similar, \sphinxstylestrong{FALSE} if not
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function determines whether two encryption types use the same kind of keys.
 
 
-\subsubsection{krb5\_c\_free\_state -  Free a cipher state previously allocated by krb5\_c\_init\_state() .}
-\label{\detokenize{appdev/refs/api/krb5_c_free_state:krb5-c-free-state-free-a-cipher-state-previously-allocated-by-krb5-c-init-state}}\label{\detokenize{appdev/refs/api/krb5_c_free_state::doc}}\index{krb5\_c\_free\_state (C function)}
+\subsubsection{krb5\_c\_free\_state \sphinxhyphen{}  Free a cipher state previously allocated by krb5\_c\_init\_state().}
+\label{\detokenize{appdev/refs/api/krb5_c_free_state:krb5-c-free-state-free-a-cipher-state-previously-allocated-by-krb5-c-init-state}}\label{\detokenize{appdev/refs/api/krb5_c_free_state::doc}}\index{krb5\_c\_free\_state (C function)@\spxentry{krb5\_c\_free\_state}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_free_state:c.krb5_c_free_state}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_free\_state}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ state}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_free_state:c.krb5_c_free_state}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_free\_state}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{state}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{state} - Cipher state to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{state} \sphinxhyphen{} Cipher state to be freed
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_fx\_cf2\_simple -  Compute the KRB-FX-CF2 combination of two keys and pepper strings.}
-\label{\detokenize{appdev/refs/api/krb5_c_fx_cf2_simple:krb5-c-fx-cf2-simple-compute-the-krb-fx-cf2-combination-of-two-keys-and-pepper-strings}}\label{\detokenize{appdev/refs/api/krb5_c_fx_cf2_simple::doc}}\index{krb5\_c\_fx\_cf2\_simple (C function)}
+\subsubsection{krb5\_c\_fx\_cf2\_simple \sphinxhyphen{}  Compute the KRB\sphinxhyphen{}FX\sphinxhyphen{}CF2 combination of two keys and pepper strings.}
+\label{\detokenize{appdev/refs/api/krb5_c_fx_cf2_simple:krb5-c-fx-cf2-simple-compute-the-krb-fx-cf2-combination-of-two-keys-and-pepper-strings}}\label{\detokenize{appdev/refs/api/krb5_c_fx_cf2_simple::doc}}\index{krb5\_c\_fx\_cf2\_simple (C function)@\spxentry{krb5\_c\_fx\_cf2\_simple}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_fx_cf2_simple:c.krb5_c_fx_cf2_simple}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_fx\_cf2\_simple}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ k1}, const char *\sphinxstyleemphasis{ pepper1}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ k2}, const char *\sphinxstyleemphasis{ pepper2}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_fx_cf2_simple:c.krb5_c_fx_cf2_simple}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_fx\_cf2\_simple}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k1}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pepper1}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k2}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pepper2}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k1} - KDC contribution key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k1} \sphinxhyphen{} KDC contribution key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pepper1} - String”PKINIT”
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pepper1} \sphinxhyphen{} String”PKINIT”
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k2} - Reply key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k2} \sphinxhyphen{} Reply key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pepper2} - String”KeyExchange”
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{pepper2} \sphinxhyphen{} String”KeyExchange”
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} - Output key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} \sphinxhyphen{} Output key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function computes the KRB-FX-CF2 function over its inputs and places the results in a newly allocated keyblock. This function is simple in that it assumes that \sphinxstyleemphasis{pepper1} and \sphinxstyleemphasis{pepper2} are C strings with no internal nulls and that the enctype of the result will be the same as that of \sphinxstyleemphasis{k1} . \sphinxstyleemphasis{k1} and \sphinxstyleemphasis{k2} may be of different enctypes.
+\sphinxAtStartPar
+This function computes the KRB\sphinxhyphen{}FX\sphinxhyphen{}CF2 function over its inputs and places the results in a newly allocated keyblock. This function is simple in that it assumes that \sphinxstyleemphasis{pepper1} and \sphinxstyleemphasis{pepper2} are C strings with no internal nulls and that the enctype of the result will be the same as that of \sphinxstyleemphasis{k1} . \sphinxstyleemphasis{k1} and \sphinxstyleemphasis{k2} may be of different enctypes.
 
 
-\subsubsection{krb5\_c\_init\_state -  Initialize a new cipher state.}
-\label{\detokenize{appdev/refs/api/krb5_c_init_state:krb5-c-init-state-initialize-a-new-cipher-state}}\label{\detokenize{appdev/refs/api/krb5_c_init_state::doc}}\index{krb5\_c\_init\_state (C function)}
+\subsubsection{krb5\_c\_init\_state \sphinxhyphen{}  Initialize a new cipher state.}
+\label{\detokenize{appdev/refs/api/krb5_c_init_state:krb5-c-init-state-initialize-a-new-cipher-state}}\label{\detokenize{appdev/refs/api/krb5_c_init_state::doc}}\index{krb5\_c\_init\_state (C function)@\spxentry{krb5\_c\_init\_state}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_init_state:c.krb5_c_init_state}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_init\_state}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ new\_state}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_init_state:c.krb5_c_init_state}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_init\_state}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{new\_state}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{new\_state} - New cipher state
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{new\_state} \sphinxhyphen{} New cipher state
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_is\_coll\_proof\_cksum -  Test whether a checksum type is collision-proof.}
-\label{\detokenize{appdev/refs/api/krb5_c_is_coll_proof_cksum:krb5-c-is-coll-proof-cksum-test-whether-a-checksum-type-is-collision-proof}}\label{\detokenize{appdev/refs/api/krb5_c_is_coll_proof_cksum::doc}}\index{krb5\_c\_is\_coll\_proof\_cksum (C function)}
+\subsubsection{krb5\_c\_is\_coll\_proof\_cksum \sphinxhyphen{}  Test whether a checksum type is collision\sphinxhyphen{}proof.}
+\label{\detokenize{appdev/refs/api/krb5_c_is_coll_proof_cksum:krb5-c-is-coll-proof-cksum-test-whether-a-checksum-type-is-collision-proof}}\label{\detokenize{appdev/refs/api/krb5_c_is_coll_proof_cksum::doc}}\index{krb5\_c\_is\_coll\_proof\_cksum (C function)@\spxentry{krb5\_c\_is\_coll\_proof\_cksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_is_coll_proof_cksum:c.krb5_c_is_coll_proof_cksum}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_c\_is\_coll\_proof\_cksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ ctype}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_is_coll_proof_cksum:c.krb5_c_is_coll_proof_cksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_is\_coll\_proof\_cksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{ctype}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctype} - Checksum type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctype} \sphinxhyphen{} Checksum type
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
-TRUE if ctype is collision-proof, FALSE if it is not collision-proof or not a valid checksum type.
+\sphinxAtStartPar
+TRUE if ctype is collision\sphinxhyphen{}proof, FALSE if it is not collision\sphinxhyphen{}proof or not a valid checksum type.
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_is\_keyed\_cksum -  Test whether a checksum type is keyed.}
-\label{\detokenize{appdev/refs/api/krb5_c_is_keyed_cksum::doc}}\label{\detokenize{appdev/refs/api/krb5_c_is_keyed_cksum:krb5-c-is-keyed-cksum-test-whether-a-checksum-type-is-keyed}}\index{krb5\_c\_is\_keyed\_cksum (C function)}
+\subsubsection{krb5\_c\_is\_keyed\_cksum \sphinxhyphen{}  Test whether a checksum type is keyed.}
+\label{\detokenize{appdev/refs/api/krb5_c_is_keyed_cksum:krb5-c-is-keyed-cksum-test-whether-a-checksum-type-is-keyed}}\label{\detokenize{appdev/refs/api/krb5_c_is_keyed_cksum::doc}}\index{krb5\_c\_is\_keyed\_cksum (C function)@\spxentry{krb5\_c\_is\_keyed\_cksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_is_keyed_cksum:c.krb5_c_is_keyed_cksum}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_c\_is\_keyed\_cksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ ctype}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_is_keyed_cksum:c.krb5_c_is_keyed_cksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_is\_keyed\_cksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{ctype}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctype} - Checksum type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctype} \sphinxhyphen{} Checksum type
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE if ctype is a keyed checksum type, FALSE otherwise.
 
 \end{itemize}
@@ -10534,298 +13400,386 @@ TRUE if ctype is a keyed checksum type,
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_keyed\_checksum\_types -  Return a list of keyed checksum types usable with an encryption type.}
-\label{\detokenize{appdev/refs/api/krb5_c_keyed_checksum_types::doc}}\label{\detokenize{appdev/refs/api/krb5_c_keyed_checksum_types:krb5-c-keyed-checksum-types-return-a-list-of-keyed-checksum-types-usable-with-an-encryption-type}}\index{krb5\_c\_keyed\_checksum\_types (C function)}
+\subsubsection{krb5\_c\_keyed\_checksum\_types \sphinxhyphen{}  Return a list of keyed checksum types usable with an encryption type.}
+\label{\detokenize{appdev/refs/api/krb5_c_keyed_checksum_types:krb5-c-keyed-checksum-types-return-a-list-of-keyed-checksum-types-usable-with-an-encryption-type}}\label{\detokenize{appdev/refs/api/krb5_c_keyed_checksum_types::doc}}\index{krb5\_c\_keyed\_checksum\_types (C function)@\spxentry{krb5\_c\_keyed\_checksum\_types}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_keyed_checksum_types:c.krb5_c_keyed_checksum_types}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_keyed\_checksum\_types}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, unsigned int *\sphinxstyleemphasis{ count}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}} **\sphinxstyleemphasis{ cksumtypes}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_keyed_checksum_types:c.krb5_c_keyed_checksum_types}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_keyed\_checksum\_types}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{count}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{cksumtypes}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{count} - Count of allowable checksum types
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{count} \sphinxhyphen{} Count of allowable checksum types
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cksumtypes} - Array of allowable checksum types
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cksumtypes} \sphinxhyphen{} Array of allowable checksum types
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_cksumtypes:c.krb5_free_cksumtypes}]{\sphinxcrossref{\sphinxcode{krb5\_free\_cksumtypes()}}}} to free \sphinxstyleemphasis{cksumtypes} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_cksumtypes() to free \sphinxstyleemphasis{cksumtypes} when it is no longer needed.
 
 
-\subsubsection{krb5\_c\_keylengths -  Return length of the specified key in bytes.}
-\label{\detokenize{appdev/refs/api/krb5_c_keylengths::doc}}\label{\detokenize{appdev/refs/api/krb5_c_keylengths:krb5-c-keylengths-return-length-of-the-specified-key-in-bytes}}\index{krb5\_c\_keylengths (C function)}
+\subsubsection{krb5\_c\_keylengths \sphinxhyphen{}  Return length of the specified key in bytes.}
+\label{\detokenize{appdev/refs/api/krb5_c_keylengths:krb5-c-keylengths-return-length-of-the-specified-key-in-bytes}}\label{\detokenize{appdev/refs/api/krb5_c_keylengths::doc}}\index{krb5\_c\_keylengths (C function)@\spxentry{krb5\_c\_keylengths}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_keylengths:c.krb5_c_keylengths}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_keylengths}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, size\_t *\sphinxstyleemphasis{ keybytes}, size\_t *\sphinxstyleemphasis{ keylength}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_keylengths:c.krb5_c_keylengths}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_keylengths}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keybytes}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keylength}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keybytes} - Number of bytes required to make a key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keybytes} \sphinxhyphen{} Number of bytes required to make a key
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keylength} - Length of final key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{keylength} \sphinxhyphen{} Length of final key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_make\_checksum -  Compute a checksum (operates on keyblock).}
-\label{\detokenize{appdev/refs/api/krb5_c_make_checksum::doc}}\label{\detokenize{appdev/refs/api/krb5_c_make_checksum:krb5-c-make-checksum-compute-a-checksum-operates-on-keyblock}}\index{krb5\_c\_make\_checksum (C function)}
+\subsubsection{krb5\_c\_make\_checksum \sphinxhyphen{}  Compute a checksum (operates on keyblock).}
+\label{\detokenize{appdev/refs/api/krb5_c_make_checksum:krb5-c-make-checksum-compute-a-checksum-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_make_checksum::doc}}\index{krb5\_c\_make\_checksum (C function)@\spxentry{krb5\_c\_make\_checksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_make_checksum:c.krb5_c_make_checksum}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_make\_checksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ cksumtype}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} *\sphinxstyleemphasis{ cksum}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_make_checksum:c.krb5_c_make_checksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_make\_checksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{cksumtype}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cksum}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} - Checksum type (0 for mandatory type)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} \sphinxhyphen{} Checksum type (0 for mandatory type)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key for a keyed checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key for a keyed checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Input data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Input data
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cksum} - Generated checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cksum} \sphinxhyphen{} Generated checksum
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function computes a checksum of type \sphinxstyleemphasis{cksumtype} over \sphinxstyleemphasis{input} , using \sphinxstyleemphasis{key} if the checksum type is a keyed checksum. If \sphinxstyleemphasis{cksumtype} is 0 and \sphinxstyleemphasis{key} is non-null, the checksum type will be the mandatory-to-implement checksum type for the key’s encryption type. The actual checksum key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the checksum type. The newly created \sphinxstyleemphasis{cksum} must be released by calling {\hyperref[\detokenize{appdev/refs/api/krb5_free_checksum_contents:c.krb5_free_checksum_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_checksum\_contents()}}}} when it is no longer needed.
+\sphinxAtStartPar
+This function computes a checksum of type \sphinxstyleemphasis{cksumtype} over \sphinxstyleemphasis{input} , using \sphinxstyleemphasis{key} if the checksum type is a keyed checksum. If \sphinxstyleemphasis{cksumtype} is 0 and \sphinxstyleemphasis{key} is non\sphinxhyphen{}null, the checksum type will be the mandatory\sphinxhyphen{}to\sphinxhyphen{}implement checksum type for the key’s encryption type. The actual checksum key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the checksum type. The newly created \sphinxstyleemphasis{cksum} must be released by calling krb5\_free\_checksum\_contents() when it is no longer needed.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_c_verify_checksum:c.krb5_c_verify_checksum}]{\sphinxcrossref{\sphinxcode{krb5\_c\_verify\_checksum()}}}}
+\sphinxAtStartPar
+krb5\_c\_verify\_checksum()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_k_make_checksum:c.krb5_k_make_checksum}]{\sphinxcrossref{\sphinxcode{krb5\_k\_make\_checksum()}}}} , but operates on keyblock \sphinxstyleemphasis{key} .
+\sphinxAtStartPar
+This function is similar to krb5\_k\_make\_checksum(), but operates on keyblock \sphinxstyleemphasis{key} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_c\_make\_checksum\_iov -  Fill in a checksum element in IOV array (operates on keyblock)}
-\label{\detokenize{appdev/refs/api/krb5_c_make_checksum_iov:krb5-c-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_make_checksum_iov::doc}}\index{krb5\_c\_make\_checksum\_iov (C function)}
+\subsubsection{krb5\_c\_make\_checksum\_iov \sphinxhyphen{}  Fill in a checksum element in IOV array (operates on keyblock)}
+\label{\detokenize{appdev/refs/api/krb5_c_make_checksum_iov:krb5-c-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_make_checksum_iov::doc}}\index{krb5\_c\_make\_checksum\_iov (C function)@\spxentry{krb5\_c\_make\_checksum\_iov}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_make_checksum_iov:c.krb5_c_make_checksum_iov}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_make\_checksum\_iov}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ cksumtype}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{krb5\_crypto\_iov}}} *\sphinxstyleemphasis{ data}, size\_t\sphinxstyleemphasis{ num\_data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_make_checksum_iov:c.krb5_c_make_checksum_iov}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_make\_checksum\_iov}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{cksumtype}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{num\_data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} - Checksum type (0 for mandatory type)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} \sphinxhyphen{} Checksum type (0 for mandatory type)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key for a keyed checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key for a keyed checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} - IOV array
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} \sphinxhyphen{} IOV array
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} - Size of \sphinxstyleemphasis{data}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} \sphinxhyphen{} Size of \sphinxstyleemphasis{data}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Create a checksum in the {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:KRB5_CRYPTO_TYPE_CHECKSUM}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_CHECKSUM}}}} element over {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:KRB5_CRYPTO_TYPE_DATA}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_DATA}}}} and {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:KRB5_CRYPTO_TYPE_SIGN_ONLY}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}}}} chunks in \sphinxstyleemphasis{data} . Only the {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:KRB5_CRYPTO_TYPE_CHECKSUM}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_CHECKSUM}}}} region is modified.
+\sphinxAtStartPar
+Create a checksum in the \#KRB5\_CRYPTO\_TYPE\_CHECKSUM element over \#KRB5\_CRYPTO\_TYPE\_DATA and \#KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY chunks in \sphinxstyleemphasis{data} . Only the \#KRB5\_CRYPTO\_TYPE\_CHECKSUM region is modified.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_c_verify_checksum_iov:c.krb5_c_verify_checksum_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_verify\_checksum\_iov()}}}}
+\sphinxAtStartPar
+krb5\_c\_verify\_checksum\_iov()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_k_make_checksum_iov:c.krb5_k_make_checksum_iov}]{\sphinxcrossref{\sphinxcode{krb5\_k\_make\_checksum\_iov()}}}} , but operates on keyblock \sphinxstyleemphasis{key} .
+\sphinxAtStartPar
+This function is similar to krb5\_k\_make\_checksum\_iov(), but operates on keyblock \sphinxstyleemphasis{key} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_c\_make\_random\_key -  Generate an enctype-specific random encryption key.}
-\label{\detokenize{appdev/refs/api/krb5_c_make_random_key:krb5-c-make-random-key-generate-an-enctype-specific-random-encryption-key}}\label{\detokenize{appdev/refs/api/krb5_c_make_random_key::doc}}\index{krb5\_c\_make\_random\_key (C function)}
+\subsubsection{krb5\_c\_make\_random\_key \sphinxhyphen{}  Generate an enctype\sphinxhyphen{}specific random encryption key.}
+\label{\detokenize{appdev/refs/api/krb5_c_make_random_key:krb5-c-make-random-key-generate-an-enctype-specific-random-encryption-key}}\label{\detokenize{appdev/refs/api/krb5_c_make_random_key::doc}}\index{krb5\_c\_make\_random\_key (C function)@\spxentry{krb5\_c\_make\_random\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_make_random_key:c.krb5_c_make_random_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_make\_random\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ k5\_random\_key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_make_random_key:c.krb5_c_make_random_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_make\_random\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k5\_random\_key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type of the generated key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type of the generated key
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{k5\_random\_key} - An allocated and initialized keyblock
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{k5\_random\_key} \sphinxhyphen{} An allocated and initialized keyblock
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock_contents:c.krb5_free_keyblock_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock\_contents()}}}} to free \sphinxstyleemphasis{k5\_random\_key} when no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_keyblock\_contents() to free \sphinxstyleemphasis{k5\_random\_key} when no longer needed.
 
 
-\subsubsection{krb5\_c\_padding\_length -  Return a number of padding octets.}
-\label{\detokenize{appdev/refs/api/krb5_c_padding_length:krb5-c-padding-length-return-a-number-of-padding-octets}}\label{\detokenize{appdev/refs/api/krb5_c_padding_length::doc}}\index{krb5\_c\_padding\_length (C function)}
+\subsubsection{krb5\_c\_padding\_length \sphinxhyphen{}  Return a number of padding octets.}
+\label{\detokenize{appdev/refs/api/krb5_c_padding_length:krb5-c-padding-length-return-a-number-of-padding-octets}}\label{\detokenize{appdev/refs/api/krb5_c_padding_length::doc}}\index{krb5\_c\_padding\_length (C function)@\spxentry{krb5\_c\_padding\_length}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_padding_length:c.krb5_c_padding_length}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_padding\_length}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, size\_t\sphinxstyleemphasis{ data\_length}, unsigned int *\sphinxstyleemphasis{ size}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_padding_length:c.krb5_c_padding_length}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_padding\_length}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{data\_length}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{size}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data\_length} - Length of the plaintext to pad
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data\_length} \sphinxhyphen{} Length of the plaintext to pad
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{size} - Number of padding octets
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{size} \sphinxhyphen{} Number of padding octets
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - KRB5\_BAD\_ENCTYPE
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} KRB5\_BAD\_ENCTYPE
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function returns the number of the padding octets required to pad \sphinxstyleemphasis{data\_length} octets of plaintext.
 
 
-\subsubsection{krb5\_c\_prf -  Generate enctype-specific pseudo-random bytes.}
-\label{\detokenize{appdev/refs/api/krb5_c_prf:krb5-c-prf-generate-enctype-specific-pseudo-random-bytes}}\label{\detokenize{appdev/refs/api/krb5_c_prf::doc}}\index{krb5\_c\_prf (C function)}
+\subsubsection{krb5\_c\_prf \sphinxhyphen{}  Generate enctype\sphinxhyphen{}specific pseudo\sphinxhyphen{}random bytes.}
+\label{\detokenize{appdev/refs/api/krb5_c_prf:krb5-c-prf-generate-enctype-specific-pseudo-random-bytes}}\label{\detokenize{appdev/refs/api/krb5_c_prf::doc}}\index{krb5\_c\_prf (C function)@\spxentry{krb5\_c\_prf}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_prf:c.krb5_c_prf}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_prf}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ keyblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ output}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_prf:c.krb5_c_prf}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_prf}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keyblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{output}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} - Key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keyblock} \sphinxhyphen{} Key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Input data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Input data
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} - Output data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} \sphinxhyphen{} Output data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function selects a pseudo-random function based on \sphinxstyleemphasis{keyblock} and computes its value over \sphinxstyleemphasis{input} , placing the result into \sphinxstyleemphasis{output} . The caller must preinitialize \sphinxstyleemphasis{output} and allocate space for the result, using {\hyperref[\detokenize{appdev/refs/api/krb5_c_prf_length:c.krb5_c_prf_length}]{\sphinxcrossref{\sphinxcode{krb5\_c\_prf\_length()}}}} to determine the required length.
+\sphinxAtStartPar
+This function selects a pseudo\sphinxhyphen{}random function based on \sphinxstyleemphasis{keyblock} and computes its value over \sphinxstyleemphasis{input} , placing the result into \sphinxstyleemphasis{output} . The caller must preinitialize \sphinxstyleemphasis{output} and allocate space for the result, using krb5\_c\_prf\_length() to determine the required length.
 
 
-\subsubsection{krb5\_c\_prfplus -  Generate pseudo-random bytes using RFC 6113 PRF+.}
-\label{\detokenize{appdev/refs/api/krb5_c_prfplus:krb5-c-prfplus-generate-pseudo-random-bytes-using-rfc-6113-prf}}\label{\detokenize{appdev/refs/api/krb5_c_prfplus::doc}}\index{krb5\_c\_prfplus (C function)}
+\subsubsection{krb5\_c\_prfplus \sphinxhyphen{}  Generate pseudo\sphinxhyphen{}random bytes using RFC 6113 PRF+.}
+\label{\detokenize{appdev/refs/api/krb5_c_prfplus:krb5-c-prfplus-generate-pseudo-random-bytes-using-rfc-6113-prf}}\label{\detokenize{appdev/refs/api/krb5_c_prfplus::doc}}\index{krb5\_c\_prfplus (C function)@\spxentry{krb5\_c\_prfplus}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_prfplus:c.krb5_c_prfplus}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_prfplus}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ k}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ output}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_prfplus:c.krb5_c_prfplus}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_prfplus}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{output}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k} - KDC contribution key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{k} \sphinxhyphen{} KDC contribution key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Input data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Input data
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} - Pseudo-random output buffer
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} \sphinxhyphen{} Pseudo\sphinxhyphen{}random output buffer
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
-0 on success, E2BIG if output-\textgreater{}length is too large for PRF+ to generate, ENOMEM on allocation failure, or an error code from krb5\_c\_prf()
+\sphinxAtStartPar
+0 on success, E2BIG if output\sphinxhyphen{}\textgreater{}length is too large for PRF+ to generate, ENOMEM on allocation failure, or an error code from krb5\_c\_prf()
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function fills \sphinxstyleemphasis{output} with PRF+(k, input) as defined in RFC 6113 section 5.1. The caller must preinitialize \sphinxstyleemphasis{output} and allocate the desired amount of space. The length of the pseudo-random output will match the length of \sphinxstyleemphasis{output} .
+\sphinxAtStartPar
+This function fills \sphinxstyleemphasis{output} with PRF+(k, input) as defined in RFC 6113 section 5.1. The caller must preinitialize \sphinxstyleemphasis{output} and allocate the desired amount of space. The length of the pseudo\sphinxhyphen{}random output will match the length of \sphinxstyleemphasis{output} .
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 RFC 4402 defines a different PRF+ operation. This function does not implement that operation.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_c\_prf\_length -  Get the output length of pseudo-random functions for an encryption type.}
-\label{\detokenize{appdev/refs/api/krb5_c_prf_length::doc}}\label{\detokenize{appdev/refs/api/krb5_c_prf_length:krb5-c-prf-length-get-the-output-length-of-pseudo-random-functions-for-an-encryption-type}}\index{krb5\_c\_prf\_length (C function)}
+\subsubsection{krb5\_c\_prf\_length \sphinxhyphen{}  Get the output length of pseudo\sphinxhyphen{}random functions for an encryption type.}
+\label{\detokenize{appdev/refs/api/krb5_c_prf_length:krb5-c-prf-length-get-the-output-length-of-pseudo-random-functions-for-an-encryption-type}}\label{\detokenize{appdev/refs/api/krb5_c_prf_length::doc}}\index{krb5\_c\_prf\_length (C function)@\spxentry{krb5\_c\_prf\_length}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_prf_length:c.krb5_c_prf_length}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_prf\_length}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, size\_t *\sphinxstyleemphasis{ len}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_prf_length:c.krb5_c_prf_length}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_prf\_length}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{len}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{len} - Length of PRF output
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{len} \sphinxhyphen{} Length of PRF output
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
@@ -10833,194 +13787,253 @@ RFC 4402 defines a different PRF+ operat
 
 
 \subsubsection{krb5\_c\_random\_add\_entropy}
-\label{\detokenize{appdev/refs/api/krb5_c_random_add_entropy::doc}}\label{\detokenize{appdev/refs/api/krb5_c_random_add_entropy:krb5-c-random-add-entropy}}\index{krb5\_c\_random\_add\_entropy (C function)}
+\label{\detokenize{appdev/refs/api/krb5_c_random_add_entropy:krb5-c-random-add-entropy}}\label{\detokenize{appdev/refs/api/krb5_c_random_add_entropy::doc}}\index{krb5\_c\_random\_add\_entropy (C function)@\spxentry{krb5\_c\_random\_add\_entropy}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_add_entropy:c.krb5_c_random_add_entropy}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_random\_add\_entropy}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, unsigned int\sphinxstyleemphasis{ randsource}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_add_entropy:c.krb5_c_random_add_entropy}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_random\_add\_entropy}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{randsource}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{randsource}
 
+\sphinxAtStartPar
 \sphinxstylestrong{data}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED This call is no longer necessary.
 
 
-\subsubsection{krb5\_c\_random\_make\_octets -  Generate pseudo-random bytes.}
-\label{\detokenize{appdev/refs/api/krb5_c_random_make_octets::doc}}\label{\detokenize{appdev/refs/api/krb5_c_random_make_octets:krb5-c-random-make-octets-generate-pseudo-random-bytes}}\index{krb5\_c\_random\_make\_octets (C function)}
+\subsubsection{krb5\_c\_random\_make\_octets \sphinxhyphen{}  Generate pseudo\sphinxhyphen{}random bytes.}
+\label{\detokenize{appdev/refs/api/krb5_c_random_make_octets:krb5-c-random-make-octets-generate-pseudo-random-bytes}}\label{\detokenize{appdev/refs/api/krb5_c_random_make_octets::doc}}\index{krb5\_c\_random\_make\_octets (C function)@\spxentry{krb5\_c\_random\_make\_octets}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_make_octets:c.krb5_c_random_make_octets}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_random\_make\_octets}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_make_octets:c.krb5_c_random_make_octets}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_random\_make\_octets}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data} - Random data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{data} \sphinxhyphen{} Random data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 Fills in \sphinxstyleemphasis{data} with bytes from the PRNG used by krb5 crypto operations. The caller must preinitialize \sphinxstyleemphasis{data} and allocate the desired amount of space.
 
 
 \subsubsection{krb5\_c\_random\_os\_entropy}
-\label{\detokenize{appdev/refs/api/krb5_c_random_os_entropy::doc}}\label{\detokenize{appdev/refs/api/krb5_c_random_os_entropy:krb5-c-random-os-entropy}}\index{krb5\_c\_random\_os\_entropy (C function)}
+\label{\detokenize{appdev/refs/api/krb5_c_random_os_entropy:krb5-c-random-os-entropy}}\label{\detokenize{appdev/refs/api/krb5_c_random_os_entropy::doc}}\index{krb5\_c\_random\_os\_entropy (C function)@\spxentry{krb5\_c\_random\_os\_entropy}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_os_entropy:c.krb5_c_random_os_entropy}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_random\_os\_entropy}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, int\sphinxstyleemphasis{ strong}, int *\sphinxstyleemphasis{ success}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_os_entropy:c.krb5_c_random_os_entropy}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_random\_os\_entropy}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{strong}, \DUrole{kt}{int}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{success}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{strong}
 
+\sphinxAtStartPar
 \sphinxstylestrong{success}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED This call is no longer necessary.
 
 
-\subsubsection{krb5\_c\_random\_to\_key -  Generate an enctype-specific key from random data.}
-\label{\detokenize{appdev/refs/api/krb5_c_random_to_key:krb5-c-random-to-key-generate-an-enctype-specific-key-from-random-data}}\label{\detokenize{appdev/refs/api/krb5_c_random_to_key::doc}}\index{krb5\_c\_random\_to\_key (C function)}
+\subsubsection{krb5\_c\_random\_to\_key \sphinxhyphen{}  Generate an enctype\sphinxhyphen{}specific key from random data.}
+\label{\detokenize{appdev/refs/api/krb5_c_random_to_key:krb5-c-random-to-key-generate-an-enctype-specific-key-from-random-data}}\label{\detokenize{appdev/refs/api/krb5_c_random_to_key::doc}}\index{krb5\_c\_random\_to\_key (C function)@\spxentry{krb5\_c\_random\_to\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_to_key:c.krb5_c_random_to_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_random\_to\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ random\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ k5\_random\_key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_to_key:c.krb5_c_random_to_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_random\_to\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{random\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{k5\_random\_key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{random\_data} - Random input data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{random\_data} \sphinxhyphen{} Random input data
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{k5\_random\_key} - Resulting key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{k5\_random\_key} \sphinxhyphen{} Resulting key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function takes random input data \sphinxstyleemphasis{random\_data} and produces a valid key \sphinxstyleemphasis{k5\_random\_key} for a given \sphinxstyleemphasis{enctype} .
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_c_keylengths:c.krb5_c_keylengths}]{\sphinxcrossref{\sphinxcode{krb5\_c\_keylengths()}}}}
+\sphinxAtStartPar
+krb5\_c\_keylengths()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-It is assumed that \sphinxstyleemphasis{k5\_random\_key} has already been initialized and \sphinxstyleemphasis{k5\_random\_key-\textgreater{}contents} has been allocated with the correct length.
+\sphinxAtStartPar
+It is assumed that \sphinxstyleemphasis{k5\_random\_key} has already been initialized and \sphinxstyleemphasis{k5\_random\_key\sphinxhyphen{}\textgreater{}contents} has been allocated with the correct length.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_c\_string\_to\_key -  Convert a string (such a password) to a key.}
-\label{\detokenize{appdev/refs/api/krb5_c_string_to_key:krb5-c-string-to-key-convert-a-string-such-a-password-to-a-key}}\label{\detokenize{appdev/refs/api/krb5_c_string_to_key::doc}}\index{krb5\_c\_string\_to\_key (C function)}
+\subsubsection{krb5\_c\_string\_to\_key \sphinxhyphen{}  Convert a string (such a password) to a key.}
+\label{\detokenize{appdev/refs/api/krb5_c_string_to_key:krb5-c-string-to-key-convert-a-string-such-a-password-to-a-key}}\label{\detokenize{appdev/refs/api/krb5_c_string_to_key::doc}}\index{krb5\_c\_string\_to\_key (C function)@\spxentry{krb5\_c\_string\_to\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_string_to_key:c.krb5_c_string_to_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_string\_to\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ string}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ salt}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_string_to_key:c.krb5_c_string_to_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_string\_to\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{string}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{salt}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} - String to be converted
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} \sphinxhyphen{} String to be converted
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{salt} - Salt value
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{salt} \sphinxhyphen{} Salt value
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} - Generated key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} \sphinxhyphen{} Generated key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function converts \sphinxstyleemphasis{string} to a \sphinxstyleemphasis{key} of encryption type \sphinxstyleemphasis{enctype} , using the specified \sphinxstyleemphasis{salt} . The newly created \sphinxstyleemphasis{key} must be released by calling {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock_contents:c.krb5_free_keyblock_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock\_contents()}}}} when it is no longer needed.
+\sphinxAtStartPar
+This function converts \sphinxstyleemphasis{string} to a \sphinxstyleemphasis{key} of encryption type \sphinxstyleemphasis{enctype} , using the specified \sphinxstyleemphasis{salt} . The newly created \sphinxstyleemphasis{key} must be released by calling krb5\_free\_keyblock\_contents() when it is no longer needed.
 
 
-\subsubsection{krb5\_c\_string\_to\_key\_with\_params -  Convert a string (such as a password) to a key with additional parameters.}
-\label{\detokenize{appdev/refs/api/krb5_c_string_to_key_with_params::doc}}\label{\detokenize{appdev/refs/api/krb5_c_string_to_key_with_params:krb5-c-string-to-key-with-params-convert-a-string-such-as-a-password-to-a-key-with-additional-parameters}}\index{krb5\_c\_string\_to\_key\_with\_params (C function)}
+\subsubsection{krb5\_c\_string\_to\_key\_with\_params \sphinxhyphen{}  Convert a string (such as a password) to a key with additional parameters.}
+\label{\detokenize{appdev/refs/api/krb5_c_string_to_key_with_params:krb5-c-string-to-key-with-params-convert-a-string-such-as-a-password-to-a-key-with-additional-parameters}}\label{\detokenize{appdev/refs/api/krb5_c_string_to_key_with_params::doc}}\index{krb5\_c\_string\_to\_key\_with\_params (C function)@\spxentry{krb5\_c\_string\_to\_key\_with\_params}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_string_to_key_with_params:c.krb5_c_string_to_key_with_params}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_string\_to\_key\_with\_params}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ string}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ salt}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ params}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_string_to_key_with_params:c.krb5_c_string_to_key_with_params}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_string\_to\_key\_with\_params}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{string}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{salt}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{params}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} - String to be converted
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{string} \sphinxhyphen{} String to be converted
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{salt} - Salt value
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{salt} \sphinxhyphen{} Salt value
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{params} - Parameters
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{params} \sphinxhyphen{} Parameters
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} - Generated key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{key} \sphinxhyphen{} Generated key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_c_string_to_key:c.krb5_c_string_to_key}]{\sphinxcrossref{\sphinxcode{krb5\_c\_string\_to\_key()}}}} , but also takes parameters which may affect the algorithm in an enctype-dependent way. The newly created \sphinxstyleemphasis{key} must be released by calling {\hyperref[\detokenize{appdev/refs/api/krb5_free_keyblock_contents:c.krb5_free_keyblock_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_keyblock\_contents()}}}} when it is no longer needed.
+\sphinxAtStartPar
+This function is similar to krb5\_c\_string\_to\_key(), but also takes parameters which may affect the algorithm in an enctype\sphinxhyphen{}dependent way. The newly created \sphinxstyleemphasis{key} must be released by calling krb5\_free\_keyblock\_contents() when it is no longer needed.
 
 
-\subsubsection{krb5\_c\_valid\_cksumtype -  Verify that specified checksum type is a valid Kerberos checksum type.}
-\label{\detokenize{appdev/refs/api/krb5_c_valid_cksumtype:krb5-c-valid-cksumtype-verify-that-specified-checksum-type-is-a-valid-kerberos-checksum-type}}\label{\detokenize{appdev/refs/api/krb5_c_valid_cksumtype::doc}}\index{krb5\_c\_valid\_cksumtype (C function)}
+\subsubsection{krb5\_c\_valid\_cksumtype \sphinxhyphen{}  Verify that specified checksum type is a valid Kerberos checksum type.}
+\label{\detokenize{appdev/refs/api/krb5_c_valid_cksumtype:krb5-c-valid-cksumtype-verify-that-specified-checksum-type-is-a-valid-kerberos-checksum-type}}\label{\detokenize{appdev/refs/api/krb5_c_valid_cksumtype::doc}}\index{krb5\_c\_valid\_cksumtype (C function)@\spxentry{krb5\_c\_valid\_cksumtype}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_valid_cksumtype:c.krb5_c_valid_cksumtype}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_c\_valid\_cksumtype}}{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ ctype}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_valid_cksumtype:c.krb5_c_valid_cksumtype}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_valid\_cksumtype}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{ctype}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctype} - Checksum type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ctype} \sphinxhyphen{} Checksum type
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE if ctype is valid, FALSE if not
 
 \end{itemize}
@@ -11028,21 +14041,26 @@ TRUE if ctype is valid, FALSE if not
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_valid\_enctype -  Verify that a specified encryption type is a valid Kerberos encryption type.}
-\label{\detokenize{appdev/refs/api/krb5_c_valid_enctype:krb5-c-valid-enctype-verify-that-a-specified-encryption-type-is-a-valid-kerberos-encryption-type}}\label{\detokenize{appdev/refs/api/krb5_c_valid_enctype::doc}}\index{krb5\_c\_valid\_enctype (C function)}
+\subsubsection{krb5\_c\_valid\_enctype \sphinxhyphen{}  Verify that a specified encryption type is a valid Kerberos encryption type.}
+\label{\detokenize{appdev/refs/api/krb5_c_valid_enctype:krb5-c-valid-enctype-verify-that-a-specified-encryption-type-is-a-valid-kerberos-encryption-type}}\label{\detokenize{appdev/refs/api/krb5_c_valid_enctype::doc}}\index{krb5\_c\_valid\_enctype (C function)@\spxentry{krb5\_c\_valid\_enctype}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_valid_enctype:c.krb5_c_valid_enctype}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} \sphinxbfcode{krb5\_c\_valid\_enctype}}{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ ktype}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_valid_enctype:c.krb5_c_valid_enctype}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_valid\_enctype}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{ktype}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ktype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ktype} \sphinxhyphen{} Encryption type
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{return}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 TRUE if ktype is valid, FALSE if not
 
 \end{itemize}
@@ -11050,140 +14068,182 @@ TRUE if ktype is valid, FALSE if not
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_c\_verify\_checksum -  Verify a checksum (operates on keyblock).}
-\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum:krb5-c-verify-checksum-verify-a-checksum-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum::doc}}\index{krb5\_c\_verify\_checksum (C function)}
+\subsubsection{krb5\_c\_verify\_checksum \sphinxhyphen{}  Verify a checksum (operates on keyblock).}
+\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum:krb5-c-verify-checksum-verify-a-checksum-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum::doc}}\index{krb5\_c\_verify\_checksum (C function)@\spxentry{krb5\_c\_verify\_checksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum:c.krb5_c_verify_checksum}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_verify\_checksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}, const {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} *\sphinxstyleemphasis{ cksum}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} *\sphinxstyleemphasis{ valid}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum:c.krb5_c_verify_checksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_verify\_checksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cksum}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{valid}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key for a keyed checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key for a keyed checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - \sphinxstyleemphasis{key} usage
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} \sphinxstyleemphasis{key} usage
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Data to be used to compute a new checksum using \sphinxstyleemphasis{key} to compare \sphinxstyleemphasis{cksum} against
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Data to be used to compute a new checksum using \sphinxstyleemphasis{key} to compare \sphinxstyleemphasis{cksum} against
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksum} - Checksum to be verified
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksum} \sphinxhyphen{} Checksum to be verified
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{valid} - Non-zero for success, zero for failure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{valid} \sphinxhyphen{} Non\sphinxhyphen{}zero for success, zero for failure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function verifies that \sphinxstyleemphasis{cksum} is a valid checksum for \sphinxstyleemphasis{data} . If the checksum type of \sphinxstyleemphasis{cksum} is a keyed checksum, \sphinxstyleemphasis{key} is used to verify the checksum. If the checksum type in \sphinxstyleemphasis{cksum} is 0 and \sphinxstyleemphasis{key} is not NULL, the mandatory checksum type for \sphinxstyleemphasis{key} will be used. The actual checksum key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the checksum type.
 
 \begin{sphinxadmonition}{note}{Note:}
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_k_verify_checksum:c.krb5_k_verify_checksum}]{\sphinxcrossref{\sphinxcode{krb5\_k\_verify\_checksum()}}}} , but operates on keyblock \sphinxstyleemphasis{key} .
+\sphinxAtStartPar
+This function is similar to krb5\_k\_verify\_checksum(), but operates on keyblock \sphinxstyleemphasis{key} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_c\_verify\_checksum\_iov -  Validate a checksum element in IOV array (operates on keyblock).}
-\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum_iov::doc}}\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum_iov:krb5-c-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-keyblock}}\index{krb5\_c\_verify\_checksum\_iov (C function)}
+\subsubsection{krb5\_c\_verify\_checksum\_iov \sphinxhyphen{}  Validate a checksum element in IOV array (operates on keyblock).}
+\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum_iov:krb5-c-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-keyblock}}\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum_iov::doc}}\index{krb5\_c\_verify\_checksum\_iov (C function)@\spxentry{krb5\_c\_verify\_checksum\_iov}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum_iov:c.krb5_c_verify_checksum_iov}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_verify\_checksum\_iov}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ cksumtype}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{krb5\_crypto\_iov}}} *\sphinxstyleemphasis{ data}, size\_t\sphinxstyleemphasis{ num\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} *\sphinxstyleemphasis{ valid}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_verify_checksum_iov:c.krb5_c_verify_checksum_iov}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_verify\_checksum\_iov}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{cksumtype}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{num\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{valid}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} - Checksum type (0 for mandatory type)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} \sphinxhyphen{} Checksum type (0 for mandatory type)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key for a keyed checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key for a keyed checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - IOV array
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} IOV array
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} - Size of \sphinxstyleemphasis{data}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} \sphinxhyphen{} Size of \sphinxstyleemphasis{data}
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{valid} - Non-zero for success, zero for failure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{valid} \sphinxhyphen{} Non\sphinxhyphen{}zero for success, zero for failure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Confirm that the checksum in the {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:KRB5_CRYPTO_TYPE_CHECKSUM}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_CHECKSUM}}}} element is a valid checksum of the {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:KRB5_CRYPTO_TYPE_DATA}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_DATA}}}} and {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:KRB5_CRYPTO_TYPE_SIGN_ONLY}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}}}} regions in the iov.
+\sphinxAtStartPar
+Confirm that the checksum in the \#KRB5\_CRYPTO\_TYPE\_CHECKSUM element is a valid checksum of the \#KRB5\_CRYPTO\_TYPE\_DATA and \#KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY regions in the iov.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_c_make_checksum_iov:c.krb5_c_make_checksum_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_make\_checksum\_iov()}}}}
+\sphinxAtStartPar
+krb5\_c\_make\_checksum\_iov()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_k_verify_checksum_iov:c.krb5_k_verify_checksum_iov}]{\sphinxcrossref{\sphinxcode{krb5\_k\_verify\_checksum\_iov()}}}} , but operates on keyblock \sphinxstyleemphasis{key} .
+\sphinxAtStartPar
+This function is similar to krb5\_k\_verify\_checksum\_iov(), but operates on keyblock \sphinxstyleemphasis{key} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_cksumtype\_to\_string -  Convert a checksum type to a string.}
-\label{\detokenize{appdev/refs/api/krb5_cksumtype_to_string::doc}}\label{\detokenize{appdev/refs/api/krb5_cksumtype_to_string:krb5-cksumtype-to-string-convert-a-checksum-type-to-a-string}}\index{krb5\_cksumtype\_to\_string (C function)}
+\subsubsection{krb5\_cksumtype\_to\_string \sphinxhyphen{}  Convert a checksum type to a string.}
+\label{\detokenize{appdev/refs/api/krb5_cksumtype_to_string:krb5-cksumtype-to-string-convert-a-checksum-type-to-a-string}}\label{\detokenize{appdev/refs/api/krb5_cksumtype_to_string::doc}}\index{krb5\_cksumtype\_to\_string (C function)@\spxentry{krb5\_cksumtype\_to\_string}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cksumtype_to_string:c.krb5_cksumtype_to_string}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cksumtype\_to\_string}}{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ cksumtype}, char *\sphinxstyleemphasis{ buffer}, size\_t\sphinxstyleemphasis{ buflen}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cksumtype_to_string:c.krb5_cksumtype_to_string}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cksumtype\_to\_string}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{cksumtype}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{buffer}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{buflen}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} - Checksum type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} \sphinxhyphen{} Checksum type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} - Buffer to hold converted checksum type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} \sphinxhyphen{} Buffer to hold converted checksum type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} - Storage available in \sphinxstyleemphasis{buffer}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} \sphinxhyphen{} Storage available in \sphinxstyleemphasis{buffer}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_decode\_authdata\_container -  Unwrap authorization data.}
-\label{\detokenize{appdev/refs/api/krb5_decode_authdata_container::doc}}\label{\detokenize{appdev/refs/api/krb5_decode_authdata_container:krb5-decode-authdata-container-unwrap-authorization-data}}\index{krb5\_decode\_authdata\_container (C function)}
+\subsubsection{krb5\_decode\_authdata\_container \sphinxhyphen{}  Unwrap authorization data.}
+\label{\detokenize{appdev/refs/api/krb5_decode_authdata_container:krb5-decode-authdata-container-unwrap-authorization-data}}\label{\detokenize{appdev/refs/api/krb5_decode_authdata_container::doc}}\index{krb5\_decode\_authdata\_container (C function)@\spxentry{krb5\_decode\_authdata\_container}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_decode_authdata_container:c.krb5_decode_authdata_container}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_decode\_authdata\_container}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}]{\sphinxcrossref{krb5\_authdatatype}}}\sphinxstyleemphasis{ type}, const {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} *\sphinxstyleemphasis{ container}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} ***\sphinxstyleemphasis{ authdata}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_decode_authdata_container:c.krb5_decode_authdata_container}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_decode\_authdata\_container}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}]{\sphinxcrossref{\DUrole{n}{krb5\_authdatatype}}}}\DUrole{w}{  }\DUrole{n}{type}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{container}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{authdata}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} - \sphinxcode{KRB5\_AUTHDATA} type of \sphinxstyleemphasis{container}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} \sphinxhyphen{} Container type (see KRB5\_AUTHDATA macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{container} - Authorization data to be decoded
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{container} \sphinxhyphen{} Authorization data to be decoded
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authdata} - List of decoded authorization data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{authdata} \sphinxhyphen{} List of decoded authorization data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
@@ -11191,867 +14251,1134 @@ This function is similar to {\hyperref[\
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_encode_authdata_container:c.krb5_encode_authdata_container}]{\sphinxcrossref{\sphinxcode{krb5\_encode\_authdata\_container()}}}}
+\sphinxAtStartPar
+krb5\_encode\_authdata\_container()
 
 
 
 
-\subsubsection{krb5\_decode\_ticket -  Decode an ASN.1-formatted ticket.}
-\label{\detokenize{appdev/refs/api/krb5_decode_ticket::doc}}\label{\detokenize{appdev/refs/api/krb5_decode_ticket:krb5-decode-ticket-decode-an-asn-1-formatted-ticket}}\index{krb5\_decode\_ticket (C function)}
+\subsubsection{krb5\_decode\_ticket \sphinxhyphen{}  Decode an ASN.1\sphinxhyphen{}formatted ticket.}
+\label{\detokenize{appdev/refs/api/krb5_decode_ticket:krb5-decode-ticket-decode-an-asn-1-formatted-ticket}}\label{\detokenize{appdev/refs/api/krb5_decode_ticket::doc}}\index{krb5\_decode\_ticket (C function)@\spxentry{krb5\_decode\_ticket}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_decode_ticket:c.krb5_decode_ticket}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_decode\_ticket}}{const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ code}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}} **\sphinxstyleemphasis{ rep}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_decode_ticket:c.krb5_decode_ticket}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_decode\_ticket}}}}{\DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{code}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{rep}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} - ASN.1-formatted ticket
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{code} \sphinxhyphen{} ASN.1\sphinxhyphen{}formatted ticket
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rep} - Decoded ticket information
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rep} \sphinxhyphen{} Decoded ticket information
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_deltat\_to\_string -  Convert a relative time value to a string.}
-\label{\detokenize{appdev/refs/api/krb5_deltat_to_string::doc}}\label{\detokenize{appdev/refs/api/krb5_deltat_to_string:krb5-deltat-to-string-convert-a-relative-time-value-to-a-string}}\index{krb5\_deltat\_to\_string (C function)}
+\subsubsection{krb5\_deltat\_to\_string \sphinxhyphen{}  Convert a relative time value to a string.}
+\label{\detokenize{appdev/refs/api/krb5_deltat_to_string:krb5-deltat-to-string-convert-a-relative-time-value-to-a-string}}\label{\detokenize{appdev/refs/api/krb5_deltat_to_string::doc}}\index{krb5\_deltat\_to\_string (C function)@\spxentry{krb5\_deltat\_to\_string}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_deltat_to_string:c.krb5_deltat_to_string}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_deltat\_to\_string}}{{\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{krb5\_deltat}}}\sphinxstyleemphasis{ deltat}, char *\sphinxstyleemphasis{ buffer}, size\_t\sphinxstyleemphasis{ buflen}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_deltat_to_string:c.krb5_deltat_to_string}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_deltat\_to\_string}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{\DUrole{n}{krb5\_deltat}}}}\DUrole{w}{  }\DUrole{n}{deltat}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{buffer}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{buflen}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{deltat} - Relative time value to convert
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{deltat} \sphinxhyphen{} Relative time value to convert
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} - Buffer to hold time string
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} \sphinxhyphen{} Buffer to hold time string
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} - Storage available in \sphinxstyleemphasis{buffer}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} \sphinxhyphen{} Storage available in \sphinxstyleemphasis{buffer}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_encode\_authdata\_container -  Wrap authorization data in a container.}
-\label{\detokenize{appdev/refs/api/krb5_encode_authdata_container::doc}}\label{\detokenize{appdev/refs/api/krb5_encode_authdata_container:krb5-encode-authdata-container-wrap-authorization-data-in-a-container}}\index{krb5\_encode\_authdata\_container (C function)}
+\subsubsection{krb5\_encode\_authdata\_container \sphinxhyphen{}  Wrap authorization data in a container.}
+\label{\detokenize{appdev/refs/api/krb5_encode_authdata_container:krb5-encode-authdata-container-wrap-authorization-data-in-a-container}}\label{\detokenize{appdev/refs/api/krb5_encode_authdata_container::doc}}\index{krb5\_encode\_authdata\_container (C function)@\spxentry{krb5\_encode\_authdata\_container}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_encode_authdata_container:c.krb5_encode_authdata_container}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_encode\_authdata\_container}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}]{\sphinxcrossref{krb5\_authdatatype}}}\sphinxstyleemphasis{ type}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} *const *\sphinxstyleemphasis{ authdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}} ***\sphinxstyleemphasis{ container}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_encode_authdata_container:c.krb5_encode_authdata_container}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_encode\_authdata\_container}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}]{\sphinxcrossref{\DUrole{n}{krb5\_authdatatype}}}}\DUrole{w}{  }\DUrole{n}{type}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{authdata}, {\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{container}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} - \sphinxcode{KRB5\_AUTHDATA} type of \sphinxstyleemphasis{container}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{type} \sphinxhyphen{} Container type (see KRB5\_AUTHDATA macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authdata} - List of authorization data to be encoded
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{authdata} \sphinxhyphen{} List of authorization data to be encoded
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{container} - List of encoded authorization data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{container} \sphinxhyphen{} List of encoded authorization data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-The result is returned in \sphinxstyleemphasis{container} as a single-element list.
+\sphinxAtStartPar
+The result is returned in \sphinxstyleemphasis{container} as a single\sphinxhyphen{}element list.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_decode_authdata_container:c.krb5_decode_authdata_container}]{\sphinxcrossref{\sphinxcode{krb5\_decode\_authdata\_container()}}}}
+\sphinxAtStartPar
+krb5\_decode\_authdata\_container()
 
 
 
 
-\subsubsection{krb5\_enctype\_to\_name -  Convert an encryption type to a name or alias.}
-\label{\detokenize{appdev/refs/api/krb5_enctype_to_name::doc}}\label{\detokenize{appdev/refs/api/krb5_enctype_to_name:krb5-enctype-to-name-convert-an-encryption-type-to-a-name-or-alias}}\index{krb5\_enctype\_to\_name (C function)}
+\subsubsection{krb5\_enctype\_to\_name \sphinxhyphen{}  Convert an encryption type to a name or alias.}
+\label{\detokenize{appdev/refs/api/krb5_enctype_to_name:krb5-enctype-to-name-convert-an-encryption-type-to-a-name-or-alias}}\label{\detokenize{appdev/refs/api/krb5_enctype_to_name::doc}}\index{krb5\_enctype\_to\_name (C function)@\spxentry{krb5\_enctype\_to\_name}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_enctype_to_name:c.krb5_enctype_to_name}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_enctype\_to\_name}}{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}}\sphinxstyleemphasis{ shortest}, char *\sphinxstyleemphasis{ buffer}, size\_t\sphinxstyleemphasis{ buflen}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_enctype_to_name:c.krb5_enctype_to_name}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_enctype\_to\_name}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{n}{shortest}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{buffer}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{buflen}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{shortest} - Flag
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{shortest} \sphinxhyphen{} Flag
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} - Buffer to hold encryption type string
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} \sphinxhyphen{} Buffer to hold encryption type string
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} - Storage available in \sphinxstyleemphasis{buffer}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} \sphinxhyphen{} Storage available in \sphinxstyleemphasis{buffer}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-If \sphinxstyleemphasis{shortest} is FALSE, this function returns the enctype’s canonical name (like”aes128-cts-hmac-sha1-96”). If \sphinxstyleemphasis{shortest} is TRUE, it return the enctype’s shortest alias (like”aes128-cts”).
+\sphinxAtStartPar
+If \sphinxstyleemphasis{shortest} is FALSE, this function returns the enctype’s canonical name (like”aes128\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96”). If \sphinxstyleemphasis{shortest} is TRUE, it return the enctype’s shortest alias (like”aes128\sphinxhyphen{}cts”).
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 New in 1.9
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_enctype\_to\_string -  Convert an encryption type to a string.}
-\label{\detokenize{appdev/refs/api/krb5_enctype_to_string::doc}}\label{\detokenize{appdev/refs/api/krb5_enctype_to_string:krb5-enctype-to-string-convert-an-encryption-type-to-a-string}}\index{krb5\_enctype\_to\_string (C function)}
+\subsubsection{krb5\_enctype\_to\_string \sphinxhyphen{}  Convert an encryption type to a string.}
+\label{\detokenize{appdev/refs/api/krb5_enctype_to_string:krb5-enctype-to-string-convert-an-encryption-type-to-a-string}}\label{\detokenize{appdev/refs/api/krb5_enctype_to_string::doc}}\index{krb5\_enctype\_to\_string (C function)@\spxentry{krb5\_enctype\_to\_string}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_enctype_to_string:c.krb5_enctype_to_string}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_enctype\_to\_string}}{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}, char *\sphinxstyleemphasis{ buffer}, size\_t\sphinxstyleemphasis{ buflen}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_enctype_to_string:c.krb5_enctype_to_string}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_enctype\_to\_string}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{buffer}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{buflen}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} - Encryption type
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{enctype} \sphinxhyphen{} Encryption type
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} - Buffer to hold encryption type string
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{buffer} \sphinxhyphen{} Buffer to hold encryption type string
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} - Storage available in \sphinxstyleemphasis{buffer}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{buflen} \sphinxhyphen{} Storage available in \sphinxstyleemphasis{buffer}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_free\_checksum -  Free a krb5\_checksum structure.}
-\label{\detokenize{appdev/refs/api/krb5_free_checksum:krb5-free-checksum-free-a-krb5-checksum-structure}}\label{\detokenize{appdev/refs/api/krb5_free_checksum::doc}}\index{krb5\_free\_checksum (C function)}
+\subsubsection{krb5\_free\_checksum \sphinxhyphen{}  Free a krb5\_checksum structure.}
+\label{\detokenize{appdev/refs/api/krb5_free_checksum:krb5-free-checksum-free-a-krb5-checksum-structure}}\label{\detokenize{appdev/refs/api/krb5_free_checksum::doc}}\index{krb5\_free\_checksum (C function)@\spxentry{krb5\_free\_checksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_checksum:c.krb5_free_checksum}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_checksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_checksum:c.krb5_free_checksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_checksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Checksum structure to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Checksum structure to be freed
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} and the structure itself.
 
 
-\subsubsection{krb5\_free\_checksum\_contents -  Free the contents of a krb5\_checksum structure.}
-\label{\detokenize{appdev/refs/api/krb5_free_checksum_contents:krb5-free-checksum-contents-free-the-contents-of-a-krb5-checksum-structure}}\label{\detokenize{appdev/refs/api/krb5_free_checksum_contents::doc}}\index{krb5\_free\_checksum\_contents (C function)}
+\subsubsection{krb5\_free\_checksum\_contents \sphinxhyphen{}  Free the contents of a krb5\_checksum structure.}
+\label{\detokenize{appdev/refs/api/krb5_free_checksum_contents:krb5-free-checksum-contents-free-the-contents-of-a-krb5-checksum-structure}}\label{\detokenize{appdev/refs/api/krb5_free_checksum_contents::doc}}\index{krb5\_free\_checksum\_contents (C function)@\spxentry{krb5\_free\_checksum\_contents}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_checksum_contents:c.krb5_free_checksum_contents}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_checksum\_contents}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_checksum_contents:c.krb5_free_checksum_contents}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_checksum\_contents}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Checksum structure to free contents of
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Checksum structure to free contents of
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function frees the contents of \sphinxstyleemphasis{val} , but not the structure itself. It sets the checksum’s data pointer to null and (beginning in release 1.19) sets its length to zero.
 
 
-\subsubsection{krb5\_free\_cksumtypes -  Free an array of checksum types.}
-\label{\detokenize{appdev/refs/api/krb5_free_cksumtypes:krb5-free-cksumtypes-free-an-array-of-checksum-types}}\label{\detokenize{appdev/refs/api/krb5_free_cksumtypes::doc}}\index{krb5\_free\_cksumtypes (C function)}
+\subsubsection{krb5\_free\_cksumtypes \sphinxhyphen{}  Free an array of checksum types.}
+\label{\detokenize{appdev/refs/api/krb5_free_cksumtypes:krb5-free-cksumtypes-free-an-array-of-checksum-types}}\label{\detokenize{appdev/refs/api/krb5_free_cksumtypes::doc}}\index{krb5\_free\_cksumtypes (C function)@\spxentry{krb5\_free\_cksumtypes}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_cksumtypes:c.krb5_free_cksumtypes}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_cksumtypes}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}} *\sphinxstyleemphasis{ val}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_cksumtypes:c.krb5_free_cksumtypes}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_cksumtypes}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{val}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} - Array of checksum types to be freed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{val} \sphinxhyphen{} Array of checksum types to be freed
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_free\_tgt\_creds -  Free an array of credential structures.}
-\label{\detokenize{appdev/refs/api/krb5_free_tgt_creds::doc}}\label{\detokenize{appdev/refs/api/krb5_free_tgt_creds:krb5-free-tgt-creds-free-an-array-of-credential-structures}}\index{krb5\_free\_tgt\_creds (C function)}
+\subsubsection{krb5\_free\_tgt\_creds \sphinxhyphen{}  Free an array of credential structures.}
+\label{\detokenize{appdev/refs/api/krb5_free_tgt_creds:krb5-free-tgt-creds-free-an-array-of-credential-structures}}\label{\detokenize{appdev/refs/api/krb5_free_tgt_creds::doc}}\index{krb5\_free\_tgt\_creds (C function)@\spxentry{krb5\_free\_tgt\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_tgt_creds:c.krb5_free_tgt_creds}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_free\_tgt\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} **\sphinxstyleemphasis{ tgts}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_free_tgt_creds:c.krb5_free_tgt_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_free\_tgt\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{tgts}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{tgts} - Null-terminated array of credentials to free
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{tgts} \sphinxhyphen{} Null\sphinxhyphen{}terminated array of credentials to free
 
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The last entry in the array \sphinxstyleemphasis{tgts} must be a NULL pointer.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_k\_create\_key -  Create a krb5\_key from the enctype and key data in a keyblock.}
-\label{\detokenize{appdev/refs/api/krb5_k_create_key::doc}}\label{\detokenize{appdev/refs/api/krb5_k_create_key:krb5-k-create-key-create-a-krb5-key-from-the-enctype-and-key-data-in-a-keyblock}}\index{krb5\_k\_create\_key (C function)}
+\subsubsection{krb5\_k\_create\_key \sphinxhyphen{}  Create a krb5\_key from the enctype and key data in a keyblock.}
+\label{\detokenize{appdev/refs/api/krb5_k_create_key:krb5-k-create-key-create-a-krb5-key-from-the-enctype-and-key-data-in-a-keyblock}}\label{\detokenize{appdev/refs/api/krb5_k_create_key::doc}}\index{krb5\_k\_create\_key (C function)@\spxentry{krb5\_k\_create\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_create_key:c.krb5_k_create_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_create\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}} *\sphinxstyleemphasis{ out}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_create_key:c.krb5_k_create_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_create\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{out}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key\_data} - Keyblock
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key\_data} \sphinxhyphen{} Keyblock
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} - Opaque key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out} \sphinxhyphen{} Opaque key
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - KRB5\_BAD\_ENCTYPE
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} KRB5\_BAD\_ENCTYPE
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-The reference count on a key \sphinxstyleemphasis{out} is set to 1. Use {\hyperref[\detokenize{appdev/refs/api/krb5_k_free_key:c.krb5_k_free_key}]{\sphinxcrossref{\sphinxcode{krb5\_k\_free\_key()}}}} to free \sphinxstyleemphasis{out} when it is no longer needed.
+\sphinxAtStartPar
+The reference count on a key \sphinxstyleemphasis{out} is set to 1. Use krb5\_k\_free\_key() to free \sphinxstyleemphasis{out} when it is no longer needed.
 
 
-\subsubsection{krb5\_k\_decrypt -  Decrypt data using a key (operates on opaque key).}
-\label{\detokenize{appdev/refs/api/krb5_k_decrypt:krb5-k-decrypt-decrypt-data-using-a-key-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_decrypt::doc}}\index{krb5\_k\_decrypt (C function)}
+\subsubsection{krb5\_k\_decrypt \sphinxhyphen{}  Decrypt data using a key (operates on opaque key).}
+\label{\detokenize{appdev/refs/api/krb5_k_decrypt:krb5-k-decrypt-decrypt-data-using-a-key-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_decrypt::doc}}\index{krb5\_k\_decrypt (C function)@\spxentry{krb5\_k\_decrypt}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_decrypt:c.krb5_k_decrypt}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_decrypt}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ cipher\_state}, const {\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ output}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_decrypt:c.krb5_k_decrypt}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_decrypt}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cipher\_state}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{output}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{cipher\_state} - Cipher state; specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{cipher\_state} \sphinxhyphen{} Cipher state; specify NULL if not needed
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Encrypted data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Encrypted data
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} - Decrypted data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} \sphinxhyphen{} Decrypted data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function decrypts the data block \sphinxstyleemphasis{input} and stores the output into \sphinxstyleemphasis{output} . The actual decryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non-null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation.
+\sphinxAtStartPar
+This function decrypts the data block \sphinxstyleemphasis{input} and stores the output into \sphinxstyleemphasis{output} . The actual decryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non\sphinxhyphen{}null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation.
 
 \begin{sphinxadmonition}{note}{Note:}
-The caller must initialize \sphinxstyleemphasis{output} and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let {\hyperref[\detokenize{appdev/refs/api/krb5_c_decrypt:c.krb5_c_decrypt}]{\sphinxcrossref{\sphinxcode{krb5\_c\_decrypt()}}}} trim \sphinxstyleemphasis{output-\textgreater{}length} . For some enctypes, the resulting \sphinxstyleemphasis{output-\textgreater{}length} may include padding bytes.
+\sphinxAtStartPar
+The caller must initialize \sphinxstyleemphasis{output} and allocate at least enough space for the result. The usual practice is to allocate an output buffer as long as the ciphertext, and let krb5\_c\_decrypt() trim \sphinxstyleemphasis{output\sphinxhyphen{}\textgreater{}length} . For some enctypes, the resulting \sphinxstyleemphasis{output\sphinxhyphen{}\textgreater{}length} may include padding bytes.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_k\_decrypt\_iov -  Decrypt data in place supporting AEAD (operates on opaque key).}
-\label{\detokenize{appdev/refs/api/krb5_k_decrypt_iov::doc}}\label{\detokenize{appdev/refs/api/krb5_k_decrypt_iov:krb5-k-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-opaque-key}}\index{krb5\_k\_decrypt\_iov (C function)}
+\subsubsection{krb5\_k\_decrypt\_iov \sphinxhyphen{}  Decrypt data in place supporting AEAD (operates on opaque key).}
+\label{\detokenize{appdev/refs/api/krb5_k_decrypt_iov:krb5-k-decrypt-iov-decrypt-data-in-place-supporting-aead-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_decrypt_iov::doc}}\index{krb5\_k\_decrypt\_iov (C function)@\spxentry{krb5\_k\_decrypt\_iov}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_decrypt_iov:c.krb5_k_decrypt_iov}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_decrypt\_iov}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ cipher\_state}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{krb5\_crypto\_iov}}} *\sphinxstyleemphasis{ data}, size\_t\sphinxstyleemphasis{ num\_data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_decrypt_iov:c.krb5_k_decrypt_iov}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_decrypt\_iov}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cipher\_state}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{num\_data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cipher\_state} - Cipher state; specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cipher\_state} \sphinxhyphen{} Cipher state; specify NULL if not needed
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} - IOV array. Modified in-place.
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} \sphinxhyphen{} IOV array. Modified in\sphinxhyphen{}place.
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} - Size of \sphinxstyleemphasis{data}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} \sphinxhyphen{} Size of \sphinxstyleemphasis{data}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function decrypts the data block \sphinxstyleemphasis{data} and stores the output in-place. The actual decryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non-null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5\_crypto\_iov structures before calling into this API.
+\sphinxAtStartPar
+This function decrypts the data block \sphinxstyleemphasis{data} and stores the output in\sphinxhyphen{}place. The actual decryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non\sphinxhyphen{}null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the decryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5\_crypto\_iov structures before calling into this API.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_k_encrypt_iov:c.krb5_k_encrypt_iov}]{\sphinxcrossref{\sphinxcode{krb5\_k\_encrypt\_iov()}}}}
+\sphinxAtStartPar
+krb5\_k\_encrypt\_iov()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-On return from a {\hyperref[\detokenize{appdev/refs/api/krb5_c_decrypt_iov:c.krb5_c_decrypt_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_decrypt\_iov()}}}} call, the \sphinxstyleemphasis{data-\textgreater{}length} in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
+\sphinxAtStartPar
+On return from a krb5\_c\_decrypt\_iov() call, the \sphinxstyleemphasis{data\sphinxhyphen{}\textgreater{}length} in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_k\_encrypt -  Encrypt data using a key (operates on opaque key).}
-\label{\detokenize{appdev/refs/api/krb5_k_encrypt:krb5-k-encrypt-encrypt-data-using-a-key-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_encrypt::doc}}\index{krb5\_k\_encrypt (C function)}
+\subsubsection{krb5\_k\_encrypt \sphinxhyphen{}  Encrypt data using a key (operates on opaque key).}
+\label{\detokenize{appdev/refs/api/krb5_k_encrypt:krb5-k-encrypt-encrypt-data-using-a-key-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_encrypt::doc}}\index{krb5\_k\_encrypt (C function)@\spxentry{krb5\_k\_encrypt}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_encrypt:c.krb5_k_encrypt}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_encrypt}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ cipher\_state}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}} *\sphinxstyleemphasis{ output}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_encrypt:c.krb5_k_encrypt}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_encrypt}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cipher\_state}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{output}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{cipher\_state} - Cipher state; specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{cipher\_state} \sphinxhyphen{} Cipher state; specify NULL if not needed
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Data to be encrypted
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Data to be encrypted
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} - Encrypted data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} \sphinxhyphen{} Encrypted data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function encrypts the data block \sphinxstyleemphasis{input} and stores the output into \sphinxstyleemphasis{output} . The actual encryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non-null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation.
+\sphinxAtStartPar
+This function encrypts the data block \sphinxstyleemphasis{input} and stores the output into \sphinxstyleemphasis{output} . The actual encryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non\sphinxhyphen{}null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation.
 
 \begin{sphinxadmonition}{note}{Note:}
-The caller must initialize \sphinxstyleemphasis{output} and allocate at least enough space for the result (using {\hyperref[\detokenize{appdev/refs/api/krb5_c_encrypt_length:c.krb5_c_encrypt_length}]{\sphinxcrossref{\sphinxcode{krb5\_c\_encrypt\_length()}}}} to determine the amount of space needed). \sphinxstyleemphasis{output-\textgreater{}length} will be set to the actual length of the ciphertext.
+\sphinxAtStartPar
+The caller must initialize \sphinxstyleemphasis{output} and allocate at least enough space for the result (using krb5\_c\_encrypt\_length() to determine the amount of space needed). \sphinxstyleemphasis{output\sphinxhyphen{}\textgreater{}length} will be set to the actual length of the ciphertext.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_k\_encrypt\_iov -  Encrypt data in place supporting AEAD (operates on opaque key).}
-\label{\detokenize{appdev/refs/api/krb5_k_encrypt_iov::doc}}\label{\detokenize{appdev/refs/api/krb5_k_encrypt_iov:krb5-k-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-opaque-key}}\index{krb5\_k\_encrypt\_iov (C function)}
+\subsubsection{krb5\_k\_encrypt\_iov \sphinxhyphen{}  Encrypt data in place supporting AEAD (operates on opaque key).}
+\label{\detokenize{appdev/refs/api/krb5_k_encrypt_iov:krb5-k-encrypt-iov-encrypt-data-in-place-supporting-aead-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_encrypt_iov::doc}}\index{krb5\_k\_encrypt\_iov (C function)@\spxentry{krb5\_k\_encrypt\_iov}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_encrypt_iov:c.krb5_k_encrypt_iov}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_encrypt\_iov}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ cipher\_state}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{krb5\_crypto\_iov}}} *\sphinxstyleemphasis{ data}, size\_t\sphinxstyleemphasis{ num\_data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_encrypt_iov:c.krb5_k_encrypt_iov}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_encrypt\_iov}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cipher\_state}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{num\_data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cipher\_state} - Cipher state; specify NULL if not needed
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cipher\_state} \sphinxhyphen{} Cipher state; specify NULL if not needed
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} - IOV array. Modified in-place.
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} \sphinxhyphen{} IOV array. Modified in\sphinxhyphen{}place.
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} - Size of \sphinxstyleemphasis{data}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} \sphinxhyphen{} Size of \sphinxstyleemphasis{data}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function encrypts the data block \sphinxstyleemphasis{data} and stores the output in-place. The actual encryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non-null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5\_crypto\_iov structures before calling into this API.
+\sphinxAtStartPar
+This function encrypts the data block \sphinxstyleemphasis{data} and stores the output in\sphinxhyphen{}place. The actual encryption key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the encryption type. If non\sphinxhyphen{}null, \sphinxstyleemphasis{cipher\_state} specifies the beginning state for the encryption operation, and is updated with the state to be passed as input to the next operation. The caller must allocate the right number of krb5\_crypto\_iov structures before calling into this API.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_k_decrypt_iov:c.krb5_k_decrypt_iov}]{\sphinxcrossref{\sphinxcode{krb5\_k\_decrypt\_iov()}}}}
+\sphinxAtStartPar
+krb5\_k\_decrypt\_iov()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-On return from a {\hyperref[\detokenize{appdev/refs/api/krb5_c_encrypt_iov:c.krb5_c_encrypt_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_encrypt\_iov()}}}} call, the \sphinxstyleemphasis{data-\textgreater{}length} in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
+\sphinxAtStartPar
+On return from a krb5\_c\_encrypt\_iov() call, the \sphinxstyleemphasis{data\sphinxhyphen{}\textgreater{}length} in the iov structure are adjusted to reflect actual lengths of the ciphertext used. For example, if the padding length is too large, the length will be reduced. Lengths are never increased.
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_k\_free\_key -  Decrement the reference count on a key and free it if it hits zero.}
-\label{\detokenize{appdev/refs/api/krb5_k_free_key:krb5-k-free-key-decrement-the-reference-count-on-a-key-and-free-it-if-it-hits-zero}}\label{\detokenize{appdev/refs/api/krb5_k_free_key::doc}}\index{krb5\_k\_free\_key (C function)}
+\subsubsection{krb5\_k\_free\_key \sphinxhyphen{}  Decrement the reference count on a key and free it if it hits zero.}
+\label{\detokenize{appdev/refs/api/krb5_k_free_key:krb5-k-free-key-decrement-the-reference-count-on-a-key-and-free-it-if-it-hits-zero}}\label{\detokenize{appdev/refs/api/krb5_k_free_key::doc}}\index{krb5\_k\_free\_key (C function)@\spxentry{krb5\_k\_free\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_free_key:c.krb5_k_free_key}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_k\_free\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_free_key:c.krb5_k_free_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_free\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{key}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_k\_key\_enctype -  Retrieve the enctype of a krb5\_key structure.}
-\label{\detokenize{appdev/refs/api/krb5_k_key_enctype::doc}}\label{\detokenize{appdev/refs/api/krb5_k_key_enctype:krb5-k-key-enctype-retrieve-the-enctype-of-a-krb5-key-structure}}\index{krb5\_k\_key\_enctype (C function)}
+\subsubsection{krb5\_k\_key\_enctype \sphinxhyphen{}  Retrieve the enctype of a krb5\_key structure.}
+\label{\detokenize{appdev/refs/api/krb5_k_key_enctype:krb5-k-key-enctype-retrieve-the-enctype-of-a-krb5-key-structure}}\label{\detokenize{appdev/refs/api/krb5_k_key_enctype::doc}}\index{krb5\_k\_key\_enctype (C function)@\spxentry{krb5\_k\_key\_enctype}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_key_enctype:c.krb5_k_key_enctype}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} \sphinxbfcode{krb5\_k\_key\_enctype}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_key_enctype:c.krb5_k_key_enctype}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_key\_enctype}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{key}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_k\_key\_keyblock -  Retrieve a copy of the keyblock from a krb5\_key structure.}
-\label{\detokenize{appdev/refs/api/krb5_k_key_keyblock:krb5-k-key-keyblock-retrieve-a-copy-of-the-keyblock-from-a-krb5-key-structure}}\label{\detokenize{appdev/refs/api/krb5_k_key_keyblock::doc}}\index{krb5\_k\_key\_keyblock (C function)}
+\subsubsection{krb5\_k\_key\_keyblock \sphinxhyphen{}  Retrieve a copy of the keyblock from a krb5\_key structure.}
+\label{\detokenize{appdev/refs/api/krb5_k_key_keyblock:krb5-k-key-keyblock-retrieve-a-copy-of-the-keyblock-from-a-krb5-key-structure}}\label{\detokenize{appdev/refs/api/krb5_k_key_keyblock::doc}}\index{krb5\_k\_key\_keyblock (C function)@\spxentry{krb5\_k\_key\_keyblock}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_key_keyblock:c.krb5_k_key_keyblock}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_key\_keyblock}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ key\_data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_key_keyblock:c.krb5_k_key_keyblock}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_key\_keyblock}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{key\_data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{key}
 
+\sphinxAtStartPar
 \sphinxstylestrong{key\_data}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_k\_make\_checksum -  Compute a checksum (operates on opaque key).}
-\label{\detokenize{appdev/refs/api/krb5_k_make_checksum::doc}}\label{\detokenize{appdev/refs/api/krb5_k_make_checksum:krb5-k-make-checksum-compute-a-checksum-operates-on-opaque-key}}\index{krb5\_k\_make\_checksum (C function)}
+\subsubsection{krb5\_k\_make\_checksum \sphinxhyphen{}  Compute a checksum (operates on opaque key).}
+\label{\detokenize{appdev/refs/api/krb5_k_make_checksum:krb5-k-make-checksum-compute-a-checksum-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_make_checksum::doc}}\index{krb5\_k\_make\_checksum (C function)@\spxentry{krb5\_k\_make\_checksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_make_checksum:c.krb5_k_make_checksum}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_make\_checksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ cksumtype}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} *\sphinxstyleemphasis{ cksum}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_make_checksum:c.krb5_k_make_checksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_make\_checksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{cksumtype}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cksum}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} - Checksum type (0 for mandatory type)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} \sphinxhyphen{} Checksum type (0 for mandatory type)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key for a keyed checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key for a keyed checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Input data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Input data
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cksum} - Generated checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{cksum} \sphinxhyphen{} Generated checksum
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function computes a checksum of type \sphinxstyleemphasis{cksumtype} over \sphinxstyleemphasis{input} , using \sphinxstyleemphasis{key} if the checksum type is a keyed checksum. If \sphinxstyleemphasis{cksumtype} is 0 and \sphinxstyleemphasis{key} is non-null, the checksum type will be the mandatory-to-implement checksum type for the key’s encryption type. The actual checksum key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the checksum type. The newly created \sphinxstyleemphasis{cksum} must be released by calling {\hyperref[\detokenize{appdev/refs/api/krb5_free_checksum_contents:c.krb5_free_checksum_contents}]{\sphinxcrossref{\sphinxcode{krb5\_free\_checksum\_contents()}}}} when it is no longer needed.
+\sphinxAtStartPar
+This function computes a checksum of type \sphinxstyleemphasis{cksumtype} over \sphinxstyleemphasis{input} , using \sphinxstyleemphasis{key} if the checksum type is a keyed checksum. If \sphinxstyleemphasis{cksumtype} is 0 and \sphinxstyleemphasis{key} is non\sphinxhyphen{}null, the checksum type will be the mandatory\sphinxhyphen{}to\sphinxhyphen{}implement checksum type for the key’s encryption type. The actual checksum key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the checksum type. The newly created \sphinxstyleemphasis{cksum} must be released by calling krb5\_free\_checksum\_contents() when it is no longer needed.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_c_verify_checksum:c.krb5_c_verify_checksum}]{\sphinxcrossref{\sphinxcode{krb5\_c\_verify\_checksum()}}}}
+\sphinxAtStartPar
+krb5\_c\_verify\_checksum()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_c_make_checksum:c.krb5_c_make_checksum}]{\sphinxcrossref{\sphinxcode{krb5\_c\_make\_checksum()}}}} , but operates on opaque \sphinxstyleemphasis{key} .
+\sphinxAtStartPar
+This function is similar to krb5\_c\_make\_checksum(), but operates on opaque \sphinxstyleemphasis{key} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_k\_make\_checksum\_iov -  Fill in a checksum element in IOV array (operates on opaque key)}
-\label{\detokenize{appdev/refs/api/krb5_k_make_checksum_iov::doc}}\label{\detokenize{appdev/refs/api/krb5_k_make_checksum_iov:krb5-k-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-opaque-key}}\index{krb5\_k\_make\_checksum\_iov (C function)}
+\subsubsection{krb5\_k\_make\_checksum\_iov \sphinxhyphen{}  Fill in a checksum element in IOV array (operates on opaque key)}
+\label{\detokenize{appdev/refs/api/krb5_k_make_checksum_iov:krb5-k-make-checksum-iov-fill-in-a-checksum-element-in-iov-array-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_make_checksum_iov::doc}}\index{krb5\_k\_make\_checksum\_iov (C function)@\spxentry{krb5\_k\_make\_checksum\_iov}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_make_checksum_iov:c.krb5_k_make_checksum_iov}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_make\_checksum\_iov}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ cksumtype}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{krb5\_crypto\_iov}}} *\sphinxstyleemphasis{ data}, size\_t\sphinxstyleemphasis{ num\_data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_make_checksum_iov:c.krb5_k_make_checksum_iov}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_make\_checksum\_iov}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{cksumtype}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{num\_data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} - Checksum type (0 for mandatory type)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} \sphinxhyphen{} Checksum type (0 for mandatory type)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key for a keyed checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key for a keyed checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} - IOV array
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{data} \sphinxhyphen{} IOV array
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} - Size of \sphinxstyleemphasis{data}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} \sphinxhyphen{} Size of \sphinxstyleemphasis{data}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Create a checksum in the {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:KRB5_CRYPTO_TYPE_CHECKSUM}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_CHECKSUM}}}} element over {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:KRB5_CRYPTO_TYPE_DATA}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_DATA}}}} and {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:KRB5_CRYPTO_TYPE_SIGN_ONLY}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}}}} chunks in \sphinxstyleemphasis{data} . Only the {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:KRB5_CRYPTO_TYPE_CHECKSUM}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_CHECKSUM}}}} region is modified.
+\sphinxAtStartPar
+Create a checksum in the \#KRB5\_CRYPTO\_TYPE\_CHECKSUM element over \#KRB5\_CRYPTO\_TYPE\_DATA and \#KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY chunks in \sphinxstyleemphasis{data} . Only the \#KRB5\_CRYPTO\_TYPE\_CHECKSUM region is modified.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_k_verify_checksum_iov:c.krb5_k_verify_checksum_iov}]{\sphinxcrossref{\sphinxcode{krb5\_k\_verify\_checksum\_iov()}}}}
+\sphinxAtStartPar
+krb5\_k\_verify\_checksum\_iov()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_c_make_checksum_iov:c.krb5_c_make_checksum_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_make\_checksum\_iov()}}}} , but operates on opaque \sphinxstyleemphasis{key} .
+\sphinxAtStartPar
+This function is similar to krb5\_c\_make\_checksum\_iov(), but operates on opaque \sphinxstyleemphasis{key} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_k\_prf -  Generate enctype-specific pseudo-random bytes (operates on opaque key).}
-\label{\detokenize{appdev/refs/api/krb5_k_prf:krb5-k-prf-generate-enctype-specific-pseudo-random-bytes-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_prf::doc}}\index{krb5\_k\_prf (C function)}
+\subsubsection{krb5\_k\_prf \sphinxhyphen{}  Generate enctype\sphinxhyphen{}specific pseudo\sphinxhyphen{}random bytes (operates on opaque key).}
+\label{\detokenize{appdev/refs/api/krb5_k_prf:krb5-k-prf-generate-enctype-specific-pseudo-random-bytes-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_prf::doc}}\index{krb5\_k\_prf (C function)@\spxentry{krb5\_k\_prf}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_prf:c.krb5_k_prf}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_prf}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ output}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_prf:c.krb5_k_prf}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_prf}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{input}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{output}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Key
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} - Input data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{input} \sphinxhyphen{} Input data
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} - Output data
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{output} \sphinxhyphen{} Output data
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function selects a pseudo-random function based on \sphinxstyleemphasis{key} and computes its value over \sphinxstyleemphasis{input} , placing the result into \sphinxstyleemphasis{output} . The caller must preinitialize \sphinxstyleemphasis{output} and allocate space for the result.
+\sphinxAtStartPar
+This function selects a pseudo\sphinxhyphen{}random function based on \sphinxstyleemphasis{key} and computes its value over \sphinxstyleemphasis{input} , placing the result into \sphinxstyleemphasis{output} . The caller must preinitialize \sphinxstyleemphasis{output} and allocate space for the result.
 
 \begin{sphinxadmonition}{note}{Note:}
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_c_prf:c.krb5_c_prf}]{\sphinxcrossref{\sphinxcode{krb5\_c\_prf()}}}} , but operates on opaque \sphinxstyleemphasis{key} .
+\sphinxAtStartPar
+This function is similar to krb5\_c\_prf(), but operates on opaque \sphinxstyleemphasis{key} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_k\_reference\_key -  Increment the reference count on a key.}
-\label{\detokenize{appdev/refs/api/krb5_k_reference_key::doc}}\label{\detokenize{appdev/refs/api/krb5_k_reference_key:krb5-k-reference-key-increment-the-reference-count-on-a-key}}\index{krb5\_k\_reference\_key (C function)}
+\subsubsection{krb5\_k\_reference\_key \sphinxhyphen{}  Increment the reference count on a key.}
+\label{\detokenize{appdev/refs/api/krb5_k_reference_key:krb5-k-reference-key-increment-the-reference-count-on-a-key}}\label{\detokenize{appdev/refs/api/krb5_k_reference_key::doc}}\index{krb5\_k\_reference\_key (C function)@\spxentry{krb5\_k\_reference\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_reference_key:c.krb5_k_reference_key}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_k\_reference\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_reference_key:c.krb5_k_reference_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_reference\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{key}
 
 \end{description}\end{quote}
 
 
-\subsubsection{krb5\_k\_verify\_checksum -  Verify a checksum (operates on opaque key).}
-\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum::doc}}\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum:krb5-k-verify-checksum-verify-a-checksum-operates-on-opaque-key}}\index{krb5\_k\_verify\_checksum (C function)}
+\subsubsection{krb5\_k\_verify\_checksum \sphinxhyphen{}  Verify a checksum (operates on opaque key).}
+\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum:krb5-k-verify-checksum-verify-a-checksum-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum::doc}}\index{krb5\_k\_verify\_checksum (C function)@\spxentry{krb5\_k\_verify\_checksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum:c.krb5_k_verify_checksum}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_verify\_checksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}, const {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} *\sphinxstyleemphasis{ cksum}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} *\sphinxstyleemphasis{ valid}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum:c.krb5_k_verify_checksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_verify\_checksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cksum}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{valid}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key for a keyed checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key for a keyed checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - \sphinxstyleemphasis{key} usage
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} \sphinxstyleemphasis{key} usage
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - Data to be used to compute a new checksum using \sphinxstyleemphasis{key} to compare \sphinxstyleemphasis{cksum} against
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} Data to be used to compute a new checksum using \sphinxstyleemphasis{key} to compare \sphinxstyleemphasis{cksum} against
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksum} - Checksum to be verified
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksum} \sphinxhyphen{} Checksum to be verified
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{valid} - Non-zero for success, zero for failure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{valid} \sphinxhyphen{} Non\sphinxhyphen{}zero for success, zero for failure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function verifies that \sphinxstyleemphasis{cksum} is a valid checksum for \sphinxstyleemphasis{data} . If the checksum type of \sphinxstyleemphasis{cksum} is a keyed checksum, \sphinxstyleemphasis{key} is used to verify the checksum. If the checksum type in \sphinxstyleemphasis{cksum} is 0 and \sphinxstyleemphasis{key} is not NULL, the mandatory checksum type for \sphinxstyleemphasis{key} will be used. The actual checksum key will be derived from \sphinxstyleemphasis{key} and \sphinxstyleemphasis{usage} if key derivation is specified for the checksum type.
 
 \begin{sphinxadmonition}{note}{Note:}
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_c_verify_checksum:c.krb5_c_verify_checksum}]{\sphinxcrossref{\sphinxcode{krb5\_c\_verify\_checksum()}}}} , but operates on opaque \sphinxstyleemphasis{key} .
+\sphinxAtStartPar
+This function is similar to krb5\_c\_verify\_checksum(), but operates on opaque \sphinxstyleemphasis{key} .
 \end{sphinxadmonition}
 
 
-\subsubsection{krb5\_k\_verify\_checksum\_iov -  Validate a checksum element in IOV array (operates on opaque key).}
-\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum_iov:krb5-k-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum_iov::doc}}\index{krb5\_k\_verify\_checksum\_iov (C function)}
+\subsubsection{krb5\_k\_verify\_checksum\_iov \sphinxhyphen{}  Validate a checksum element in IOV array (operates on opaque key).}
+\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum_iov:krb5-k-verify-checksum-iov-validate-a-checksum-element-in-iov-array-operates-on-opaque-key}}\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum_iov::doc}}\index{krb5\_k\_verify\_checksum\_iov (C function)@\spxentry{krb5\_k\_verify\_checksum\_iov}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum_iov:c.krb5_k_verify_checksum_iov}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_k\_verify\_checksum\_iov}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ cksumtype}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{krb5\_key}}}\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{krb5\_keyusage}}}\sphinxstyleemphasis{ usage}, const {\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{krb5\_crypto\_iov}}} *\sphinxstyleemphasis{ data}, size\_t\sphinxstyleemphasis{ num\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}} *\sphinxstyleemphasis{ valid}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_k_verify_checksum_iov:c.krb5_k_verify_checksum_iov}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_k\_verify\_checksum\_iov}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{cksumtype}, {\hyperref[\detokenize{appdev/refs/types/krb5_key:c.krb5_key}]{\sphinxcrossref{\DUrole{n}{krb5\_key}}}}\DUrole{w}{  }\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}]{\sphinxcrossref{\DUrole{n}{krb5\_keyusage}}}}\DUrole{w}{  }\DUrole{n}{usage}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{num\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{valid}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} - Checksum type (0 for mandatory type)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{cksumtype} \sphinxhyphen{} Checksum type (0 for mandatory type)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} - Encryption key for a keyed checksum
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{key} \sphinxhyphen{} Encryption key for a keyed checksum
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} - Key usage (see \sphinxcode{KRB5\_KEYUSAGE} types)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{usage} \sphinxhyphen{} Key usage (see KRB5\_KEYUSAGE macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} - IOV array
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{data} \sphinxhyphen{} IOV array
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} - Size of \sphinxstyleemphasis{data}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{num\_data} \sphinxhyphen{} Size of \sphinxstyleemphasis{data}
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{valid} - Non-zero for success, zero for failure
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{valid} \sphinxhyphen{} Non\sphinxhyphen{}zero for success, zero for failure
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Confirm that the checksum in the {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:KRB5_CRYPTO_TYPE_CHECKSUM}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_CHECKSUM}}}} element is a valid checksum of the {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:KRB5_CRYPTO_TYPE_DATA}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_DATA}}}} and {\hyperref[\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:KRB5_CRYPTO_TYPE_SIGN_ONLY}]{\sphinxcrossref{\sphinxcode{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}}}} regions in the iov.
+\sphinxAtStartPar
+Confirm that the checksum in the \#KRB5\_CRYPTO\_TYPE\_CHECKSUM element is a valid checksum of the \#KRB5\_CRYPTO\_TYPE\_DATA and \#KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY regions in the iov.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_k_make_checksum_iov:c.krb5_k_make_checksum_iov}]{\sphinxcrossref{\sphinxcode{krb5\_k\_make\_checksum\_iov()}}}}
+\sphinxAtStartPar
+krb5\_k\_make\_checksum\_iov()
 
 
 
 \begin{sphinxadmonition}{note}{Note:}
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_c_verify_checksum_iov:c.krb5_c_verify_checksum_iov}]{\sphinxcrossref{\sphinxcode{krb5\_c\_verify\_checksum\_iov()}}}} , but operates on opaque \sphinxstyleemphasis{key} .
+\sphinxAtStartPar
+This function is similar to krb5\_c\_verify\_checksum\_iov(), but operates on opaque \sphinxstyleemphasis{key} .
 \end{sphinxadmonition}
 
 
 \subsection{Legacy convenience interfaces}
 \label{\detokenize{appdev/refs/api/index:legacy-convenience-interfaces}}
 
-\subsubsection{krb5\_recvauth -  Server function for sendauth protocol.}
-\label{\detokenize{appdev/refs/api/krb5_recvauth::doc}}\label{\detokenize{appdev/refs/api/krb5_recvauth:krb5-recvauth-server-function-for-sendauth-protocol}}\index{krb5\_recvauth (C function)}
+\subsubsection{krb5\_recvauth \sphinxhyphen{}  Server function for sendauth protocol.}
+\label{\detokenize{appdev/refs/api/krb5_recvauth:krb5-recvauth-server-function-for-sendauth-protocol}}\label{\detokenize{appdev/refs/api/krb5_recvauth::doc}}\index{krb5\_recvauth (C function)@\spxentry{krb5\_recvauth}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_recvauth:c.krb5_recvauth}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_recvauth}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}} *\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}}\sphinxstyleemphasis{ fd}, char *\sphinxstyleemphasis{ appl\_version}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ server}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}\sphinxstyleemphasis{ flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}} **\sphinxstyleemphasis{ ticket}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_recvauth:c.krb5_recvauth}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_recvauth}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{n}{fd}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{appl\_version}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{server}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{n}{flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ticket}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} - Pre-existing or newly created auth context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Pre\sphinxhyphen{}existing or newly created auth context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fd} - File descriptor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fd} \sphinxhyphen{} File descriptor
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{appl\_version} - Application protocol version to be matched against the client’s application version
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{appl\_version} \sphinxhyphen{} Application protocol version to be matched against the client’s application version
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Server principal (NULL for any in \sphinxstyleemphasis{keytab} )
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Server principal (NULL for any in \sphinxstyleemphasis{keytab} )
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Additional specifications
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Additional specifications
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Key table containing service keys
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Key table containing service keys
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ticket} - Ticket (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ticket} \sphinxhyphen{} Ticket (NULL if not needed)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function performs the server side of a sendauth/recvauth exchange by sending and receiving messages over \sphinxstyleemphasis{fd} .
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_ticket:c.krb5_free_ticket}]{\sphinxcrossref{\sphinxcode{krb5\_free\_ticket()}}}} to free \sphinxstyleemphasis{ticket} when it is no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_ticket() to free \sphinxstyleemphasis{ticket} when it is no longer needed.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_sendauth:c.krb5_sendauth}]{\sphinxcrossref{\sphinxcode{krb5\_sendauth()}}}}
+\sphinxAtStartPar
+krb5\_sendauth()
 
 
 
 
-\subsubsection{krb5\_recvauth\_version -  Server function for sendauth protocol with version parameter.}
-\label{\detokenize{appdev/refs/api/krb5_recvauth_version::doc}}\label{\detokenize{appdev/refs/api/krb5_recvauth_version:krb5-recvauth-version-server-function-for-sendauth-protocol-with-version-parameter}}\index{krb5\_recvauth\_version (C function)}
+\subsubsection{krb5\_recvauth\_version \sphinxhyphen{}  Server function for sendauth protocol with version parameter.}
+\label{\detokenize{appdev/refs/api/krb5_recvauth_version:krb5-recvauth-version-server-function-for-sendauth-protocol-with-version-parameter}}\label{\detokenize{appdev/refs/api/krb5_recvauth_version::doc}}\index{krb5\_recvauth\_version (C function)@\spxentry{krb5\_recvauth\_version}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_recvauth_version:c.krb5_recvauth_version}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_recvauth\_version}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}} *\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}}\sphinxstyleemphasis{ fd}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ server}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}\sphinxstyleemphasis{ flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}} **\sphinxstyleemphasis{ ticket}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ version}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_recvauth_version:c.krb5_recvauth_version}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_recvauth\_version}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{n}{fd}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{server}, {\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\DUrole{n}{flags}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ticket}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{version}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} - Pre-existing or newly created auth context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Pre\sphinxhyphen{}existing or newly created auth context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fd} - File descriptor
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fd} \sphinxhyphen{} File descriptor
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Server principal (NULL for any in \sphinxstyleemphasis{keytab} )
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Server principal (NULL for any in \sphinxstyleemphasis{keytab} )
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} - Additional specifications
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{flags} \sphinxhyphen{} Additional specifications
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} - Decryption key
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{keytab} \sphinxhyphen{} Decryption key
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ticket} - Ticket (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{ticket} \sphinxhyphen{} Ticket (NULL if not needed)
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{version} - sendauth protocol version (NULL if not needed)
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{version} \sphinxhyphen{} sendauth protocol version (NULL if not needed)
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-This function is similar to {\hyperref[\detokenize{appdev/refs/api/krb5_recvauth:c.krb5_recvauth}]{\sphinxcrossref{\sphinxcode{krb5\_recvauth()}}}} with the additional output information place into \sphinxstyleemphasis{version} .
+\sphinxAtStartPar
+This function is similar to krb5\_recvauth() with the additional output information place into \sphinxstyleemphasis{version} .
 
 
-\subsubsection{krb5\_sendauth -  Client function for sendauth protocol.}
-\label{\detokenize{appdev/refs/api/krb5_sendauth:krb5-sendauth-client-function-for-sendauth-protocol}}\label{\detokenize{appdev/refs/api/krb5_sendauth::doc}}\index{krb5\_sendauth (C function)}
+\subsubsection{krb5\_sendauth \sphinxhyphen{}  Client function for sendauth protocol.}
+\label{\detokenize{appdev/refs/api/krb5_sendauth:krb5-sendauth-client-function-for-sendauth-protocol}}\label{\detokenize{appdev/refs/api/krb5_sendauth::doc}}\index{krb5\_sendauth (C function)@\spxentry{krb5\_sendauth}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_sendauth:c.krb5_sendauth}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_sendauth}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}} *\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}}\sphinxstyleemphasis{ fd}, char *\sphinxstyleemphasis{ appl\_version}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ client}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ server}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ ap\_req\_options}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ in\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{krb5\_error}}} **\sphinxstyleemphasis{ error}, {\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{krb5\_ap\_rep\_enc\_part}}} **\sphinxstyleemphasis{ rep\_result}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} **\sphinxstyleemphasis{ out\_creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_sendauth:c.krb5_sendauth}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_sendauth}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{n}{fd}, \DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{appl\_version}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{client}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{server}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{ap\_req\_options}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_data}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{error}, {\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep\_enc\_part}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{rep\_result}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{out\_creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} - Pre-existing or newly created auth context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}inout{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Pre\sphinxhyphen{}existing or newly created auth context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fd} - File descriptor that describes network socket
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{fd} \sphinxhyphen{} File descriptor that describes network socket
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{appl\_version} - Application protocol version to be matched with the receiver’s application version
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{appl\_version} \sphinxhyphen{} Application protocol version to be matched with the receiver’s application version
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} - Client principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{client} \sphinxhyphen{} Client principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} - Server principal
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{server} \sphinxhyphen{} Server principal
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_options} - \sphinxcode{AP\_OPTS} options
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ap\_req\_options} \sphinxhyphen{} Options (see AP\_OPTS macros)
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_data} - Data to be sent to the server
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_data} \sphinxhyphen{} Data to be sent to the server
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_creds} - Input credentials, or NULL to use \sphinxstyleemphasis{ccache}
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{in\_creds} \sphinxhyphen{} Input credentials, or NULL to use \sphinxstyleemphasis{ccache}
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} - Credential cache
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{ccache} \sphinxhyphen{} Credential cache
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{error} - If non-null, contains KRB\_ERROR message returned from server
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{error} \sphinxhyphen{} If non\sphinxhyphen{}null, contains KRB\_ERROR message returned from server
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rep\_result} - If non-null and \sphinxstyleemphasis{ap\_req\_options} is {\hyperref[\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED:AP_OPTS_MUTUAL_REQUIRED}]{\sphinxcrossref{\sphinxcode{AP\_OPTS\_MUTUAL\_REQUIRED}}}} , contains the result of mutual authentication exchange
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{rep\_result} \sphinxhyphen{} If non\sphinxhyphen{}null and \sphinxstyleemphasis{ap\_req\_options} is \#AP\_OPTS\_MUTUAL\_REQUIRED, contains the result of mutual authentication exchange
 
-\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out\_creds} - If non-null, the retrieved credentials
+\sphinxAtStartPar
+\sphinxstylestrong{{[}out{]}} \sphinxstylestrong{out\_creds} \sphinxhyphen{} If non\sphinxhyphen{}null, the retrieved credentials
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 This function performs the client side of a sendauth/recvauth exchange by sending and receiving messages over \sphinxstyleemphasis{fd} .
 
+\sphinxAtStartPar
 Credentials may be specified in three ways:
 \begin{quote}
 \begin{itemize}
 \item {} 
-If \sphinxstyleemphasis{in\_creds} is NULL, credentials are obtained with {\hyperref[\detokenize{appdev/refs/api/krb5_get_credentials:c.krb5_get_credentials}]{\sphinxcrossref{\sphinxcode{krb5\_get\_credentials()}}}} using the principals \sphinxstyleemphasis{client} and \sphinxstyleemphasis{server} . \sphinxstyleemphasis{server} must be non-null; \sphinxstyleemphasis{client} may NULL to use the default principal of \sphinxstyleemphasis{ccache} .
+\sphinxAtStartPar
+If \sphinxstyleemphasis{in\_creds} is NULL, credentials are obtained with krb5\_get\_credentials() using the principals \sphinxstyleemphasis{client} and \sphinxstyleemphasis{server} . \sphinxstyleemphasis{server} must be non\sphinxhyphen{}null; \sphinxstyleemphasis{client} may NULL to use the default principal of \sphinxstyleemphasis{ccache} .
 
 \item {} 
-If \sphinxstyleemphasis{in\_creds} is non-null, but does not contain a ticket, credentials for the exchange are obtained with {\hyperref[\detokenize{appdev/refs/api/krb5_get_credentials:c.krb5_get_credentials}]{\sphinxcrossref{\sphinxcode{krb5\_get\_credentials()}}}} using \sphinxstyleemphasis{in\_creds} . In this case, the values of \sphinxstyleemphasis{client} and \sphinxstyleemphasis{server} are unused.
+\sphinxAtStartPar
+If \sphinxstyleemphasis{in\_creds} is non\sphinxhyphen{}null, but does not contain a ticket, credentials for the exchange are obtained with krb5\_get\_credentials() using \sphinxstyleemphasis{in\_creds} . In this case, the values of \sphinxstyleemphasis{client} and \sphinxstyleemphasis{server} are unused.
 
 \item {} 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{in\_creds} is a complete credentials structure, it used directly. In this case, the values of \sphinxstyleemphasis{client} , \sphinxstyleemphasis{server} , and \sphinxstyleemphasis{ccache} are unused.
 
 \end{itemize}
 
+\sphinxAtStartPar
 If the server is using a different application protocol than that specified in \sphinxstyleemphasis{appl\_version} , an error will be returned.
 \end{quote}
 
-Use {\hyperref[\detokenize{appdev/refs/api/krb5_free_creds:c.krb5_free_creds}]{\sphinxcrossref{\sphinxcode{krb5\_free\_creds()}}}} to free \sphinxstyleemphasis{out\_creds} , {\hyperref[\detokenize{appdev/refs/api/krb5_free_ap_rep_enc_part:c.krb5_free_ap_rep_enc_part}]{\sphinxcrossref{\sphinxcode{krb5\_free\_ap\_rep\_enc\_part()}}}} to free \sphinxstyleemphasis{rep\_result} , and {\hyperref[\detokenize{appdev/refs/api/krb5_free_error:c.krb5_free_error}]{\sphinxcrossref{\sphinxcode{krb5\_free\_error()}}}} to free \sphinxstyleemphasis{error} when they are no longer needed.
+\sphinxAtStartPar
+Use krb5\_free\_creds() to free \sphinxstyleemphasis{out\_creds} , krb5\_free\_ap\_rep\_enc\_part() to free \sphinxstyleemphasis{rep\_result} , and krb5\_free\_error() to free \sphinxstyleemphasis{error} when they are no longer needed.
 
 
 \sphinxstrong{See also:}
+\nopagebreak
 
 
-{\hyperref[\detokenize{appdev/refs/api/krb5_recvauth:c.krb5_recvauth}]{\sphinxcrossref{\sphinxcode{krb5\_recvauth()}}}}
+\sphinxAtStartPar
+krb5\_recvauth()
 
 
 
@@ -12059,25 +15386,32 @@ Use {\hyperref[\detokenize{appdev/refs/a
 \subsection{Deprecated public interfaces}
 \label{\detokenize{appdev/refs/api/index:deprecated-public-interfaces}}
 
-\subsubsection{krb5\_524\_convert\_creds -  Convert a Kerberos V5 credentials to a Kerberos V4 credentials.}
-\label{\detokenize{appdev/refs/api/krb5_524_convert_creds:krb5-524-convert-creds-convert-a-kerberos-v5-credentials-to-a-kerberos-v4-credentials}}\label{\detokenize{appdev/refs/api/krb5_524_convert_creds::doc}}\index{krb5\_524\_convert\_creds (C function)}
+\subsubsection{krb5\_524\_convert\_creds \sphinxhyphen{}  Convert a Kerberos V5 credentials to a Kerberos V4 credentials.}
+\label{\detokenize{appdev/refs/api/krb5_524_convert_creds:krb5-524-convert-creds-convert-a-kerberos-v5-credentials-to-a-kerberos-v4-credentials}}\label{\detokenize{appdev/refs/api/krb5_524_convert_creds::doc}}\index{krb5\_524\_convert\_creds (C function)@\spxentry{krb5\_524\_convert\_creds}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_524_convert_creds:c.krb5_524_convert_creds}}\pysiglinewithargsret{int \sphinxbfcode{krb5\_524\_convert\_creds}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ v5creds}, struct credentials *\sphinxstyleemphasis{ v4creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_524_convert_creds:c.krb5_524_convert_creds}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{int}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_524\_convert\_creds}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{v5creds}, \DUrole{k}{struct}\DUrole{w}{  }\DUrole{n}{credentials}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{v4creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{v5creds}
 
+\sphinxAtStartPar
 \sphinxstylestrong{v4creds}
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 KRB524\_KRB4\_DISABLED   (always)
 
 \end{itemize}
@@ -12085,726 +15419,989 @@ KRB524\_KRB4\_DISABLED   (always)
 \end{description}\end{quote}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 Not implemented
 \end{sphinxadmonition}
 
 
 \subsubsection{krb5\_auth\_con\_getlocalsubkey}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalsubkey::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalsubkey:krb5-auth-con-getlocalsubkey}}\index{krb5\_auth\_con\_getlocalsubkey (C function)}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalsubkey:krb5-auth-con-getlocalsubkey}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalsubkey::doc}}\index{krb5\_auth\_con\_getlocalsubkey (C function)@\spxentry{krb5\_auth\_con\_getlocalsubkey}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalsubkey:c.krb5_auth_con_getlocalsubkey}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getlocalsubkey}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ keyblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getlocalsubkey:c.krb5_auth_con_getlocalsubkey}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getlocalsubkey}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{keyblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{auth\_context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{keyblock}
 
 \end{description}\end{quote}
 
-DEPRECATED Replaced by krb5\_auth\_con\_getsendsubkey() .
+\sphinxAtStartPar
+DEPRECATED Replaced by krb5\_auth\_con\_getsendsubkey().
 
 
 \subsubsection{krb5\_auth\_con\_getremotesubkey}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_getremotesubkey::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getremotesubkey:krb5-auth-con-getremotesubkey}}\index{krb5\_auth\_con\_getremotesubkey (C function)}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_getremotesubkey:krb5-auth-con-getremotesubkey}}\label{\detokenize{appdev/refs/api/krb5_auth_con_getremotesubkey::doc}}\index{krb5\_auth\_con\_getremotesubkey (C function)@\spxentry{krb5\_auth\_con\_getremotesubkey}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getremotesubkey:c.krb5_auth_con_getremotesubkey}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_getremotesubkey}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ keyblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_getremotesubkey:c.krb5_auth_con_getremotesubkey}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_getremotesubkey}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{keyblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{auth\_context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{keyblock}
 
 \end{description}\end{quote}
 
-DEPRECATED Replaced by krb5\_auth\_con\_getrecvsubkey() .
+\sphinxAtStartPar
+DEPRECATED Replaced by krb5\_auth\_con\_getrecvsubkey().
 
 
-\subsubsection{krb5\_auth\_con\_initivector -  Cause an auth context to use cipher state.}
-\label{\detokenize{appdev/refs/api/krb5_auth_con_initivector::doc}}\label{\detokenize{appdev/refs/api/krb5_auth_con_initivector:krb5-auth-con-initivector-cause-an-auth-context-to-use-cipher-state}}\index{krb5\_auth\_con\_initivector (C function)}
+\subsubsection{krb5\_auth\_con\_initivector \sphinxhyphen{}  Cause an auth context to use cipher state.}
+\label{\detokenize{appdev/refs/api/krb5_auth_con_initivector:krb5-auth-con-initivector-cause-an-auth-context-to-use-cipher-state}}\label{\detokenize{appdev/refs/api/krb5_auth_con_initivector::doc}}\index{krb5\_auth\_con\_initivector (C function)@\spxentry{krb5\_auth\_con\_initivector}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_initivector:c.krb5_auth_con_initivector}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_auth\_con\_initivector}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{krb5\_auth\_context}}}\sphinxstyleemphasis{ auth\_context}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_auth_con_initivector:c.krb5_auth_con_initivector}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_con\_initivector}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}]{\sphinxcrossref{\DUrole{n}{krb5\_auth\_context}}}}\DUrole{w}{  }\DUrole{n}{auth\_context}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} - Library context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{context} \sphinxhyphen{} Library context
 
-\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} - Authentication context
+\sphinxAtStartPar
+\sphinxstylestrong{{[}in{]}} \sphinxstylestrong{auth\_context} \sphinxhyphen{} Authentication context
 
 \end{description}\end{quote}
 \begin{quote}\begin{description}
 \item[{retval}] \leavevmode\begin{itemize}
 \item {} 
-0   Success; otherwise - Kerberos error codes
+\sphinxAtStartPar
+0   Success; otherwise \sphinxhyphen{} Kerberos error codes
 
 \end{itemize}
 
 \end{description}\end{quote}
 
-Prepare \sphinxstyleemphasis{auth\_context} to use cipher state when {\hyperref[\detokenize{appdev/refs/api/krb5_mk_priv:c.krb5_mk_priv}]{\sphinxcrossref{\sphinxcode{krb5\_mk\_priv()}}}} or {\hyperref[\detokenize{appdev/refs/api/krb5_rd_priv:c.krb5_rd_priv}]{\sphinxcrossref{\sphinxcode{krb5\_rd\_priv()}}}} encrypt or decrypt data.
+\sphinxAtStartPar
+Prepare \sphinxstyleemphasis{auth\_context} to use cipher state when krb5\_mk\_priv() or krb5\_rd\_priv() encrypt or decrypt data.
 
 
 \subsubsection{krb5\_build\_principal\_va}
-\label{\detokenize{appdev/refs/api/krb5_build_principal_va:krb5-build-principal-va}}\label{\detokenize{appdev/refs/api/krb5_build_principal_va::doc}}\index{krb5\_build\_principal\_va (C function)}
+\label{\detokenize{appdev/refs/api/krb5_build_principal_va:krb5-build-principal-va}}\label{\detokenize{appdev/refs/api/krb5_build_principal_va::doc}}\index{krb5\_build\_principal\_va (C function)@\spxentry{krb5\_build\_principal\_va}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_build_principal_va:c.krb5_build_principal_va}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_build\_principal\_va}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}\sphinxstyleemphasis{ princ}, unsigned int\sphinxstyleemphasis{ rlen}, const char *\sphinxstyleemphasis{ realm}, va\_list\sphinxstyleemphasis{ ap}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_build_principal_va:c.krb5_build_principal_va}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_build\_principal\_va}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\DUrole{n}{princ}, \DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\DUrole{n}{rlen}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{realm}, \DUrole{n}{va\_list}\DUrole{w}{  }\DUrole{n}{ap}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{princ}
 
+\sphinxAtStartPar
 \sphinxstylestrong{rlen}
 
+\sphinxAtStartPar
 \sphinxstylestrong{realm}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ap}
 
 \end{description}\end{quote}
 
-DEPRECATED Replaced by krb5\_build\_principal\_alloc\_va() .
+\sphinxAtStartPar
+DEPRECATED Replaced by krb5\_build\_principal\_alloc\_va().
 
 
 \subsubsection{krb5\_c\_random\_seed}
-\label{\detokenize{appdev/refs/api/krb5_c_random_seed:krb5-c-random-seed}}\label{\detokenize{appdev/refs/api/krb5_c_random_seed::doc}}\index{krb5\_c\_random\_seed (C function)}
+\label{\detokenize{appdev/refs/api/krb5_c_random_seed:krb5-c-random-seed}}\label{\detokenize{appdev/refs/api/krb5_c_random_seed::doc}}\index{krb5\_c\_random\_seed (C function)@\spxentry{krb5\_c\_random\_seed}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_seed:c.krb5_c_random_seed}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_c\_random\_seed}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_c_random_seed:c.krb5_c_random_seed}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_c\_random\_seed}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{data}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED This call is no longer necessary.
 
 
 \subsubsection{krb5\_calculate\_checksum}
-\label{\detokenize{appdev/refs/api/krb5_calculate_checksum:krb5-calculate-checksum}}\label{\detokenize{appdev/refs/api/krb5_calculate_checksum::doc}}\index{krb5\_calculate\_checksum (C function)}
+\label{\detokenize{appdev/refs/api/krb5_calculate_checksum:krb5-calculate-checksum}}\label{\detokenize{appdev/refs/api/krb5_calculate_checksum::doc}}\index{krb5\_calculate\_checksum (C function)@\spxentry{krb5\_calculate\_checksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_calculate_checksum:c.krb5_calculate_checksum}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_calculate\_checksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ ctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{krb5\_const\_pointer}}}\sphinxstyleemphasis{ in}, size\_t\sphinxstyleemphasis{ in\_length}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{krb5\_const\_pointer}}}\sphinxstyleemphasis{ seed}, size\_t\sphinxstyleemphasis{ seed\_length}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} *\sphinxstyleemphasis{ outcksum}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_calculate_checksum:c.krb5_calculate_checksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_calculate\_checksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{ctype}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_pointer}}}}\DUrole{w}{  }\DUrole{n}{in}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{in\_length}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_pointer}}}}\DUrole{w}{  }\DUrole{n}{seed}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{seed\_length}, {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{outcksum}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ctype}
 
+\sphinxAtStartPar
 \sphinxstylestrong{in}
 
+\sphinxAtStartPar
 \sphinxstylestrong{in\_length}
 
+\sphinxAtStartPar
 \sphinxstylestrong{seed}
 
+\sphinxAtStartPar
 \sphinxstylestrong{seed\_length}
 
+\sphinxAtStartPar
 \sphinxstylestrong{outcksum}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED See krb5\_c\_make\_checksum()
 
 
 \subsubsection{krb5\_checksum\_size}
-\label{\detokenize{appdev/refs/api/krb5_checksum_size:krb5-checksum-size}}\label{\detokenize{appdev/refs/api/krb5_checksum_size::doc}}\index{krb5\_checksum\_size (C function)}
+\label{\detokenize{appdev/refs/api/krb5_checksum_size:krb5-checksum-size}}\label{\detokenize{appdev/refs/api/krb5_checksum_size::doc}}\index{krb5\_checksum\_size (C function)@\spxentry{krb5\_checksum\_size}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_checksum_size:c.krb5_checksum_size}}\pysiglinewithargsret{size\_t \sphinxbfcode{krb5\_checksum\_size}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ ctype}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_checksum_size:c.krb5_checksum_size}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{n}{size\_t}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_checksum\_size}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{ctype}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ctype}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED See krb5\_c\_checksum\_length()
 
 
 \subsubsection{krb5\_encrypt}
-\label{\detokenize{appdev/refs/api/krb5_encrypt:krb5-encrypt}}\label{\detokenize{appdev/refs/api/krb5_encrypt::doc}}\index{krb5\_encrypt (C function)}
+\label{\detokenize{appdev/refs/api/krb5_encrypt:krb5-encrypt}}\label{\detokenize{appdev/refs/api/krb5_encrypt::doc}}\index{krb5\_encrypt (C function)@\spxentry{krb5\_encrypt}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_encrypt:c.krb5_encrypt}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_encrypt}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{krb5\_const\_pointer}}}\sphinxstyleemphasis{ inptr}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}}\sphinxstyleemphasis{ outptr}, size\_t\sphinxstyleemphasis{ size}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}}\sphinxstyleemphasis{ ivec}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_encrypt:c.krb5_encrypt}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_encrypt}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_pointer}}}}\DUrole{w}{  }\DUrole{n}{inptr}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{n}{outptr}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{size}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{n}{ivec}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{inptr}
 
+\sphinxAtStartPar
 \sphinxstylestrong{outptr}
 
+\sphinxAtStartPar
 \sphinxstylestrong{size}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ivec}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_decrypt}
-\label{\detokenize{appdev/refs/api/krb5_decrypt:krb5-decrypt}}\label{\detokenize{appdev/refs/api/krb5_decrypt::doc}}\index{krb5\_decrypt (C function)}
+\label{\detokenize{appdev/refs/api/krb5_decrypt:krb5-decrypt}}\label{\detokenize{appdev/refs/api/krb5_decrypt::doc}}\index{krb5\_decrypt (C function)@\spxentry{krb5\_decrypt}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_decrypt:c.krb5_decrypt}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_decrypt}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{krb5\_const\_pointer}}}\sphinxstyleemphasis{ inptr}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}}\sphinxstyleemphasis{ outptr}, size\_t\sphinxstyleemphasis{ size}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}}\sphinxstyleemphasis{ ivec}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_decrypt:c.krb5_decrypt}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_decrypt}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_pointer}}}}\DUrole{w}{  }\DUrole{n}{inptr}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{n}{outptr}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{size}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{n}{ivec}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{inptr}
 
+\sphinxAtStartPar
 \sphinxstylestrong{outptr}
 
+\sphinxAtStartPar
 \sphinxstylestrong{size}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ivec}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_eblock\_enctype}
-\label{\detokenize{appdev/refs/api/krb5_eblock_enctype::doc}}\label{\detokenize{appdev/refs/api/krb5_eblock_enctype:krb5-eblock-enctype}}\index{krb5\_eblock\_enctype (C function)}
+\label{\detokenize{appdev/refs/api/krb5_eblock_enctype:krb5-eblock-enctype}}\label{\detokenize{appdev/refs/api/krb5_eblock_enctype::doc}}\index{krb5\_eblock\_enctype (C function)@\spxentry{krb5\_eblock\_enctype}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_eblock_enctype:c.krb5_eblock_enctype}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} \sphinxbfcode{krb5\_eblock\_enctype}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_eblock_enctype:c.krb5_eblock_enctype}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_eblock\_enctype}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_encrypt\_size}
-\label{\detokenize{appdev/refs/api/krb5_encrypt_size:krb5-encrypt-size}}\label{\detokenize{appdev/refs/api/krb5_encrypt_size::doc}}\index{krb5\_encrypt\_size (C function)}
+\label{\detokenize{appdev/refs/api/krb5_encrypt_size:krb5-encrypt-size}}\label{\detokenize{appdev/refs/api/krb5_encrypt_size::doc}}\index{krb5\_encrypt\_size (C function)@\spxentry{krb5\_encrypt\_size}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_encrypt_size:c.krb5_encrypt_size}}\pysiglinewithargsret{size\_t \sphinxbfcode{krb5\_encrypt\_size}}{size\_t\sphinxstyleemphasis{ length}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ crypto}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_encrypt_size:c.krb5_encrypt_size}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{n}{size\_t}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_encrypt\_size}}}}{\DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{length}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{crypto}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{length}
 
+\sphinxAtStartPar
 \sphinxstylestrong{crypto}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_finish\_key}
-\label{\detokenize{appdev/refs/api/krb5_finish_key:krb5-finish-key}}\label{\detokenize{appdev/refs/api/krb5_finish_key::doc}}\index{krb5\_finish\_key (C function)}
+\label{\detokenize{appdev/refs/api/krb5_finish_key:krb5-finish-key}}\label{\detokenize{appdev/refs/api/krb5_finish_key::doc}}\index{krb5\_finish\_key (C function)@\spxentry{krb5\_finish\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_finish_key:c.krb5_finish_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_finish\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_finish_key:c.krb5_finish_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_finish\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_finish\_random\_key}
-\label{\detokenize{appdev/refs/api/krb5_finish_random_key:krb5-finish-random-key}}\label{\detokenize{appdev/refs/api/krb5_finish_random_key::doc}}\index{krb5\_finish\_random\_key (C function)}
+\label{\detokenize{appdev/refs/api/krb5_finish_random_key:krb5-finish-random-key}}\label{\detokenize{appdev/refs/api/krb5_finish_random_key::doc}}\index{krb5\_finish\_random\_key (C function)@\spxentry{krb5\_finish\_random\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_finish_random_key:c.krb5_finish_random_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_finish\_random\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}} *\sphinxstyleemphasis{ ptr}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_finish_random_key:c.krb5_finish_random_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_finish\_random\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ptr}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ptr}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_cc\_gen\_new}
-\label{\detokenize{appdev/refs/api/krb5_cc_gen_new:krb5-cc-gen-new}}\label{\detokenize{appdev/refs/api/krb5_cc_gen_new::doc}}\index{krb5\_cc\_gen\_new (C function)}
+\label{\detokenize{appdev/refs/api/krb5_cc_gen_new:krb5-cc-gen-new}}\label{\detokenize{appdev/refs/api/krb5_cc_gen_new::doc}}\index{krb5\_cc\_gen\_new (C function)@\spxentry{krb5\_cc\_gen\_new}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_gen_new:c.krb5_cc_gen_new}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_cc\_gen\_new}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}} *\sphinxstyleemphasis{ cache}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_cc_gen_new:c.krb5_cc_gen_new}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_gen\_new}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cache}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{cache}
 
 \end{description}\end{quote}
 
 
 \subsubsection{krb5\_get\_credentials\_renew}
-\label{\detokenize{appdev/refs/api/krb5_get_credentials_renew:krb5-get-credentials-renew}}\label{\detokenize{appdev/refs/api/krb5_get_credentials_renew::doc}}\index{krb5\_get\_credentials\_renew (C function)}
+\label{\detokenize{appdev/refs/api/krb5_get_credentials_renew:krb5-get-credentials-renew}}\label{\detokenize{appdev/refs/api/krb5_get_credentials_renew::doc}}\index{krb5\_get\_credentials\_renew (C function)@\spxentry{krb5\_get\_credentials\_renew}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_credentials_renew:c.krb5_get_credentials_renew}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_credentials\_renew}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ options}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} **\sphinxstyleemphasis{ out\_creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_credentials_renew:c.krb5_get_credentials_renew}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_credentials\_renew}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{options}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{out\_creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{options}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ccache}
 
+\sphinxAtStartPar
 \sphinxstylestrong{in\_creds}
 
+\sphinxAtStartPar
 \sphinxstylestrong{out\_creds}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_get\_renewed\_creds.
 
 
 \subsubsection{krb5\_get\_credentials\_validate}
-\label{\detokenize{appdev/refs/api/krb5_get_credentials_validate:krb5-get-credentials-validate}}\label{\detokenize{appdev/refs/api/krb5_get_credentials_validate::doc}}\index{krb5\_get\_credentials\_validate (C function)}
+\label{\detokenize{appdev/refs/api/krb5_get_credentials_validate:krb5-get-credentials-validate}}\label{\detokenize{appdev/refs/api/krb5_get_credentials_validate::doc}}\index{krb5\_get\_credentials\_validate (C function)@\spxentry{krb5\_get\_credentials\_validate}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_credentials_validate:c.krb5_get_credentials_validate}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_credentials\_validate}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ options}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} **\sphinxstyleemphasis{ out\_creds}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_credentials_validate:c.krb5_get_credentials_validate}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_credentials\_validate}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{options}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{in\_creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{out\_creds}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{options}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ccache}
 
+\sphinxAtStartPar
 \sphinxstylestrong{in\_creds}
 
+\sphinxAtStartPar
 \sphinxstylestrong{out\_creds}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_get\_validated\_creds.
 
 
 \subsubsection{krb5\_get\_in\_tkt\_with\_password}
-\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_password:krb5-get-in-tkt-with-password}}\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_password::doc}}\index{krb5\_get\_in\_tkt\_with\_password (C function)}
+\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_password:krb5-get-in-tkt-with-password}}\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_password::doc}}\index{krb5\_get\_in\_tkt\_with\_password (C function)@\spxentry{krb5\_get\_in\_tkt\_with\_password}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_password:c.krb5_get_in_tkt_with_password}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_in\_tkt\_with\_password}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ options}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *const *\sphinxstyleemphasis{ addrs}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *\sphinxstyleemphasis{ ktypes}, {\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{krb5\_preauthtype}}} *\sphinxstyleemphasis{ pre\_auth\_types}, const char *\sphinxstyleemphasis{ password}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{krb5\_kdc\_rep}}} **\sphinxstyleemphasis{ ret\_as\_reply}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_password:c.krb5_get_in_tkt_with_password}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_in\_tkt\_with\_password}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{options}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{addrs}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ktypes}, {\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{\DUrole{n}{krb5\_preauthtype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pre\_auth\_types}, \DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{password}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ret\_as\_reply}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{options}
 
+\sphinxAtStartPar
 \sphinxstylestrong{addrs}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ktypes}
 
+\sphinxAtStartPar
 \sphinxstylestrong{pre\_auth\_types}
 
+\sphinxAtStartPar
 \sphinxstylestrong{password}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ccache}
 
+\sphinxAtStartPar
 \sphinxstylestrong{creds}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ret\_as\_reply}
 
 \end{description}\end{quote}
 
-DEPRECATED Replaced by krb5\_get\_init\_creds\_password() .
+\sphinxAtStartPar
+DEPRECATED Replaced by krb5\_get\_init\_creds\_password().
 
 
 \subsubsection{krb5\_get\_in\_tkt\_with\_skey}
-\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_skey:krb5-get-in-tkt-with-skey}}\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_skey::doc}}\index{krb5\_get\_in\_tkt\_with\_skey (C function)}
+\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_skey:krb5-get-in-tkt-with-skey}}\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_skey::doc}}\index{krb5\_get\_in\_tkt\_with\_skey (C function)@\spxentry{krb5\_get\_in\_tkt\_with\_skey}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_skey:c.krb5_get_in_tkt_with_skey}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_in\_tkt\_with\_skey}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ options}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *const *\sphinxstyleemphasis{ addrs}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *\sphinxstyleemphasis{ ktypes}, {\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{krb5\_preauthtype}}} *\sphinxstyleemphasis{ pre\_auth\_types}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{krb5\_kdc\_rep}}} **\sphinxstyleemphasis{ ret\_as\_reply}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_skey:c.krb5_get_in_tkt_with_skey}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_in\_tkt\_with\_skey}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{options}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{addrs}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ktypes}, {\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{\DUrole{n}{krb5\_preauthtype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pre\_auth\_types}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ret\_as\_reply}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{options}
 
+\sphinxAtStartPar
 \sphinxstylestrong{addrs}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ktypes}
 
+\sphinxAtStartPar
 \sphinxstylestrong{pre\_auth\_types}
 
+\sphinxAtStartPar
 \sphinxstylestrong{key}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ccache}
 
+\sphinxAtStartPar
 \sphinxstylestrong{creds}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ret\_as\_reply}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_get\_init\_creds().
 
 
 \subsubsection{krb5\_get\_in\_tkt\_with\_keytab}
-\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_keytab:krb5-get-in-tkt-with-keytab}}\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_keytab::doc}}\index{krb5\_get\_in\_tkt\_with\_keytab (C function)}
+\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_keytab:krb5-get-in-tkt-with-keytab}}\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_keytab::doc}}\index{krb5\_get\_in\_tkt\_with\_keytab (C function)@\spxentry{krb5\_get\_in\_tkt\_with\_keytab}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_keytab:c.krb5_get_in_tkt_with_keytab}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_get\_in\_tkt\_with\_keytab}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}\sphinxstyleemphasis{ options}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}} *const *\sphinxstyleemphasis{ addrs}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *\sphinxstyleemphasis{ ktypes}, {\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{krb5\_preauthtype}}} *\sphinxstyleemphasis{ pre\_auth\_types}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{krb5\_keytab}}}\sphinxstyleemphasis{ arg\_keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{krb5\_ccache}}}\sphinxstyleemphasis{ ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{krb5\_creds}}} *\sphinxstyleemphasis{ creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{krb5\_kdc\_rep}}} **\sphinxstyleemphasis{ ret\_as\_reply}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_in_tkt_with_keytab:c.krb5_get_in_tkt_with_keytab}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_in\_tkt\_with\_keytab}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\DUrole{n}{options}, {\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{k}{const}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{addrs}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ktypes}, {\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{\DUrole{n}{krb5\_preauthtype}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{pre\_auth\_types}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab}}}}\DUrole{w}{  }\DUrole{n}{arg\_keytab}, {\hyperref[\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}]{\sphinxcrossref{\DUrole{n}{krb5\_ccache}}}}\DUrole{w}{  }\DUrole{n}{ccache}, {\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{creds}, {\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{ret\_as\_reply}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{options}
 
+\sphinxAtStartPar
 \sphinxstylestrong{addrs}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ktypes}
 
+\sphinxAtStartPar
 \sphinxstylestrong{pre\_auth\_types}
 
+\sphinxAtStartPar
 \sphinxstylestrong{arg\_keytab}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ccache}
 
+\sphinxAtStartPar
 \sphinxstylestrong{creds}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ret\_as\_reply}
 
 \end{description}\end{quote}
 
-DEPRECATED Replaced by krb5\_get\_init\_creds\_keytab() .
+\sphinxAtStartPar
+DEPRECATED Replaced by krb5\_get\_init\_creds\_keytab().
 
 
 \subsubsection{krb5\_get\_init\_creds\_opt\_init}
-\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_init:krb5-get-init-creds-opt-init}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_init::doc}}\index{krb5\_get\_init\_creds\_opt\_init (C function)}
+\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_init:krb5-get-init-creds-opt-init}}\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_init::doc}}\index{krb5\_get\_init\_creds\_opt\_init (C function)@\spxentry{krb5\_get\_init\_creds\_opt\_init}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_init:c.krb5_get_init_creds_opt_init}}\pysiglinewithargsret{void \sphinxbfcode{krb5\_get\_init\_creds\_opt\_init}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{krb5\_get\_init\_creds\_opt}}} *\sphinxstyleemphasis{ opt}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_get_init_creds_opt_init:c.krb5_get_init_creds_opt_init}}%
+\pysigstartmultiline
+\pysiglinewithargsret{\DUrole{kt}{void}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt\_init}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{opt}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{opt}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Use krb5\_get\_init\_creds\_opt\_alloc() instead.
 
 
 \subsubsection{krb5\_init\_random\_key}
-\label{\detokenize{appdev/refs/api/krb5_init_random_key:krb5-init-random-key}}\label{\detokenize{appdev/refs/api/krb5_init_random_key::doc}}\index{krb5\_init\_random\_key (C function)}
+\label{\detokenize{appdev/refs/api/krb5_init_random_key:krb5-init-random-key}}\label{\detokenize{appdev/refs/api/krb5_init_random_key::doc}}\index{krb5\_init\_random\_key (C function)@\spxentry{krb5\_init\_random\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_random_key:c.krb5_init_random_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_init\_random\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ keyblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}} *\sphinxstyleemphasis{ ptr}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_init_random_key:c.krb5_init_random_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_random\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keyblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{ptr}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{keyblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ptr}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_kt\_free\_entry}
-\label{\detokenize{appdev/refs/api/krb5_kt_free_entry:krb5-kt-free-entry}}\label{\detokenize{appdev/refs/api/krb5_kt_free_entry::doc}}\index{krb5\_kt\_free\_entry (C function)}
+\label{\detokenize{appdev/refs/api/krb5_kt_free_entry:krb5-kt-free-entry}}\label{\detokenize{appdev/refs/api/krb5_kt_free_entry::doc}}\index{krb5\_kt\_free\_entry (C function)@\spxentry{krb5\_kt\_free\_entry}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_free_entry:c.krb5_kt_free_entry}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_kt\_free\_entry}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{krb5\_keytab\_entry}}} *\sphinxstyleemphasis{ entry}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_kt_free_entry:c.krb5_kt_free_entry}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_free\_entry}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{entry}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{entry}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Use krb5\_free\_keytab\_entry\_contents instead.
 
 
 \subsubsection{krb5\_random\_key}
-\label{\detokenize{appdev/refs/api/krb5_random_key:krb5-random-key}}\label{\detokenize{appdev/refs/api/krb5_random_key::doc}}\index{krb5\_random\_key (C function)}
+\label{\detokenize{appdev/refs/api/krb5_random_key:krb5-random-key}}\label{\detokenize{appdev/refs/api/krb5_random_key::doc}}\index{krb5\_random\_key (C function)@\spxentry{krb5\_random\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_random_key:c.krb5_random_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_random\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{krb5\_pointer}}}\sphinxstyleemphasis{ ptr}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} **\sphinxstyleemphasis{ keyblock}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_random_key:c.krb5_random_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_random\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_pointer}}}}\DUrole{w}{  }\DUrole{n}{ptr}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\DUrole{n}{keyblock}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ptr}
 
+\sphinxAtStartPar
 \sphinxstylestrong{keyblock}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_process\_key}
-\label{\detokenize{appdev/refs/api/krb5_process_key:krb5-process-key}}\label{\detokenize{appdev/refs/api/krb5_process_key::doc}}\index{krb5\_process\_key (C function)}
+\label{\detokenize{appdev/refs/api/krb5_process_key:krb5-process-key}}\label{\detokenize{appdev/refs/api/krb5_process_key::doc}}\index{krb5\_process\_key (C function)@\spxentry{krb5\_process\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_process_key:c.krb5_process_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_process\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}, const {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ key}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_process_key:c.krb5_process_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_process\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{key}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{key}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_string\_to\_key}
-\label{\detokenize{appdev/refs/api/krb5_string_to_key:krb5-string-to-key}}\label{\detokenize{appdev/refs/api/krb5_string_to_key::doc}}\index{krb5\_string\_to\_key (C function)}
+\label{\detokenize{appdev/refs/api/krb5_string_to_key:krb5-string-to-key}}\label{\detokenize{appdev/refs/api/krb5_string_to_key::doc}}\index{krb5\_string\_to\_key (C function)@\spxentry{krb5\_string\_to\_key}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_key:c.krb5_string_to_key}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_string\_to\_key}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, const {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}} *\sphinxstyleemphasis{ keyblock}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ data}, const {\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} *\sphinxstyleemphasis{ salt}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_string_to_key:c.krb5_string_to_key}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_string\_to\_key}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{keyblock}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{data}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{salt}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{keyblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{data}
 
+\sphinxAtStartPar
 \sphinxstylestrong{salt}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED See krb5\_c\_string\_to\_key()
 
 
 \subsubsection{krb5\_use\_enctype}
-\label{\detokenize{appdev/refs/api/krb5_use_enctype:krb5-use-enctype}}\label{\detokenize{appdev/refs/api/krb5_use_enctype::doc}}\index{krb5\_use\_enctype (C function)}
+\label{\detokenize{appdev/refs/api/krb5_use_enctype:krb5-use-enctype}}\label{\detokenize{appdev/refs/api/krb5_use_enctype::doc}}\index{krb5\_use\_enctype (C function)@\spxentry{krb5\_use\_enctype}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_use_enctype:c.krb5_use_enctype}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_use\_enctype}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{krb5\_encrypt\_block}}} *\sphinxstyleemphasis{ eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}\sphinxstyleemphasis{ enctype}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_use_enctype:c.krb5_use_enctype}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_use\_enctype}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{eblock}, {\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{n}{enctype}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{eblock}
 
+\sphinxAtStartPar
 \sphinxstylestrong{enctype}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED Replaced by krb5\_c\_* API family.
 
 
 \subsubsection{krb5\_verify\_checksum}
-\label{\detokenize{appdev/refs/api/krb5_verify_checksum::doc}}\label{\detokenize{appdev/refs/api/krb5_verify_checksum:krb5-verify-checksum}}\index{krb5\_verify\_checksum (C function)}
+\label{\detokenize{appdev/refs/api/krb5_verify_checksum:krb5-verify-checksum}}\label{\detokenize{appdev/refs/api/krb5_verify_checksum::doc}}\index{krb5\_verify\_checksum (C function)@\spxentry{krb5\_verify\_checksum}\spxextra{C function}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_checksum:c.krb5_verify_checksum}}\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{krb5\_error\_code}}} \sphinxbfcode{krb5\_verify\_checksum}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{krb5\_context}}}\sphinxstyleemphasis{ context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}\sphinxstyleemphasis{ ctype}, const {\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}} *\sphinxstyleemphasis{ cksum}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{krb5\_const\_pointer}}}\sphinxstyleemphasis{ in}, size\_t\sphinxstyleemphasis{ in\_length}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{krb5\_const\_pointer}}}\sphinxstyleemphasis{ seed}, size\_t\sphinxstyleemphasis{ seed\_length}}{}
+\phantomsection\label{\detokenize{appdev/refs/api/krb5_verify_checksum:c.krb5_verify_checksum}}%
+\pysigstartmultiline
+\pysiglinewithargsret{{\hyperref[\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}]{\sphinxcrossref{\DUrole{n}{krb5\_error\_code}}}}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_verify\_checksum}}}}{{\hyperref[\detokenize{appdev/refs/types/krb5_context:c.krb5_context}]{\sphinxcrossref{\DUrole{n}{krb5\_context}}}}\DUrole{w}{  }\DUrole{n}{context}, {\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\DUrole{n}{ctype}, \DUrole{k}{const}\DUrole{w}{  }{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{n}{cksum}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_pointer}}}}\DUrole{w}{  }\DUrole{n}{in}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{in\_length}, {\hyperref[\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_pointer}}}}\DUrole{w}{  }\DUrole{n}{seed}, \DUrole{n}{size\_t}\DUrole{w}{  }\DUrole{n}{seed\_length}}{}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 \begin{quote}\begin{description}
 \item[{param}] \leavevmode
+\sphinxAtStartPar
 \sphinxstylestrong{context}
 
+\sphinxAtStartPar
 \sphinxstylestrong{ctype}
 
+\sphinxAtStartPar
 \sphinxstylestrong{cksum}
 
+\sphinxAtStartPar
 \sphinxstylestrong{in}
 
+\sphinxAtStartPar
 \sphinxstylestrong{in\_length}
 
+\sphinxAtStartPar
 \sphinxstylestrong{seed}
 
+\sphinxAtStartPar
 \sphinxstylestrong{seed\_length}
 
 \end{description}\end{quote}
 
+\sphinxAtStartPar
 DEPRECATED See krb5\_c\_verify\_checksum()
 
 
 \section{krb5 types and structures}
-\label{\detokenize{appdev/refs/types/index::doc}}\label{\detokenize{appdev/refs/types/index:krb5-types-and-structures}}
+\label{\detokenize{appdev/refs/types/index:krb5-types-and-structures}}\label{\detokenize{appdev/refs/types/index::doc}}
 
 \subsection{Public}
 \label{\detokenize{appdev/refs/types/index:public}}
 
 \subsubsection{krb5\_address}
-\label{\detokenize{appdev/refs/types/krb5_address:krb5-address-struct}}\label{\detokenize{appdev/refs/types/krb5_address::doc}}\label{\detokenize{appdev/refs/types/krb5_address:krb5-address}}\index{krb5\_address (C type)}
+\label{\detokenize{appdev/refs/types/krb5_address:krb5-address}}\label{\detokenize{appdev/refs/types/krb5_address:krb5-address-struct}}\label{\detokenize{appdev/refs/types/krb5_address::doc}}\index{krb5\_address (C type)@\spxentry{krb5\_address}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address}}\pysigline{\sphinxbfcode{krb5\_address}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_address}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Structure for address.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_address:declaration}}
-typedef struct \_krb5\_address  krb5\_address
+\sphinxAtStartPar
+typedef struct \_krb5\_address krb5\_address
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_address:members}}\index{krb5\_address.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_address:members}}\index{krb5\_address.magic (C member)@\spxentry{krb5\_address.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_address.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_address.addrtype (C member)}
+\index{krb5\_address.addrtype (C member)@\spxentry{krb5\_address.addrtype}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address.addrtype}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_addrtype:c.krb5_addrtype}]{\sphinxcrossref{krb5\_addrtype}}}     \sphinxbfcode{krb5\_address.addrtype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address.addrtype}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_addrtype:c.krb5_addrtype}]{\sphinxcrossref{\DUrole{n}{krb5\_addrtype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{addrtype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_address.length (C member)}
+\index{krb5\_address.length (C member)@\spxentry{krb5\_address.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address.length}}\pysigline{unsigned int      \sphinxbfcode{krb5\_address.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address.length}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_address.contents (C member)}
+\index{krb5\_address.contents (C member)@\spxentry{krb5\_address.contents}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address.contents}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{krb5\_octet}}} *      \sphinxbfcode{krb5\_address.contents}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_address:c.krb5_address.contents}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{\DUrole{n}{krb5\_octet}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{contents}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_addrtype}
-\label{\detokenize{appdev/refs/types/krb5_addrtype:krb5-addrtype}}\label{\detokenize{appdev/refs/types/krb5_addrtype:krb5-addrtype-struct}}\label{\detokenize{appdev/refs/types/krb5_addrtype::doc}}\index{krb5\_addrtype (C type)}
+\label{\detokenize{appdev/refs/types/krb5_addrtype:krb5-addrtype}}\label{\detokenize{appdev/refs/types/krb5_addrtype:krb5-addrtype-struct}}\label{\detokenize{appdev/refs/types/krb5_addrtype::doc}}\index{krb5\_addrtype (C type)@\spxentry{krb5\_addrtype}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_addrtype:c.krb5_addrtype}}\pysigline{\sphinxbfcode{krb5\_addrtype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_addrtype:c.krb5_addrtype}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_addrtype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_addrtype:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_addrtype
 
 
 \subsubsection{krb5\_ap\_req}
-\label{\detokenize{appdev/refs/types/krb5_ap_req:krb5-ap-req}}\label{\detokenize{appdev/refs/types/krb5_ap_req::doc}}\label{\detokenize{appdev/refs/types/krb5_ap_req:krb5-ap-req-struct}}\index{krb5\_ap\_req (C type)}
+\label{\detokenize{appdev/refs/types/krb5_ap_req:krb5-ap-req}}\label{\detokenize{appdev/refs/types/krb5_ap_req:krb5-ap-req-struct}}\label{\detokenize{appdev/refs/types/krb5_ap_req::doc}}\index{krb5\_ap\_req (C type)@\spxentry{krb5\_ap\_req}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req}}\pysigline{\sphinxbfcode{krb5\_ap\_req}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_ap\_req}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Authentication header.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_ap_req:declaration}}
-typedef struct \_krb5\_ap\_req  krb5\_ap\_req
+\sphinxAtStartPar
+typedef struct \_krb5\_ap\_req krb5\_ap\_req
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_ap_req:members}}\index{krb5\_ap\_req.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_ap_req:members}}\index{krb5\_ap\_req.magic (C member)@\spxentry{krb5\_ap\_req.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_ap\_req.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_ap\_req.ap\_options (C member)}
+\index{krb5\_ap\_req.ap\_options (C member)@\spxentry{krb5\_ap\_req.ap\_options}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req.ap_options}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_ap\_req.ap\_options}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req.ap_options}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ap\_options}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Requested options.
 
 \end{fulllineitems}
 
-\index{krb5\_ap\_req.ticket (C member)}
+\index{krb5\_ap\_req.ticket (C member)@\spxentry{krb5\_ap\_req.ticket}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req.ticket}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}}  *    \sphinxbfcode{krb5\_ap\_req.ticket}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req.ticket}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ticket}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Ticket.
 
 \end{fulllineitems}
 
-\index{krb5\_ap\_req.authenticator (C member)}
+\index{krb5\_ap\_req.authenticator (C member)@\spxentry{krb5\_ap\_req.authenticator}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req.authenticator}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}}     \sphinxbfcode{krb5\_ap\_req.authenticator}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req.authenticator}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_req:c.krb5_ap_req}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{authenticator}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Encrypted authenticator.
 
 \end{fulllineitems}
@@ -12812,34 +16409,47 @@ Encrypted authenticator.
 
 
 \subsubsection{krb5\_ap\_rep}
-\label{\detokenize{appdev/refs/types/krb5_ap_rep:krb5-ap-rep-struct}}\label{\detokenize{appdev/refs/types/krb5_ap_rep:krb5-ap-rep}}\label{\detokenize{appdev/refs/types/krb5_ap_rep::doc}}\index{krb5\_ap\_rep (C type)}
+\label{\detokenize{appdev/refs/types/krb5_ap_rep:krb5-ap-rep}}\label{\detokenize{appdev/refs/types/krb5_ap_rep:krb5-ap-rep-struct}}\label{\detokenize{appdev/refs/types/krb5_ap_rep::doc}}\index{krb5\_ap\_rep (C type)@\spxentry{krb5\_ap\_rep}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep:c.krb5_ap_rep}}\pysigline{\sphinxbfcode{krb5\_ap\_rep}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep:c.krb5_ap_rep}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_ap\_rep}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
-C representaton of AP-REP message.
+\sphinxAtStartPar
+C representaton of AP\sphinxhyphen{}REP message.
 
+\sphinxAtStartPar
 The server’s response to a client’s request for mutual authentication.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_ap_rep:declaration}}
-typedef struct \_krb5\_ap\_rep  krb5\_ap\_rep
+\sphinxAtStartPar
+typedef struct \_krb5\_ap\_rep krb5\_ap\_rep
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_ap_rep:members}}\index{krb5\_ap\_rep.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_ap_rep:members}}\index{krb5\_ap\_rep.magic (C member)@\spxentry{krb5\_ap\_rep.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep:c.krb5_ap_rep.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_ap\_rep.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep:c.krb5_ap_rep.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep:c.krb5_ap_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_ap\_rep.enc\_part (C member)}
+\index{krb5\_ap\_rep.enc\_part (C member)@\spxentry{krb5\_ap\_rep.enc\_part}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep:c.krb5_ap_rep.enc_part}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}}     \sphinxbfcode{krb5\_ap\_rep.enc\_part}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep:c.krb5_ap_rep.enc_part}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep:c.krb5_ap_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enc\_part}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Ciphertext of ApRepEncPart.
 
 \end{fulllineitems}
@@ -12847,56 +16457,80 @@ Ciphertext of ApRepEncPart.
 
 
 \subsubsection{krb5\_ap\_rep\_enc\_part}
-\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:krb5-ap-rep-enc-part-struct}}\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part::doc}}\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:krb5-ap-rep-enc-part}}\index{krb5\_ap\_rep\_enc\_part (C type)}
+\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:krb5-ap-rep-enc-part}}\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:krb5-ap-rep-enc-part-struct}}\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part::doc}}\index{krb5\_ap\_rep\_enc\_part (C type)@\spxentry{krb5\_ap\_rep\_enc\_part}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}}\pysigline{\sphinxbfcode{krb5\_ap\_rep\_enc\_part}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_ap\_rep\_enc\_part}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
-Cleartext that is encrypted and put into \sphinxcode{\_krb5\_ap\_rep} .
+\sphinxAtStartPar
+Cleartext that is encrypted and put into \sphinxcode{\sphinxupquote{\_krb5\_ap\_rep}} .
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:declaration}}
-typedef struct \_krb5\_ap\_rep\_enc\_part  krb5\_ap\_rep\_enc\_part
+\sphinxAtStartPar
+typedef struct \_krb5\_ap\_rep\_enc\_part krb5\_ap\_rep\_enc\_part
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:members}}\index{krb5\_ap\_rep\_enc\_part.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:members}}\index{krb5\_ap\_rep\_enc\_part.magic (C member)@\spxentry{krb5\_ap\_rep\_enc\_part.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_ap\_rep\_enc\_part.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_ap\_rep\_enc\_part.ctime (C member)}
+\index{krb5\_ap\_rep\_enc\_part.ctime (C member)@\spxentry{krb5\_ap\_rep\_enc\_part.ctime}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.ctime}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_ap\_rep\_enc\_part.ctime}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.ctime}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ctime}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Client time, seconds portion.
 
 \end{fulllineitems}
 
-\index{krb5\_ap\_rep\_enc\_part.cusec (C member)}
+\index{krb5\_ap\_rep\_enc\_part.cusec (C member)@\spxentry{krb5\_ap\_rep\_enc\_part.cusec}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.cusec}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_ap\_rep\_enc\_part.cusec}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.cusec}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{cusec}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Client time, microseconds portion.
 
 \end{fulllineitems}
 
-\index{krb5\_ap\_rep\_enc\_part.subkey (C member)}
+\index{krb5\_ap\_rep\_enc\_part.subkey (C member)@\spxentry{krb5\_ap\_rep\_enc\_part.subkey}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.subkey}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}}  *  \sphinxbfcode{krb5\_ap\_rep\_enc\_part.subkey}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.subkey}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{subkey}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Subkey (optional)
 
 \end{fulllineitems}
 
-\index{krb5\_ap\_rep\_enc\_part.seq\_number (C member)}
+\index{krb5\_ap\_rep\_enc\_part.seq\_number (C member)@\spxentry{krb5\_ap\_rep\_enc\_part.seq\_number}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.seq_number}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{krb5\_ui\_4}}} \sphinxbfcode{krb5\_ap\_rep\_enc\_part.seq\_number}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part.seq_number}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{\DUrole{n}{krb5\_ui\_4}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ap_rep_enc_part:c.krb5_ap_rep_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_ap\_rep\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{seq\_number}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Sequence number.
 
 \end{fulllineitems}
@@ -12904,48 +16538,68 @@ Sequence number.
 
 
 \subsubsection{krb5\_authdata}
-\label{\detokenize{appdev/refs/types/krb5_authdata:krb5-authdata}}\label{\detokenize{appdev/refs/types/krb5_authdata::doc}}\label{\detokenize{appdev/refs/types/krb5_authdata:krb5-authdata-struct}}\index{krb5\_authdata (C type)}
+\label{\detokenize{appdev/refs/types/krb5_authdata:krb5-authdata}}\label{\detokenize{appdev/refs/types/krb5_authdata:krb5-authdata-struct}}\label{\detokenize{appdev/refs/types/krb5_authdata::doc}}\index{krb5\_authdata (C type)@\spxentry{krb5\_authdata}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}}\pysigline{\sphinxbfcode{krb5\_authdata}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_authdata}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Structure for auth data.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_authdata:declaration}}
-typedef struct \_krb5\_authdata  krb5\_authdata
+\sphinxAtStartPar
+typedef struct \_krb5\_authdata krb5\_authdata
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_authdata:members}}\index{krb5\_authdata.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_authdata:members}}\index{krb5\_authdata.magic (C member)@\spxentry{krb5\_authdata.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_authdata.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_authdata.ad\_type (C member)}
+\index{krb5\_authdata.ad\_type (C member)@\spxentry{krb5\_authdata.ad\_type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata.ad_type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}]{\sphinxcrossref{krb5\_authdatatype}}} \sphinxbfcode{krb5\_authdata.ad\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata.ad_type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}]{\sphinxcrossref{\DUrole{n}{krb5\_authdatatype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ad\_type}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 ADTYPE.
 
 \end{fulllineitems}
 
-\index{krb5\_authdata.length (C member)}
+\index{krb5\_authdata.length (C member)@\spxentry{krb5\_authdata.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata.length}}\pysigline{unsigned int      \sphinxbfcode{krb5\_authdata.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata.length}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Length of data.
 
 \end{fulllineitems}
 
-\index{krb5\_authdata.contents (C member)}
+\index{krb5\_authdata.contents (C member)@\spxentry{krb5\_authdata.contents}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata.contents}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{krb5\_octet}}} *      \sphinxbfcode{krb5\_authdata.contents}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata.contents}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{\DUrole{n}{krb5\_octet}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{contents}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Data.
 
 \end{fulllineitems}
@@ -12953,96 +16607,137 @@ Data.
 
 
 \subsubsection{krb5\_authdatatype}
-\label{\detokenize{appdev/refs/types/krb5_authdatatype:krb5-authdatatype-struct}}\label{\detokenize{appdev/refs/types/krb5_authdatatype::doc}}\label{\detokenize{appdev/refs/types/krb5_authdatatype:krb5-authdatatype}}\index{krb5\_authdatatype (C type)}
+\label{\detokenize{appdev/refs/types/krb5_authdatatype:krb5-authdatatype}}\label{\detokenize{appdev/refs/types/krb5_authdatatype:krb5-authdatatype-struct}}\label{\detokenize{appdev/refs/types/krb5_authdatatype::doc}}\index{krb5\_authdatatype (C type)@\spxentry{krb5\_authdatatype}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}}\pysigline{\sphinxbfcode{krb5\_authdatatype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authdatatype:c.krb5_authdatatype}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_authdatatype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_authdatatype:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_authdatatype
 
 
 \subsubsection{krb5\_authenticator}
-\label{\detokenize{appdev/refs/types/krb5_authenticator:krb5-authenticator-struct}}\label{\detokenize{appdev/refs/types/krb5_authenticator:krb5-authenticator}}\label{\detokenize{appdev/refs/types/krb5_authenticator::doc}}\index{krb5\_authenticator (C type)}
+\label{\detokenize{appdev/refs/types/krb5_authenticator:krb5-authenticator}}\label{\detokenize{appdev/refs/types/krb5_authenticator:krb5-authenticator-struct}}\label{\detokenize{appdev/refs/types/krb5_authenticator::doc}}\index{krb5\_authenticator (C type)@\spxentry{krb5\_authenticator}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}}\pysigline{\sphinxbfcode{krb5\_authenticator}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_authenticator}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Ticket authenticator.
 
+\sphinxAtStartPar
 The C representation of an unencrypted authenticator.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_authenticator:declaration}}
-typedef struct \_krb5\_authenticator  krb5\_authenticator
+\sphinxAtStartPar
+typedef struct \_krb5\_authenticator krb5\_authenticator
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_authenticator:members}}\index{krb5\_authenticator.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_authenticator:members}}\index{krb5\_authenticator.magic (C member)@\spxentry{krb5\_authenticator.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_authenticator.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_authenticator.client (C member)}
+\index{krb5\_authenticator.client (C member)@\spxentry{krb5\_authenticator.client}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.client}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_authenticator.client}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.client}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{client}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 client name/realm
 
 \end{fulllineitems}
 
-\index{krb5\_authenticator.checksum (C member)}
+\index{krb5\_authenticator.checksum (C member)@\spxentry{krb5\_authenticator.checksum}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.checksum}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}}  *  \sphinxbfcode{krb5\_authenticator.checksum}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.checksum}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{checksum}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 checksum, includes type, optional
 
 \end{fulllineitems}
 
-\index{krb5\_authenticator.cusec (C member)}
+\index{krb5\_authenticator.cusec (C member)@\spxentry{krb5\_authenticator.cusec}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.cusec}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_authenticator.cusec}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.cusec}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{cusec}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 client usec portion
 
 \end{fulllineitems}
 
-\index{krb5\_authenticator.ctime (C member)}
+\index{krb5\_authenticator.ctime (C member)@\spxentry{krb5\_authenticator.ctime}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.ctime}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_authenticator.ctime}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.ctime}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ctime}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 client sec portion
 
 \end{fulllineitems}
 
-\index{krb5\_authenticator.subkey (C member)}
+\index{krb5\_authenticator.subkey (C member)@\spxentry{krb5\_authenticator.subkey}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.subkey}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}}  *  \sphinxbfcode{krb5\_authenticator.subkey}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.subkey}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{subkey}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 true session key, optional
 
 \end{fulllineitems}
 
-\index{krb5\_authenticator.seq\_number (C member)}
+\index{krb5\_authenticator.seq\_number (C member)@\spxentry{krb5\_authenticator.seq\_number}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.seq_number}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{krb5\_ui\_4}}} \sphinxbfcode{krb5\_authenticator.seq\_number}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.seq_number}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{\DUrole{n}{krb5\_ui\_4}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{seq\_number}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 sequence \#, optional
 
 \end{fulllineitems}
 
-\index{krb5\_authenticator.authorization\_data (C member)}
+\index{krb5\_authenticator.authorization\_data (C member)@\spxentry{krb5\_authenticator.authorization\_data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.authorization_data}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}}  ** \sphinxbfcode{krb5\_authenticator.authorization\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator.authorization_data}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{authorization\_data}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 authoriazation data
 
 \end{fulllineitems}
@@ -13050,168 +16745,233 @@ authoriazation data
 
 
 \subsubsection{krb5\_boolean}
-\label{\detokenize{appdev/refs/types/krb5_boolean:krb5-boolean-struct}}\label{\detokenize{appdev/refs/types/krb5_boolean::doc}}\label{\detokenize{appdev/refs/types/krb5_boolean:krb5-boolean}}\index{krb5\_boolean (C type)}
+\label{\detokenize{appdev/refs/types/krb5_boolean:krb5-boolean}}\label{\detokenize{appdev/refs/types/krb5_boolean:krb5-boolean-struct}}\label{\detokenize{appdev/refs/types/krb5_boolean::doc}}\index{krb5\_boolean (C type)@\spxentry{krb5\_boolean}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}}\pysigline{\sphinxbfcode{krb5\_boolean}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_boolean}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_boolean:declaration}}
+\sphinxAtStartPar
 typedef unsigned int krb5\_boolean
 
 
 \subsubsection{krb5\_checksum}
-\label{\detokenize{appdev/refs/types/krb5_checksum::doc}}\label{\detokenize{appdev/refs/types/krb5_checksum:krb5-checksum}}\label{\detokenize{appdev/refs/types/krb5_checksum:krb5-checksum-struct}}\index{krb5\_checksum (C type)}
+\label{\detokenize{appdev/refs/types/krb5_checksum:krb5-checksum}}\label{\detokenize{appdev/refs/types/krb5_checksum:krb5-checksum-struct}}\label{\detokenize{appdev/refs/types/krb5_checksum::doc}}\index{krb5\_checksum (C type)@\spxentry{krb5\_checksum}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}}\pysigline{\sphinxbfcode{krb5\_checksum}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_checksum}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_checksum:declaration}}
-typedef struct \_krb5\_checksum  krb5\_checksum
+\sphinxAtStartPar
+typedef struct \_krb5\_checksum krb5\_checksum
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_checksum:members}}\index{krb5\_checksum.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_checksum:members}}\index{krb5\_checksum.magic (C member)@\spxentry{krb5\_checksum.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_checksum.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_checksum.checksum\_type (C member)}
+\index{krb5\_checksum.checksum\_type (C member)@\spxentry{krb5\_checksum.checksum\_type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum.checksum_type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{krb5\_cksumtype}}}    \sphinxbfcode{krb5\_checksum.checksum\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum.checksum_type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}]{\sphinxcrossref{\DUrole{n}{krb5\_cksumtype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{checksum\_type}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_checksum.length (C member)}
+\index{krb5\_checksum.length (C member)@\spxentry{krb5\_checksum.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum.length}}\pysigline{unsigned int      \sphinxbfcode{krb5\_checksum.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum.length}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_checksum.contents (C member)}
+\index{krb5\_checksum.contents (C member)@\spxentry{krb5\_checksum.contents}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum.contents}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{krb5\_octet}}} *      \sphinxbfcode{krb5\_checksum.contents}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum.contents}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{\DUrole{n}{krb5\_octet}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{contents}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_const\_pointer}
-\label{\detokenize{appdev/refs/types/krb5_const_pointer:krb5-const-pointer}}\label{\detokenize{appdev/refs/types/krb5_const_pointer::doc}}\label{\detokenize{appdev/refs/types/krb5_const_pointer:krb5-const-pointer-struct}}\index{krb5\_const\_pointer (C type)}
+\label{\detokenize{appdev/refs/types/krb5_const_pointer:krb5-const-pointer}}\label{\detokenize{appdev/refs/types/krb5_const_pointer:krb5-const-pointer-struct}}\label{\detokenize{appdev/refs/types/krb5_const_pointer::doc}}\index{krb5\_const\_pointer (C type)@\spxentry{krb5\_const\_pointer}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}}\pysigline{\sphinxbfcode{krb5\_const\_pointer}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_pointer:c.krb5_const_pointer}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_const\_pointer}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_const_pointer:declaration}}
+\sphinxAtStartPar
 typedef void const* krb5\_const\_pointer
 
 
 \subsubsection{krb5\_const\_principal}
-\label{\detokenize{appdev/refs/types/krb5_const_principal:krb5-const-principal-struct}}\label{\detokenize{appdev/refs/types/krb5_const_principal:krb5-const-principal}}\label{\detokenize{appdev/refs/types/krb5_const_principal::doc}}\index{krb5\_const\_principal (C type)}
+\label{\detokenize{appdev/refs/types/krb5_const_principal:krb5-const-principal}}\label{\detokenize{appdev/refs/types/krb5_const_principal:krb5-const-principal-struct}}\label{\detokenize{appdev/refs/types/krb5_const_principal::doc}}\index{krb5\_const\_principal (C type)@\spxentry{krb5\_const\_principal}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}}\pysigline{\sphinxbfcode{krb5\_const\_principal}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_const\_principal}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
-Constant version of {\hyperref[\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}]{\sphinxcrossref{\sphinxcode{krb5\_principal\_data}}}} .
+\sphinxAtStartPar
+Constant version of {\hyperref[\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}]{\sphinxcrossref{\sphinxcode{\sphinxupquote{krb5\_principal\_data}}}}} .
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_const_principal:declaration}}
+\sphinxAtStartPar
 typedef const krb5\_principal\_data* krb5\_const\_principal
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_const_principal:members}}\index{krb5\_const\_principal.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_const_principal:members}}\index{krb5\_const\_principal.magic (C member)@\spxentry{krb5\_const\_principal.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_const\_principal.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_const\_principal.realm (C member)}
+\index{krb5\_const\_principal.realm (C member)@\spxentry{krb5\_const\_principal.realm}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.realm}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_const\_principal.realm}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.realm}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{realm}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_const\_principal.data (C member)}
+\index{krb5\_const\_principal.data (C member)@\spxentry{krb5\_const\_principal.data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.data}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}}  *      \sphinxbfcode{krb5\_const\_principal.data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.data}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{data}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 An array of strings.
 
 \end{fulllineitems}
 
-\index{krb5\_const\_principal.length (C member)}
+\index{krb5\_const\_principal.length (C member)@\spxentry{krb5\_const\_principal.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.length}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_const\_principal.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.length}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_const\_principal.type (C member)}
+\index{krb5\_const\_principal.type (C member)@\spxentry{krb5\_const\_principal.type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_const\_principal.type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal.type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_const_principal:c.krb5_const_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_const\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{type}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_cred}
-\label{\detokenize{appdev/refs/types/krb5_cred:krb5-cred-struct}}\label{\detokenize{appdev/refs/types/krb5_cred::doc}}\label{\detokenize{appdev/refs/types/krb5_cred:krb5-cred}}\index{krb5\_cred (C type)}
+\label{\detokenize{appdev/refs/types/krb5_cred:krb5-cred}}\label{\detokenize{appdev/refs/types/krb5_cred:krb5-cred-struct}}\label{\detokenize{appdev/refs/types/krb5_cred::doc}}\index{krb5\_cred (C type)@\spxentry{krb5\_cred}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred}}\pysigline{\sphinxbfcode{krb5\_cred}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cred}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Credentials data structure.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_cred:declaration}}
-typedef struct \_krb5\_cred  krb5\_cred
+\sphinxAtStartPar
+typedef struct \_krb5\_cred krb5\_cred
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_cred:members}}\index{krb5\_cred.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_cred:members}}\index{krb5\_cred.magic (C member)@\spxentry{krb5\_cred.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_cred.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred}]{\sphinxcrossref{\DUrole{n}{krb5\_cred}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_cred.tickets (C member)}
+\index{krb5\_cred.tickets (C member)@\spxentry{krb5\_cred.tickets}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred.tickets}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}}  **   \sphinxbfcode{krb5\_cred.tickets}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred.tickets}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred}]{\sphinxcrossref{\DUrole{n}{krb5\_cred}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{tickets}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Tickets.
 
 \end{fulllineitems}
 
-\index{krb5\_cred.enc\_part (C member)}
+\index{krb5\_cred.enc\_part (C member)@\spxentry{krb5\_cred.enc\_part}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred.enc_part}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}}     \sphinxbfcode{krb5\_cred.enc\_part}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred.enc_part}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred}]{\sphinxcrossref{\DUrole{n}{krb5\_cred}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enc\_part}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Encrypted part.
 
 \end{fulllineitems}
 
-\index{krb5\_cred.enc\_part2 (C member)}
+\index{krb5\_cred.enc\_part2 (C member)@\spxentry{krb5\_cred.enc\_part2}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred.enc_part2}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}]{\sphinxcrossref{krb5\_cred\_enc\_part}}}  *     \sphinxbfcode{krb5\_cred.enc\_part2}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred.enc_part2}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_enc\_part}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred:c.krb5_cred}]{\sphinxcrossref{\DUrole{n}{krb5\_cred}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enc\_part2}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Unencrypted version, if available.
 
 \end{fulllineitems}
@@ -13219,143 +16979,206 @@ Unencrypted version, if available.
 
 
 \subsubsection{krb5\_cred\_enc\_part}
-\label{\detokenize{appdev/refs/types/krb5_cred_enc_part::doc}}\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:krb5-cred-enc-part}}\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:krb5-cred-enc-part-struct}}\index{krb5\_cred\_enc\_part (C type)}
+\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:krb5-cred-enc-part}}\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:krb5-cred-enc-part-struct}}\label{\detokenize{appdev/refs/types/krb5_cred_enc_part::doc}}\index{krb5\_cred\_enc\_part (C type)@\spxentry{krb5\_cred\_enc\_part}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}}\pysigline{\sphinxbfcode{krb5\_cred\_enc\_part}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cred\_enc\_part}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Cleartext credentials information.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_cred_enc_part:declaration}}
-typedef struct \_krb5\_cred\_enc\_part  krb5\_cred\_enc\_part
+\sphinxAtStartPar
+typedef struct \_krb5\_cred\_enc\_part krb5\_cred\_enc\_part
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:members}}\index{krb5\_cred\_enc\_part.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:members}}\index{krb5\_cred\_enc\_part.magic (C member)@\spxentry{krb5\_cred\_enc\_part.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_cred\_enc\_part.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_cred\_enc\_part.nonce (C member)}
+\index{krb5\_cred\_enc\_part.nonce (C member)@\spxentry{krb5\_cred\_enc\_part.nonce}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.nonce}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_cred\_enc\_part.nonce}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.nonce}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{nonce}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Nonce (optional)
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_enc\_part.timestamp (C member)}
+\index{krb5\_cred\_enc\_part.timestamp (C member)@\spxentry{krb5\_cred\_enc\_part.timestamp}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.timestamp}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_cred\_enc\_part.timestamp}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.timestamp}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{timestamp}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Generation time, seconds portion.
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_enc\_part.usec (C member)}
+\index{krb5\_cred\_enc\_part.usec (C member)@\spxentry{krb5\_cred\_enc\_part.usec}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.usec}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_cred\_enc\_part.usec}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.usec}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{usec}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Generation time, microseconds portion.
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_enc\_part.s\_address (C member)}
+\index{krb5\_cred\_enc\_part.s\_address (C member)@\spxentry{krb5\_cred\_enc\_part.s\_address}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.s_address}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}}  *   \sphinxbfcode{krb5\_cred\_enc\_part.s\_address}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.s_address}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{s\_address}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Sender address (optional)
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_enc\_part.r\_address (C member)}
+\index{krb5\_cred\_enc\_part.r\_address (C member)@\spxentry{krb5\_cred\_enc\_part.r\_address}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.r_address}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}}  *   \sphinxbfcode{krb5\_cred\_enc\_part.r\_address}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.r_address}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{r\_address}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Recipient address (optional)
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_enc\_part.ticket\_info (C member)}
+\index{krb5\_cred\_enc\_part.ticket\_info (C member)@\spxentry{krb5\_cred\_enc\_part.ticket\_info}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.ticket_info}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}]{\sphinxcrossref{krb5\_cred\_info}}}  **        \sphinxbfcode{krb5\_cred\_enc\_part.ticket\_info}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part.ticket_info}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_info}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_enc_part:c.krb5_cred_enc_part}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_enc\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ticket\_info}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_cred\_info}
-\label{\detokenize{appdev/refs/types/krb5_cred_info:krb5-cred-info-struct}}\label{\detokenize{appdev/refs/types/krb5_cred_info::doc}}\label{\detokenize{appdev/refs/types/krb5_cred_info:krb5-cred-info}}\index{krb5\_cred\_info (C type)}
+\label{\detokenize{appdev/refs/types/krb5_cred_info:krb5-cred-info}}\label{\detokenize{appdev/refs/types/krb5_cred_info:krb5-cred-info-struct}}\label{\detokenize{appdev/refs/types/krb5_cred_info::doc}}\index{krb5\_cred\_info (C type)@\spxentry{krb5\_cred\_info}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}}\pysigline{\sphinxbfcode{krb5\_cred\_info}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cred\_info}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Credentials information inserted into \sphinxstyleemphasis{EncKrbCredPart} .
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_cred_info:declaration}}
-typedef struct \_krb5\_cred\_info  krb5\_cred\_info
+\sphinxAtStartPar
+typedef struct \_krb5\_cred\_info krb5\_cred\_info
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_cred_info:members}}\index{krb5\_cred\_info.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_cred_info:members}}\index{krb5\_cred\_info.magic (C member)@\spxentry{krb5\_cred\_info.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_cred\_info.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_info}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_cred\_info.session (C member)}
+\index{krb5\_cred\_info.session (C member)@\spxentry{krb5\_cred\_info.session}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.session}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}}  *  \sphinxbfcode{krb5\_cred\_info.session}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.session}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_info}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{session}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Session key used to encrypt ticket.
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_info.client (C member)}
+\index{krb5\_cred\_info.client (C member)@\spxentry{krb5\_cred\_info.client}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.client}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_cred\_info.client}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.client}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_info}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{client}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Client principal and realm.
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_info.server (C member)}
+\index{krb5\_cred\_info.server (C member)@\spxentry{krb5\_cred\_info.server}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.server}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_cred\_info.server}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.server}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_info}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{server}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Server principal and realm.
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_info.flags (C member)}
+\index{krb5\_cred\_info.flags (C member)@\spxentry{krb5\_cred\_info.flags}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.flags}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_cred\_info.flags}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.flags}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_info}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{flags}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Ticket flags.
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_info.times (C member)}
+\index{krb5\_cred\_info.times (C member)@\spxentry{krb5\_cred\_info.times}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.times}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{krb5\_ticket\_times}}} \sphinxbfcode{krb5\_cred\_info.times}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.times}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_info}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{times}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Auth, start, end, renew\_till.
 
 \end{fulllineitems}
 
-\index{krb5\_cred\_info.caddrs (C member)}
+\index{krb5\_cred\_info.caddrs (C member)@\spxentry{krb5\_cred\_info.caddrs}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.caddrs}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}}  **  \sphinxbfcode{krb5\_cred\_info.caddrs}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info.caddrs}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_cred_info:c.krb5_cred_info}]{\sphinxcrossref{\DUrole{n}{krb5\_cred\_info}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{caddrs}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Array of pointers to addrs (optional)
 
 \end{fulllineitems}
@@ -13363,104 +17186,152 @@ Array of pointers to addrs (optional)
 
 
 \subsubsection{krb5\_creds}
-\label{\detokenize{appdev/refs/types/krb5_creds::doc}}\label{\detokenize{appdev/refs/types/krb5_creds:krb5-creds}}\label{\detokenize{appdev/refs/types/krb5_creds:krb5-creds-struct}}\index{krb5\_creds (C type)}
+\label{\detokenize{appdev/refs/types/krb5_creds:krb5-creds}}\label{\detokenize{appdev/refs/types/krb5_creds:krb5-creds-struct}}\label{\detokenize{appdev/refs/types/krb5_creds::doc}}\index{krb5\_creds (C type)@\spxentry{krb5\_creds}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}}\pysigline{\sphinxbfcode{krb5\_creds}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_creds}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Credentials structure including ticket, session key, and lifetime info.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_creds:declaration}}
-typedef struct \_krb5\_creds  krb5\_creds
+\sphinxAtStartPar
+typedef struct \_krb5\_creds krb5\_creds
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_creds:members}}\index{krb5\_creds.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_creds:members}}\index{krb5\_creds.magic (C member)@\spxentry{krb5\_creds.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_creds.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_creds.client (C member)}
+\index{krb5\_creds.client (C member)@\spxentry{krb5\_creds.client}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.client}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_creds.client}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.client}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{client}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 client’s principal identifier
 
 \end{fulllineitems}
 
-\index{krb5\_creds.server (C member)}
+\index{krb5\_creds.server (C member)@\spxentry{krb5\_creds.server}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.server}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_creds.server}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.server}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{server}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 server’s principal identifier
 
 \end{fulllineitems}
 
-\index{krb5\_creds.keyblock (C member)}
+\index{krb5\_creds.keyblock (C member)@\spxentry{krb5\_creds.keyblock}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.keyblock}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}}     \sphinxbfcode{krb5\_creds.keyblock}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.keyblock}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{keyblock}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 session encryption key info
 
 \end{fulllineitems}
 
-\index{krb5\_creds.times (C member)}
+\index{krb5\_creds.times (C member)@\spxentry{krb5\_creds.times}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.times}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{krb5\_ticket\_times}}} \sphinxbfcode{krb5\_creds.times}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.times}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{times}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 lifetime info
 
 \end{fulllineitems}
 
-\index{krb5\_creds.is\_skey (C member)}
+\index{krb5\_creds.is\_skey (C member)@\spxentry{krb5\_creds.is\_skey}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.is_skey}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}}      \sphinxbfcode{krb5\_creds.is\_skey}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.is_skey}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{is\_skey}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 true if ticket is encrypted in another ticket’s skey
 
 \end{fulllineitems}
 
-\index{krb5\_creds.ticket\_flags (C member)}
+\index{krb5\_creds.ticket\_flags (C member)@\spxentry{krb5\_creds.ticket\_flags}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.ticket_flags}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_creds.ticket\_flags}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.ticket_flags}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ticket\_flags}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 flags in ticket
 
 \end{fulllineitems}
 
-\index{krb5\_creds.addresses (C member)}
+\index{krb5\_creds.addresses (C member)@\spxentry{krb5\_creds.addresses}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.addresses}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}}  **  \sphinxbfcode{krb5\_creds.addresses}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.addresses}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{addresses}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 addrs in ticket
 
 \end{fulllineitems}
 
-\index{krb5\_creds.ticket (C member)}
+\index{krb5\_creds.ticket (C member)@\spxentry{krb5\_creds.ticket}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.ticket}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_creds.ticket}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.ticket}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ticket}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 ticket string itself
 
 \end{fulllineitems}
 
-\index{krb5\_creds.second\_ticket (C member)}
+\index{krb5\_creds.second\_ticket (C member)@\spxentry{krb5\_creds.second\_ticket}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.second_ticket}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_creds.second\_ticket}}
-second ticket, if related to ticket (via DUPLICATE-SKEY or ENC-TKT-IN-SKEY)
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.second_ticket}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{second\_ticket}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
+second ticket, if related to ticket (via DUPLICATE\sphinxhyphen{}SKEY or ENC\sphinxhyphen{}TKT\sphinxhyphen{}IN\sphinxhyphen{}SKEY)
 
 \end{fulllineitems}
 
-\index{krb5\_creds.authdata (C member)}
+\index{krb5\_creds.authdata (C member)@\spxentry{krb5\_creds.authdata}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.authdata}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}}  ** \sphinxbfcode{krb5\_creds.authdata}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds.authdata}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_creds:c.krb5_creds}]{\sphinxcrossref{\DUrole{n}{krb5\_creds}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{authdata}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 authorization data
 
 \end{fulllineitems}
@@ -13468,245 +17339,344 @@ authorization data
 
 
 \subsubsection{krb5\_crypto\_iov}
-\label{\detokenize{appdev/refs/types/krb5_crypto_iov:krb5-crypto-iov}}\label{\detokenize{appdev/refs/types/krb5_crypto_iov::doc}}\label{\detokenize{appdev/refs/types/krb5_crypto_iov:krb5-crypto-iov-struct}}\index{krb5\_crypto\_iov (C type)}
+\label{\detokenize{appdev/refs/types/krb5_crypto_iov:krb5-crypto-iov}}\label{\detokenize{appdev/refs/types/krb5_crypto_iov:krb5-crypto-iov-struct}}\label{\detokenize{appdev/refs/types/krb5_crypto_iov::doc}}\index{krb5\_crypto\_iov (C type)@\spxentry{krb5\_crypto\_iov}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}}\pysigline{\sphinxbfcode{krb5\_crypto\_iov}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_crypto\_iov}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Structure to describe a region of text to be encrypted or decrypted.
 
-The \sphinxstyleemphasis{flags} member describes the type of the iov. The \sphinxstyleemphasis{data} member points to the memory that will be manipulated. All iov APIs take a pointer to the first element of an array of krb5\_crypto\_iov’s along with the size of that array. Buffer contents are manipulated in-place; data is overwritten. Callers must allocate the right number of krb5\_crypto\_iov structures before calling into an iov API.
+\sphinxAtStartPar
+The \sphinxstyleemphasis{flags} member describes the type of the iov. The \sphinxstyleemphasis{data} member points to the memory that will be manipulated. All iov APIs take a pointer to the first element of an array of krb5\_crypto\_iov’s along with the size of that array. Buffer contents are manipulated in\sphinxhyphen{}place; data is overwritten. Callers must allocate the right number of krb5\_crypto\_iov structures before calling into an iov API.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_crypto_iov:declaration}}
-typedef struct \_krb5\_crypto\_iov  krb5\_crypto\_iov
+\sphinxAtStartPar
+typedef struct \_krb5\_crypto\_iov krb5\_crypto\_iov
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_crypto_iov:members}}\index{krb5\_crypto\_iov.flags (C member)}
+\label{\detokenize{appdev/refs/types/krb5_crypto_iov:members}}\index{krb5\_crypto\_iov.flags (C member)@\spxentry{krb5\_crypto\_iov.flags}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov.flags}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_cryptotype:c.krb5_cryptotype}]{\sphinxcrossref{krb5\_cryptotype}}}   \sphinxbfcode{krb5\_crypto\_iov.flags}}
-\sphinxcode{KRB5\_CRYPTO\_TYPE} type of the iov
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov.flags}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_cryptotype:c.krb5_cryptotype}]{\sphinxcrossref{\DUrole{n}{krb5\_cryptotype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{flags}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
+iov type (see KRB5\_CRYPTO\_TYPE macros)
 
 \end{fulllineitems}
 
-\index{krb5\_crypto\_iov.data (C member)}
+\index{krb5\_crypto\_iov.data (C member)@\spxentry{krb5\_crypto\_iov.data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov.data}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_crypto\_iov.data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov.data}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_crypto_iov:c.krb5_crypto_iov}]{\sphinxcrossref{\DUrole{n}{krb5\_crypto\_iov}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_cryptotype}
-\label{\detokenize{appdev/refs/types/krb5_cryptotype:krb5-cryptotype}}\label{\detokenize{appdev/refs/types/krb5_cryptotype::doc}}\label{\detokenize{appdev/refs/types/krb5_cryptotype:krb5-cryptotype-struct}}\index{krb5\_cryptotype (C type)}
+\label{\detokenize{appdev/refs/types/krb5_cryptotype:krb5-cryptotype}}\label{\detokenize{appdev/refs/types/krb5_cryptotype:krb5-cryptotype-struct}}\label{\detokenize{appdev/refs/types/krb5_cryptotype::doc}}\index{krb5\_cryptotype (C type)@\spxentry{krb5\_cryptotype}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cryptotype:c.krb5_cryptotype}}\pysigline{\sphinxbfcode{krb5\_cryptotype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cryptotype:c.krb5_cryptotype}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cryptotype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_cryptotype:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_cryptotype
 
 
 \subsubsection{krb5\_data}
-\label{\detokenize{appdev/refs/types/krb5_data:krb5-data}}\label{\detokenize{appdev/refs/types/krb5_data::doc}}\label{\detokenize{appdev/refs/types/krb5_data:krb5-data-struct}}\index{krb5\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_data:krb5-data}}\label{\detokenize{appdev/refs/types/krb5_data:krb5-data-struct}}\label{\detokenize{appdev/refs/types/krb5_data::doc}}\index{krb5\_data (C type)@\spxentry{krb5\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_data:c.krb5_data}}\pysigline{\sphinxbfcode{krb5\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_data:c.krb5_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_data:declaration}}
-typedef struct \_krb5\_data  krb5\_data
+\sphinxAtStartPar
+typedef struct \_krb5\_data krb5\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_data:members}}\index{krb5\_data.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_data:members}}\index{krb5\_data.magic (C member)@\spxentry{krb5\_data.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_data:c.krb5_data.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_data.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_data:c.krb5_data.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_data.length (C member)}
+\index{krb5\_data.length (C member)@\spxentry{krb5\_data.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_data:c.krb5_data.length}}\pysigline{unsigned int      \sphinxbfcode{krb5\_data.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_data:c.krb5_data.length}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_data.data (C member)}
+\index{krb5\_data.data (C member)@\spxentry{krb5\_data.data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_data:c.krb5_data.data}}\pysigline{char *    \sphinxbfcode{krb5\_data.data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_data:c.krb5_data.data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_deltat}
-\label{\detokenize{appdev/refs/types/krb5_deltat:krb5-deltat}}\label{\detokenize{appdev/refs/types/krb5_deltat:krb5-deltat-struct}}\label{\detokenize{appdev/refs/types/krb5_deltat::doc}}\index{krb5\_deltat (C type)}
+\label{\detokenize{appdev/refs/types/krb5_deltat:krb5-deltat}}\label{\detokenize{appdev/refs/types/krb5_deltat:krb5-deltat-struct}}\label{\detokenize{appdev/refs/types/krb5_deltat::doc}}\index{krb5\_deltat (C type)@\spxentry{krb5\_deltat}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}}\pysigline{\sphinxbfcode{krb5\_deltat}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_deltat}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_deltat:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_deltat
 
 
 \subsubsection{krb5\_enc\_data}
-\label{\detokenize{appdev/refs/types/krb5_enc_data::doc}}\label{\detokenize{appdev/refs/types/krb5_enc_data:krb5-enc-data}}\label{\detokenize{appdev/refs/types/krb5_enc_data:krb5-enc-data-struct}}\index{krb5\_enc\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_enc_data:krb5-enc-data}}\label{\detokenize{appdev/refs/types/krb5_enc_data:krb5-enc-data-struct}}\label{\detokenize{appdev/refs/types/krb5_enc_data::doc}}\index{krb5\_enc\_data (C type)@\spxentry{krb5\_enc\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}}\pysigline{\sphinxbfcode{krb5\_enc\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_enc\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_enc_data:declaration}}
-typedef struct \_krb5\_enc\_data  krb5\_enc\_data
+\sphinxAtStartPar
+typedef struct \_krb5\_enc\_data krb5\_enc\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_enc_data:members}}\index{krb5\_enc\_data.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_enc_data:members}}\index{krb5\_enc\_data.magic (C member)@\spxentry{krb5\_enc\_data.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_enc\_data.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_enc\_data.enctype (C member)}
+\index{krb5\_enc\_data.enctype (C member)@\spxentry{krb5\_enc\_data.enctype}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data.enctype}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}      \sphinxbfcode{krb5\_enc\_data.enctype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data.enctype}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enctype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_enc\_data.kvno (C member)}
+\index{krb5\_enc\_data.kvno (C member)@\spxentry{krb5\_enc\_data.kvno}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data.kvno}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}]{\sphinxcrossref{krb5\_kvno}}} \sphinxbfcode{krb5\_enc\_data.kvno}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data.kvno}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}]{\sphinxcrossref{\DUrole{n}{krb5\_kvno}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{kvno}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_enc\_data.ciphertext (C member)}
+\index{krb5\_enc\_data.ciphertext (C member)@\spxentry{krb5\_enc\_data.ciphertext}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data.ciphertext}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_enc\_data.ciphertext}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data.ciphertext}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ciphertext}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_enc\_kdc\_rep\_part}
-\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part::doc}}\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:krb5-enc-kdc-rep-part}}\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:krb5-enc-kdc-rep-part-struct}}\index{krb5\_enc\_kdc\_rep\_part (C type)}
+\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:krb5-enc-kdc-rep-part}}\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:krb5-enc-kdc-rep-part-struct}}\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part::doc}}\index{krb5\_enc\_kdc\_rep\_part (C type)@\spxentry{krb5\_enc\_kdc\_rep\_part}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}}\pysigline{\sphinxbfcode{krb5\_enc\_kdc\_rep\_part}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 C representation of \sphinxstyleemphasis{EncKDCRepPart} protocol message.
 
-This is the cleartext message that is encrypted and inserted in \sphinxstyleemphasis{KDC-REP} .
+\sphinxAtStartPar
+This is the cleartext message that is encrypted and inserted in \sphinxstyleemphasis{KDC\sphinxhyphen{}REP} .
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:declaration}}
-typedef struct \_krb5\_enc\_kdc\_rep\_part  krb5\_enc\_kdc\_rep\_part
+\sphinxAtStartPar
+typedef struct \_krb5\_enc\_kdc\_rep\_part krb5\_enc\_kdc\_rep\_part
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:members}}\index{krb5\_enc\_kdc\_rep\_part.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:members}}\index{krb5\_enc\_kdc\_rep\_part.magic (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.msg\_type (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.msg\_type (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.msg\_type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.msg_type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_msgtype:c.krb5_msgtype}]{\sphinxcrossref{krb5\_msgtype}}}      \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.msg\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.msg_type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_msgtype:c.krb5_msgtype}]{\sphinxcrossref{\DUrole{n}{krb5\_msgtype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{msg\_type}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 krb5 message type
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.session (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.session (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.session}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.session}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}}  *  \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.session}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.session}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{session}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Session key.
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.last\_req (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.last\_req (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.last\_req}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.last_req}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry}]{\sphinxcrossref{krb5\_last\_req\_entry}}}  **   \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.last\_req}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.last_req}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_last\_req\_entry}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{last\_req}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Array of pointers to entries.
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.nonce (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.nonce (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.nonce}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.nonce}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.nonce}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.nonce}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{nonce}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Nonce from request.
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.key\_exp (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.key\_exp (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.key\_exp}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.key_exp}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.key\_exp}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.key_exp}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{key\_exp}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Expiration date.
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.flags (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.flags (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.flags}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.flags}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.flags}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.flags}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{flags}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Ticket flags.
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.times (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.times (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.times}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.times}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{krb5\_ticket\_times}}} \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.times}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.times}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{times}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Lifetime info.
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.server (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.server (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.server}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.server}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.server}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.server}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{server}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Server’s principal identifier.
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.caddrs (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.caddrs (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.caddrs}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.caddrs}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}}  **  \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.caddrs}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.caddrs}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{caddrs}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Array of ptrs to addrs, optional.
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_kdc\_rep\_part.enc\_padata (C member)}
+\index{krb5\_enc\_kdc\_rep\_part.enc\_padata (C member)@\spxentry{krb5\_enc\_kdc\_rep\_part.enc\_padata}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.enc_padata}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{krb5\_pa\_data}}}  **  \sphinxbfcode{krb5\_enc\_kdc\_rep\_part.enc\_padata}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part.enc_padata}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enc\_padata}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Encrypted preauthentication data.
 
 \end{fulllineitems}
@@ -13714,80 +17684,116 @@ Encrypted preauthentication data.
 
 
 \subsubsection{krb5\_enc\_tkt\_part}
-\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:krb5-enc-tkt-part}}\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part::doc}}\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:krb5-enc-tkt-part-struct}}\index{krb5\_enc\_tkt\_part (C type)}
+\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:krb5-enc-tkt-part}}\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:krb5-enc-tkt-part-struct}}\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part::doc}}\index{krb5\_enc\_tkt\_part (C type)@\spxentry{krb5\_enc\_tkt\_part}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}}\pysigline{\sphinxbfcode{krb5\_enc\_tkt\_part}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_enc\_tkt\_part}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Encrypted part of ticket.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:declaration}}
-typedef struct \_krb5\_enc\_tkt\_part  krb5\_enc\_tkt\_part
+\sphinxAtStartPar
+typedef struct \_krb5\_enc\_tkt\_part krb5\_enc\_tkt\_part
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:members}}\index{krb5\_enc\_tkt\_part.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:members}}\index{krb5\_enc\_tkt\_part.magic (C member)@\spxentry{krb5\_enc\_tkt\_part.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_enc\_tkt\_part.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_enc\_tkt\_part.flags (C member)}
+\index{krb5\_enc\_tkt\_part.flags (C member)@\spxentry{krb5\_enc\_tkt\_part.flags}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.flags}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_enc\_tkt\_part.flags}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.flags}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{flags}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 flags
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_tkt\_part.session (C member)}
+\index{krb5\_enc\_tkt\_part.session (C member)@\spxentry{krb5\_enc\_tkt\_part.session}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.session}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}}  *  \sphinxbfcode{krb5\_enc\_tkt\_part.session}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.session}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{session}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 session key: includes enctype
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_tkt\_part.client (C member)}
+\index{krb5\_enc\_tkt\_part.client (C member)@\spxentry{krb5\_enc\_tkt\_part.client}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.client}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_enc\_tkt\_part.client}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.client}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{client}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 client name/realm
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_tkt\_part.transited (C member)}
+\index{krb5\_enc\_tkt\_part.transited (C member)@\spxentry{krb5\_enc\_tkt\_part.transited}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.transited}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited}]{\sphinxcrossref{krb5\_transited}}}    \sphinxbfcode{krb5\_enc\_tkt\_part.transited}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.transited}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited}]{\sphinxcrossref{\DUrole{n}{krb5\_transited}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{transited}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 list of transited realms
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_tkt\_part.times (C member)}
+\index{krb5\_enc\_tkt\_part.times (C member)@\spxentry{krb5\_enc\_tkt\_part.times}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.times}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{krb5\_ticket\_times}}} \sphinxbfcode{krb5\_enc\_tkt\_part.times}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.times}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{times}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 auth, start, end, renew\_till
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_tkt\_part.caddrs (C member)}
+\index{krb5\_enc\_tkt\_part.caddrs (C member)@\spxentry{krb5\_enc\_tkt\_part.caddrs}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.caddrs}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}}  **  \sphinxbfcode{krb5\_enc\_tkt\_part.caddrs}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.caddrs}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{caddrs}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 array of ptrs to addresses
 
 \end{fulllineitems}
 
-\index{krb5\_enc\_tkt\_part.authorization\_data (C member)}
+\index{krb5\_enc\_tkt\_part.authorization\_data (C member)@\spxentry{krb5\_enc\_tkt\_part.authorization\_data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.authorization_data}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}}  ** \sphinxbfcode{krb5\_enc\_tkt\_part.authorization\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part.authorization_data}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{authorization\_data}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 auth data
 
 \end{fulllineitems}
@@ -13795,408 +17801,572 @@ auth data
 
 
 \subsubsection{krb5\_encrypt\_block}
-\label{\detokenize{appdev/refs/types/krb5_encrypt_block:krb5-encrypt-block}}\label{\detokenize{appdev/refs/types/krb5_encrypt_block:krb5-encrypt-block-struct}}\label{\detokenize{appdev/refs/types/krb5_encrypt_block::doc}}\index{krb5\_encrypt\_block (C type)}
+\label{\detokenize{appdev/refs/types/krb5_encrypt_block:krb5-encrypt-block}}\label{\detokenize{appdev/refs/types/krb5_encrypt_block:krb5-encrypt-block-struct}}\label{\detokenize{appdev/refs/types/krb5_encrypt_block::doc}}\index{krb5\_encrypt\_block (C type)@\spxentry{krb5\_encrypt\_block}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}}\pysigline{\sphinxbfcode{krb5\_encrypt\_block}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_encrypt\_block}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_encrypt_block:declaration}}
-typedef struct \_krb5\_encrypt\_block  krb5\_encrypt\_block
+\sphinxAtStartPar
+typedef struct \_krb5\_encrypt\_block krb5\_encrypt\_block
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_encrypt_block:members}}\index{krb5\_encrypt\_block.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_encrypt_block:members}}\index{krb5\_encrypt\_block.magic (C member)@\spxentry{krb5\_encrypt\_block.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_encrypt\_block.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_encrypt\_block.crypto\_entry (C member)}
+\index{krb5\_encrypt\_block.crypto\_entry (C member)@\spxentry{krb5\_encrypt\_block.crypto\_entry}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block.crypto_entry}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}      \sphinxbfcode{krb5\_encrypt\_block.crypto\_entry}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block.crypto_entry}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{crypto\_entry}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_encrypt\_block.key (C member)}
+\index{krb5\_encrypt\_block.key (C member)@\spxentry{krb5\_encrypt\_block.key}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block.key}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}}  *  \sphinxbfcode{krb5\_encrypt\_block.key}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block.key}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_encrypt_block:c.krb5_encrypt_block}]{\sphinxcrossref{\DUrole{n}{krb5\_encrypt\_block}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{key}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_enctype}
-\label{\detokenize{appdev/refs/types/krb5_enctype:krb5-enctype-struct}}\label{\detokenize{appdev/refs/types/krb5_enctype:krb5-enctype}}\label{\detokenize{appdev/refs/types/krb5_enctype::doc}}\index{krb5\_enctype (C type)}
+\label{\detokenize{appdev/refs/types/krb5_enctype:krb5-enctype}}\label{\detokenize{appdev/refs/types/krb5_enctype:krb5-enctype-struct}}\label{\detokenize{appdev/refs/types/krb5_enctype::doc}}\index{krb5\_enctype (C type)@\spxentry{krb5\_enctype}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}}\pysigline{\sphinxbfcode{krb5\_enctype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_enctype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_enctype:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_enctype
 
 
 \subsubsection{krb5\_error}
-\label{\detokenize{appdev/refs/types/krb5_error:krb5-error-struct}}\label{\detokenize{appdev/refs/types/krb5_error:krb5-error}}\label{\detokenize{appdev/refs/types/krb5_error::doc}}\index{krb5\_error (C type)}
+\label{\detokenize{appdev/refs/types/krb5_error:krb5-error}}\label{\detokenize{appdev/refs/types/krb5_error:krb5-error-struct}}\label{\detokenize{appdev/refs/types/krb5_error::doc}}\index{krb5\_error (C type)@\spxentry{krb5\_error}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error}}\pysigline{\sphinxbfcode{krb5\_error}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_error}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Error message structure.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_error:declaration}}
-typedef struct \_krb5\_error  krb5\_error
+\sphinxAtStartPar
+typedef struct \_krb5\_error krb5\_error
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_error:members}}\index{krb5\_error.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_error:members}}\index{krb5\_error.magic (C member)@\spxentry{krb5\_error.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_error.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_error.ctime (C member)}
+\index{krb5\_error.ctime (C member)@\spxentry{krb5\_error.ctime}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.ctime}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_error.ctime}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.ctime}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ctime}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Client sec portion; optional.
 
 \end{fulllineitems}
 
-\index{krb5\_error.cusec (C member)}
+\index{krb5\_error.cusec (C member)@\spxentry{krb5\_error.cusec}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.cusec}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_error.cusec}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.cusec}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{cusec}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Client usec portion; optional.
 
 \end{fulllineitems}
 
-\index{krb5\_error.susec (C member)}
+\index{krb5\_error.susec (C member)@\spxentry{krb5\_error.susec}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.susec}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_error.susec}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.susec}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{susec}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Server usec portion.
 
 \end{fulllineitems}
 
-\index{krb5\_error.stime (C member)}
+\index{krb5\_error.stime (C member)@\spxentry{krb5\_error.stime}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.stime}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_error.stime}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.stime}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{stime}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Server sec portion.
 
 \end{fulllineitems}
 
-\index{krb5\_error.error (C member)}
+\index{krb5\_error.error (C member)@\spxentry{krb5\_error.error}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.error}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{krb5\_ui\_4}}} \sphinxbfcode{krb5\_error.error}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.error}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{\DUrole{n}{krb5\_ui\_4}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{error}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Error code (protocol error \#’s)
 
 \end{fulllineitems}
 
-\index{krb5\_error.client (C member)}
+\index{krb5\_error.client (C member)@\spxentry{krb5\_error.client}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.client}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_error.client}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.client}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{client}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Client principal and realm.
 
 \end{fulllineitems}
 
-\index{krb5\_error.server (C member)}
+\index{krb5\_error.server (C member)@\spxentry{krb5\_error.server}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.server}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_error.server}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.server}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{server}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Server principal and realm.
 
 \end{fulllineitems}
 
-\index{krb5\_error.text (C member)}
+\index{krb5\_error.text (C member)@\spxentry{krb5\_error.text}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.text}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_error.text}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.text}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{text}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Descriptive text.
 
 \end{fulllineitems}
 
-\index{krb5\_error.e\_data (C member)}
+\index{krb5\_error.e\_data (C member)@\spxentry{krb5\_error.e\_data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.e_data}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_error.e\_data}}
-Additional error-describing data.
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error:c.krb5_error.e_data}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_error:c.krb5_error}]{\sphinxcrossref{\DUrole{n}{krb5\_error}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{e\_data}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
+Additional error\sphinxhyphen{}describing data.
 
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_error\_code}
-\label{\detokenize{appdev/refs/types/krb5_error_code:krb5-error-code}}\label{\detokenize{appdev/refs/types/krb5_error_code::doc}}\label{\detokenize{appdev/refs/types/krb5_error_code:krb5-error-code-struct}}\index{krb5\_error\_code (C type)}
+\label{\detokenize{appdev/refs/types/krb5_error_code:krb5-error-code}}\label{\detokenize{appdev/refs/types/krb5_error_code:krb5-error-code-struct}}\label{\detokenize{appdev/refs/types/krb5_error_code::doc}}\index{krb5\_error\_code (C type)@\spxentry{krb5\_error\_code}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}}\pysigline{\sphinxbfcode{krb5\_error\_code}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_error_code:c.krb5_error_code}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_error\_code}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Used to convey an operation status.
 
-The value 0 indicates success; any other values are com\_err codes. Use {\hyperref[\detokenize{appdev/refs/api/krb5_get_error_message:c.krb5_get_error_message}]{\sphinxcrossref{\sphinxcode{krb5\_get\_error\_message()}}}} to obtain a string describing the error.
+\sphinxAtStartPar
+The value 0 indicates success; any other values are com\_err codes. Use krb5\_get\_error\_message() to obtain a string describing the error.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_error_code:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_error\_code
 
 
 \subsubsection{krb5\_expire\_callback\_func}
-\label{\detokenize{appdev/refs/types/krb5_expire_callback_func:krb5-expire-callback-func}}\label{\detokenize{appdev/refs/types/krb5_expire_callback_func::doc}}\label{\detokenize{appdev/refs/types/krb5_expire_callback_func:krb5-expire-callback-func-struct}}\index{krb5\_expire\_callback\_func (C type)}
+\label{\detokenize{appdev/refs/types/krb5_expire_callback_func:krb5-expire-callback-func}}\label{\detokenize{appdev/refs/types/krb5_expire_callback_func:krb5-expire-callback-func-struct}}\label{\detokenize{appdev/refs/types/krb5_expire_callback_func::doc}}\index{krb5\_expire\_callback\_func (C type)@\spxentry{krb5\_expire\_callback\_func}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_expire_callback_func:c.krb5_expire_callback_func}}\pysigline{\sphinxbfcode{krb5\_expire\_callback\_func}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_expire_callback_func:c.krb5_expire_callback_func}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_expire\_callback\_func}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_expire_callback_func:declaration}}
+\sphinxAtStartPar
 typedef void( * krb5\_expire\_callback\_func) (krb5\_context context, void *data, krb5\_timestamp password\_expiration, krb5\_timestamp account\_expiration, krb5\_boolean is\_last\_req)
 
 
 \subsubsection{krb5\_flags}
-\label{\detokenize{appdev/refs/types/krb5_flags:krb5-flags-struct}}\label{\detokenize{appdev/refs/types/krb5_flags:krb5-flags}}\label{\detokenize{appdev/refs/types/krb5_flags::doc}}\index{krb5\_flags (C type)}
+\label{\detokenize{appdev/refs/types/krb5_flags:krb5-flags}}\label{\detokenize{appdev/refs/types/krb5_flags:krb5-flags-struct}}\label{\detokenize{appdev/refs/types/krb5_flags::doc}}\index{krb5\_flags (C type)@\spxentry{krb5\_flags}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}}\pysigline{\sphinxbfcode{krb5\_flags}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_flags}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_flags:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_flags
 
 
 \subsubsection{krb5\_get\_init\_creds\_opt}
-\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:krb5-get-init-creds-opt-struct}}\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt::doc}}\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:krb5-get-init-creds-opt}}\index{krb5\_get\_init\_creds\_opt (C type)}
+\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:krb5-get-init-creds-opt}}\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:krb5-get-init-creds-opt-struct}}\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt::doc}}\index{krb5\_get\_init\_creds\_opt (C type)@\spxentry{krb5\_get\_init\_creds\_opt}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}}\pysigline{\sphinxbfcode{krb5\_get\_init\_creds\_opt}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Store options for \sphinxstyleemphasis{\_krb5\_get\_init\_creds} .
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:declaration}}
-typedef struct \_krb5\_get\_init\_creds\_opt  krb5\_get\_init\_creds\_opt
+\sphinxAtStartPar
+typedef struct \_krb5\_get\_init\_creds\_opt krb5\_get\_init\_creds\_opt
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:members}}\index{krb5\_get\_init\_creds\_opt.flags (C member)}
+\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:members}}\index{krb5\_get\_init\_creds\_opt.flags (C member)@\spxentry{krb5\_get\_init\_creds\_opt.flags}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.flags}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_get\_init\_creds\_opt.flags}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.flags}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{flags}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.tkt\_life (C member)}
+\index{krb5\_get\_init\_creds\_opt.tkt\_life (C member)@\spxentry{krb5\_get\_init\_creds\_opt.tkt\_life}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.tkt_life}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{krb5\_deltat}}}       \sphinxbfcode{krb5\_get\_init\_creds\_opt.tkt\_life}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.tkt_life}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{\DUrole{n}{krb5\_deltat}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{tkt\_life}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.renew\_life (C member)}
+\index{krb5\_get\_init\_creds\_opt.renew\_life (C member)@\spxentry{krb5\_get\_init\_creds\_opt.renew\_life}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.renew_life}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{krb5\_deltat}}}       \sphinxbfcode{krb5\_get\_init\_creds\_opt.renew\_life}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.renew_life}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_deltat:c.krb5_deltat}]{\sphinxcrossref{\DUrole{n}{krb5\_deltat}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{renew\_life}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.forwardable (C member)}
+\index{krb5\_get\_init\_creds\_opt.forwardable (C member)@\spxentry{krb5\_get\_init\_creds\_opt.forwardable}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.forwardable}}\pysigline{int       \sphinxbfcode{krb5\_get\_init\_creds\_opt.forwardable}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.forwardable}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{forwardable}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.proxiable (C member)}
+\index{krb5\_get\_init\_creds\_opt.proxiable (C member)@\spxentry{krb5\_get\_init\_creds\_opt.proxiable}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.proxiable}}\pysigline{int       \sphinxbfcode{krb5\_get\_init\_creds\_opt.proxiable}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.proxiable}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{proxiable}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.etype\_list (C member)}
+\index{krb5\_get\_init\_creds\_opt.etype\_list (C member)@\spxentry{krb5\_get\_init\_creds\_opt.etype\_list}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.etype_list}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *    \sphinxbfcode{krb5\_get\_init\_creds\_opt.etype\_list}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.etype_list}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{etype\_list}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.etype\_list\_length (C member)}
+\index{krb5\_get\_init\_creds\_opt.etype\_list\_length (C member)@\spxentry{krb5\_get\_init\_creds\_opt.etype\_list\_length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.etype_list_length}}\pysigline{int       \sphinxbfcode{krb5\_get\_init\_creds\_opt.etype\_list\_length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.etype_list_length}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{etype\_list\_length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.address\_list (C member)}
+\index{krb5\_get\_init\_creds\_opt.address\_list (C member)@\spxentry{krb5\_get\_init\_creds\_opt.address\_list}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.address_list}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}}  **  \sphinxbfcode{krb5\_get\_init\_creds\_opt.address\_list}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.address_list}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{address\_list}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.preauth\_list (C member)}
+\index{krb5\_get\_init\_creds\_opt.preauth\_list (C member)@\spxentry{krb5\_get\_init\_creds\_opt.preauth\_list}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.preauth_list}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{krb5\_preauthtype}}} *        \sphinxbfcode{krb5\_get\_init\_creds\_opt.preauth\_list}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.preauth_list}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{\DUrole{n}{krb5\_preauthtype}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{preauth\_list}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.preauth\_list\_length (C member)}
+\index{krb5\_get\_init\_creds\_opt.preauth\_list\_length (C member)@\spxentry{krb5\_get\_init\_creds\_opt.preauth\_list\_length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.preauth_list_length}}\pysigline{int       \sphinxbfcode{krb5\_get\_init\_creds\_opt.preauth\_list\_length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.preauth_list_length}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{preauth\_list\_length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_get\_init\_creds\_opt.salt (C member)}
+\index{krb5\_get\_init\_creds\_opt.salt (C member)@\spxentry{krb5\_get\_init\_creds\_opt.salt}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.salt}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}}  *      \sphinxbfcode{krb5\_get\_init\_creds\_opt.salt}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt.salt}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_get_init_creds_opt:c.krb5_get_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_get\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{salt}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_gic\_opt\_pa\_data}
-\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data::doc}}\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:krb5-gic-opt-pa-data}}\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:krb5-gic-opt-pa-data-struct}}\index{krb5\_gic\_opt\_pa\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:krb5-gic-opt-pa-data}}\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:krb5-gic-opt-pa-data-struct}}\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data::doc}}\index{krb5\_gic\_opt\_pa\_data (C type)@\spxentry{krb5\_gic\_opt\_pa\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:c.krb5_gic_opt_pa_data}}\pysigline{\sphinxbfcode{krb5\_gic\_opt\_pa\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:c.krb5_gic_opt_pa_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_gic\_opt\_pa\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Generic preauth option attribute/value pairs.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:declaration}}
-typedef struct \_krb5\_gic\_opt\_pa\_data  krb5\_gic\_opt\_pa\_data
+\sphinxAtStartPar
+typedef struct \_krb5\_gic\_opt\_pa\_data krb5\_gic\_opt\_pa\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:members}}\index{krb5\_gic\_opt\_pa\_data.attr (C member)}
+\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:members}}\index{krb5\_gic\_opt\_pa\_data.attr (C member)@\spxentry{krb5\_gic\_opt\_pa\_data.attr}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:c.krb5_gic_opt_pa_data.attr}}\pysigline{char *    \sphinxbfcode{krb5\_gic\_opt\_pa\_data.attr}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:c.krb5_gic_opt_pa_data.attr}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:c.krb5_gic_opt_pa_data}]{\sphinxcrossref{\DUrole{n}{krb5\_gic\_opt\_pa\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{attr}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_gic\_opt\_pa\_data.value (C member)}
+\index{krb5\_gic\_opt\_pa\_data.value (C member)@\spxentry{krb5\_gic\_opt\_pa\_data.value}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:c.krb5_gic_opt_pa_data.value}}\pysigline{char *    \sphinxbfcode{krb5\_gic\_opt\_pa\_data.value}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:c.krb5_gic_opt_pa_data.value}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_gic_opt_pa_data:c.krb5_gic_opt_pa_data}]{\sphinxcrossref{\DUrole{n}{krb5\_gic\_opt\_pa\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{value}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_int16}
-\label{\detokenize{appdev/refs/types/krb5_int16:krb5-int16-struct}}\label{\detokenize{appdev/refs/types/krb5_int16:krb5-int16}}\label{\detokenize{appdev/refs/types/krb5_int16::doc}}\index{krb5\_int16 (C type)}
+\label{\detokenize{appdev/refs/types/krb5_int16:krb5-int16}}\label{\detokenize{appdev/refs/types/krb5_int16:krb5-int16-struct}}\label{\detokenize{appdev/refs/types/krb5_int16::doc}}\index{krb5\_int16 (C type)@\spxentry{krb5\_int16}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_int16:c.krb5_int16}}\pysigline{\sphinxbfcode{krb5\_int16}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_int16:c.krb5_int16}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_int16}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_int16:declaration}}
+\sphinxAtStartPar
 typedef int16\_t krb5\_int16
 
 
 \subsubsection{krb5\_int32}
-\label{\detokenize{appdev/refs/types/krb5_int32:krb5-int32-struct}}\label{\detokenize{appdev/refs/types/krb5_int32::doc}}\label{\detokenize{appdev/refs/types/krb5_int32:krb5-int32}}\index{krb5\_int32 (C type)}
+\label{\detokenize{appdev/refs/types/krb5_int32:krb5-int32}}\label{\detokenize{appdev/refs/types/krb5_int32:krb5-int32-struct}}\label{\detokenize{appdev/refs/types/krb5_int32::doc}}\index{krb5\_int32 (C type)@\spxentry{krb5\_int32}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}}\pysigline{\sphinxbfcode{krb5\_int32}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_int32}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_int32:declaration}}
+\sphinxAtStartPar
 typedef int32\_t krb5\_int32
 
 
 \subsubsection{krb5\_kdc\_rep}
-\label{\detokenize{appdev/refs/types/krb5_kdc_rep::doc}}\label{\detokenize{appdev/refs/types/krb5_kdc_rep:krb5-kdc-rep}}\label{\detokenize{appdev/refs/types/krb5_kdc_rep:krb5-kdc-rep-struct}}\index{krb5\_kdc\_rep (C type)}
+\label{\detokenize{appdev/refs/types/krb5_kdc_rep:krb5-kdc-rep}}\label{\detokenize{appdev/refs/types/krb5_kdc_rep:krb5-kdc-rep-struct}}\label{\detokenize{appdev/refs/types/krb5_kdc_rep::doc}}\index{krb5\_kdc\_rep (C type)@\spxentry{krb5\_kdc\_rep}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}}\pysigline{\sphinxbfcode{krb5\_kdc\_rep}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kdc\_rep}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
-Representation of the \sphinxstyleemphasis{KDC-REP} protocol message.
+\sphinxAtStartPar
+Representation of the \sphinxstyleemphasis{KDC\sphinxhyphen{}REP} protocol message.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_kdc_rep:declaration}}
-typedef struct \_krb5\_kdc\_rep  krb5\_kdc\_rep
+\sphinxAtStartPar
+typedef struct \_krb5\_kdc\_rep krb5\_kdc\_rep
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_kdc_rep:members}}\index{krb5\_kdc\_rep.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_kdc_rep:members}}\index{krb5\_kdc\_rep.magic (C member)@\spxentry{krb5\_kdc\_rep.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_kdc\_rep.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_kdc\_rep.msg\_type (C member)}
+\index{krb5\_kdc\_rep.msg\_type (C member)@\spxentry{krb5\_kdc\_rep.msg\_type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.msg_type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_msgtype:c.krb5_msgtype}]{\sphinxcrossref{krb5\_msgtype}}}      \sphinxbfcode{krb5\_kdc\_rep.msg\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.msg_type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_msgtype:c.krb5_msgtype}]{\sphinxcrossref{\DUrole{n}{krb5\_msgtype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{msg\_type}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 KRB5\_AS\_REP or KRB5\_KDC\_REP.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_rep.padata (C member)}
+\index{krb5\_kdc\_rep.padata (C member)@\spxentry{krb5\_kdc\_rep.padata}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.padata}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{krb5\_pa\_data}}}  **  \sphinxbfcode{krb5\_kdc\_rep.padata}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.padata}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{padata}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Preauthentication data from KDC.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_rep.client (C member)}
+\index{krb5\_kdc\_rep.client (C member)@\spxentry{krb5\_kdc\_rep.client}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.client}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_kdc\_rep.client}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.client}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{client}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Client principal and realm.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_rep.ticket (C member)}
+\index{krb5\_kdc\_rep.ticket (C member)@\spxentry{krb5\_kdc\_rep.ticket}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.ticket}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}}  *    \sphinxbfcode{krb5\_kdc\_rep.ticket}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.ticket}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ticket}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Ticket.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_rep.enc\_part (C member)}
+\index{krb5\_kdc\_rep.enc\_part (C member)@\spxentry{krb5\_kdc\_rep.enc\_part}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.enc_part}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}}     \sphinxbfcode{krb5\_kdc\_rep.enc\_part}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.enc_part}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enc\_part}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Encrypted part of reply.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_rep.enc\_part2 (C member)}
+\index{krb5\_kdc\_rep.enc\_part2 (C member)@\spxentry{krb5\_kdc\_rep.enc\_part2}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.enc_part2}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{krb5\_enc\_kdc\_rep\_part}}}  *  \sphinxbfcode{krb5\_kdc\_rep.enc\_part2}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep.enc_part2}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_kdc_rep_part:c.krb5_enc_kdc_rep_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_kdc\_rep\_part}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_rep:c.krb5_kdc_rep}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_rep}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enc\_part2}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Unencrypted version, if available.
 
 \end{fulllineitems}
@@ -14204,144 +18374,212 @@ Unencrypted version, if available.
 
 
 \subsubsection{krb5\_kdc\_req}
-\label{\detokenize{appdev/refs/types/krb5_kdc_req:krb5-kdc-req-struct}}\label{\detokenize{appdev/refs/types/krb5_kdc_req:krb5-kdc-req}}\label{\detokenize{appdev/refs/types/krb5_kdc_req::doc}}\index{krb5\_kdc\_req (C type)}
+\label{\detokenize{appdev/refs/types/krb5_kdc_req:krb5-kdc-req}}\label{\detokenize{appdev/refs/types/krb5_kdc_req:krb5-kdc-req-struct}}\label{\detokenize{appdev/refs/types/krb5_kdc_req::doc}}\index{krb5\_kdc\_req (C type)@\spxentry{krb5\_kdc\_req}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}}\pysigline{\sphinxbfcode{krb5\_kdc\_req}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kdc\_req}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
-C representation of KDC-REQ protocol message, including KDC-REQ-BODY.
+\sphinxAtStartPar
+C representation of KDC\sphinxhyphen{}REQ protocol message, including KDC\sphinxhyphen{}REQ\sphinxhyphen{}BODY.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_kdc_req:declaration}}
-typedef struct \_krb5\_kdc\_req  krb5\_kdc\_req
+\sphinxAtStartPar
+typedef struct \_krb5\_kdc\_req krb5\_kdc\_req
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_kdc_req:members}}\index{krb5\_kdc\_req.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_kdc_req:members}}\index{krb5\_kdc\_req.magic (C member)@\spxentry{krb5\_kdc\_req.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_kdc\_req.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.msg\_type (C member)}
+\index{krb5\_kdc\_req.msg\_type (C member)@\spxentry{krb5\_kdc\_req.msg\_type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.msg_type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_msgtype:c.krb5_msgtype}]{\sphinxcrossref{krb5\_msgtype}}}      \sphinxbfcode{krb5\_kdc\_req.msg\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.msg_type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_msgtype:c.krb5_msgtype}]{\sphinxcrossref{\DUrole{n}{krb5\_msgtype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{msg\_type}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 KRB5\_AS\_REQ or KRB5\_TGS\_REQ.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.padata (C member)}
+\index{krb5\_kdc\_req.padata (C member)@\spxentry{krb5\_kdc\_req.padata}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.padata}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{krb5\_pa\_data}}}  **  \sphinxbfcode{krb5\_kdc\_req.padata}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.padata}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{padata}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Preauthentication data.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.kdc\_options (C member)}
+\index{krb5\_kdc\_req.kdc\_options (C member)@\spxentry{krb5\_kdc\_req.kdc\_options}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.kdc_options}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_kdc\_req.kdc\_options}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.kdc_options}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{kdc\_options}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Requested options.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.client (C member)}
+\index{krb5\_kdc\_req.client (C member)@\spxentry{krb5\_kdc\_req.client}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.client}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_kdc\_req.client}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.client}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{client}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Client principal and realm.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.server (C member)}
+\index{krb5\_kdc\_req.server (C member)@\spxentry{krb5\_kdc\_req.server}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.server}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_kdc\_req.server}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.server}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{server}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Server principal and realm.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.from (C member)}
+\index{krb5\_kdc\_req.from (C member)@\spxentry{krb5\_kdc\_req.from}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.from}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_kdc\_req.from}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.from}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{from}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Requested start time.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.till (C member)}
+\index{krb5\_kdc\_req.till (C member)@\spxentry{krb5\_kdc\_req.till}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.till}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_kdc\_req.till}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.till}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{till}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Requested end time.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.rtime (C member)}
+\index{krb5\_kdc\_req.rtime (C member)@\spxentry{krb5\_kdc\_req.rtime}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.rtime}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_kdc\_req.rtime}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.rtime}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{rtime}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Requested renewable end time.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.nonce (C member)}
+\index{krb5\_kdc\_req.nonce (C member)@\spxentry{krb5\_kdc\_req.nonce}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.nonce}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_kdc\_req.nonce}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.nonce}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{nonce}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Nonce to match request and response.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.nktypes (C member)}
+\index{krb5\_kdc\_req.nktypes (C member)@\spxentry{krb5\_kdc\_req.nktypes}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.nktypes}}\pysigline{int       \sphinxbfcode{krb5\_kdc\_req.nktypes}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.nktypes}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{nktypes}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Number of enctypes.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.ktype (C member)}
+\index{krb5\_kdc\_req.ktype (C member)@\spxentry{krb5\_kdc\_req.ktype}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.ktype}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}} *    \sphinxbfcode{krb5\_kdc\_req.ktype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.ktype}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ktype}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Requested enctypes.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.addresses (C member)}
+\index{krb5\_kdc\_req.addresses (C member)@\spxentry{krb5\_kdc\_req.addresses}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.addresses}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{krb5\_address}}}  **  \sphinxbfcode{krb5\_kdc\_req.addresses}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.addresses}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_address:c.krb5_address}]{\sphinxcrossref{\DUrole{n}{krb5\_address}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{addresses}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Requested addresses (optional)
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.authorization\_data (C member)}
+\index{krb5\_kdc\_req.authorization\_data (C member)@\spxentry{krb5\_kdc\_req.authorization\_data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.authorization_data}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}}     \sphinxbfcode{krb5\_kdc\_req.authorization\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.authorization_data}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{authorization\_data}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Encrypted authz data (optional)
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.unenc\_authdata (C member)}
+\index{krb5\_kdc\_req.unenc\_authdata (C member)@\spxentry{krb5\_kdc\_req.unenc\_authdata}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.unenc_authdata}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{krb5\_authdata}}}  ** \sphinxbfcode{krb5\_kdc\_req.unenc\_authdata}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.unenc_authdata}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authdata:c.krb5_authdata}]{\sphinxcrossref{\DUrole{n}{krb5\_authdata}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{unenc\_authdata}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Unencrypted authz data.
 
 \end{fulllineitems}
 
-\index{krb5\_kdc\_req.second\_ticket (C member)}
+\index{krb5\_kdc\_req.second\_ticket (C member)@\spxentry{krb5\_kdc\_req.second\_ticket}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.second_ticket}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}}  **   \sphinxbfcode{krb5\_kdc\_req.second\_ticket}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req.second_ticket}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_kdc_req:c.krb5_kdc_req}]{\sphinxcrossref{\DUrole{n}{krb5\_kdc\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{second\_ticket}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Second ticket array (optional)
 
 \end{fulllineitems}
@@ -14349,99 +18587,140 @@ Second ticket array (optional)
 
 
 \subsubsection{krb5\_keyblock}
-\label{\detokenize{appdev/refs/types/krb5_keyblock:krb5-keyblock}}\label{\detokenize{appdev/refs/types/krb5_keyblock::doc}}\label{\detokenize{appdev/refs/types/krb5_keyblock:krb5-keyblock-struct}}\index{krb5\_keyblock (C type)}
+\label{\detokenize{appdev/refs/types/krb5_keyblock:krb5-keyblock}}\label{\detokenize{appdev/refs/types/krb5_keyblock:krb5-keyblock-struct}}\label{\detokenize{appdev/refs/types/krb5_keyblock::doc}}\index{krb5\_keyblock (C type)@\spxentry{krb5\_keyblock}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}}\pysigline{\sphinxbfcode{krb5\_keyblock}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_keyblock}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Exposed contents of a key.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_keyblock:declaration}}
-typedef struct \_krb5\_keyblock  krb5\_keyblock
+\sphinxAtStartPar
+typedef struct \_krb5\_keyblock krb5\_keyblock
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_keyblock:members}}\index{krb5\_keyblock.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_keyblock:members}}\index{krb5\_keyblock.magic (C member)@\spxentry{krb5\_keyblock.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_keyblock.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_keyblock.enctype (C member)}
+\index{krb5\_keyblock.enctype (C member)@\spxentry{krb5\_keyblock.enctype}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock.enctype}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{krb5\_enctype}}}      \sphinxbfcode{krb5\_keyblock.enctype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock.enctype}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enctype:c.krb5_enctype}]{\sphinxcrossref{\DUrole{n}{krb5\_enctype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enctype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_keyblock.length (C member)}
+\index{krb5\_keyblock.length (C member)@\spxentry{krb5\_keyblock.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock.length}}\pysigline{unsigned int      \sphinxbfcode{krb5\_keyblock.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock.length}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_keyblock.contents (C member)}
+\index{krb5\_keyblock.contents (C member)@\spxentry{krb5\_keyblock.contents}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock.contents}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{krb5\_octet}}} *      \sphinxbfcode{krb5\_keyblock.contents}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock.contents}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{\DUrole{n}{krb5\_octet}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{contents}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_keytab\_entry}
-\label{\detokenize{appdev/refs/types/krb5_keytab_entry:krb5-keytab-entry}}\label{\detokenize{appdev/refs/types/krb5_keytab_entry:krb5-keytab-entry-struct}}\label{\detokenize{appdev/refs/types/krb5_keytab_entry::doc}}\index{krb5\_keytab\_entry (C type)}
+\label{\detokenize{appdev/refs/types/krb5_keytab_entry:krb5-keytab-entry}}\label{\detokenize{appdev/refs/types/krb5_keytab_entry:krb5-keytab-entry-struct}}\label{\detokenize{appdev/refs/types/krb5_keytab_entry::doc}}\index{krb5\_keytab\_entry (C type)@\spxentry{krb5\_keytab\_entry}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}}\pysigline{\sphinxbfcode{krb5\_keytab\_entry}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_keytab\_entry}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 A key table entry.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_keytab_entry:declaration}}
-typedef struct krb5\_keytab\_entry\_st  krb5\_keytab\_entry
+\sphinxAtStartPar
+typedef struct krb5\_keytab\_entry\_st krb5\_keytab\_entry
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_keytab_entry:members}}\index{krb5\_keytab\_entry.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_keytab_entry:members}}\index{krb5\_keytab\_entry.magic (C member)@\spxentry{krb5\_keytab\_entry.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_keytab\_entry.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_keytab\_entry.principal (C member)}
+\index{krb5\_keytab\_entry.principal (C member)@\spxentry{krb5\_keytab\_entry.principal}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.principal}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_keytab\_entry.principal}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.principal}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{principal}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Principal of this key.
 
 \end{fulllineitems}
 
-\index{krb5\_keytab\_entry.timestamp (C member)}
+\index{krb5\_keytab\_entry.timestamp (C member)@\spxentry{krb5\_keytab\_entry.timestamp}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.timestamp}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_keytab\_entry.timestamp}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.timestamp}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{timestamp}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Time entry written to keytable.
 
 \end{fulllineitems}
 
-\index{krb5\_keytab\_entry.vno (C member)}
+\index{krb5\_keytab\_entry.vno (C member)@\spxentry{krb5\_keytab\_entry.vno}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.vno}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}]{\sphinxcrossref{krb5\_kvno}}} \sphinxbfcode{krb5\_keytab\_entry.vno}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.vno}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}]{\sphinxcrossref{\DUrole{n}{krb5\_kvno}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{vno}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Key version number.
 
 \end{fulllineitems}
 
-\index{krb5\_keytab\_entry.key (C member)}
+\index{krb5\_keytab\_entry.key (C member)@\spxentry{krb5\_keytab\_entry.key}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.key}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{krb5\_keyblock}}}     \sphinxbfcode{krb5\_keytab\_entry.key}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry.key}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_keyblock:c.krb5_keyblock}]{\sphinxcrossref{\DUrole{n}{krb5\_keyblock}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_keytab_entry:c.krb5_keytab_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_keytab\_entry}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{key}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 The secret key.
 
 \end{fulllineitems}
@@ -14449,82 +18728,110 @@ The secret key.
 
 
 \subsubsection{krb5\_keyusage}
-\label{\detokenize{appdev/refs/types/krb5_keyusage:krb5-keyusage}}\label{\detokenize{appdev/refs/types/krb5_keyusage::doc}}\label{\detokenize{appdev/refs/types/krb5_keyusage:krb5-keyusage-struct}}\index{krb5\_keyusage (C type)}
+\label{\detokenize{appdev/refs/types/krb5_keyusage:krb5-keyusage}}\label{\detokenize{appdev/refs/types/krb5_keyusage:krb5-keyusage-struct}}\label{\detokenize{appdev/refs/types/krb5_keyusage::doc}}\index{krb5\_keyusage (C type)@\spxentry{krb5\_keyusage}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}}\pysigline{\sphinxbfcode{krb5\_keyusage}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keyusage:c.krb5_keyusage}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_keyusage}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_keyusage:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_keyusage
 
 
 \subsubsection{krb5\_kt\_cursor}
-\label{\detokenize{appdev/refs/types/krb5_kt_cursor:krb5-kt-cursor-struct}}\label{\detokenize{appdev/refs/types/krb5_kt_cursor::doc}}\label{\detokenize{appdev/refs/types/krb5_kt_cursor:krb5-kt-cursor}}\index{krb5\_kt\_cursor (C type)}
+\label{\detokenize{appdev/refs/types/krb5_kt_cursor:krb5-kt-cursor}}\label{\detokenize{appdev/refs/types/krb5_kt_cursor:krb5-kt-cursor-struct}}\label{\detokenize{appdev/refs/types/krb5_kt_cursor::doc}}\index{krb5\_kt\_cursor (C type)@\spxentry{krb5\_kt\_cursor}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kt_cursor:c.krb5_kt_cursor}}\pysigline{\sphinxbfcode{krb5\_kt\_cursor}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kt_cursor:c.krb5_kt_cursor}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kt\_cursor}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_kt_cursor:declaration}}
+\sphinxAtStartPar
 typedef krb5\_pointer krb5\_kt\_cursor
 
 
 \subsubsection{krb5\_kvno}
-\label{\detokenize{appdev/refs/types/krb5_kvno:krb5-kvno}}\label{\detokenize{appdev/refs/types/krb5_kvno::doc}}\label{\detokenize{appdev/refs/types/krb5_kvno:krb5-kvno-struct}}\index{krb5\_kvno (C type)}
+\label{\detokenize{appdev/refs/types/krb5_kvno:krb5-kvno}}\label{\detokenize{appdev/refs/types/krb5_kvno:krb5-kvno-struct}}\label{\detokenize{appdev/refs/types/krb5_kvno::doc}}\index{krb5\_kvno (C type)@\spxentry{krb5\_kvno}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}}\pysigline{\sphinxbfcode{krb5\_kvno}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_kvno:c.krb5_kvno}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_kvno}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_kvno:declaration}}
+\sphinxAtStartPar
 typedef unsigned int krb5\_kvno
 
 
 \subsubsection{krb5\_last\_req\_entry}
-\label{\detokenize{appdev/refs/types/krb5_last_req_entry:krb5-last-req-entry}}\label{\detokenize{appdev/refs/types/krb5_last_req_entry::doc}}\label{\detokenize{appdev/refs/types/krb5_last_req_entry:krb5-last-req-entry-struct}}\index{krb5\_last\_req\_entry (C type)}
+\label{\detokenize{appdev/refs/types/krb5_last_req_entry:krb5-last-req-entry}}\label{\detokenize{appdev/refs/types/krb5_last_req_entry:krb5-last-req-entry-struct}}\label{\detokenize{appdev/refs/types/krb5_last_req_entry::doc}}\index{krb5\_last\_req\_entry (C type)@\spxentry{krb5\_last\_req\_entry}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry}}\pysigline{\sphinxbfcode{krb5\_last\_req\_entry}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_last\_req\_entry}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Last request entry.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_last_req_entry:declaration}}
-typedef struct \_krb5\_last\_req\_entry  krb5\_last\_req\_entry
+\sphinxAtStartPar
+typedef struct \_krb5\_last\_req\_entry krb5\_last\_req\_entry
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_last_req_entry:members}}\index{krb5\_last\_req\_entry.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_last_req_entry:members}}\index{krb5\_last\_req\_entry.magic (C member)@\spxentry{krb5\_last\_req\_entry.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_last\_req\_entry.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_last\_req\_entry}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_last\_req\_entry.lr\_type (C member)}
+\index{krb5\_last\_req\_entry.lr\_type (C member)@\spxentry{krb5\_last\_req\_entry.lr\_type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry.lr_type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_last\_req\_entry.lr\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry.lr_type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_last\_req\_entry}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{lr\_type}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 LR type.
 
 \end{fulllineitems}
 
-\index{krb5\_last\_req\_entry.value (C member)}
+\index{krb5\_last\_req\_entry.value (C member)@\spxentry{krb5\_last\_req\_entry.value}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry.value}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_last\_req\_entry.value}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry.value}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_last_req_entry:c.krb5_last_req_entry}]{\sphinxcrossref{\DUrole{n}{krb5\_last\_req\_entry}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{value}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Timestamp.
 
 \end{fulllineitems}
@@ -14532,154 +18839,206 @@ Timestamp.
 
 
 \subsubsection{krb5\_magic}
-\label{\detokenize{appdev/refs/types/krb5_magic:krb5-magic}}\label{\detokenize{appdev/refs/types/krb5_magic::doc}}\label{\detokenize{appdev/refs/types/krb5_magic:krb5-magic-struct}}\index{krb5\_magic (C type)}
+\label{\detokenize{appdev/refs/types/krb5_magic:krb5-magic}}\label{\detokenize{appdev/refs/types/krb5_magic:krb5-magic-struct}}\label{\detokenize{appdev/refs/types/krb5_magic::doc}}\index{krb5\_magic (C type)@\spxentry{krb5\_magic}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}}\pysigline{\sphinxbfcode{krb5\_magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_magic:declaration}}
+\sphinxAtStartPar
 typedef krb5\_error\_code krb5\_magic
 
 
 \subsubsection{krb5\_mk\_req\_checksum\_func}
-\label{\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:krb5-mk-req-checksum-func-struct}}\label{\detokenize{appdev/refs/types/krb5_mk_req_checksum_func::doc}}\label{\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:krb5-mk-req-checksum-func}}\index{krb5\_mk\_req\_checksum\_func (C type)}
+\label{\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:krb5-mk-req-checksum-func}}\label{\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:krb5-mk-req-checksum-func-struct}}\label{\detokenize{appdev/refs/types/krb5_mk_req_checksum_func::doc}}\index{krb5\_mk\_req\_checksum\_func (C type)@\spxentry{krb5\_mk\_req\_checksum\_func}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:c.krb5_mk_req_checksum_func}}\pysigline{\sphinxbfcode{krb5\_mk\_req\_checksum\_func}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:c.krb5_mk_req_checksum_func}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_mk\_req\_checksum\_func}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Type of function used as a callback to generate checksum data for mk\_req.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_mk_req_checksum_func:declaration}}
+\sphinxAtStartPar
 typedef krb5\_error\_code( * krb5\_mk\_req\_checksum\_func) (krb5\_context, krb5\_auth\_context, void *, krb5\_data **)
 
 
 \subsubsection{krb5\_msgtype}
-\label{\detokenize{appdev/refs/types/krb5_msgtype:krb5-msgtype}}\label{\detokenize{appdev/refs/types/krb5_msgtype::doc}}\label{\detokenize{appdev/refs/types/krb5_msgtype:krb5-msgtype-struct}}\index{krb5\_msgtype (C type)}
+\label{\detokenize{appdev/refs/types/krb5_msgtype:krb5-msgtype}}\label{\detokenize{appdev/refs/types/krb5_msgtype:krb5-msgtype-struct}}\label{\detokenize{appdev/refs/types/krb5_msgtype::doc}}\index{krb5\_msgtype (C type)@\spxentry{krb5\_msgtype}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_msgtype:c.krb5_msgtype}}\pysigline{\sphinxbfcode{krb5\_msgtype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_msgtype:c.krb5_msgtype}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_msgtype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_msgtype:declaration}}
+\sphinxAtStartPar
 typedef unsigned int krb5\_msgtype
 
 
 \subsubsection{krb5\_octet}
-\label{\detokenize{appdev/refs/types/krb5_octet:krb5-octet-struct}}\label{\detokenize{appdev/refs/types/krb5_octet:krb5-octet}}\label{\detokenize{appdev/refs/types/krb5_octet::doc}}\index{krb5\_octet (C type)}
+\label{\detokenize{appdev/refs/types/krb5_octet:krb5-octet}}\label{\detokenize{appdev/refs/types/krb5_octet:krb5-octet-struct}}\label{\detokenize{appdev/refs/types/krb5_octet::doc}}\index{krb5\_octet (C type)@\spxentry{krb5\_octet}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}}\pysigline{\sphinxbfcode{krb5\_octet}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_octet}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_octet:declaration}}
+\sphinxAtStartPar
 typedef uint8\_t krb5\_octet
 
 
 \subsubsection{krb5\_pa\_pac\_req}
-\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:krb5-pa-pac-req-struct}}\label{\detokenize{appdev/refs/types/krb5_pa_pac_req::doc}}\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:krb5-pa-pac-req}}\index{krb5\_pa\_pac\_req (C type)}
+\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:krb5-pa-pac-req}}\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:krb5-pa-pac-req-struct}}\label{\detokenize{appdev/refs/types/krb5_pa_pac_req::doc}}\index{krb5\_pa\_pac\_req (C type)@\spxentry{krb5\_pa\_pac\_req}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:c.krb5_pa_pac_req}}\pysigline{\sphinxbfcode{krb5\_pa\_pac\_req}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:c.krb5_pa_pac_req}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pa\_pac\_req}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_pa_pac_req:declaration}}
-typedef struct \_krb5\_pa\_pac\_req  krb5\_pa\_pac\_req
+\sphinxAtStartPar
+typedef struct \_krb5\_pa\_pac\_req krb5\_pa\_pac\_req
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:members}}\index{krb5\_pa\_pac\_req.include\_pac (C member)}
+\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:members}}\index{krb5\_pa\_pac\_req.include\_pac (C member)@\spxentry{krb5\_pa\_pac\_req.include\_pac}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:c.krb5_pa_pac_req.include_pac}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{krb5\_boolean}}}      \sphinxbfcode{krb5\_pa\_pac\_req.include\_pac}}
-TRUE if a PAC should be included in TGS-REP.
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_pac_req:c.krb5_pa_pac_req.include_pac}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_boolean:c.krb5_boolean}]{\sphinxcrossref{\DUrole{n}{krb5\_boolean}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_pac_req:c.krb5_pa_pac_req}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_pac\_req}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{include\_pac}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
+TRUE if a PAC should be included in TGS\sphinxhyphen{}REP.
 
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_pa\_server\_referral\_data}
-\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:krb5-pa-server-referral-data-struct}}\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data::doc}}\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:krb5-pa-server-referral-data}}\index{krb5\_pa\_server\_referral\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:krb5-pa-server-referral-data}}\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:krb5-pa-server-referral-data-struct}}\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data::doc}}\index{krb5\_pa\_server\_referral\_data (C type)@\spxentry{krb5\_pa\_server\_referral\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data}}\pysigline{\sphinxbfcode{krb5\_pa\_server\_referral\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pa\_server\_referral\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:declaration}}
-typedef struct \_krb5\_pa\_server\_referral\_data  krb5\_pa\_server\_referral\_data
+\sphinxAtStartPar
+typedef struct \_krb5\_pa\_server\_referral\_data krb5\_pa\_server\_referral\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:members}}\index{krb5\_pa\_server\_referral\_data.referred\_realm (C member)}
+\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:members}}\index{krb5\_pa\_server\_referral\_data.referred\_realm (C member)@\spxentry{krb5\_pa\_server\_referral\_data.referred\_realm}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.referred_realm}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}}  *      \sphinxbfcode{krb5\_pa\_server\_referral\_data.referred\_realm}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.referred_realm}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_server\_referral\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{referred\_realm}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_pa\_server\_referral\_data.true\_principal\_name (C member)}
+\index{krb5\_pa\_server\_referral\_data.true\_principal\_name (C member)@\spxentry{krb5\_pa\_server\_referral\_data.true\_principal\_name}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.true_principal_name}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_pa\_server\_referral\_data.true\_principal\_name}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.true_principal_name}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_server\_referral\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{true\_principal\_name}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_pa\_server\_referral\_data.requested\_principal\_name (C member)}
+\index{krb5\_pa\_server\_referral\_data.requested\_principal\_name (C member)@\spxentry{krb5\_pa\_server\_referral\_data.requested\_principal\_name}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.requested_principal_name}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_pa\_server\_referral\_data.requested\_principal\_name}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.requested_principal_name}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_server\_referral\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{requested\_principal\_name}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_pa\_server\_referral\_data.referral\_valid\_until (C member)}
+\index{krb5\_pa\_server\_referral\_data.referral\_valid\_until (C member)@\spxentry{krb5\_pa\_server\_referral\_data.referral\_valid\_until}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.referral_valid_until}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_pa\_server\_referral\_data.referral\_valid\_until}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.referral_valid_until}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_server\_referral\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{referral\_valid\_until}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_pa\_server\_referral\_data.rep\_cksum (C member)}
+\index{krb5\_pa\_server\_referral\_data.rep\_cksum (C member)@\spxentry{krb5\_pa\_server\_referral\_data.rep\_cksum}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.rep_cksum}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{krb5\_checksum}}}     \sphinxbfcode{krb5\_pa\_server\_referral\_data.rep\_cksum}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data.rep_cksum}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_checksum:c.krb5_checksum}]{\sphinxcrossref{\DUrole{n}{krb5\_checksum}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_server_referral_data:c.krb5_pa_server_referral_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_server\_referral\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{rep\_cksum}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_pa\_svr\_referral\_data}
-\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:krb5-pa-svr-referral-data}}\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data::doc}}\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:krb5-pa-svr-referral-data-struct}}\index{krb5\_pa\_svr\_referral\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:krb5-pa-svr-referral-data}}\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:krb5-pa-svr-referral-data-struct}}\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data::doc}}\index{krb5\_pa\_svr\_referral\_data (C type)@\spxentry{krb5\_pa\_svr\_referral\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:c.krb5_pa_svr_referral_data}}\pysigline{\sphinxbfcode{krb5\_pa\_svr\_referral\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:c.krb5_pa_svr_referral_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pa\_svr\_referral\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:declaration}}
-typedef struct \_krb5\_pa\_svr\_referral\_data  krb5\_pa\_svr\_referral\_data
+\sphinxAtStartPar
+typedef struct \_krb5\_pa\_svr\_referral\_data krb5\_pa\_svr\_referral\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:members}}\index{krb5\_pa\_svr\_referral\_data.principal (C member)}
+\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:members}}\index{krb5\_pa\_svr\_referral\_data.principal (C member)@\spxentry{krb5\_pa\_svr\_referral\_data.principal}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:c.krb5_pa_svr_referral_data.principal}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_pa\_svr\_referral\_data.principal}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:c.krb5_pa_svr_referral_data.principal}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_svr_referral_data:c.krb5_pa_svr_referral_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_svr\_referral\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{principal}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Referred name, only realm is required.
 
 \end{fulllineitems}
@@ -14687,48 +19046,68 @@ Referred name, only realm is required.
 
 
 \subsubsection{krb5\_pa\_data}
-\label{\detokenize{appdev/refs/types/krb5_pa_data:krb5-pa-data}}\label{\detokenize{appdev/refs/types/krb5_pa_data:krb5-pa-data-struct}}\label{\detokenize{appdev/refs/types/krb5_pa_data::doc}}\index{krb5\_pa\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_pa_data:krb5-pa-data}}\label{\detokenize{appdev/refs/types/krb5_pa_data:krb5-pa-data-struct}}\label{\detokenize{appdev/refs/types/krb5_pa_data::doc}}\index{krb5\_pa\_data (C type)@\spxentry{krb5\_pa\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}}\pysigline{\sphinxbfcode{krb5\_pa\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pa\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
-Pre-authentication data.
+\sphinxAtStartPar
+Pre\sphinxhyphen{}authentication data.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_pa_data:declaration}}
-typedef struct \_krb5\_pa\_data  krb5\_pa\_data
+\sphinxAtStartPar
+typedef struct \_krb5\_pa\_data krb5\_pa\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_pa_data:members}}\index{krb5\_pa\_data.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_pa_data:members}}\index{krb5\_pa\_data.magic (C member)@\spxentry{krb5\_pa\_data.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_pa\_data.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_pa\_data.pa\_type (C member)}
+\index{krb5\_pa\_data.pa\_type (C member)@\spxentry{krb5\_pa\_data.pa\_type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data.pa_type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{krb5\_preauthtype}}}  \sphinxbfcode{krb5\_pa\_data.pa\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data.pa_type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}]{\sphinxcrossref{\DUrole{n}{krb5\_preauthtype}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{pa\_type}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Preauthentication data type.
 
 \end{fulllineitems}
 
-\index{krb5\_pa\_data.length (C member)}
+\index{krb5\_pa\_data.length (C member)@\spxentry{krb5\_pa\_data.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data.length}}\pysigline{unsigned int      \sphinxbfcode{krb5\_pa\_data.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data.length}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Length of data.
 
 \end{fulllineitems}
 
-\index{krb5\_pa\_data.contents (C member)}
+\index{krb5\_pa\_data.contents (C member)@\spxentry{krb5\_pa\_data.contents}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data.contents}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{krb5\_octet}}} *      \sphinxbfcode{krb5\_pa\_data.contents}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data.contents}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{\DUrole{n}{krb5\_octet}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pa_data:c.krb5_pa_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pa\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{contents}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Data.
 
 \end{fulllineitems}
@@ -14736,209 +19115,286 @@ Data.
 
 
 \subsubsection{krb5\_pointer}
-\label{\detokenize{appdev/refs/types/krb5_pointer:krb5-pointer-struct}}\label{\detokenize{appdev/refs/types/krb5_pointer:krb5-pointer}}\label{\detokenize{appdev/refs/types/krb5_pointer::doc}}\index{krb5\_pointer (C type)}
+\label{\detokenize{appdev/refs/types/krb5_pointer:krb5-pointer}}\label{\detokenize{appdev/refs/types/krb5_pointer:krb5-pointer-struct}}\label{\detokenize{appdev/refs/types/krb5_pointer::doc}}\index{krb5\_pointer (C type)@\spxentry{krb5\_pointer}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}}\pysigline{\sphinxbfcode{krb5\_pointer}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pointer:c.krb5_pointer}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pointer}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_pointer:declaration}}
+\sphinxAtStartPar
 typedef void* krb5\_pointer
 
 
 \subsubsection{krb5\_post\_recv\_fn}
-\label{\detokenize{appdev/refs/types/krb5_post_recv_fn:krb5-post-recv-fn}}\label{\detokenize{appdev/refs/types/krb5_post_recv_fn:krb5-post-recv-fn-struct}}\label{\detokenize{appdev/refs/types/krb5_post_recv_fn::doc}}\index{krb5\_post\_recv\_fn (C type)}
+\label{\detokenize{appdev/refs/types/krb5_post_recv_fn:krb5-post-recv-fn}}\label{\detokenize{appdev/refs/types/krb5_post_recv_fn:krb5-post-recv-fn-struct}}\label{\detokenize{appdev/refs/types/krb5_post_recv_fn::doc}}\index{krb5\_post\_recv\_fn (C type)@\spxentry{krb5\_post\_recv\_fn}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_post_recv_fn:c.krb5_post_recv_fn}}\pysigline{\sphinxbfcode{krb5\_post\_recv\_fn}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_post_recv_fn:c.krb5_post_recv_fn}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_post\_recv\_fn}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Hook function for inspecting or overriding KDC replies.
 
-If \sphinxstyleemphasis{code} is non-zero, KDC communication failed and \sphinxstyleemphasis{reply} should be ignored. The hook function may return \sphinxstyleemphasis{code} or a different error code, or may synthesize a reply by setting \sphinxstyleemphasis{new\_reply\_out} and return successfully.
-The hook function should use {\hyperref[\detokenize{appdev/refs/api/krb5_copy_data:c.krb5_copy_data}]{\sphinxcrossref{\sphinxcode{krb5\_copy\_data()}}}} to construct the value for \sphinxstyleemphasis{new\_reply\_out} , to ensure that it can be freed correctly by the library.
+\sphinxAtStartPar
+If \sphinxstyleemphasis{code} is non\sphinxhyphen{}zero, KDC communication failed and \sphinxstyleemphasis{reply} should be ignored. The hook function may return \sphinxstyleemphasis{code} or a different error code, or may synthesize a reply by setting \sphinxstyleemphasis{new\_reply\_out} and return successfully.
+The hook function should use krb5\_copy\_data() to construct the value for \sphinxstyleemphasis{new\_reply\_out} , to ensure that it can be freed correctly by the library.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_post_recv_fn:declaration}}
+\sphinxAtStartPar
 typedef krb5\_error\_code( * krb5\_post\_recv\_fn) (krb5\_context context, void *data, krb5\_error\_code code, const krb5\_data *realm, const krb5\_data *message, const krb5\_data *reply, krb5\_data **new\_reply\_out)
 
 
 \subsubsection{krb5\_pre\_send\_fn}
-\label{\detokenize{appdev/refs/types/krb5_pre_send_fn:krb5-pre-send-fn-struct}}\label{\detokenize{appdev/refs/types/krb5_pre_send_fn::doc}}\label{\detokenize{appdev/refs/types/krb5_pre_send_fn:krb5-pre-send-fn}}\index{krb5\_pre\_send\_fn (C type)}
+\label{\detokenize{appdev/refs/types/krb5_pre_send_fn:krb5-pre-send-fn}}\label{\detokenize{appdev/refs/types/krb5_pre_send_fn:krb5-pre-send-fn-struct}}\label{\detokenize{appdev/refs/types/krb5_pre_send_fn::doc}}\index{krb5\_pre\_send\_fn (C type)@\spxentry{krb5\_pre\_send\_fn}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pre_send_fn:c.krb5_pre_send_fn}}\pysigline{\sphinxbfcode{krb5\_pre\_send\_fn}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pre_send_fn:c.krb5_pre_send_fn}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pre\_send\_fn}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Hook function for inspecting or modifying messages sent to KDCs.
 
+\sphinxAtStartPar
 If the hook function sets \sphinxstyleemphasis{new\_reply\_out} , \sphinxstyleemphasis{message} will not be sent to the KDC, and the given reply will used instead.
 If the hook function sets \sphinxstyleemphasis{new\_message\_out} , the given message will be sent to the KDC in place of \sphinxstyleemphasis{message} .
 If the hook function returns successfully without setting either output, \sphinxstyleemphasis{message} will be sent to the KDC normally.
-The hook function should use {\hyperref[\detokenize{appdev/refs/api/krb5_copy_data:c.krb5_copy_data}]{\sphinxcrossref{\sphinxcode{krb5\_copy\_data()}}}} to construct the value for \sphinxstyleemphasis{new\_message\_out} or \sphinxstyleemphasis{reply\_out} , to ensure that it can be freed correctly by the library.
+The hook function should use krb5\_copy\_data() to construct the value for \sphinxstyleemphasis{new\_message\_out} or \sphinxstyleemphasis{reply\_out} , to ensure that it can be freed correctly by the library.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_pre_send_fn:declaration}}
+\sphinxAtStartPar
 typedef krb5\_error\_code( * krb5\_pre\_send\_fn) (krb5\_context context, void *data, const krb5\_data *realm, const krb5\_data *message, krb5\_data **new\_message\_out, krb5\_data **new\_reply\_out)
 
 
 \subsubsection{krb5\_preauthtype}
-\label{\detokenize{appdev/refs/types/krb5_preauthtype::doc}}\label{\detokenize{appdev/refs/types/krb5_preauthtype:krb5-preauthtype}}\label{\detokenize{appdev/refs/types/krb5_preauthtype:krb5-preauthtype-struct}}\index{krb5\_preauthtype (C type)}
+\label{\detokenize{appdev/refs/types/krb5_preauthtype:krb5-preauthtype}}\label{\detokenize{appdev/refs/types/krb5_preauthtype:krb5-preauthtype-struct}}\label{\detokenize{appdev/refs/types/krb5_preauthtype::doc}}\index{krb5\_preauthtype (C type)@\spxentry{krb5\_preauthtype}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}}\pysigline{\sphinxbfcode{krb5\_preauthtype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_preauthtype:c.krb5_preauthtype}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_preauthtype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_preauthtype:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_preauthtype
 
 
 \subsubsection{krb5\_principal}
-\label{\detokenize{appdev/refs/types/krb5_principal:krb5-principal-struct}}\label{\detokenize{appdev/refs/types/krb5_principal:krb5-principal}}\label{\detokenize{appdev/refs/types/krb5_principal::doc}}\index{krb5\_principal (C type)}
+\label{\detokenize{appdev/refs/types/krb5_principal:krb5-principal}}\label{\detokenize{appdev/refs/types/krb5_principal:krb5-principal-struct}}\label{\detokenize{appdev/refs/types/krb5_principal::doc}}\index{krb5\_principal (C type)@\spxentry{krb5\_principal}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}}\pysigline{\sphinxbfcode{krb5\_principal}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_principal}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_principal:declaration}}
+\sphinxAtStartPar
 typedef krb5\_principal\_data* krb5\_principal
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_principal:members}}\index{krb5\_principal.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_principal:members}}\index{krb5\_principal.magic (C member)@\spxentry{krb5\_principal.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_principal.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_principal.realm (C member)}
+\index{krb5\_principal.realm (C member)@\spxentry{krb5\_principal.realm}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.realm}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_principal.realm}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.realm}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{realm}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_principal.data (C member)}
+\index{krb5\_principal.data (C member)@\spxentry{krb5\_principal.data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.data}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}}  *      \sphinxbfcode{krb5\_principal.data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.data}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{data}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 An array of strings.
 
 \end{fulllineitems}
 
-\index{krb5\_principal.length (C member)}
+\index{krb5\_principal.length (C member)@\spxentry{krb5\_principal.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.length}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_principal.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.length}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_principal.type (C member)}
+\index{krb5\_principal.type (C member)@\spxentry{krb5\_principal.type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_principal.type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal.type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{type}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_principal\_data}
-\label{\detokenize{appdev/refs/types/krb5_principal_data:krb5-principal-data}}\label{\detokenize{appdev/refs/types/krb5_principal_data::doc}}\label{\detokenize{appdev/refs/types/krb5_principal_data:krb5-principal-data-struct}}\index{krb5\_principal\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_principal_data:krb5-principal-data}}\label{\detokenize{appdev/refs/types/krb5_principal_data:krb5-principal-data-struct}}\label{\detokenize{appdev/refs/types/krb5_principal_data::doc}}\index{krb5\_principal\_data (C type)@\spxentry{krb5\_principal\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}}\pysigline{\sphinxbfcode{krb5\_principal\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_principal\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_principal_data:declaration}}
-typedef struct krb5\_principal\_data  krb5\_principal\_data
+\sphinxAtStartPar
+typedef struct krb5\_principal\_data krb5\_principal\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_principal_data:members}}\index{krb5\_principal\_data.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_principal_data:members}}\index{krb5\_principal\_data.magic (C member)@\spxentry{krb5\_principal\_data.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_principal\_data.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}]{\sphinxcrossref{\DUrole{n}{krb5\_principal\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_principal\_data.realm (C member)}
+\index{krb5\_principal\_data.realm (C member)@\spxentry{krb5\_principal\_data.realm}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.realm}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_principal\_data.realm}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.realm}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}]{\sphinxcrossref{\DUrole{n}{krb5\_principal\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{realm}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_principal\_data.data (C member)}
+\index{krb5\_principal\_data.data (C member)@\spxentry{krb5\_principal\_data.data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.data}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}}  *      \sphinxbfcode{krb5\_principal\_data.data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.data}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}]{\sphinxcrossref{\DUrole{n}{krb5\_principal\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{data}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 An array of strings.
 
 \end{fulllineitems}
 
-\index{krb5\_principal\_data.length (C member)}
+\index{krb5\_principal\_data.length (C member)@\spxentry{krb5\_principal\_data.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.length}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_principal\_data.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.length}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}]{\sphinxcrossref{\DUrole{n}{krb5\_principal\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_principal\_data.type (C member)}
+\index{krb5\_principal\_data.type (C member)@\spxentry{krb5\_principal\_data.type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_principal\_data.type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data.type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_principal_data:c.krb5_principal_data}]{\sphinxcrossref{\DUrole{n}{krb5\_principal\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{type}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_prompt}
-\label{\detokenize{appdev/refs/types/krb5_prompt:krb5-prompt}}\label{\detokenize{appdev/refs/types/krb5_prompt::doc}}\label{\detokenize{appdev/refs/types/krb5_prompt:krb5-prompt-struct}}\index{krb5\_prompt (C type)}
+\label{\detokenize{appdev/refs/types/krb5_prompt:krb5-prompt}}\label{\detokenize{appdev/refs/types/krb5_prompt:krb5-prompt-struct}}\label{\detokenize{appdev/refs/types/krb5_prompt::doc}}\index{krb5\_prompt (C type)@\spxentry{krb5\_prompt}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt}}\pysigline{\sphinxbfcode{krb5\_prompt}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_prompt}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Text for prompt used in prompter callback function.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_prompt:declaration}}
-typedef struct \_krb5\_prompt  krb5\_prompt
+\sphinxAtStartPar
+typedef struct \_krb5\_prompt krb5\_prompt
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_prompt:members}}\index{krb5\_prompt.prompt (C member)}
+\label{\detokenize{appdev/refs/types/krb5_prompt:members}}\index{krb5\_prompt.prompt (C member)@\spxentry{krb5\_prompt.prompt}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt.prompt}}\pysigline{char *    \sphinxbfcode{krb5\_prompt.prompt}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt.prompt}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt}]{\sphinxcrossref{\DUrole{n}{krb5\_prompt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{prompt}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 The prompt to show to the user.
 
 \end{fulllineitems}
 
-\index{krb5\_prompt.hidden (C member)}
+\index{krb5\_prompt.hidden (C member)@\spxentry{krb5\_prompt.hidden}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt.hidden}}\pysigline{int       \sphinxbfcode{krb5\_prompt.hidden}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt.hidden}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt}]{\sphinxcrossref{\DUrole{n}{krb5\_prompt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{hidden}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Boolean; informative prompt or hidden (e.g.
 PIN)
 
 \end{fulllineitems}
 
-\index{krb5\_prompt.reply (C member)}
+\index{krb5\_prompt.reply (C member)@\spxentry{krb5\_prompt.reply}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt.reply}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}}  *      \sphinxbfcode{krb5\_prompt.reply}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt.reply}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_prompt:c.krb5_prompt}]{\sphinxcrossref{\DUrole{n}{krb5\_prompt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{reply}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Must be allocated before call to prompt routine.
 
 \end{fulllineitems}
@@ -14946,332 +19402,455 @@ Must be allocated before call to prompt
 
 
 \subsubsection{krb5\_prompt\_type}
-\label{\detokenize{appdev/refs/types/krb5_prompt_type:krb5-prompt-type-struct}}\label{\detokenize{appdev/refs/types/krb5_prompt_type:krb5-prompt-type}}\label{\detokenize{appdev/refs/types/krb5_prompt_type::doc}}\index{krb5\_prompt\_type (C type)}
+\label{\detokenize{appdev/refs/types/krb5_prompt_type:krb5-prompt-type}}\label{\detokenize{appdev/refs/types/krb5_prompt_type:krb5-prompt-type-struct}}\label{\detokenize{appdev/refs/types/krb5_prompt_type::doc}}\index{krb5\_prompt\_type (C type)@\spxentry{krb5\_prompt\_type}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt_type:c.krb5_prompt_type}}\pysigline{\sphinxbfcode{krb5\_prompt\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompt_type:c.krb5_prompt_type}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_prompt\_type}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_prompt_type:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_prompt\_type
 
 
 \subsubsection{krb5\_prompter\_fct}
-\label{\detokenize{appdev/refs/types/krb5_prompter_fct:krb5-prompter-fct-struct}}\label{\detokenize{appdev/refs/types/krb5_prompter_fct:krb5-prompter-fct}}\label{\detokenize{appdev/refs/types/krb5_prompter_fct::doc}}\index{krb5\_prompter\_fct (C type)}
+\label{\detokenize{appdev/refs/types/krb5_prompter_fct:krb5-prompter-fct}}\label{\detokenize{appdev/refs/types/krb5_prompter_fct:krb5-prompter-fct-struct}}\label{\detokenize{appdev/refs/types/krb5_prompter_fct::doc}}\index{krb5\_prompter\_fct (C type)@\spxentry{krb5\_prompter\_fct}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompter_fct:c.krb5_prompter_fct}}\pysigline{\sphinxbfcode{krb5\_prompter\_fct}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_prompter_fct:c.krb5_prompter_fct}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_prompter\_fct}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Pointer to a prompter callback function.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_prompter_fct:declaration}}
+\sphinxAtStartPar
 typedef krb5\_error\_code( * krb5\_prompter\_fct) (krb5\_context context, void *data, const char *name, const char *banner, int num\_prompts, krb5\_prompt prompts{[}{]})
 
 
 \subsubsection{krb5\_pwd\_data}
-\label{\detokenize{appdev/refs/types/krb5_pwd_data:krb5-pwd-data}}\label{\detokenize{appdev/refs/types/krb5_pwd_data::doc}}\label{\detokenize{appdev/refs/types/krb5_pwd_data:krb5-pwd-data-struct}}\index{krb5\_pwd\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_pwd_data:krb5-pwd-data}}\label{\detokenize{appdev/refs/types/krb5_pwd_data:krb5-pwd-data-struct}}\label{\detokenize{appdev/refs/types/krb5_pwd_data::doc}}\index{krb5\_pwd\_data (C type)@\spxentry{krb5\_pwd\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data}}\pysigline{\sphinxbfcode{krb5\_pwd\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pwd\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_pwd_data:declaration}}
-typedef struct \_krb5\_pwd\_data  krb5\_pwd\_data
+\sphinxAtStartPar
+typedef struct \_krb5\_pwd\_data krb5\_pwd\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_pwd_data:members}}\index{krb5\_pwd\_data.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_pwd_data:members}}\index{krb5\_pwd\_data.magic (C member)@\spxentry{krb5\_pwd\_data.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_pwd\_data.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pwd\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_pwd\_data.sequence\_count (C member)}
+\index{krb5\_pwd\_data.sequence\_count (C member)@\spxentry{krb5\_pwd\_data.sequence\_count}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data.sequence_count}}\pysigline{int       \sphinxbfcode{krb5\_pwd\_data.sequence\_count}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data.sequence_count}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pwd\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{sequence\_count}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_pwd\_data.element (C member)}
+\index{krb5\_pwd\_data.element (C member)@\spxentry{krb5\_pwd\_data.element}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data.element}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element}]{\sphinxcrossref{passwd\_phrase\_element}}}  ** \sphinxbfcode{krb5\_pwd\_data.element}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data.element}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element}]{\sphinxcrossref{\DUrole{n}{passwd\_phrase\_element}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_pwd_data:c.krb5_pwd_data}]{\sphinxcrossref{\DUrole{n}{krb5\_pwd\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{element}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_responder\_context}
-\label{\detokenize{appdev/refs/types/krb5_responder_context:krb5-responder-context-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_context::doc}}\label{\detokenize{appdev/refs/types/krb5_responder_context:krb5-responder-context}}\index{krb5\_responder\_context (C type)}
+\label{\detokenize{appdev/refs/types/krb5_responder_context:krb5-responder-context}}\label{\detokenize{appdev/refs/types/krb5_responder_context:krb5-responder-context-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_context::doc}}\index{krb5\_responder\_context (C type)@\spxentry{krb5\_responder\_context}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}}\pysigline{\sphinxbfcode{krb5\_responder\_context}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_context:c.krb5_responder_context}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_context}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 A container for a set of preauthentication questions and answers.
 
-A responder context is supplied by the krb5 authentication system to a {\hyperref[\detokenize{appdev/refs/types/krb5_responder_fn:c.krb5_responder_fn}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_fn}}}} callback. It contains a list of questions and can receive answers. Questions contained in a responder context can be listed using {\hyperref[\detokenize{appdev/refs/api/krb5_responder_list_questions:c.krb5_responder_list_questions}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_list\_questions()}}}} , retrieved using {\hyperref[\detokenize{appdev/refs/api/krb5_responder_get_challenge:c.krb5_responder_get_challenge}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_get\_challenge()}}}} , or answered using {\hyperref[\detokenize{appdev/refs/api/krb5_responder_set_answer:c.krb5_responder_set_answer}]{\sphinxcrossref{\sphinxcode{krb5\_responder\_set\_answer()}}}} . The form of a question’s challenge and answer depend on the question name.
+\sphinxAtStartPar
+A responder context is supplied by the krb5 authentication system to a krb5\_responder\_fn callback. It contains a list of questions and can receive answers. Questions contained in a responder context can be listed using krb5\_responder\_list\_questions(), retrieved using krb5\_responder\_get\_challenge(), or answered using krb5\_responder\_set\_answer(). The form of a question’s challenge and answer depend on the question name.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_responder_context:declaration}}
+\sphinxAtStartPar
 typedef struct krb5\_responder\_context\_st* krb5\_responder\_context
 
 
 \subsubsection{krb5\_responder\_fn}
-\label{\detokenize{appdev/refs/types/krb5_responder_fn:krb5-responder-fn-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_fn::doc}}\label{\detokenize{appdev/refs/types/krb5_responder_fn:krb5-responder-fn}}\index{krb5\_responder\_fn (C type)}
+\label{\detokenize{appdev/refs/types/krb5_responder_fn:krb5-responder-fn}}\label{\detokenize{appdev/refs/types/krb5_responder_fn:krb5-responder-fn-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_fn::doc}}\index{krb5\_responder\_fn (C type)@\spxentry{krb5\_responder\_fn}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_fn:c.krb5_responder_fn}}\pysigline{\sphinxbfcode{krb5\_responder\_fn}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_fn:c.krb5_responder_fn}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_fn}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Responder function for an initial credential exchange.
 
+\sphinxAtStartPar
 If a required question is unanswered, the prompter may be called.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_responder_fn:declaration}}
+\sphinxAtStartPar
 typedef krb5\_error\_code( * krb5\_responder\_fn) (krb5\_context ctx, void *data, krb5\_responder\_context rctx)
 
 
 \subsubsection{krb5\_responder\_otp\_challenge}
-\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:krb5-responder-otp-challenge}}\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:krb5-responder-otp-challenge-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge::doc}}\index{krb5\_responder\_otp\_challenge (C type)}
+\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:krb5-responder-otp-challenge}}\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:krb5-responder-otp-challenge-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge::doc}}\index{krb5\_responder\_otp\_challenge (C type)@\spxentry{krb5\_responder\_otp\_challenge}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge}}\pysigline{\sphinxbfcode{krb5\_responder\_otp\_challenge}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_otp\_challenge}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:declaration}}
-typedef struct \_krb5\_responder\_otp\_challenge  krb5\_responder\_otp\_challenge
+\sphinxAtStartPar
+typedef struct \_krb5\_responder\_otp\_challenge krb5\_responder\_otp\_challenge
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:members}}\index{krb5\_responder\_otp\_challenge.service (C member)}
+\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:members}}\index{krb5\_responder\_otp\_challenge.service (C member)@\spxentry{krb5\_responder\_otp\_challenge.service}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge.service}}\pysigline{char *    \sphinxbfcode{krb5\_responder\_otp\_challenge.service}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge.service}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_challenge}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{service}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_responder\_otp\_challenge.tokeninfo (C member)}
+\index{krb5\_responder\_otp\_challenge.tokeninfo (C member)@\spxentry{krb5\_responder\_otp\_challenge.tokeninfo}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge.tokeninfo}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}]{\sphinxcrossref{krb5\_responder\_otp\_tokeninfo}}}  **  \sphinxbfcode{krb5\_responder\_otp\_challenge.tokeninfo}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge.tokeninfo}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_tokeninfo}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_challenge:c.krb5_responder_otp_challenge}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_challenge}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{tokeninfo}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_responder\_otp\_tokeninfo}
-\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:krb5-responder-otp-tokeninfo}}\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:krb5-responder-otp-tokeninfo-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo::doc}}\index{krb5\_responder\_otp\_tokeninfo (C type)}
+\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:krb5-responder-otp-tokeninfo}}\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:krb5-responder-otp-tokeninfo-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo::doc}}\index{krb5\_responder\_otp\_tokeninfo (C type)@\spxentry{krb5\_responder\_otp\_tokeninfo}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}}\pysigline{\sphinxbfcode{krb5\_responder\_otp\_tokeninfo}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_otp\_tokeninfo}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:declaration}}
-typedef struct \_krb5\_responder\_otp\_tokeninfo  krb5\_responder\_otp\_tokeninfo
+\sphinxAtStartPar
+typedef struct \_krb5\_responder\_otp\_tokeninfo krb5\_responder\_otp\_tokeninfo
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:members}}\index{krb5\_responder\_otp\_tokeninfo.flags (C member)}
+\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:members}}\index{krb5\_responder\_otp\_tokeninfo.flags (C member)@\spxentry{krb5\_responder\_otp\_tokeninfo.flags}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.flags}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_responder\_otp\_tokeninfo.flags}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.flags}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_tokeninfo}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{flags}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_responder\_otp\_tokeninfo.format (C member)}
+\index{krb5\_responder\_otp\_tokeninfo.format (C member)@\spxentry{krb5\_responder\_otp\_tokeninfo.format}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.format}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_responder\_otp\_tokeninfo.format}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.format}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_tokeninfo}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{format}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_responder\_otp\_tokeninfo.length (C member)}
+\index{krb5\_responder\_otp\_tokeninfo.length (C member)@\spxentry{krb5\_responder\_otp\_tokeninfo.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.length}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_responder\_otp\_tokeninfo.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.length}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_tokeninfo}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_responder\_otp\_tokeninfo.vendor (C member)}
+\index{krb5\_responder\_otp\_tokeninfo.vendor (C member)@\spxentry{krb5\_responder\_otp\_tokeninfo.vendor}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.vendor}}\pysigline{char *    \sphinxbfcode{krb5\_responder\_otp\_tokeninfo.vendor}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.vendor}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_tokeninfo}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{vendor}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_responder\_otp\_tokeninfo.challenge (C member)}
+\index{krb5\_responder\_otp\_tokeninfo.challenge (C member)@\spxentry{krb5\_responder\_otp\_tokeninfo.challenge}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.challenge}}\pysigline{char *    \sphinxbfcode{krb5\_responder\_otp\_tokeninfo.challenge}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.challenge}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_tokeninfo}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{challenge}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_responder\_otp\_tokeninfo.token\_id (C member)}
+\index{krb5\_responder\_otp\_tokeninfo.token\_id (C member)@\spxentry{krb5\_responder\_otp\_tokeninfo.token\_id}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.token_id}}\pysigline{char *    \sphinxbfcode{krb5\_responder\_otp\_tokeninfo.token\_id}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.token_id}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_tokeninfo}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{token\_id}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_responder\_otp\_tokeninfo.alg\_id (C member)}
+\index{krb5\_responder\_otp\_tokeninfo.alg\_id (C member)@\spxentry{krb5\_responder\_otp\_tokeninfo.alg\_id}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.alg_id}}\pysigline{char *    \sphinxbfcode{krb5\_responder\_otp\_tokeninfo.alg\_id}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo.alg_id}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_otp_tokeninfo:c.krb5_responder_otp_tokeninfo}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_otp\_tokeninfo}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{alg\_id}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_responder\_pkinit\_challenge}
-\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:krb5-responder-pkinit-challenge-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge::doc}}\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:krb5-responder-pkinit-challenge}}\index{krb5\_responder\_pkinit\_challenge (C type)}
+\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:krb5-responder-pkinit-challenge}}\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:krb5-responder-pkinit-challenge-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge::doc}}\index{krb5\_responder\_pkinit\_challenge (C type)@\spxentry{krb5\_responder\_pkinit\_challenge}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:c.krb5_responder_pkinit_challenge}}\pysigline{\sphinxbfcode{krb5\_responder\_pkinit\_challenge}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:c.krb5_responder_pkinit_challenge}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_pkinit\_challenge}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:declaration}}
-typedef struct \_krb5\_responder\_pkinit\_challenge  krb5\_responder\_pkinit\_challenge
+\sphinxAtStartPar
+typedef struct \_krb5\_responder\_pkinit\_challenge krb5\_responder\_pkinit\_challenge
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:members}}\index{krb5\_responder\_pkinit\_challenge.identities (C member)}
+\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:members}}\index{krb5\_responder\_pkinit\_challenge.identities (C member)@\spxentry{krb5\_responder\_pkinit\_challenge.identities}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:c.krb5_responder_pkinit_challenge.identities}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity}]{\sphinxcrossref{krb5\_responder\_pkinit\_identity}}}  **        \sphinxbfcode{krb5\_responder\_pkinit\_challenge.identities}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:c.krb5_responder_pkinit_challenge.identities}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_pkinit\_identity}}}}\DUrole{w}{  }\DUrole{p}{*}\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_pkinit_challenge:c.krb5_responder_pkinit_challenge}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_pkinit\_challenge}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{identities}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_responder\_pkinit\_identity}
-\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:krb5-responder-pkinit-identity}}\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity::doc}}\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:krb5-responder-pkinit-identity-struct}}\index{krb5\_responder\_pkinit\_identity (C type)}
+\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:krb5-responder-pkinit-identity}}\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:krb5-responder-pkinit-identity-struct}}\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity::doc}}\index{krb5\_responder\_pkinit\_identity (C type)@\spxentry{krb5\_responder\_pkinit\_identity}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity}}\pysigline{\sphinxbfcode{krb5\_responder\_pkinit\_identity}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_responder\_pkinit\_identity}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:declaration}}
-typedef struct \_krb5\_responder\_pkinit\_identity  krb5\_responder\_pkinit\_identity
+\sphinxAtStartPar
+typedef struct \_krb5\_responder\_pkinit\_identity krb5\_responder\_pkinit\_identity
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:members}}\index{krb5\_responder\_pkinit\_identity.identity (C member)}
+\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:members}}\index{krb5\_responder\_pkinit\_identity.identity (C member)@\spxentry{krb5\_responder\_pkinit\_identity.identity}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity.identity}}\pysigline{char *    \sphinxbfcode{krb5\_responder\_pkinit\_identity.identity}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity.identity}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_pkinit\_identity}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{identity}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_responder\_pkinit\_identity.token\_flags (C member)}
+\index{krb5\_responder\_pkinit\_identity.token\_flags (C member)@\spxentry{krb5\_responder\_pkinit\_identity.token\_flags}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity.token_flags}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_responder\_pkinit\_identity.token\_flags}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity.token_flags}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_responder_pkinit_identity:c.krb5_responder_pkinit_identity}]{\sphinxcrossref{\DUrole{n}{krb5\_responder\_pkinit\_identity}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{token\_flags}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_response}
-\label{\detokenize{appdev/refs/types/krb5_response::doc}}\label{\detokenize{appdev/refs/types/krb5_response:krb5-response}}\label{\detokenize{appdev/refs/types/krb5_response:krb5-response-struct}}\index{krb5\_response (C type)}
+\label{\detokenize{appdev/refs/types/krb5_response:krb5-response}}\label{\detokenize{appdev/refs/types/krb5_response:krb5-response-struct}}\label{\detokenize{appdev/refs/types/krb5_response::doc}}\index{krb5\_response (C type)@\spxentry{krb5\_response}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response}}\pysigline{\sphinxbfcode{krb5\_response}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_response}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_response:declaration}}
-typedef struct \_krb5\_response  krb5\_response
+\sphinxAtStartPar
+typedef struct \_krb5\_response krb5\_response
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_response:members}}\index{krb5\_response.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_response:members}}\index{krb5\_response.magic (C member)@\spxentry{krb5\_response.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_response.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_response:c.krb5_response}]{\sphinxcrossref{\DUrole{n}{krb5\_response}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_response.message\_type (C member)}
+\index{krb5\_response.message\_type (C member)@\spxentry{krb5\_response.message\_type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.message_type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{krb5\_octet}}}        \sphinxbfcode{krb5\_response.message\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.message_type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{\DUrole{n}{krb5\_octet}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_response:c.krb5_response}]{\sphinxcrossref{\DUrole{n}{krb5\_response}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{message\_type}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_response.response (C member)}
+\index{krb5\_response.response (C member)@\spxentry{krb5\_response.response}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.response}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_response.response}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.response}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_response:c.krb5_response}]{\sphinxcrossref{\DUrole{n}{krb5\_response}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{response}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_response.expected\_nonce (C member)}
+\index{krb5\_response.expected\_nonce (C member)@\spxentry{krb5\_response.expected\_nonce}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.expected_nonce}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_response.expected\_nonce}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.expected_nonce}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_response:c.krb5_response}]{\sphinxcrossref{\DUrole{n}{krb5\_response}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{expected\_nonce}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_response.request\_time (C member)}
+\index{krb5\_response.request\_time (C member)@\spxentry{krb5\_response.request\_time}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.request_time}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_response.request\_time}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_response:c.krb5_response.request_time}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_response:c.krb5_response}]{\sphinxcrossref{\DUrole{n}{krb5\_response}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{request\_time}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_replay\_data}
-\label{\detokenize{appdev/refs/types/krb5_replay_data:krb5-replay-data}}\label{\detokenize{appdev/refs/types/krb5_replay_data:krb5-replay-data-struct}}\label{\detokenize{appdev/refs/types/krb5_replay_data::doc}}\index{krb5\_replay\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_replay_data:krb5-replay-data}}\label{\detokenize{appdev/refs/types/krb5_replay_data:krb5-replay-data-struct}}\label{\detokenize{appdev/refs/types/krb5_replay_data::doc}}\index{krb5\_replay\_data (C type)@\spxentry{krb5\_replay\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}}\pysigline{\sphinxbfcode{krb5\_replay\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_replay\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Replay data.
 
-Sequence number and timestamp information output by {\hyperref[\detokenize{appdev/refs/api/krb5_rd_priv:c.krb5_rd_priv}]{\sphinxcrossref{\sphinxcode{krb5\_rd\_priv()}}}} and {\hyperref[\detokenize{appdev/refs/api/krb5_rd_safe:c.krb5_rd_safe}]{\sphinxcrossref{\sphinxcode{krb5\_rd\_safe()}}}} .
+\sphinxAtStartPar
+Sequence number and timestamp information output by krb5\_rd\_priv() and krb5\_rd\_safe().
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_replay_data:declaration}}
-typedef struct krb5\_replay\_data  krb5\_replay\_data
+\sphinxAtStartPar
+typedef struct krb5\_replay\_data krb5\_replay\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_replay_data:members}}\index{krb5\_replay\_data.timestamp (C member)}
+\label{\detokenize{appdev/refs/types/krb5_replay_data:members}}\index{krb5\_replay\_data.timestamp (C member)@\spxentry{krb5\_replay\_data.timestamp}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data.timestamp}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_replay\_data.timestamp}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data.timestamp}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{timestamp}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Timestamp, seconds portion.
 
 \end{fulllineitems}
 
-\index{krb5\_replay\_data.usec (C member)}
+\index{krb5\_replay\_data.usec (C member)@\spxentry{krb5\_replay\_data.usec}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data.usec}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_replay\_data.usec}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data.usec}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{usec}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Timestamp, microseconds portion.
 
 \end{fulllineitems}
 
-\index{krb5\_replay\_data.seq (C member)}
+\index{krb5\_replay\_data.seq (C member)@\spxentry{krb5\_replay\_data.seq}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data.seq}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{krb5\_ui\_4}}} \sphinxbfcode{krb5\_replay\_data.seq}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data.seq}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}]{\sphinxcrossref{\DUrole{n}{krb5\_ui\_4}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_replay_data:c.krb5_replay_data}]{\sphinxcrossref{\DUrole{n}{krb5\_replay\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{seq}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Sequence number.
 
 \end{fulllineitems}
@@ -15279,50 +19858,71 @@ Sequence number.
 
 
 \subsubsection{krb5\_ticket}
-\label{\detokenize{appdev/refs/types/krb5_ticket:krb5-ticket}}\label{\detokenize{appdev/refs/types/krb5_ticket::doc}}\label{\detokenize{appdev/refs/types/krb5_ticket:krb5-ticket-struct}}\index{krb5\_ticket (C type)}
+\label{\detokenize{appdev/refs/types/krb5_ticket:krb5-ticket}}\label{\detokenize{appdev/refs/types/krb5_ticket:krb5-ticket-struct}}\label{\detokenize{appdev/refs/types/krb5_ticket::doc}}\index{krb5\_ticket (C type)@\spxentry{krb5\_ticket}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}}\pysigline{\sphinxbfcode{krb5\_ticket}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_ticket}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Ticket structure.
 
+\sphinxAtStartPar
 The C representation of the ticket message, with a pointer to the C representation of the encrypted part.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_ticket:declaration}}
-typedef struct \_krb5\_ticket  krb5\_ticket
+\sphinxAtStartPar
+typedef struct \_krb5\_ticket krb5\_ticket
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_ticket:members}}\index{krb5\_ticket.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_ticket:members}}\index{krb5\_ticket.magic (C member)@\spxentry{krb5\_ticket.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_ticket.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_ticket.server (C member)}
+\index{krb5\_ticket.server (C member)@\spxentry{krb5\_ticket.server}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket.server}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{krb5\_principal}}}    \sphinxbfcode{krb5\_ticket.server}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket.server}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_principal:c.krb5_principal}]{\sphinxcrossref{\DUrole{n}{krb5\_principal}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{server}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 server name/realm
 
 \end{fulllineitems}
 
-\index{krb5\_ticket.enc\_part (C member)}
+\index{krb5\_ticket.enc\_part (C member)@\spxentry{krb5\_ticket.enc\_part}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket.enc_part}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{krb5\_enc\_data}}}     \sphinxbfcode{krb5\_ticket.enc\_part}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket.enc_part}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_data:c.krb5_enc_data}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enc\_part}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 encryption type, kvno, encrypted encoding
 
 \end{fulllineitems}
 
-\index{krb5\_ticket.enc\_part2 (C member)}
+\index{krb5\_ticket.enc\_part2 (C member)@\spxentry{krb5\_ticket.enc\_part2}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket.enc_part2}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{krb5\_enc\_tkt\_part}}}  *      \sphinxbfcode{krb5\_ticket.enc\_part2}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket.enc_part2}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_enc_tkt_part:c.krb5_enc_tkt_part}]{\sphinxcrossref{\DUrole{n}{krb5\_enc\_tkt\_part}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{enc\_part2}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 ptr to decrypted version, if available
 
 \end{fulllineitems}
@@ -15330,50 +19930,71 @@ ptr to decrypted version, if available
 
 
 \subsubsection{krb5\_ticket\_times}
-\label{\detokenize{appdev/refs/types/krb5_ticket_times:krb5-ticket-times}}\label{\detokenize{appdev/refs/types/krb5_ticket_times:krb5-ticket-times-struct}}\label{\detokenize{appdev/refs/types/krb5_ticket_times::doc}}\index{krb5\_ticket\_times (C type)}
+\label{\detokenize{appdev/refs/types/krb5_ticket_times:krb5-ticket-times}}\label{\detokenize{appdev/refs/types/krb5_ticket_times:krb5-ticket-times-struct}}\label{\detokenize{appdev/refs/types/krb5_ticket_times::doc}}\index{krb5\_ticket\_times (C type)@\spxentry{krb5\_ticket\_times}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}}\pysigline{\sphinxbfcode{krb5\_ticket\_times}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_ticket\_times}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Ticket start time, end time, and renewal duration.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_ticket_times:declaration}}
-typedef struct \_krb5\_ticket\_times  krb5\_ticket\_times
+\sphinxAtStartPar
+typedef struct \_krb5\_ticket\_times krb5\_ticket\_times
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_ticket_times:members}}\index{krb5\_ticket\_times.authtime (C member)}
+\label{\detokenize{appdev/refs/types/krb5_ticket_times:members}}\index{krb5\_ticket\_times.authtime (C member)@\spxentry{krb5\_ticket\_times.authtime}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times.authtime}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_ticket\_times.authtime}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times.authtime}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{authtime}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Time at which KDC issued the initial ticket that corresponds to this ticket.
 
 \end{fulllineitems}
 
-\index{krb5\_ticket\_times.starttime (C member)}
+\index{krb5\_ticket\_times.starttime (C member)@\spxentry{krb5\_ticket\_times.starttime}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times.starttime}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_ticket\_times.starttime}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times.starttime}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{starttime}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 optional in ticket, if not present, use \sphinxstyleemphasis{authtime}
 
 \end{fulllineitems}
 
-\index{krb5\_ticket\_times.endtime (C member)}
+\index{krb5\_ticket\_times.endtime (C member)@\spxentry{krb5\_ticket\_times.endtime}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times.endtime}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_ticket\_times.endtime}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times.endtime}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{endtime}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Ticket expiration time.
 
 \end{fulllineitems}
 
-\index{krb5\_ticket\_times.renew\_till (C member)}
+\index{krb5\_ticket\_times.renew\_till (C member)@\spxentry{krb5\_ticket\_times.renew\_till}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times.renew_till}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{krb5\_timestamp}}}    \sphinxbfcode{krb5\_ticket\_times.renew\_till}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times.renew_till}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}]{\sphinxcrossref{\DUrole{n}{krb5\_timestamp}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket_times:c.krb5_ticket_times}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket\_times}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{renew\_till}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Latest time at which renewal of ticket can be valid.
 
 \end{fulllineitems}
@@ -15381,142 +20002,194 @@ Latest time at which renewal of ticket c
 
 
 \subsubsection{krb5\_timestamp}
-\label{\detokenize{appdev/refs/types/krb5_timestamp:krb5-timestamp-struct}}\label{\detokenize{appdev/refs/types/krb5_timestamp::doc}}\label{\detokenize{appdev/refs/types/krb5_timestamp:krb5-timestamp}}\index{krb5\_timestamp (C type)}
+\label{\detokenize{appdev/refs/types/krb5_timestamp:krb5-timestamp}}\label{\detokenize{appdev/refs/types/krb5_timestamp:krb5-timestamp-struct}}\label{\detokenize{appdev/refs/types/krb5_timestamp::doc}}\index{krb5\_timestamp (C type)@\spxentry{krb5\_timestamp}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}}\pysigline{\sphinxbfcode{krb5\_timestamp}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_timestamp:c.krb5_timestamp}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_timestamp}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Represents a timestamp in seconds since the POSIX epoch.
 
-This legacy type is used frequently in the ABI, but cannot represent timestamps after 2038 as a positive number. Code which uses this type should cast values of it to uint32\_t so that negative values are treated as timestamps between 2038 and 2106 on platforms with 64-bit time\_t.
+\sphinxAtStartPar
+This legacy type is used frequently in the ABI, but cannot represent timestamps after 2038 as a positive number. Code which uses this type should cast values of it to uint32\_t so that negative values are treated as timestamps between 2038 and 2106 on platforms with 64\sphinxhyphen{}bit time\_t.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_timestamp:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_timestamp
 
 
 \subsubsection{krb5\_tkt\_authent}
-\label{\detokenize{appdev/refs/types/krb5_tkt_authent:krb5-tkt-authent}}\label{\detokenize{appdev/refs/types/krb5_tkt_authent:krb5-tkt-authent-struct}}\label{\detokenize{appdev/refs/types/krb5_tkt_authent::doc}}\index{krb5\_tkt\_authent (C type)}
+\label{\detokenize{appdev/refs/types/krb5_tkt_authent:krb5-tkt-authent}}\label{\detokenize{appdev/refs/types/krb5_tkt_authent:krb5-tkt-authent-struct}}\label{\detokenize{appdev/refs/types/krb5_tkt_authent::doc}}\index{krb5\_tkt\_authent (C type)@\spxentry{krb5\_tkt\_authent}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent}}\pysigline{\sphinxbfcode{krb5\_tkt\_authent}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_tkt\_authent}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Ticket authentication data.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_tkt_authent:declaration}}
-typedef struct \_krb5\_tkt\_authent  krb5\_tkt\_authent
+\sphinxAtStartPar
+typedef struct \_krb5\_tkt\_authent krb5\_tkt\_authent
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_tkt_authent:members}}\index{krb5\_tkt\_authent.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_tkt_authent:members}}\index{krb5\_tkt\_authent.magic (C member)@\spxentry{krb5\_tkt\_authent.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_tkt\_authent.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_authent}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_tkt\_authent.ticket (C member)}
+\index{krb5\_tkt\_authent.ticket (C member)@\spxentry{krb5\_tkt\_authent.ticket}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent.ticket}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{krb5\_ticket}}}  *    \sphinxbfcode{krb5\_tkt\_authent.ticket}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent.ticket}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_ticket:c.krb5_ticket}]{\sphinxcrossref{\DUrole{n}{krb5\_ticket}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_authent}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ticket}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_tkt\_authent.authenticator (C member)}
+\index{krb5\_tkt\_authent.authenticator (C member)@\spxentry{krb5\_tkt\_authent.authenticator}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent.authenticator}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{krb5\_authenticator}}}  *     \sphinxbfcode{krb5\_tkt\_authent.authenticator}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent.authenticator}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_authenticator:c.krb5_authenticator}]{\sphinxcrossref{\DUrole{n}{krb5\_authenticator}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_authent}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{authenticator}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_tkt\_authent.ap\_options (C member)}
+\index{krb5\_tkt\_authent.ap\_options (C member)@\spxentry{krb5\_tkt\_authent.ap\_options}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent.ap_options}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_tkt\_authent.ap\_options}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent.ap_options}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_tkt_authent:c.krb5_tkt_authent}]{\sphinxcrossref{\DUrole{n}{krb5\_tkt\_authent}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ap\_options}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_trace\_callback}
-\label{\detokenize{appdev/refs/types/krb5_trace_callback:krb5-trace-callback-struct}}\label{\detokenize{appdev/refs/types/krb5_trace_callback:krb5-trace-callback}}\label{\detokenize{appdev/refs/types/krb5_trace_callback::doc}}\index{krb5\_trace\_callback (C type)}
+\label{\detokenize{appdev/refs/types/krb5_trace_callback:krb5-trace-callback}}\label{\detokenize{appdev/refs/types/krb5_trace_callback:krb5-trace-callback-struct}}\label{\detokenize{appdev/refs/types/krb5_trace_callback::doc}}\index{krb5\_trace\_callback (C type)@\spxentry{krb5\_trace\_callback}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_trace_callback:c.krb5_trace_callback}}\pysigline{\sphinxbfcode{krb5\_trace\_callback}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_trace_callback:c.krb5_trace_callback}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_trace\_callback}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_trace_callback:declaration}}
+\sphinxAtStartPar
 typedef void( * krb5\_trace\_callback) (krb5\_context context, const krb5\_trace\_info *info, void *cb\_data)
 
 
 \subsubsection{krb5\_trace\_info}
-\label{\detokenize{appdev/refs/types/krb5_trace_info:krb5-trace-info-struct}}\label{\detokenize{appdev/refs/types/krb5_trace_info::doc}}\label{\detokenize{appdev/refs/types/krb5_trace_info:krb5-trace-info}}\index{krb5\_trace\_info (C type)}
+\label{\detokenize{appdev/refs/types/krb5_trace_info:krb5-trace-info}}\label{\detokenize{appdev/refs/types/krb5_trace_info:krb5-trace-info-struct}}\label{\detokenize{appdev/refs/types/krb5_trace_info::doc}}\index{krb5\_trace\_info (C type)@\spxentry{krb5\_trace\_info}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_trace_info:c.krb5_trace_info}}\pysigline{\sphinxbfcode{krb5\_trace\_info}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_trace_info:c.krb5_trace_info}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_trace\_info}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 A wrapper for passing information to a \sphinxstyleemphasis{krb5\_trace\_callback} .
 
+\sphinxAtStartPar
 Currently, it only contains the formatted message as determined the the format string and arguments of the tracing macro, but it may be extended to contain more fields in the future.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_trace_info:declaration}}
-typedef struct \_krb5\_trace\_info  krb5\_trace\_info
+\sphinxAtStartPar
+typedef struct \_krb5\_trace\_info krb5\_trace\_info
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_trace_info:members}}\index{krb5\_trace\_info.message (C member)}
+\label{\detokenize{appdev/refs/types/krb5_trace_info:members}}\index{krb5\_trace\_info.message (C member)@\spxentry{krb5\_trace\_info.message}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_trace_info:c.krb5_trace_info.message}}\pysigline{const char *      \sphinxbfcode{krb5\_trace\_info.message}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_trace_info:c.krb5_trace_info.message}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{const}\DUrole{w}{  }\DUrole{kt}{char}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_trace_info:c.krb5_trace_info}]{\sphinxcrossref{\DUrole{n}{krb5\_trace\_info}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{message}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_transited}
-\label{\detokenize{appdev/refs/types/krb5_transited:krb5-transited-struct}}\label{\detokenize{appdev/refs/types/krb5_transited::doc}}\label{\detokenize{appdev/refs/types/krb5_transited:krb5-transited}}\index{krb5\_transited (C type)}
+\label{\detokenize{appdev/refs/types/krb5_transited:krb5-transited}}\label{\detokenize{appdev/refs/types/krb5_transited:krb5-transited-struct}}\label{\detokenize{appdev/refs/types/krb5_transited::doc}}\index{krb5\_transited (C type)@\spxentry{krb5\_transited}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited}}\pysigline{\sphinxbfcode{krb5\_transited}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_transited}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Structure for transited encoding.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_transited:declaration}}
-typedef struct \_krb5\_transited  krb5\_transited
+\sphinxAtStartPar
+typedef struct \_krb5\_transited krb5\_transited
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_transited:members}}\index{krb5\_transited.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_transited:members}}\index{krb5\_transited.magic (C member)@\spxentry{krb5\_transited.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_transited.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited}]{\sphinxcrossref{\DUrole{n}{krb5\_transited}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_transited.tr\_type (C member)}
+\index{krb5\_transited.tr\_type (C member)@\spxentry{krb5\_transited.tr\_type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited.tr_type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{krb5\_octet}}}        \sphinxbfcode{krb5\_transited.tr\_type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited.tr_type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{\DUrole{n}{krb5\_octet}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited}]{\sphinxcrossref{\DUrole{n}{krb5\_transited}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{tr\_type}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Transited encoding type.
 
 \end{fulllineitems}
 
-\index{krb5\_transited.tr\_contents (C member)}
+\index{krb5\_transited.tr\_contents (C member)@\spxentry{krb5\_transited.tr\_contents}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited.tr_contents}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}} \sphinxbfcode{krb5\_transited.tr\_contents}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited.tr_contents}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_transited:c.krb5_transited}]{\sphinxcrossref{\DUrole{n}{krb5\_transited}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{tr\_contents}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 Contents.
 
 \end{fulllineitems}
@@ -15524,99 +20197,134 @@ Contents.
 
 
 \subsubsection{krb5\_typed\_data}
-\label{\detokenize{appdev/refs/types/krb5_typed_data:krb5-typed-data-struct}}\label{\detokenize{appdev/refs/types/krb5_typed_data::doc}}\label{\detokenize{appdev/refs/types/krb5_typed_data:krb5-typed-data}}\index{krb5\_typed\_data (C type)}
+\label{\detokenize{appdev/refs/types/krb5_typed_data:krb5-typed-data}}\label{\detokenize{appdev/refs/types/krb5_typed_data:krb5-typed-data-struct}}\label{\detokenize{appdev/refs/types/krb5_typed_data::doc}}\index{krb5\_typed\_data (C type)@\spxentry{krb5\_typed\_data}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data}}\pysigline{\sphinxbfcode{krb5\_typed\_data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_typed\_data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_typed_data:declaration}}
-typedef struct \_krb5\_typed\_data  krb5\_typed\_data
+\sphinxAtStartPar
+typedef struct \_krb5\_typed\_data krb5\_typed\_data
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_typed_data:members}}\index{krb5\_typed\_data.magic (C member)}
+\label{\detokenize{appdev/refs/types/krb5_typed_data:members}}\index{krb5\_typed\_data.magic (C member)@\spxentry{krb5\_typed\_data.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{krb5\_typed\_data.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data}]{\sphinxcrossref{\DUrole{n}{krb5\_typed\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_typed\_data.type (C member)}
+\index{krb5\_typed\_data.type (C member)@\spxentry{krb5\_typed\_data.type}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data.type}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{krb5\_int32}}}        \sphinxbfcode{krb5\_typed\_data.type}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data.type}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_int32:c.krb5_int32}]{\sphinxcrossref{\DUrole{n}{krb5\_int32}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data}]{\sphinxcrossref{\DUrole{n}{krb5\_typed\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{type}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_typed\_data.length (C member)}
+\index{krb5\_typed\_data.length (C member)@\spxentry{krb5\_typed\_data.length}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data.length}}\pysigline{unsigned int      \sphinxbfcode{krb5\_typed\_data.length}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data.length}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{unsigned}\DUrole{w}{  }\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data}]{\sphinxcrossref{\DUrole{n}{krb5\_typed\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{length}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_typed\_data.data (C member)}
+\index{krb5\_typed\_data.data (C member)@\spxentry{krb5\_typed\_data.data}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data.data}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{krb5\_octet}}} *      \sphinxbfcode{krb5\_typed\_data.data}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data.data}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_octet:c.krb5_octet}]{\sphinxcrossref{\DUrole{n}{krb5\_octet}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_typed_data:c.krb5_typed_data}]{\sphinxcrossref{\DUrole{n}{krb5\_typed\_data}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{data}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \subsubsection{krb5\_ui\_2}
-\label{\detokenize{appdev/refs/types/krb5_ui_2:krb5-ui-2-struct}}\label{\detokenize{appdev/refs/types/krb5_ui_2::doc}}\label{\detokenize{appdev/refs/types/krb5_ui_2:krb5-ui-2}}\index{krb5\_ui\_2 (C type)}
+\label{\detokenize{appdev/refs/types/krb5_ui_2:krb5-ui-2}}\label{\detokenize{appdev/refs/types/krb5_ui_2:krb5-ui-2-struct}}\label{\detokenize{appdev/refs/types/krb5_ui_2::doc}}\index{krb5\_ui\_2 (C type)@\spxentry{krb5\_ui\_2}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ui_2:c.krb5_ui_2}}\pysigline{\sphinxbfcode{krb5\_ui\_2}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ui_2:c.krb5_ui_2}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_ui\_2}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_ui_2:declaration}}
+\sphinxAtStartPar
 typedef uint16\_t krb5\_ui\_2
 
 
 \subsubsection{krb5\_ui\_4}
-\label{\detokenize{appdev/refs/types/krb5_ui_4:krb5-ui-4}}\label{\detokenize{appdev/refs/types/krb5_ui_4:krb5-ui-4-struct}}\label{\detokenize{appdev/refs/types/krb5_ui_4::doc}}\index{krb5\_ui\_4 (C type)}
+\label{\detokenize{appdev/refs/types/krb5_ui_4:krb5-ui-4}}\label{\detokenize{appdev/refs/types/krb5_ui_4:krb5-ui-4-struct}}\label{\detokenize{appdev/refs/types/krb5_ui_4::doc}}\index{krb5\_ui\_4 (C type)@\spxentry{krb5\_ui\_4}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}}\pysigline{\sphinxbfcode{krb5\_ui\_4}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ui_4:c.krb5_ui_4}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_ui\_4}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_ui_4:declaration}}
+\sphinxAtStartPar
 typedef uint32\_t krb5\_ui\_4
 
 
 \subsubsection{krb5\_verify\_init\_creds\_opt}
-\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:krb5-verify-init-creds-opt-struct}}\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt::doc}}\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:krb5-verify-init-creds-opt}}\index{krb5\_verify\_init\_creds\_opt (C type)}
+\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:krb5-verify-init-creds-opt}}\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:krb5-verify-init-creds-opt-struct}}\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt::doc}}\index{krb5\_verify\_init\_creds\_opt (C type)@\spxentry{krb5\_verify\_init\_creds\_opt}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}}\pysigline{\sphinxbfcode{krb5\_verify\_init\_creds\_opt}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_verify\_init\_creds\_opt}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:declaration}}
-typedef struct \_krb5\_verify\_init\_creds\_opt  krb5\_verify\_init\_creds\_opt
+\sphinxAtStartPar
+typedef struct \_krb5\_verify\_init\_creds\_opt krb5\_verify\_init\_creds\_opt
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:members}}\index{krb5\_verify\_init\_creds\_opt.flags (C member)}
+\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:members}}\index{krb5\_verify\_init\_creds\_opt.flags (C member)@\spxentry{krb5\_verify\_init\_creds\_opt.flags}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt.flags}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{krb5\_flags}}}        \sphinxbfcode{krb5\_verify\_init\_creds\_opt.flags}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt.flags}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_flags:c.krb5_flags}]{\sphinxcrossref{\DUrole{n}{krb5\_flags}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_verify\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{flags}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{krb5\_verify\_init\_creds\_opt.ap\_req\_nofail (C member)}
+\index{krb5\_verify\_init\_creds\_opt.ap\_req\_nofail (C member)@\spxentry{krb5\_verify\_init\_creds\_opt.ap\_req\_nofail}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt.ap_req_nofail}}\pysigline{int       \sphinxbfcode{krb5\_verify\_init\_creds\_opt.ap\_req\_nofail}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt.ap_req_nofail}}%
+\pysigstartmultiline
+\pysigline{\DUrole{kt}{int}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/krb5_verify_init_creds_opt:c.krb5_verify_init_creds_opt}]{\sphinxcrossref{\DUrole{n}{krb5\_verify\_init\_creds\_opt}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{ap\_req\_nofail}}}}%
+\pysigstopmultiline
+\sphinxAtStartPar
 boolean
 
 \end{fulllineitems}
@@ -15624,36 +20332,49 @@ boolean
 
 
 \subsubsection{passwd\_phrase\_element}
-\label{\detokenize{appdev/refs/types/passwd_phrase_element:passwd-phrase-element-struct}}\label{\detokenize{appdev/refs/types/passwd_phrase_element::doc}}\label{\detokenize{appdev/refs/types/passwd_phrase_element:passwd-phrase-element}}\index{passwd\_phrase\_element (C type)}
+\label{\detokenize{appdev/refs/types/passwd_phrase_element:passwd-phrase-element}}\label{\detokenize{appdev/refs/types/passwd_phrase_element:passwd-phrase-element-struct}}\label{\detokenize{appdev/refs/types/passwd_phrase_element::doc}}\index{passwd\_phrase\_element (C type)@\spxentry{passwd\_phrase\_element}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element}}\pysigline{\sphinxbfcode{passwd\_phrase\_element}}
+\phantomsection\label{\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{passwd\_phrase\_element}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/passwd_phrase_element:declaration}}
-typedef struct \_passwd\_phrase\_element  passwd\_phrase\_element
+\sphinxAtStartPar
+typedef struct \_passwd\_phrase\_element passwd\_phrase\_element
 
 
 \paragraph{Members}
-\label{\detokenize{appdev/refs/types/passwd_phrase_element:members}}\index{passwd\_phrase\_element.magic (C member)}
+\label{\detokenize{appdev/refs/types/passwd_phrase_element:members}}\index{passwd\_phrase\_element.magic (C member)@\spxentry{passwd\_phrase\_element.magic}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element.magic}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{krb5\_magic}}}        \sphinxbfcode{passwd\_phrase\_element.magic}}
+\phantomsection\label{\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element.magic}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_magic:c.krb5_magic}]{\sphinxcrossref{\DUrole{n}{krb5\_magic}}}}\DUrole{w}{  }\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element}]{\sphinxcrossref{\DUrole{n}{passwd\_phrase\_element}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{magic}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{passwd\_phrase\_element.passwd (C member)}
+\index{passwd\_phrase\_element.passwd (C member)@\spxentry{passwd\_phrase\_element.passwd}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element.passwd}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}}  *      \sphinxbfcode{passwd\_phrase\_element.passwd}}
+\phantomsection\label{\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element.passwd}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element}]{\sphinxcrossref{\DUrole{n}{passwd\_phrase\_element}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{passwd}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
-\index{passwd\_phrase\_element.phrase (C member)}
+\index{passwd\_phrase\_element.phrase (C member)@\spxentry{passwd\_phrase\_element.phrase}\spxextra{C member}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element.phrase}}\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{krb5\_data}}}  *      \sphinxbfcode{passwd\_phrase\_element.phrase}}
+\phantomsection\label{\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element.phrase}}%
+\pysigstartmultiline
+\pysigline{{\hyperref[\detokenize{appdev/refs/types/krb5_data:c.krb5_data}]{\sphinxcrossref{\DUrole{n}{krb5\_data}}}}\DUrole{w}{  }\DUrole{p}{*}\sphinxcode{\sphinxupquote{{\hyperref[\detokenize{appdev/refs/types/passwd_phrase_element:c.passwd_phrase_element}]{\sphinxcrossref{\DUrole{n}{passwd\_phrase\_element}}}}\DUrole{p}{.}}}\sphinxbfcode{\sphinxupquote{\DUrole{n}{phrase}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
@@ -15662,180 +20383,233 @@ typedef struct \_passwd\_phrase\_element
 \label{\detokenize{appdev/refs/types/index:internal}}
 
 \subsubsection{krb5\_auth\_context}
-\label{\detokenize{appdev/refs/types/krb5_auth_context:krb5-auth-context}}\label{\detokenize{appdev/refs/types/krb5_auth_context::doc}}\label{\detokenize{appdev/refs/types/krb5_auth_context:krb5-auth-context-struct}}\index{krb5\_auth\_context (C type)}
+\label{\detokenize{appdev/refs/types/krb5_auth_context:krb5-auth-context}}\label{\detokenize{appdev/refs/types/krb5_auth_context:krb5-auth-context-struct}}\label{\detokenize{appdev/refs/types/krb5_auth_context::doc}}\index{krb5\_auth\_context (C type)@\spxentry{krb5\_auth\_context}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}}\pysigline{\sphinxbfcode{krb5\_auth\_context}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_auth_context:c.krb5_auth_context}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_auth\_context}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_auth_context:declaration}}
+\sphinxAtStartPar
 typedef struct \_krb5\_auth\_context* krb5\_auth\_context
 
 
 \subsubsection{krb5\_cksumtype}
-\label{\detokenize{appdev/refs/types/krb5_cksumtype:krb5-cksumtype}}\label{\detokenize{appdev/refs/types/krb5_cksumtype:krb5-cksumtype-struct}}\label{\detokenize{appdev/refs/types/krb5_cksumtype::doc}}\index{krb5\_cksumtype (C type)}
+\label{\detokenize{appdev/refs/types/krb5_cksumtype:krb5-cksumtype}}\label{\detokenize{appdev/refs/types/krb5_cksumtype:krb5-cksumtype-struct}}\label{\detokenize{appdev/refs/types/krb5_cksumtype::doc}}\index{krb5\_cksumtype (C type)@\spxentry{krb5\_cksumtype}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}}\pysigline{\sphinxbfcode{krb5\_cksumtype}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cksumtype:c.krb5_cksumtype}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cksumtype}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_cksumtype:declaration}}
+\sphinxAtStartPar
 typedef krb5\_int32 krb5\_cksumtype
 
 
 \subsubsection{krb5\_context}
-\label{\detokenize{appdev/refs/types/krb5_context:krb5-context}}\label{\detokenize{appdev/refs/types/krb5_context:krb5-context-struct}}\label{\detokenize{appdev/refs/types/krb5_context::doc}}\index{krb5\_context (C type)}
+\label{\detokenize{appdev/refs/types/krb5_context:krb5-context}}\label{\detokenize{appdev/refs/types/krb5_context:krb5-context-struct}}\label{\detokenize{appdev/refs/types/krb5_context::doc}}\index{krb5\_context (C type)@\spxentry{krb5\_context}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_context:c.krb5_context}}\pysigline{\sphinxbfcode{krb5\_context}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_context:c.krb5_context}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_context}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_context:declaration}}
+\sphinxAtStartPar
 typedef struct \_krb5\_context* krb5\_context
 
 
 \subsubsection{krb5\_cc\_cursor}
-\label{\detokenize{appdev/refs/types/krb5_cc_cursor:krb5-cc-cursor-struct}}\label{\detokenize{appdev/refs/types/krb5_cc_cursor:krb5-cc-cursor}}\label{\detokenize{appdev/refs/types/krb5_cc_cursor::doc}}\index{krb5\_cc\_cursor (C type)}
+\label{\detokenize{appdev/refs/types/krb5_cc_cursor:krb5-cc-cursor}}\label{\detokenize{appdev/refs/types/krb5_cc_cursor:krb5-cc-cursor-struct}}\label{\detokenize{appdev/refs/types/krb5_cc_cursor::doc}}\index{krb5\_cc\_cursor (C type)@\spxentry{krb5\_cc\_cursor}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cc_cursor:c.krb5_cc_cursor}}\pysigline{\sphinxbfcode{krb5\_cc\_cursor}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cc_cursor:c.krb5_cc_cursor}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cc\_cursor}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Cursor for sequential lookup.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_cc_cursor:declaration}}
+\sphinxAtStartPar
 typedef krb5\_pointer krb5\_cc\_cursor
 
 
 \subsubsection{krb5\_ccache}
-\label{\detokenize{appdev/refs/types/krb5_ccache:krb5-ccache-struct}}\label{\detokenize{appdev/refs/types/krb5_ccache::doc}}\label{\detokenize{appdev/refs/types/krb5_ccache:krb5-ccache}}\index{krb5\_ccache (C type)}
+\label{\detokenize{appdev/refs/types/krb5_ccache:krb5-ccache}}\label{\detokenize{appdev/refs/types/krb5_ccache:krb5-ccache-struct}}\label{\detokenize{appdev/refs/types/krb5_ccache::doc}}\index{krb5\_ccache (C type)@\spxentry{krb5\_ccache}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}}\pysigline{\sphinxbfcode{krb5\_ccache}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_ccache:c.krb5_ccache}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_ccache}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_ccache:declaration}}
+\sphinxAtStartPar
 typedef struct \_krb5\_ccache* krb5\_ccache
 
 
 \subsubsection{krb5\_cccol\_cursor}
-\label{\detokenize{appdev/refs/types/krb5_cccol_cursor:krb5-cccol-cursor-struct}}\label{\detokenize{appdev/refs/types/krb5_cccol_cursor::doc}}\label{\detokenize{appdev/refs/types/krb5_cccol_cursor:krb5-cccol-cursor}}\index{krb5\_cccol\_cursor (C type)}
+\label{\detokenize{appdev/refs/types/krb5_cccol_cursor:krb5-cccol-cursor}}\label{\detokenize{appdev/refs/types/krb5_cccol_cursor:krb5-cccol-cursor-struct}}\label{\detokenize{appdev/refs/types/krb5_cccol_cursor::doc}}\index{krb5\_cccol\_cursor (C type)@\spxentry{krb5\_cccol\_cursor}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_cccol_cursor:c.krb5_cccol_cursor}}\pysigline{\sphinxbfcode{krb5\_cccol\_cursor}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_cccol_cursor:c.krb5_cccol_cursor}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_cccol\_cursor}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Cursor for iterating over all ccaches.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_cccol_cursor:declaration}}
+\sphinxAtStartPar
 typedef struct \_krb5\_cccol\_cursor* krb5\_cccol\_cursor
 
 
 \subsubsection{krb5\_init\_creds\_context}
-\label{\detokenize{appdev/refs/types/krb5_init_creds_context:krb5-init-creds-context}}\label{\detokenize{appdev/refs/types/krb5_init_creds_context::doc}}\label{\detokenize{appdev/refs/types/krb5_init_creds_context:krb5-init-creds-context-struct}}\index{krb5\_init\_creds\_context (C type)}
+\label{\detokenize{appdev/refs/types/krb5_init_creds_context:krb5-init-creds-context}}\label{\detokenize{appdev/refs/types/krb5_init_creds_context:krb5-init-creds-context-struct}}\label{\detokenize{appdev/refs/types/krb5_init_creds_context::doc}}\index{krb5\_init\_creds\_context (C type)@\spxentry{krb5\_init\_creds\_context}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}}\pysigline{\sphinxbfcode{krb5\_init\_creds\_context}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_init_creds_context:c.krb5_init_creds_context}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_init\_creds\_context}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_init_creds_context:declaration}}
+\sphinxAtStartPar
 typedef struct \_krb5\_init\_creds\_context* krb5\_init\_creds\_context
 
 
 \subsubsection{krb5\_key}
-\label{\detokenize{appdev/refs/types/krb5_key::doc}}\label{\detokenize{appdev/refs/types/krb5_key:krb5-key}}\label{\detokenize{appdev/refs/types/krb5_key:krb5-key-struct}}\index{krb5\_key (C type)}
+\label{\detokenize{appdev/refs/types/krb5_key:krb5-key}}\label{\detokenize{appdev/refs/types/krb5_key:krb5-key-struct}}\label{\detokenize{appdev/refs/types/krb5_key::doc}}\index{krb5\_key (C type)@\spxentry{krb5\_key}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_key:c.krb5_key}}\pysigline{\sphinxbfcode{krb5\_key}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_key:c.krb5_key}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_key}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Opaque identifier for a key.
 
-Use with the krb5\_k APIs for better performance for repeated operations with the same key and usage. Key identifiers must not be used simultaneously within multiple threads, as they may contain mutable internal state and are not mutex-protected.
+\sphinxAtStartPar
+Use with the krb5\_k APIs for better performance for repeated operations with the same key and usage. Key identifiers must not be used simultaneously within multiple threads, as they may contain mutable internal state and are not mutex\sphinxhyphen{}protected.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_key:declaration}}
+\sphinxAtStartPar
 typedef struct krb5\_key\_st* krb5\_key
 
 
 \subsubsection{krb5\_keytab}
-\label{\detokenize{appdev/refs/types/krb5_keytab:krb5-keytab}}\label{\detokenize{appdev/refs/types/krb5_keytab::doc}}\label{\detokenize{appdev/refs/types/krb5_keytab:krb5-keytab-struct}}\index{krb5\_keytab (C type)}
+\label{\detokenize{appdev/refs/types/krb5_keytab:krb5-keytab}}\label{\detokenize{appdev/refs/types/krb5_keytab:krb5-keytab-struct}}\label{\detokenize{appdev/refs/types/krb5_keytab::doc}}\index{krb5\_keytab (C type)@\spxentry{krb5\_keytab}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}}\pysigline{\sphinxbfcode{krb5\_keytab}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_keytab:c.krb5_keytab}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_keytab}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_keytab:declaration}}
+\sphinxAtStartPar
 typedef struct \_krb5\_kt* krb5\_keytab
 
 
 \subsubsection{krb5\_pac}
-\label{\detokenize{appdev/refs/types/krb5_pac:krb5-pac-struct}}\label{\detokenize{appdev/refs/types/krb5_pac:krb5-pac}}\label{\detokenize{appdev/refs/types/krb5_pac::doc}}\index{krb5\_pac (C type)}
+\label{\detokenize{appdev/refs/types/krb5_pac:krb5-pac}}\label{\detokenize{appdev/refs/types/krb5_pac:krb5-pac-struct}}\label{\detokenize{appdev/refs/types/krb5_pac::doc}}\index{krb5\_pac (C type)@\spxentry{krb5\_pac}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}}\pysigline{\sphinxbfcode{krb5\_pac}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_pac:c.krb5_pac}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_pac}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 PAC data structure to convey authorization information.
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_pac:declaration}}
+\sphinxAtStartPar
 typedef struct krb5\_pac\_data* krb5\_pac
 
 
 \subsubsection{krb5\_rcache}
-\label{\detokenize{appdev/refs/types/krb5_rcache:krb5-rcache-struct}}\label{\detokenize{appdev/refs/types/krb5_rcache::doc}}\label{\detokenize{appdev/refs/types/krb5_rcache:krb5-rcache}}\index{krb5\_rcache (C type)}
+\label{\detokenize{appdev/refs/types/krb5_rcache:krb5-rcache}}\label{\detokenize{appdev/refs/types/krb5_rcache:krb5-rcache-struct}}\label{\detokenize{appdev/refs/types/krb5_rcache::doc}}\index{krb5\_rcache (C type)@\spxentry{krb5\_rcache}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_rcache:c.krb5_rcache}}\pysigline{\sphinxbfcode{krb5\_rcache}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_rcache:c.krb5_rcache}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_rcache}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_rcache:declaration}}
+\sphinxAtStartPar
 typedef struct krb5\_rc\_st* krb5\_rcache
 
 
 \subsubsection{krb5\_tkt\_creds\_context}
-\label{\detokenize{appdev/refs/types/krb5_tkt_creds_context::doc}}\label{\detokenize{appdev/refs/types/krb5_tkt_creds_context:krb5-tkt-creds-context}}\label{\detokenize{appdev/refs/types/krb5_tkt_creds_context:krb5-tkt-creds-context-struct}}\index{krb5\_tkt\_creds\_context (C type)}
+\label{\detokenize{appdev/refs/types/krb5_tkt_creds_context:krb5-tkt-creds-context}}\label{\detokenize{appdev/refs/types/krb5_tkt_creds_context:krb5-tkt-creds-context-struct}}\label{\detokenize{appdev/refs/types/krb5_tkt_creds_context::doc}}\index{krb5\_tkt\_creds\_context (C type)@\spxentry{krb5\_tkt\_creds\_context}\spxextra{C type}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}}\pysigline{\sphinxbfcode{krb5\_tkt\_creds\_context}}
+\phantomsection\label{\detokenize{appdev/refs/types/krb5_tkt_creds_context:c.krb5_tkt_creds_context}}%
+\pysigstartmultiline
+\pysigline{\DUrole{k}{type}\DUrole{w}{  }\sphinxbfcode{\sphinxupquote{\DUrole{n}{krb5\_tkt\_creds\_context}}}}%
+\pysigstopmultiline
 \end{fulllineitems}
 
 
 
 \paragraph{Declaration}
 \label{\detokenize{appdev/refs/types/krb5_tkt_creds_context:declaration}}
+\sphinxAtStartPar
 typedef struct \_krb5\_tkt\_creds\_context* krb5\_tkt\_creds\_context
 
 
@@ -15846,10 +20620,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \label{\detokenize{appdev/refs/macros/index:public}}
 
 \subsubsection{ADDRTYPE\_ADDRPORT}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_ADDRPORT:addrtype-addrport-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_ADDRPORT::doc}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_ADDRPORT:addrtype-addrport}}\index{ADDRTYPE\_ADDRPORT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_ADDRPORT:addrtype-addrport}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_ADDRPORT:addrtype-addrport-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_ADDRPORT::doc}}\index{ADDRTYPE\_ADDRPORT (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_ADDRPORT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_ADDRPORT:ADDRTYPE_ADDRPORT}}\pysigline{\sphinxbfcode{ADDRTYPE\_ADDRPORT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_ADDRPORT:ADDRTYPE_ADDRPORT}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_ADDRPORT}}}
 \end{fulllineitems}
 
 
@@ -15859,9 +20633,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_ADDRPORT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_ADDRPORT}}
 &
-\sphinxcode{0x0100}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0100}}
 \\
 \hline
 \end{tabulary}
@@ -15870,10 +20646,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{ADDRTYPE\_CHAOS}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_CHAOS:addrtype-chaos}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_CHAOS:addrtype-chaos-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_CHAOS::doc}}\index{ADDRTYPE\_CHAOS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_CHAOS:addrtype-chaos}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_CHAOS:addrtype-chaos-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_CHAOS::doc}}\index{ADDRTYPE\_CHAOS (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_CHAOS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_CHAOS:ADDRTYPE_CHAOS}}\pysigline{\sphinxbfcode{ADDRTYPE\_CHAOS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_CHAOS:ADDRTYPE_CHAOS}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_CHAOS}}}
 \end{fulllineitems}
 
 
@@ -15883,9 +20659,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_CHAOS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_CHAOS}}
 &
-\sphinxcode{0x0005}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0005}}
 \\
 \hline
 \end{tabulary}
@@ -15894,10 +20672,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{ADDRTYPE\_DDP}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_DDP:addrtype-ddp-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_DDP::doc}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_DDP:addrtype-ddp}}\index{ADDRTYPE\_DDP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_DDP:addrtype-ddp}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_DDP:addrtype-ddp-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_DDP::doc}}\index{ADDRTYPE\_DDP (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_DDP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_DDP:ADDRTYPE_DDP}}\pysigline{\sphinxbfcode{ADDRTYPE\_DDP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_DDP:ADDRTYPE_DDP}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_DDP}}}
 \end{fulllineitems}
 
 
@@ -15907,9 +20685,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_DDP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_DDP}}
 &
-\sphinxcode{0x0010}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0010}}
 \\
 \hline
 \end{tabulary}
@@ -15918,10 +20698,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{ADDRTYPE\_INET}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET:addrtype-inet}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET:addrtype-inet-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET::doc}}\index{ADDRTYPE\_INET (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET:addrtype-inet}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET:addrtype-inet-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET::doc}}\index{ADDRTYPE\_INET (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_INET}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET:ADDRTYPE_INET}}\pysigline{\sphinxbfcode{ADDRTYPE\_INET}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET:ADDRTYPE_INET}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_INET}}}
 \end{fulllineitems}
 
 
@@ -15931,9 +20711,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_INET}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_INET}}
 &
-\sphinxcode{0x0002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0002}}
 \\
 \hline
 \end{tabulary}
@@ -15942,10 +20724,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{ADDRTYPE\_INET6}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET6:addrtype-inet6-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET6:addrtype-inet6}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET6::doc}}\index{ADDRTYPE\_INET6 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET6:addrtype-inet6}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET6:addrtype-inet6-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET6::doc}}\index{ADDRTYPE\_INET6 (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_INET6}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET6:ADDRTYPE_INET6}}\pysigline{\sphinxbfcode{ADDRTYPE\_INET6}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_INET6:ADDRTYPE_INET6}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_INET6}}}
 \end{fulllineitems}
 
 
@@ -15955,9 +20737,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_INET6}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_INET6}}
 &
-\sphinxcode{0x0018}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0018}}
 \\
 \hline
 \end{tabulary}
@@ -15966,10 +20750,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{ADDRTYPE\_IPPORT}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_IPPORT:addrtype-ipport}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_IPPORT::doc}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_IPPORT:addrtype-ipport-data}}\index{ADDRTYPE\_IPPORT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_IPPORT:addrtype-ipport}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_IPPORT:addrtype-ipport-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_IPPORT::doc}}\index{ADDRTYPE\_IPPORT (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_IPPORT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_IPPORT:ADDRTYPE_IPPORT}}\pysigline{\sphinxbfcode{ADDRTYPE\_IPPORT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_IPPORT:ADDRTYPE_IPPORT}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_IPPORT}}}
 \end{fulllineitems}
 
 
@@ -15979,9 +20763,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_IPPORT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_IPPORT}}
 &
-\sphinxcode{0x0101}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0101}}
 \\
 \hline
 \end{tabulary}
@@ -15990,10 +20776,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{ADDRTYPE\_ISO}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_ISO::doc}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_ISO:addrtype-iso}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_ISO:addrtype-iso-data}}\index{ADDRTYPE\_ISO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_ISO:addrtype-iso}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_ISO:addrtype-iso-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_ISO::doc}}\index{ADDRTYPE\_ISO (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_ISO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_ISO:ADDRTYPE_ISO}}\pysigline{\sphinxbfcode{ADDRTYPE\_ISO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_ISO:ADDRTYPE_ISO}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_ISO}}}
 \end{fulllineitems}
 
 
@@ -16003,9 +20789,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_ISO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_ISO}}
 &
-\sphinxcode{0x0007}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0007}}
 \\
 \hline
 \end{tabulary}
@@ -16014,10 +20802,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{ADDRTYPE\_IS\_LOCAL}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_IS_LOCAL::doc}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_IS_LOCAL:addrtype-is-local}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_IS_LOCAL:addrtype-is-local-data}}\index{ADDRTYPE\_IS\_LOCAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_IS_LOCAL:addrtype-is-local}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_IS_LOCAL:addrtype-is-local-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_IS_LOCAL::doc}}\index{ADDRTYPE\_IS\_LOCAL (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_IS\_LOCAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_IS_LOCAL:ADDRTYPE_IS_LOCAL}}\pysigline{\sphinxbfcode{ADDRTYPE\_IS\_LOCAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_IS_LOCAL:ADDRTYPE_IS_LOCAL}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_IS\_LOCAL}}}
 \end{fulllineitems}
 
 
@@ -16027,9 +20815,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_IS\_LOCAL (addrtype)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_IS\_LOCAL (addrtype)}}
 &
-\sphinxcode{(addrtype \& 0x8000)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(addrtype \& 0x8000)}}
 \\
 \hline
 \end{tabulary}
@@ -16038,10 +20828,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{ADDRTYPE\_NETBIOS}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_NETBIOS:addrtype-netbios}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_NETBIOS::doc}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_NETBIOS:addrtype-netbios-data}}\index{ADDRTYPE\_NETBIOS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_NETBIOS:addrtype-netbios}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_NETBIOS:addrtype-netbios-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_NETBIOS::doc}}\index{ADDRTYPE\_NETBIOS (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_NETBIOS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_NETBIOS:ADDRTYPE_NETBIOS}}\pysigline{\sphinxbfcode{ADDRTYPE\_NETBIOS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_NETBIOS:ADDRTYPE_NETBIOS}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_NETBIOS}}}
 \end{fulllineitems}
 
 
@@ -16051,9 +20841,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_NETBIOS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_NETBIOS}}
 &
-\sphinxcode{0x0014}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0014}}
 \\
 \hline
 \end{tabulary}
@@ -16062,10 +20854,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{ADDRTYPE\_XNS}
-\label{\detokenize{appdev/refs/macros/ADDRTYPE_XNS::doc}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_XNS:addrtype-xns-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_XNS:addrtype-xns}}\index{ADDRTYPE\_XNS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ADDRTYPE_XNS:addrtype-xns}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_XNS:addrtype-xns-data}}\label{\detokenize{appdev/refs/macros/ADDRTYPE_XNS::doc}}\index{ADDRTYPE\_XNS (built\sphinxhyphen{}in variable)@\spxentry{ADDRTYPE\_XNS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_XNS:ADDRTYPE_XNS}}\pysigline{\sphinxbfcode{ADDRTYPE\_XNS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ADDRTYPE_XNS:ADDRTYPE_XNS}}\pysigline{\sphinxbfcode{\sphinxupquote{ADDRTYPE\_XNS}}}
 \end{fulllineitems}
 
 
@@ -16075,9 +20867,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ADDRTYPE\_XNS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ADDRTYPE\_XNS}}
 &
-\sphinxcode{0x0006}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0006}}
 \\
 \hline
 \end{tabulary}
@@ -16086,10 +20880,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{AD\_TYPE\_EXTERNAL}
-\label{\detokenize{appdev/refs/macros/AD_TYPE_EXTERNAL:ad-type-external-data}}\label{\detokenize{appdev/refs/macros/AD_TYPE_EXTERNAL::doc}}\label{\detokenize{appdev/refs/macros/AD_TYPE_EXTERNAL:ad-type-external}}\index{AD\_TYPE\_EXTERNAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AD_TYPE_EXTERNAL:ad-type-external}}\label{\detokenize{appdev/refs/macros/AD_TYPE_EXTERNAL:ad-type-external-data}}\label{\detokenize{appdev/refs/macros/AD_TYPE_EXTERNAL::doc}}\index{AD\_TYPE\_EXTERNAL (built\sphinxhyphen{}in variable)@\spxentry{AD\_TYPE\_EXTERNAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AD_TYPE_EXTERNAL:AD_TYPE_EXTERNAL}}\pysigline{\sphinxbfcode{AD\_TYPE\_EXTERNAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AD_TYPE_EXTERNAL:AD_TYPE_EXTERNAL}}\pysigline{\sphinxbfcode{\sphinxupquote{AD\_TYPE\_EXTERNAL}}}
 \end{fulllineitems}
 
 
@@ -16099,9 +20893,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AD\_TYPE\_EXTERNAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AD\_TYPE\_EXTERNAL}}
 &
-\sphinxcode{0x4000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x4000}}
 \\
 \hline
 \end{tabulary}
@@ -16110,10 +20906,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{AD\_TYPE\_FIELD\_TYPE\_MASK}
-\label{\detokenize{appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK:ad-type-field-type-mask}}\label{\detokenize{appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK::doc}}\label{\detokenize{appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK:ad-type-field-type-mask-data}}\index{AD\_TYPE\_FIELD\_TYPE\_MASK (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK:ad-type-field-type-mask}}\label{\detokenize{appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK:ad-type-field-type-mask-data}}\label{\detokenize{appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK::doc}}\index{AD\_TYPE\_FIELD\_TYPE\_MASK (built\sphinxhyphen{}in variable)@\spxentry{AD\_TYPE\_FIELD\_TYPE\_MASK}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK:AD_TYPE_FIELD_TYPE_MASK}}\pysigline{\sphinxbfcode{AD\_TYPE\_FIELD\_TYPE\_MASK}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AD_TYPE_FIELD_TYPE_MASK:AD_TYPE_FIELD_TYPE_MASK}}\pysigline{\sphinxbfcode{\sphinxupquote{AD\_TYPE\_FIELD\_TYPE\_MASK}}}
 \end{fulllineitems}
 
 
@@ -16123,9 +20919,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AD\_TYPE\_FIELD\_TYPE\_MASK}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AD\_TYPE\_FIELD\_TYPE\_MASK}}
 &
-\sphinxcode{0x1fff}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x1fff}}
 \\
 \hline
 \end{tabulary}
@@ -16134,10 +20932,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{AD\_TYPE\_REGISTERED}
-\label{\detokenize{appdev/refs/macros/AD_TYPE_REGISTERED:ad-type-registered-data}}\label{\detokenize{appdev/refs/macros/AD_TYPE_REGISTERED:ad-type-registered}}\label{\detokenize{appdev/refs/macros/AD_TYPE_REGISTERED::doc}}\index{AD\_TYPE\_REGISTERED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AD_TYPE_REGISTERED:ad-type-registered}}\label{\detokenize{appdev/refs/macros/AD_TYPE_REGISTERED:ad-type-registered-data}}\label{\detokenize{appdev/refs/macros/AD_TYPE_REGISTERED::doc}}\index{AD\_TYPE\_REGISTERED (built\sphinxhyphen{}in variable)@\spxentry{AD\_TYPE\_REGISTERED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AD_TYPE_REGISTERED:AD_TYPE_REGISTERED}}\pysigline{\sphinxbfcode{AD\_TYPE\_REGISTERED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AD_TYPE_REGISTERED:AD_TYPE_REGISTERED}}\pysigline{\sphinxbfcode{\sphinxupquote{AD\_TYPE\_REGISTERED}}}
 \end{fulllineitems}
 
 
@@ -16147,9 +20945,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AD\_TYPE\_REGISTERED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AD\_TYPE\_REGISTERED}}
 &
-\sphinxcode{0x2000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x2000}}
 \\
 \hline
 \end{tabulary}
@@ -16158,10 +20958,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{AD\_TYPE\_RESERVED}
-\label{\detokenize{appdev/refs/macros/AD_TYPE_RESERVED::doc}}\label{\detokenize{appdev/refs/macros/AD_TYPE_RESERVED:ad-type-reserved}}\label{\detokenize{appdev/refs/macros/AD_TYPE_RESERVED:ad-type-reserved-data}}\index{AD\_TYPE\_RESERVED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AD_TYPE_RESERVED:ad-type-reserved}}\label{\detokenize{appdev/refs/macros/AD_TYPE_RESERVED:ad-type-reserved-data}}\label{\detokenize{appdev/refs/macros/AD_TYPE_RESERVED::doc}}\index{AD\_TYPE\_RESERVED (built\sphinxhyphen{}in variable)@\spxentry{AD\_TYPE\_RESERVED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AD_TYPE_RESERVED:AD_TYPE_RESERVED}}\pysigline{\sphinxbfcode{AD\_TYPE\_RESERVED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AD_TYPE_RESERVED:AD_TYPE_RESERVED}}\pysigline{\sphinxbfcode{\sphinxupquote{AD\_TYPE\_RESERVED}}}
 \end{fulllineitems}
 
 
@@ -16171,9 +20971,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AD\_TYPE\_RESERVED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AD\_TYPE\_RESERVED}}
 &
-\sphinxcode{0x8000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x8000}}
 \\
 \hline
 \end{tabulary}
@@ -16182,10 +20984,10 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{AP\_OPTS\_ETYPE\_NEGOTIATION}
-\label{\detokenize{appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION::doc}}\label{\detokenize{appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION:ap-opts-etype-negotiation}}\label{\detokenize{appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION:ap-opts-etype-negotiation-data}}\index{AP\_OPTS\_ETYPE\_NEGOTIATION (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION:ap-opts-etype-negotiation}}\label{\detokenize{appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION:ap-opts-etype-negotiation-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION::doc}}\index{AP\_OPTS\_ETYPE\_NEGOTIATION (built\sphinxhyphen{}in variable)@\spxentry{AP\_OPTS\_ETYPE\_NEGOTIATION}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION:AP_OPTS_ETYPE_NEGOTIATION}}\pysigline{\sphinxbfcode{AP\_OPTS\_ETYPE\_NEGOTIATION}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_ETYPE_NEGOTIATION:AP_OPTS_ETYPE_NEGOTIATION}}\pysigline{\sphinxbfcode{\sphinxupquote{AP\_OPTS\_ETYPE\_NEGOTIATION}}}
 \end{fulllineitems}
 
 
@@ -16195,9 +20997,11 @@ typedef struct \_krb5\_tkt\_creds\_conte
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AP\_OPTS\_ETYPE\_NEGOTIATION}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AP\_OPTS\_ETYPE\_NEGOTIATION}}
 &
-\sphinxcode{0x00000002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000002}}
 \\
 \hline
 \end{tabulary}
@@ -16206,13 +21010,14 @@ typedef struct \_krb5\_tkt\_creds\_conte
 
 
 \subsubsection{AP\_OPTS\_MUTUAL\_REQUIRED}
-\label{\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED:ap-opts-mutual-required}}\label{\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED:ap-opts-mutual-required-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED::doc}}\index{AP\_OPTS\_MUTUAL\_REQUIRED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED:ap-opts-mutual-required}}\label{\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED:ap-opts-mutual-required-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED::doc}}\index{AP\_OPTS\_MUTUAL\_REQUIRED (built\sphinxhyphen{}in variable)@\spxentry{AP\_OPTS\_MUTUAL\_REQUIRED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED:AP_OPTS_MUTUAL_REQUIRED}}\pysigline{\sphinxbfcode{AP\_OPTS\_MUTUAL\_REQUIRED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_MUTUAL_REQUIRED:AP_OPTS_MUTUAL_REQUIRED}}\pysigline{\sphinxbfcode{\sphinxupquote{AP\_OPTS\_MUTUAL\_REQUIRED}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Perform a mutual authentication exchange.
 
 
@@ -16221,9 +21026,11 @@ Perform a mutual authentication exchange
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AP\_OPTS\_MUTUAL\_REQUIRED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AP\_OPTS\_MUTUAL\_REQUIRED}}
 &
-\sphinxcode{0x20000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x20000000}}
 \\
 \hline
 \end{tabulary}
@@ -16232,10 +21039,10 @@ Perform a mutual authentication exchange
 
 
 \subsubsection{AP\_OPTS\_RESERVED}
-\label{\detokenize{appdev/refs/macros/AP_OPTS_RESERVED::doc}}\label{\detokenize{appdev/refs/macros/AP_OPTS_RESERVED:ap-opts-reserved-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_RESERVED:ap-opts-reserved}}\index{AP\_OPTS\_RESERVED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AP_OPTS_RESERVED:ap-opts-reserved}}\label{\detokenize{appdev/refs/macros/AP_OPTS_RESERVED:ap-opts-reserved-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_RESERVED::doc}}\index{AP\_OPTS\_RESERVED (built\sphinxhyphen{}in variable)@\spxentry{AP\_OPTS\_RESERVED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_RESERVED:AP_OPTS_RESERVED}}\pysigline{\sphinxbfcode{AP\_OPTS\_RESERVED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_RESERVED:AP_OPTS_RESERVED}}\pysigline{\sphinxbfcode{\sphinxupquote{AP\_OPTS\_RESERVED}}}
 \end{fulllineitems}
 
 
@@ -16245,9 +21052,11 @@ Perform a mutual authentication exchange
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AP\_OPTS\_RESERVED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AP\_OPTS\_RESERVED}}
 &
-\sphinxcode{0x80000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x80000000}}
 \\
 \hline
 \end{tabulary}
@@ -16256,13 +21065,14 @@ Perform a mutual authentication exchange
 
 
 \subsubsection{AP\_OPTS\_USE\_SESSION\_KEY}
-\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SESSION_KEY:ap-opts-use-session-key}}\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SESSION_KEY::doc}}\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SESSION_KEY:ap-opts-use-session-key-data}}\index{AP\_OPTS\_USE\_SESSION\_KEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SESSION_KEY:ap-opts-use-session-key}}\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SESSION_KEY:ap-opts-use-session-key-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SESSION_KEY::doc}}\index{AP\_OPTS\_USE\_SESSION\_KEY (built\sphinxhyphen{}in variable)@\spxentry{AP\_OPTS\_USE\_SESSION\_KEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SESSION_KEY:AP_OPTS_USE_SESSION_KEY}}\pysigline{\sphinxbfcode{AP\_OPTS\_USE\_SESSION\_KEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SESSION_KEY:AP_OPTS_USE_SESSION_KEY}}\pysigline{\sphinxbfcode{\sphinxupquote{AP\_OPTS\_USE\_SESSION\_KEY}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Use session key.
 
 
@@ -16271,9 +21081,11 @@ Use session key.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AP\_OPTS\_USE\_SESSION\_KEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AP\_OPTS\_USE\_SESSION\_KEY}}
 &
-\sphinxcode{0x40000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x40000000}}
 \\
 \hline
 \end{tabulary}
@@ -16282,13 +21094,14 @@ Use session key.
 
 
 \subsubsection{AP\_OPTS\_USE\_SUBKEY}
-\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SUBKEY:ap-opts-use-subkey}}\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SUBKEY:ap-opts-use-subkey-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SUBKEY::doc}}\index{AP\_OPTS\_USE\_SUBKEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SUBKEY:ap-opts-use-subkey}}\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SUBKEY:ap-opts-use-subkey-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SUBKEY::doc}}\index{AP\_OPTS\_USE\_SUBKEY (built\sphinxhyphen{}in variable)@\spxentry{AP\_OPTS\_USE\_SUBKEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SUBKEY:AP_OPTS_USE_SUBKEY}}\pysigline{\sphinxbfcode{AP\_OPTS\_USE\_SUBKEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_USE_SUBKEY:AP_OPTS_USE_SUBKEY}}\pysigline{\sphinxbfcode{\sphinxupquote{AP\_OPTS\_USE\_SUBKEY}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Generate a subsession key from the current session key obtained from the credentials.
 
 
@@ -16297,9 +21110,11 @@ Generate a subsession key from the curre
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AP\_OPTS\_USE\_SUBKEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AP\_OPTS\_USE\_SUBKEY}}
 &
-\sphinxcode{0x00000001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000001}}
 \\
 \hline
 \end{tabulary}
@@ -16308,10 +21123,10 @@ Generate a subsession key from the curre
 
 
 \subsubsection{AP\_OPTS\_WIRE\_MASK}
-\label{\detokenize{appdev/refs/macros/AP_OPTS_WIRE_MASK:ap-opts-wire-mask-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_WIRE_MASK:ap-opts-wire-mask}}\label{\detokenize{appdev/refs/macros/AP_OPTS_WIRE_MASK::doc}}\index{AP\_OPTS\_WIRE\_MASK (built-in variable)}
+\label{\detokenize{appdev/refs/macros/AP_OPTS_WIRE_MASK:ap-opts-wire-mask}}\label{\detokenize{appdev/refs/macros/AP_OPTS_WIRE_MASK:ap-opts-wire-mask-data}}\label{\detokenize{appdev/refs/macros/AP_OPTS_WIRE_MASK::doc}}\index{AP\_OPTS\_WIRE\_MASK (built\sphinxhyphen{}in variable)@\spxentry{AP\_OPTS\_WIRE\_MASK}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_WIRE_MASK:AP_OPTS_WIRE_MASK}}\pysigline{\sphinxbfcode{AP\_OPTS\_WIRE\_MASK}}
+\phantomsection\label{\detokenize{appdev/refs/macros/AP_OPTS_WIRE_MASK:AP_OPTS_WIRE_MASK}}\pysigline{\sphinxbfcode{\sphinxupquote{AP\_OPTS\_WIRE\_MASK}}}
 \end{fulllineitems}
 
 
@@ -16321,9 +21136,11 @@ Generate a subsession key from the curre
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{AP\_OPTS\_WIRE\_MASK}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{AP\_OPTS\_WIRE\_MASK}}
 &
-\sphinxcode{0xfffffff0}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0xfffffff0}}
 \\
 \hline
 \end{tabulary}
@@ -16332,13 +21149,14 @@ Generate a subsession key from the curre
 
 
 \subsubsection{CKSUMTYPE\_CMAC\_CAMELLIA128}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128:cksumtype-cmac-camellia128}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128:cksumtype-cmac-camellia128-data}}\index{CKSUMTYPE\_CMAC\_CAMELLIA128 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128:cksumtype-cmac-camellia128}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128:cksumtype-cmac-camellia128-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128::doc}}\index{CKSUMTYPE\_CMAC\_CAMELLIA128 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_CMAC\_CAMELLIA128}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128:CKSUMTYPE_CMAC_CAMELLIA128}}\pysigline{\sphinxbfcode{CKSUMTYPE\_CMAC\_CAMELLIA128}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA128:CKSUMTYPE_CMAC_CAMELLIA128}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_CMAC\_CAMELLIA128}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6803.
 
 
@@ -16347,9 +21165,11 @@ RFC 6803.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_CMAC\_CAMELLIA128}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_CMAC\_CAMELLIA128}}
 &
-\sphinxcode{0x0011}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0011}}
 \\
 \hline
 \end{tabulary}
@@ -16358,13 +21178,14 @@ RFC 6803.
 
 
 \subsubsection{CKSUMTYPE\_CMAC\_CAMELLIA256}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256:cksumtype-cmac-camellia256}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256:cksumtype-cmac-camellia256-data}}\index{CKSUMTYPE\_CMAC\_CAMELLIA256 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256:cksumtype-cmac-camellia256}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256:cksumtype-cmac-camellia256-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256::doc}}\index{CKSUMTYPE\_CMAC\_CAMELLIA256 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_CMAC\_CAMELLIA256}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256:CKSUMTYPE_CMAC_CAMELLIA256}}\pysigline{\sphinxbfcode{CKSUMTYPE\_CMAC\_CAMELLIA256}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CMAC_CAMELLIA256:CKSUMTYPE_CMAC_CAMELLIA256}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_CMAC\_CAMELLIA256}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6803.
 
 
@@ -16373,9 +21194,11 @@ RFC 6803.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_CMAC\_CAMELLIA256}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_CMAC\_CAMELLIA256}}
 &
-\sphinxcode{0x0012}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0012}}
 \\
 \hline
 \end{tabulary}
@@ -16384,10 +21207,10 @@ RFC 6803.
 
 
 \subsubsection{CKSUMTYPE\_CRC32}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CRC32:cksumtype-crc32-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CRC32::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CRC32:cksumtype-crc32}}\index{CKSUMTYPE\_CRC32 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CRC32:cksumtype-crc32}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CRC32:cksumtype-crc32-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CRC32::doc}}\index{CKSUMTYPE\_CRC32 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_CRC32}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CRC32:CKSUMTYPE_CRC32}}\pysigline{\sphinxbfcode{CKSUMTYPE\_CRC32}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_CRC32:CKSUMTYPE_CRC32}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_CRC32}}}
 \end{fulllineitems}
 
 
@@ -16397,9 +21220,11 @@ RFC 6803.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_CRC32}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_CRC32}}
 &
-\sphinxcode{0x0001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0001}}
 \\
 \hline
 \end{tabulary}
@@ -16408,10 +21233,10 @@ RFC 6803.
 
 
 \subsubsection{CKSUMTYPE\_DESCBC}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_DESCBC:cksumtype-descbc-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_DESCBC::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_DESCBC:cksumtype-descbc}}\index{CKSUMTYPE\_DESCBC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_DESCBC:cksumtype-descbc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_DESCBC:cksumtype-descbc-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_DESCBC::doc}}\index{CKSUMTYPE\_DESCBC (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_DESCBC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_DESCBC:CKSUMTYPE_DESCBC}}\pysigline{\sphinxbfcode{CKSUMTYPE\_DESCBC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_DESCBC:CKSUMTYPE_DESCBC}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_DESCBC}}}
 \end{fulllineitems}
 
 
@@ -16421,9 +21246,11 @@ RFC 6803.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_DESCBC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_DESCBC}}
 &
-\sphinxcode{0x0004}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0004}}
 \\
 \hline
 \end{tabulary}
@@ -16432,13 +21259,14 @@ RFC 6803.
 
 
 \subsubsection{CKSUMTYPE\_HMAC\_MD5\_ARCFOUR}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR:cksumtype-hmac-md5-arcfour-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR:cksumtype-hmac-md5-arcfour}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR::doc}}\index{CKSUMTYPE\_HMAC\_MD5\_ARCFOUR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR:cksumtype-hmac-md5-arcfour}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR:cksumtype-hmac-md5-arcfour-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR::doc}}\index{CKSUMTYPE\_HMAC\_MD5\_ARCFOUR (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_HMAC\_MD5\_ARCFOUR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR:CKSUMTYPE_HMAC_MD5_ARCFOUR}}\pysigline{\sphinxbfcode{CKSUMTYPE\_HMAC\_MD5\_ARCFOUR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_MD5_ARCFOUR:CKSUMTYPE_HMAC_MD5_ARCFOUR}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_HMAC\_MD5\_ARCFOUR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 4757.
 
 
@@ -16447,9 +21275,11 @@ RFC 4757.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_HMAC\_MD5\_ARCFOUR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_HMAC\_MD5\_ARCFOUR}}
 &
-\sphinxcode{-138}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}138}}
 \\
 \hline
 \end{tabulary}
@@ -16458,15 +21288,17 @@ RFC 4757.
 
 
 \subsubsection{CKSUMTYPE\_HMAC\_SHA1\_96\_AES128}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128:cksumtype-hmac-sha1-96-aes128}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128:cksumtype-hmac-sha1-96-aes128-data}}\index{CKSUMTYPE\_HMAC\_SHA1\_96\_AES128 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128:cksumtype-hmac-sha1-96-aes128}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128:cksumtype-hmac-sha1-96-aes128-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128::doc}}\index{CKSUMTYPE\_HMAC\_SHA1\_96\_AES128 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_HMAC\_SHA1\_96\_AES128}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128:CKSUMTYPE_HMAC_SHA1_96_AES128}}\pysigline{\sphinxbfcode{CKSUMTYPE\_HMAC\_SHA1\_96\_AES128}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES128:CKSUMTYPE_HMAC_SHA1_96_AES128}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA1\_96\_AES128}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 3962.
 
+\sphinxAtStartPar
 Used with ENCTYPE\_AES128\_CTS\_HMAC\_SHA1\_96
 
 
@@ -16475,9 +21307,11 @@ Used with ENCTYPE\_AES128\_CTS\_HMAC\_SH
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_HMAC\_SHA1\_96\_AES128}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA1\_96\_AES128}}
 &
-\sphinxcode{0x000f}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x000f}}
 \\
 \hline
 \end{tabulary}
@@ -16486,15 +21320,17 @@ Used with ENCTYPE\_AES128\_CTS\_HMAC\_SH
 
 
 \subsubsection{CKSUMTYPE\_HMAC\_SHA1\_96\_AES256}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256:cksumtype-hmac-sha1-96-aes256}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256:cksumtype-hmac-sha1-96-aes256-data}}\index{CKSUMTYPE\_HMAC\_SHA1\_96\_AES256 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256:cksumtype-hmac-sha1-96-aes256}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256:cksumtype-hmac-sha1-96-aes256-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256::doc}}\index{CKSUMTYPE\_HMAC\_SHA1\_96\_AES256 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_HMAC\_SHA1\_96\_AES256}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256:CKSUMTYPE_HMAC_SHA1_96_AES256}}\pysigline{\sphinxbfcode{CKSUMTYPE\_HMAC\_SHA1\_96\_AES256}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_96_AES256:CKSUMTYPE_HMAC_SHA1_96_AES256}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA1\_96\_AES256}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 3962.
 
+\sphinxAtStartPar
 Used with ENCTYPE\_AES256\_CTS\_HMAC\_SHA1\_96
 
 
@@ -16503,9 +21339,11 @@ Used with ENCTYPE\_AES256\_CTS\_HMAC\_SH
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_HMAC\_SHA1\_96\_AES256}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA1\_96\_AES256}}
 &
-\sphinxcode{0x0010}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0010}}
 \\
 \hline
 \end{tabulary}
@@ -16514,13 +21352,14 @@ Used with ENCTYPE\_AES256\_CTS\_HMAC\_SH
 
 
 \subsubsection{CKSUMTYPE\_HMAC\_SHA256\_128\_AES128}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128:cksumtype-hmac-sha256-128-aes128-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128:cksumtype-hmac-sha256-128-aes128}}\index{CKSUMTYPE\_HMAC\_SHA256\_128\_AES128 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128:cksumtype-hmac-sha256-128-aes128}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128:cksumtype-hmac-sha256-128-aes128-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128::doc}}\index{CKSUMTYPE\_HMAC\_SHA256\_128\_AES128 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_HMAC\_SHA256\_128\_AES128}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128:CKSUMTYPE_HMAC_SHA256_128_AES128}}\pysigline{\sphinxbfcode{CKSUMTYPE\_HMAC\_SHA256\_128\_AES128}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA256_128_AES128:CKSUMTYPE_HMAC_SHA256_128_AES128}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA256\_128\_AES128}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 8009.
 
 
@@ -16529,9 +21368,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_HMAC\_SHA256\_128\_AES128}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA256\_128\_AES128}}
 &
-\sphinxcode{0x0013}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0013}}
 \\
 \hline
 \end{tabulary}
@@ -16540,13 +21381,14 @@ RFC 8009.
 
 
 \subsubsection{CKSUMTYPE\_HMAC\_SHA384\_192\_AES256}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256:cksumtype-hmac-sha384-192-aes256}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256:cksumtype-hmac-sha384-192-aes256-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256::doc}}\index{CKSUMTYPE\_HMAC\_SHA384\_192\_AES256 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256:cksumtype-hmac-sha384-192-aes256}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256:cksumtype-hmac-sha384-192-aes256-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256::doc}}\index{CKSUMTYPE\_HMAC\_SHA384\_192\_AES256 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_HMAC\_SHA384\_192\_AES256}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256:CKSUMTYPE_HMAC_SHA384_192_AES256}}\pysigline{\sphinxbfcode{CKSUMTYPE\_HMAC\_SHA384\_192\_AES256}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA384_192_AES256:CKSUMTYPE_HMAC_SHA384_192_AES256}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA384\_192\_AES256}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 8009.
 
 
@@ -16555,9 +21397,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_HMAC\_SHA384\_192\_AES256}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA384\_192\_AES256}}
 &
-\sphinxcode{0x0014}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0014}}
 \\
 \hline
 \end{tabulary}
@@ -16566,10 +21410,10 @@ RFC 8009.
 
 
 \subsubsection{CKSUMTYPE\_HMAC\_SHA1\_DES3}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3:cksumtype-hmac-sha1-des3}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3:cksumtype-hmac-sha1-des3-data}}\index{CKSUMTYPE\_HMAC\_SHA1\_DES3 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3:cksumtype-hmac-sha1-des3}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3:cksumtype-hmac-sha1-des3-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3::doc}}\index{CKSUMTYPE\_HMAC\_SHA1\_DES3 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_HMAC\_SHA1\_DES3}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3:CKSUMTYPE_HMAC_SHA1_DES3}}\pysigline{\sphinxbfcode{CKSUMTYPE\_HMAC\_SHA1\_DES3}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_HMAC_SHA1_DES3:CKSUMTYPE_HMAC_SHA1_DES3}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA1\_DES3}}}
 \end{fulllineitems}
 
 
@@ -16579,9 +21423,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_HMAC\_SHA1\_DES3}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_HMAC\_SHA1\_DES3}}
 &
-\sphinxcode{0x000c}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x000c}}
 \\
 \hline
 \end{tabulary}
@@ -16590,10 +21436,10 @@ RFC 8009.
 
 
 \subsubsection{CKSUMTYPE\_MD5\_HMAC\_ARCFOUR}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR:cksumtype-md5-hmac-arcfour}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR:cksumtype-md5-hmac-arcfour-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR::doc}}\index{CKSUMTYPE\_MD5\_HMAC\_ARCFOUR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR:cksumtype-md5-hmac-arcfour}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR:cksumtype-md5-hmac-arcfour-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR::doc}}\index{CKSUMTYPE\_MD5\_HMAC\_ARCFOUR (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_MD5\_HMAC\_ARCFOUR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR:CKSUMTYPE_MD5_HMAC_ARCFOUR}}\pysigline{\sphinxbfcode{CKSUMTYPE\_MD5\_HMAC\_ARCFOUR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_MD5_HMAC_ARCFOUR:CKSUMTYPE_MD5_HMAC_ARCFOUR}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_MD5\_HMAC\_ARCFOUR}}}
 \end{fulllineitems}
 
 
@@ -16603,9 +21449,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_MD5\_HMAC\_ARCFOUR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_MD5\_HMAC\_ARCFOUR}}
 &
-\sphinxcode{-137 /* Microsoft netlogon */}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}137 /* Microsoft netlogon */}}
 \\
 \hline
 \end{tabulary}
@@ -16614,10 +21462,10 @@ RFC 8009.
 
 
 \subsubsection{CKSUMTYPE\_NIST\_SHA}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_NIST_SHA::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_NIST_SHA:cksumtype-nist-sha}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_NIST_SHA:cksumtype-nist-sha-data}}\index{CKSUMTYPE\_NIST\_SHA (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_NIST_SHA:cksumtype-nist-sha}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_NIST_SHA:cksumtype-nist-sha-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_NIST_SHA::doc}}\index{CKSUMTYPE\_NIST\_SHA (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_NIST\_SHA}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_NIST_SHA:CKSUMTYPE_NIST_SHA}}\pysigline{\sphinxbfcode{CKSUMTYPE\_NIST\_SHA}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_NIST_SHA:CKSUMTYPE_NIST_SHA}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_NIST\_SHA}}}
 \end{fulllineitems}
 
 
@@ -16627,9 +21475,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_NIST\_SHA}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_NIST\_SHA}}
 &
-\sphinxcode{0x0009}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0009}}
 \\
 \hline
 \end{tabulary}
@@ -16638,10 +21488,10 @@ RFC 8009.
 
 
 \subsubsection{CKSUMTYPE\_RSA\_MD4}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4:cksumtype-rsa-md4}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4:cksumtype-rsa-md4-data}}\index{CKSUMTYPE\_RSA\_MD4 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4:cksumtype-rsa-md4}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4:cksumtype-rsa-md4-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4::doc}}\index{CKSUMTYPE\_RSA\_MD4 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_RSA\_MD4}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4:CKSUMTYPE_RSA_MD4}}\pysigline{\sphinxbfcode{CKSUMTYPE\_RSA\_MD4}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4:CKSUMTYPE_RSA_MD4}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_RSA\_MD4}}}
 \end{fulllineitems}
 
 
@@ -16651,9 +21501,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_RSA\_MD4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_RSA\_MD4}}
 &
-\sphinxcode{0x0002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0002}}
 \\
 \hline
 \end{tabulary}
@@ -16662,10 +21514,10 @@ RFC 8009.
 
 
 \subsubsection{CKSUMTYPE\_RSA\_MD4\_DES}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES:cksumtype-rsa-md4-des}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES:cksumtype-rsa-md4-des-data}}\index{CKSUMTYPE\_RSA\_MD4\_DES (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES:cksumtype-rsa-md4-des}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES:cksumtype-rsa-md4-des-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES::doc}}\index{CKSUMTYPE\_RSA\_MD4\_DES (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_RSA\_MD4\_DES}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES:CKSUMTYPE_RSA_MD4_DES}}\pysigline{\sphinxbfcode{CKSUMTYPE\_RSA\_MD4\_DES}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD4_DES:CKSUMTYPE_RSA_MD4_DES}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_RSA\_MD4\_DES}}}
 \end{fulllineitems}
 
 
@@ -16675,9 +21527,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_RSA\_MD4\_DES}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_RSA\_MD4\_DES}}
 &
-\sphinxcode{0x0003}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0003}}
 \\
 \hline
 \end{tabulary}
@@ -16686,10 +21540,10 @@ RFC 8009.
 
 
 \subsubsection{CKSUMTYPE\_RSA\_MD5}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5:cksumtype-rsa-md5-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5:cksumtype-rsa-md5}}\index{CKSUMTYPE\_RSA\_MD5 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5:cksumtype-rsa-md5}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5:cksumtype-rsa-md5-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5::doc}}\index{CKSUMTYPE\_RSA\_MD5 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_RSA\_MD5}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5:CKSUMTYPE_RSA_MD5}}\pysigline{\sphinxbfcode{CKSUMTYPE\_RSA\_MD5}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5:CKSUMTYPE_RSA_MD5}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_RSA\_MD5}}}
 \end{fulllineitems}
 
 
@@ -16699,9 +21553,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_RSA\_MD5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_RSA\_MD5}}
 &
-\sphinxcode{0x0007}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0007}}
 \\
 \hline
 \end{tabulary}
@@ -16710,10 +21566,10 @@ RFC 8009.
 
 
 \subsubsection{CKSUMTYPE\_RSA\_MD5\_DES}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES:cksumtype-rsa-md5-des-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES:cksumtype-rsa-md5-des}}\index{CKSUMTYPE\_RSA\_MD5\_DES (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES:cksumtype-rsa-md5-des}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES:cksumtype-rsa-md5-des-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES::doc}}\index{CKSUMTYPE\_RSA\_MD5\_DES (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_RSA\_MD5\_DES}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES:CKSUMTYPE_RSA_MD5_DES}}\pysigline{\sphinxbfcode{CKSUMTYPE\_RSA\_MD5\_DES}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_RSA_MD5_DES:CKSUMTYPE_RSA_MD5_DES}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_RSA\_MD5\_DES}}}
 \end{fulllineitems}
 
 
@@ -16723,9 +21579,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_RSA\_MD5\_DES}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_RSA\_MD5\_DES}}
 &
-\sphinxcode{0x0008}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0008}}
 \\
 \hline
 \end{tabulary}
@@ -16734,13 +21592,14 @@ RFC 8009.
 
 
 \subsubsection{CKSUMTYPE\_SHA1}
-\label{\detokenize{appdev/refs/macros/CKSUMTYPE_SHA1::doc}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_SHA1:cksumtype-sha1}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_SHA1:cksumtype-sha1-data}}\index{CKSUMTYPE\_SHA1 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/CKSUMTYPE_SHA1:cksumtype-sha1}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_SHA1:cksumtype-sha1-data}}\label{\detokenize{appdev/refs/macros/CKSUMTYPE_SHA1::doc}}\index{CKSUMTYPE\_SHA1 (built\sphinxhyphen{}in variable)@\spxentry{CKSUMTYPE\_SHA1}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_SHA1:CKSUMTYPE_SHA1}}\pysigline{\sphinxbfcode{CKSUMTYPE\_SHA1}}
+\phantomsection\label{\detokenize{appdev/refs/macros/CKSUMTYPE_SHA1:CKSUMTYPE_SHA1}}\pysigline{\sphinxbfcode{\sphinxupquote{CKSUMTYPE\_SHA1}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 3961.
 
 
@@ -16749,9 +21608,11 @@ RFC 3961.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{CKSUMTYPE\_SHA1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{CKSUMTYPE\_SHA1}}
 &
-\sphinxcode{0x000e}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x000e}}
 \\
 \hline
 \end{tabulary}
@@ -16760,13 +21621,14 @@ RFC 3961.
 
 
 \subsubsection{ENCTYPE\_AES128\_CTS\_HMAC\_SHA1\_96}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96:enctype-aes128-cts-hmac-sha1-96-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96:enctype-aes128-cts-hmac-sha1-96}}\index{ENCTYPE\_AES128\_CTS\_HMAC\_SHA1\_96 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96:enctype-aes128-cts-hmac-sha1-96}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96:enctype-aes128-cts-hmac-sha1-96-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96::doc}}\index{ENCTYPE\_AES128\_CTS\_HMAC\_SHA1\_96 (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_AES128\_CTS\_HMAC\_SHA1\_96}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96:ENCTYPE_AES128_CTS_HMAC_SHA1_96}}\pysigline{\sphinxbfcode{ENCTYPE\_AES128\_CTS\_HMAC\_SHA1\_96}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA1_96:ENCTYPE_AES128_CTS_HMAC_SHA1_96}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_AES128\_CTS\_HMAC\_SHA1\_96}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 3962.
 
 
@@ -16775,9 +21637,11 @@ RFC 3962.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_AES128\_CTS\_HMAC\_SHA1\_96}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_AES128\_CTS\_HMAC\_SHA1\_96}}
 &
-\sphinxcode{0x0011}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0011}}
 \\
 \hline
 \end{tabulary}
@@ -16786,13 +21650,14 @@ RFC 3962.
 
 
 \subsubsection{ENCTYPE\_AES128\_CTS\_HMAC\_SHA256\_128}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128:enctype-aes128-cts-hmac-sha256-128}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128:enctype-aes128-cts-hmac-sha256-128-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128::doc}}\index{ENCTYPE\_AES128\_CTS\_HMAC\_SHA256\_128 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128:enctype-aes128-cts-hmac-sha256-128}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128:enctype-aes128-cts-hmac-sha256-128-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128::doc}}\index{ENCTYPE\_AES128\_CTS\_HMAC\_SHA256\_128 (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_AES128\_CTS\_HMAC\_SHA256\_128}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128:ENCTYPE_AES128_CTS_HMAC_SHA256_128}}\pysigline{\sphinxbfcode{ENCTYPE\_AES128\_CTS\_HMAC\_SHA256\_128}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_AES128_CTS_HMAC_SHA256_128:ENCTYPE_AES128_CTS_HMAC_SHA256_128}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_AES128\_CTS\_HMAC\_SHA256\_128}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 8009.
 
 
@@ -16801,9 +21666,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_AES128\_CTS\_HMAC\_SHA256\_128}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_AES128\_CTS\_HMAC\_SHA256\_128}}
 &
-\sphinxcode{0x0013}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0013}}
 \\
 \hline
 \end{tabulary}
@@ -16812,13 +21679,14 @@ RFC 8009.
 
 
 \subsubsection{ENCTYPE\_AES256\_CTS\_HMAC\_SHA1\_96}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96:enctype-aes256-cts-hmac-sha1-96-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96:enctype-aes256-cts-hmac-sha1-96}}\index{ENCTYPE\_AES256\_CTS\_HMAC\_SHA1\_96 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96:enctype-aes256-cts-hmac-sha1-96}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96:enctype-aes256-cts-hmac-sha1-96-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96::doc}}\index{ENCTYPE\_AES256\_CTS\_HMAC\_SHA1\_96 (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_AES256\_CTS\_HMAC\_SHA1\_96}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96:ENCTYPE_AES256_CTS_HMAC_SHA1_96}}\pysigline{\sphinxbfcode{ENCTYPE\_AES256\_CTS\_HMAC\_SHA1\_96}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA1_96:ENCTYPE_AES256_CTS_HMAC_SHA1_96}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_AES256\_CTS\_HMAC\_SHA1\_96}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 3962.
 
 
@@ -16827,9 +21695,11 @@ RFC 3962.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_AES256\_CTS\_HMAC\_SHA1\_96}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_AES256\_CTS\_HMAC\_SHA1\_96}}
 &
-\sphinxcode{0x0012}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0012}}
 \\
 \hline
 \end{tabulary}
@@ -16838,13 +21708,14 @@ RFC 3962.
 
 
 \subsubsection{ENCTYPE\_AES256\_CTS\_HMAC\_SHA384\_192}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192:enctype-aes256-cts-hmac-sha384-192-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192:enctype-aes256-cts-hmac-sha384-192}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192::doc}}\index{ENCTYPE\_AES256\_CTS\_HMAC\_SHA384\_192 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192:enctype-aes256-cts-hmac-sha384-192}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192:enctype-aes256-cts-hmac-sha384-192-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192::doc}}\index{ENCTYPE\_AES256\_CTS\_HMAC\_SHA384\_192 (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_AES256\_CTS\_HMAC\_SHA384\_192}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192:ENCTYPE_AES256_CTS_HMAC_SHA384_192}}\pysigline{\sphinxbfcode{ENCTYPE\_AES256\_CTS\_HMAC\_SHA384\_192}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_AES256_CTS_HMAC_SHA384_192:ENCTYPE_AES256_CTS_HMAC_SHA384_192}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_AES256\_CTS\_HMAC\_SHA384\_192}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 8009.
 
 
@@ -16853,9 +21724,11 @@ RFC 8009.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_AES256\_CTS\_HMAC\_SHA384\_192}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_AES256\_CTS\_HMAC\_SHA384\_192}}
 &
-\sphinxcode{0x0014}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0014}}
 \\
 \hline
 \end{tabulary}
@@ -16864,13 +21737,14 @@ RFC 8009.
 
 
 \subsubsection{ENCTYPE\_ARCFOUR\_HMAC}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC:enctype-arcfour-hmac}}\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC:enctype-arcfour-hmac-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC::doc}}\index{ENCTYPE\_ARCFOUR\_HMAC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC:enctype-arcfour-hmac}}\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC:enctype-arcfour-hmac-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC::doc}}\index{ENCTYPE\_ARCFOUR\_HMAC (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_ARCFOUR\_HMAC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC:ENCTYPE_ARCFOUR_HMAC}}\pysigline{\sphinxbfcode{ENCTYPE\_ARCFOUR\_HMAC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC:ENCTYPE_ARCFOUR_HMAC}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_ARCFOUR\_HMAC}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 4757.
 
 
@@ -16879,9 +21753,11 @@ RFC 4757.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_ARCFOUR\_HMAC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_ARCFOUR\_HMAC}}
 &
-\sphinxcode{0x0017}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0017}}
 \\
 \hline
 \end{tabulary}
@@ -16890,13 +21766,14 @@ RFC 4757.
 
 
 \subsubsection{ENCTYPE\_ARCFOUR\_HMAC\_EXP}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP:enctype-arcfour-hmac-exp-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP:enctype-arcfour-hmac-exp}}\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP::doc}}\index{ENCTYPE\_ARCFOUR\_HMAC\_EXP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP:enctype-arcfour-hmac-exp}}\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP:enctype-arcfour-hmac-exp-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP::doc}}\index{ENCTYPE\_ARCFOUR\_HMAC\_EXP (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_ARCFOUR\_HMAC\_EXP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP:ENCTYPE_ARCFOUR_HMAC_EXP}}\pysigline{\sphinxbfcode{ENCTYPE\_ARCFOUR\_HMAC\_EXP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_ARCFOUR_HMAC_EXP:ENCTYPE_ARCFOUR_HMAC_EXP}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_ARCFOUR\_HMAC\_EXP}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 4757.
 
 
@@ -16905,9 +21782,11 @@ RFC 4757.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_ARCFOUR\_HMAC\_EXP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_ARCFOUR\_HMAC\_EXP}}
 &
-\sphinxcode{0x0018}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0018}}
 \\
 \hline
 \end{tabulary}
@@ -16916,13 +21795,14 @@ RFC 4757.
 
 
 \subsubsection{ENCTYPE\_CAMELLIA128\_CTS\_CMAC}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC:enctype-camellia128-cts-cmac-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC:enctype-camellia128-cts-cmac}}\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC::doc}}\index{ENCTYPE\_CAMELLIA128\_CTS\_CMAC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC:enctype-camellia128-cts-cmac}}\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC:enctype-camellia128-cts-cmac-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC::doc}}\index{ENCTYPE\_CAMELLIA128\_CTS\_CMAC (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_CAMELLIA128\_CTS\_CMAC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC:ENCTYPE_CAMELLIA128_CTS_CMAC}}\pysigline{\sphinxbfcode{ENCTYPE\_CAMELLIA128\_CTS\_CMAC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA128_CTS_CMAC:ENCTYPE_CAMELLIA128_CTS_CMAC}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_CAMELLIA128\_CTS\_CMAC}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6803.
 
 
@@ -16931,9 +21811,11 @@ RFC 6803.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_CAMELLIA128\_CTS\_CMAC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_CAMELLIA128\_CTS\_CMAC}}
 &
-\sphinxcode{0x0019}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0019}}
 \\
 \hline
 \end{tabulary}
@@ -16942,13 +21824,14 @@ RFC 6803.
 
 
 \subsubsection{ENCTYPE\_CAMELLIA256\_CTS\_CMAC}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC:enctype-camellia256-cts-cmac-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC:enctype-camellia256-cts-cmac}}\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC::doc}}\index{ENCTYPE\_CAMELLIA256\_CTS\_CMAC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC:enctype-camellia256-cts-cmac}}\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC:enctype-camellia256-cts-cmac-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC::doc}}\index{ENCTYPE\_CAMELLIA256\_CTS\_CMAC (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_CAMELLIA256\_CTS\_CMAC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC:ENCTYPE_CAMELLIA256_CTS_CMAC}}\pysigline{\sphinxbfcode{ENCTYPE\_CAMELLIA256\_CTS\_CMAC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_CAMELLIA256_CTS_CMAC:ENCTYPE_CAMELLIA256_CTS_CMAC}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_CAMELLIA256\_CTS\_CMAC}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6803.
 
 
@@ -16957,9 +21840,11 @@ RFC 6803.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_CAMELLIA256\_CTS\_CMAC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_CAMELLIA256\_CTS\_CMAC}}
 &
-\sphinxcode{0x001a}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x001a}}
 \\
 \hline
 \end{tabulary}
@@ -16968,14 +21853,15 @@ RFC 6803.
 
 
 \subsubsection{ENCTYPE\_DES3\_CBC\_ENV}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_ENV::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_ENV:enctype-des3-cbc-env}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_ENV:enctype-des3-cbc-env-data}}\index{ENCTYPE\_DES3\_CBC\_ENV (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_ENV:enctype-des3-cbc-env}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_ENV:enctype-des3-cbc-env-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_ENV::doc}}\index{ENCTYPE\_DES3\_CBC\_ENV (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DES3\_CBC\_ENV}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_ENV:ENCTYPE_DES3_CBC_ENV}}\pysigline{\sphinxbfcode{ENCTYPE\_DES3\_CBC\_ENV}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_ENV:ENCTYPE_DES3_CBC_ENV}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DES3\_CBC\_ENV}}}
 \end{fulllineitems}
 
 
-DES-3 cbc mode, CMS enveloped data.
+\sphinxAtStartPar
+DES\sphinxhyphen{}3 cbc mode, CMS enveloped data.
 
 
 \begin{savenotes}\sphinxattablestart
@@ -16983,9 +21869,11 @@ DES-3 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DES3\_CBC\_ENV}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DES3\_CBC\_ENV}}
 &
-\sphinxcode{0x000f}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x000f}}
 \\
 \hline
 \end{tabulary}
@@ -16994,10 +21882,10 @@ DES-3 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_DES3\_CBC\_RAW}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_RAW:enctype-des3-cbc-raw}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_RAW::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_RAW:enctype-des3-cbc-raw-data}}\index{ENCTYPE\_DES3\_CBC\_RAW (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_RAW:enctype-des3-cbc-raw}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_RAW:enctype-des3-cbc-raw-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_RAW::doc}}\index{ENCTYPE\_DES3\_CBC\_RAW (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DES3\_CBC\_RAW}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_RAW:ENCTYPE_DES3_CBC_RAW}}\pysigline{\sphinxbfcode{ENCTYPE\_DES3\_CBC\_RAW}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_RAW:ENCTYPE_DES3_CBC_RAW}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DES3\_CBC\_RAW}}}
 \end{fulllineitems}
 
 
@@ -17007,9 +21895,11 @@ DES-3 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DES3\_CBC\_RAW}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DES3\_CBC\_RAW}}
 &
-\sphinxcode{0x0006}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0006}}
 \\
 \hline
 \end{tabulary}
@@ -17018,10 +21908,10 @@ DES-3 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_DES3\_CBC\_SHA}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA:enctype-des3-cbc-sha}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA:enctype-des3-cbc-sha-data}}\index{ENCTYPE\_DES3\_CBC\_SHA (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA:enctype-des3-cbc-sha}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA:enctype-des3-cbc-sha-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA::doc}}\index{ENCTYPE\_DES3\_CBC\_SHA (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DES3\_CBC\_SHA}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA:ENCTYPE_DES3_CBC_SHA}}\pysigline{\sphinxbfcode{ENCTYPE\_DES3\_CBC\_SHA}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA:ENCTYPE_DES3_CBC_SHA}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DES3\_CBC\_SHA}}}
 \end{fulllineitems}
 
 
@@ -17031,9 +21921,11 @@ DES-3 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DES3\_CBC\_SHA}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DES3\_CBC\_SHA}}
 &
-\sphinxcode{0x0005}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0005}}
 \\
 \hline
 \end{tabulary}
@@ -17042,10 +21934,10 @@ DES-3 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_DES3\_CBC\_SHA1}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1:enctype-des3-cbc-sha1}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1:enctype-des3-cbc-sha1-data}}\index{ENCTYPE\_DES3\_CBC\_SHA1 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1:enctype-des3-cbc-sha1}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1:enctype-des3-cbc-sha1-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1::doc}}\index{ENCTYPE\_DES3\_CBC\_SHA1 (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DES3\_CBC\_SHA1}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1:ENCTYPE_DES3_CBC_SHA1}}\pysigline{\sphinxbfcode{ENCTYPE\_DES3\_CBC\_SHA1}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES3_CBC_SHA1:ENCTYPE_DES3_CBC_SHA1}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DES3\_CBC\_SHA1}}}
 \end{fulllineitems}
 
 
@@ -17055,9 +21947,11 @@ DES-3 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DES3\_CBC\_SHA1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DES3\_CBC\_SHA1}}
 &
-\sphinxcode{0x0010}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0010}}
 \\
 \hline
 \end{tabulary}
@@ -17066,10 +21960,10 @@ DES-3 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_DES\_CBC\_CRC}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_CRC:enctype-des-cbc-crc-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_CRC:enctype-des-cbc-crc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_CRC::doc}}\index{ENCTYPE\_DES\_CBC\_CRC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_CRC:enctype-des-cbc-crc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_CRC:enctype-des-cbc-crc-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_CRC::doc}}\index{ENCTYPE\_DES\_CBC\_CRC (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DES\_CBC\_CRC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_CRC:ENCTYPE_DES_CBC_CRC}}\pysigline{\sphinxbfcode{ENCTYPE\_DES\_CBC\_CRC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_CRC:ENCTYPE_DES_CBC_CRC}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DES\_CBC\_CRC}}}
 \end{fulllineitems}
 
 
@@ -17079,9 +21973,11 @@ DES-3 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DES\_CBC\_CRC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DES\_CBC\_CRC}}
 &
-\sphinxcode{0x0001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0001}}
 \\
 \hline
 \end{tabulary}
@@ -17090,10 +21986,10 @@ DES-3 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_DES\_CBC\_MD4}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD4:enctype-des-cbc-md4-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD4::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD4:enctype-des-cbc-md4}}\index{ENCTYPE\_DES\_CBC\_MD4 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD4:enctype-des-cbc-md4}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD4:enctype-des-cbc-md4-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD4::doc}}\index{ENCTYPE\_DES\_CBC\_MD4 (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DES\_CBC\_MD4}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD4:ENCTYPE_DES_CBC_MD4}}\pysigline{\sphinxbfcode{ENCTYPE\_DES\_CBC\_MD4}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD4:ENCTYPE_DES_CBC_MD4}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DES\_CBC\_MD4}}}
 \end{fulllineitems}
 
 
@@ -17103,9 +21999,11 @@ DES-3 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DES\_CBC\_MD4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DES\_CBC\_MD4}}
 &
-\sphinxcode{0x0002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0002}}
 \\
 \hline
 \end{tabulary}
@@ -17114,10 +22012,10 @@ DES-3 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_DES\_CBC\_MD5}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD5:enctype-des-cbc-md5-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD5::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD5:enctype-des-cbc-md5}}\index{ENCTYPE\_DES\_CBC\_MD5 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD5:enctype-des-cbc-md5}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD5:enctype-des-cbc-md5-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD5::doc}}\index{ENCTYPE\_DES\_CBC\_MD5 (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DES\_CBC\_MD5}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD5:ENCTYPE_DES_CBC_MD5}}\pysigline{\sphinxbfcode{ENCTYPE\_DES\_CBC\_MD5}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_MD5:ENCTYPE_DES_CBC_MD5}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DES\_CBC\_MD5}}}
 \end{fulllineitems}
 
 
@@ -17127,9 +22025,11 @@ DES-3 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DES\_CBC\_MD5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DES\_CBC\_MD5}}
 &
-\sphinxcode{0x0003}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0003}}
 \\
 \hline
 \end{tabulary}
@@ -17138,10 +22038,10 @@ DES-3 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_DES\_CBC\_RAW}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_RAW:enctype-des-cbc-raw-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_RAW:enctype-des-cbc-raw}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_RAW::doc}}\index{ENCTYPE\_DES\_CBC\_RAW (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_RAW:enctype-des-cbc-raw}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_RAW:enctype-des-cbc-raw-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_RAW::doc}}\index{ENCTYPE\_DES\_CBC\_RAW (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DES\_CBC\_RAW}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_RAW:ENCTYPE_DES_CBC_RAW}}\pysigline{\sphinxbfcode{ENCTYPE\_DES\_CBC\_RAW}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_CBC_RAW:ENCTYPE_DES_CBC_RAW}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DES\_CBC\_RAW}}}
 \end{fulllineitems}
 
 
@@ -17151,9 +22051,11 @@ DES-3 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DES\_CBC\_RAW}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DES\_CBC\_RAW}}
 &
-\sphinxcode{0x0004}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0004}}
 \\
 \hline
 \end{tabulary}
@@ -17162,10 +22064,10 @@ DES-3 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_DES\_HMAC\_SHA1}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1:enctype-des-hmac-sha1-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1:enctype-des-hmac-sha1}}\index{ENCTYPE\_DES\_HMAC\_SHA1 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1:enctype-des-hmac-sha1}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1:enctype-des-hmac-sha1-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1::doc}}\index{ENCTYPE\_DES\_HMAC\_SHA1 (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DES\_HMAC\_SHA1}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1:ENCTYPE_DES_HMAC_SHA1}}\pysigline{\sphinxbfcode{ENCTYPE\_DES\_HMAC\_SHA1}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DES_HMAC_SHA1:ENCTYPE_DES_HMAC_SHA1}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DES\_HMAC\_SHA1}}}
 \end{fulllineitems}
 
 
@@ -17175,9 +22077,11 @@ DES-3 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DES\_HMAC\_SHA1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DES\_HMAC\_SHA1}}
 &
-\sphinxcode{0x0008}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0008}}
 \\
 \hline
 \end{tabulary}
@@ -17186,13 +22090,14 @@ DES-3 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_DSA\_SHA1\_CMS}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS:enctype-dsa-sha1-cms-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS:enctype-dsa-sha1-cms}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS::doc}}\index{ENCTYPE\_DSA\_SHA1\_CMS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS:enctype-dsa-sha1-cms}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS:enctype-dsa-sha1-cms-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS::doc}}\index{ENCTYPE\_DSA\_SHA1\_CMS (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_DSA\_SHA1\_CMS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS:ENCTYPE_DSA_SHA1_CMS}}\pysigline{\sphinxbfcode{ENCTYPE\_DSA\_SHA1\_CMS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_DSA_SHA1_CMS:ENCTYPE_DSA_SHA1_CMS}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_DSA\_SHA1\_CMS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 DSA with SHA1, CMS signature.
 
 
@@ -17201,9 +22106,11 @@ DSA with SHA1, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_DSA\_SHA1\_CMS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_DSA\_SHA1\_CMS}}
 &
-\sphinxcode{0x0009}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0009}}
 \\
 \hline
 \end{tabulary}
@@ -17212,13 +22119,14 @@ DSA with SHA1, CMS signature.
 
 
 \subsubsection{ENCTYPE\_MD5\_RSA\_CMS}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_MD5_RSA_CMS:enctype-md5-rsa-cms}}\label{\detokenize{appdev/refs/macros/ENCTYPE_MD5_RSA_CMS:enctype-md5-rsa-cms-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_MD5_RSA_CMS::doc}}\index{ENCTYPE\_MD5\_RSA\_CMS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_MD5_RSA_CMS:enctype-md5-rsa-cms}}\label{\detokenize{appdev/refs/macros/ENCTYPE_MD5_RSA_CMS:enctype-md5-rsa-cms-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_MD5_RSA_CMS::doc}}\index{ENCTYPE\_MD5\_RSA\_CMS (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_MD5\_RSA\_CMS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_MD5_RSA_CMS:ENCTYPE_MD5_RSA_CMS}}\pysigline{\sphinxbfcode{ENCTYPE\_MD5\_RSA\_CMS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_MD5_RSA_CMS:ENCTYPE_MD5_RSA_CMS}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_MD5\_RSA\_CMS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 MD5 with RSA, CMS signature.
 
 
@@ -17227,9 +22135,11 @@ MD5 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_MD5\_RSA\_CMS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_MD5\_RSA\_CMS}}
 &
-\sphinxcode{0x000a}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x000a}}
 \\
 \hline
 \end{tabulary}
@@ -17238,10 +22148,10 @@ MD5 with RSA, CMS signature.
 
 
 \subsubsection{ENCTYPE\_NULL}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_NULL:enctype-null}}\label{\detokenize{appdev/refs/macros/ENCTYPE_NULL::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_NULL:enctype-null-data}}\index{ENCTYPE\_NULL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_NULL:enctype-null}}\label{\detokenize{appdev/refs/macros/ENCTYPE_NULL:enctype-null-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_NULL::doc}}\index{ENCTYPE\_NULL (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_NULL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_NULL:ENCTYPE_NULL}}\pysigline{\sphinxbfcode{ENCTYPE\_NULL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_NULL:ENCTYPE_NULL}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_NULL}}}
 \end{fulllineitems}
 
 
@@ -17251,9 +22161,11 @@ MD5 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_NULL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_NULL}}
 &
-\sphinxcode{0x0000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0000}}
 \\
 \hline
 \end{tabulary}
@@ -17262,13 +22174,14 @@ MD5 with RSA, CMS signature.
 
 
 \subsubsection{ENCTYPE\_RC2\_CBC\_ENV}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_RC2_CBC_ENV:enctype-rc2-cbc-env}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RC2_CBC_ENV::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RC2_CBC_ENV:enctype-rc2-cbc-env-data}}\index{ENCTYPE\_RC2\_CBC\_ENV (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_RC2_CBC_ENV:enctype-rc2-cbc-env}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RC2_CBC_ENV:enctype-rc2-cbc-env-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RC2_CBC_ENV::doc}}\index{ENCTYPE\_RC2\_CBC\_ENV (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_RC2\_CBC\_ENV}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_RC2_CBC_ENV:ENCTYPE_RC2_CBC_ENV}}\pysigline{\sphinxbfcode{ENCTYPE\_RC2\_CBC\_ENV}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_RC2_CBC_ENV:ENCTYPE_RC2_CBC_ENV}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_RC2\_CBC\_ENV}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RC2 cbc mode, CMS enveloped data.
 
 
@@ -17277,9 +22190,11 @@ RC2 cbc mode, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_RC2\_CBC\_ENV}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_RC2\_CBC\_ENV}}
 &
-\sphinxcode{0x000c}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x000c}}
 \\
 \hline
 \end{tabulary}
@@ -17288,13 +22203,14 @@ RC2 cbc mode, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_RSA\_ENV}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ENV:enctype-rsa-env-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ENV:enctype-rsa-env}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ENV::doc}}\index{ENCTYPE\_RSA\_ENV (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ENV:enctype-rsa-env}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ENV:enctype-rsa-env-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ENV::doc}}\index{ENCTYPE\_RSA\_ENV (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_RSA\_ENV}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ENV:ENCTYPE_RSA_ENV}}\pysigline{\sphinxbfcode{ENCTYPE\_RSA\_ENV}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ENV:ENCTYPE_RSA_ENV}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_RSA\_ENV}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RSA encryption, CMS enveloped data.
 
 
@@ -17303,9 +22219,11 @@ RSA encryption, CMS enveloped data.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_RSA\_ENV}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_RSA\_ENV}}
 &
-\sphinxcode{0x000d}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x000d}}
 \\
 \hline
 \end{tabulary}
@@ -17314,13 +22232,14 @@ RSA encryption, CMS enveloped data.
 
 
 \subsubsection{ENCTYPE\_RSA\_ES\_OAEP\_ENV}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV:enctype-rsa-es-oaep-env}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV:enctype-rsa-es-oaep-env-data}}\index{ENCTYPE\_RSA\_ES\_OAEP\_ENV (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV:enctype-rsa-es-oaep-env}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV:enctype-rsa-es-oaep-env-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV::doc}}\index{ENCTYPE\_RSA\_ES\_OAEP\_ENV (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_RSA\_ES\_OAEP\_ENV}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV:ENCTYPE_RSA_ES_OAEP_ENV}}\pysigline{\sphinxbfcode{ENCTYPE\_RSA\_ES\_OAEP\_ENV}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_RSA_ES_OAEP_ENV:ENCTYPE_RSA_ES_OAEP_ENV}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_RSA\_ES\_OAEP\_ENV}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RSA w/OEAP encryption, CMS enveloped data.
 
 
@@ -17329,9 +22248,11 @@ RSA w/OEAP encryption, CMS enveloped dat
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_RSA\_ES\_OAEP\_ENV}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_RSA\_ES\_OAEP\_ENV}}
 &
-\sphinxcode{0x000e}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x000e}}
 \\
 \hline
 \end{tabulary}
@@ -17340,13 +22261,14 @@ RSA w/OEAP encryption, CMS enveloped dat
 
 
 \subsubsection{ENCTYPE\_SHA1\_RSA\_CMS}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS:enctype-sha1-rsa-cms-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS:enctype-sha1-rsa-cms}}\index{ENCTYPE\_SHA1\_RSA\_CMS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS:enctype-sha1-rsa-cms}}\label{\detokenize{appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS:enctype-sha1-rsa-cms-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS::doc}}\index{ENCTYPE\_SHA1\_RSA\_CMS (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_SHA1\_RSA\_CMS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS:ENCTYPE_SHA1_RSA_CMS}}\pysigline{\sphinxbfcode{ENCTYPE\_SHA1\_RSA\_CMS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_SHA1_RSA_CMS:ENCTYPE_SHA1_RSA_CMS}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_SHA1\_RSA\_CMS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 SHA1 with RSA, CMS signature.
 
 
@@ -17355,9 +22277,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_SHA1\_RSA\_CMS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_SHA1\_RSA\_CMS}}
 &
-\sphinxcode{0x000b}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x000b}}
 \\
 \hline
 \end{tabulary}
@@ -17366,10 +22290,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{ENCTYPE\_UNKNOWN}
-\label{\detokenize{appdev/refs/macros/ENCTYPE_UNKNOWN:enctype-unknown}}\label{\detokenize{appdev/refs/macros/ENCTYPE_UNKNOWN::doc}}\label{\detokenize{appdev/refs/macros/ENCTYPE_UNKNOWN:enctype-unknown-data}}\index{ENCTYPE\_UNKNOWN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/ENCTYPE_UNKNOWN:enctype-unknown}}\label{\detokenize{appdev/refs/macros/ENCTYPE_UNKNOWN:enctype-unknown-data}}\label{\detokenize{appdev/refs/macros/ENCTYPE_UNKNOWN::doc}}\index{ENCTYPE\_UNKNOWN (built\sphinxhyphen{}in variable)@\spxentry{ENCTYPE\_UNKNOWN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_UNKNOWN:ENCTYPE_UNKNOWN}}\pysigline{\sphinxbfcode{ENCTYPE\_UNKNOWN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/ENCTYPE_UNKNOWN:ENCTYPE_UNKNOWN}}\pysigline{\sphinxbfcode{\sphinxupquote{ENCTYPE\_UNKNOWN}}}
 \end{fulllineitems}
 
 
@@ -17379,9 +22303,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{ENCTYPE\_UNKNOWN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{ENCTYPE\_UNKNOWN}}
 &
-\sphinxcode{0x01ff}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x01ff}}
 \\
 \hline
 \end{tabulary}
@@ -17390,10 +22316,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_ALLOW\_POSTDATE}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE:kdc-opt-allow-postdate}}\label{\detokenize{appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE:kdc-opt-allow-postdate-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE::doc}}\index{KDC\_OPT\_ALLOW\_POSTDATE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE:kdc-opt-allow-postdate}}\label{\detokenize{appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE:kdc-opt-allow-postdate-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE::doc}}\index{KDC\_OPT\_ALLOW\_POSTDATE (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_ALLOW\_POSTDATE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE:KDC_OPT_ALLOW_POSTDATE}}\pysigline{\sphinxbfcode{KDC\_OPT\_ALLOW\_POSTDATE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_ALLOW_POSTDATE:KDC_OPT_ALLOW_POSTDATE}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_ALLOW\_POSTDATE}}}
 \end{fulllineitems}
 
 
@@ -17403,9 +22329,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_ALLOW\_POSTDATE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_ALLOW\_POSTDATE}}
 &
-\sphinxcode{0x04000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x04000000}}
 \\
 \hline
 \end{tabulary}
@@ -17414,10 +22342,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_CANONICALIZE}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_CANONICALIZE:kdc-opt-canonicalize}}\label{\detokenize{appdev/refs/macros/KDC_OPT_CANONICALIZE:kdc-opt-canonicalize-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_CANONICALIZE::doc}}\index{KDC\_OPT\_CANONICALIZE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_CANONICALIZE:kdc-opt-canonicalize}}\label{\detokenize{appdev/refs/macros/KDC_OPT_CANONICALIZE:kdc-opt-canonicalize-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_CANONICALIZE::doc}}\index{KDC\_OPT\_CANONICALIZE (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_CANONICALIZE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_CANONICALIZE:KDC_OPT_CANONICALIZE}}\pysigline{\sphinxbfcode{KDC\_OPT\_CANONICALIZE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_CANONICALIZE:KDC_OPT_CANONICALIZE}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_CANONICALIZE}}}
 \end{fulllineitems}
 
 
@@ -17427,9 +22355,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_CANONICALIZE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_CANONICALIZE}}
 &
-\sphinxcode{0x00010000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00010000}}
 \\
 \hline
 \end{tabulary}
@@ -17438,10 +22368,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_CNAME\_IN\_ADDL\_TKT}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT:kdc-opt-cname-in-addl-tkt-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT:kdc-opt-cname-in-addl-tkt}}\label{\detokenize{appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT::doc}}\index{KDC\_OPT\_CNAME\_IN\_ADDL\_TKT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT:kdc-opt-cname-in-addl-tkt}}\label{\detokenize{appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT:kdc-opt-cname-in-addl-tkt-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT::doc}}\index{KDC\_OPT\_CNAME\_IN\_ADDL\_TKT (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_CNAME\_IN\_ADDL\_TKT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT:KDC_OPT_CNAME_IN_ADDL_TKT}}\pysigline{\sphinxbfcode{KDC\_OPT\_CNAME\_IN\_ADDL\_TKT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_CNAME_IN_ADDL_TKT:KDC_OPT_CNAME_IN_ADDL_TKT}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_CNAME\_IN\_ADDL\_TKT}}}
 \end{fulllineitems}
 
 
@@ -17451,9 +22381,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_CNAME\_IN\_ADDL\_TKT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_CNAME\_IN\_ADDL\_TKT}}
 &
-\sphinxcode{0x00020000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00020000}}
 \\
 \hline
 \end{tabulary}
@@ -17462,10 +22394,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_DISABLE\_TRANSITED\_CHECK}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK:kdc-opt-disable-transited-check}}\label{\detokenize{appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK::doc}}\label{\detokenize{appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK:kdc-opt-disable-transited-check-data}}\index{KDC\_OPT\_DISABLE\_TRANSITED\_CHECK (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK:kdc-opt-disable-transited-check}}\label{\detokenize{appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK:kdc-opt-disable-transited-check-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK::doc}}\index{KDC\_OPT\_DISABLE\_TRANSITED\_CHECK (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_DISABLE\_TRANSITED\_CHECK}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK:KDC_OPT_DISABLE_TRANSITED_CHECK}}\pysigline{\sphinxbfcode{KDC\_OPT\_DISABLE\_TRANSITED\_CHECK}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_DISABLE_TRANSITED_CHECK:KDC_OPT_DISABLE_TRANSITED_CHECK}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_DISABLE\_TRANSITED\_CHECK}}}
 \end{fulllineitems}
 
 
@@ -17475,9 +22407,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_DISABLE\_TRANSITED\_CHECK}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_DISABLE\_TRANSITED\_CHECK}}
 &
-\sphinxcode{0x00000020}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000020}}
 \\
 \hline
 \end{tabulary}
@@ -17486,10 +22420,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_ENC\_TKT\_IN\_SKEY}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY:kdc-opt-enc-tkt-in-skey}}\label{\detokenize{appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY::doc}}\label{\detokenize{appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY:kdc-opt-enc-tkt-in-skey-data}}\index{KDC\_OPT\_ENC\_TKT\_IN\_SKEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY:kdc-opt-enc-tkt-in-skey}}\label{\detokenize{appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY:kdc-opt-enc-tkt-in-skey-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY::doc}}\index{KDC\_OPT\_ENC\_TKT\_IN\_SKEY (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_ENC\_TKT\_IN\_SKEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY:KDC_OPT_ENC_TKT_IN_SKEY}}\pysigline{\sphinxbfcode{KDC\_OPT\_ENC\_TKT\_IN\_SKEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_ENC_TKT_IN_SKEY:KDC_OPT_ENC_TKT_IN_SKEY}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_ENC\_TKT\_IN\_SKEY}}}
 \end{fulllineitems}
 
 
@@ -17499,9 +22433,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_ENC\_TKT\_IN\_SKEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_ENC\_TKT\_IN\_SKEY}}
 &
-\sphinxcode{0x00000008}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000008}}
 \\
 \hline
 \end{tabulary}
@@ -17510,10 +22446,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_FORWARDABLE}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDABLE:kdc-opt-forwardable-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDABLE::doc}}\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDABLE:kdc-opt-forwardable}}\index{KDC\_OPT\_FORWARDABLE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDABLE:kdc-opt-forwardable}}\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDABLE:kdc-opt-forwardable-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDABLE::doc}}\index{KDC\_OPT\_FORWARDABLE (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_FORWARDABLE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDABLE:KDC_OPT_FORWARDABLE}}\pysigline{\sphinxbfcode{KDC\_OPT\_FORWARDABLE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDABLE:KDC_OPT_FORWARDABLE}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_FORWARDABLE}}}
 \end{fulllineitems}
 
 
@@ -17523,9 +22459,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_FORWARDABLE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_FORWARDABLE}}
 &
-\sphinxcode{0x40000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x40000000}}
 \\
 \hline
 \end{tabulary}
@@ -17534,10 +22472,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_FORWARDED}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDED::doc}}\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDED:kdc-opt-forwarded}}\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDED:kdc-opt-forwarded-data}}\index{KDC\_OPT\_FORWARDED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDED:kdc-opt-forwarded}}\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDED:kdc-opt-forwarded-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDED::doc}}\index{KDC\_OPT\_FORWARDED (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_FORWARDED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDED:KDC_OPT_FORWARDED}}\pysigline{\sphinxbfcode{KDC\_OPT\_FORWARDED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_FORWARDED:KDC_OPT_FORWARDED}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_FORWARDED}}}
 \end{fulllineitems}
 
 
@@ -17547,9 +22485,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_FORWARDED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_FORWARDED}}
 &
-\sphinxcode{0x20000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x20000000}}
 \\
 \hline
 \end{tabulary}
@@ -17558,10 +22498,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_POSTDATED}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_POSTDATED:kdc-opt-postdated-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_POSTDATED:kdc-opt-postdated}}\label{\detokenize{appdev/refs/macros/KDC_OPT_POSTDATED::doc}}\index{KDC\_OPT\_POSTDATED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_POSTDATED:kdc-opt-postdated}}\label{\detokenize{appdev/refs/macros/KDC_OPT_POSTDATED:kdc-opt-postdated-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_POSTDATED::doc}}\index{KDC\_OPT\_POSTDATED (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_POSTDATED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_POSTDATED:KDC_OPT_POSTDATED}}\pysigline{\sphinxbfcode{KDC\_OPT\_POSTDATED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_POSTDATED:KDC_OPT_POSTDATED}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_POSTDATED}}}
 \end{fulllineitems}
 
 
@@ -17571,9 +22511,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_POSTDATED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_POSTDATED}}
 &
-\sphinxcode{0x02000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x02000000}}
 \\
 \hline
 \end{tabulary}
@@ -17582,10 +22524,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_PROXIABLE}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXIABLE:kdc-opt-proxiable-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXIABLE::doc}}\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXIABLE:kdc-opt-proxiable}}\index{KDC\_OPT\_PROXIABLE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXIABLE:kdc-opt-proxiable}}\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXIABLE:kdc-opt-proxiable-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXIABLE::doc}}\index{KDC\_OPT\_PROXIABLE (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_PROXIABLE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXIABLE:KDC_OPT_PROXIABLE}}\pysigline{\sphinxbfcode{KDC\_OPT\_PROXIABLE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXIABLE:KDC_OPT_PROXIABLE}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_PROXIABLE}}}
 \end{fulllineitems}
 
 
@@ -17595,9 +22537,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_PROXIABLE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_PROXIABLE}}
 &
-\sphinxcode{0x10000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x10000000}}
 \\
 \hline
 \end{tabulary}
@@ -17606,10 +22550,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_PROXY}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXY::doc}}\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXY:kdc-opt-proxy}}\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXY:kdc-opt-proxy-data}}\index{KDC\_OPT\_PROXY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXY:kdc-opt-proxy}}\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXY:kdc-opt-proxy-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXY::doc}}\index{KDC\_OPT\_PROXY (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_PROXY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXY:KDC_OPT_PROXY}}\pysigline{\sphinxbfcode{KDC\_OPT\_PROXY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_PROXY:KDC_OPT_PROXY}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_PROXY}}}
 \end{fulllineitems}
 
 
@@ -17619,9 +22563,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_PROXY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_PROXY}}
 &
-\sphinxcode{0x08000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x08000000}}
 \\
 \hline
 \end{tabulary}
@@ -17630,10 +22576,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_RENEW}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEW::doc}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEW:kdc-opt-renew}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEW:kdc-opt-renew-data}}\index{KDC\_OPT\_RENEW (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEW:kdc-opt-renew}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEW:kdc-opt-renew-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEW::doc}}\index{KDC\_OPT\_RENEW (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_RENEW}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEW:KDC_OPT_RENEW}}\pysigline{\sphinxbfcode{KDC\_OPT\_RENEW}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEW:KDC_OPT_RENEW}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_RENEW}}}
 \end{fulllineitems}
 
 
@@ -17643,9 +22589,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_RENEW}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_RENEW}}
 &
-\sphinxcode{0x00000002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000002}}
 \\
 \hline
 \end{tabulary}
@@ -17654,10 +22602,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_RENEWABLE}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE:kdc-opt-renewable}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE:kdc-opt-renewable-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE::doc}}\index{KDC\_OPT\_RENEWABLE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE:kdc-opt-renewable}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE:kdc-opt-renewable-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE::doc}}\index{KDC\_OPT\_RENEWABLE (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_RENEWABLE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE:KDC_OPT_RENEWABLE}}\pysigline{\sphinxbfcode{KDC\_OPT\_RENEWABLE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE:KDC_OPT_RENEWABLE}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_RENEWABLE}}}
 \end{fulllineitems}
 
 
@@ -17667,9 +22615,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_RENEWABLE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_RENEWABLE}}
 &
-\sphinxcode{0x00800000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00800000}}
 \\
 \hline
 \end{tabulary}
@@ -17678,10 +22628,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_RENEWABLE\_OK}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE_OK::doc}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE_OK:kdc-opt-renewable-ok-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE_OK:kdc-opt-renewable-ok}}\index{KDC\_OPT\_RENEWABLE\_OK (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE_OK:kdc-opt-renewable-ok}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE_OK:kdc-opt-renewable-ok-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE_OK::doc}}\index{KDC\_OPT\_RENEWABLE\_OK (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_RENEWABLE\_OK}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE_OK:KDC_OPT_RENEWABLE_OK}}\pysigline{\sphinxbfcode{KDC\_OPT\_RENEWABLE\_OK}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_RENEWABLE_OK:KDC_OPT_RENEWABLE_OK}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_RENEWABLE\_OK}}}
 \end{fulllineitems}
 
 
@@ -17691,9 +22641,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_RENEWABLE\_OK}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_RENEWABLE\_OK}}
 &
-\sphinxcode{0x00000010}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000010}}
 \\
 \hline
 \end{tabulary}
@@ -17702,10 +22654,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_REQUEST\_ANONYMOUS}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS:kdc-opt-request-anonymous}}\label{\detokenize{appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS:kdc-opt-request-anonymous-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS::doc}}\index{KDC\_OPT\_REQUEST\_ANONYMOUS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS:kdc-opt-request-anonymous}}\label{\detokenize{appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS:kdc-opt-request-anonymous-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS::doc}}\index{KDC\_OPT\_REQUEST\_ANONYMOUS (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_REQUEST\_ANONYMOUS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS:KDC_OPT_REQUEST_ANONYMOUS}}\pysigline{\sphinxbfcode{KDC\_OPT\_REQUEST\_ANONYMOUS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_REQUEST_ANONYMOUS:KDC_OPT_REQUEST_ANONYMOUS}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_REQUEST\_ANONYMOUS}}}
 \end{fulllineitems}
 
 
@@ -17715,9 +22667,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_REQUEST\_ANONYMOUS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_REQUEST\_ANONYMOUS}}
 &
-\sphinxcode{0x00008000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00008000}}
 \\
 \hline
 \end{tabulary}
@@ -17726,10 +22680,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_OPT\_VALIDATE}
-\label{\detokenize{appdev/refs/macros/KDC_OPT_VALIDATE:kdc-opt-validate-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_VALIDATE:kdc-opt-validate}}\label{\detokenize{appdev/refs/macros/KDC_OPT_VALIDATE::doc}}\index{KDC\_OPT\_VALIDATE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_OPT_VALIDATE:kdc-opt-validate}}\label{\detokenize{appdev/refs/macros/KDC_OPT_VALIDATE:kdc-opt-validate-data}}\label{\detokenize{appdev/refs/macros/KDC_OPT_VALIDATE::doc}}\index{KDC\_OPT\_VALIDATE (built\sphinxhyphen{}in variable)@\spxentry{KDC\_OPT\_VALIDATE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_VALIDATE:KDC_OPT_VALIDATE}}\pysigline{\sphinxbfcode{KDC\_OPT\_VALIDATE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_OPT_VALIDATE:KDC_OPT_VALIDATE}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_OPT\_VALIDATE}}}
 \end{fulllineitems}
 
 
@@ -17739,9 +22693,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_OPT\_VALIDATE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_OPT\_VALIDATE}}
 &
-\sphinxcode{0x00000001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000001}}
 \\
 \hline
 \end{tabulary}
@@ -17750,10 +22706,10 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KDC\_TKT\_COMMON\_MASK}
-\label{\detokenize{appdev/refs/macros/KDC_TKT_COMMON_MASK:kdc-tkt-common-mask-data}}\label{\detokenize{appdev/refs/macros/KDC_TKT_COMMON_MASK::doc}}\label{\detokenize{appdev/refs/macros/KDC_TKT_COMMON_MASK:kdc-tkt-common-mask}}\index{KDC\_TKT\_COMMON\_MASK (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KDC_TKT_COMMON_MASK:kdc-tkt-common-mask}}\label{\detokenize{appdev/refs/macros/KDC_TKT_COMMON_MASK:kdc-tkt-common-mask-data}}\label{\detokenize{appdev/refs/macros/KDC_TKT_COMMON_MASK::doc}}\index{KDC\_TKT\_COMMON\_MASK (built\sphinxhyphen{}in variable)@\spxentry{KDC\_TKT\_COMMON\_MASK}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KDC_TKT_COMMON_MASK:KDC_TKT_COMMON_MASK}}\pysigline{\sphinxbfcode{KDC\_TKT\_COMMON\_MASK}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KDC_TKT_COMMON_MASK:KDC_TKT_COMMON_MASK}}\pysigline{\sphinxbfcode{\sphinxupquote{KDC\_TKT\_COMMON\_MASK}}}
 \end{fulllineitems}
 
 
@@ -17763,9 +22719,11 @@ SHA1 with RSA, CMS signature.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KDC\_TKT\_COMMON\_MASK}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KDC\_TKT\_COMMON\_MASK}}
 &
-\sphinxcode{0x54800000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x54800000}}
 \\
 \hline
 \end{tabulary}
@@ -17774,13 +22732,14 @@ SHA1 with RSA, CMS signature.
 
 
 \subsubsection{KRB5\_ALTAUTH\_ATT\_CHALLENGE\_RESPONSE}
-\label{\detokenize{appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE:krb5-altauth-att-challenge-response}}\label{\detokenize{appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE:krb5-altauth-att-challenge-response-data}}\label{\detokenize{appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE::doc}}\index{KRB5\_ALTAUTH\_ATT\_CHALLENGE\_RESPONSE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE:krb5-altauth-att-challenge-response}}\label{\detokenize{appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE:krb5-altauth-att-challenge-response-data}}\label{\detokenize{appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE::doc}}\index{KRB5\_ALTAUTH\_ATT\_CHALLENGE\_RESPONSE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_ALTAUTH\_ATT\_CHALLENGE\_RESPONSE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE:KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE}}\pysigline{\sphinxbfcode{KRB5\_ALTAUTH\_ATT\_CHALLENGE\_RESPONSE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE:KRB5_ALTAUTH_ATT_CHALLENGE_RESPONSE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_ALTAUTH\_ATT\_CHALLENGE\_RESPONSE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 alternate authentication types
 
 
@@ -17789,9 +22748,11 @@ alternate authentication types
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_ALTAUTH\_ATT\_CHALLENGE\_RESPONSE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_ALTAUTH\_ATT\_CHALLENGE\_RESPONSE}}
 &
-\sphinxcode{64}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{64}}
 \\
 \hline
 \end{tabulary}
@@ -17800,13 +22761,14 @@ alternate authentication types
 
 
 \subsubsection{KRB5\_ANONYMOUS\_PRINCSTR}
-\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR:krb5-anonymous-princstr}}\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR:krb5-anonymous-princstr-data}}\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR::doc}}\index{KRB5\_ANONYMOUS\_PRINCSTR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR:krb5-anonymous-princstr}}\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR:krb5-anonymous-princstr-data}}\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR::doc}}\index{KRB5\_ANONYMOUS\_PRINCSTR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_ANONYMOUS\_PRINCSTR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR:KRB5_ANONYMOUS_PRINCSTR}}\pysigline{\sphinxbfcode{KRB5\_ANONYMOUS\_PRINCSTR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_PRINCSTR:KRB5_ANONYMOUS_PRINCSTR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_ANONYMOUS\_PRINCSTR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Anonymous principal name.
 
 
@@ -17815,9 +22777,11 @@ Anonymous principal name.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_ANONYMOUS\_PRINCSTR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_ANONYMOUS\_PRINCSTR}}
 &
-\sphinxcode{"ANONYMOUS"}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{"ANONYMOUS"}}
 \\
 \hline
 \end{tabulary}
@@ -17826,13 +22790,14 @@ Anonymous principal name.
 
 
 \subsubsection{KRB5\_ANONYMOUS\_REALMSTR}
-\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR:krb5-anonymous-realmstr-data}}\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR:krb5-anonymous-realmstr}}\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR::doc}}\index{KRB5\_ANONYMOUS\_REALMSTR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR:krb5-anonymous-realmstr}}\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR:krb5-anonymous-realmstr-data}}\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR::doc}}\index{KRB5\_ANONYMOUS\_REALMSTR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_ANONYMOUS\_REALMSTR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR:KRB5_ANONYMOUS_REALMSTR}}\pysigline{\sphinxbfcode{KRB5\_ANONYMOUS\_REALMSTR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ANONYMOUS_REALMSTR:KRB5_ANONYMOUS_REALMSTR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_ANONYMOUS\_REALMSTR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Anonymous realm.
 
 
@@ -17841,9 +22806,11 @@ Anonymous realm.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_ANONYMOUS\_REALMSTR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_ANONYMOUS\_REALMSTR}}
 &
-\sphinxcode{"WELLKNOWN:ANONYMOUS"}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{"WELLKNOWN:ANONYMOUS"}}
 \\
 \hline
 \end{tabulary}
@@ -17852,13 +22819,14 @@ Anonymous realm.
 
 
 \subsubsection{KRB5\_AP\_REP}
-\label{\detokenize{appdev/refs/macros/KRB5_AP_REP:krb5-ap-rep}}\label{\detokenize{appdev/refs/macros/KRB5_AP_REP::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AP_REP:krb5-ap-rep-data}}\index{KRB5\_AP\_REP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AP_REP:krb5-ap-rep}}\label{\detokenize{appdev/refs/macros/KRB5_AP_REP:krb5-ap-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_AP_REP::doc}}\index{KRB5\_AP\_REP (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AP\_REP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AP_REP:KRB5_AP_REP}}\pysigline{\sphinxbfcode{KRB5\_AP\_REP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AP_REP:KRB5_AP_REP}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AP\_REP}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Response to mutual AP request.
 
 
@@ -17867,9 +22835,11 @@ Response to mutual AP request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AP\_REP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AP\_REP}}
 &
-\sphinxcode{((krb5\_msgtype)15)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)15)}}
 \\
 \hline
 \end{tabulary}
@@ -17878,13 +22848,14 @@ Response to mutual AP request.
 
 
 \subsubsection{KRB5\_AP\_REQ}
-\label{\detokenize{appdev/refs/macros/KRB5_AP_REQ:krb5-ap-req}}\label{\detokenize{appdev/refs/macros/KRB5_AP_REQ::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AP_REQ:krb5-ap-req-data}}\index{KRB5\_AP\_REQ (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AP_REQ:krb5-ap-req}}\label{\detokenize{appdev/refs/macros/KRB5_AP_REQ:krb5-ap-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_AP_REQ::doc}}\index{KRB5\_AP\_REQ (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AP\_REQ}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AP_REQ:KRB5_AP_REQ}}\pysigline{\sphinxbfcode{KRB5\_AP\_REQ}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AP_REQ:KRB5_AP_REQ}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AP\_REQ}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Auth req to application server.
 
 
@@ -17893,9 +22864,11 @@ Auth req to application server.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AP\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AP\_REQ}}
 &
-\sphinxcode{((krb5\_msgtype)14)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)14)}}
 \\
 \hline
 \end{tabulary}
@@ -17904,13 +22877,14 @@ Auth req to application server.
 
 
 \subsubsection{KRB5\_AS\_REP}
-\label{\detokenize{appdev/refs/macros/KRB5_AS_REP:krb5-as-rep}}\label{\detokenize{appdev/refs/macros/KRB5_AS_REP:krb5-as-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_AS_REP::doc}}\index{KRB5\_AS\_REP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AS_REP:krb5-as-rep}}\label{\detokenize{appdev/refs/macros/KRB5_AS_REP:krb5-as-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_AS_REP::doc}}\index{KRB5\_AS\_REP (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AS\_REP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AS_REP:KRB5_AS_REP}}\pysigline{\sphinxbfcode{KRB5\_AS\_REP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AS_REP:KRB5_AS_REP}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AS\_REP}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Response to AS request.
 
 
@@ -17919,9 +22893,11 @@ Response to AS request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AS\_REP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AS\_REP}}
 &
-\sphinxcode{((krb5\_msgtype)11)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)11)}}
 \\
 \hline
 \end{tabulary}
@@ -17930,13 +22906,14 @@ Response to AS request.
 
 
 \subsubsection{KRB5\_AS\_REQ}
-\label{\detokenize{appdev/refs/macros/KRB5_AS_REQ:krb5-as-req}}\label{\detokenize{appdev/refs/macros/KRB5_AS_REQ:krb5-as-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_AS_REQ::doc}}\index{KRB5\_AS\_REQ (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AS_REQ:krb5-as-req}}\label{\detokenize{appdev/refs/macros/KRB5_AS_REQ:krb5-as-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_AS_REQ::doc}}\index{KRB5\_AS\_REQ (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AS\_REQ}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AS_REQ:KRB5_AS_REQ}}\pysigline{\sphinxbfcode{KRB5\_AS\_REQ}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AS_REQ:KRB5_AS_REQ}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AS\_REQ}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Initial authentication request.
 
 
@@ -17945,9 +22922,11 @@ Initial authentication request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AS\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AS\_REQ}}
 &
-\sphinxcode{((krb5\_msgtype)10)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)10)}}
 \\
 \hline
 \end{tabulary}
@@ -17956,10 +22935,10 @@ Initial authentication request.
 
 
 \subsubsection{KRB5\_AUTHDATA\_AND\_OR}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AND_OR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AND_OR:krb5-authdata-and-or-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AND_OR:krb5-authdata-and-or}}\index{KRB5\_AUTHDATA\_AND\_OR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AND_OR:krb5-authdata-and-or}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AND_OR:krb5-authdata-and-or-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AND_OR::doc}}\index{KRB5\_AUTHDATA\_AND\_OR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_AND\_OR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AND_OR:KRB5_AUTHDATA_AND_OR}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_AND\_OR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AND_OR:KRB5_AUTHDATA_AND_OR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_AND\_OR}}}
 \end{fulllineitems}
 
 
@@ -17969,9 +22948,11 @@ Initial authentication request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_AND\_OR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_AND\_OR}}
 &
-\sphinxcode{5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{5}}
 \\
 \hline
 \end{tabulary}
@@ -17980,10 +22961,10 @@ Initial authentication request.
 
 
 \subsubsection{KRB5\_AUTHDATA\_AP\_OPTIONS}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS:krb5-authdata-ap-options-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS:krb5-authdata-ap-options}}\index{KRB5\_AUTHDATA\_AP\_OPTIONS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS:krb5-authdata-ap-options}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS:krb5-authdata-ap-options-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS::doc}}\index{KRB5\_AUTHDATA\_AP\_OPTIONS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_AP\_OPTIONS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS:KRB5_AUTHDATA_AP_OPTIONS}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_AP\_OPTIONS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AP_OPTIONS:KRB5_AUTHDATA_AP_OPTIONS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_AP\_OPTIONS}}}
 \end{fulllineitems}
 
 
@@ -17993,9 +22974,11 @@ Initial authentication request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_AP\_OPTIONS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_AP\_OPTIONS}}
 &
-\sphinxcode{143}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{143}}
 \\
 \hline
 \end{tabulary}
@@ -18004,10 +22987,10 @@ Initial authentication request.
 
 
 \subsubsection{KRB5\_AUTHDATA\_AUTH\_INDICATOR}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR:krb5-authdata-auth-indicator}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR:krb5-authdata-auth-indicator-data}}\index{KRB5\_AUTHDATA\_AUTH\_INDICATOR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR:krb5-authdata-auth-indicator}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR:krb5-authdata-auth-indicator-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR::doc}}\index{KRB5\_AUTHDATA\_AUTH\_INDICATOR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_AUTH\_INDICATOR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR:KRB5_AUTHDATA_AUTH_INDICATOR}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_AUTH\_INDICATOR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_AUTH_INDICATOR:KRB5_AUTHDATA_AUTH_INDICATOR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_AUTH\_INDICATOR}}}
 \end{fulllineitems}
 
 
@@ -18017,9 +23000,11 @@ Initial authentication request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_AUTH\_INDICATOR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_AUTH\_INDICATOR}}
 &
-\sphinxcode{97}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{97}}
 \\
 \hline
 \end{tabulary}
@@ -18028,10 +23013,10 @@ Initial authentication request.
 
 
 \subsubsection{KRB5\_AUTHDATA\_CAMMAC}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_CAMMAC:krb5-authdata-cammac}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_CAMMAC::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_CAMMAC:krb5-authdata-cammac-data}}\index{KRB5\_AUTHDATA\_CAMMAC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_CAMMAC:krb5-authdata-cammac}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_CAMMAC:krb5-authdata-cammac-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_CAMMAC::doc}}\index{KRB5\_AUTHDATA\_CAMMAC (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_CAMMAC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_CAMMAC:KRB5_AUTHDATA_CAMMAC}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_CAMMAC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_CAMMAC:KRB5_AUTHDATA_CAMMAC}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_CAMMAC}}}
 \end{fulllineitems}
 
 
@@ -18041,9 +23026,11 @@ Initial authentication request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_CAMMAC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_CAMMAC}}
 &
-\sphinxcode{96}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{96}}
 \\
 \hline
 \end{tabulary}
@@ -18052,13 +23039,14 @@ Initial authentication request.
 
 
 \subsubsection{KRB5\_AUTHDATA\_ETYPE\_NEGOTIATION}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION:krb5-authdata-etype-negotiation}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION:krb5-authdata-etype-negotiation-data}}\index{KRB5\_AUTHDATA\_ETYPE\_NEGOTIATION (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION:krb5-authdata-etype-negotiation}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION:krb5-authdata-etype-negotiation-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION::doc}}\index{KRB5\_AUTHDATA\_ETYPE\_NEGOTIATION (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_ETYPE\_NEGOTIATION}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION:KRB5_AUTHDATA_ETYPE_NEGOTIATION}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_ETYPE\_NEGOTIATION}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_ETYPE_NEGOTIATION:KRB5_AUTHDATA_ETYPE_NEGOTIATION}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_ETYPE\_NEGOTIATION}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 4537.
 
 
@@ -18067,9 +23055,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_ETYPE\_NEGOTIATION}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_ETYPE\_NEGOTIATION}}
 &
-\sphinxcode{129}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{129}}
 \\
 \hline
 \end{tabulary}
@@ -18078,10 +23068,10 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTHDATA\_FX\_ARMOR}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR:krb5-authdata-fx-armor}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR:krb5-authdata-fx-armor-data}}\index{KRB5\_AUTHDATA\_FX\_ARMOR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR:krb5-authdata-fx-armor}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR:krb5-authdata-fx-armor-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR::doc}}\index{KRB5\_AUTHDATA\_FX\_ARMOR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_FX\_ARMOR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR:KRB5_AUTHDATA_FX_ARMOR}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_FX\_ARMOR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_FX_ARMOR:KRB5_AUTHDATA_FX_ARMOR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_FX\_ARMOR}}}
 \end{fulllineitems}
 
 
@@ -18091,9 +23081,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_FX\_ARMOR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_FX\_ARMOR}}
 &
-\sphinxcode{71}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{71}}
 \\
 \hline
 \end{tabulary}
@@ -18102,10 +23094,10 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTHDATA\_IF\_RELEVANT}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT:krb5-authdata-if-relevant-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT:krb5-authdata-if-relevant}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT::doc}}\index{KRB5\_AUTHDATA\_IF\_RELEVANT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT:krb5-authdata-if-relevant}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT:krb5-authdata-if-relevant-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT::doc}}\index{KRB5\_AUTHDATA\_IF\_RELEVANT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_IF\_RELEVANT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT:KRB5_AUTHDATA_IF_RELEVANT}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_IF\_RELEVANT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_IF_RELEVANT:KRB5_AUTHDATA_IF_RELEVANT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_IF\_RELEVANT}}}
 \end{fulllineitems}
 
 
@@ -18115,9 +23107,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_IF\_RELEVANT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_IF\_RELEVANT}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -18126,10 +23120,10 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTHDATA\_INITIAL\_VERIFIED\_CAS}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS:krb5-authdata-initial-verified-cas-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS:krb5-authdata-initial-verified-cas}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS::doc}}\index{KRB5\_AUTHDATA\_INITIAL\_VERIFIED\_CAS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS:krb5-authdata-initial-verified-cas}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS:krb5-authdata-initial-verified-cas-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS::doc}}\index{KRB5\_AUTHDATA\_INITIAL\_VERIFIED\_CAS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_INITIAL\_VERIFIED\_CAS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS:KRB5_AUTHDATA_INITIAL_VERIFIED_CAS}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_INITIAL\_VERIFIED\_CAS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_INITIAL_VERIFIED_CAS:KRB5_AUTHDATA_INITIAL_VERIFIED_CAS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_INITIAL\_VERIFIED\_CAS}}}
 \end{fulllineitems}
 
 
@@ -18139,9 +23133,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_INITIAL\_VERIFIED\_CAS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_INITIAL\_VERIFIED\_CAS}}
 &
-\sphinxcode{9}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{9}}
 \\
 \hline
 \end{tabulary}
@@ -18150,10 +23146,10 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTHDATA\_KDC\_ISSUED}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED:krb5-authdata-kdc-issued-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED:krb5-authdata-kdc-issued}}\index{KRB5\_AUTHDATA\_KDC\_ISSUED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED:krb5-authdata-kdc-issued}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED:krb5-authdata-kdc-issued-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED::doc}}\index{KRB5\_AUTHDATA\_KDC\_ISSUED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_KDC\_ISSUED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED:KRB5_AUTHDATA_KDC_ISSUED}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_KDC\_ISSUED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_KDC_ISSUED:KRB5_AUTHDATA_KDC_ISSUED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_KDC\_ISSUED}}}
 \end{fulllineitems}
 
 
@@ -18163,9 +23159,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_KDC\_ISSUED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_KDC\_ISSUED}}
 &
-\sphinxcode{4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{4}}
 \\
 \hline
 \end{tabulary}
@@ -18174,10 +23172,10 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTHDATA\_MANDATORY\_FOR\_KDC}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC:krb5-authdata-mandatory-for-kdc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC:krb5-authdata-mandatory-for-kdc-data}}\index{KRB5\_AUTHDATA\_MANDATORY\_FOR\_KDC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC:krb5-authdata-mandatory-for-kdc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC:krb5-authdata-mandatory-for-kdc-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC::doc}}\index{KRB5\_AUTHDATA\_MANDATORY\_FOR\_KDC (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_MANDATORY\_FOR\_KDC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC:KRB5_AUTHDATA_MANDATORY_FOR_KDC}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_MANDATORY\_FOR\_KDC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_MANDATORY_FOR_KDC:KRB5_AUTHDATA_MANDATORY_FOR_KDC}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_MANDATORY\_FOR\_KDC}}}
 \end{fulllineitems}
 
 
@@ -18187,9 +23185,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_MANDATORY\_FOR\_KDC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_MANDATORY\_FOR\_KDC}}
 &
-\sphinxcode{8}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{8}}
 \\
 \hline
 \end{tabulary}
@@ -18198,10 +23198,10 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTHDATA\_OSF\_DCE}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE:krb5-authdata-osf-dce-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE:krb5-authdata-osf-dce}}\index{KRB5\_AUTHDATA\_OSF\_DCE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE:krb5-authdata-osf-dce}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE:krb5-authdata-osf-dce-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE::doc}}\index{KRB5\_AUTHDATA\_OSF\_DCE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_OSF\_DCE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE:KRB5_AUTHDATA_OSF_DCE}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_OSF\_DCE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_OSF_DCE:KRB5_AUTHDATA_OSF_DCE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_OSF\_DCE}}}
 \end{fulllineitems}
 
 
@@ -18211,9 +23211,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_OSF\_DCE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_OSF\_DCE}}
 &
-\sphinxcode{64}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{64}}
 \\
 \hline
 \end{tabulary}
@@ -18222,10 +23224,10 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTHDATA\_SESAME}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SESAME:krb5-authdata-sesame}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SESAME::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SESAME:krb5-authdata-sesame-data}}\index{KRB5\_AUTHDATA\_SESAME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SESAME:krb5-authdata-sesame}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SESAME:krb5-authdata-sesame-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SESAME::doc}}\index{KRB5\_AUTHDATA\_SESAME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_SESAME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SESAME:KRB5_AUTHDATA_SESAME}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_SESAME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SESAME:KRB5_AUTHDATA_SESAME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_SESAME}}}
 \end{fulllineitems}
 
 
@@ -18235,9 +23237,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_SESAME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_SESAME}}
 &
-\sphinxcode{65}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{65}}
 \\
 \hline
 \end{tabulary}
@@ -18246,10 +23250,10 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTHDATA\_SIGNTICKET}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET:krb5-authdata-signticket-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET:krb5-authdata-signticket}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET::doc}}\index{KRB5\_AUTHDATA\_SIGNTICKET (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET:krb5-authdata-signticket}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET:krb5-authdata-signticket-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET::doc}}\index{KRB5\_AUTHDATA\_SIGNTICKET (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_SIGNTICKET}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET:KRB5_AUTHDATA_SIGNTICKET}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_SIGNTICKET}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_SIGNTICKET:KRB5_AUTHDATA_SIGNTICKET}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_SIGNTICKET}}}
 \end{fulllineitems}
 
 
@@ -18259,9 +23263,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_SIGNTICKET}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_SIGNTICKET}}
 &
-\sphinxcode{512}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{512}}
 \\
 \hline
 \end{tabulary}
@@ -18270,10 +23276,10 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTHDATA\_WIN2K\_PAC}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC:krb5-authdata-win2k-pac-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC:krb5-authdata-win2k-pac}}\index{KRB5\_AUTHDATA\_WIN2K\_PAC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC:krb5-authdata-win2k-pac}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC:krb5-authdata-win2k-pac-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC::doc}}\index{KRB5\_AUTHDATA\_WIN2K\_PAC (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTHDATA\_WIN2K\_PAC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC:KRB5_AUTHDATA_WIN2K_PAC}}\pysigline{\sphinxbfcode{KRB5\_AUTHDATA\_WIN2K\_PAC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTHDATA_WIN2K_PAC:KRB5_AUTHDATA_WIN2K_PAC}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTHDATA\_WIN2K\_PAC}}}
 \end{fulllineitems}
 
 
@@ -18283,9 +23289,11 @@ RFC 4537.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTHDATA\_WIN2K\_PAC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTHDATA\_WIN2K\_PAC}}
 &
-\sphinxcode{128}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{128}}
 \\
 \hline
 \end{tabulary}
@@ -18294,13 +23302,14 @@ RFC 4537.
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:krb5-auth-context-do-sequence-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:krb5-auth-context-do-sequence}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE::doc}}\index{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:krb5-auth-context-do-sequence}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:krb5-auth-context-do-sequence-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE::doc}}\index{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_SEQUENCE:KRB5_AUTH_CONTEXT_DO_SEQUENCE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Prevent replays with sequence numbers.
 
 
@@ -18309,9 +23318,11 @@ Prevent replays with sequence numbers.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_DO\_SEQUENCE}}
 &
-\sphinxcode{0x00000004}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000004}}
 \\
 \hline
 \end{tabulary}
@@ -18320,13 +23331,14 @@ Prevent replays with sequence numbers.
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_DO\_TIME}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:krb5-auth-context-do-time-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:krb5-auth-context-do-time}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME::doc}}\index{KRB5\_AUTH\_CONTEXT\_DO\_TIME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:krb5-auth-context-do-time}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:krb5-auth-context-do-time-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME::doc}}\index{KRB5\_AUTH\_CONTEXT\_DO\_TIME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_DO\_TIME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_DO_TIME:KRB5_AUTH_CONTEXT_DO_TIME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Prevent replays with timestamps and replay cache.
 
 
@@ -18335,9 +23347,11 @@ Prevent replays with timestamps and repl
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_DO\_TIME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_DO\_TIME}}
 &
-\sphinxcode{0x00000001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000001}}
 \\
 \hline
 \end{tabulary}
@@ -18346,13 +23360,14 @@ Prevent replays with timestamps and repl
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR:krb5-auth-context-generate-local-addr}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR:krb5-auth-context-generate-local-addr-data}}\index{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR:krb5-auth-context-generate-local-addr}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR:krb5-auth-context-generate-local-addr-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR::doc}}\index{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR:KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR:KRB5_AUTH_CONTEXT_GENERATE_LOCAL_ADDR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Generate the local network address.
 
 
@@ -18361,9 +23376,11 @@ Generate the local network address.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_ADDR}}
 &
-\sphinxcode{0x00000001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000001}}
 \\
 \hline
 \end{tabulary}
@@ -18372,13 +23389,14 @@ Generate the local network address.
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR:krb5-auth-context-generate-local-full-addr}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR:krb5-auth-context-generate-local-full-addr-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR::doc}}\index{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR:krb5-auth-context-generate-local-full-addr}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR:krb5-auth-context-generate-local-full-addr-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR::doc}}\index{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR:KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR:KRB5_AUTH_CONTEXT_GENERATE_LOCAL_FULL_ADDR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Generate the local network address and the local port.
 
 
@@ -18387,9 +23405,11 @@ Generate the local network address and t
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_GENERATE\_LOCAL\_FULL\_ADDR}}
 &
-\sphinxcode{0x00000004}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000004}}
 \\
 \hline
 \end{tabulary}
@@ -18398,13 +23418,14 @@ Generate the local network address and t
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR:krb5-auth-context-generate-remote-addr-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR:krb5-auth-context-generate-remote-addr}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR::doc}}\index{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR:krb5-auth-context-generate-remote-addr}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR:krb5-auth-context-generate-remote-addr-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR::doc}}\index{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR:KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR:KRB5_AUTH_CONTEXT_GENERATE_REMOTE_ADDR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Generate the remote network address.
 
 
@@ -18413,9 +23434,11 @@ Generate the remote network address.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_ADDR}}
 &
-\sphinxcode{0x00000002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000002}}
 \\
 \hline
 \end{tabulary}
@@ -18424,13 +23447,14 @@ Generate the remote network address.
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR:krb5-auth-context-generate-remote-full-addr}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR:krb5-auth-context-generate-remote-full-addr-data}}\index{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR:krb5-auth-context-generate-remote-full-addr}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR:krb5-auth-context-generate-remote-full-addr-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR::doc}}\index{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR:KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR:KRB5_AUTH_CONTEXT_GENERATE_REMOTE_FULL_ADDR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Generate the remote network address and the remote port.
 
 
@@ -18439,9 +23463,11 @@ Generate the remote network address and
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_GENERATE\_REMOTE\_FULL\_ADDR}}
 &
-\sphinxcode{0x00000008}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000008}}
 \\
 \hline
 \end{tabulary}
@@ -18450,10 +23476,10 @@ Generate the remote network address and
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_PERMIT\_ALL}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL:krb5-auth-context-permit-all}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL:krb5-auth-context-permit-all-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL::doc}}\index{KRB5\_AUTH\_CONTEXT\_PERMIT\_ALL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL:krb5-auth-context-permit-all}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL:krb5-auth-context-permit-all-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL::doc}}\index{KRB5\_AUTH\_CONTEXT\_PERMIT\_ALL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_PERMIT\_ALL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL:KRB5_AUTH_CONTEXT_PERMIT_ALL}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_PERMIT\_ALL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_PERMIT_ALL:KRB5_AUTH_CONTEXT_PERMIT_ALL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_PERMIT\_ALL}}}
 \end{fulllineitems}
 
 
@@ -18463,9 +23489,11 @@ Generate the remote network address and
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_PERMIT\_ALL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_PERMIT\_ALL}}
 &
-\sphinxcode{0x00000010}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000010}}
 \\
 \hline
 \end{tabulary}
@@ -18474,13 +23502,14 @@ Generate the remote network address and
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:krb5-auth-context-ret-sequence}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:krb5-auth-context-ret-sequence-data}}\index{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:krb5-auth-context-ret-sequence}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:krb5-auth-context-ret-sequence-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE::doc}}\index{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_SEQUENCE:KRB5_AUTH_CONTEXT_RET_SEQUENCE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Save sequence numbers for application.
 
 
@@ -18489,9 +23518,11 @@ Save sequence numbers for application.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_RET\_SEQUENCE}}
 &
-\sphinxcode{0x00000008}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000008}}
 \\
 \hline
 \end{tabulary}
@@ -18500,13 +23531,14 @@ Save sequence numbers for application.
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_RET\_TIME}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:krb5-auth-context-ret-time}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:krb5-auth-context-ret-time-data}}\index{KRB5\_AUTH\_CONTEXT\_RET\_TIME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:krb5-auth-context-ret-time}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:krb5-auth-context-ret-time-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME::doc}}\index{KRB5\_AUTH\_CONTEXT\_RET\_TIME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_RET\_TIME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_RET_TIME:KRB5_AUTH_CONTEXT_RET_TIME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Save timestamps for application.
 
 
@@ -18515,9 +23547,11 @@ Save timestamps for application.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_RET\_TIME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_RET\_TIME}}
 &
-\sphinxcode{0x00000002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000002}}
 \\
 \hline
 \end{tabulary}
@@ -18526,10 +23560,10 @@ Save timestamps for application.
 
 
 \subsubsection{KRB5\_AUTH\_CONTEXT\_USE\_SUBKEY}
-\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY::doc}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY:krb5-auth-context-use-subkey-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY:krb5-auth-context-use-subkey}}\index{KRB5\_AUTH\_CONTEXT\_USE\_SUBKEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY:krb5-auth-context-use-subkey}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY:krb5-auth-context-use-subkey-data}}\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY::doc}}\index{KRB5\_AUTH\_CONTEXT\_USE\_SUBKEY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_AUTH\_CONTEXT\_USE\_SUBKEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY:KRB5_AUTH_CONTEXT_USE_SUBKEY}}\pysigline{\sphinxbfcode{KRB5\_AUTH\_CONTEXT\_USE\_SUBKEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_AUTH_CONTEXT_USE_SUBKEY:KRB5_AUTH_CONTEXT_USE_SUBKEY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_USE\_SUBKEY}}}
 \end{fulllineitems}
 
 
@@ -18539,9 +23573,11 @@ Save timestamps for application.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_AUTH\_CONTEXT\_USE\_SUBKEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_AUTH\_CONTEXT\_USE\_SUBKEY}}
 &
-\sphinxcode{0x00000020}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000020}}
 \\
 \hline
 \end{tabulary}
@@ -18550,13 +23586,14 @@ Save timestamps for application.
 
 
 \subsubsection{KRB5\_CRED}
-\label{\detokenize{appdev/refs/macros/KRB5_CRED:krb5-cred-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRED::doc}}\label{\detokenize{appdev/refs/macros/KRB5_CRED:krb5-cred}}\index{KRB5\_CRED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CRED:krb5-cred}}\label{\detokenize{appdev/refs/macros/KRB5_CRED:krb5-cred-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRED::doc}}\index{KRB5\_CRED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CRED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRED:KRB5_CRED}}\pysigline{\sphinxbfcode{KRB5\_CRED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRED:KRB5_CRED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CRED}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Cred forwarding message.
 
 
@@ -18565,9 +23602,11 @@ Cred forwarding message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CRED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CRED}}
 &
-\sphinxcode{((krb5\_msgtype)22)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)22)}}
 \\
 \hline
 \end{tabulary}
@@ -18576,13 +23615,14 @@ Cred forwarding message.
 
 
 \subsubsection{KRB5\_CRYPTO\_TYPE\_CHECKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:krb5-crypto-type-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:krb5-crypto-type-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM::doc}}\index{KRB5\_CRYPTO\_TYPE\_CHECKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:krb5-crypto-type-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:krb5-crypto-type-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM::doc}}\index{KRB5\_CRYPTO\_TYPE\_CHECKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CRYPTO\_TYPE\_CHECKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:KRB5_CRYPTO_TYPE_CHECKSUM}}\pysigline{\sphinxbfcode{KRB5\_CRYPTO\_TYPE\_CHECKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_CHECKSUM:KRB5_CRYPTO_TYPE_CHECKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_CHECKSUM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 {[}out{]} checksum for MIC
 
 
@@ -18591,9 +23631,11 @@ Cred forwarding message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CRYPTO\_TYPE\_CHECKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_CHECKSUM}}
 &
-\sphinxcode{6}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{6}}
 \\
 \hline
 \end{tabulary}
@@ -18602,13 +23644,14 @@ Cred forwarding message.
 
 
 \subsubsection{KRB5\_CRYPTO\_TYPE\_DATA}
-\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA::doc}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:krb5-crypto-type-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:krb5-crypto-type-data-data}}\index{KRB5\_CRYPTO\_TYPE\_DATA (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:krb5-crypto-type-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:krb5-crypto-type-data-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA::doc}}\index{KRB5\_CRYPTO\_TYPE\_DATA (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CRYPTO\_TYPE\_DATA}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:KRB5_CRYPTO_TYPE_DATA}}\pysigline{\sphinxbfcode{KRB5\_CRYPTO\_TYPE\_DATA}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_DATA:KRB5_CRYPTO_TYPE_DATA}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_DATA}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 {[}in, out{]} plaintext
 
 
@@ -18617,9 +23660,11 @@ Cred forwarding message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CRYPTO\_TYPE\_DATA}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_DATA}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -18628,13 +23673,14 @@ Cred forwarding message.
 
 
 \subsubsection{KRB5\_CRYPTO\_TYPE\_EMPTY}
-\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY::doc}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY:krb5-crypto-type-empty}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY:krb5-crypto-type-empty-data}}\index{KRB5\_CRYPTO\_TYPE\_EMPTY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY:krb5-crypto-type-empty}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY:krb5-crypto-type-empty-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY::doc}}\index{KRB5\_CRYPTO\_TYPE\_EMPTY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CRYPTO\_TYPE\_EMPTY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY:KRB5_CRYPTO_TYPE_EMPTY}}\pysigline{\sphinxbfcode{KRB5\_CRYPTO\_TYPE\_EMPTY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_EMPTY:KRB5_CRYPTO_TYPE_EMPTY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_EMPTY}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 {[}in{]} ignored
 
 
@@ -18643,9 +23689,11 @@ Cred forwarding message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CRYPTO\_TYPE\_EMPTY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_EMPTY}}
 &
-\sphinxcode{0}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0}}
 \\
 \hline
 \end{tabulary}
@@ -18654,13 +23702,14 @@ Cred forwarding message.
 
 
 \subsubsection{KRB5\_CRYPTO\_TYPE\_HEADER}
-\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER:krb5-crypto-type-header}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER:krb5-crypto-type-header-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER::doc}}\index{KRB5\_CRYPTO\_TYPE\_HEADER (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER:krb5-crypto-type-header}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER:krb5-crypto-type-header-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER::doc}}\index{KRB5\_CRYPTO\_TYPE\_HEADER (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CRYPTO\_TYPE\_HEADER}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER:KRB5_CRYPTO_TYPE_HEADER}}\pysigline{\sphinxbfcode{KRB5\_CRYPTO\_TYPE\_HEADER}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_HEADER:KRB5_CRYPTO_TYPE_HEADER}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_HEADER}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 {[}out{]} header
 
 
@@ -18669,9 +23718,11 @@ Cred forwarding message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CRYPTO\_TYPE\_HEADER}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_HEADER}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -18680,13 +23731,14 @@ Cred forwarding message.
 
 
 \subsubsection{KRB5\_CRYPTO\_TYPE\_PADDING}
-\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING::doc}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING:krb5-crypto-type-padding-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING:krb5-crypto-type-padding}}\index{KRB5\_CRYPTO\_TYPE\_PADDING (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING:krb5-crypto-type-padding}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING:krb5-crypto-type-padding-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING::doc}}\index{KRB5\_CRYPTO\_TYPE\_PADDING (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CRYPTO\_TYPE\_PADDING}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING:KRB5_CRYPTO_TYPE_PADDING}}\pysigline{\sphinxbfcode{KRB5\_CRYPTO\_TYPE\_PADDING}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_PADDING:KRB5_CRYPTO_TYPE_PADDING}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_PADDING}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 {[}out{]} padding
 
 
@@ -18695,9 +23747,11 @@ Cred forwarding message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CRYPTO\_TYPE\_PADDING}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_PADDING}}
 &
-\sphinxcode{4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{4}}
 \\
 \hline
 \end{tabulary}
@@ -18706,13 +23760,14 @@ Cred forwarding message.
 
 
 \subsubsection{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}
-\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:krb5-crypto-type-sign-only}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:krb5-crypto-type-sign-only-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY::doc}}\index{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:krb5-crypto-type-sign-only}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:krb5-crypto-type-sign-only-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY::doc}}\index{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:KRB5_CRYPTO_TYPE_SIGN_ONLY}}\pysigline{\sphinxbfcode{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_SIGN_ONLY:KRB5_CRYPTO_TYPE_SIGN_ONLY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 {[}in{]} associated data
 
 
@@ -18721,9 +23776,11 @@ Cred forwarding message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_SIGN\_ONLY}}
 &
-\sphinxcode{3}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{3}}
 \\
 \hline
 \end{tabulary}
@@ -18732,13 +23789,14 @@ Cred forwarding message.
 
 
 \subsubsection{KRB5\_CRYPTO\_TYPE\_STREAM}
-\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM:krb5-crypto-type-stream-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM:krb5-crypto-type-stream}}\index{KRB5\_CRYPTO\_TYPE\_STREAM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM:krb5-crypto-type-stream}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM:krb5-crypto-type-stream-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM::doc}}\index{KRB5\_CRYPTO\_TYPE\_STREAM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CRYPTO\_TYPE\_STREAM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM:KRB5_CRYPTO_TYPE_STREAM}}\pysigline{\sphinxbfcode{KRB5\_CRYPTO\_TYPE\_STREAM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_STREAM:KRB5_CRYPTO_TYPE_STREAM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_STREAM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 {[}in{]} entire message without decomposing the structure into header, data and trailer buffers
 
 
@@ -18747,9 +23805,11 @@ Cred forwarding message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CRYPTO\_TYPE\_STREAM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_STREAM}}
 &
-\sphinxcode{7}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{7}}
 \\
 \hline
 \end{tabulary}
@@ -18758,13 +23818,14 @@ Cred forwarding message.
 
 
 \subsubsection{KRB5\_CRYPTO\_TYPE\_TRAILER}
-\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER:krb5-crypto-type-trailer}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER:krb5-crypto-type-trailer-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER::doc}}\index{KRB5\_CRYPTO\_TYPE\_TRAILER (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER:krb5-crypto-type-trailer}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER:krb5-crypto-type-trailer-data}}\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER::doc}}\index{KRB5\_CRYPTO\_TYPE\_TRAILER (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CRYPTO\_TYPE\_TRAILER}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER:KRB5_CRYPTO_TYPE_TRAILER}}\pysigline{\sphinxbfcode{KRB5\_CRYPTO\_TYPE\_TRAILER}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CRYPTO_TYPE_TRAILER:KRB5_CRYPTO_TYPE_TRAILER}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_TRAILER}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 {[}out{]} checksum for encrypt
 
 
@@ -18773,9 +23834,11 @@ Cred forwarding message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CRYPTO\_TYPE\_TRAILER}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CRYPTO\_TYPE\_TRAILER}}
 &
-\sphinxcode{5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{5}}
 \\
 \hline
 \end{tabulary}
@@ -18784,15 +23847,17 @@ Cred forwarding message.
 
 
 \subsubsection{KRB5\_CYBERSAFE\_SECUREID}
-\label{\detokenize{appdev/refs/macros/KRB5_CYBERSAFE_SECUREID:krb5-cybersafe-secureid}}\label{\detokenize{appdev/refs/macros/KRB5_CYBERSAFE_SECUREID::doc}}\label{\detokenize{appdev/refs/macros/KRB5_CYBERSAFE_SECUREID:krb5-cybersafe-secureid-data}}\index{KRB5\_CYBERSAFE\_SECUREID (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_CYBERSAFE_SECUREID:krb5-cybersafe-secureid}}\label{\detokenize{appdev/refs/macros/KRB5_CYBERSAFE_SECUREID:krb5-cybersafe-secureid-data}}\label{\detokenize{appdev/refs/macros/KRB5_CYBERSAFE_SECUREID::doc}}\index{KRB5\_CYBERSAFE\_SECUREID (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_CYBERSAFE\_SECUREID}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CYBERSAFE_SECUREID:KRB5_CYBERSAFE_SECUREID}}\pysigline{\sphinxbfcode{KRB5\_CYBERSAFE\_SECUREID}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_CYBERSAFE_SECUREID:KRB5_CYBERSAFE_SECUREID}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_CYBERSAFE\_SECUREID}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Cybersafe.
 
+\sphinxAtStartPar
 RFC 4120
 
 
@@ -18801,9 +23866,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_CYBERSAFE\_SECUREID}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_CYBERSAFE\_SECUREID}}
 &
-\sphinxcode{9}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{9}}
 \\
 \hline
 \end{tabulary}
@@ -18812,13 +23879,14 @@ RFC 4120
 
 
 \subsubsection{KRB5\_DOMAIN\_X500\_COMPRESS}
-\label{\detokenize{appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS::doc}}\label{\detokenize{appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS:krb5-domain-x500-compress}}\label{\detokenize{appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS:krb5-domain-x500-compress-data}}\index{KRB5\_DOMAIN\_X500\_COMPRESS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS:krb5-domain-x500-compress}}\label{\detokenize{appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS:krb5-domain-x500-compress-data}}\label{\detokenize{appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS::doc}}\index{KRB5\_DOMAIN\_X500\_COMPRESS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_DOMAIN\_X500\_COMPRESS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS:KRB5_DOMAIN_X500_COMPRESS}}\pysigline{\sphinxbfcode{KRB5\_DOMAIN\_X500\_COMPRESS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_DOMAIN_X500_COMPRESS:KRB5_DOMAIN_X500_COMPRESS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_DOMAIN\_X500\_COMPRESS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Transited encoding types.
 
 
@@ -18827,9 +23895,11 @@ Transited encoding types.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_DOMAIN\_X500\_COMPRESS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_DOMAIN\_X500\_COMPRESS}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -18838,13 +23908,14 @@ Transited encoding types.
 
 
 \subsubsection{KRB5\_ENCPADATA\_REQ\_ENC\_PA\_REP}
-\label{\detokenize{appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP:krb5-encpadata-req-enc-pa-rep}}\label{\detokenize{appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP:krb5-encpadata-req-enc-pa-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP::doc}}\index{KRB5\_ENCPADATA\_REQ\_ENC\_PA\_REP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP:krb5-encpadata-req-enc-pa-rep}}\label{\detokenize{appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP:krb5-encpadata-req-enc-pa-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP::doc}}\index{KRB5\_ENCPADATA\_REQ\_ENC\_PA\_REP (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_ENCPADATA\_REQ\_ENC\_PA\_REP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP:KRB5_ENCPADATA_REQ_ENC_PA_REP}}\pysigline{\sphinxbfcode{KRB5\_ENCPADATA\_REQ\_ENC\_PA\_REP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ENCPADATA_REQ_ENC_PA_REP:KRB5_ENCPADATA_REQ_ENC_PA_REP}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_ENCPADATA\_REQ\_ENC\_PA\_REP}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6806.
 
 
@@ -18853,9 +23924,11 @@ RFC 6806.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_ENCPADATA\_REQ\_ENC\_PA\_REP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_ENCPADATA\_REQ\_ENC\_PA\_REP}}
 &
-\sphinxcode{149}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{149}}
 \\
 \hline
 \end{tabulary}
@@ -18864,13 +23937,14 @@ RFC 6806.
 
 
 \subsubsection{KRB5\_ERROR}
-\label{\detokenize{appdev/refs/macros/KRB5_ERROR:krb5-error-data}}\label{\detokenize{appdev/refs/macros/KRB5_ERROR:krb5-error}}\label{\detokenize{appdev/refs/macros/KRB5_ERROR::doc}}\index{KRB5\_ERROR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_ERROR:krb5-error}}\label{\detokenize{appdev/refs/macros/KRB5_ERROR:krb5-error-data}}\label{\detokenize{appdev/refs/macros/KRB5_ERROR::doc}}\index{KRB5\_ERROR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_ERROR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ERROR:KRB5_ERROR}}\pysigline{\sphinxbfcode{KRB5\_ERROR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_ERROR:KRB5_ERROR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_ERROR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Error response.
 
 
@@ -18879,9 +23953,11 @@ Error response.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_ERROR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_ERROR}}
 &
-\sphinxcode{((krb5\_msgtype)30)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)30)}}
 \\
 \hline
 \end{tabulary}
@@ -18890,13 +23966,14 @@ Error response.
 
 
 \subsubsection{KRB5\_FAST\_REQUIRED}
-\label{\detokenize{appdev/refs/macros/KRB5_FAST_REQUIRED:krb5-fast-required}}\label{\detokenize{appdev/refs/macros/KRB5_FAST_REQUIRED:krb5-fast-required-data}}\label{\detokenize{appdev/refs/macros/KRB5_FAST_REQUIRED::doc}}\index{KRB5\_FAST\_REQUIRED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_FAST_REQUIRED:krb5-fast-required}}\label{\detokenize{appdev/refs/macros/KRB5_FAST_REQUIRED:krb5-fast-required-data}}\label{\detokenize{appdev/refs/macros/KRB5_FAST_REQUIRED::doc}}\index{KRB5\_FAST\_REQUIRED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_FAST\_REQUIRED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_FAST_REQUIRED:KRB5_FAST_REQUIRED}}\pysigline{\sphinxbfcode{KRB5\_FAST\_REQUIRED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_FAST_REQUIRED:KRB5_FAST_REQUIRED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_FAST\_REQUIRED}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Require KDC to support FAST.
 
 
@@ -18905,9 +23982,11 @@ Require KDC to support FAST.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_FAST\_REQUIRED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_FAST\_REQUIRED}}
 &
-\sphinxcode{0x0001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0001}}
 \\
 \hline
 \end{tabulary}
@@ -18916,13 +23995,14 @@ Require KDC to support FAST.
 
 
 \subsubsection{KRB5\_GC\_CACHED}
-\label{\detokenize{appdev/refs/macros/KRB5_GC_CACHED:krb5-gc-cached}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CACHED:krb5-gc-cached-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CACHED::doc}}\index{KRB5\_GC\_CACHED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GC_CACHED:krb5-gc-cached}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CACHED:krb5-gc-cached-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CACHED::doc}}\index{KRB5\_GC\_CACHED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GC\_CACHED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_CACHED:KRB5_GC_CACHED}}\pysigline{\sphinxbfcode{KRB5\_GC\_CACHED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_CACHED:KRB5_GC_CACHED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GC\_CACHED}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Want cached ticket only.
 
 
@@ -18931,9 +24011,11 @@ Want cached ticket only.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GC\_CACHED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GC\_CACHED}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -18942,13 +24024,14 @@ Want cached ticket only.
 
 
 \subsubsection{KRB5\_GC\_CANONICALIZE}
-\label{\detokenize{appdev/refs/macros/KRB5_GC_CANONICALIZE:krb5-gc-canonicalize-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CANONICALIZE:krb5-gc-canonicalize}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CANONICALIZE::doc}}\index{KRB5\_GC\_CANONICALIZE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GC_CANONICALIZE:krb5-gc-canonicalize}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CANONICALIZE:krb5-gc-canonicalize-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CANONICALIZE::doc}}\index{KRB5\_GC\_CANONICALIZE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GC\_CANONICALIZE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_CANONICALIZE:KRB5_GC_CANONICALIZE}}\pysigline{\sphinxbfcode{KRB5\_GC\_CANONICALIZE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_CANONICALIZE:KRB5_GC_CANONICALIZE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GC\_CANONICALIZE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Set canonicalize KDC option.
 
 
@@ -18957,9 +24040,11 @@ Set canonicalize KDC option.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GC\_CANONICALIZE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GC\_CANONICALIZE}}
 &
-\sphinxcode{4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{4}}
 \\
 \hline
 \end{tabulary}
@@ -18968,13 +24053,14 @@ Set canonicalize KDC option.
 
 
 \subsubsection{KRB5\_GC\_CONSTRAINED\_DELEGATION}
-\label{\detokenize{appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION:krb5-gc-constrained-delegation}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION:krb5-gc-constrained-delegation-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION::doc}}\index{KRB5\_GC\_CONSTRAINED\_DELEGATION (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION:krb5-gc-constrained-delegation}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION:krb5-gc-constrained-delegation-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION::doc}}\index{KRB5\_GC\_CONSTRAINED\_DELEGATION (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GC\_CONSTRAINED\_DELEGATION}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION:KRB5_GC_CONSTRAINED_DELEGATION}}\pysigline{\sphinxbfcode{KRB5\_GC\_CONSTRAINED\_DELEGATION}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_CONSTRAINED_DELEGATION:KRB5_GC_CONSTRAINED_DELEGATION}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GC\_CONSTRAINED\_DELEGATION}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Constrained delegation.
 
 
@@ -18983,9 +24069,11 @@ Constrained delegation.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GC\_CONSTRAINED\_DELEGATION}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GC\_CONSTRAINED\_DELEGATION}}
 &
-\sphinxcode{64}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{64}}
 \\
 \hline
 \end{tabulary}
@@ -18994,13 +24082,14 @@ Constrained delegation.
 
 
 \subsubsection{KRB5\_GC\_FORWARDABLE}
-\label{\detokenize{appdev/refs/macros/KRB5_GC_FORWARDABLE:krb5-gc-forwardable-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_FORWARDABLE:krb5-gc-forwardable}}\label{\detokenize{appdev/refs/macros/KRB5_GC_FORWARDABLE::doc}}\index{KRB5\_GC\_FORWARDABLE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GC_FORWARDABLE:krb5-gc-forwardable}}\label{\detokenize{appdev/refs/macros/KRB5_GC_FORWARDABLE:krb5-gc-forwardable-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_FORWARDABLE::doc}}\index{KRB5\_GC\_FORWARDABLE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GC\_FORWARDABLE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_FORWARDABLE:KRB5_GC_FORWARDABLE}}\pysigline{\sphinxbfcode{KRB5\_GC\_FORWARDABLE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_FORWARDABLE:KRB5_GC_FORWARDABLE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GC\_FORWARDABLE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Acquire forwardable tickets.
 
 
@@ -19009,9 +24098,11 @@ Acquire forwardable tickets.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GC\_FORWARDABLE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GC\_FORWARDABLE}}
 &
-\sphinxcode{16}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{16}}
 \\
 \hline
 \end{tabulary}
@@ -19020,13 +24111,14 @@ Acquire forwardable tickets.
 
 
 \subsubsection{KRB5\_GC\_NO\_STORE}
-\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_STORE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_STORE:krb5-gc-no-store}}\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_STORE:krb5-gc-no-store-data}}\index{KRB5\_GC\_NO\_STORE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_STORE:krb5-gc-no-store}}\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_STORE:krb5-gc-no-store-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_STORE::doc}}\index{KRB5\_GC\_NO\_STORE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GC\_NO\_STORE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_STORE:KRB5_GC_NO_STORE}}\pysigline{\sphinxbfcode{KRB5\_GC\_NO\_STORE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_STORE:KRB5_GC_NO_STORE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GC\_NO\_STORE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Do not store in credential cache.
 
 
@@ -19035,9 +24127,11 @@ Do not store in credential cache.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GC\_NO\_STORE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GC\_NO\_STORE}}
 &
-\sphinxcode{8}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{8}}
 \\
 \hline
 \end{tabulary}
@@ -19046,13 +24140,14 @@ Do not store in credential cache.
 
 
 \subsubsection{KRB5\_GC\_NO\_TRANSIT\_CHECK}
-\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK:krb5-gc-no-transit-check-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK:krb5-gc-no-transit-check}}\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK::doc}}\index{KRB5\_GC\_NO\_TRANSIT\_CHECK (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK:krb5-gc-no-transit-check}}\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK:krb5-gc-no-transit-check-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK::doc}}\index{KRB5\_GC\_NO\_TRANSIT\_CHECK (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GC\_NO\_TRANSIT\_CHECK}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK:KRB5_GC_NO_TRANSIT_CHECK}}\pysigline{\sphinxbfcode{KRB5\_GC\_NO\_TRANSIT\_CHECK}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_NO_TRANSIT_CHECK:KRB5_GC_NO_TRANSIT_CHECK}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GC\_NO\_TRANSIT\_CHECK}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Disable transited check.
 
 
@@ -19061,9 +24156,11 @@ Disable transited check.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GC\_NO\_TRANSIT\_CHECK}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GC\_NO\_TRANSIT\_CHECK}}
 &
-\sphinxcode{32}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{32}}
 \\
 \hline
 \end{tabulary}
@@ -19072,14 +24169,15 @@ Disable transited check.
 
 
 \subsubsection{KRB5\_GC\_USER\_USER}
-\label{\detokenize{appdev/refs/macros/KRB5_GC_USER_USER::doc}}\label{\detokenize{appdev/refs/macros/KRB5_GC_USER_USER:krb5-gc-user-user}}\label{\detokenize{appdev/refs/macros/KRB5_GC_USER_USER:krb5-gc-user-user-data}}\index{KRB5\_GC\_USER\_USER (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GC_USER_USER:krb5-gc-user-user}}\label{\detokenize{appdev/refs/macros/KRB5_GC_USER_USER:krb5-gc-user-user-data}}\label{\detokenize{appdev/refs/macros/KRB5_GC_USER_USER::doc}}\index{KRB5\_GC\_USER\_USER (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GC\_USER\_USER}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_USER_USER:KRB5_GC_USER_USER}}\pysigline{\sphinxbfcode{KRB5\_GC\_USER\_USER}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GC_USER_USER:KRB5_GC_USER_USER}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GC\_USER\_USER}}}
 \end{fulllineitems}
 
 
-Want user-user ticket.
+\sphinxAtStartPar
+Want user\sphinxhyphen{}user ticket.
 
 
 \begin{savenotes}\sphinxattablestart
@@ -19087,9 +24185,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GC\_USER\_USER}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GC\_USER\_USER}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -19098,10 +24198,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_ADDRESS\_LIST}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST:krb5-get-init-creds-opt-address-list}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST::doc}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST:krb5-get-init-creds-opt-address-list-data}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_ADDRESS\_LIST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST:krb5-get-init-creds-opt-address-list}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST:krb5-get-init-creds-opt-address-list-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_ADDRESS\_LIST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_ADDRESS\_LIST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST:KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_ADDRESS\_LIST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST:KRB5_GET_INIT_CREDS_OPT_ADDRESS_LIST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_ADDRESS\_LIST}}}
 \end{fulllineitems}
 
 
@@ -19111,9 +24211,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_ADDRESS\_LIST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_ADDRESS\_LIST}}
 &
-\sphinxcode{0x0020}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0020}}
 \\
 \hline
 \end{tabulary}
@@ -19122,10 +24224,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_ANONYMOUS}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS:krb5-get-init-creds-opt-anonymous-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS::doc}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS:krb5-get-init-creds-opt-anonymous}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_ANONYMOUS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS:krb5-get-init-creds-opt-anonymous}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS:krb5-get-init-creds-opt-anonymous-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_ANONYMOUS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_ANONYMOUS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS:KRB5_GET_INIT_CREDS_OPT_ANONYMOUS}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_ANONYMOUS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ANONYMOUS:KRB5_GET_INIT_CREDS_OPT_ANONYMOUS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_ANONYMOUS}}}
 \end{fulllineitems}
 
 
@@ -19135,9 +24237,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_ANONYMOUS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_ANONYMOUS}}
 &
-\sphinxcode{0x0400}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0400}}
 \\
 \hline
 \end{tabulary}
@@ -19146,10 +24250,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_CANONICALIZE}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE:krb5-get-init-creds-opt-canonicalize-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE:krb5-get-init-creds-opt-canonicalize}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_CANONICALIZE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE:krb5-get-init-creds-opt-canonicalize}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE:krb5-get-init-creds-opt-canonicalize-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_CANONICALIZE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_CANONICALIZE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE:KRB5_GET_INIT_CREDS_OPT_CANONICALIZE}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_CANONICALIZE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CANONICALIZE:KRB5_GET_INIT_CREDS_OPT_CANONICALIZE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_CANONICALIZE}}}
 \end{fulllineitems}
 
 
@@ -19159,9 +24263,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_CANONICALIZE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_CANONICALIZE}}
 &
-\sphinxcode{0x0200}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0200}}
 \\
 \hline
 \end{tabulary}
@@ -19170,10 +24276,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_CHG\_PWD\_PRMPT}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT::doc}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT:krb5-get-init-creds-opt-chg-pwd-prmpt}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT:krb5-get-init-creds-opt-chg-pwd-prmpt-data}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_CHG\_PWD\_PRMPT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT:krb5-get-init-creds-opt-chg-pwd-prmpt}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT:krb5-get-init-creds-opt-chg-pwd-prmpt-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_CHG\_PWD\_PRMPT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_CHG\_PWD\_PRMPT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT:KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_CHG\_PWD\_PRMPT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT:KRB5_GET_INIT_CREDS_OPT_CHG_PWD_PRMPT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_CHG\_PWD\_PRMPT}}}
 \end{fulllineitems}
 
 
@@ -19183,9 +24289,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_CHG\_PWD\_PRMPT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_CHG\_PWD\_PRMPT}}
 &
-\sphinxcode{0x0100}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0100}}
 \\
 \hline
 \end{tabulary}
@@ -19194,10 +24302,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_ETYPE\_LIST}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST:krb5-get-init-creds-opt-etype-list-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST:krb5-get-init-creds-opt-etype-list}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_ETYPE\_LIST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST:krb5-get-init-creds-opt-etype-list}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST:krb5-get-init-creds-opt-etype-list-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_ETYPE\_LIST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_ETYPE\_LIST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST:KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_ETYPE\_LIST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST:KRB5_GET_INIT_CREDS_OPT_ETYPE_LIST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_ETYPE\_LIST}}}
 \end{fulllineitems}
 
 
@@ -19207,9 +24315,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_ETYPE\_LIST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_ETYPE\_LIST}}
 &
-\sphinxcode{0x0010}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0010}}
 \\
 \hline
 \end{tabulary}
@@ -19218,10 +24328,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_FORWARDABLE}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE:krb5-get-init-creds-opt-forwardable}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE:krb5-get-init-creds-opt-forwardable-data}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_FORWARDABLE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE:krb5-get-init-creds-opt-forwardable}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE:krb5-get-init-creds-opt-forwardable-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_FORWARDABLE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_FORWARDABLE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE:KRB5_GET_INIT_CREDS_OPT_FORWARDABLE}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_FORWARDABLE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_FORWARDABLE:KRB5_GET_INIT_CREDS_OPT_FORWARDABLE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_FORWARDABLE}}}
 \end{fulllineitems}
 
 
@@ -19231,9 +24341,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_FORWARDABLE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_FORWARDABLE}}
 &
-\sphinxcode{0x0004}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0004}}
 \\
 \hline
 \end{tabulary}
@@ -19242,10 +24354,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_PREAUTH\_LIST}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST:krb5-get-init-creds-opt-preauth-list}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST:krb5-get-init-creds-opt-preauth-list-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_PREAUTH\_LIST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST:krb5-get-init-creds-opt-preauth-list}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST:krb5-get-init-creds-opt-preauth-list-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_PREAUTH\_LIST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_PREAUTH\_LIST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST:KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_PREAUTH\_LIST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST:KRB5_GET_INIT_CREDS_OPT_PREAUTH_LIST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_PREAUTH\_LIST}}}
 \end{fulllineitems}
 
 
@@ -19255,9 +24367,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_PREAUTH\_LIST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_PREAUTH\_LIST}}
 &
-\sphinxcode{0x0040}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0040}}
 \\
 \hline
 \end{tabulary}
@@ -19266,10 +24380,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_PROXIABLE}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE:krb5-get-init-creds-opt-proxiable-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE:krb5-get-init-creds-opt-proxiable}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_PROXIABLE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE:krb5-get-init-creds-opt-proxiable}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE:krb5-get-init-creds-opt-proxiable-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_PROXIABLE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_PROXIABLE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE:KRB5_GET_INIT_CREDS_OPT_PROXIABLE}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_PROXIABLE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_PROXIABLE:KRB5_GET_INIT_CREDS_OPT_PROXIABLE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_PROXIABLE}}}
 \end{fulllineitems}
 
 
@@ -19279,9 +24393,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_PROXIABLE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_PROXIABLE}}
 &
-\sphinxcode{0x0008}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0008}}
 \\
 \hline
 \end{tabulary}
@@ -19290,10 +24406,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_RENEW\_LIFE}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE:krb5-get-init-creds-opt-renew-life-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE:krb5-get-init-creds-opt-renew-life}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_RENEW\_LIFE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE:krb5-get-init-creds-opt-renew-life}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE:krb5-get-init-creds-opt-renew-life-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_RENEW\_LIFE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_RENEW\_LIFE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE:KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_RENEW\_LIFE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE:KRB5_GET_INIT_CREDS_OPT_RENEW_LIFE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_RENEW\_LIFE}}}
 \end{fulllineitems}
 
 
@@ -19303,9 +24419,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_RENEW\_LIFE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_RENEW\_LIFE}}
 &
-\sphinxcode{0x0002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0002}}
 \\
 \hline
 \end{tabulary}
@@ -19314,10 +24432,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_SALT}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT:krb5-get-init-creds-opt-salt-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT:krb5-get-init-creds-opt-salt}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_SALT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT:krb5-get-init-creds-opt-salt}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT:krb5-get-init-creds-opt-salt-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_SALT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_SALT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT:KRB5_GET_INIT_CREDS_OPT_SALT}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_SALT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_SALT:KRB5_GET_INIT_CREDS_OPT_SALT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_SALT}}}
 \end{fulllineitems}
 
 
@@ -19327,9 +24445,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_SALT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_SALT}}
 &
-\sphinxcode{0x0080}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0080}}
 \\
 \hline
 \end{tabulary}
@@ -19338,10 +24458,10 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_GET\_INIT\_CREDS\_OPT\_TKT\_LIFE}
-\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE:krb5-get-init-creds-opt-tkt-life-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE:krb5-get-init-creds-opt-tkt-life}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_TKT\_LIFE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE:krb5-get-init-creds-opt-tkt-life}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE:krb5-get-init-creds-opt-tkt-life-data}}\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE::doc}}\index{KRB5\_GET\_INIT\_CREDS\_OPT\_TKT\_LIFE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_GET\_INIT\_CREDS\_OPT\_TKT\_LIFE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE:KRB5_GET_INIT_CREDS_OPT_TKT_LIFE}}\pysigline{\sphinxbfcode{KRB5\_GET\_INIT\_CREDS\_OPT\_TKT\_LIFE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_GET_INIT_CREDS_OPT_TKT_LIFE:KRB5_GET_INIT_CREDS_OPT_TKT_LIFE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_TKT\_LIFE}}}
 \end{fulllineitems}
 
 
@@ -19351,9 +24471,11 @@ Want user-user ticket.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_GET\_INIT\_CREDS\_OPT\_TKT\_LIFE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_GET\_INIT\_CREDS\_OPT\_TKT\_LIFE}}
 &
-\sphinxcode{0x0001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0001}}
 \\
 \hline
 \end{tabulary}
@@ -19362,13 +24484,14 @@ Want user-user ticket.
 
 
 \subsubsection{KRB5\_INIT\_CONTEXT\_SECURE}
-\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE:krb5-init-context-secure}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE:krb5-init-context-secure-data}}\index{KRB5\_INIT\_CONTEXT\_SECURE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE:krb5-init-context-secure}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE:krb5-init-context-secure-data}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE::doc}}\index{KRB5\_INIT\_CONTEXT\_SECURE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_INIT\_CONTEXT\_SECURE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE:KRB5_INIT_CONTEXT_SECURE}}\pysigline{\sphinxbfcode{KRB5\_INIT\_CONTEXT\_SECURE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_SECURE:KRB5_INIT_CONTEXT_SECURE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_INIT\_CONTEXT\_SECURE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Use secure context configuration.
 
 
@@ -19377,9 +24500,11 @@ Use secure context configuration.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_INIT\_CONTEXT\_SECURE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_INIT\_CONTEXT\_SECURE}}
 &
-\sphinxcode{0x1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x1}}
 \\
 \hline
 \end{tabulary}
@@ -19388,13 +24513,14 @@ Use secure context configuration.
 
 
 \subsubsection{KRB5\_INIT\_CONTEXT\_KDC}
-\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_KDC:krb5-init-context-kdc}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_KDC::doc}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_KDC:krb5-init-context-kdc-data}}\index{KRB5\_INIT\_CONTEXT\_KDC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_KDC:krb5-init-context-kdc}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_KDC:krb5-init-context-kdc-data}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_KDC::doc}}\index{KRB5\_INIT\_CONTEXT\_KDC (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_INIT\_CONTEXT\_KDC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_KDC:KRB5_INIT_CONTEXT_KDC}}\pysigline{\sphinxbfcode{KRB5\_INIT\_CONTEXT\_KDC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INIT_CONTEXT_KDC:KRB5_INIT_CONTEXT_KDC}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_INIT\_CONTEXT\_KDC}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Use KDC configuration if available.
 
 
@@ -19403,9 +24529,11 @@ Use KDC configuration if available.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_INIT\_CONTEXT\_KDC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_INIT\_CONTEXT\_KDC}}
 &
-\sphinxcode{0x2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x2}}
 \\
 \hline
 \end{tabulary}
@@ -19414,13 +24542,14 @@ Use KDC configuration if available.
 
 
 \subsubsection{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE}
-\label{\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE:krb5-init-creds-step-flag-continue-data}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE:krb5-init-creds-step-flag-continue}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE::doc}}\index{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE:krb5-init-creds-step-flag-continue}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE:krb5-init-creds-step-flag-continue-data}}\label{\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE::doc}}\index{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE:KRB5_INIT_CREDS_STEP_FLAG_CONTINUE}}\pysigline{\sphinxbfcode{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INIT_CREDS_STEP_FLAG_CONTINUE:KRB5_INIT_CREDS_STEP_FLAG_CONTINUE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 More responses needed.
 
 
@@ -19429,9 +24558,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_INIT\_CREDS\_STEP\_FLAG\_CONTINUE}}
 &
-\sphinxcode{0x1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x1}}
 \\
 \hline
 \end{tabulary}
@@ -19440,10 +24571,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_INT16\_MAX}
-\label{\detokenize{appdev/refs/macros/KRB5_INT16_MAX:krb5-int16-max-data}}\label{\detokenize{appdev/refs/macros/KRB5_INT16_MAX::doc}}\label{\detokenize{appdev/refs/macros/KRB5_INT16_MAX:krb5-int16-max}}\index{KRB5\_INT16\_MAX (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_INT16_MAX:krb5-int16-max}}\label{\detokenize{appdev/refs/macros/KRB5_INT16_MAX:krb5-int16-max-data}}\label{\detokenize{appdev/refs/macros/KRB5_INT16_MAX::doc}}\index{KRB5\_INT16\_MAX (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_INT16\_MAX}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INT16_MAX:KRB5_INT16_MAX}}\pysigline{\sphinxbfcode{KRB5\_INT16\_MAX}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INT16_MAX:KRB5_INT16_MAX}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_INT16\_MAX}}}
 \end{fulllineitems}
 
 
@@ -19453,9 +24584,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_INT16\_MAX}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_INT16\_MAX}}
 &
-\sphinxcode{65535}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{65535}}
 \\
 \hline
 \end{tabulary}
@@ -19464,10 +24597,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_INT16\_MIN}
-\label{\detokenize{appdev/refs/macros/KRB5_INT16_MIN:krb5-int16-min-data}}\label{\detokenize{appdev/refs/macros/KRB5_INT16_MIN:krb5-int16-min}}\label{\detokenize{appdev/refs/macros/KRB5_INT16_MIN::doc}}\index{KRB5\_INT16\_MIN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_INT16_MIN:krb5-int16-min}}\label{\detokenize{appdev/refs/macros/KRB5_INT16_MIN:krb5-int16-min-data}}\label{\detokenize{appdev/refs/macros/KRB5_INT16_MIN::doc}}\index{KRB5\_INT16\_MIN (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_INT16\_MIN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INT16_MIN:KRB5_INT16_MIN}}\pysigline{\sphinxbfcode{KRB5\_INT16\_MIN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INT16_MIN:KRB5_INT16_MIN}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_INT16\_MIN}}}
 \end{fulllineitems}
 
 
@@ -19477,9 +24610,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_INT16\_MIN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_INT16\_MIN}}
 &
-\sphinxcode{(-KRB5\_INT16\_MAX-1)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\sphinxhyphen{}KRB5\_INT16\_MAX\sphinxhyphen{}1)}}
 \\
 \hline
 \end{tabulary}
@@ -19488,10 +24623,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_INT32\_MAX}
-\label{\detokenize{appdev/refs/macros/KRB5_INT32_MAX:krb5-int32-max-data}}\label{\detokenize{appdev/refs/macros/KRB5_INT32_MAX:krb5-int32-max}}\label{\detokenize{appdev/refs/macros/KRB5_INT32_MAX::doc}}\index{KRB5\_INT32\_MAX (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_INT32_MAX:krb5-int32-max}}\label{\detokenize{appdev/refs/macros/KRB5_INT32_MAX:krb5-int32-max-data}}\label{\detokenize{appdev/refs/macros/KRB5_INT32_MAX::doc}}\index{KRB5\_INT32\_MAX (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_INT32\_MAX}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INT32_MAX:KRB5_INT32_MAX}}\pysigline{\sphinxbfcode{KRB5\_INT32\_MAX}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INT32_MAX:KRB5_INT32_MAX}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_INT32\_MAX}}}
 \end{fulllineitems}
 
 
@@ -19501,9 +24636,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_INT32\_MAX}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_INT32\_MAX}}
 &
-\sphinxcode{2147483647}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2147483647}}
 \\
 \hline
 \end{tabulary}
@@ -19512,10 +24649,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_INT32\_MIN}
-\label{\detokenize{appdev/refs/macros/KRB5_INT32_MIN:krb5-int32-min-data}}\label{\detokenize{appdev/refs/macros/KRB5_INT32_MIN::doc}}\label{\detokenize{appdev/refs/macros/KRB5_INT32_MIN:krb5-int32-min}}\index{KRB5\_INT32\_MIN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_INT32_MIN:krb5-int32-min}}\label{\detokenize{appdev/refs/macros/KRB5_INT32_MIN:krb5-int32-min-data}}\label{\detokenize{appdev/refs/macros/KRB5_INT32_MIN::doc}}\index{KRB5\_INT32\_MIN (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_INT32\_MIN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INT32_MIN:KRB5_INT32_MIN}}\pysigline{\sphinxbfcode{KRB5\_INT32\_MIN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_INT32_MIN:KRB5_INT32_MIN}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_INT32\_MIN}}}
 \end{fulllineitems}
 
 
@@ -19525,9 +24662,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_INT32\_MIN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_INT32\_MIN}}
 &
-\sphinxcode{(-KRB5\_INT32\_MAX-1)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\sphinxhyphen{}KRB5\_INT32\_MAX\sphinxhyphen{}1)}}
 \\
 \hline
 \end{tabulary}
@@ -19536,10 +24675,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AD\_ITE}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE:krb5-keyusage-ad-ite-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE:krb5-keyusage-ad-ite}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE::doc}}\index{KRB5\_KEYUSAGE\_AD\_ITE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE:krb5-keyusage-ad-ite}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE:krb5-keyusage-ad-ite-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE::doc}}\index{KRB5\_KEYUSAGE\_AD\_ITE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AD\_ITE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE:KRB5_KEYUSAGE_AD_ITE}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AD\_ITE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_ITE:KRB5_KEYUSAGE_AD_ITE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AD\_ITE}}}
 \end{fulllineitems}
 
 
@@ -19549,9 +24688,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AD\_ITE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AD\_ITE}}
 &
-\sphinxcode{21}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{21}}
 \\
 \hline
 \end{tabulary}
@@ -19560,10 +24701,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AD\_KDCISSUED\_CKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM:krb5-keyusage-ad-kdcissued-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM:krb5-keyusage-ad-kdcissued-cksum}}\index{KRB5\_KEYUSAGE\_AD\_KDCISSUED\_CKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM:krb5-keyusage-ad-kdcissued-cksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM:krb5-keyusage-ad-kdcissued-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM::doc}}\index{KRB5\_KEYUSAGE\_AD\_KDCISSUED\_CKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AD\_KDCISSUED\_CKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM:KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AD\_KDCISSUED\_CKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM:KRB5_KEYUSAGE_AD_KDCISSUED_CKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AD\_KDCISSUED\_CKSUM}}}
 \end{fulllineitems}
 
 
@@ -19573,9 +24714,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AD\_KDCISSUED\_CKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AD\_KDCISSUED\_CKSUM}}
 &
-\sphinxcode{19}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{19}}
 \\
 \hline
 \end{tabulary}
@@ -19584,10 +24727,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AD\_MTE}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE:krb5-keyusage-ad-mte-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE:krb5-keyusage-ad-mte}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE::doc}}\index{KRB5\_KEYUSAGE\_AD\_MTE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE:krb5-keyusage-ad-mte}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE:krb5-keyusage-ad-mte-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE::doc}}\index{KRB5\_KEYUSAGE\_AD\_MTE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AD\_MTE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE:KRB5_KEYUSAGE_AD_MTE}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AD\_MTE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_MTE:KRB5_KEYUSAGE_AD_MTE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AD\_MTE}}}
 \end{fulllineitems}
 
 
@@ -19597,9 +24740,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AD\_MTE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AD\_MTE}}
 &
-\sphinxcode{20}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{20}}
 \\
 \hline
 \end{tabulary}
@@ -19608,10 +24753,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AD\_SIGNEDPATH}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH:krb5-keyusage-ad-signedpath-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH:krb5-keyusage-ad-signedpath}}\index{KRB5\_KEYUSAGE\_AD\_SIGNEDPATH (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH:krb5-keyusage-ad-signedpath}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH:krb5-keyusage-ad-signedpath-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH::doc}}\index{KRB5\_KEYUSAGE\_AD\_SIGNEDPATH (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AD\_SIGNEDPATH}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH:KRB5_KEYUSAGE_AD_SIGNEDPATH}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AD\_SIGNEDPATH}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AD_SIGNEDPATH:KRB5_KEYUSAGE_AD_SIGNEDPATH}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AD\_SIGNEDPATH}}}
 \end{fulllineitems}
 
 
@@ -19621,9 +24766,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AD\_SIGNEDPATH}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AD\_SIGNEDPATH}}
 &
-\sphinxcode{-21}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}21}}
 \\
 \hline
 \end{tabulary}
@@ -19632,10 +24779,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_APP\_DATA\_CKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM:krb5-keyusage-app-data-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM:krb5-keyusage-app-data-cksum}}\index{KRB5\_KEYUSAGE\_APP\_DATA\_CKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM:krb5-keyusage-app-data-cksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM:krb5-keyusage-app-data-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM::doc}}\index{KRB5\_KEYUSAGE\_APP\_DATA\_CKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_APP\_DATA\_CKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM:KRB5_KEYUSAGE_APP_DATA_CKSUM}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_APP\_DATA\_CKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_CKSUM:KRB5_KEYUSAGE_APP_DATA_CKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_APP\_DATA\_CKSUM}}}
 \end{fulllineitems}
 
 
@@ -19645,9 +24792,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_APP\_DATA\_CKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_APP\_DATA\_CKSUM}}
 &
-\sphinxcode{17}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{17}}
 \\
 \hline
 \end{tabulary}
@@ -19656,10 +24805,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_APP\_DATA\_ENCRYPT}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT:krb5-keyusage-app-data-encrypt}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT:krb5-keyusage-app-data-encrypt-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT::doc}}\index{KRB5\_KEYUSAGE\_APP\_DATA\_ENCRYPT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT:krb5-keyusage-app-data-encrypt}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT:krb5-keyusage-app-data-encrypt-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT::doc}}\index{KRB5\_KEYUSAGE\_APP\_DATA\_ENCRYPT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_APP\_DATA\_ENCRYPT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT:KRB5_KEYUSAGE_APP_DATA_ENCRYPT}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_APP\_DATA\_ENCRYPT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_APP_DATA_ENCRYPT:KRB5_KEYUSAGE_APP_DATA_ENCRYPT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_APP\_DATA\_ENCRYPT}}}
 \end{fulllineitems}
 
 
@@ -19669,9 +24818,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_APP\_DATA\_ENCRYPT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_APP\_DATA\_ENCRYPT}}
 &
-\sphinxcode{16}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{16}}
 \\
 \hline
 \end{tabulary}
@@ -19680,10 +24831,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AP\_REP\_ENCPART}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART:krb5-keyusage-ap-rep-encpart}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART:krb5-keyusage-ap-rep-encpart-data}}\index{KRB5\_KEYUSAGE\_AP\_REP\_ENCPART (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART:krb5-keyusage-ap-rep-encpart}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART:krb5-keyusage-ap-rep-encpart-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART::doc}}\index{KRB5\_KEYUSAGE\_AP\_REP\_ENCPART (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AP\_REP\_ENCPART}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART:KRB5_KEYUSAGE_AP_REP_ENCPART}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AP\_REP\_ENCPART}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REP_ENCPART:KRB5_KEYUSAGE_AP_REP_ENCPART}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AP\_REP\_ENCPART}}}
 \end{fulllineitems}
 
 
@@ -19693,9 +24844,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AP\_REP\_ENCPART}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AP\_REP\_ENCPART}}
 &
-\sphinxcode{12}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{12}}
 \\
 \hline
 \end{tabulary}
@@ -19704,10 +24857,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH:krb5-keyusage-ap-req-auth}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH:krb5-keyusage-ap-req-auth-data}}\index{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH:krb5-keyusage-ap-req-auth}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH:krb5-keyusage-ap-req-auth-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH::doc}}\index{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH:KRB5_KEYUSAGE_AP_REQ_AUTH}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH:KRB5_KEYUSAGE_AP_REQ_AUTH}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH}}}
 \end{fulllineitems}
 
 
@@ -19717,9 +24870,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH}}
 &
-\sphinxcode{11}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{11}}
 \\
 \hline
 \end{tabulary}
@@ -19728,10 +24883,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH\_CKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM:krb5-keyusage-ap-req-auth-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM:krb5-keyusage-ap-req-auth-cksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM::doc}}\index{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH\_CKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM:krb5-keyusage-ap-req-auth-cksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM:krb5-keyusage-ap-req-auth-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM::doc}}\index{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH\_CKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH\_CKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM:KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH\_CKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM:KRB5_KEYUSAGE_AP_REQ_AUTH_CKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH\_CKSUM}}}
 \end{fulllineitems}
 
 
@@ -19741,9 +24896,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH\_CKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AP\_REQ\_AUTH\_CKSUM}}
 &
-\sphinxcode{10}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{10}}
 \\
 \hline
 \end{tabulary}
@@ -19752,10 +24909,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AS\_REP\_ENCPART}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART:krb5-keyusage-as-rep-encpart-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART:krb5-keyusage-as-rep-encpart}}\index{KRB5\_KEYUSAGE\_AS\_REP\_ENCPART (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART:krb5-keyusage-as-rep-encpart}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART:krb5-keyusage-as-rep-encpart-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART::doc}}\index{KRB5\_KEYUSAGE\_AS\_REP\_ENCPART (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AS\_REP\_ENCPART}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART:KRB5_KEYUSAGE_AS_REP_ENCPART}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AS\_REP\_ENCPART}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REP_ENCPART:KRB5_KEYUSAGE_AS_REP_ENCPART}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AS\_REP\_ENCPART}}}
 \end{fulllineitems}
 
 
@@ -19765,9 +24922,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AS\_REP\_ENCPART}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AS\_REP\_ENCPART}}
 &
-\sphinxcode{3}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{3}}
 \\
 \hline
 \end{tabulary}
@@ -19776,10 +24935,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AS\_REQ}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ:krb5-keyusage-as-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ:krb5-keyusage-as-req}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ::doc}}\index{KRB5\_KEYUSAGE\_AS\_REQ (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ:krb5-keyusage-as-req}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ:krb5-keyusage-as-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ::doc}}\index{KRB5\_KEYUSAGE\_AS\_REQ (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AS\_REQ}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ:KRB5_KEYUSAGE_AS_REQ}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AS\_REQ}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ:KRB5_KEYUSAGE_AS_REQ}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AS\_REQ}}}
 \end{fulllineitems}
 
 
@@ -19789,9 +24948,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AS\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AS\_REQ}}
 &
-\sphinxcode{56}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{56}}
 \\
 \hline
 \end{tabulary}
@@ -19800,10 +24961,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_AS\_REQ\_PA\_ENC\_TS}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS:krb5-keyusage-as-req-pa-enc-ts-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS:krb5-keyusage-as-req-pa-enc-ts}}\index{KRB5\_KEYUSAGE\_AS\_REQ\_PA\_ENC\_TS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS:krb5-keyusage-as-req-pa-enc-ts}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS:krb5-keyusage-as-req-pa-enc-ts-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS::doc}}\index{KRB5\_KEYUSAGE\_AS\_REQ\_PA\_ENC\_TS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_AS\_REQ\_PA\_ENC\_TS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS:KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_AS\_REQ\_PA\_ENC\_TS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS:KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_AS\_REQ\_PA\_ENC\_TS}}}
 \end{fulllineitems}
 
 
@@ -19813,9 +24974,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_AS\_REQ\_PA\_ENC\_TS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_AS\_REQ\_PA\_ENC\_TS}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -19824,10 +24987,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_CAMMAC}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC:krb5-keyusage-cammac}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC:krb5-keyusage-cammac-data}}\index{KRB5\_KEYUSAGE\_CAMMAC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC:krb5-keyusage-cammac}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC:krb5-keyusage-cammac-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC::doc}}\index{KRB5\_KEYUSAGE\_CAMMAC (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_CAMMAC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC:KRB5_KEYUSAGE_CAMMAC}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_CAMMAC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_CAMMAC:KRB5_KEYUSAGE_CAMMAC}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_CAMMAC}}}
 \end{fulllineitems}
 
 
@@ -19837,9 +25000,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_CAMMAC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_CAMMAC}}
 &
-\sphinxcode{64}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{64}}
 \\
 \hline
 \end{tabulary}
@@ -19848,10 +25013,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_CLIENT}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT:krb5-keyusage-enc-challenge-client-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT:krb5-keyusage-enc-challenge-client}}\index{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_CLIENT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT:krb5-keyusage-enc-challenge-client}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT:krb5-keyusage-enc-challenge-client-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT::doc}}\index{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_CLIENT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_CLIENT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT:KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_CLIENT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT:KRB5_KEYUSAGE_ENC_CHALLENGE_CLIENT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_CLIENT}}}
 \end{fulllineitems}
 
 
@@ -19861,9 +25026,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_CLIENT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_CLIENT}}
 &
-\sphinxcode{54}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{54}}
 \\
 \hline
 \end{tabulary}
@@ -19872,10 +25039,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_KDC}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC:krb5-keyusage-enc-challenge-kdc-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC:krb5-keyusage-enc-challenge-kdc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC::doc}}\index{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_KDC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC:krb5-keyusage-enc-challenge-kdc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC:krb5-keyusage-enc-challenge-kdc-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC::doc}}\index{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_KDC (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_KDC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC:KRB5_KEYUSAGE_ENC_CHALLENGE_KDC}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_KDC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_ENC_CHALLENGE_KDC:KRB5_KEYUSAGE_ENC_CHALLENGE_KDC}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_KDC}}}
 \end{fulllineitems}
 
 
@@ -19885,9 +25052,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_KDC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_ENC\_CHALLENGE\_KDC}}
 &
-\sphinxcode{55}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{55}}
 \\
 \hline
 \end{tabulary}
@@ -19896,10 +25065,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_FAST\_ENC}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC:krb5-keyusage-fast-enc-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC:krb5-keyusage-fast-enc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC::doc}}\index{KRB5\_KEYUSAGE\_FAST\_ENC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC:krb5-keyusage-fast-enc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC:krb5-keyusage-fast-enc-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC::doc}}\index{KRB5\_KEYUSAGE\_FAST\_ENC (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_FAST\_ENC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC:KRB5_KEYUSAGE_FAST_ENC}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_FAST\_ENC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_ENC:KRB5_KEYUSAGE_FAST_ENC}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_FAST\_ENC}}}
 \end{fulllineitems}
 
 
@@ -19909,9 +25078,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_FAST\_ENC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_FAST\_ENC}}
 &
-\sphinxcode{51}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{51}}
 \\
 \hline
 \end{tabulary}
@@ -19920,10 +25091,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_FAST\_FINISHED}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED:krb5-keyusage-fast-finished-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED:krb5-keyusage-fast-finished}}\index{KRB5\_KEYUSAGE\_FAST\_FINISHED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED:krb5-keyusage-fast-finished}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED:krb5-keyusage-fast-finished-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED::doc}}\index{KRB5\_KEYUSAGE\_FAST\_FINISHED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_FAST\_FINISHED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED:KRB5_KEYUSAGE_FAST_FINISHED}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_FAST\_FINISHED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_FINISHED:KRB5_KEYUSAGE_FAST_FINISHED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_FAST\_FINISHED}}}
 \end{fulllineitems}
 
 
@@ -19933,9 +25104,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_FAST\_FINISHED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_FAST\_FINISHED}}
 &
-\sphinxcode{53}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{53}}
 \\
 \hline
 \end{tabulary}
@@ -19944,10 +25117,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_FAST\_REP}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP:krb5-keyusage-fast-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP:krb5-keyusage-fast-rep}}\index{KRB5\_KEYUSAGE\_FAST\_REP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP:krb5-keyusage-fast-rep}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP:krb5-keyusage-fast-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP::doc}}\index{KRB5\_KEYUSAGE\_FAST\_REP (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_FAST\_REP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP:KRB5_KEYUSAGE_FAST_REP}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_FAST\_REP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REP:KRB5_KEYUSAGE_FAST_REP}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_FAST\_REP}}}
 \end{fulllineitems}
 
 
@@ -19957,9 +25130,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_FAST\_REP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_FAST\_REP}}
 &
-\sphinxcode{52}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{52}}
 \\
 \hline
 \end{tabulary}
@@ -19968,10 +25143,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_FAST\_REQ\_CHKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM:krb5-keyusage-fast-req-chksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM:krb5-keyusage-fast-req-chksum}}\index{KRB5\_KEYUSAGE\_FAST\_REQ\_CHKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM:krb5-keyusage-fast-req-chksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM:krb5-keyusage-fast-req-chksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM::doc}}\index{KRB5\_KEYUSAGE\_FAST\_REQ\_CHKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_FAST\_REQ\_CHKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM:KRB5_KEYUSAGE_FAST_REQ_CHKSUM}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_FAST\_REQ\_CHKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_FAST_REQ_CHKSUM:KRB5_KEYUSAGE_FAST_REQ_CHKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_FAST\_REQ\_CHKSUM}}}
 \end{fulllineitems}
 
 
@@ -19981,9 +25156,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_FAST\_REQ\_CHKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_FAST\_REQ\_CHKSUM}}
 &
-\sphinxcode{50}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{50}}
 \\
 \hline
 \end{tabulary}
@@ -19992,10 +25169,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_GSS\_TOK\_MIC}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC:krb5-keyusage-gss-tok-mic}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC:krb5-keyusage-gss-tok-mic-data}}\index{KRB5\_KEYUSAGE\_GSS\_TOK\_MIC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC:krb5-keyusage-gss-tok-mic}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC:krb5-keyusage-gss-tok-mic-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC::doc}}\index{KRB5\_KEYUSAGE\_GSS\_TOK\_MIC (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_GSS\_TOK\_MIC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC:KRB5_KEYUSAGE_GSS_TOK_MIC}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_GSS\_TOK\_MIC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_MIC:KRB5_KEYUSAGE_GSS_TOK_MIC}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_GSS\_TOK\_MIC}}}
 \end{fulllineitems}
 
 
@@ -20005,9 +25182,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_GSS\_TOK\_MIC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_GSS\_TOK\_MIC}}
 &
-\sphinxcode{22}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{22}}
 \\
 \hline
 \end{tabulary}
@@ -20016,10 +25195,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_INTEG}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG:krb5-keyusage-gss-tok-wrap-integ}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG:krb5-keyusage-gss-tok-wrap-integ-data}}\index{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_INTEG (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG:krb5-keyusage-gss-tok-wrap-integ}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG:krb5-keyusage-gss-tok-wrap-integ-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG::doc}}\index{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_INTEG (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_INTEG}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG:KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_INTEG}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG:KRB5_KEYUSAGE_GSS_TOK_WRAP_INTEG}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_INTEG}}}
 \end{fulllineitems}
 
 
@@ -20029,9 +25208,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_INTEG}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_INTEG}}
 &
-\sphinxcode{23}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{23}}
 \\
 \hline
 \end{tabulary}
@@ -20040,10 +25221,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_PRIV}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV:krb5-keyusage-gss-tok-wrap-priv-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV:krb5-keyusage-gss-tok-wrap-priv}}\index{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_PRIV (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV:krb5-keyusage-gss-tok-wrap-priv}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV:krb5-keyusage-gss-tok-wrap-priv-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV::doc}}\index{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_PRIV (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_PRIV}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV:KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_PRIV}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV:KRB5_KEYUSAGE_GSS_TOK_WRAP_PRIV}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_PRIV}}}
 \end{fulllineitems}
 
 
@@ -20053,9 +25234,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_PRIV}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_GSS\_TOK\_WRAP\_PRIV}}
 &
-\sphinxcode{24}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{24}}
 \\
 \hline
 \end{tabulary}
@@ -20064,10 +25247,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_IAKERB\_FINISHED}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED:krb5-keyusage-iakerb-finished-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED:krb5-keyusage-iakerb-finished}}\index{KRB5\_KEYUSAGE\_IAKERB\_FINISHED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED:krb5-keyusage-iakerb-finished}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED:krb5-keyusage-iakerb-finished-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED::doc}}\index{KRB5\_KEYUSAGE\_IAKERB\_FINISHED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_IAKERB\_FINISHED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED:KRB5_KEYUSAGE_IAKERB_FINISHED}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_IAKERB\_FINISHED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_IAKERB_FINISHED:KRB5_KEYUSAGE_IAKERB_FINISHED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_IAKERB\_FINISHED}}}
 \end{fulllineitems}
 
 
@@ -20077,9 +25260,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_IAKERB\_FINISHED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_IAKERB\_FINISHED}}
 &
-\sphinxcode{42}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{42}}
 \\
 \hline
 \end{tabulary}
@@ -20088,10 +25273,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_KDC\_REP\_TICKET}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET:krb5-keyusage-kdc-rep-ticket-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET:krb5-keyusage-kdc-rep-ticket}}\index{KRB5\_KEYUSAGE\_KDC\_REP\_TICKET (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET:krb5-keyusage-kdc-rep-ticket}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET:krb5-keyusage-kdc-rep-ticket-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET::doc}}\index{KRB5\_KEYUSAGE\_KDC\_REP\_TICKET (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_KDC\_REP\_TICKET}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET:KRB5_KEYUSAGE_KDC_REP_TICKET}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_KDC\_REP\_TICKET}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KDC_REP_TICKET:KRB5_KEYUSAGE_KDC_REP_TICKET}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_KDC\_REP\_TICKET}}}
 \end{fulllineitems}
 
 
@@ -20101,9 +25286,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_KDC\_REP\_TICKET}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_KDC\_REP\_TICKET}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -20112,10 +25299,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_KRB\_CRED\_ENCPART}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART:krb5-keyusage-krb-cred-encpart-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART:krb5-keyusage-krb-cred-encpart}}\index{KRB5\_KEYUSAGE\_KRB\_CRED\_ENCPART (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART:krb5-keyusage-krb-cred-encpart}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART:krb5-keyusage-krb-cred-encpart-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART::doc}}\index{KRB5\_KEYUSAGE\_KRB\_CRED\_ENCPART (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_KRB\_CRED\_ENCPART}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART:KRB5_KEYUSAGE_KRB_CRED_ENCPART}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_KRB\_CRED\_ENCPART}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_CRED_ENCPART:KRB5_KEYUSAGE_KRB_CRED_ENCPART}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_KRB\_CRED\_ENCPART}}}
 \end{fulllineitems}
 
 
@@ -20125,9 +25312,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_KRB\_CRED\_ENCPART}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_KRB\_CRED\_ENCPART}}
 &
-\sphinxcode{14}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{14}}
 \\
 \hline
 \end{tabulary}
@@ -20136,10 +25325,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_KRB\_ERROR\_CKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM:krb5-keyusage-krb-error-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM:krb5-keyusage-krb-error-cksum}}\index{KRB5\_KEYUSAGE\_KRB\_ERROR\_CKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM:krb5-keyusage-krb-error-cksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM:krb5-keyusage-krb-error-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM::doc}}\index{KRB5\_KEYUSAGE\_KRB\_ERROR\_CKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_KRB\_ERROR\_CKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM:KRB5_KEYUSAGE_KRB_ERROR_CKSUM}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_KRB\_ERROR\_CKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_ERROR_CKSUM:KRB5_KEYUSAGE_KRB_ERROR_CKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_KRB\_ERROR\_CKSUM}}}
 \end{fulllineitems}
 
 
@@ -20149,9 +25338,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_KRB\_ERROR\_CKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_KRB\_ERROR\_CKSUM}}
 &
-\sphinxcode{18}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{18}}
 \\
 \hline
 \end{tabulary}
@@ -20160,10 +25351,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_KRB\_PRIV\_ENCPART}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART:krb5-keyusage-krb-priv-encpart}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART:krb5-keyusage-krb-priv-encpart-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART::doc}}\index{KRB5\_KEYUSAGE\_KRB\_PRIV\_ENCPART (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART:krb5-keyusage-krb-priv-encpart}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART:krb5-keyusage-krb-priv-encpart-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART::doc}}\index{KRB5\_KEYUSAGE\_KRB\_PRIV\_ENCPART (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_KRB\_PRIV\_ENCPART}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART:KRB5_KEYUSAGE_KRB_PRIV_ENCPART}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_KRB\_PRIV\_ENCPART}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_PRIV_ENCPART:KRB5_KEYUSAGE_KRB_PRIV_ENCPART}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_KRB\_PRIV\_ENCPART}}}
 \end{fulllineitems}
 
 
@@ -20173,9 +25364,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_KRB\_PRIV\_ENCPART}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_KRB\_PRIV\_ENCPART}}
 &
-\sphinxcode{13}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{13}}
 \\
 \hline
 \end{tabulary}
@@ -20184,10 +25377,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_KRB\_SAFE\_CKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM:krb5-keyusage-krb-safe-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM:krb5-keyusage-krb-safe-cksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM::doc}}\index{KRB5\_KEYUSAGE\_KRB\_SAFE\_CKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM:krb5-keyusage-krb-safe-cksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM:krb5-keyusage-krb-safe-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM::doc}}\index{KRB5\_KEYUSAGE\_KRB\_SAFE\_CKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_KRB\_SAFE\_CKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM:KRB5_KEYUSAGE_KRB_SAFE_CKSUM}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_KRB\_SAFE\_CKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_KRB_SAFE_CKSUM:KRB5_KEYUSAGE_KRB_SAFE_CKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_KRB\_SAFE\_CKSUM}}}
 \end{fulllineitems}
 
 
@@ -20197,9 +25390,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_KRB\_SAFE\_CKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_KRB\_SAFE\_CKSUM}}
 &
-\sphinxcode{15}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{15}}
 \\
 \hline
 \end{tabulary}
@@ -20208,13 +25403,14 @@ More responses needed.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_PA\_AS\_FRESHNESS}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS:krb5-keyusage-pa-as-freshness}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS:krb5-keyusage-pa-as-freshness-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS::doc}}\index{KRB5\_KEYUSAGE\_PA\_AS\_FRESHNESS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS:krb5-keyusage-pa-as-freshness}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS:krb5-keyusage-pa-as-freshness-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS::doc}}\index{KRB5\_KEYUSAGE\_PA\_AS\_FRESHNESS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_PA\_AS\_FRESHNESS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS:KRB5_KEYUSAGE_PA_AS_FRESHNESS}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_PA\_AS\_FRESHNESS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_AS_FRESHNESS:KRB5_KEYUSAGE_PA_AS_FRESHNESS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_AS\_FRESHNESS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Used for freshness tokens.
 
 
@@ -20223,9 +25419,11 @@ Used for freshness tokens.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_PA\_AS\_FRESHNESS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_AS\_FRESHNESS}}
 &
-\sphinxcode{514}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{514}}
 \\
 \hline
 \end{tabulary}
@@ -20234,13 +25432,14 @@ Used for freshness tokens.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_PA\_FX\_COOKIE}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE:krb5-keyusage-pa-fx-cookie}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE:krb5-keyusage-pa-fx-cookie-data}}\index{KRB5\_KEYUSAGE\_PA\_FX\_COOKIE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE:krb5-keyusage-pa-fx-cookie}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE:krb5-keyusage-pa-fx-cookie-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE::doc}}\index{KRB5\_KEYUSAGE\_PA\_FX\_COOKIE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_PA\_FX\_COOKIE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE:KRB5_KEYUSAGE_PA_FX_COOKIE}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_PA\_FX\_COOKIE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_FX_COOKIE:KRB5_KEYUSAGE_PA_FX_COOKIE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_FX\_COOKIE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Used for encrypted FAST cookies.
 
 
@@ -20249,9 +25448,11 @@ Used for encrypted FAST cookies.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_PA\_FX\_COOKIE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_FX\_COOKIE}}
 &
-\sphinxcode{513}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{513}}
 \\
 \hline
 \end{tabulary}
@@ -20260,13 +25461,14 @@ Used for encrypted FAST cookies.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_PA\_OTP\_REQUEST}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST:krb5-keyusage-pa-otp-request}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST:krb5-keyusage-pa-otp-request-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST::doc}}\index{KRB5\_KEYUSAGE\_PA\_OTP\_REQUEST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST:krb5-keyusage-pa-otp-request}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST:krb5-keyusage-pa-otp-request-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST::doc}}\index{KRB5\_KEYUSAGE\_PA\_OTP\_REQUEST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_PA\_OTP\_REQUEST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST:KRB5_KEYUSAGE_PA_OTP_REQUEST}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_PA\_OTP\_REQUEST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_OTP_REQUEST:KRB5_KEYUSAGE_PA_OTP_REQUEST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_OTP\_REQUEST}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 See RFC 6560 section 4.2.
 
 
@@ -20275,9 +25477,11 @@ See RFC 6560 section 4.2.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_PA\_OTP\_REQUEST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_OTP\_REQUEST}}
 &
-\sphinxcode{45}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{45}}
 \\
 \hline
 \end{tabulary}
@@ -20286,10 +25490,10 @@ See RFC 6560 section 4.2.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_PA\_PKINIT\_KX}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX:krb5-keyusage-pa-pkinit-kx-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX:krb5-keyusage-pa-pkinit-kx}}\index{KRB5\_KEYUSAGE\_PA\_PKINIT\_KX (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX:krb5-keyusage-pa-pkinit-kx}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX:krb5-keyusage-pa-pkinit-kx-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX::doc}}\index{KRB5\_KEYUSAGE\_PA\_PKINIT\_KX (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_PA\_PKINIT\_KX}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX:KRB5_KEYUSAGE_PA_PKINIT_KX}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_PA\_PKINIT\_KX}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_PKINIT_KX:KRB5_KEYUSAGE_PA_PKINIT_KX}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_PKINIT\_KX}}}
 \end{fulllineitems}
 
 
@@ -20299,9 +25503,11 @@ See RFC 6560 section 4.2.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_PA\_PKINIT\_KX}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_PKINIT\_KX}}
 &
-\sphinxcode{44}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{44}}
 \\
 \hline
 \end{tabulary}
@@ -20310,24 +25516,24 @@ See RFC 6560 section 4.2.
 
 
 \subsubsection{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REPLY}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY:krb5-keyusage-pa-s4u-x509-user-reply-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY:krb5-keyusage-pa-s4u-x509-user-reply}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY::doc}}\index{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REPLY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY:krb5-keyusage-pa-s4u-x509-user-reply}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY:krb5-keyusage-pa-s4u-x509-user-reply-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY::doc}}\index{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REPLY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REPLY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY:KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REPLY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY:KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REPLY}}}
 \end{fulllineitems}
 
 
-Note conflict with \sphinxcode{KRB5\_KEYUSAGE\_PA\_SAM\_RESPONSE} .
-
 
 \begin{savenotes}\sphinxattablestart
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REPLY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REPLY}}
 &
-\sphinxcode{27}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{27}}
 \\
 \hline
 \end{tabulary}
@@ -20336,24 +25542,24 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REQUEST}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST:krb5-keyusage-pa-s4u-x509-user-request}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST:krb5-keyusage-pa-s4u-x509-user-request-data}}\index{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REQUEST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST:krb5-keyusage-pa-s4u-x509-user-request}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST:krb5-keyusage-pa-s4u-x509-user-request-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST::doc}}\index{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REQUEST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REQUEST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST:KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REQUEST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST:KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REQUEST}}}
 \end{fulllineitems}
 
 
-Note conflict with \sphinxcode{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_TRACKID} .
-
 
 \begin{savenotes}\sphinxattablestart
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REQUEST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REQUEST}}
 &
-\sphinxcode{26}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{26}}
 \\
 \hline
 \end{tabulary}
@@ -20362,10 +25568,10 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_CKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM:krb5-keyusage-pa-sam-challenge-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM:krb5-keyusage-pa-sam-challenge-cksum}}\index{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_CKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM:krb5-keyusage-pa-sam-challenge-cksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM:krb5-keyusage-pa-sam-challenge-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM::doc}}\index{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_CKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_CKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM:KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_CKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM:KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_CKSUM}}}
 \end{fulllineitems}
 
 
@@ -20375,9 +25581,11 @@ Note conflict with \sphinxcode{KRB5\_KEY
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_CKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_CKSUM}}
 &
-\sphinxcode{25}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{25}}
 \\
 \hline
 \end{tabulary}
@@ -20386,24 +25594,24 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_TRACKID}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID:krb5-keyusage-pa-sam-challenge-trackid}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID:krb5-keyusage-pa-sam-challenge-trackid-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID::doc}}\index{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_TRACKID (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID:krb5-keyusage-pa-sam-challenge-trackid}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID:krb5-keyusage-pa-sam-challenge-trackid-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID::doc}}\index{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_TRACKID (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_TRACKID}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID:KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_TRACKID}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID:KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_TRACKID}}}
 \end{fulllineitems}
 
 
-Note conflict with \sphinxcode{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REQUEST} .
-
 
 \begin{savenotes}\sphinxattablestart
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_TRACKID}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_SAM\_CHALLENGE\_TRACKID}}
 &
-\sphinxcode{26}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{26}}
 \\
 \hline
 \end{tabulary}
@@ -20412,24 +25620,24 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_PA\_SAM\_RESPONSE}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE:krb5-keyusage-pa-sam-response-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE:krb5-keyusage-pa-sam-response}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE::doc}}\index{KRB5\_KEYUSAGE\_PA\_SAM\_RESPONSE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE:krb5-keyusage-pa-sam-response}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE:krb5-keyusage-pa-sam-response-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE::doc}}\index{KRB5\_KEYUSAGE\_PA\_SAM\_RESPONSE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_PA\_SAM\_RESPONSE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE:KRB5_KEYUSAGE_PA_SAM_RESPONSE}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_PA\_SAM\_RESPONSE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_PA_SAM_RESPONSE:KRB5_KEYUSAGE_PA_SAM_RESPONSE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_SAM\_RESPONSE}}}
 \end{fulllineitems}
 
 
-Note conflict with \sphinxcode{KRB5\_KEYUSAGE\_PA\_S4U\_X509\_USER\_REPLY} .
-
 
 \begin{savenotes}\sphinxattablestart
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_PA\_SAM\_RESPONSE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_PA\_SAM\_RESPONSE}}
 &
-\sphinxcode{27}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{27}}
 \\
 \hline
 \end{tabulary}
@@ -20438,10 +25646,10 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_SPAKE}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_SPAKE:krb5-keyusage-spake}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_SPAKE:krb5-keyusage-spake-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_SPAKE::doc}}\index{KRB5\_KEYUSAGE\_SPAKE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_SPAKE:krb5-keyusage-spake}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_SPAKE:krb5-keyusage-spake-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_SPAKE::doc}}\index{KRB5\_KEYUSAGE\_SPAKE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_SPAKE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_SPAKE:KRB5_KEYUSAGE_SPAKE}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_SPAKE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_SPAKE:KRB5_KEYUSAGE_SPAKE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_SPAKE}}}
 \end{fulllineitems}
 
 
@@ -20451,9 +25659,11 @@ Note conflict with \sphinxcode{KRB5\_KEY
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_SPAKE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_SPAKE}}
 &
-\sphinxcode{65}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{65}}
 \\
 \hline
 \end{tabulary}
@@ -20462,10 +25672,10 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SESSKEY}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY:krb5-keyusage-tgs-rep-encpart-sesskey}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY:krb5-keyusage-tgs-rep-encpart-sesskey-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY::doc}}\index{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SESSKEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY:krb5-keyusage-tgs-rep-encpart-sesskey}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY:krb5-keyusage-tgs-rep-encpart-sesskey-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY::doc}}\index{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SESSKEY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SESSKEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY:KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SESSKEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY:KRB5_KEYUSAGE_TGS_REP_ENCPART_SESSKEY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SESSKEY}}}
 \end{fulllineitems}
 
 
@@ -20475,9 +25685,11 @@ Note conflict with \sphinxcode{KRB5\_KEY
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SESSKEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SESSKEY}}
 &
-\sphinxcode{8}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{8}}
 \\
 \hline
 \end{tabulary}
@@ -20486,10 +25698,10 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SUBKEY}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY:krb5-keyusage-tgs-rep-encpart-subkey-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY:krb5-keyusage-tgs-rep-encpart-subkey}}\index{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SUBKEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY:krb5-keyusage-tgs-rep-encpart-subkey}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY:krb5-keyusage-tgs-rep-encpart-subkey-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY::doc}}\index{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SUBKEY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SUBKEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY:KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SUBKEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY:KRB5_KEYUSAGE_TGS_REP_ENCPART_SUBKEY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SUBKEY}}}
 \end{fulllineitems}
 
 
@@ -20499,9 +25711,11 @@ Note conflict with \sphinxcode{KRB5\_KEY
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SUBKEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REP\_ENCPART\_SUBKEY}}
 &
-\sphinxcode{9}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{9}}
 \\
 \hline
 \end{tabulary}
@@ -20510,10 +25724,10 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SESSKEY}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY:krb5-keyusage-tgs-req-ad-sesskey}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY:krb5-keyusage-tgs-req-ad-sesskey-data}}\index{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SESSKEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY:krb5-keyusage-tgs-req-ad-sesskey}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY:krb5-keyusage-tgs-req-ad-sesskey-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY::doc}}\index{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SESSKEY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SESSKEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY:KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SESSKEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY:KRB5_KEYUSAGE_TGS_REQ_AD_SESSKEY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SESSKEY}}}
 \end{fulllineitems}
 
 
@@ -20523,9 +25737,11 @@ Note conflict with \sphinxcode{KRB5\_KEY
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SESSKEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SESSKEY}}
 &
-\sphinxcode{4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{4}}
 \\
 \hline
 \end{tabulary}
@@ -20534,10 +25750,10 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SUBKEY}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY:krb5-keyusage-tgs-req-ad-subkey}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY:krb5-keyusage-tgs-req-ad-subkey-data}}\index{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SUBKEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY:krb5-keyusage-tgs-req-ad-subkey}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY:krb5-keyusage-tgs-req-ad-subkey-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY::doc}}\index{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SUBKEY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SUBKEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY:KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SUBKEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY:KRB5_KEYUSAGE_TGS_REQ_AD_SUBKEY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SUBKEY}}}
 \end{fulllineitems}
 
 
@@ -20547,9 +25763,11 @@ Note conflict with \sphinxcode{KRB5\_KEY
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SUBKEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REQ\_AD\_SUBKEY}}
 &
-\sphinxcode{5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{5}}
 \\
 \hline
 \end{tabulary}
@@ -20558,10 +25776,10 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH:krb5-keyusage-tgs-req-auth}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH:krb5-keyusage-tgs-req-auth-data}}\index{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH:krb5-keyusage-tgs-req-auth}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH:krb5-keyusage-tgs-req-auth-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH::doc}}\index{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH:KRB5_KEYUSAGE_TGS_REQ_AUTH}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH:KRB5_KEYUSAGE_TGS_REQ_AUTH}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH}}}
 \end{fulllineitems}
 
 
@@ -20571,9 +25789,11 @@ Note conflict with \sphinxcode{KRB5\_KEY
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH}}
 &
-\sphinxcode{7}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{7}}
 \\
 \hline
 \end{tabulary}
@@ -20582,10 +25802,10 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH\_CKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM:krb5-keyusage-tgs-req-auth-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM:krb5-keyusage-tgs-req-auth-cksum}}\index{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH\_CKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM:krb5-keyusage-tgs-req-auth-cksum}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM:krb5-keyusage-tgs-req-auth-cksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM::doc}}\index{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH\_CKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH\_CKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM:KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM}}\pysigline{\sphinxbfcode{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH\_CKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM:KRB5_KEYUSAGE_TGS_REQ_AUTH_CKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH\_CKSUM}}}
 \end{fulllineitems}
 
 
@@ -20595,9 +25815,11 @@ Note conflict with \sphinxcode{KRB5\_KEY
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH\_CKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KEYUSAGE\_TGS\_REQ\_AUTH\_CKSUM}}
 &
-\sphinxcode{6}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{6}}
 \\
 \hline
 \end{tabulary}
@@ -20606,13 +25828,14 @@ Note conflict with \sphinxcode{KRB5\_KEY
 
 
 \subsubsection{KRB5\_KPASSWD\_ACCESSDENIED}
-\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED:krb5-kpasswd-accessdenied}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED:krb5-kpasswd-accessdenied-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED::doc}}\index{KRB5\_KPASSWD\_ACCESSDENIED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED:krb5-kpasswd-accessdenied}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED:krb5-kpasswd-accessdenied-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED::doc}}\index{KRB5\_KPASSWD\_ACCESSDENIED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KPASSWD\_ACCESSDENIED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED:KRB5_KPASSWD_ACCESSDENIED}}\pysigline{\sphinxbfcode{KRB5\_KPASSWD\_ACCESSDENIED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_ACCESSDENIED:KRB5_KPASSWD_ACCESSDENIED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KPASSWD\_ACCESSDENIED}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Not authorized.
 
 
@@ -20621,9 +25844,11 @@ Not authorized.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KPASSWD\_ACCESSDENIED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KPASSWD\_ACCESSDENIED}}
 &
-\sphinxcode{5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{5}}
 \\
 \hline
 \end{tabulary}
@@ -20632,13 +25857,14 @@ Not authorized.
 
 
 \subsubsection{KRB5\_KPASSWD\_AUTHERROR}
-\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_AUTHERROR:krb5-kpasswd-autherror-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_AUTHERROR:krb5-kpasswd-autherror}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_AUTHERROR::doc}}\index{KRB5\_KPASSWD\_AUTHERROR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_AUTHERROR:krb5-kpasswd-autherror}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_AUTHERROR:krb5-kpasswd-autherror-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_AUTHERROR::doc}}\index{KRB5\_KPASSWD\_AUTHERROR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KPASSWD\_AUTHERROR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_AUTHERROR:KRB5_KPASSWD_AUTHERROR}}\pysigline{\sphinxbfcode{KRB5\_KPASSWD\_AUTHERROR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_AUTHERROR:KRB5_KPASSWD_AUTHERROR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KPASSWD\_AUTHERROR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Authentication error.
 
 
@@ -20647,9 +25873,11 @@ Authentication error.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KPASSWD\_AUTHERROR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KPASSWD\_AUTHERROR}}
 &
-\sphinxcode{3}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{3}}
 \\
 \hline
 \end{tabulary}
@@ -20658,13 +25886,14 @@ Authentication error.
 
 
 \subsubsection{KRB5\_KPASSWD\_BAD\_VERSION}
-\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION:krb5-kpasswd-bad-version-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION:krb5-kpasswd-bad-version}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION::doc}}\index{KRB5\_KPASSWD\_BAD\_VERSION (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION:krb5-kpasswd-bad-version}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION:krb5-kpasswd-bad-version-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION::doc}}\index{KRB5\_KPASSWD\_BAD\_VERSION (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KPASSWD\_BAD\_VERSION}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION:KRB5_KPASSWD_BAD_VERSION}}\pysigline{\sphinxbfcode{KRB5\_KPASSWD\_BAD\_VERSION}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_BAD_VERSION:KRB5_KPASSWD_BAD_VERSION}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KPASSWD\_BAD\_VERSION}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Unknown RPC version.
 
 
@@ -20673,9 +25902,11 @@ Unknown RPC version.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KPASSWD\_BAD\_VERSION}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KPASSWD\_BAD\_VERSION}}
 &
-\sphinxcode{6}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{6}}
 \\
 \hline
 \end{tabulary}
@@ -20684,13 +25915,14 @@ Unknown RPC version.
 
 
 \subsubsection{KRB5\_KPASSWD\_HARDERROR}
-\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_HARDERROR:krb5-kpasswd-harderror}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_HARDERROR:krb5-kpasswd-harderror-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_HARDERROR::doc}}\index{KRB5\_KPASSWD\_HARDERROR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_HARDERROR:krb5-kpasswd-harderror}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_HARDERROR:krb5-kpasswd-harderror-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_HARDERROR::doc}}\index{KRB5\_KPASSWD\_HARDERROR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KPASSWD\_HARDERROR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_HARDERROR:KRB5_KPASSWD_HARDERROR}}\pysigline{\sphinxbfcode{KRB5\_KPASSWD\_HARDERROR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_HARDERROR:KRB5_KPASSWD_HARDERROR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KPASSWD\_HARDERROR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Server error.
 
 
@@ -20699,9 +25931,11 @@ Server error.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KPASSWD\_HARDERROR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KPASSWD\_HARDERROR}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -20710,13 +25944,14 @@ Server error.
 
 
 \subsubsection{KRB5\_KPASSWD\_INITIAL\_FLAG\_NEEDED}
-\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED:krb5-kpasswd-initial-flag-needed}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED:krb5-kpasswd-initial-flag-needed-data}}\index{KRB5\_KPASSWD\_INITIAL\_FLAG\_NEEDED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED:krb5-kpasswd-initial-flag-needed}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED:krb5-kpasswd-initial-flag-needed-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED::doc}}\index{KRB5\_KPASSWD\_INITIAL\_FLAG\_NEEDED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KPASSWD\_INITIAL\_FLAG\_NEEDED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED:KRB5_KPASSWD_INITIAL_FLAG_NEEDED}}\pysigline{\sphinxbfcode{KRB5\_KPASSWD\_INITIAL\_FLAG\_NEEDED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_INITIAL_FLAG_NEEDED:KRB5_KPASSWD_INITIAL_FLAG_NEEDED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KPASSWD\_INITIAL\_FLAG\_NEEDED}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 The presented credentials were not obtained using a password directly.
 
 
@@ -20725,9 +25960,11 @@ The presented credentials were not obtai
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KPASSWD\_INITIAL\_FLAG\_NEEDED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KPASSWD\_INITIAL\_FLAG\_NEEDED}}
 &
-\sphinxcode{7}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{7}}
 \\
 \hline
 \end{tabulary}
@@ -20736,13 +25973,14 @@ The presented credentials were not obtai
 
 
 \subsubsection{KRB5\_KPASSWD\_MALFORMED}
-\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_MALFORMED:krb5-kpasswd-malformed-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_MALFORMED:krb5-kpasswd-malformed}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_MALFORMED::doc}}\index{KRB5\_KPASSWD\_MALFORMED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_MALFORMED:krb5-kpasswd-malformed}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_MALFORMED:krb5-kpasswd-malformed-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_MALFORMED::doc}}\index{KRB5\_KPASSWD\_MALFORMED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KPASSWD\_MALFORMED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_MALFORMED:KRB5_KPASSWD_MALFORMED}}\pysigline{\sphinxbfcode{KRB5\_KPASSWD\_MALFORMED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_MALFORMED:KRB5_KPASSWD_MALFORMED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KPASSWD\_MALFORMED}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Malformed request.
 
 
@@ -20751,9 +25989,11 @@ Malformed request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KPASSWD\_MALFORMED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KPASSWD\_MALFORMED}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -20762,13 +26002,14 @@ Malformed request.
 
 
 \subsubsection{KRB5\_KPASSWD\_SOFTERROR}
-\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SOFTERROR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SOFTERROR:krb5-kpasswd-softerror}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SOFTERROR:krb5-kpasswd-softerror-data}}\index{KRB5\_KPASSWD\_SOFTERROR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SOFTERROR:krb5-kpasswd-softerror}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SOFTERROR:krb5-kpasswd-softerror-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SOFTERROR::doc}}\index{KRB5\_KPASSWD\_SOFTERROR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KPASSWD\_SOFTERROR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SOFTERROR:KRB5_KPASSWD_SOFTERROR}}\pysigline{\sphinxbfcode{KRB5\_KPASSWD\_SOFTERROR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SOFTERROR:KRB5_KPASSWD_SOFTERROR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KPASSWD\_SOFTERROR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Password change rejected.
 
 
@@ -20777,9 +26018,11 @@ Password change rejected.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KPASSWD\_SOFTERROR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KPASSWD\_SOFTERROR}}
 &
-\sphinxcode{4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{4}}
 \\
 \hline
 \end{tabulary}
@@ -20788,13 +26031,14 @@ Password change rejected.
 
 
 \subsubsection{KRB5\_KPASSWD\_SUCCESS}
-\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SUCCESS:krb5-kpasswd-success-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SUCCESS::doc}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SUCCESS:krb5-kpasswd-success}}\index{KRB5\_KPASSWD\_SUCCESS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SUCCESS:krb5-kpasswd-success}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SUCCESS:krb5-kpasswd-success-data}}\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SUCCESS::doc}}\index{KRB5\_KPASSWD\_SUCCESS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_KPASSWD\_SUCCESS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SUCCESS:KRB5_KPASSWD_SUCCESS}}\pysigline{\sphinxbfcode{KRB5\_KPASSWD\_SUCCESS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_KPASSWD_SUCCESS:KRB5_KPASSWD_SUCCESS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_KPASSWD\_SUCCESS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Success.
 
 
@@ -20803,9 +26047,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_KPASSWD\_SUCCESS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_KPASSWD\_SUCCESS}}
 &
-\sphinxcode{0}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0}}
 \\
 \hline
 \end{tabulary}
@@ -20814,10 +26060,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ALL\_ACCT\_EXPTIME}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME:krb5-lrq-all-acct-exptime}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME:krb5-lrq-all-acct-exptime-data}}\index{KRB5\_LRQ\_ALL\_ACCT\_EXPTIME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME:krb5-lrq-all-acct-exptime}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME:krb5-lrq-all-acct-exptime-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME::doc}}\index{KRB5\_LRQ\_ALL\_ACCT\_EXPTIME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ALL\_ACCT\_EXPTIME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME:KRB5_LRQ_ALL_ACCT_EXPTIME}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ALL\_ACCT\_EXPTIME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_ACCT_EXPTIME:KRB5_LRQ_ALL_ACCT_EXPTIME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ALL\_ACCT\_EXPTIME}}}
 \end{fulllineitems}
 
 
@@ -20827,9 +26073,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ALL\_ACCT\_EXPTIME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ALL\_ACCT\_EXPTIME}}
 &
-\sphinxcode{7}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{7}}
 \\
 \hline
 \end{tabulary}
@@ -20838,10 +26086,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ALL\_LAST\_INITIAL}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL:krb5-lrq-all-last-initial}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL:krb5-lrq-all-last-initial-data}}\index{KRB5\_LRQ\_ALL\_LAST\_INITIAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL:krb5-lrq-all-last-initial}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL:krb5-lrq-all-last-initial-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL::doc}}\index{KRB5\_LRQ\_ALL\_LAST\_INITIAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ALL\_LAST\_INITIAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL:KRB5_LRQ_ALL_LAST_INITIAL}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ALL\_LAST\_INITIAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_INITIAL:KRB5_LRQ_ALL_LAST_INITIAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_INITIAL}}}
 \end{fulllineitems}
 
 
@@ -20851,9 +26099,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ALL\_LAST\_INITIAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_INITIAL}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -20862,10 +26112,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ALL\_LAST\_RENEWAL}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL:krb5-lrq-all-last-renewal}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL:krb5-lrq-all-last-renewal-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL::doc}}\index{KRB5\_LRQ\_ALL\_LAST\_RENEWAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL:krb5-lrq-all-last-renewal}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL:krb5-lrq-all-last-renewal-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL::doc}}\index{KRB5\_LRQ\_ALL\_LAST\_RENEWAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ALL\_LAST\_RENEWAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL:KRB5_LRQ_ALL_LAST_RENEWAL}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ALL\_LAST\_RENEWAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_RENEWAL:KRB5_LRQ_ALL_LAST_RENEWAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_RENEWAL}}}
 \end{fulllineitems}
 
 
@@ -20875,9 +26125,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ALL\_LAST\_RENEWAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_RENEWAL}}
 &
-\sphinxcode{4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{4}}
 \\
 \hline
 \end{tabulary}
@@ -20886,10 +26138,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ALL\_LAST\_REQ}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ:krb5-lrq-all-last-req}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ:krb5-lrq-all-last-req-data}}\index{KRB5\_LRQ\_ALL\_LAST\_REQ (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ:krb5-lrq-all-last-req}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ:krb5-lrq-all-last-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ::doc}}\index{KRB5\_LRQ\_ALL\_LAST\_REQ (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ALL\_LAST\_REQ}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ:KRB5_LRQ_ALL_LAST_REQ}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ALL\_LAST\_REQ}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_REQ:KRB5_LRQ_ALL_LAST_REQ}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_REQ}}}
 \end{fulllineitems}
 
 
@@ -20899,9 +26151,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ALL\_LAST\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_REQ}}
 &
-\sphinxcode{5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{5}}
 \\
 \hline
 \end{tabulary}
@@ -20910,10 +26164,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ALL\_LAST\_TGT}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT:krb5-lrq-all-last-tgt-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT:krb5-lrq-all-last-tgt}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT::doc}}\index{KRB5\_LRQ\_ALL\_LAST\_TGT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT:krb5-lrq-all-last-tgt}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT:krb5-lrq-all-last-tgt-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT::doc}}\index{KRB5\_LRQ\_ALL\_LAST\_TGT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ALL\_LAST\_TGT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT:KRB5_LRQ_ALL_LAST_TGT}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ALL\_LAST\_TGT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT:KRB5_LRQ_ALL_LAST_TGT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_TGT}}}
 \end{fulllineitems}
 
 
@@ -20923,9 +26177,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ALL\_LAST\_TGT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_TGT}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -20934,10 +26190,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ALL\_LAST\_TGT\_ISSUED}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED:krb5-lrq-all-last-tgt-issued}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED:krb5-lrq-all-last-tgt-issued-data}}\index{KRB5\_LRQ\_ALL\_LAST\_TGT\_ISSUED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED:krb5-lrq-all-last-tgt-issued}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED:krb5-lrq-all-last-tgt-issued-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED::doc}}\index{KRB5\_LRQ\_ALL\_LAST\_TGT\_ISSUED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ALL\_LAST\_TGT\_ISSUED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED:KRB5_LRQ_ALL_LAST_TGT_ISSUED}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ALL\_LAST\_TGT\_ISSUED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_LAST_TGT_ISSUED:KRB5_LRQ_ALL_LAST_TGT_ISSUED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_TGT\_ISSUED}}}
 \end{fulllineitems}
 
 
@@ -20947,9 +26203,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ALL\_LAST\_TGT\_ISSUED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ALL\_LAST\_TGT\_ISSUED}}
 &
-\sphinxcode{3}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{3}}
 \\
 \hline
 \end{tabulary}
@@ -20958,10 +26216,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ALL\_PW\_EXPTIME}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME:krb5-lrq-all-pw-exptime-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME:krb5-lrq-all-pw-exptime}}\index{KRB5\_LRQ\_ALL\_PW\_EXPTIME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME:krb5-lrq-all-pw-exptime}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME:krb5-lrq-all-pw-exptime-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME::doc}}\index{KRB5\_LRQ\_ALL\_PW\_EXPTIME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ALL\_PW\_EXPTIME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME:KRB5_LRQ_ALL_PW_EXPTIME}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ALL\_PW\_EXPTIME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ALL_PW_EXPTIME:KRB5_LRQ_ALL_PW_EXPTIME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ALL\_PW\_EXPTIME}}}
 \end{fulllineitems}
 
 
@@ -20971,9 +26229,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ALL\_PW\_EXPTIME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ALL\_PW\_EXPTIME}}
 &
-\sphinxcode{6}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{6}}
 \\
 \hline
 \end{tabulary}
@@ -20982,10 +26242,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_NONE}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_NONE:krb5-lrq-none-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_NONE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_NONE:krb5-lrq-none}}\index{KRB5\_LRQ\_NONE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_NONE:krb5-lrq-none}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_NONE:krb5-lrq-none-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_NONE::doc}}\index{KRB5\_LRQ\_NONE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_NONE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_NONE:KRB5_LRQ_NONE}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_NONE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_NONE:KRB5_LRQ_NONE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_NONE}}}
 \end{fulllineitems}
 
 
@@ -20995,9 +26255,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_NONE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_NONE}}
 &
-\sphinxcode{0}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0}}
 \\
 \hline
 \end{tabulary}
@@ -21006,10 +26268,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ONE\_ACCT\_EXPTIME}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME:krb5-lrq-one-acct-exptime}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME:krb5-lrq-one-acct-exptime-data}}\index{KRB5\_LRQ\_ONE\_ACCT\_EXPTIME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME:krb5-lrq-one-acct-exptime}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME:krb5-lrq-one-acct-exptime-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME::doc}}\index{KRB5\_LRQ\_ONE\_ACCT\_EXPTIME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ONE\_ACCT\_EXPTIME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME:KRB5_LRQ_ONE_ACCT_EXPTIME}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ONE\_ACCT\_EXPTIME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_ACCT_EXPTIME:KRB5_LRQ_ONE_ACCT_EXPTIME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ONE\_ACCT\_EXPTIME}}}
 \end{fulllineitems}
 
 
@@ -21019,9 +26281,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ONE\_ACCT\_EXPTIME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ONE\_ACCT\_EXPTIME}}
 &
-\sphinxcode{(-7)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\sphinxhyphen{}7)}}
 \\
 \hline
 \end{tabulary}
@@ -21030,10 +26294,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ONE\_LAST\_INITIAL}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL:krb5-lrq-one-last-initial-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL:krb5-lrq-one-last-initial}}\index{KRB5\_LRQ\_ONE\_LAST\_INITIAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL:krb5-lrq-one-last-initial}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL:krb5-lrq-one-last-initial-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL::doc}}\index{KRB5\_LRQ\_ONE\_LAST\_INITIAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ONE\_LAST\_INITIAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL:KRB5_LRQ_ONE_LAST_INITIAL}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ONE\_LAST\_INITIAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_INITIAL:KRB5_LRQ_ONE_LAST_INITIAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_INITIAL}}}
 \end{fulllineitems}
 
 
@@ -21043,9 +26307,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ONE\_LAST\_INITIAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_INITIAL}}
 &
-\sphinxcode{(-2)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\sphinxhyphen{}2)}}
 \\
 \hline
 \end{tabulary}
@@ -21054,10 +26320,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ONE\_LAST\_RENEWAL}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL:krb5-lrq-one-last-renewal-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL:krb5-lrq-one-last-renewal}}\index{KRB5\_LRQ\_ONE\_LAST\_RENEWAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL:krb5-lrq-one-last-renewal}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL:krb5-lrq-one-last-renewal-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL::doc}}\index{KRB5\_LRQ\_ONE\_LAST\_RENEWAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ONE\_LAST\_RENEWAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL:KRB5_LRQ_ONE_LAST_RENEWAL}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ONE\_LAST\_RENEWAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_RENEWAL:KRB5_LRQ_ONE_LAST_RENEWAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_RENEWAL}}}
 \end{fulllineitems}
 
 
@@ -21067,9 +26333,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ONE\_LAST\_RENEWAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_RENEWAL}}
 &
-\sphinxcode{(-4)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\sphinxhyphen{}4)}}
 \\
 \hline
 \end{tabulary}
@@ -21078,10 +26346,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ONE\_LAST\_REQ}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ:krb5-lrq-one-last-req}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ:krb5-lrq-one-last-req-data}}\index{KRB5\_LRQ\_ONE\_LAST\_REQ (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ:krb5-lrq-one-last-req}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ:krb5-lrq-one-last-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ::doc}}\index{KRB5\_LRQ\_ONE\_LAST\_REQ (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ONE\_LAST\_REQ}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ:KRB5_LRQ_ONE_LAST_REQ}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ONE\_LAST\_REQ}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_REQ:KRB5_LRQ_ONE_LAST_REQ}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_REQ}}}
 \end{fulllineitems}
 
 
@@ -21091,9 +26359,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ONE\_LAST\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_REQ}}
 &
-\sphinxcode{(-5)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\sphinxhyphen{}5)}}
 \\
 \hline
 \end{tabulary}
@@ -21102,10 +26372,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ONE\_LAST\_TGT}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT:krb5-lrq-one-last-tgt-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT::doc}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT:krb5-lrq-one-last-tgt}}\index{KRB5\_LRQ\_ONE\_LAST\_TGT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT:krb5-lrq-one-last-tgt}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT:krb5-lrq-one-last-tgt-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT::doc}}\index{KRB5\_LRQ\_ONE\_LAST\_TGT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ONE\_LAST\_TGT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT:KRB5_LRQ_ONE_LAST_TGT}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ONE\_LAST\_TGT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT:KRB5_LRQ_ONE_LAST_TGT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_TGT}}}
 \end{fulllineitems}
 
 
@@ -21115,9 +26385,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ONE\_LAST\_TGT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_TGT}}
 &
-\sphinxcode{(-1)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\sphinxhyphen{}1)}}
 \\
 \hline
 \end{tabulary}
@@ -21126,10 +26398,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ONE\_LAST\_TGT\_ISSUED}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED:krb5-lrq-one-last-tgt-issued}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED:krb5-lrq-one-last-tgt-issued-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED::doc}}\index{KRB5\_LRQ\_ONE\_LAST\_TGT\_ISSUED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED:krb5-lrq-one-last-tgt-issued}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED:krb5-lrq-one-last-tgt-issued-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED::doc}}\index{KRB5\_LRQ\_ONE\_LAST\_TGT\_ISSUED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ONE\_LAST\_TGT\_ISSUED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED:KRB5_LRQ_ONE_LAST_TGT_ISSUED}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ONE\_LAST\_TGT\_ISSUED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_LAST_TGT_ISSUED:KRB5_LRQ_ONE_LAST_TGT_ISSUED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_TGT\_ISSUED}}}
 \end{fulllineitems}
 
 
@@ -21139,9 +26411,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ONE\_LAST\_TGT\_ISSUED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ONE\_LAST\_TGT\_ISSUED}}
 &
-\sphinxcode{(-3)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\sphinxhyphen{}3)}}
 \\
 \hline
 \end{tabulary}
@@ -21150,10 +26424,10 @@ Success.
 
 
 \subsubsection{KRB5\_LRQ\_ONE\_PW\_EXPTIME}
-\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME:krb5-lrq-one-pw-exptime}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME:krb5-lrq-one-pw-exptime-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME::doc}}\index{KRB5\_LRQ\_ONE\_PW\_EXPTIME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME:krb5-lrq-one-pw-exptime}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME:krb5-lrq-one-pw-exptime-data}}\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME::doc}}\index{KRB5\_LRQ\_ONE\_PW\_EXPTIME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_LRQ\_ONE\_PW\_EXPTIME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME:KRB5_LRQ_ONE_PW_EXPTIME}}\pysigline{\sphinxbfcode{KRB5\_LRQ\_ONE\_PW\_EXPTIME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_LRQ_ONE_PW_EXPTIME:KRB5_LRQ_ONE_PW_EXPTIME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_LRQ\_ONE\_PW\_EXPTIME}}}
 \end{fulllineitems}
 
 
@@ -21163,9 +26437,11 @@ Success.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_LRQ\_ONE\_PW\_EXPTIME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_LRQ\_ONE\_PW\_EXPTIME}}
 &
-\sphinxcode{(-6)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\sphinxhyphen{}6)}}
 \\
 \hline
 \end{tabulary}
@@ -21174,13 +26450,14 @@ Success.
 
 
 \subsubsection{KRB5\_NT\_ENTERPRISE\_PRINCIPAL}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL:krb5-nt-enterprise-principal-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL:krb5-nt-enterprise-principal}}\label{\detokenize{appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL::doc}}\index{KRB5\_NT\_ENTERPRISE\_PRINCIPAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL:krb5-nt-enterprise-principal}}\label{\detokenize{appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL:krb5-nt-enterprise-principal-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL::doc}}\index{KRB5\_NT\_ENTERPRISE\_PRINCIPAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_ENTERPRISE\_PRINCIPAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL:KRB5_NT_ENTERPRISE_PRINCIPAL}}\pysigline{\sphinxbfcode{KRB5\_NT\_ENTERPRISE\_PRINCIPAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_ENTERPRISE_PRINCIPAL:KRB5_NT_ENTERPRISE_PRINCIPAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_ENTERPRISE\_PRINCIPAL}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Windows 2000 UPN.
 
 
@@ -21189,9 +26466,11 @@ Windows 2000 UPN.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_ENTERPRISE\_PRINCIPAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_ENTERPRISE\_PRINCIPAL}}
 &
-\sphinxcode{10}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{10}}
 \\
 \hline
 \end{tabulary}
@@ -21200,13 +26479,14 @@ Windows 2000 UPN.
 
 
 \subsubsection{KRB5\_NT\_ENT\_PRINCIPAL\_AND\_ID}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID:krb5-nt-ent-principal-and-id-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID::doc}}\label{\detokenize{appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID:krb5-nt-ent-principal-and-id}}\index{KRB5\_NT\_ENT\_PRINCIPAL\_AND\_ID (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID:krb5-nt-ent-principal-and-id}}\label{\detokenize{appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID:krb5-nt-ent-principal-and-id-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID::doc}}\index{KRB5\_NT\_ENT\_PRINCIPAL\_AND\_ID (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_ENT\_PRINCIPAL\_AND\_ID}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID:KRB5_NT_ENT_PRINCIPAL_AND_ID}}\pysigline{\sphinxbfcode{KRB5\_NT\_ENT\_PRINCIPAL\_AND\_ID}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_ENT_PRINCIPAL_AND_ID:KRB5_NT_ENT_PRINCIPAL_AND_ID}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_ENT\_PRINCIPAL\_AND\_ID}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 NT 4 style name and SID.
 
 
@@ -21215,9 +26495,11 @@ NT 4 style name and SID.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_ENT\_PRINCIPAL\_AND\_ID}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_ENT\_PRINCIPAL\_AND\_ID}}
 &
-\sphinxcode{-130}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}130}}
 \\
 \hline
 \end{tabulary}
@@ -21226,13 +26508,14 @@ NT 4 style name and SID.
 
 
 \subsubsection{KRB5\_NT\_MS\_PRINCIPAL}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL:krb5-nt-ms-principal}}\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL:krb5-nt-ms-principal-data}}\index{KRB5\_NT\_MS\_PRINCIPAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL:krb5-nt-ms-principal}}\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL:krb5-nt-ms-principal-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL::doc}}\index{KRB5\_NT\_MS\_PRINCIPAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_MS\_PRINCIPAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL:KRB5_NT_MS_PRINCIPAL}}\pysigline{\sphinxbfcode{KRB5\_NT\_MS\_PRINCIPAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL:KRB5_NT_MS_PRINCIPAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_MS\_PRINCIPAL}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Windows 2000 UPN and SID.
 
 
@@ -21241,9 +26524,11 @@ Windows 2000 UPN and SID.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_MS\_PRINCIPAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_MS\_PRINCIPAL}}
 &
-\sphinxcode{-128}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}128}}
 \\
 \hline
 \end{tabulary}
@@ -21252,13 +26537,14 @@ Windows 2000 UPN and SID.
 
 
 \subsubsection{KRB5\_NT\_MS\_PRINCIPAL\_AND\_ID}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID:krb5-nt-ms-principal-and-id-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID::doc}}\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID:krb5-nt-ms-principal-and-id}}\index{KRB5\_NT\_MS\_PRINCIPAL\_AND\_ID (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID:krb5-nt-ms-principal-and-id}}\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID:krb5-nt-ms-principal-and-id-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID::doc}}\index{KRB5\_NT\_MS\_PRINCIPAL\_AND\_ID (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_MS\_PRINCIPAL\_AND\_ID}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID:KRB5_NT_MS_PRINCIPAL_AND_ID}}\pysigline{\sphinxbfcode{KRB5\_NT\_MS\_PRINCIPAL\_AND\_ID}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_MS_PRINCIPAL_AND_ID:KRB5_NT_MS_PRINCIPAL_AND_ID}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_MS\_PRINCIPAL\_AND\_ID}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 NT 4 style name.
 
 
@@ -21267,9 +26553,11 @@ NT 4 style name.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_MS\_PRINCIPAL\_AND\_ID}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_MS\_PRINCIPAL\_AND\_ID}}
 &
-\sphinxcode{-129}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}129}}
 \\
 \hline
 \end{tabulary}
@@ -21278,13 +26566,14 @@ NT 4 style name.
 
 
 \subsubsection{KRB5\_NT\_PRINCIPAL}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_PRINCIPAL:krb5-nt-principal}}\label{\detokenize{appdev/refs/macros/KRB5_NT_PRINCIPAL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_NT_PRINCIPAL:krb5-nt-principal-data}}\index{KRB5\_NT\_PRINCIPAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_PRINCIPAL:krb5-nt-principal}}\label{\detokenize{appdev/refs/macros/KRB5_NT_PRINCIPAL:krb5-nt-principal-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_PRINCIPAL::doc}}\index{KRB5\_NT\_PRINCIPAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_PRINCIPAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_PRINCIPAL:KRB5_NT_PRINCIPAL}}\pysigline{\sphinxbfcode{KRB5\_NT\_PRINCIPAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_PRINCIPAL:KRB5_NT_PRINCIPAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_PRINCIPAL}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Just the name of the principal as in DCE, or for users.
 
 
@@ -21293,9 +26582,11 @@ Just the name of the principal as in DCE
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_PRINCIPAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_PRINCIPAL}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -21304,13 +26595,14 @@ Just the name of the principal as in DCE
 
 
 \subsubsection{KRB5\_NT\_SMTP\_NAME}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_SMTP_NAME:krb5-nt-smtp-name}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SMTP_NAME:krb5-nt-smtp-name-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SMTP_NAME::doc}}\index{KRB5\_NT\_SMTP\_NAME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_SMTP_NAME:krb5-nt-smtp-name}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SMTP_NAME:krb5-nt-smtp-name-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SMTP_NAME::doc}}\index{KRB5\_NT\_SMTP\_NAME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_SMTP\_NAME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_SMTP_NAME:KRB5_NT_SMTP_NAME}}\pysigline{\sphinxbfcode{KRB5\_NT\_SMTP\_NAME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_SMTP_NAME:KRB5_NT_SMTP_NAME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_SMTP\_NAME}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Name in form of SMTP email name.
 
 
@@ -21319,9 +26611,11 @@ Name in form of SMTP email name.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_SMTP\_NAME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_SMTP\_NAME}}
 &
-\sphinxcode{7}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{7}}
 \\
 \hline
 \end{tabulary}
@@ -21330,13 +26624,14 @@ Name in form of SMTP email name.
 
 
 \subsubsection{KRB5\_NT\_SRV\_HST}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST:krb5-nt-srv-hst-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST::doc}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST:krb5-nt-srv-hst}}\index{KRB5\_NT\_SRV\_HST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST:krb5-nt-srv-hst}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST:krb5-nt-srv-hst-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST::doc}}\index{KRB5\_NT\_SRV\_HST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_SRV\_HST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST:KRB5_NT_SRV_HST}}\pysigline{\sphinxbfcode{KRB5\_NT\_SRV\_HST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_HST:KRB5_NT_SRV_HST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_SRV\_HST}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Service with host name as instance (telnet, rcommands)
 
 
@@ -21345,9 +26640,11 @@ Service with host name as instance (teln
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_SRV\_HST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_SRV\_HST}}
 &
-\sphinxcode{3}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{3}}
 \\
 \hline
 \end{tabulary}
@@ -21356,13 +26653,14 @@ Service with host name as instance (teln
 
 
 \subsubsection{KRB5\_NT\_SRV\_INST}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_INST:krb5-nt-srv-inst-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_INST::doc}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_INST:krb5-nt-srv-inst}}\index{KRB5\_NT\_SRV\_INST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_INST:krb5-nt-srv-inst}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_INST:krb5-nt-srv-inst-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_INST::doc}}\index{KRB5\_NT\_SRV\_INST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_SRV\_INST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_INST:KRB5_NT_SRV_INST}}\pysigline{\sphinxbfcode{KRB5\_NT\_SRV\_INST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_INST:KRB5_NT_SRV_INST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_SRV\_INST}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Service and other unique instance (krbtgt)
 
 
@@ -21371,9 +26669,11 @@ Service and other unique instance (krbtg
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_SRV\_INST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_SRV\_INST}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -21382,13 +26682,14 @@ Service and other unique instance (krbtg
 
 
 \subsubsection{KRB5\_NT\_SRV\_XHST}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_XHST:krb5-nt-srv-xhst}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_XHST:krb5-nt-srv-xhst-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_XHST::doc}}\index{KRB5\_NT\_SRV\_XHST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_XHST:krb5-nt-srv-xhst}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_XHST:krb5-nt-srv-xhst-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_XHST::doc}}\index{KRB5\_NT\_SRV\_XHST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_SRV\_XHST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_XHST:KRB5_NT_SRV_XHST}}\pysigline{\sphinxbfcode{KRB5\_NT\_SRV\_XHST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_SRV_XHST:KRB5_NT_SRV_XHST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_SRV\_XHST}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Service with host as remaining components.
 
 
@@ -21397,9 +26698,11 @@ Service with host as remaining component
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_SRV\_XHST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_SRV\_XHST}}
 &
-\sphinxcode{4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{4}}
 \\
 \hline
 \end{tabulary}
@@ -21408,13 +26711,14 @@ Service with host as remaining component
 
 
 \subsubsection{KRB5\_NT\_UID}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_UID:krb5-nt-uid}}\label{\detokenize{appdev/refs/macros/KRB5_NT_UID:krb5-nt-uid-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_UID::doc}}\index{KRB5\_NT\_UID (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_UID:krb5-nt-uid}}\label{\detokenize{appdev/refs/macros/KRB5_NT_UID:krb5-nt-uid-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_UID::doc}}\index{KRB5\_NT\_UID (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_UID}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_UID:KRB5_NT_UID}}\pysigline{\sphinxbfcode{KRB5\_NT\_UID}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_UID:KRB5_NT_UID}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_UID}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Unique ID.
 
 
@@ -21423,9 +26727,11 @@ Unique ID.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_UID}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_UID}}
 &
-\sphinxcode{5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{5}}
 \\
 \hline
 \end{tabulary}
@@ -21434,13 +26740,14 @@ Unique ID.
 
 
 \subsubsection{KRB5\_NT\_UNKNOWN}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_UNKNOWN::doc}}\label{\detokenize{appdev/refs/macros/KRB5_NT_UNKNOWN:krb5-nt-unknown}}\label{\detokenize{appdev/refs/macros/KRB5_NT_UNKNOWN:krb5-nt-unknown-data}}\index{KRB5\_NT\_UNKNOWN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_UNKNOWN:krb5-nt-unknown}}\label{\detokenize{appdev/refs/macros/KRB5_NT_UNKNOWN:krb5-nt-unknown-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_UNKNOWN::doc}}\index{KRB5\_NT\_UNKNOWN (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_UNKNOWN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_UNKNOWN:KRB5_NT_UNKNOWN}}\pysigline{\sphinxbfcode{KRB5\_NT\_UNKNOWN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_UNKNOWN:KRB5_NT_UNKNOWN}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_UNKNOWN}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Name type not known.
 
 
@@ -21449,9 +26756,11 @@ Name type not known.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_UNKNOWN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_UNKNOWN}}
 &
-\sphinxcode{0}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0}}
 \\
 \hline
 \end{tabulary}
@@ -21460,14 +26769,15 @@ Name type not known.
 
 
 \subsubsection{KRB5\_NT\_WELLKNOWN}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_WELLKNOWN:krb5-nt-wellknown-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_WELLKNOWN:krb5-nt-wellknown}}\label{\detokenize{appdev/refs/macros/KRB5_NT_WELLKNOWN::doc}}\index{KRB5\_NT\_WELLKNOWN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_WELLKNOWN:krb5-nt-wellknown}}\label{\detokenize{appdev/refs/macros/KRB5_NT_WELLKNOWN:krb5-nt-wellknown-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_WELLKNOWN::doc}}\index{KRB5\_NT\_WELLKNOWN (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_WELLKNOWN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_WELLKNOWN:KRB5_NT_WELLKNOWN}}\pysigline{\sphinxbfcode{KRB5\_NT\_WELLKNOWN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_WELLKNOWN:KRB5_NT_WELLKNOWN}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_WELLKNOWN}}}
 \end{fulllineitems}
 
 
-Well-known (special) principal.
+\sphinxAtStartPar
+Well\sphinxhyphen{}known (special) principal.
 
 
 \begin{savenotes}\sphinxattablestart
@@ -21475,9 +26785,11 @@ Well-known (special) principal.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_WELLKNOWN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_WELLKNOWN}}
 &
-\sphinxcode{11}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{11}}
 \\
 \hline
 \end{tabulary}
@@ -21486,13 +26798,14 @@ Well-known (special) principal.
 
 
 \subsubsection{KRB5\_NT\_X500\_PRINCIPAL}
-\label{\detokenize{appdev/refs/macros/KRB5_NT_X500_PRINCIPAL:krb5-nt-x500-principal-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_X500_PRINCIPAL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_NT_X500_PRINCIPAL:krb5-nt-x500-principal}}\index{KRB5\_NT\_X500\_PRINCIPAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_NT_X500_PRINCIPAL:krb5-nt-x500-principal}}\label{\detokenize{appdev/refs/macros/KRB5_NT_X500_PRINCIPAL:krb5-nt-x500-principal-data}}\label{\detokenize{appdev/refs/macros/KRB5_NT_X500_PRINCIPAL::doc}}\index{KRB5\_NT\_X500\_PRINCIPAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_NT\_X500\_PRINCIPAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_X500_PRINCIPAL:KRB5_NT_X500_PRINCIPAL}}\pysigline{\sphinxbfcode{KRB5\_NT\_X500\_PRINCIPAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_NT_X500_PRINCIPAL:KRB5_NT_X500_PRINCIPAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_NT\_X500\_PRINCIPAL}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 PKINIT.
 
 
@@ -21501,9 +26814,11 @@ PKINIT.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_NT\_X500\_PRINCIPAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_NT\_X500\_PRINCIPAL}}
 &
-\sphinxcode{6}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{6}}
 \\
 \hline
 \end{tabulary}
@@ -21512,13 +26827,14 @@ PKINIT.
 
 
 \subsubsection{KRB5\_PAC\_ATTRIBUTES\_INFO}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO:krb5-pac-attributes-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO:krb5-pac-attributes-info}}\index{KRB5\_PAC\_ATTRIBUTES\_INFO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO:krb5-pac-attributes-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO:krb5-pac-attributes-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO::doc}}\index{KRB5\_PAC\_ATTRIBUTES\_INFO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_ATTRIBUTES\_INFO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO:KRB5_PAC_ATTRIBUTES_INFO}}\pysigline{\sphinxbfcode{KRB5\_PAC\_ATTRIBUTES\_INFO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_ATTRIBUTES_INFO:KRB5_PAC_ATTRIBUTES_INFO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_ATTRIBUTES\_INFO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 PAC attributes.
 
 
@@ -21527,9 +26843,11 @@ PAC attributes.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_ATTRIBUTES\_INFO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_ATTRIBUTES\_INFO}}
 &
-\sphinxcode{17}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{17}}
 \\
 \hline
 \end{tabulary}
@@ -21538,13 +26856,14 @@ PAC attributes.
 
 
 \subsubsection{KRB5\_PAC\_CLIENT\_INFO}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_INFO:krb5-pac-client-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_INFO::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_INFO:krb5-pac-client-info-data}}\index{KRB5\_PAC\_CLIENT\_INFO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_INFO:krb5-pac-client-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_INFO:krb5-pac-client-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_INFO::doc}}\index{KRB5\_PAC\_CLIENT\_INFO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_CLIENT\_INFO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_INFO:KRB5_PAC_CLIENT_INFO}}\pysigline{\sphinxbfcode{KRB5\_PAC\_CLIENT\_INFO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_INFO:KRB5_PAC_CLIENT_INFO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_CLIENT\_INFO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Client name and ticket info.
 
 
@@ -21553,9 +26872,11 @@ Client name and ticket info.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_CLIENT\_INFO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_CLIENT\_INFO}}
 &
-\sphinxcode{10}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{10}}
 \\
 \hline
 \end{tabulary}
@@ -21564,13 +26885,14 @@ Client name and ticket info.
 
 
 \subsubsection{KRB5\_PAC\_CLIENT\_CLAIMS}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS:krb5-pac-client-claims-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS:krb5-pac-client-claims}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS::doc}}\index{KRB5\_PAC\_CLIENT\_CLAIMS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS:krb5-pac-client-claims}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS:krb5-pac-client-claims-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS::doc}}\index{KRB5\_PAC\_CLIENT\_CLAIMS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_CLIENT\_CLAIMS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS:KRB5_PAC_CLIENT_CLAIMS}}\pysigline{\sphinxbfcode{KRB5\_PAC\_CLIENT\_CLAIMS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_CLIENT_CLAIMS:KRB5_PAC_CLIENT_CLAIMS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_CLIENT\_CLAIMS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Client claims information.
 
 
@@ -21579,9 +26901,11 @@ Client claims information.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_CLIENT\_CLAIMS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_CLIENT\_CLAIMS}}
 &
-\sphinxcode{13}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{13}}
 \\
 \hline
 \end{tabulary}
@@ -21590,13 +26914,14 @@ Client claims information.
 
 
 \subsubsection{KRB5\_PAC\_CREDENTIALS\_INFO}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO:krb5-pac-credentials-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO:krb5-pac-credentials-info-data}}\index{KRB5\_PAC\_CREDENTIALS\_INFO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO:krb5-pac-credentials-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO:krb5-pac-credentials-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO::doc}}\index{KRB5\_PAC\_CREDENTIALS\_INFO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_CREDENTIALS\_INFO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO:KRB5_PAC_CREDENTIALS_INFO}}\pysigline{\sphinxbfcode{KRB5\_PAC\_CREDENTIALS\_INFO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_CREDENTIALS_INFO:KRB5_PAC_CREDENTIALS_INFO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_CREDENTIALS\_INFO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Credentials information.
 
 
@@ -21605,9 +26930,11 @@ Credentials information.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_CREDENTIALS\_INFO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_CREDENTIALS\_INFO}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -21616,13 +26943,14 @@ Credentials information.
 
 
 \subsubsection{KRB5\_PAC\_DELEGATION\_INFO}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_DELEGATION_INFO::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DELEGATION_INFO:krb5-pac-delegation-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DELEGATION_INFO:krb5-pac-delegation-info}}\index{KRB5\_PAC\_DELEGATION\_INFO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_DELEGATION_INFO:krb5-pac-delegation-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DELEGATION_INFO:krb5-pac-delegation-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DELEGATION_INFO::doc}}\index{KRB5\_PAC\_DELEGATION\_INFO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_DELEGATION\_INFO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_DELEGATION_INFO:KRB5_PAC_DELEGATION_INFO}}\pysigline{\sphinxbfcode{KRB5\_PAC\_DELEGATION\_INFO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_DELEGATION_INFO:KRB5_PAC_DELEGATION_INFO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_DELEGATION\_INFO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Constrained delegation info.
 
 
@@ -21631,9 +26959,11 @@ Constrained delegation info.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_DELEGATION\_INFO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_DELEGATION\_INFO}}
 &
-\sphinxcode{11}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{11}}
 \\
 \hline
 \end{tabulary}
@@ -21642,13 +26972,14 @@ Constrained delegation info.
 
 
 \subsubsection{KRB5\_PAC\_DEVICE\_CLAIMS}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS:krb5-pac-device-claims}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS:krb5-pac-device-claims-data}}\index{KRB5\_PAC\_DEVICE\_CLAIMS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS:krb5-pac-device-claims}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS:krb5-pac-device-claims-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS::doc}}\index{KRB5\_PAC\_DEVICE\_CLAIMS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_DEVICE\_CLAIMS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS:KRB5_PAC_DEVICE_CLAIMS}}\pysigline{\sphinxbfcode{KRB5\_PAC\_DEVICE\_CLAIMS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_CLAIMS:KRB5_PAC_DEVICE_CLAIMS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_DEVICE\_CLAIMS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Device claims information.
 
 
@@ -21657,9 +26988,11 @@ Device claims information.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_DEVICE\_CLAIMS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_DEVICE\_CLAIMS}}
 &
-\sphinxcode{15}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{15}}
 \\
 \hline
 \end{tabulary}
@@ -21668,13 +27001,14 @@ Device claims information.
 
 
 \subsubsection{KRB5\_PAC\_DEVICE\_INFO}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_INFO::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_INFO:krb5-pac-device-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_INFO:krb5-pac-device-info}}\index{KRB5\_PAC\_DEVICE\_INFO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_INFO:krb5-pac-device-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_INFO:krb5-pac-device-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_INFO::doc}}\index{KRB5\_PAC\_DEVICE\_INFO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_DEVICE\_INFO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_INFO:KRB5_PAC_DEVICE_INFO}}\pysigline{\sphinxbfcode{KRB5\_PAC\_DEVICE\_INFO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_DEVICE_INFO:KRB5_PAC_DEVICE_INFO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_DEVICE\_INFO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Device information.
 
 
@@ -21683,9 +27017,11 @@ Device information.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_DEVICE\_INFO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_DEVICE\_INFO}}
 &
-\sphinxcode{14}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{14}}
 \\
 \hline
 \end{tabulary}
@@ -21694,13 +27030,14 @@ Device information.
 
 
 \subsubsection{KRB5\_PAC\_LOGON\_INFO}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_LOGON_INFO:krb5-pac-logon-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_LOGON_INFO:krb5-pac-logon-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_LOGON_INFO::doc}}\index{KRB5\_PAC\_LOGON\_INFO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_LOGON_INFO:krb5-pac-logon-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_LOGON_INFO:krb5-pac-logon-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_LOGON_INFO::doc}}\index{KRB5\_PAC\_LOGON\_INFO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_LOGON\_INFO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_LOGON_INFO:KRB5_PAC_LOGON_INFO}}\pysigline{\sphinxbfcode{KRB5\_PAC\_LOGON\_INFO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_LOGON_INFO:KRB5_PAC_LOGON_INFO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_LOGON\_INFO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Logon information.
 
 
@@ -21709,9 +27046,11 @@ Logon information.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_LOGON\_INFO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_LOGON\_INFO}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -21720,13 +27059,14 @@ Logon information.
 
 
 \subsubsection{KRB5\_PAC\_PRIVSVR\_CHECKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM:krb5-pac-privsvr-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM:krb5-pac-privsvr-checksum}}\index{KRB5\_PAC\_PRIVSVR\_CHECKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM:krb5-pac-privsvr-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM:krb5-pac-privsvr-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM::doc}}\index{KRB5\_PAC\_PRIVSVR\_CHECKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_PRIVSVR\_CHECKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM:KRB5_PAC_PRIVSVR_CHECKSUM}}\pysigline{\sphinxbfcode{KRB5\_PAC\_PRIVSVR\_CHECKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_PRIVSVR_CHECKSUM:KRB5_PAC_PRIVSVR_CHECKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_PRIVSVR\_CHECKSUM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 KDC checksum.
 
 
@@ -21735,9 +27075,11 @@ KDC checksum.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_PRIVSVR\_CHECKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_PRIVSVR\_CHECKSUM}}
 &
-\sphinxcode{7}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{7}}
 \\
 \hline
 \end{tabulary}
@@ -21746,13 +27088,14 @@ KDC checksum.
 
 
 \subsubsection{KRB5\_PAC\_REQUESTOR}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_REQUESTOR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_REQUESTOR:krb5-pac-requestor}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_REQUESTOR:krb5-pac-requestor-data}}\index{KRB5\_PAC\_REQUESTOR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_REQUESTOR:krb5-pac-requestor}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_REQUESTOR:krb5-pac-requestor-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_REQUESTOR::doc}}\index{KRB5\_PAC\_REQUESTOR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_REQUESTOR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_REQUESTOR:KRB5_PAC_REQUESTOR}}\pysigline{\sphinxbfcode{KRB5\_PAC\_REQUESTOR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_REQUESTOR:KRB5_PAC_REQUESTOR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_REQUESTOR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 PAC requestor SID.
 
 
@@ -21761,9 +27104,11 @@ PAC requestor SID.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_REQUESTOR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_REQUESTOR}}
 &
-\sphinxcode{18}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{18}}
 \\
 \hline
 \end{tabulary}
@@ -21772,13 +27117,14 @@ PAC requestor SID.
 
 
 \subsubsection{KRB5\_PAC\_SERVER\_CHECKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM:krb5-pac-server-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM:krb5-pac-server-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM::doc}}\index{KRB5\_PAC\_SERVER\_CHECKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM:krb5-pac-server-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM:krb5-pac-server-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM::doc}}\index{KRB5\_PAC\_SERVER\_CHECKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_SERVER\_CHECKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM:KRB5_PAC_SERVER_CHECKSUM}}\pysigline{\sphinxbfcode{KRB5\_PAC\_SERVER\_CHECKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_SERVER_CHECKSUM:KRB5_PAC_SERVER_CHECKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_SERVER\_CHECKSUM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Server checksum.
 
 
@@ -21787,9 +27133,11 @@ Server checksum.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_SERVER\_CHECKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_SERVER\_CHECKSUM}}
 &
-\sphinxcode{6}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{6}}
 \\
 \hline
 \end{tabulary}
@@ -21798,13 +27146,14 @@ Server checksum.
 
 
 \subsubsection{KRB5\_PAC\_TICKET\_CHECKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM:krb5-pac-ticket-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM:krb5-pac-ticket-checksum}}\index{KRB5\_PAC\_TICKET\_CHECKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM:krb5-pac-ticket-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM:krb5-pac-ticket-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM::doc}}\index{KRB5\_PAC\_TICKET\_CHECKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_TICKET\_CHECKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM:KRB5_PAC_TICKET_CHECKSUM}}\pysigline{\sphinxbfcode{KRB5\_PAC\_TICKET\_CHECKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_TICKET_CHECKSUM:KRB5_PAC_TICKET_CHECKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_TICKET\_CHECKSUM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Ticket checksum.
 
 
@@ -21813,9 +27162,11 @@ Ticket checksum.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_TICKET\_CHECKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_TICKET\_CHECKSUM}}
 &
-\sphinxcode{16}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{16}}
 \\
 \hline
 \end{tabulary}
@@ -21824,13 +27175,14 @@ Ticket checksum.
 
 
 \subsubsection{KRB5\_PAC\_UPN\_DNS\_INFO}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO:krb5-pac-upn-dns-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO:krb5-pac-upn-dns-info}}\index{KRB5\_PAC\_UPN\_DNS\_INFO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO:krb5-pac-upn-dns-info}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO:krb5-pac-upn-dns-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO::doc}}\index{KRB5\_PAC\_UPN\_DNS\_INFO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_UPN\_DNS\_INFO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO:KRB5_PAC_UPN_DNS_INFO}}\pysigline{\sphinxbfcode{KRB5\_PAC\_UPN\_DNS\_INFO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_UPN_DNS_INFO:KRB5_PAC_UPN_DNS_INFO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_UPN\_DNS\_INFO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 User principal name and DNS info.
 
 
@@ -21839,9 +27191,11 @@ User principal name and DNS info.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_UPN\_DNS\_INFO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_UPN\_DNS\_INFO}}
 &
-\sphinxcode{12}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{12}}
 \\
 \hline
 \end{tabulary}
@@ -21850,13 +27204,14 @@ User principal name and DNS info.
 
 
 \subsubsection{KRB5\_PAC\_FULL\_CHECKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM:krb5-pac-full-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM:krb5-pac-full-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM::doc}}\index{KRB5\_PAC\_FULL\_CHECKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM:krb5-pac-full-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM:krb5-pac-full-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM::doc}}\index{KRB5\_PAC\_FULL\_CHECKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PAC\_FULL\_CHECKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM:KRB5_PAC_FULL_CHECKSUM}}\pysigline{\sphinxbfcode{KRB5\_PAC\_FULL\_CHECKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PAC_FULL_CHECKSUM:KRB5_PAC_FULL_CHECKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PAC\_FULL\_CHECKSUM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 KDC full checksum.
 
 
@@ -21865,9 +27220,11 @@ KDC full checksum.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PAC\_FULL\_CHECKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PAC\_FULL\_CHECKSUM}}
 &
-\sphinxcode{19}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{19}}
 \\
 \hline
 \end{tabulary}
@@ -21876,15 +27233,17 @@ KDC full checksum.
 
 
 \subsubsection{KRB5\_PADATA\_AFS3\_SALT}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AFS3_SALT::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AFS3_SALT:krb5-padata-afs3-salt}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AFS3_SALT:krb5-padata-afs3-salt-data}}\index{KRB5\_PADATA\_AFS3\_SALT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AFS3_SALT:krb5-padata-afs3-salt}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AFS3_SALT:krb5-padata-afs3-salt-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AFS3_SALT::doc}}\index{KRB5\_PADATA\_AFS3\_SALT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_AFS3\_SALT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AFS3_SALT:KRB5_PADATA_AFS3_SALT}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_AFS3\_SALT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AFS3_SALT:KRB5_PADATA_AFS3_SALT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_AFS3\_SALT}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Cygnus.
 
+\sphinxAtStartPar
 RFC 4120, 3961
 
 
@@ -21893,9 +27252,11 @@ RFC 4120, 3961
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_AFS3\_SALT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_AFS3\_SALT}}
 &
-\sphinxcode{10}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{10}}
 \\
 \hline
 \end{tabulary}
@@ -21904,10 +27265,10 @@ RFC 4120, 3961
 
 
 \subsubsection{KRB5\_PADATA\_AP\_REQ}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AP_REQ::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AP_REQ:krb5-padata-ap-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AP_REQ:krb5-padata-ap-req}}\index{KRB5\_PADATA\_AP\_REQ (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AP_REQ:krb5-padata-ap-req}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AP_REQ:krb5-padata-ap-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AP_REQ::doc}}\index{KRB5\_PADATA\_AP\_REQ (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_AP\_REQ}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AP_REQ:KRB5_PADATA_AP_REQ}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_AP\_REQ}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AP_REQ:KRB5_PADATA_AP_REQ}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_AP\_REQ}}}
 \end{fulllineitems}
 
 
@@ -21917,9 +27278,11 @@ RFC 4120, 3961
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_AP\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_AP\_REQ}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -21928,13 +27291,14 @@ RFC 4120, 3961
 
 
 \subsubsection{KRB5\_PADATA\_AS\_CHECKSUM}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM:krb5-padata-as-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM:krb5-padata-as-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM::doc}}\index{KRB5\_PADATA\_AS\_CHECKSUM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM:krb5-padata-as-checksum}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM:krb5-padata-as-checksum-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM::doc}}\index{KRB5\_PADATA\_AS\_CHECKSUM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_AS\_CHECKSUM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM:KRB5_PADATA_AS_CHECKSUM}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_AS\_CHECKSUM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_CHECKSUM:KRB5_PADATA_AS_CHECKSUM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_AS\_CHECKSUM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 AS checksum.
 
 
@@ -21943,9 +27307,11 @@ AS checksum.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_AS\_CHECKSUM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_AS\_CHECKSUM}}
 &
-\sphinxcode{132}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{132}}
 \\
 \hline
 \end{tabulary}
@@ -21954,13 +27320,14 @@ AS checksum.
 
 
 \subsubsection{KRB5\_PADATA\_AS\_FRESHNESS}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS:krb5-padata-as-freshness-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS:krb5-padata-as-freshness}}\index{KRB5\_PADATA\_AS\_FRESHNESS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS:krb5-padata-as-freshness}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS:krb5-padata-as-freshness-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS::doc}}\index{KRB5\_PADATA\_AS\_FRESHNESS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_AS\_FRESHNESS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS:KRB5_PADATA_AS_FRESHNESS}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_AS\_FRESHNESS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_AS_FRESHNESS:KRB5_PADATA_AS_FRESHNESS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_AS\_FRESHNESS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 8070.
 
 
@@ -21969,9 +27336,11 @@ RFC 8070.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_AS\_FRESHNESS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_AS\_FRESHNESS}}
 &
-\sphinxcode{150}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{150}}
 \\
 \hline
 \end{tabulary}
@@ -21980,13 +27349,14 @@ RFC 8070.
 
 
 \subsubsection{KRB5\_PADATA\_ENCRYPTED\_CHALLENGE}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE:krb5-padata-encrypted-challenge-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE:krb5-padata-encrypted-challenge}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE::doc}}\index{KRB5\_PADATA\_ENCRYPTED\_CHALLENGE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE:krb5-padata-encrypted-challenge}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE:krb5-padata-encrypted-challenge-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE::doc}}\index{KRB5\_PADATA\_ENCRYPTED\_CHALLENGE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_ENCRYPTED\_CHALLENGE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE:KRB5_PADATA_ENCRYPTED_CHALLENGE}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_ENCRYPTED\_CHALLENGE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENCRYPTED_CHALLENGE:KRB5_PADATA_ENCRYPTED_CHALLENGE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_ENCRYPTED\_CHALLENGE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6113.
 
 
@@ -21995,9 +27365,11 @@ RFC 6113.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_ENCRYPTED\_CHALLENGE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_ENCRYPTED\_CHALLENGE}}
 &
-\sphinxcode{138}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{138}}
 \\
 \hline
 \end{tabulary}
@@ -22006,15 +27378,17 @@ RFC 6113.
 
 
 \subsubsection{KRB5\_PADATA\_ENC\_SANDIA\_SECURID}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID:krb5-padata-enc-sandia-securid-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID:krb5-padata-enc-sandia-securid}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID::doc}}\index{KRB5\_PADATA\_ENC\_SANDIA\_SECURID (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID:krb5-padata-enc-sandia-securid}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID:krb5-padata-enc-sandia-securid-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID::doc}}\index{KRB5\_PADATA\_ENC\_SANDIA\_SECURID (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_ENC\_SANDIA\_SECURID}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID:KRB5_PADATA_ENC_SANDIA_SECURID}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_ENC\_SANDIA\_SECURID}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_SANDIA_SECURID:KRB5_PADATA_ENC_SANDIA_SECURID}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_ENC\_SANDIA\_SECURID}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 SecurId passcode.
 
+\sphinxAtStartPar
 RFC 4120
 
 
@@ -22023,9 +27397,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_ENC\_SANDIA\_SECURID}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_ENC\_SANDIA\_SECURID}}
 &
-\sphinxcode{6}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{6}}
 \\
 \hline
 \end{tabulary}
@@ -22034,13 +27410,14 @@ RFC 4120
 
 
 \subsubsection{KRB5\_PADATA\_ENC\_TIMESTAMP}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP:krb5-padata-enc-timestamp}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP:krb5-padata-enc-timestamp-data}}\index{KRB5\_PADATA\_ENC\_TIMESTAMP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP:krb5-padata-enc-timestamp}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP:krb5-padata-enc-timestamp-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP::doc}}\index{KRB5\_PADATA\_ENC\_TIMESTAMP (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_ENC\_TIMESTAMP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP:KRB5_PADATA_ENC_TIMESTAMP}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_ENC\_TIMESTAMP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_TIMESTAMP:KRB5_PADATA_ENC_TIMESTAMP}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_ENC\_TIMESTAMP}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 4120.
 
 
@@ -22049,9 +27426,11 @@ RFC 4120.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_ENC\_TIMESTAMP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_ENC\_TIMESTAMP}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -22060,15 +27439,17 @@ RFC 4120.
 
 
 \subsubsection{KRB5\_PADATA\_ENC\_UNIX\_TIME}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME:krb5-padata-enc-unix-time}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME:krb5-padata-enc-unix-time-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME::doc}}\index{KRB5\_PADATA\_ENC\_UNIX\_TIME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME:krb5-padata-enc-unix-time}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME:krb5-padata-enc-unix-time-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME::doc}}\index{KRB5\_PADATA\_ENC\_UNIX\_TIME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_ENC\_UNIX\_TIME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME:KRB5_PADATA_ENC_UNIX_TIME}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_ENC\_UNIX\_TIME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ENC_UNIX_TIME:KRB5_PADATA_ENC_UNIX_TIME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_ENC\_UNIX\_TIME}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 timestamp encrypted in key.
 
+\sphinxAtStartPar
 RFC 4120
 
 
@@ -22077,9 +27458,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_ENC\_UNIX\_TIME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_ENC\_UNIX\_TIME}}
 &
-\sphinxcode{5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{5}}
 \\
 \hline
 \end{tabulary}
@@ -22088,15 +27471,17 @@ RFC 4120
 
 
 \subsubsection{KRB5\_PADATA\_ETYPE\_INFO}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO:krb5-padata-etype-info}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO:krb5-padata-etype-info-data}}\index{KRB5\_PADATA\_ETYPE\_INFO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO:krb5-padata-etype-info}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO:krb5-padata-etype-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO::doc}}\index{KRB5\_PADATA\_ETYPE\_INFO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_ETYPE\_INFO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO:KRB5_PADATA_ETYPE_INFO}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_ETYPE\_INFO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO:KRB5_PADATA_ETYPE_INFO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_ETYPE\_INFO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Etype info for preauth.
 
+\sphinxAtStartPar
 RFC 4120
 
 
@@ -22105,9 +27490,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_ETYPE\_INFO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_ETYPE\_INFO}}
 &
-\sphinxcode{11}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{11}}
 \\
 \hline
 \end{tabulary}
@@ -22116,13 +27503,14 @@ RFC 4120
 
 
 \subsubsection{KRB5\_PADATA\_ETYPE\_INFO2}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2:krb5-padata-etype-info2-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2:krb5-padata-etype-info2}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2::doc}}\index{KRB5\_PADATA\_ETYPE\_INFO2 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2:krb5-padata-etype-info2}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2:krb5-padata-etype-info2-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2::doc}}\index{KRB5\_PADATA\_ETYPE\_INFO2 (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_ETYPE\_INFO2}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2:KRB5_PADATA_ETYPE_INFO2}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_ETYPE\_INFO2}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_ETYPE_INFO2:KRB5_PADATA_ETYPE_INFO2}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_ETYPE\_INFO2}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 4120.
 
 
@@ -22131,9 +27519,11 @@ RFC 4120.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_ETYPE\_INFO2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_ETYPE\_INFO2}}
 &
-\sphinxcode{19}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{19}}
 \\
 \hline
 \end{tabulary}
@@ -22142,13 +27532,14 @@ RFC 4120.
 
 
 \subsubsection{KRB5\_PADATA\_FOR\_USER}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FOR_USER:krb5-padata-for-user}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FOR_USER::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FOR_USER:krb5-padata-for-user-data}}\index{KRB5\_PADATA\_FOR\_USER (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FOR_USER:krb5-padata-for-user}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FOR_USER:krb5-padata-for-user-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FOR_USER::doc}}\index{KRB5\_PADATA\_FOR\_USER (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_FOR\_USER}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FOR_USER:KRB5_PADATA_FOR_USER}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_FOR\_USER}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FOR_USER:KRB5_PADATA_FOR_USER}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_FOR\_USER}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 username protocol transition request
 
 
@@ -22157,9 +27548,11 @@ username protocol transition request
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_FOR\_USER}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_FOR\_USER}}
 &
-\sphinxcode{129}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{129}}
 \\
 \hline
 \end{tabulary}
@@ -22168,13 +27561,14 @@ username protocol transition request
 
 
 \subsubsection{KRB5\_PADATA\_FX\_COOKIE}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_COOKIE:krb5-padata-fx-cookie}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_COOKIE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_COOKIE:krb5-padata-fx-cookie-data}}\index{KRB5\_PADATA\_FX\_COOKIE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_COOKIE:krb5-padata-fx-cookie}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_COOKIE:krb5-padata-fx-cookie-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_COOKIE::doc}}\index{KRB5\_PADATA\_FX\_COOKIE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_FX\_COOKIE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_COOKIE:KRB5_PADATA_FX_COOKIE}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_FX\_COOKIE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_COOKIE:KRB5_PADATA_FX_COOKIE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_FX\_COOKIE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6113.
 
 
@@ -22183,9 +27577,11 @@ RFC 6113.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_FX\_COOKIE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_FX\_COOKIE}}
 &
-\sphinxcode{133}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{133}}
 \\
 \hline
 \end{tabulary}
@@ -22194,13 +27590,14 @@ RFC 6113.
 
 
 \subsubsection{KRB5\_PADATA\_FX\_ERROR}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_ERROR:krb5-padata-fx-error}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_ERROR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_ERROR:krb5-padata-fx-error-data}}\index{KRB5\_PADATA\_FX\_ERROR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_ERROR:krb5-padata-fx-error}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_ERROR:krb5-padata-fx-error-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_ERROR::doc}}\index{KRB5\_PADATA\_FX\_ERROR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_FX\_ERROR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_ERROR:KRB5_PADATA_FX_ERROR}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_FX\_ERROR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_ERROR:KRB5_PADATA_FX_ERROR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_FX\_ERROR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6113.
 
 
@@ -22209,9 +27606,11 @@ RFC 6113.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_FX\_ERROR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_FX\_ERROR}}
 &
-\sphinxcode{137}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{137}}
 \\
 \hline
 \end{tabulary}
@@ -22220,13 +27619,14 @@ RFC 6113.
 
 
 \subsubsection{KRB5\_PADATA\_FX\_FAST}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_FAST::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_FAST:krb5-padata-fx-fast}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_FAST:krb5-padata-fx-fast-data}}\index{KRB5\_PADATA\_FX\_FAST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_FAST:krb5-padata-fx-fast}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_FAST:krb5-padata-fx-fast-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_FAST::doc}}\index{KRB5\_PADATA\_FX\_FAST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_FX\_FAST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_FAST:KRB5_PADATA_FX_FAST}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_FX\_FAST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_FX_FAST:KRB5_PADATA_FX_FAST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_FX\_FAST}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6113.
 
 
@@ -22235,9 +27635,11 @@ RFC 6113.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_FX\_FAST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_FX\_FAST}}
 &
-\sphinxcode{136}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{136}}
 \\
 \hline
 \end{tabulary}
@@ -22246,15 +27648,17 @@ RFC 6113.
 
 
 \subsubsection{KRB5\_PADATA\_GET\_FROM\_TYPED\_DATA}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA:krb5-padata-get-from-typed-data-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA:krb5-padata-get-from-typed-data}}\index{KRB5\_PADATA\_GET\_FROM\_TYPED\_DATA (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA:krb5-padata-get-from-typed-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA:krb5-padata-get-from-typed-data-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA::doc}}\index{KRB5\_PADATA\_GET\_FROM\_TYPED\_DATA (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_GET\_FROM\_TYPED\_DATA}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA:KRB5_PADATA_GET_FROM_TYPED_DATA}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_GET\_FROM\_TYPED\_DATA}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_GET_FROM_TYPED_DATA:KRB5_PADATA_GET_FROM_TYPED_DATA}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_GET\_FROM\_TYPED\_DATA}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Embedded in typed data.
 
+\sphinxAtStartPar
 RFC 4120
 
 
@@ -22263,9 +27667,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_GET\_FROM\_TYPED\_DATA}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_GET\_FROM\_TYPED\_DATA}}
 &
-\sphinxcode{22}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{22}}
 \\
 \hline
 \end{tabulary}
@@ -22274,10 +27680,10 @@ RFC 4120
 
 
 \subsubsection{KRB5\_PADATA\_NONE}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_NONE:krb5-padata-none-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_NONE:krb5-padata-none}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_NONE::doc}}\index{KRB5\_PADATA\_NONE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_NONE:krb5-padata-none}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_NONE:krb5-padata-none-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_NONE::doc}}\index{KRB5\_PADATA\_NONE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_NONE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_NONE:KRB5_PADATA_NONE}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_NONE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_NONE:KRB5_PADATA_NONE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_NONE}}}
 \end{fulllineitems}
 
 
@@ -22287,9 +27693,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_NONE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_NONE}}
 &
-\sphinxcode{0}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0}}
 \\
 \hline
 \end{tabulary}
@@ -22298,15 +27706,17 @@ RFC 4120
 
 
 \subsubsection{KRB5\_PADATA\_OSF\_DCE}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OSF_DCE:krb5-padata-osf-dce}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OSF_DCE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OSF_DCE:krb5-padata-osf-dce-data}}\index{KRB5\_PADATA\_OSF\_DCE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OSF_DCE:krb5-padata-osf-dce}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OSF_DCE:krb5-padata-osf-dce-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OSF_DCE::doc}}\index{KRB5\_PADATA\_OSF\_DCE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_OSF\_DCE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OSF_DCE:KRB5_PADATA_OSF_DCE}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_OSF\_DCE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OSF_DCE:KRB5_PADATA_OSF_DCE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_OSF\_DCE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 OSF DCE.
 
+\sphinxAtStartPar
 RFC 4120
 
 
@@ -22315,9 +27725,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_OSF\_DCE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_OSF\_DCE}}
 &
-\sphinxcode{8}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{8}}
 \\
 \hline
 \end{tabulary}
@@ -22326,13 +27738,14 @@ RFC 4120
 
 
 \subsubsection{KRB5\_PADATA\_OTP\_CHALLENGE}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE:krb5-padata-otp-challenge}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE:krb5-padata-otp-challenge-data}}\index{KRB5\_PADATA\_OTP\_CHALLENGE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE:krb5-padata-otp-challenge}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE:krb5-padata-otp-challenge-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE::doc}}\index{KRB5\_PADATA\_OTP\_CHALLENGE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_OTP\_CHALLENGE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE:KRB5_PADATA_OTP_CHALLENGE}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_OTP\_CHALLENGE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_CHALLENGE:KRB5_PADATA_OTP_CHALLENGE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_OTP\_CHALLENGE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6560 section 4.1.
 
 
@@ -22341,9 +27754,11 @@ RFC 6560 section 4.1.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_OTP\_CHALLENGE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_OTP\_CHALLENGE}}
 &
-\sphinxcode{141}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{141}}
 \\
 \hline
 \end{tabulary}
@@ -22352,13 +27767,14 @@ RFC 6560 section 4.1.
 
 
 \subsubsection{KRB5\_PADATA\_OTP\_PIN\_CHANGE}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE:krb5-padata-otp-pin-change}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE:krb5-padata-otp-pin-change-data}}\index{KRB5\_PADATA\_OTP\_PIN\_CHANGE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE:krb5-padata-otp-pin-change}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE:krb5-padata-otp-pin-change-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE::doc}}\index{KRB5\_PADATA\_OTP\_PIN\_CHANGE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_OTP\_PIN\_CHANGE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE:KRB5_PADATA_OTP_PIN_CHANGE}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_OTP\_PIN\_CHANGE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_PIN_CHANGE:KRB5_PADATA_OTP_PIN_CHANGE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_OTP\_PIN\_CHANGE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6560 section 4.3.
 
 
@@ -22367,9 +27783,11 @@ RFC 6560 section 4.3.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_OTP\_PIN\_CHANGE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_OTP\_PIN\_CHANGE}}
 &
-\sphinxcode{144}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{144}}
 \\
 \hline
 \end{tabulary}
@@ -22378,13 +27796,14 @@ RFC 6560 section 4.3.
 
 
 \subsubsection{KRB5\_PADATA\_OTP\_REQUEST}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_REQUEST:krb5-padata-otp-request}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_REQUEST::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_REQUEST:krb5-padata-otp-request-data}}\index{KRB5\_PADATA\_OTP\_REQUEST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_REQUEST:krb5-padata-otp-request}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_REQUEST:krb5-padata-otp-request-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_REQUEST::doc}}\index{KRB5\_PADATA\_OTP\_REQUEST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_OTP\_REQUEST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_REQUEST:KRB5_PADATA_OTP_REQUEST}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_OTP\_REQUEST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_OTP_REQUEST:KRB5_PADATA_OTP_REQUEST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_OTP\_REQUEST}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6560 section 4.2.
 
 
@@ -22393,9 +27812,11 @@ RFC 6560 section 4.2.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_OTP\_REQUEST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_OTP\_REQUEST}}
 &
-\sphinxcode{142}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{142}}
 \\
 \hline
 \end{tabulary}
@@ -22404,14 +27825,15 @@ RFC 6560 section 4.2.
 
 
 \subsubsection{KRB5\_PADATA\_PAC\_OPTIONS}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS:krb5-padata-pac-options}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS:krb5-padata-pac-options-data}}\index{KRB5\_PADATA\_PAC\_OPTIONS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS:krb5-padata-pac-options}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS:krb5-padata-pac-options-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS::doc}}\index{KRB5\_PADATA\_PAC\_OPTIONS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_PAC\_OPTIONS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS:KRB5_PADATA_PAC_OPTIONS}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_PAC\_OPTIONS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_OPTIONS:KRB5_PADATA_PAC_OPTIONS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_PAC\_OPTIONS}}}
 \end{fulllineitems}
 
 
-MS-KILE and MS-SFU.
+\sphinxAtStartPar
+MS\sphinxhyphen{}KILE and MS\sphinxhyphen{}SFU.
 
 
 \begin{savenotes}\sphinxattablestart
@@ -22419,9 +27841,11 @@ MS-KILE and MS-SFU.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_PAC\_OPTIONS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_PAC\_OPTIONS}}
 &
-\sphinxcode{167}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{167}}
 \\
 \hline
 \end{tabulary}
@@ -22430,13 +27854,14 @@ MS-KILE and MS-SFU.
 
 
 \subsubsection{KRB5\_PADATA\_PAC\_REQUEST}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_REQUEST:krb5-padata-pac-request-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_REQUEST:krb5-padata-pac-request}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_REQUEST::doc}}\index{KRB5\_PADATA\_PAC\_REQUEST (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_REQUEST:krb5-padata-pac-request}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_REQUEST:krb5-padata-pac-request-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_REQUEST::doc}}\index{KRB5\_PADATA\_PAC\_REQUEST (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_PAC\_REQUEST}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_REQUEST:KRB5_PADATA_PAC_REQUEST}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_PAC\_REQUEST}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PAC_REQUEST:KRB5_PADATA_PAC_REQUEST}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_PAC\_REQUEST}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 include Windows PAC
 
 
@@ -22445,9 +27870,11 @@ include Windows PAC
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_PAC\_REQUEST}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_PAC\_REQUEST}}
 &
-\sphinxcode{128}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{128}}
 \\
 \hline
 \end{tabulary}
@@ -22456,13 +27883,14 @@ include Windows PAC
 
 
 \subsubsection{KRB5\_PADATA\_PKINIT\_KX}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PKINIT_KX:krb5-padata-pkinit-kx}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PKINIT_KX:krb5-padata-pkinit-kx-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PKINIT_KX::doc}}\index{KRB5\_PADATA\_PKINIT\_KX (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PKINIT_KX:krb5-padata-pkinit-kx}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PKINIT_KX:krb5-padata-pkinit-kx-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PKINIT_KX::doc}}\index{KRB5\_PADATA\_PKINIT\_KX (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_PKINIT\_KX}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PKINIT_KX:KRB5_PADATA_PKINIT_KX}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_PKINIT\_KX}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PKINIT_KX:KRB5_PADATA_PKINIT_KX}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_PKINIT\_KX}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 6112.
 
 
@@ -22471,9 +27899,11 @@ RFC 6112.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_PKINIT\_KX}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_PKINIT\_KX}}
 &
-\sphinxcode{147}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{147}}
 \\
 \hline
 \end{tabulary}
@@ -22482,15 +27912,17 @@ RFC 6112.
 
 
 \subsubsection{KRB5\_PADATA\_PK\_AS\_REP}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP:krb5-padata-pk-as-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP:krb5-padata-pk-as-rep}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP::doc}}\index{KRB5\_PADATA\_PK\_AS\_REP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP:krb5-padata-pk-as-rep}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP:krb5-padata-pk-as-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP::doc}}\index{KRB5\_PADATA\_PK\_AS\_REP (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_PK\_AS\_REP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP:KRB5_PADATA_PK_AS_REP}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_PK\_AS\_REP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP:KRB5_PADATA_PK_AS_REP}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_PK\_AS\_REP}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 PKINIT.
 
+\sphinxAtStartPar
 RFC 4556
 
 
@@ -22499,9 +27931,11 @@ RFC 4556
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_PK\_AS\_REP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_PK\_AS\_REP}}
 &
-\sphinxcode{17}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{17}}
 \\
 \hline
 \end{tabulary}
@@ -22510,13 +27944,14 @@ RFC 4556
 
 
 \subsubsection{KRB5\_PADATA\_PK\_AS\_REP\_OLD}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD:krb5-padata-pk-as-rep-old-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD:krb5-padata-pk-as-rep-old}}\index{KRB5\_PADATA\_PK\_AS\_REP\_OLD (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD:krb5-padata-pk-as-rep-old}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD:krb5-padata-pk-as-rep-old-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD::doc}}\index{KRB5\_PADATA\_PK\_AS\_REP\_OLD (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_PK\_AS\_REP\_OLD}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD:KRB5_PADATA_PK_AS_REP_OLD}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_PK\_AS\_REP\_OLD}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REP_OLD:KRB5_PADATA_PK_AS_REP_OLD}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_PK\_AS\_REP\_OLD}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 PKINIT.
 
 
@@ -22525,9 +27960,11 @@ PKINIT.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_PK\_AS\_REP\_OLD}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_PK\_AS\_REP\_OLD}}
 &
-\sphinxcode{15}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{15}}
 \\
 \hline
 \end{tabulary}
@@ -22536,15 +27973,17 @@ PKINIT.
 
 
 \subsubsection{KRB5\_PADATA\_PK\_AS\_REQ}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ:krb5-padata-pk-as-req}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ:krb5-padata-pk-as-req-data}}\index{KRB5\_PADATA\_PK\_AS\_REQ (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ:krb5-padata-pk-as-req}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ:krb5-padata-pk-as-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ::doc}}\index{KRB5\_PADATA\_PK\_AS\_REQ (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_PK\_AS\_REQ}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ:KRB5_PADATA_PK_AS_REQ}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_PK\_AS\_REQ}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ:KRB5_PADATA_PK_AS_REQ}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_PK\_AS\_REQ}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 PKINIT.
 
+\sphinxAtStartPar
 RFC 4556
 
 
@@ -22553,9 +27992,11 @@ RFC 4556
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_PK\_AS\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_PK\_AS\_REQ}}
 &
-\sphinxcode{16}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{16}}
 \\
 \hline
 \end{tabulary}
@@ -22564,13 +28005,14 @@ RFC 4556
 
 
 \subsubsection{KRB5\_PADATA\_PK\_AS\_REQ\_OLD}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD:krb5-padata-pk-as-req-old}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD:krb5-padata-pk-as-req-old-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD::doc}}\index{KRB5\_PADATA\_PK\_AS\_REQ\_OLD (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD:krb5-padata-pk-as-req-old}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD:krb5-padata-pk-as-req-old-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD::doc}}\index{KRB5\_PADATA\_PK\_AS\_REQ\_OLD (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_PK\_AS\_REQ\_OLD}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD:KRB5_PADATA_PK_AS_REQ_OLD}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_PK\_AS\_REQ\_OLD}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PK_AS_REQ_OLD:KRB5_PADATA_PK_AS_REQ_OLD}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_PK\_AS\_REQ\_OLD}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 PKINIT.
 
 
@@ -22579,9 +28021,11 @@ PKINIT.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_PK\_AS\_REQ\_OLD}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_PK\_AS\_REQ\_OLD}}
 &
-\sphinxcode{14}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{14}}
 \\
 \hline
 \end{tabulary}
@@ -22590,13 +28034,14 @@ PKINIT.
 
 
 \subsubsection{KRB5\_PADATA\_PW\_SALT}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PW_SALT:krb5-padata-pw-salt-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PW_SALT:krb5-padata-pw-salt}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PW_SALT::doc}}\index{KRB5\_PADATA\_PW\_SALT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PW_SALT:krb5-padata-pw-salt}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PW_SALT:krb5-padata-pw-salt-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PW_SALT::doc}}\index{KRB5\_PADATA\_PW\_SALT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_PW\_SALT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PW_SALT:KRB5_PADATA_PW_SALT}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_PW\_SALT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_PW_SALT:KRB5_PADATA_PW_SALT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_PW\_SALT}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 4120.
 
 
@@ -22605,9 +28050,11 @@ RFC 4120.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_PW\_SALT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_PW\_SALT}}
 &
-\sphinxcode{3}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{3}}
 \\
 \hline
 \end{tabulary}
@@ -22616,13 +28063,14 @@ RFC 4120.
 
 
 \subsubsection{KRB5\_PADATA\_REFERRAL}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REFERRAL:krb5-padata-referral}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REFERRAL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REFERRAL:krb5-padata-referral-data}}\index{KRB5\_PADATA\_REFERRAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REFERRAL:krb5-padata-referral}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REFERRAL:krb5-padata-referral-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REFERRAL::doc}}\index{KRB5\_PADATA\_REFERRAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_REFERRAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REFERRAL:KRB5_PADATA_REFERRAL}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_REFERRAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REFERRAL:KRB5_PADATA_REFERRAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_REFERRAL}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 draft referral system
 
 
@@ -22631,9 +28079,11 @@ draft referral system
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_REFERRAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_REFERRAL}}
 &
-\sphinxcode{25}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{25}}
 \\
 \hline
 \end{tabulary}
@@ -22642,13 +28092,14 @@ draft referral system
 
 
 \subsubsection{KRB5\_PADATA\_S4U\_X509\_USER}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_S4U_X509_USER:krb5-padata-s4u-x509-user-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_S4U_X509_USER::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_S4U_X509_USER:krb5-padata-s4u-x509-user}}\index{KRB5\_PADATA\_S4U\_X509\_USER (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_S4U_X509_USER:krb5-padata-s4u-x509-user}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_S4U_X509_USER:krb5-padata-s4u-x509-user-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_S4U_X509_USER::doc}}\index{KRB5\_PADATA\_S4U\_X509\_USER (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_S4U\_X509\_USER}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_S4U_X509_USER:KRB5_PADATA_S4U_X509_USER}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_S4U\_X509\_USER}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_S4U_X509_USER:KRB5_PADATA_S4U_X509_USER}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_S4U\_X509\_USER}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 certificate protocol transition request
 
 
@@ -22657,9 +28108,11 @@ certificate protocol transition request
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_S4U\_X509\_USER}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_S4U\_X509\_USER}}
 &
-\sphinxcode{130}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{130}}
 \\
 \hline
 \end{tabulary}
@@ -22668,13 +28121,14 @@ certificate protocol transition request
 
 
 \subsubsection{KRB5\_PADATA\_SAM\_CHALLENGE}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE:krb5-padata-sam-challenge-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE:krb5-padata-sam-challenge}}\index{KRB5\_PADATA\_SAM\_CHALLENGE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE:krb5-padata-sam-challenge}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE:krb5-padata-sam-challenge-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE::doc}}\index{KRB5\_PADATA\_SAM\_CHALLENGE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_SAM\_CHALLENGE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE:KRB5_PADATA_SAM_CHALLENGE}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_SAM\_CHALLENGE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE:KRB5_PADATA_SAM_CHALLENGE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_SAM\_CHALLENGE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 SAM/OTP.
 
 
@@ -22683,9 +28137,11 @@ SAM/OTP.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_SAM\_CHALLENGE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_SAM\_CHALLENGE}}
 &
-\sphinxcode{12}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{12}}
 \\
 \hline
 \end{tabulary}
@@ -22694,13 +28150,14 @@ SAM/OTP.
 
 
 \subsubsection{KRB5\_PADATA\_SAM\_CHALLENGE\_2}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2:krb5-padata-sam-challenge-2-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2:krb5-padata-sam-challenge-2}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2::doc}}\index{KRB5\_PADATA\_SAM\_CHALLENGE\_2 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2:krb5-padata-sam-challenge-2}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2:krb5-padata-sam-challenge-2-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2::doc}}\index{KRB5\_PADATA\_SAM\_CHALLENGE\_2 (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_SAM\_CHALLENGE\_2}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2:KRB5_PADATA_SAM_CHALLENGE_2}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_SAM\_CHALLENGE\_2}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_CHALLENGE_2:KRB5_PADATA_SAM_CHALLENGE_2}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_SAM\_CHALLENGE\_2}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 draft challenge system, updated
 
 
@@ -22709,9 +28166,11 @@ draft challenge system, updated
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_SAM\_CHALLENGE\_2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_SAM\_CHALLENGE\_2}}
 &
-\sphinxcode{30}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{30}}
 \\
 \hline
 \end{tabulary}
@@ -22720,15 +28179,17 @@ draft challenge system, updated
 
 
 \subsubsection{KRB5\_PADATA\_SAM\_REDIRECT}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT:krb5-padata-sam-redirect-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT:krb5-padata-sam-redirect}}\index{KRB5\_PADATA\_SAM\_REDIRECT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT:krb5-padata-sam-redirect}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT:krb5-padata-sam-redirect-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT::doc}}\index{KRB5\_PADATA\_SAM\_REDIRECT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_SAM\_REDIRECT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT:KRB5_PADATA_SAM_REDIRECT}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_SAM\_REDIRECT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_REDIRECT:KRB5_PADATA_SAM_REDIRECT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_SAM\_REDIRECT}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 SAM/OTP.
 
+\sphinxAtStartPar
 RFC 4120
 
 
@@ -22737,9 +28198,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_SAM\_REDIRECT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_SAM\_REDIRECT}}
 &
-\sphinxcode{21}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{21}}
 \\
 \hline
 \end{tabulary}
@@ -22748,13 +28211,14 @@ RFC 4120
 
 
 \subsubsection{KRB5\_PADATA\_SAM\_RESPONSE}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE:krb5-padata-sam-response-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE:krb5-padata-sam-response}}\index{KRB5\_PADATA\_SAM\_RESPONSE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE:krb5-padata-sam-response}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE:krb5-padata-sam-response-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE::doc}}\index{KRB5\_PADATA\_SAM\_RESPONSE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_SAM\_RESPONSE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE:KRB5_PADATA_SAM_RESPONSE}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_SAM\_RESPONSE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE:KRB5_PADATA_SAM_RESPONSE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_SAM\_RESPONSE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 SAM/OTP.
 
 
@@ -22763,9 +28227,11 @@ SAM/OTP.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_SAM\_RESPONSE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_SAM\_RESPONSE}}
 &
-\sphinxcode{13}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{13}}
 \\
 \hline
 \end{tabulary}
@@ -22774,13 +28240,14 @@ SAM/OTP.
 
 
 \subsubsection{KRB5\_PADATA\_SAM\_RESPONSE\_2}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2:krb5-padata-sam-response-2}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2:krb5-padata-sam-response-2-data}}\index{KRB5\_PADATA\_SAM\_RESPONSE\_2 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2:krb5-padata-sam-response-2}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2:krb5-padata-sam-response-2-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2::doc}}\index{KRB5\_PADATA\_SAM\_RESPONSE\_2 (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_SAM\_RESPONSE\_2}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2:KRB5_PADATA_SAM_RESPONSE_2}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_SAM\_RESPONSE\_2}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SAM_RESPONSE_2:KRB5_PADATA_SAM_RESPONSE_2}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_SAM\_RESPONSE\_2}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 draft challenge system, updated
 
 
@@ -22789,9 +28256,11 @@ draft challenge system, updated
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_SAM\_RESPONSE\_2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_SAM\_RESPONSE\_2}}
 &
-\sphinxcode{31}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{31}}
 \\
 \hline
 \end{tabulary}
@@ -22800,15 +28269,17 @@ draft challenge system, updated
 
 
 \subsubsection{KRB5\_PADATA\_SESAME}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SESAME::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SESAME:krb5-padata-sesame}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SESAME:krb5-padata-sesame-data}}\index{KRB5\_PADATA\_SESAME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SESAME:krb5-padata-sesame}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SESAME:krb5-padata-sesame-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SESAME::doc}}\index{KRB5\_PADATA\_SESAME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_SESAME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SESAME:KRB5_PADATA_SESAME}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_SESAME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SESAME:KRB5_PADATA_SESAME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_SESAME}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Sesame project.
 
+\sphinxAtStartPar
 RFC 4120
 
 
@@ -22817,9 +28288,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_SESAME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_SESAME}}
 &
-\sphinxcode{7}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{7}}
 \\
 \hline
 \end{tabulary}
@@ -22828,10 +28301,10 @@ RFC 4120
 
 
 \subsubsection{KRB5\_PADATA\_SPAKE}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SPAKE:krb5-padata-spake-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SPAKE:krb5-padata-spake}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SPAKE::doc}}\index{KRB5\_PADATA\_SPAKE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SPAKE:krb5-padata-spake}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SPAKE:krb5-padata-spake-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SPAKE::doc}}\index{KRB5\_PADATA\_SPAKE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_SPAKE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SPAKE:KRB5_PADATA_SPAKE}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_SPAKE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SPAKE:KRB5_PADATA_SPAKE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_SPAKE}}}
 \end{fulllineitems}
 
 
@@ -22841,9 +28314,11 @@ RFC 4120
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_SPAKE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_SPAKE}}
 &
-\sphinxcode{151}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{151}}
 \\
 \hline
 \end{tabulary}
@@ -22852,13 +28327,14 @@ RFC 4120
 
 
 \subsubsection{KRB5\_PADATA\_REDHAT\_IDP\_OAUTH2}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2:krb5-padata-redhat-idp-oauth2-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2:krb5-padata-redhat-idp-oauth2}}\index{KRB5\_PADATA\_REDHAT\_IDP\_OAUTH2 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2:krb5-padata-redhat-idp-oauth2}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2:krb5-padata-redhat-idp-oauth2-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2::doc}}\index{KRB5\_PADATA\_REDHAT\_IDP\_OAUTH2 (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_REDHAT\_IDP\_OAUTH2}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2:KRB5_PADATA_REDHAT_IDP_OAUTH2}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_REDHAT\_IDP\_OAUTH2}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_IDP_OAUTH2:KRB5_PADATA_REDHAT_IDP_OAUTH2}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_REDHAT\_IDP\_OAUTH2}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Red Hat IdP mechanism.
 
 
@@ -22867,9 +28343,11 @@ Red Hat IdP mechanism.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_REDHAT\_IDP\_OAUTH2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_REDHAT\_IDP\_OAUTH2}}
 &
-\sphinxcode{152}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{152}}
 \\
 \hline
 \end{tabulary}
@@ -22878,13 +28356,14 @@ Red Hat IdP mechanism.
 
 
 \subsubsection{KRB5\_PADATA\_REDHAT\_PASSKEY}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY:krb5-padata-redhat-passkey}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY:krb5-padata-redhat-passkey-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY::doc}}\index{KRB5\_PADATA\_REDHAT\_PASSKEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY:krb5-padata-redhat-passkey}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY:krb5-padata-redhat-passkey-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY::doc}}\index{KRB5\_PADATA\_REDHAT\_PASSKEY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_REDHAT\_PASSKEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY:KRB5_PADATA_REDHAT_PASSKEY}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_REDHAT\_PASSKEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_REDHAT_PASSKEY:KRB5_PADATA_REDHAT_PASSKEY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_REDHAT\_PASSKEY}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Red Hat Passkey mechanism.
 
 
@@ -22893,9 +28372,11 @@ Red Hat Passkey mechanism.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_REDHAT\_PASSKEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_REDHAT\_PASSKEY}}
 &
-\sphinxcode{153}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{153}}
 \\
 \hline
 \end{tabulary}
@@ -22904,15 +28385,17 @@ Red Hat Passkey mechanism.
 
 
 \subsubsection{KRB5\_PADATA\_SVR\_REFERRAL\_INFO}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO:krb5-padata-svr-referral-info}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO:krb5-padata-svr-referral-info-data}}\index{KRB5\_PADATA\_SVR\_REFERRAL\_INFO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO:krb5-padata-svr-referral-info}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO:krb5-padata-svr-referral-info-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO::doc}}\index{KRB5\_PADATA\_SVR\_REFERRAL\_INFO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_SVR\_REFERRAL\_INFO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO:KRB5_PADATA_SVR_REFERRAL_INFO}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_SVR\_REFERRAL\_INFO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_SVR_REFERRAL_INFO:KRB5_PADATA_SVR_REFERRAL_INFO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_SVR\_REFERRAL\_INFO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Windows 2000 referrals.
 
+\sphinxAtStartPar
 RFC 6820
 
 
@@ -22921,9 +28404,11 @@ RFC 6820
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_SVR\_REFERRAL\_INFO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_SVR\_REFERRAL\_INFO}}
 &
-\sphinxcode{20}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{20}}
 \\
 \hline
 \end{tabulary}
@@ -22932,10 +28417,10 @@ RFC 6820
 
 
 \subsubsection{KRB5\_PADATA\_TGS\_REQ}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_TGS_REQ::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_TGS_REQ:krb5-padata-tgs-req}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_TGS_REQ:krb5-padata-tgs-req-data}}\index{KRB5\_PADATA\_TGS\_REQ (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_TGS_REQ:krb5-padata-tgs-req}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_TGS_REQ:krb5-padata-tgs-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_TGS_REQ::doc}}\index{KRB5\_PADATA\_TGS\_REQ (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_TGS\_REQ}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_TGS_REQ:KRB5_PADATA_TGS_REQ}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_TGS\_REQ}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_TGS_REQ:KRB5_PADATA_TGS_REQ}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_TGS\_REQ}}}
 \end{fulllineitems}
 
 
@@ -22945,9 +28430,11 @@ RFC 6820
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_TGS\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_TGS\_REQ}}
 &
-\sphinxcode{KRB5\_PADATA\_AP\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_AP\_REQ}}
 \\
 \hline
 \end{tabulary}
@@ -22956,13 +28443,14 @@ RFC 6820
 
 
 \subsubsection{KRB5\_PADATA\_USE\_SPECIFIED\_KVNO}
-\label{\detokenize{appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO:krb5-padata-use-specified-kvno}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO:krb5-padata-use-specified-kvno-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO::doc}}\index{KRB5\_PADATA\_USE\_SPECIFIED\_KVNO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO:krb5-padata-use-specified-kvno}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO:krb5-padata-use-specified-kvno-data}}\label{\detokenize{appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO::doc}}\index{KRB5\_PADATA\_USE\_SPECIFIED\_KVNO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PADATA\_USE\_SPECIFIED\_KVNO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO:KRB5_PADATA_USE_SPECIFIED_KVNO}}\pysigline{\sphinxbfcode{KRB5\_PADATA\_USE\_SPECIFIED\_KVNO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PADATA_USE_SPECIFIED_KVNO:KRB5_PADATA_USE_SPECIFIED_KVNO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PADATA\_USE\_SPECIFIED\_KVNO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 RFC 4120.
 
 
@@ -22971,9 +28459,11 @@ RFC 4120.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PADATA\_USE\_SPECIFIED\_KVNO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PADATA\_USE\_SPECIFIED\_KVNO}}
 &
-\sphinxcode{20}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{20}}
 \\
 \hline
 \end{tabulary}
@@ -22982,14 +28472,15 @@ RFC 4120.
 
 
 \subsubsection{KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD:krb5-principal-compare-casefold-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD:krb5-principal-compare-casefold}}\index{KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD:krb5-principal-compare-casefold}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD:krb5-principal-compare-casefold-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD::doc}}\index{KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD:KRB5_PRINCIPAL_COMPARE_CASEFOLD}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_CASEFOLD:KRB5_PRINCIPAL_COMPARE_CASEFOLD}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD}}}
 \end{fulllineitems}
 
 
-case-insensitive
+\sphinxAtStartPar
+case\sphinxhyphen{}insensitive
 
 
 \begin{savenotes}\sphinxattablestart
@@ -22997,9 +28488,11 @@ case-insensitive
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_COMPARE\_CASEFOLD}}
 &
-\sphinxcode{4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{4}}
 \\
 \hline
 \end{tabulary}
@@ -23008,13 +28501,14 @@ case-insensitive
 
 
 \subsubsection{KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE:krb5-principal-compare-enterprise}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE:krb5-principal-compare-enterprise-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE::doc}}\index{KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE:krb5-principal-compare-enterprise}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE:krb5-principal-compare-enterprise-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE::doc}}\index{KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE:KRB5_PRINCIPAL_COMPARE_ENTERPRISE}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_ENTERPRISE:KRB5_PRINCIPAL_COMPARE_ENTERPRISE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 UPNs as real principals.
 
 
@@ -23023,9 +28517,11 @@ UPNs as real principals.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_COMPARE\_ENTERPRISE}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -23034,13 +28530,14 @@ UPNs as real principals.
 
 
 \subsubsection{KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM:krb5-principal-compare-ignore-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM:krb5-principal-compare-ignore-realm-data}}\index{KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM:krb5-principal-compare-ignore-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM:krb5-principal-compare-ignore-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM::doc}}\index{KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM:KRB5_PRINCIPAL_COMPARE_IGNORE_REALM}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_IGNORE_REALM:KRB5_PRINCIPAL_COMPARE_IGNORE_REALM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 ignore realm component
 
 
@@ -23049,9 +28546,11 @@ ignore realm component
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_COMPARE\_IGNORE\_REALM}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -23060,14 +28559,15 @@ ignore realm component
 
 
 \subsubsection{KRB5\_PRINCIPAL\_COMPARE\_UTF8}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8:krb5-principal-compare-utf8-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8:krb5-principal-compare-utf8}}\index{KRB5\_PRINCIPAL\_COMPARE\_UTF8 (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8:krb5-principal-compare-utf8}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8:krb5-principal-compare-utf8-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8::doc}}\index{KRB5\_PRINCIPAL\_COMPARE\_UTF8 (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_COMPARE\_UTF8}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8:KRB5_PRINCIPAL_COMPARE_UTF8}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_COMPARE\_UTF8}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_COMPARE_UTF8:KRB5_PRINCIPAL_COMPARE_UTF8}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_COMPARE\_UTF8}}}
 \end{fulllineitems}
 
 
-treat principals as UTF-8
+\sphinxAtStartPar
+treat principals as UTF\sphinxhyphen{}8
 
 
 \begin{savenotes}\sphinxattablestart
@@ -23075,9 +28575,11 @@ treat principals as UTF-8
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_COMPARE\_UTF8}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_COMPARE\_UTF8}}
 &
-\sphinxcode{8}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{8}}
 \\
 \hline
 \end{tabulary}
@@ -23086,14 +28588,15 @@ treat principals as UTF-8
 
 
 \subsubsection{KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE:krb5-principal-parse-enterprise-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE:krb5-principal-parse-enterprise}}\index{KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE:krb5-principal-parse-enterprise}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE:krb5-principal-parse-enterprise-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE::doc}}\index{KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE:KRB5_PRINCIPAL_PARSE_ENTERPRISE}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_ENTERPRISE:KRB5_PRINCIPAL_PARSE_ENTERPRISE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE}}}
 \end{fulllineitems}
 
 
-Create single-component enterprise principle.
+\sphinxAtStartPar
+Create single\sphinxhyphen{}component enterprise principle.
 
 
 \begin{savenotes}\sphinxattablestart
@@ -23101,9 +28604,11 @@ Create single-component enterprise princ
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_ENTERPRISE}}
 &
-\sphinxcode{0x4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x4}}
 \\
 \hline
 \end{tabulary}
@@ -23112,13 +28617,14 @@ Create single-component enterprise princ
 
 
 \subsubsection{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM:krb5-principal-parse-ignore-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM:krb5-principal-parse-ignore-realm-data}}\index{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM:krb5-principal-parse-ignore-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM:krb5-principal-parse-ignore-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM::doc}}\index{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM:KRB5_PRINCIPAL_PARSE_IGNORE_REALM}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_IGNORE_REALM:KRB5_PRINCIPAL_PARSE_IGNORE_REALM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Ignore realm if present.
 
 
@@ -23127,9 +28633,11 @@ Ignore realm if present.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_IGNORE\_REALM}}
 &
-\sphinxcode{0x8}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x8}}
 \\
 \hline
 \end{tabulary}
@@ -23138,13 +28646,14 @@ Ignore realm if present.
 
 
 \subsubsection{KRB5\_PRINCIPAL\_PARSE\_NO\_DEF\_REALM}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM:krb5-principal-parse-no-def-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM:krb5-principal-parse-no-def-realm}}\index{KRB5\_PRINCIPAL\_PARSE\_NO\_DEF\_REALM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM:krb5-principal-parse-no-def-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM:krb5-principal-parse-no-def-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM::doc}}\index{KRB5\_PRINCIPAL\_PARSE\_NO\_DEF\_REALM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_PARSE\_NO\_DEF\_REALM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM:KRB5_PRINCIPAL_PARSE_NO_DEF_REALM}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_PARSE\_NO\_DEF\_REALM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_DEF_REALM:KRB5_PRINCIPAL_PARSE_NO_DEF_REALM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_NO\_DEF\_REALM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Don’t add default realm.
 
 
@@ -23153,9 +28662,11 @@ Don’t add default realm.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_PARSE\_NO\_DEF\_REALM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_NO\_DEF\_REALM}}
 &
-\sphinxcode{0x10}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x10}}
 \\
 \hline
 \end{tabulary}
@@ -23164,13 +28675,14 @@ Don’t add default realm.
 
 
 \subsubsection{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM:krb5-principal-parse-no-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM:krb5-principal-parse-no-realm}}\index{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM:krb5-principal-parse-no-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM:krb5-principal-parse-no-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM::doc}}\index{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM:KRB5_PRINCIPAL_PARSE_NO_REALM}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_NO_REALM:KRB5_PRINCIPAL_PARSE_NO_REALM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Error if realm is present.
 
 
@@ -23179,9 +28691,11 @@ Error if realm is present.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_NO\_REALM}}
 &
-\sphinxcode{0x1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x1}}
 \\
 \hline
 \end{tabulary}
@@ -23190,13 +28704,14 @@ Error if realm is present.
 
 
 \subsubsection{KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM:krb5-principal-parse-require-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM:krb5-principal-parse-require-realm-data}}\index{KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM:krb5-principal-parse-require-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM:krb5-principal-parse-require-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM::doc}}\index{KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM:KRB5_PRINCIPAL_PARSE_REQUIRE_REALM}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_PARSE_REQUIRE_REALM:KRB5_PRINCIPAL_PARSE_REQUIRE_REALM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Error if realm is not present.
 
 
@@ -23205,9 +28720,11 @@ Error if realm is not present.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_PARSE\_REQUIRE\_REALM}}
 &
-\sphinxcode{0x2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x2}}
 \\
 \hline
 \end{tabulary}
@@ -23216,13 +28733,14 @@ Error if realm is not present.
 
 
 \subsubsection{KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY:krb5-principal-unparse-display-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY:krb5-principal-unparse-display}}\index{KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY:krb5-principal-unparse-display}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY:krb5-principal-unparse-display-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY::doc}}\index{KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY:KRB5_PRINCIPAL_UNPARSE_DISPLAY}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_DISPLAY:KRB5_PRINCIPAL_UNPARSE_DISPLAY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Don’t escape special characters.
 
 
@@ -23231,9 +28749,11 @@ Don’t escape special characters.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_UNPARSE\_DISPLAY}}
 &
-\sphinxcode{0x4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x4}}
 \\
 \hline
 \end{tabulary}
@@ -23242,13 +28762,14 @@ Don’t escape special characters.
 
 
 \subsubsection{KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM:krb5-principal-unparse-no-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM:krb5-principal-unparse-no-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM::doc}}\index{KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM:krb5-principal-unparse-no-realm}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM:krb5-principal-unparse-no-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM::doc}}\index{KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM:KRB5_PRINCIPAL_UNPARSE_NO_REALM}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_NO_REALM:KRB5_PRINCIPAL_UNPARSE_NO_REALM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Omit realm always.
 
 
@@ -23257,9 +28778,11 @@ Omit realm always.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_UNPARSE\_NO\_REALM}}
 &
-\sphinxcode{0x2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x2}}
 \\
 \hline
 \end{tabulary}
@@ -23268,13 +28791,14 @@ Omit realm always.
 
 
 \subsubsection{KRB5\_PRINCIPAL\_UNPARSE\_SHORT}
-\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT:krb5-principal-unparse-short}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT:krb5-principal-unparse-short-data}}\index{KRB5\_PRINCIPAL\_UNPARSE\_SHORT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT:krb5-principal-unparse-short}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT:krb5-principal-unparse-short-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT::doc}}\index{KRB5\_PRINCIPAL\_UNPARSE\_SHORT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRINCIPAL\_UNPARSE\_SHORT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT:KRB5_PRINCIPAL_UNPARSE_SHORT}}\pysigline{\sphinxbfcode{KRB5\_PRINCIPAL\_UNPARSE\_SHORT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRINCIPAL_UNPARSE_SHORT:KRB5_PRINCIPAL_UNPARSE_SHORT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRINCIPAL\_UNPARSE\_SHORT}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Omit realm if it is the local realm.
 
 
@@ -23283,9 +28807,11 @@ Omit realm if it is the local realm.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRINCIPAL\_UNPARSE\_SHORT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRINCIPAL\_UNPARSE\_SHORT}}
 &
-\sphinxcode{0x1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x1}}
 \\
 \hline
 \end{tabulary}
@@ -23294,13 +28820,14 @@ Omit realm if it is the local realm.
 
 
 \subsubsection{KRB5\_PRIV}
-\label{\detokenize{appdev/refs/macros/KRB5_PRIV:krb5-priv-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRIV::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PRIV:krb5-priv}}\index{KRB5\_PRIV (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PRIV:krb5-priv}}\label{\detokenize{appdev/refs/macros/KRB5_PRIV:krb5-priv-data}}\label{\detokenize{appdev/refs/macros/KRB5_PRIV::doc}}\index{KRB5\_PRIV (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PRIV}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRIV:KRB5_PRIV}}\pysigline{\sphinxbfcode{KRB5\_PRIV}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PRIV:KRB5_PRIV}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PRIV}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Private application message.
 
 
@@ -23309,9 +28836,11 @@ Private application message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PRIV}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PRIV}}
 &
-\sphinxcode{((krb5\_msgtype)21)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)21)}}
 \\
 \hline
 \end{tabulary}
@@ -23320,13 +28849,14 @@ Private application message.
 
 
 \subsubsection{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD}
-\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD:krb5-prompt-type-new-password-data}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD:krb5-prompt-type-new-password}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD::doc}}\index{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD:krb5-prompt-type-new-password}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD:krb5-prompt-type-new-password-data}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD::doc}}\index{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD:KRB5_PROMPT_TYPE_NEW_PASSWORD}}\pysigline{\sphinxbfcode{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD:KRB5_PROMPT_TYPE_NEW_PASSWORD}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Prompt for new password (during password change)
 
 
@@ -23335,9 +28865,11 @@ Prompt for new password (during password
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD}}
 &
-\sphinxcode{0x2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x2}}
 \\
 \hline
 \end{tabulary}
@@ -23346,13 +28878,14 @@ Prompt for new password (during password
 
 
 \subsubsection{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN}
-\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN:krb5-prompt-type-new-password-again}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN:krb5-prompt-type-new-password-again-data}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN::doc}}\index{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN:krb5-prompt-type-new-password-again}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN:krb5-prompt-type-new-password-again-data}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN::doc}}\index{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN:KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN}}\pysigline{\sphinxbfcode{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN:KRB5_PROMPT_TYPE_NEW_PASSWORD_AGAIN}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Prompt for new password again.
 
 
@@ -23361,9 +28894,11 @@ Prompt for new password again.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PROMPT\_TYPE\_NEW\_PASSWORD\_AGAIN}}
 &
-\sphinxcode{0x3}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x3}}
 \\
 \hline
 \end{tabulary}
@@ -23372,13 +28907,14 @@ Prompt for new password again.
 
 
 \subsubsection{KRB5\_PROMPT\_TYPE\_PASSWORD}
-\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD:krb5-prompt-type-password-data}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD:krb5-prompt-type-password}}\index{KRB5\_PROMPT\_TYPE\_PASSWORD (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD:krb5-prompt-type-password}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD:krb5-prompt-type-password-data}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD::doc}}\index{KRB5\_PROMPT\_TYPE\_PASSWORD (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PROMPT\_TYPE\_PASSWORD}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD:KRB5_PROMPT_TYPE_PASSWORD}}\pysigline{\sphinxbfcode{KRB5\_PROMPT\_TYPE\_PASSWORD}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PASSWORD:KRB5_PROMPT_TYPE_PASSWORD}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PROMPT\_TYPE\_PASSWORD}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Prompt for password.
 
 
@@ -23387,9 +28923,11 @@ Prompt for password.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PROMPT\_TYPE\_PASSWORD}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PROMPT\_TYPE\_PASSWORD}}
 &
-\sphinxcode{0x1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x1}}
 \\
 \hline
 \end{tabulary}
@@ -23398,13 +28936,14 @@ Prompt for password.
 
 
 \subsubsection{KRB5\_PROMPT\_TYPE\_PREAUTH}
-\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH:krb5-prompt-type-preauth-data}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH:krb5-prompt-type-preauth}}\index{KRB5\_PROMPT\_TYPE\_PREAUTH (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH:krb5-prompt-type-preauth}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH:krb5-prompt-type-preauth-data}}\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH::doc}}\index{KRB5\_PROMPT\_TYPE\_PREAUTH (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PROMPT\_TYPE\_PREAUTH}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH:KRB5_PROMPT_TYPE_PREAUTH}}\pysigline{\sphinxbfcode{KRB5\_PROMPT\_TYPE\_PREAUTH}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PROMPT_TYPE_PREAUTH:KRB5_PROMPT_TYPE_PREAUTH}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PROMPT\_TYPE\_PREAUTH}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Prompt for preauthentication data (such as an OTP value)
 
 
@@ -23413,9 +28952,11 @@ Prompt for preauthentication data (such
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PROMPT\_TYPE\_PREAUTH}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PROMPT\_TYPE\_PREAUTH}}
 &
-\sphinxcode{0x4}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x4}}
 \\
 \hline
 \end{tabulary}
@@ -23424,13 +28965,14 @@ Prompt for preauthentication data (such
 
 
 \subsubsection{KRB5\_PVNO}
-\label{\detokenize{appdev/refs/macros/KRB5_PVNO:krb5-pvno-data}}\label{\detokenize{appdev/refs/macros/KRB5_PVNO::doc}}\label{\detokenize{appdev/refs/macros/KRB5_PVNO:krb5-pvno}}\index{KRB5\_PVNO (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_PVNO:krb5-pvno}}\label{\detokenize{appdev/refs/macros/KRB5_PVNO:krb5-pvno-data}}\label{\detokenize{appdev/refs/macros/KRB5_PVNO::doc}}\index{KRB5\_PVNO (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_PVNO}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PVNO:KRB5_PVNO}}\pysigline{\sphinxbfcode{KRB5\_PVNO}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_PVNO:KRB5_PVNO}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_PVNO}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Protocol version number.
 
 
@@ -23439,9 +28981,11 @@ Protocol version number.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_PVNO}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_PVNO}}
 &
-\sphinxcode{5}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{5}}
 \\
 \hline
 \end{tabulary}
@@ -23450,10 +28994,10 @@ Protocol version number.
 
 
 \subsubsection{KRB5\_REALM\_BRANCH\_CHAR}
-\label{\detokenize{appdev/refs/macros/KRB5_REALM_BRANCH_CHAR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_REALM_BRANCH_CHAR:krb5-realm-branch-char}}\label{\detokenize{appdev/refs/macros/KRB5_REALM_BRANCH_CHAR:krb5-realm-branch-char-data}}\index{KRB5\_REALM\_BRANCH\_CHAR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_REALM_BRANCH_CHAR:krb5-realm-branch-char}}\label{\detokenize{appdev/refs/macros/KRB5_REALM_BRANCH_CHAR:krb5-realm-branch-char-data}}\label{\detokenize{appdev/refs/macros/KRB5_REALM_BRANCH_CHAR::doc}}\index{KRB5\_REALM\_BRANCH\_CHAR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_REALM\_BRANCH\_CHAR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_REALM_BRANCH_CHAR:KRB5_REALM_BRANCH_CHAR}}\pysigline{\sphinxbfcode{KRB5\_REALM\_BRANCH\_CHAR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_REALM_BRANCH_CHAR:KRB5_REALM_BRANCH_CHAR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_REALM\_BRANCH\_CHAR}}}
 \end{fulllineitems}
 
 
@@ -23463,9 +29007,11 @@ Protocol version number.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_REALM\_BRANCH\_CHAR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_REALM\_BRANCH\_CHAR}}
 &
-\sphinxcode{'.'}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{\textquotesingle{}.\textquotesingle{}}}
 \\
 \hline
 \end{tabulary}
@@ -23474,10 +29020,10 @@ Protocol version number.
 
 
 \subsubsection{KRB5\_RECVAUTH\_BADAUTHVERS}
-\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS:krb5-recvauth-badauthvers-data}}\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS:krb5-recvauth-badauthvers}}\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS::doc}}\index{KRB5\_RECVAUTH\_BADAUTHVERS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS:krb5-recvauth-badauthvers}}\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS:krb5-recvauth-badauthvers-data}}\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS::doc}}\index{KRB5\_RECVAUTH\_BADAUTHVERS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RECVAUTH\_BADAUTHVERS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS:KRB5_RECVAUTH_BADAUTHVERS}}\pysigline{\sphinxbfcode{KRB5\_RECVAUTH\_BADAUTHVERS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_BADAUTHVERS:KRB5_RECVAUTH_BADAUTHVERS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RECVAUTH\_BADAUTHVERS}}}
 \end{fulllineitems}
 
 
@@ -23487,9 +29033,11 @@ Protocol version number.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RECVAUTH\_BADAUTHVERS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RECVAUTH\_BADAUTHVERS}}
 &
-\sphinxcode{0x0002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0002}}
 \\
 \hline
 \end{tabulary}
@@ -23498,10 +29046,10 @@ Protocol version number.
 
 
 \subsubsection{KRB5\_RECVAUTH\_SKIP\_VERSION}
-\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION:krb5-recvauth-skip-version}}\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION:krb5-recvauth-skip-version-data}}\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION::doc}}\index{KRB5\_RECVAUTH\_SKIP\_VERSION (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION:krb5-recvauth-skip-version}}\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION:krb5-recvauth-skip-version-data}}\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION::doc}}\index{KRB5\_RECVAUTH\_SKIP\_VERSION (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RECVAUTH\_SKIP\_VERSION}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION:KRB5_RECVAUTH_SKIP_VERSION}}\pysigline{\sphinxbfcode{KRB5\_RECVAUTH\_SKIP\_VERSION}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RECVAUTH_SKIP_VERSION:KRB5_RECVAUTH_SKIP_VERSION}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RECVAUTH\_SKIP\_VERSION}}}
 \end{fulllineitems}
 
 
@@ -23511,9 +29059,11 @@ Protocol version number.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RECVAUTH\_SKIP\_VERSION}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RECVAUTH\_SKIP\_VERSION}}
 &
-\sphinxcode{0x0001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0001}}
 \\
 \hline
 \end{tabulary}
@@ -23522,13 +29072,14 @@ Protocol version number.
 
 
 \subsubsection{KRB5\_REFERRAL\_REALM}
-\label{\detokenize{appdev/refs/macros/KRB5_REFERRAL_REALM:krb5-referral-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_REFERRAL_REALM::doc}}\label{\detokenize{appdev/refs/macros/KRB5_REFERRAL_REALM:krb5-referral-realm}}\index{KRB5\_REFERRAL\_REALM (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_REFERRAL_REALM:krb5-referral-realm}}\label{\detokenize{appdev/refs/macros/KRB5_REFERRAL_REALM:krb5-referral-realm-data}}\label{\detokenize{appdev/refs/macros/KRB5_REFERRAL_REALM::doc}}\index{KRB5\_REFERRAL\_REALM (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_REFERRAL\_REALM}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_REFERRAL_REALM:KRB5_REFERRAL_REALM}}\pysigline{\sphinxbfcode{KRB5\_REFERRAL\_REALM}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_REFERRAL_REALM:KRB5_REFERRAL_REALM}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_REFERRAL\_REALM}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Constant for realm referrals.
 
 
@@ -23537,9 +29088,11 @@ Constant for realm referrals.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_REFERRAL\_REALM}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_REFERRAL\_REALM}}
 &
-\sphinxcode{""}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{""}}
 \\
 \hline
 \end{tabulary}
@@ -23548,13 +29101,14 @@ Constant for realm referrals.
 
 
 \subsubsection{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_COUNT\_LOW}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW:krb5-responder-pkinit-flags-token-user-pin-count-low-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW::doc}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW:krb5-responder-pkinit-flags-token-user-pin-count-low}}\index{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_COUNT\_LOW (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW:krb5-responder-pkinit-flags-token-user-pin-count-low}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW:krb5-responder-pkinit-flags-token-user-pin-count-low-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW::doc}}\index{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_COUNT\_LOW (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_COUNT\_LOW}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW:KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_COUNT\_LOW}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW:KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_COUNT_LOW}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_COUNT\_LOW}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 This flag indicates that an incorrect PIN was supplied at least once since the last time the correct PIN was supplied.
 
 
@@ -23563,9 +29117,11 @@ This flag indicates that an incorrect PI
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_COUNT\_LOW}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_COUNT\_LOW}}
 &
-\sphinxcode{(1 \textless{}\textless{} 0)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(1 \textless{}\textless{} 0)}}
 \\
 \hline
 \end{tabulary}
@@ -23574,13 +29130,14 @@ This flag indicates that an incorrect PI
 
 
 \subsubsection{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_FINAL\_TRY}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY:krb5-responder-pkinit-flags-token-user-pin-final-try}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY::doc}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY:krb5-responder-pkinit-flags-token-user-pin-final-try-data}}\index{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_FINAL\_TRY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY:krb5-responder-pkinit-flags-token-user-pin-final-try}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY:krb5-responder-pkinit-flags-token-user-pin-final-try-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY::doc}}\index{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_FINAL\_TRY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_FINAL\_TRY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY:KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_FINAL\_TRY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY:KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_FINAL_TRY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_FINAL\_TRY}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 This flag indicates that supplying an incorrect PIN will cause the token to lock itself.
 
 
@@ -23589,9 +29146,11 @@ This flag indicates that supplying an in
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_FINAL\_TRY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_FINAL\_TRY}}
 &
-\sphinxcode{(1 \textless{}\textless{} 1)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(1 \textless{}\textless{} 1)}}
 \\
 \hline
 \end{tabulary}
@@ -23600,13 +29159,14 @@ This flag indicates that supplying an in
 
 
 \subsubsection{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_LOCKED}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED::doc}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED:krb5-responder-pkinit-flags-token-user-pin-locked}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED:krb5-responder-pkinit-flags-token-user-pin-locked-data}}\index{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_LOCKED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED:krb5-responder-pkinit-flags-token-user-pin-locked}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED:krb5-responder-pkinit-flags-token-user-pin-locked-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED::doc}}\index{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_LOCKED (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_LOCKED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED:KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_LOCKED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED:KRB5_RESPONDER_PKINIT_FLAGS_TOKEN_USER_PIN_LOCKED}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_LOCKED}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 This flag indicates that the user PIN is locked, and you can’t log in to the token with it.
 
 
@@ -23615,9 +29175,11 @@ This flag indicates that the user PIN is
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_LOCKED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_USER\_PIN\_LOCKED}}
 &
-\sphinxcode{(1 \textless{}\textless{} 2)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(1 \textless{}\textless{} 2)}}
 \\
 \hline
 \end{tabulary}
@@ -23626,32 +29188,33 @@ This flag indicates that the user PIN is
 
 
 \subsubsection{KRB5\_RESPONDER\_QUESTION\_PKINIT}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT:krb5-responder-question-pkinit}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT:krb5-responder-question-pkinit-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT::doc}}\index{KRB5\_RESPONDER\_QUESTION\_PKINIT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT:krb5-responder-question-pkinit}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT:krb5-responder-question-pkinit-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT::doc}}\index{KRB5\_RESPONDER\_QUESTION\_PKINIT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_QUESTION\_PKINIT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT:KRB5_RESPONDER_QUESTION_PKINIT}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_QUESTION\_PKINIT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PKINIT:KRB5_RESPONDER_QUESTION_PKINIT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_QUESTION\_PKINIT}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 PKINIT responder question.
 
-The PKINIT responder question is asked when the client needs a password that’s being used to protect key information, and is formatted as a JSON object. A specific identity’s flags value, if not zero, is the bitwise-OR of one or more of the KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_* flags defined below, and possibly other flags to be added later. Any resemblance to similarly-named CKF\_* values in the PKCS\#11 API should not be depended on.
+\sphinxAtStartPar
+The PKINIT responder question is asked when the client needs a password that’s being used to protect key information, and is formatted as a JSON object. A specific identity’s flags value, if not zero, is the bitwise\sphinxhyphen{}OR of one or more of the KRB5\_RESPONDER\_PKINIT\_FLAGS\_TOKEN\_* flags defined below, and possibly other flags to be added later. Any resemblance to similarly\sphinxhyphen{}named CKF\_* values in the PKCS\#11 API should not be depended on.
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{\PYGZob{}}
-    \PYG{n}{identity} \PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{o}{\PYGZgt{}} \PYG{o}{:} \PYG{n}{flags} \PYG{o}{\PYGZlt{}}\PYG{n}{number}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-    \PYG{p}{.}\PYG{p}{.}\PYG{p}{.}
+\PYG{+w}{    }\PYG{n}{identity}\PYG{+w}{ }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{o}{\PYGZgt{}}\PYG{+w}{ }\PYG{o}{:}\PYG{+w}{ }\PYG{n}{flags}\PYG{+w}{ }\PYG{o}{\PYGZlt{}}\PYG{n}{number}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{    }\PYG{p}{.}\PYG{p}{.}\PYG{p}{.}
 \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The answer to the question MUST be JSON formatted:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{\PYGZob{}}
-    \PYG{n}{identity} \PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{o}{\PYGZgt{}} \PYG{o}{:} \PYG{n}{password} \PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-    \PYG{p}{.}\PYG{p}{.}\PYG{p}{.}
+\PYG{+w}{    }\PYG{n}{identity}\PYG{+w}{ }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{o}{\PYGZgt{}}\PYG{+w}{ }\PYG{o}{:}\PYG{+w}{ }\PYG{n}{password}\PYG{+w}{ }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{    }\PYG{p}{.}\PYG{p}{.}\PYG{p}{.}
 \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
@@ -23661,9 +29224,11 @@ The answer to the question MUST be JSON
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_QUESTION\_PKINIT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_QUESTION\_PKINIT}}
 &
-\sphinxcode{"pkinit"}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{"pkinit"}}
 \\
 \hline
 \end{tabulary}
@@ -23672,13 +29237,14 @@ The answer to the question MUST be JSON
 
 
 \subsubsection{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_PIN}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN:krb5-responder-otp-flags-collect-pin-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN::doc}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN:krb5-responder-otp-flags-collect-pin}}\index{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_PIN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN:krb5-responder-otp-flags-collect-pin}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN:krb5-responder-otp-flags-collect-pin-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN::doc}}\index{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_PIN (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_PIN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN:KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_PIN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN:KRB5_RESPONDER_OTP_FLAGS_COLLECT_PIN}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_PIN}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 This flag indicates that the PIN value MUST be collected.
 
 
@@ -23687,9 +29253,11 @@ This flag indicates that the PIN value M
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_PIN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_PIN}}
 &
-\sphinxcode{0x0002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0002}}
 \\
 \hline
 \end{tabulary}
@@ -23698,13 +29266,14 @@ This flag indicates that the PIN value M
 
 
 \subsubsection{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_TOKEN}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN:krb5-responder-otp-flags-collect-token-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN:krb5-responder-otp-flags-collect-token}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN::doc}}\index{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_TOKEN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN:krb5-responder-otp-flags-collect-token}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN:krb5-responder-otp-flags-collect-token-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN::doc}}\index{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_TOKEN (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_TOKEN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN:KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_TOKEN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN:KRB5_RESPONDER_OTP_FLAGS_COLLECT_TOKEN}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_TOKEN}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 This flag indicates that the token value MUST be collected.
 
 
@@ -23713,9 +29282,11 @@ This flag indicates that the token value
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_TOKEN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_TOKEN}}
 &
-\sphinxcode{0x0001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0001}}
 \\
 \hline
 \end{tabulary}
@@ -23724,15 +29295,17 @@ This flag indicates that the token value
 
 
 \subsubsection{KRB5\_RESPONDER\_OTP\_FLAGS\_NEXTOTP}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP:krb5-responder-otp-flags-nextotp-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP::doc}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP:krb5-responder-otp-flags-nextotp}}\index{KRB5\_RESPONDER\_OTP\_FLAGS\_NEXTOTP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP:krb5-responder-otp-flags-nextotp}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP:krb5-responder-otp-flags-nextotp-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP::doc}}\index{KRB5\_RESPONDER\_OTP\_FLAGS\_NEXTOTP (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_OTP\_FLAGS\_NEXTOTP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP:KRB5_RESPONDER_OTP_FLAGS_NEXTOTP}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_OTP\_FLAGS\_NEXTOTP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_NEXTOTP:KRB5_RESPONDER_OTP_FLAGS_NEXTOTP}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FLAGS\_NEXTOTP}}}
 \end{fulllineitems}
 
 
-This flag indicates that the token is now in re-synchronization mode with the server.
+\sphinxAtStartPar
+This flag indicates that the token is now in re\sphinxhyphen{}synchronization mode with the server.
 
+\sphinxAtStartPar
 The user is expected to reply with the next code displayed on the token.
 
 
@@ -23741,9 +29314,11 @@ The user is expected to reply with the n
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_OTP\_FLAGS\_NEXTOTP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FLAGS\_NEXTOTP}}
 &
-\sphinxcode{0x0004}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0004}}
 \\
 \hline
 \end{tabulary}
@@ -23752,15 +29327,17 @@ The user is expected to reply with the n
 
 
 \subsubsection{KRB5\_RESPONDER\_OTP\_FLAGS\_SEPARATE\_PIN}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN:krb5-responder-otp-flags-separate-pin}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN:krb5-responder-otp-flags-separate-pin-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN::doc}}\index{KRB5\_RESPONDER\_OTP\_FLAGS\_SEPARATE\_PIN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN:krb5-responder-otp-flags-separate-pin}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN:krb5-responder-otp-flags-separate-pin-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN::doc}}\index{KRB5\_RESPONDER\_OTP\_FLAGS\_SEPARATE\_PIN (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_OTP\_FLAGS\_SEPARATE\_PIN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN:KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_OTP\_FLAGS\_SEPARATE\_PIN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN:KRB5_RESPONDER_OTP_FLAGS_SEPARATE_PIN}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FLAGS\_SEPARATE\_PIN}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 This flag indicates that the PIN MUST be returned as a separate item.
 
+\sphinxAtStartPar
 This flag only takes effect if KRB5\_RESPONDER\_OTP\_FLAGS\_COLLECT\_PIN is set. If this flag is not set, the responder may either concatenate PIN + token value and store it as “value” in the answer or it may return them separately. If they are returned separately, they will be concatenated internally.
 
 
@@ -23769,9 +29346,11 @@ This flag only takes effect if KRB5\_RES
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_OTP\_FLAGS\_SEPARATE\_PIN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FLAGS\_SEPARATE\_PIN}}
 &
-\sphinxcode{0x0008}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0008}}
 \\
 \hline
 \end{tabulary}
@@ -23780,10 +29359,10 @@ This flag only takes effect if KRB5\_RES
 
 
 \subsubsection{KRB5\_RESPONDER\_OTP\_FORMAT\_ALPHANUMERIC}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC:krb5-responder-otp-format-alphanumeric-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC:krb5-responder-otp-format-alphanumeric}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC::doc}}\index{KRB5\_RESPONDER\_OTP\_FORMAT\_ALPHANUMERIC (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC:krb5-responder-otp-format-alphanumeric}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC:krb5-responder-otp-format-alphanumeric-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC::doc}}\index{KRB5\_RESPONDER\_OTP\_FORMAT\_ALPHANUMERIC (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_OTP\_FORMAT\_ALPHANUMERIC}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC:KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_OTP\_FORMAT\_ALPHANUMERIC}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC:KRB5_RESPONDER_OTP_FORMAT_ALPHANUMERIC}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FORMAT\_ALPHANUMERIC}}}
 \end{fulllineitems}
 
 
@@ -23793,9 +29372,11 @@ This flag only takes effect if KRB5\_RES
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_OTP\_FORMAT\_ALPHANUMERIC}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FORMAT\_ALPHANUMERIC}}
 &
-\sphinxcode{2}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{2}}
 \\
 \hline
 \end{tabulary}
@@ -23804,13 +29385,14 @@ This flag only takes effect if KRB5\_RES
 
 
 \subsubsection{KRB5\_RESPONDER\_OTP\_FORMAT\_DECIMAL}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL:krb5-responder-otp-format-decimal-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL:krb5-responder-otp-format-decimal}}\index{KRB5\_RESPONDER\_OTP\_FORMAT\_DECIMAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL:krb5-responder-otp-format-decimal}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL:krb5-responder-otp-format-decimal-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL::doc}}\index{KRB5\_RESPONDER\_OTP\_FORMAT\_DECIMAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_OTP\_FORMAT\_DECIMAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL:KRB5_RESPONDER_OTP_FORMAT_DECIMAL}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_OTP\_FORMAT\_DECIMAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_DECIMAL:KRB5_RESPONDER_OTP_FORMAT_DECIMAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FORMAT\_DECIMAL}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 These format constants identify the format of the token value.
 
 
@@ -23819,9 +29401,11 @@ These format constants identify the form
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_OTP\_FORMAT\_DECIMAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FORMAT\_DECIMAL}}
 &
-\sphinxcode{0}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0}}
 \\
 \hline
 \end{tabulary}
@@ -23830,10 +29414,10 @@ These format constants identify the form
 
 
 \subsubsection{KRB5\_RESPONDER\_OTP\_FORMAT\_HEXADECIMAL}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL:krb5-responder-otp-format-hexadecimal-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL:krb5-responder-otp-format-hexadecimal}}\index{KRB5\_RESPONDER\_OTP\_FORMAT\_HEXADECIMAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL:krb5-responder-otp-format-hexadecimal}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL:krb5-responder-otp-format-hexadecimal-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL::doc}}\index{KRB5\_RESPONDER\_OTP\_FORMAT\_HEXADECIMAL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_OTP\_FORMAT\_HEXADECIMAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL:KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_OTP\_FORMAT\_HEXADECIMAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL:KRB5_RESPONDER_OTP_FORMAT_HEXADECIMAL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FORMAT\_HEXADECIMAL}}}
 \end{fulllineitems}
 
 
@@ -23843,9 +29427,11 @@ These format constants identify the form
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_OTP\_FORMAT\_HEXADECIMAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_OTP\_FORMAT\_HEXADECIMAL}}
 &
-\sphinxcode{1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1}}
 \\
 \hline
 \end{tabulary}
@@ -23854,47 +29440,49 @@ These format constants identify the form
 
 
 \subsubsection{KRB5\_RESPONDER\_QUESTION\_OTP}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP:krb5-responder-question-otp}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP:krb5-responder-question-otp-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP::doc}}\index{KRB5\_RESPONDER\_QUESTION\_OTP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP:krb5-responder-question-otp}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP:krb5-responder-question-otp-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP::doc}}\index{KRB5\_RESPONDER\_QUESTION\_OTP (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_QUESTION\_OTP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP:KRB5_RESPONDER_QUESTION_OTP}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_QUESTION\_OTP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_OTP:KRB5_RESPONDER_QUESTION_OTP}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_QUESTION\_OTP}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 OTP responder question.
 
+\sphinxAtStartPar
 The OTP responder question is asked when the KDC indicates that an OTP value is required in order to complete the authentication. The JSON format of the challenge is:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{\PYGZob{}}
-  \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{service}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:} \PYG{o}{\PYGZlt{}}\PYG{n}{string} \PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-  \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{tokenInfo}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:} \PYG{p}{[}
-    \PYG{p}{\PYGZob{}}
-      \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{flags}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}     \PYG{o}{\PYGZlt{}}\PYG{n}{number}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-      \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{vendor}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}    \PYG{o}{\PYGZlt{}}\PYG{n}{string} \PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-      \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{challenge}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:} \PYG{o}{\PYGZlt{}}\PYG{n}{string} \PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-      \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{length}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}    \PYG{o}{\PYGZlt{}}\PYG{n}{number} \PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-      \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{format}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}    \PYG{o}{\PYGZlt{}}\PYG{n}{number} \PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-      \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{tokenID}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}   \PYG{o}{\PYGZlt{}}\PYG{n}{string} \PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-      \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{algID}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}     \PYG{o}{\PYGZlt{}}\PYG{n}{string} \PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-    \PYG{p}{\PYGZcb{}}\PYG{p}{,}
-    \PYG{p}{.}\PYG{p}{.}\PYG{p}{.}
-  \PYG{p}{]}
+\PYG{+w}{  }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{service}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{ }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{+w}{ }\PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{  }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{tokenInfo}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{ }\PYG{p}{[}
+\PYG{+w}{    }\PYG{p}{\PYGZob{}}
+\PYG{+w}{      }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{flags}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{     }\PYG{o}{\PYGZlt{}}\PYG{n}{number}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{      }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{vendor}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{    }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{+w}{ }\PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{      }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{challenge}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{ }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{+w}{ }\PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{      }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{length}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{    }\PYG{o}{\PYGZlt{}}\PYG{n}{number}\PYG{+w}{ }\PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{      }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{format}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{    }\PYG{o}{\PYGZlt{}}\PYG{n}{number}\PYG{+w}{ }\PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{      }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{tokenID}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{   }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{+w}{ }\PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{      }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{algID}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{     }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{+w}{ }\PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{    }\PYG{p}{\PYGZcb{}}\PYG{p}{,}
+\PYG{+w}{    }\PYG{p}{.}\PYG{p}{.}\PYG{p}{.}
+\PYG{+w}{  }\PYG{p}{]}
 \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The answer to the question MUST be JSON formatted:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{p}{\PYGZob{}}
-  \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{tokeninfo}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:} \PYG{o}{\PYGZlt{}}\PYG{n}{number}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-  \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{value}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}     \PYG{o}{\PYGZlt{}}\PYG{n}{string} \PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
-  \PYG{l+s}{\PYGZdq{}}\PYG{l+s}{pin}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}       \PYG{o}{\PYGZlt{}}\PYG{n}{string} \PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{  }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{tokeninfo}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{ }\PYG{o}{\PYGZlt{}}\PYG{n}{number}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{  }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{value}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{     }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{+w}{ }\PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
+\PYG{+w}{  }\PYG{l+s}{\PYGZdq{}}\PYG{l+s}{pin}\PYG{l+s}{\PYGZdq{}}\PYG{o}{:}\PYG{+w}{       }\PYG{o}{\PYGZlt{}}\PYG{n}{string}\PYG{+w}{ }\PYG{p}{(}\PYG{n}{optional}\PYG{p}{)}\PYG{o}{\PYGZgt{}}\PYG{p}{,}
 \PYG{p}{\PYGZcb{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 For more detail, please see RFC 6560.
 
 
@@ -23903,9 +29491,11 @@ For more detail, please see RFC 6560.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_QUESTION\_OTP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_QUESTION\_OTP}}
 &
-\sphinxcode{"otp"}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{"otp"}}
 \\
 \hline
 \end{tabulary}
@@ -23914,16 +29504,18 @@ For more detail, please see RFC 6560.
 
 
 \subsubsection{KRB5\_RESPONDER\_QUESTION\_PASSWORD}
-\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD:krb5-responder-question-password-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD:krb5-responder-question-password}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD::doc}}\index{KRB5\_RESPONDER\_QUESTION\_PASSWORD (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD:krb5-responder-question-password}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD:krb5-responder-question-password-data}}\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD::doc}}\index{KRB5\_RESPONDER\_QUESTION\_PASSWORD (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_RESPONDER\_QUESTION\_PASSWORD}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD:KRB5_RESPONDER_QUESTION_PASSWORD}}\pysigline{\sphinxbfcode{KRB5\_RESPONDER\_QUESTION\_PASSWORD}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_RESPONDER_QUESTION_PASSWORD:KRB5_RESPONDER_QUESTION_PASSWORD}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_RESPONDER\_QUESTION\_PASSWORD}}}
 \end{fulllineitems}
 
 
-Long-term password responder question.
+\sphinxAtStartPar
+Long\sphinxhyphen{}term password responder question.
 
-This question is asked when the long-term password is needed. It has no challenge and the response is simply the password string.
+\sphinxAtStartPar
+This question is asked when the long\sphinxhyphen{}term password is needed. It has no challenge and the response is simply the password string.
 
 
 \begin{savenotes}\sphinxattablestart
@@ -23931,9 +29523,11 @@ This question is asked when the long-ter
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_RESPONDER\_QUESTION\_PASSWORD}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_RESPONDER\_QUESTION\_PASSWORD}}
 &
-\sphinxcode{"password"}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{"password"}}
 \\
 \hline
 \end{tabulary}
@@ -23942,13 +29536,14 @@ This question is asked when the long-ter
 
 
 \subsubsection{KRB5\_SAFE}
-\label{\detokenize{appdev/refs/macros/KRB5_SAFE:krb5-safe}}\label{\detokenize{appdev/refs/macros/KRB5_SAFE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_SAFE:krb5-safe-data}}\index{KRB5\_SAFE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_SAFE:krb5-safe}}\label{\detokenize{appdev/refs/macros/KRB5_SAFE:krb5-safe-data}}\label{\detokenize{appdev/refs/macros/KRB5_SAFE::doc}}\index{KRB5\_SAFE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_SAFE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_SAFE:KRB5_SAFE}}\pysigline{\sphinxbfcode{KRB5\_SAFE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_SAFE:KRB5_SAFE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_SAFE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Safe application message.
 
 
@@ -23957,9 +29552,11 @@ Safe application message.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_SAFE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_SAFE}}
 &
-\sphinxcode{((krb5\_msgtype)20)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)20)}}
 \\
 \hline
 \end{tabulary}
@@ -23968,13 +29565,14 @@ Safe application message.
 
 
 \subsubsection{KRB5\_SAM\_MUST\_PK\_ENCRYPT\_SAD}
-\label{\detokenize{appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD:krb5-sam-must-pk-encrypt-sad}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD:krb5-sam-must-pk-encrypt-sad-data}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD::doc}}\index{KRB5\_SAM\_MUST\_PK\_ENCRYPT\_SAD (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD:krb5-sam-must-pk-encrypt-sad}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD:krb5-sam-must-pk-encrypt-sad-data}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD::doc}}\index{KRB5\_SAM\_MUST\_PK\_ENCRYPT\_SAD (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_SAM\_MUST\_PK\_ENCRYPT\_SAD}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD:KRB5_SAM_MUST_PK_ENCRYPT_SAD}}\pysigline{\sphinxbfcode{KRB5\_SAM\_MUST\_PK\_ENCRYPT\_SAD}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_SAM_MUST_PK_ENCRYPT_SAD:KRB5_SAM_MUST_PK_ENCRYPT_SAD}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_SAM\_MUST\_PK\_ENCRYPT\_SAD}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 currently must be zero
 
 
@@ -23983,9 +29581,11 @@ currently must be zero
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_SAM\_MUST\_PK\_ENCRYPT\_SAD}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_SAM\_MUST\_PK\_ENCRYPT\_SAD}}
 &
-\sphinxcode{0x20000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x20000000}}
 \\
 \hline
 \end{tabulary}
@@ -23994,10 +29594,10 @@ currently must be zero
 
 
 \subsubsection{KRB5\_SAM\_SEND\_ENCRYPTED\_SAD}
-\label{\detokenize{appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD:krb5-sam-send-encrypted-sad}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD::doc}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD:krb5-sam-send-encrypted-sad-data}}\index{KRB5\_SAM\_SEND\_ENCRYPTED\_SAD (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD:krb5-sam-send-encrypted-sad}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD:krb5-sam-send-encrypted-sad-data}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD::doc}}\index{KRB5\_SAM\_SEND\_ENCRYPTED\_SAD (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_SAM\_SEND\_ENCRYPTED\_SAD}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD:KRB5_SAM_SEND_ENCRYPTED_SAD}}\pysigline{\sphinxbfcode{KRB5\_SAM\_SEND\_ENCRYPTED\_SAD}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_SAM_SEND_ENCRYPTED_SAD:KRB5_SAM_SEND_ENCRYPTED_SAD}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_SAM\_SEND\_ENCRYPTED\_SAD}}}
 \end{fulllineitems}
 
 
@@ -24007,9 +29607,11 @@ currently must be zero
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_SAM\_SEND\_ENCRYPTED\_SAD}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_SAM\_SEND\_ENCRYPTED\_SAD}}
 &
-\sphinxcode{0x40000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x40000000}}
 \\
 \hline
 \end{tabulary}
@@ -24018,10 +29620,10 @@ currently must be zero
 
 
 \subsubsection{KRB5\_SAM\_USE\_SAD\_AS\_KEY}
-\label{\detokenize{appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY::doc}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY:krb5-sam-use-sad-as-key}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY:krb5-sam-use-sad-as-key-data}}\index{KRB5\_SAM\_USE\_SAD\_AS\_KEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY:krb5-sam-use-sad-as-key}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY:krb5-sam-use-sad-as-key-data}}\label{\detokenize{appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY::doc}}\index{KRB5\_SAM\_USE\_SAD\_AS\_KEY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_SAM\_USE\_SAD\_AS\_KEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY:KRB5_SAM_USE_SAD_AS_KEY}}\pysigline{\sphinxbfcode{KRB5\_SAM\_USE\_SAD\_AS\_KEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_SAM_USE_SAD_AS_KEY:KRB5_SAM_USE_SAD_AS_KEY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_SAM\_USE\_SAD\_AS\_KEY}}}
 \end{fulllineitems}
 
 
@@ -24031,9 +29633,11 @@ currently must be zero
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_SAM\_USE\_SAD\_AS\_KEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_SAM\_USE\_SAD\_AS\_KEY}}
 &
-\sphinxcode{0x80000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x80000000}}
 \\
 \hline
 \end{tabulary}
@@ -24042,13 +29646,14 @@ currently must be zero
 
 
 \subsubsection{KRB5\_TC\_MATCH\_2ND\_TKT}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT:krb5-tc-match-2nd-tkt-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT:krb5-tc-match-2nd-tkt}}\index{KRB5\_TC\_MATCH\_2ND\_TKT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT:krb5-tc-match-2nd-tkt}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT:krb5-tc-match-2nd-tkt-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT::doc}}\index{KRB5\_TC\_MATCH\_2ND\_TKT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_MATCH\_2ND\_TKT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT:KRB5_TC_MATCH_2ND_TKT}}\pysigline{\sphinxbfcode{KRB5\_TC\_MATCH\_2ND\_TKT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_2ND_TKT:KRB5_TC_MATCH_2ND_TKT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_MATCH\_2ND\_TKT}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 The second ticket must match.
 
 
@@ -24057,9 +29662,11 @@ The second ticket must match.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_MATCH\_2ND\_TKT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_MATCH\_2ND\_TKT}}
 &
-\sphinxcode{0x00000080}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000080}}
 \\
 \hline
 \end{tabulary}
@@ -24068,13 +29675,14 @@ The second ticket must match.
 
 
 \subsubsection{KRB5\_TC\_MATCH\_AUTHDATA}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA:krb5-tc-match-authdata-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA:krb5-tc-match-authdata}}\index{KRB5\_TC\_MATCH\_AUTHDATA (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA:krb5-tc-match-authdata}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA:krb5-tc-match-authdata-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA::doc}}\index{KRB5\_TC\_MATCH\_AUTHDATA (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_MATCH\_AUTHDATA}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA:KRB5_TC_MATCH_AUTHDATA}}\pysigline{\sphinxbfcode{KRB5\_TC\_MATCH\_AUTHDATA}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_AUTHDATA:KRB5_TC_MATCH_AUTHDATA}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_MATCH\_AUTHDATA}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 The authorization data must match.
 
 
@@ -24083,9 +29691,11 @@ The authorization data must match.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_MATCH\_AUTHDATA}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_MATCH\_AUTHDATA}}
 &
-\sphinxcode{0x00000020}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000020}}
 \\
 \hline
 \end{tabulary}
@@ -24094,13 +29704,14 @@ The authorization data must match.
 
 
 \subsubsection{KRB5\_TC\_MATCH\_FLAGS}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS:krb5-tc-match-flags}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS:krb5-tc-match-flags-data}}\index{KRB5\_TC\_MATCH\_FLAGS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS:krb5-tc-match-flags}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS:krb5-tc-match-flags-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS::doc}}\index{KRB5\_TC\_MATCH\_FLAGS (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_MATCH\_FLAGS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS:KRB5_TC_MATCH_FLAGS}}\pysigline{\sphinxbfcode{KRB5\_TC\_MATCH\_FLAGS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS:KRB5_TC_MATCH_FLAGS}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_MATCH\_FLAGS}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 All the flags set in the match credentials must be set.
 
 
@@ -24109,9 +29720,11 @@ All the flags set in the match credentia
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_MATCH\_FLAGS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_MATCH\_FLAGS}}
 &
-\sphinxcode{0x00000004}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000004}}
 \\
 \hline
 \end{tabulary}
@@ -24120,13 +29733,14 @@ All the flags set in the match credentia
 
 
 \subsubsection{KRB5\_TC\_MATCH\_FLAGS\_EXACT}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT:krb5-tc-match-flags-exact}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT:krb5-tc-match-flags-exact-data}}\index{KRB5\_TC\_MATCH\_FLAGS\_EXACT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT:krb5-tc-match-flags-exact}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT:krb5-tc-match-flags-exact-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT::doc}}\index{KRB5\_TC\_MATCH\_FLAGS\_EXACT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_MATCH\_FLAGS\_EXACT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT:KRB5_TC_MATCH_FLAGS_EXACT}}\pysigline{\sphinxbfcode{KRB5\_TC\_MATCH\_FLAGS\_EXACT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_FLAGS_EXACT:KRB5_TC_MATCH_FLAGS_EXACT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_MATCH\_FLAGS\_EXACT}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 All the flags must match exactly.
 
 
@@ -24135,9 +29749,11 @@ All the flags must match exactly.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_MATCH\_FLAGS\_EXACT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_MATCH\_FLAGS\_EXACT}}
 &
-\sphinxcode{0x00000010}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000010}}
 \\
 \hline
 \end{tabulary}
@@ -24146,13 +29762,14 @@ All the flags must match exactly.
 
 
 \subsubsection{KRB5\_TC\_MATCH\_IS\_SKEY}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY:krb5-tc-match-is-skey}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY:krb5-tc-match-is-skey-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY::doc}}\index{KRB5\_TC\_MATCH\_IS\_SKEY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY:krb5-tc-match-is-skey}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY:krb5-tc-match-is-skey-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY::doc}}\index{KRB5\_TC\_MATCH\_IS\_SKEY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_MATCH\_IS\_SKEY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY:KRB5_TC_MATCH_IS_SKEY}}\pysigline{\sphinxbfcode{KRB5\_TC\_MATCH\_IS\_SKEY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_IS_SKEY:KRB5_TC_MATCH_IS_SKEY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_MATCH\_IS\_SKEY}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 The is\_skey field must match exactly.
 
 
@@ -24161,9 +29778,11 @@ The is\_skey field must match exactly.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_MATCH\_IS\_SKEY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_MATCH\_IS\_SKEY}}
 &
-\sphinxcode{0x00000002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000002}}
 \\
 \hline
 \end{tabulary}
@@ -24172,13 +29791,14 @@ The is\_skey field must match exactly.
 
 
 \subsubsection{KRB5\_TC\_MATCH\_KTYPE}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_KTYPE:krb5-tc-match-ktype}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_KTYPE:krb5-tc-match-ktype-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_KTYPE::doc}}\index{KRB5\_TC\_MATCH\_KTYPE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_KTYPE:krb5-tc-match-ktype}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_KTYPE:krb5-tc-match-ktype-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_KTYPE::doc}}\index{KRB5\_TC\_MATCH\_KTYPE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_MATCH\_KTYPE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_KTYPE:KRB5_TC_MATCH_KTYPE}}\pysigline{\sphinxbfcode{KRB5\_TC\_MATCH\_KTYPE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_KTYPE:KRB5_TC_MATCH_KTYPE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_MATCH\_KTYPE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 The encryption key type must match.
 
 
@@ -24187,9 +29807,11 @@ The encryption key type must match.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_MATCH\_KTYPE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_MATCH\_KTYPE}}
 &
-\sphinxcode{0x00000100}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000100}}
 \\
 \hline
 \end{tabulary}
@@ -24198,13 +29820,14 @@ The encryption key type must match.
 
 
 \subsubsection{KRB5\_TC\_MATCH\_SRV\_NAMEONLY}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY:krb5-tc-match-srv-nameonly}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY:krb5-tc-match-srv-nameonly-data}}\index{KRB5\_TC\_MATCH\_SRV\_NAMEONLY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY:krb5-tc-match-srv-nameonly}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY:krb5-tc-match-srv-nameonly-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY::doc}}\index{KRB5\_TC\_MATCH\_SRV\_NAMEONLY (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_MATCH\_SRV\_NAMEONLY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY:KRB5_TC_MATCH_SRV_NAMEONLY}}\pysigline{\sphinxbfcode{KRB5\_TC\_MATCH\_SRV\_NAMEONLY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_SRV_NAMEONLY:KRB5_TC_MATCH_SRV_NAMEONLY}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_MATCH\_SRV\_NAMEONLY}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Only the name portion of the principal name must match.
 
 
@@ -24213,9 +29836,11 @@ Only the name portion of the principal n
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_MATCH\_SRV\_NAMEONLY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_MATCH\_SRV\_NAMEONLY}}
 &
-\sphinxcode{0x00000040}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000040}}
 \\
 \hline
 \end{tabulary}
@@ -24224,13 +29849,14 @@ Only the name portion of the principal n
 
 
 \subsubsection{KRB5\_TC\_MATCH\_TIMES}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES:krb5-tc-match-times}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES:krb5-tc-match-times-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES::doc}}\index{KRB5\_TC\_MATCH\_TIMES (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES:krb5-tc-match-times}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES:krb5-tc-match-times-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES::doc}}\index{KRB5\_TC\_MATCH\_TIMES (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_MATCH\_TIMES}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES:KRB5_TC_MATCH_TIMES}}\pysigline{\sphinxbfcode{KRB5\_TC\_MATCH\_TIMES}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES:KRB5_TC_MATCH_TIMES}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_MATCH\_TIMES}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 The requested lifetime must be at least as great as the time specified.
 
 
@@ -24239,9 +29865,11 @@ The requested lifetime must be at least
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_MATCH\_TIMES}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_MATCH\_TIMES}}
 &
-\sphinxcode{0x00000001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000001}}
 \\
 \hline
 \end{tabulary}
@@ -24250,13 +29878,14 @@ The requested lifetime must be at least
 
 
 \subsubsection{KRB5\_TC\_MATCH\_TIMES\_EXACT}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT:krb5-tc-match-times-exact-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT:krb5-tc-match-times-exact}}\index{KRB5\_TC\_MATCH\_TIMES\_EXACT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT:krb5-tc-match-times-exact}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT:krb5-tc-match-times-exact-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT::doc}}\index{KRB5\_TC\_MATCH\_TIMES\_EXACT (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_MATCH\_TIMES\_EXACT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT:KRB5_TC_MATCH_TIMES_EXACT}}\pysigline{\sphinxbfcode{KRB5\_TC\_MATCH\_TIMES\_EXACT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_MATCH_TIMES_EXACT:KRB5_TC_MATCH_TIMES_EXACT}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_MATCH\_TIMES\_EXACT}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 All the time fields must match exactly.
 
 
@@ -24265,9 +29894,11 @@ All the time fields must match exactly.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_MATCH\_TIMES\_EXACT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_MATCH\_TIMES\_EXACT}}
 &
-\sphinxcode{0x00000008}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000008}}
 \\
 \hline
 \end{tabulary}
@@ -24276,10 +29907,10 @@ All the time fields must match exactly.
 
 
 \subsubsection{KRB5\_TC\_NOTICKET}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_NOTICKET:krb5-tc-noticket}}\label{\detokenize{appdev/refs/macros/KRB5_TC_NOTICKET::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TC_NOTICKET:krb5-tc-noticket-data}}\index{KRB5\_TC\_NOTICKET (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_NOTICKET:krb5-tc-noticket}}\label{\detokenize{appdev/refs/macros/KRB5_TC_NOTICKET:krb5-tc-noticket-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_NOTICKET::doc}}\index{KRB5\_TC\_NOTICKET (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_NOTICKET}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_NOTICKET:KRB5_TC_NOTICKET}}\pysigline{\sphinxbfcode{KRB5\_TC\_NOTICKET}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_NOTICKET:KRB5_TC_NOTICKET}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_NOTICKET}}}
 \end{fulllineitems}
 
 
@@ -24289,9 +29920,11 @@ All the time fields must match exactly.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_NOTICKET}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_NOTICKET}}
 &
-\sphinxcode{0x00000002}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000002}}
 \\
 \hline
 \end{tabulary}
@@ -24300,13 +29933,14 @@ All the time fields must match exactly.
 
 
 \subsubsection{KRB5\_TC\_OPENCLOSE}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_OPENCLOSE:krb5-tc-openclose}}\label{\detokenize{appdev/refs/macros/KRB5_TC_OPENCLOSE:krb5-tc-openclose-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_OPENCLOSE::doc}}\index{KRB5\_TC\_OPENCLOSE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_OPENCLOSE:krb5-tc-openclose}}\label{\detokenize{appdev/refs/macros/KRB5_TC_OPENCLOSE:krb5-tc-openclose-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_OPENCLOSE::doc}}\index{KRB5\_TC\_OPENCLOSE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_OPENCLOSE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_OPENCLOSE:KRB5_TC_OPENCLOSE}}\pysigline{\sphinxbfcode{KRB5\_TC\_OPENCLOSE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_OPENCLOSE:KRB5_TC_OPENCLOSE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_OPENCLOSE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Open and close the file for each cache operation.
 
 
@@ -24315,9 +29949,11 @@ Open and close the file for each cache o
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_OPENCLOSE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_OPENCLOSE}}
 &
-\sphinxcode{0x00000001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000001}}
 \\
 \hline
 \end{tabulary}
@@ -24326,13 +29962,14 @@ Open and close the file for each cache o
 
 
 \subsubsection{KRB5\_TC\_SUPPORTED\_KTYPES}
-\label{\detokenize{appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES:krb5-tc-supported-ktypes-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES:krb5-tc-supported-ktypes}}\index{KRB5\_TC\_SUPPORTED\_KTYPES (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES:krb5-tc-supported-ktypes}}\label{\detokenize{appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES:krb5-tc-supported-ktypes-data}}\label{\detokenize{appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES::doc}}\index{KRB5\_TC\_SUPPORTED\_KTYPES (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TC\_SUPPORTED\_KTYPES}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES:KRB5_TC_SUPPORTED_KTYPES}}\pysigline{\sphinxbfcode{KRB5\_TC\_SUPPORTED\_KTYPES}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TC_SUPPORTED_KTYPES:KRB5_TC_SUPPORTED_KTYPES}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TC\_SUPPORTED\_KTYPES}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 The supported key types must match.
 
 
@@ -24341,9 +29978,11 @@ The supported key types must match.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TC\_SUPPORTED\_KTYPES}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TC\_SUPPORTED\_KTYPES}}
 &
-\sphinxcode{0x00000200}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00000200}}
 \\
 \hline
 \end{tabulary}
@@ -24352,10 +29991,10 @@ The supported key types must match.
 
 
 \subsubsection{KRB5\_TGS\_NAME}
-\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME:krb5-tgs-name-data}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME:krb5-tgs-name}}\index{KRB5\_TGS\_NAME (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME:krb5-tgs-name}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME:krb5-tgs-name-data}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME::doc}}\index{KRB5\_TGS\_NAME (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TGS\_NAME}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME:KRB5_TGS_NAME}}\pysigline{\sphinxbfcode{KRB5\_TGS\_NAME}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME:KRB5_TGS_NAME}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TGS\_NAME}}}
 \end{fulllineitems}
 
 
@@ -24365,9 +30004,11 @@ The supported key types must match.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TGS\_NAME}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TGS\_NAME}}
 &
-\sphinxcode{"krbtgt"}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{"krbtgt"}}
 \\
 \hline
 \end{tabulary}
@@ -24376,10 +30017,10 @@ The supported key types must match.
 
 
 \subsubsection{KRB5\_TGS\_NAME\_SIZE}
-\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME_SIZE:krb5-tgs-name-size}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME_SIZE:krb5-tgs-name-size-data}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME_SIZE::doc}}\index{KRB5\_TGS\_NAME\_SIZE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME_SIZE:krb5-tgs-name-size}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME_SIZE:krb5-tgs-name-size-data}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME_SIZE::doc}}\index{KRB5\_TGS\_NAME\_SIZE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TGS\_NAME\_SIZE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME_SIZE:KRB5_TGS_NAME_SIZE}}\pysigline{\sphinxbfcode{KRB5\_TGS\_NAME\_SIZE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TGS_NAME_SIZE:KRB5_TGS_NAME_SIZE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TGS\_NAME\_SIZE}}}
 \end{fulllineitems}
 
 
@@ -24389,9 +30030,11 @@ The supported key types must match.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TGS\_NAME\_SIZE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TGS\_NAME\_SIZE}}
 &
-\sphinxcode{6}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{6}}
 \\
 \hline
 \end{tabulary}
@@ -24400,13 +30043,14 @@ The supported key types must match.
 
 
 \subsubsection{KRB5\_TGS\_REP}
-\label{\detokenize{appdev/refs/macros/KRB5_TGS_REP::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_REP:krb5-tgs-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_REP:krb5-tgs-rep}}\index{KRB5\_TGS\_REP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TGS_REP:krb5-tgs-rep}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_REP:krb5-tgs-rep-data}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_REP::doc}}\index{KRB5\_TGS\_REP (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TGS\_REP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TGS_REP:KRB5_TGS_REP}}\pysigline{\sphinxbfcode{KRB5\_TGS\_REP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TGS_REP:KRB5_TGS_REP}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TGS\_REP}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Response to TGS request.
 
 
@@ -24415,9 +30059,11 @@ Response to TGS request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TGS\_REP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TGS\_REP}}
 &
-\sphinxcode{((krb5\_msgtype)13)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)13)}}
 \\
 \hline
 \end{tabulary}
@@ -24426,13 +30072,14 @@ Response to TGS request.
 
 
 \subsubsection{KRB5\_TGS\_REQ}
-\label{\detokenize{appdev/refs/macros/KRB5_TGS_REQ:krb5-tgs-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_REQ::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_REQ:krb5-tgs-req}}\index{KRB5\_TGS\_REQ (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TGS_REQ:krb5-tgs-req}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_REQ:krb5-tgs-req-data}}\label{\detokenize{appdev/refs/macros/KRB5_TGS_REQ::doc}}\index{KRB5\_TGS\_REQ (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TGS\_REQ}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TGS_REQ:KRB5_TGS_REQ}}\pysigline{\sphinxbfcode{KRB5\_TGS\_REQ}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TGS_REQ:KRB5_TGS_REQ}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TGS\_REQ}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Ticket granting server request.
 
 
@@ -24441,9 +30088,11 @@ Ticket granting server request.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TGS\_REQ}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TGS\_REQ}}
 &
-\sphinxcode{((krb5\_msgtype)12)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((krb5\_msgtype)12)}}
 \\
 \hline
 \end{tabulary}
@@ -24452,13 +30101,14 @@ Ticket granting server request.
 
 
 \subsubsection{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE}
-\label{\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE:krb5-tkt-creds-step-flag-continue-data}}\label{\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE::doc}}\label{\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE:krb5-tkt-creds-step-flag-continue}}\index{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE:krb5-tkt-creds-step-flag-continue}}\label{\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE:krb5-tkt-creds-step-flag-continue-data}}\label{\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE::doc}}\index{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE:KRB5_TKT_CREDS_STEP_FLAG_CONTINUE}}\pysigline{\sphinxbfcode{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_TKT_CREDS_STEP_FLAG_CONTINUE:KRB5_TKT_CREDS_STEP_FLAG_CONTINUE}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 More responses needed.
 
 
@@ -24467,9 +30117,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_TKT\_CREDS\_STEP\_FLAG\_CONTINUE}}
 &
-\sphinxcode{0x1}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x1}}
 \\
 \hline
 \end{tabulary}
@@ -24478,10 +30130,10 @@ More responses needed.
 
 
 \subsubsection{KRB5\_VERIFY\_INIT\_CREDS\_OPT\_AP\_REQ\_NOFAIL}
-\label{\detokenize{appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL:krb5-verify-init-creds-opt-ap-req-nofail}}\label{\detokenize{appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL::doc}}\label{\detokenize{appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL:krb5-verify-init-creds-opt-ap-req-nofail-data}}\index{KRB5\_VERIFY\_INIT\_CREDS\_OPT\_AP\_REQ\_NOFAIL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL:krb5-verify-init-creds-opt-ap-req-nofail}}\label{\detokenize{appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL:krb5-verify-init-creds-opt-ap-req-nofail-data}}\label{\detokenize{appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL::doc}}\index{KRB5\_VERIFY\_INIT\_CREDS\_OPT\_AP\_REQ\_NOFAIL (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_VERIFY\_INIT\_CREDS\_OPT\_AP\_REQ\_NOFAIL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL:KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL}}\pysigline{\sphinxbfcode{KRB5\_VERIFY\_INIT\_CREDS\_OPT\_AP\_REQ\_NOFAIL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL:KRB5_VERIFY_INIT_CREDS_OPT_AP_REQ_NOFAIL}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_VERIFY\_INIT\_CREDS\_OPT\_AP\_REQ\_NOFAIL}}}
 \end{fulllineitems}
 
 
@@ -24491,9 +30143,11 @@ More responses needed.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_VERIFY\_INIT\_CREDS\_OPT\_AP\_REQ\_NOFAIL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_VERIFY\_INIT\_CREDS\_OPT\_AP\_REQ\_NOFAIL}}
 &
-\sphinxcode{0x0001}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x0001}}
 \\
 \hline
 \end{tabulary}
@@ -24502,13 +30156,14 @@ More responses needed.
 
 
 \subsubsection{KRB5\_WELLKNOWN\_NAMESTR}
-\label{\detokenize{appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR::doc}}\label{\detokenize{appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR:krb5-wellknown-namestr}}\label{\detokenize{appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR:krb5-wellknown-namestr-data}}\index{KRB5\_WELLKNOWN\_NAMESTR (built-in variable)}
+\label{\detokenize{appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR:krb5-wellknown-namestr}}\label{\detokenize{appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR:krb5-wellknown-namestr-data}}\label{\detokenize{appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR::doc}}\index{KRB5\_WELLKNOWN\_NAMESTR (built\sphinxhyphen{}in variable)@\spxentry{KRB5\_WELLKNOWN\_NAMESTR}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR:KRB5_WELLKNOWN_NAMESTR}}\pysigline{\sphinxbfcode{KRB5\_WELLKNOWN\_NAMESTR}}
+\phantomsection\label{\detokenize{appdev/refs/macros/KRB5_WELLKNOWN_NAMESTR:KRB5_WELLKNOWN_NAMESTR}}\pysigline{\sphinxbfcode{\sphinxupquote{KRB5\_WELLKNOWN\_NAMESTR}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 First component of NT\_WELLKNOWN principals.
 
 
@@ -24517,9 +30172,11 @@ First component of NT\_WELLKNOWN princip
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{KRB5\_WELLKNOWN\_NAMESTR}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{KRB5\_WELLKNOWN\_NAMESTR}}
 &
-\sphinxcode{"WELLKNOWN"}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{"WELLKNOWN"}}
 \\
 \hline
 \end{tabulary}
@@ -24528,10 +30185,10 @@ First component of NT\_WELLKNOWN princip
 
 
 \subsubsection{LR\_TYPE\_INTERPRETATION\_MASK}
-\label{\detokenize{appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK:lr-type-interpretation-mask-data}}\label{\detokenize{appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK:lr-type-interpretation-mask}}\label{\detokenize{appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK::doc}}\index{LR\_TYPE\_INTERPRETATION\_MASK (built-in variable)}
+\label{\detokenize{appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK:lr-type-interpretation-mask}}\label{\detokenize{appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK:lr-type-interpretation-mask-data}}\label{\detokenize{appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK::doc}}\index{LR\_TYPE\_INTERPRETATION\_MASK (built\sphinxhyphen{}in variable)@\spxentry{LR\_TYPE\_INTERPRETATION\_MASK}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK:LR_TYPE_INTERPRETATION_MASK}}\pysigline{\sphinxbfcode{LR\_TYPE\_INTERPRETATION\_MASK}}
+\phantomsection\label{\detokenize{appdev/refs/macros/LR_TYPE_INTERPRETATION_MASK:LR_TYPE_INTERPRETATION_MASK}}\pysigline{\sphinxbfcode{\sphinxupquote{LR\_TYPE\_INTERPRETATION\_MASK}}}
 \end{fulllineitems}
 
 
@@ -24541,9 +30198,11 @@ First component of NT\_WELLKNOWN princip
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{LR\_TYPE\_INTERPRETATION\_MASK}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{LR\_TYPE\_INTERPRETATION\_MASK}}
 &
-\sphinxcode{0x7fff}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x7fff}}
 \\
 \hline
 \end{tabulary}
@@ -24552,10 +30211,10 @@ First component of NT\_WELLKNOWN princip
 
 
 \subsubsection{LR\_TYPE\_THIS\_SERVER\_ONLY}
-\label{\detokenize{appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY:lr-type-this-server-only-data}}\label{\detokenize{appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY:lr-type-this-server-only}}\label{\detokenize{appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY::doc}}\index{LR\_TYPE\_THIS\_SERVER\_ONLY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY:lr-type-this-server-only}}\label{\detokenize{appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY:lr-type-this-server-only-data}}\label{\detokenize{appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY::doc}}\index{LR\_TYPE\_THIS\_SERVER\_ONLY (built\sphinxhyphen{}in variable)@\spxentry{LR\_TYPE\_THIS\_SERVER\_ONLY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY:LR_TYPE_THIS_SERVER_ONLY}}\pysigline{\sphinxbfcode{LR\_TYPE\_THIS\_SERVER\_ONLY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/LR_TYPE_THIS_SERVER_ONLY:LR_TYPE_THIS_SERVER_ONLY}}\pysigline{\sphinxbfcode{\sphinxupquote{LR\_TYPE\_THIS\_SERVER\_ONLY}}}
 \end{fulllineitems}
 
 
@@ -24565,9 +30224,11 @@ First component of NT\_WELLKNOWN princip
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{LR\_TYPE\_THIS\_SERVER\_ONLY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{LR\_TYPE\_THIS\_SERVER\_ONLY}}
 &
-\sphinxcode{0x8000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x8000}}
 \\
 \hline
 \end{tabulary}
@@ -24576,13 +30237,14 @@ First component of NT\_WELLKNOWN princip
 
 
 \subsubsection{MAX\_KEYTAB\_NAME\_LEN}
-\label{\detokenize{appdev/refs/macros/MAX_KEYTAB_NAME_LEN:max-keytab-name-len-data}}\label{\detokenize{appdev/refs/macros/MAX_KEYTAB_NAME_LEN::doc}}\label{\detokenize{appdev/refs/macros/MAX_KEYTAB_NAME_LEN:max-keytab-name-len}}\index{MAX\_KEYTAB\_NAME\_LEN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/MAX_KEYTAB_NAME_LEN:max-keytab-name-len}}\label{\detokenize{appdev/refs/macros/MAX_KEYTAB_NAME_LEN:max-keytab-name-len-data}}\label{\detokenize{appdev/refs/macros/MAX_KEYTAB_NAME_LEN::doc}}\index{MAX\_KEYTAB\_NAME\_LEN (built\sphinxhyphen{}in variable)@\spxentry{MAX\_KEYTAB\_NAME\_LEN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/MAX_KEYTAB_NAME_LEN:MAX_KEYTAB_NAME_LEN}}\pysigline{\sphinxbfcode{MAX\_KEYTAB\_NAME\_LEN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/MAX_KEYTAB_NAME_LEN:MAX_KEYTAB_NAME_LEN}}\pysigline{\sphinxbfcode{\sphinxupquote{MAX\_KEYTAB\_NAME\_LEN}}}
 \end{fulllineitems}
 
 
+\sphinxAtStartPar
 Long enough for MAXPATHLEN + some extra.
 
 
@@ -24591,9 +30253,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{MAX\_KEYTAB\_NAME\_LEN}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{MAX\_KEYTAB\_NAME\_LEN}}
 &
-\sphinxcode{1100}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{1100}}
 \\
 \hline
 \end{tabulary}
@@ -24602,10 +30266,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{MSEC\_DIRBIT}
-\label{\detokenize{appdev/refs/macros/MSEC_DIRBIT:msec-dirbit}}\label{\detokenize{appdev/refs/macros/MSEC_DIRBIT:msec-dirbit-data}}\label{\detokenize{appdev/refs/macros/MSEC_DIRBIT::doc}}\index{MSEC\_DIRBIT (built-in variable)}
+\label{\detokenize{appdev/refs/macros/MSEC_DIRBIT:msec-dirbit}}\label{\detokenize{appdev/refs/macros/MSEC_DIRBIT:msec-dirbit-data}}\label{\detokenize{appdev/refs/macros/MSEC_DIRBIT::doc}}\index{MSEC\_DIRBIT (built\sphinxhyphen{}in variable)@\spxentry{MSEC\_DIRBIT}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/MSEC_DIRBIT:MSEC_DIRBIT}}\pysigline{\sphinxbfcode{MSEC\_DIRBIT}}
+\phantomsection\label{\detokenize{appdev/refs/macros/MSEC_DIRBIT:MSEC_DIRBIT}}\pysigline{\sphinxbfcode{\sphinxupquote{MSEC\_DIRBIT}}}
 \end{fulllineitems}
 
 
@@ -24615,9 +30279,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{MSEC\_DIRBIT}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{MSEC\_DIRBIT}}
 &
-\sphinxcode{0x8000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x8000}}
 \\
 \hline
 \end{tabulary}
@@ -24626,10 +30292,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{MSEC\_VAL\_MASK}
-\label{\detokenize{appdev/refs/macros/MSEC_VAL_MASK:msec-val-mask-data}}\label{\detokenize{appdev/refs/macros/MSEC_VAL_MASK::doc}}\label{\detokenize{appdev/refs/macros/MSEC_VAL_MASK:msec-val-mask}}\index{MSEC\_VAL\_MASK (built-in variable)}
+\label{\detokenize{appdev/refs/macros/MSEC_VAL_MASK:msec-val-mask}}\label{\detokenize{appdev/refs/macros/MSEC_VAL_MASK:msec-val-mask-data}}\label{\detokenize{appdev/refs/macros/MSEC_VAL_MASK::doc}}\index{MSEC\_VAL\_MASK (built\sphinxhyphen{}in variable)@\spxentry{MSEC\_VAL\_MASK}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/MSEC_VAL_MASK:MSEC_VAL_MASK}}\pysigline{\sphinxbfcode{MSEC\_VAL\_MASK}}
+\phantomsection\label{\detokenize{appdev/refs/macros/MSEC_VAL_MASK:MSEC_VAL_MASK}}\pysigline{\sphinxbfcode{\sphinxupquote{MSEC\_VAL\_MASK}}}
 \end{fulllineitems}
 
 
@@ -24639,9 +30305,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{MSEC\_VAL\_MASK}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{MSEC\_VAL\_MASK}}
 &
-\sphinxcode{0x7fff}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x7fff}}
 \\
 \hline
 \end{tabulary}
@@ -24650,10 +30318,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{SALT\_TYPE\_AFS\_LENGTH}
-\label{\detokenize{appdev/refs/macros/SALT_TYPE_AFS_LENGTH::doc}}\label{\detokenize{appdev/refs/macros/SALT_TYPE_AFS_LENGTH:salt-type-afs-length-data}}\label{\detokenize{appdev/refs/macros/SALT_TYPE_AFS_LENGTH:salt-type-afs-length}}\index{SALT\_TYPE\_AFS\_LENGTH (built-in variable)}
+\label{\detokenize{appdev/refs/macros/SALT_TYPE_AFS_LENGTH:salt-type-afs-length}}\label{\detokenize{appdev/refs/macros/SALT_TYPE_AFS_LENGTH:salt-type-afs-length-data}}\label{\detokenize{appdev/refs/macros/SALT_TYPE_AFS_LENGTH::doc}}\index{SALT\_TYPE\_AFS\_LENGTH (built\sphinxhyphen{}in variable)@\spxentry{SALT\_TYPE\_AFS\_LENGTH}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/SALT_TYPE_AFS_LENGTH:SALT_TYPE_AFS_LENGTH}}\pysigline{\sphinxbfcode{SALT\_TYPE\_AFS\_LENGTH}}
+\phantomsection\label{\detokenize{appdev/refs/macros/SALT_TYPE_AFS_LENGTH:SALT_TYPE_AFS_LENGTH}}\pysigline{\sphinxbfcode{\sphinxupquote{SALT\_TYPE\_AFS\_LENGTH}}}
 \end{fulllineitems}
 
 
@@ -24663,9 +30331,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{SALT\_TYPE\_AFS\_LENGTH}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{SALT\_TYPE\_AFS\_LENGTH}}
 &
-\sphinxcode{UINT\_MAX}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{UINT\_MAX}}
 \\
 \hline
 \end{tabulary}
@@ -24674,10 +30344,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{SALT\_TYPE\_NO\_LENGTH}
-\label{\detokenize{appdev/refs/macros/SALT_TYPE_NO_LENGTH:salt-type-no-length-data}}\label{\detokenize{appdev/refs/macros/SALT_TYPE_NO_LENGTH::doc}}\label{\detokenize{appdev/refs/macros/SALT_TYPE_NO_LENGTH:salt-type-no-length}}\index{SALT\_TYPE\_NO\_LENGTH (built-in variable)}
+\label{\detokenize{appdev/refs/macros/SALT_TYPE_NO_LENGTH:salt-type-no-length}}\label{\detokenize{appdev/refs/macros/SALT_TYPE_NO_LENGTH:salt-type-no-length-data}}\label{\detokenize{appdev/refs/macros/SALT_TYPE_NO_LENGTH::doc}}\index{SALT\_TYPE\_NO\_LENGTH (built\sphinxhyphen{}in variable)@\spxentry{SALT\_TYPE\_NO\_LENGTH}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/SALT_TYPE_NO_LENGTH:SALT_TYPE_NO_LENGTH}}\pysigline{\sphinxbfcode{SALT\_TYPE\_NO\_LENGTH}}
+\phantomsection\label{\detokenize{appdev/refs/macros/SALT_TYPE_NO_LENGTH:SALT_TYPE_NO_LENGTH}}\pysigline{\sphinxbfcode{\sphinxupquote{SALT\_TYPE\_NO\_LENGTH}}}
 \end{fulllineitems}
 
 
@@ -24687,9 +30357,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{SALT\_TYPE\_NO\_LENGTH}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{SALT\_TYPE\_NO\_LENGTH}}
 &
-\sphinxcode{UINT\_MAX}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{UINT\_MAX}}
 \\
 \hline
 \end{tabulary}
@@ -24698,10 +30370,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{THREEPARAMOPEN}
-\label{\detokenize{appdev/refs/macros/THREEPARAMOPEN:threeparamopen}}\label{\detokenize{appdev/refs/macros/THREEPARAMOPEN:threeparamopen-data}}\label{\detokenize{appdev/refs/macros/THREEPARAMOPEN::doc}}\index{THREEPARAMOPEN (built-in variable)}
+\label{\detokenize{appdev/refs/macros/THREEPARAMOPEN:threeparamopen}}\label{\detokenize{appdev/refs/macros/THREEPARAMOPEN:threeparamopen-data}}\label{\detokenize{appdev/refs/macros/THREEPARAMOPEN::doc}}\index{THREEPARAMOPEN (built\sphinxhyphen{}in variable)@\spxentry{THREEPARAMOPEN}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/THREEPARAMOPEN:THREEPARAMOPEN}}\pysigline{\sphinxbfcode{THREEPARAMOPEN}}
+\phantomsection\label{\detokenize{appdev/refs/macros/THREEPARAMOPEN:THREEPARAMOPEN}}\pysigline{\sphinxbfcode{\sphinxupquote{THREEPARAMOPEN}}}
 \end{fulllineitems}
 
 
@@ -24711,9 +30383,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{THREEPARAMOPEN (x, y, z)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{THREEPARAMOPEN (x, y, z)}}
 &
-\sphinxcode{open(x,y,z)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{open(x,y,z)}}
 \\
 \hline
 \end{tabulary}
@@ -24722,10 +30396,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_ANONYMOUS}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_ANONYMOUS::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_ANONYMOUS:tkt-flg-anonymous}}\label{\detokenize{appdev/refs/macros/TKT_FLG_ANONYMOUS:tkt-flg-anonymous-data}}\index{TKT\_FLG\_ANONYMOUS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_ANONYMOUS:tkt-flg-anonymous}}\label{\detokenize{appdev/refs/macros/TKT_FLG_ANONYMOUS:tkt-flg-anonymous-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_ANONYMOUS::doc}}\index{TKT\_FLG\_ANONYMOUS (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_ANONYMOUS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_ANONYMOUS:TKT_FLG_ANONYMOUS}}\pysigline{\sphinxbfcode{TKT\_FLG\_ANONYMOUS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_ANONYMOUS:TKT_FLG_ANONYMOUS}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_ANONYMOUS}}}
 \end{fulllineitems}
 
 
@@ -24735,9 +30409,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_ANONYMOUS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_ANONYMOUS}}
 &
-\sphinxcode{0x00008000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00008000}}
 \\
 \hline
 \end{tabulary}
@@ -24746,10 +30422,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_ENC\_PA\_REP}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_ENC_PA_REP:tkt-flg-enc-pa-rep}}\label{\detokenize{appdev/refs/macros/TKT_FLG_ENC_PA_REP:tkt-flg-enc-pa-rep-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_ENC_PA_REP::doc}}\index{TKT\_FLG\_ENC\_PA\_REP (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_ENC_PA_REP:tkt-flg-enc-pa-rep}}\label{\detokenize{appdev/refs/macros/TKT_FLG_ENC_PA_REP:tkt-flg-enc-pa-rep-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_ENC_PA_REP::doc}}\index{TKT\_FLG\_ENC\_PA\_REP (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_ENC\_PA\_REP}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_ENC_PA_REP:TKT_FLG_ENC_PA_REP}}\pysigline{\sphinxbfcode{TKT\_FLG\_ENC\_PA\_REP}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_ENC_PA_REP:TKT_FLG_ENC_PA_REP}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_ENC\_PA\_REP}}}
 \end{fulllineitems}
 
 
@@ -24759,9 +30435,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_ENC\_PA\_REP}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_ENC\_PA\_REP}}
 &
-\sphinxcode{0x00010000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00010000}}
 \\
 \hline
 \end{tabulary}
@@ -24770,10 +30448,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_FORWARDABLE}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDABLE:tkt-flg-forwardable-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDABLE:tkt-flg-forwardable}}\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDABLE::doc}}\index{TKT\_FLG\_FORWARDABLE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDABLE:tkt-flg-forwardable}}\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDABLE:tkt-flg-forwardable-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDABLE::doc}}\index{TKT\_FLG\_FORWARDABLE (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_FORWARDABLE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDABLE:TKT_FLG_FORWARDABLE}}\pysigline{\sphinxbfcode{TKT\_FLG\_FORWARDABLE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDABLE:TKT_FLG_FORWARDABLE}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_FORWARDABLE}}}
 \end{fulllineitems}
 
 
@@ -24783,9 +30461,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_FORWARDABLE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_FORWARDABLE}}
 &
-\sphinxcode{0x40000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x40000000}}
 \\
 \hline
 \end{tabulary}
@@ -24794,10 +30474,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_FORWARDED}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDED::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDED:tkt-flg-forwarded}}\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDED:tkt-flg-forwarded-data}}\index{TKT\_FLG\_FORWARDED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDED:tkt-flg-forwarded}}\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDED:tkt-flg-forwarded-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDED::doc}}\index{TKT\_FLG\_FORWARDED (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_FORWARDED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDED:TKT_FLG_FORWARDED}}\pysigline{\sphinxbfcode{TKT\_FLG\_FORWARDED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_FORWARDED:TKT_FLG_FORWARDED}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_FORWARDED}}}
 \end{fulllineitems}
 
 
@@ -24807,9 +30487,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_FORWARDED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_FORWARDED}}
 &
-\sphinxcode{0x20000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x20000000}}
 \\
 \hline
 \end{tabulary}
@@ -24818,10 +30500,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_HW\_AUTH}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_HW_AUTH::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_HW_AUTH:tkt-flg-hw-auth}}\label{\detokenize{appdev/refs/macros/TKT_FLG_HW_AUTH:tkt-flg-hw-auth-data}}\index{TKT\_FLG\_HW\_AUTH (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_HW_AUTH:tkt-flg-hw-auth}}\label{\detokenize{appdev/refs/macros/TKT_FLG_HW_AUTH:tkt-flg-hw-auth-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_HW_AUTH::doc}}\index{TKT\_FLG\_HW\_AUTH (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_HW\_AUTH}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_HW_AUTH:TKT_FLG_HW_AUTH}}\pysigline{\sphinxbfcode{TKT\_FLG\_HW\_AUTH}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_HW_AUTH:TKT_FLG_HW_AUTH}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_HW\_AUTH}}}
 \end{fulllineitems}
 
 
@@ -24831,9 +30513,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_HW\_AUTH}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_HW\_AUTH}}
 &
-\sphinxcode{0x00100000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00100000}}
 \\
 \hline
 \end{tabulary}
@@ -24842,10 +30526,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_INITIAL}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_INITIAL:tkt-flg-initial}}\label{\detokenize{appdev/refs/macros/TKT_FLG_INITIAL::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_INITIAL:tkt-flg-initial-data}}\index{TKT\_FLG\_INITIAL (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_INITIAL:tkt-flg-initial}}\label{\detokenize{appdev/refs/macros/TKT_FLG_INITIAL:tkt-flg-initial-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_INITIAL::doc}}\index{TKT\_FLG\_INITIAL (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_INITIAL}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_INITIAL:TKT_FLG_INITIAL}}\pysigline{\sphinxbfcode{TKT\_FLG\_INITIAL}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_INITIAL:TKT_FLG_INITIAL}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_INITIAL}}}
 \end{fulllineitems}
 
 
@@ -24855,9 +30539,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_INITIAL}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_INITIAL}}
 &
-\sphinxcode{0x00400000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00400000}}
 \\
 \hline
 \end{tabulary}
@@ -24866,10 +30552,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_INVALID}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_INVALID:tkt-flg-invalid-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_INVALID::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_INVALID:tkt-flg-invalid}}\index{TKT\_FLG\_INVALID (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_INVALID:tkt-flg-invalid}}\label{\detokenize{appdev/refs/macros/TKT_FLG_INVALID:tkt-flg-invalid-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_INVALID::doc}}\index{TKT\_FLG\_INVALID (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_INVALID}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_INVALID:TKT_FLG_INVALID}}\pysigline{\sphinxbfcode{TKT\_FLG\_INVALID}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_INVALID:TKT_FLG_INVALID}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_INVALID}}}
 \end{fulllineitems}
 
 
@@ -24879,9 +30565,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_INVALID}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_INVALID}}
 &
-\sphinxcode{0x01000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x01000000}}
 \\
 \hline
 \end{tabulary}
@@ -24890,10 +30578,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_MAY\_POSTDATE}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_MAY_POSTDATE:tkt-flg-may-postdate}}\label{\detokenize{appdev/refs/macros/TKT_FLG_MAY_POSTDATE::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_MAY_POSTDATE:tkt-flg-may-postdate-data}}\index{TKT\_FLG\_MAY\_POSTDATE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_MAY_POSTDATE:tkt-flg-may-postdate}}\label{\detokenize{appdev/refs/macros/TKT_FLG_MAY_POSTDATE:tkt-flg-may-postdate-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_MAY_POSTDATE::doc}}\index{TKT\_FLG\_MAY\_POSTDATE (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_MAY\_POSTDATE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_MAY_POSTDATE:TKT_FLG_MAY_POSTDATE}}\pysigline{\sphinxbfcode{TKT\_FLG\_MAY\_POSTDATE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_MAY_POSTDATE:TKT_FLG_MAY_POSTDATE}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_MAY\_POSTDATE}}}
 \end{fulllineitems}
 
 
@@ -24903,9 +30591,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_MAY\_POSTDATE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_MAY\_POSTDATE}}
 &
-\sphinxcode{0x04000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x04000000}}
 \\
 \hline
 \end{tabulary}
@@ -24914,10 +30604,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_OK\_AS\_DELEGATE}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE:tkt-flg-ok-as-delegate-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE:tkt-flg-ok-as-delegate}}\label{\detokenize{appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE::doc}}\index{TKT\_FLG\_OK\_AS\_DELEGATE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE:tkt-flg-ok-as-delegate}}\label{\detokenize{appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE:tkt-flg-ok-as-delegate-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE::doc}}\index{TKT\_FLG\_OK\_AS\_DELEGATE (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_OK\_AS\_DELEGATE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE:TKT_FLG_OK_AS_DELEGATE}}\pysigline{\sphinxbfcode{TKT\_FLG\_OK\_AS\_DELEGATE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_OK_AS_DELEGATE:TKT_FLG_OK_AS_DELEGATE}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_OK\_AS\_DELEGATE}}}
 \end{fulllineitems}
 
 
@@ -24927,9 +30617,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_OK\_AS\_DELEGATE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_OK\_AS\_DELEGATE}}
 &
-\sphinxcode{0x00040000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00040000}}
 \\
 \hline
 \end{tabulary}
@@ -24938,10 +30630,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_POSTDATED}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_POSTDATED:tkt-flg-postdated}}\label{\detokenize{appdev/refs/macros/TKT_FLG_POSTDATED::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_POSTDATED:tkt-flg-postdated-data}}\index{TKT\_FLG\_POSTDATED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_POSTDATED:tkt-flg-postdated}}\label{\detokenize{appdev/refs/macros/TKT_FLG_POSTDATED:tkt-flg-postdated-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_POSTDATED::doc}}\index{TKT\_FLG\_POSTDATED (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_POSTDATED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_POSTDATED:TKT_FLG_POSTDATED}}\pysigline{\sphinxbfcode{TKT\_FLG\_POSTDATED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_POSTDATED:TKT_FLG_POSTDATED}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_POSTDATED}}}
 \end{fulllineitems}
 
 
@@ -24951,9 +30643,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_POSTDATED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_POSTDATED}}
 &
-\sphinxcode{0x02000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x02000000}}
 \\
 \hline
 \end{tabulary}
@@ -24962,10 +30656,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_PRE\_AUTH}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_PRE_AUTH:tkt-flg-pre-auth-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PRE_AUTH::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PRE_AUTH:tkt-flg-pre-auth}}\index{TKT\_FLG\_PRE\_AUTH (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_PRE_AUTH:tkt-flg-pre-auth}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PRE_AUTH:tkt-flg-pre-auth-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PRE_AUTH::doc}}\index{TKT\_FLG\_PRE\_AUTH (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_PRE\_AUTH}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_PRE_AUTH:TKT_FLG_PRE_AUTH}}\pysigline{\sphinxbfcode{TKT\_FLG\_PRE\_AUTH}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_PRE_AUTH:TKT_FLG_PRE_AUTH}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_PRE\_AUTH}}}
 \end{fulllineitems}
 
 
@@ -24975,9 +30669,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_PRE\_AUTH}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_PRE\_AUTH}}
 &
-\sphinxcode{0x00200000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00200000}}
 \\
 \hline
 \end{tabulary}
@@ -24986,10 +30682,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_PROXIABLE}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXIABLE:tkt-flg-proxiable}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXIABLE:tkt-flg-proxiable-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXIABLE::doc}}\index{TKT\_FLG\_PROXIABLE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXIABLE:tkt-flg-proxiable}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXIABLE:tkt-flg-proxiable-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXIABLE::doc}}\index{TKT\_FLG\_PROXIABLE (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_PROXIABLE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXIABLE:TKT_FLG_PROXIABLE}}\pysigline{\sphinxbfcode{TKT\_FLG\_PROXIABLE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXIABLE:TKT_FLG_PROXIABLE}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_PROXIABLE}}}
 \end{fulllineitems}
 
 
@@ -24999,9 +30695,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_PROXIABLE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_PROXIABLE}}
 &
-\sphinxcode{0x10000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x10000000}}
 \\
 \hline
 \end{tabulary}
@@ -25010,10 +30708,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_PROXY}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXY::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXY:tkt-flg-proxy}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXY:tkt-flg-proxy-data}}\index{TKT\_FLG\_PROXY (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXY:tkt-flg-proxy}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXY:tkt-flg-proxy-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXY::doc}}\index{TKT\_FLG\_PROXY (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_PROXY}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXY:TKT_FLG_PROXY}}\pysigline{\sphinxbfcode{TKT\_FLG\_PROXY}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_PROXY:TKT_FLG_PROXY}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_PROXY}}}
 \end{fulllineitems}
 
 
@@ -25023,9 +30721,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_PROXY}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_PROXY}}
 &
-\sphinxcode{0x08000000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x08000000}}
 \\
 \hline
 \end{tabulary}
@@ -25034,10 +30734,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_RENEWABLE}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_RENEWABLE::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_RENEWABLE:tkt-flg-renewable}}\label{\detokenize{appdev/refs/macros/TKT_FLG_RENEWABLE:tkt-flg-renewable-data}}\index{TKT\_FLG\_RENEWABLE (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_RENEWABLE:tkt-flg-renewable}}\label{\detokenize{appdev/refs/macros/TKT_FLG_RENEWABLE:tkt-flg-renewable-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_RENEWABLE::doc}}\index{TKT\_FLG\_RENEWABLE (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_RENEWABLE}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_RENEWABLE:TKT_FLG_RENEWABLE}}\pysigline{\sphinxbfcode{TKT\_FLG\_RENEWABLE}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_RENEWABLE:TKT_FLG_RENEWABLE}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_RENEWABLE}}}
 \end{fulllineitems}
 
 
@@ -25047,9 +30747,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_RENEWABLE}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_RENEWABLE}}
 &
-\sphinxcode{0x00800000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00800000}}
 \\
 \hline
 \end{tabulary}
@@ -25058,10 +30760,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{TKT\_FLG\_TRANSIT\_POLICY\_CHECKED}
-\label{\detokenize{appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED::doc}}\label{\detokenize{appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED:tkt-flg-transit-policy-checked}}\label{\detokenize{appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED:tkt-flg-transit-policy-checked-data}}\index{TKT\_FLG\_TRANSIT\_POLICY\_CHECKED (built-in variable)}
+\label{\detokenize{appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED:tkt-flg-transit-policy-checked}}\label{\detokenize{appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED:tkt-flg-transit-policy-checked-data}}\label{\detokenize{appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED::doc}}\index{TKT\_FLG\_TRANSIT\_POLICY\_CHECKED (built\sphinxhyphen{}in variable)@\spxentry{TKT\_FLG\_TRANSIT\_POLICY\_CHECKED}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED:TKT_FLG_TRANSIT_POLICY_CHECKED}}\pysigline{\sphinxbfcode{TKT\_FLG\_TRANSIT\_POLICY\_CHECKED}}
+\phantomsection\label{\detokenize{appdev/refs/macros/TKT_FLG_TRANSIT_POLICY_CHECKED:TKT_FLG_TRANSIT_POLICY_CHECKED}}\pysigline{\sphinxbfcode{\sphinxupquote{TKT\_FLG\_TRANSIT\_POLICY\_CHECKED}}}
 \end{fulllineitems}
 
 
@@ -25071,9 +30773,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{TKT\_FLG\_TRANSIT\_POLICY\_CHECKED}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{TKT\_FLG\_TRANSIT\_POLICY\_CHECKED}}
 &
-\sphinxcode{0x00080000}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{0x00080000}}
 \\
 \hline
 \end{tabulary}
@@ -25082,10 +30786,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{VALID\_INT\_BITS}
-\label{\detokenize{appdev/refs/macros/VALID_INT_BITS:valid-int-bits}}\label{\detokenize{appdev/refs/macros/VALID_INT_BITS:valid-int-bits-data}}\label{\detokenize{appdev/refs/macros/VALID_INT_BITS::doc}}\index{VALID\_INT\_BITS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/VALID_INT_BITS:valid-int-bits}}\label{\detokenize{appdev/refs/macros/VALID_INT_BITS:valid-int-bits-data}}\label{\detokenize{appdev/refs/macros/VALID_INT_BITS::doc}}\index{VALID\_INT\_BITS (built\sphinxhyphen{}in variable)@\spxentry{VALID\_INT\_BITS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/VALID_INT_BITS:VALID_INT_BITS}}\pysigline{\sphinxbfcode{VALID\_INT\_BITS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/VALID_INT_BITS:VALID_INT_BITS}}\pysigline{\sphinxbfcode{\sphinxupquote{VALID\_INT\_BITS}}}
 \end{fulllineitems}
 
 
@@ -25095,9 +30799,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{VALID\_INT\_BITS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{VALID\_INT\_BITS}}
 &
-\sphinxcode{INT\_MAX}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{INT\_MAX}}
 \\
 \hline
 \end{tabulary}
@@ -25106,10 +30812,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{VALID\_UINT\_BITS}
-\label{\detokenize{appdev/refs/macros/VALID_UINT_BITS:valid-uint-bits}}\label{\detokenize{appdev/refs/macros/VALID_UINT_BITS::doc}}\label{\detokenize{appdev/refs/macros/VALID_UINT_BITS:valid-uint-bits-data}}\index{VALID\_UINT\_BITS (built-in variable)}
+\label{\detokenize{appdev/refs/macros/VALID_UINT_BITS:valid-uint-bits}}\label{\detokenize{appdev/refs/macros/VALID_UINT_BITS:valid-uint-bits-data}}\label{\detokenize{appdev/refs/macros/VALID_UINT_BITS::doc}}\index{VALID\_UINT\_BITS (built\sphinxhyphen{}in variable)@\spxentry{VALID\_UINT\_BITS}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/VALID_UINT_BITS:VALID_UINT_BITS}}\pysigline{\sphinxbfcode{VALID\_UINT\_BITS}}
+\phantomsection\label{\detokenize{appdev/refs/macros/VALID_UINT_BITS:VALID_UINT_BITS}}\pysigline{\sphinxbfcode{\sphinxupquote{VALID\_UINT\_BITS}}}
 \end{fulllineitems}
 
 
@@ -25119,9 +30825,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{VALID\_UINT\_BITS}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{VALID\_UINT\_BITS}}
 &
-\sphinxcode{UINT\_MAX}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{UINT\_MAX}}
 \\
 \hline
 \end{tabulary}
@@ -25130,10 +30838,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_const}
-\label{\detokenize{appdev/refs/macros/krb5_const:krb5-const}}\label{\detokenize{appdev/refs/macros/krb5_const:krb5-const-data}}\label{\detokenize{appdev/refs/macros/krb5_const::doc}}\index{krb5\_const (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_const:krb5-const}}\label{\detokenize{appdev/refs/macros/krb5_const:krb5-const-data}}\label{\detokenize{appdev/refs/macros/krb5_const::doc}}\index{krb5\_const (built\sphinxhyphen{}in variable)@\spxentry{krb5\_const}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_const:krb5_const}}\pysigline{\sphinxbfcode{krb5\_const}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_const:krb5_const}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_const}}}
 \end{fulllineitems}
 
 
@@ -25143,9 +30851,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_const}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_const}}
 &
-\sphinxcode{const}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{const}}
 \\
 \hline
 \end{tabulary}
@@ -25154,10 +30864,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_princ\_component}
-\label{\detokenize{appdev/refs/macros/krb5_princ_component::doc}}\label{\detokenize{appdev/refs/macros/krb5_princ_component:krb5-princ-component-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_component:krb5-princ-component}}\index{krb5\_princ\_component (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_princ_component:krb5-princ-component}}\label{\detokenize{appdev/refs/macros/krb5_princ_component:krb5-princ-component-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_component::doc}}\index{krb5\_princ\_component (built\sphinxhyphen{}in variable)@\spxentry{krb5\_princ\_component}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_component:krb5_princ_component}}\pysigline{\sphinxbfcode{krb5\_princ\_component}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_component:krb5_princ_component}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_princ\_component}}}
 \end{fulllineitems}
 
 
@@ -25167,9 +30877,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_princ\_component (context, princ, i)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_princ\_component (context, princ, i)}}
 &
-\sphinxcode{(((i) \textless{} krb5\_princ\_size(context, princ)) ? (princ)-\textgreater{}data + (i) : NULL)}
+\sphinxAtStartPar
+\textasciigrave{}\textasciigrave{}    (((i) \textless{} krb5\_princ\_size(context, princ)) ? (princ)\sphinxhyphen{}\textgreater{}data + (i) : NULL)\textasciigrave{}\textasciigrave{}
 \\
 \hline
 \end{tabulary}
@@ -25178,10 +30890,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_princ\_name}
-\label{\detokenize{appdev/refs/macros/krb5_princ_name:krb5-princ-name-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_name:krb5-princ-name}}\label{\detokenize{appdev/refs/macros/krb5_princ_name::doc}}\index{krb5\_princ\_name (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_princ_name:krb5-princ-name}}\label{\detokenize{appdev/refs/macros/krb5_princ_name:krb5-princ-name-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_name::doc}}\index{krb5\_princ\_name (built\sphinxhyphen{}in variable)@\spxentry{krb5\_princ\_name}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_name:krb5_princ_name}}\pysigline{\sphinxbfcode{krb5\_princ\_name}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_name:krb5_princ_name}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_princ\_name}}}
 \end{fulllineitems}
 
 
@@ -25191,9 +30903,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_princ\_name (context, princ)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_princ\_name (context, princ)}}
 &
-\sphinxcode{(princ)-\textgreater{}data}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(princ)\sphinxhyphen{}\textgreater{}data}}
 \\
 \hline
 \end{tabulary}
@@ -25202,10 +30916,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_princ\_realm}
-\label{\detokenize{appdev/refs/macros/krb5_princ_realm::doc}}\label{\detokenize{appdev/refs/macros/krb5_princ_realm:krb5-princ-realm-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_realm:krb5-princ-realm}}\index{krb5\_princ\_realm (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_princ_realm:krb5-princ-realm}}\label{\detokenize{appdev/refs/macros/krb5_princ_realm:krb5-princ-realm-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_realm::doc}}\index{krb5\_princ\_realm (built\sphinxhyphen{}in variable)@\spxentry{krb5\_princ\_realm}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_realm:krb5_princ_realm}}\pysigline{\sphinxbfcode{krb5\_princ\_realm}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_realm:krb5_princ_realm}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_princ\_realm}}}
 \end{fulllineitems}
 
 
@@ -25215,9 +30929,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_princ\_realm (context, princ)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_princ\_realm (context, princ)}}
 &
-\sphinxcode{(\&(princ)-\textgreater{}realm)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(\&(princ)\sphinxhyphen{}\textgreater{}realm)}}
 \\
 \hline
 \end{tabulary}
@@ -25226,10 +30942,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_princ\_set\_realm}
-\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm:krb5-princ-set-realm-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm::doc}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm:krb5-princ-set-realm}}\index{krb5\_princ\_set\_realm (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm:krb5-princ-set-realm}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm:krb5-princ-set-realm-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm::doc}}\index{krb5\_princ\_set\_realm (built\sphinxhyphen{}in variable)@\spxentry{krb5\_princ\_set\_realm}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm:krb5_princ_set_realm}}\pysigline{\sphinxbfcode{krb5\_princ\_set\_realm}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm:krb5_princ_set_realm}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_princ\_set\_realm}}}
 \end{fulllineitems}
 
 
@@ -25239,9 +30955,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_princ\_set\_realm (context, princ, value)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_princ\_set\_realm (context, princ, value)}}
 &
-\sphinxcode{((princ)-\textgreater{}realm = *(value))}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((princ)\sphinxhyphen{}\textgreater{}realm = *(value))}}
 \\
 \hline
 \end{tabulary}
@@ -25250,10 +30968,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_princ\_set\_realm\_data}
-\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_data:krb5-princ-set-realm-data-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_data::doc}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_data:krb5-princ-set-realm-data}}\index{krb5\_princ\_set\_realm\_data (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_data:krb5-princ-set-realm-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_data:krb5-princ-set-realm-data-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_data::doc}}\index{krb5\_princ\_set\_realm\_data (built\sphinxhyphen{}in variable)@\spxentry{krb5\_princ\_set\_realm\_data}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_data:krb5_princ_set_realm_data}}\pysigline{\sphinxbfcode{krb5\_princ\_set\_realm\_data}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_data:krb5_princ_set_realm_data}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_princ\_set\_realm\_data}}}
 \end{fulllineitems}
 
 
@@ -25263,9 +30981,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_princ\_set\_realm\_data (context, princ, value)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_princ\_set\_realm\_data (context, princ, value)}}
 &
-\sphinxcode{(princ)-\textgreater{}realm.data = (value)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(princ)\sphinxhyphen{}\textgreater{}realm.data = (value)}}
 \\
 \hline
 \end{tabulary}
@@ -25274,10 +30994,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_princ\_set\_realm\_length}
-\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_length:krb5-princ-set-realm-length-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_length::doc}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_length:krb5-princ-set-realm-length}}\index{krb5\_princ\_set\_realm\_length (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_length:krb5-princ-set-realm-length}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_length:krb5-princ-set-realm-length-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_length::doc}}\index{krb5\_princ\_set\_realm\_length (built\sphinxhyphen{}in variable)@\spxentry{krb5\_princ\_set\_realm\_length}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_length:krb5_princ_set_realm_length}}\pysigline{\sphinxbfcode{krb5\_princ\_set\_realm\_length}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_set_realm_length:krb5_princ_set_realm_length}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_princ\_set\_realm\_length}}}
 \end{fulllineitems}
 
 
@@ -25287,9 +31007,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_princ\_set\_realm\_length (context, princ, value)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_princ\_set\_realm\_length (context, princ, value)}}
 &
-\sphinxcode{(princ)-\textgreater{}realm.length = (value)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(princ)\sphinxhyphen{}\textgreater{}realm.length = (value)}}
 \\
 \hline
 \end{tabulary}
@@ -25298,10 +31020,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_princ\_size}
-\label{\detokenize{appdev/refs/macros/krb5_princ_size:krb5-princ-size-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_size::doc}}\label{\detokenize{appdev/refs/macros/krb5_princ_size:krb5-princ-size}}\index{krb5\_princ\_size (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_princ_size:krb5-princ-size}}\label{\detokenize{appdev/refs/macros/krb5_princ_size:krb5-princ-size-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_size::doc}}\index{krb5\_princ\_size (built\sphinxhyphen{}in variable)@\spxentry{krb5\_princ\_size}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_size:krb5_princ_size}}\pysigline{\sphinxbfcode{krb5\_princ\_size}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_size:krb5_princ_size}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_princ\_size}}}
 \end{fulllineitems}
 
 
@@ -25311,9 +31033,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_princ\_size (context, princ)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_princ\_size (context, princ)}}
 &
-\sphinxcode{(princ)-\textgreater{}length}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(princ)\sphinxhyphen{}\textgreater{}length}}
 \\
 \hline
 \end{tabulary}
@@ -25322,10 +31046,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_princ\_type}
-\label{\detokenize{appdev/refs/macros/krb5_princ_type:krb5-princ-type}}\label{\detokenize{appdev/refs/macros/krb5_princ_type:krb5-princ-type-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_type::doc}}\index{krb5\_princ\_type (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_princ_type:krb5-princ-type}}\label{\detokenize{appdev/refs/macros/krb5_princ_type:krb5-princ-type-data}}\label{\detokenize{appdev/refs/macros/krb5_princ_type::doc}}\index{krb5\_princ\_type (built\sphinxhyphen{}in variable)@\spxentry{krb5\_princ\_type}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_type:krb5_princ_type}}\pysigline{\sphinxbfcode{krb5\_princ\_type}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_princ_type:krb5_princ_type}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_princ\_type}}}
 \end{fulllineitems}
 
 
@@ -25335,9 +31059,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_princ\_type (context, princ)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_princ\_type (context, princ)}}
 &
-\sphinxcode{(princ)-\textgreater{}type}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(princ)\sphinxhyphen{}\textgreater{}type}}
 \\
 \hline
 \end{tabulary}
@@ -25346,10 +31072,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_roundup}
-\label{\detokenize{appdev/refs/macros/krb5_roundup:krb5-roundup-data}}\label{\detokenize{appdev/refs/macros/krb5_roundup:krb5-roundup}}\label{\detokenize{appdev/refs/macros/krb5_roundup::doc}}\index{krb5\_roundup (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_roundup:krb5-roundup}}\label{\detokenize{appdev/refs/macros/krb5_roundup:krb5-roundup-data}}\label{\detokenize{appdev/refs/macros/krb5_roundup::doc}}\index{krb5\_roundup (built\sphinxhyphen{}in variable)@\spxentry{krb5\_roundup}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_roundup:krb5_roundup}}\pysigline{\sphinxbfcode{krb5\_roundup}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_roundup:krb5_roundup}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_roundup}}}
 \end{fulllineitems}
 
 
@@ -25359,9 +31085,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_roundup (x, y)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_roundup (x, y)}}
 &
-\sphinxcode{((((x) + (y) - 1)/(y))*(y))}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((((x) + (y) \sphinxhyphen{} 1)/(y))*(y))}}
 \\
 \hline
 \end{tabulary}
@@ -25370,10 +31098,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_x}
-\label{\detokenize{appdev/refs/macros/krb5_x::doc}}\label{\detokenize{appdev/refs/macros/krb5_x:krb5-x}}\label{\detokenize{appdev/refs/macros/krb5_x:krb5-x-data}}\index{krb5\_x (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_x:krb5-x}}\label{\detokenize{appdev/refs/macros/krb5_x:krb5-x-data}}\label{\detokenize{appdev/refs/macros/krb5_x::doc}}\index{krb5\_x (built\sphinxhyphen{}in variable)@\spxentry{krb5\_x}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_x:krb5_x}}\pysigline{\sphinxbfcode{krb5\_x}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_x:krb5_x}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_x}}}
 \end{fulllineitems}
 
 
@@ -25383,9 +31111,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_x (ptr, args)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_x (ptr, args)}}
 &
-\sphinxcode{((ptr)?((*(ptr)) args):(abort(),1))}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((ptr)?((*(ptr)) args):(abort(),1))}}
 \\
 \hline
 \end{tabulary}
@@ -25394,10 +31124,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb5\_xc}
-\label{\detokenize{appdev/refs/macros/krb5_xc::doc}}\label{\detokenize{appdev/refs/macros/krb5_xc:krb5-xc}}\label{\detokenize{appdev/refs/macros/krb5_xc:krb5-xc-data}}\index{krb5\_xc (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb5_xc:krb5-xc}}\label{\detokenize{appdev/refs/macros/krb5_xc:krb5-xc-data}}\label{\detokenize{appdev/refs/macros/krb5_xc::doc}}\index{krb5\_xc (built\sphinxhyphen{}in variable)@\spxentry{krb5\_xc}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb5_xc:krb5_xc}}\pysigline{\sphinxbfcode{krb5\_xc}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb5_xc:krb5_xc}}\pysigline{\sphinxbfcode{\sphinxupquote{krb5\_xc}}}
 \end{fulllineitems}
 
 
@@ -25407,9 +31137,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb5\_xc (ptr, args)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_xc (ptr, args)}}
 &
-\sphinxcode{((ptr)?((*(ptr)) args):(abort(),(char*)0))}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{((ptr)?((*(ptr)) args):(abort(),(char*)0))}}
 \\
 \hline
 \end{tabulary}
@@ -25421,10 +31153,10 @@ Long enough for MAXPATHLEN + some extra.
 \label{\detokenize{appdev/refs/macros/index:deprecated-macros}}
 
 \subsubsection{krb524\_convert\_creds\_kdc}
-\label{\detokenize{appdev/refs/macros/krb524_convert_creds_kdc:krb524-convert-creds-kdc-data}}\label{\detokenize{appdev/refs/macros/krb524_convert_creds_kdc:krb524-convert-creds-kdc}}\label{\detokenize{appdev/refs/macros/krb524_convert_creds_kdc::doc}}\index{krb524\_convert\_creds\_kdc (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb524_convert_creds_kdc:krb524-convert-creds-kdc}}\label{\detokenize{appdev/refs/macros/krb524_convert_creds_kdc:krb524-convert-creds-kdc-data}}\label{\detokenize{appdev/refs/macros/krb524_convert_creds_kdc::doc}}\index{krb524\_convert\_creds\_kdc (built\sphinxhyphen{}in variable)@\spxentry{krb524\_convert\_creds\_kdc}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb524_convert_creds_kdc:krb524_convert_creds_kdc}}\pysigline{\sphinxbfcode{krb524\_convert\_creds\_kdc}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb524_convert_creds_kdc:krb524_convert_creds_kdc}}\pysigline{\sphinxbfcode{\sphinxupquote{krb524\_convert\_creds\_kdc}}}
 \end{fulllineitems}
 
 
@@ -25434,9 +31166,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb524\_convert\_creds\_kdc}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb524\_convert\_creds\_kdc}}
 &
-\sphinxcode{krb5\_524\_convert\_creds}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb5\_524\_convert\_creds}}
 \\
 \hline
 \end{tabulary}
@@ -25445,10 +31179,10 @@ Long enough for MAXPATHLEN + some extra.
 
 
 \subsubsection{krb524\_init\_ets}
-\label{\detokenize{appdev/refs/macros/krb524_init_ets:krb524-init-ets-data}}\label{\detokenize{appdev/refs/macros/krb524_init_ets::doc}}\label{\detokenize{appdev/refs/macros/krb524_init_ets:krb524-init-ets}}\index{krb524\_init\_ets (built-in variable)}
+\label{\detokenize{appdev/refs/macros/krb524_init_ets:krb524-init-ets}}\label{\detokenize{appdev/refs/macros/krb524_init_ets:krb524-init-ets-data}}\label{\detokenize{appdev/refs/macros/krb524_init_ets::doc}}\index{krb524\_init\_ets (built\sphinxhyphen{}in variable)@\spxentry{krb524\_init\_ets}\spxextra{built\sphinxhyphen{}in variable}}
 
 \begin{fulllineitems}
-\phantomsection\label{\detokenize{appdev/refs/macros/krb524_init_ets:krb524_init_ets}}\pysigline{\sphinxbfcode{krb524\_init\_ets}}
+\phantomsection\label{\detokenize{appdev/refs/macros/krb524_init_ets:krb524_init_ets}}\pysigline{\sphinxbfcode{\sphinxupquote{krb524\_init\_ets}}}
 \end{fulllineitems}
 
 
@@ -25458,9 +31192,11 @@ Long enough for MAXPATHLEN + some extra.
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
-\sphinxcode{krb524\_init\_ets (x)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{krb524\_init\_ets (x)}}
 &
-\sphinxcode{(0)}
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{(0)}}
 \\
 \hline
 \end{tabulary}
Binary files 1.21.2-1/doc/pdf/basic.pdf and 1.21.3-1/doc/pdf/basic.pdf differ
diff -pruN 1.21.2-1/doc/pdf/basic.tex 1.21.3-1/doc/pdf/basic.tex
--- 1.21.2-1/doc/pdf/basic.tex	2023-08-14 16:25:08.000000000 +0000
+++ 1.21.3-1/doc/pdf/basic.tex	2024-06-26 20:01:51.000000000 +0000
@@ -4,35 +4,48 @@
 \ifdefined\pdfpxdimen
    \let\sphinxpxdimen\pdfpxdimen\else\newdimen\sphinxpxdimen
 \fi \sphinxpxdimen=.75bp\relax
+\ifdefined\pdfimageresolution
+    \pdfimageresolution= \numexpr \dimexpr1in\relax/\sphinxpxdimen\relax
+\fi
+%% let collapsible pdf bookmarks panel have high depth per default
+\PassOptionsToPackage{bookmarksdepth=5}{hyperref}
 
+\PassOptionsToPackage{warn}{textcomp}
 \usepackage[utf8]{inputenc}
 \ifdefined\DeclareUnicodeCharacter
- \ifdefined\DeclareUnicodeCharacterAsOptional
-  \DeclareUnicodeCharacter{"00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{"2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{"2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{"2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{"251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{"2572}{\textbackslash}
- \else
-  \DeclareUnicodeCharacter{00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{2572}{\textbackslash}
- \fi
+% support both utf8 and utf8x syntaxes
+  \ifdefined\DeclareUnicodeCharacterAsOptional
+    \def\sphinxDUC#1{\DeclareUnicodeCharacter{"#1}}
+  \else
+    \let\sphinxDUC\DeclareUnicodeCharacter
+  \fi
+  \sphinxDUC{00A0}{\nobreakspace}
+  \sphinxDUC{2500}{\sphinxunichar{2500}}
+  \sphinxDUC{2502}{\sphinxunichar{2502}}
+  \sphinxDUC{2514}{\sphinxunichar{2514}}
+  \sphinxDUC{251C}{\sphinxunichar{251C}}
+  \sphinxDUC{2572}{\textbackslash}
 \fi
 \usepackage{cmap}
 \usepackage[T1]{fontenc}
 \usepackage{amsmath,amssymb,amstext}
 \usepackage{babel}
-\usepackage{times}
+
+
+
+\usepackage{tgtermes}
+\usepackage{tgheros}
+\renewcommand{\ttdefault}{txtt}
+
+
+
 \usepackage[Bjarne]{fncychap}
-\usepackage[dontkeepoldnames]{sphinx}
+\usepackage{sphinx}
 
+\fvset{fontsize=auto}
 \usepackage{geometry}
 
+
 % Include hyperref last.
 \usepackage{hyperref}
 % Fix anchor placement for figures with captions.
@@ -40,54 +53,53 @@
 % Set up styles of URL: it should be placed after hyperref.
 \urlstyle{same}
 
-\addto\captionsenglish{\renewcommand{\figurename}{Fig.}}
-\addto\captionsenglish{\renewcommand{\tablename}{Table}}
-\addto\captionsenglish{\renewcommand{\literalblockname}{Listing}}
-
-\addto\captionsenglish{\renewcommand{\literalblockcontinuedname}{continued from previous page}}
-\addto\captionsenglish{\renewcommand{\literalblockcontinuesname}{continues on next page}}
-
-\addto\extrasenglish{\def\pageautorefname{page}}
 
+\usepackage{sphinxmessages}
 \setcounter{tocdepth}{0}
 
 
 
 \title{Kerberos Concepts}
 \date{ }
-\release{1.21.2}
+\release{1.21.3}
 \author{MIT}
 \newcommand{\sphinxlogo}{\vbox{}}
 \renewcommand{\releasename}{Release}
 \makeindex
-
 \begin{document}
 
-\maketitle
+\pagestyle{empty}
+\sphinxmaketitle
+\pagestyle{plain}
 \sphinxtableofcontents
+\pagestyle{normal}
 \phantomsection\label{\detokenize{basic/index::doc}}
 
 
 
 \chapter{Credential cache}
-\label{\detokenize{basic/ccache_def:basic-concepts}}\label{\detokenize{basic/ccache_def::doc}}\label{\detokenize{basic/ccache_def:credential-cache}}\label{\detokenize{basic/ccache_def:ccache-definition}}\label{\detokenize{basic/ccache_def:kerberos-v5-concepts}}
+\label{\detokenize{basic/ccache_def:credential-cache}}\label{\detokenize{basic/ccache_def:ccache-definition}}\label{\detokenize{basic/ccache_def::doc}}
+\sphinxAtStartPar
 A credential cache (or “ccache”) holds Kerberos credentials while they
 remain valid and, generally, while the user’s session lasts, so that
 authenticating to a service multiple times (e.g., connecting to a web
 or mail server more than once) doesn’t require contacting the KDC
 every time.
 
+\sphinxAtStartPar
 A credential cache usually contains one initial ticket which is
 obtained using a password or another form of identity verification.
-If this ticket is a ticket-granting ticket, it can be used to obtain
+If this ticket is a ticket\sphinxhyphen{}granting ticket, it can be used to obtain
 additional credentials without the password.  Because the credential
-cache does not store the password, less long-term damage can be done
+cache does not store the password, less long\sphinxhyphen{}term damage can be done
 to the user’s account if the machine is compromised.
 
+\sphinxAtStartPar
 A credentials cache stores a default client principal name, set when
 the cache is created.  This is the name shown at the top of the
-\DUrole{xref,std,std-ref}{klist(1)} \sphinxstyleemphasis{-A} output.
+\DUrole{xref,std,std-ref}{klist(1)} \sphinxstyleemphasis{\sphinxhyphen{}A} output.
 
+\sphinxAtStartPar
 Each normal cache entry includes a service principal name, a client
 principal name (which, in some ccache types, need not be the same as
 the default), lifetime information, and flags, along with the
@@ -97,54 +109,65 @@ names, that store additional information
 
 \section{ccache types}
 \label{\detokenize{basic/ccache_def:ccache-types}}
+\sphinxAtStartPar
 The credential cache interface, like the {\hyperref[\detokenize{basic/keytab_def:keytab-definition}]{\sphinxcrossref{\DUrole{std,std-ref}{keytab}}}} and
 {\hyperref[\detokenize{basic/rcache_def:rcache-definition}]{\sphinxcrossref{\DUrole{std,std-ref}{replay cache}}}} interfaces, uses \sphinxtitleref{TYPE:value} strings to
 indicate the type of credential cache and any associated cache naming
 data to use.
 
+\sphinxAtStartPar
 There are several kinds of credentials cache supported in the MIT
 Kerberos library.  Not all are supported on every platform.  In most
 cases, it should be correct to use the default type built into the
 library.
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{API} is only implemented on Windows.  It communicates with a
 server process that holds the credentials in memory for the user,
 rather than writing them to disk.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{DIR} points to the storage location of the collection of the
 credential caches in \sphinxstyleemphasis{FILE:} format. It is most useful when dealing
 with multiple Kerberos realms and KDCs.  For release 1.10 the
-directory must already exist.  In post-1.10 releases the
+directory must already exist.  In post\sphinxhyphen{}1.10 releases the
 requirement is for parent directory to exist and the current
 process must have permissions to create the directory if it does
 not exist. See {\hyperref[\detokenize{basic/ccache_def:col-ccache}]{\sphinxcrossref{\DUrole{std,std-ref}{Collections of caches}}}} for details.  New in release 1.10.
 The following residual forms are supported:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 DIR:dirname
 
 \item {} 
-DIR::dirpath/filename - a single cache within the directory
+\sphinxAtStartPar
+DIR::dirpath/filename \sphinxhyphen{} a single cache within the directory
 
 \end{itemize}
 
+\sphinxAtStartPar
 Switching to a ccache of the latter type causes it to become the
 primary for the directory.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{FILE} caches are the simplest and most portable. A simple flat
 file format is used to store one credential after another.  This is
 the default ccache type if no type is specified in a ccache name.
 
 \item {} 
-\sphinxstylestrong{KCM} caches work by contacting a daemon process called \sphinxcode{kcm}
-to perform cache operations.  If the cache name is just \sphinxcode{KCM:},
+\sphinxAtStartPar
+\sphinxstylestrong{KCM} caches work by contacting a daemon process called \sphinxcode{\sphinxupquote{kcm}}
+to perform cache operations.  If the cache name is just \sphinxcode{\sphinxupquote{KCM:}},
 the default cache as determined by the KCM daemon will be used.
-Newly created caches must generally be named \sphinxcode{KCM:uid:name},
+Newly created caches must generally be named \sphinxcode{\sphinxupquote{KCM:uid:name}},
 where \sphinxstyleemphasis{uid} is the effective user ID of the running process.
 
+\sphinxAtStartPar
 KCM client support is new in release 1.13.  A KCM daemon has not
 yet been implemented in MIT krb5, but the client will interoperate
 with the KCM daemon implemented by Heimdal.  macOS 10.7 and higher
@@ -153,33 +176,41 @@ provides a KCM daemon as part of the ope
 a default build.
 
 \item {} 
-\sphinxstylestrong{KEYRING} is Linux-specific, and uses the kernel keyring support
+\sphinxAtStartPar
+\sphinxstylestrong{KEYRING} is Linux\sphinxhyphen{}specific, and uses the kernel keyring support
 to store credential data in unswappable kernel memory where only
 the current user should be able to access it.  The following
 residual forms are supported:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 KEYRING:name
 
 \item {} 
-KEYRING:process:name - process keyring
+\sphinxAtStartPar
+KEYRING:process:name \sphinxhyphen{} process keyring
 
 \item {} 
-KEYRING:thread:name -  thread keyring
+\sphinxAtStartPar
+KEYRING:thread:name \sphinxhyphen{}  thread keyring
 
 \end{itemize}
 
+\sphinxAtStartPar
 Starting with release 1.12 the \sphinxstyleemphasis{KEYRING} type supports collections.
 The following new residual forms were added:
 \begin{itemize}
 \item {} 
-KEYRING:session:name - session keyring
+\sphinxAtStartPar
+KEYRING:session:name \sphinxhyphen{} session keyring
 
 \item {} 
-KEYRING:user:name - user keyring
+\sphinxAtStartPar
+KEYRING:user:name \sphinxhyphen{} user keyring
 
 \item {} 
-KEYRING:persistent:uidnumber - persistent per-UID collection.
+\sphinxAtStartPar
+KEYRING:persistent:uidnumber \sphinxhyphen{} persistent per\sphinxhyphen{}UID collection.
 Unlike the user keyring, this collection survives after the user
 logs out, until the cache credentials expire.  This type of
 ccache requires support from the kernel; otherwise, it will fall
@@ -187,9 +218,11 @@ back to the user keyring.
 
 \end{itemize}
 
+\sphinxAtStartPar
 See {\hyperref[\detokenize{basic/ccache_def:col-ccache}]{\sphinxcrossref{\DUrole{std,std-ref}{Collections of caches}}}} for details.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{MEMORY} caches are for storage of credentials that don’t need to
 be made available outside of the current process.  For example, a
 memory ccache is used by \DUrole{xref,std,std-ref}{kadmin(1)} to store the
@@ -198,7 +231,8 @@ ccaches are faster than file ccaches and
 destroyed when the process exits.
 
 \item {} 
-\sphinxstylestrong{MSLSA} is a Windows-specific cache type that accesses the
+\sphinxAtStartPar
+\sphinxstylestrong{MSLSA} is a Windows\sphinxhyphen{}specific cache type that accesses the
 Windows credential store.
 
 \end{enumerate}
@@ -206,15 +240,17 @@ Windows credential store.
 
 \section{Collections of caches}
 \label{\detokenize{basic/ccache_def:collections-of-caches}}\label{\detokenize{basic/ccache_def:col-ccache}}
+\sphinxAtStartPar
 Some credential cache types can support collections of multiple
 caches.  One of the caches in the collection is designated as the
 \sphinxstyleemphasis{primary} and will be used when the collection is resolved as a cache.
-When a collection-enabled cache type is the default cache for a
+When a collection\sphinxhyphen{}enabled cache type is the default cache for a
 process, applications can search the specified collection for a
 specific client principal, and GSSAPI applications will automatically
 select between the caches in the collection based on criteria such as
 the target service realm.
 
+\sphinxAtStartPar
 Credential cache collections are new in release 1.10, with support
 from the \sphinxstylestrong{DIR} and \sphinxstylestrong{API} ccache types.  Starting in release 1.12,
 collections are also supported by the \sphinxstylestrong{KEYRING} ccache type.
@@ -224,9 +260,11 @@ Collections are supported by the \sphinx
 \subsection{Tool alterations to use cache collection}
 \label{\detokenize{basic/ccache_def:tool-alterations-to-use-cache-collection}}\begin{itemize}
 \item {} 
-\DUrole{xref,std,std-ref}{kdestroy(1)} \sphinxstyleemphasis{-A} will destroy all caches in the collection.
+\sphinxAtStartPar
+\DUrole{xref,std,std-ref}{kdestroy(1)} \sphinxstyleemphasis{\sphinxhyphen{}A} will destroy all caches in the collection.
 
 \item {} 
+\sphinxAtStartPar
 If the default cache type supports switching, \DUrole{xref,std,std-ref}{kinit(1)}
 \sphinxstyleemphasis{princname} will search the collection for a matching cache and
 store credentials there, or will store credentials in a new unique
@@ -234,61 +272,74 @@ cache of the default type if no existing
 exists.  Either way, kinit will switch to the selected cache.
 
 \item {} 
-\DUrole{xref,std,std-ref}{klist(1)} \sphinxstyleemphasis{-l} will list the caches in the collection.
+\sphinxAtStartPar
+\DUrole{xref,std,std-ref}{klist(1)} \sphinxstyleemphasis{\sphinxhyphen{}l} will list the caches in the collection.
 
 \item {} 
-\DUrole{xref,std,std-ref}{klist(1)} \sphinxstyleemphasis{-A} will show the content of all caches in the
+\sphinxAtStartPar
+\DUrole{xref,std,std-ref}{klist(1)} \sphinxstyleemphasis{\sphinxhyphen{}A} will show the content of all caches in the
 collection.
 
 \item {} 
-\DUrole{xref,std,std-ref}{kswitch(1)} \sphinxstyleemphasis{-p princname} will search the collection for a
+\sphinxAtStartPar
+\DUrole{xref,std,std-ref}{kswitch(1)} \sphinxstyleemphasis{\sphinxhyphen{}p princname} will search the collection for a
 matching cache and switch to it.
 
 \item {} 
-\DUrole{xref,std,std-ref}{kswitch(1)} \sphinxstyleemphasis{-c cachename} will switch to a specified cache.
+\sphinxAtStartPar
+\DUrole{xref,std,std-ref}{kswitch(1)} \sphinxstyleemphasis{\sphinxhyphen{}c cachename} will switch to a specified cache.
 
 \end{itemize}
 
 
 \section{Default ccache name}
 \label{\detokenize{basic/ccache_def:default-ccache-name}}
+\sphinxAtStartPar
 The default credential cache name is determined by the following, in
 descending order of priority:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{KRB5CCNAME} environment variable.  For example,
-\sphinxcode{KRB5CCNAME=DIR:/mydir/}.
+\sphinxcode{\sphinxupquote{KRB5CCNAME=DIR:/mydir/}}.
 
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{default\_ccache\_name} profile variable in \DUrole{xref,std,std-ref}{libdefaults}.
 
 \item {} 
+\sphinxAtStartPar
 The hardcoded default, \DUrole{xref,std,std-ref}{DEFCCNAME}.
 
 \end{enumerate}
 
 
 \chapter{keytab}
-\label{\detokenize{basic/keytab_def:keytab}}\label{\detokenize{basic/keytab_def::doc}}\label{\detokenize{basic/keytab_def:keytab-definition}}
-A keytab (short for “key table”) stores long-term keys for one or more
+\label{\detokenize{basic/keytab_def:keytab}}\label{\detokenize{basic/keytab_def:keytab-definition}}\label{\detokenize{basic/keytab_def::doc}}
+\sphinxAtStartPar
+A keytab (short for “key table”) stores long\sphinxhyphen{}term keys for one or more
 principals.  Keytabs are normally represented by files in a standard
 format, although in rare cases they can be represented in other ways.
 Keytabs are used most often to allow server applications to accept
 authentications from clients, but can also be used to obtain initial
 credentials for client applications.
 
-Keytabs are named using the format \sphinxstyleemphasis{type}\sphinxcode{:}\sphinxstyleemphasis{value}.  Usually
-\sphinxstyleemphasis{type} is \sphinxcode{FILE} and \sphinxstyleemphasis{value} is the absolute pathname of the file.
-The other possible value for \sphinxstyleemphasis{type} is \sphinxcode{MEMORY}, which indicates a
+\sphinxAtStartPar
+Keytabs are named using the format \sphinxstyleemphasis{type}\sphinxcode{\sphinxupquote{:}}\sphinxstyleemphasis{value}.  Usually
+\sphinxstyleemphasis{type} is \sphinxcode{\sphinxupquote{FILE}} and \sphinxstyleemphasis{value} is the absolute pathname of the file.
+The other possible value for \sphinxstyleemphasis{type} is \sphinxcode{\sphinxupquote{MEMORY}}, which indicates a
 temporary keytab stored in the memory of the current process.
 
+\sphinxAtStartPar
 A keytab contains one or more entries, where each entry consists of a
 timestamp (indicating when the entry was written to the keytab), a
 principal name, a key version number, an encryption type, and the
 encryption key itself.
 
+\sphinxAtStartPar
 A keytab can be displayed using the \DUrole{xref,std,std-ref}{klist(1)} command with the
-\sphinxcode{-k} option.  Keytabs can be created or appended to by extracting
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}k}} option.  Keytabs can be created or appended to by extracting
 keys from the KDC database using the \DUrole{xref,std,std-ref}{kadmin(1)} \DUrole{xref,std,std-ref}{ktadd}
 command.  Keytabs can be manipulated using the \DUrole{xref,std,std-ref}{ktutil(1)} and
 \DUrole{xref,std,std-ref}{k5srvutil(1)} commands.
@@ -296,17 +347,22 @@ command.  Keytabs can be manipulated usi
 
 \section{Default keytab}
 \label{\detokenize{basic/keytab_def:default-keytab}}
+\sphinxAtStartPar
 The default keytab is used by server applications if the application
 does not request a specific keytab.  The name of the default keytab is
 determined by the following, in decreasing order of preference:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{KRB5\_KTNAME} environment variable.
 
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{default\_keytab\_name} profile variable in \DUrole{xref,std,std-ref}{libdefaults}.
 
 \item {} 
+\sphinxAtStartPar
 The hardcoded default, \DUrole{xref,std,std-ref}{DEFKTNAME}.
 
 \end{enumerate}
@@ -314,6 +370,7 @@ The hardcoded default, \DUrole{xref,std,
 
 \section{Default client keytab}
 \label{\detokenize{basic/keytab_def:default-client-keytab}}
+\sphinxAtStartPar
 The default client keytab is used, if it is present and readable, to
 automatically obtain initial credentials for GSSAPI client
 applications.  The principal name of the first entry in the client
@@ -321,14 +378,18 @@ keytab is used by default when obtaining
 name of the default client keytab is determined by the following, in
 decreasing order of preference:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{KRB5\_CLIENT\_KTNAME} environment variable.
 
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{default\_client\_keytab\_name} profile variable in
 \DUrole{xref,std,std-ref}{libdefaults}.
 
 \item {} 
+\sphinxAtStartPar
 The hardcoded default, \DUrole{xref,std,std-ref}{DEFCKTNAME}.
 
 \end{enumerate}
@@ -336,11 +397,13 @@ The hardcoded default, \DUrole{xref,std,
 
 \chapter{replay cache}
 \label{\detokenize{basic/rcache_def:replay-cache}}\label{\detokenize{basic/rcache_def:rcache-definition}}\label{\detokenize{basic/rcache_def::doc}}
+\sphinxAtStartPar
 A replay cache (or “rcache”) keeps track of all authenticators
 recently presented to a service.  If a duplicate authentication
 request is detected in the replay cache, an error message is sent to
 the application program.
 
+\sphinxAtStartPar
 The replay cache interface, like the credential cache and
 {\hyperref[\detokenize{basic/keytab_def:keytab-definition}]{\sphinxcrossref{\DUrole{std,std-ref}{keytab}}}} interfaces, uses \sphinxtitleref{type:residual} strings to
 indicate the type of replay cache and any associated cache naming
@@ -349,12 +412,13 @@ data to use.
 
 \section{Background information}
 \label{\detokenize{basic/rcache_def:background-information}}
+\sphinxAtStartPar
 Some Kerberos or GSSAPI services use a simple authentication mechanism
 where a message is sent containing an authenticator, which establishes
 the encryption key that the client will use for talking to the
 service.  But nothing about that prevents an eavesdropper from
 recording the messages sent by the client, establishing a new
-connection, and re-sending or “replaying” the same messages; the
+connection, and re\sphinxhyphen{}sending or “replaying” the same messages; the
 replayed authenticator will establish the same encryption key for the
 new session, and the following messages will be decrypted and
 processed.  The attacker may not know what the messages say, and can’t
@@ -364,22 +428,25 @@ to cause the server to see the same mess
 example, if the legitimate client sends “delete first message in
 mailbox”, a replay from an attacker may delete another, different
 “first” message.  (Protocol design to guard against such problems has
-been discussed in \index{RFC!RFC 4120\#section-10}\sphinxhref{https://tools.ietf.org/html/rfc4120.html\#section-10}{\sphinxstylestrong{RFC 4120\#section-10}}.)
+been discussed in \index{RFC@\spxentry{RFC}!RFC 4120\#section\sphinxhyphen{}10@\spxentry{RFC 4120\#section\sphinxhyphen{}10}}\sphinxhref{https://tools.ietf.org/html/rfc4120.html\#section-10}{\sphinxstylestrong{RFC 4120\#section\sphinxhyphen{}10}}.)
 
+\sphinxAtStartPar
 Even if one protocol uses further protection to verify that the client
 side of the connection actually knows the encryption keys (and thus is
 presumably a legitimate user), if another service uses the same
 service principal name, it may be possible to record an authenticator
 used with the first protocol and “replay” it against the second.
 
+\sphinxAtStartPar
 The replay cache mitigates these attacks somewhat, by keeping track of
-authenticators that have been seen until their five-minute window
+authenticators that have been seen until their five\sphinxhyphen{}minute window
 expires.  Different authenticators generated by multiple connections
 from the same legitimate client will generally have different
 timestamps, and thus will not be considered the same.
 
+\sphinxAtStartPar
 This mechanism isn’t perfect.  If a message is sent to one application
-server but a man-in-the-middle attacker can prevent it from actually
+server but a man\sphinxhyphen{}in\sphinxhyphen{}the\sphinxhyphen{}middle attacker can prevent it from actually
 arriving at that server, the attacker could then use the authenticator
 (once!) against a different service on the same host.  This could be a
 problem if the message from the client included something more than
@@ -393,18 +460,23 @@ attacked.
 
 \section{Replay cache types}
 \label{\detokenize{basic/rcache_def:replay-cache-types}}
+\sphinxAtStartPar
 Unlike the credential cache and keytab interfaces, replay cache types
 are in lowercase.  The following types are defined:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{none} disables the replay cache.  The residual value is ignored.
 
 \item {} 
-\sphinxstylestrong{file2} (new in release 1.18) uses a hash-based format to store
+\sphinxAtStartPar
+\sphinxstylestrong{file2} (new in release 1.18) uses a hash\sphinxhyphen{}based format to store
 replay records.  The file may grow to accommodate hash collisions.
 The residual value is the filename.
 
 \item {} 
+\sphinxAtStartPar
 \sphinxstylestrong{dfl} is the default type if no environment variable or
 configuration specifies a different type.  It stores replay data in
 a file2 replay cache with a filename based on the effective uid.
@@ -412,62 +484,75 @@ The residual value is ignored.
 
 \end{enumerate}
 
+\sphinxAtStartPar
 For the dfl type, the location of the replay cache file is determined
 as follows:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 The directory is taken from the \sphinxstylestrong{KRB5RCACHEDIR} environment
 variable, or the \sphinxstylestrong{TMPDIR} environment variable, or a temporary
-directory determined at configuration time such as \sphinxcode{/var/tmp}, in
+directory determined at configuration time such as \sphinxcode{\sphinxupquote{/var/tmp}}, in
 descending order of preference.
 
 \item {} 
-The filename is \sphinxcode{krb5\_EUID.rcache2} where EUID is the effective
+\sphinxAtStartPar
+The filename is \sphinxcode{\sphinxupquote{krb5\_EUID.rcache2}} where EUID is the effective
 uid of the process.
 
 \item {} 
+\sphinxAtStartPar
 The file is opened without following symbolic links, and ownership
 of the file is verified to match the effective uid.
 
 \end{enumerate}
 
+\sphinxAtStartPar
 On Windows, the directory for the dfl type is the local appdata
 directory, unless overridden by the \sphinxstylestrong{KRB5RCACHEDIR} environment
-variable.  The filename on Windows is \sphinxcode{krb5.rcache2}, and the file
+variable.  The filename on Windows is \sphinxcode{\sphinxupquote{krb5.rcache2}}, and the file
 is opened normally.
 
 
 \section{Default replay cache name}
 \label{\detokenize{basic/rcache_def:default-replay-cache-name}}
+\sphinxAtStartPar
 The default replay cache name is determined by the following, in
 descending order of priority:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{KRB5RCACHENAME} environment variable (new in release 1.18).
 
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{KRB5RCACHETYPE} environment variable.  If this variable is
 set, the residual value is empty.
 
 \item {} 
+\sphinxAtStartPar
 The \sphinxstylestrong{default\_rcache\_name} profile variable in \DUrole{xref,std,std-ref}{libdefaults}
 (new in release 1.18).
 
 \item {} 
+\sphinxAtStartPar
 If none of the above are set, the default replay cache name is
-\sphinxcode{dfl:}.
+\sphinxcode{\sphinxupquote{dfl:}}.
 
 \end{enumerate}
 
 
 \chapter{stash file}
-\label{\detokenize{basic/stash_file_def:stash-file}}\label{\detokenize{basic/stash_file_def::doc}}\label{\detokenize{basic/stash_file_def:stash-definition}}
+\label{\detokenize{basic/stash_file_def:stash-file}}\label{\detokenize{basic/stash_file_def:stash-definition}}\label{\detokenize{basic/stash_file_def::doc}}
+\sphinxAtStartPar
 The stash file is a local copy of the master key that resides in
 encrypted form on the KDC’s local disk.  The stash file is used to
 authenticate the KDC to itself automatically before starting the
 \DUrole{xref,std,std-ref}{kadmind(8)} and \DUrole{xref,std,std-ref}{krb5kdc(8)} daemons (e.g., as part of the
 machine’s boot sequence).  The stash file, like the keytab file (see
-\DUrole{xref,std,std-ref}{keytab\_file}) is a potential point-of-entry for a break-in, and
+\DUrole{xref,std,std-ref}{keytab\_file}) is a potential point\sphinxhyphen{}of\sphinxhyphen{}entry for a break\sphinxhyphen{}in, and
 if compromised, would allow unrestricted access to the Kerberos
 database.  If you choose to install a stash file, it should be
 readable only by root, and should exist only on the KDC’s local disk.
@@ -476,16 +561,18 @@ access to the backup data is secured as
 master password itself.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 If you choose not to install a stash file, the KDC will prompt you for the master key each time it starts up.
 This means that the KDC will not be able to start automatically, such as after a system reboot.
 \end{sphinxadmonition}
 
 
 \chapter{Supported date and time formats}
-\label{\detokenize{basic/date_format:supported-date-and-time-formats}}\label{\detokenize{basic/date_format::doc}}\label{\detokenize{basic/date_format:datetime}}
+\label{\detokenize{basic/date_format:supported-date-and-time-formats}}\label{\detokenize{basic/date_format:datetime}}\label{\detokenize{basic/date_format::doc}}
 
 \section{Time duration}
-\label{\detokenize{basic/date_format:duration}}\label{\detokenize{basic/date_format:time-duration}}
+\label{\detokenize{basic/date_format:time-duration}}\label{\detokenize{basic/date_format:duration}}
+\sphinxAtStartPar
 This format is used to express a time duration in the Kerberos
 configuration files and user commands.  The allowed formats are:
 \begin{quote}
@@ -496,31 +583,43 @@ configuration files and user commands.
 \begin{tabulary}{\linewidth}[t]{|T|T|T|}
 \hline
 
+\sphinxAtStartPar
 Format
 &
+\sphinxAtStartPar
 Example
 &
+\sphinxAtStartPar
 Value
 \\
 \hline
+\sphinxAtStartPar
 h:m{[}:s{]}
 &
+\sphinxAtStartPar
 36:00
 &
+\sphinxAtStartPar
 36 hours
 \\
 \hline
+\sphinxAtStartPar
 NdNhNmNs
 &
+\sphinxAtStartPar
 8h30s
 &
+\sphinxAtStartPar
 8 hours 30 seconds
 \\
 \hline
+\sphinxAtStartPar
 N (number of seconds)
 &
+\sphinxAtStartPar
 3600
 &
+\sphinxAtStartPar
 1 hour
 \\
 \hline
@@ -529,16 +628,18 @@ N (number of seconds)
 \sphinxattableend\end{savenotes}
 \end{quote}
 
-Here \sphinxstyleemphasis{N} denotes a number, \sphinxstyleemphasis{d} - days, \sphinxstyleemphasis{h} - hours, \sphinxstyleemphasis{m} - minutes,
-\sphinxstyleemphasis{s} - seconds.
+\sphinxAtStartPar
+Here \sphinxstyleemphasis{N} denotes a number, \sphinxstyleemphasis{d} \sphinxhyphen{} days, \sphinxstyleemphasis{h} \sphinxhyphen{} hours, \sphinxstyleemphasis{m} \sphinxhyphen{} minutes,
+\sphinxstyleemphasis{s} \sphinxhyphen{} seconds.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The time interval should not exceed 2147483647 seconds.
 \end{sphinxadmonition}
 
+\sphinxAtStartPar
 Examples:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{Request} \PYG{n}{a} \PYG{n}{ticket} \PYG{n}{valid} \PYG{k}{for} \PYG{n}{one} \PYG{n}{hour}\PYG{p}{,} \PYG{n}{five} \PYG{n}{hours}\PYG{p}{,} \PYG{l+m+mi}{30} \PYG{n}{minutes}
 \PYG{o+ow}{and} \PYG{l+m+mi}{10} \PYG{n}{days} \PYG{n}{respectively}\PYG{p}{:}
@@ -552,8 +653,9 @@ Examples:
 
 \section{getdate time}
 \label{\detokenize{basic/date_format:getdate-time}}\label{\detokenize{basic/date_format:getdate}}
-Some of the kadmin and kdb5\_util commands take a date-time in a
-human-readable format.  Some of the acceptable date-time
+\sphinxAtStartPar
+Some of the kadmin and kdb5\_util commands take a date\sphinxhyphen{}time in a
+human\sphinxhyphen{}readable format.  Some of the acceptable date\sphinxhyphen{}time
 strings are:
 \begin{quote}
 
@@ -562,72 +664,94 @@ strings are:
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|T|}
 \hline
-\sphinxstylethead{\sphinxstyletheadfamily \unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+\sphinxstyletheadfamily &\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Format
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Example
-\unskip}\relax \\
+\\
 \hline\sphinxmultirow{3}{4}{%
 \begin{varwidth}[t]{\sphinxcolwidth{1}{3}}
+\sphinxAtStartPar
 Date
 \par
 \vskip-\baselineskip\vbox{\hbox{\strut}}\end{varwidth}%
 }%
 &
+\sphinxAtStartPar
 mm/dd/yy
 &
+\sphinxAtStartPar
 07/27/12
 \\
 \cline{2-3}\sphinxtablestrut{4}&
+\sphinxAtStartPar
 month dd, yyyy
 &
+\sphinxAtStartPar
 Jul 27, 2012
 \\
 \cline{2-3}\sphinxtablestrut{4}&
-yyyy-mm-dd
+\sphinxAtStartPar
+yyyy\sphinxhyphen{}mm\sphinxhyphen{}dd
 &
-2012-07-27
+\sphinxAtStartPar
+2012\sphinxhyphen{}07\sphinxhyphen{}27
 \\
 \hline\sphinxmultirow{2}{11}{%
 \begin{varwidth}[t]{\sphinxcolwidth{1}{3}}
+\sphinxAtStartPar
 Absolute
 time
 \par
 \vskip-\baselineskip\vbox{\hbox{\strut}}\end{varwidth}%
 }%
 &
+\sphinxAtStartPar
 HH:mm{[}:ss{]}pp
 &
+\sphinxAtStartPar
 08:30 PM
 \\
 \cline{2-3}\sphinxtablestrut{11}&
+\sphinxAtStartPar
 hh:mm{[}:ss{]}
 &
+\sphinxAtStartPar
 20:30
 \\
 \hline
+\sphinxAtStartPar
 Relative
 time
 &
+\sphinxAtStartPar
 N tt
 &
+\sphinxAtStartPar
 30 sec
 \\
 \hline\sphinxmultirow{2}{19}{%
 \begin{varwidth}[t]{\sphinxcolwidth{1}{3}}
+\sphinxAtStartPar
 Time zone
 \par
 \vskip-\baselineskip\vbox{\hbox{\strut}}\end{varwidth}%
 }%
 &
+\sphinxAtStartPar
 Z
 &
+\sphinxAtStartPar
 EST
 \\
 \cline{2-3}\sphinxtablestrut{19}&
+\sphinxAtStartPar
 z
 &
--0400
+\sphinxAtStartPar
+\sphinxhyphen{}0400
 \\
 \hline
 \end{tabulary}
@@ -635,11 +759,12 @@ z
 \sphinxattableend\end{savenotes}
 \end{quote}
 
+\sphinxAtStartPar
 (See {\hyperref[\detokenize{basic/date_format:abbreviation}]{\sphinxcrossref{\DUrole{std,std-ref}{Abbreviations used in this document}}}}.)
 
+\sphinxAtStartPar
 Examples:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{Create} \PYG{n}{a} \PYG{n}{principal} \PYG{n}{that} \PYG{n}{expires} \PYG{n}{on} \PYG{n}{the} \PYG{n}{date} \PYG{n}{indicated}\PYG{p}{:}
     \PYG{n}{addprinc} \PYG{n}{test1} \PYG{o}{\PYGZhy{}}\PYG{n}{expire} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{3/27/12 10:00:07 EST}\PYG{l+s+s2}{\PYGZdq{}}
@@ -651,8 +776,9 @@ Examples:
 
 
 \section{Absolute time}
-\label{\detokenize{basic/date_format:abstime}}\label{\detokenize{basic/date_format:absolute-time}}
-This rarely used date-time format can be noted in one of the
+\label{\detokenize{basic/date_format:absolute-time}}\label{\detokenize{basic/date_format:abstime}}
+\sphinxAtStartPar
+This rarely used date\sphinxhyphen{}time format can be noted in one of the
 following ways:
 \begin{quote}
 
@@ -661,19 +787,25 @@ following ways:
 \centering
 \begin{tabulary}{\linewidth}[t]{|T|T|T|}
 \hline
-\sphinxstylethead{\sphinxstyletheadfamily 
+\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Format
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Example
-\unskip}\relax &\sphinxstylethead{\sphinxstyletheadfamily 
+&\sphinxstyletheadfamily 
+\sphinxAtStartPar
 Value
-\unskip}\relax \\
+\\
 \hline
+\sphinxAtStartPar
 yyyymmddhhmmss
 &
+\sphinxAtStartPar
 20141231235900
 &\sphinxmultirow{5}{6}{%
 \begin{varwidth}[t]{\sphinxcolwidth{1}{3}}
+\sphinxAtStartPar
 One minute
 before 2015
 \par
@@ -681,31 +813,42 @@ before 2015
 }%
 \\
 \cline{1-2}
+\sphinxAtStartPar
 yyyy.mm.dd.hh.mm.ss
 &
+\sphinxAtStartPar
 2014.12.31.23.59.00
 &\sphinxtablestrut{6}\\
 \cline{1-2}
+\sphinxAtStartPar
 yymmddhhmmss
 &
+\sphinxAtStartPar
 141231235900
 &\sphinxtablestrut{6}\\
 \cline{1-2}
+\sphinxAtStartPar
 yy.mm.dd.hh.mm.ss
 &
+\sphinxAtStartPar
 14.12.31.23.59.00
 &\sphinxtablestrut{6}\\
 \cline{1-2}
-dd-month-yyyy:hh:mm:ss
+\sphinxAtStartPar
+dd\sphinxhyphen{}month\sphinxhyphen{}yyyy:hh:mm:ss
 &
-31-Dec-2014:23:59:00
+\sphinxAtStartPar
+31\sphinxhyphen{}Dec\sphinxhyphen{}2014:23:59:00
 &\sphinxtablestrut{6}\\
 \hline
+\sphinxAtStartPar
 hh:mm:ss
 &
+\sphinxAtStartPar
 20:00:00
 &\sphinxmultirow{2}{17}{%
 \begin{varwidth}[t]{\sphinxcolwidth{1}{3}}
+\sphinxAtStartPar
 8 o’clock in
 the evening
 \par
@@ -713,8 +856,10 @@ the evening
 }%
 \\
 \cline{1-2}
+\sphinxAtStartPar
 hhmmss
 &
+\sphinxAtStartPar
 200000
 &\sphinxtablestrut{17}\\
 \hline
@@ -723,11 +868,12 @@ hhmmss
 \sphinxattableend\end{savenotes}
 \end{quote}
 
+\sphinxAtStartPar
 (See {\hyperref[\detokenize{basic/date_format:abbreviation}]{\sphinxcrossref{\DUrole{std,std-ref}{Abbreviations used in this document}}}}.)
 
+\sphinxAtStartPar
 Example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{Set} \PYG{n}{the} \PYG{n}{default} \PYG{n}{expiration} \PYG{n}{date} \PYG{n}{to} \PYG{n}{July} \PYG{l+m+mi}{27}\PYG{p}{,} \PYG{l+m+mi}{2012} \PYG{n}{at} \PYG{l+m+mi}{20}\PYG{p}{:}\PYG{l+m+mi}{30}
 \PYG{n}{default\PYGZus{}principal\PYGZus{}expiration} \PYG{o}{=} \PYG{l+m+mi}{20120727203000}
@@ -735,16 +881,16 @@ Example:
 
 
 \subsection{Abbreviations used in this document}
-\label{\detokenize{basic/date_format:abbreviation}}\label{\detokenize{basic/date_format:abbreviations-used-in-this-document}}
+\label{\detokenize{basic/date_format:abbreviations-used-in-this-document}}\label{\detokenize{basic/date_format:abbreviation}}
 \begin{DUlineblock}{0em}
 \item[] \sphinxstyleemphasis{month}  : locale’s month name or its abbreviation;
-\item[] \sphinxstyleemphasis{dd}   : day of month (01-31);
-\item[] \sphinxstyleemphasis{HH}   : hours (00-12);
-\item[] \sphinxstyleemphasis{hh}   : hours (00-23);
-\item[] \sphinxstyleemphasis{mm}   : in time - minutes (00-59); in date - month (01-12);
+\item[] \sphinxstyleemphasis{dd}   : day of month (01\sphinxhyphen{}31);
+\item[] \sphinxstyleemphasis{HH}   : hours (00\sphinxhyphen{}12);
+\item[] \sphinxstyleemphasis{hh}   : hours (00\sphinxhyphen{}23);
+\item[] \sphinxstyleemphasis{mm}   : in time \sphinxhyphen{} minutes (00\sphinxhyphen{}59); in date \sphinxhyphen{} month (01\sphinxhyphen{}12);
 \item[] \sphinxstyleemphasis{N}    : number;
 \item[] \sphinxstyleemphasis{pp}   : AM or PM;
-\item[] \sphinxstyleemphasis{ss}   : seconds  (00-60);
+\item[] \sphinxstyleemphasis{ss}   : seconds  (00\sphinxhyphen{}60);
 \item[] \sphinxstyleemphasis{tt}   : time units (hours, minutes, min, seconds, sec);
 \item[] \sphinxstyleemphasis{yyyy} : year;
 \item[] \sphinxstyleemphasis{yy}   : last two digits of the year;
@@ -754,11 +900,13 @@ Example:
 
 \begin{sphinxadmonition}{note}{Note:}\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 If the date specification contains spaces, you may need to
 enclose it in double quotes;
 
 \item {} 
-All keywords are case-insensitive.
+\sphinxAtStartPar
+All keywords are case\sphinxhyphen{}insensitive.
 
 \end{itemize}
 \end{sphinxadmonition}
Binary files 1.21.2-1/doc/pdf/build.pdf and 1.21.3-1/doc/pdf/build.pdf differ
diff -pruN 1.21.2-1/doc/pdf/build.tex 1.21.3-1/doc/pdf/build.tex
--- 1.21.2-1/doc/pdf/build.tex	2023-08-14 16:25:08.000000000 +0000
+++ 1.21.3-1/doc/pdf/build.tex	2024-06-26 20:01:51.000000000 +0000
@@ -4,35 +4,48 @@
 \ifdefined\pdfpxdimen
    \let\sphinxpxdimen\pdfpxdimen\else\newdimen\sphinxpxdimen
 \fi \sphinxpxdimen=.75bp\relax
+\ifdefined\pdfimageresolution
+    \pdfimageresolution= \numexpr \dimexpr1in\relax/\sphinxpxdimen\relax
+\fi
+%% let collapsible pdf bookmarks panel have high depth per default
+\PassOptionsToPackage{bookmarksdepth=5}{hyperref}
 
+\PassOptionsToPackage{warn}{textcomp}
 \usepackage[utf8]{inputenc}
 \ifdefined\DeclareUnicodeCharacter
- \ifdefined\DeclareUnicodeCharacterAsOptional
-  \DeclareUnicodeCharacter{"00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{"2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{"2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{"2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{"251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{"2572}{\textbackslash}
- \else
-  \DeclareUnicodeCharacter{00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{2572}{\textbackslash}
- \fi
+% support both utf8 and utf8x syntaxes
+  \ifdefined\DeclareUnicodeCharacterAsOptional
+    \def\sphinxDUC#1{\DeclareUnicodeCharacter{"#1}}
+  \else
+    \let\sphinxDUC\DeclareUnicodeCharacter
+  \fi
+  \sphinxDUC{00A0}{\nobreakspace}
+  \sphinxDUC{2500}{\sphinxunichar{2500}}
+  \sphinxDUC{2502}{\sphinxunichar{2502}}
+  \sphinxDUC{2514}{\sphinxunichar{2514}}
+  \sphinxDUC{251C}{\sphinxunichar{251C}}
+  \sphinxDUC{2572}{\textbackslash}
 \fi
 \usepackage{cmap}
 \usepackage[T1]{fontenc}
 \usepackage{amsmath,amssymb,amstext}
 \usepackage{babel}
-\usepackage{times}
+
+
+
+\usepackage{tgtermes}
+\usepackage{tgheros}
+\renewcommand{\ttdefault}{txtt}
+
+
+
 \usepackage[Bjarne]{fncychap}
-\usepackage[dontkeepoldnames]{sphinx}
+\usepackage{sphinx}
 
+\fvset{fontsize=auto}
 \usepackage{geometry}
 
+
 % Include hyperref last.
 \usepackage{hyperref}
 % Fix anchor placement for figures with captions.
@@ -40,50 +53,49 @@
 % Set up styles of URL: it should be placed after hyperref.
 \urlstyle{same}
 
-\addto\captionsenglish{\renewcommand{\figurename}{Fig.}}
-\addto\captionsenglish{\renewcommand{\tablename}{Table}}
-\addto\captionsenglish{\renewcommand{\literalblockname}{Listing}}
-
-\addto\captionsenglish{\renewcommand{\literalblockcontinuedname}{continued from previous page}}
-\addto\captionsenglish{\renewcommand{\literalblockcontinuesname}{continues on next page}}
-
-\addto\extrasenglish{\def\pageautorefname{page}}
 
+\usepackage{sphinxmessages}
 \setcounter{tocdepth}{0}
 
 
 
 \title{Building MIT Kerberos}
 \date{ }
-\release{1.21.2}
+\release{1.21.3}
 \author{MIT}
 \newcommand{\sphinxlogo}{\vbox{}}
 \renewcommand{\releasename}{Release}
 \makeindex
-
 \begin{document}
 
-\maketitle
+\pagestyle{empty}
+\sphinxmaketitle
+\pagestyle{plain}
 \sphinxtableofcontents
+\pagestyle{normal}
 \phantomsection\label{\detokenize{build/index::doc}}
 
 
+\sphinxAtStartPar
 This section details how to build and install MIT Kerberos software
 from the source.
 
 
 \chapter{Prerequisites}
-\label{\detokenize{build/index:building-kerberos-v5}}\label{\detokenize{build/index:prerequisites}}\label{\detokenize{build/index:build-v5}}
-In order to build Kerberos V5, you will need approximately 60-70
+\label{\detokenize{build/index:prerequisites}}
+\sphinxAtStartPar
+In order to build Kerberos V5, you will need approximately 60\sphinxhyphen{}70
 megabytes of disk space.  The exact amount will vary depending on the
 platform and whether the distribution is compiled with debugging
 symbol tables or not.
 
+\sphinxAtStartPar
 Your C compiler must conform to ANSI C (ISO/IEC 9899:1990, “c89”).
 Some operating systems do not have an ANSI C compiler, or their
-default compiler requires extra command-line options to enable ANSI C
+default compiler requires extra command\sphinxhyphen{}line options to enable ANSI C
 conformance.
 
+\sphinxAtStartPar
 If you wish to keep a separate build tree, which contains the compiled
 *.o file and executables, separate from your source tree, you will
 need a make program which supports \sphinxstylestrong{VPATH}, or you will need to use
@@ -93,30 +105,33 @@ tree.
 
 \chapter{Obtaining the software}
 \label{\detokenize{build/index:obtaining-the-software}}
+\sphinxAtStartPar
 The source code can be obtained from MIT Kerberos Distribution page,
 at \sphinxurl{https://kerberos.org/dist/index.html}.
 The MIT Kerberos distribution comes in an archive file, generally
-named krb5-VERSION-signed.tar, where \sphinxstyleemphasis{VERSION} is a placeholder for
+named krb5\sphinxhyphen{}VERSION\sphinxhyphen{}signed.tar, where \sphinxstyleemphasis{VERSION} is a placeholder for
 the major and minor versions of MIT Kerberos.  (For example, MIT
 Kerberos 1.9 has major version “1” and minor version “9”.)
 
-The krb5-VERSION-signed.tar contains a compressed tar file consisting
+\sphinxAtStartPar
+The krb5\sphinxhyphen{}VERSION\sphinxhyphen{}signed.tar contains a compressed tar file consisting
 of the sources for all of Kerberos (generally named
-krb5-VERSION.tar.gz) and a PGP signature file for this source tree
-(generally named krb5-VERSION.tar.gz.asc).  MIT highly recommends that
+krb5\sphinxhyphen{}VERSION.tar.gz) and a PGP signature file for this source tree
+(generally named krb5\sphinxhyphen{}VERSION.tar.gz.asc).  MIT highly recommends that
 you verify the integrity of the source code using this signature,
 e.g., by running:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{tar} \PYG{n}{xf} \PYG{n}{krb5}\PYG{o}{\PYGZhy{}}\PYG{n}{VERSION}\PYG{o}{\PYGZhy{}}\PYG{n}{signed}\PYG{o}{.}\PYG{n}{tar}
 \PYG{n}{gpg} \PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}}\PYG{n}{verify} \PYG{n}{krb5}\PYG{o}{\PYGZhy{}}\PYG{n}{VERSION}\PYG{o}{.}\PYG{n}{tar}\PYG{o}{.}\PYG{n}{gz}\PYG{o}{.}\PYG{n}{asc}
 \end{sphinxVerbatim}
 
-Unpack krb5-VERSION.tar.gz in some directory. In this section we will assume
+\sphinxAtStartPar
+Unpack krb5\sphinxhyphen{}VERSION.tar.gz in some directory. In this section we will assume
 that you have chosen the top directory of the distribution the directory
-\sphinxcode{/u1/krb5-VERSION}.
+\sphinxcode{\sphinxupquote{/u1/krb5\sphinxhyphen{}VERSION}}.
 
+\sphinxAtStartPar
 Review the README file for the license, copyright and other sprecific to the
 distribution information.
 
@@ -125,7 +140,8 @@ distribution information.
 \label{\detokenize{build/index:contents}}
 
 \section{Organization of the source directory}
-\label{\detokenize{build/directory_org::doc}}\label{\detokenize{build/directory_org:organization-of-the-source-directory}}
+\label{\detokenize{build/directory_org:organization-of-the-source-directory}}\label{\detokenize{build/directory_org::doc}}
+\sphinxAtStartPar
 Below is a brief overview of the organization of the complete source
 directory.  More detailed descriptions follow.
 
@@ -135,83 +151,115 @@ directory.  More detailed descriptions f
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
+\sphinxAtStartPar
 appl
 &
+\sphinxAtStartPar
 Kerberos application client and server programs
 \\
 \hline
+\sphinxAtStartPar
 ccapi
 &
+\sphinxAtStartPar
 Credential cache services
 \\
 \hline
+\sphinxAtStartPar
 clients
 &
+\sphinxAtStartPar
 Kerberos V5 user programs (See \DUrole{xref,std,std-ref}{user\_commands})
 \\
 \hline
+\sphinxAtStartPar
 config
 &
+\sphinxAtStartPar
 Configure scripts
 \\
 \hline
-config-files
+\sphinxAtStartPar
+config\sphinxhyphen{}files
 &
+\sphinxAtStartPar
 Sample Kerberos configuration files
 \\
 \hline
+\sphinxAtStartPar
 include
 &
+\sphinxAtStartPar
 include files needed to build the Kerberos system
 \\
 \hline
+\sphinxAtStartPar
 kadmin
 &
+\sphinxAtStartPar
 Administrative interface to the Kerberos database: \DUrole{xref,std,std-ref}{kadmin(1)}, \DUrole{xref,std,std-ref}{kdb5\_util(8)}, \DUrole{xref,std,std-ref}{ktutil(1)}.
 \\
 \hline
+\sphinxAtStartPar
 kdc
 &
+\sphinxAtStartPar
 Kerberos V5 Authentication Service and Key Distribution Center
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{build/directory_org:lib}]{\sphinxcrossref{lib}}}
 &
+\sphinxAtStartPar
 Libraries for use with/by Kerberos V5
 \\
 \hline
+\sphinxAtStartPar
 plugins
 &
+\sphinxAtStartPar
 Kerberos plugins directory
 \\
 \hline
+\sphinxAtStartPar
 po
 &
+\sphinxAtStartPar
 Localization infrastructure
 \\
 \hline
+\sphinxAtStartPar
 prototype
 &
+\sphinxAtStartPar
 Templates files containing the MIT copyright message and a placeholder for the title and description of the file.
 \\
 \hline
+\sphinxAtStartPar
 kprop
 &
+\sphinxAtStartPar
 Utilities for propagating the database to replica KDCs \DUrole{xref,std,std-ref}{kprop(8)} and \DUrole{xref,std,std-ref}{kpropd(8)}
 \\
 \hline
+\sphinxAtStartPar
 tests
 &
+\sphinxAtStartPar
 Test suite
 \\
 \hline
+\sphinxAtStartPar
 {\hyperref[\detokenize{build/directory_org:util}]{\sphinxcrossref{util}}}
 &
+\sphinxAtStartPar
 Various utilities for building/configuring the code, sending bug reports, etc.
 \\
 \hline
+\sphinxAtStartPar
 windows
 &
+\sphinxAtStartPar
 Source code for building Kerberos V5 on Windows (see windows/README)
 \\
 \hline
@@ -222,33 +270,41 @@ Source code for building Kerberos V5 on
 
 \subsection{lib}
 \label{\detokenize{build/directory_org:lib}}\label{\detokenize{build/directory_org:id1}}
+\sphinxAtStartPar
 The lib directory contain several subdirectories as well as some
 definition and glue files.
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 The apputils directory contains the code for the generic network
 servicing.
 
 \item {} 
+\sphinxAtStartPar
 The crypto subdirectory contains the Kerberos V5 encryption
 library.
 
 \item {} 
+\sphinxAtStartPar
 The gssapi library contains the Generic Security Services API,
-which is a library of commands to be used in secure client-server
+which is a library of commands to be used in secure client\sphinxhyphen{}server
 communication.
 
 \item {} 
+\sphinxAtStartPar
 The kadm5 directory contains the libraries for the KADM5
 administration utilities.
 
 \item {} 
+\sphinxAtStartPar
 The Kerberos 5 database libraries are contained in kdb.
 
 \item {} 
+\sphinxAtStartPar
 The krb5 directory contains Kerberos 5 API.
 
 \item {} 
+\sphinxAtStartPar
 The rpc directory contains the API for the Kerberos Remote
 Procedure Call protocol.
 
@@ -259,49 +315,62 @@ Procedure Call protocol.
 \label{\detokenize{build/directory_org:util}}\label{\detokenize{build/directory_org:id2}}\begin{description}
 \item[{The util directory contains several utility programs and libraries.}] \leavevmode\begin{itemize}
 \item {} 
+\sphinxAtStartPar
 the programs used to configure and build the code, such as
 autoconf, lndir, kbuild, reconf, and makedepend, are in this
 directory.
 
 \item {} 
+\sphinxAtStartPar
 the profile directory contains most of the functions which parse
 the Kerberos configuration files (krb5.conf and kdc.conf).
 
 \item {} 
+\sphinxAtStartPar
 the Kerberos error table library and utilities (et);
 
 \item {} 
-the Sub-system library and utilities (ss);
+\sphinxAtStartPar
+the Sub\sphinxhyphen{}system library and utilities (ss);
 
 \item {} 
+\sphinxAtStartPar
 database utilities (db2);
 
 \item {} 
-pseudo-terminal utilities (pty);
+\sphinxAtStartPar
+pseudo\sphinxhyphen{}terminal utilities (pty);
 
 \item {} 
-bug-reporting program send-pr;
+\sphinxAtStartPar
+bug\sphinxhyphen{}reporting program send\sphinxhyphen{}pr;
 
 \item {} 
+\sphinxAtStartPar
 a generic support library support used by several of our other
 libraries;
 
 \item {} 
+\sphinxAtStartPar
 the build infrastructure for building lightweight Kerberos client
-(collected-client-lib)
+(collected\sphinxhyphen{}client\sphinxhyphen{}lib)
 
 \item {} 
+\sphinxAtStartPar
 the tool for validating Kerberos configuration files
 (confvalidator);
 
 \item {} 
+\sphinxAtStartPar
 the toolkit for kernel integrators for building krb5 code subsets
-(gss-kernel-lib);
+(gss\sphinxhyphen{}kernel\sphinxhyphen{}lib);
 
 \item {} 
+\sphinxAtStartPar
 source code for building Kerberos V5 on MacOS (mac)
 
 \item {} 
+\sphinxAtStartPar
 Windows getopt operations (windows)
 
 \end{itemize}
@@ -310,10 +379,11 @@ Windows getopt operations (windows)
 
 
 \section{Doing the build}
-\label{\detokenize{build/doing_build::doc}}\label{\detokenize{build/doing_build:doing-the-build}}
+\label{\detokenize{build/doing_build:doing-the-build}}\label{\detokenize{build/doing_build::doc}}
 
 \subsection{Building within a single tree}
-\label{\detokenize{build/doing_build:do-build}}\label{\detokenize{build/doing_build:building-within-a-single-tree}}
+\label{\detokenize{build/doing_build:building-within-a-single-tree}}\label{\detokenize{build/doing_build:do-build}}
+\sphinxAtStartPar
 If you only need to build Kerberos for one platform, using a single
 directory tree which contains both the source files and the object
 files is the simplest.  However, if you need to maintain Kerberos for
@@ -322,31 +392,33 @@ build trees for each platform.  We recom
 Incompatibilities, for notes that we have on particular operating
 systems.
 
+\sphinxAtStartPar
 If you don’t want separate build trees for each architecture, then use
 the following abbreviated procedure:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{cd} \PYG{o}{/}\PYG{n}{u1}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{\PYGZhy{}}\PYG{n}{VERSION}\PYG{o}{/}\PYG{n}{src}
 \PYG{o}{.}\PYG{o}{/}\PYG{n}{configure}
 \PYG{n}{make}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 That’s it!
 
 
 \subsection{Building with separate build directories}
 \label{\detokenize{build/doing_build:building-with-separate-build-directories}}
+\sphinxAtStartPar
 If you wish to keep separate build directories for each platform, you
 can do so using the following procedure.  (Note, this requires that
 your make program support VPATH.  GNU’s make will provide this
 functionality, for example.)  If your make program does not support
 this, see the next section.
 
-For example, if you wish to store the binaries in \sphinxcode{tmpbuild} build
+\sphinxAtStartPar
+For example, if you wish to store the binaries in \sphinxcode{\sphinxupquote{tmpbuild}} build
 directory you might use the following procedure:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{mkdir} \PYG{o}{/}\PYG{n}{u1}\PYG{o}{/}\PYG{n}{tmpbuild}
 \PYG{n}{cd} \PYG{o}{/}\PYG{n}{u1}\PYG{o}{/}\PYG{n}{tmpbuild}
@@ -357,23 +429,25 @@ directory you might use the following pr
 
 \subsection{Building using lndir}
 \label{\detokenize{build/doing_build:building-using-lndir}}
+\sphinxAtStartPar
 If you wish to keep separate build directories for each platform, and
 you do not have access to a make program which supports VPATH, all is
 not lost.  You can use the lndir program to create symbolic link trees
 in your build directory.
 
+\sphinxAtStartPar
 For example, if you wish to create a build directory for solaris
 binaries you might use the following procedure:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 mkdir /u1/krb5\PYGZhy{}VERSION/solaris
 cd /u1/krb5\PYGZhy{}VERSION/solaris
-/u1/krb5\PYGZhy{}VERSION/src/util/lndir {}`pwd{}`/../src
+/u1/krb5\PYGZhy{}VERSION/src/util/lndir `pwd`/../src
 ./configure
 make
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 You must give an absolute pathname to lndir because it has a bug that
 makes it fail for relative pathnames.  Note that this version differs
 from the latest version as distributed and installed by the
@@ -382,28 +456,30 @@ XConsortium with X11R6.  Either version
 
 \subsection{Installing the binaries}
 \label{\detokenize{build/doing_build:installing-the-binaries}}
+\sphinxAtStartPar
 Once you have built Kerberos, you should install the binaries. You can
 do this by running:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{make} \PYG{n}{install}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If you want to install the binaries into a destination directory that
 is not their final destination, which may be convenient if you want to
 build a binary distribution to be deployed on multiple hosts, you may
 use:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{make} \PYG{n}{install} \PYG{n}{DESTDIR}\PYG{o}{=}\PYG{o}{/}\PYG{n}{path}\PYG{o}{/}\PYG{n}{to}\PYG{o}{/}\PYG{n}{destdir}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This will install the binaries under \sphinxstyleemphasis{DESTDIR/PREFIX}, e.g., the user
 programs will install into \sphinxstyleemphasis{DESTDIR/PREFIX/bin}, the libraries into
 \sphinxstyleemphasis{DESTDIR/PREFIX/lib}, etc.  \sphinxstyleemphasis{DESTDIR} must be an absolute path.
 
+\sphinxAtStartPar
 Some implementations of make allow multiple commands to be run in
 parallel, for faster builds.  We test our Makefiles in parallel builds
 with GNU make only; they may not be compatible with other parallel
@@ -412,27 +488,29 @@ build implementations.
 
 \subsection{Testing the build}
 \label{\detokenize{build/doing_build:testing-the-build}}
-The Kerberos V5 distribution comes with built-in regression tests.  To
-run them, simply type the following command while in the top-level
+\sphinxAtStartPar
+The Kerberos V5 distribution comes with built\sphinxhyphen{}in regression tests.  To
+run them, simply type the following command while in the top\sphinxhyphen{}level
 build directory (i.e., the directory where you sent typed make to
 start building Kerberos; see {\hyperref[\detokenize{build/doing_build:do-build}]{\sphinxcrossref{\DUrole{std,std-ref}{Building within a single tree}}}}):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{make} \PYG{n}{check}
 \end{sphinxVerbatim}
 
-On some operating systems, you have to run \sphinxcode{make install} before
-running \sphinxcode{make check}, or the test suite will pick up installed
+\sphinxAtStartPar
+On some operating systems, you have to run \sphinxcode{\sphinxupquote{make install}} before
+running \sphinxcode{\sphinxupquote{make check}}, or the test suite will pick up installed
 versions of Kerberos libraries rather than the newly built ones.  You
 can install into a prefix that isn’t in the system library search
 path, though.  Alternatively, you can configure with
-\sphinxstylestrong{-}\sphinxstylestrong{-disable-rpath}, which renders the build tree less suitable
+\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}disable\sphinxhyphen{}rpath}, which renders the build tree less suitable
 for installation, but allows testing without interference from
 previously installed libraries.
 
+\sphinxAtStartPar
 There are additional regression tests available, which are not run
-by \sphinxcode{make check}.  These tests require manual setup and teardown of
+by \sphinxcode{\sphinxupquote{make check}}.  These tests require manual setup and teardown of
 support infrastructure which is not easily automated, or require
 excessive resources for ordinary use.  The procedure for running
 the manual tests is documented at
@@ -442,13 +520,15 @@ the manual tests is documented at
 \subsection{Cleaning up the build}
 \label{\detokenize{build/doing_build:cleaning-up-the-build}}\begin{itemize}
 \item {} 
-Use \sphinxcode{make clean} to remove all files generated by running make
+\sphinxAtStartPar
+Use \sphinxcode{\sphinxupquote{make clean}} to remove all files generated by running make
 command.
 
 \item {} 
-Use \sphinxcode{make distclean} to remove all files generated by running
-./configure script.  After running \sphinxcode{make distclean} your source
-tree (ideally) should look like the raw (just un-tarred) source
+\sphinxAtStartPar
+Use \sphinxcode{\sphinxupquote{make distclean}} to remove all files generated by running
+./configure script.  After running \sphinxcode{\sphinxupquote{make distclean}} your source
+tree (ideally) should look like the raw (just un\sphinxhyphen{}tarred) source
 tree.
 
 \end{itemize}
@@ -456,22 +536,25 @@ tree.
 
 \subsection{Using autoconf}
 \label{\detokenize{build/doing_build:using-autoconf}}
+\sphinxAtStartPar
 (If you are not a developer, you can ignore this section.)
 
+\sphinxAtStartPar
 In the Kerberos V5 source directory, there is a configure script which
 automatically determines the compilation environment and creates the
 proper Makefiles for a particular platform.  This configure script is
 generated using autoconf, which you should already have installed if
-you will be making changes to \sphinxcode{src/configure.in}.
+you will be making changes to \sphinxcode{\sphinxupquote{src/configure.in}}.
 
+\sphinxAtStartPar
 Normal users will not need to worry about running autoconf; the
 distribution comes with the configure script already prebuilt.
 
-The autoconf package comes with a script called \sphinxcode{autoreconf} that
-will automatically run \sphinxcode{autoconf} and \sphinxcode{autoheader} as needed.  You
-should run \sphinxcode{autoreconf} from the top source directory, e.g.:
+\sphinxAtStartPar
+The autoconf package comes with a script called \sphinxcode{\sphinxupquote{autoreconf}} that
+will automatically run \sphinxcode{\sphinxupquote{autoconf}} and \sphinxcode{\sphinxupquote{autoheader}} as needed.  You
+should run \sphinxcode{\sphinxupquote{autoreconf}} from the top source directory, e.g.:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{cd} \PYG{o}{/}\PYG{n}{u1}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{\PYGZhy{}}\PYG{n}{VERSION}\PYG{o}{/}\PYG{n}{src}
 \PYG{n}{autoreconf} \PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}}\PYG{n}{verbose}
@@ -479,81 +562,94 @@ should run \sphinxcode{autoreconf} from
 
 
 \section{Options to \sphinxstyleemphasis{configure}}
-\label{\detokenize{build/options2configure:options2configure}}\label{\detokenize{build/options2configure::doc}}\label{\detokenize{build/options2configure:options-to-configure}}
+\label{\detokenize{build/options2configure:options-to-configure}}\label{\detokenize{build/options2configure:options2configure}}\label{\detokenize{build/options2configure::doc}}
+\sphinxAtStartPar
 There are a number of options to configure which you can use to
 control how the Kerberos distribution is built.
 
 
 \subsection{Most commonly used options}
 \label{\detokenize{build/options2configure:most-commonly-used-options}}\begin{description}
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-help}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}help}}] \leavevmode
+\sphinxAtStartPar
 Provides help to configure.  This will list the set of commonly
 used options for building Kerberos.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-prefix=}\sphinxstyleemphasis{PREFIX}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}prefix=}\sphinxstyleemphasis{PREFIX}}] \leavevmode
+\sphinxAtStartPar
 By default, Kerberos will install the package’s files rooted at
-\sphinxcode{/usr/local}.  If you desire to place the binaries into the
+\sphinxcode{\sphinxupquote{/usr/local}}.  If you desire to place the binaries into the
 directory \sphinxstyleemphasis{PREFIX}, use this option.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-exec-prefix=}\sphinxstyleemphasis{EXECPREFIX}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}exec\sphinxhyphen{}prefix=}\sphinxstyleemphasis{EXECPREFIX}}] \leavevmode
+\sphinxAtStartPar
 This option allows one to separate the architecture independent
-programs from the host-dependent files (configuration files,
-manual pages).  Use this option to install architecture-dependent
+programs from the host\sphinxhyphen{}dependent files (configuration files,
+manual pages).  Use this option to install architecture\sphinxhyphen{}dependent
 programs in \sphinxstyleemphasis{EXECPREFIX}.  The default location is the value of
-specified by \sphinxstylestrong{-}\sphinxstylestrong{-prefix} option.
+specified by \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}prefix} option.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-localstatedir=}\sphinxstyleemphasis{LOCALSTATEDIR}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}localstatedir=}\sphinxstyleemphasis{LOCALSTATEDIR}}] \leavevmode
+\sphinxAtStartPar
 This option sets the directory for locally modifiable
-single-machine data.  In Kerberos, this mostly is useful for
+single\sphinxhyphen{}machine data.  In Kerberos, this mostly is useful for
 setting a location for the KDC data files, as they will be
-installed in \sphinxcode{LOCALSTATEDIR/krb5kdc}, which is by default
-\sphinxcode{PREFIX/var/krb5kdc}.
+installed in \sphinxcode{\sphinxupquote{LOCALSTATEDIR/krb5kdc}}, which is by default
+\sphinxcode{\sphinxupquote{PREFIX/var/krb5kdc}}.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-netlib}{[}=\sphinxstyleemphasis{libs}{]}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}netlib}{[}=\sphinxstyleemphasis{libs}{]}}] \leavevmode
+\sphinxAtStartPar
 Allows for suppression of or replacement of network libraries.  By
-default, Kerberos V5 configuration will look for \sphinxcode{-lnsl} and
-\sphinxcode{-lsocket}.  If your operating system has a broken resolver
-library or fails to pass the tests in \sphinxcode{src/tests/resolv}, you
+default, Kerberos V5 configuration will look for \sphinxcode{\sphinxupquote{\sphinxhyphen{}lnsl}} and
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}lsocket}}.  If your operating system has a broken resolver
+library or fails to pass the tests in \sphinxcode{\sphinxupquote{src/tests/resolv}}, you
 will need to use this option.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-enable-dns-for-realm}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}enable\sphinxhyphen{}dns\sphinxhyphen{}for\sphinxhyphen{}realm}}] \leavevmode
+\sphinxAtStartPar
 Enable the use of DNS to look up a host’s Kerberos realm,
 if the information is not provided in
 \DUrole{xref,std,std-ref}{krb5.conf(5)}.  See \DUrole{xref,std,std-ref}{mapping\_hostnames}
 for information about using DNS to determine the default realm.
 DNS lookups for realm names are disabled by default.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-system-et}}] \leavevmode
-Use an installed version of the error-table (et) support software,
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}system\sphinxhyphen{}et}}] \leavevmode
+\sphinxAtStartPar
+Use an installed version of the error\sphinxhyphen{}table (et) support software,
 the compile\_et program, the com\_err.h header file and the com\_err
 library.  If these are not in the default locations, you may wish
-to specify \sphinxcode{CPPFLAGS=-I/some/dir} and
-\sphinxcode{LDFLAGS=-L/some/other/dir} options at configuration time as
+to specify \sphinxcode{\sphinxupquote{CPPFLAGS=\sphinxhyphen{}I/some/dir}} and
+\sphinxcode{\sphinxupquote{LDFLAGS=\sphinxhyphen{}L/some/other/dir}} options at configuration time as
 well.
 
+\sphinxAtStartPar
 If this option is not given, a version supplied with the Kerberos
 sources will be built and installed along with the rest of the
 Kerberos tree, for Kerberos applications to link against.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-system-ss}}] \leavevmode
-Use an installed version of the subsystem command-line interface
-software, the mk\_cmds program, the \sphinxcode{ss/ss.h} header file and the
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}system\sphinxhyphen{}ss}}] \leavevmode
+\sphinxAtStartPar
+Use an installed version of the subsystem command\sphinxhyphen{}line interface
+software, the mk\_cmds program, the \sphinxcode{\sphinxupquote{ss/ss.h}} header file and the
 ss library.  If these are not in the default locations, you may
-wish to specify \sphinxcode{CPPFLAGS=-I/some/dir} and
-\sphinxcode{LDFLAGS=-L/some/other/dir} options at configuration time as
+wish to specify \sphinxcode{\sphinxupquote{CPPFLAGS=\sphinxhyphen{}I/some/dir}} and
+\sphinxcode{\sphinxupquote{LDFLAGS=\sphinxhyphen{}L/some/other/dir}} options at configuration time as
 well.  See also the \sphinxstylestrong{SS\_LIB} option.
 
+\sphinxAtStartPar
 If this option is not given, the ss library supplied with the
 Kerberos sources will be compiled and linked into those programs
 that need it; it will not be installed separately.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-system-db}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}system\sphinxhyphen{}db}}] \leavevmode
+\sphinxAtStartPar
 Use an installed version of the Berkeley DB package, which must
 provide an API compatible with version 1.85.  This option is
 unsupported and untested.  In particular, we do not know if the
-database-rename code used in the dumpfile load operation will
+database\sphinxhyphen{}rename code used in the dumpfile load operation will
 behave properly.
 
+\sphinxAtStartPar
 If this option is not given, a version supplied with the Kerberos
 sources will be built and installed.  (We are not updating this
 version at this time because of licensing issues with newer
@@ -565,125 +661,151 @@ versions that we haven’t investigated
 \subsection{Environment variables}
 \label{\detokenize{build/options2configure:environment-variables}}\begin{description}
 \item[{\sphinxstylestrong{CC=}\sphinxstyleemphasis{COMPILER}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{COMPILER} as the C compiler.
 
 \item[{\sphinxstylestrong{CFLAGS=}\sphinxstyleemphasis{FLAGS}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{FLAGS} as the default set of C compiler flags.
 
 \item[{\sphinxstylestrong{CPP=}\sphinxstyleemphasis{CPP}}] \leavevmode
-C preprocessor to use. (e.g., \sphinxcode{CPP='gcc -E'})
+\sphinxAtStartPar
+C preprocessor to use. (e.g., \sphinxcode{\sphinxupquote{CPP=\textquotesingle{}gcc \sphinxhyphen{}E\textquotesingle{}}})
 
 \item[{\sphinxstylestrong{CPPFLAGS=}\sphinxstyleemphasis{CPPOPTS}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{CPPOPTS} as the default set of C preprocessor flags.  The
 most common use of this option is to select certain \#define’s for
 use with the operating system’s include files.
 
 \item[{\sphinxstylestrong{DB\_HEADER=}\sphinxstyleemphasis{headername}}] \leavevmode
+\sphinxAtStartPar
 If db.h is not the correct header file to include to compile
 against the Berkeley DB 1.85 API, specify the correct header file
-name with this option. For example, \sphinxcode{DB\_HEADER=db3/db\_185.h}.
+name with this option. For example, \sphinxcode{\sphinxupquote{DB\_HEADER=db3/db\_185.h}}.
 
 \item[{\sphinxstylestrong{DB\_LIB=}\sphinxstyleemphasis{libs}…}] \leavevmode
-If \sphinxcode{-ldb} is not the correct library specification for the
+\sphinxAtStartPar
+If \sphinxcode{\sphinxupquote{\sphinxhyphen{}ldb}} is not the correct library specification for the
 Berkeley DB library version to be used, override it with this
-option. For example, \sphinxcode{DB\_LIB=-ldb-3.3}.
+option. For example, \sphinxcode{\sphinxupquote{DB\_LIB=\sphinxhyphen{}ldb\sphinxhyphen{}3.3}}.
 
 \item[{\sphinxstylestrong{DEFCCNAME=}\sphinxstyleemphasis{ccachename}}] \leavevmode
-Override the built-in default credential cache name.
-For example, \sphinxcode{DEFCCNAME=DIR:/var/run/user/\%\{USERID\}/ccache}
+\sphinxAtStartPar
+Override the built\sphinxhyphen{}in default credential cache name.
+For example, \sphinxcode{\sphinxupquote{DEFCCNAME=DIR:/var/run/user/\%\{USERID\}/ccache}}
 See \DUrole{xref,std,std-ref}{parameter\_expansion} for information about supported
 parameter expansions.
 
 \item[{\sphinxstylestrong{DEFCKTNAME=}\sphinxstyleemphasis{keytabname}}] \leavevmode
-Override the built-in default client keytab name.
+\sphinxAtStartPar
+Override the built\sphinxhyphen{}in default client keytab name.
 The format is the same as for \sphinxstyleemphasis{DEFCCNAME}.
 
 \item[{\sphinxstylestrong{DEFKTNAME=}\sphinxstyleemphasis{keytabname}}] \leavevmode
-Override the built-in default keytab name.
+\sphinxAtStartPar
+Override the built\sphinxhyphen{}in default keytab name.
 The format is the same as for \sphinxstyleemphasis{DEFCCNAME}.
 
 \item[{\sphinxstylestrong{LD=}\sphinxstyleemphasis{LINKER}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{LINKER} as the default loader if it should be different from
 C compiler as specified above.
 
 \item[{\sphinxstylestrong{LDFLAGS=}\sphinxstyleemphasis{LDOPTS}}] \leavevmode
+\sphinxAtStartPar
 This option informs the linker where to get additional libraries
-(e.g., \sphinxcode{-L\textless{}lib dir\textgreater{}}).
+(e.g., \sphinxcode{\sphinxupquote{\sphinxhyphen{}L\textless{}lib dir\textgreater{}}}).
 
 \item[{\sphinxstylestrong{LIBS=}\sphinxstyleemphasis{LDNAME}}] \leavevmode
+\sphinxAtStartPar
 This option allows one to specify libraries to be passed to the
-linker (e.g., \sphinxcode{-l\textless{}library\textgreater{}})
+linker (e.g., \sphinxcode{\sphinxupquote{\sphinxhyphen{}l\textless{}library\textgreater{}}})
 
 \item[{\sphinxstylestrong{PKCS11\_MODNAME=}\sphinxstyleemphasis{library}}] \leavevmode
-Override the built-in default PKCS11 library name.
+\sphinxAtStartPar
+Override the built\sphinxhyphen{}in default PKCS11 library name.
 
 \item[{\sphinxstylestrong{SS\_LIB=}\sphinxstyleemphasis{libs}…}] \leavevmode
-If \sphinxcode{-lss} is not the correct way to link in your installed ss
+\sphinxAtStartPar
+If \sphinxcode{\sphinxupquote{\sphinxhyphen{}lss}} is not the correct way to link in your installed ss
 library, for example if additional support libraries are needed,
 specify the correct link options here.  Some variants of this
-library are around which allow for Emacs-like line editing, but
+library are around which allow for Emacs\sphinxhyphen{}like line editing, but
 different versions require different support libraries to be
 explicitly specified.
 
-This option is ignored if \sphinxstylestrong{-}\sphinxstylestrong{-with-system-ss} is not specified.
+\sphinxAtStartPar
+This option is ignored if \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}system\sphinxhyphen{}ss} is not specified.
 
 \item[{\sphinxstylestrong{YACC}}] \leavevmode
+\sphinxAtStartPar
 The ‘Yet Another C Compiler’ implementation to use. Defaults to
-the first program found out of: ‘\sphinxtitleref{bison -y}’, ‘\sphinxtitleref{byacc}’,
+the first program found out of: ‘\sphinxtitleref{bison \sphinxhyphen{}y}’, ‘\sphinxtitleref{byacc}’,
 ‘\sphinxtitleref{yacc}’.
 
 \item[{\sphinxstylestrong{YFLAGS}}] \leavevmode
+\sphinxAtStartPar
 The list of arguments that will be passed by default to \$YACC.
 This script will default YFLAGS to the empty string to avoid a
-default value of \sphinxcode{-d} given by some make applications.
+default value of \sphinxcode{\sphinxupquote{\sphinxhyphen{}d}} given by some make applications.
 
 \end{description}
 
 
 \subsection{Fine tuning of the installation directories}
 \label{\detokenize{build/options2configure:fine-tuning-of-the-installation-directories}}\begin{description}
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-bindir=}\sphinxstyleemphasis{DIR}}] \leavevmode
-User executables.  Defaults to \sphinxcode{EXECPREFIX/bin}, where
-\sphinxstyleemphasis{EXECPREFIX} is the path specified by \sphinxstylestrong{-}\sphinxstylestrong{-exec-prefix}
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}bindir=}\sphinxstyleemphasis{DIR}}] \leavevmode
+\sphinxAtStartPar
+User executables.  Defaults to \sphinxcode{\sphinxupquote{EXECPREFIX/bin}}, where
+\sphinxstyleemphasis{EXECPREFIX} is the path specified by \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}exec\sphinxhyphen{}prefix}
 configuration option.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-sbindir=}\sphinxstyleemphasis{DIR}}] \leavevmode
-System admin executables.  Defaults to \sphinxcode{EXECPREFIX/sbin}, where
-\sphinxstyleemphasis{EXECPREFIX} is the path specified by \sphinxstylestrong{-}\sphinxstylestrong{-exec-prefix}
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}sbindir=}\sphinxstyleemphasis{DIR}}] \leavevmode
+\sphinxAtStartPar
+System admin executables.  Defaults to \sphinxcode{\sphinxupquote{EXECPREFIX/sbin}}, where
+\sphinxstyleemphasis{EXECPREFIX} is the path specified by \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}exec\sphinxhyphen{}prefix}
 configuration option.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-sysconfdir=}\sphinxstyleemphasis{DIR}}] \leavevmode
-Read-only single-machine data such as krb5.conf.
-Defaults to \sphinxcode{PREFIX/etc}, where
-\sphinxstyleemphasis{PREFIX} is the path specified by \sphinxstylestrong{-}\sphinxstylestrong{-prefix} configuration
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}sysconfdir=}\sphinxstyleemphasis{DIR}}] \leavevmode
+\sphinxAtStartPar
+Read\sphinxhyphen{}only single\sphinxhyphen{}machine data such as krb5.conf.
+Defaults to \sphinxcode{\sphinxupquote{PREFIX/etc}}, where
+\sphinxstyleemphasis{PREFIX} is the path specified by \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}prefix} configuration
 option.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-libdir=}\sphinxstyleemphasis{DIR}}] \leavevmode
-Object code libraries.  Defaults to \sphinxcode{EXECPREFIX/lib}, where
-\sphinxstyleemphasis{EXECPREFIX} is the path specified by \sphinxstylestrong{-}\sphinxstylestrong{-exec-prefix}
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}libdir=}\sphinxstyleemphasis{DIR}}] \leavevmode
+\sphinxAtStartPar
+Object code libraries.  Defaults to \sphinxcode{\sphinxupquote{EXECPREFIX/lib}}, where
+\sphinxstyleemphasis{EXECPREFIX} is the path specified by \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}exec\sphinxhyphen{}prefix}
 configuration option.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-includedir=}\sphinxstyleemphasis{DIR}}] \leavevmode
-C header files.  Defaults to \sphinxcode{PREFIX/include}, where \sphinxstyleemphasis{PREFIX} is
-the path specified by \sphinxstylestrong{-}\sphinxstylestrong{-prefix} configuration option.
-
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-datarootdir=}\sphinxstyleemphasis{DATAROOTDIR}}] \leavevmode
-Read-only architecture-independent data root.  Defaults to
-\sphinxcode{PREFIX/share}, where \sphinxstyleemphasis{PREFIX} is the path specified by
-\sphinxstylestrong{-}\sphinxstylestrong{-prefix} configuration option.
-
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-datadir=}\sphinxstyleemphasis{DIR}}] \leavevmode
-Read-only architecture-independent data.  Defaults to path
-specified by \sphinxstylestrong{-}\sphinxstylestrong{-datarootdir} configuration option.
-
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-localedir=}\sphinxstyleemphasis{DIR}}] \leavevmode
-Locale-dependent data.  Defaults to \sphinxcode{DATAROOTDIR/locale}, where
-\sphinxstyleemphasis{DATAROOTDIR} is the path specified by \sphinxstylestrong{-}\sphinxstylestrong{-datarootdir}
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}includedir=}\sphinxstyleemphasis{DIR}}] \leavevmode
+\sphinxAtStartPar
+C header files.  Defaults to \sphinxcode{\sphinxupquote{PREFIX/include}}, where \sphinxstyleemphasis{PREFIX} is
+the path specified by \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}prefix} configuration option.
+
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}datarootdir=}\sphinxstyleemphasis{DATAROOTDIR}}] \leavevmode
+\sphinxAtStartPar
+Read\sphinxhyphen{}only architecture\sphinxhyphen{}independent data root.  Defaults to
+\sphinxcode{\sphinxupquote{PREFIX/share}}, where \sphinxstyleemphasis{PREFIX} is the path specified by
+\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}prefix} configuration option.
+
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}datadir=}\sphinxstyleemphasis{DIR}}] \leavevmode
+\sphinxAtStartPar
+Read\sphinxhyphen{}only architecture\sphinxhyphen{}independent data.  Defaults to path
+specified by \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}datarootdir} configuration option.
+
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}localedir=}\sphinxstyleemphasis{DIR}}] \leavevmode
+\sphinxAtStartPar
+Locale\sphinxhyphen{}dependent data.  Defaults to \sphinxcode{\sphinxupquote{DATAROOTDIR/locale}}, where
+\sphinxstyleemphasis{DATAROOTDIR} is the path specified by \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}datarootdir}
 configuration option.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-mandir=}\sphinxstyleemphasis{DIR}}] \leavevmode
-Man documentation.  Defaults to \sphinxcode{DATAROOTDIR/man}, where
-\sphinxstyleemphasis{DATAROOTDIR} is the path specified by \sphinxstylestrong{-}\sphinxstylestrong{-datarootdir}
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}mandir=}\sphinxstyleemphasis{DIR}}] \leavevmode
+\sphinxAtStartPar
+Man documentation.  Defaults to \sphinxcode{\sphinxupquote{DATAROOTDIR/man}}, where
+\sphinxstyleemphasis{DATAROOTDIR} is the path specified by \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}datarootdir}
 configuration option.
 
 \end{description}
@@ -691,20 +813,23 @@ configuration option.
 
 \subsection{Program names}
 \label{\detokenize{build/options2configure:program-names}}\begin{description}
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-program-prefix=}\sphinxstyleemphasis{PREFIX}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}program\sphinxhyphen{}prefix=}\sphinxstyleemphasis{PREFIX}}] \leavevmode
+\sphinxAtStartPar
 Prepend \sphinxstyleemphasis{PREFIX} to the names of the programs when installing
-them. For example, specifying \sphinxcode{-{-}program-prefix=mit-} at the
-configure time will cause the program named \sphinxcode{abc} to be
-installed as \sphinxcode{mit-abc}.
+them. For example, specifying \sphinxcode{\sphinxupquote{\sphinxhyphen{}\sphinxhyphen{}program\sphinxhyphen{}prefix=mit\sphinxhyphen{}}} at the
+configure time will cause the program named \sphinxcode{\sphinxupquote{abc}} to be
+installed as \sphinxcode{\sphinxupquote{mit\sphinxhyphen{}abc}}.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-program-suffix=}\sphinxstyleemphasis{SUFFIX}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}program\sphinxhyphen{}suffix=}\sphinxstyleemphasis{SUFFIX}}] \leavevmode
+\sphinxAtStartPar
 Append \sphinxstyleemphasis{SUFFIX} to the names of the programs when installing them.
-For example, specifying \sphinxcode{-{-}program-suffix=-mit} at the configure
-time will cause the program named \sphinxcode{abc} to be installed as
-\sphinxcode{abc-mit}.
-
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-program-transform-name=}\sphinxstyleemphasis{PROGRAM}}] \leavevmode
-Run \sphinxcode{sed -e PROGRAM} on installed program names. (\sphinxstyleemphasis{PROGRAM} is a
+For example, specifying \sphinxcode{\sphinxupquote{\sphinxhyphen{}\sphinxhyphen{}program\sphinxhyphen{}suffix=\sphinxhyphen{}mit}} at the configure
+time will cause the program named \sphinxcode{\sphinxupquote{abc}} to be installed as
+\sphinxcode{\sphinxupquote{abc\sphinxhyphen{}mit}}.
+
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}program\sphinxhyphen{}transform\sphinxhyphen{}name=}\sphinxstyleemphasis{PROGRAM}}] \leavevmode
+\sphinxAtStartPar
+Run \sphinxcode{\sphinxupquote{sed \sphinxhyphen{}e PROGRAM}} on installed program names. (\sphinxstyleemphasis{PROGRAM} is a
 sed script).
 
 \end{description}
@@ -712,13 +837,15 @@ sed script).
 
 \subsection{System types}
 \label{\detokenize{build/options2configure:system-types}}\begin{description}
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-build=}\sphinxstyleemphasis{BUILD}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}build=}\sphinxstyleemphasis{BUILD}}] \leavevmode
+\sphinxAtStartPar
 Configure for building on \sphinxstyleemphasis{BUILD}
-(e.g., \sphinxcode{-{-}build=x86\_64-linux-gnu}).
+(e.g., \sphinxcode{\sphinxupquote{\sphinxhyphen{}\sphinxhyphen{}build=x86\_64\sphinxhyphen{}linux\sphinxhyphen{}gnu}}).
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-host=}\sphinxstyleemphasis{HOST}}] \leavevmode
-Cross-compile to build programs to run on \sphinxstyleemphasis{HOST}
-(e.g., \sphinxcode{-{-}host=x86\_64-linux-gnu}).  By default, Kerberos V5
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}host=}\sphinxstyleemphasis{HOST}}] \leavevmode
+\sphinxAtStartPar
+Cross\sphinxhyphen{}compile to build programs to run on \sphinxstyleemphasis{HOST}
+(e.g., \sphinxcode{\sphinxupquote{\sphinxhyphen{}\sphinxhyphen{}host=x86\_64\sphinxhyphen{}linux\sphinxhyphen{}gnu}}).  By default, Kerberos V5
 configuration will look for “build” option.
 
 \end{description}
@@ -726,43 +853,55 @@ configuration will look for “build”
 
 \subsection{Optional features}
 \label{\detokenize{build/options2configure:optional-features}}\begin{description}
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-disable-option-checking}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}disable\sphinxhyphen{}option\sphinxhyphen{}checking}}] \leavevmode
+\sphinxAtStartPar
 Ignore unrecognized \textendash{}enable/\textendash{}with options.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-disable-}\sphinxstyleemphasis{FEATURE}}] \leavevmode
-Do not include \sphinxstyleemphasis{FEATURE} (same as \textendash{}enable-FEATURE=no).
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}disable\sphinxhyphen{}}\sphinxstyleemphasis{FEATURE}}] \leavevmode
+\sphinxAtStartPar
+Do not include \sphinxstyleemphasis{FEATURE} (same as \textendash{}enable\sphinxhyphen{}FEATURE=no).
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-enable-}\sphinxstyleemphasis{FEATURE}{[}=\sphinxstyleemphasis{ARG}{]}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}enable\sphinxhyphen{}}\sphinxstyleemphasis{FEATURE}{[}=\sphinxstyleemphasis{ARG}{]}}] \leavevmode
+\sphinxAtStartPar
 Include \sphinxstyleemphasis{FEATURE} {[}ARG=yes{]}.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-enable-maintainer-mode}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}enable\sphinxhyphen{}maintainer\sphinxhyphen{}mode}}] \leavevmode
+\sphinxAtStartPar
 Enable rebuilding of source files, Makefiles, etc.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-disable-delayed-initialization}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}disable\sphinxhyphen{}delayed\sphinxhyphen{}initialization}}] \leavevmode
+\sphinxAtStartPar
 Initialize library code when loaded.  Defaults to delay until
 first use.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-disable-thread-support}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}disable\sphinxhyphen{}thread\sphinxhyphen{}support}}] \leavevmode
+\sphinxAtStartPar
 Don’t enable thread support.  Defaults to enabled.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-disable-rpath}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}disable\sphinxhyphen{}rpath}}] \leavevmode
+\sphinxAtStartPar
 Suppress run path flags in link lines.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-enable-athena}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}enable\sphinxhyphen{}athena}}] \leavevmode
+\sphinxAtStartPar
 Build with MIT Project Athena configuration.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-disable-kdc-lookaside-cache}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}disable\sphinxhyphen{}kdc\sphinxhyphen{}lookaside\sphinxhyphen{}cache}}] \leavevmode
+\sphinxAtStartPar
 Disable the cache which detects client retransmits.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-disable-pkinit}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}disable\sphinxhyphen{}pkinit}}] \leavevmode
+\sphinxAtStartPar
 Disable PKINIT plugin support.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-disable-aesni}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}disable\sphinxhyphen{}aesni}}] \leavevmode
+\sphinxAtStartPar
 Disable support for using AES instructions on x86 platforms.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-enable-asan}{[}=\sphinxstyleemphasis{ARG}{]}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}enable\sphinxhyphen{}asan}{[}=\sphinxstyleemphasis{ARG}{]}}] \leavevmode
+\sphinxAtStartPar
 Enable building with asan memory error checking.  If \sphinxstyleemphasis{ARG} is
-given, it controls the -fsanitize compilation flag value (the
+given, it controls the \sphinxhyphen{}fsanitize compilation flag value (the
 default is “address”).
 
 \end{description}
@@ -770,90 +909,109 @@ default is “address”).
 
 \subsection{Optional packages}
 \label{\detokenize{build/options2configure:optional-packages}}\begin{description}
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-}\sphinxstyleemphasis{PACKAGE}{[}=ARG{]}}] \leavevmode
-Use \sphinxstyleemphasis{PACKAGE} (e.g., \sphinxcode{-{-}with-imap}).  The default value of \sphinxstyleemphasis{ARG}
-is \sphinxcode{yes}.
-
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-without-}\sphinxstyleemphasis{PACKAGE}}] \leavevmode
-Do not use \sphinxstyleemphasis{PACKAGE} (same as \sphinxcode{-{-}with-PACKAGE=no})
-(e.g., \sphinxcode{-{-}without-libedit}).
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}}\sphinxstyleemphasis{PACKAGE}{[}=ARG{]}}] \leavevmode
+\sphinxAtStartPar
+Use \sphinxstyleemphasis{PACKAGE} (e.g., \sphinxcode{\sphinxupquote{\sphinxhyphen{}\sphinxhyphen{}with\sphinxhyphen{}imap}}).  The default value of \sphinxstyleemphasis{ARG}
+is \sphinxcode{\sphinxupquote{yes}}.
+
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}without\sphinxhyphen{}}\sphinxstyleemphasis{PACKAGE}}] \leavevmode
+\sphinxAtStartPar
+Do not use \sphinxstyleemphasis{PACKAGE} (same as \sphinxcode{\sphinxupquote{\sphinxhyphen{}\sphinxhyphen{}with\sphinxhyphen{}PACKAGE=no}})
+(e.g., \sphinxcode{\sphinxupquote{\sphinxhyphen{}\sphinxhyphen{}without\sphinxhyphen{}libedit}}).
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-size-optimizations}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}size\sphinxhyphen{}optimizations}}] \leavevmode
+\sphinxAtStartPar
 Enable a few optimizations to reduce code size possibly at some
-run-time cost.
+run\sphinxhyphen{}time cost.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-system-et}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}system\sphinxhyphen{}et}}] \leavevmode
+\sphinxAtStartPar
 Use the com\_err library and compile\_et utility that are already
 installed on the system, instead of building and installing
 local versions.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-system-ss}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}system\sphinxhyphen{}ss}}] \leavevmode
+\sphinxAtStartPar
 Use the ss library and mk\_cmds utility that are already installed
 on the system, instead of building and using private versions.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-system-db}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}system\sphinxhyphen{}db}}] \leavevmode
+\sphinxAtStartPar
 Use the berkeley db utility already installed on the system,
 instead of using a private version.  This option is not
 recommended; enabling it may result in incompatibility with key
 databases originating on other systems.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-netlib=}\sphinxstyleemphasis{LIBS}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}netlib=}\sphinxstyleemphasis{LIBS}}] \leavevmode
+\sphinxAtStartPar
 Use the resolver library specified in \sphinxstyleemphasis{LIBS}.  Use this variable
 if the C library resolver is insufficient or broken.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-hesiod=}\sphinxstyleemphasis{path}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}hesiod=}\sphinxstyleemphasis{path}}] \leavevmode
+\sphinxAtStartPar
 Compile with Hesiod support.  The \sphinxstyleemphasis{path} points to the Hesiod
 directory.  By default Hesiod is unsupported.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-ldap}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}ldap}}] \leavevmode
+\sphinxAtStartPar
 Compile OpenLDAP database backend module.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-lmdb}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}lmdb}}] \leavevmode
+\sphinxAtStartPar
 Compile LMDB database backend module.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-vague-errors}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}vague\sphinxhyphen{}errors}}] \leavevmode
+\sphinxAtStartPar
 Do not send helpful errors to client.  For example, if the KDC
 should return only vague error codes to clients.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-crypto-impl=}\sphinxstyleemphasis{IMPL}}] \leavevmode
-Use specified crypto implementation (e.g., \sphinxstylestrong{-}\sphinxstylestrong{-with-crypto-impl=}\sphinxstyleemphasis{openssl}).  The default is the native MIT
-Kerberos implementation \sphinxcode{builtin}.  The other currently
-implemented crypto backend is \sphinxcode{openssl}.  (See
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}crypto\sphinxhyphen{}impl=}\sphinxstyleemphasis{IMPL}}] \leavevmode
+\sphinxAtStartPar
+Use specified crypto implementation (e.g., \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}crypto\sphinxhyphen{}impl=}\sphinxstyleemphasis{openssl}).  The default is the native MIT
+Kerberos implementation \sphinxcode{\sphinxupquote{builtin}}.  The other currently
+implemented crypto backend is \sphinxcode{\sphinxupquote{openssl}}.  (See
 \DUrole{xref,std,std-ref}{mitK5features})
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-without-libedit}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}without\sphinxhyphen{}libedit}}] \leavevmode
+\sphinxAtStartPar
 Do not compile and link against libedit.  Some utilities will no
 longer offer command history or completion in interactive mode if
 libedit is disabled.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-readline}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}readline}}] \leavevmode
+\sphinxAtStartPar
 Compile and link against GNU readline, as an alternative to libedit.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-system-verto}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}system\sphinxhyphen{}verto}}] \leavevmode
+\sphinxAtStartPar
 Use an installed version of libverto.  If the libverto header and
 library are not in default locations, you may wish to specify
-\sphinxcode{CPPFLAGS=-I/some/dir} and \sphinxcode{LDFLAGS=-L/some/other/dir} options
+\sphinxcode{\sphinxupquote{CPPFLAGS=\sphinxhyphen{}I/some/dir}} and \sphinxcode{\sphinxupquote{LDFLAGS=\sphinxhyphen{}L/some/other/dir}} options
 at configuration time as well.
 
+\sphinxAtStartPar
 If this option is not given, the build system will try to detect
 an installed version of libverto and use it if it is found.
 Otherwise, a version supplied with the Kerberos sources will be
-built and installed.  The built-in version does not contain the
-full set of back-end modules and is not a suitable general
+built and installed.  The built\sphinxhyphen{}in version does not contain the
+full set of back\sphinxhyphen{}end modules and is not a suitable general
 replacement for the upstream version, but will work for the
 purposes of Kerberos.
 
-Specifying \sphinxstylestrong{-}\sphinxstylestrong{-without-system-verto} will cause the built-in
+\sphinxAtStartPar
+Specifying \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}without\sphinxhyphen{}system\sphinxhyphen{}verto} will cause the built\sphinxhyphen{}in
 version of libverto to be used unconditionally.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-with-krb5-config=}\sphinxstyleemphasis{PATH}}] \leavevmode
-Use the krb5-config program at \sphinxstyleemphasis{PATH} to obtain the build-time
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}with\sphinxhyphen{}krb5\sphinxhyphen{}config=}\sphinxstyleemphasis{PATH}}] \leavevmode
+\sphinxAtStartPar
+Use the krb5\sphinxhyphen{}config program at \sphinxstyleemphasis{PATH} to obtain the build\sphinxhyphen{}time
 default credential cache, keytab, and client keytab names.  The
-default is to use \sphinxcode{krb5-config} from the program path.  Specify
-\sphinxcode{-{-}without-krb5-config} to disable the use of krb5-config and
-use the usual built-in defaults.
+default is to use \sphinxcode{\sphinxupquote{krb5\sphinxhyphen{}config}} from the program path.  Specify
+\sphinxcode{\sphinxupquote{\sphinxhyphen{}\sphinxhyphen{}without\sphinxhyphen{}krb5\sphinxhyphen{}config}} to disable the use of krb5\sphinxhyphen{}config and
+use the usual built\sphinxhyphen{}in defaults.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-without-keyutils}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}without\sphinxhyphen{}keyutils}}] \leavevmode
+\sphinxAtStartPar
 Build without libkeyutils support.  This disables the KEYRING
 credential cache type.
 
@@ -862,22 +1020,22 @@ credential cache type.
 
 \subsection{Examples}
 \label{\detokenize{build/options2configure:examples}}
+\sphinxAtStartPar
 For example, in order to configure Kerberos on a Solaris machine using
 the suncc compiler with the optimizer turned on, run the configure
 script with the following options:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{o}{\PYGZpc{}} \PYG{o}{.}\PYG{o}{/}\PYG{n}{configure} \PYG{n}{CC}\PYG{o}{=}\PYG{n}{suncc} \PYG{n}{CFLAGS}\PYG{o}{=}\PYG{o}{\PYGZhy{}}\PYG{n}{O}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 For a slightly more complicated example, consider a system where
 several packages to be used by Kerberos are installed in
-\sphinxcode{/usr/foobar}, including Berkeley DB 3.3, and an ss library that
+\sphinxcode{\sphinxupquote{/usr/foobar}}, including Berkeley DB 3.3, and an ss library that
 needs to link against the curses library.  The configuration of
 Kerberos might be done thus:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{o}{.}\PYG{o}{/}\PYG{n}{configure} \PYG{n}{CPPFLAGS}\PYG{o}{=}\PYG{o}{\PYGZhy{}}\PYG{n}{I}\PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{foobar}\PYG{o}{/}\PYG{n}{include} \PYG{n}{LDFLAGS}\PYG{o}{=}\PYG{o}{\PYGZhy{}}\PYG{n}{L}\PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{foobar}\PYG{o}{/}\PYG{n}{lib} \PYGZbs{}
 \PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}}\PYG{k}{with}\PYG{o}{\PYGZhy{}}\PYG{n}{system}\PYG{o}{\PYGZhy{}}\PYG{n}{et} \PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}}\PYG{k}{with}\PYG{o}{\PYGZhy{}}\PYG{n}{system}\PYG{o}{\PYGZhy{}}\PYG{n}{ss} \PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}}\PYG{k}{with}\PYG{o}{\PYGZhy{}}\PYG{n}{system}\PYG{o}{\PYGZhy{}}\PYG{n}{db}  \PYGZbs{}
@@ -887,36 +1045,42 @@ Kerberos might be done thus:
 
 \section{osconf.hin}
 \label{\detokenize{build/osconf:osconf-hin}}\label{\detokenize{build/osconf::doc}}
+\sphinxAtStartPar
 There is one configuration file which you may wish to edit to control
-various compile-time parameters in the Kerberos distribution:
+various compile\sphinxhyphen{}time parameters in the Kerberos distribution:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{include}\PYG{o}{/}\PYG{n}{osconf}\PYG{o}{.}\PYG{n}{hin}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The list that follows is by no means complete, just some of the more
 interesting variables.
 \begin{description}
 \item[{\sphinxstylestrong{DEFAULT\_PROFILE\_PATH}}] \leavevmode
+\sphinxAtStartPar
 The pathname to the file which contains the profiles for the known
-realms, their KDCs, etc. The default value is \sphinxcode{/etc/krb5.conf}.
+realms, their KDCs, etc. The default value is \sphinxcode{\sphinxupquote{/etc/krb5.conf}}.
 
 \item[{\sphinxstylestrong{DEFAULT\_KEYTAB\_NAME}}] \leavevmode
+\sphinxAtStartPar
 The type and pathname to the default server keytab file.  The
 default is \DUrole{xref,std,std-ref}{DEFKTNAME}.
 
 \item[{\sphinxstylestrong{DEFAULT\_KDC\_ENCTYPE}}] \leavevmode
+\sphinxAtStartPar
 The default encryption type for the KDC database master key.  The
-default value is \sphinxcode{aes256-cts-hmac-sha1-96}.
+default value is \sphinxcode{\sphinxupquote{aes256\sphinxhyphen{}cts\sphinxhyphen{}hmac\sphinxhyphen{}sha1\sphinxhyphen{}96}}.
 
 \item[{\sphinxstylestrong{RCTMPDIR}}] \leavevmode
+\sphinxAtStartPar
 The directory which stores replay caches.  The default is
-\sphinxcode{/var/tmp}.
+\sphinxcode{\sphinxupquote{/var/tmp}}.
 
 \item[{\sphinxstylestrong{DEFAULT\_KDB\_FILE}}] \leavevmode
+\sphinxAtStartPar
 The location of the default database.  The default value is
-\DUrole{xref,std,std-ref}{LOCALSTATEDIR}\sphinxcode{/krb5kdc}\sphinxcode{/principal}.
+\DUrole{xref,std,std-ref}{LOCALSTATEDIR}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/principal}}.
 
 \end{description}
 
diff -pruN 1.21.2-1/doc/pdf/footnotehyper-sphinx.sty 1.21.3-1/doc/pdf/footnotehyper-sphinx.sty
--- 1.21.2-1/doc/pdf/footnotehyper-sphinx.sty	2018-02-04 15:53:58.000000000 +0000
+++ 1.21.3-1/doc/pdf/footnotehyper-sphinx.sty	1970-01-01 00:00:00.000000000 +0000
@@ -1,268 +0,0 @@
-\NeedsTeXFormat{LaTeX2e}
-\ProvidesPackage{footnotehyper-sphinx}%
- [2017/03/07 v1.6 hyperref aware footnote.sty for sphinx (JFB)]
-%%
-%% Package: footnotehyper-sphinx
-%% Version: based on footnotehyper.sty 2017/03/07 v1.0
-%% as available at http://www.ctan.org/pkg/footnotehyper
-%% License: the one applying to Sphinx
-%%
-%% Refer to the PDF documentation  at http://www.ctan.org/pkg/footnotehyper for
-%% the code comments.
-%%
-%% Differences:
-%% 1. a partial tabulary compatibility layer added (enough for Sphinx mark-up),
-%% 2. use of \spx@opt@BeforeFootnote from sphinx.sty,
-%% 3. use of \sphinxunactivateextrasandspace from sphinx.sty,
-%% 4. macro definition \sphinxfootnotemark,
-%% 5. macro definition \sphinxlongtablepatch
-\DeclareOption*{\PackageWarning{footnotehyper-sphinx}{Option `\CurrentOption' is unknown}}%
-\ProcessOptions\relax
-\newbox\FNH@notes
-\newdimen\FNH@width
-\let\FNH@colwidth\columnwidth
-\newif\ifFNH@savingnotes
-\AtBeginDocument {%
-    \let\FNH@latex@footnote    \footnote
-    \let\FNH@latex@footnotetext\footnotetext
-    \let\FNH@H@@footnotetext   \@footnotetext
-    \newenvironment{savenotes}
-        {\FNH@savenotes\ignorespaces}{\FNH@spewnotes\ignorespacesafterend}%
-    \let\spewnotes      \FNH@spewnotes
-    \let\footnote       \FNH@footnote
-    \let\footnotetext   \FNH@footnotetext
-    \let\endfootnote    \FNH@endfntext
-    \let\endfootnotetext\FNH@endfntext
-    \@ifpackageloaded{hyperref}
-     {\ifHy@hyperfootnotes
-         \let\FNH@H@@footnotetext\H@@footnotetext
-      \else
-         \let\FNH@hyper@fntext\FNH@nohyp@fntext
-      \fi}%
-     {\let\FNH@hyper@fntext\FNH@nohyp@fntext}%
-}%
-\def\FNH@hyper@fntext{\FNH@fntext\FNH@hyper@fntext@i}%
-\def\FNH@nohyp@fntext{\FNH@fntext\FNH@nohyp@fntext@i}%
-\def\FNH@fntext #1{%
-  \ifx\ifmeasuring@\@undefined
-    \expandafter\@secondoftwo\else\expandafter\@firstofone\fi
-% these two lines modified for Sphinx (tabulary compatibility):
-    {\ifmeasuring@\expandafter\@gobbletwo\else\expandafter\@firstofone\fi}%
-    {\ifx\equation$\expandafter\@gobbletwo\fi #1}%$
-}%
-\long\def\FNH@hyper@fntext@i#1{%
-  \global\setbox\FNH@notes\vbox
-  {\unvbox\FNH@notes
-   \FNH@startnote
-   \@makefntext
-    {\rule\z@\footnotesep\ignorespaces
-     \ifHy@nesting\expandafter\ltx@firstoftwo
-             \else\expandafter\ltx@secondoftwo
-     \fi
-     {\expandafter\hyper@@anchor\expandafter{\Hy@footnote@currentHref}{#1}}%
-     {\Hy@raisedlink
-       {\expandafter\hyper@@anchor\expandafter{\Hy@footnote@currentHref}%
-       {\relax}}%
-      \let\@currentHref\Hy@footnote@currentHref
-      \let\@currentlabelname\@empty
-      #1}%
-     \@finalstrut\strutbox
-    }%
-   \FNH@endnote
-  }%
-}%
-\long\def\FNH@nohyp@fntext@i#1{%
-  \global\setbox\FNH@notes\vbox
-  {\unvbox\FNH@notes
-   \FNH@startnote
-   \@makefntext{\rule\z@\footnotesep\ignorespaces#1\@finalstrut\strutbox}%
-   \FNH@endnote
-  }%
-}%
-\def\FNH@startnote{%
-  \hsize\FNH@colwidth
-  \interlinepenalty\interfootnotelinepenalty
-  \reset@font\footnotesize
-  \floatingpenalty\@MM
-  \@parboxrestore
-  \protected@edef\@currentlabel{\csname p@\@mpfn\endcsname\@thefnmark}%
-  \color@begingroup
-}%
-\def\FNH@endnote{\color@endgroup}%
-\def\FNH@savenotes{%
-  \begingroup
-  \ifFNH@savingnotes\else
-    \FNH@savingnotestrue
-    \let\@footnotetext    \FNH@hyper@fntext
-    \let\@mpfootnotetext  \FNH@hyper@fntext
-    \let\H@@mpfootnotetext\FNH@nohyp@fntext
-    \FNH@width\columnwidth
-    \let\FNH@colwidth\FNH@width
-    \global\setbox\FNH@notes\box\voidb@x
-    \let\FNH@thempfn\thempfn
-    \let\FNH@mpfn\@mpfn
-    \ifx\@minipagerestore\relax\let\@minipagerestore\@empty\fi
-    \expandafter\def\expandafter\@minipagerestore\expandafter{%
-      \@minipagerestore
-      \let\thempfn\FNH@thempfn
-      \let\@mpfn\FNH@mpfn
-    }%
-  \fi
-}%
-\def\FNH@spewnotes {%
-  \endgroup
-  \ifFNH@savingnotes\else
-   \ifvoid\FNH@notes\else
-    \begingroup
-     \let\@makefntext\@empty
-     \let\@finalstrut\@gobble
-     \let\rule\@gobbletwo
-     \FNH@H@@footnotetext{\unvbox\FNH@notes}%
-    \endgroup
-   \fi
-  \fi
-}%
-\def\FNH@footnote@envname    {footnote}%
-\def\FNH@footnotetext@envname{footnotetext}%
-\def\FNH@footnote{%
-% this line added for Sphinx:
-    \spx@opt@BeforeFootnote
-    \ifx\@currenvir\FNH@footnote@envname
-        \expandafter\FNH@footnoteenv
-    \else
-        \expandafter\FNH@latex@footnote
-    \fi
-}%
-\def\FNH@footnoteenv{%
-% this line added for Sphinx (footnotes in parsed literal blocks):
-    \catcode13=5 \sphinxunactivateextrasandspace
-    \@ifnextchar[%
-      \FNH@footnoteenv@i %]
-      {\stepcounter\@mpfn
-       \protected@xdef\@thefnmark{\thempfn}%
-       \@footnotemark
-       \def\FNH@endfntext@fntext{\@footnotetext}%
-       \FNH@startfntext}%
-}%
-\def\FNH@footnoteenv@i[#1]{%
-    \begingroup
-     \csname c@\@mpfn\endcsname #1\relax
-     \unrestored@protected@xdef\@thefnmark{\thempfn}%
-    \endgroup
-    \@footnotemark
-    \def\FNH@endfntext@fntext{\@footnotetext}%
-    \FNH@startfntext
-}%
-\def\FNH@footnotetext{%
-    \ifx\@currenvir\FNH@footnotetext@envname
-        \expandafter\FNH@footnotetextenv
-    \else
-        \expandafter\FNH@latex@footnotetext
-    \fi
-}%
-\def\FNH@footnotetextenv{%
-    \@ifnextchar[%
-      \FNH@footnotetextenv@i %]
-      {\protected@xdef\@thefnmark{\thempfn}%
-       \def\FNH@endfntext@fntext{\@footnotetext}%
-       \FNH@startfntext}%
-}%
-\def\FNH@footnotetextenv@i[#1]{%
-    \begingroup
-     \csname c@\@mpfn\endcsname #1\relax
-     \unrestored@protected@xdef\@thefnmark{\thempfn}%
-    \endgroup
-    \ifFNH@savingnotes
-      \def\FNH@endfntext@fntext{\FNH@nohyp@fntext}%
-    \else
-      \def\FNH@endfntext@fntext{\FNH@H@@footnotetext}%
-    \fi
-    \FNH@startfntext
-}%
-\def\FNH@startfntext{%
-  \setbox\z@\vbox\bgroup
-    \FNH@startnote
-    \FNH@prefntext
-    \rule\z@\footnotesep\ignorespaces
-}%
-\def\FNH@endfntext {%
-    \@finalstrut\strutbox
-    \FNH@postfntext
-    \FNH@endnote
-    \egroup
-  \begingroup
-    \let\@makefntext\@empty\let\@finalstrut\@gobble\let\rule\@gobbletwo
-    \FNH@endfntext@fntext {\unvbox\z@}%
-  \endgroup
-}%
-\AtBeginDocument{%
-   \let\FNH@@makefntext\@makefntext
-   \ifx\@makefntextFB\undefined
-   \expandafter\@gobble\else\expandafter\@firstofone\fi
-   {\ifFBFrenchFootnotes \let\FNH@@makefntext\@makefntextFB \else
-                         \let\FNH@@makefntext\@makefntextORI\fi}%
-   \expandafter\FNH@check@a\FNH@@makefntext{1.2!3?4,}%
-               \FNH@@@1.2!3?4,\FNH@@@\relax
-}%
-\long\def\FNH@check@a #11.2!3?4,#2\FNH@@@#3{%
-    \ifx\relax#3\expandafter\@firstoftwo\else\expandafter\@secondoftwo\fi
-    \FNH@bad@makefntext@alert
-    {\def\FNH@prefntext{#1}\def\FNH@postfntext{#2}\FNH@check@b}%
-}%
-\def\FNH@check@b #1\relax{%
-    \expandafter\expandafter\expandafter\FNH@check@c
-    \expandafter\meaning\expandafter\FNH@prefntext
-    \meaning\FNH@postfntext1.2!3?4,\FNH@check@c\relax
-}%
-\def\FNH@check@c #11.2!3?4,#2#3\relax{%
-    \ifx\FNH@check@c#2\expandafter\@gobble\fi\FNH@bad@makefntext@alert
-}%
-% slight reformulation for Sphinx
-\def\FNH@bad@makefntext@alert{%
-  \PackageWarningNoLine{footnotehyper-sphinx}%
-    {Footnotes will be sub-optimal, sorry. This is due to the document class or^^J
-  some package modifying macro \string\@makefntext.^^J
-  You can try to report this incompatibility at^^J
-  https://github.com/sphinx-doc/sphinx with this info:}%
-    \typeout{\meaning\@makefntext}%
-    \let\FNH@prefntext\@empty\let\FNH@postfntext\@empty
-}%
-% this macro from original footnote.sty is not used anymore by Sphinx
-% but for simplicity sake let's just keep it as is
-\def\makesavenoteenv{\@ifnextchar[\FNH@msne@ii\FNH@msne@i}%]
-\def\FNH@msne@i #1{%
-  \expandafter\let\csname FNH$#1\expandafter\endcsname %$
-                  \csname #1\endcsname
-  \expandafter\let\csname endFNH$#1\expandafter\endcsname %$
-                  \csname end#1\endcsname
-  \FNH@msne@ii[#1]{FNH$#1}%$
-}%
-\def\FNH@msne@ii[#1]#2{%
-  \expandafter\edef\csname#1\endcsname{%
-    \noexpand\savenotes
-    \expandafter\noexpand\csname#2\endcsname
-  }%
-  \expandafter\edef\csname end#1\endcsname{%
-    \expandafter\noexpand\csname end#2\endcsname
-    \noexpand\expandafter
-    \noexpand\spewnotes
-    \noexpand\if@endpe\noexpand\@endpetrue\noexpand\fi
-  }%
-}%
-% end of footnotehyper 2017/02/16 v0.99
-% some extras for Sphinx :
-% \sphinxfootnotemark: usable in section titles and silently removed from TOCs.
-\def\sphinxfootnotemark [#1]%
-   {\ifx\thepage\relax\else\protect\spx@opt@BeforeFootnote
-                             \protect\footnotemark[#1]\fi}%
-\AtBeginDocument{%
-   % let hyperref less complain
-   \pdfstringdefDisableCommands{\def\sphinxfootnotemark [#1]{}}%
-   % to obtain hyperlinked footnotes in longtable environment we must replace
-   % hyperref's patch of longtable's patch of \@footnotetext by our own
-   \let\LT@p@ftntext\FNH@hyper@fntext
-   % this *requires* longtable to be used always wrapped in savenotes environment
-}%
-\endinput
-%%
-%% End of file `footnotehyper-sphinx.sty'.
diff -pruN 1.21.2-1/doc/pdf/latexmkjarc 1.21.3-1/doc/pdf/latexmkjarc
--- 1.21.2-1/doc/pdf/latexmkjarc	2018-01-24 14:54:54.000000000 +0000
+++ 1.21.3-1/doc/pdf/latexmkjarc	2024-06-26 20:01:51.000000000 +0000
@@ -1,7 +1,22 @@
-$latex = 'platex ' . $ENV{'LATEXOPTS'} . ' -kanji=utf8 %O %S';
+$latex = 'pdflatex ' . $ENV{'LATEXOPTS'} . ' -kanji=utf8 %O %S';
 $dvipdf = 'dvipdfmx %O -o %D %S';
-$makeindex = 'rm -f %D; mendex -U -f -d %B.dic -s python.ist %S || echo "mendex exited with error code $? (ignoring)" && : >> %D';
+$makeindex = 'internal mendex %S %B %D';
+sub mendex {
+  my ($source, $basename, $destination) = @_;
+  my $dictfile = $basename . ".dic";
+  unlink($destination);
+  system("mendex", "-U", "-f", "-d", $dictfile, "-s", "python.ist", $source);
+  if ($? > 0) {
+    print("mendex exited with error code $? (ignored)\n");
+  }
+  if (!-e $destination) {
+    # create an empty .ind file if nothing
+    open(FH, ">" . $destination);
+    close(FH);
+  }
+  return 0;
+}
 add_cus_dep( "glo", "gls", 0, "makeglo" );
 sub makeglo {
  return system( "mendex -J -f -s gglo.ist -o '$_[0].gls' '$_[0].glo'" );
-}
+}
\ No newline at end of file
diff -pruN 1.21.2-1/doc/pdf/make.bat 1.21.3-1/doc/pdf/make.bat
--- 1.21.2-1/doc/pdf/make.bat	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/make.bat	2024-06-26 20:01:51.000000000 +0000
@@ -0,0 +1,31 @@
+@ECHO OFF
+
+REM Command file for Sphinx documentation
+
+pushd %~dp0
+
+set PDFLATEX=latexmk -pdf -dvi- -ps-
+
+set "LATEXOPTS= "
+
+if "%1" == "" goto all-pdf
+
+if "%1" == "all-pdf" (
+	:all-pdf
+	for %%i in (*.tex) do (
+		%PDFLATEX% %LATEXMKOPTS% %%i
+	)
+	goto end
+)
+
+if "%1" == "all-pdf-ja" (
+	goto all-pdf
+)
+
+if "%1" == "clean" (
+	del /q /s *.dvi *.log *.ind *.aux *.toc *.syn *.idx *.out *.ilg *.pla *.ps *.tar *.tar.gz *.tar.bz2 *.tar.xz *.fls *.fdb_latexmk
+	goto end
+)
+
+:end
+popd
\ No newline at end of file
Binary files 1.21.2-1/doc/pdf/plugindev.pdf and 1.21.3-1/doc/pdf/plugindev.pdf differ
diff -pruN 1.21.2-1/doc/pdf/plugindev.tex 1.21.3-1/doc/pdf/plugindev.tex
--- 1.21.2-1/doc/pdf/plugindev.tex	2023-08-14 16:25:08.000000000 +0000
+++ 1.21.3-1/doc/pdf/plugindev.tex	2024-06-26 20:01:51.000000000 +0000
@@ -4,35 +4,48 @@
 \ifdefined\pdfpxdimen
    \let\sphinxpxdimen\pdfpxdimen\else\newdimen\sphinxpxdimen
 \fi \sphinxpxdimen=.75bp\relax
+\ifdefined\pdfimageresolution
+    \pdfimageresolution= \numexpr \dimexpr1in\relax/\sphinxpxdimen\relax
+\fi
+%% let collapsible pdf bookmarks panel have high depth per default
+\PassOptionsToPackage{bookmarksdepth=5}{hyperref}
 
+\PassOptionsToPackage{warn}{textcomp}
 \usepackage[utf8]{inputenc}
 \ifdefined\DeclareUnicodeCharacter
- \ifdefined\DeclareUnicodeCharacterAsOptional
-  \DeclareUnicodeCharacter{"00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{"2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{"2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{"2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{"251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{"2572}{\textbackslash}
- \else
-  \DeclareUnicodeCharacter{00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{2572}{\textbackslash}
- \fi
+% support both utf8 and utf8x syntaxes
+  \ifdefined\DeclareUnicodeCharacterAsOptional
+    \def\sphinxDUC#1{\DeclareUnicodeCharacter{"#1}}
+  \else
+    \let\sphinxDUC\DeclareUnicodeCharacter
+  \fi
+  \sphinxDUC{00A0}{\nobreakspace}
+  \sphinxDUC{2500}{\sphinxunichar{2500}}
+  \sphinxDUC{2502}{\sphinxunichar{2502}}
+  \sphinxDUC{2514}{\sphinxunichar{2514}}
+  \sphinxDUC{251C}{\sphinxunichar{251C}}
+  \sphinxDUC{2572}{\textbackslash}
 \fi
 \usepackage{cmap}
 \usepackage[T1]{fontenc}
 \usepackage{amsmath,amssymb,amstext}
 \usepackage{babel}
-\usepackage{times}
+
+
+
+\usepackage{tgtermes}
+\usepackage{tgheros}
+\renewcommand{\ttdefault}{txtt}
+
+
+
 \usepackage[Bjarne]{fncychap}
-\usepackage[dontkeepoldnames]{sphinx}
+\usepackage{sphinx}
 
+\fvset{fontsize=auto}
 \usepackage{geometry}
 
+
 % Include hyperref last.
 \usepackage{hyperref}
 % Fix anchor placement for figures with captions.
@@ -40,91 +53,96 @@
 % Set up styles of URL: it should be placed after hyperref.
 \urlstyle{same}
 
-\addto\captionsenglish{\renewcommand{\figurename}{Fig.}}
-\addto\captionsenglish{\renewcommand{\tablename}{Table}}
-\addto\captionsenglish{\renewcommand{\literalblockname}{Listing}}
-
-\addto\captionsenglish{\renewcommand{\literalblockcontinuedname}{continued from previous page}}
-\addto\captionsenglish{\renewcommand{\literalblockcontinuesname}{continues on next page}}
-
-\addto\extrasenglish{\def\pageautorefname{page}}
 
+\usepackage{sphinxmessages}
 \setcounter{tocdepth}{1}
 
 
 
 \title{Kerberos Plugin Module Developer Guide}
 \date{ }
-\release{1.21.2}
+\release{1.21.3}
 \author{MIT}
 \newcommand{\sphinxlogo}{\vbox{}}
 \renewcommand{\releasename}{Release}
 \makeindex
-
 \begin{document}
 
-\maketitle
+\pagestyle{empty}
+\sphinxmaketitle
+\pagestyle{plain}
 \sphinxtableofcontents
+\pagestyle{normal}
 \phantomsection\label{\detokenize{plugindev/index::doc}}
 
 
+\sphinxAtStartPar
 Kerberos plugin modules allow increased control over MIT krb5 library
 and server behavior.  This guide describes how to create dynamic
 plugin modules and the currently available pluggable interfaces.
 
+\sphinxAtStartPar
 See \DUrole{xref,std,std-ref}{plugin\_config} for information on how to register dynamic
 plugin modules and how to enable and disable modules via
 \DUrole{xref,std,std-ref}{krb5.conf(5)}.
 
 
 \chapter{Contents}
-\label{\detokenize{plugindev/index:for-plugin-module-developers}}\label{\detokenize{plugindev/index:contents}}
+\label{\detokenize{plugindev/index:contents}}
 
 \section{General plugin concepts}
 \label{\detokenize{plugindev/general:general-plugin-concepts}}\label{\detokenize{plugindev/general::doc}}
+\sphinxAtStartPar
 A krb5 dynamic plugin module is a Unix shared object or Windows DLL.
 Typically, the source code for a dynamic plugin module should live in
 its own project with a build system using \sphinxhref{https://www.gnu.org/software/automake/}{automake} and \sphinxhref{https://www.gnu.org/software/libtool/}{libtool}, or
 tools with similar functionality.
 
+\sphinxAtStartPar
 A plugin module must define a specific symbol name, which depends on
 the pluggable interface and module name.  For most pluggable
 interfaces, the exported symbol is a function named
-\sphinxcode{INTERFACE\_MODULE\_initvt}, where \sphinxstyleemphasis{INTERFACE} is the name of the
+\sphinxcode{\sphinxupquote{INTERFACE\_MODULE\_initvt}}, where \sphinxstyleemphasis{INTERFACE} is the name of the
 pluggable interface and \sphinxstyleemphasis{MODULE} is the name of the module.  For these
 interfaces, it is possible for one shared object or DLL to implement
 multiple plugin modules, either for the same pluggable interface or
 for different ones.  For example, a shared object could implement both
 KDC and client preauthentication mechanisms, by exporting functions
-named \sphinxcode{kdcpreauth\_mymech\_initvt} and \sphinxcode{clpreauth\_mymech\_initvt}.
+named \sphinxcode{\sphinxupquote{kdcpreauth\_mymech\_initvt}} and \sphinxcode{\sphinxupquote{clpreauth\_mymech\_initvt}}.
 
+\sphinxAtStartPar
 A plugin module implementation should include the header file
-\sphinxcode{\textless{}krb5/INTERFACE\_plugin.h\textgreater{}}, where \sphinxstyleemphasis{INTERFACE} is the name of the
+\sphinxcode{\sphinxupquote{\textless{}krb5/INTERFACE\_plugin.h\textgreater{}}}, where \sphinxstyleemphasis{INTERFACE} is the name of the
 pluggable interface.  For instance, a ccselect plugin module
-implementation should use \sphinxcode{\#include \textless{}krb5/ccselect\_plugin.h\textgreater{}}.
+implementation should use \sphinxcode{\sphinxupquote{\#include \textless{}krb5/ccselect\_plugin.h\textgreater{}}}.
 
+\sphinxAtStartPar
 initvt functions have the following prototype:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{krb5\PYGZus{}error\PYGZus{}code} \PYG{n}{interface\PYGZus{}modname\PYGZus{}initvt}\PYG{p}{(}\PYG{n}{krb5\PYGZus{}context} \PYG{n}{context}\PYG{p}{,}
                                          \PYG{n+nb}{int} \PYG{n}{maj\PYGZus{}ver}\PYG{p}{,} \PYG{n+nb}{int} \PYG{n}{min\PYGZus{}ver}\PYG{p}{,}
                                          \PYG{n}{krb5\PYGZus{}plugin\PYGZus{}vtable} \PYG{n}{vtable}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 and should do the following:
 \begin{enumerate}
+\sphinxsetlistlabels{\arabic}{enumi}{enumii}{}{.}%
 \item {} 
+\sphinxAtStartPar
 Check that the supplied maj\_ver argument is supported by the
 module.  If it is not supported, the function should return
 KRB5\_PLUGIN\_VER\_NOTSUPP.
 
 \item {} 
+\sphinxAtStartPar
 Cast the supplied vtable pointer to the structure type
 corresponding to the major version, as documented in the pluggable
 interface header file.
 
 \item {} 
+\sphinxAtStartPar
 Fill in the structure fields with pointers to method functions and
 static data, stopping at the field indicated by the supplied minor
 version.  Fields for unimplemented optional methods can be left
@@ -132,21 +150,23 @@ alone; it is not necessary to initialize
 
 \end{enumerate}
 
+\sphinxAtStartPar
 In most cases, the context argument will not be used.  The initvt
 function should not allocate memory; think of it as a glorified
 structure initializer.  Each pluggable interface defines methods for
 allocating and freeing module state if doing so is necessary for the
 interface.
 
+\sphinxAtStartPar
 Pluggable interfaces typically include a \sphinxstylestrong{name} field in the vtable
 structure, which should be filled in with a pointer to a string
 literal containing the module name.
 
+\sphinxAtStartPar
 Here is an example of what an initvt function might look like for a
 fictional pluggable interface named fences, for a module named
 “wicker”:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{krb5\PYGZus{}error\PYGZus{}code}
 \PYG{n}{fences\PYGZus{}wicker\PYGZus{}initvt}\PYG{p}{(}\PYG{n}{krb5\PYGZus{}context} \PYG{n}{context}\PYG{p}{,} \PYG{n+nb}{int} \PYG{n}{maj\PYGZus{}ver}\PYG{p}{,}
@@ -180,6 +200,7 @@ fictional pluggable interface named fenc
 
 \subsection{Logging from KDC and kadmind plugin modules}
 \label{\detokenize{plugindev/general:logging-from-kdc-and-kadmind-plugin-modules}}
+\sphinxAtStartPar
 Plugin modules for the KDC or kadmind daemons can write to the
 configured logging outputs (see \DUrole{xref,std,std-ref}{logging}) by calling the
 \sphinxstylestrong{com\_err} function.  The first argument (\sphinxstyleemphasis{whoami}) is ignored.  If
@@ -188,12 +209,12 @@ at informational severity; otherwise, th
 at error severity and includes the error message for the supplied
 code.  Here are examples:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{com\PYGZus{}err}\PYG{p}{(}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{p}{,} \PYG{l+m+mi}{0}\PYG{p}{,} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{Client message contains }\PYG{l+s+si}{\PYGZpc{}d}\PYG{l+s+s2}{ items}\PYG{l+s+s2}{\PYGZdq{}}\PYG{p}{,} \PYG{n}{nitems}\PYG{p}{)}\PYG{p}{;}
 \PYG{n}{com\PYGZus{}err}\PYG{p}{(}\PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{\PYGZdq{}}\PYG{p}{,} \PYG{n}{retval}\PYG{p}{,} \PYG{l+s+s2}{\PYGZdq{}}\PYG{l+s+s2}{while decoding client message}\PYG{l+s+s2}{\PYGZdq{}}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 (The behavior described above is new in release 1.17.  In prior
 releases, the \sphinxstyleemphasis{whoami} argument is included for some logging output
 types, the logged message does not include the usual header for some
@@ -203,144 +224,167 @@ part of the logging specification, defau
 
 \section{Client preauthentication interface (clpreauth)}
 \label{\detokenize{plugindev/clpreauth:client-preauthentication-interface-clpreauth}}\label{\detokenize{plugindev/clpreauth::doc}}
+\sphinxAtStartPar
 During an initial ticket request, a KDC may ask a client to prove its
 knowledge of the password before issuing an encrypted ticket, or to
 use credentials other than a password.  This process is called
-preauthentication, and is described in \index{RFC!RFC 4120}\sphinxhref{https://tools.ietf.org/html/rfc4120.html}{\sphinxstylestrong{RFC 4120}} and \index{RFC!RFC 6113}\sphinxhref{https://tools.ietf.org/html/rfc6113.html}{\sphinxstylestrong{RFC 6113}}.
+preauthentication, and is described in \index{RFC@\spxentry{RFC}!RFC 4120@\spxentry{RFC 4120}}\sphinxhref{https://tools.ietf.org/html/rfc4120.html}{\sphinxstylestrong{RFC 4120}} and \index{RFC@\spxentry{RFC}!RFC 6113@\spxentry{RFC 6113}}\sphinxhref{https://tools.ietf.org/html/rfc6113.html}{\sphinxstylestrong{RFC 6113}}.
 The clpreauth interface allows the addition of client support for
 preauthentication mechanisms beyond those included in the core MIT
 krb5 code base.  For a detailed description of the clpreauth
-interface, see the header file \sphinxcode{\textless{}krb5/clpreauth\_plugin.h\textgreater{}} (or
-\sphinxcode{\textless{}krb5/preauth\_plugin.h\textgreater{}} before release 1.12).
+interface, see the header file \sphinxcode{\sphinxupquote{\textless{}krb5/clpreauth\_plugin.h\textgreater{}}} (or
+\sphinxcode{\sphinxupquote{\textless{}krb5/preauth\_plugin.h\textgreater{}}} before release 1.12).
 
+\sphinxAtStartPar
 A clpreauth module is generally responsible for:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Supplying a list of preauth type numbers used by the module in the
 \sphinxstylestrong{pa\_type\_list} field of the vtable structure.
 
 \item {} 
+\sphinxAtStartPar
 Indicating what kind of preauthentication mechanism it implements,
 with the \sphinxstylestrong{flags} method.  In the most common case, this method
-just returns \sphinxcode{PA\_REAL}, indicating that it implements a normal
+just returns \sphinxcode{\sphinxupquote{PA\_REAL}}, indicating that it implements a normal
 preauthentication type.
 
 \item {} 
+\sphinxAtStartPar
 Examining the padata information included in a PREAUTH\_REQUIRED or
 MORE\_PREAUTH\_DATA\_REQUIRED error and producing padata values for the
 next AS request.  This is done with the \sphinxstylestrong{process} method.
 
 \item {} 
+\sphinxAtStartPar
 Examining the padata information included in a successful ticket
 reply, possibly verifying the KDC identity and computing a reply
 key.  This is also done with the \sphinxstylestrong{process} method.
 
 \item {} 
+\sphinxAtStartPar
 For preauthentication types which support it, recovering from errors
 by examining the error data from the KDC and producing a padata
 value for another AS request.  This is done with the \sphinxstylestrong{tryagain}
 method.
 
 \item {} 
-Receiving option information (supplied by \sphinxcode{kinit -X} or by an
+\sphinxAtStartPar
+Receiving option information (supplied by \sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}X}} or by an
 application), with the \sphinxstylestrong{gic\_opts} method.
 
 \end{itemize}
 
-A clpreauth module can create and destroy per-library-context and
-per-request state objects by implementing the \sphinxstylestrong{init}, \sphinxstylestrong{fini},
-\sphinxstylestrong{request\_init}, and \sphinxstylestrong{request\_fini} methods.  Per-context state
-objects have the type krb5\_clpreauth\_moddata, and per-request state
+\sphinxAtStartPar
+A clpreauth module can create and destroy per\sphinxhyphen{}library\sphinxhyphen{}context and
+per\sphinxhyphen{}request state objects by implementing the \sphinxstylestrong{init}, \sphinxstylestrong{fini},
+\sphinxstylestrong{request\_init}, and \sphinxstylestrong{request\_fini} methods.  Per\sphinxhyphen{}context state
+objects have the type krb5\_clpreauth\_moddata, and per\sphinxhyphen{}request state
 objects have the type krb5\_clpreauth\_modreq.  These are abstract
 pointer types; a module should typically cast these to internal
 types for the state objects.
 
+\sphinxAtStartPar
 The \sphinxstylestrong{process} and \sphinxstylestrong{tryagain} methods have access to a callback
 function and handle (called a “rock”) which can be used to get
 additional information about the current request, including the
 expected enctype of the AS reply, the FAST armor key, and the client
-long-term key (prompting for the user password if necessary).  A
+long\sphinxhyphen{}term key (prompting for the user password if necessary).  A
 callback can also be used to replace the AS reply key if the
 preauthentication mechanism computes one.
 
 
 \section{KDC preauthentication interface (kdcpreauth)}
 \label{\detokenize{plugindev/kdcpreauth:kdc-preauthentication-interface-kdcpreauth}}\label{\detokenize{plugindev/kdcpreauth::doc}}
+\sphinxAtStartPar
 The kdcpreauth interface allows the addition of KDC support for
 preauthentication mechanisms beyond those included in the core MIT
 krb5 code base.  For a detailed description of the kdcpreauth
-interface, see the header file \sphinxcode{\textless{}krb5/kdcpreauth\_plugin.h\textgreater{}} (or
-\sphinxcode{\textless{}krb5/preauth\_plugin.h\textgreater{}} before release 1.12).
+interface, see the header file \sphinxcode{\sphinxupquote{\textless{}krb5/kdcpreauth\_plugin.h\textgreater{}}} (or
+\sphinxcode{\sphinxupquote{\textless{}krb5/preauth\_plugin.h\textgreater{}}} before release 1.12).
 
+\sphinxAtStartPar
 A kdcpreauth module is generally responsible for:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Supplying a list of preauth type numbers used by the module in the
 \sphinxstylestrong{pa\_type\_list} field of the vtable structure.
 
 \item {} 
+\sphinxAtStartPar
 Indicating what kind of preauthentication mechanism it implements,
 with the \sphinxstylestrong{flags} method.  If the mechanism computes a new reply
-key, it must specify the \sphinxcode{PA\_REPLACES\_KEY} flag.  If the mechanism
-is generally only used with hardware tokens, the \sphinxcode{PA\_HARDWARE}
+key, it must specify the \sphinxcode{\sphinxupquote{PA\_REPLACES\_KEY}} flag.  If the mechanism
+is generally only used with hardware tokens, the \sphinxcode{\sphinxupquote{PA\_HARDWARE}}
 flag allows the mechanism to work with principals which have the
 \sphinxstylestrong{requires\_hwauth} flag set.
 
 \item {} 
+\sphinxAtStartPar
 Producing a padata value to be sent with a preauth\_required error,
 with the \sphinxstylestrong{edata} method.
 
 \item {} 
+\sphinxAtStartPar
 Examining a padata value sent by a client and verifying that it
 proves knowledge of the appropriate client credential information.
 This is done with the \sphinxstylestrong{verify} method.
 
 \item {} 
+\sphinxAtStartPar
 Producing a padata response value for the client, and possibly
 computing a reply key.  This is done with the \sphinxstylestrong{return\_padata}
 method.
 
 \end{itemize}
 
-A module can create and destroy per-KDC state objects by implementing
-the \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  Per-KDC state objects have the
+\sphinxAtStartPar
+A module can create and destroy per\sphinxhyphen{}KDC state objects by implementing
+the \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  Per\sphinxhyphen{}KDC state objects have the
 type krb5\_kdcpreauth\_moddata, which is an abstract pointer types.  A
 module should typically cast this to an internal type for the state
 object.
 
-A module can create a per-request state object by returning one in the
+\sphinxAtStartPar
+A module can create a per\sphinxhyphen{}request state object by returning one in the
 \sphinxstylestrong{verify} method, receiving it in the \sphinxstylestrong{return\_padata} method, and
 destroying it in the \sphinxstylestrong{free\_modreq} method.  Note that these state
 objects only apply to the processing of a single AS request packet,
 not to an entire authentication exchange (since an authentication
 exchange may remain unfinished by the client or may involve multiple
-different KDC hosts).  Per-request state objects have the type
+different KDC hosts).  Per\sphinxhyphen{}request state objects have the type
 krb5\_kdcpreauth\_modreq, which is an abstract pointer type.
 
+\sphinxAtStartPar
 The \sphinxstylestrong{edata}, \sphinxstylestrong{verify}, and \sphinxstylestrong{return\_padata} methods have access
 to a callback function and handle (called a “rock”) which can be used
 to get additional information about the current request, including the
-maximum allowable clock skew, the client’s long-term keys, the
-DER-encoded request body, the FAST armor key, string attributes on the
+maximum allowable clock skew, the client’s long\sphinxhyphen{}term keys, the
+DER\sphinxhyphen{}encoded request body, the FAST armor key, string attributes on the
 client’s database entry, and the client’s database entry itself.  The
 \sphinxstylestrong{verify} method can assert one or more authentication indicators to
-be included in the issued ticket using the \sphinxcode{add\_auth\_indicator}
+be included in the issued ticket using the \sphinxcode{\sphinxupquote{add\_auth\_indicator}}
 callback (new in release 1.14).
 
+\sphinxAtStartPar
 A module can generate state information to be included with the next
-client request using the \sphinxcode{set\_cookie} callback (new in release
+client request using the \sphinxcode{\sphinxupquote{set\_cookie}} callback (new in release
 1.14).  On the next request, the module can read this state
-information using the \sphinxcode{get\_cookie} callback.  Cookie information is
+information using the \sphinxcode{\sphinxupquote{get\_cookie}} callback.  Cookie information is
 encrypted, timestamped, and transmitted to the client in a
-\sphinxcode{PA-FX-COOKIE} pa-data item.  Older clients may not support cookies
+\sphinxcode{\sphinxupquote{PA\sphinxhyphen{}FX\sphinxhyphen{}COOKIE}} pa\sphinxhyphen{}data item.  Older clients may not support cookies
 and therefore may not transmit the cookie in the next request; in this
-case, \sphinxcode{get\_cookie} will not yield the saved information.
+case, \sphinxcode{\sphinxupquote{get\_cookie}} will not yield the saved information.
 
+\sphinxAtStartPar
 If a module implements a mechanism which requires multiple round
 trips, its \sphinxstylestrong{verify} method can respond with the code
-\sphinxcode{KRB5KDC\_ERR\_MORE\_PREAUTH\_DATA\_REQUIRED} and a list of pa-data in
+\sphinxcode{\sphinxupquote{KRB5KDC\_ERR\_MORE\_PREAUTH\_DATA\_REQUIRED}} and a list of pa\sphinxhyphen{}data in
 the \sphinxstyleemphasis{e\_data} parameter to be processed by the client.
 
+\sphinxAtStartPar
 The \sphinxstylestrong{edata} and \sphinxstylestrong{verify} methods can be implemented
 asynchronously.  Because of this, they do not return values directly
 to the caller, but must instead invoke responder functions with their
@@ -350,23 +394,27 @@ callback to get an event context for use
 
 
 \section{Credential cache selection interface (ccselect)}
-\label{\detokenize{plugindev/ccselect:credential-cache-selection-interface-ccselect}}\label{\detokenize{plugindev/ccselect::doc}}\label{\detokenize{plugindev/ccselect:ccselect-plugin}}
+\label{\detokenize{plugindev/ccselect:credential-cache-selection-interface-ccselect}}\label{\detokenize{plugindev/ccselect:ccselect-plugin}}\label{\detokenize{plugindev/ccselect::doc}}
+\sphinxAtStartPar
 The ccselect interface allows modules to control how credential caches
 are chosen when a GSSAPI client contacts a service.  For a detailed
 description of the ccselect interface, see the header file
-\sphinxcode{\textless{}krb5/ccselect\_plugin.h\textgreater{}}.
+\sphinxcode{\sphinxupquote{\textless{}krb5/ccselect\_plugin.h\textgreater{}}}.
 
+\sphinxAtStartPar
 The primary ccselect method is \sphinxstylestrong{choose}, which accepts a server
 principal as input and returns a ccache and/or principal name as
 output.  A module can use the krb5\_cccol APIs to iterate over the
 cache collection in order to find an appropriate ccache to use.
 
-A module can create and destroy per-library-context state objects by
+\sphinxAtStartPar
+A module can create and destroy per\sphinxhyphen{}library\sphinxhyphen{}context state objects by
 implementing the \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  State objects have
 the type krb5\_ccselect\_moddata, which is an abstract pointer type.  A
 module should typically cast this to an internal type for the state
 object.
 
+\sphinxAtStartPar
 A module can have one of two priorities, “authoritative” or
 “heuristic”.  Results from authoritative modules, if any are
 available, will take priority over results from heuristic modules.  A
@@ -374,20 +422,23 @@ module communicates its priority as a re
 
 
 \section{Password quality interface (pwqual)}
-\label{\detokenize{plugindev/pwqual::doc}}\label{\detokenize{plugindev/pwqual:password-quality-interface-pwqual}}\label{\detokenize{plugindev/pwqual:pwqual-plugin}}
+\label{\detokenize{plugindev/pwqual:password-quality-interface-pwqual}}\label{\detokenize{plugindev/pwqual:pwqual-plugin}}\label{\detokenize{plugindev/pwqual::doc}}
+\sphinxAtStartPar
 The pwqual interface allows modules to control what passwords are
 allowed when a user changes passwords.  For a detailed description of
-the pwqual interface, see the header file \sphinxcode{\textless{}krb5/pwqual\_plugin.h\textgreater{}}.
+the pwqual interface, see the header file \sphinxcode{\sphinxupquote{\textless{}krb5/pwqual\_plugin.h\textgreater{}}}.
 
+\sphinxAtStartPar
 The primary pwqual method is \sphinxstylestrong{check}, which receives a password as
-input and returns success (0) or a \sphinxcode{KADM5\_PASS\_Q\_} failure code
+input and returns success (0) or a \sphinxcode{\sphinxupquote{KADM5\_PASS\_Q\_}} failure code
 depending on whether the password is allowed.  The \sphinxstylestrong{check} method
 also receives the principal name and the name of the principal’s
 password policy as input; although there is no stable interface for
 the module to obtain the fields of the password policy, it can define
 its own configuration or data store based on the policy name.
 
-A module can create and destroy per-process state objects by
+\sphinxAtStartPar
+A module can create and destroy per\sphinxhyphen{}process state objects by
 implementing the \sphinxstylestrong{open} and \sphinxstylestrong{close} methods.  State objects have
 the type krb5\_pwqual\_moddata, which is an abstract pointer type.  A
 module should typically cast this to an internal type for the state
@@ -398,45 +449,52 @@ it.
 
 
 \section{KADM5 hook interface (kadm5\_hook)}
-\label{\detokenize{plugindev/kadm5_hook:kadm5-hook-interface-kadm5-hook}}\label{\detokenize{plugindev/kadm5_hook::doc}}\label{\detokenize{plugindev/kadm5_hook:kadm5-hook-plugin}}
+\label{\detokenize{plugindev/kadm5_hook:kadm5-hook-interface-kadm5-hook}}\label{\detokenize{plugindev/kadm5_hook:kadm5-hook-plugin}}\label{\detokenize{plugindev/kadm5_hook::doc}}
+\sphinxAtStartPar
 The kadm5\_hook interface allows modules to perform actions when
 changes are made to the Kerberos database through \DUrole{xref,std,std-ref}{kadmin(1)}.
 For a detailed description of the kadm5\_hook interface, see the header
-file \sphinxcode{\textless{}krb5/kadm5\_hook\_plugin.h\textgreater{}}.
+file \sphinxcode{\sphinxupquote{\textless{}krb5/kadm5\_hook\_plugin.h\textgreater{}}}.
 
+\sphinxAtStartPar
 The kadm5\_hook interface has five primary methods: \sphinxstylestrong{chpass},
 \sphinxstylestrong{create}, \sphinxstylestrong{modify}, \sphinxstylestrong{remove}, and \sphinxstylestrong{rename}.  (The \sphinxstylestrong{rename}
 method was introduced in release 1.14.)  Each of these methods is
 called twice when the corresponding administrative action takes place,
 once before the action is committed and once afterwards.  A module can
 prevent the action from taking place by returning an error code during
-the pre-commit stage.
+the pre\sphinxhyphen{}commit stage.
 
-A module can create and destroy per-process state objects by
+\sphinxAtStartPar
+A module can create and destroy per\sphinxhyphen{}process state objects by
 implementing the \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  State objects have
 the type kadm5\_hook\_modinfo, which is an abstract pointer type.  A
 module should typically cast this to an internal type for the state
 object.
 
+\sphinxAtStartPar
 Because the kadm5\_hook interface is tied closely to the kadmin
 interface (which is explicitly unstable), it may not remain as stable
 across versions as other public pluggable interfaces.
 
 
 \section{kadmin authorization interface (kadm5\_auth)}
-\label{\detokenize{plugindev/kadm5_auth:kadm5-auth-plugin}}\label{\detokenize{plugindev/kadm5_auth:kadmin-authorization-interface-kadm5-auth}}\label{\detokenize{plugindev/kadm5_auth::doc}}
+\label{\detokenize{plugindev/kadm5_auth:kadmin-authorization-interface-kadm5-auth}}\label{\detokenize{plugindev/kadm5_auth:kadm5-auth-plugin}}\label{\detokenize{plugindev/kadm5_auth::doc}}
+\sphinxAtStartPar
 The kadm5\_auth interface (new in release 1.16) allows modules to
 determine whether a client principal is authorized to perform an
 operation in the kadmin protocol, and to apply restrictions to
 principal operations.  For a detailed description of the kadm5\_auth
-interface, see the header file \sphinxcode{\textless{}krb5/kadm5\_auth\_plugin.h\textgreater{}}.
+interface, see the header file \sphinxcode{\sphinxupquote{\textless{}krb5/kadm5\_auth\_plugin.h\textgreater{}}}.
 
-A module can create and destroy per-process state objects by
+\sphinxAtStartPar
+A module can create and destroy per\sphinxhyphen{}process state objects by
 implementing the \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  State objects have
 the type kadm5\_auth\_modinfo, which is an abstract pointer type.  A
 module should typically cast this to an internal type for the state
 object.
 
+\sphinxAtStartPar
 The kadm5\_auth interface has one method for each kadmin operation,
 with parameters specific to the operation.  Each method can return
 either 0 to authorize access, KRB5\_PLUGIN\_NO\_HANDLE to defer the
@@ -444,52 +502,62 @@ decision to other modules, or another er
 authoritatively deny access.  Access is granted if at least one module
 grants access and no module authoritatively denies access.
 
+\sphinxAtStartPar
 The \sphinxstylestrong{addprinc} and \sphinxstylestrong{modprinc} methods can also impose restrictions
-on the principal operation by returning a \sphinxcode{struct
-kadm5\_auth\_restrictions} object.  The module should also implement
+on the principal operation by returning a \sphinxcode{\sphinxupquote{struct
+kadm5\_auth\_restrictions}} object.  The module should also implement
 the \sphinxstylestrong{free\_restrictions} method if it dynamically allocates
 restrictions objects for principal operations.
 
+\sphinxAtStartPar
 kadm5\_auth modules can optionally inspect principal or policy objects.
-To do this, the module must also include \sphinxcode{\textless{}kadm5/admin.h\textgreater{}} to gain
+To do this, the module must also include \sphinxcode{\sphinxupquote{\textless{}kadm5/admin.h\textgreater{}}} to gain
 access to the structure definitions for those objects.  As the kadmin
 interface is explicitly not as stable as other public interfaces,
 modules which do this may not retain compatibility across releases.
 
 
-\section{Host-to-realm interface (hostrealm)}
-\label{\detokenize{plugindev/hostrealm:hostrealm-plugin}}\label{\detokenize{plugindev/hostrealm::doc}}\label{\detokenize{plugindev/hostrealm:host-to-realm-interface-hostrealm}}
-The host-to-realm interface was first introduced in release 1.12.  It
+\section{Host\sphinxhyphen{}to\sphinxhyphen{}realm interface (hostrealm)}
+\label{\detokenize{plugindev/hostrealm:host-to-realm-interface-hostrealm}}\label{\detokenize{plugindev/hostrealm:hostrealm-plugin}}\label{\detokenize{plugindev/hostrealm::doc}}
+\sphinxAtStartPar
+The host\sphinxhyphen{}to\sphinxhyphen{}realm interface was first introduced in release 1.12.  It
 allows modules to control the local mapping of hostnames to realm
 names as well as the default realm.  For a detailed description of the
 hostrealm interface, see the header file
-\sphinxcode{\textless{}krb5/hostrealm\_plugin.h\textgreater{}}.
+\sphinxcode{\sphinxupquote{\textless{}krb5/hostrealm\_plugin.h\textgreater{}}}.
 
+\sphinxAtStartPar
 Although the mapping methods in the hostrealm interface return a list
 of one or more realms, only the first realm in the list is currently
 used by callers.  Callers may begin using later responses in the
 future.
 
+\sphinxAtStartPar
 Any mapping method may return KRB5\_PLUGIN\_NO\_HANDLE to defer
 processing to a later module.
 
-A module can create and destroy per-library-context state objects
+\sphinxAtStartPar
+A module can create and destroy per\sphinxhyphen{}library\sphinxhyphen{}context state objects
 using the \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  If the module does not need
 any state, it does not need to implement these methods.
 
+\sphinxAtStartPar
 The optional \sphinxstylestrong{host\_realm} method allows a module to determine
 authoritative realm mappings for a hostname.  The first authoritative
 mapping is used in preference to KDC referrals when getting service
 credentials.
 
+\sphinxAtStartPar
 The optional \sphinxstylestrong{fallback\_realm} method allows a module to determine
 fallback mappings for a hostname.  The first fallback mapping is tried
 if there is no authoritative mapping for a realm, and KDC referrals
 failed to produce a successful result.
 
+\sphinxAtStartPar
 The optional \sphinxstylestrong{default\_realm} method allows a module to determine the
 local default realm.
 
+\sphinxAtStartPar
 If a module implements any of the above methods, it must also
 implement \sphinxstylestrong{free\_list} to ensure that memory is allocated and
 deallocated consistently.
@@ -497,41 +565,47 @@ deallocated consistently.
 
 \section{Local authorization interface (localauth)}
 \label{\detokenize{plugindev/localauth:local-authorization-interface-localauth}}\label{\detokenize{plugindev/localauth:localauth-plugin}}\label{\detokenize{plugindev/localauth::doc}}
+\sphinxAtStartPar
 The localauth interface was first introduced in release 1.12.  It
 allows modules to control the relationship between Kerberos principals
 and local system accounts.  When an application calls
-\sphinxcode{krb5\_kuserok()} or \sphinxcode{krb5\_aname\_to\_localname()}, localauth
+\sphinxcode{\sphinxupquote{krb5\_kuserok()}} or \sphinxcode{\sphinxupquote{krb5\_aname\_to\_localname()}}, localauth
 modules are consulted to determine the result.  For a detailed
 description of the localauth interface, see the header file
-\sphinxcode{\textless{}krb5/localauth\_plugin.h\textgreater{}}.
+\sphinxcode{\sphinxupquote{\textless{}krb5/localauth\_plugin.h\textgreater{}}}.
 
-A module can create and destroy per-library-context state objects
+\sphinxAtStartPar
+A module can create and destroy per\sphinxhyphen{}library\sphinxhyphen{}context state objects
 using the \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  If the module does not need
 any state, it does not need to implement these methods.
 
+\sphinxAtStartPar
 The optional \sphinxstylestrong{userok} method allows a module to control the behavior
-of \sphinxcode{krb5\_kuserok()}.  The module receives the authenticated name
+of \sphinxcode{\sphinxupquote{krb5\_kuserok()}}.  The module receives the authenticated name
 and the local account name as inputs, and can return either 0 to
 authorize access, KRB5\_PLUGIN\_NO\_HANDLE to defer the decision to other
 modules, or another error (canonically EPERM) to authoritatively deny
 access.  Access is granted if at least one module grants access and no
 module authoritatively denies access.
 
+\sphinxAtStartPar
 The optional \sphinxstylestrong{an2ln} method can work in two different ways.  If the
 module sets an array of uppercase type names in \sphinxstylestrong{an2ln\_types}, then
 the module’s \sphinxstylestrong{an2ln} method will only be invoked by
-\sphinxcode{krb5\_aname\_to\_localname()} if an \sphinxstylestrong{auth\_to\_local} value in
+\sphinxcode{\sphinxupquote{krb5\_aname\_to\_localname()}} if an \sphinxstylestrong{auth\_to\_local} value in
 \DUrole{xref,std,std-ref}{krb5.conf(5)} refers to one of the module’s types.  In this
 case, the \sphinxstyleemphasis{type} and \sphinxstyleemphasis{residual} arguments will give the type name and
 residual string of the \sphinxstylestrong{auth\_to\_local} value.
 
+\sphinxAtStartPar
 If the module does not set \sphinxstylestrong{an2ln\_types} but does implement
 \sphinxstylestrong{an2ln}, the module’s \sphinxstylestrong{an2ln} method will be invoked for all
-\sphinxcode{krb5\_aname\_to\_localname()} operations unless an earlier module
+\sphinxcode{\sphinxupquote{krb5\_aname\_to\_localname()}} operations unless an earlier module
 determines a mapping, with \sphinxstyleemphasis{type} and \sphinxstyleemphasis{residual} set to NULL.  The
 module can return KRB5\_LNAME\_NO\_TRANS to defer mapping to later
 modules.
 
+\sphinxAtStartPar
 If a module implements \sphinxstylestrong{an2ln}, it must also implement
 \sphinxstylestrong{free\_string} to ensure that memory is allocated and deallocated
 consistently.
@@ -539,15 +613,18 @@ consistently.
 
 \section{Server location interface (locate)}
 \label{\detokenize{plugindev/locate:server-location-interface-locate}}\label{\detokenize{plugindev/locate::doc}}
+\sphinxAtStartPar
 The locate interface allows modules to control how KDCs and similar
 services are located by clients.  For a detailed description of the
-ccselect interface, see the header file \sphinxcode{\textless{}krb5/locate\_plugin.h\textgreater{}}.
+ccselect interface, see the header file \sphinxcode{\sphinxupquote{\textless{}krb5/locate\_plugin.h\textgreater{}}}.
 
+\sphinxAtStartPar
 A locate module exports a structure object of type
-krb5plugin\_service\_locate\_ftable, with the name \sphinxcode{service\_locator}.
+krb5plugin\_service\_locate\_ftable, with the name \sphinxcode{\sphinxupquote{service\_locator}}.
 The structure contains a minor version and pointers to the module’s
 methods.
 
+\sphinxAtStartPar
 The primary locate method is \sphinxstylestrong{lookup}, which accepts a service type,
 realm name, desired socket type, and desired address family (which
 will be AF\_UNSPEC if no specific address family is desired).  The
@@ -560,66 +637,74 @@ other location mechanisms determine the
 code if it experienced a failure which should abort the location
 process.
 
-A module can create and destroy per-library-context state objects by
+\sphinxAtStartPar
+A module can create and destroy per\sphinxhyphen{}library\sphinxhyphen{}context state objects by
 implementing the \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  State objects have
 the type void *, and should be cast to an internal type for the state
 object.
 
 
 \section{Configuration interface (profile)}
-\label{\detokenize{plugindev/profile:configuration-interface-profile}}\label{\detokenize{plugindev/profile::doc}}\label{\detokenize{plugindev/profile:profile-plugin}}
+\label{\detokenize{plugindev/profile:configuration-interface-profile}}\label{\detokenize{plugindev/profile:profile-plugin}}\label{\detokenize{plugindev/profile::doc}}
+\sphinxAtStartPar
 The profile interface allows a module to control how krb5
 configuration information is obtained by the Kerberos library and
 applications.  For a detailed description of the profile interface,
-see the header file \sphinxcode{\textless{}profile.h\textgreater{}}.
+see the header file \sphinxcode{\sphinxupquote{\textless{}profile.h\textgreater{}}}.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 The profile interface does not follow the normal conventions
 for MIT krb5 pluggable interfaces, because it is part of a
-lower-level component of the krb5 library.
+lower\sphinxhyphen{}level component of the krb5 library.
 \end{sphinxadmonition}
 
+\sphinxAtStartPar
 As with other types of plugin modules, a profile module is a Unix
 shared object or Windows DLL, built separately from the krb5 tree.
 The krb5 library will dynamically load and use a profile plugin module
-if it reads a \sphinxcode{module} directive at the beginning of krb5.conf, as
+if it reads a \sphinxcode{\sphinxupquote{module}} directive at the beginning of krb5.conf, as
 described in \DUrole{xref,std,std-ref}{profile\_plugin\_config}.
 
-A profile module exports a function named \sphinxcode{profile\_module\_init}
+\sphinxAtStartPar
+A profile module exports a function named \sphinxcode{\sphinxupquote{profile\_module\_init}}
 matching the signature of the profile\_module\_init\_fn type.  This
 function accepts a residual string, which may be used to help locate
 the configuration source.  The function fills in a vtable and may also
-create a per-profile state object.  If the module uses state objects,
+create a per\sphinxhyphen{}profile state object.  If the module uses state objects,
 it should implement the \sphinxstylestrong{copy} and \sphinxstylestrong{cleanup} methods to manage
 them.
 
-A basic read-only profile module need only implement the
+\sphinxAtStartPar
+A basic read\sphinxhyphen{}only profile module need only implement the
 \sphinxstylestrong{get\_values} and \sphinxstylestrong{free\_values} methods.  The \sphinxstylestrong{get\_values} method
-accepts a null-terminated list of C string names (e.g., an array
+accepts a null\sphinxhyphen{}terminated list of C string names (e.g., an array
 containing “libdefaults”, “clockskew”, and NULL for the \sphinxstylestrong{clockskew}
 variable in the \DUrole{xref,std,std-ref}{libdefaults} section) and returns a
-null-terminated list of values, which will be cleaned up with the
+null\sphinxhyphen{}terminated list of values, which will be cleaned up with the
 \sphinxstylestrong{free\_values} method when the caller is done with them.
 
+\sphinxAtStartPar
 Iterable profile modules must also define the \sphinxstylestrong{iterator\_create},
 \sphinxstylestrong{iterator}, \sphinxstylestrong{iterator\_free}, and \sphinxstylestrong{free\_string} methods.  The
 core krb5 code does not require profiles to be iterable, but some
 applications may iterate over the krb5 profile object in order to
 present configuration interfaces.
 
+\sphinxAtStartPar
 Writable profile modules must also define the \sphinxstylestrong{writable},
 \sphinxstylestrong{modified}, \sphinxstylestrong{update\_relation}, \sphinxstylestrong{rename\_section},
 \sphinxstylestrong{add\_relation}, and \sphinxstylestrong{flush} methods.  The core krb5 code does not
 require profiles to be writable, but some applications may write to
 the krb5 profile in order to present configuration interfaces.
 
-The following is an example of a very basic read-only profile module
+\sphinxAtStartPar
+The following is an example of a very basic read\sphinxhyphen{}only profile module
 which returns a hardcoded value for the \sphinxstylestrong{default\_realm} variable in
 \DUrole{xref,std,std-ref}{libdefaults}, and provides no other configuration information.
 (For conciseness, the example omits code for checking the return
 values of malloc and strdup.)
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{c+c1}{\PYGZsh{}include \PYGZlt{}stdlib.h\PYGZgt{}}
 \PYG{c+c1}{\PYGZsh{}include \PYGZlt{}string.h\PYGZgt{}}
@@ -665,14 +750,17 @@ values of malloc and strdup.)
 
 
 \section{GSSAPI mechanism interface}
-\label{\detokenize{plugindev/gssapi::doc}}\label{\detokenize{plugindev/gssapi:gssapi-mechanism-interface}}
+\label{\detokenize{plugindev/gssapi:gssapi-mechanism-interface}}\label{\detokenize{plugindev/gssapi::doc}}
+\sphinxAtStartPar
 The GSSAPI library in MIT krb5 can load mechanism modules to augment
-the set of built-in mechanisms.
+the set of built\sphinxhyphen{}in mechanisms.
 
+\sphinxAtStartPar
 A mechanism module is a Unix shared object or Windows DLL, built
 separately from the krb5 tree.  Modules are loaded according to the
 GSS mechanism config files described in \DUrole{xref,std,std-ref}{gssapi\_plugin\_config}.
 
+\sphinxAtStartPar
 For the most part, a GSSAPI mechanism module exports the same
 functions as would a GSSAPI implementation itself, with the same
 function signatures.  The mechanism selection layer within the GSSAPI
@@ -682,11 +770,13 @@ a module does not wish to implement a GS
 refrain from exporting it, and the mechglue will fail gracefully if
 the application calls that function.
 
+\sphinxAtStartPar
 The mechglue does not invoke a module’s \sphinxstylestrong{gss\_add\_cred},
 \sphinxstylestrong{gss\_add\_cred\_from}, \sphinxstylestrong{gss\_add\_cred\_impersonate\_name}, or
 \sphinxstylestrong{gss\_add\_cred\_with\_password} function.  A mechanism only needs to
 implement the “acquire” variants of those functions.
 
+\sphinxAtStartPar
 A module does not need to coordinate its minor status codes with those
 of other mechanisms.  If the mechglue detects conflicts, it will map
 the mechanism’s status codes onto unique values, and then map them
@@ -695,25 +785,29 @@ back again when \sphinxstylestrong{gss\_
 
 \subsection{NegoEx modules}
 \label{\detokenize{plugindev/gssapi:negoex-modules}}
+\sphinxAtStartPar
 Some Windows GSSAPI mechanisms can only be negotiated via a Microsoft
 extension to SPNEGO called NegoEx.  Beginning with release 1.18,
 mechanism modules can support NegoEx as follows:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 Implement the gssspi\_query\_meta\_data(), gssspi\_exchange\_meta\_data(),
 and gssspi\_query\_mechanism\_info() SPIs declared in
-\sphinxcode{\textless{}gssapi/gssapi\_ext.h\textgreater{}}.
+\sphinxcode{\sphinxupquote{\textless{}gssapi/gssapi\_ext.h\textgreater{}}}.
 
 \item {} 
+\sphinxAtStartPar
 Implement gss\_inquire\_sec\_context\_by\_oid() and answer the
 \sphinxstylestrong{GSS\_C\_INQ\_NEGOEX\_KEY} and \sphinxstylestrong{GSS\_C\_INQ\_NEGOEX\_VERIFY\_KEY} OIDs
 to provide the checksum keys for outgoing and incoming checksums,
 respectively.  The answer must be in two buffers: the first buffer
 contains the key contents, and the second buffer contains the key
-encryption type as a four-byte little-endian integer.
+encryption type as a four\sphinxhyphen{}byte little\sphinxhyphen{}endian integer.
 
 \end{itemize}
 
+\sphinxAtStartPar
 By default, NegoEx mechanisms will not be directly negotiated via
 SPNEGO.  If direct SPNEGO negotiation is required for
 interoperability, implement gss\_inquire\_attrs\_for\_mech() and assert
@@ -723,49 +817,55 @@ RFC 5587 attributes).
 
 \subsection{Interposer modules}
 \label{\detokenize{plugindev/gssapi:interposer-modules}}
+\sphinxAtStartPar
 The mechglue also supports a kind of loadable module, called an
 interposer module, which intercepts calls to existing mechanisms
 rather than implementing a new mechanism.
 
+\sphinxAtStartPar
 An interposer module must export the symbol \sphinxstylestrong{gss\_mech\_interposer}
 with the following signature:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{gss\PYGZus{}OID\PYGZus{}set} \PYG{n}{gss\PYGZus{}mech\PYGZus{}interposer}\PYG{p}{(}\PYG{n}{gss\PYGZus{}OID} \PYG{n}{mech\PYGZus{}type}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This function is invoked with the OID of the interposer mechanism as
 specified in the mechanism config file, and returns a set of mechanism
 OIDs to be interposed.  The returned OID set must have been created
 using the mechglue’s gss\_create\_empty\_oid\_set and
 gss\_add\_oid\_set\_member functions.
 
-An interposer module must use the prefix \sphinxcode{gssi\_} for the GSSAPI
-functions it exports, instead of the prefix \sphinxcode{gss\_}.  In most cases,
-unexported \sphinxcode{gssi\_} functions will result in failure from their
-corresponding \sphinxcode{gss\_} calls.
+\sphinxAtStartPar
+An interposer module must use the prefix \sphinxcode{\sphinxupquote{gssi\_}} for the GSSAPI
+functions it exports, instead of the prefix \sphinxcode{\sphinxupquote{gss\_}}.  In most cases,
+unexported \sphinxcode{\sphinxupquote{gssi\_}} functions will result in failure from their
+corresponding \sphinxcode{\sphinxupquote{gss\_}} calls.
 
+\sphinxAtStartPar
 An interposer module can link against the GSSAPI library in order to
 make calls to the original mechanism.  To do so, it must specify a
 special mechanism OID which is the concatention of the interposer’s
 own OID byte string and the original mechanism’s OID byte string.
 
+\sphinxAtStartPar
 Functions that do not accept a mechanism argument directly require no
 special handling, with the following exceptions:
 
+\sphinxAtStartPar
 Since \sphinxstylestrong{gss\_accept\_sec\_context} does not accept a mechanism argument,
 an interposer mechanism must, in order to invoke the original
 mechanism’s function, acquire a credential for the concatenated OID
 and pass that as the \sphinxstyleemphasis{verifier\_cred\_handle} parameter.
 
+\sphinxAtStartPar
 Since \sphinxstylestrong{gss\_import\_name}, \sphinxstylestrong{gss\_import\_cred}, and
 \sphinxstylestrong{gss\_import\_sec\_context} do not accept mechanism parameters, the SPI
 has been extended to include variants which do.  This allows the
 interposer module to know which mechanism should be used to interpret
 the token.  These functions have the following signatures:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{OM\PYGZus{}uint32} \PYG{n}{gssi\PYGZus{}import\PYGZus{}sec\PYGZus{}context\PYGZus{}by\PYGZus{}mech}\PYG{p}{(}\PYG{n}{OM\PYGZus{}uint32} \PYG{o}{*}\PYG{n}{minor\PYGZus{}status}\PYG{p}{,}
     \PYG{n}{gss\PYGZus{}OID} \PYG{n}{desired\PYGZus{}mech}\PYG{p}{,} \PYG{n}{gss\PYGZus{}buffer\PYGZus{}t} \PYG{n}{interprocess\PYGZus{}token}\PYG{p}{,}
@@ -780,37 +880,42 @@ the token.  These functions have the fol
     \PYG{n}{gss\PYGZus{}cred\PYGZus{}id\PYGZus{}t} \PYG{o}{*}\PYG{n}{cred\PYGZus{}handle}\PYG{p}{)}\PYG{p}{;}
 \end{sphinxVerbatim}
 
-To re-enter the original mechanism when importing tokens for the above
+\sphinxAtStartPar
+To re\sphinxhyphen{}enter the original mechanism when importing tokens for the above
 functions, the interposer module must wrap the mechanism token in the
 mechglue’s format, using the concatenated OID (except in
 \sphinxstylestrong{gss\_import\_name}).  The mechglue token formats are:
 \begin{itemize}
 \item {} 
-For \sphinxstylestrong{gss\_import\_sec\_context}, a four-byte OID length in big-endian
+\sphinxAtStartPar
+For \sphinxstylestrong{gss\_import\_sec\_context}, a four\sphinxhyphen{}byte OID length in big\sphinxhyphen{}endian
 order, followed by the concatenated OID, followed by the mechanism
 token.
 
 \item {} 
-For \sphinxstylestrong{gss\_import\_name}, the bytes 04 01, followed by a two-byte OID
-length in big-endian order, followed by the mechanism OID, followed
-by a four-byte token length in big-endian order, followed by the
+\sphinxAtStartPar
+For \sphinxstylestrong{gss\_import\_name}, the bytes 04 01, followed by a two\sphinxhyphen{}byte OID
+length in big\sphinxhyphen{}endian order, followed by the mechanism OID, followed
+by a four\sphinxhyphen{}byte token length in big\sphinxhyphen{}endian order, followed by the
 mechanism token.  Unlike most uses of OIDs in the API, the mechanism
 OID encoding must include the DER tag and length for an object
 identifier (06 followed by the DER length of the OID byte string),
-and this prefix must be included in the two-byte OID length.
+and this prefix must be included in the two\sphinxhyphen{}byte OID length.
 input\_name\_type must also be set to GSS\_C\_NT\_EXPORT\_NAME.
 
 \item {} 
-For \sphinxstylestrong{gss\_import\_cred}, a four-byte OID length in big-endian order,
-followed by the concatenated OID, followed by a four-byte token
-length in big-endian order, followed by the mechanism token.  This
+\sphinxAtStartPar
+For \sphinxstylestrong{gss\_import\_cred}, a four\sphinxhyphen{}byte OID length in big\sphinxhyphen{}endian order,
+followed by the concatenated OID, followed by a four\sphinxhyphen{}byte token
+length in big\sphinxhyphen{}endian order, followed by the mechanism token.  This
 sequence may be repeated multiple times.
 
 \end{itemize}
 
 
 \section{Internal pluggable interfaces}
-\label{\detokenize{plugindev/internal::doc}}\label{\detokenize{plugindev/internal:internal-pluggable-interfaces}}
+\label{\detokenize{plugindev/internal:internal-pluggable-interfaces}}\label{\detokenize{plugindev/internal::doc}}
+\sphinxAtStartPar
 Following are brief discussions of pluggable interfaces which have not
 yet been made public.  These interfaces are functional, but the
 interfaces are likely to change in incompatible ways from release to
@@ -822,35 +927,40 @@ of MIT krb5.
 
 \subsection{Kerberos database interface (KDB)}
 \label{\detokenize{plugindev/internal:kerberos-database-interface-kdb}}
+\sphinxAtStartPar
 A KDB module implements a database back end for KDC principal and
 policy information, and can also control many aspects of KDC behavior.
 For a full description of the interface, see the header file
-\sphinxcode{\textless{}kdb.h\textgreater{}}.
+\sphinxcode{\sphinxupquote{\textless{}kdb.h\textgreater{}}}.
 
+\sphinxAtStartPar
 The KDB pluggable interface is often referred to as the DAL (Database
 Access Layer).
 
 
 \subsection{Authorization data interface (authdata)}
 \label{\detokenize{plugindev/internal:authorization-data-interface-authdata}}
+\sphinxAtStartPar
 The authdata interface allows a module to provide (from the KDC) or
 consume (in application servers) authorization data of types beyond
 those handled by the core MIT krb5 code base.  The interface is
-defined in the header file \sphinxcode{\textless{}krb5/authdata\_plugin.h\textgreater{}}, which is not
+defined in the header file \sphinxcode{\sphinxupquote{\textless{}krb5/authdata\_plugin.h\textgreater{}}}, which is not
 installed by the build.
 
 
 \section{PKINIT certificate authorization interface (certauth)}
-\label{\detokenize{plugindev/certauth:certauth-plugin}}\label{\detokenize{plugindev/certauth::doc}}\label{\detokenize{plugindev/certauth:pkinit-certificate-authorization-interface-certauth}}
+\label{\detokenize{plugindev/certauth:pkinit-certificate-authorization-interface-certauth}}\label{\detokenize{plugindev/certauth:certauth-plugin}}\label{\detokenize{plugindev/certauth::doc}}
+\sphinxAtStartPar
 The certauth interface was first introduced in release 1.16.  It
 allows customization of the X.509 certificate attribute requirements
 placed on certificates used by PKINIT enabled clients.  For a detailed
 description of the certauth interface, see the header file
-\sphinxcode{\textless{}krb5/certauth\_plugin.h\textgreater{}}
+\sphinxcode{\sphinxupquote{\textless{}krb5/certauth\_plugin.h\textgreater{}}}
 
+\sphinxAtStartPar
 A certauth module implements the \sphinxstylestrong{authorize} method to determine
 whether a client’s certificate is authorized to authenticate a client
-principal.  \sphinxstylestrong{authorize} receives the DER-encoded certificate, the
+principal.  \sphinxstylestrong{authorize} receives the DER\sphinxhyphen{}encoded certificate, the
 requested client principal, and a pointer to the client’s
 krb5\_db\_entry (for modules that link against libkdb5).  The method
 must decode the certificate and inspect its attributes to determine if
@@ -858,31 +968,36 @@ it should authorize PKINIT authenticatio
 authorization status and optionally outputs a list of authentication
 indicator strings to be added to the ticket.
 
+\sphinxAtStartPar
 Beginning in release 1.19, the authorize method can request that the
 hardware authentication bit be set in the ticket by returning
 \sphinxstylestrong{KRB5\_CERTAUTH\_HWAUTH}.  Beginning in release 1.20, the authorize
 method can return \sphinxstylestrong{KRB5\_CERTAUTH\_HWAUTH\_PASS} to request that the
 hardware authentication bit be set in the ticket but otherwise defer
 authorization to another certauth module.  A module must use its own
-internal or library-provided ASN.1 certificate decoder.
+internal or library\sphinxhyphen{}provided ASN.1 certificate decoder.
 
+\sphinxAtStartPar
 A module can optionally create and destroy module data with the
 \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  Module data objects last for the
 lifetime of the KDC process.
 
+\sphinxAtStartPar
 If a module allocates and returns a list of authentication indicators
 from \sphinxstylestrong{authorize}, it must also implement the \sphinxstylestrong{free\_ind} method
 to free the list.
 
 
 \section{KDC policy interface (kdcpolicy)}
-\label{\detokenize{plugindev/kdcpolicy:kdcpolicy-plugin}}\label{\detokenize{plugindev/kdcpolicy::doc}}\label{\detokenize{plugindev/kdcpolicy:kdc-policy-interface-kdcpolicy}}
+\label{\detokenize{plugindev/kdcpolicy:kdc-policy-interface-kdcpolicy}}\label{\detokenize{plugindev/kdcpolicy:kdcpolicy-plugin}}\label{\detokenize{plugindev/kdcpolicy::doc}}
+\sphinxAtStartPar
 The kdcpolicy interface was first introduced in release 1.16.  It
 allows modules to veto otherwise valid AS and TGS requests or restrict
 the lifetime and renew time of the resulting ticket.  For a detailed
 description of the kdcpolicy interface, see the header file
-\sphinxcode{\textless{}krb5/kdcpolicy\_plugin.h\textgreater{}}.
+\sphinxcode{\sphinxupquote{\textless{}krb5/kdcpolicy\_plugin.h\textgreater{}}}.
 
+\sphinxAtStartPar
 The optional \sphinxstylestrong{check\_as} and \sphinxstylestrong{check\_tgs} functions allow the module
 to perform access control.  Additionally, a module can create and
 destroy module data with the \sphinxstylestrong{init} and \sphinxstylestrong{fini} methods.  Module
@@ -891,8 +1006,9 @@ provided to all other methods.  The data
 krb5\_kdcpolicy\_moddata, which should be cast to the appropriate
 internal type.
 
+\sphinxAtStartPar
 kdcpolicy modules can optionally inspect principal entries.  To do
-this, the module must also include \sphinxcode{\textless{}kdb.h\textgreater{}} to gain access to the
+this, the module must also include \sphinxcode{\sphinxupquote{\textless{}kdb.h\textgreater{}}} to gain access to the
 principal entry structure definition.  As the KDB interface is
 explicitly not as stable as other public interfaces, modules which do
 this may not retain compatibility across releases.
diff -pruN 1.21.2-1/doc/pdf/python.ist 1.21.3-1/doc/pdf/python.ist
--- 1.21.2-1/doc/pdf/python.ist	2018-01-24 14:54:54.000000000 +0000
+++ 1.21.3-1/doc/pdf/python.ist	2021-01-01 06:53:29.000000000 +0000
@@ -3,11 +3,14 @@ headings_flag 1
 heading_prefix "  \\bigletter "
 
 preamble "\\begin{sphinxtheindex}
-\\def\\bigletter#1{{\\Large\\sffamily#1}\\nopagebreak\\vspace{1mm}}
+\\let\\bigletter\\sphinxstyleindexlettergroup
+\\let\\spxpagem \\sphinxstyleindexpagemain
+\\let\\spxentry \\sphinxstyleindexentry
+\\let\\spxextra \\sphinxstyleindexextra
 
 "
 
 postamble "\n\n\\end{sphinxtheindex}\n"
 
-symhead_positive "{Symbols}"
-numhead_positive "{Numbers}"
+symhead_positive "{\\sphinxsymbolsname}"
+numhead_positive "{\\sphinxnumbersname}"
diff -pruN 1.21.2-1/doc/pdf/sphinx.sty 1.21.3-1/doc/pdf/sphinx.sty
--- 1.21.2-1/doc/pdf/sphinx.sty	2018-02-04 15:53:58.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinx.sty	2021-11-17 15:50:47.000000000 +0000
@@ -6,7 +6,7 @@
 %
 
 \NeedsTeXFormat{LaTeX2e}[1995/12/01]
-\ProvidesPackage{sphinx}[2017/12/12 v1.6.6 LaTeX package (Sphinx markup)]
+\ProvidesPackage{sphinx}[2021/01/27 v4.0.0 LaTeX package (Sphinx markup)]
 
 % provides \ltx@ifundefined
 % (many packages load ltxcmds: graphicx does for pdftex and lualatex but
@@ -31,205 +31,26 @@
   }}
 
 
-%% PACKAGES
+%% OPTION HANDLING
 %
-% we delay handling of options to after having loaded packages, because
-% of the need to use \definecolor.
-\RequirePackage{graphicx}
-\@ifclassloaded{memoir}{}{\RequirePackage{fancyhdr}}
-% for \text macro and \iffirstchoice@ conditional even if amsmath not loaded
-\RequirePackage{amstext}
-\RequirePackage[warn]{textcomp}
-\RequirePackage{titlesec}
-\@ifpackagelater{titlesec}{2016/03/15}%
- {\@ifpackagelater{titlesec}{2016/03/21}%
-  {}%
-  {\newif\ifsphinx@ttlpatch@ok
-   \IfFileExists{etoolbox.sty}{%
-     \RequirePackage{etoolbox}%
-     \patchcmd{\ttlh@hang}{\parindent\z@}{\parindent\z@\leavevmode}%
-                                {\sphinx@ttlpatch@oktrue}{}%
-     \ifsphinx@ttlpatch@ok
-     \patchcmd{\ttlh@hang}{\noindent}{}{}{\sphinx@ttlpatch@okfalse}%
-     \fi
-   }{}%
-   \ifsphinx@ttlpatch@ok
-     \typeout{^^J Package Sphinx Info: ^^J
-              **** titlesec 2.10.1 successfully patched for bugfix ****^^J}%
-   \else
-     \AtEndDocument{\PackageWarningNoLine{sphinx}{^^J%
-******** titlesec 2.10.1 has a bug, (section numbers disappear) ......|^^J%
-******** and Sphinx could not patch it, perhaps because your local ...|^^J%
-******** copy is already fixed without a changed release date. .......|^^J%
-******** If not, you must update titlesec! ...........................|}}%
-   \fi
-  }%
- }{}
-\RequirePackage{tabulary}
-% tabulary has a bug with its re-definition of \multicolumn in its first pass
-% which is not \long. But now Sphinx does not use LaTeX's \multicolumn but its
-% own macro. Hence we don't even need to patch tabulary. See sphinxmulticell.sty
-% X or S (Sphinx) may have meanings if some table package is loaded hence
-% \X was chosen to avoid possibility of conflict
-\newcolumntype{\X}[2]{p{\dimexpr
-      (\linewidth-\arrayrulewidth)*#1/#2-\tw@\tabcolsep-\arrayrulewidth\relax}}
-\newcolumntype{\Y}[1]{p{\dimexpr
-      #1\dimexpr\linewidth-\arrayrulewidth\relax-\tw@\tabcolsep-\arrayrulewidth\relax}}
-% using here T (for Tabulary) feels less of a problem than the X could be
-\newcolumntype{T}{J}%
-% For tables allowing pagebreaks
-\RequirePackage{longtable}
-% User interface to set-up whitespace before and after tables:
-\newcommand*\sphinxtablepre {0pt}%
-\newcommand*\sphinxtablepost{\medskipamount}%
-\newcommand*\sphinxbelowcaptionspace{.5\sphinxbaselineskip}%
-% as one can not use \baselineskip from inside longtable (it is zero there)
-% we need \sphinxbaselineskip, which defaults to \baselineskip
-\def\sphinxbaselineskip{\baselineskip}%
-% These commands are inserted by the table templates
-\def\sphinxatlongtablestart
-   {\par
-    \vskip\parskip
-    \vskip\dimexpr\sphinxtablepre\relax % adjust vertical position
-    \vbox{}% get correct baseline from above
-    \LTpre\z@skip\LTpost\z@skip % set to zero longtable's own skips
-    \edef\sphinxbaselineskip{\dimexpr\the\dimexpr\baselineskip\relax\relax}%
-   }%
-\def\sphinxatlongtableend{\prevdepth\z@\vskip\sphinxtablepost\relax}%
-\def\sphinxlongtablecapskipadjust
-   {\dimexpr-\dp\strutbox-\sphinxbaselineskip+\sphinxbelowcaptionspace\relax}%
-% Now for tables not using longtable
-\def\sphinxattablestart
-   {\par
-    \vskip\dimexpr\sphinxtablepre\relax
-   }%
-\let\sphinxattableend\sphinxatlongtableend
-% longtable's wraps captions to a maximal width of \LTcapwidth
-% so we do the same for all tables
-\newcommand*\sphinxcapstartof[1]{%
-   \vskip\parskip
-   \vbox{}% force baselineskip for good positioning by capstart of hyperanchor
-   \def\@captype{#1}%
-   \capstart
-% move back vertically to compensate space inserted by next paragraph
-   \vskip-\baselineskip\vskip-\parskip
-}%
-\newcommand\sphinxcaption[2][\LTcapwidth]{%
-   \noindent\hb@xt@\linewidth{\hss
-      \vtop{\@tempdima\dimexpr#1\relax
-% don't exceed linewidth for the caption width
-            \ifdim\@tempdima>\linewidth\hsize\linewidth\else\hsize\@tempdima\fi
-% longtable ignores \abovecaptionskip/\belowcaptionskip, so do the same here
-            \abovecaptionskip\z@skip
-            \belowcaptionskip\z@skip
-            \caption[{#2}]%
-               {\strut\ignorespaces#2\ifhmode\unskip\@finalstrut\strutbox\fi}%
-           }\hss}%
-   \par\prevdepth\dp\strutbox
-}%
-\newcommand\sphinxaftercaption
-{% this default definition serves with a caption *above* a table, to make sure
- % its last baseline is \sphinxbelowcaptionspace above table top
- \nobreak
-   \vskip\dimexpr\sphinxbelowcaptionspace\relax
-   \vskip-\baselineskip\vskip-\parskip
-}%
-% varwidth is crucial for our handling of general contents in merged cells
-\RequirePackage{varwidth}
-% but addition of a compatibility patch with hyperref is needed
-% (tested with varwidth v 0.92  Mar 2009)
-\AtBeginDocument {%
-    \let\@@vwid@Hy@raisedlink\Hy@raisedlink
-    \long\def\@vwid@Hy@raisedlink#1{\@vwid@wrap{\@@vwid@Hy@raisedlink{#1}}}%
-    \edef\@vwid@setup{%
-      \let\noexpand\Hy@raisedlink\noexpand\@vwid@Hy@raisedlink % HYPERREF !
-      \unexpanded\expandafter{\@vwid@setup}}%
-}%
-% Homemade package to handle merged cells
-\RequirePackage{sphinxmulticell}
-\RequirePackage{makeidx}
-% For framing code-blocks and warning type notices, and shadowing topics
-\RequirePackage{framed}
+
+% We first handle options then load packages, but we need \definecolor from
+% xcolor/color.
+
+% FIXME: we should \RequirePackage{xcolor} always now
 % The xcolor package draws better fcolorboxes around verbatim code
 \IfFileExists{xcolor.sty}{
     \RequirePackage{xcolor}
 }{
     \RequirePackage{color}
 }
-% For highlighted code.
-\RequirePackage{fancyvrb}
-\fvset{fontsize=\small}
-\define@key{FV}{hllines}{\def\sphinx@verbatim@checkifhl##1{\in@{, ##1,}{#1}}}
-% For hyperlinked footnotes in tables; also for gathering footnotes from
-% topic and warning blocks. Also to allow code-blocks in footnotes.
-\RequirePackage{footnotehyper-sphinx}
-% For the H specifier. Do not \restylefloat{figure}, it breaks Sphinx code
-% for allowing figures in tables.
-\RequirePackage{float}
-% For floating figures in the text. Better to load after float.
-\RequirePackage{wrapfig}
-% Separate paragraphs by space by default.
-\RequirePackage{parskip}
-% For parsed-literal blocks.
-\RequirePackage{alltt}
-% Display "real" single quotes in literal blocks.
-\RequirePackage{upquote}
-% control caption around literal-block
-\RequirePackage{capt-of}
-\RequirePackage{needspace}
 
-% to make pdf with correct encoded bookmarks in Japanese
-% this should precede the hyperref package
-\ifx\kanjiskip\undefined
-% for non-Japanese: make sure bookmarks are ok also with lualatex
-  \PassOptionsToPackage{pdfencoding=unicode}{hyperref}
-\else
-  \RequirePackage{atbegshi}
-  \ifx\ucs\undefined
-    \ifnum 42146=\euc"A4A2
-      \AtBeginShipoutFirst{\special{pdf:tounicode EUC-UCS2}}
-    \else
-      \AtBeginShipoutFirst{\special{pdf:tounicode 90ms-RKSJ-UCS2}}
-    \fi
-  \else
-    \AtBeginShipoutFirst{\special{pdf:tounicode UTF8-UCS2}}
-  \fi
-\fi
-
-\ifx\@jsc@uplatextrue\undefined\else
-  \PassOptionsToPackage{setpagesize=false}{hyperref}
-\fi
-
-% These options can be overriden inside  'hyperref' key
-% or by later use of \hypersetup.
-\PassOptionsToPackage{colorlinks,breaklinks,%
- linkcolor=InnerLinkColor,filecolor=OuterLinkColor,%
- menucolor=OuterLinkColor,urlcolor=OuterLinkColor,%
- citecolor=InnerLinkColor}{hyperref}
-
-% stylesheet for highlighting with pygments
-\RequirePackage{sphinxhighlight}
-% fix baseline increase from Pygments latex formatter in case of error tokens
-% and keep \fboxsep's scope local via added braces
-\def\PYG@tok@err{%
-    \def\PYG@bc##1{{\setlength{\fboxsep}{-\fboxrule}%
-                    \fcolorbox[rgb]{1.00,0.00,0.00}{1,1,1}{\strut ##1}}}%
-}
-\def\PYG@tok@cs{%
-    \def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}%
-    \def\PYG@bc##1{{\setlength{\fboxsep}{0pt}%
-                    \colorbox[rgb]{1.00,0.94,0.94}{\strut ##1}}}%
-}%
-
-
-%% OPTIONS
-%
 % Handle options via "kvoptions" (later loaded by hyperref anyhow)
 \RequirePackage{kvoptions}
 \SetupKeyvalOptions{prefix=spx@opt@} % use \spx@opt@ prefix
 
 % Sphinx legacy text layout: 1in margins on all four sides
-\ifx\@jsc@uplatextrue\undefined
+\ifx\@jsc@uplatextrue\@undefined
 \DeclareStringOption[1in]{hmargin}
 \DeclareStringOption[1in]{vmargin}
 \DeclareStringOption[.5in]{marginpar}
@@ -240,9 +61,13 @@
 \DeclareStringOption[.5\dimexpr\inv@mag in\relax]{marginpar}
 \fi
 
-\DeclareBoolOption{dontkeepoldnames} % \ifspx@opt@dontkeepoldnames = \iffalse
 \DeclareStringOption[0]{maxlistdepth}% \newcommand*\spx@opt@maxlistdepth{0}
-
+\DeclareStringOption[-1]{numfigreset}
+\DeclareBoolOption[false]{nonumfigreset}
+\DeclareBoolOption[false]{mathnumfig}
+\define@key{sphinx}{bookmarksdepth}{\AtBeginDocument{\hypersetup{bookmarksdepth=#1}}}
+\AtBeginDocument{\define@key{sphinx}{bookmarksdepth}{\hypersetup{bookmarksdepth=#1}}}
+% \DeclareBoolOption[false]{usespart}% not used
 % dimensions, we declare the \dimen registers here.
 \newdimen\sphinxverbatimsep
 \newdimen\sphinxverbatimborder
@@ -252,7 +77,7 @@
 % \DeclareStringOption is not convenient for the handling of these dimensions
 % because we want to assign the values to the corresponding registers. Even if
 % we added the code to the key handler it would be too late for the initial
-% set-up and we would need to do initial assignments explicitely. We end up
+% set-up and we would need to do initial assignments explicitly. We end up
 % using \define@key directly.
 % verbatim
 \sphinxverbatimsep=\fboxsep
@@ -269,8 +94,14 @@
 % verbatim
 \DeclareBoolOption[true]{verbatimwithframe}
 \DeclareBoolOption[true]{verbatimwrapslines}
-\DeclareBoolOption[false]{verbatimhintsturnover}
+\DeclareBoolOption[false]{verbatimforcewraps}
+\DeclareStringOption[3]{verbatimmaxoverfull}
+\DeclareStringOption[100]{verbatimmaxunderfull}
+\DeclareBoolOption[true]{verbatimhintsturnover}
 \DeclareBoolOption[true]{inlineliteralwraps}
+\DeclareStringOption[t]{literalblockcappos}
+\DeclareStringOption[r]{verbatimcontinuedalign}
+\DeclareStringOption[r]{verbatimcontinuesalign}
 % parsed literal
 \DeclareBoolOption[true]{parsedliteralwraps}
 % \textvisiblespace for compatibility with fontspec+XeTeX/LuaTeX
@@ -341,1216 +172,180 @@
 \ProcessKeyvalOptions*
 % don't allow use of maxlistdepth via \sphinxsetup.
 \DisableKeyvalOption{sphinx}{maxlistdepth}
+\DisableKeyvalOption{sphinx}{numfigreset}
+\DisableKeyvalOption{sphinx}{nonumfigreset}
+\DisableKeyvalOption{sphinx}{mathnumfig}
+% FIXME: this is unrelated to an option, move this elsewhere
+% To allow hyphenation of first word in narrow contexts; no option,
+% customization to be done via 'preamble' key
+\newcommand*\sphinxAtStartPar{\leavevmode\nobreak\hskip\z@skip}
+% No need for the \hspace{0pt} trick (\hskip\z@skip) with luatex
+\ifdefined\directlua\let\sphinxAtStartPar\@empty\fi
 % user interface: options can be changed midway in a document!
 \newcommand\sphinxsetup[1]{\setkeys{sphinx}{#1}}
 
 
-%% MAXLISTDEPTH
+%% MISCELLANEOUS CONTEXT
 %
-% remove LaTeX's cap on nesting depth if 'maxlistdepth' key used.
-% This is a hack, which works with the standard classes: it assumes \@toodeep
-% is always used in "true" branches: "\if ... \@toodeep \else .. \fi."
-
-% will force use the "false" branch (if there is one)
-\def\spx@toodeep@hack{\fi\iffalse}
-
-% do nothing if 'maxlistdepth' key not used or if package enumitem loaded.
-\ifnum\spx@opt@maxlistdepth=\z@\expandafter\@gobbletwo\fi
+% flag to be set in a framed environment
+% (defined here as currently needed by three sphinxlatex....sty files and
+% even if not needed if such files are replaced, the definition does no harm)
+\newif\ifspx@inframed
+%
+% \spx@ifcaptionpackage (defined at begin document)
+%     is needed currently in macros from:
+%     sphinxlatexliterals.sty (sphinxVerbatim)
+%     sphinxlatextables.sty   (for some macros used in the table templates)
+%
+% \sphinxcaption is mark-up injected by the tabular and tabulary templates
+%     it is defined in sphinxlatextables.sty
+%
+% store the original \caption macro for usage with figures inside longtable
+% and tabulary cells. Make sure we get the final \caption in presence of
+% caption package, whether the latter was loaded before or after sphinx.
 \AtBeginDocument{%
-\@ifpackageloaded{enumitem}{\remove@to@nnil}{}%
-  \let\spx@toodeepORI\@toodeep
-  \def\@toodeep{%
-    \ifnum\@listdepth<\spx@opt@maxlistdepth\relax
-      \expandafter\spx@toodeep@hack
-    \else
-      \expandafter\spx@toodeepORI
-    \fi}%
-% define all missing \@list... macros
-  \count@\@ne
-  \loop
-     \ltx@ifundefined{@list\romannumeral\the\count@}
-       {\iffalse}{\iftrue\advance\count@\@ne}%
-  \repeat
-  \loop
-     \ifnum\count@>\spx@opt@maxlistdepth\relax\else
-       \expandafter\let
-         \csname @list\romannumeral\the\count@\expandafter\endcsname
-         \csname @list\romannumeral\the\numexpr\count@-\@ne\endcsname
-       % workaround 2.6--3.2d babel-french issue (fixed in 3.2e; no change needed)
-       \ltx@ifundefined{leftmargin\romannumeral\the\count@}
-       {\expandafter\let
-         \csname leftmargin\romannumeral\the\count@\expandafter\endcsname
-         \csname leftmargin\romannumeral\the\numexpr\count@-\@ne\endcsname}{}%
-     \advance\count@\@ne
-  \repeat
-% define all missing enum... counters and \labelenum... macros and \p@enum..
-  \count@\@ne
-  \loop
-     \ltx@ifundefined{c@enum\romannumeral\the\count@}
-       {\iffalse}{\iftrue\advance\count@\@ne}%
-  \repeat
-  \loop
-     \ifnum\count@>\spx@opt@maxlistdepth\relax\else
-       \newcounter{enum\romannumeral\the\count@}%
-       \expandafter\def
-         \csname labelenum\romannumeral\the\count@\expandafter\endcsname
-         \expandafter
-         {\csname theenum\romannumeral\the\numexpr\count@\endcsname.}%
-       \expandafter\def
-         \csname p@enum\romannumeral\the\count@\expandafter\endcsname
-         \expandafter
-         {\csname p@enum\romannumeral\the\numexpr\count@-\@ne\expandafter
-          \endcsname\csname theenum\romannumeral\the\numexpr\count@-\@ne\endcsname.}%
-     \advance\count@\@ne
-  \repeat
-% define all missing labelitem... macros
-  \count@\@ne
-  \loop
-     \ltx@ifundefined{labelitem\romannumeral\the\count@}
-     {\iffalse}{\iftrue\advance\count@\@ne}%
-  \repeat
-  \loop
-     \ifnum\count@>\spx@opt@maxlistdepth\relax\else
-       \expandafter\let
-         \csname labelitem\romannumeral\the\count@\expandafter\endcsname
-         \csname labelitem\romannumeral\the\numexpr\count@-\@ne\endcsname
-     \advance\count@\@ne
-  \repeat
-  \PackageInfo{sphinx}{maximal list depth extended to \spx@opt@maxlistdepth}%
-\@gobble\@nnil
-}
-
-
-%% INDEX, BIBLIOGRAPHY, APPENDIX, TABLE OF CONTENTS
-%
-% fix the double index and bibliography on the table of contents
-% in jsclasses (Japanese standard document classes)
-\ifx\@jsc@uplatextrue\undefined\else
-  \renewenvironment{sphinxtheindex}
-    {\cleardoublepage\phantomsection
-     \begin{theindex}}
-    {\end{theindex}}
-
-  \renewenvironment{sphinxthebibliography}[1]
-    {\cleardoublepage% \phantomsection % not needed here since TeXLive 2010's hyperref
-     \begin{thebibliography}{1}}
-    {\end{thebibliography}}
-\fi
-
-% disable \@chappos in Appendix in pTeX
-\ifx\kanjiskip\undefined\else
-  \let\py@OldAppendix=\appendix
-  \renewcommand{\appendix}{
-    \py@OldAppendix
-    \gdef\@chappos{}
-  }
-\fi
-
-% make commands known to non-Sphinx document classes
-\providecommand*{\sphinxtableofcontents}{\tableofcontents}
-\ltx@ifundefined{sphinxthebibliography}
- {\newenvironment
-  {sphinxthebibliography}{\begin{thebibliography}}{\end{thebibliography}}%
- }
- {}% else clause of ifundefined
-\ltx@ifundefined{sphinxtheindex}
- {\newenvironment{sphinxtheindex}{\begin{theindex}}{\end{theindex}}}%
- {}% else clause of ifundefined
+    \let\spx@originalcaption\caption
+    \@ifpackageloaded{caption}
+      {\let\spx@ifcaptionpackage\@firstoftwo
+       \caption@AtBeginDocument*{\let\spx@originalcaption\caption}%
+% in presence of caption package, drop our own \sphinxcaption whose aim was to
+% ensure same width of caption to all kinds of tables (tabular(y), longtable),
+% because caption package has its own width (or margin) option
+       \def\sphinxcaption{\caption}%
+      }%
+      {\let\spx@ifcaptionpackage\@secondoftwo}%
+}
+
+%% PASS OPTIONS
+%
+% pass options to hyperref; it must not have been loaded already
+\input{sphinxoptionshyperref.sty}
+% pass options to geometry; it must not have been loaded already
+\input{sphinxoptionsgeometry.sty}
 
 
 %% COLOR (general)
 %
-% FIXME: \normalcolor should probably be used in place of \py@NormalColor
-% elsewhere, and \py@NormalColor should never be defined. \normalcolor
-% switches to the colour from last \color call in preamble.
+% FIXME: these two should be deprecated
+%
+% FIXME: \normalcolor should be used and \py@NormalColor never defined
 \def\py@NormalColor{\color{black}}
-% FIXME: it is probably better to use \color{TitleColor}, as TitleColor
-% can be customized from 'sphinxsetup', and drop usage of \py@TitleColor
+% FIXME: \color{TitleColor} should be used directly and \py@TitleColor
+% should never get defined.
 \def\py@TitleColor{\color{TitleColor}}
-% FIXME: this line should be dropped, as "9" is default anyhow.
-\ifdefined\pdfcompresslevel\pdfcompresslevel = 9 \fi
 
 
-%% PAGE STYLING
+%% PACKAGES
 %
-% Style parameters and macros used by most documents here
-\raggedbottom
-\sloppy
-\hbadness = 5000                % don't print trivial gripes
-
-\pagestyle{empty}               % start this way
-
-% Redefine the 'normal' header/footer style when using "fancyhdr" package:
-% Note: this presupposes "twoside". If "oneside" class option, there will be warnings.
-\ltx@ifundefined{fancyhf}{}{
-  % Use \pagestyle{normal} as the primary pagestyle for text.
-  \fancypagestyle{normal}{
-    \fancyhf{}
-% (for \py@HeaderFamily cf "TITLES")
-    \fancyfoot[LE,RO]{{\py@HeaderFamily\thepage}}
-    \fancyfoot[LO]{{\py@HeaderFamily\nouppercase{\rightmark}}}
-    \fancyfoot[RE]{{\py@HeaderFamily\nouppercase{\leftmark}}}
-    \fancyhead[LE,RO]{{\py@HeaderFamily \@title, \py@release}}
-    \renewcommand{\headrulewidth}{0.4pt}
-    \renewcommand{\footrulewidth}{0.4pt}
-    % define chaptermark with \@chappos when \@chappos is available for Japanese
-    \ltx@ifundefined{@chappos}{}
-      {\def\chaptermark##1{\markboth{\@chapapp\space\thechapter\space\@chappos\space ##1}{}}}
-  }
-  % Update the plain style so we get the page number & footer line,
-  % but not a chapter or section title.  This is to keep the first
-  % page of a chapter and the blank page between chapters `clean.'
-  \fancypagestyle{plain}{
-    \fancyhf{}
-    \fancyfoot[LE,RO]{{\py@HeaderFamily\thepage}}
-    \renewcommand{\headrulewidth}{0pt}
-    \renewcommand{\footrulewidth}{0.4pt}
-  }
-}
-
-% geometry
-\ifx\kanjiskip\undefined
-  \PassOptionsToPackage{%
-     hmargin={\unexpanded{\spx@opt@hmargin}},%
-     vmargin={\unexpanded{\spx@opt@vmargin}},%
-     marginpar=\unexpanded{\spx@opt@marginpar}}
-  {geometry}
-\else
- % set text width for Japanese documents to be integer multiple of 1zw
- % and text height to be integer multiple of \baselineskip
- % the execution is delayed to \sphinxsetup then geometry.sty
- \normalsize\normalfont
- \newcommand*\sphinxtextwidthja[1]{%
-    \if@twocolumn\tw@\fi
-    \dimexpr
-       \numexpr\dimexpr\paperwidth-\tw@\dimexpr#1\relax\relax/
-               \dimexpr\if@twocolumn\tw@\else\@ne\fi zw\relax
-    zw\relax}%
- \newcommand*\sphinxmarginparwidthja[1]{%
-    \dimexpr\numexpr\dimexpr#1\relax/\dimexpr1zw\relax zw\relax}%
- \newcommand*\sphinxtextlinesja[1]{%
-    \numexpr\@ne+\dimexpr\paperheight-\topskip-\tw@\dimexpr#1\relax\relax/
-                 \baselineskip\relax}%
- \ifx\@jsc@uplatextrue\undefined\else
- % the way we found in order for the papersize special written by
- % geometry in the dvi file to be correct in case of jsbook class
-   \ifnum\mag=\@m\else % do nothing special if nomag class option or 10pt
-     \PassOptionsToPackage{truedimen}{geometry}%
-   \fi
- \fi
- \PassOptionsToPackage{%
-    hmarginratio={1:1},%
-    textwidth=\unexpanded{\sphinxtextwidthja{\spx@opt@hmargin}},%
-    vmarginratio={1:1},%
-    lines=\unexpanded{\sphinxtextlinesja{\spx@opt@vmargin}},%
-    marginpar=\unexpanded{\sphinxmarginparwidthja{\spx@opt@marginpar}},%
-    footskip=2\baselineskip,%
-  }{geometry}%
- \AtBeginDocument
- {% update a dimension used by the jsclasses
-  \ifx\@jsc@uplatextrue\undefined\else\fullwidth\textwidth\fi
-  % for some reason, jreport normalizes all dimensions with \@settopoint
-  \@ifclassloaded{jreport}
-    {\@settopoint\textwidth\@settopoint\textheight\@settopoint\marginparwidth}
-    {}% <-- "false" clause of \@ifclassloaded
-  }%
-\fi
-
-% fix fncychap's bug which uses prematurely the \textwidth value
-\@ifpackagewith{fncychap}{Bjornstrup}
- {\AtBeginDocument{\mylen\textwidth\advance\mylen-2\myhi}}%
- {}% <-- "false" clause of \@ifpackagewith
-
-
-%% TITLES
-%
-% Since Sphinx 1.5, users should use HeaderFamily key to 'sphinxsetup' rather
-% than defining their own \py@HeaderFamily command (which is still possible).
-% Memo: \py@HeaderFamily is also used by \maketitle as defined in
-% sphinxmanual.cls/sphinxhowto.cls
-\newcommand{\py@HeaderFamily}{\spx@opt@HeaderFamily}
-
-% This sets up the fancy chapter headings that make the documents look
-% at least a little better than the usual LaTeX output.
-\@ifpackagewith{fncychap}{Bjarne}{
-  \ChNameVar {\raggedleft\normalsize \py@HeaderFamily}
-  \ChNumVar  {\raggedleft\Large      \py@HeaderFamily}
-  \ChTitleVar{\raggedleft\Large      \py@HeaderFamily}
-  % This creates (numbered) chapter heads without the leading \vspace*{}:
-  \def\@makechapterhead#1{%
-    {\parindent \z@ \raggedright \normalfont
-      \ifnum \c@secnumdepth >\m@ne
-        \if@mainmatter
-          \DOCH
-        \fi
-      \fi
-      \interlinepenalty\@M
-      \if@mainmatter
-        \DOTI{#1}%
-      \else%
-        \DOTIS{#1}%
-      \fi
-    }}
-}{}% <-- "false" clause of \@ifpackagewith
-
-% Augment the sectioning commands used to get our own font family in place,
-% and reset some internal data items (\titleformat from titlesec package)
-\titleformat{\section}{\Large\py@HeaderFamily}%
-            {\py@TitleColor\thesection}{0.5em}{\py@TitleColor}{\py@NormalColor}
-\titleformat{\subsection}{\large\py@HeaderFamily}%
-            {\py@TitleColor\thesubsection}{0.5em}{\py@TitleColor}{\py@NormalColor}
-\titleformat{\subsubsection}{\py@HeaderFamily}%
-            {\py@TitleColor\thesubsubsection}{0.5em}{\py@TitleColor}{\py@NormalColor}
-% By default paragraphs (and subsubsections) will not be numbered because
-% sphinxmanual.cls and sphinxhowto.cls set secnumdepth to 2
-\titleformat{\paragraph}{\py@HeaderFamily}%
-            {\py@TitleColor\theparagraph}{0.5em}{\py@TitleColor}{\py@NormalColor}
-\titleformat{\subparagraph}{\py@HeaderFamily}%
-            {\py@TitleColor\thesubparagraph}{0.5em}{\py@TitleColor}{\py@NormalColor}
+% as will be indicated below, secondary style files load some more packages
+%
+% For \text macro (sphinx.util.texescape)
+% also for usage of \firstchoice@true(false) in sphinxlatexgraphics.sty
+\RequirePackage{amstext}
+% It was passed "warn" option from latex template in case it is already loaded
+% via some other package before \usepackage{sphinx} in preamble
+\RequirePackage{textcomp}
+% For the H specifier. Do not \restylefloat{figure}, it breaks Sphinx code
+% for allowing figures in tables.
+\RequirePackage{float}
+% For floating figures in the text. Better to load after float.
+\RequirePackage{wrapfig}
+% Provides \captionof, used once by latex writer (\captionof{figure})
+\RequirePackage{capt-of}
+% Support hlist directive
+\RequirePackage{multicol}
 
 
 %% GRAPHICS
 %
-% \sphinxincludegraphics defined to resize images larger than the line width,
-% except if height or width option present.
-%
-% If scale is present, rescale before fitting to line width. (since 1.5)
-\newbox\spx@image@box
-\newcommand*{\sphinxincludegraphics}[2][]{%
-  \in@{height}{#1}\ifin@\else\in@{width}{#1}\fi
-  \ifin@ % height or width present
-    \includegraphics[#1]{#2}%
-  \else % no height nor width (but #1 may be "scale=...")
-    \setbox\spx@image@box\hbox{\includegraphics[#1,draft]{#2}}%
-    \ifdim \wd\spx@image@box>\linewidth
-      \setbox\spx@image@box\box\voidb@x % clear memory
-      \includegraphics[#1,width=\linewidth]{#2}%
-    \else
-      \includegraphics[#1]{#2}%
-    \fi
-  \fi
-}
+% It will always be needed, so let's load it here
+\RequirePackage{graphicx}
+\input{sphinxlatexgraphics.sty}
 
 
-%% FIGURE IN TABLE
+%% FRAMED ENVIRONMENTS
 %
-\newenvironment{sphinxfigure-in-table}[1][\linewidth]{%
-  \def\@captype{figure}%
-  \sphinxsetvskipsforfigintablecaption
-  \begin{minipage}{#1}%
-}{\end{minipage}}
-% store original \caption macro for use with figures in longtable and tabulary
-\AtBeginDocument{\let\spx@originalcaption\caption}
-\newcommand*\sphinxfigcaption
-  {\ifx\equation$%$% this is trick to identify tabulary first pass
-       \firstchoice@false\else\firstchoice@true\fi
-   \spx@originalcaption }
-\newcommand*\sphinxsetvskipsforfigintablecaption
-  {\abovecaptionskip\smallskipamount
-   \belowcaptionskip\smallskipamount}
+\input{sphinxlatexadmonitions.sty}
+\input{sphinxlatexliterals.sty}
+\input{sphinxlatexshadowbox.sty}
 
-%% FOOTNOTES
-%
-% Support large numbered footnotes in minipage
-% But now obsolete due to systematic use of \savenotes/\spewnotes
-% when minipages are in use in the various macro definitions next.
-\def\thempfootnote{\arabic{mpfootnote}}
 
-
-%% LITERAL BLOCKS
+%% CONTAINERS
 %
-% Based on use of "fancyvrb.sty"'s Verbatim.
-% - with framing allowing page breaks ("framed.sty")
-% - with breaking of long lines (exploits Pygments mark-up),
-% - with possibly of a top caption, non-separable by pagebreak.
-% - and usable inside tables or footnotes ("footnotehyper-sphinx").
-
-% For extensions which use \OriginalVerbatim and compatibility with Sphinx <
-% 1.5, we define and use these when (unmodified) Verbatim will be needed. But
-% Sphinx >= 1.5 does not modify the \Verbatim macro anymore.
-\let\OriginalVerbatim   \Verbatim
-\let\endOriginalVerbatim\endVerbatim
-
-% if the available space on page is less than \literalblockneedspace, insert pagebreak
-\newcommand{\sphinxliteralblockneedspace}{5\baselineskip}
-\newcommand{\sphinxliteralblockwithoutcaptionneedspace}{1.5\baselineskip}
-
-% for captions of literal blocks
-% also define `\theH...` macros for hyperref
-\newcounter{literalblock}
-\ltx@ifundefined{c@chapter}
-  {\@addtoreset{literalblock}{section}
-  \def\theliteralblock {\ifnum\c@section>\z@ \thesection.\fi\arabic{literalblock}}
-  \def\theHliteralblock {\theHsection.\arabic{literalblock}}}
-  {\@addtoreset{literalblock}{chapter}
-  \def\theliteralblock {\ifnum\c@chapter>\z@ \thechapter.\fi\arabic{literalblock}}
-  \def\theHliteralblock {\theHchapter.\arabic{literalblock}}}
-% at start of caption title
-\newcommand*{\fnum@literalblock}{\literalblockname\nobreakspace\theliteralblock}
-% this will be overwritten in document preamble by Babel translation
-\newcommand*{\literalblockname}{Listing }
-% file extension needed for \caption's good functioning, the file is created
-% only if a \listof{literalblock}{foo} command is encountered, which is
-% analogous to \listoffigures, but for the code listings (foo = chosen title.)
-\newcommand*{\ext@literalblock}{lol}
-
-% The title (caption) is specified from outside as macro \sphinxVerbatimTitle.
-% \sphinxVerbatimTitle is reset to empty after each use of Verbatim.
-\newcommand*\sphinxVerbatimTitle {}
-% This box to typeset the caption before framed.sty multiple passes for framing.
-\newbox\spx@Verbatim@TitleBox
-% Holder macro for labels of literal blocks. Set-up by LaTeX writer.
-\newcommand*\sphinxLiteralBlockLabel {}
-\newcommand*\sphinxSetupCaptionForVerbatim [1]
-{%
-    \needspace{\sphinxliteralblockneedspace}%
-% insert a \label via \sphinxLiteralBlockLabel
-% reset to normal the color for the literal block caption
-% the caption inserts \abovecaptionskip whitespace above itself (usually 10pt)
-% there is also \belowcaptionskip but it is usually zero, hence the \smallskip
-    \def\sphinxVerbatimTitle
-       {\py@NormalColor
-        \captionof{literalblock}{\sphinxLiteralBlockLabel #1}\smallskip }%
-}
-\newcommand*\sphinxSetupCodeBlockInFootnote {%
-  \fvset{fontsize=\footnotesize}\let\caption\sphinxfigcaption
-  \sphinxverbatimwithminipagetrue % reduces vertical spaces
-  % we counteract float.sty's \caption which does \@normalsize
-  \let\normalsize\footnotesize\let\@parboxrestore\relax
-  \abovecaptionskip \smallskipamount \belowcaptionskip \z@skip}
-
-\newif\ifspx@inframed % flag set if we are already in a framed environment
-% if forced use of minipage encapsulation is needed (e.g. table cells)
-\newif\ifsphinxverbatimwithminipage   \sphinxverbatimwithminipagefalse
-\long\def\spx@colorbox #1#2#3{%
-% let the framing obey the current indentation (adapted from framed.sty's code).
-  \hskip\@totalleftmargin
-  \hskip-\fboxsep\hskip-\fboxrule
-  \spx@fcolorbox{VerbatimBorderColor}{VerbatimColor}{#1}{#2}{#3}%
-  \hskip-\fboxsep\hskip-\fboxrule
-  \hskip-\linewidth \hskip-\@totalleftmargin \hskip\columnwidth
-}
-% use of \color@b@x here is compatible with both xcolor.sty and color.sty
-\long\def\spx@fcolorbox #1#2#3#4%
-  {\color@b@x {\color{#1}\spx@VerbatimFBox{#3}{#4}}{\color{#2}}}%
-% Frame drawing macro
-% #1 = used by default for title above frame, may contain "continued" hint
-% #2 = for material underneath frame, used for "continues on next page" hint
-% #3 = actual contents with background color
-\long\def\spx@VerbatimFBox#1#2#3{%
-  \leavevmode
-  \begingroup
-  \setbox\@tempboxa\hbox{{#3}}% inner braces to avoid color leaks
-  \hbox
-   {\lower\dimexpr\fboxrule+\dp\@tempboxa\hbox{%
-      \vbox{#1% above frame
-            % draw frame border _latest_ to avoid pdf viewer issue
-            \kern\fboxrule
-            \hbox{\kern\fboxrule
-                  \copy\@tempboxa
-                  \kern-\wd\@tempboxa\kern-\fboxrule
-                  \vrule\@width\fboxrule
-                  \kern\wd\@tempboxa
-                  \vrule\@width\fboxrule}%
-            \kern-\dimexpr\ht\@tempboxa+\dp\@tempboxa+\fboxrule\relax
-            \hrule\@height\fboxrule
-            \kern\dimexpr\ht\@tempboxa+\dp\@tempboxa\relax
-            \hrule\@height\fboxrule
-            #2% below frame
-          }%
-    }%
-   }%
-  \endgroup
-}
+\input{sphinxlatexcontainers.sty}
 
-% Customize framed.sty \MakeFramed to glue caption to literal block
-% and add optional hint "continued on next page"
-\def\spx@Verbatim@FrameCommand
-   {\spx@colorbox\spx@Verbatim@Title{}}%
-% Macros for a frame with page breaks:
-\def\spx@Verbatim@FirstFrameCommand
-   {\spx@colorbox\spx@Verbatim@Title\spx@Verbatim@Continues}%
-\def\spx@Verbatim@MidFrameCommand
-   {\spx@colorbox\spx@Verbatim@Continued\spx@Verbatim@Continues}%
-\def\spx@Verbatim@LastFrameCommand
-   {\spx@colorbox\spx@Verbatim@Continued{}}%
-
-\def\spx@Verbatim@Title{% hide width from framed.sty measuring
-  \moveright\dimexpr\fboxrule+.5\wd\@tempboxa
-  \hb@xt@\z@{\hss\unhcopy\spx@Verbatim@TitleBox\hss}%
-}%
-\def\spx@Verbatim@Continued{%
-  \moveright\dimexpr\fboxrule+\wd\@tempboxa-\fboxsep
-  \hb@xt@\z@{\hss
-             {\normalcolor\sphinxstylecodecontinued\literalblockcontinuedname}}%
-}%
-\def\spx@Verbatim@Continues{%
-  \moveright\dimexpr\fboxrule+\wd\@tempboxa-\fboxsep
-  \hb@xt@\z@{\hss
-             {\normalcolor\sphinxstylecodecontinues\literalblockcontinuesname}}%
-}%
-% Defaults are redefined in document preamble according to language
-\newcommand*\literalblockcontinuedname{continued from previous page}%
-\newcommand*\literalblockcontinuesname{continues on next page}%
-
-% For linebreaks inside Verbatim environment from package fancyvrb.
-\newbox\sphinxcontinuationbox
-\newbox\sphinxvisiblespacebox
-\newcommand*\sphinxafterbreak {\copy\sphinxcontinuationbox}
-
-% Take advantage of the already applied Pygments mark-up to insert
-% potential linebreaks for TeX processing.
-%        {, <, #, %, $, ' and ": go to next line.
-%        _, }, ^, &, >, - and ~: stay at end of broken line.
-% Use of \textquotesingle for straight quote.
-% FIXME: convert this to package options ?
-\newcommand*\sphinxbreaksbeforelist {%
-    \do\PYGZob\{\do\PYGZlt\<\do\PYGZsh\#\do\PYGZpc\%% {, <, #, %,
-    \do\PYGZdl\$\do\PYGZdq\"% $, "
-    \def\PYGZsq
-     {\discretionary{}{\sphinxafterbreak\textquotesingle}{\textquotesingle}}% '
-}
-\newcommand*\sphinxbreaksafterlist {%
-    \do\PYGZus\_\do\PYGZcb\}\do\PYGZca\^\do\PYGZam\&% _, }, ^, &,
-    \do\PYGZgt\>\do\PYGZhy\-\do\PYGZti\~% >, -, ~
-}
-\newcommand*\sphinxbreaksatspecials {%
-  \def\do##1##2%
-     {\def##1{\discretionary{}{\sphinxafterbreak\char`##2}{\char`##2}}}%
-  \sphinxbreaksbeforelist
-  \def\do##1##2%
-     {\def##1{\discretionary{\char`##2}{\sphinxafterbreak}{\char`##2}}}%
-  \sphinxbreaksafterlist
-}
 
-\def\sphinx@verbatim@nolig@list {\do \`}%
-% Some characters . , ; ? ! / are not pygmentized.
-% This macro makes them "active" and they will insert potential linebreaks.
-% Not compatible with math mode (cf \sphinxunactivateextras).
-\newcommand*\sphinxbreaksbeforeactivelist {}% none
-\newcommand*\sphinxbreaksafteractivelist  {\do\.\do\,\do\;\do\?\do\!\do\/}
-\newcommand*\sphinxbreaksviaactive {%
-   \def\do##1{\lccode`\~`##1%
-    \lowercase{\def~}{\discretionary{}{\sphinxafterbreak\char`##1}{\char`##1}}%
-    \catcode`##1\active}%
-   \sphinxbreaksbeforeactivelist
-   \def\do##1{\lccode`\~`##1%
-    \lowercase{\def~}{\discretionary{\char`##1}{\sphinxafterbreak}{\char`##1}}%
-    \catcode`##1\active}%
-   \sphinxbreaksafteractivelist
-   \lccode`\~`\~
-}
+%% PYGMENTS
+% stylesheet for highlighting with pygments
+\RequirePackage{sphinxhighlight}
 
-% If the linebreak is at a space, the latter will be displayed as visible
-% space at end of first line, and a continuation symbol starts next line.
-\def\spx@verbatim@space {%
-     \nobreak\hskip\z@skip
-     \discretionary{\copy\sphinxvisiblespacebox}{\sphinxafterbreak}
-                   {\kern\fontdimen2\font}%
-}%
 
-% needed to create wrapper environments of fancyvrb's Verbatim
-\newcommand*{\sphinxVerbatimEnvironment}{\gdef\FV@EnvironName{sphinxVerbatim}}
-% serves to implement line highlighting and line wrapping
-\newcommand\sphinxFancyVerbFormatLine[1]{%
-  \expandafter\sphinx@verbatim@checkifhl\expandafter{\the\FV@CodeLineNo}%
-  \ifin@
-     \sphinxVerbatimHighlightLine{#1}%
-  \else
-     \sphinxVerbatimFormatLine{#1}%
-  \fi
-}%
-\newcommand\sphinxVerbatimHighlightLine[1]{%
-  \edef\sphinxrestorefboxsep{\fboxsep\the\fboxsep\relax}%
-  \fboxsep0pt\relax % cf LaTeX bug graphics/4524
-  \colorbox{sphinxVerbatimHighlightColor}%
-           {\sphinxrestorefboxsep\sphinxVerbatimFormatLine{#1}}%
-  % no need to restore \fboxsep here, as this ends up in a \hbox from fancyvrb
-}%
-% \sphinxVerbatimFormatLine will be set locally to one of those two:
-\newcommand\sphinxVerbatimFormatLineWrap[1]{%
-    \hsize\linewidth
-    \vtop{\raggedright\hyphenpenalty\z@\exhyphenpenalty\z@
-          \doublehyphendemerits\z@\finalhyphendemerits\z@
-          \strut #1\strut}%
-}%
-\newcommand\sphinxVerbatimFormatLineNoWrap[1]{\hb@xt@\linewidth{\strut #1\hss}}%
-\g@addto@macro\FV@SetupFont{%
-    \sbox\sphinxcontinuationbox {\spx@opt@verbatimcontinued}%
-    \sbox\sphinxvisiblespacebox {\spx@opt@verbatimvisiblespace}%
-}%
-% Sphinx <1.5 optional argument was in fact mandatory. It is now really
-% optional and handled by original Verbatim.
-\newenvironment{sphinxVerbatim}{%
-  % quit horizontal mode if we are still in a paragraph
-  \par
-  % list starts new par, but we don't want it to be set apart vertically
-  \parskip\z@skip
-  % first, let's check if there is a caption
-  \ifx\sphinxVerbatimTitle\empty
-      \addvspace\z@% counteract possible previous negative skip (French lists!)
-      \smallskip
-      % there was no caption. Check if nevertheless a label was set.
-      \ifx\sphinxLiteralBlockLabel\empty\else
-      % we require some space to be sure hyperlink target from \phantomsection
-      % will not be separated from upcoming verbatim by a page break
-          \needspace{\sphinxliteralblockwithoutcaptionneedspace}%
-          \phantomsection\sphinxLiteralBlockLabel
-      \fi
-      \let\spx@Verbatim@Title\@empty
-  \else
-  % non-empty \sphinxVerbatimTitle has label inside it (in case there is one)
-     \setbox\spx@Verbatim@TitleBox
-            \hbox{\begin{minipage}{\linewidth}%
-                    \sphinxVerbatimTitle
-                  \end{minipage}}%
-  \fi
-  \fboxsep\sphinxverbatimsep \fboxrule\sphinxverbatimborder
-  % setting borderwidth to zero is simplest for no-frame effect with same pagebreaks
-  \ifspx@opt@verbatimwithframe\else\fboxrule\z@\fi
-  \let\FrameCommand     \spx@Verbatim@FrameCommand
-  \let\FirstFrameCommand\spx@Verbatim@FirstFrameCommand
-  \let\MidFrameCommand  \spx@Verbatim@MidFrameCommand
-  \let\LastFrameCommand \spx@Verbatim@LastFrameCommand
-  \ifspx@opt@verbatimhintsturnover\else
-      \let\spx@Verbatim@Continued\@empty
-      \let\spx@Verbatim@Continues\@empty
-  \fi
-  \ifspx@opt@verbatimwrapslines
-  % fancyvrb's Verbatim puts each input line in (unbreakable) horizontal boxes.
-  % This customization wraps each line from the input in a \vtop, thus
-  % allowing it to wrap and display on two or more lines in the latex output.
-  %     - The codeline counter will be increased only once.
-  %     - The wrapped material will not break across pages, it is impossible
-  %       to achieve this without extensive rewrite of fancyvrb.
-  %     - The (not used in sphinx) obeytabs option to Verbatim is
-  %       broken by this change (showtabs and tabspace work).
-    \let\sphinxVerbatimFormatLine\sphinxVerbatimFormatLineWrap
-    \let\FV@Space\spx@verbatim@space
-  % Allow breaks at special characters using \PYG... macros.
-    \sphinxbreaksatspecials
-  % Breaks at punctuation characters . , ; ? ! and / (needs catcode activation)
-    \fvset{codes*=\sphinxbreaksviaactive}%
-  \else % end of conditional code for wrapping long code lines
-    \let\sphinxVerbatimFormatLine\sphinxVerbatimFormatLineNoWrap
-  \fi
-  \let\FancyVerbFormatLine\sphinxFancyVerbFormatLine
-  % workaround to fancyvrb's check of \@currenvir
-  \let\VerbatimEnvironment\sphinxVerbatimEnvironment
-  % workaround to fancyvrb's check of current list depth
-  \def\@toodeep {\advance\@listdepth\@ne}%
-  % The list environment is needed to control perfectly the vertical space.
-  % Note: \OuterFrameSep used by framed.sty is later set to \topsep hence 0pt.
-  % - if caption: vertical space above caption = (\abovecaptionskip + D) with
-  %   D = \baselineskip-\FrameHeightAdjust, and then \smallskip above frame.
-  % - if no caption: (\smallskip + D) above frame. By default D=6pt.
-  % Use trivlist rather than list to avoid possible "too deeply nested" error.
-  \itemsep   \z@skip
-  \topsep    \z@skip
-  \partopsep \z@skip% trivlist will set \parsep to \parskip = zero (see above)
-  % \leftmargin will be set to zero by trivlist
-  \rightmargin\z@
-  \parindent  \z@% becomes \itemindent. Default zero, but perhaps overwritten.
-  \trivlist\item\relax
-     \ifsphinxverbatimwithminipage\spx@inframedtrue\fi
-     % use a minipage if we are already inside a framed environment
-     \ifspx@inframed\noindent\begin{minipage}{\linewidth}\fi
-     \MakeFramed {% adapted over from framed.sty's snugshade environment
-        \advance\hsize-\width\@totalleftmargin\z@\linewidth\hsize\@setminipage
-        }%
-     % For grid placement from \strut's in \FancyVerbFormatLine
-     \lineskip\z@skip
-     % active comma should not be overwritten by \@noligs
-     \ifspx@opt@verbatimwrapslines
-       \let\verbatim@nolig@list \sphinx@verbatim@nolig@list
-     \fi
-     % will fetch its optional arguments if any
-     \OriginalVerbatim
-}
-{%
-  \endOriginalVerbatim
-  \par\unskip\@minipagefalse\endMakeFramed % from framed.sty snugshade
-  \ifspx@inframed\end{minipage}\fi
-  \endtrivlist
-}
-\newenvironment {sphinxVerbatimNoFrame}
-  {\spx@opt@verbatimwithframefalse
-   % needed for fancyvrb as literal code will end in \end{sphinxVerbatimNoFrame}
-   \def\sphinxVerbatimEnvironment{\gdef\FV@EnvironName{sphinxVerbatimNoFrame}}%
-   \begin{sphinxVerbatim}}
-  {\end{sphinxVerbatim}}
-\newenvironment {sphinxVerbatimintable}
-  {% don't use a frame if in a table cell
-   \spx@opt@verbatimwithframefalse
-   \sphinxverbatimwithminipagetrue
-   % counteract longtable redefinition of caption
-   \let\caption\sphinxfigcaption
-   % reduce above caption space if in a table cell
-   \abovecaptionskip\smallskipamount
-   \def\sphinxVerbatimEnvironment{\gdef\FV@EnvironName{sphinxVerbatimintable}}%
-   \begin{sphinxVerbatim}}
-  {\end{sphinxVerbatim}}
-
-
-%% PARSED LITERALS
-% allow long lines to wrap like they do in code-blocks
-
-% this should be kept in sync with definitions in sphinx.util.texescape
-\newcommand*\sphinxbreaksattexescapedchars{%
-  \def\do##1##2% put potential break point before character
-     {\def##1{\discretionary{}{\sphinxafterbreak\char`##2}{\char`##2}}}%
-  \do\{\{\do\textless\<\do\#\#\do\%\%\do\$\$% {, <, #, %, $
-  \def\do##1##2% put potential break point after character
-     {\def##1{\discretionary{\char`##2}{\sphinxafterbreak}{\char`##2}}}%
-  \do\_\_\do\}\}\do\textasciicircum\^\do\&\&% _, }, ^, &,
-  \do\textgreater\>\do\textasciitilde\~% >, ~
-}
-\newcommand*\sphinxbreaksviaactiveinparsedliteral{%
-  \sphinxbreaksviaactive % by default handles . , ; ? ! /
-  \do\-% we need also the hyphen character (ends up "as is" in parsed-literal)
-  \lccode`\~`\~ %
-  % update \dospecials as it is used by \url
-  % but deactivation will already have been done hence this is unneeded:
-  %  \expandafter\def\expandafter\dospecials\expandafter{\dospecials
-  %   \sphinxbreaksbeforeactivelist\sphinxbreaksafteractivelist\do\-}%
-}
-\newcommand*\sphinxbreaksatspaceinparsedliteral{%
-  \lccode`~32 \lowercase{\let~}\spx@verbatim@space\lccode`\~`\~
-}
-\newcommand*{\sphinxunactivateextras}{\let\do\@makeother
-      \sphinxbreaksbeforeactivelist\sphinxbreaksafteractivelist\do\-}%
-% the \catcode13=5\relax (deactivate end of input lines) is left to callers
-\newcommand*{\sphinxunactivateextrasandspace}{\catcode32=10\relax
-      \sphinxunactivateextras}%
-% now for the modified alltt environment
-\newenvironment{sphinxalltt}
-{% at start of next line to workaround Emacs/AUCTeX issue with this file
-\begin{alltt}%
- \ifspx@opt@parsedliteralwraps
-   \sbox\sphinxcontinuationbox {\spx@opt@verbatimcontinued}%
-   \sbox\sphinxvisiblespacebox {\spx@opt@verbatimvisiblespace}%
-   \sphinxbreaksattexescapedchars
-   \sphinxbreaksviaactiveinparsedliteral
-   \sphinxbreaksatspaceinparsedliteral
-% alltt takes care of the ' as derivative ("prime") in math mode
-   \everymath\expandafter{\the\everymath\sphinxunactivateextrasandspace
-             \catcode`\<=12\catcode`\>=12\catcode`\^=7\catcode`\_=8 }%
-% not sure if displayed math (align,...) can end up in parsed-literal, anyway
-   \everydisplay\expandafter{\the\everydisplay
-             \catcode13=5 \sphinxunactivateextrasandspace
-             \catcode`\<=12\catcode`\>=12\catcode`\^=7\catcode`\_=8 }%
- \fi }
-{\end{alltt}}
-
-% Protect \href's first argument in contexts such as sphinxalltt (or
-% \sphinxcode). Sphinx uses \#, \%, \& ... always inside \sphinxhref.
-\protected\def\sphinxhref#1#2{{%
-    \sphinxunactivateextrasandspace % never do \scantokens with active space!
-    \endlinechar\m@ne\everyeof{{#2}}% keep catcode regime for #2
-    \scantokens{\href{#1}}% normalise it for #1 during \href expansion
-}}
-% Same for \url. And also \nolinkurl for coherence.
-\protected\def\sphinxurl#1{{%
-    \sphinxunactivateextrasandspace\everyeof{}% (<- precaution for \scantokens)
-    \endlinechar\m@ne\scantokens{\url{#1}}%
-}}
-\protected\def\sphinxnolinkurl#1{{%
-    \sphinxunactivateextrasandspace\everyeof{}%
-    \endlinechar\m@ne\scantokens{\nolinkurl{#1}}%
-}}
-
-
-%% TOPIC AND CONTENTS BOXES
-%
-% Again based on use of "framed.sty", this allows breakable framed boxes.
-\long\def\spx@ShadowFBox#1{%
-  \leavevmode\begingroup
-  % first we frame the box #1
-  \setbox\@tempboxa
-   \hbox{\vrule\@width\sphinxshadowrule
-         \vbox{\hrule\@height\sphinxshadowrule
-               \kern\sphinxshadowsep
-               \hbox{\kern\sphinxshadowsep #1\kern\sphinxshadowsep}%
-               \kern\sphinxshadowsep
-               \hrule\@height\sphinxshadowrule}%
-         \vrule\@width\sphinxshadowrule}%
-  % Now we add the shadow, like \shadowbox from fancybox.sty would do
-  \dimen@\dimexpr.5\sphinxshadowrule+\sphinxshadowsize\relax
-  \hbox{\vbox{\offinterlineskip
-              \hbox{\copy\@tempboxa\kern-.5\sphinxshadowrule
-                    % add shadow on right side
-                    \lower\sphinxshadowsize
-                          \hbox{\vrule\@height\ht\@tempboxa \@width\dimen@}%
-                    }%
-              \kern-\dimen@ % shift back vertically to bottom of frame
-              % and add shadow at bottom
-              \moveright\sphinxshadowsize
-                    \vbox{\hrule\@width\wd\@tempboxa \@height\dimen@}%
-              }%
-        % move left by the size of right shadow so shadow adds no width
-        \kern-\sphinxshadowsize
-       }%
-  \endgroup
-}
-
-% use framed.sty to allow page breaks in frame+shadow
-% works well inside Lists and Quote-like environments
-% produced by ``topic'' directive (or local contents)
-% could nest if LaTeX writer authorized it
-\newenvironment{sphinxShadowBox}
-  {\def\FrameCommand {\spx@ShadowFBox }%
-   % configure framed.sty not to add extra vertical spacing
-   \ltx@ifundefined{OuterFrameSep}{}{\OuterFrameSep\z@skip}%
-   % the \trivlist will add the vertical spacing on top and bottom which is
-   % typical of center environment as used in Sphinx <= 1.4.1
-   % the \noindent has the effet of an extra blank line on top, to
-   % imitate closely the layout from Sphinx <= 1.4.1; the \FrameHeightAdjust
-   % will put top part of frame on this baseline.
-   \def\FrameHeightAdjust {\baselineskip}%
-   % use package footnote to handle footnotes
-   \savenotes
-   \trivlist\item\noindent
-    % use a minipage if we are already inside a framed environment
-    \ifspx@inframed\begin{minipage}{\linewidth}\fi
-    \MakeFramed {\spx@inframedtrue
-    % framed.sty puts into "\width" the added width (=2shadowsep+2shadowrule)
-    % adjust \hsize to what the contents must use
-    \advance\hsize-\width
-    % adjust LaTeX parameters to behave properly in indented/quoted contexts
-    \FrameRestore
-    % typeset the contents as in a minipage (Sphinx <= 1.4.1 used a minipage and
-    % itemize/enumerate are therein typeset more tightly, we want to keep
-    % that). We copy-paste from LaTeX source code but don't do a real minipage.
-    \@pboxswfalse
-    \let\@listdepth\@mplistdepth \@mplistdepth\z@
-    \@minipagerestore
-    \@setminipage
-    }%
-  }%
-  {% insert the "endminipage" code
-    \par\unskip
-    \@minipagefalse
-   \endMakeFramed
-     \ifspx@inframed\end{minipage}\fi
-   \endtrivlist
-   % output the stored footnotes
-   \spewnotes
-  }
-
-
-%% NOTICES AND ADMONITIONS
-%
-% Some are quite plain
-% the spx@notice@bordercolor etc are set in the sphinxadmonition environment
-\newenvironment{sphinxlightbox}{%
-  \par\allowbreak
-  \noindent{\color{spx@notice@bordercolor}%
-            \rule{\linewidth}{\spx@notice@border}}\par\nobreak
-  {\parskip\z@skip\noindent}%
-  }
-  {%
-  \par
-  % counteract previous possible negative skip (French lists!):
-  % (we can't cancel that any earlier \vskip introduced a potential pagebreak)
-  \ifdim\lastskip<\z@\vskip-\lastskip\fi
-  \nobreak\vbox{\noindent\kern\@totalleftmargin
-      {\color{spx@notice@bordercolor}%
-       \rule[\dimexpr.4\baselineskip-\spx@notice@border\relax]
-             {\linewidth}{\spx@notice@border}}\hss}\allowbreak
-  }% end of sphinxlightbox environment definition
-% may be renewenvironment'd by user for complete customization
-\newenvironment{sphinxnote}[1]
-  {\begin{sphinxlightbox}\sphinxstrong{#1} }{\end{sphinxlightbox}}
-\newenvironment{sphinxhint}[1]
-  {\begin{sphinxlightbox}\sphinxstrong{#1} }{\end{sphinxlightbox}}
-\newenvironment{sphinximportant}[1]
-  {\begin{sphinxlightbox}\sphinxstrong{#1} }{\end{sphinxlightbox}}
-\newenvironment{sphinxtip}[1]
-  {\begin{sphinxlightbox}\sphinxstrong{#1} }{\end{sphinxlightbox}}
-% or just use the package options
-% these are needed for common handling by notice environment of lightbox
-% and heavybox but they are  currently not used by lightbox environment
-% and there is consequently no corresponding package option
-\definecolor{sphinxnoteBgColor}{rgb}{1,1,1}
-\definecolor{sphinxhintBgColor}{rgb}{1,1,1}
-\definecolor{sphinximportantBgColor}{rgb}{1,1,1}
-\definecolor{sphinxtipBgColor}{rgb}{1,1,1}
-
-% Others get more distinction
-% Code adapted from framed.sty's "snugshade" environment.
-% Nesting works (inner frames do not allow page breaks).
-\newenvironment{sphinxheavybox}{\par
-   \setlength{\FrameRule}{\spx@notice@border}%
-   \setlength{\FrameSep}{\dimexpr.6\baselineskip-\FrameRule\relax}
-   % configure framed.sty's parameters to obtain same vertical spacing
-   % as for "light" boxes. We need for this to manually insert parskip glue and
-   % revert a skip done by framed before the frame.
-    \ltx@ifundefined{OuterFrameSep}{}{\OuterFrameSep\z@skip}%
-    \vspace{\FrameHeightAdjust}
-   % copied/adapted from framed.sty's snugshade
-   \def\FrameCommand##1{\hskip\@totalleftmargin
-       \fboxsep\FrameSep \fboxrule\FrameRule
-       \fcolorbox{spx@notice@bordercolor}{spx@notice@bgcolor}{##1}%
-       \hskip-\linewidth \hskip-\@totalleftmargin \hskip\columnwidth}%
-   \savenotes
-   % use a minipage if we are already inside a framed environment
-   \ifspx@inframed
-       \noindent\begin{minipage}{\linewidth}
-   \else
-       % handle case where notice is first thing in a list item (or is quoted)
-       \if@inlabel
-        \noindent\par\vspace{-\baselineskip}
-       \else
-        \vspace{\parskip}
-       \fi
-   \fi
-   \MakeFramed {\spx@inframedtrue
-     \advance\hsize-\width \@totalleftmargin\z@ \linewidth\hsize
-     % minipage initialization copied from LaTeX source code.
-     \@pboxswfalse
-     \let\@listdepth\@mplistdepth \@mplistdepth\z@
-     \@minipagerestore
-     \@setminipage }%
-   }
-   {%
-   \par\unskip
-   \@minipagefalse
-   \endMakeFramed
-   \ifspx@inframed\end{minipage}\fi
-   % set footnotes at bottom of page
-   \spewnotes
-   % arrange for similar spacing below frame as for "light" boxes.
-   \vskip .4\baselineskip
-   }% end of sphinxheavybox environment definition
-% may be renewenvironment'd by user for complete customization
-\newenvironment{sphinxwarning}[1]
-  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
-\newenvironment{sphinxcaution}[1]
-  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
-\newenvironment{sphinxattention}[1]
-  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
-\newenvironment{sphinxdanger}[1]
-  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
-\newenvironment{sphinxerror}[1]
-  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
-% or just use package options
-
-% the \colorlet of xcolor (if at all loaded) is overkill for our use case
-\newcommand{\sphinxcolorlet}[2]
-    {\expandafter\let\csname\@backslashchar color@#1\expandafter\endcsname
-                     \csname\@backslashchar color@#2\endcsname }
-
-% the main dispatch for all types of notices
-\newenvironment{sphinxadmonition}[2]{% #1=type, #2=heading
-  % can't use #1 directly in definition of end part
-  \def\spx@noticetype {#1}%
-  % set parameters of heavybox/lightbox
-  \sphinxcolorlet{spx@notice@bordercolor}{sphinx#1BorderColor}%
-  \sphinxcolorlet{spx@notice@bgcolor}{sphinx#1BgColor}%
-  \spx@notice@border \dimexpr\csname spx@opt@#1border\endcsname\relax
-  % start specific environment, passing the heading as argument
-  \begin{sphinx#1}{#2}}
-  % workaround some LaTeX "feature" of \end command
- {\edef\spx@temp{\noexpand\end{sphinx\spx@noticetype}}\spx@temp}
-% use of ``notice'' is for backwards compatibility and will be removed in
-% Sphinx 1.7.
-\newenvironment{notice}
-  {\sphinxdeprecationwarning {notice}{1.6}{1.7}{%
-  This document was probably built with a Sphinx extension using ``notice''^^J
-  environment. At Sphinx 1.7, ``notice'' environment will be removed. Please^^J
-  report to extension author to use ``sphinxadmonition'' instead.^^J%
-  ****}\begin{sphinxadmonition}}{\end{sphinxadmonition}}
-
-
-%% PYTHON DOCS MACROS AND ENVIRONMENTS
-%  (some macros here used by \maketitle in sphinxmanual.cls and sphinxhowto.cls)
-
-% \moduleauthor{name}{email}
-\newcommand{\moduleauthor}[2]{}
-
-% \sectionauthor{name}{email}
-\newcommand{\sectionauthor}[2]{}
-
-% Allow the release number to be specified independently of the
-% \date{}.  This allows the date to reflect the document's date and
-% release to specify the release that is documented.
-%
-\newcommand{\py@release}{}
-\newcommand{\version}{}
-\newcommand{\shortversion}{}
-\newcommand{\releaseinfo}{}
-\newcommand{\releasename}{Release}
-\newcommand{\release}[1]{%
-  \renewcommand{\py@release}{\releasename\space\version}%
-  \renewcommand{\version}{#1}}
-\newcommand{\setshortversion}[1]{%
-  \renewcommand{\shortversion}{#1}}
-\newcommand{\setreleaseinfo}[1]{%
-  \renewcommand{\releaseinfo}{#1}}
-
-% Allow specification of the author's address separately from the
-% author's name.  This can be used to format them differently, which
-% is a good thing.
-%
-\newcommand{\py@authoraddress}{}
-\newcommand{\authoraddress}[1]{\renewcommand{\py@authoraddress}{#1}}
-
-% {fulllineitems} is the main environment for object descriptions.
-%
-\newcommand{\py@itemnewline}[1]{%
-  \kern\labelsep
-  \@tempdima\linewidth
-  \advance\@tempdima \labelwidth\makebox[\@tempdima][l]{#1}%
-  \kern-\labelsep
-}
+%% TABLES
+%
+\input{sphinxlatextables.sty}
 
-\newenvironment{fulllineitems}{%
-  \begin{list}{}{\labelwidth \leftmargin
-                 \rightmargin \z@ \topsep -\parskip \partopsep \parskip
-                 \itemsep -\parsep
-                 \let\makelabel=\py@itemnewline}%
-}{\end{list}}
-
-% Signatures, possibly multi-line
-%
-\newlength{\py@argswidth}
-\newcommand{\py@sigparams}[2]{%
-  \parbox[t]{\py@argswidth}{#1\sphinxcode{)}#2}}
-\newcommand{\pysigline}[1]{\item[{#1}]}
-\newcommand{\pysiglinewithargsret}[3]{%
-  \settowidth{\py@argswidth}{#1\sphinxcode{(}}%
-  \addtolength{\py@argswidth}{-2\py@argswidth}%
-  \addtolength{\py@argswidth}{\linewidth}%
-  \item[{#1\sphinxcode{(}\py@sigparams{#2}{#3}}]}
-\newcommand{\pysigstartmultiline}{%
- \def\pysigstartmultiline{\vskip\smallskipamount\parskip\z@skip\itemsep\z@skip}%
- \edef\pysigstopmultiline
-     {\noexpand\leavevmode\parskip\the\parskip\relax\itemsep\the\itemsep\relax}%
- \parskip\z@skip\itemsep\z@skip
-}
 
-% Production lists
+%% NUMBERING OF FIGURES, TABLES, AND LITERAL BLOCKS
 %
-\newenvironment{productionlist}{%
-%  \def\sphinxoptional##1{{\Large[}##1{\Large]}}
-  \def\production##1##2{\\\sphinxcode{##1}&::=&\sphinxcode{##2}}%
-  \def\productioncont##1{\\& &\sphinxcode{##1}}%
-  \parindent=2em
-  \indent
-  \setlength{\LTpre}{0pt}%
-  \setlength{\LTpost}{0pt}%
-  \begin{longtable}[l]{lcl}
-}{%
-  \end{longtable}
-}
+\input{sphinxlatexnumfig.sty}
 
-% Definition lists; requested by AMK for HOWTO documents.  Probably useful
-% elsewhere as well, so keep in in the general style support.
-%
-\newenvironment{definitions}{%
-  \begin{description}%
-  \def\term##1{\item[{##1}]\mbox{}\\*[0mm]}%
-}{%
-  \end{description}%
-}
 
-%% FROM DOCTUTILS LATEX WRITER
+%% LISTS
 %
-% The following is stuff copied from docutils' latex writer.
+\input{sphinxlatexlists.sty}
+
+
+%% FOOTNOTES
 %
-\newcommand{\optionlistlabel}[1]{\normalfont\bfseries #1 \hfill}% \bf deprecated
-\newenvironment{optionlist}[1]
-{\begin{list}{}
-  {\setlength{\labelwidth}{#1}
-   \setlength{\rightmargin}{1cm}
-   \setlength{\leftmargin}{\rightmargin}
-   \addtolength{\leftmargin}{\labelwidth}
-   \addtolength{\leftmargin}{\labelsep}
-   \renewcommand{\makelabel}{\optionlistlabel}}
-}{\end{list}}
-
-\newlength{\lineblockindentation}
-\setlength{\lineblockindentation}{2.5em}
-\newenvironment{lineblock}[1]
-{\begin{list}{}
-  {\setlength{\partopsep}{\parskip}
-   \addtolength{\partopsep}{\baselineskip}
-   \topsep0pt\itemsep0.15\baselineskip\parsep0pt
-   \leftmargin#1\relax}
- \raggedright}
-{\end{list}}
-
-% From docutils.writers.latex2e
-% inline markup (custom roles)
-% \DUrole{#1}{#2} tries \DUrole#1{#2}
-\providecommand*{\DUrole}[2]{%
-  \ifcsname DUrole\detokenize{#1}\endcsname
-    \csname DUrole\detokenize{#1}\endcsname{#2}%
-  \else% backwards compatibility: try \docutilsrole#1{#2}
-    \ifcsname docutilsrole\detokenize{#1}\endcsname
-      \csname docutilsrole\detokenize{#1}\endcsname{#2}%
+% Support scopes for footnote numbering
+\newcounter{sphinxscope}
+\newcommand{\sphinxstepscope}{\stepcounter{sphinxscope}}
+% Explicitly numbered footnotes may be referred to, and for this to be
+% clickable we need to have only one target. So we will step this at each
+% explicit footnote and let \thesphinxscope take it into account
+\newcounter{sphinxexplicit}
+\newcommand{\sphinxstepexplicit}{\stepcounter{sphinxexplicit}}
+% Some babel/polyglossia languages fiddle with \@arabic, so let's be extra
+% cautious and redefine \thesphinxscope with \number not \@arabic.
+% Memo: we expect some subtle redefinition of \thesphinxscope to be a part of page
+% scoping for footnotes, when we shall implement it.
+\renewcommand{\thesphinxscope}{\number\value{sphinxscope}.\number\value{sphinxexplicit}}
+\newcommand\sphinxthefootnotemark[2]{%
+   % this is used to make reference to an explicitly numbered footnote not on same page
+   % #1=label of footnote text, #2=page number where footnote text was printed
+   \ifdefined\pagename
+      \pagename\space#2, % <- space
     \else
-      #2%
-    \fi
-  \fi
+      p. #2, % <- space
+   \fi #1% no space
 }
+% support large numbered footnotes in minipage; but this is now obsolete
+% from systematic use of savenotes environment around minipages
+\def\thempfootnote{\arabic{mpfootnote}}
+% This package is needed to support hyperlinked footnotes in tables and
+% framed contents, and to allow code-blocks in footnotes.
+\RequirePackage{sphinxpackagefootnote}
 
-\providecommand*{\DUprovidelength}[2]{%
-  \ifdefined#1\else\newlength{#1}\setlength{#1}{#2}\fi
-}
 
-\DUprovidelength{\DUlineblockindent}{2.5em}
-\ifdefined\DUlineblock\else
-  \newenvironment{DUlineblock}[1]{%
-    \list{}{\setlength{\partopsep}{\parskip}
-            \addtolength{\partopsep}{\baselineskip}
-            \setlength{\topsep}{0pt}
-            \setlength{\itemsep}{0.15\baselineskip}
-            \setlength{\parsep}{0pt}
-            \setlength{\leftmargin}{#1}}
-    \raggedright
-  }
-  {\endlist}
-\fi
+%% INDEX, BIBLIOGRAPHY, APPENDIX, TABLE OF CONTENTS
+%
+\input{sphinxlatexindbibtoc.sty}
 
-%% TEXT STYLING
+
+%% STYLING
 %
-% Some custom font markup commands.
-% *** the macros without \sphinx prefix are still defined farther down ***
-\protected\def\sphinxstrong#1{{\textbf{#1}}}
-% to obtain straight quotes we execute \@noligs as patched by upquote, and
-% \scantokens is needed in cases where it would be too late for the macro to
-% first set catcodes and then fetch its argument. We also make the contents
-% breakable at non-escaped . , ; ? ! / using \sphinxbreaksviaactive.
-% the macro must be protected if it ends up used in moving arguments,
-% in 'alltt' \@noligs is done already, and the \scantokens must be avoided.
-\protected\def\sphinxcode#1{{\def\@tempa{alltt}%
-  \ifx\@tempa\@currenvir\else
-   \ifspx@opt@inlineliteralwraps
-      \sphinxbreaksviaactive\let\sphinxafterbreak\empty
-      % do not overwrite the comma set-up
-      \let\verbatim@nolig@list\sphinx@literal@nolig@list
-   \fi
-   % fix a space-gobbling issue due to LaTeX's original \do@noligs
-   \let\do@noligs\sphinx@do@noligs
-   \@noligs\endlinechar\m@ne\everyeof{}% (<- in case inside \sphinxhref)
-   \expandafter\scantokens
-  \fi {\texttt{#1}}}}
-\def\sphinx@do@noligs #1{\catcode`#1\active\begingroup\lccode`\~`#1\relax
-    \lowercase{\endgroup\def~{\leavevmode\kern\z@\char`#1 }}}
-\def\sphinx@literal@nolig@list {\do\`\do\<\do\>\do\'\do\-}%
-
-\protected\def\sphinxbfcode#1{\sphinxcode{\bfseries{}#1}}
-\protected\def\sphinxemail#1{\textsf{#1}}
-\protected\def\sphinxtablecontinued#1{\textsf{#1}}
-\protected\def\sphinxtitleref#1{\emph{#1}}
-\protected\def\sphinxmenuselection#1{\emph{#1}}
-\protected\def\sphinxaccelerator#1{\underline{#1}}
-\protected\def\sphinxcrossref#1{\emph{#1}}
-\protected\def\sphinxtermref#1{\emph{#1}}
-% \optional is used for ``[, arg]``, i.e. desc_optional nodes.
-\long\protected\def\sphinxoptional#1{%
-  {\textnormal{\Large[}}{#1}\hspace{0.5mm}{\textnormal{\Large]}}}
-
-\ifspx@opt@dontkeepoldnames\else
-  \let\spx@alreadydefinedlist\@empty
-  \typeout{** (sphinx) defining (legacy) text style macros without \string\sphinx\space prefix}
-  \typeout{** if clashes with packages, do not set latex_keep_old_macro_names=True
-    in conf.py}
-  \@for\@tempa:=code,strong,bfcode,email,tablecontinued,titleref,%
-                menuselection,accelerator,crossref,termref,optional\do
- {% first, check if command with no prefix already exists
-  \ltx@ifundefined{\@tempa}{%
-  % give it the meaning defined so far with \sphinx prefix
-  \expandafter\let\csname\@tempa\expandafter\endcsname
-                  \csname sphinx\@tempa\endcsname
-  % redefine the \sphinx prefixed macro to expand to non-prefixed one
-  \expandafter\def\csname sphinx\@tempa\expandafter\endcsname
-                  \expandafter{\csname\@tempa\endcsname}%
-  }{\edef\spx@alreadydefinedlist{\spx@alreadydefinedlist{\@tempa}}}%
- }%
-  \ifx\spx@alreadydefinedlist\@empty\else
-    \expandafter\@tfor\expandafter\@tempa\expandafter:\expandafter=\spx@alreadydefinedlist\do
-    {% emit warning now
-     \PackageWarning{sphinx}{not redefining already existing \@backslashchar\@tempa\space!^^J%
-        Anyhow, Sphinx mark-up uses only \string\sphinx\@tempa.}%
-     % and also at end of log for better visibility
-     \expandafter\sphinxdeprecationwarning\expandafter{\csname\@tempa\endcsname}{1.6}{1.7}
-       {\sphinxdeprecatedmacro already existed at Sphinx loading time! Not redefined!^^J
-         Sphinx mark-up uses only \string\sphinx\expandafter\@gobble\sphinxdeprecatedmacro.^^J
-         Note: if this warning is about macro \string\strong, it presumably results^^J
-         from fontspec 2.6 having defined it prior to Sphinx. No need for alarm!}%
-    }%
-  \fi
-  \sphinxdeprecationwarning{latex_keep_old_macro_names=True}{1.6}{1.7}{}%
-\fi
+\input{sphinxlatexstylepage.sty}
+\input{sphinxlatexstyleheadings.sty}
+\input{sphinxlatexstyletext.sty}
+
+
+%% MODULE RELEASE DATA AND OBJECT DESCRIPTIONS
+%
+\input{sphinxlatexobjects.sty}
+
+
+% FIXME: this line should be dropped, as "9" is default anyhow.
+\ifdefined\pdfcompresslevel\pdfcompresslevel = 9 \fi
 
-% additional customizable styling
-% FIXME: convert this to package options ?
-\protected\def\sphinxstyleindexentry     {\texttt}
-\protected\def\sphinxstyleindexextra #1{ \emph{(#1)}}
-\protected\def\sphinxstyleindexpageref   {, \pageref}
-\protected\def\sphinxstyletopictitle #1{\textbf{#1}\par\medskip}
-\let\sphinxstylesidebartitle\sphinxstyletopictitle
-\protected\def\sphinxstyleothertitle     {\textbf}
-\protected\def\sphinxstylesidebarsubtitle #1{~\\\textbf{#1} \smallskip}
-% \text.. commands do not allow multiple paragraphs
-\let\sphinxstylethead\empty
-\protected\def\sphinxstyletheadfamily {\ifx\sphinxstylethead\empty\sffamily\fi}
-\AtBeginDocument{\ifx\sphinxstylethead\empty\else
-\sphinxdeprecationwarning{\sphinxstylethead}{1.6}{1.7}{%
-    \string\sphinxstyletheadfamily\space replaces it
-    (it defaults to \string\sffamily) to allow use^^J
-    with multiple paragraphs. Backwards compatibility is maintained, but please^^J
-    move customization into \string\sphinxstyletheadfamily\space
-    in time for 1.7.^^J
-    And if you do it now, you will spare yourself this warning!}\fi}
-\protected\def\sphinxstyleemphasis       {\emph}
-\protected\def\sphinxstyleliteralemphasis#1{\emph{\sphinxcode{#1}}}
-\protected\def\sphinxstylestrong         {\textbf}
-\protected\def\sphinxstyleliteralstrong  {\sphinxbfcode}
-\protected\def\sphinxstyleabbreviation   {\textsc}
-\protected\def\sphinxstyleliteralintitle {\sphinxcode}
-\newcommand*\sphinxstylecodecontinued[1]{\footnotesize(#1)}%
-\newcommand*\sphinxstylecodecontinues[1]{\footnotesize(#1)}%
-% figure legend comes after caption and may contain arbitrary body elements
-\newenvironment{sphinxlegend}{\par\small}{\par}
-
-% Declare Unicode characters used by linux tree command to pdflatex utf8/utf8x
-\def\spx@bd#1#2{%
-  \leavevmode
-  \begingroup
-  \ifx\spx@bd@height   \@undefined\def\spx@bd@height{\baselineskip}\fi
-  \ifx\spx@bd@width    \@undefined\setbox0\hbox{0}\def\spx@bd@width{\wd0 }\fi
-  \ifx\spx@bd@thickness\@undefined\def\spx@bd@thickness{.6\p@}\fi
-  \ifx\spx@bd@lower    \@undefined\def\spx@bd@lower{\dp\strutbox}\fi
-  \lower\spx@bd@lower#1{#2}%
-  \endgroup
-}%
-\@namedef{sphinx@u2500}% BOX DRAWINGS LIGHT HORIZONTAL
-  {\spx@bd{\vbox to\spx@bd@height}
-          {\vss\hrule\@height\spx@bd@thickness
-                     \@width\spx@bd@width\vss}}%
-\@namedef{sphinx@u2502}% BOX DRAWINGS LIGHT VERTICAL
-  {\spx@bd{\hb@xt@\spx@bd@width}
-          {\hss\vrule\@height\spx@bd@height
-                     \@width \spx@bd@thickness\hss}}%
-\@namedef{sphinx@u2514}% BOX DRAWINGS LIGHT UP AND RIGHT
-  {\spx@bd{\hb@xt@\spx@bd@width}
-          {\hss\raise.5\spx@bd@height
-           \hb@xt@\z@{\hss\vrule\@height.5\spx@bd@height
-                                \@width \spx@bd@thickness\hss}%
-           \vbox to\spx@bd@height{\vss\hrule\@height\spx@bd@thickness
-                                            \@width.5\spx@bd@width\vss}}}%
-\@namedef{sphinx@u251C}% BOX DRAWINGS LIGHT VERTICAL AND RIGHT
-  {\spx@bd{\hb@xt@\spx@bd@width}
-          {\hss
-           \hb@xt@\z@{\hss\vrule\@height\spx@bd@height
-                                \@width \spx@bd@thickness\hss}%
-           \vbox to\spx@bd@height{\vss\hrule\@height\spx@bd@thickness
-                                            \@width.5\spx@bd@width\vss}}}%
-\protected\def\sphinxunichar#1{\@nameuse{sphinx@u#1}}%
 
-% Tell TeX about pathological hyphenation cases:
-\hyphenation{Base-HTTP-Re-quest-Hand-ler}
 \endinput
diff -pruN 1.21.2-1/doc/pdf/sphinx.xdy 1.21.3-1/doc/pdf/sphinx.xdy
--- 1.21.2-1/doc/pdf/sphinx.xdy	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinx.xdy	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,230 @@
+;;; -*- mode: lisp; coding: utf-8; -*-
+
+;; Unfortunately xindy is out-of-the-box hyperref-incompatible.  This
+;; configuration is a workaround, which requires to pass option
+;; hyperindex=false to hyperref.
+;; textit and emph not currently used, spxpagem replaces former textbf
+(define-attributes (("textbf" "textit" "emph" "spxpagem" "default")))
+(markup-locref :open "\textbf{\hyperpage{" :close "}}" :attr "textbf")
+(markup-locref :open "\textit{\hyperpage{" :close "}}" :attr "textit")
+(markup-locref :open "\emph{\hyperpage{" :close "}}" :attr "emph")
+(markup-locref :open "\spxpagem{\hyperpage{" :close "}}" :attr "spxpagem")
+(markup-locref :open "\hyperpage{" :close "}" :attr "default")
+
+(require "numeric-sort.xdy")
+
+;; xindy base module latex.xdy loads tex.xdy and the latter instructs
+;; xindy to ignore **all** TeX macros in .idx entries, except those
+;; explicitly described in merge rule.  But when after applying all
+;; merge rules an empty string results, xindy raises an error:
+
+;;   ERROR: CHAR: index 0 should be less than the length of the string
+
+;; For example when using pdflatex with utf-8 characters the index
+;; file will contain \IeC macros and they will get ignored except if
+;; suitable merge rules are loaded early.  The texindy script coming
+;; with xindy provides this, but only for Latin scripts.  The texindy
+;; man page says to use rather xelatex or lualatex in case of Cyrillic
+;; scripts.
+
+;; Sphinx contributes LICRcyr2utf8.xdy to provide support for Cyrillic
+;; scripts for the pdflatex engine.
+
+;; Another issue caused by xindy ignoring all TeX macros except those
+;; explicitly declared reveals itself when attempting to index ">>>",
+;; as the ">" is converted to "\textgreater{}" by Sphinx's LaTeX
+;; escaping.
+
+;; To fix this, Sphinx does **not** use texindy, and does not even
+;; load the xindy latex.xdy base module.
+
+;(require "latex.xdy")
+
+;; Rather it incorporates some suitable extracts from latex.xdy and
+;; tex.xdy with additional Sphinx contributed rules.
+
+;; But, this means for pdflatex and Latin scripts that the xindy file
+;; tex/inputenc/uf8.xdy is not usable because it refers to the macro
+;; \IeC only sporadically, and as tex.xdy is not loaded, a rule such as
+;;     (merge-rule "\'e" "é" :string)
+;; does not work, it must be
+;;     (merge-rule "\IeC {\'e}" "é" :string)
+;; So Sphinx contributes LICRlatin2utf8.xdy to mitigate that problem.
+
+;;;;;;;; extracts from tex.xdy (discarding most original comments):
+
+;;;
+;;; TeX conventions
+;;;
+
+;; Discard leading and trailing white space. Collapse multiple white
+;; space characters to blank.
+
+(merge-rule "^ +" "" :eregexp)
+(merge-rule " +$" "" :eregexp)
+(merge-rule "  +" " " :eregexp)
+
+;; Handle TeX markup
+
+(merge-rule "\\([{}$%&#])" "\1" :eregexp)
+
+;;;;;;;; end of extracts from xindy's tex.xdy
+
+;;;;;;;; extracts from latex.xdy:
+
+;; Standard location classes: arabic and roman numbers, and alphabets.
+
+(define-location-class "arabic-page-numbers" ("arabic-numbers"))
+(define-location-class "roman-page-numbers"  ("roman-numbers-lowercase"))
+(define-location-class "Roman-page-numbers"  ("roman-numbers-uppercase"))
+(define-location-class "alpha-page-numbers"  ("alpha"))
+(define-location-class "Alpha-page-numbers"  ("ALPHA"))
+
+;; Output Markup
+
+(markup-letter-group-list :sep "~n~n  \indexspace~n")
+
+(markup-indexentry :open "~n  \item "           :depth 0)
+(markup-indexentry :open "~n    \subitem "      :depth 1)
+(markup-indexentry :open "~n      \subsubitem " :depth 2)
+
+(markup-locclass-list :open ", " :sep ", ")
+(markup-locref-list   :sep ", ")
+
+;;;;;;;; end of extracts from latex.xdy
+
+;; The LaTeX \index command turns \ into normal character so the TeX macros
+;; written to .idx files are not followed by a blank. This is different
+;; from non-ascii letters which end up (with pdflatex) as \IeC macros in .idx
+;; file, with a blank space after \IeC
+
+;; Details of the syntax are explained at
+;;     http://xindy.sourceforge.net/doc/manual-3.html
+;; In absence of :string, "xindy uses an auto-detection mechanism to decide,
+;; if the pattern is a regular expression or not". But it is not obvious to
+;; guess, for example "\\_" is not detected as RE but "\\P\{\}" is, so for
+;; being sure we apply the :string switch everywhere and do not use \\ etc...
+
+;; Go back from sphinx.util.texescape TeX macros to UTF-8
+
+(merge-rule "\sphinxleftcurlybrace{}" "{" :string)
+(merge-rule "\sphinxrightcurlybrace{}" "}" :string)
+(merge-rule "\_" "_" :string)
+(merge-rule "{[}" "[" :string)
+(merge-rule "{]}" "]" :string)
+(merge-rule "\textbackslash{}" "\" :string)  ; " for Emacs syntax highlighting
+(merge-rule "\textasciitilde{}" "~~" :string); the ~~ escape is needed here
+(merge-rule "\textasciicircum{}" "^" :string)
+(merge-rule "\sphinxhyphen{}" "-" :string)
+(merge-rule "\textquotesingle{}" "'" :string)
+(merge-rule "\textasciigrave{}" "`" :string)
+(merge-rule "\textless{}" "<" :string)
+(merge-rule "\textgreater{}" ">" :string)
+(merge-rule "\P{}" "¶" :string)
+(merge-rule "\S{}" "§" :string)
+(merge-rule "\texteuro{}" "€" :string)
+(merge-rule "\(\infty\)" "∞" :string)
+(merge-rule "\(\pm\)" "±" :string)
+(merge-rule "\(\rightarrow\)" "→" :string)
+(merge-rule "\(\checkmark\)" "✓" :string)
+(merge-rule "\textendash{}" "–" :string)
+(merge-rule "\textbar{}" "|" :string)
+(merge-rule "\(\sp{\text{0}}\)" "⁰" :string)
+(merge-rule "\(\sp{\text{1}}\)" "¹" :string)
+(merge-rule "\(\sp{\text{2}}\)" "²" :string)
+(merge-rule "\(\sp{\text{3}}\)" "³" :string)
+(merge-rule "\(\sp{\text{4}}\)" "⁴" :string)
+(merge-rule "\(\sp{\text{5}}\)" "⁵" :string)
+(merge-rule "\(\sp{\text{6}}\)" "⁶" :string)
+(merge-rule "\(\sp{\text{7}}\)" "⁷" :string)
+(merge-rule "\(\sp{\text{8}}\)" "⁸" :string)
+(merge-rule "\(\sp{\text{9}}\)" "⁹" :string)
+(merge-rule "\(\sb{\text{0}}\)" "₀" :string)
+(merge-rule "\(\sb{\text{1}}\)" "₁" :string)
+(merge-rule "\(\sb{\text{2}}\)" "₂" :string)
+(merge-rule "\(\sb{\text{3}}\)" "₃" :string)
+(merge-rule "\(\sb{\text{4}}\)" "₄" :string)
+(merge-rule "\(\sb{\text{5}}\)" "₅" :string)
+(merge-rule "\(\sb{\text{6}}\)" "₆" :string)
+(merge-rule "\(\sb{\text{7}}\)" "₇" :string)
+(merge-rule "\(\sb{\text{8}}\)" "₈" :string)
+(merge-rule "\(\sb{\text{9}}\)" "₉" :string)
+(merge-rule "\IeC {\textalpha }" "α" :string)
+(merge-rule "\IeC {\textbeta }" "β" :string)
+(merge-rule "\IeC {\textgamma }" "γ" :string)
+(merge-rule "\IeC {\textdelta }" "δ" :string)
+(merge-rule "\IeC {\textepsilon }" "ε" :string)
+(merge-rule "\IeC {\textzeta }" "ζ" :string)
+(merge-rule "\IeC {\texteta }" "η" :string)
+(merge-rule "\IeC {\texttheta }" "θ" :string)
+(merge-rule "\IeC {\textiota }" "ι" :string)
+(merge-rule "\IeC {\textkappa }" "κ" :string)
+(merge-rule "\IeC {\textlambda }" "λ" :string)
+(merge-rule "\IeC {\textmu }" "μ" :string)
+(merge-rule "\IeC {\textnu }" "ν" :string)
+(merge-rule "\IeC {\textxi }" "ξ" :string)
+(merge-rule "\IeC {\textomicron }" "ο" :string)
+(merge-rule "\IeC {\textpi }" "π" :string)
+(merge-rule "\IeC {\textrho }" "ρ" :string)
+(merge-rule "\IeC {\textsigma }" "σ" :string)
+(merge-rule "\IeC {\texttau }" "τ" :string)
+(merge-rule "\IeC {\textupsilon }" "υ" :string)
+(merge-rule "\IeC {\textphi }" "φ" :string)
+(merge-rule "\IeC {\textchi }" "χ" :string)
+(merge-rule "\IeC {\textpsi }" "ψ" :string)
+(merge-rule "\IeC {\textomega }" "ω" :string)
+(merge-rule "\IeC {\textAlpha }" "Α" :string)
+(merge-rule "\IeC {\textBeta }" "Β" :string)
+(merge-rule "\IeC {\textGamma }" "Γ" :string)
+(merge-rule "\IeC {\textDelta }" "Δ" :string)
+(merge-rule "\IeC {\textEpsilon }" "Ε" :string)
+(merge-rule "\IeC {\textZeta }" "Ζ" :string)
+(merge-rule "\IeC {\textEta }" "Η" :string)
+(merge-rule "\IeC {\textTheta }" "Θ" :string)
+(merge-rule "\IeC {\textIota }" "Ι" :string)
+(merge-rule "\IeC {\textKappa }" "Κ" :string)
+(merge-rule "\IeC {\textLambda }" "Λ" :string)
+(merge-rule "\IeC {\textMu }" "Μ" :string)
+(merge-rule "\IeC {\textNu }" "Ν" :string)
+(merge-rule "\IeC {\textTheta }" "Θ" :string)
+(merge-rule "\IeC {\textIota }" "Ι" :string)
+(merge-rule "\IeC {\textKappa }" "Κ" :string)
+(merge-rule "\IeC {\textLambda }" "Λ" :string)
+(merge-rule "\IeC {\textMu }" "Μ" :string)
+(merge-rule "\IeC {\textNu }" "Ν" :string)
+(merge-rule "\IeC {\textXi }" "Ξ" :string)
+(merge-rule "\IeC {\textOmicron }" "Ο" :string)
+(merge-rule "\IeC {\textPi }" "Π" :string)
+(merge-rule "\IeC {\textRho }" "Ρ" :string)
+(merge-rule "\IeC {\textSigma }" "Σ" :string)
+(merge-rule "\IeC {\textTau }" "Τ" :string)
+(merge-rule "\IeC {\textUpsilon }" "Υ" :string)
+(merge-rule "\IeC {\textPhi }" "Φ" :string)
+(merge-rule "\IeC {\textChi }" "Χ" :string)
+(merge-rule "\IeC {\textPsi }" "Ψ" :string)
+(merge-rule "\IeC {\textOmega }" "Ω" :string)
+(merge-rule "\IeC {\textohm }" "Ω" :string)
+
+;; This xindy module provides some basic support for "see"
+(require "makeindex.xdy")
+
+;; This creates one-letter headings and works fine with utf-8 letters.
+;; For Cyrillic with pdflatex works thanks to LICRcyr2utf8.xdy
+(require "latin-lettergroups.xdy")
+
+;; currently we don't (know how to easily) separate "Numbers" from
+;; "Symbols" with xindy as is the case with makeindex.
+(markup-index :open  "\begin{sphinxtheindex}
+\let\lettergroup\sphinxstyleindexlettergroup
+\let\lettergroupDefault\sphinxstyleindexlettergroupDefault
+\let\spxpagem\sphinxstyleindexpagemain
+\let\spxentry\sphinxstyleindexentry
+\let\spxextra\sphinxstyleindexextra
+
+"
+	      :close "
+
+\end{sphinxtheindex}
+"
+	      :tree)
+
diff -pruN 1.21.2-1/doc/pdf/sphinxhighlight.sty 1.21.3-1/doc/pdf/sphinxhighlight.sty
--- 1.21.2-1/doc/pdf/sphinxhighlight.sty	2023-08-14 16:24:57.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxhighlight.sty	2024-06-26 20:01:45.000000000 +0000
@@ -1,5 +1,6 @@
 \NeedsTeXFormat{LaTeX2e}[1995/12/01]
 \ProvidesPackage{sphinxhighlight}[2016/05/29 stylesheet for highlighting with pygments]
+% Its contents depend on pygments_style configuration variable.
 
 
 \makeatletter
@@ -13,73 +14,73 @@
     \PYG@it{\PYG@bf{\PYG@ff{#1}}}}}}}
 \def\PYG#1#2{\PYG@reset\PYG@toks#1+\relax+\PYG@do{#2}}
 
-\expandafter\def\csname PYG@tok@gd\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.63,0.00,0.00}{##1}}}
-\expandafter\def\csname PYG@tok@gu\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.50,0.00,0.50}{##1}}}
-\expandafter\def\csname PYG@tok@gt\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.27,0.87}{##1}}}
-\expandafter\def\csname PYG@tok@gs\endcsname{\let\PYG@bf=\textbf}
-\expandafter\def\csname PYG@tok@gr\endcsname{\def\PYG@tc##1{\textcolor[rgb]{1.00,0.00,0.00}{##1}}}
-\expandafter\def\csname PYG@tok@cm\endcsname{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
-\expandafter\def\csname PYG@tok@vg\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
-\expandafter\def\csname PYG@tok@vi\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
-\expandafter\def\csname PYG@tok@vm\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
-\expandafter\def\csname PYG@tok@mh\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
-\expandafter\def\csname PYG@tok@cs\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}\def\PYG@bc##1{\setlength{\fboxsep}{0pt}\colorbox[rgb]{1.00,0.94,0.94}{\strut ##1}}}
-\expandafter\def\csname PYG@tok@ge\endcsname{\let\PYG@it=\textit}
-\expandafter\def\csname PYG@tok@vc\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
-\expandafter\def\csname PYG@tok@il\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
-\expandafter\def\csname PYG@tok@go\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.20,0.20,0.20}{##1}}}
-\expandafter\def\csname PYG@tok@cp\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@gi\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.63,0.00}{##1}}}
-\expandafter\def\csname PYG@tok@gh\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.00,0.50}{##1}}}
-\expandafter\def\csname PYG@tok@ni\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.84,0.33,0.22}{##1}}}
-\expandafter\def\csname PYG@tok@nl\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.13,0.44}{##1}}}
-\expandafter\def\csname PYG@tok@nn\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.05,0.52,0.71}{##1}}}
-\expandafter\def\csname PYG@tok@no\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.38,0.68,0.84}{##1}}}
-\expandafter\def\csname PYG@tok@na\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@nb\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@nc\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.05,0.52,0.71}{##1}}}
-\expandafter\def\csname PYG@tok@nd\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.33,0.33,0.33}{##1}}}
-\expandafter\def\csname PYG@tok@ne\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@nf\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.02,0.16,0.49}{##1}}}
-\expandafter\def\csname PYG@tok@si\endcsname{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.44,0.63,0.82}{##1}}}
-\expandafter\def\csname PYG@tok@s2\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@nt\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.02,0.16,0.45}{##1}}}
-\expandafter\def\csname PYG@tok@nv\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
-\expandafter\def\csname PYG@tok@s1\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@dl\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@ch\endcsname{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
-\expandafter\def\csname PYG@tok@m\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
-\expandafter\def\csname PYG@tok@gp\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.78,0.36,0.04}{##1}}}
-\expandafter\def\csname PYG@tok@sh\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@ow\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@sx\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.78,0.36,0.04}{##1}}}
-\expandafter\def\csname PYG@tok@bp\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@c1\endcsname{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
-\expandafter\def\csname PYG@tok@fm\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.02,0.16,0.49}{##1}}}
-\expandafter\def\csname PYG@tok@o\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
-\expandafter\def\csname PYG@tok@kc\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@c\endcsname{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
-\expandafter\def\csname PYG@tok@mf\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
-\expandafter\def\csname PYG@tok@err\endcsname{\def\PYG@bc##1{\setlength{\fboxsep}{0pt}\fcolorbox[rgb]{1.00,0.00,0.00}{1,1,1}{\strut ##1}}}
-\expandafter\def\csname PYG@tok@mb\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
-\expandafter\def\csname PYG@tok@ss\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.32,0.47,0.09}{##1}}}
-\expandafter\def\csname PYG@tok@sr\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.14,0.33,0.53}{##1}}}
-\expandafter\def\csname PYG@tok@mo\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
-\expandafter\def\csname PYG@tok@kd\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@mi\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
-\expandafter\def\csname PYG@tok@kn\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@cpf\endcsname{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
-\expandafter\def\csname PYG@tok@kr\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@s\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@kp\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@w\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.73,0.73}{##1}}}
-\expandafter\def\csname PYG@tok@kt\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.56,0.13,0.00}{##1}}}
-\expandafter\def\csname PYG@tok@sc\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@sb\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@sa\endcsname{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@k\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
-\expandafter\def\csname PYG@tok@se\endcsname{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
-\expandafter\def\csname PYG@tok@sd\endcsname{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@w}{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.73,0.73}{##1}}}
+\@namedef{PYG@tok@c}{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
+\@namedef{PYG@tok@cp}{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@cs}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}\def\PYG@bc##1{{\setlength{\fboxsep}{0pt}\colorbox[rgb]{1.00,0.94,0.94}{\strut ##1}}}}
+\@namedef{PYG@tok@k}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@kp}{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@kt}{\def\PYG@tc##1{\textcolor[rgb]{0.56,0.13,0.00}{##1}}}
+\@namedef{PYG@tok@o}{\def\PYG@tc##1{\textcolor[rgb]{0.40,0.40,0.40}{##1}}}
+\@namedef{PYG@tok@ow}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@nb}{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@nf}{\def\PYG@tc##1{\textcolor[rgb]{0.02,0.16,0.49}{##1}}}
+\@namedef{PYG@tok@nc}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.05,0.52,0.71}{##1}}}
+\@namedef{PYG@tok@nn}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.05,0.52,0.71}{##1}}}
+\@namedef{PYG@tok@ne}{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@nv}{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
+\@namedef{PYG@tok@no}{\def\PYG@tc##1{\textcolor[rgb]{0.38,0.68,0.84}{##1}}}
+\@namedef{PYG@tok@nl}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.13,0.44}{##1}}}
+\@namedef{PYG@tok@ni}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.84,0.33,0.22}{##1}}}
+\@namedef{PYG@tok@na}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@nt}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.02,0.16,0.45}{##1}}}
+\@namedef{PYG@tok@nd}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.33,0.33,0.33}{##1}}}
+\@namedef{PYG@tok@s}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@sd}{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@si}{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.44,0.63,0.82}{##1}}}
+\@namedef{PYG@tok@se}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@sr}{\def\PYG@tc##1{\textcolor[rgb]{0.14,0.33,0.53}{##1}}}
+\@namedef{PYG@tok@ss}{\def\PYG@tc##1{\textcolor[rgb]{0.32,0.47,0.09}{##1}}}
+\@namedef{PYG@tok@sx}{\def\PYG@tc##1{\textcolor[rgb]{0.78,0.36,0.04}{##1}}}
+\@namedef{PYG@tok@m}{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
+\@namedef{PYG@tok@gh}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.00,0.50}{##1}}}
+\@namedef{PYG@tok@gu}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.50,0.00,0.50}{##1}}}
+\@namedef{PYG@tok@gd}{\def\PYG@tc##1{\textcolor[rgb]{0.63,0.00,0.00}{##1}}}
+\@namedef{PYG@tok@gi}{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.63,0.00}{##1}}}
+\@namedef{PYG@tok@gr}{\def\PYG@tc##1{\textcolor[rgb]{1.00,0.00,0.00}{##1}}}
+\@namedef{PYG@tok@ge}{\let\PYG@it=\textit}
+\@namedef{PYG@tok@gs}{\let\PYG@bf=\textbf}
+\@namedef{PYG@tok@gp}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.78,0.36,0.04}{##1}}}
+\@namedef{PYG@tok@go}{\def\PYG@tc##1{\textcolor[rgb]{0.20,0.20,0.20}{##1}}}
+\@namedef{PYG@tok@gt}{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.27,0.87}{##1}}}
+\@namedef{PYG@tok@err}{\def\PYG@bc##1{{\setlength{\fboxsep}{\string -\fboxrule}\fcolorbox[rgb]{1.00,0.00,0.00}{1,1,1}{\strut ##1}}}}
+\@namedef{PYG@tok@kc}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@kd}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@kn}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@kr}{\let\PYG@bf=\textbf\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@bp}{\def\PYG@tc##1{\textcolor[rgb]{0.00,0.44,0.13}{##1}}}
+\@namedef{PYG@tok@fm}{\def\PYG@tc##1{\textcolor[rgb]{0.02,0.16,0.49}{##1}}}
+\@namedef{PYG@tok@vc}{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
+\@namedef{PYG@tok@vg}{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
+\@namedef{PYG@tok@vi}{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
+\@namedef{PYG@tok@vm}{\def\PYG@tc##1{\textcolor[rgb]{0.73,0.38,0.84}{##1}}}
+\@namedef{PYG@tok@sa}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@sb}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@sc}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@dl}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@s2}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@sh}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@s1}{\def\PYG@tc##1{\textcolor[rgb]{0.25,0.44,0.63}{##1}}}
+\@namedef{PYG@tok@mb}{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
+\@namedef{PYG@tok@mf}{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
+\@namedef{PYG@tok@mh}{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
+\@namedef{PYG@tok@mi}{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
+\@namedef{PYG@tok@il}{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
+\@namedef{PYG@tok@mo}{\def\PYG@tc##1{\textcolor[rgb]{0.13,0.50,0.31}{##1}}}
+\@namedef{PYG@tok@ch}{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
+\@namedef{PYG@tok@cm}{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
+\@namedef{PYG@tok@cpf}{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
+\@namedef{PYG@tok@c1}{\let\PYG@it=\textit\def\PYG@tc##1{\textcolor[rgb]{0.25,0.50,0.56}{##1}}}
 
 \def\PYGZbs{\char`\\}
 \def\PYGZus{\char`\_}
diff -pruN 1.21.2-1/doc/pdf/sphinxhowto.cls 1.21.3-1/doc/pdf/sphinxhowto.cls
--- 1.21.2-1/doc/pdf/sphinxhowto.cls	2018-02-04 15:53:58.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxhowto.cls	2021-11-17 15:50:47.000000000 +0000
@@ -1,9 +1,9 @@
 %
-% sphinxhowto.cls for Sphinx (http://sphinx-doc.org/)
+% sphinxhowto.cls for Sphinx (https://www.sphinx-doc.org/)
 %
 
 \NeedsTeXFormat{LaTeX2e}[1995/12/01]
-\ProvidesClass{sphinxhowto}[2017/03/26 v1.6 Document class (Sphinx HOWTO)]
+\ProvidesClass{sphinxhowto}[2019/12/01 v2.3.0 Document class (Sphinx howto)]
 
 % 'oneside' option overriding the 'twoside' default
 \newif\if@oneside
@@ -25,11 +25,23 @@
 % reset these counters in your preamble.
 %
 \setcounter{secnumdepth}{2}
+\setcounter{tocdepth}{2}% i.e. section and subsection
 
+% Adapt \and command to the flushright context of \sphinxmaketitle, to
+% avoid ragged line endings if author names do not fit all on one single line
+\DeclareRobustCommand{\and}{%
+    \end{tabular}\kern-\tabcolsep
+    \allowbreak
+    \hskip\dimexpr1em+\tabcolsep\@plus.17fil\begin{tabular}[t]{c}%
+}%
+% If it is desired that each author name be on its own line, use in preamble:
+%\DeclareRobustCommand{\and}{%
+%   \end{tabular}\kern-\tabcolsep\\\begin{tabular}[t]{c}%
+%}%
 % Change the title page to look a bit better, and fit in with the fncychap
 % ``Bjarne'' style a bit better.
 %
-\renewcommand{\maketitle}{%
+\newcommand{\sphinxmaketitle}{%
   \noindent\rule{\textwidth}{1pt}\par
     \begingroup % for PDF information dictionary
        \def\endgraf{ }\def\and{\& }%
@@ -45,7 +57,7 @@
     {\Large
       \begin{tabular}[t]{c}
         \@author
-      \end{tabular}}\par
+      \end{tabular}\kern-\tabcolsep}\par
     \vspace{25pt}
     \@date \par
     \py@authoraddress \par
@@ -56,21 +68,17 @@
   %\gdef\@thanks{}\gdef\@author{}\gdef\@title{}
 }
 
-\newcommand{\sphinxtableofcontents}{
+\newcommand{\sphinxtableofcontents}{%
   \begingroup
-    \parskip = 0mm
+    \parskip \z@skip
+    \sphinxtableofcontentshook
     \tableofcontents
   \endgroup
-  \rule{\textwidth}{1pt}
-  \vspace{12pt}
-}  
-
-\@ifundefined{fancyhf}{
-  \pagestyle{plain}}{
-  \pagestyle{normal}}		% start this way; change for
-\pagenumbering{arabic}		% ToC & chapters
-
-\thispagestyle{empty}
+  \noindent\rule{\textwidth}{1pt}\par
+  \vspace{12pt}%
+}
+\newcommand\sphinxtableofcontentshook{}
+\pagenumbering{arabic}
 
 % Fix the bibliography environment to add an entry to the Table of
 % Contents.
@@ -79,7 +87,7 @@
 %
 \newenvironment{sphinxthebibliography}[1]{%
   % \phantomsection % not needed here since TeXLive 2010's hyperref
-  \begin{thebibliography}{1}%
+  \begin{thebibliography}{#1}%
   \addcontentsline{toc}{section}{\ifdefined\refname\refname\else\ifdefined\bibname\bibname\fi\fi}}{\end{thebibliography}}
 
 
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexadmonitions.sty 1.21.3-1/doc/pdf/sphinxlatexadmonitions.sty
--- 1.21.2-1/doc/pdf/sphinxlatexadmonitions.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexadmonitions.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,148 @@
+%% NOTICES AND ADMONITIONS
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexadmonitions.sty}[2021/01/27 admonitions]
+
+% Provides support for this output mark-up from Sphinx latex writer:
+%
+% - sphinxadmonition (environment)
+%   This is a dispatch supporting
+%
+%   - note, hint, important, tip                 (via sphinxlightbox)
+%   - warning, caution, attention, danger, error (via sphinxheavybox)
+%
+%   Each sphinx<notice name> environment can be redefined by user.
+%   The defaults are customizable via various colour and dimension
+%   settings, cf sphinx docs (latex customization).
+%
+% Requires:
+\RequirePackage{framed}% used by sphinxheavybox
+%
+% Dependencies (they do not need to be defined at time of loading):
+% - of course the various colour and dimension options handled via sphinx.sty
+% - \sphinxstrong (for sphinxlightbox and sphinxheavybox)
+% - dimension register \spx@image@maxheight from sphinxlatexgraphics.sty
+% - \savenotes/\spewnotes from sphinxpackagefootnote (for sphinxheavybox)
+
+% Provides: (also in sphinxlatexliterals.sty)
+\providecommand*\sphinxvspacefixafterfrenchlists{%
+   \ifvmode\ifdim\lastskip<\z@ \vskip\parskip\fi\else\par\fi
+}
+
+% Some are quite plain
+% the spx@notice@bordercolor etc are set in the sphinxadmonition environment
+\newenvironment{sphinxlightbox}{%
+  \par
+  \noindent{\color{spx@notice@bordercolor}%
+            \rule{\linewidth}{\spx@notice@border}}\par\nobreak
+  {\parskip\z@skip\noindent}%
+  }
+  {%
+  % counteract previous possible negative skip (French lists!):
+  % (we can't cancel that any earlier \vskip introduced a potential pagebreak)
+  \sphinxvspacefixafterfrenchlists
+  \nobreak\vbox{\noindent\kern\@totalleftmargin
+      {\color{spx@notice@bordercolor}%
+       \rule[\dimexpr.4\baselineskip-\spx@notice@border\relax]
+             {\linewidth}{\spx@notice@border}}\hss}\allowbreak
+  }% end of sphinxlightbox environment definition
+% may be renewenvironment'd by user for complete customization
+\newenvironment{sphinxnote}[1]
+  {\begin{sphinxlightbox}\sphinxstrong{#1} }{\end{sphinxlightbox}}
+\newenvironment{sphinxhint}[1]
+  {\begin{sphinxlightbox}\sphinxstrong{#1} }{\end{sphinxlightbox}}
+\newenvironment{sphinximportant}[1]
+  {\begin{sphinxlightbox}\sphinxstrong{#1} }{\end{sphinxlightbox}}
+\newenvironment{sphinxtip}[1]
+  {\begin{sphinxlightbox}\sphinxstrong{#1} }{\end{sphinxlightbox}}
+% or just use the package options
+% these are needed for common handling by notice environment of lightbox
+% and heavybox but they are  currently not used by lightbox environment
+% and there is consequently no corresponding package option
+\definecolor{sphinxnoteBgColor}{rgb}{1,1,1}
+\definecolor{sphinxhintBgColor}{rgb}{1,1,1}
+\definecolor{sphinximportantBgColor}{rgb}{1,1,1}
+\definecolor{sphinxtipBgColor}{rgb}{1,1,1}
+
+% Others get more distinction
+% Code adapted from framed.sty's "snugshade" environment.
+% Nesting works (inner frames do not allow page breaks).
+\newenvironment{sphinxheavybox}{\par
+   \setlength{\FrameRule}{\spx@notice@border}%
+   \setlength{\FrameSep}{\dimexpr.6\baselineskip-\FrameRule\relax}
+   \advance\spx@image@maxheight
+   -\dimexpr2\FrameRule
+           +2\FrameSep
+           +\baselineskip\relax % will happen again if nested, needed indeed!
+   % configure framed.sty's parameters to obtain same vertical spacing
+   % as for "light" boxes. We need for this to manually insert parskip glue and
+   % revert a skip done by framed before the frame.
+    \ltx@ifundefined{OuterFrameSep}{}{\OuterFrameSep\z@skip}%
+    \vspace{\FrameHeightAdjust}
+   % copied/adapted from framed.sty's snugshade
+   \def\FrameCommand##1{\hskip\@totalleftmargin
+       \fboxsep\FrameSep \fboxrule\FrameRule
+       \fcolorbox{spx@notice@bordercolor}{spx@notice@bgcolor}{##1}%
+       \hskip-\linewidth \hskip-\@totalleftmargin \hskip\columnwidth}%
+   \savenotes
+   % use a minipage if we are already inside a framed environment
+   \ifspx@inframed
+       \noindent\begin{minipage}{\linewidth}
+   \else
+       % handle case where notice is first thing in a list item (or is quoted)
+       \if@inlabel
+        \noindent\par\vspace{-\baselineskip}
+       \else
+        \vspace{\parskip}
+       \fi
+   \fi
+   \MakeFramed {\spx@inframedtrue
+     \advance\hsize-\width \@totalleftmargin\z@ \linewidth\hsize
+     % minipage initialization copied from LaTeX source code.
+     \@pboxswfalse
+     \let\@listdepth\@mplistdepth \@mplistdepth\z@
+     \@minipagerestore
+     \@setminipage }%
+   }
+   {%
+   \par\unskip
+   \@minipagefalse
+   \endMakeFramed
+   \ifspx@inframed\end{minipage}\fi
+   % set footnotes at bottom of page
+   \spewnotes
+   % arrange for similar spacing below frame as for "light" boxes.
+   \vskip .4\baselineskip
+   }% end of sphinxheavybox environment definition
+% may be renewenvironment'd by user for complete customization
+\newenvironment{sphinxwarning}[1]
+  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
+\newenvironment{sphinxcaution}[1]
+  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
+\newenvironment{sphinxattention}[1]
+  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
+\newenvironment{sphinxdanger}[1]
+  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
+\newenvironment{sphinxerror}[1]
+  {\begin{sphinxheavybox}\sphinxstrong{#1} }{\end{sphinxheavybox}}
+% or just use package options
+
+% the \colorlet of xcolor (if at all loaded) is overkill for our use case
+\newcommand{\sphinxcolorlet}[2]
+    {\expandafter\let\csname\@backslashchar color@#1\expandafter\endcsname
+                     \csname\@backslashchar color@#2\endcsname }
+
+% the main dispatch for all types of notices
+\newenvironment{sphinxadmonition}[2]{% #1=type, #2=heading
+  % can't use #1 directly in definition of end part
+  \def\spx@noticetype {#1}%
+  % set parameters of heavybox/lightbox
+  \sphinxcolorlet{spx@notice@bordercolor}{sphinx#1BorderColor}%
+  \sphinxcolorlet{spx@notice@bgcolor}{sphinx#1BgColor}%
+  \spx@notice@border \dimexpr\csname spx@opt@#1border\endcsname\relax
+  % start specific environment, passing the heading as argument
+  \begin{sphinx#1}{#2}}
+  % workaround some LaTeX "feature" of \end command
+ {\edef\spx@temp{\noexpand\end{sphinx\spx@noticetype}}\spx@temp}
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexcontainers.sty 1.21.3-1/doc/pdf/sphinxlatexcontainers.sty
--- 1.21.2-1/doc/pdf/sphinxlatexcontainers.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexcontainers.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,22 @@
+%% CONTAINER DIRECTIVES
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexcontainers.sty}[2021/05/03 containers]
+
+% The purpose of this file is to provide a dummy environment sphinxclass which
+% will be inserted for each class in each container directive. The class name
+% will be passed as the argument to the environment. 
+%
+% For a class foo, the user can define customised handling of that class by
+% defining the sphinxclassfoo LaTeX environment.
+
+\newenvironment{sphinxuseclass}[1]{%
+    \def\sphinxClassFunctionName{sphinxclass#1}%
+    \ltx@ifundefined{\sphinxClassFunctionName}%
+        {}% undefined so do nothing
+        {\expandafter\begin\expandafter{\sphinxClassFunctionName}}%
+}{%
+    \ltx@ifundefined{\sphinxClassFunctionName}%
+        {}% we did nothing so we keep doing nothing
+        {\expandafter\end\expandafter{\sphinxClassFunctionName}}%
+}%
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexgraphics.sty 1.21.3-1/doc/pdf/sphinxlatexgraphics.sty
--- 1.21.2-1/doc/pdf/sphinxlatexgraphics.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexgraphics.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,122 @@
+%% GRAPHICS
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexgraphics.sty}[2021/01/27 graphics]
+
+% Provides support for this output mark-up from Sphinx latex writer:
+%
+% - macros:
+%
+%   - \sphinxfigcaption
+%   - \sphinxincludegraphics
+%
+% - environments:
+%
+%   - sphinxfigure-in-table
+%
+% May change:
+%
+% - \sphinxcaption (at begin document)
+%
+% Also provides:
+%
+% - \sphinxsafeincludegraphics (default of \sphinxincludegraphics since 2.0)
+% - \spx@image@maxheight dimension (used by sphinxlatexadmonitions.sty)
+% - \spx@image@box scratch box register (also used by sphinxlatexliterals.sty)
+%
+% Requires:
+% \RequirePackage{graphicx}% done in sphinx.sty
+\RequirePackage{amstext}% needed for \firstchoice@true(false)
+
+% \sphinxincludegraphics resizes images larger than the TeX \linewidth (which
+% is adjusted in indented environments), or taller than a certain maximal
+% height (usually \textheight and this is reduced in the environments which use
+% framed.sty to avoid infinite loop if image too tall).
+%
+% In case height or width options are present the rescaling is done
+% (since 2.0), in a way keeping the width:height ratio either native from
+% image or from the width and height options if both were present.
+%
+\newdimen\spx@image@maxheight
+\AtBeginDocument{\spx@image@maxheight\textheight}
+
+% box scratch register
+\newbox\spx@image@box
+\newcommand*{\sphinxsafeincludegraphics}[2][]{%
+    % #1 contains possibly width=, height=, but no scale= since 1.8.4
+    \setbox\spx@image@box\hbox{\includegraphics[#1,draft]{#2}}%
+    \in@false % use some handy boolean flag
+    \ifdim \wd\spx@image@box>\linewidth
+      \in@true % flag to remember to adjust options and set box dimensions
+      % compute height which results from rescaling width to \linewidth
+      % and keep current aspect ratio. multiply-divide in \numexpr uses
+      % temporarily doubled precision, hence no overflow. (of course we
+      % assume \ht is not a few sp's below \maxdimen...(about 16384pt).
+      \edef\spx@image@rescaledheight % with sp units
+           {\the\numexpr\ht\spx@image@box
+                        *\linewidth/\wd\spx@image@box sp}%
+      \ifdim\spx@image@rescaledheight>\spx@image@maxheight
+        % the rescaled height will be too big, so it is height which decides
+        % the rescaling factor
+        \def\spx@image@requiredheight{\spx@image@maxheight}% dimen register
+        \edef\spx@image@requiredwidth % with sp units
+         {\the\numexpr\wd\spx@image@box
+                      *\spx@image@maxheight/\ht\spx@image@box sp}%
+        % TODO: decide if this commented-out block could be needed due to
+        % rounding in numexpr operations going up
+        % \ifdim\spx@image@requiredwidth>\linewidth
+        %     \def\spx@image@requiredwidth{\linewidth}% dimen register
+        % \fi
+      \else
+        \def\spx@image@requiredwidth{\linewidth}% dimen register
+        \let\spx@image@requiredheight\spx@image@rescaledheight% sp units
+      \fi
+    \else
+      % width is ok, let's check height
+      \ifdim\ht\spx@image@box>\spx@image@maxheight
+        \in@true
+        \edef\spx@image@requiredwidth % with sp units
+            {\the\numexpr\wd\spx@image@box
+                         *\spx@image@maxheight/\ht\spx@image@box sp}%
+        \def\spx@image@requiredheight{\spx@image@maxheight}% dimen register
+      \fi
+    \fi % end of check of width and height
+    \ifin@
+      \setbox\spx@image@box
+      \hbox{\includegraphics
+            [%#1,% contained only width and/or height and overruled anyhow
+            width=\spx@image@requiredwidth,height=\spx@image@requiredheight]%
+            {#2}}%
+      % \includegraphics does not set box dimensions to the exactly
+      % requested ones, see https://github.com/latex3/latex2e/issues/112
+      \wd\spx@image@box\spx@image@requiredwidth
+      \ht\spx@image@box\spx@image@requiredheight
+      \leavevmode\box\spx@image@box
+    \else
+      % here we do not modify the options, no need to adjust width and height
+      % on output, they will be computed exactly as with "draft" option
+      \setbox\spx@image@box\box\voidb@x % clear memory
+      \includegraphics[#1]{#2}%
+    \fi
+}%
+% Use the "safe" one by default (2.0)
+\def\sphinxincludegraphics{\sphinxsafeincludegraphics}
+
+
+%% FIGURE IN TABLE
+%
+\newenvironment{sphinxfigure-in-table}[1][\linewidth]{%
+  \def\@captype{figure}%
+  \sphinxsetvskipsforfigintablecaption
+  \begin{minipage}{#1}%
+}{\end{minipage}}
+% tabulary expands twice contents, we need to prevent double counter stepping
+\newcommand*\sphinxfigcaption
+  {\ifx\equation$%$% this is trick to identify tabulary first pass
+       \firstchoice@false\else\firstchoice@true\fi
+   \spx@originalcaption }
+\newcommand*\sphinxsetvskipsforfigintablecaption
+  {\abovecaptionskip\smallskipamount
+   \belowcaptionskip\smallskipamount}
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexindbibtoc.sty 1.21.3-1/doc/pdf/sphinxlatexindbibtoc.sty
--- 1.21.2-1/doc/pdf/sphinxlatexindbibtoc.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexindbibtoc.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,69 @@
+%% INDEX, BIBLIOGRAPHY, APPENDIX, TABLE OF CONTENTS
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexindbibtoc.sty}[2021/01/27 index, bib., toc]
+
+% Provides support for this output mark-up from Sphinx latex writer:
+%
+% - environments: (backup defaults or get redefined)
+%
+%   - sphinxtheindex (direct mark-up or via python.ist or sphinx.xdy)
+%   - sphinxthebibliography
+%
+% - macros: (defines defaults)
+%
+%   - \sphinxmaketitle
+%   - \sphinxtableofcontents
+%   - \sphinxnonalphabeticalgroupname
+%   - \sphinxsymbolsname
+%   - \sphinxnumbersname
+%   - \sphinxcite
+%
+% Requires:
+\RequirePackage{makeidx}
+
+% fix the double index and bibliography on the table of contents
+% in jsclasses (Japanese standard document classes)
+\ifx\@jsc@uplatextrue\@undefined\else
+  \renewenvironment{sphinxtheindex}
+    {\cleardoublepage\phantomsection
+     \begin{theindex}}
+    {\end{theindex}}
+
+  \renewenvironment{sphinxthebibliography}[1]
+    {\cleardoublepage% \phantomsection % not needed here since TeXLive 2010's hyperref
+     \begin{thebibliography}{#1}}
+    {\end{thebibliography}}
+\fi
+
+% disable \@chappos in Appendix in pTeX
+\ifx\kanjiskip\@undefined\else
+  \let\py@OldAppendix=\appendix
+  \renewcommand{\appendix}{
+    \py@OldAppendix
+    \gdef\@chappos{}
+  }
+\fi
+
+% make commands known to non-Sphinx document classes
+\providecommand*{\sphinxmaketitle}{\maketitle}
+\providecommand*{\sphinxtableofcontents}{\tableofcontents}
+\ltx@ifundefined{sphinxthebibliography}
+ {\newenvironment
+  {sphinxthebibliography}{\begin{thebibliography}}{\end{thebibliography}}%
+ }
+ {}% else clause of \ltx@ifundefined
+\ltx@ifundefined{sphinxtheindex}
+ {\newenvironment{sphinxtheindex}{\begin{theindex}}{\end{theindex}}}%
+ {}% else clause of \ltx@ifundefined
+
+% for usage with xindy: this string gets internationalized in preamble
+\newcommand*{\sphinxnonalphabeticalgroupname}{}
+% redefined in preamble, headings for makeindex produced index
+\newcommand*{\sphinxsymbolsname}{}
+\newcommand*{\sphinxnumbersname}{}
+
+\protected\def\sphinxcite{\cite}
+
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexlists.sty 1.21.3-1/doc/pdf/sphinxlatexlists.sty
--- 1.21.2-1/doc/pdf/sphinxlatexlists.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexlists.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,97 @@
+%% ALPHANUMERIC LIST ITEMS
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexlists.sty}[2021/01/27 lists]
+
+% Provides support for this output mark-up from Sphinx latex writer:
+% - \sphinxsetlistlabels
+
+% Dependencies: the \spx@opt@maxlistdepth from sphinx.sty
+
+\newcommand\sphinxsetlistlabels[5]
+{% #1 = style, #2 = enum, #3 = enumnext, #4 = prefix, #5 = suffix
+ % #2 and #3 are counters used by enumerate environment e.g. enumi, enumii.
+ % #1 is a macro such as \arabic or \alph
+ % prefix and suffix are strings (by default empty and a dot).
+ \@namedef{the#2}{#1{#2}}%
+ \@namedef{label#2}{#4\@nameuse{the#2}#5}%
+ \@namedef{p@#3}{\@nameuse{p@#2}#4\@nameuse{the#2}#5}%
+}%
+
+
+%% MAXLISTDEPTH
+%
+% remove LaTeX's cap on nesting depth if 'maxlistdepth' key used.
+% This is a hack, which works with the standard classes: it assumes \@toodeep
+% is always used in "true" branches: "\if ... \@toodeep \else .. \fi."
+
+% will force use the "false" branch (if there is one)
+\def\spx@toodeep@hack{\fi\iffalse}
+
+% do nothing if 'maxlistdepth' key not used or if package enumitem loaded.
+\ifnum\spx@opt@maxlistdepth=\z@\expandafter\@gobbletwo\fi
+\AtBeginDocument{%
+\@ifpackageloaded{enumitem}{\remove@to@nnil}{}%
+  \let\spx@toodeepORI\@toodeep
+  \def\@toodeep{%
+    \ifnum\@listdepth<\spx@opt@maxlistdepth\relax
+      \expandafter\spx@toodeep@hack
+    \else
+      \expandafter\spx@toodeepORI
+    \fi}%
+% define all missing \@list... macros
+  \count@\@ne
+  \loop
+     \ltx@ifundefined{@list\romannumeral\the\count@}
+       {\iffalse}{\iftrue\advance\count@\@ne}%
+  \repeat
+  \loop
+     \ifnum\count@>\spx@opt@maxlistdepth\relax\else
+       \expandafter\let
+         \csname @list\romannumeral\the\count@\expandafter\endcsname
+         \csname @list\romannumeral\the\numexpr\count@-\@ne\endcsname
+       % workaround 2.6--3.2d babel-french issue (fixed in 3.2e; no change needed)
+       \ltx@ifundefined{leftmargin\romannumeral\the\count@}
+       {\expandafter\let
+         \csname leftmargin\romannumeral\the\count@\expandafter\endcsname
+         \csname leftmargin\romannumeral\the\numexpr\count@-\@ne\endcsname}{}%
+     \advance\count@\@ne
+  \repeat
+% define all missing enum... counters and \labelenum... macros and \p@enum..
+  \count@\@ne
+  \loop
+     \ltx@ifundefined{c@enum\romannumeral\the\count@}
+       {\iffalse}{\iftrue\advance\count@\@ne}%
+  \repeat
+  \loop
+     \ifnum\count@>\spx@opt@maxlistdepth\relax\else
+       \newcounter{enum\romannumeral\the\count@}%
+       \expandafter\def
+         \csname labelenum\romannumeral\the\count@\expandafter\endcsname
+         \expandafter
+         {\csname theenum\romannumeral\the\numexpr\count@\endcsname.}%
+       \expandafter\def
+         \csname p@enum\romannumeral\the\count@\expandafter\endcsname
+         \expandafter
+         {\csname p@enum\romannumeral\the\numexpr\count@-\@ne\expandafter
+          \endcsname\csname theenum\romannumeral\the\numexpr\count@-\@ne\endcsname.}%
+     \advance\count@\@ne
+  \repeat
+% define all missing labelitem... macros
+  \count@\@ne
+  \loop
+     \ltx@ifundefined{labelitem\romannumeral\the\count@}
+     {\iffalse}{\iftrue\advance\count@\@ne}%
+  \repeat
+  \loop
+     \ifnum\count@>\spx@opt@maxlistdepth\relax\else
+       \expandafter\let
+         \csname labelitem\romannumeral\the\count@\expandafter\endcsname
+         \csname labelitem\romannumeral\the\numexpr\count@-\@ne\endcsname
+     \advance\count@\@ne
+  \repeat
+  \PackageInfo{sphinx}{maximal list depth extended to \spx@opt@maxlistdepth}%
+\@gobble\@nnil
+}
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexliterals.sty 1.21.3-1/doc/pdf/sphinxlatexliterals.sty
--- 1.21.2-1/doc/pdf/sphinxlatexliterals.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexliterals.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,795 @@
+%% LITERAL BLOCKS
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexliterals.sty}[2021/01/27 code-blocks and parsed literals]
+
+% Provides support for this output mark-up from Sphinx latex writer:
+%
+% - macros:
+%   - \sphinxLiteralBlockLabel
+%   - \sphinxSetupCaptionForVerbatim
+%   - \sphinxSetupCodeBlockInFootnote
+%   - \sphinxhref
+%   - \sphinxnolinkurl
+%   - \sphinxresetverbatimhllines
+%   - \sphinxunactivateextrasandspace
+%   - \sphinxupquote
+%   - \sphinxurl
+%
+% - environments:
+%   - sphinxVerbatim
+%   - sphinxVerbatimintable
+%   - sphinxalltt
+%
+% Dependency:
+%
+% - hyperref (for \phantomsection and \capstart) (loaded later)
+%
+% Executes \RequirePackage for:
+%
+% - framed
+% - fancyvrb
+% - alltt
+% - upquote
+% - needspace
+
+% also in sphinxlatexadmonitions.sty:
+% This is a workaround to a "feature" of French lists, when literal block
+% follows immediately; usable generally (does only \par then), a priori...
+\providecommand*\sphinxvspacefixafterfrenchlists{%
+   \ifvmode\ifdim\lastskip<\z@ \vskip\parskip\fi\else\par\fi
+}
+
+% For framing allowing pagebreaks
+\RequirePackage{framed}
+% For source code
+% MEMO: fancyvrb is used mainly to
+% 1- control horizontal and vertical spacing
+% 2- optional line numbering
+% 3- optional line emphasizing
+% 4- while still allowing expansion of Pygments latex mark-up
+% Other aspects such as framing, caption handling, codeline wrapping are
+% added on top of it. We should stop using fancyvrb and implement
+% 1, 2, 3, 4 by own Sphinx fully native Verbatim. This would allow to solve
+% limitations with wrapped long code line not allowing page break.
+\RequirePackage{fancyvrb}
+% For parsed-literal blocks.
+\RequirePackage{alltt}
+% Display "real" single quotes in literal blocks.
+\RequirePackage{upquote}
+% Skip to next page if not enough space at bottom
+\RequirePackage{needspace}
+
+% Based on use of "fancyvrb.sty"'s Verbatim.
+% - with framing allowing page breaks ("framed.sty")
+% - with breaking of long lines (exploits Pygments mark-up),
+% - with possibly of a top caption, non-separable by pagebreak.
+% - and usable inside tables or footnotes ("sphinxpackagefootnote.sty").
+
+% for emphasizing lines
+\define@key{FV}{hllines}{\def\sphinx@verbatim@checkifhl##1{\in@{, ##1,}{#1}}}
+% sphinxVerbatim must be usable by third party without requiring hllines set-up
+\def\sphinxresetverbatimhllines{\def\sphinx@verbatim@checkifhl##1{\in@false}}
+\sphinxresetverbatimhllines
+
+% Prior to Sphinx 1.5, \Verbatim and \endVerbatim were modified by Sphinx.
+% The aliases defined here are used in sphinxVerbatim environment and can
+% serve as hook-points with no need to modify \Verbatim itself.
+\let\OriginalVerbatim   \Verbatim
+\let\endOriginalVerbatim\endVerbatim
+
+% for captions of literal blocks
+% at start of caption title
+\newcommand*{\fnum@literalblock}{\literalblockname\nobreakspace\theliteralblock}
+% this will be overwritten in document preamble by Babel translation
+\newcommand*{\literalblockname}{Listing }
+% file extension needed for \caption's good functioning, the file is created
+% only if a \listof{literalblock}{foo} command is encountered, which is
+% analogous to \listoffigures, but for the code listings (foo = chosen title.)
+\newcommand*{\ext@literalblock}{lol}
+
+% if forced use of minipage encapsulation is needed (e.g. table cells)
+\newif\ifsphinxverbatimwithminipage   \sphinxverbatimwithminipagefalse
+
+% Framing macro for use with framed.sty's \FrameCommand
+%  - it obeys current indentation,
+%  - frame is \fboxsep separated from the contents,
+%  - the contents use the full available text width,
+%  - #1 = color of frame, #2 = color of background,
+%  - #3 = above frame, #4 = below frame, #5 = within frame,
+%  - #3 and #4 must be already typeset boxes; they must issue \normalcolor
+%    or similar, else, they are under scope of color #1
+\long\def\spx@fcolorbox #1#2#3#4#5{%
+  \hskip\@totalleftmargin
+  \hskip-\fboxsep\hskip-\fboxrule
+  % use of \color@b@x here is compatible with both xcolor.sty and color.sty
+  \color@b@x {\color{#1}\spx@CustomFBox{#3}{#4}}{\color{#2}}{#5}%
+  \hskip-\fboxsep\hskip-\fboxrule
+  \hskip-\linewidth \hskip-\@totalleftmargin \hskip\columnwidth
+}%
+% #1 = for material above frame, such as a caption or a "continued" hint
+% #2 = for material below frame, such as a caption or "continues on next page"
+% #3 = actual contents, which will be typeset with a background color
+\long\def\spx@CustomFBox#1#2#3{%
+  \begingroup
+  \setbox\@tempboxa\hbox{{#3}}% inner braces to avoid color leaks
+  \vbox{#1% above frame
+            % draw frame border _latest_ to avoid pdf viewer issue
+            \kern\fboxrule
+            \hbox{\kern\fboxrule
+                  \copy\@tempboxa
+                  \kern-\wd\@tempboxa\kern-\fboxrule
+                  \vrule\@width\fboxrule
+                  \kern\wd\@tempboxa
+                  \vrule\@width\fboxrule}%
+            \kern-\dimexpr\ht\@tempboxa+\dp\@tempboxa+\fboxrule\relax
+            \hrule\@height\fboxrule
+            \kern\dimexpr\ht\@tempboxa+\dp\@tempboxa\relax
+            \hrule\@height\fboxrule
+        #2% below frame
+       }%
+  \endgroup
+}%
+\def\spx@fcolorbox@put@c#1{% hide width from framed.sty measuring
+    \moveright\dimexpr\fboxrule+.5\wd\@tempboxa\hb@xt@\z@{\hss#1\hss}%
+}%
+\def\spx@fcolorbox@put@r#1{% right align with contents, width hidden
+    \moveright\dimexpr\fboxrule+\wd\@tempboxa-\fboxsep\hb@xt@\z@{\hss#1}%
+}%
+\def\spx@fcolorbox@put@l#1{% left align with contents, width hidden
+    \moveright\dimexpr\fboxrule+\fboxsep\hb@xt@\z@{#1\hss}%
+}%
+%
+\def\sphinxVerbatim@Continued
+   {\csname spx@fcolorbox@put@\spx@opt@verbatimcontinuedalign\endcsname
+    {\normalcolor\sphinxstylecodecontinued\literalblockcontinuedname}}%
+\def\sphinxVerbatim@Continues
+   {\csname spx@fcolorbox@put@\spx@opt@verbatimcontinuesalign\endcsname
+    {\normalcolor\sphinxstylecodecontinues\literalblockcontinuesname}}%
+\def\sphinxVerbatim@Title
+   {\spx@fcolorbox@put@c{\unhcopy\sphinxVerbatim@TitleBox}}%
+\let\sphinxVerbatim@Before\@empty
+\let\sphinxVerbatim@After\@empty
+% Defaults are redefined in document preamble according to language
+\newcommand*\literalblockcontinuedname{continued from previous page}%
+\newcommand*\literalblockcontinuesname{continues on next page}%
+%
+\def\spx@verbatimfcolorbox{\spx@fcolorbox{VerbatimBorderColor}{VerbatimColor}}%
+\def\sphinxVerbatim@FrameCommand
+   {\spx@verbatimfcolorbox\sphinxVerbatim@Before\sphinxVerbatim@After}%
+\def\sphinxVerbatim@FirstFrameCommand
+   {\spx@verbatimfcolorbox\sphinxVerbatim@Before\sphinxVerbatim@Continues}%
+\def\sphinxVerbatim@MidFrameCommand
+   {\spx@verbatimfcolorbox\sphinxVerbatim@Continued\sphinxVerbatim@Continues}%
+\def\sphinxVerbatim@LastFrameCommand
+   {\spx@verbatimfcolorbox\sphinxVerbatim@Continued\sphinxVerbatim@After}%
+
+% For linebreaks inside Verbatim environment from package fancyvrb.
+\newbox\sphinxcontinuationbox
+\newbox\sphinxvisiblespacebox
+\newcommand*\sphinxafterbreak {\copy\sphinxcontinuationbox}
+
+% Take advantage of the already applied Pygments mark-up to insert
+% potential linebreaks for TeX processing.
+%        {, <, #, %, $, ' and ": go to next line.
+%        _, }, ^, &, >, -, ~, and \: stay at end of broken line.
+% Use of \textquotesingle for straight quote.
+% FIXME: convert this to package options ?
+\newcommand*\sphinxbreaksbeforelist {%
+    \do\PYGZob\{\do\PYGZlt\<\do\PYGZsh\#\do\PYGZpc\%% {, <, #, %,
+    \do\PYGZdl\$\do\PYGZdq\"% $, "
+    \def\PYGZsq
+     {\discretionary{}{\sphinxafterbreak\textquotesingle}{\textquotesingle}}% '
+}
+\newcommand*\sphinxbreaksafterlist {%
+    \do\PYGZus\_\do\PYGZcb\}\do\PYGZca\^\do\PYGZam\&% _, }, ^, &,
+    \do\PYGZgt\>\do\PYGZhy\-\do\PYGZti\~% >, -, ~
+    \do\PYGZbs\\% \
+}
+\newcommand*\sphinxbreaksatspecials {%
+  \def\do##1##2%
+     {\def##1{\discretionary{}{\sphinxafterbreak\char`##2}{\char`##2}}}%
+  \sphinxbreaksbeforelist
+  \def\do##1##2%
+     {\def##1{\discretionary{\char`##2}{\sphinxafterbreak}{\char`##2}}}%
+  \sphinxbreaksafterlist
+}
+
+\def\sphinx@verbatim@nolig@list {\do \`}%
+% Some characters . , ; ? ! / are neither pygmentized nor "tex-escaped".
+% This macro makes them "active" and they will insert potential linebreaks.
+% Not compatible with math mode (cf \sphinxunactivateextras).
+\newcommand*\sphinxbreaksbeforeactivelist {}% none
+\newcommand*\sphinxbreaksafteractivelist  {\do\.\do\,\do\;\do\?\do\!\do\/}
+\newcommand*\sphinxbreaksviaactive {%
+   \def\do##1{\lccode`\~`##1%
+    \lowercase{\def~}{\discretionary{}{\sphinxafterbreak\char`##1}{\char`##1}}%
+    \catcode`##1\active}%
+   \sphinxbreaksbeforeactivelist
+   \def\do##1{\lccode`\~`##1%
+    \lowercase{\def~}{\discretionary{\char`##1}{\sphinxafterbreak}{\char`##1}}%
+    \catcode`##1\active}%
+   \sphinxbreaksafteractivelist
+   \lccode`\~`\~
+}
+
+% If the linebreak is at a space, the latter will be displayed as visible
+% space at end of first line, and a continuation symbol starts next line.
+\def\spx@verbatim@space {%
+     \nobreak\hskip\z@skip
+     \discretionary{\copy\sphinxvisiblespacebox}{\sphinxafterbreak}
+                   {\kern\fontdimen2\font}%
+}%
+
+% if the available space on page is less than \literalblockneedspace, insert pagebreak
+\newcommand{\sphinxliteralblockneedspace}{5\baselineskip}
+\newcommand{\sphinxliteralblockwithoutcaptionneedspace}{1.5\baselineskip}
+% The title (caption) is specified from outside as macro \sphinxVerbatimTitle.
+% \sphinxVerbatimTitle is reset to empty after each use of Verbatim.
+\newcommand*\sphinxVerbatimTitle {}
+% This box to typeset the caption before framed.sty multiple passes for framing.
+\newbox\sphinxVerbatim@TitleBox
+% This box to measure contents if nested as inner \MakeFramed requires then
+% minipage encapsulation but too long contents then break outer \MakeFramed
+\newbox\sphinxVerbatim@ContentsBox
+% Holder macro for labels of literal blocks. Set-up by LaTeX writer.
+\newcommand*\sphinxLiteralBlockLabel {}
+\newcommand*\sphinxSetupCaptionForVerbatim [1]
+{%
+    \sphinxvspacefixafterfrenchlists
+    \needspace{\sphinxliteralblockneedspace}%
+% insert a \label via \sphinxLiteralBlockLabel
+% reset to normal the color for the literal block caption
+    \def\sphinxVerbatimTitle
+       {\py@NormalColor\sphinxcaption{\sphinxLiteralBlockLabel #1}}%
+}
+\newcommand*\sphinxSetupCodeBlockInFootnote {%
+  \fvset{fontsize=\footnotesize}\let\caption\sphinxfigcaption
+  \sphinxverbatimwithminipagetrue % reduces vertical spaces
+  % we counteract (this is in a group) the \@normalsize from \caption
+  \let\normalsize\footnotesize\let\@parboxrestore\relax
+  \def\spx@abovecaptionskip{\sphinxverbatimsmallskipamount}%
+}
+\newcommand*{\sphinxverbatimsmallskipamount}{\smallskipamount}
+% serves to implement line highlighting and line wrapping
+\newcommand\sphinxFancyVerbFormatLine[1]{%
+  \expandafter\sphinx@verbatim@checkifhl\expandafter{\the\FV@CodeLineNo}%
+  \ifin@
+     \sphinxVerbatimHighlightLine{#1}%
+  \else
+     \sphinxVerbatimFormatLine{#1}%
+  \fi
+}%
+\newcommand\sphinxVerbatimHighlightLine[1]{%
+  \edef\sphinxrestorefboxsep{\fboxsep\the\fboxsep\relax}%
+  \fboxsep0pt\relax % cf LaTeX bug graphics/4524
+  \colorbox{sphinxVerbatimHighlightColor}%
+           {\sphinxrestorefboxsep\sphinxVerbatimFormatLine{#1}}%
+  % no need to restore \fboxsep here, as this ends up in a \hbox from fancyvrb
+}%
+% \sphinxVerbatimFormatLine will be set locally to one of those two:
+\newcommand\sphinxVerbatimFormatLineWrap{%
+  \hsize\linewidth
+  \ifspx@opt@verbatimforcewraps
+       \expandafter\spx@verb@FormatLineForceWrap
+  \else\expandafter\spx@verb@FormatLineWrap
+  \fi
+}%
+\newcommand\sphinxVerbatimFormatLineNoWrap[1]{\hb@xt@\linewidth{\strut #1\hss}}%
+\long\def\spx@verb@FormatLineWrap#1{%
+    \vtop{\raggedright\hyphenpenalty\z@\exhyphenpenalty\z@
+          \doublehyphendemerits\z@\finalhyphendemerits\z@
+          \strut #1\strut}%
+}%
+%
+% The normal line wrapping allows breaks at spaces and ascii non
+% letters, non digits. The \raggedright above means there will be
+% an overfilled line only if some non-breakable "word" was
+% encountered, which is longer than a line (it is moved always to
+% be on its own on a new line).
+% 
+% The "forced" line wrapping will parse the tokens to add potential
+% breakpoints at each character. As some strings are highlighted,
+% we have to apply the highlighting character per character, which
+% requires to manipulate the output of the Pygments LaTeXFormatter.
+%
+% Doing this at latex level is complicated. The contents should
+% be as expected: i.e. some active characters from
+% \sphinxbreaksviaactive, some Pygments character escapes such as
+% \PYGZdl{}, and the highlighting \PYG macro with always 2
+% arguments. No other macros should be there, except perhaps
+% zero-parameter macros. In particular:
+% - the texcomments Pygments option must be set to False
+%
+% With pdflatex, Unicode input gives multi-bytes characters
+% where the first byte is active. We support the "utf8" macros
+% only. "utf8x" is not supported.
+%
+% The highlighting macro \PYG will be applied character per
+% character. Highlighting via a colored background gives thus a
+% chain of small colored boxes which may cause some artefact in
+% some pdf viewers. Can't do anything here if we do want the line
+% break to be possible.
+%
+% First a measurement step is done of what would the standard line
+% wrapping give (i.e line breaks only at spaces and non-letter,
+% non-digit ascii characters), cf TeX by Topic for the basic
+% dissecting technique: TeX unfortunately when building a vertical
+% box does not store in an accessible way what was the maximal
+% line-width during paragraph building.
+%
+% Avoid LaTeX 2021 alteration of \@@par which potentially could break our
+% measurement step (typically if the para/after hook is configured to use
+% \vspace).  Of course, breakage could happen only from user or package
+% adding things to basic Sphinx latex.  And perhaps spring LaTeX 2021 will
+% provide a non-hooked \@@par, but this should work anyway and can't be
+% beaten for speed.
+\ltx@ifundefined{tex_par:D}
+% We could use \@ifl@t@r\fmtversion{2020/02/02}{use \tex_par:D}{use \@@par}.
+  {\let\spx@par\@@par}% \@@par is then expected to be TeX's original \par
+  {\expandafter\let\expandafter\spx@par\csname tex_par:D\endcsname}
+% More hesitation for avoiding the at-start-of-par hooks for our
+% measurement : 1. with old LaTeX, we can not avoid hooks from everyhook
+% or similar packages, 2. and perhaps the hooks add stuff which we should
+% actually measure.  Ideally, hooks are for inserting things in margin
+% which do not change spacing.  Most everything else in fact should not be
+% executed in our scratch box for measurement, such as counter stepping.
+\ltx@ifundefined{tex_everypar:D}
+  {\let\spx@everypar\everypar}
+  {\expandafter\let\expandafter\spx@everypar\csname tex_everypar:D\endcsname}
+%
+% If the max width exceeds the linewidth by more than verbatimmaxoverfull
+% character widths, or if the min width plus verbatimmaxunderfull character
+% widths is inferior to linewidth, then we apply the "force wrapping" with
+% potential line break at each character, else we don't.
+\long\def\spx@verb@FormatLineForceWrap#1{%
+    % \spx@image@box is a scratch box register that we can use here
+    \global\let\spx@verb@maxwidth\z@
+    \global\let\spx@verb@minwidth\linewidth
+    \setbox\spx@image@box
+    \vtop{\raggedright\hyphenpenalty\z@\exhyphenpenalty\z@
+          \doublehyphendemerits\z@\finalhyphendemerits\z@
+          \spx@everypar{}\noindent\strut #1\strut\spx@par
+          \spx@verb@getwidths}%
+    \ifdim\spx@verb@maxwidth>
+          \dimexpr\linewidth+\spx@opt@verbatimmaxoverfull\fontcharwd\font`X \relax
+      \spx@verb@FormatLineWrap{\spx@verb@wrapPYG #1\spx@verb@wrapPYG}%
+    \else
+      \ifdim\spx@verb@minwidth<
+            \dimexpr\linewidth-\spx@opt@verbatimmaxunderfull\fontcharwd\font`X \relax
+        \spx@verb@FormatLineWrap{\spx@verb@wrapPYG #1\spx@verb@wrapPYG}%
+      \else
+        \spx@verb@FormatLineWrap{#1}%
+    \fi\fi
+}%
+% auxiliary paragraph dissector to get max and min widths
+% but minwidth must not take into account the last line
+\newbox\spx@scratchbox
+\def\spx@verb@getwidths {%
+    \unskip\unpenalty
+    \setbox\spx@scratchbox\lastbox
+    \ifvoid\spx@scratchbox
+    \else
+       \setbox\spx@scratchbox\hbox{\unhbox\spx@scratchbox}%
+       \ifdim\spx@verb@maxwidth<\wd\spx@scratchbox
+          \xdef\spx@verb@maxwidth{\number\wd\spx@scratchbox sp}%
+       \fi
+       \expandafter\spx@verb@getwidths@loop
+    \fi
+}%
+\def\spx@verb@getwidths@loop {%
+    \unskip\unpenalty
+    \setbox\spx@scratchbox\lastbox
+    \ifvoid\spx@scratchbox
+    \else
+       \setbox\spx@scratchbox\hbox{\unhbox\spx@scratchbox}%
+       \ifdim\spx@verb@maxwidth<\wd\spx@scratchbox
+          \xdef\spx@verb@maxwidth{\number\wd\spx@scratchbox sp}%
+       \fi
+       \ifdim\spx@verb@minwidth>\wd\spx@scratchbox
+          \xdef\spx@verb@minwidth{\number\wd\spx@scratchbox sp}%
+       \fi
+       \expandafter\spx@verb@getwidths@loop
+    \fi
+}%
+% auxiliary macros to implement "cut long line even in middle of word"
+\catcode`Z=3 % safe delimiter
+\def\spx@verb@wrapPYG{%
+    \futurelet\spx@nexttoken\spx@verb@wrapPYG@i
+}%
+\def\spx@verb@wrapPYG@i{%
+    \ifx\spx@nexttoken\spx@verb@wrapPYG\let\next=\@gobble\else
+    \ifx\spx@nexttoken\PYG\let\next=\spx@verb@wrapPYG@PYG@onebyone\else
+      \discretionary{}{\sphinxafterbreak}{}%
+      \let\next\spx@verb@wrapPYG@ii
+    \fi\fi
+    \next
+}%
+% Let's recognize active characters. We don't support utf8x only utf8.
+% And here #1 should not have picked up (non empty) braced contents
+\long\def\spx@verb@wrapPYG@ii#1{%
+    \ifcat\noexpand~\noexpand#1\relax% active character
+      \expandafter\spx@verb@wrapPYG@active
+    \else % non-active character, control sequence such as \PYGZdl, or empty
+      \expandafter\spx@verb@wrapPYG@one
+    \fi {#1}%
+}%
+\long\def\spx@verb@wrapPYG@active#1{%
+% Let's hope expansion of active character does not really require arguments,
+% as we certainly don't want to go into expanding upfront token stream anyway.
+    \expandafter\spx@verb@wrapPYG@iii#1{}{}{}{}{}{}{}{}{}Z#1%
+}%
+\long\def\spx@verb@wrapPYG@iii#1#2Z{%
+    \ifx\UTFviii@four@octets#1\let\next=\spx@verb@wrapPYG@four\else
+    \ifx\UTFviii@three@octets#1\let\next=\spx@verb@wrapPYG@three\else
+    \ifx\UTFviii@two@octets#1\let\next=\spx@verb@wrapPYG@two\else
+    \let\next=\spx@verb@wrapPYG@one
+    \fi\fi\fi
+    \next
+}%
+\long\def\spx@verb@wrapPYG@one   #1{#1\futurelet\spx@nexttoken\spx@verb@wrapPYG@i}%
+\long\def\spx@verb@wrapPYG@two   #1#2{#1#2\futurelet\spx@nexttoken\spx@verb@wrapPYG@i}%
+\long\def\spx@verb@wrapPYG@three #1#2#3{#1#2#3\futurelet\spx@nexttoken\spx@verb@wrapPYG@i}%
+\long\def\spx@verb@wrapPYG@four  #1#2#3#4{#1#2#3#4\futurelet\spx@nexttoken\spx@verb@wrapPYG@i}%
+% Replace \PYG by itself applied one character at a time! This way breakpoints
+% can be inserted.
+\def\spx@verb@wrapPYG@PYG@onebyone#1#2#3{% #1 = \PYG, #2 = highlight spec, #3 = tokens
+    \def\spx@verb@wrapPYG@PYG@spec{{#2}}%
+    \futurelet\spx@nexttoken\spx@verb@wrapPYG@PYG@i#3Z%
+}%
+\def\spx@verb@wrapPYG@PYG@i{%
+    \ifx\spx@nexttokenZ\let\next=\spx@verb@wrapPYG@PYG@done\else
+      \discretionary{}{\sphinxafterbreak}{}%
+      \let\next\spx@verb@wrapPYG@PYG@ii
+    \fi
+    \next
+}%
+\def\spx@verb@wrapPYG@PYG@doneZ{\futurelet\spx@nexttoken\spx@verb@wrapPYG@i}%
+\long\def\spx@verb@wrapPYG@PYG@ii#1{%
+    \ifcat\noexpand~\noexpand#1\relax% active character
+      \expandafter\spx@verb@wrapPYG@PYG@active
+    \else % non-active character, control sequence such as \PYGZdl, or empty
+      \expandafter\spx@verb@wrapPYG@PYG@one
+    \fi {#1}%
+}%
+\long\def\spx@verb@wrapPYG@PYG@active#1{%
+% Let's hope expansion of active character does not really require arguments,
+% as we certainly don't want to go into expanding upfront token stream anyway.
+    \expandafter\spx@verb@wrapPYG@PYG@iii#1{}{}{}{}{}{}{}{}{}Z#1%
+}%
+\long\def\spx@verb@wrapPYG@PYG@iii#1#2Z{%
+    \ifx\UTFviii@four@octets#1\let\next=\spx@verb@wrapPYG@PYG@four\else
+    \ifx\UTFviii@three@octets#1\let\next=\spx@verb@wrapPYG@PYG@three\else
+    \ifx\UTFviii@two@octets#1\let\next=\spx@verb@wrapPYG@PYG@two\else
+    \let\next=\spx@verb@wrapPYG@PYG@one
+    \fi\fi\fi
+    \next
+}%
+\long\def\spx@verb@wrapPYG@PYG@one#1{%
+    \expandafter\PYG\spx@verb@wrapPYG@PYG@spec{#1}%
+    \futurelet\spx@nexttoken\spx@verb@wrapPYG@PYG@i
+}%
+\long\def\spx@verb@wrapPYG@PYG@two#1#2{%
+    \expandafter\PYG\spx@verb@wrapPYG@PYG@spec{#1#2}%
+    \futurelet\spx@nexttoken\spx@verb@wrapPYG@PYG@i
+}%
+\long\def\spx@verb@wrapPYG@PYG@three#1#2#3{%
+    \expandafter\PYG\spx@verb@wrapPYG@PYG@spec{#1#2#3}%
+    \futurelet\spx@nexttoken\spx@verb@wrapPYG@PYG@i
+}%
+\long\def\spx@verb@wrapPYG@PYG@four#1#2#3#4{%
+    \expandafter\PYG\spx@verb@wrapPYG@PYG@spec{#1#2#3#4}%
+    \futurelet\spx@nexttoken\spx@verb@wrapPYG@PYG@i
+}%
+\catcode`Z 11 %
+%
+\g@addto@macro\FV@SetupFont{%
+    \sbox\sphinxcontinuationbox {\spx@opt@verbatimcontinued}%
+    \sbox\sphinxvisiblespacebox {\spx@opt@verbatimvisiblespace}%
+}%
+\newenvironment{sphinxVerbatim}{%
+  % first, let's check if there is a caption
+  \ifx\sphinxVerbatimTitle\empty
+      \sphinxvspacefixafterfrenchlists
+      \parskip\z@skip
+      \vskip\sphinxverbatimsmallskipamount
+      % there was no caption. Check if nevertheless a label was set.
+      \ifx\sphinxLiteralBlockLabel\empty\else
+      % we require some space to be sure hyperlink target from \phantomsection
+      % will not be separated from upcoming verbatim by a page break
+          \needspace{\sphinxliteralblockwithoutcaptionneedspace}%
+          \phantomsection\sphinxLiteralBlockLabel
+      \fi
+  \else
+     \parskip\z@skip
+     \if t\spx@opt@literalblockcappos
+       \vskip\spx@abovecaptionskip
+       \def\sphinxVerbatim@Before
+           {\sphinxVerbatim@Title\nointerlineskip
+            \kern\dimexpr-\dp\strutbox+\sphinxbelowcaptionspace
+                 % if no frame (code-blocks inside table cells), remove
+                 % the "verbatimsep" whitespace from the top (better visually)
+                 \ifspx@opt@verbatimwithframe\else-\sphinxverbatimsep\fi
+                 % caption package adds \abovecaptionskip vspace, remove it
+                 \spx@ifcaptionpackage{-\abovecaptionskip}{}\relax}%
+     \else
+       \vskip\sphinxverbatimsmallskipamount
+       \def\sphinxVerbatim@After
+          {\nointerlineskip\kern\dimexpr\dp\strutbox
+            \ifspx@opt@verbatimwithframe\else-\sphinxverbatimsep\fi
+            \spx@ifcaptionpackage{-\abovecaptionskip}{}\relax
+           \sphinxVerbatim@Title}%
+     \fi
+     \def\@captype{literalblock}%
+     \capstart
+     % \sphinxVerbatimTitle must reset color
+     \setbox\sphinxVerbatim@TitleBox
+            \hbox{\begin{minipage}{\linewidth}%
+     % caption package may detect wrongly if top or bottom, so we help it
+                    \spx@ifcaptionpackage
+                      {\caption@setposition{\spx@opt@literalblockcappos}}{}%
+                    \sphinxVerbatimTitle
+                  \end{minipage}}%
+  \fi
+  \global\let\sphinxLiteralBlockLabel\empty
+  \global\let\sphinxVerbatimTitle\empty
+  \fboxsep\sphinxverbatimsep \fboxrule\sphinxverbatimborder
+  \ifspx@opt@verbatimwithframe\else\fboxrule\z@\fi
+  \let\FrameCommand     \sphinxVerbatim@FrameCommand
+  \let\FirstFrameCommand\sphinxVerbatim@FirstFrameCommand
+  \let\MidFrameCommand  \sphinxVerbatim@MidFrameCommand
+  \let\LastFrameCommand \sphinxVerbatim@LastFrameCommand
+  \ifspx@opt@verbatimhintsturnover\else
+      \let\sphinxVerbatim@Continued\@empty
+      \let\sphinxVerbatim@Continues\@empty
+  \fi
+  \ifspx@opt@verbatimwrapslines
+  % fancyvrb's Verbatim puts each input line in (unbreakable) horizontal boxes.
+  % This customization wraps each line from the input in a \vtop, thus
+  % allowing it to wrap and display on two or more lines in the latex output.
+  %     - The codeline counter will be increased only once.
+  %     - The wrapped material will not break across pages, it is impossible
+  %       to achieve this without extensive rewrite of fancyvrb.
+  %     - The (not used in sphinx) obeytabs option to Verbatim is
+  %       broken by this change (showtabs and tabspace work).
+    \let\sphinxVerbatimFormatLine\sphinxVerbatimFormatLineWrap
+    \let\FV@Space\spx@verbatim@space
+  % Allow breaks at special characters using \PYG... macros.
+    \sphinxbreaksatspecials
+  % Breaks at punctuation characters . , ; ? ! and / (needs catcode activation)
+    \fvset{codes*=\sphinxbreaksviaactive}%
+  \else % end of conditional code for wrapping long code lines
+    \let\sphinxVerbatimFormatLine\sphinxVerbatimFormatLineNoWrap
+  \fi
+  \let\FancyVerbFormatLine\sphinxFancyVerbFormatLine
+  \VerbatimEnvironment
+  % workaround to fancyvrb's check of current list depth
+  \def\@toodeep {\advance\@listdepth\@ne}%
+  % The list environment is needed to control perfectly the vertical space.
+  % Note: \OuterFrameSep used by framed.sty is later set to \topsep hence 0pt.
+  % - if caption: distance from last text baseline to caption baseline is
+  %   A+(B-F)+\ht\strutbox, A = \abovecaptionskip (default 10pt), B =
+  %   \baselineskip, F is the framed.sty \FrameHeightAdjust macro, default 6pt.
+  %   Formula valid for F < 10pt.
+  % - distance of baseline of caption to top of frame is like for tables:
+  %   \sphinxbelowcaptionspace (=0.5\baselineskip)
+  % - if no caption: distance of last text baseline to code frame is S+(B-F),
+  %   with S = \sphinxverbatimtopskip (=\smallskip)
+  % - and distance from bottom of frame to next text baseline is
+  %   \baselineskip+\parskip.
+  % The \trivlist is used to avoid possible "too deeply nested" error.
+  \itemsep   \z@skip
+  \topsep    \z@skip
+  \partopsep \z@skip
+  % trivlist will set \parsep to \parskip (which itself is set to zero above)
+  % \leftmargin will be set to zero by trivlist
+  \rightmargin\z@
+  \parindent  \z@% becomes \itemindent. Default zero, but perhaps overwritten.
+  \trivlist\item\relax
+     \ifspx@inframed\setbox\sphinxVerbatim@ContentsBox\vbox\bgroup
+        \@setminipage\hsize\linewidth
+        % use bulk of minipage paragraph shape restores (this is needed
+        % in indented contexts, at least for some)
+        \textwidth\hsize \columnwidth\hsize \@totalleftmargin\z@
+        \leftskip\z@skip \rightskip\z@skip  \@rightskip\z@skip
+     \else
+       \ifsphinxverbatimwithminipage\noindent\begin{minipage}{\linewidth}\fi
+       \MakeFramed {% adapted over from framed.sty's snugshade environment
+        \advance\hsize-\width\@totalleftmargin\z@\linewidth\hsize\@setminipage
+        }%
+     \fi
+     % For grid placement from \strut's in \FancyVerbFormatLine
+     \lineskip\z@skip
+     % active comma should not be overwritten by \@noligs
+     \ifspx@opt@verbatimwrapslines
+       \let\verbatim@nolig@list \sphinx@verbatim@nolig@list
+     \fi
+     % will fetch its optional arguments if any
+     \OriginalVerbatim
+}
+{%
+  \endOriginalVerbatim
+  \ifspx@inframed
+   \egroup % finish \sphinxVerbatim@ContentsBox vbox
+   \nobreak % update page totals
+   \ifdim\dimexpr\ht\sphinxVerbatim@ContentsBox+
+         \dp\sphinxVerbatim@ContentsBox+
+         \ht\sphinxVerbatim@TitleBox+
+         \dp\sphinxVerbatim@TitleBox+
+         2\fboxsep+2\fboxrule+
+         % try to account for external frame parameters
+         \FrameSep+\FrameRule+
+         % Usage here of 2 baseline distances is empirical.
+         % In border case where code-block fits barely in remaining space,
+         % it gets framed and looks good but the outer frame may continue
+         % on top of next page and give (if no contents after code-block)
+         % an empty framed line, as testing showed.
+         2\baselineskip+
+         % now add all to accumulated page totals and compare to \pagegoal
+         \pagetotal+\pagedepth>\pagegoal
+    % long contents: do not \MakeFramed. Do make a caption (either before or
+    % after) if title exists. Continuation hints across pagebreaks dropped.
+    % FIXME? a bottom caption may end up isolated at top of next page
+    %        (no problem with a top caption, which is default)
+    \spx@opt@verbatimwithframefalse
+    \def\sphinxVerbatim@Title{\noindent\box\sphinxVerbatim@TitleBox\par}%
+    \sphinxVerbatim@Before
+    \noindent\unvbox\sphinxVerbatim@ContentsBox\par
+    \sphinxVerbatim@After
+   \else
+    % short enough contents: use \MakeFramed. As it is nested, this requires
+    % minipage encapsulation.
+    \noindent\begin{minipage}{\linewidth}%
+     \MakeFramed {% Use it now with the fetched contents
+      \advance\hsize-\width\@totalleftmargin\z@\linewidth\hsize\@setminipage
+      }%
+     \unvbox\sphinxVerbatim@ContentsBox
+     % some of this may be superfluous:
+     \par\unskip\@minipagefalse\endMakeFramed
+    \end{minipage}%
+   \fi
+  \else % non-nested \MakeFramed
+    \par\unskip\@minipagefalse\endMakeFramed % from framed.sty snugshade
+    \ifsphinxverbatimwithminipage\end{minipage}\fi
+  \fi
+  \endtrivlist
+}
+\newenvironment {sphinxVerbatimNoFrame}
+  {\spx@opt@verbatimwithframefalse
+   \VerbatimEnvironment
+   \begin{sphinxVerbatim}}
+  {\end{sphinxVerbatim}}
+\newenvironment {sphinxVerbatimintable}
+  {% don't use a frame if in a table cell
+   \spx@opt@verbatimwithframefalse
+   \sphinxverbatimwithminipagetrue
+   % the literal block caption uses \sphinxcaption which is wrapper of \caption,
+   % but \caption must be modified because longtable redefines it to work only
+   % for the own table caption, and tabulary has multiple passes
+   \let\caption\sphinxfigcaption
+   % reduce above caption skip
+   \def\spx@abovecaptionskip{\sphinxverbatimsmallskipamount}%
+   \VerbatimEnvironment
+   \begin{sphinxVerbatim}}
+  {\end{sphinxVerbatim}}
+
+
+%% PARSED LITERALS
+% allow long lines to wrap like they do in code-blocks
+
+% this should be kept in sync with definitions in sphinx.util.texescape
+\newcommand*\sphinxbreaksattexescapedchars{%
+  \def\do##1##2% put potential break point before character
+     {\def##1{\discretionary{}{\sphinxafterbreak\char`##2}{\char`##2}}}%
+  \do\{\{\do\textless\<\do\#\#\do\%\%\do\$\$% {, <, #, %, $
+  \def\do##1##2% put potential break point after character
+     {\def##1{\discretionary{\char`##2}{\sphinxafterbreak}{\char`##2}}}%
+  \do\_\_\do\}\}\do\textasciicircum\^\do\&\&% _, }, ^, &,
+  \do\textgreater\>\do\textasciitilde\~% >, ~
+  \do\textbackslash\\% \
+}
+\newcommand*\sphinxbreaksviaactiveinparsedliteral{%
+  \sphinxbreaksviaactive % by default handles . , ; ? ! /
+  \lccode`\~`\~ %
+  % update \dospecials as it is used by \url
+  % but deactivation will already have been done hence this is unneeded:
+  %  \expandafter\def\expandafter\dospecials\expandafter{\dospecials
+  %   \sphinxbreaksbeforeactivelist\sphinxbreaksafteractivelist\do\-}%
+}
+\newcommand*\sphinxbreaksatspaceinparsedliteral{%
+  \lccode`~32 \lowercase{\let~}\spx@verbatim@space\lccode`\~`\~
+}
+\newcommand*{\sphinxunactivateextras}{\let\do\@makeother
+      \sphinxbreaksbeforeactivelist\sphinxbreaksafteractivelist}%
+% the \catcode13=5\relax (deactivate end of input lines) is left to callers
+\newcommand*{\sphinxunactivateextrasandspace}{\catcode32=10\relax
+      \sphinxunactivateextras}%
+% now for the modified alltt environment
+\newenvironment{sphinxalltt}
+{% at start of next line to workaround Emacs/AUCTeX issue with this file
+\begin{alltt}%
+ \ifspx@opt@parsedliteralwraps
+   \sbox\sphinxcontinuationbox {\spx@opt@verbatimcontinued}%
+   \sbox\sphinxvisiblespacebox {\spx@opt@verbatimvisiblespace}%
+   \sphinxbreaksattexescapedchars
+   \sphinxbreaksviaactiveinparsedliteral
+   \sphinxbreaksatspaceinparsedliteral
+% alltt takes care of the ' as derivative ("prime") in math mode
+   \everymath\expandafter{\the\everymath\sphinxunactivateextrasandspace
+             \catcode`\<=12\catcode`\>=12\catcode`\^=7\catcode`\_=8 }%
+% not sure if displayed math (align,...) can end up in parsed-literal, anyway
+   \everydisplay\expandafter{\the\everydisplay
+             \catcode13=5 \sphinxunactivateextrasandspace
+             \catcode`\<=12\catcode`\>=12\catcode`\^=7\catcode`\_=8 }%
+ \fi }
+{\end{alltt}}
+
+
+%% INLINE MARK-UP
+%
+
+% Protect \href's first argument in contexts such as sphinxalltt (or
+% \sphinxcode). Sphinx uses \#, \%, \& ... always inside \sphinxhref.
+\protected\def\sphinxhref#1#2{{%
+    \sphinxunactivateextrasandspace % never do \scantokens with active space!
+% for the \endlinechar business, https://github.com/latex3/latex2e/issues/286
+    \endlinechar\m@ne\everyeof{{\endlinechar13 #2}}% keep catcode regime for #2
+    \scantokens{\href{#1}}% normalise it for #1 during \href expansion
+}}
+% Same for \url. And also \nolinkurl for coherence.
+\protected\def\sphinxurl#1{{%
+    \sphinxunactivateextrasandspace\everyeof{}% (<- precaution for \scantokens)
+    \endlinechar\m@ne\scantokens{\url{#1}}%
+}}
+\protected\def\sphinxnolinkurl#1{{%
+    \sphinxunactivateextrasandspace\everyeof{}%
+    \endlinechar\m@ne\scantokens{\nolinkurl{#1}}%
+}}
+
+% \sphinxupquote
+% to obtain straight quotes we execute \@noligs as patched by upquote, and
+% \scantokens is needed in cases where it would be too late for the macro to
+% first set catcodes and then fetch its argument. We also make the contents
+% breakable at non-escaped . , ; ? ! / using \sphinxbreaksviaactive,
+% and also at \ character (which is escaped to \textbackslash{}).
+\protected\def\sphinxtextbackslashbreakbefore
+ {\discretionary{}{\sphinxafterbreak\sphinx@textbackslash}{\sphinx@textbackslash}}
+\protected\def\sphinxtextbackslashbreakafter
+ {\discretionary{\sphinx@textbackslash}{\sphinxafterbreak}{\sphinx@textbackslash}}
+\let\sphinxtextbackslash\sphinxtextbackslashbreakafter
+% the macro must be protected if it ends up used in moving arguments,
+% in 'alltt' \@noligs is done already, and the \scantokens must be avoided.
+\protected\def\sphinxupquote#1{{\def\@tempa{alltt}%
+  \ifx\@tempa\@currenvir\else
+   \ifspx@opt@inlineliteralwraps
+      % break at . , ; ? ! /
+      \sphinxbreaksviaactive
+      % break also at \
+      \setbox8=\hbox{\textbackslash}%
+      \def\sphinx@textbackslash{\copy8}%
+      \let\textbackslash\sphinxtextbackslash
+      % by default, no continuation symbol on next line but may be added
+      \let\sphinxafterbreak\sphinxafterbreakofinlineliteral
+      % do not overwrite the comma set-up
+      \let\verbatim@nolig@list\sphinx@literal@nolig@list
+   \fi
+   % fix a space-gobbling issue due to LaTeX's original \do@noligs
+% TODO: using \@noligs as patched by upquote.sty is now unneeded because
+% either ` and ' are escaped (non-unicode engines) or they don't build
+% ligatures (unicode engines). Thus remove this and unify handling of `, <, >,
+% ' and - with the characters . , ; ? ! / as handled via
+% \sphinxbreaksviaactive.
+% Hence \sphinx@do@noligs will be removed, or rather replaced  with code
+% inserting discretionaries, as they allow a continuation symbol on start of
+% next line to achieve common design with code-blocks.
+   \let\do@noligs\sphinx@do@noligs
+   \@noligs\endlinechar\m@ne\everyeof{}% (<- in case inside \sphinxhref)
+   \expandafter\scantokens
+  \fi {{#1}}}}% extra brace pair to fix end-space gobbling issue...
+\def\sphinx@do@noligs #1{\catcode`#1\active\begingroup\lccode`\~`#1\relax
+    \lowercase{\endgroup\def~{\leavevmode\kern\z@\char`#1 }}}
+\def\sphinx@literal@nolig@list {\do\`\do\<\do\>\do\'\do\-}%
+\let\sphinxafterbreakofinlineliteral\empty
+
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexnumfig.sty 1.21.3-1/doc/pdf/sphinxlatexnumfig.sty
--- 1.21.2-1/doc/pdf/sphinxlatexnumfig.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexnumfig.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,122 @@
+%% NUMBERING OF FIGURES, TABLES, AND LITERAL BLOCKS
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexnumfig.sty}[2021/01/27 numbering]
+
+% Requires: remreset (old LaTeX only)
+% relates to numfig and numfig_secnum_depth configuration variables
+
+% LaTeX 2018-04-01 and later provides \@removefromreset
+\ltx@ifundefined{@removefromreset}
+    {\RequirePackage{remreset}}
+    {}% avoid warning
+% Everything is delayed to \begin{document} to allow hyperref patches into
+%   \newcounter to solve duplicate label problems for internal hyperlinks to
+%   code listings (literalblock counter).  User or extension re-definitions of
+%   \theliteralblock, et al., thus have also to be delayed. (changed at 3.5.0)
+\AtBeginDocument{%
+\ltx@ifundefined{c@chapter}
+   {\newcounter{literalblock}}%
+   {\newcounter{literalblock}[chapter]%
+    \def\theliteralblock{\ifnum\c@chapter>\z@\arabic{chapter}.\fi
+                         \arabic{literalblock}}%
+    }%
+\ifspx@opt@nonumfigreset
+    \ltx@ifundefined{c@chapter}{}{%
+      \@removefromreset{figure}{chapter}%
+      \@removefromreset{table}{chapter}%
+      \@removefromreset{literalblock}{chapter}%
+      \ifspx@opt@mathnumfig
+        \@removefromreset{equation}{chapter}%
+      \fi
+    }%
+    \def\thefigure{\arabic{figure}}%
+    \def\thetable {\arabic{table}}%
+    \def\theliteralblock{\arabic{literalblock}}%
+    \ifspx@opt@mathnumfig
+      \def\theequation{\arabic{equation}}%
+    \fi
+\else
+\let\spx@preAthefigure\@empty
+\let\spx@preBthefigure\@empty
+% \ifspx@opt@usespart  % <-- LaTeX writer could pass such a 'usespart' boolean
+%                      %     as sphinx.sty package option
+% If document uses \part, (triggered in Sphinx by latex_toplevel_sectioning)
+% LaTeX core per default does not reset chapter or section
+% counters at each part.
+% But if we modify this, we need to redefine \thechapter, \thesection to
+% include the part number and this will cause problems in table of contents
+% because of too wide numbering. Simplest is to do nothing.
+% \fi
+\ifnum\spx@opt@numfigreset>0
+    \ltx@ifundefined{c@chapter}
+      {}
+      {\g@addto@macro\spx@preAthefigure{\ifnum\c@chapter>\z@\arabic{chapter}.}%
+       \g@addto@macro\spx@preBthefigure{\fi}}%
+\fi
+\ifnum\spx@opt@numfigreset>1
+    \@addtoreset{figure}{section}%
+    \@addtoreset{table}{section}%
+    \@addtoreset{literalblock}{section}%
+    \ifspx@opt@mathnumfig
+      \@addtoreset{equation}{section}%
+    \fi%
+    \g@addto@macro\spx@preAthefigure{\ifnum\c@section>\z@\arabic{section}.}%
+    \g@addto@macro\spx@preBthefigure{\fi}%
+\fi
+\ifnum\spx@opt@numfigreset>2
+    \@addtoreset{figure}{subsection}%
+    \@addtoreset{table}{subsection}%
+    \@addtoreset{literalblock}{subsection}%
+    \ifspx@opt@mathnumfig
+      \@addtoreset{equation}{subsection}%
+    \fi%
+    \g@addto@macro\spx@preAthefigure{\ifnum\c@subsection>\z@\arabic{subsection}.}%
+    \g@addto@macro\spx@preBthefigure{\fi}%
+\fi
+\ifnum\spx@opt@numfigreset>3
+    \@addtoreset{figure}{subsubsection}%
+    \@addtoreset{table}{subsubsection}%
+    \@addtoreset{literalblock}{subsubsection}%
+    \ifspx@opt@mathnumfig
+      \@addtoreset{equation}{subsubsection}%
+    \fi%
+    \g@addto@macro\spx@preAthefigure{\ifnum\c@subsubsection>\z@\arabic{subsubsection}.}%
+    \g@addto@macro\spx@preBthefigure{\fi}%
+\fi
+\ifnum\spx@opt@numfigreset>4
+    \@addtoreset{figure}{paragraph}%
+    \@addtoreset{table}{paragraph}%
+    \@addtoreset{literalblock}{paragraph}%
+    \ifspx@opt@mathnumfig
+      \@addtoreset{equation}{paragraph}%
+    \fi%
+    \g@addto@macro\spx@preAthefigure{\ifnum\c@subparagraph>\z@\arabic{subparagraph}.}%
+    \g@addto@macro\spx@preBthefigure{\fi}%
+\fi
+\ifnum\spx@opt@numfigreset>5
+    \@addtoreset{figure}{subparagraph}%
+    \@addtoreset{table}{subparagraph}%
+    \@addtoreset{literalblock}{subparagraph}%
+    \ifspx@opt@mathnumfig
+      \@addtoreset{equation}{subparagraph}%
+    \fi%
+    \g@addto@macro\spx@preAthefigure{\ifnum\c@subsubparagraph>\z@\arabic{subsubparagraph}.}%
+    \g@addto@macro\spx@preBthefigure{\fi}%
+\fi
+\expandafter\g@addto@macro
+\expandafter\spx@preAthefigure\expandafter{\spx@preBthefigure}%
+\let\thefigure\spx@preAthefigure
+\let\thetable\spx@preAthefigure
+\let\theliteralblock\spx@preAthefigure
+\g@addto@macro\thefigure{\arabic{figure}}%
+\g@addto@macro\thetable{\arabic{table}}%
+\g@addto@macro\theliteralblock{\arabic{literalblock}}%
+  \ifspx@opt@mathnumfig
+    \let\theequation\spx@preAthefigure
+    \g@addto@macro\theequation{\arabic{equation}}%
+  \fi
+\fi
+}% end of big \AtBeginDocument
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexobjects.sty 1.21.3-1/doc/pdf/sphinxlatexobjects.sty
--- 1.21.2-1/doc/pdf/sphinxlatexobjects.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexobjects.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,200 @@
+%% MODULE RELEASE DATA AND OBJECT DESCRIPTIONS
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexobjects.sty}[2021/01/27 documentation environments]
+
+% Provides support for this output mark-up from Sphinx latex writer:
+%
+% - environments
+%
+%   - fulllineitems
+%   - productionlist
+%   - optionlist
+%   - DUlineblock (also "lineblock")
+%
+% - macros
+%
+%   - \DUrole
+%   - various legacy support macros related to author and release
+%     data of documented objects and modules.
+
+% \moduleauthor{name}{email}
+\newcommand{\moduleauthor}[2]{}
+
+% \sectionauthor{name}{email}
+\newcommand{\sectionauthor}[2]{}
+
+% Allow the release number to be specified independently of the
+% \date{}.  This allows the date to reflect the document's date and
+% release to specify the release that is documented.
+%
+\newcommand{\py@release}{\releasename\space\version}
+\newcommand{\version}{}% part of \py@release, used by title page and headers
+% \releaseinfo is used on titlepage (sphinxmanual.cls, sphinxhowto.cls)
+\newcommand{\releaseinfo}{}
+\newcommand{\setreleaseinfo}[1]{\renewcommand{\releaseinfo}{#1}}
+% this is inserted via template and #1=release config variable
+\newcommand{\release}[1]{\renewcommand{\version}{#1}}
+% this is defined by template to 'releasename' latex_elements key
+\newcommand{\releasename}{}
+% Fix issue in case release and releasename deliberately left blank
+\newcommand{\sphinxheadercomma}{, }% used in fancyhdr header definition
+\newcommand{\sphinxifemptyorblank}[1]{%
+% test after one expansion of macro #1 if contents is empty or spaces
+     \if&\expandafter\@firstofone\detokenize\expandafter{#1}&%
+     \expandafter\@firstoftwo\else\expandafter\@secondoftwo\fi}%
+\AtBeginDocument {%
+   \sphinxifemptyorblank{\releasename}
+     {\sphinxifemptyorblank{\version}{\let\sphinxheadercomma\empty}{}}
+     {}%
+}%
+
+% Allow specification of the author's address separately from the
+% author's name.  This can be used to format them differently, which
+% is a good thing.
+%
+\newcommand{\py@authoraddress}{}
+\newcommand{\authoraddress}[1]{\renewcommand{\py@authoraddress}{#1}}
+
+% {fulllineitems} is the main environment for object descriptions.
+%
+% With 4.0.0 \pysigline (and \pysiglinewithargsret), used in a fulllineitems
+% environment the #1 will already be of the width which is computed here, i.e.
+% the available width on line, so the \makebox becomes a bit superfluous
+\newcommand{\py@itemnewline}[1]{% macro used as \makelabel in fulllineitems
+% Memo: this presupposes \itemindent is 0pt
+  \kern\labelsep  % because \@labels core latex box does \hskip-\labelsep
+  \makebox[\dimexpr\linewidth+\labelwidth\relax][l]{#1}%
+  \kern-\labelsep % because at end of \@labels box there is \hskip\labelsep
+}
+
+\newenvironment{fulllineitems}{%
+  \begin{list}{}{\labelwidth \leftmargin
+                 \rightmargin \z@ \topsep -\parskip \partopsep \parskip
+                 \itemsep -\parsep
+                 \let\makelabel=\py@itemnewline}%
+}{\end{list}}
+
+% Signatures, possibly multi-line
+%
+\newlength{\py@argswidth}
+\newcommand{\py@sigparams}[2]{%
+  % The \py@argswidth has been computed in \pysiglinewithargsret to make this
+  % occupy full available width on line.
+  \parbox[t]{\py@argswidth}{\raggedright #1\sphinxcode{)}#2\strut}%
+  % final strut is to help get correct vertical separation in case of multi-line
+  % box with the item contents. 
+}
+\newcommand{\pysigline}[1]{%
+% the \py@argswidth is available we use it despite its name (no "args" here)
+% the \relax\relax is because \py@argswidth is a "skip" variable and the first
+% \relax only ends its "dimen" part
+  \py@argswidth=\dimexpr\linewidth+\labelwidth\relax\relax
+  \item[{\parbox[t]{\py@argswidth}{\raggedright #1\strut}}]
+% contrarily to \pysiglinewithargsret, we do not do this:
+%  \leavevmode\par\nobreak\vskip-\parskip\prevdepth\dp\strutbox
+% which would give exact vertical spacing if item parbox is multi-line,
+% as it affects negatively more common situation of \pysigline
+% used twice or more in a row for labels sharing common description,
+% due to bad interaction with the \phantomsection in the mark-up
+}
+\newcommand{\pysiglinewithargsret}[3]{%
+  \settowidth{\py@argswidth}{#1\sphinxcode{(}}%
+  \py@argswidth=\dimexpr\linewidth+\labelwidth-\py@argswidth\relax\relax
+  \item[{#1\sphinxcode{(}\py@sigparams{#2}{#3}}]
+% this strange incantation is because at its root LaTeX in fact did not
+% imagine a multi-line label, it is always wrapped in a horizontal box at core
+% LaTeX level and we have to find tricks to get correct interline distances.
+  \leavevmode\par\nobreak\vskip-\parskip\prevdepth\dp\strutbox}
+\newcommand{\pysigstartmultiline}{%
+ \def\pysigstartmultiline{\vskip\smallskipamount\parskip\z@skip\itemsep\z@skip}%
+ \edef\pysigstopmultiline
+     {\noexpand\leavevmode\parskip\the\parskip\relax\itemsep\the\itemsep\relax}%
+ \parskip\z@skip\itemsep\z@skip
+}
+
+% Production lists
+%
+\newenvironment{productionlist}{%
+%  \def\sphinxoptional##1{{\Large[}##1{\Large]}}
+  \def\production##1##2{\\\sphinxcode{\sphinxupquote{##1}}&::=&\sphinxcode{\sphinxupquote{##2}}}%
+  \def\productioncont##1{\\& &\sphinxcode{\sphinxupquote{##1}}}%
+  \parindent=2em
+  \indent
+  \setlength{\LTpre}{0pt}%
+  \setlength{\LTpost}{0pt}%
+  \begin{longtable}[l]{lcl}
+}{%
+  \end{longtable}
+}
+
+% Definition lists; requested by AMK for HOWTO documents.  Probably useful
+% elsewhere as well, so keep in in the general style support.
+%
+\newenvironment{definitions}{%
+  \begin{description}%
+  \def\term##1{\item[{##1}]\mbox{}\\*[0mm]}%
+}{%
+  \end{description}%
+}
+
+%% FROM DOCTUTILS LATEX WRITER
+%
+% The following is stuff copied from docutils' latex writer.
+%
+\newcommand{\optionlistlabel}[1]{\normalfont\bfseries #1 \hfill}% \bf deprecated
+\newenvironment{optionlist}[1]
+{\begin{list}{}
+  {\setlength{\labelwidth}{#1}
+   \setlength{\rightmargin}{1cm}
+   \setlength{\leftmargin}{\rightmargin}
+   \addtolength{\leftmargin}{\labelwidth}
+   \addtolength{\leftmargin}{\labelsep}
+   \renewcommand{\makelabel}{\optionlistlabel}}
+}{\end{list}}
+
+\newlength{\lineblockindentation}
+\setlength{\lineblockindentation}{2.5em}
+\newenvironment{lineblock}[1]
+{\begin{list}{}
+  {\setlength{\partopsep}{\parskip}
+   \addtolength{\partopsep}{\baselineskip}
+   \topsep0pt\itemsep0.15\baselineskip\parsep0pt
+   \leftmargin#1\relax}
+ \raggedright}
+{\end{list}}
+
+% From docutils.writers.latex2e
+% inline markup (custom roles)
+% \DUrole{#1}{#2} tries \DUrole#1{#2}
+\providecommand*{\DUrole}[2]{%
+  \ifcsname DUrole\detokenize{#1}\endcsname
+    \csname DUrole\detokenize{#1}\endcsname{#2}%
+  \else% backwards compatibility: try \docutilsrole#1{#2}
+    \ifcsname docutilsrole\detokenize{#1}\endcsname
+      \csname docutilsrole\detokenize{#1}\endcsname{#2}%
+    \else
+      #2%
+    \fi
+  \fi
+}
+
+\providecommand*{\DUprovidelength}[2]{%
+  \ifdefined#1\else\newlength{#1}\setlength{#1}{#2}\fi
+}
+
+\DUprovidelength{\DUlineblockindent}{2.5em}
+\ifdefined\DUlineblock\else
+  \newenvironment{DUlineblock}[1]{%
+    \list{}{\setlength{\partopsep}{\parskip}
+            \addtolength{\partopsep}{\baselineskip}
+            \setlength{\topsep}{0pt}
+            \setlength{\itemsep}{0.15\baselineskip}
+            \setlength{\parsep}{0pt}
+            \setlength{\leftmargin}{#1}}
+    \raggedright
+  }
+  {\endlist}
+\fi
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexshadowbox.sty 1.21.3-1/doc/pdf/sphinxlatexshadowbox.sty
--- 1.21.2-1/doc/pdf/sphinxlatexshadowbox.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexshadowbox.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,100 @@
+%% TOPIC AND CONTENTS BOXES
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexshadowbox.sty}[2021/01/27 sphinxShadowBox]
+
+% Provides support for this output mark-up from Sphinx latex writer:
+%
+% - sphinxShadowBox (environment)
+%
+% Dependencies (they do not need to be defined at time of loading):
+%
+% - of course the various colour and dimension options handled via sphinx.sty
+% - dimension register \spx@image@maxheight from sphinxlatexgraphics.sty
+% - \savenotes/\spewnotes from sphinxpackagefootnote
+% - \ifspx@inframed defined in sphinx.sty
+%
+% Requires:
+\RequirePackage{framed}
+
+% Again based on use of "framed.sty", this allows breakable framed boxes.
+\long\def\spx@ShadowFBox#1{%
+  \leavevmode\begingroup
+  % first we frame the box #1
+  \setbox\@tempboxa
+   \hbox{\vrule\@width\sphinxshadowrule
+         \vbox{\hrule\@height\sphinxshadowrule
+               \kern\sphinxshadowsep
+               \hbox{\kern\sphinxshadowsep #1\kern\sphinxshadowsep}%
+               \kern\sphinxshadowsep
+               \hrule\@height\sphinxshadowrule}%
+         \vrule\@width\sphinxshadowrule}%
+  % Now we add the shadow, like \shadowbox from fancybox.sty would do
+  \dimen@\dimexpr.5\sphinxshadowrule+\sphinxshadowsize\relax
+  \hbox{\vbox{\offinterlineskip
+              \hbox{\copy\@tempboxa\kern-.5\sphinxshadowrule
+                    % add shadow on right side
+                    \lower\sphinxshadowsize
+                          \hbox{\vrule\@height\ht\@tempboxa \@width\dimen@}%
+                    }%
+              \kern-\dimen@ % shift back vertically to bottom of frame
+              % and add shadow at bottom
+              \moveright\sphinxshadowsize
+                    \vbox{\hrule\@width\wd\@tempboxa \@height\dimen@}%
+              }%
+        % move left by the size of right shadow so shadow adds no width
+        \kern-\sphinxshadowsize
+       }%
+  \endgroup
+}
+
+% use framed.sty to allow page breaks in frame+shadow
+% works well inside Lists and Quote-like environments
+% produced by ``topic'' directive (or local contents)
+% could nest if LaTeX writer authorized it
+\newenvironment{sphinxShadowBox}
+  {\def\FrameCommand {\spx@ShadowFBox }%
+   \advance\spx@image@maxheight
+   -\dimexpr2\sphinxshadowrule
+           +2\sphinxshadowsep
+           +\sphinxshadowsize
+           +\baselineskip\relax
+   % configure framed.sty not to add extra vertical spacing
+   \ltx@ifundefined{OuterFrameSep}{}{\OuterFrameSep\z@skip}%
+   % the \trivlist will add the vertical spacing on top and bottom which is
+   % typical of center environment as used in Sphinx <= 1.4.1
+   % the \noindent has the effet of an extra blank line on top, to
+   % imitate closely the layout from Sphinx <= 1.4.1; the \FrameHeightAdjust
+   % will put top part of frame on this baseline.
+   \def\FrameHeightAdjust {\baselineskip}%
+   % use package footnote to handle footnotes
+   \savenotes
+   \trivlist\item\noindent
+    % use a minipage if we are already inside a framed environment
+    \ifspx@inframed\begin{minipage}{\linewidth}\fi
+    \MakeFramed {\spx@inframedtrue
+    % framed.sty puts into "\width" the added width (=2shadowsep+2shadowrule)
+    % adjust \hsize to what the contents must use
+    \advance\hsize-\width
+    % adjust LaTeX parameters to behave properly in indented/quoted contexts
+    \FrameRestore
+    % typeset the contents as in a minipage (Sphinx <= 1.4.1 used a minipage and
+    % itemize/enumerate are therein typeset more tightly, we want to keep
+    % that). We copy-paste from LaTeX source code but don't do a real minipage.
+    \@pboxswfalse
+    \let\@listdepth\@mplistdepth \@mplistdepth\z@
+    \@minipagerestore
+    \@setminipage
+    }%
+  }%
+  {% insert the "endminipage" code
+    \par\unskip
+    \@minipagefalse
+   \endMakeFramed
+     \ifspx@inframed\end{minipage}\fi
+   \endtrivlist
+   % output the stored footnotes
+   \spewnotes
+  }
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexstyleheadings.sty 1.21.3-1/doc/pdf/sphinxlatexstyleheadings.sty
--- 1.21.2-1/doc/pdf/sphinxlatexstyleheadings.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexstyleheadings.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,83 @@
+%% TITLES
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexstyleheadings.sty}[2021/01/27 headings]
+
+\RequirePackage[nobottomtitles*]{titlesec}
+\@ifpackagelater{titlesec}{2016/03/15}%
+ {\@ifpackagelater{titlesec}{2016/03/21}%
+  {}%
+  {\newif\ifsphinx@ttlpatch@ok
+   \IfFileExists{etoolbox.sty}{%
+     \RequirePackage{etoolbox}%
+     \patchcmd{\ttlh@hang}{\parindent\z@}{\parindent\z@\leavevmode}%
+                                {\sphinx@ttlpatch@oktrue}{}%
+     \ifsphinx@ttlpatch@ok
+     \patchcmd{\ttlh@hang}{\noindent}{}{}{\sphinx@ttlpatch@okfalse}%
+     \fi
+   }{}%
+   \ifsphinx@ttlpatch@ok
+     \typeout{^^J Package Sphinx Info: ^^J
+              **** titlesec 2.10.1 successfully patched for bugfix ****^^J}%
+   \else
+     \AtEndDocument{\PackageWarningNoLine{sphinx}{^^J%
+******** titlesec 2.10.1 has a bug, (section numbers disappear) ......|^^J%
+******** and Sphinx could not patch it, perhaps because your local ...|^^J%
+******** copy is already fixed without a changed release date. .......|^^J%
+******** If not, you must update titlesec! ...........................|}}%
+   \fi
+  }%
+ }{}
+
+% Augment the sectioning commands used to get our own font family in place,
+% and reset some internal data items (\titleformat from titlesec package)
+\titleformat{\section}{\Large\py@HeaderFamily}%
+            {\py@TitleColor\thesection}{0.5em}{\py@TitleColor}
+\titleformat{\subsection}{\large\py@HeaderFamily}%
+            {\py@TitleColor\thesubsection}{0.5em}{\py@TitleColor}
+\titleformat{\subsubsection}{\py@HeaderFamily}%
+            {\py@TitleColor\thesubsubsection}{0.5em}{\py@TitleColor}
+% By default paragraphs (and subsubsections) will not be numbered because
+% sphinxmanual.cls and sphinxhowto.cls set secnumdepth to 2
+\titleformat{\paragraph}{\py@HeaderFamily}%
+            {\py@TitleColor\theparagraph}{0.5em}{\py@TitleColor}
+\titleformat{\subparagraph}{\py@HeaderFamily}%
+            {\py@TitleColor\thesubparagraph}{0.5em}{\py@TitleColor}
+
+
+% Since Sphinx 1.5, users should use HeaderFamily key to 'sphinxsetup' rather
+% than defining their own \py@HeaderFamily command (which is still possible).
+% Memo: \py@HeaderFamily is also used by \maketitle as defined in
+% sphinxmanual.cls/sphinxhowto.cls
+\newcommand{\py@HeaderFamily}{\spx@opt@HeaderFamily}
+
+% This sets up the fancy chapter headings that make the documents look
+% at least a little better than the usual LaTeX output.
+\@ifpackagewith{fncychap}{Bjarne}{
+  \ChNameVar {\raggedleft\normalsize \py@HeaderFamily}
+  \ChNumVar  {\raggedleft\Large      \py@HeaderFamily}
+  \ChTitleVar{\raggedleft\Large      \py@HeaderFamily}
+  % This creates (numbered) chapter heads without the leading \vspace*{}:
+  \def\@makechapterhead#1{%
+    {\parindent \z@ \raggedright \normalfont
+      \ifnum \c@secnumdepth >\m@ne
+        \if@mainmatter
+          \DOCH
+        \fi
+      \fi
+      \interlinepenalty\@M
+      \if@mainmatter
+        \DOTI{#1}%
+      \else%
+        \DOTIS{#1}%
+      \fi
+    }}
+}{}% <-- "false" clause of \@ifpackagewith
+
+% fix fncychap's bug which uses prematurely the \textwidth value
+\@ifpackagewith{fncychap}{Bjornstrup}
+ {\AtBeginDocument{\mylen\textwidth\advance\mylen-2\myhi}}%
+ {}% <-- "false" clause of \@ifpackagewith
+
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexstylepage.sty 1.21.3-1/doc/pdf/sphinxlatexstylepage.sty
--- 1.21.2-1/doc/pdf/sphinxlatexstylepage.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexstylepage.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,79 @@
+%% PAGE STYLING
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexstylepage.sty}[2021/01/27 page styling]
+
+% Separate paragraphs by space by default.
+\IfFileExists{parskip-2001-04-09.sty}% since September 2018 TeXLive update
+% new parskip.sty, but let it rollback to old one.
+% hopefully TeX installation not broken and LaTeX kernel not too old
+   {\RequirePackage{parskip}[=v1]}
+% standard one from 1989. Admittedly \section of article/book gives possibly
+% anomalous spacing, but we can't require September 2018 release for some time.
+   {\RequirePackage{parskip}}
+
+% Style parameters and macros used by most documents here
+\raggedbottom
+\sloppy
+\hbadness = 5000                % don't print trivial gripes
+
+% Require package fancyhdr except under memoir class
+\@ifclassloaded{memoir}{}{\RequirePackage{fancyhdr}}
+% Use \pagestyle{normal} as the primary pagestyle for text.
+% Redefine the 'normal' header/footer style when using "fancyhdr" package:
+\@ifpackageloaded{fancyhdr}{%
+  \ltx@ifundefined{c@chapter}
+  {% no \chapter, "howto" (non-Japanese) docclass
+   \fancypagestyle{plain}{
+    \fancyhf{}
+    \fancyfoot[C]{{\py@HeaderFamily\thepage}}
+    \renewcommand{\headrulewidth}{0pt}
+    \renewcommand{\footrulewidth}{0pt}
+   }
+   % Same as 'plain', this way we can use it in template
+   % FIXME: shouldn't this have a running header with Name and Release like 'manual'?
+   \fancypagestyle{normal}{
+    \fancyhf{}
+    \fancyfoot[C]{{\py@HeaderFamily\thepage}}
+    \renewcommand{\headrulewidth}{0pt}
+    \renewcommand{\footrulewidth}{0pt}
+   }
+  }%
+  {% classes with \chapter command
+   \fancypagestyle{normal}{
+    \fancyhf{}
+    \fancyfoot[RO]{{\py@HeaderFamily\thepage}}
+    \fancyfoot[LO]{{\py@HeaderFamily\nouppercase{\rightmark}}}
+    \fancyhead[RO]{{\py@HeaderFamily \@title\sphinxheadercomma\py@release}}
+    \if@twoside
+     \fancyfoot[LE]{{\py@HeaderFamily\thepage}}
+     \fancyfoot[RE]{{\py@HeaderFamily\nouppercase{\leftmark}}}
+     \fancyhead[LE]{{\py@HeaderFamily \@title\sphinxheadercomma\py@release}}
+    \fi
+    \renewcommand{\headrulewidth}{0.4pt}
+    \renewcommand{\footrulewidth}{0.4pt}
+    % define chaptermark with \@chappos when \@chappos is available for Japanese
+    \ltx@ifundefined{@chappos}{}
+      {\def\chaptermark##1{\markboth{\@chapapp\space\thechapter\space\@chappos\space ##1}{}}}
+    }
+  % Update the plain style so we get the page number & footer line,
+  % but not a chapter or section title.  This is to keep the first
+  % page of a chapter `clean.'
+   \fancypagestyle{plain}{
+    \fancyhf{}
+    \fancyfoot[RO]{{\py@HeaderFamily\thepage}}
+    \if@twoside\fancyfoot[LE]{{\py@HeaderFamily\thepage}}\fi
+    \renewcommand{\headrulewidth}{0pt}
+    \renewcommand{\footrulewidth}{0.4pt}
+    }
+   }
+  }
+  {% no fancyhdr: memoir class
+   % Provide default for 'normal' style simply as an alias of 'plain' style
+   % This way we can use \pagestyle{normal} in LaTeX template
+   \def\ps@normal{\ps@plain}
+   % Users of memoir class are invited to redefine 'normal' style in preamble
+  }
+
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatexstyletext.sty 1.21.3-1/doc/pdf/sphinxlatexstyletext.sty
--- 1.21.2-1/doc/pdf/sphinxlatexstyletext.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatexstyletext.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,126 @@
+%% TEXT STYLING
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatexstyletext.sty}[2021/01/27 text styling]
+
+% Basically everything here consists of macros which are part of the latex
+% markup produced by the Sphinx latex writer
+
+% Some custom font markup commands.
+\protected\def\sphinxstrong#1{\textbf{#1}}
+\protected\def\sphinxcode#1{\texttt{#1}}
+\protected\def\sphinxbfcode#1{\textbf{\sphinxcode{#1}}}
+\protected\def\sphinxemail#1{\textsf{#1}}
+\protected\def\sphinxtablecontinued#1{\textsf{#1}}
+\protected\def\sphinxtitleref#1{\emph{#1}}
+\protected\def\sphinxmenuselection#1{\emph{#1}}
+\protected\def\sphinxguilabel#1{\emph{#1}}
+\protected\def\sphinxkeyboard#1{\sphinxcode{#1}}
+\protected\def\sphinxaccelerator#1{\underline{#1}}
+\protected\def\sphinxcrossref#1{\emph{#1}}
+\protected\def\sphinxtermref#1{\emph{#1}}
+% \optional is used for ``[, arg]``, i.e. desc_optional nodes.
+\long\protected\def\sphinxoptional#1{%
+  {\textnormal{\Large[}}{#1}\hspace{0.5mm}{\textnormal{\Large]}}}
+
+% additional customizable styling
+\def\sphinxstyleindexentry   #1{\texttt{#1}}
+\def\sphinxstyleindexextra   #1{ (\emph{#1})}
+\def\sphinxstyleindexpageref #1{, \pageref{#1}}
+\def\sphinxstyleindexpagemain#1{\textbf{#1}}
+\def\spxentry{\@backslashchar spxentry}% let to \sphinxstyleindexentry in index
+\def\spxextra{\@backslashchar spxextra}% let to \sphinxstyleindexextra in index
+\def\sphinxstyleindexlettergroup #1%
+    {{\Large\sffamily#1}\nopagebreak\vspace{1mm}}
+\def\sphinxstyleindexlettergroupDefault #1%
+    {{\Large\sffamily\sphinxnonalphabeticalgroupname}\nopagebreak\vspace{1mm}}
+\protected\def\sphinxstyletopictitle   #1{\textbf{#1}\par\medskip}
+\let\sphinxstylesidebartitle\sphinxstyletopictitle
+\protected\def\sphinxstyleothertitle   #1{\textbf{#1}}
+\protected\def\sphinxstylesidebarsubtitle #1{~\\\textbf{#1} \smallskip}
+% \text.. commands do not allow multiple paragraphs
+\protected\def\sphinxstyletheadfamily    {\sffamily}
+\protected\def\sphinxstyleemphasis     #1{\emph{#1}}
+\protected\def\sphinxstyleliteralemphasis#1{\emph{\sphinxcode{#1}}}
+\protected\def\sphinxstylestrong       #1{\textbf{#1}}
+\protected\def\sphinxstyleliteralstrong#1{\sphinxbfcode{#1}}
+\protected\def\sphinxstyleabbreviation #1{\textsc{#1}}
+\protected\def\sphinxstyleliteralintitle#1{\sphinxcode{#1}}
+\newcommand*\sphinxstylecodecontinued[1]{\footnotesize(#1)}%
+\newcommand*\sphinxstylecodecontinues[1]{\footnotesize(#1)}%
+% figure legend comes after caption and may contain arbitrary body elements
+\newenvironment{sphinxlegend}{\par\small}{\par}
+% reduce hyperref "Token not allowed in a PDF string" warnings on PDF builds
+\AtBeginDocument{\pdfstringdefDisableCommands{%
+% all "protected" macros possibly ending up in section titles should be here
+% TODO: examine if \sphinxhref, \sphinxurl, \sphinnolinkurl should be handled
+    \let\sphinxstyleemphasis        \@firstofone
+    \let\sphinxstyleliteralemphasis \@firstofone
+    \let\sphinxstylestrong          \@firstofone
+    \let\sphinxstyleliteralstrong   \@firstofone
+    \let\sphinxstyleabbreviation    \@firstofone
+    \let\sphinxstyleliteralintitle  \@firstofone
+    \let\sphinxupquote  \@firstofone
+    \let\sphinxstrong   \@firstofone
+    \let\sphinxcode     \@firstofone
+    \let\sphinxbfcode   \@firstofone
+    \let\sphinxemail    \@firstofone
+    \let\sphinxcrossref \@firstofone
+    \let\sphinxtermref  \@firstofone
+    \let\sphinxhyphen\sphinxhyphenforbookmarks
+}}
+
+% Special characters
+%
+% This definition prevents en-dash and em-dash TeX ligatures.
+%
+% It inserts a potential breakpoint after the hyphen. This is to keep in sync
+% with behavior in code-blocks, parsed and inline literals. For a breakpoint
+% before the hyphen use \leavevmode\kern\z@- (within \makeatletter/\makeatother)
+\protected\def\sphinxhyphen#1{-\kern\z@}
+% The {} from texescape mark-up is kept, else -- gives en-dash in PDF bookmark
+\def\sphinxhyphenforbookmarks{-}
+
+% For curly braces inside \index macro
+\def\sphinxleftcurlybrace{\{}
+\def\sphinxrightcurlybrace{\}}
+
+% Declare Unicode characters used by linux tree command to pdflatex utf8/utf8x
+\def\spx@bd#1#2{%
+  \leavevmode
+  \begingroup
+  \ifx\spx@bd@height   \@undefined\def\spx@bd@height{\baselineskip}\fi
+  \ifx\spx@bd@width    \@undefined\setbox0\hbox{0}\def\spx@bd@width{\wd0 }\fi
+  \ifx\spx@bd@thickness\@undefined\def\spx@bd@thickness{.6\p@}\fi
+  \ifx\spx@bd@lower    \@undefined\def\spx@bd@lower{\dp\strutbox}\fi
+  \lower\spx@bd@lower#1{#2}%
+  \endgroup
+}%
+\@namedef{sphinx@u2500}% BOX DRAWINGS LIGHT HORIZONTAL
+  {\spx@bd{\vbox to\spx@bd@height}
+          {\vss\hrule\@height\spx@bd@thickness
+                     \@width\spx@bd@width\vss}}%
+\@namedef{sphinx@u2502}% BOX DRAWINGS LIGHT VERTICAL
+  {\spx@bd{\hb@xt@\spx@bd@width}
+          {\hss\vrule\@height\spx@bd@height
+                     \@width \spx@bd@thickness\hss}}%
+\@namedef{sphinx@u2514}% BOX DRAWINGS LIGHT UP AND RIGHT
+  {\spx@bd{\hb@xt@\spx@bd@width}
+          {\hss\raise.5\spx@bd@height
+           \hb@xt@\z@{\hss\vrule\@height.5\spx@bd@height
+                                \@width \spx@bd@thickness\hss}%
+           \vbox to\spx@bd@height{\vss\hrule\@height\spx@bd@thickness
+                                            \@width.5\spx@bd@width\vss}}}%
+\@namedef{sphinx@u251C}% BOX DRAWINGS LIGHT VERTICAL AND RIGHT
+  {\spx@bd{\hb@xt@\spx@bd@width}
+          {\hss
+           \hb@xt@\z@{\hss\vrule\@height\spx@bd@height
+                                \@width \spx@bd@thickness\hss}%
+           \vbox to\spx@bd@height{\vss\hrule\@height\spx@bd@thickness
+                                            \@width.5\spx@bd@width\vss}}}%
+\protected\def\sphinxunichar#1{\@nameuse{sphinx@u#1}}%
+
+% Tell TeX about pathological hyphenation cases:
+\hyphenation{Base-HTTP-Re-quest-Hand-ler}
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxlatextables.sty 1.21.3-1/doc/pdf/sphinxlatextables.sty
--- 1.21.2-1/doc/pdf/sphinxlatextables.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxlatextables.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,481 @@
+%% TABLES (WITH SUPPORT FOR MERGED CELLS OF GENERAL CONTENTS)
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxlatextables.sty}[2021/01/27 tables]%
+
+% Provides support for this output mark-up from Sphinx latex writer
+% and table templates:
+%
+% - the tabulary and longtable environments from the eponymous packages
+% - the varwidth environment
+% - the >{} etc mark-up possible in tabularcolumns is from array package
+%     which is loaded by longtable and tabulary
+% - \X, \Y, T column types; others (L, C, R, J) are from tabulary package
+% - \sphinxaftertopcaption
+% - \sphinxatlongtableend
+% - \sphinxatlongtablestart
+% - \sphinxattableend
+% - \sphinxattablestart
+% - \sphinxcapstartof
+% - \sphinxcolwidth
+% - \sphinxlongtablecapskipadjust
+% - \sphinxmultirow
+% - \sphinxstartmulticolumn
+% - \sphinxstopmulticolumn
+% - \sphinxtablestrut
+% - \sphinxthecaptionisattop
+% - \sphinxthelongtablecaptionisattop
+%
+% Executes \RequirePackage for:
+%
+% - tabulary
+% - longtable
+% - varwidth
+%
+% Extends tabulary and longtable via patches and custom macros to support
+% merged cells possibly containing code-blocks in complex tables
+
+\RequirePackage{tabulary}
+% tabulary has a bug with its re-definition of \multicolumn in its first pass
+% which is not \long. But now Sphinx does not use LaTeX's \multicolumn but its
+% own macro. Hence we don't even need to patch tabulary. See
+% sphinxpackagemulticell.sty
+% X or S (Sphinx) may have meanings if some table package is loaded hence
+% \X was chosen to avoid possibility of conflict
+\newcolumntype{\X}[2]{p{\dimexpr
+      (\linewidth-\arrayrulewidth)*#1/#2-\tw@\tabcolsep-\arrayrulewidth\relax}}
+\newcolumntype{\Y}[1]{p{\dimexpr
+      #1\dimexpr\linewidth-\arrayrulewidth\relax-\tw@\tabcolsep-\arrayrulewidth\relax}}
+% using here T (for Tabulary) feels less of a problem than the X could be
+\newcolumntype{T}{J}%
+% For tables allowing pagebreaks
+\RequirePackage{longtable}
+% User interface to set-up whitespace before and after tables:
+\newcommand*\sphinxtablepre {0pt}%
+\newcommand*\sphinxtablepost{\medskipamount}%
+% Space from caption baseline to top of table or frame of literal-block
+\newcommand*\sphinxbelowcaptionspace{.5\sphinxbaselineskip}%
+% as one can not use \baselineskip from inside longtable (it is zero there)
+% we need \sphinxbaselineskip, which defaults to \baselineskip
+\def\sphinxbaselineskip{\baselineskip}%
+% The following is to ensure that, whether tabular(y) or longtable:
+% - if a caption is on top of table:
+%   a) the space between its last baseline and the top rule of table is
+%      exactly \sphinxbelowcaptionspace
+%   b) the space from last baseline of previous text to first baseline of
+%      caption is exactly \parskip+\baselineskip+ height of a strut.
+%   c) the caption text will wrap at width \LTcapwidth (4in)
+% - make sure this works also if "caption" package is loaded by user
+%   (with its width or margin option taking place of \LTcapwidth role)
+% TODO: obtain same for caption of literal block: a) & c) DONE, b) TO BE DONE
+%
+% To modify space below such top caption, adjust \sphinxbelowcaptionspace
+% To add or remove space above such top caption, adjust \sphinxtablepre:
+%   notice that \abovecaptionskip, \belowcaptionskip, \LTpre are **ignored**
+% A. Table with longtable
+\def\sphinxatlongtablestart
+   {\par
+    \vskip\parskip
+    \vskip\dimexpr\sphinxtablepre\relax % adjust vertical position
+    \vbox{}% get correct baseline from above
+    \LTpre\z@skip\LTpost\z@skip % set to zero longtable's own skips
+    \edef\sphinxbaselineskip{\dimexpr\the\dimexpr\baselineskip\relax\relax}%
+   }%
+% Compatibility with caption package
+\def\sphinxthelongtablecaptionisattop{%
+    \spx@ifcaptionpackage{\noalign{\vskip-\belowcaptionskip}}{}%
+}%
+% Achieves exactly \sphinxbelowcaptionspace below longtable caption
+\def\sphinxlongtablecapskipadjust
+   {\dimexpr-\dp\strutbox
+            -\spx@ifcaptionpackage{\abovecaptionskip}{\sphinxbaselineskip}%
+            +\sphinxbelowcaptionspace\relax}%
+\def\sphinxatlongtableend{\@nobreakfalse % latex3/latex2e#173
+    \prevdepth\z@\vskip\sphinxtablepost\relax}%
+% B. Table with tabular or tabulary
+\def\sphinxattablestart{\par\vskip\dimexpr\sphinxtablepre\relax}%
+\let\sphinxattableend\sphinxatlongtableend
+% This is used by tabular and tabulary templates
+\newcommand*\sphinxcapstartof[1]{%
+   \vskip\parskip
+   \vbox{}% force baselineskip for good positioning by capstart of hyperanchor
+   % hyperref puts the anchor 6pt above this baseline; in case of caption
+   % this baseline will be \ht\strutbox above first baseline of caption
+   \def\@captype{#1}%
+   \capstart
+% move back vertically, as tabular (or its caption) will compensate
+   \vskip-\baselineskip\vskip-\parskip
+}%
+\def\sphinxthecaptionisattop{% locate it after \sphinxcapstartof
+    \spx@ifcaptionpackage
+      {\caption@setposition{t}%
+       \vskip\baselineskip\vskip\parskip % undo those from \sphinxcapstartof
+       \vskip-\belowcaptionskip          % anticipate caption package skip
+       % caption package uses a \vbox, not a \vtop, so "single line" case
+       % gives different result from "multi-line" without this:
+       \nointerlineskip
+      }%
+      {}%
+}%
+\def\sphinxthecaptionisatbottom{% (not finalized; for template usage)
+    \spx@ifcaptionpackage{\caption@setposition{b}}{}%
+}%
+% The aim of \sphinxcaption is to apply to tabular(y) the maximal width
+% of caption as done by longtable
+\def\sphinxtablecapwidth{\LTcapwidth}%
+\newcommand\sphinxcaption{\@dblarg\spx@caption}%
+\long\def\spx@caption[#1]#2{%
+   \noindent\hb@xt@\linewidth{\hss
+      \vtop{\@tempdima\dimexpr\sphinxtablecapwidth\relax
+% don't exceed linewidth for the caption width
+            \ifdim\@tempdima>\linewidth\hsize\linewidth\else\hsize\@tempdima\fi
+% longtable ignores \abovecaptionskip/\belowcaptionskip, so do the same here
+            \abovecaptionskip\sphinxabovecaptionskip % \z@skip
+            \belowcaptionskip\sphinxbelowcaptionskip % \z@skip
+            \caption[{#1}]%
+               {\strut\ignorespaces#2\ifhmode\unskip\@finalstrut\strutbox\fi}%
+           }\hss}%
+   \par\prevdepth\dp\strutbox
+}%
+\def\sphinxabovecaptionskip{\z@skip}% Do not use! Flagged for removal
+\def\sphinxbelowcaptionskip{\z@skip}% Do not use! Flagged for removal
+% This wrapper of \abovecaptionskip is used in sphinxVerbatim for top
+% caption, and with another value in sphinxVerbatimintable
+% TODO: To unify space above caption of a code-block with the one above
+%       caption of a table/longtable, \abovecaptionskip must not be used
+%       This auxiliary will get renamed and receive a different meaning
+%       in future.
+\def\spx@abovecaptionskip{\abovecaptionskip}%
+% Achieve \sphinxbelowcaptionspace below a caption located above a tabular
+% or a tabulary
+\newcommand\sphinxaftertopcaption
+{%
+   \spx@ifcaptionpackage
+     {\par\prevdepth\dp\strutbox\nobreak\vskip-\abovecaptionskip}{\nobreak}%
+   \vskip\dimexpr\sphinxbelowcaptionspace\relax
+   \vskip-\baselineskip\vskip-\parskip
+}%
+% varwidth is crucial for our handling of general contents in merged cells
+\RequirePackage{varwidth}
+% but addition of a compatibility patch with hyperref is needed
+% (tested with varwidth v 0.92  Mar 2009)
+\AtBeginDocument {%
+    \let\@@vwid@Hy@raisedlink\Hy@raisedlink
+    \long\def\@vwid@Hy@raisedlink#1{\@vwid@wrap{\@@vwid@Hy@raisedlink{#1}}}%
+    \edef\@vwid@setup{%
+      \let\noexpand\Hy@raisedlink\noexpand\@vwid@Hy@raisedlink % HYPERREF !
+      \unexpanded\expandafter{\@vwid@setup}}%
+}%
+
+%%%%%%%%%%%%%%%%%%%%%
+% --- MULTICOLUMN ---
+% standard LaTeX's \multicolumn
+% 1. does not allow verbatim contents,
+% 2. interacts very poorly with tabulary.
+%
+% It is needed to write own macros for Sphinx: to allow code-blocks in merged
+% cells rendered by tabular/longtable, and to allow multi-column cells with
+% paragraphs to be taken into account sanely by tabulary algorithm for column
+% widths.
+%
+% This requires quite a bit of hacking. First, in Sphinx, the multi-column
+% contents will *always* be wrapped in a varwidth environment. The issue
+% becomes to pass it the correct target width. We must trick tabulary into
+% believing the multicolumn is simply separate columns, else tabulary does not
+% incorporate the contents in its algorithm. But then we must clear the
+% vertical rules...
+%
+% configuration of tabulary
+\setlength{\tymin}{3\fontcharwd\font`0 }% minimal width of "squeezed" columns
+\setlength{\tymax}{10000pt}% allow enough room for paragraphs to "compete"
+% we need access to tabulary's final computed width. \@tempdima is too volatile
+% to hope it has kept tabulary's value when \sphinxcolwidth needs it.
+\newdimen\sphinx@TY@tablewidth
+\def\tabulary{%
+  \def\TY@final{\sphinx@TY@tablewidth\@tempdima\tabular}%
+  \let\endTY@final\endtabular
+  \TY@tabular}%
+% next hack is needed only if user has set latex_use_latex_multicolumn to True:
+% it fixes tabulary's bug with \multicolumn defined "short" in first pass. (if
+% upstream tabulary adds a \long, our extra one causes no harm)
+\def\sphinx@tempa #1\def\multicolumn#2#3#4#5#6#7#8#9\sphinx@tempa
+   {\def\TY@tab{#1\long\def\multicolumn####1####2####3{\multispan####1\relax}#9}}%
+\expandafter\sphinx@tempa\TY@tab\sphinx@tempa
+%
+% TN. 1: as \omit is never executed, Sphinx multicolumn does not need to worry
+% like standard multicolumn about |l| vs l|. On the other hand it assumes
+% columns are separated by a | ... (if not it will add extraneous
+% \arrayrulewidth space for each column separation in its estimate of available
+% width).
+%
+% TN. 1b: as Sphinx multicolumn uses neither \omit nor \span, it can not
+% (easily) get rid of extra macros from >{...} or <{...} between columns. At
+% least, it has been made compatible with colortbl's \columncolor.
+%
+% TN. 2: tabulary's second pass is handled like tabular/longtable's single
+% pass, with the difference that we hacked \TY@final to set in
+% \sphinx@TY@tablewidth the final target width as computed by tabulary. This is
+% needed only to handle columns with a "horizontal" specifier: "p" type columns
+% (inclusive of tabulary's LJRC) holds the target column width in the
+% \linewidth dimension.
+%
+% TN. 3: use of \begin{sphinxmulticolumn}...\end{sphinxmulticolumn} mark-up
+% would need some hacking around the fact that groups can not span across table
+% cells (the code does inserts & tokens, see TN1b). It was decided to keep it
+% simple with \sphinxstartmulticolumn...\sphinxstopmulticolumn.
+%
+% MEMO about nesting: if sphinxmulticolumn is encountered in a nested tabular
+% inside a tabulary it will think to be at top level in the tabulary. But
+% Sphinx generates no nested tables, and if some LaTeX macro uses internally a
+% tabular this will not have a \sphinxstartmulticolumn within it!
+%
+\def\sphinxstartmulticolumn{%
+    \ifx\equation$% $ tabulary's first pass
+        \expandafter\sphinx@TYI@start@multicolumn
+    \else % either not tabulary or tabulary's second pass
+        \expandafter\sphinx@start@multicolumn
+    \fi
+}%
+\def\sphinxstopmulticolumn{%
+    \ifx\equation$% $ tabulary's first pass
+        \expandafter\sphinx@TYI@stop@multicolumn
+    \else % either not tabulary or tabulary's second pass
+        \ignorespaces
+    \fi
+}%
+\def\sphinx@TYI@start@multicolumn#1{%
+    % use \gdef always to avoid stack space build up
+    \gdef\sphinx@tempa{#1}\begingroup\setbox\z@\hbox\bgroup
+}%
+\def\sphinx@TYI@stop@multicolumn{\egroup % varwidth was used with \tymax
+    \xdef\sphinx@tempb{\the\dimexpr\wd\z@/\sphinx@tempa}% per column width
+    \endgroup
+    \expandafter\sphinx@TYI@multispan\expandafter{\sphinx@tempa}%
+}%
+\def\sphinx@TYI@multispan #1{%
+    \kern\sphinx@tempb\ignorespaces % the per column occupied width
+    \ifnum#1>\@ne % repeat, taking into account subtleties of TeX's & ...
+      \expandafter\sphinx@TYI@multispan@next\expandafter{\the\numexpr#1-\@ne\expandafter}%
+    \fi
+}%
+\def\sphinx@TYI@multispan@next{&\relax\sphinx@TYI@multispan}%
+%
+% Now the branch handling either the second pass of tabulary or the single pass
+% of tabular/longtable. This is the delicate part where we gather the
+% dimensions from the p columns either set-up by tabulary or by user p column
+% or Sphinx \X, \Y columns. The difficulty is that to get the said width, the
+% template must be inserted (other hacks would be horribly complicated except
+% if we rewrote crucial parts of LaTeX's \@array !) and we can not do
+% \omit\span like standard \multicolumn's easy approach. Thus we must cancel
+% the \vrule separators. Also, perhaps the column specifier is of the l, c, r
+% type, then we attempt an ad hoc rescue to give varwidth a reasonable target
+% width.
+\def\sphinx@start@multicolumn#1{%
+    \gdef\sphinx@multiwidth{0pt}\gdef\sphinx@tempa{#1}\sphinx@multispan{#1}%
+}%
+\def\sphinx@multispan #1{%
+    \ifnum#1=\@ne\expandafter\sphinx@multispan@end
+            \else\expandafter\sphinx@multispan@next
+    \fi {#1}%
+}%
+\def\sphinx@multispan@next #1{%
+    % trick to recognize L, C, R, J or p, m, b type columns
+    \ifdim\baselineskip>\z@
+       \gdef\sphinx@tempb{\linewidth}%
+    \else
+    % if in an l, r, c type column, try and hope for the best
+       \xdef\sphinx@tempb{\the\dimexpr(\ifx\TY@final\@undefined\linewidth\else
+            \sphinx@TY@tablewidth\fi-\arrayrulewidth)/\sphinx@tempa
+            -\tw@\tabcolsep-\arrayrulewidth\relax}%
+    \fi
+    \noindent\kern\sphinx@tempb\relax
+    \xdef\sphinx@multiwidth
+           {\the\dimexpr\sphinx@multiwidth+\sphinx@tempb+\tw@\tabcolsep+\arrayrulewidth}%
+    % hack the \vline and the colortbl macros
+    \sphinx@hack@vline\sphinx@hack@CT&\relax
+    % repeat
+    \expandafter\sphinx@multispan\expandafter{\the\numexpr#1-\@ne}%
+}%
+% packages like colortbl add group levels, we need to "climb back up" to be
+% able to hack the \vline and also the colortbl inserted tokens. This creates
+% empty space whether or not the columns were | separated:
+\def\sphinx@hack@vline{\ifnum\currentgrouptype=6\relax
+    \kern\arrayrulewidth\arrayrulewidth\z@\else\aftergroup\sphinx@hack@vline\fi}%
+\def\sphinx@hack@CT{\ifnum\currentgrouptype=6\relax
+    \let\CT@setup\sphinx@CT@setup\else\aftergroup\sphinx@hack@CT\fi}%
+% It turns out \CT@row@color is not expanded contrarily to \CT@column@color
+% during LaTeX+colortbl preamble preparation, hence it would be possible for
+% \sphinx@CT@setup to discard only the column color and choose to obey or not
+% row color and cell color. It would even be possible to propagate cell color
+% to row color for the duration of the Sphinx multicolumn... the (provisional?)
+% choice has been made to cancel the colortbl colours for the multicolumn
+% duration.
+\def\sphinx@CT@setup #1\endgroup{\endgroup}% hack to remove colour commands
+\def\sphinx@multispan@end#1{%
+    % first, trace back our steps horizontally
+    \noindent\kern-\dimexpr\sphinx@multiwidth\relax
+    % and now we set the final computed width for the varwidth environment
+    \ifdim\baselineskip>\z@
+       \xdef\sphinx@multiwidth{\the\dimexpr\sphinx@multiwidth+\linewidth}%
+    \else
+       \xdef\sphinx@multiwidth{\the\dimexpr\sphinx@multiwidth+
+         (\ifx\TY@final\@undefined\linewidth\else
+          \sphinx@TY@tablewidth\fi-\arrayrulewidth)/\sphinx@tempa
+          -\tw@\tabcolsep-\arrayrulewidth\relax}%
+    \fi
+    % we need to remove colour set-up also for last cell of the multi-column
+    \aftergroup\sphinx@hack@CT
+}%
+\newcommand*\sphinxcolwidth[2]{%
+  % this dimension will always be used for varwidth, and serves as maximum
+  % width when cells are merged either via multirow or multicolumn or both,
+  % as always their contents is wrapped in varwidth environment.
+  \ifnum#1>\@ne % multi-column (and possibly also multi-row)
+  % we wrote our own multicolumn code especially to handle that (and allow
+  % verbatim contents)
+   \ifx\equation$%$
+       \tymax % first pass of tabulary (cf MEMO above regarding nesting)
+   \else % the \@gobble thing is for compatibility with standard \multicolumn
+       \sphinx@multiwidth\@gobble{#1/#2}%
+   \fi
+  \else % single column multirow
+   \ifx\TY@final\@undefined % not a tabulary.
+    \ifdim\baselineskip>\z@
+        % in a p{..} type column, \linewidth is the target box width
+        \linewidth
+    \else
+        % l, c, r columns. Do our best.
+        \dimexpr(\linewidth-\arrayrulewidth)/#2-
+                \tw@\tabcolsep-\arrayrulewidth\relax
+    \fi
+   \else % in tabulary
+    \ifx\equation$%$% first pass
+        \tymax % it is set to a big value so that paragraphs can express themselves
+    \else
+     % second pass.
+     \ifdim\baselineskip>\z@
+         \linewidth % in a L, R, C, J column or a p, \X, \Y ...
+     \else
+         % we have hacked \TY@final to put in \sphinx@TY@tablewidth the table width
+         \dimexpr(\sphinx@TY@tablewidth-\arrayrulewidth)/#2-
+                 \tw@\tabcolsep-\arrayrulewidth\relax
+     \fi
+    \fi
+   \fi
+  \fi
+}%
+% fallback default in case user has set latex_use_latex_multicolumn to True:
+% \sphinxcolwidth will use this only inside LaTeX's standard \multicolumn
+\def\sphinx@multiwidth #1#2{\dimexpr % #1 to gobble the \@gobble (!)
+    (\ifx\TY@final\@undefined\linewidth\else\sphinx@TY@tablewidth\fi
+     -\arrayrulewidth)*#2-\tw@\tabcolsep-\arrayrulewidth\relax}%
+
+%%%%%%%%%%%%%%%%%%
+% --- MULTIROW ---
+% standard \multirow
+% 1. does not allow verbatim contents,
+% 2. does not allow blank lines in its argument,
+% 3. its * specifier means to typeset "horizontally" which is very
+%    bad for paragraph content. 2016 version has = specifier but it
+%    must be used with p type columns only, else results are bad,
+% 4. it requires manual intervention if the contents is too long to fit
+%    in the asked-for number of rows.
+% 5. colour panels (either from \rowcolor or \columncolor) will hide
+%    the bottom part of multirow text, hence manual tuning is needed
+%    to put the multirow insertion at the _bottom_.
+%
+% The Sphinx solution consists in always having contents wrapped
+% in a varwidth environment so that it makes sense to estimate how many
+% lines it will occupy, and then ensure by insertion of suitable struts
+% that the table rows have the needed height. The needed mark-up is done
+% by LaTeX writer, which has its own id for the merged cells.
+%
+% The colour issue is solved by clearing colour panels in all cells,
+% whether or not the multirow is single-column or multi-column.
+%
+% In passing we obtain baseline alignements across rows (only if
+% \arraystretch is 1, as LaTeX's does not obey \arraystretch in "p"
+% multi-line contents, only first and last line...)
+%
+% TODO: examine the situation with \arraystretch > 1. The \extrarowheight
+% is hopeless for multirow anyhow, it makes baseline alignment strictly
+% impossible.
+\newcommand\sphinxmultirow[2]{\begingroup
+  % #1 = nb of spanned rows, #2 = Sphinx id of "cell", #3 = contents
+  % but let's fetch #3 in a way allowing verbatim contents !
+  \def\sphinx@nbofrows{#1}\def\sphinx@cellid{#2}%
+  \afterassignment\sphinx@multirow\let\next=
+}%
+\def\sphinx@multirow {%
+  \setbox\z@\hbox\bgroup\aftergroup\sphinx@@multirow\strut
+}%
+\def\sphinx@@multirow {%
+  % The contents, which is a varwidth environment, has been captured in
+  % \box0 (a \hbox).
+  % We have with \sphinx@cellid an assigned unique id. The goal is to give
+  % about the same height to all the involved rows.
+  % For this Sphinx will insert a \sphinxtablestrut{cell_id} mark-up
+  % in LaTeX file and the expansion of the latter will do the suitable thing.
+  \dimen@\dp\z@
+  \dimen\tw@\ht\@arstrutbox
+  \advance\dimen@\dimen\tw@
+  \advance\dimen\tw@\dp\@arstrutbox
+  \count@=\dimen@       % type conversion dim -> int
+  \count\tw@=\dimen\tw@
+  \divide\count@\count\tw@ % TeX division truncates
+  \advance\dimen@-\count@\dimen\tw@
+  % 1300sp is about 0.02pt. For comparison a rule default width is 0.4pt.
+  % (note that if \count@ holds 0, surely \dimen@>1300sp)
+  \ifdim\dimen@>1300sp \advance\count@\@ne \fi
+  % now \count@ holds the count L of needed "lines"
+  % and \sphinx@nbofrows holds the number N of rows
+  % we have L >= 1 and N >= 1
+  % if L is a multiple of N, ... clear what to do !
+  % else write L = qN + r, 1 <= r < N and we will
+  % arrange for each row to have enough space for:
+  %     q+1 "lines" in each of the first r rows
+  %       q "lines" in each of the (N-r) bottom rows
+  % for a total of (q+1) * r + q * (N-r) = q * N + r = L
+  % It is possible that q == 0.
+  \count\tw@\count@
+  % the TeX division truncates
+  \divide\count\tw@\sphinx@nbofrows\relax
+  \count4\count\tw@ % q
+  \multiply\count\tw@\sphinx@nbofrows\relax
+  \advance\count@-\count\tw@ % r
+  \expandafter\xdef\csname sphinx@tablestrut_\sphinx@cellid\endcsname
+     {\noexpand\sphinx@tablestrut{\the\count4}{\the\count@}{\sphinx@cellid}}%
+  \dp\z@\z@
+  % this will use the real height if it is >\ht\@arstrutbox
+  \sphinxtablestrut{\sphinx@cellid}\box\z@
+  \endgroup % group was opened in \sphinxmultirow
+}%
+\newcommand*\sphinxtablestrut[1]{%
+  % #1 is a "cell_id", i.e. the id of a merged group of table cells
+  \csname sphinx@tablestrut_#1\endcsname
+}%
+% LaTeX typesets the table row by row, hence each execution can do
+% an update for the next row.
+\newcommand*\sphinx@tablestrut[3]{\begingroup
+  % #1 = q, #2 = (initially) r, #3 = cell_id, q+1 lines in first r rows
+  % if #2 = 0, create space for max(q,1) table lines
+  % if #2 > 0, create space for q+1 lines and decrement #2
+  \leavevmode
+  \count@#1\relax
+  \ifnum#2=\z@
+    \ifnum\count@=\z@\count@\@ne\fi
+  \else
+    % next row will be with a #2 decremented by one
+    \expandafter\xdef\csname sphinx@tablestrut_#3\endcsname
+      {\noexpand\sphinx@tablestrut{#1}{\the\numexpr#2-\@ne}{#3}}%
+   \advance\count@\@ne
+  \fi
+  \vrule\@height\ht\@arstrutbox
+        \@depth\dimexpr\count@\ht\@arstrutbox+\count@\dp\@arstrutbox-\ht\@arstrutbox\relax
+        \@width\z@
+  \endgroup
+  % we need this to avoid colour panels hiding bottom parts of multirow text
+  \sphinx@hack@CT
+}%
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxmanual.cls 1.21.3-1/doc/pdf/sphinxmanual.cls
--- 1.21.2-1/doc/pdf/sphinxmanual.cls	2018-01-24 14:54:54.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxmanual.cls	2021-11-17 15:50:47.000000000 +0000
@@ -1,9 +1,9 @@
 %
-% sphinxmanual.cls for Sphinx (http://sphinx-doc.org/)
+% sphinxmanual.cls for Sphinx (https://www.sphinx-doc.org/)
 %
 
 \NeedsTeXFormat{LaTeX2e}[1995/12/01]
-\ProvidesClass{sphinxmanual}[2017/03/26 v1.6 Document class (Sphinx manual)]
+\ProvidesClass{sphinxmanual}[2019/12/01 v2.3.0 Document class (Sphinx manual)]
 
 % chapters starting at odd pages (overridden by 'openany' document option)
 \PassOptionsToClass{openright}{\sphinxdocclass}
@@ -30,12 +30,23 @@
 \setcounter{secnumdepth}{2}
 \setcounter{tocdepth}{1}
 
+% Adapt \and command to the flushright context of \sphinxmaketitle, to
+% avoid ragged line endings if author names do not fit all on one single line
+\DeclareRobustCommand{\and}{%
+    \end{tabular}\kern-\tabcolsep
+    \allowbreak
+    \hskip\dimexpr1em+\tabcolsep\@plus.17fil\begin{tabular}[t]{c}%
+}%
+% If it is desired that each author name be on its own line, use in preamble:
+%\DeclareRobustCommand{\and}{%
+%   \end{tabular}\kern-\tabcolsep\\\begin{tabular}[t]{c}%
+%}%
 % Change the title page to look a bit better, and fit in with the fncychap
 % ``Bjarne'' style a bit better.
 %
-\renewcommand{\maketitle}{%
-  \let\spx@tempa\relax
-  \ifHy@pageanchor\def\spx@tempa{\Hy@pageanchortrue}\fi
+\newcommand{\sphinxmaketitle}{%
+  \let\sphinxrestorepageanchorsetting\relax
+  \ifHy@pageanchor\def\sphinxrestorepageanchorsetting{\Hy@pageanchortrue}\fi
   \hypersetup{pageanchor=false}% avoid duplicate destination warnings
   \begin{titlepage}%
     \let\footnotesize\small
@@ -55,7 +66,7 @@
       {\LARGE
         \begin{tabular}[t]{c}
           \@author
-        \end{tabular}
+        \end{tabular}\kern-\tabcolsep
         \par}
       \vfill\vfill
       {\large
@@ -69,28 +80,31 @@
   \setcounter{footnote}{0}%
   \let\thanks\relax\let\maketitle\relax
   %\gdef\@thanks{}\gdef\@author{}\gdef\@title{}
+  \clearpage
+  \ifdefined\sphinxbackoftitlepage\sphinxbackoftitlepage\fi
   \if@openright\cleardoublepage\else\clearpage\fi
-  \spx@tempa
+  \sphinxrestorepageanchorsetting
 }
 
 \newcommand{\sphinxtableofcontents}{%
   \pagenumbering{roman}%
-  \pagestyle{plain}%
   \begingroup
     \parskip \z@skip
+    \sphinxtableofcontentshook
     \tableofcontents
   \endgroup
   % before resetting page counter, let's do the right thing.
   \if@openright\cleardoublepage\else\clearpage\fi
   \pagenumbering{arabic}%
-  \ifdefined\fancyhf\pagestyle{normal}\fi
 }
 
 % This is needed to get the width of the section # area wide enough in the
 % library reference.  Doing it here keeps it the same for all the manuals.
 %
-\renewcommand*\l@section{\@dottedtocline{1}{1.5em}{2.6em}}
-\renewcommand*\l@subsection{\@dottedtocline{2}{4.1em}{3.5em}}
+\newcommand{\sphinxtableofcontentshook}{%
+  \renewcommand*\l@section{\@dottedtocline{1}{1.5em}{2.6em}}%
+  \renewcommand*\l@subsection{\@dottedtocline{2}{4.1em}{3.5em}}%
+}
 
 % Fix the bibliography environment to add an entry to the Table of
 % Contents.
@@ -99,7 +113,7 @@
 \newenvironment{sphinxthebibliography}[1]{%
   \if@openright\cleardoublepage\else\clearpage\fi
   % \phantomsection % not needed here since TeXLive 2010's hyperref
-  \begin{thebibliography}{1}%
+  \begin{thebibliography}{#1}%
   \addcontentsline{toc}{chapter}{\bibname}}{\end{thebibliography}}
 
 % Same for the indices.
diff -pruN 1.21.2-1/doc/pdf/sphinxmessages.sty 1.21.3-1/doc/pdf/sphinxmessages.sty
--- 1.21.2-1/doc/pdf/sphinxmessages.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxmessages.sty	2024-06-26 20:01:51.000000000 +0000
@@ -0,0 +1,21 @@
+%
+% sphinxmessages.sty
+%
+% message resources for Sphinx
+%
+\ProvidesPackage{sphinxmessages}[2019/01/04 v2.0 Localized LaTeX macros (Sphinx team)]
+
+\renewcommand{\literalblockcontinuedname}{continued from previous page}
+\renewcommand{\literalblockcontinuesname}{continues on next page}
+\renewcommand{\sphinxnonalphabeticalgroupname}{Non\sphinxhyphen{}alphabetical}
+\renewcommand{\sphinxsymbolsname}{Symbols}
+\renewcommand{\sphinxnumbersname}{Numbers}
+\def\pageautorefname{page}
+
+\addto\captionsenglish{\renewcommand{\figurename}{Fig.\@{} }}
+\def\fnum@figure{\figurename\thefigure{}}
+
+\addto\captionsenglish{\renewcommand{\tablename}{Table }}
+\def\fnum@table{\tablename\thetable{}}
+
+\addto\captionsenglish{\renewcommand{\literalblockname}{Listing}}
\ No newline at end of file
diff -pruN 1.21.2-1/doc/pdf/sphinxmulticell.sty 1.21.3-1/doc/pdf/sphinxmulticell.sty
--- 1.21.2-1/doc/pdf/sphinxmulticell.sty	2018-01-24 14:54:54.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxmulticell.sty	1970-01-01 00:00:00.000000000 +0000
@@ -1,317 +0,0 @@
-\NeedsTeXFormat{LaTeX2e}
-\ProvidesPackage{sphinxmulticell}%
-    [2017/02/23 v1.6 better span rows and columns of a table (Sphinx team)]%
-\DeclareOption*{\PackageWarning{sphinxmulticell}{Option `\CurrentOption' is unknown}}%
-\ProcessOptions\relax
-%
-% --- MULTICOLUMN ---
-% standard LaTeX's \multicolumn
-% 1. does not allow verbatim contents,
-% 2. interacts very poorly with tabulary.
-%
-% It is needed to write own macros for Sphinx: to allow code-blocks in merged
-% cells rendered by tabular/longtable, and to allow multi-column cells with
-% paragraphs to be taken into account sanely by tabulary algorithm for column
-% widths.
-%
-% This requires quite a bit of hacking. First, in Sphinx, the multi-column
-% contents will *always* be wrapped in a varwidth environment. The issue
-% becomes to pass it the correct target width. We must trick tabulary into
-% believing the multicolumn is simply separate columns, else tabulary does not
-% incorporate the contents in its algorithm. But then we must clear the
-% vertical rules...
-%
-% configuration of tabulary
-\setlength{\tymin}{3\fontcharwd\font`0 }% minimal width of "squeezed" columns
-\setlength{\tymax}{10000pt}% allow enough room for paragraphs to "compete"
-% we need access to tabulary's final computed width. \@tempdima is too volatile
-% to hope it has kept tabulary's value when \sphinxcolwidth needs it.
-\newdimen\sphinx@TY@tablewidth
-\def\tabulary{%
-  \def\TY@final{\sphinx@TY@tablewidth\@tempdima\tabular}%
-  \let\endTY@final\endtabular
-  \TY@tabular}%
-% next hack is needed only if user has set latex_use_latex_multicolumn to True:
-% it fixes tabulary's bug with \multicolumn defined "short" in first pass. (if
-% upstream tabulary adds a \long, our extra one causes no harm)
-\def\sphinx@tempa #1\def\multicolumn#2#3#4#5#6#7#8#9\sphinx@tempa
-   {\def\TY@tab{#1\long\def\multicolumn####1####2####3{\multispan####1\relax}#9}}%
-\expandafter\sphinx@tempa\TY@tab\sphinx@tempa
-%
-% TN. 1: as \omit is never executed, Sphinx multicolumn does not need to worry
-% like standard multicolumn about |l| vs l|. On the other hand it assumes
-% columns are separated by a | ... (if not it will add extraneous
-% \arrayrulewidth space for each column separation in its estimate of available
-% width).
-%
-% TN. 1b: as Sphinx multicolumn uses neither \omit nor \span, it can not
-% (easily) get rid of extra macros from >{...} or <{...} between columns. At
-% least, it has been made compatible with colortbl's \columncolor.
-%
-% TN. 2: tabulary's second pass is handled like tabular/longtable's single
-% pass, with the difference that we hacked \TY@final to set in
-% \sphinx@TY@tablewidth the final target width as computed by tabulary. This is
-% needed only to handle columns with a "horizontal" specifier: "p" type columns
-% (inclusive of tabulary's LJRC) holds the target column width in the
-% \linewidth dimension.
-%
-% TN. 3: use of \begin{sphinxmulticolumn}...\end{sphinxmulticolumn} mark-up
-% would need some hacking around the fact that groups can not span across table
-% cells (the code does inserts & tokens, see TN1b). It was decided to keep it
-% simple with \sphinxstartmulticolumn...\sphinxstopmulticolumn.
-%
-% MEMO about nesting: if sphinxmulticolumn is encountered in a nested tabular
-% inside a tabulary it will think to be at top level in the tabulary. But
-% Sphinx generates no nested tables, and if some LaTeX macro uses internally a
-% tabular this will not have a \sphinxstartmulticolumn within it!
-%
-\def\sphinxstartmulticolumn{%
-    \ifx\equation$% $ tabulary's first pass
-        \expandafter\sphinx@TYI@start@multicolumn
-    \else % either not tabulary or tabulary's second pass
-        \expandafter\sphinx@start@multicolumn
-    \fi
-}%
-\def\sphinxstopmulticolumn{%
-    \ifx\equation$% $ tabulary's first pass
-        \expandafter\sphinx@TYI@stop@multicolumn
-    \else % either not tabulary or tabulary's second pass
-        \ignorespaces
-    \fi
-}%
-\def\sphinx@TYI@start@multicolumn#1{%
-    % use \gdef always to avoid stack space build up
-    \gdef\sphinx@tempa{#1}\begingroup\setbox\z@\hbox\bgroup
-}%
-\def\sphinx@TYI@stop@multicolumn{\egroup % varwidth was used with \tymax
-    \xdef\sphinx@tempb{\the\dimexpr\wd\z@/\sphinx@tempa}% per column width
-    \endgroup
-    \expandafter\sphinx@TYI@multispan\expandafter{\sphinx@tempa}%
-}%
-\def\sphinx@TYI@multispan #1{%
-    \kern\sphinx@tempb\ignorespaces % the per column occupied width
-    \ifnum#1>\@ne % repeat, taking into account subtleties of TeX's & ...
-      \expandafter\sphinx@TYI@multispan@next\expandafter{\the\numexpr#1-\@ne\expandafter}%
-    \fi
-}%
-\def\sphinx@TYI@multispan@next{&\relax\sphinx@TYI@multispan}%
-%
-% Now the branch handling either the second pass of tabulary or the single pass
-% of tabular/longtable. This is the delicate part where we gather the
-% dimensions from the p columns either set-up by tabulary or by user p column
-% or Sphinx \X, \Y columns. The difficulty is that to get the said width, the
-% template must be inserted (other hacks would be horribly complicated except
-% if we rewrote crucial parts of LaTeX's \@array !) and we can not do
-% \omit\span like standard \multicolumn's easy approach. Thus we must cancel
-% the \vrule separators. Also, perhaps the column specifier is of the l, c, r
-% type, then we attempt an ad hoc rescue to give varwidth a reasonable target
-% width.
-\def\sphinx@start@multicolumn#1{%
-    \gdef\sphinx@multiwidth{0pt}\gdef\sphinx@tempa{#1}\sphinx@multispan{#1}%
-}%
-\def\sphinx@multispan #1{%
-    \ifnum#1=\@ne\expandafter\sphinx@multispan@end
-            \else\expandafter\sphinx@multispan@next
-    \fi {#1}%
-}%
-\def\sphinx@multispan@next #1{%
-    % trick to recognize L, C, R, J or p, m, b type columns
-    \ifdim\baselineskip>\z@
-       \gdef\sphinx@tempb{\linewidth}%
-    \else
-    % if in an l, r, c type column, try and hope for the best
-       \xdef\sphinx@tempb{\the\dimexpr(\ifx\TY@final\@undefined\linewidth\else
-            \sphinx@TY@tablewidth\fi-\arrayrulewidth)/\sphinx@tempa
-            -\tw@\tabcolsep-\arrayrulewidth\relax}%
-    \fi
-    \noindent\kern\sphinx@tempb\relax
-    \xdef\sphinx@multiwidth
-           {\the\dimexpr\sphinx@multiwidth+\sphinx@tempb+\tw@\tabcolsep+\arrayrulewidth}%
-    % hack the \vline and the colortbl macros
-    \sphinx@hack@vline\sphinx@hack@CT&\relax
-    % repeat
-    \expandafter\sphinx@multispan\expandafter{\the\numexpr#1-\@ne}%
-}%
-% packages like colortbl add group levels, we need to "climb back up" to be
-% able to hack the \vline and also the colortbl inserted tokens. This creates
-% empty space whether or not the columns were | separated:
-\def\sphinx@hack@vline{\ifnum\currentgrouptype=6\relax
-    \kern\arrayrulewidth\arrayrulewidth\z@\else\aftergroup\sphinx@hack@vline\fi}%
-\def\sphinx@hack@CT{\ifnum\currentgrouptype=6\relax
-    \let\CT@setup\sphinx@CT@setup\else\aftergroup\sphinx@hack@CT\fi}%
-% It turns out \CT@row@color is not expanded contrarily to \CT@column@color
-% during LaTeX+colortbl preamble preparation, hence it would be possible for
-% \sphinx@CT@setup to discard only the column color and choose to obey or not
-% row color and cell color. It would even be possible to propagate cell color
-% to row color for the duration of the Sphinx multicolumn... the (provisional?)
-% choice has been made to cancel the colortbl colours for the multicolumn
-% duration.
-\def\sphinx@CT@setup #1\endgroup{\endgroup}% hack to remove colour commands
-\def\sphinx@multispan@end#1{%
-    % first, trace back our steps horizontally
-    \noindent\kern-\dimexpr\sphinx@multiwidth\relax
-    % and now we set the final computed width for the varwidth environment
-    \ifdim\baselineskip>\z@
-       \xdef\sphinx@multiwidth{\the\dimexpr\sphinx@multiwidth+\linewidth}%
-    \else
-       \xdef\sphinx@multiwidth{\the\dimexpr\sphinx@multiwidth+
-         (\ifx\TY@final\@undefined\linewidth\else
-          \sphinx@TY@tablewidth\fi-\arrayrulewidth)/\sphinx@tempa
-          -\tw@\tabcolsep-\arrayrulewidth\relax}%
-    \fi
-    % we need to remove colour set-up also for last cell of the multi-column
-    \aftergroup\sphinx@hack@CT
-}%
-\newcommand*\sphinxcolwidth[2]{%
-  % this dimension will always be used for varwidth, and serves as maximum
-  % width when cells are merged either via multirow or multicolumn or both,
-  % as always their contents is wrapped in varwidth environment.
-  \ifnum#1>\@ne % multi-column (and possibly also multi-row)
-  % we wrote our own multicolumn code especially to handle that (and allow
-  % verbatim contents)
-   \ifx\equation$%$
-       \tymax % first pass of tabulary (cf MEMO above regarding nesting)
-   \else % the \@gobble thing is for compatibility with standard \multicolumn
-       \sphinx@multiwidth\@gobble{#1/#2}%
-   \fi
-  \else % single column multirow
-   \ifx\TY@final\@undefined % not a tabulary.
-    \ifdim\baselineskip>\z@
-        % in a p{..} type column, \linewidth is the target box width
-        \linewidth
-    \else
-        % l, c, r columns. Do our best.
-        \dimexpr(\linewidth-\arrayrulewidth)/#2-
-                \tw@\tabcolsep-\arrayrulewidth\relax
-    \fi
-   \else % in tabulary
-    \ifx\equation$%$% first pass
-        \tymax % it is set to a big value so that paragraphs can express themselves
-    \else
-     % second pass.
-     \ifdim\baselineskip>\z@
-         \linewidth % in a L, R, C, J column or a p, \X, \Y ...
-     \else
-         % we have hacked \TY@final to put in \sphinx@TY@tablewidth the table width
-         \dimexpr(\sphinx@TY@tablewidth-\arrayrulewidth)/#2-
-                 \tw@\tabcolsep-\arrayrulewidth\relax
-     \fi
-    \fi
-   \fi
-  \fi
-}%
-% fallback default in case user has set latex_use_latex_multicolumn to True:
-% \sphinxcolwidth will use this only inside LaTeX's standard \multicolumn
-\def\sphinx@multiwidth #1#2{\dimexpr % #1 to gobble the \@gobble (!)
-    (\ifx\TY@final\@undefined\linewidth\else\sphinx@TY@tablewidth\fi
-     -\arrayrulewidth)*#2-\tw@\tabcolsep-\arrayrulewidth\relax}%
-%
-% --- MULTIROW ---
-% standard \multirow
-% 1. does not allow verbatim contents,
-% 2. does not allow blank lines in its argument,
-% 3. its * specifier means to typeset "horizontally" which is very
-%    bad for paragraph content. 2016 version has = specifier but it
-%    must be used with p type columns only, else results are bad,
-% 4. it requires manual intervention if the contents is too long to fit
-%    in the asked-for number of rows.
-% 5. colour panels (either from \rowcolor or \columncolor) will hide
-%    the bottom part of multirow text, hence manual tuning is needed
-%    to put the multirow insertion at the _bottom_.
-%
-% The Sphinx solution consists in always having contents wrapped
-% in a varwidth environment so that it makes sense to estimate how many
-% lines it will occupy, and then ensure by insertion of suitable struts
-% that the table rows have the needed height. The needed mark-up is done
-% by LaTeX writer, which has its own id for the merged cells.
-%
-% The colour issue is solved by clearing colour panels in all cells,
-% whether or not the multirow is single-column or multi-column.
-%
-% In passing we obtain baseline alignements across rows (only if
-% \arraylinestretch is 1, as LaTeX's does not obey \arraylinestretch in "p"
-% multi-line contents, only first and last line...)
-%
-% TODO: examine the situation with \arraylinestretch > 1. The \extrarowheight
-% is hopeless for multirow anyhow, it makes baseline alignment strictly
-% impossible.
-\newcommand\sphinxmultirow[2]{\begingroup
-  % #1 = nb of spanned rows, #2 = Sphinx id of "cell", #3 = contents
-  % but let's fetch #3 in a way allowing verbatim contents !
-  \def\sphinx@nbofrows{#1}\def\sphinx@cellid{#2}%
-  \afterassignment\sphinx@multirow\let\next=
-}%
-\def\sphinx@multirow {%
-  \setbox\z@\hbox\bgroup\aftergroup\sphinx@@multirow\strut
-}%
-\def\sphinx@@multirow {%
-  % The contents, which is a varwidth environment, has been captured in
-  % \box0 (a \hbox).
-  % We have with \sphinx@cellid an assigned unique id. The goal is to give
-  % about the same height to all the involved rows.
-  % For this Sphinx will insert a \sphinxtablestrut{cell_id} mark-up
-  % in LaTeX file and the expansion of the latter will do the suitable thing.
-  \dimen@\dp\z@
-  \dimen\tw@\ht\@arstrutbox
-  \advance\dimen@\dimen\tw@
-  \advance\dimen\tw@\dp\@arstrutbox
-  \count@=\dimen@       % type conversion dim -> int
-  \count\tw@=\dimen\tw@
-  \divide\count@\count\tw@ % TeX division truncates
-  \advance\dimen@-\count@\dimen\tw@
-  % 1300sp is about 0.02pt. For comparison a rule default width is 0.4pt.
-  % (note that if \count@ holds 0, surely \dimen@>1300sp)
-  \ifdim\dimen@>1300sp \advance\count@\@ne \fi
-  % now \count@ holds the count L of needed "lines"
-  % and \sphinx@nbofrows holds the number N of rows
-  % we have L >= 1 and N >= 1
-  % if L is a multiple of N, ... clear what to do !
-  % else write L = qN + r, 1 <= r < N and we will
-  % arrange for each row to have enough space for:
-  %     q+1 "lines" in each of the first r rows
-  %       q "lines" in each of the (N-r) bottom rows
-  % for a total of (q+1) * r + q * (N-r) = q * N + r = L
-  % It is possible that q == 0.
-  \count\tw@\count@
-  % the TeX division truncates
-  \divide\count\tw@\sphinx@nbofrows\relax
-  \count4\count\tw@ % q
-  \multiply\count\tw@\sphinx@nbofrows\relax
-  \advance\count@-\count\tw@ % r
-  \expandafter\xdef\csname sphinx@tablestrut_\sphinx@cellid\endcsname
-     {\noexpand\sphinx@tablestrut{\the\count4}{\the\count@}{\sphinx@cellid}}%
-  \dp\z@\z@
-  % this will use the real height if it is >\ht\@arstrutbox
-  \sphinxtablestrut{\sphinx@cellid}\box\z@
-  \endgroup % group was opened in \sphinxmultirow
-}%
-\newcommand*\sphinxtablestrut[1]{%
-  % #1 is a "cell_id", i.e. the id of a merged group of table cells
-  \csname sphinx@tablestrut_#1\endcsname
-}%
-% LaTeX typesets the table row by row, hence each execution can do
-% an update for the next row.
-\newcommand*\sphinx@tablestrut[3]{\begingroup
-  % #1 = q, #2 = (initially) r, #3 = cell_id, q+1 lines in first r rows
-  % if #2 = 0, create space for max(q,1) table lines
-  % if #2 > 0, create space for q+1 lines and decrement #2
-  \leavevmode
-  \count@#1\relax
-  \ifnum#2=\z@
-    \ifnum\count@=\z@\count@\@ne\fi
-  \else
-    % next row will be with a #2 decremented by one
-    \expandafter\xdef\csname sphinx@tablestrut_#3\endcsname
-      {\noexpand\sphinx@tablestrut{#1}{\the\numexpr#2-\@ne}{#3}}%
-   \advance\count@\@ne
-  \fi
-  \vrule\@height\ht\@arstrutbox
-        \@depth\dimexpr\count@\ht\@arstrutbox+\count@\dp\@arstrutbox-\ht\@arstrutbox\relax
-        \@width\z@
-  \endgroup
-  % we need this to avoid colour panels hiding bottom parts of multirow text
-  \sphinx@hack@CT
-}%
-\endinput
-%%
-%% End of file `sphinxmulticell.sty'.
diff -pruN 1.21.2-1/doc/pdf/sphinxoptionsgeometry.sty 1.21.3-1/doc/pdf/sphinxoptionsgeometry.sty
--- 1.21.2-1/doc/pdf/sphinxoptionsgeometry.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxoptionsgeometry.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,54 @@
+%% OPTIONS FOR GEOMETRY
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxoptionsgeometry.sty}[2021/01/27 geometry]
+
+% geometry
+\ifx\kanjiskip\@undefined
+  \PassOptionsToPackage{%
+     hmargin={\unexpanded{\spx@opt@hmargin}},%
+     vmargin={\unexpanded{\spx@opt@vmargin}},%
+     marginpar=\unexpanded{\spx@opt@marginpar}}
+  {geometry}
+\else
+ % set text width for Japanese documents to be integer multiple of 1zw
+ % and text height to be integer multiple of \baselineskip
+ % the execution is delayed to \sphinxsetup then geometry.sty
+ \normalsize\normalfont
+ \newcommand*\sphinxtextwidthja[1]{%
+    \if@twocolumn\tw@\fi
+    \dimexpr
+       \numexpr\dimexpr\paperwidth-\tw@\dimexpr#1\relax\relax/
+               \dimexpr\if@twocolumn\tw@\else\@ne\fi zw\relax
+    zw\relax}%
+ \newcommand*\sphinxmarginparwidthja[1]{%
+    \dimexpr\numexpr\dimexpr#1\relax/\dimexpr1zw\relax zw\relax}%
+ \newcommand*\sphinxtextlinesja[1]{%
+    \numexpr\@ne+\dimexpr\paperheight-\topskip-\tw@\dimexpr#1\relax\relax/
+                 \baselineskip\relax}%
+ \ifx\@jsc@uplatextrue\@undefined\else
+ % the way we found in order for the papersize special written by
+ % geometry in the dvi file to be correct in case of jsbook class
+   \ifnum\mag=\@m\else % do nothing special if nomag class option or 10pt
+     \PassOptionsToPackage{truedimen}{geometry}%
+   \fi
+ \fi
+ \PassOptionsToPackage{%
+    hmarginratio={1:1},%
+    textwidth=\unexpanded{\sphinxtextwidthja{\spx@opt@hmargin}},%
+    vmarginratio={1:1},%
+    lines=\unexpanded{\sphinxtextlinesja{\spx@opt@vmargin}},%
+    marginpar=\unexpanded{\sphinxmarginparwidthja{\spx@opt@marginpar}},%
+    footskip=2\baselineskip,%
+  }{geometry}%
+ \AtBeginDocument
+ {% update a dimension used by the jsclasses
+  \ifx\@jsc@uplatextrue\@undefined\else\fullwidth\textwidth\fi
+  % for some reason, jreport normalizes all dimensions with \@settopoint
+  \@ifclassloaded{jreport}
+    {\@settopoint\textwidth\@settopoint\textheight\@settopoint\marginparwidth}
+    {}% <-- "false" clause of \@ifclassloaded
+  }%
+\fi
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxoptionshyperref.sty 1.21.3-1/doc/pdf/sphinxoptionshyperref.sty
--- 1.21.2-1/doc/pdf/sphinxoptionshyperref.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxoptionshyperref.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,35 @@
+%% Bookmarks and hyperlinks
+%
+% change this info string if making any custom modification
+\ProvidesFile{sphinxoptionshyperref.sty}[2021/01/27 hyperref]
+
+% to make pdf with correct encoded bookmarks in Japanese
+% this should precede the hyperref package
+\ifx\kanjiskip\@undefined
+% for non-Japanese: make sure bookmarks are ok also with lualatex
+  \PassOptionsToPackage{pdfencoding=unicode}{hyperref}
+\else
+  \RequirePackage{atbegshi}
+  \ifx\ucs\@undefined
+    \ifnum 42146=\euc"A4A2
+      \AtBeginShipoutFirst{\special{pdf:tounicode EUC-UCS2}}
+    \else
+      \AtBeginShipoutFirst{\special{pdf:tounicode 90ms-RKSJ-UCS2}}
+    \fi
+  \else
+    \AtBeginShipoutFirst{\special{pdf:tounicode UTF8-UCS2}}
+  \fi
+\fi
+
+\ifx\@jsc@uplatextrue\@undefined\else
+  \PassOptionsToPackage{setpagesize=false}{hyperref}
+\fi
+
+% These options can be overridden inside  'hyperref' key
+% or by later use of \hypersetup.
+\PassOptionsToPackage{colorlinks,breaklinks,%
+ linkcolor=InnerLinkColor,filecolor=OuterLinkColor,%
+ menucolor=OuterLinkColor,urlcolor=OuterLinkColor,%
+ citecolor=InnerLinkColor}{hyperref}
+
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxpackagecyrillic.sty 1.21.3-1/doc/pdf/sphinxpackagecyrillic.sty
--- 1.21.2-1/doc/pdf/sphinxpackagecyrillic.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxpackagecyrillic.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,55 @@
+%% CYRILLIC IN NON-CYRILLIC DOCUMENTS (pdflatex only)
+%
+% refs: https://tex.stackexchange.com/q/460271/
+\ProvidesPackage{sphinxpackagecyrillic}%
+  [2018/11/21 v2.0 support for Cyrillic in non-Cyrillic documents]
+\RequirePackage{kvoptions}
+\SetupKeyvalOptions{prefix=spx@cyropt@} % use \spx@cyropt@ prefix
+\DeclareBoolOption[false]{Xtwo}
+\DeclareBoolOption[false]{TtwoA}
+\DeclareDefaultOption{\@unknownoptionerror}
+\ProcessLocalKeyvalOptions* % ignore class options
+
+\ifspx@cyropt@Xtwo
+% original code by tex.sx user egreg (updated 2019/10/28):
+%   https://tex.stackexchange.com/a/460325/
+% 159 Cyrillic glyphs as available in X2 TeX 8bit font encoding
+% This assumes inputenc loaded with utf8 option, or LaTeX release
+% as recent as 2018/04/01 which does it automatically.
+  \@tfor\next:=%
+    {Ё}{Ђ}{Є}{Ѕ}{І}{Ј}{Љ}{Њ}{Ћ}{Ў}{Џ}{А}{Б}{В}{Г}{Д}{Е}{Ж}{З}{И}{Й}%
+    {К}{Л}{М}{Н}{О}{П}{Р}{С}{Т}{У}{Ф}{Х}{Ц}{Ч}{Ш}{Щ}{Ъ}{Ы}{Ь}{Э}{Ю}%
+    {Я}{а}{б}{в}{г}{д}{е}{ж}{з}{и}{й}{к}{л}{м}{н}{о}{п}{р}{с}{т}{у}%
+    {ф}{х}{ц}{ч}{ш}{щ}{ъ}{ы}{ь}{э}{ю}{я}{ё}{ђ}{є}{ѕ}{і}{ј}{љ}{њ}{ћ}%
+    {ў}{џ}{Ѣ}{ѣ}{Ѫ}{ѫ}{Ѵ}{ѵ}{Ґ}{ґ}{Ғ}{ғ}{Ҕ}{ҕ}{Җ}{җ}{Ҙ}{ҙ}{Қ}{қ}{Ҝ}{ҝ}%
+    {Ҟ}{ҟ}{Ҡ}{ҡ}{Ң}{ң}{Ҥ}{ҥ}{Ҧ}{ҧ}{Ҩ}{ҩ}{Ҫ}{ҫ}{Ҭ}{ҭ}{Ү}{ү}{Ұ}{ұ}{Ҳ}{ҳ}%
+    {Ҵ}{ҵ}{Ҷ}{ҷ}{Ҹ}{ҹ}{Һ}{һ}{Ҽ}{ҽ}{Ҿ}{ҿ}{Ӏ}{Ӄ}{ӄ}{Ӆ}{ӆ}{Ӈ}{ӈ}{Ӌ}{ӌ}%
+    {Ӎ}{ӎ}{Ӕ}{ӕ}{Ә}{ә}{Ӡ}{ӡ}{Ө}{ө}\do
+  {%
+    \begingroup\def\IeC{\protect\DeclareTextSymbolDefault}%
+    \protected@edef\@temp{\endgroup
+    \@ifl@t@r{\fmtversion}{2019/10/01}{\csname u8:\next\endcsname}{\next}}%
+    \@temp{X2}%
+  }%
+\else
+\ifspx@cyropt@TtwoA
+% original code by tex.sx user jfbu:
+%   https://tex.stackexchange.com/a/460305/
+% 63*2+1=127 Cyrillic glyphs as found in T2A 8bit TeX font-encoding
+  \@tfor\@tempa:=%
+    {ae}{a}{b}{chrdsc}{chvcrs}{ch}{c}{dje}{dze}{dzhe}{d}{erev}{ery}{e}%
+    {f}{ghcrs}{gup}{g}{hdsc}{hrdsn}{h}{ie}{ii}{ishrt}{i}{je}%
+    {kbeak}{kdsc}{kvcrs}{k}{lje}{l}{m}{ndsc}{ng}{nje}{n}{otld}{o}{p}{r}%
+    {schwa}{sdsc}{sftsn}{shch}{shha}{sh}{s}{tshe}{t}{ushrt}{u}{v}%
+    {ya}{yhcrs}{yi}{yo}{yu}{y}{zdsc}{zhdsc}{zh}{z}\do
+  {%
+    \expandafter\DeclareTextSymbolDefault\expandafter
+               {\csname cyr\@tempa\endcsname}{T2A}%
+    \expandafter\uppercase\expandafter{\expandafter
+                 \def\expandafter\@tempa\expandafter{\@tempa}}%
+    \expandafter\DeclareTextSymbolDefault\expandafter
+      {\csname CYR\@tempa\endcsname}{T2A}%
+  }%
+  \DeclareTextSymbolDefault{\CYRpalochka}{T2A}%
+\fi\fi
+\endinput
diff -pruN 1.21.2-1/doc/pdf/sphinxpackagefootnote.sty 1.21.3-1/doc/pdf/sphinxpackagefootnote.sty
--- 1.21.2-1/doc/pdf/sphinxpackagefootnote.sty	1970-01-01 00:00:00.000000000 +0000
+++ 1.21.3-1/doc/pdf/sphinxpackagefootnote.sty	2021-11-17 15:50:47.000000000 +0000
@@ -0,0 +1,396 @@
+\NeedsTeXFormat{LaTeX2e}
+\ProvidesPackage{sphinxpackagefootnote}%
+ [2021/02/04 v1.1d footnotehyper adapted to sphinx (Sphinx team)]
+% Provides support for this output mark-up from Sphinx latex writer:
+% - footnote environment
+% - savenotes environment (table templates)
+% - \sphinxfootnotemark
+%
+%%
+%% Package: sphinxpackagefootnote
+%% Version: based on footnotehyper.sty 2021/02/04 v1.1d
+%% as available at https://www.ctan.org/pkg/footnotehyper
+%% License: the one applying to Sphinx
+%%
+%% Refer to the PDF documentation  at https://www.ctan.org/pkg/footnotehyper for
+%% the code comments.
+%%
+%% Differences:
+%% 1. a partial tabulary compatibility layer added (enough for Sphinx mark-up),
+%% 2. use of \spx@opt@BeforeFootnote from sphinx.sty,
+%% 3. use of \sphinxunactivateextrasandspace from sphinx.sty,
+%% 4. macro definition \sphinxfootnotemark,
+%% 5. macro definition \sphinxlongtablepatch
+%% 6. replaced some \undefined by \@undefined
+\newif\iffootnotehyperparse\footnotehyperparsetrue
+\DeclareOption*{\PackageWarning{sphinxpackagefootnote}{Option `\CurrentOption' is unknown}}%
+\ProcessOptions\relax
+\newbox\FNH@notes
+\newtoks\FNH@toks % 1.1c
+\newdimen\FNH@width
+\let\FNH@colwidth\columnwidth
+\newif\ifFNH@savingnotes
+\AtBeginDocument {%
+    \let\FNH@latex@footnote    \footnote
+    \let\FNH@latex@footnotetext\footnotetext
+    \let\FNH@H@@footnotetext   \@footnotetext
+    \let\FNH@H@@mpfootnotetext \@mpfootnotetext
+    \newenvironment{savenotes}
+        {\FNH@savenotes\ignorespaces}{\FNH@spewnotes\ignorespacesafterend}%
+    \let\spewnotes      \FNH@spewnotes
+    \let\footnote       \FNH@footnote
+    \let\footnotetext   \FNH@footnotetext
+    \let\endfootnote    \FNH@endfntext
+    \let\endfootnotetext\FNH@endfntext
+    \@ifpackageloaded{hyperref}
+     {\ifHy@hyperfootnotes
+         \let\FNH@H@@footnotetext\H@@footnotetext
+         \let\FNH@H@@mpfootnotetext\H@@mpfootnotetext
+      \else
+         \let\FNH@hyper@fntext\FNH@nohyp@fntext
+      \fi}%
+     {\let\FNH@hyper@fntext\FNH@nohyp@fntext}%
+}%
+\def\FNH@hyper@fntext{\FNH@fntext\FNH@hyper@fntext@i}%
+\def\FNH@nohyp@fntext{\FNH@fntext\FNH@nohyp@fntext@i}%
+\def\FNH@fntext #1{%
+  \ifx\ifmeasuring@\@undefined
+    \expandafter\@secondoftwo\else\expandafter\@firstofone\fi
+% these two lines modified for Sphinx (tabulary compatibility):
+    {\ifmeasuring@\expandafter\@gobbletwo\else\expandafter\@firstofone\fi}%
+    {\ifx\equation$\expandafter\@gobbletwo\fi #1}%$
+}%
+\long\def\FNH@hyper@fntext@i#1{%
+  \global\setbox\FNH@notes\vbox
+  {\unvbox\FNH@notes
+   \FNH@startnote
+   \@makefntext
+    {\rule\z@\footnotesep\ignorespaces
+     \ifHy@nesting\expandafter\ltx@firstoftwo
+             \else\expandafter\ltx@secondoftwo
+     \fi
+     {\expandafter\hyper@@anchor\expandafter{\Hy@footnote@currentHref}{#1}}%
+     {\Hy@raisedlink
+       {\expandafter\hyper@@anchor\expandafter{\Hy@footnote@currentHref}%
+       {\relax}}%
+      \let\@currentHref\Hy@footnote@currentHref
+      \let\@currentlabelname\@empty
+      #1}%
+     \@finalstrut\strutbox
+    }%
+   \FNH@endnote
+  }%
+}%
+\long\def\FNH@nohyp@fntext@i#1{%
+  \global\setbox\FNH@notes\vbox
+  {\unvbox\FNH@notes
+   \FNH@startnote
+   \@makefntext{\rule\z@\footnotesep\ignorespaces#1\@finalstrut\strutbox}%
+   \FNH@endnote
+  }%
+}%
+\def\FNH@startnote{%
+  \hsize\FNH@colwidth
+  \interlinepenalty\interfootnotelinepenalty
+  \reset@font\footnotesize
+  \floatingpenalty\@MM
+  \@parboxrestore
+  \protected@edef\@currentlabel{\csname p@\@mpfn\endcsname\@thefnmark}%
+  \color@begingroup
+}%
+\def\FNH@endnote{\color@endgroup}%
+\def\FNH@savenotes{%
+  \begingroup
+  \ifFNH@savingnotes\else
+    \FNH@savingnotestrue
+    \let\@footnotetext    \FNH@hyper@fntext
+    \let\@mpfootnotetext  \FNH@hyper@fntext
+    \let\H@@mpfootnotetext\FNH@nohyp@fntext
+    \FNH@width\columnwidth
+    \let\FNH@colwidth\FNH@width
+    \global\setbox\FNH@notes\box\voidb@x
+    \let\FNH@thempfn\thempfn
+    \let\FNH@mpfn\@mpfn
+    \ifx\@minipagerestore\relax\let\@minipagerestore\@empty\fi
+    \expandafter\def\expandafter\@minipagerestore\expandafter{%
+      \@minipagerestore
+      \let\thempfn\FNH@thempfn
+      \let\@mpfn\FNH@mpfn
+    }%
+  \fi
+}%
+\def\FNH@spewnotes {%
+  \if@endpe\ifx\par\@@par\FNH@toks{}\else
+     \FNH@toks\expandafter{\expandafter
+              \def\expandafter\par\expandafter{\par}\@endpetrue}%
+     \expandafter\expandafter\expandafter
+     \FNH@toks
+     \expandafter\expandafter\expandafter
+     {\expandafter\the\expandafter\FNH@toks
+      \expandafter\def\expandafter\@par\expandafter{\@par}}%
+     \expandafter\expandafter\expandafter
+     \FNH@toks
+     \expandafter\expandafter\expandafter
+     {\expandafter\the\expandafter\FNH@toks
+      \expandafter\everypar\expandafter{\the\everypar}}\fi
+  \else\FNH@toks{}\fi
+  \expandafter
+  \endgroup\the\FNH@toks
+  \ifFNH@savingnotes\else
+   \ifvoid\FNH@notes\else
+    \begingroup
+     \let\@makefntext\@empty
+     \let\@finalstrut\@gobble
+     \let\rule\@gobbletwo
+     \ifx\@footnotetext\@mpfootnotetext
+        \expandafter\FNH@H@@mpfootnotetext
+     \else
+        \expandafter\FNH@H@@footnotetext
+     \fi{\unvbox\FNH@notes}%
+    \endgroup
+   \fi
+  \fi
+}%
+\def\FNH@footnote@envname    {footnote}%
+\def\FNH@footnotetext@envname{footnotetext}%
+\def\FNH@footnote{%
+% this line added for Sphinx:
+    \spx@opt@BeforeFootnote
+    \ifx\@currenvir\FNH@footnote@envname
+        \expandafter\FNH@footnoteenv
+    \else
+        \expandafter\FNH@latex@footnote
+    \fi
+}%
+\def\FNH@footnoteenv{%
+% this line added for Sphinx (footnotes in parsed literal blocks):
+    \catcode13=5 \sphinxunactivateextrasandspace
+    \@ifnextchar[%
+      \FNH@footnoteenv@i %]
+      {\stepcounter\@mpfn
+       \protected@xdef\@thefnmark{\thempfn}%
+       \@footnotemark
+       \def\FNH@endfntext@fntext{\@footnotetext}%
+       \FNH@startfntext}%
+}%
+\def\FNH@footnoteenv@i[#1]{%
+    \begingroup
+     \csname c@\@mpfn\endcsname #1\relax
+     \unrestored@protected@xdef\@thefnmark{\thempfn}%
+    \endgroup
+    \@footnotemark
+    \def\FNH@endfntext@fntext{\@footnotetext}%
+    \FNH@startfntext
+}%
+\def\FNH@footnotetext{%
+    \ifx\@currenvir\FNH@footnotetext@envname
+        \expandafter\FNH@footnotetextenv
+    \else
+        \expandafter\FNH@latex@footnotetext
+    \fi
+}%
+\def\FNH@footnotetextenv{%
+    \@ifnextchar[%
+      \FNH@footnotetextenv@i %]
+      {\protected@xdef\@thefnmark{\thempfn}%
+       \def\FNH@endfntext@fntext{\@footnotetext}%
+       \FNH@startfntext}%
+}%
+\def\FNH@footnotetextenv@i[#1]{%
+    \begingroup
+     \csname c@\@mpfn\endcsname #1\relax
+     \unrestored@protected@xdef\@thefnmark{\thempfn}%
+    \endgroup
+    \ifFNH@savingnotes
+      \def\FNH@endfntext@fntext{\FNH@nohyp@fntext}%
+    \else
+      \def\FNH@endfntext@fntext{\FNH@H@@footnotetext}%
+    \fi
+    \FNH@startfntext
+}%
+\def\FNH@startfntext{%
+  \setbox\z@\vbox\bgroup
+    \FNH@startnote
+    \FNH@prefntext
+    \rule\z@\footnotesep\ignorespaces
+}%
+\def\FNH@endfntext {%
+    \@finalstrut\strutbox
+    \FNH@postfntext
+    \FNH@endnote
+    \egroup
+  \begingroup
+    \let\@makefntext\@empty\let\@finalstrut\@gobble\let\rule\@gobbletwo
+    \FNH@endfntext@fntext {\unvbox\z@}%
+  \endgroup
+}%
+\let\FNH@prefntext\@empty
+\let\FNH@postfntext\@empty
+\AtBeginDocument{\iffootnotehyperparse\expandafter\FNH@check\fi}%
+\def\FNH@safeif#1{%
+   \iftrue\csname if#1\endcsname\csname fi\endcsname\expandafter\@firstoftwo
+   \else\csname fi\endcsname\expandafter\@secondoftwo
+   \fi
+}%
+\def\FNH@check{%
+   \ifx\@makefntextFB\@undefined\expandafter\FNH@check@
+                           \else\expandafter\FNH@frenchb@
+   \fi
+}%
+\def\FNH@frenchb@{%
+   \def\FNH@prefntext{%
+     \localleftbox{}%
+     \let\FBeverypar@save\FBeverypar@quote
+     \let\FBeverypar@quote\relax
+     \FNH@safeif{FB@koma}%
+       {\FNH@safeif{FBFrenchFootnotes}%
+          {\ifx\footnote\thanks
+             \let\@@makefnmark\@@makefnmarkTH
+             \@makefntextTH{} % space as in french.ldf
+           \else
+             \let\@@makefnmark\@@makefnmarkFB
+             \@makefntextFB{} % space as in french.ldf
+             \fi
+          }{\let\@@makefnmark\@@makefnmarkORI
+             \@makefntextORI{}% no space as in french.ldf
+          }%
+       }%
+       {\FNH@safeif{FBFrenchFootnotes}%
+          {\@makefntextFB{}}%
+          {\@makefntextORI{}}%
+       }%
+   }%
+   \def\FNH@postfntext{%
+     \let\FBeverypar@quote\FBeverypar@save
+     \localleftbox{\FBeveryline@quote}%
+   }%
+}%
+\def\FNH@check@{%
+    \expandafter\FNH@check@a\@makefntext{1.2!3?4,}%
+                \FNH@@@1.2!3?4,\FNH@@@\relax
+}%
+\long\def\FNH@check@a #11.2!3?4,#2\FNH@@@#3{%
+    \ifx\relax#3\expandafter\FNH@checkagain@
+    \else
+      \def\FNH@prefntext{#1}\def\FNH@postfntext{#2}%
+      \expandafter\FNH@check@b
+    \fi
+}%
+\def\FNH@checkagain@{%
+    \expandafter\FNH@checkagain@a
+    \detokenize\expandafter{\@makefntext{1.2!3?4,}}\relax\FNH@@@
+}%
+\edef\FNH@temp{\noexpand\FNH@checkagain@a ##1\string{1.2!3?4,\string}}%
+\expandafter\def\FNH@temp#2#3\FNH@@@{%
+    \ifx\relax#2%
+      \def\FNH@prefntext{\@makefntext{}}%
+    \else\FNH@bad@makefntext@alert
+    \fi
+}%
+\def\FNH@check@b #1\relax{%
+    \expandafter\expandafter\expandafter\FNH@check@c
+    \expandafter\meaning\expandafter\FNH@prefntext
+    \meaning\FNH@postfntext1.2!3?4,\FNH@check@c\relax
+}%
+\def\FNH@check@c #11.2!3?4,#2#3\relax{%
+    \ifx\FNH@check@c#2\else\FNH@bad@makefntext@alert\fi
+}%
+% slight reformulation for Sphinx
+\def\FNH@bad@makefntext@alert{%
+  \PackageWarningNoLine{sphinxpackagefootnote}%
+    {Footnotes will be sub-optimal, sorry. This is due to the document class or^^J
+  some package modifying macro \string\@makefntext.^^J
+  You can try to report this incompatibility at^^J
+  https://github.com/sphinx-doc/sphinx with this info:}%
+    \typeout{\meaning\@makefntext}%
+    \let\FNH@prefntext\@empty\let\FNH@postfntext\@empty
+}%
+% this macro from original footnote.sty is not used anymore by Sphinx
+% but for simplicity sake let's just keep it as is
+\def\makesavenoteenv{\@ifnextchar[\FNH@msne@ii\FNH@msne@i}%]
+\def\FNH@msne@i #1{%
+  \expandafter\let\csname FNH$#1\expandafter\endcsname %$
+                  \csname #1\endcsname
+  \expandafter\let\csname endFNH$#1\expandafter\endcsname %$
+                  \csname end#1\endcsname
+  \FNH@msne@ii[#1]{FNH$#1}%$
+}%
+\def\FNH@msne@ii[#1]#2{%
+  \expandafter\edef\csname#1\endcsname{%
+    \noexpand\savenotes
+    \expandafter\noexpand\csname#2\endcsname
+  }%
+  \expandafter\edef\csname end#1\endcsname{%
+    \expandafter\noexpand\csname end#2\endcsname
+    \noexpand\expandafter
+    \noexpand\spewnotes
+    \noexpand\if@endpe\noexpand\@endpetrue\noexpand\fi
+  }%
+}%
+%
+% some extras for Sphinx :
+% \sphinxfootnotemark: usable in section titles and silently removed from TOCs.
+\def\sphinxfootnotemark [#1]%
+   {\ifx\thepage\relax\else\sphinxfootref{#1}\fi}%
+% \sphinxfootref:
+% - \spx@opt@BeforeFootnote is from BeforeFootnote sphinxsetup option
+% - \ref:
+%     the latex.py writer inserts a \phantomsection\label{<scope>.<num>}
+%     whenever
+%     - the footnote was explicitly numbered in sources,
+%     - or it was in restrained context and is rendered using footnotetext
+%
+%     These are the two types of footnotes that \sphinxfootnotemark must
+%     handle. But for explicitly numbered footnotes the same number
+%     can be found in document. So a secondary part in  <scope> is updated
+%     at each novel such footnote to know what is the target from then on
+%     for \sphinxfootnotemark and already encountered [1], or [2],...
+%
+% LaTeX package varioref is not supported by hyperref (from its doc: "There
+% are too many problems with varioref. Nobody has time to sort them out.
+% Therefore this package is now unsupported.") So we will simply use our own
+% macros to access the page number of footnote text and decide whether to print
+% it. \pagename is internationalized by latex-babel.
+\def\spx@thefnmark#1#2{%
+  % #1=label for reference, #2=page where footnote was printed
+  \ifx\spx@tempa\spx@tempb
+     % same page
+     #1%
+  \else
+    \sphinxthefootnotemark{#1}{#2}%
+  \fi
+}%
+\def\sphinxfootref@get #1#2#3#4#5\relax{%
+    \def\sphinxfootref@label{#1}%
+    \def\sphinxfootref@page {#2}%
+    \def\sphinxfootref@Href {#4}%
+}%
+\protected\def\sphinxfootref#1{% #1 always explicit number in Sphinx usage
+  \spx@opt@BeforeFootnote
+  \ltx@ifundefined{r@\thesphinxscope.#1}%
+    {\gdef\@thefnmark{?}\H@@footnotemark}%
+    {\expandafter\expandafter\expandafter\sphinxfootref@get
+                 \csname r@\thesphinxscope.#1\endcsname\relax
+     \edef\spx@tempa{\thepage}\edef\spx@tempb{\sphinxfootref@page}%
+     \protected@xdef\@thefnmark{\spx@thefnmark{\sphinxfootref@label}{\sphinxfootref@page}}%
+     \let\spx@@makefnmark\@makefnmark
+     \def\@makefnmark{%
+       \hyper@linkstart{link}{\sphinxfootref@Href}%
+       \spx@@makefnmark
+       \hyper@linkend
+     }%
+     \H@@footnotemark
+     \let\@makefnmark\spx@@makefnmark
+    }%
+}%
+\AtBeginDocument{%
+   % let hyperref less complain
+   \pdfstringdefDisableCommands{\def\sphinxfootnotemark [#1]{}}%
+   % to obtain hyperlinked footnotes in longtable environment we must replace
+   % hyperref's patch of longtable's patch of \@footnotetext by our own
+   \let\LT@p@ftntext\FNH@hyper@fntext
+   % this *requires* longtable to be used always wrapped in savenotes environment
+}%
+\endinput
+%%
+%% End of file `sphinxpackagefootnote.sty'.
Binary files 1.21.2-1/doc/pdf/user.pdf and 1.21.3-1/doc/pdf/user.pdf differ
diff -pruN 1.21.2-1/doc/pdf/user.tex 1.21.3-1/doc/pdf/user.tex
--- 1.21.2-1/doc/pdf/user.tex	2023-08-14 16:25:08.000000000 +0000
+++ 1.21.3-1/doc/pdf/user.tex	2024-06-26 20:01:51.000000000 +0000
@@ -4,35 +4,48 @@
 \ifdefined\pdfpxdimen
    \let\sphinxpxdimen\pdfpxdimen\else\newdimen\sphinxpxdimen
 \fi \sphinxpxdimen=.75bp\relax
+\ifdefined\pdfimageresolution
+    \pdfimageresolution= \numexpr \dimexpr1in\relax/\sphinxpxdimen\relax
+\fi
+%% let collapsible pdf bookmarks panel have high depth per default
+\PassOptionsToPackage{bookmarksdepth=5}{hyperref}
 
+\PassOptionsToPackage{warn}{textcomp}
 \usepackage[utf8]{inputenc}
 \ifdefined\DeclareUnicodeCharacter
- \ifdefined\DeclareUnicodeCharacterAsOptional
-  \DeclareUnicodeCharacter{"00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{"2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{"2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{"2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{"251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{"2572}{\textbackslash}
- \else
-  \DeclareUnicodeCharacter{00A0}{\nobreakspace}
-  \DeclareUnicodeCharacter{2500}{\sphinxunichar{2500}}
-  \DeclareUnicodeCharacter{2502}{\sphinxunichar{2502}}
-  \DeclareUnicodeCharacter{2514}{\sphinxunichar{2514}}
-  \DeclareUnicodeCharacter{251C}{\sphinxunichar{251C}}
-  \DeclareUnicodeCharacter{2572}{\textbackslash}
- \fi
+% support both utf8 and utf8x syntaxes
+  \ifdefined\DeclareUnicodeCharacterAsOptional
+    \def\sphinxDUC#1{\DeclareUnicodeCharacter{"#1}}
+  \else
+    \let\sphinxDUC\DeclareUnicodeCharacter
+  \fi
+  \sphinxDUC{00A0}{\nobreakspace}
+  \sphinxDUC{2500}{\sphinxunichar{2500}}
+  \sphinxDUC{2502}{\sphinxunichar{2502}}
+  \sphinxDUC{2514}{\sphinxunichar{2514}}
+  \sphinxDUC{251C}{\sphinxunichar{251C}}
+  \sphinxDUC{2572}{\textbackslash}
 \fi
 \usepackage{cmap}
 \usepackage[T1]{fontenc}
 \usepackage{amsmath,amssymb,amstext}
 \usepackage{babel}
-\usepackage{times}
+
+
+
+\usepackage{tgtermes}
+\usepackage{tgheros}
+\renewcommand{\ttdefault}{txtt}
+
+
+
 \usepackage[Bjarne]{fncychap}
-\usepackage[dontkeepoldnames]{sphinx}
+\usepackage{sphinx}
 
+\fvset{fontsize=auto}
 \usepackage{geometry}
 
+
 % Include hyperref last.
 \usepackage{hyperref}
 % Fix anchor placement for figures with captions.
@@ -40,37 +53,33 @@
 % Set up styles of URL: it should be placed after hyperref.
 \urlstyle{same}
 
-\addto\captionsenglish{\renewcommand{\figurename}{Fig.}}
-\addto\captionsenglish{\renewcommand{\tablename}{Table}}
-\addto\captionsenglish{\renewcommand{\literalblockname}{Listing}}
-
-\addto\captionsenglish{\renewcommand{\literalblockcontinuedname}{continued from previous page}}
-\addto\captionsenglish{\renewcommand{\literalblockcontinuesname}{continues on next page}}
-
-\addto\extrasenglish{\def\pageautorefname{page}}
 
+\usepackage{sphinxmessages}
 \setcounter{tocdepth}{1}
 
 
 
 \title{Kerberos User Guide}
 \date{ }
-\release{1.21.2}
+\release{1.21.3}
 \author{MIT}
 \newcommand{\sphinxlogo}{\vbox{}}
 \renewcommand{\releasename}{Release}
 \makeindex
-
 \begin{document}
 
-\maketitle
+\pagestyle{empty}
+\sphinxmaketitle
+\pagestyle{plain}
 \sphinxtableofcontents
+\pagestyle{normal}
 \phantomsection\label{\detokenize{user/index::doc}}
 
 
 
 \chapter{Password management}
-\label{\detokenize{user/pwd_mgmt:for-users}}\label{\detokenize{user/pwd_mgmt::doc}}\label{\detokenize{user/pwd_mgmt:password-management}}
+\label{\detokenize{user/pwd_mgmt:password-management}}\label{\detokenize{user/pwd_mgmt::doc}}
+\sphinxAtStartPar
 Your password is the only way Kerberos has of verifying your identity.
 If someone finds out your password, that person can masquerade as
 you—send email that comes from you, read, edit, or delete your files,
@@ -86,14 +95,14 @@ someone may have found out what it is.
 
 \section{Changing your password}
 \label{\detokenize{user/pwd_mgmt:changing-your-password}}
+\sphinxAtStartPar
 To change your Kerberos password, use the {\hyperref[\detokenize{user/user_commands/kpasswd:kpasswd-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kpasswd}}}} command.
 It will ask you for your old password (to prevent someone else from
 walking up to your computer when you’re not there and changing your
 password), and then prompt you for the new one twice.  (The reason you
 have to type it twice is to make sure you have typed it correctly.)
-For example, user \sphinxcode{david} would do the following:
+For example, user \sphinxcode{\sphinxupquote{david}} would do the following:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kpasswd}
 \PYG{n}{Password} \PYG{k}{for} \PYG{n}{david}\PYG{p}{:}    \PYG{o}{\PYGZlt{}}\PYG{o}{\PYGZhy{}} \PYG{n}{Type} \PYG{n}{your} \PYG{n}{old} \PYG{n}{password}\PYG{o}{.}
@@ -103,10 +112,10 @@ For example, user \sphinxcode{david} wou
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
-If \sphinxcode{david} typed the incorrect old password, he would get the
+\sphinxAtStartPar
+If \sphinxcode{\sphinxupquote{david}} typed the incorrect old password, he would get the
 following message:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kpasswd}
 \PYG{n}{Password} \PYG{k}{for} \PYG{n}{david}\PYG{p}{:}  \PYG{o}{\PYGZlt{}}\PYG{o}{\PYGZhy{}} \PYG{n}{Type} \PYG{n}{the} \PYG{n}{incorrect} \PYG{n}{old} \PYG{n}{password}\PYG{o}{.}
@@ -114,10 +123,10 @@ following message:
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If you make a mistake and don’t type the new password the same way
 twice, kpasswd will ask you to try again:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kpasswd}
 \PYG{n}{Password} \PYG{k}{for} \PYG{n}{david}\PYG{p}{:}  \PYG{o}{\PYGZlt{}}\PYG{o}{\PYGZhy{}} \PYG{n}{Type} \PYG{n}{the} \PYG{n}{old} \PYG{n}{password}\PYG{o}{.}
@@ -127,6 +136,7 @@ twice, kpasswd will ask you to try again
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Once you change your password, it takes some time for the change to
 propagate through the system.  Depending on how your system is set up,
 this might be anywhere from a few minutes to an hour or more.  If you
@@ -136,7 +146,8 @@ using the old one.
 
 
 \section{Granting access to your account}
-\label{\detokenize{user/pwd_mgmt:grant-access}}\label{\detokenize{user/pwd_mgmt:granting-access-to-your-account}}
+\label{\detokenize{user/pwd_mgmt:granting-access-to-your-account}}\label{\detokenize{user/pwd_mgmt:grant-access}}
+\sphinxAtStartPar
 If you need to give someone access to log into your account, you can
 do so through Kerberos, without telling the person your password.
 Simply create a file called {\hyperref[\detokenize{user/user_config/k5login:k5login-5}]{\sphinxcrossref{\DUrole{std,std-ref}{.k5login}}}} in your home directory.
@@ -144,37 +155,42 @@ This file should contain the Kerberos pr
 you wish to give access.  Each principal must be on a separate line.
 Here is a sample .k5login file:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{jennifer}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}
 \PYG{n}{david}\PYG{n+nd}{@EXAMPLE}\PYG{o}{.}\PYG{n}{COM}
 \end{sphinxVerbatim}
 
-This file would allow the users \sphinxcode{jennifer} and \sphinxcode{david} to use your
+\sphinxAtStartPar
+This file would allow the users \sphinxcode{\sphinxupquote{jennifer}} and \sphinxcode{\sphinxupquote{david}} to use your
 user ID, provided that they had Kerberos tickets in their respective
 realms.  If you will be logging into other hosts across a network, you
 will want to include your own Kerberos principal in your .k5login file
 on each of these hosts.
 
+\sphinxAtStartPar
 Using a .k5login file is much safer than giving out your password,
 because:
 \begin{itemize}
 \item {} 
+\sphinxAtStartPar
 You can take access away any time simply by removing the principal
 from your .k5login file.
 
 \item {} 
+\sphinxAtStartPar
 Although the user has full access to your account on one particular
 host (or set of hosts if your .k5login file is shared, e.g., over
 NFS), that user does not inherit your network privileges.
 
 \item {} 
+\sphinxAtStartPar
 Kerberos keeps a log of who obtains tickets, so a system
 administrator could find out, if necessary, who was capable of using
 your user ID at a particular time.
 
 \end{itemize}
 
+\sphinxAtStartPar
 One common application is to have a .k5login file in root’s home
 directory, giving root access to that machine to the Kerberos
 principals listed.  This allows system administrators to allow users
@@ -185,11 +201,13 @@ type the root password over the network.
 
 \section{Password quality verification}
 \label{\detokenize{user/pwd_mgmt:password-quality-verification}}
+\sphinxAtStartPar
 TODO
 
 
 \chapter{Ticket management}
 \label{\detokenize{user/tkt_mgmt:ticket-management}}\label{\detokenize{user/tkt_mgmt::doc}}
+\sphinxAtStartPar
 On many systems, Kerberos is built into the login program, and you get
 tickets automatically when you log in.  Other programs, such as ssh,
 can forward copies of your tickets to a remote host.  Most of these
@@ -205,8 +223,10 @@ tickets, or use a screensaver that locks
 
 \section{Kerberos ticket properties}
 \label{\detokenize{user/tkt_mgmt:kerberos-ticket-properties}}
+\sphinxAtStartPar
 There are various properties that Kerberos tickets can have:
 
+\sphinxAtStartPar
 If a ticket is \sphinxstylestrong{forwardable}, then the KDC can issue a new ticket
 (with a different network address, if necessary) based on the
 forwardable ticket.  This allows for authentication forwarding without
@@ -216,64 +236,77 @@ a new TGT for that user with the network
 allowing authentication on that host to work as though the user were
 logged in locally.
 
+\sphinxAtStartPar
 When the KDC creates a new ticket based on a forwardable ticket, it
 sets the \sphinxstylestrong{forwarded} flag on that new ticket.  Any tickets that are
 created based on a ticket with the forwarded flag set will also have
 their forwarded flags set.
 
+\sphinxAtStartPar
 A \sphinxstylestrong{proxiable} ticket is similar to a forwardable ticket in that it
 allows a service to take on the identity of the client.  Unlike a
 forwardable ticket, however, a proxiable ticket is only issued for
-specific services.  In other words, a ticket-granting ticket cannot be
+specific services.  In other words, a ticket\sphinxhyphen{}granting ticket cannot be
 issued based on a ticket that is proxiable but not forwardable.
 
+\sphinxAtStartPar
 A \sphinxstylestrong{proxy} ticket is one that was issued based on a proxiable ticket.
 
+\sphinxAtStartPar
 A \sphinxstylestrong{postdated} ticket is issued with the invalid flag set.  After the
 starting time listed on the ticket, it can be presented to the KDC to
 obtain valid tickets.
 
-Ticket-granting tickets with the \sphinxstylestrong{postdateable} flag set can be used
+\sphinxAtStartPar
+Ticket\sphinxhyphen{}granting tickets with the \sphinxstylestrong{postdateable} flag set can be used
 to obtain postdated service tickets.
 
+\sphinxAtStartPar
 \sphinxstylestrong{Renewable} tickets can be used to obtain new session keys without
 the user entering their password again.  A renewable ticket has two
 expiration times.  The first is the time at which this particular
 ticket expires.  The second is the latest possible expiration time for
 any ticket issued based on this renewable ticket.
 
+\sphinxAtStartPar
 A ticket with the \sphinxstylestrong{initial flag} set was issued based on the
-authentication protocol, and not on a ticket-granting ticket.
+authentication protocol, and not on a ticket\sphinxhyphen{}granting ticket.
 Application servers that wish to ensure that the user’s key has been
 recently presented for verification could specify that this flag must
 be set to accept the ticket.
 
+\sphinxAtStartPar
 An \sphinxstylestrong{invalid} ticket must be rejected by application servers.
 Postdated tickets are usually issued with this flag set, and must be
 validated by the KDC before they can be used.
 
+\sphinxAtStartPar
 A \sphinxstylestrong{preauthenticated} ticket is one that was only issued after the
 client requesting the ticket had authenticated itself to the KDC.
 
+\sphinxAtStartPar
 The \sphinxstylestrong{hardware authentication} flag is set on a ticket which required
 the use of hardware for authentication.  The hardware is expected to
 be possessed only by the client which requested the tickets.
 
+\sphinxAtStartPar
 If a ticket has the \sphinxstylestrong{transit policy} checked flag set, then the KDC
-that issued this ticket implements the transited-realm check policy
-and checked the transited-realms list on the ticket.  The
-transited-realms list contains a list of all intermediate realms
+that issued this ticket implements the transited\sphinxhyphen{}realm check policy
+and checked the transited\sphinxhyphen{}realms list on the ticket.  The
+transited\sphinxhyphen{}realms list contains a list of all intermediate realms
 between the realm of the KDC that issued the first ticket and that of
 the one that issued the current ticket.  If this flag is not set, then
 the application server must check the transited realms itself or else
 reject the ticket.
 
+\sphinxAtStartPar
 The \sphinxstylestrong{okay as delegate} flag indicates that the server specified in
 the ticket is suitable as a delegate as determined by the policy of
 that realm.  Some client applications may use this flag to decide
 whether to forward tickets to a remote host, although many
 applications do not honor it.
 
+\sphinxAtStartPar
 An \sphinxstylestrong{anonymous} ticket is one in which the named principal is a
 generic principal for that realm; it does not actually specify the
 individual that will be using the ticket.  This ticket is meant only
@@ -282,29 +315,30 @@ to securely distribute a session key.
 
 \section{Obtaining tickets with kinit}
 \label{\detokenize{user/tkt_mgmt:obtaining-tickets-with-kinit}}\label{\detokenize{user/tkt_mgmt:obtain-tkt}}
+\sphinxAtStartPar
 If your site has integrated Kerberos V5 with the login system, you
 will get Kerberos tickets automatically when you log in.  Otherwise,
 you may need to explicitly obtain your Kerberos tickets, using the
 {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}} program.  Similarly, if your Kerberos tickets expire,
 use the kinit program to obtain new ones.
 
-To use the kinit program, simply type \sphinxcode{kinit} and then type your
+\sphinxAtStartPar
+To use the kinit program, simply type \sphinxcode{\sphinxupquote{kinit}} and then type your
 password at the prompt. For example, Jennifer (whose username is
-\sphinxcode{jennifer}) works for Bleep, Inc. (a fictitious company with the
+\sphinxcode{\sphinxupquote{jennifer}}) works for Bleep, Inc. (a fictitious company with the
 domain name mit.edu and the Kerberos realm ATHENA.MIT.EDU).  She would
 type:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kinit}
 \PYG{n}{Password} \PYG{k}{for} \PYG{n}{jennifer}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}\PYG{p}{:} \PYG{o}{\PYGZlt{}}\PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}} \PYG{p}{[}\PYG{n}{Type} \PYG{n}{jennifer}\PYG{l+s+s1}{\PYGZsq{}}\PYG{l+s+s1}{s password here.]}
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If you type your password incorrectly, kinit will give you the
 following error message:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kinit}
 \PYG{n}{Password} \PYG{k}{for} \PYG{n}{jennifer}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}\PYG{p}{:} \PYG{o}{\PYGZlt{}}\PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}} \PYG{p}{[}\PYG{n}{Type} \PYG{n}{the} \PYG{n}{wrong} \PYG{n}{password} \PYG{n}{here}\PYG{o}{.}\PYG{p}{]}
@@ -312,49 +346,52 @@ following error message:
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 and you won’t get Kerberos tickets.
 
+\sphinxAtStartPar
 By default, kinit assumes you want tickets for your own username in
 your default realm.  Suppose Jennifer’s friend David is visiting, and
 he wants to borrow a window to check his mail.  David needs to get
 tickets for himself in his own realm, EXAMPLE.COM.  He would type:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kinit} \PYG{n}{david}\PYG{n+nd}{@EXAMPLE}\PYG{o}{.}\PYG{n}{COM}
 \PYG{n}{Password} \PYG{k}{for} \PYG{n}{david}\PYG{n+nd}{@EXAMPLE}\PYG{o}{.}\PYG{n}{COM}\PYG{p}{:} \PYG{o}{\PYGZlt{}}\PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}} \PYG{p}{[}\PYG{n}{Type} \PYG{n}{david}\PYG{l+s+s1}{\PYGZsq{}}\PYG{l+s+s1}{s password here.]}
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 David would then have tickets which he could use to log onto his own
 machine.  Note that he typed his password locally on Jennifer’s
 machine, but it never went over the network.  Kerberos on the local
 host performed the authentication to the KDC in the other realm.
 
+\sphinxAtStartPar
 If you want to be able to forward your tickets to another host, you
 need to request forwardable tickets.  You do this by specifying the
-\sphinxstylestrong{-f} option:
+\sphinxstylestrong{\sphinxhyphen{}f} option:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kinit} \PYG{o}{\PYGZhy{}}\PYG{n}{f}
 \PYG{n}{Password} \PYG{k}{for} \PYG{n}{jennifer}\PYG{n+nd}{@ATHENA}\PYG{o}{.}\PYG{n}{MIT}\PYG{o}{.}\PYG{n}{EDU}\PYG{p}{:} \PYG{o}{\PYGZlt{}}\PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}} \PYG{p}{[}\PYG{n}{Type} \PYG{n}{your} \PYG{n}{password} \PYG{n}{here}\PYG{o}{.}\PYG{p}{]}
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Note that kinit does not tell you that it obtained forwardable
 tickets; you can verify this using the {\hyperref[\detokenize{user/user_commands/klist:klist-1}]{\sphinxcrossref{\DUrole{std,std-ref}{klist}}}} command (see
 {\hyperref[\detokenize{user/tkt_mgmt:view-tkt}]{\sphinxcrossref{\DUrole{std,std-ref}{Viewing tickets with klist}}}}).
 
+\sphinxAtStartPar
 Normally, your tickets are good for your system’s default ticket
 lifetime, which is ten hours on many systems.  You can specify a
-different ticket lifetime with the \sphinxstylestrong{-l} option.  Add the letter
+different ticket lifetime with the \sphinxstylestrong{\sphinxhyphen{}l} option.  Add the letter
 \sphinxstylestrong{s} to the value for seconds, \sphinxstylestrong{m} for minutes, \sphinxstylestrong{h} for hours, or
 \sphinxstylestrong{d} for days.  For example, to obtain forwardable tickets for
-\sphinxcode{david@EXAMPLE.COM} that would be good for three hours, you would
+\sphinxcode{\sphinxupquote{david@EXAMPLE.COM}} that would be good for three hours, you would
 type:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kinit} \PYG{o}{\PYGZhy{}}\PYG{n}{f} \PYG{o}{\PYGZhy{}}\PYG{n}{l} \PYG{l+m+mi}{3}\PYG{n}{h} \PYG{n}{david}\PYG{n+nd}{@EXAMPLE}\PYG{o}{.}\PYG{n}{COM}
 \PYG{n}{Password} \PYG{k}{for} \PYG{n}{david}\PYG{n+nd}{@EXAMPLE}\PYG{o}{.}\PYG{n}{COM}\PYG{p}{:} \PYG{o}{\PYGZlt{}}\PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}} \PYG{p}{[}\PYG{n}{Type} \PYG{n}{david}\PYG{l+s+s1}{\PYGZsq{}}\PYG{l+s+s1}{s password here.]}
@@ -362,6 +399,7 @@ type:
 \end{sphinxVerbatim}
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 You cannot mix units; specifying a lifetime of 3h30m would
 result in an error.  Note also that most systems specify a
 maximum ticket lifetime.  If you request a longer ticket
@@ -372,11 +410,11 @@ lifetime.
 
 \section{Viewing tickets with klist}
 \label{\detokenize{user/tkt_mgmt:viewing-tickets-with-klist}}\label{\detokenize{user/tkt_mgmt:view-tkt}}
+\sphinxAtStartPar
 The {\hyperref[\detokenize{user/user_commands/klist:klist-1}]{\sphinxcrossref{\DUrole{std,std-ref}{klist}}}} command shows your tickets.  When you first obtain
-tickets, you will have only the ticket-granting ticket.  The listing
+tickets, you will have only the ticket\sphinxhyphen{}granting ticket.  The listing
 would look like this:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{klist}
 \PYG{n}{Ticket} \PYG{n}{cache}\PYG{p}{:} \PYG{o}{/}\PYG{n}{tmp}\PYG{o}{/}\PYG{n}{krb5cc\PYGZus{}ttypa}
@@ -387,20 +425,22 @@ would look like this:
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The ticket cache is the location of your ticket file. In the above
-example, this file is named \sphinxcode{/tmp/krb5cc\_ttypa}. The default
+example, this file is named \sphinxcode{\sphinxupquote{/tmp/krb5cc\_ttypa}}. The default
 principal is your Kerberos principal.
 
+\sphinxAtStartPar
 The “valid starting” and “expires” fields describe the period of time
 during which the ticket is valid.  The “service principal” describes
-each ticket.  The ticket-granting ticket has a first component
-\sphinxcode{krbtgt}, and a second component which is the realm name.
+each ticket.  The ticket\sphinxhyphen{}granting ticket has a first component
+\sphinxcode{\sphinxupquote{krbtgt}}, and a second component which is the realm name.
 
-Now, if \sphinxcode{jennifer} connected to the machine \sphinxcode{daffodil.mit.edu},
+\sphinxAtStartPar
+Now, if \sphinxcode{\sphinxupquote{jennifer}} connected to the machine \sphinxcode{\sphinxupquote{daffodil.mit.edu}},
 and then typed “klist” again, she would have gotten the following
 result:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{klist}
 \PYG{n}{Ticket} \PYG{n}{cache}\PYG{p}{:} \PYG{o}{/}\PYG{n}{tmp}\PYG{o}{/}\PYG{n}{krb5cc\PYGZus{}ttypa}
@@ -412,21 +452,22 @@ result:
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
-Here’s what happened: when \sphinxcode{jennifer} used ssh to connect to the
-host \sphinxcode{daffodil.mit.edu}, the ssh program presented her
-ticket-granting ticket to the KDC and requested a host ticket for the
-host \sphinxcode{daffodil.mit.edu}.  The KDC sent the host ticket, which ssh
-then presented to the host \sphinxcode{daffodil.mit.edu}, and she was allowed
+\sphinxAtStartPar
+Here’s what happened: when \sphinxcode{\sphinxupquote{jennifer}} used ssh to connect to the
+host \sphinxcode{\sphinxupquote{daffodil.mit.edu}}, the ssh program presented her
+ticket\sphinxhyphen{}granting ticket to the KDC and requested a host ticket for the
+host \sphinxcode{\sphinxupquote{daffodil.mit.edu}}.  The KDC sent the host ticket, which ssh
+then presented to the host \sphinxcode{\sphinxupquote{daffodil.mit.edu}}, and she was allowed
 to log in without typing her password.
 
+\sphinxAtStartPar
 Suppose your Kerberos tickets allow you to log into a host in another
-domain, such as \sphinxcode{trillium.example.com}, which is also in another
-Kerberos realm, \sphinxcode{EXAMPLE.COM}.  If you ssh to this host, you will
-receive a ticket-granting ticket for the realm \sphinxcode{EXAMPLE.COM}, plus
-the new host ticket for \sphinxcode{trillium.example.com}.  klist will now
+domain, such as \sphinxcode{\sphinxupquote{trillium.example.com}}, which is also in another
+Kerberos realm, \sphinxcode{\sphinxupquote{EXAMPLE.COM}}.  If you ssh to this host, you will
+receive a ticket\sphinxhyphen{}granting ticket for the realm \sphinxcode{\sphinxupquote{EXAMPLE.COM}}, plus
+the new host ticket for \sphinxcode{\sphinxupquote{trillium.example.com}}.  klist will now
 show:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{klist}
 \PYG{n}{Ticket} \PYG{n}{cache}\PYG{p}{:} \PYG{o}{/}\PYG{n}{tmp}\PYG{o}{/}\PYG{n}{krb5cc\PYGZus{}ttypa}
@@ -440,15 +481,17 @@ show:
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 Depending on your host’s and realm’s configuration, you may also see a
-ticket with the service principal \sphinxcode{host/trillium.example.com@}.  If
+ticket with the service principal \sphinxcode{\sphinxupquote{host/trillium.example.com@}}.  If
 so, this means that your host did not know what realm
-trillium.example.com is in, so it asked the \sphinxcode{ATHENA.MIT.EDU} KDC for
-a referral.  The next time you connect to \sphinxcode{trillium.example.com},
-the odd-looking entry will be used to avoid needing to ask for a
+trillium.example.com is in, so it asked the \sphinxcode{\sphinxupquote{ATHENA.MIT.EDU}} KDC for
+a referral.  The next time you connect to \sphinxcode{\sphinxupquote{trillium.example.com}},
+the odd\sphinxhyphen{}looking entry will be used to avoid needing to ask for a
 referral again.
 
-You can use the \sphinxstylestrong{-f} option to view the flags that apply to your
+\sphinxAtStartPar
+You can use the \sphinxstylestrong{\sphinxhyphen{}f} option to view the flags that apply to your
 tickets.  The flags are:
 
 
@@ -457,73 +500,101 @@ tickets.  The flags are:
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
+\sphinxAtStartPar
 F
 &
+\sphinxAtStartPar
 Forwardable
 \\
 \hline
+\sphinxAtStartPar
 f
 &
+\sphinxAtStartPar
 forwarded
 \\
 \hline
+\sphinxAtStartPar
 P
 &
+\sphinxAtStartPar
 Proxiable
 \\
 \hline
+\sphinxAtStartPar
 p
 &
+\sphinxAtStartPar
 proxy
 \\
 \hline
+\sphinxAtStartPar
 D
 &
+\sphinxAtStartPar
 postDateable
 \\
 \hline
+\sphinxAtStartPar
 d
 &
+\sphinxAtStartPar
 postdated
 \\
 \hline
+\sphinxAtStartPar
 R
 &
+\sphinxAtStartPar
 Renewable
 \\
 \hline
+\sphinxAtStartPar
 I
 &
+\sphinxAtStartPar
 Initial
 \\
 \hline
+\sphinxAtStartPar
 i
 &
+\sphinxAtStartPar
 invalid
 \\
 \hline
+\sphinxAtStartPar
 H
 &
+\sphinxAtStartPar
 Hardware authenticated
 \\
 \hline
+\sphinxAtStartPar
 A
 &
+\sphinxAtStartPar
 preAuthenticated
 \\
 \hline
+\sphinxAtStartPar
 T
 &
+\sphinxAtStartPar
 Transit policy checked
 \\
 \hline
+\sphinxAtStartPar
 O
 &
+\sphinxAtStartPar
 Okay as delegate
 \\
 \hline
+\sphinxAtStartPar
 a
 &
+\sphinxAtStartPar
 anonymous
 \\
 \hline
@@ -531,11 +602,11 @@ anonymous
 \par
 \sphinxattableend\end{savenotes}
 
+\sphinxAtStartPar
 Here is a sample listing.  In this example, the user \sphinxstyleemphasis{jennifer}
 obtained her initial tickets (\sphinxstylestrong{I}), which are forwardable (\sphinxstylestrong{F})
 and postdated (\sphinxstylestrong{d}) but not yet validated (\sphinxstylestrong{i}):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{klist} \PYG{o}{\PYGZhy{}}\PYG{n}{f}
 \PYG{n}{Ticket} \PYG{n}{cache}\PYG{p}{:} \PYG{o}{/}\PYG{n}{tmp}\PYG{o}{/}\PYG{n}{krb5cc\PYGZus{}320}
@@ -547,11 +618,11 @@ and postdated (\sphinxstylestrong{d}) bu
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 In the following example, the user \sphinxstyleemphasis{david}’s tickets were forwarded
 (\sphinxstylestrong{f}) to this host from another host.  The tickets are reforwardable
 (\sphinxstylestrong{F}):
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{klist} \PYG{o}{\PYGZhy{}}\PYG{n}{f}
 \PYG{n}{Ticket} \PYG{n}{cache}\PYG{p}{:} \PYG{o}{/}\PYG{n}{tmp}\PYG{o}{/}\PYG{n}{krb5cc\PYGZus{}p11795}
@@ -568,25 +639,26 @@ In the following example, the user \sphi
 
 \section{Destroying tickets with kdestroy}
 \label{\detokenize{user/tkt_mgmt:destroying-tickets-with-kdestroy}}
+\sphinxAtStartPar
 Your Kerberos tickets are proof that you are indeed yourself, and
 tickets could be stolen if someone gains access to a computer where
 they are stored.  If this happens, the person who has them can
 masquerade as you until they expire.  For this reason, you should
 destroy your Kerberos tickets when you are away from your computer.
 
+\sphinxAtStartPar
 Destroying your tickets is easy.  Simply type kdestroy:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kdestroy}
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 If {\hyperref[\detokenize{user/user_commands/kdestroy:kdestroy-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kdestroy}}}} fails to destroy your tickets, it will beep and
 give an error message.  For example, if kdestroy can’t find any
 tickets to destroy, it will give the following message:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{kdestroy}
 \PYG{n}{kdestroy}\PYG{p}{:} \PYG{n}{No} \PYG{n}{credentials} \PYG{n}{cache} \PYG{n}{file} \PYG{n}{found} \PYG{k}{while} \PYG{n}{destroying} \PYG{n}{cache}
@@ -595,50 +667,56 @@ tickets to destroy, it will give the fol
 
 
 \chapter{User config files}
-\label{\detokenize{user/user_config/index::doc}}\label{\detokenize{user/user_config/index:user-config-files}}
+\label{\detokenize{user/user_config/index:user-config-files}}\label{\detokenize{user/user_config/index::doc}}
+\sphinxAtStartPar
 The following files in your home directory can be used to control the
 behavior of Kerberos as it applies to your account (unless they have
 been disabled by your host’s configuration):
 
 
 \section{kerberos}
-\label{\detokenize{user/user_config/kerberos:kerberos-7}}\label{\detokenize{user/user_config/kerberos:kerberos}}\label{\detokenize{user/user_config/kerberos::doc}}
+\label{\detokenize{user/user_config/kerberos:kerberos}}\label{\detokenize{user/user_config/kerberos:kerberos-7}}\label{\detokenize{user/user_config/kerberos::doc}}
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_config/kerberos:description}}
+\sphinxAtStartPar
 The Kerberos system authenticates individual users in a network
 environment.  After authenticating yourself to Kerberos, you can use
-Kerberos-enabled programs without having to present passwords or
+Kerberos\sphinxhyphen{}enabled programs without having to present passwords or
 certificates to those programs.
 
+\sphinxAtStartPar
 If you receive the following response from {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}}:
 
+\sphinxAtStartPar
 kinit: Client not found in Kerberos database while getting initial
 credentials
 
+\sphinxAtStartPar
 you haven’t been registered as a Kerberos user.  See your system
 administrator.
 
+\sphinxAtStartPar
 A Kerberos name usually contains three parts.  The first is the
 \sphinxstylestrong{primary}, which is usually a user’s or service’s name.  The second
 is the \sphinxstylestrong{instance}, which in the case of a user is usually null.
-Some users may have privileged instances, however, such as \sphinxcode{root} or
-\sphinxcode{admin}.  In the case of a service, the instance is the fully
+Some users may have privileged instances, however, such as \sphinxcode{\sphinxupquote{root}} or
+\sphinxcode{\sphinxupquote{admin}}.  In the case of a service, the instance is the fully
 qualified name of the machine on which it runs; i.e. there can be an
 ssh service running on the machine ABC (\sphinxhref{mailto:ssh/ABC@REALM}{ssh/ABC@REALM}), which is
 different from the ssh service running on the machine XYZ
 (\sphinxhref{mailto:ssh/XYZ@REALM}{ssh/XYZ@REALM}).  The third part of a Kerberos name is the \sphinxstylestrong{realm}.
 The realm corresponds to the Kerberos service providing authentication
-for the principal.  Realms are conventionally all-uppercase, and often
+for the principal.  Realms are conventionally all\sphinxhyphen{}uppercase, and often
 match the end of hostnames in the realm (for instance, host01.example.com
 might be in realm EXAMPLE.COM).
 
+\sphinxAtStartPar
 When writing a Kerberos name, the principal name is separated from the
 instance (if not null) by a slash, and the realm (if not the local
 realm) follows, preceded by an “@” sign.  The following are examples
 of valid Kerberos names:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{david}
 \PYG{n}{jennifer}\PYG{o}{/}\PYG{n}{admin}
@@ -646,27 +724,32 @@ of valid Kerberos names:
 \PYG{n}{cbrown}\PYG{o}{/}\PYG{n}{root}\PYG{n+nd}{@FUBAR}\PYG{o}{.}\PYG{n}{ORG}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 When you authenticate yourself with Kerberos you get an initial
 Kerberos \sphinxstylestrong{ticket}.  (A Kerberos ticket is an encrypted protocol
 message that provides authentication.)  Kerberos uses this ticket for
 network utilities such as ssh.  The ticket transactions are done
 transparently, so you don’t have to worry about their management.
 
+\sphinxAtStartPar
 Note, however, that tickets expire.  Administrators may configure more
-privileged tickets, such as those with service or instance of \sphinxcode{root}
-or \sphinxcode{admin}, to expire in a few minutes, while tickets that carry
+privileged tickets, such as those with service or instance of \sphinxcode{\sphinxupquote{root}}
+or \sphinxcode{\sphinxupquote{admin}}, to expire in a few minutes, while tickets that carry
 more ordinary privileges may be good for several hours or a day.  If
 your login session extends beyond the time limit, you will have to
-re-authenticate yourself to Kerberos to get new tickets using the
+re\sphinxhyphen{}authenticate yourself to Kerberos to get new tickets using the
 {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}} command.
 
+\sphinxAtStartPar
 Some tickets are \sphinxstylestrong{renewable} beyond their initial lifetime.  This
-means that \sphinxcode{kinit -R} can extend their lifetime without requiring
-you to re-authenticate.
+means that \sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}R}} can extend their lifetime without requiring
+you to re\sphinxhyphen{}authenticate.
 
+\sphinxAtStartPar
 If you wish to delete your local tickets, use the {\hyperref[\detokenize{user/user_commands/kdestroy:kdestroy-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kdestroy}}}}
 command.
 
+\sphinxAtStartPar
 Kerberos tickets can be forwarded.  In order to forward tickets, you
 must request \sphinxstylestrong{forwardable} tickets when you kinit.  Once you have
 forwardable tickets, most Kerberos programs have a command line option
@@ -678,81 +761,95 @@ they will then have your tickets.
 
 \subsection{ENVIRONMENT VARIABLES}
 \label{\detokenize{user/user_config/kerberos:environment-variables}}
-Several environment variables affect the operation of Kerberos-enabled
+\sphinxAtStartPar
+Several environment variables affect the operation of Kerberos\sphinxhyphen{}enabled
 programs.  These include:
 \begin{description}
 \item[{\sphinxstylestrong{KRB5CCNAME}}] \leavevmode
+\sphinxAtStartPar
 Default name for the credentials cache file, in the form
 \sphinxstyleemphasis{TYPE}:\sphinxstyleemphasis{residual}.  The type of the default cache may determine
-the availability of a cache collection.  \sphinxcode{FILE} is not a
-collection type; \sphinxcode{KEYRING}, \sphinxcode{DIR}, and \sphinxcode{KCM} are.
+the availability of a cache collection.  \sphinxcode{\sphinxupquote{FILE}} is not a
+collection type; \sphinxcode{\sphinxupquote{KEYRING}}, \sphinxcode{\sphinxupquote{DIR}}, and \sphinxcode{\sphinxupquote{KCM}} are.
 
+\sphinxAtStartPar
 If not set, the value of \sphinxstylestrong{default\_ccache\_name} from
 configuration files (see \sphinxstylestrong{KRB5\_CONFIG}) will be used.  If that
-is also not set, the default \sphinxstyleemphasis{type} is \sphinxcode{FILE}, and the
+is also not set, the default \sphinxstyleemphasis{type} is \sphinxcode{\sphinxupquote{FILE}}, and the
 \sphinxstyleemphasis{residual} is the path /tmp/krb5cc\_*uid*, where \sphinxstyleemphasis{uid} is the
 decimal user ID of the user.
 
 \item[{\sphinxstylestrong{KRB5\_KTNAME}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of the default keytab file, in the form
 \sphinxstyleemphasis{TYPE}:\sphinxstyleemphasis{residual}.  If no \sphinxstyleemphasis{type} is present, the \sphinxstylestrong{FILE} type is
 assumed and \sphinxstyleemphasis{residual} is the pathname of the keytab file.  If
 unset, \DUrole{xref,std,std-ref}{DEFKTNAME} will be used.
 
 \item[{\sphinxstylestrong{KRB5\_CONFIG}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of the Kerberos configuration file.  The
-default is \DUrole{xref,std,std-ref}{SYSCONFDIR}\sphinxcode{/krb5.conf}.  Multiple filenames can
+default is \DUrole{xref,std,std-ref}{SYSCONFDIR}\sphinxcode{\sphinxupquote{/krb5.conf}}.  Multiple filenames can
 be specified, separated by a colon; all files which are present
 will be read.
 
 \item[{\sphinxstylestrong{KRB5\_KDC\_PROFILE}}] \leavevmode
+\sphinxAtStartPar
 Specifies the location of the KDC configuration file, which
 contains additional configuration directives for the Key
 Distribution Center daemon and associated programs.  The default
-is \DUrole{xref,std,std-ref}{LOCALSTATEDIR}\sphinxcode{/krb5kdc}\sphinxcode{/kdc.conf}.
+is \DUrole{xref,std,std-ref}{LOCALSTATEDIR}\sphinxcode{\sphinxupquote{/krb5kdc}}\sphinxcode{\sphinxupquote{/kdc.conf}}.
 
 \item[{\sphinxstylestrong{KRB5RCACHENAME}}] \leavevmode
+\sphinxAtStartPar
 (New in release 1.18) Specifies the location of the default replay
-cache, in the form \sphinxstyleemphasis{type}:\sphinxstyleemphasis{residual}.  The \sphinxcode{file2} type with a
-pathname residual specifies a replay cache file in the version-2
-format in the specified location.  The \sphinxcode{none} type (residual is
-ignored) disables the replay cache.  The \sphinxcode{dfl} type (residual is
+cache, in the form \sphinxstyleemphasis{type}:\sphinxstyleemphasis{residual}.  The \sphinxcode{\sphinxupquote{file2}} type with a
+pathname residual specifies a replay cache file in the version\sphinxhyphen{}2
+format in the specified location.  The \sphinxcode{\sphinxupquote{none}} type (residual is
+ignored) disables the replay cache.  The \sphinxcode{\sphinxupquote{dfl}} type (residual is
 ignored) indicates the default, which uses a file2 replay cache in
-a temporary directory.  The default is \sphinxcode{dfl:}.
+a temporary directory.  The default is \sphinxcode{\sphinxupquote{dfl:}}.
 
 \item[{\sphinxstylestrong{KRB5RCACHETYPE}}] \leavevmode
+\sphinxAtStartPar
 Specifies the type of the default replay cache, if
 \sphinxstylestrong{KRB5RCACHENAME} is unspecified.  No residual can be specified,
-so \sphinxcode{none} and \sphinxcode{dfl} are the only useful types.
+so \sphinxcode{\sphinxupquote{none}} and \sphinxcode{\sphinxupquote{dfl}} are the only useful types.
 
 \item[{\sphinxstylestrong{KRB5RCACHEDIR}}] \leavevmode
-Specifies the directory used by the \sphinxcode{dfl} replay cache type.
+\sphinxAtStartPar
+Specifies the directory used by the \sphinxcode{\sphinxupquote{dfl}} replay cache type.
 The default is the value of the \sphinxstylestrong{TMPDIR} environment variable,
-or \sphinxcode{/var/tmp} if \sphinxstylestrong{TMPDIR} is not set.
+or \sphinxcode{\sphinxupquote{/var/tmp}} if \sphinxstylestrong{TMPDIR} is not set.
 
 \item[{\sphinxstylestrong{KRB5\_TRACE}}] \leavevmode
+\sphinxAtStartPar
 Specifies a filename to write trace log output to.  Trace logs can
 help illuminate decisions made internally by the Kerberos
-libraries.  For example, \sphinxcode{env KRB5\_TRACE=/dev/stderr kinit}
+libraries.  For example, \sphinxcode{\sphinxupquote{env KRB5\_TRACE=/dev/stderr kinit}}
 would send tracing information for {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}} to
-\sphinxcode{/dev/stderr}.  The default is not to write trace log output
+\sphinxcode{\sphinxupquote{/dev/stderr}}.  The default is not to write trace log output
 anywhere.
 
 \item[{\sphinxstylestrong{KRB5\_CLIENT\_KTNAME}}] \leavevmode
+\sphinxAtStartPar
 Default client keytab file name.  If unset, \DUrole{xref,std,std-ref}{DEFCKTNAME} will be
 used).
 
 \item[{\sphinxstylestrong{KPROP\_PORT}}] \leavevmode
+\sphinxAtStartPar
 \DUrole{xref,std,std-ref}{kprop(8)} port to use.  Defaults to 754.
 
 \item[{\sphinxstylestrong{GSS\_MECH\_CONFIG}}] \leavevmode
+\sphinxAtStartPar
 Specifies a filename containing GSSAPI mechanism module
-configuration.  The default is to read \DUrole{xref,std,std-ref}{SYSCONFDIR}\sphinxcode{/gss/mech}
-and files with a \sphinxcode{.conf} suffix within the directory
-\DUrole{xref,std,std-ref}{SYSCONFDIR}\sphinxcode{/gss/mech.d}.
+configuration.  The default is to read \DUrole{xref,std,std-ref}{SYSCONFDIR}\sphinxcode{\sphinxupquote{/gss/mech}}
+and files with a \sphinxcode{\sphinxupquote{.conf}} suffix within the directory
+\DUrole{xref,std,std-ref}{SYSCONFDIR}\sphinxcode{\sphinxupquote{/gss/mech.d}}.
 
 \end{description}
 
+\sphinxAtStartPar
 Most environment variables are disabled for certain programs, such as
 login system programs and setuid programs, which are designed to be
 secure when run within an untrusted process environment.
@@ -760,6 +857,7 @@ secure when run within an untrusted proc
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_config/kerberos:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{user/user_commands/kdestroy:kdestroy-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kdestroy}}}}, {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}}, {\hyperref[\detokenize{user/user_commands/klist:klist-1}]{\sphinxcrossref{\DUrole{std,std-ref}{klist}}}},
 {\hyperref[\detokenize{user/user_commands/kswitch:kswitch-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kswitch}}}}, {\hyperref[\detokenize{user/user_commands/kpasswd:kpasswd-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kpasswd}}}}, {\hyperref[\detokenize{user/user_commands/ksu:ksu-1}]{\sphinxcrossref{\DUrole{std,std-ref}{ksu}}}},
 \DUrole{xref,std,std-ref}{krb5.conf(5)}, \DUrole{xref,std,std-ref}{kdc.conf(5)}, \DUrole{xref,std,std-ref}{kadmin(1)},
@@ -781,6 +879,7 @@ secure when run within an untrusted proc
 
 \subsection{HISTORY}
 \label{\detokenize{user/user_config/kerberos:history}}
+\sphinxAtStartPar
 The MIT Kerberos 5 implementation was developed at MIT, with
 contributions from many outside parties.  It is currently maintained
 by the MIT Kerberos Consortium.
@@ -788,15 +887,17 @@ by the MIT Kerberos Consortium.
 
 \subsection{RESTRICTIONS}
 \label{\detokenize{user/user_config/kerberos:restrictions}}
-Copyright 1985, 1986, 1989-1996, 2002, 2011, 2018 Masachusetts
+\sphinxAtStartPar
+Copyright 1985, 1986, 1989\sphinxhyphen{}1996, 2002, 2011, 2018 Masachusetts
 Institute of Technology
 
 
 \section{.k5login}
-\label{\detokenize{user/user_config/k5login:k5login-5}}\label{\detokenize{user/user_config/k5login:k5login}}\label{\detokenize{user/user_config/k5login::doc}}
+\label{\detokenize{user/user_config/k5login:k5login}}\label{\detokenize{user/user_config/k5login:k5login-5}}\label{\detokenize{user/user_config/k5login::doc}}
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_config/k5login:description}}
+\sphinxAtStartPar
 The .k5login file, which resides in a user’s home directory, contains
 a list of the Kerberos principals.  Anyone with valid tickets for a
 principal in the file is allowed host access with the UID of the user
@@ -807,86 +908,97 @@ administrators remote root access to the
 
 \subsection{EXAMPLES}
 \label{\detokenize{user/user_config/k5login:examples}}
-Suppose the user \sphinxcode{alice} had a .k5login file in her home directory
+\sphinxAtStartPar
+Suppose the user \sphinxcode{\sphinxupquote{alice}} had a .k5login file in her home directory
 containing just the following line:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{bob}\PYG{n+nd}{@FOOBAR}\PYG{o}{.}\PYG{n}{ORG}
 \end{sphinxVerbatim}
 
-This would allow \sphinxcode{bob} to use Kerberos network applications, such as
-ssh(1), to access \sphinxcode{alice}’s account, using \sphinxcode{bob}’s Kerberos
+\sphinxAtStartPar
+This would allow \sphinxcode{\sphinxupquote{bob}} to use Kerberos network applications, such as
+ssh(1), to access \sphinxcode{\sphinxupquote{alice}}’s account, using \sphinxcode{\sphinxupquote{bob}}’s Kerberos
 tickets.  In a default configuration (with \sphinxstylestrong{k5login\_authoritative} set
 to true in \DUrole{xref,std,std-ref}{krb5.conf(5)}), this .k5login file would not let
-\sphinxcode{alice} use those network applications to access her account, since
+\sphinxcode{\sphinxupquote{alice}} use those network applications to access her account, since
 she is not listed!  With no .k5login file, or with \sphinxstylestrong{k5login\_authoritative}
-set to false, a default rule would permit the principal \sphinxcode{alice} in the
-machine’s default realm to access the \sphinxcode{alice} account.
+set to false, a default rule would permit the principal \sphinxcode{\sphinxupquote{alice}} in the
+machine’s default realm to access the \sphinxcode{\sphinxupquote{alice}} account.
 
-Let us further suppose that \sphinxcode{alice} is a system administrator.
+\sphinxAtStartPar
+Let us further suppose that \sphinxcode{\sphinxupquote{alice}} is a system administrator.
 Alice and the other system administrators would have their principals
 in root’s .k5login file on each host:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{alice}\PYG{n+nd}{@BLEEP}\PYG{o}{.}\PYG{n}{COM}
 
 \PYG{n}{joeadmin}\PYG{o}{/}\PYG{n}{root}\PYG{n+nd}{@BLEEP}\PYG{o}{.}\PYG{n}{COM}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 This would allow either system administrator to log in to these hosts
 using their Kerberos tickets instead of having to type the root
-password.  Note that because \sphinxcode{bob} retains the Kerberos tickets for
-his own principal, \sphinxcode{bob@FOOBAR.ORG}, he would not have any of the
-privileges that require \sphinxcode{alice}’s tickets, such as root access to
-any of the site’s hosts, or the ability to change \sphinxcode{alice}’s
+password.  Note that because \sphinxcode{\sphinxupquote{bob}} retains the Kerberos tickets for
+his own principal, \sphinxcode{\sphinxupquote{bob@FOOBAR.ORG}}, he would not have any of the
+privileges that require \sphinxcode{\sphinxupquote{alice}}’s tickets, such as root access to
+any of the site’s hosts, or the ability to change \sphinxcode{\sphinxupquote{alice}}’s
 password.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_config/k5login:see-also}}
+\sphinxAtStartPar
 kerberos(1)
 
 
 \section{.k5identity}
-\label{\detokenize{user/user_config/k5identity:k5identity-5}}\label{\detokenize{user/user_config/k5identity:k5identity}}\label{\detokenize{user/user_config/k5identity::doc}}
+\label{\detokenize{user/user_config/k5identity:k5identity}}\label{\detokenize{user/user_config/k5identity:k5identity-5}}\label{\detokenize{user/user_config/k5identity::doc}}
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_config/k5identity:description}}
+\sphinxAtStartPar
 The .k5identity file, which resides in a user’s home directory,
 contains a list of rules for selecting a client principals based on
 the server being accessed.  These rules are used to choose a
 credential cache within the cache collection when possible.
 
-Blank lines and lines beginning with \sphinxcode{\#} are ignored.  Each line has
+\sphinxAtStartPar
+Blank lines and lines beginning with \sphinxcode{\sphinxupquote{\#}} are ignored.  Each line has
 the form:
 \begin{quote}
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{principal} \sphinxstyleemphasis{field}=\sphinxstyleemphasis{value} …
 \end{quote}
 
+\sphinxAtStartPar
 If the server principal meets all of the field constraints, then
 principal is chosen as the client principal.  The following fields are
 recognized:
 \begin{description}
 \item[{\sphinxstylestrong{realm}}] \leavevmode
+\sphinxAtStartPar
 If the realm of the server principal is known, it is matched
 against \sphinxstyleemphasis{value}, which may be a pattern using shell wildcards.
-For host-based server principals, the realm will generally only be
+For host\sphinxhyphen{}based server principals, the realm will generally only be
 known if there is a \DUrole{xref,std,std-ref}{domain\_realm} section in
 \DUrole{xref,std,std-ref}{krb5.conf(5)} with a mapping for the hostname.
 
 \item[{\sphinxstylestrong{service}}] \leavevmode
-If the server principal is a host-based principal, its service
+\sphinxAtStartPar
+If the server principal is a host\sphinxhyphen{}based principal, its service
 component is matched against \sphinxstyleemphasis{value}, which may be a pattern using
 shell wildcards.
 
 \item[{\sphinxstylestrong{host}}] \leavevmode
-If the server principal is a host-based principal, its hostname
+\sphinxAtStartPar
+If the server principal is a host\sphinxhyphen{}based principal, its hostname
 component is converted to lower case and matched against \sphinxstyleemphasis{value},
 which may be a pattern using shell wildcards.
 
+\sphinxAtStartPar
 If the server principal matches the constraints of multiple lines
 in the .k5identity file, the principal from the first matching
 line is used.  If no line matches, credentials will be selected
@@ -898,13 +1010,13 @@ cache.
 
 \subsection{EXAMPLE}
 \label{\detokenize{user/user_config/k5identity:example}}
+\sphinxAtStartPar
 The following example .k5identity file selects the client principal
-\sphinxcode{alice@KRBTEST.COM} if the server principal is within that realm,
-the principal \sphinxcode{alice/root@EXAMPLE.COM} if the server host is within
-a servers subdomain, and the principal \sphinxcode{alice/mail@EXAMPLE.COM} when
-accessing the IMAP service on \sphinxcode{mail.example.com}:
+\sphinxcode{\sphinxupquote{alice@KRBTEST.COM}} if the server principal is within that realm,
+the principal \sphinxcode{\sphinxupquote{alice/root@EXAMPLE.COM}} if the server host is within
+a servers subdomain, and the principal \sphinxcode{\sphinxupquote{alice/mail@EXAMPLE.COM}} when
+accessing the IMAP service on \sphinxcode{\sphinxupquote{mail.example.com}}:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{alice}\PYG{n+nd}{@KRBTEST}\PYG{o}{.}\PYG{n}{COM}       \PYG{n}{realm}\PYG{o}{=}\PYG{n}{KRBTEST}\PYG{o}{.}\PYG{n}{COM}
 \PYG{n}{alice}\PYG{o}{/}\PYG{n}{root}\PYG{n+nd}{@EXAMPLE}\PYG{o}{.}\PYG{n}{COM}  \PYG{n}{host}\PYG{o}{=}\PYG{o}{*}\PYG{o}{.}\PYG{n}{servers}\PYG{o}{.}\PYG{n}{example}\PYG{o}{.}\PYG{n}{com}
@@ -914,26 +1026,29 @@ accessing the IMAP service on \sphinxcod
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_config/k5identity:see-also}}
+\sphinxAtStartPar
 kerberos(1), \DUrole{xref,std,std-ref}{krb5.conf(5)}
 
 
 \chapter{User commands}
-\label{\detokenize{user/user_commands/index::doc}}\label{\detokenize{user/user_commands/index:user-commands}}\label{\detokenize{user/user_commands/index:id1}}
+\label{\detokenize{user/user_commands/index:user-commands}}\label{\detokenize{user/user_commands/index:id1}}\label{\detokenize{user/user_commands/index::doc}}
 
 \section{kdestroy}
-\label{\detokenize{user/user_commands/kdestroy:kdestroy}}\label{\detokenize{user/user_commands/kdestroy::doc}}\label{\detokenize{user/user_commands/kdestroy:kdestroy-1}}
+\label{\detokenize{user/user_commands/kdestroy:kdestroy}}\label{\detokenize{user/user_commands/kdestroy:kdestroy-1}}\label{\detokenize{user/user_commands/kdestroy::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{user/user_commands/kdestroy:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kdestroy}
-{[}\sphinxstylestrong{-A}{]}
-{[}\sphinxstylestrong{-q}{]}
-{[}\sphinxstylestrong{-c} \sphinxstyleemphasis{cache\_name}{]}
-{[}\sphinxstylestrong{-p} \sphinxstyleemphasis{princ\_name}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}A}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}q}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{cache\_name}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{princ\_name}{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_commands/kdestroy:description}}
+\sphinxAtStartPar
 The kdestroy utility destroys the user’s active Kerberos authorization
 tickets by overwriting and deleting the credentials cache that
 contains them.  If the credentials cache is not specified, the default
@@ -942,34 +1057,40 @@ credentials cache is destroyed.
 
 \subsection{OPTIONS}
 \label{\detokenize{user/user_commands/kdestroy:options}}\begin{description}
-\item[{\sphinxstylestrong{-A}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}A}}] \leavevmode
+\sphinxAtStartPar
 Destroys all caches in the collection, if a cache collection is
-available.  May be used with the \sphinxstylestrong{-c} option to specify the
+available.  May be used with the \sphinxstylestrong{\sphinxhyphen{}c} option to specify the
 collection to be destroyed.
 
-\item[{\sphinxstylestrong{-q}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}q}}] \leavevmode
+\sphinxAtStartPar
 Run quietly.  Normally kdestroy beeps if it fails to destroy the
-user’s tickets.  The \sphinxstylestrong{-q} flag suppresses this behavior.
+user’s tickets.  The \sphinxstylestrong{\sphinxhyphen{}q} flag suppresses this behavior.
 
-\item[{\sphinxstylestrong{-c} \sphinxstyleemphasis{cache\_name}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{cache\_name}}] \leavevmode
+\sphinxAtStartPar
 Use \sphinxstyleemphasis{cache\_name} as the credentials (ticket) cache name and
 location; if this option is not used, the default cache name and
 location are used.
 
+\sphinxAtStartPar
 The default credentials cache may vary between systems.  If the
 \sphinxstylestrong{KRB5CCNAME} environment variable is set, its value is used to
 name the default ticket cache.
 
-\item[{\sphinxstylestrong{-p} \sphinxstyleemphasis{princ\_name}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{princ\_name}}] \leavevmode
+\sphinxAtStartPar
 If a cache collection is available, destroy the cache for
 \sphinxstyleemphasis{princ\_name} instead of the primary cache.  May be used with the
-\sphinxstylestrong{-c} option to specify the collection to be searched.
+\sphinxstylestrong{\sphinxhyphen{}c} option to specify the collection to be searched.
 
 \end{description}
 
 
 \subsection{NOTE}
 \label{\detokenize{user/user_commands/kdestroy:note}}
+\sphinxAtStartPar
 Most installations recommend that you place the kdestroy command in
 your .logout file, so that your tickets are destroyed automatically
 when you log out.
@@ -977,6 +1098,7 @@ when you log out.
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{user/user_commands/kdestroy:environment}}
+\sphinxAtStartPar
 See {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}} for a description of Kerberos environment
 variables.
 
@@ -984,6 +1106,7 @@ variables.
 \subsection{FILES}
 \label{\detokenize{user/user_commands/kdestroy:files}}\begin{description}
 \item[{\DUrole{xref,std,std-ref}{DEFCCNAME}}] \leavevmode
+\sphinxAtStartPar
 Default location of Kerberos 5 credentials cache
 
 \end{description}
@@ -991,41 +1114,44 @@ Default location of Kerberos 5 credentia
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_commands/kdestroy:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}}, {\hyperref[\detokenize{user/user_commands/klist:klist-1}]{\sphinxcrossref{\DUrole{std,std-ref}{klist}}}}, {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}}
 
 
 \section{kinit}
-\label{\detokenize{user/user_commands/kinit:kinit-1}}\label{\detokenize{user/user_commands/kinit:kinit}}\label{\detokenize{user/user_commands/kinit::doc}}
+\label{\detokenize{user/user_commands/kinit:kinit}}\label{\detokenize{user/user_commands/kinit:kinit-1}}\label{\detokenize{user/user_commands/kinit::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{user/user_commands/kinit:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kinit}
-{[}\sphinxstylestrong{-V}{]}
-{[}\sphinxstylestrong{-l} \sphinxstyleemphasis{lifetime}{]}
-{[}\sphinxstylestrong{-s} \sphinxstyleemphasis{start\_time}{]}
-{[}\sphinxstylestrong{-r} \sphinxstyleemphasis{renewable\_life}{]}
-{[}\sphinxstylestrong{-p} \textbar{} -\sphinxstylestrong{P}{]}
-{[}\sphinxstylestrong{-f} \textbar{} -\sphinxstylestrong{F}{]}
-{[}\sphinxstylestrong{-a}{]}
-{[}\sphinxstylestrong{-A}{]}
-{[}\sphinxstylestrong{-C}{]}
-{[}\sphinxstylestrong{-E}{]}
-{[}\sphinxstylestrong{-v}{]}
-{[}\sphinxstylestrong{-R}{]}
-{[}\sphinxstylestrong{-k} {[}\sphinxstylestrong{-i} \textbar{} -\sphinxstylestrong{t} \sphinxstyleemphasis{keytab\_file}{]}{]}
-{[}\sphinxstylestrong{-c} \sphinxstyleemphasis{cache\_name}{]}
-{[}\sphinxstylestrong{-n}{]}
-{[}\sphinxstylestrong{-S} \sphinxstyleemphasis{service\_name}{]}
-{[}\sphinxstylestrong{-I} \sphinxstyleemphasis{input\_ccache}{]}
-{[}\sphinxstylestrong{-T} \sphinxstyleemphasis{armor\_ccache}{]}
-{[}\sphinxstylestrong{-X} \sphinxstyleemphasis{attribute}{[}=\sphinxstyleemphasis{value}{]}{]}
-{[}\sphinxstylestrong{\textendash{}request-pac} \textbar{} \sphinxstylestrong{\textendash{}no-request-pac}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}V}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}l} \sphinxstyleemphasis{lifetime}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}s} \sphinxstyleemphasis{start\_time}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{renewable\_life}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}p} | \sphinxhyphen{}\sphinxstylestrong{P}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}f} | \sphinxhyphen{}\sphinxstylestrong{F}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}a}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}A}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}C}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}E}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}v}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}R}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}k} {[}\sphinxstylestrong{\sphinxhyphen{}i} | \sphinxhyphen{}\sphinxstylestrong{t} \sphinxstyleemphasis{keytab\_file}{]}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{cache\_name}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}n}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}S} \sphinxstyleemphasis{service\_name}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}I} \sphinxstyleemphasis{input\_ccache}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}T} \sphinxstyleemphasis{armor\_ccache}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}X} \sphinxstyleemphasis{attribute}{[}=\sphinxstyleemphasis{value}{]}{]}
+{[}\sphinxstylestrong{\textendash{}request\sphinxhyphen{}pac} | \sphinxstylestrong{\textendash{}no\sphinxhyphen{}request\sphinxhyphen{}pac}{]}
 {[}\sphinxstyleemphasis{principal}{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_commands/kinit:description}}
-kinit obtains and caches an initial ticket-granting ticket for
+\sphinxAtStartPar
+kinit obtains and caches an initial ticket\sphinxhyphen{}granting ticket for
 \sphinxstyleemphasis{principal}.  If \sphinxstyleemphasis{principal} is absent, kinit chooses an appropriate
 principal name based on existing credential cache contents or the
 local username of the user invoking kinit.  Some options modify the
@@ -1034,111 +1160,136 @@ choice of principal name.
 
 \subsection{OPTIONS}
 \label{\detokenize{user/user_commands/kinit:options}}\begin{description}
-\item[{\sphinxstylestrong{-V}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}V}}] \leavevmode
+\sphinxAtStartPar
 display verbose output.
 
-\item[{\sphinxstylestrong{-l} \sphinxstyleemphasis{lifetime}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}l} \sphinxstyleemphasis{lifetime}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} string.)  Requests a ticket with the lifetime
 \sphinxstyleemphasis{lifetime}.
 
-For example, \sphinxcode{kinit -l 5:30} or \sphinxcode{kinit -l 5h30m}.
+\sphinxAtStartPar
+For example, \sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}l 5:30}} or \sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}l 5h30m}}.
 
-If the \sphinxstylestrong{-l} option is not specified, the default ticket lifetime
+\sphinxAtStartPar
+If the \sphinxstylestrong{\sphinxhyphen{}l} option is not specified, the default ticket lifetime
 (configured by each site) is used.  Specifying a ticket lifetime
 longer than the maximum ticket lifetime (configured by each site)
 will not override the configured maximum ticket lifetime.
 
-\item[{\sphinxstylestrong{-s} \sphinxstyleemphasis{start\_time}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}s} \sphinxstyleemphasis{start\_time}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} string.)  Requests a postdated ticket.  Postdated
 tickets are issued with the \sphinxstylestrong{invalid} flag set, and need to be
 resubmitted to the KDC for validation before use.
 
+\sphinxAtStartPar
 \sphinxstyleemphasis{start\_time} specifies the duration of the delay before the ticket
 can become valid.
 
-\item[{\sphinxstylestrong{-r} \sphinxstyleemphasis{renewable\_life}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{renewable\_life}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} string.)  Requests renewable tickets, with a total
 lifetime of \sphinxstyleemphasis{renewable\_life}.
 
-\item[{\sphinxstylestrong{-f}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}f}}] \leavevmode
+\sphinxAtStartPar
 requests forwardable tickets.
 
-\item[{\sphinxstylestrong{-F}}] \leavevmode
-requests non-forwardable tickets.
+\item[{\sphinxstylestrong{\sphinxhyphen{}F}}] \leavevmode
+\sphinxAtStartPar
+requests non\sphinxhyphen{}forwardable tickets.
 
-\item[{\sphinxstylestrong{-p}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}p}}] \leavevmode
+\sphinxAtStartPar
 requests proxiable tickets.
 
-\item[{\sphinxstylestrong{-P}}] \leavevmode
-requests non-proxiable tickets.
+\item[{\sphinxstylestrong{\sphinxhyphen{}P}}] \leavevmode
+\sphinxAtStartPar
+requests non\sphinxhyphen{}proxiable tickets.
 
-\item[{\sphinxstylestrong{-a}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}a}}] \leavevmode
+\sphinxAtStartPar
 requests tickets restricted to the host’s local address{[}es{]}.
 
-\item[{\sphinxstylestrong{-A}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}A}}] \leavevmode
+\sphinxAtStartPar
 requests tickets not restricted by address.
 
-\item[{\sphinxstylestrong{-C}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}C}}] \leavevmode
+\sphinxAtStartPar
 requests canonicalization of the principal name, and allows the
 KDC to reply with a different client principal from the one
 requested.
 
-\item[{\sphinxstylestrong{-E}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}E}}] \leavevmode
+\sphinxAtStartPar
 treats the principal name as an enterprise name.
 
-\item[{\sphinxstylestrong{-v}}] \leavevmode
-requests that the ticket-granting ticket in the cache (with the
+\item[{\sphinxstylestrong{\sphinxhyphen{}v}}] \leavevmode
+\sphinxAtStartPar
+requests that the ticket\sphinxhyphen{}granting ticket in the cache (with the
 \sphinxstylestrong{invalid} flag set) be passed to the KDC for validation.  If the
 ticket is within its requested time range, the cache is replaced
 with the validated ticket.
 
-\item[{\sphinxstylestrong{-R}}] \leavevmode
-requests renewal of the ticket-granting ticket.  Note that an
+\item[{\sphinxstylestrong{\sphinxhyphen{}R}}] \leavevmode
+\sphinxAtStartPar
+requests renewal of the ticket\sphinxhyphen{}granting ticket.  Note that an
 expired ticket cannot be renewed, even if the ticket is still
 within its renewable life.
 
+\sphinxAtStartPar
 Note that renewable tickets that have expired as reported by
 {\hyperref[\detokenize{user/user_commands/klist:klist-1}]{\sphinxcrossref{\DUrole{std,std-ref}{klist}}}} may sometimes be renewed using this option,
-because the KDC applies a grace period to account for client-KDC
+because the KDC applies a grace period to account for client\sphinxhyphen{}KDC
 clock skew.  See \DUrole{xref,std,std-ref}{krb5.conf(5)} \sphinxstylestrong{clockskew} setting.
 
-\item[{\sphinxstylestrong{-k} {[}\sphinxstylestrong{-i} \textbar{} \sphinxstylestrong{-t} \sphinxstyleemphasis{keytab\_file}{]}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k} {[}\sphinxstylestrong{\sphinxhyphen{}i} | \sphinxstylestrong{\sphinxhyphen{}t} \sphinxstyleemphasis{keytab\_file}{]}}] \leavevmode
+\sphinxAtStartPar
 requests a ticket, obtained from a key in the local host’s keytab.
-The location of the keytab may be specified with the \sphinxstylestrong{-t}
-\sphinxstyleemphasis{keytab\_file} option, or with the \sphinxstylestrong{-i} option to specify the use
+The location of the keytab may be specified with the \sphinxstylestrong{\sphinxhyphen{}t}
+\sphinxstyleemphasis{keytab\_file} option, or with the \sphinxstylestrong{\sphinxhyphen{}i} option to specify the use
 of the default client keytab; otherwise the default keytab will be
 used.  By default, a host ticket for the local host is requested,
 but any principal may be specified.  On a KDC, the special keytab
-location \sphinxcode{KDB:} can be used to indicate that kinit should open
+location \sphinxcode{\sphinxupquote{KDB:}} can be used to indicate that kinit should open
 the KDC database and look up the key directly.  This permits an
 administrator to obtain tickets as any principal that supports
 authentication based on the key.
 
-\item[{\sphinxstylestrong{-n}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}n}}] \leavevmode
+\sphinxAtStartPar
 Requests anonymous processing.  Two types of anonymous principals
 are supported.
 
+\sphinxAtStartPar
 For fully anonymous Kerberos, configure pkinit on the KDC and
 configure \sphinxstylestrong{pkinit\_anchors} in the client’s \DUrole{xref,std,std-ref}{krb5.conf(5)}.
-Then use the \sphinxstylestrong{-n} option with a principal of the form \sphinxcode{@REALM}
-(an empty principal name followed by the at-sign and a realm
+Then use the \sphinxstylestrong{\sphinxhyphen{}n} option with a principal of the form \sphinxcode{\sphinxupquote{@REALM}}
+(an empty principal name followed by the at\sphinxhyphen{}sign and a realm
 name).  If permitted by the KDC, an anonymous ticket will be
 returned.
 
+\sphinxAtStartPar
 A second form of anonymous tickets is supported; these
-realm-exposed tickets hide the identity of the client but not the
-client’s realm.  For this mode, use \sphinxcode{kinit -n} with a normal
+realm\sphinxhyphen{}exposed tickets hide the identity of the client but not the
+client’s realm.  For this mode, use \sphinxcode{\sphinxupquote{kinit \sphinxhyphen{}n}} with a normal
 principal name.  If supported by the KDC, the principal (but not
 realm) will be replaced by the anonymous principal.
 
+\sphinxAtStartPar
 As of release 1.8, the MIT Kerberos KDC only supports fully
 anonymous operation.
 
 \end{description}
 
-\sphinxstylestrong{-I} \sphinxstyleemphasis{input\_ccache}
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}I} \sphinxstyleemphasis{input\_ccache}
 \begin{quote}
 
+\sphinxAtStartPar
 Specifies the name of a credentials cache that already contains a
 ticket.  When obtaining that ticket, if information about how that
 ticket was obtained was also stored to the cache, that information
@@ -1146,7 +1297,8 @@ will be used to affect how new credentia
 preselecting the same methods of authenticating to the KDC.
 \end{quote}
 \begin{description}
-\item[{\sphinxstylestrong{-T} \sphinxstyleemphasis{armor\_ccache}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}T} \sphinxstyleemphasis{armor\_ccache}}] \leavevmode
+\sphinxAtStartPar
 Specifies the name of a credentials cache that already contains a
 ticket.  If supported by the KDC, this cache will be used to armor
 the request, preventing offline dictionary attacks and allowing
@@ -1154,11 +1306,13 @@ the use of additional preauthentication
 makes sure that the response from the KDC is not modified in
 transit.
 
-\item[{\sphinxstylestrong{-c} \sphinxstyleemphasis{cache\_name}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{cache\_name}}] \leavevmode
+\sphinxAtStartPar
 use \sphinxstyleemphasis{cache\_name} as the Kerberos 5 credentials (ticket) cache
 location.  If this option is not used, the default cache location
 is used.
 
+\sphinxAtStartPar
 The default cache location may vary between systems.  If the
 \sphinxstylestrong{KRB5CCNAME} environment variable is set, its value is used to
 locate the default cache.  If a principal name is specified and
@@ -1168,38 +1322,46 @@ principal is selected or a new one is cr
 primary cache.  Otherwise, any existing contents of the default
 cache are destroyed by kinit.
 
-\item[{\sphinxstylestrong{-S} \sphinxstyleemphasis{service\_name}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}S} \sphinxstyleemphasis{service\_name}}] \leavevmode
+\sphinxAtStartPar
 specify an alternate service name to use when getting initial
 tickets.
 
-\item[{\sphinxstylestrong{-X} \sphinxstyleemphasis{attribute}{[}=\sphinxstyleemphasis{value}{]}}] \leavevmode
-specify a pre-authentication \sphinxstyleemphasis{attribute} and \sphinxstyleemphasis{value} to be
-interpreted by pre-authentication modules.  The acceptable
+\item[{\sphinxstylestrong{\sphinxhyphen{}X} \sphinxstyleemphasis{attribute}{[}=\sphinxstyleemphasis{value}{]}}] \leavevmode
+\sphinxAtStartPar
+specify a pre\sphinxhyphen{}authentication \sphinxstyleemphasis{attribute} and \sphinxstyleemphasis{value} to be
+interpreted by pre\sphinxhyphen{}authentication modules.  The acceptable
 attribute and value values vary from module to module.  This
 option may be specified multiple times to specify multiple
 attributes.  If no value is specified, it is assumed to be “yes”.
 
+\sphinxAtStartPar
 The following attributes are recognized by the PKINIT
-pre-authentication mechanism:
+pre\sphinxhyphen{}authentication mechanism:
 \begin{description}
 \item[{\sphinxstylestrong{X509\_user\_identity}=\sphinxstyleemphasis{value}}] \leavevmode
+\sphinxAtStartPar
 specify where to find user’s X509 identity information
 
 \item[{\sphinxstylestrong{X509\_anchors}=\sphinxstyleemphasis{value}}] \leavevmode
+\sphinxAtStartPar
 specify where to find trusted X509 anchor information
 
 \item[{\sphinxstylestrong{flag\_RSA\_PROTOCOL}{[}\sphinxstylestrong{=yes}{]}}] \leavevmode
-specify use of RSA, rather than the default Diffie-Hellman
+\sphinxAtStartPar
+specify use of RSA, rather than the default Diffie\sphinxhyphen{}Hellman
 protocol
 
 \item[{\sphinxstylestrong{disable\_freshness}{[}\sphinxstylestrong{=yes}{]}}] \leavevmode
+\sphinxAtStartPar
 disable sending freshness tokens (for testing purposes only)
 
 \end{description}
 
-\item[{\sphinxstylestrong{\textendash{}request-pac} \textbar{} \sphinxstylestrong{\textendash{}no-request-pac}}] \leavevmode
-mutually exclusive.  If \sphinxstylestrong{\textendash{}request-pac} is set, ask the KDC to
-include a PAC in authdata; if \sphinxstylestrong{\textendash{}no-request-pac} is set, ask the
+\item[{\sphinxstylestrong{\textendash{}request\sphinxhyphen{}pac} | \sphinxstylestrong{\textendash{}no\sphinxhyphen{}request\sphinxhyphen{}pac}}] \leavevmode
+\sphinxAtStartPar
+mutually exclusive.  If \sphinxstylestrong{\textendash{}request\sphinxhyphen{}pac} is set, ask the KDC to
+include a PAC in authdata; if \sphinxstylestrong{\textendash{}no\sphinxhyphen{}request\sphinxhyphen{}pac} is set, ask the
 KDC not to include a PAC; if neither are set,  the KDC will follow
 its default, which is typically is to include a PAC if doing so is
 supported.
@@ -1209,6 +1371,7 @@ supported.
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{user/user_commands/kinit:environment}}
+\sphinxAtStartPar
 See {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}} for a description of Kerberos environment
 variables.
 
@@ -1216,9 +1379,11 @@ variables.
 \subsection{FILES}
 \label{\detokenize{user/user_commands/kinit:files}}\begin{description}
 \item[{\DUrole{xref,std,std-ref}{DEFCCNAME}}] \leavevmode
+\sphinxAtStartPar
 default location of Kerberos 5 credentials cache
 
 \item[{\DUrole{xref,std,std-ref}{DEFKTNAME}}] \leavevmode
+\sphinxAtStartPar
 default location for the local host’s keytab.
 
 \end{description}
@@ -1226,54 +1391,61 @@ default location for the local host’s
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_commands/kinit:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{user/user_commands/klist:klist-1}]{\sphinxcrossref{\DUrole{std,std-ref}{klist}}}}, {\hyperref[\detokenize{user/user_commands/kdestroy:kdestroy-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kdestroy}}}}, {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}}
 
 
 \section{klist}
-\label{\detokenize{user/user_commands/klist:klist}}\label{\detokenize{user/user_commands/klist::doc}}\label{\detokenize{user/user_commands/klist:klist-1}}
+\label{\detokenize{user/user_commands/klist:klist}}\label{\detokenize{user/user_commands/klist:klist-1}}\label{\detokenize{user/user_commands/klist::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{user/user_commands/klist:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{klist}
-{[}\sphinxstylestrong{-e}{]}
-{[}{[}\sphinxstylestrong{-c}{]} {[}\sphinxstylestrong{-l}{]} {[}\sphinxstylestrong{-A}{]} {[}\sphinxstylestrong{-f}{]} {[}\sphinxstylestrong{-s}{]} {[}\sphinxstylestrong{-a} {[}\sphinxstylestrong{-n}{]}{]}{]}
-{[}\sphinxstylestrong{-C}{]}
-{[}\sphinxstylestrong{-k} {[}\sphinxstylestrong{-i}{]} {[}\sphinxstylestrong{-t}{]} {[}\sphinxstylestrong{-K}{]}{]}
-{[}\sphinxstylestrong{-V}{]}
-{[}\sphinxstylestrong{-d}{]}
-{[}\sphinxstyleemphasis{cache\_name}\textbar{}\sphinxstyleemphasis{keytab\_name}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}e}{]}
+{[}{[}\sphinxstylestrong{\sphinxhyphen{}c}{]} {[}\sphinxstylestrong{\sphinxhyphen{}l}{]} {[}\sphinxstylestrong{\sphinxhyphen{}A}{]} {[}\sphinxstylestrong{\sphinxhyphen{}f}{]} {[}\sphinxstylestrong{\sphinxhyphen{}s}{]} {[}\sphinxstylestrong{\sphinxhyphen{}a} {[}\sphinxstylestrong{\sphinxhyphen{}n}{]}{]}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}C}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}k} {[}\sphinxstylestrong{\sphinxhyphen{}i}{]} {[}\sphinxstylestrong{\sphinxhyphen{}t}{]} {[}\sphinxstylestrong{\sphinxhyphen{}K}{]}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}V}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}d}{]}
+{[}\sphinxstyleemphasis{cache\_name}|\sphinxstyleemphasis{keytab\_name}{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_commands/klist:description}}
+\sphinxAtStartPar
 klist lists the Kerberos principal and Kerberos tickets held in a
 credentials cache, or the keys held in a keytab file.
 
 
 \subsection{OPTIONS}
 \label{\detokenize{user/user_commands/klist:options}}\begin{description}
-\item[{\sphinxstylestrong{-e}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}e}}] \leavevmode
+\sphinxAtStartPar
 Displays the encryption types of the session key and the ticket
 for each credential in the credential cache, or each key in the
 keytab file.
 
-\item[{\sphinxstylestrong{-l}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}l}}] \leavevmode
+\sphinxAtStartPar
 If a cache collection is available, displays a table summarizing
 the caches present in the collection.
 
-\item[{\sphinxstylestrong{-A}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}A}}] \leavevmode
+\sphinxAtStartPar
 If a cache collection is available, displays the contents of all
 of the caches in the collection.
 
-\item[{\sphinxstylestrong{-c}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}c}}] \leavevmode
+\sphinxAtStartPar
 List tickets held in a credentials cache. This is the default if
-neither \sphinxstylestrong{-c} nor \sphinxstylestrong{-k} is specified.
+neither \sphinxstylestrong{\sphinxhyphen{}c} nor \sphinxstylestrong{\sphinxhyphen{}k} is specified.
 
-\item[{\sphinxstylestrong{-f}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}f}}] \leavevmode
+\sphinxAtStartPar
 Shows the flags present in the credentials, using the following
 abbreviations:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{F}    \PYG{n}{Forwardable}
 \PYG{n}{f}    \PYG{n}{forwarded}
@@ -1291,46 +1463,57 @@ abbreviations:
 \PYG{n}{a}    \PYG{n}{anonymous}
 \end{sphinxVerbatim}
 
-\item[{\sphinxstylestrong{-s}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}s}}] \leavevmode
+\sphinxAtStartPar
 Causes klist to run silently (produce no output).  klist will exit
 with status 1 if the credentials cache cannot be read or is
 expired, and with status 0 otherwise.
 
-\item[{\sphinxstylestrong{-a}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}a}}] \leavevmode
+\sphinxAtStartPar
 Display list of addresses in credentials.
 
-\item[{\sphinxstylestrong{-n}}] \leavevmode
-Show numeric addresses instead of reverse-resolving addresses.
+\item[{\sphinxstylestrong{\sphinxhyphen{}n}}] \leavevmode
+\sphinxAtStartPar
+Show numeric addresses instead of reverse\sphinxhyphen{}resolving addresses.
 
-\item[{\sphinxstylestrong{-C}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}C}}] \leavevmode
+\sphinxAtStartPar
 List configuration data that has been stored in the credentials
 cache when klist encounters it.  By default, configuration data
 is not listed.
 
-\item[{\sphinxstylestrong{-k}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k}}] \leavevmode
+\sphinxAtStartPar
 List keys held in a keytab file.
 
-\item[{\sphinxstylestrong{-i}}] \leavevmode
-In combination with \sphinxstylestrong{-k}, defaults to using the default client
+\item[{\sphinxstylestrong{\sphinxhyphen{}i}}] \leavevmode
+\sphinxAtStartPar
+In combination with \sphinxstylestrong{\sphinxhyphen{}k}, defaults to using the default client
 keytab instead of the default acceptor keytab, if no name is
 given.
 
-\item[{\sphinxstylestrong{-t}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}t}}] \leavevmode
+\sphinxAtStartPar
 Display the time entry timestamps for each keytab entry in the
 keytab file.
 
-\item[{\sphinxstylestrong{-K}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}K}}] \leavevmode
+\sphinxAtStartPar
 Display the value of the encryption key in each keytab entry in
 the keytab file.
 
-\item[{\sphinxstylestrong{-d}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}d}}] \leavevmode
+\sphinxAtStartPar
 Display the authdata types (if any) for each entry.
 
-\item[{\sphinxstylestrong{-V}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}V}}] \leavevmode
+\sphinxAtStartPar
 Display the Kerberos version number and exit.
 
 \end{description}
 
+\sphinxAtStartPar
 If \sphinxstyleemphasis{cache\_name} or \sphinxstyleemphasis{keytab\_name} is not specified, klist will display
 the credentials in the default credentials cache or keytab file as
 appropriate.  If the \sphinxstylestrong{KRB5CCNAME} environment variable is set, its
@@ -1339,6 +1522,7 @@ value is used to locate the default tick
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{user/user_commands/klist:environment}}
+\sphinxAtStartPar
 See {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}} for a description of Kerberos environment
 variables.
 
@@ -1346,9 +1530,11 @@ variables.
 \subsection{FILES}
 \label{\detokenize{user/user_commands/klist:files}}\begin{description}
 \item[{\DUrole{xref,std,std-ref}{DEFCCNAME}}] \leavevmode
+\sphinxAtStartPar
 Default location of Kerberos 5 credentials cache
 
 \item[{\DUrole{xref,std,std-ref}{DEFKTNAME}}] \leavevmode
+\sphinxAtStartPar
 Default location for the local host’s keytab file.
 
 \end{description}
@@ -1356,23 +1542,27 @@ Default location for the local host’s
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_commands/klist:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}}, {\hyperref[\detokenize{user/user_commands/kdestroy:kdestroy-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kdestroy}}}}, {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}}
 
 
 \section{kpasswd}
-\label{\detokenize{user/user_commands/kpasswd:kpasswd}}\label{\detokenize{user/user_commands/kpasswd::doc}}\label{\detokenize{user/user_commands/kpasswd:kpasswd-1}}
+\label{\detokenize{user/user_commands/kpasswd:kpasswd}}\label{\detokenize{user/user_commands/kpasswd:kpasswd-1}}\label{\detokenize{user/user_commands/kpasswd::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{user/user_commands/kpasswd:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kpasswd} {[}\sphinxstyleemphasis{principal}{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_commands/kpasswd:description}}
+\sphinxAtStartPar
 The kpasswd command is used to change a Kerberos principal’s password.
 kpasswd first prompts for the current Kerberos password, then prompts
 the user twice for the new password, and the password is changed.
 
+\sphinxAtStartPar
 If the principal is governed by a policy that specifies the length
 and/or number of character classes required in the new password, the
 new password must conform to the policy.  (The five character classes
@@ -1383,6 +1573,7 @@ characters.)
 \subsection{OPTIONS}
 \label{\detokenize{user/user_commands/kpasswd:options}}\begin{description}
 \item[{\sphinxstyleemphasis{principal}}] \leavevmode
+\sphinxAtStartPar
 Change the password for the Kerberos principal principal.
 Otherwise, kpasswd uses the principal name from an existing ccache
 if there is one; if not, the principal is derived from the
@@ -1393,65 +1584,80 @@ identity of the user invoking the kpassw
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{user/user_commands/kpasswd:environment}}
+\sphinxAtStartPar
 See {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_commands/kpasswd:see-also}}
+\sphinxAtStartPar
 \DUrole{xref,std,std-ref}{kadmin(1)}, \DUrole{xref,std,std-ref}{kadmind(8)}, {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}}
 
 
-\section{krb5-config}
-\label{\detokenize{user/user_commands/krb5-config:krb5-config-1}}\label{\detokenize{user/user_commands/krb5-config:krb5-config}}\label{\detokenize{user/user_commands/krb5-config::doc}}
+\section{krb5\sphinxhyphen{}config}
+\label{\detokenize{user/user_commands/krb5-config:krb5-config}}\label{\detokenize{user/user_commands/krb5-config:krb5-config-1}}\label{\detokenize{user/user_commands/krb5-config::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{user/user_commands/krb5-config:synopsis}}
-\sphinxstylestrong{krb5-config}
-{[}\sphinxstylestrong{-}\sphinxstylestrong{-help} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-all} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-version} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-vendor} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-prefix} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-exec-prefix} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-defccname} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-defktname} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-defcktname} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-cflags} \textbar{} \sphinxstylestrong{-}\sphinxstylestrong{-libs} {[}\sphinxstyleemphasis{libraries}{]}{]}
+\sphinxAtStartPar
+\sphinxstylestrong{krb5\sphinxhyphen{}config}
+{[}\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}help} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}all} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}version} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}vendor} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}prefix} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}exec\sphinxhyphen{}prefix} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}defccname} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}defktname} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}defcktname} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}cflags} | \sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}libs} {[}\sphinxstyleemphasis{libraries}{]}{]}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_commands/krb5-config:description}}
-krb5-config tells the application programmer what flags to use to compile
+\sphinxAtStartPar
+krb5\sphinxhyphen{}config tells the application programmer what flags to use to compile
 and link programs against the installed Kerberos libraries.
 
 
 \subsection{OPTIONS}
 \label{\detokenize{user/user_commands/krb5-config:options}}\begin{description}
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-help}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}help}}] \leavevmode
+\sphinxAtStartPar
 prints a usage message.  This is the default behavior when no options
 are specified.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-all}}] \leavevmode
-prints the version, vendor, prefix, and exec-prefix.
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}all}}] \leavevmode
+\sphinxAtStartPar
+prints the version, vendor, prefix, and exec\sphinxhyphen{}prefix.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-version}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}version}}] \leavevmode
+\sphinxAtStartPar
 prints the version number of the Kerberos installation.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-vendor}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}vendor}}] \leavevmode
+\sphinxAtStartPar
 prints the name of the vendor of the Kerberos installation.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-prefix}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}prefix}}] \leavevmode
+\sphinxAtStartPar
 prints the prefix for which the Kerberos installation was built.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-exec-prefix}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}exec\sphinxhyphen{}prefix}}] \leavevmode
+\sphinxAtStartPar
 prints the prefix for executables for which the Kerberos installation
 was built.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-defccname}}] \leavevmode
-prints the built-in default credentials cache location.
-
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-defktname}}] \leavevmode
-prints the built-in default keytab location.
-
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-defcktname}}] \leavevmode
-prints the built-in default client (initiator) keytab location.
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}defccname}}] \leavevmode
+\sphinxAtStartPar
+prints the built\sphinxhyphen{}in default credentials cache location.
+
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}defktname}}] \leavevmode
+\sphinxAtStartPar
+prints the built\sphinxhyphen{}in default keytab location.
+
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}defcktname}}] \leavevmode
+\sphinxAtStartPar
+prints the built\sphinxhyphen{}in default client (initiator) keytab location.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-cflags}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}cflags}}] \leavevmode
+\sphinxAtStartPar
 prints the compilation flags used to build the Kerberos installation.
 
-\item[{\sphinxstylestrong{-}\sphinxstylestrong{-libs} {[}\sphinxstyleemphasis{library}{]}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}}\sphinxstylestrong{\sphinxhyphen{}libs} {[}\sphinxstyleemphasis{library}{]}}] \leavevmode
+\sphinxAtStartPar
 prints the compiler options needed to link against \sphinxstyleemphasis{library}.
 Allowed values for \sphinxstyleemphasis{library} are:
 
@@ -1461,28 +1667,38 @@ Allowed values for \sphinxstyleemphasis{
 \begin{tabulary}{\linewidth}[t]{|T|T|}
 \hline
 
+\sphinxAtStartPar
 krb5
 &
+\sphinxAtStartPar
 Kerberos 5 applications (default)
 \\
 \hline
+\sphinxAtStartPar
 gssapi
 &
+\sphinxAtStartPar
 GSSAPI applications with Kerberos 5 bindings
 \\
 \hline
-kadm-client
+\sphinxAtStartPar
+kadm\sphinxhyphen{}client
 &
+\sphinxAtStartPar
 Kadmin client
 \\
 \hline
-kadm-server
+\sphinxAtStartPar
+kadm\sphinxhyphen{}server
 &
+\sphinxAtStartPar
 Kadmin server
 \\
 \hline
+\sphinxAtStartPar
 kdb
 &
+\sphinxAtStartPar
 Applications that access the Kerberos database
 \\
 \hline
@@ -1495,13 +1711,13 @@ Applications that access the Kerberos da
 
 \subsection{EXAMPLES}
 \label{\detokenize{user/user_commands/krb5-config:examples}}
-krb5-config is particularly useful for compiling against a Kerberos
-installation that was installed in a non-standard location.  For example,
-a Kerberos installation that is installed in \sphinxcode{/opt/krb5/} but uses
-libraries in \sphinxcode{/usr/local/lib/} for text localization would produce
+\sphinxAtStartPar
+krb5\sphinxhyphen{}config is particularly useful for compiling against a Kerberos
+installation that was installed in a non\sphinxhyphen{}standard location.  For example,
+a Kerberos installation that is installed in \sphinxcode{\sphinxupquote{/opt/krb5/}} but uses
+libraries in \sphinxcode{\sphinxupquote{/usr/local/lib/}} for text localization would produce
 the following output:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{shell}\PYG{o}{\PYGZpc{}} \PYG{n}{krb5}\PYG{o}{\PYGZhy{}}\PYG{n}{config} \PYG{o}{\PYGZhy{}}\PYG{o}{\PYGZhy{}}\PYG{n}{libs} \PYG{n}{krb5}
 \PYG{o}{\PYGZhy{}}\PYG{n}{L}\PYG{o}{/}\PYG{n}{opt}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{/}\PYG{n}{lib} \PYG{o}{\PYGZhy{}}\PYG{n}{Wl}\PYG{p}{,}\PYG{o}{\PYGZhy{}}\PYG{n}{rpath} \PYG{o}{\PYGZhy{}}\PYG{n}{Wl}\PYG{p}{,}\PYG{o}{/}\PYG{n}{opt}\PYG{o}{/}\PYG{n}{krb5}\PYG{o}{/}\PYG{n}{lib} \PYG{o}{\PYGZhy{}}\PYG{n}{L}\PYG{o}{/}\PYG{n}{usr}\PYG{o}{/}\PYG{n}{local}\PYG{o}{/}\PYG{n}{lib} \PYG{o}{\PYGZhy{}}\PYG{n}{lkrb5} \PYG{o}{\PYGZhy{}}\PYG{n}{lk5crypto} \PYG{o}{\PYGZhy{}}\PYG{n}{lcom\PYGZus{}err}
@@ -1510,45 +1726,51 @@ the following output:
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_commands/krb5-config:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}}, cc(1)
 
 
 \section{ksu}
-\label{\detokenize{user/user_commands/ksu:ksu-1}}\label{\detokenize{user/user_commands/ksu:ksu}}\label{\detokenize{user/user_commands/ksu::doc}}
+\label{\detokenize{user/user_commands/ksu:ksu}}\label{\detokenize{user/user_commands/ksu:ksu-1}}\label{\detokenize{user/user_commands/ksu::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{user/user_commands/ksu:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{ksu}
 {[} \sphinxstyleemphasis{target\_user} {]}
-{[} \sphinxstylestrong{-n} \sphinxstyleemphasis{target\_principal\_name} {]}
-{[} \sphinxstylestrong{-c} \sphinxstyleemphasis{source\_cache\_name} {]}
-{[} \sphinxstylestrong{-k} {]}
-{[} \sphinxstylestrong{-r} time {]}
-{[} \sphinxstylestrong{-p} \textbar{} \sphinxstylestrong{-P}{]}
-{[} \sphinxstylestrong{-f} \textbar{} \sphinxstylestrong{-F}{]}
-{[} \sphinxstylestrong{-l} \sphinxstyleemphasis{lifetime} {]}
-{[} \sphinxstylestrong{-z \textbar{} Z} {]}
-{[} \sphinxstylestrong{-q} {]}
-{[} \sphinxstylestrong{-e} \sphinxstyleemphasis{command} {[} args …  {]} {]} {[} \sphinxstylestrong{-a} {[} args …  {]} {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}n} \sphinxstyleemphasis{target\_principal\_name} {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{source\_cache\_name} {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}k} {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}r} time {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}p} | \sphinxstylestrong{\sphinxhyphen{}P}{]}
+{[} \sphinxstylestrong{\sphinxhyphen{}f} | \sphinxstylestrong{\sphinxhyphen{}F}{]}
+{[} \sphinxstylestrong{\sphinxhyphen{}l} \sphinxstyleemphasis{lifetime} {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}z | Z} {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}q} {]}
+{[} \sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{command} {[} args …  {]} {]} {[} \sphinxstylestrong{\sphinxhyphen{}a} {[} args …  {]} {]}
 
 
 \subsection{REQUIREMENTS}
 \label{\detokenize{user/user_commands/ksu:requirements}}
+\sphinxAtStartPar
 Must have Kerberos version 5 installed to compile ksu.  Must have a
 Kerberos version 5 server running to use ksu.
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_commands/ksu:description}}
+\sphinxAtStartPar
 ksu is a Kerberized version of the su program that has two missions:
 one is to securely change the real and effective user ID to that of
 the target user, and the other is to create a new security context.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 For the sake of clarity, all references to and attributes of
 the user invoking the program will start with “source”
 (e.g., “source user”, “source cache”, etc.).
 
+\sphinxAtStartPar
 Likewise, all references to and attributes of the target
 account will start with “target”.
 \end{sphinxadmonition}
@@ -1556,24 +1778,26 @@ account will start with “target”.
 
 \subsection{AUTHENTICATION}
 \label{\detokenize{user/user_commands/ksu:authentication}}
+\sphinxAtStartPar
 To fulfill the first mission, ksu operates in two phases:
 authentication and authorization.  Resolving the target principal name
 is the first step in authentication.  The user can either specify his
-principal name with the \sphinxstylestrong{-n} option (e.g., \sphinxcode{-n jqpublic@USC.EDU})
+principal name with the \sphinxstylestrong{\sphinxhyphen{}n} option (e.g., \sphinxcode{\sphinxupquote{\sphinxhyphen{}n jqpublic@USC.EDU}})
 or a default principal name will be assigned using a heuristic
-described in the OPTIONS section (see \sphinxstylestrong{-n} option).  The target user
+described in the OPTIONS section (see \sphinxstylestrong{\sphinxhyphen{}n} option).  The target user
 name must be the first argument to ksu; if not specified root is the
-default.  If \sphinxcode{.} is specified then the target user will be the
-source user (e.g., \sphinxcode{ksu .}).  If the source user is root or the
+default.  If \sphinxcode{\sphinxupquote{.}} is specified then the target user will be the
+source user (e.g., \sphinxcode{\sphinxupquote{ksu .}}).  If the source user is root or the
 target user is the source user, no authentication or authorization
 takes place.  Otherwise, ksu looks for an appropriate Kerberos ticket
 in the source cache.
 
-The ticket can either be for the end-server or a ticket granting
+\sphinxAtStartPar
+The ticket can either be for the end\sphinxhyphen{}server or a ticket granting
 ticket (TGT) for the target principal’s realm.  If the ticket for the
-end-server is already in the cache, it’s decrypted and verified.  If
+end\sphinxhyphen{}server is already in the cache, it’s decrypted and verified.  If
 it’s not in the cache but the TGT is, the TGT is used to obtain the
-ticket for the end-server.  The end-server ticket is then verified.
+ticket for the end\sphinxhyphen{}server.  The end\sphinxhyphen{}server ticket is then verified.
 If neither ticket is in the cache, but ksu is compiled with the
 \sphinxstylestrong{GET\_TGT\_VIA\_PASSWD} define, the user will be prompted for a
 Kerberos password which will then be used to get a TGT.  If the user
@@ -1584,10 +1808,12 @@ may be exposed.  If neither ticket is in
 
 \subsection{AUTHORIZATION}
 \label{\detokenize{user/user_commands/ksu:authorization}}
+\sphinxAtStartPar
 This section describes authorization of the source user when ksu is
-invoked without the \sphinxstylestrong{-e} option.  For a description of the \sphinxstylestrong{-e}
+invoked without the \sphinxstylestrong{\sphinxhyphen{}e} option.  For a description of the \sphinxstylestrong{\sphinxhyphen{}e}
 option, see the OPTIONS section.
 
+\sphinxAtStartPar
 Upon successful authentication, ksu checks whether the target
 principal is authorized to access the target account.  In the target
 user’s home directory, ksu attempts to access two authorization files:
@@ -1595,32 +1821,35 @@ user’s home directory, ksu attempts to
 contains the name of a principal that is authorized to access the
 account.
 
+\sphinxAtStartPar
 For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{jqpublic}\PYG{n+nd}{@USC}\PYG{o}{.}\PYG{n}{EDU}
 \PYG{n}{jqpublic}\PYG{o}{/}\PYG{n}{secure}\PYG{n+nd}{@USC}\PYG{o}{.}\PYG{n}{EDU}
 \PYG{n}{jqpublic}\PYG{o}{/}\PYG{n}{admin}\PYG{n+nd}{@USC}\PYG{o}{.}\PYG{n}{EDU}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 The format of .k5users is the same, except the principal name may be
 followed by a list of commands that the principal is authorized to
-execute (see the \sphinxstylestrong{-e} option in the OPTIONS section for details).
+execute (see the \sphinxstylestrong{\sphinxhyphen{}e} option in the OPTIONS section for details).
 
+\sphinxAtStartPar
 Thus if the target principal name is found in the .k5login file the
 source user is authorized to access the target account.  Otherwise ksu
 looks in the .k5users file.  If the target principal name is found
-without any trailing commands or followed only by \sphinxcode{*} then the
+without any trailing commands or followed only by \sphinxcode{\sphinxupquote{*}} then the
 source user is authorized.  If either .k5login or .k5users exist but
 an appropriate entry for the target principal does not exist then
 access is denied.  If neither file exists then the principal will be
-granted access to the account according to the aname-\textgreater{}lname mapping
+granted access to the account according to the aname\sphinxhyphen{}\textgreater{}lname mapping
 rules.  Otherwise, authorization fails.
 
 
 \subsection{EXECUTION OF THE TARGET SHELL}
 \label{\detokenize{user/user_commands/ksu:execution-of-the-target-shell}}
+\sphinxAtStartPar
 Upon successful authentication and authorization, ksu proceeds in a
 similar fashion to su.  The environment is unmodified with the
 exception of USER, HOME and SHELL variables.  If the target user is
@@ -1631,31 +1860,33 @@ gets set to the name of the target cache
 ID are changed to that of the target user.  The target user’s shell is
 then invoked (the shell name is specified in the password file).  Upon
 termination of the shell, ksu deletes the target cache (unless ksu is
-invoked with the \sphinxstylestrong{-k} option).  This is implemented by first doing a
+invoked with the \sphinxstylestrong{\sphinxhyphen{}k} option).  This is implemented by first doing a
 fork and then an exec, instead of just exec, as done by su.
 
 
 \subsection{CREATING A NEW SECURITY CONTEXT}
 \label{\detokenize{user/user_commands/ksu:creating-a-new-security-context}}
+\sphinxAtStartPar
 ksu can be used to create a new security context for the target
-program (either the target shell, or command specified via the \sphinxstylestrong{-e}
+program (either the target shell, or command specified via the \sphinxstylestrong{\sphinxhyphen{}e}
 option).  The target program inherits a set of credentials from the
 source user.  By default, this set includes all of the credentials in
 the source cache plus any additional credentials obtained during
 authentication.  The source user is able to limit the credentials in
-this set by using \sphinxstylestrong{-z} or \sphinxstylestrong{-Z} option.  \sphinxstylestrong{-z} restricts the copy
+this set by using \sphinxstylestrong{\sphinxhyphen{}z} or \sphinxstylestrong{\sphinxhyphen{}Z} option.  \sphinxstylestrong{\sphinxhyphen{}z} restricts the copy
 of tickets from the source cache to the target cache to only the
-tickets where client == the target principal name.  The \sphinxstylestrong{-Z} option
+tickets where client == the target principal name.  The \sphinxstylestrong{\sphinxhyphen{}Z} option
 provides the target user with a fresh target cache (no creds in the
 cache).  Note that for security reasons, when the source user is root
-and target user is non-root, \sphinxstylestrong{-z} option is the default mode of
+and target user is non\sphinxhyphen{}root, \sphinxstylestrong{\sphinxhyphen{}z} option is the default mode of
 operation.
 
+\sphinxAtStartPar
 While no authentication takes place if the source user is root or is
 the same as the target user, additional tickets can still be obtained
-for the target cache.  If \sphinxstylestrong{-n} is specified and no credentials can
+for the target cache.  If \sphinxstylestrong{\sphinxhyphen{}n} is specified and no credentials can
 be copied to the target cache, the source user is prompted for a
-Kerberos password (unless \sphinxstylestrong{-Z} specified or \sphinxstylestrong{GET\_TGT\_VIA\_PASSWD}
+Kerberos password (unless \sphinxstylestrong{\sphinxhyphen{}Z} specified or \sphinxstylestrong{GET\_TGT\_VIA\_PASSWD}
 is undefined).  If successful, a TGT is obtained from the Kerberos
 server and stored in the target cache.  Otherwise, if a password is
 not provided (user hit return) ksu continues in a normal mode of
@@ -1663,6 +1894,7 @@ operation (the target cache will not con
 wrong password is typed in, ksu fails.
 
 \begin{sphinxadmonition}{note}{Note:}
+\sphinxAtStartPar
 During authentication, only the tickets that could be
 obtained without providing a password are cached in the
 source cache.
@@ -1671,41 +1903,50 @@ source cache.
 
 \subsection{OPTIONS}
 \label{\detokenize{user/user_commands/ksu:options}}\begin{description}
-\item[{\sphinxstylestrong{-n} \sphinxstyleemphasis{target\_principal\_name}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}n} \sphinxstyleemphasis{target\_principal\_name}}] \leavevmode
+\sphinxAtStartPar
 Specify a Kerberos target principal name.  Used in authentication
 and authorization phases of ksu.
 
-If ksu is invoked without \sphinxstylestrong{-n}, a default principal name is
+\sphinxAtStartPar
+If ksu is invoked without \sphinxstylestrong{\sphinxhyphen{}n}, a default principal name is
 assigned via the following heuristic:
 \begin{itemize}
 \item {} 
-Case 1: source user is non-root.
+\sphinxAtStartPar
+Case 1: source user is non\sphinxhyphen{}root.
 
+\sphinxAtStartPar
 If the target user is the source user the default principal name
 is set to the default principal of the source cache.  If the
 cache does not exist then the default principal name is set to
-\sphinxcode{target\_user@local\_realm}.  If the source and target users are
-different and neither \sphinxcode{\textasciitilde{}target\_user/.k5users} nor
-\sphinxcode{\textasciitilde{}target\_user/.k5login} exist then the default principal name
-is \sphinxcode{target\_user\_login\_name@local\_realm}.  Otherwise, starting
+\sphinxcode{\sphinxupquote{target\_user@local\_realm}}.  If the source and target users are
+different and neither \sphinxcode{\sphinxupquote{\textasciitilde{}target\_user/.k5users}} nor
+\sphinxcode{\sphinxupquote{\textasciitilde{}target\_user/.k5login}} exist then the default principal name
+is \sphinxcode{\sphinxupquote{target\_user\_login\_name@local\_realm}}.  Otherwise, starting
 with the first principal listed below, ksu checks if the
 principal is authorized to access the target account and whether
 there is a legitimate ticket for that principal in the source
 cache.  If both conditions are met that principal becomes the
 default target principal, otherwise go to the next principal.
 \begin{enumerate}
+\sphinxsetlistlabels{\alph}{enumi}{enumii}{}{)}%
 \item {} 
+\sphinxAtStartPar
 default principal of the source cache
 
 \item {} 
+\sphinxAtStartPar
 target\_user@local\_realm
 
 \item {} 
+\sphinxAtStartPar
 source\_user@local\_realm
 
 \end{enumerate}
 
-If a-c fails try any principal for which there is a ticket in
+\sphinxAtStartPar
+If a\sphinxhyphen{}c fails try any principal for which there is a ticket in
 the source cache and that is authorized to access the target
 account.  If that fails select the first principal that is
 authorized to access the target account from the above list.  If
@@ -1713,71 +1954,81 @@ none are authorized and ksu is configure
 \sphinxstylestrong{PRINC\_LOOK\_AHEAD} turned on, select the default principal as
 follows:
 
+\sphinxAtStartPar
 For each candidate in the above list, select an authorized
 principal that has the same realm name and first part of the
 principal name equal to the prefix of the candidate.  For
-example if candidate a) is \sphinxcode{jqpublic@ISI.EDU} and
-\sphinxcode{jqpublic/secure@ISI.EDU} is authorized to access the target
+example if candidate a) is \sphinxcode{\sphinxupquote{jqpublic@ISI.EDU}} and
+\sphinxcode{\sphinxupquote{jqpublic/secure@ISI.EDU}} is authorized to access the target
 account then the default principal is set to
-\sphinxcode{jqpublic/secure@ISI.EDU}.
+\sphinxcode{\sphinxupquote{jqpublic/secure@ISI.EDU}}.
 
 \item {} 
+\sphinxAtStartPar
 Case 2: source user is root.
 
-If the target user is non-root then the default principal name
-is \sphinxcode{target\_user@local\_realm}.  Else, if the source cache
+\sphinxAtStartPar
+If the target user is non\sphinxhyphen{}root then the default principal name
+is \sphinxcode{\sphinxupquote{target\_user@local\_realm}}.  Else, if the source cache
 exists the default principal name is set to the default
 principal of the source cache.  If the source cache does not
-exist, default principal name is set to \sphinxcode{root\textbackslash{}@local\_realm}.
+exist, default principal name is set to \sphinxcode{\sphinxupquote{root\textbackslash{}@local\_realm}}.
 
 \end{itemize}
 
 \end{description}
 
-\sphinxstylestrong{-c} \sphinxstyleemphasis{source\_cache\_name}
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{source\_cache\_name}
 \begin{quote}
 
-Specify source cache name (e.g., \sphinxcode{-c FILE:/tmp/my\_cache}).  If
-\sphinxstylestrong{-c} option is not used then the name is obtained from
+\sphinxAtStartPar
+Specify source cache name (e.g., \sphinxcode{\sphinxupquote{\sphinxhyphen{}c FILE:/tmp/my\_cache}}).  If
+\sphinxstylestrong{\sphinxhyphen{}c} option is not used then the name is obtained from
 \sphinxstylestrong{KRB5CCNAME} environment variable.  If \sphinxstylestrong{KRB5CCNAME} is not
-defined the source cache name is set to \sphinxcode{krb5cc\_\textless{}source uid\textgreater{}}.
-The target cache name is automatically set to \sphinxcode{krb5cc\_\textless{}target
-uid\textgreater{}.(gen\_sym())}, where gen\_sym generates a new number such that
+defined the source cache name is set to \sphinxcode{\sphinxupquote{krb5cc\_\textless{}source uid\textgreater{}}}.
+The target cache name is automatically set to \sphinxcode{\sphinxupquote{krb5cc\_\textless{}target
+uid\textgreater{}.(gen\_sym())}}, where gen\_sym generates a new number such that
 the resulting cache does not already exist.  For example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
-\PYG{n}{krb5cc\PYGZus{}1984}\PYG{o}{.}\PYG{l+m+mi}{2}
+\PYG{n}{krb5cc\PYGZus{}1984}\PYG{l+m+mf}{.2}
 \end{sphinxVerbatim}
 \end{quote}
 \begin{description}
-\item[{\sphinxstylestrong{-k}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k}}] \leavevmode
+\sphinxAtStartPar
 Do not delete the target cache upon termination of the target
-shell or a command (\sphinxstylestrong{-e} command).  Without \sphinxstylestrong{-k}, ksu deletes
+shell or a command (\sphinxstylestrong{\sphinxhyphen{}e} command).  Without \sphinxstylestrong{\sphinxhyphen{}k}, ksu deletes
 the target cache.
 
-\item[{\sphinxstylestrong{-z}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}z}}] \leavevmode
+\sphinxAtStartPar
 Restrict the copy of tickets from the source cache to the target
 cache to only the tickets where client == the target principal
-name.  Use the \sphinxstylestrong{-n} option if you want the tickets for other then
-the default principal.  Note that the \sphinxstylestrong{-z} option is mutually
-exclusive with the \sphinxstylestrong{-Z} option.
+name.  Use the \sphinxstylestrong{\sphinxhyphen{}n} option if you want the tickets for other then
+the default principal.  Note that the \sphinxstylestrong{\sphinxhyphen{}z} option is mutually
+exclusive with the \sphinxstylestrong{\sphinxhyphen{}Z} option.
 
-\item[{\sphinxstylestrong{-Z}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}Z}}] \leavevmode
+\sphinxAtStartPar
 Don’t copy any tickets from the source cache to the target cache.
 Just create a fresh target cache, where the default principal name
 of the cache is initialized to the target principal name.  Note
-that the \sphinxstylestrong{-Z} option is mutually exclusive with the \sphinxstylestrong{-z}
+that the \sphinxstylestrong{\sphinxhyphen{}Z} option is mutually exclusive with the \sphinxstylestrong{\sphinxhyphen{}z}
 option.
 
-\item[{\sphinxstylestrong{-q}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}q}}] \leavevmode
+\sphinxAtStartPar
 Suppress the printing of status messages.
 
 \end{description}
 
+\sphinxAtStartPar
 Ticket granting ticket options:
 \begin{description}
-\item[{\sphinxstylestrong{-l} \sphinxstyleemphasis{lifetime} \sphinxstylestrong{-r} \sphinxstyleemphasis{time} \sphinxstylestrong{-p} \sphinxstylestrong{-P} \sphinxstylestrong{-f} \sphinxstylestrong{-F}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}l} \sphinxstyleemphasis{lifetime} \sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{time} \sphinxstylestrong{\sphinxhyphen{}p} \sphinxstylestrong{\sphinxhyphen{}P} \sphinxstylestrong{\sphinxhyphen{}f} \sphinxstylestrong{\sphinxhyphen{}F}}] \leavevmode
+\sphinxAtStartPar
 The ticket granting ticket options only apply to the case where
 there are no appropriate tickets in the cache to authenticate the
 source user.  In this case if ksu is configured to prompt users
@@ -1785,111 +2036,127 @@ for a Kerberos password (\sphinxstylestr
 ticket granting ticket options that are specified will be used
 when getting a ticket granting ticket from the Kerberos server.
 
-\item[{\sphinxstylestrong{-l} \sphinxstyleemphasis{lifetime}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}l} \sphinxstyleemphasis{lifetime}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} string.)  Specifies the lifetime to be requested
 for the ticket; if this option is not specified, the default ticket
 lifetime (12 hours) is used instead.
 
-\item[{\sphinxstylestrong{-r} \sphinxstyleemphasis{time}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}r} \sphinxstyleemphasis{time}}] \leavevmode
+\sphinxAtStartPar
 (\DUrole{xref,std,std-ref}{duration} string.)  Specifies that the \sphinxstylestrong{renewable} option
 should be requested for the ticket, and specifies the desired
 total lifetime of the ticket.
 
-\item[{\sphinxstylestrong{-p}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}p}}] \leavevmode
+\sphinxAtStartPar
 specifies that the \sphinxstylestrong{proxiable} option should be requested for
 the ticket.
 
-\item[{\sphinxstylestrong{-P}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}P}}] \leavevmode
+\sphinxAtStartPar
 specifies that the \sphinxstylestrong{proxiable} option should not be requested
 for the ticket, even if the default configuration is to ask for
 proxiable tickets.
 
-\item[{\sphinxstylestrong{-f}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}f}}] \leavevmode
+\sphinxAtStartPar
 option specifies that the \sphinxstylestrong{forwardable} option should be
 requested for the ticket.
 
-\item[{\sphinxstylestrong{-F}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}F}}] \leavevmode
+\sphinxAtStartPar
 option specifies that the \sphinxstylestrong{forwardable} option should not be
 requested for the ticket, even if the default configuration is to
 ask for forwardable tickets.
 
-\item[{\sphinxstylestrong{-e} \sphinxstyleemphasis{command} {[}\sphinxstyleemphasis{args} …{]}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{command} {[}\sphinxstyleemphasis{args} …{]}}] \leavevmode
+\sphinxAtStartPar
 ksu proceeds exactly the same as if it was invoked without the
-\sphinxstylestrong{-e} option, except instead of executing the target shell, ksu
+\sphinxstylestrong{\sphinxhyphen{}e} option, except instead of executing the target shell, ksu
 executes the specified command. Example of usage:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{ksu} \PYG{n}{bob} \PYG{o}{\PYGZhy{}}\PYG{n}{e} \PYG{n}{ls} \PYG{o}{\PYGZhy{}}\PYG{n}{lag}
 \end{sphinxVerbatim}
 
-The authorization algorithm for \sphinxstylestrong{-e} is as follows:
+\sphinxAtStartPar
+The authorization algorithm for \sphinxstylestrong{\sphinxhyphen{}e} is as follows:
 
+\sphinxAtStartPar
 If the source user is root or source user == target user, no
 authorization takes place and the command is executed.  If source
-user id != 0, and \sphinxcode{\textasciitilde{}target\_user/.k5users} file does not exist,
-authorization fails.  Otherwise, \sphinxcode{\textasciitilde{}target\_user/.k5users} file
+user id != 0, and \sphinxcode{\sphinxupquote{\textasciitilde{}target\_user/.k5users}} file does not exist,
+authorization fails.  Otherwise, \sphinxcode{\sphinxupquote{\textasciitilde{}target\_user/.k5users}} file
 must have an appropriate entry for target principal to get
 authorized.
 
+\sphinxAtStartPar
 The .k5users file format:
 
+\sphinxAtStartPar
 A single principal entry on each line that may be followed by a
 list of commands that the principal is authorized to execute.  A
-principal name followed by a \sphinxcode{*} means that the user is
+principal name followed by a \sphinxcode{\sphinxupquote{*}} means that the user is
 authorized to execute any command.  Thus, in the following
 example:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{jqpublic}\PYG{n+nd}{@USC}\PYG{o}{.}\PYG{n}{EDU} \PYG{n}{ls} \PYG{n}{mail} \PYG{o}{/}\PYG{n}{local}\PYG{o}{/}\PYG{n}{kerberos}\PYG{o}{/}\PYG{n}{klist}
 \PYG{n}{jqpublic}\PYG{o}{/}\PYG{n}{secure}\PYG{n+nd}{@USC}\PYG{o}{.}\PYG{n}{EDU} \PYG{o}{*}
 \PYG{n}{jqpublic}\PYG{o}{/}\PYG{n}{admin}\PYG{n+nd}{@USC}\PYG{o}{.}\PYG{n}{EDU}
 \end{sphinxVerbatim}
 
-\sphinxcode{jqpublic@USC.EDU} is only authorized to execute \sphinxcode{ls},
-\sphinxcode{mail} and \sphinxcode{klist} commands.  \sphinxcode{jqpublic/secure@USC.EDU} is
-authorized to execute any command.  \sphinxcode{jqpublic/admin@USC.EDU} is
+\sphinxAtStartPar
+\sphinxcode{\sphinxupquote{jqpublic@USC.EDU}} is only authorized to execute \sphinxcode{\sphinxupquote{ls}},
+\sphinxcode{\sphinxupquote{mail}} and \sphinxcode{\sphinxupquote{klist}} commands.  \sphinxcode{\sphinxupquote{jqpublic/secure@USC.EDU}} is
+authorized to execute any command.  \sphinxcode{\sphinxupquote{jqpublic/admin@USC.EDU}} is
 not authorized to execute any command.  Note, that
-\sphinxcode{jqpublic/admin@USC.EDU} is authorized to execute the target
-shell (regular ksu, without the \sphinxstylestrong{-e} option) but
-\sphinxcode{jqpublic@USC.EDU} is not.
+\sphinxcode{\sphinxupquote{jqpublic/admin@USC.EDU}} is authorized to execute the target
+shell (regular ksu, without the \sphinxstylestrong{\sphinxhyphen{}e} option) but
+\sphinxcode{\sphinxupquote{jqpublic@USC.EDU}} is not.
 
+\sphinxAtStartPar
 The commands listed after the principal name must be either a full
 path names or just the program name.  In the second case,
 \sphinxstylestrong{CMD\_PATH} specifying the location of authorized programs must
 be defined at the compilation time of ksu.  Which command gets
 executed?
 
+\sphinxAtStartPar
 If the source user is root or the target user is the source user
-or the user is authorized to execute any command (\sphinxcode{*} entry)
+or the user is authorized to execute any command (\sphinxcode{\sphinxupquote{*}} entry)
 then command can be either a full or a relative path leading to
 the target program.  Otherwise, the user must specify either a
 full path or just the program name.
 
-\item[{\sphinxstylestrong{-a} \sphinxstyleemphasis{args}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}a} \sphinxstyleemphasis{args}}] \leavevmode
+\sphinxAtStartPar
 Specify arguments to be passed to the target shell.  Note that all
-flags and parameters following -a will be passed to the shell,
-thus all options intended for ksu must precede \sphinxstylestrong{-a}.
+flags and parameters following \sphinxhyphen{}a will be passed to the shell,
+thus all options intended for ksu must precede \sphinxstylestrong{\sphinxhyphen{}a}.
 
-The \sphinxstylestrong{-a} option can be used to simulate the \sphinxstylestrong{-e} option if
+\sphinxAtStartPar
+The \sphinxstylestrong{\sphinxhyphen{}a} option can be used to simulate the \sphinxstylestrong{\sphinxhyphen{}e} option if
 used as follows:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{o}{\PYGZhy{}}\PYG{n}{a} \PYG{o}{\PYGZhy{}}\PYG{n}{c} \PYG{p}{[}\PYG{n}{command} \PYG{p}{[}\PYG{n}{arguments}\PYG{p}{]}\PYG{p}{]}\PYG{o}{.}
 \end{sphinxVerbatim}
 
-\sphinxstylestrong{-c} is interpreted by the c-shell to execute the command.
+\sphinxAtStartPar
+\sphinxstylestrong{\sphinxhyphen{}c} is interpreted by the c\sphinxhyphen{}shell to execute the command.
 
 \end{description}
 
 
 \subsection{INSTALLATION INSTRUCTIONS}
 \label{\detokenize{user/user_commands/ksu:installation-instructions}}
+\sphinxAtStartPar
 ksu can be compiled with the following four flags:
 \begin{description}
 \item[{\sphinxstylestrong{GET\_TGT\_VIA\_PASSWD}}] \leavevmode
+\sphinxAtStartPar
 In case no appropriate tickets are found in the source cache, the
 user will be prompted for a Kerberos password.  The password is
 then used to get a ticket granting ticket from the Kerberos
@@ -1898,80 +2165,93 @@ source user is logged in remotely and do
 channel, the password may get exposed.
 
 \item[{\sphinxstylestrong{PRINC\_LOOK\_AHEAD}}] \leavevmode
+\sphinxAtStartPar
 During the resolution of the default principal name,
 \sphinxstylestrong{PRINC\_LOOK\_AHEAD} enables ksu to find principal names in
 the .k5users file as described in the OPTIONS section
-(see \sphinxstylestrong{-n} option).
+(see \sphinxstylestrong{\sphinxhyphen{}n} option).
 
 \item[{\sphinxstylestrong{CMD\_PATH}}] \leavevmode
+\sphinxAtStartPar
 Specifies a list of directories containing programs that users are
 authorized to execute (via .k5users file).
 
 \item[{\sphinxstylestrong{HAVE\_GETUSERSHELL}}] \leavevmode
-If the source user is non-root, ksu insists that the target user’s
+\sphinxAtStartPar
+If the source user is non\sphinxhyphen{}root, ksu insists that the target user’s
 shell to be invoked is a “legal shell”.  \sphinxstyleemphasis{getusershell(3)} is
 called to obtain the names of “legal shells”.  Note that the
 target user’s shell is obtained from the passwd file.
 
 \end{description}
 
+\sphinxAtStartPar
 Sample configuration:
 
-\fvset{hllines={, ,}}%
 \begin{sphinxVerbatim}[commandchars=\\\{\}]
 \PYG{n}{KSU\PYGZus{}OPTS} \PYG{o}{=} \PYG{o}{\PYGZhy{}}\PYG{n}{DGET\PYGZus{}TGT\PYGZus{}VIA\PYGZus{}PASSWD} \PYG{o}{\PYGZhy{}}\PYG{n}{DPRINC\PYGZus{}LOOK\PYGZus{}AHEAD} \PYG{o}{\PYGZhy{}}\PYG{n}{DCMD\PYGZus{}PATH}\PYG{o}{=}\PYG{l+s+s1}{\PYGZsq{}}\PYG{l+s+s1}{\PYGZdq{}}\PYG{l+s+s1}{/bin /usr/ucb /local/bin}\PYG{l+s+s1}{\PYGZdq{}}
 \end{sphinxVerbatim}
 
+\sphinxAtStartPar
 ksu should be owned by root and have the set user id bit turned on.
 
+\sphinxAtStartPar
 ksu attempts to get a ticket for the end server just as Kerberized
 telnet and rlogin.  Thus, there must be an entry for the server in the
-Kerberos database (e.g., \sphinxcode{host/nii.isi.edu@ISI.EDU}).  The keytab
+Kerberos database (e.g., \sphinxcode{\sphinxupquote{host/nii.isi.edu@ISI.EDU}}).  The keytab
 file must be in an appropriate location.
 
 
 \subsection{SIDE EFFECTS}
 \label{\detokenize{user/user_commands/ksu:side-effects}}
+\sphinxAtStartPar
 ksu deletes all expired tickets from the source cache.
 
 
 \subsection{AUTHOR OF KSU}
 \label{\detokenize{user/user_commands/ksu:author-of-ksu}}
+\sphinxAtStartPar
 GENNADY (ARI) MEDVINSKY
 
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{user/user_commands/ksu:environment}}
+\sphinxAtStartPar
 See {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_commands/ksu:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}}, {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}}
 
 
 \section{kswitch}
-\label{\detokenize{user/user_commands/kswitch:kswitch-1}}\label{\detokenize{user/user_commands/kswitch:kswitch}}\label{\detokenize{user/user_commands/kswitch::doc}}
+\label{\detokenize{user/user_commands/kswitch:kswitch}}\label{\detokenize{user/user_commands/kswitch:kswitch-1}}\label{\detokenize{user/user_commands/kswitch::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{user/user_commands/kswitch:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kswitch}
-\{\sphinxstylestrong{-c} \sphinxstyleemphasis{cachename}\textbar{}\sphinxstylestrong{-p} \sphinxstyleemphasis{principal}\}
+\{\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{cachename}|\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{principal}\}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_commands/kswitch:description}}
+\sphinxAtStartPar
 kswitch makes the specified credential cache the primary cache for the
 collection, if a cache collection is available.
 
 
 \subsection{OPTIONS}
 \label{\detokenize{user/user_commands/kswitch:options}}\begin{description}
-\item[{\sphinxstylestrong{-c} \sphinxstyleemphasis{cachename}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{cachename}}] \leavevmode
+\sphinxAtStartPar
 Directly specifies the credential cache to be made primary.
 
-\item[{\sphinxstylestrong{-p} \sphinxstyleemphasis{principal}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}p} \sphinxstyleemphasis{principal}}] \leavevmode
+\sphinxAtStartPar
 Causes the cache collection to be searched for a cache containing
 credentials for \sphinxstyleemphasis{principal}.  If one is found, that collection is
 made primary.
@@ -1981,6 +2261,7 @@ made primary.
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{user/user_commands/kswitch:environment}}
+\sphinxAtStartPar
 See {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}} for a description of Kerberos environment
 variables.
 
@@ -1988,6 +2269,7 @@ variables.
 \subsection{FILES}
 \label{\detokenize{user/user_commands/kswitch:files}}\begin{description}
 \item[{\DUrole{xref,std,std-ref}{DEFCCNAME}}] \leavevmode
+\sphinxAtStartPar
 Default location of Kerberos 5 credentials cache
 
 \end{description}
@@ -1995,111 +2277,129 @@ Default location of Kerberos 5 credentia
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_commands/kswitch:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}}, {\hyperref[\detokenize{user/user_commands/kdestroy:kdestroy-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kdestroy}}}}, {\hyperref[\detokenize{user/user_commands/klist:klist-1}]{\sphinxcrossref{\DUrole{std,std-ref}{klist}}}},
 {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}}
 
 
 \section{kvno}
-\label{\detokenize{user/user_commands/kvno:kvno-1}}\label{\detokenize{user/user_commands/kvno::doc}}\label{\detokenize{user/user_commands/kvno:kvno}}
+\label{\detokenize{user/user_commands/kvno:kvno}}\label{\detokenize{user/user_commands/kvno:kvno-1}}\label{\detokenize{user/user_commands/kvno::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{user/user_commands/kvno:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{kvno}
-{[}\sphinxstylestrong{-c} \sphinxstyleemphasis{ccache}{]}
-{[}\sphinxstylestrong{-e} \sphinxstyleemphasis{etype}{]}
-{[}\sphinxstylestrong{-k} \sphinxstyleemphasis{keytab}{]}
-{[}\sphinxstylestrong{-q}{]}
-{[}\sphinxstylestrong{-u} \textbar{} \sphinxstylestrong{-S} \sphinxstyleemphasis{sname}{]}
-{[}\sphinxstylestrong{-P}{]}
-{[}\sphinxstylestrong{\textendash{}cached-only}{]}
-{[}\sphinxstylestrong{\textendash{}no-store}{]}
-{[}\sphinxstylestrong{\textendash{}out-cache} \sphinxstyleemphasis{cache}{]}
-{[}{[}\{\sphinxstylestrong{-F} \sphinxstyleemphasis{cert\_file} \textbar{} \{\sphinxstylestrong{-I} \textbar{} \sphinxstylestrong{-U}\} \sphinxstyleemphasis{for\_user}\} {[}\sphinxstylestrong{-P}{]}{]} \textbar{} \sphinxstylestrong{\textendash{}u2u} \sphinxstyleemphasis{ccache}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{ccache}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{etype}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{keytab}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}q}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}u} | \sphinxstylestrong{\sphinxhyphen{}S} \sphinxstyleemphasis{sname}{]}
+{[}\sphinxstylestrong{\sphinxhyphen{}P}{]}
+{[}\sphinxstylestrong{\textendash{}cached\sphinxhyphen{}only}{]}
+{[}\sphinxstylestrong{\textendash{}no\sphinxhyphen{}store}{]}
+{[}\sphinxstylestrong{\textendash{}out\sphinxhyphen{}cache} \sphinxstyleemphasis{cache}{]}
+{[}{[}\{\sphinxstylestrong{\sphinxhyphen{}F} \sphinxstyleemphasis{cert\_file} | \{\sphinxstylestrong{\sphinxhyphen{}I} | \sphinxstylestrong{\sphinxhyphen{}U}\} \sphinxstyleemphasis{for\_user}\} {[}\sphinxstylestrong{\sphinxhyphen{}P}{]}{]} | \sphinxstylestrong{\textendash{}u2u} \sphinxstyleemphasis{ccache}{]}
 \sphinxstyleemphasis{service1 service2} …
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_commands/kvno:description}}
+\sphinxAtStartPar
 kvno acquires a service ticket for the specified Kerberos principals
 and prints out the key version numbers of each.
 
 
 \subsection{OPTIONS}
 \label{\detokenize{user/user_commands/kvno:options}}\begin{description}
-\item[{\sphinxstylestrong{-c} \sphinxstyleemphasis{ccache}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}c} \sphinxstyleemphasis{ccache}}] \leavevmode
+\sphinxAtStartPar
 Specifies the name of a credentials cache to use (if not the
 default)
 
-\item[{\sphinxstylestrong{-e} \sphinxstyleemphasis{etype}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}e} \sphinxstyleemphasis{etype}}] \leavevmode
+\sphinxAtStartPar
 Specifies the enctype which will be requested for the session key
 of all the services named on the command line.  This is useful in
 certain backward compatibility situations.
 
-\item[{\sphinxstylestrong{-k} \sphinxstyleemphasis{keytab}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}k} \sphinxstyleemphasis{keytab}}] \leavevmode
+\sphinxAtStartPar
 Decrypt the acquired tickets using \sphinxstyleemphasis{keytab} to confirm their
 validity.
 
-\item[{\sphinxstylestrong{-q}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}q}}] \leavevmode
+\sphinxAtStartPar
 Suppress printing output when successful.  If a service ticket
 cannot be obtained, an error message will still be printed and
 kvno will exit with nonzero status.
 
-\item[{\sphinxstylestrong{-u}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}u}}] \leavevmode
+\sphinxAtStartPar
 Use the unknown name type in requested service principal names.
-This option Cannot be used with \sphinxstyleemphasis{-S}.
+This option Cannot be used with \sphinxstyleemphasis{\sphinxhyphen{}S}.
 
-\item[{\sphinxstylestrong{-P}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}P}}] \leavevmode
+\sphinxAtStartPar
 Specifies that the \sphinxstyleemphasis{service1 service2} …  arguments are to be
 treated as services for which credentials should be acquired using
 constrained delegation.  This option is only valid when used in
 conjunction with protocol transition.
 
-\item[{\sphinxstylestrong{-S} \sphinxstyleemphasis{sname}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}S} \sphinxstyleemphasis{sname}}] \leavevmode
+\sphinxAtStartPar
 Specifies that the \sphinxstyleemphasis{service1 service2} … arguments are
 interpreted as hostnames, and the service principals are to be
 constructed from those hostnames and the service name \sphinxstyleemphasis{sname}.
 The service hostnames will be canonicalized according to the usual
 rules for constructing service principals.
 
-\item[{\sphinxstylestrong{-I} \sphinxstyleemphasis{for\_user}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}I} \sphinxstyleemphasis{for\_user}}] \leavevmode
+\sphinxAtStartPar
 Specifies that protocol transition (S4U2Self) is to be used to
 acquire a ticket on behalf of \sphinxstyleemphasis{for\_user}.  If constrained
 delegation is not requested, the service name must match the
 credentials cache client principal.
 
-\item[{\sphinxstylestrong{-U} \sphinxstyleemphasis{for\_user}}] \leavevmode
-Same as -I, but treats \sphinxstyleemphasis{for\_user} as an enterprise name.
+\item[{\sphinxstylestrong{\sphinxhyphen{}U} \sphinxstyleemphasis{for\_user}}] \leavevmode
+\sphinxAtStartPar
+Same as \sphinxhyphen{}I, but treats \sphinxstyleemphasis{for\_user} as an enterprise name.
 
-\item[{\sphinxstylestrong{-F} \sphinxstyleemphasis{cert\_file}}] \leavevmode
+\item[{\sphinxstylestrong{\sphinxhyphen{}F} \sphinxstyleemphasis{cert\_file}}] \leavevmode
+\sphinxAtStartPar
 Specifies that protocol transition is to be used, identifying the
 client principal with the X.509 certificate in \sphinxstyleemphasis{cert\_file}.  The
 certificate file must be in PEM format.
 
-\item[{\sphinxstylestrong{\textendash{}cached-only}}] \leavevmode
+\item[{\sphinxstylestrong{\textendash{}cached\sphinxhyphen{}only}}] \leavevmode
+\sphinxAtStartPar
 Only retrieve credentials already present in the cache, not from
 the KDC.  (Added in release 1.19.)
 
-\item[{\sphinxstylestrong{\textendash{}no-store}}] \leavevmode
+\item[{\sphinxstylestrong{\textendash{}no\sphinxhyphen{}store}}] \leavevmode
+\sphinxAtStartPar
 Do not store retrieved credentials in the cache.  If
-\sphinxstylestrong{\textendash{}out-cache} is also specified, credentials will still be
+\sphinxstylestrong{\textendash{}out\sphinxhyphen{}cache} is also specified, credentials will still be
 stored into the output credential cache.  (Added in release 1.19.)
 
-\item[{\sphinxstylestrong{\textendash{}out-cache} \sphinxstyleemphasis{ccache}}] \leavevmode
+\item[{\sphinxstylestrong{\textendash{}out\sphinxhyphen{}cache} \sphinxstyleemphasis{ccache}}] \leavevmode
+\sphinxAtStartPar
 Initialize \sphinxstyleemphasis{ccache} and store all retrieved credentials into it.
 Do not store acquired credentials in the input cache.  (Added in
 release 1.19.)
 
 \item[{\sphinxstylestrong{\textendash{}u2u} \sphinxstyleemphasis{ccache}}] \leavevmode
-Requests a user-to-user ticket.  \sphinxstyleemphasis{ccache} must contain a local
+\sphinxAtStartPar
+Requests a user\sphinxhyphen{}to\sphinxhyphen{}user ticket.  \sphinxstyleemphasis{ccache} must contain a local
 krbtgt ticket for the server principal.  The reported version
 number will typically be 0, as the resulting ticket is not
-encrypted in the server’s long-term key.
+encrypted in the server’s long\sphinxhyphen{}term key.
 
 \end{description}
 
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{user/user_commands/kvno:environment}}
+\sphinxAtStartPar
 See {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}} for a description of Kerberos environment
 variables.
 
@@ -2107,6 +2407,7 @@ variables.
 \subsection{FILES}
 \label{\detokenize{user/user_commands/kvno:files}}\begin{description}
 \item[{\DUrole{xref,std,std-ref}{DEFCCNAME}}] \leavevmode
+\sphinxAtStartPar
 Default location of the credentials cache
 
 \end{description}
@@ -2114,19 +2415,22 @@ Default location of the credentials cach
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_commands/kvno:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}}, {\hyperref[\detokenize{user/user_commands/kdestroy:kdestroy-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kdestroy}}}}, {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}}
 
 
 \section{sclient}
-\label{\detokenize{user/user_commands/sclient:sclient}}\label{\detokenize{user/user_commands/sclient::doc}}\label{\detokenize{user/user_commands/sclient:sclient-1}}
+\label{\detokenize{user/user_commands/sclient:sclient}}\label{\detokenize{user/user_commands/sclient:sclient-1}}\label{\detokenize{user/user_commands/sclient::doc}}
 
 \subsection{SYNOPSIS}
 \label{\detokenize{user/user_commands/sclient:synopsis}}
+\sphinxAtStartPar
 \sphinxstylestrong{sclient} \sphinxstyleemphasis{remotehost}
 
 
 \subsection{DESCRIPTION}
 \label{\detokenize{user/user_commands/sclient:description}}
+\sphinxAtStartPar
 sclient is a sample application, primarily useful for testing
 purposes.  It contacts a sample server \DUrole{xref,std,std-ref}{sserver(8)} and
 authenticates to it using Kerberos version 5 tickets, then displays
@@ -2135,12 +2439,14 @@ the server’s response.
 
 \subsection{ENVIRONMENT}
 \label{\detokenize{user/user_commands/sclient:environment}}
+\sphinxAtStartPar
 See {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}} for a description of Kerberos environment
 variables.
 
 
 \subsection{SEE ALSO}
 \label{\detokenize{user/user_commands/sclient:see-also}}
+\sphinxAtStartPar
 {\hyperref[\detokenize{user/user_commands/kinit:kinit-1}]{\sphinxcrossref{\DUrole{std,std-ref}{kinit}}}}, \DUrole{xref,std,std-ref}{sserver(8)}, {\hyperref[\detokenize{user/user_config/kerberos:kerberos-7}]{\sphinxcrossref{\DUrole{std,std-ref}{kerberos}}}}
 
 
Binary files 1.21.2-1/doc/tools/__pycache__/docmodel.cpython-310.pyc and 1.21.3-1/doc/tools/__pycache__/docmodel.cpython-310.pyc differ
Binary files 1.21.2-1/doc/tools/__pycache__/docmodel.cpython-36.pyc and 1.21.3-1/doc/tools/__pycache__/docmodel.cpython-36.pyc differ
Binary files 1.21.2-1/doc/tools/__pycache__/doxybuilder_funcs.cpython-310.pyc and 1.21.3-1/doc/tools/__pycache__/doxybuilder_funcs.cpython-310.pyc differ
Binary files 1.21.2-1/doc/tools/__pycache__/doxybuilder_funcs.cpython-36.pyc and 1.21.3-1/doc/tools/__pycache__/doxybuilder_funcs.cpython-36.pyc differ
Binary files 1.21.2-1/doc/tools/__pycache__/doxybuilder_types.cpython-310.pyc and 1.21.3-1/doc/tools/__pycache__/doxybuilder_types.cpython-310.pyc differ
Binary files 1.21.2-1/doc/tools/__pycache__/doxybuilder_types.cpython-36.pyc and 1.21.3-1/doc/tools/__pycache__/doxybuilder_types.cpython-36.pyc differ
diff -pruN 1.21.2-1/src/appl/simple/client/sim_client.c 1.21.3-1/src/appl/simple/client/sim_client.c
--- 1.21.2-1/src/appl/simple/client/sim_client.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/appl/simple/client/sim_client.c	2024-06-26 20:00:35.000000000 +0000
@@ -39,10 +39,7 @@
 #include <string.h>
 #include <errno.h>
 #include <netdb.h>
-#include <getopt.h>
-#ifdef HAVE_UNISTD_H
 #include <unistd.h>
-#endif
 
 #include "simple.h"
 
diff -pruN 1.21.2-1/src/configure 1.21.3-1/src/configure
--- 1.21.2-1/src/configure	2023-08-14 16:16:44.000000000 +0000
+++ 1.21.3-1/src/configure	2024-06-26 20:00:36.000000000 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for Kerberos 5 1.21.2.
+# Generated by GNU Autoconf 2.71 for Kerberos 5 1.21.3.
 #
 # Report bugs to <krb5-bugs@mit.edu>.
 #
@@ -9,7 +9,8 @@
 #
 #
 #
-# Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
+# Copyright (C) 1992-1996, 1998-2017, 2020-2021 Free Software Foundation,
+# Inc.
 #
 #
 # This configure script is free software; the Free Software Foundation
@@ -20,14 +21,16 @@
 
 # Be more Bourne compatible
 DUALCASE=1; export DUALCASE # for MKS sh
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then :
+as_nop=:
+if test ${ZSH_VERSION+y} && (emulate sh) >/dev/null 2>&1
+then :
   emulate sh
   NULLCMD=:
   # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
   # is contrary to our usage.  Disable this feature.
   alias -g '${1+"$@"}'='"$@"'
   setopt NO_GLOB_SUBST
-else
+else $as_nop
   case `(set -o) 2>/dev/null` in #(
   *posix*) :
     set -o posix ;; #(
@@ -37,46 +40,46 @@ esac
 fi
 
 
+
+# Reset variables that may have inherited troublesome values from
+# the environment.
+
+# IFS needs to be set, to space, tab, and newline, in precisely that order.
+# (If _AS_PATH_WALK were called with IFS unset, it would have the
+# side effect of setting IFS to empty, thus disabling word splitting.)
+# Quoting is to prevent editors from complaining about space-tab.
 as_nl='
 '
 export as_nl
-# Printing a long string crashes Solaris 7 /usr/bin/printf.
-as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
-as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
-as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
-# Prefer a ksh shell builtin over an external printf program on Solaris,
-# but without wasting forks for bash or zsh.
-if test -z "$BASH_VERSION$ZSH_VERSION" \
-    && (test "X`print -r -- $as_echo`" = "X$as_echo") 2>/dev/null; then
-  as_echo='print -r --'
-  as_echo_n='print -rn --'
-elif (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
-  as_echo='printf %s\n'
-  as_echo_n='printf %s'
-else
-  if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
-    as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
-    as_echo_n='/usr/ucb/echo -n'
-  else
-    as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
-    as_echo_n_body='eval
-      arg=$1;
-      case $arg in #(
-      *"$as_nl"*)
-	expr "X$arg" : "X\\(.*\\)$as_nl";
-	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
-      esac;
-      expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
-    '
-    export as_echo_n_body
-    as_echo_n='sh -c $as_echo_n_body as_echo'
-  fi
-  export as_echo_body
-  as_echo='sh -c $as_echo_body as_echo'
-fi
+IFS=" ""	$as_nl"
+
+PS1='$ '
+PS2='> '
+PS4='+ '
+
+# Ensure predictable behavior from utilities with locale-dependent output.
+LC_ALL=C
+export LC_ALL
+LANGUAGE=C
+export LANGUAGE
+
+# We cannot yet rely on "unset" to work, but we need these variables
+# to be unset--not just set to an empty or harmless value--now, to
+# avoid bugs in old shells (e.g. pre-3.0 UWIN ksh).  This construct
+# also avoids known problems related to "unset" and subshell syntax
+# in other old shells (e.g. bash 2.01 and pdksh 5.2.14).
+for as_var in BASH_ENV ENV MAIL MAILPATH CDPATH
+do eval test \${$as_var+y} \
+  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
+done
+
+# Ensure that fds 0, 1, and 2 are open.
+if (exec 3>&0) 2>/dev/null; then :; else exec 0</dev/null; fi
+if (exec 3>&1) 2>/dev/null; then :; else exec 1>/dev/null; fi
+if (exec 3>&2)            ; then :; else exec 2>/dev/null; fi
 
 # The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
+if ${PATH_SEPARATOR+false} :; then
   PATH_SEPARATOR=:
   (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
     (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
@@ -85,13 +88,6 @@ if test "${PATH_SEPARATOR+set}" != set;
 fi
 
 
-# IFS
-# We need space, tab and new line, in precisely that order.  Quoting is
-# there to prevent editors from complaining about space-tab.
-# (If _AS_PATH_WALK were called with IFS unset, it would disable word
-# splitting by setting IFS to empty value.)
-IFS=" ""	$as_nl"
-
 # Find who we are.  Look in the path if we contain no directory separator.
 as_myself=
 case $0 in #((
@@ -100,8 +96,12 @@ case $0 in #((
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-    test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+    test -r "$as_dir$0" && as_myself=$as_dir$0 && break
   done
 IFS=$as_save_IFS
 
@@ -113,30 +113,10 @@ if test "x$as_myself" = x; then
   as_myself=$0
 fi
 if test ! -f "$as_myself"; then
-  $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
+  printf "%s\n" "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
   exit 1
 fi
 
-# Unset variables that we do not need and which cause bugs (e.g. in
-# pre-3.0 UWIN ksh).  But do not cause bugs in bash 2.01; the "|| exit 1"
-# suppresses any "Segmentation fault" message there.  '((' could
-# trigger a bug in pdksh 5.2.14.
-for as_var in BASH_ENV ENV MAIL MAILPATH
-do eval test x\${$as_var+set} = xset \
-  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
-done
-PS1='$ '
-PS2='> '
-PS4='+ '
-
-# NLS nuisances.
-LC_ALL=C
-export LC_ALL
-LANGUAGE=C
-export LANGUAGE
-
-# CDPATH.
-(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
 
 # Use a proper internal environment variable to ensure we don't fall
   # into an infinite loop, continuously re-executing ourselves.
@@ -158,20 +138,22 @@ esac
 exec $CONFIG_SHELL $as_opts "$as_myself" ${1+"$@"}
 # Admittedly, this is quite paranoid, since all the known shells bail
 # out after a failed `exec'.
-$as_echo "$0: could not re-execute with $CONFIG_SHELL" >&2
-as_fn_exit 255
+printf "%s\n" "$0: could not re-execute with $CONFIG_SHELL" >&2
+exit 255
   fi
   # We don't want this to propagate to other subprocesses.
           { _as_can_reexec=; unset _as_can_reexec;}
 if test "x$CONFIG_SHELL" = x; then
-  as_bourne_compatible="if test -n \"\${ZSH_VERSION+set}\" && (emulate sh) >/dev/null 2>&1; then :
+  as_bourne_compatible="as_nop=:
+if test \${ZSH_VERSION+y} && (emulate sh) >/dev/null 2>&1
+then :
   emulate sh
   NULLCMD=:
   # Pre-4.2 versions of Zsh do word splitting on \${1+\"\$@\"}, which
   # is contrary to our usage.  Disable this feature.
   alias -g '\${1+\"\$@\"}'='\"\$@\"'
   setopt NO_GLOB_SUBST
-else
+else \$as_nop
   case \`(set -o) 2>/dev/null\` in #(
   *posix*) :
     set -o posix ;; #(
@@ -191,42 +173,53 @@ as_fn_success || { exitcode=1; echo as_f
 as_fn_failure && { exitcode=1; echo as_fn_failure succeeded.; }
 as_fn_ret_success || { exitcode=1; echo as_fn_ret_success failed.; }
 as_fn_ret_failure && { exitcode=1; echo as_fn_ret_failure succeeded.; }
-if ( set x; as_fn_ret_success y && test x = \"\$1\" ); then :
+if ( set x; as_fn_ret_success y && test x = \"\$1\" )
+then :
 
-else
+else \$as_nop
   exitcode=1; echo positional parameters were not saved.
 fi
 test x\$exitcode = x0 || exit 1
+blah=\$(echo \$(echo blah))
+test x\"\$blah\" = xblah || exit 1
 test -x / || exit 1"
   as_suggested="  as_lineno_1=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_1a=\$LINENO
   as_lineno_2=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_2a=\$LINENO
   eval 'test \"x\$as_lineno_1'\$as_run'\" != \"x\$as_lineno_2'\$as_run'\" &&
   test \"x\`expr \$as_lineno_1'\$as_run' + 1\`\" = \"x\$as_lineno_2'\$as_run'\"' || exit 1
 test \$(( 1 + 1 )) = 2 || exit 1"
-  if (eval "$as_required") 2>/dev/null; then :
+  if (eval "$as_required") 2>/dev/null
+then :
   as_have_required=yes
-else
+else $as_nop
   as_have_required=no
 fi
-  if test x$as_have_required = xyes && (eval "$as_suggested") 2>/dev/null; then :
+  if test x$as_have_required = xyes && (eval "$as_suggested") 2>/dev/null
+then :
 
-else
+else $as_nop
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 as_found=false
 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
   as_found=:
   case $as_dir in #(
 	 /*)
 	   for as_base in sh bash ksh sh5; do
 	     # Try only shells that exist, to save several forks.
-	     as_shell=$as_dir/$as_base
+	     as_shell=$as_dir$as_base
 	     if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
-		    { $as_echo "$as_bourne_compatible""$as_required" | as_run=a "$as_shell"; } 2>/dev/null; then :
+		    as_run=a "$as_shell" -c "$as_bourne_compatible""$as_required" 2>/dev/null
+then :
   CONFIG_SHELL=$as_shell as_have_required=yes
-		   if { $as_echo "$as_bourne_compatible""$as_suggested" | as_run=a "$as_shell"; } 2>/dev/null; then :
+		   if as_run=a "$as_shell" -c "$as_bourne_compatible""$as_suggested" 2>/dev/null
+then :
   break 2
 fi
 fi
@@ -234,14 +227,21 @@ fi
        esac
   as_found=false
 done
-$as_found || { if { test -f "$SHELL" || test -f "$SHELL.exe"; } &&
-	      { $as_echo "$as_bourne_compatible""$as_required" | as_run=a "$SHELL"; } 2>/dev/null; then :
-  CONFIG_SHELL=$SHELL as_have_required=yes
-fi; }
 IFS=$as_save_IFS
+if $as_found
+then :
+
+else $as_nop
+  if { test -f "$SHELL" || test -f "$SHELL.exe"; } &&
+	      as_run=a "$SHELL" -c "$as_bourne_compatible""$as_required" 2>/dev/null
+then :
+  CONFIG_SHELL=$SHELL as_have_required=yes
+fi
+fi
 
 
-      if test "x$CONFIG_SHELL" != x; then :
+      if test "x$CONFIG_SHELL" != x
+then :
   export CONFIG_SHELL
              # We cannot yet assume a decent shell, so we have to provide a
 # neutralization value for shells without unset; and this also
@@ -259,18 +259,19 @@ esac
 exec $CONFIG_SHELL $as_opts "$as_myself" ${1+"$@"}
 # Admittedly, this is quite paranoid, since all the known shells bail
 # out after a failed `exec'.
-$as_echo "$0: could not re-execute with $CONFIG_SHELL" >&2
+printf "%s\n" "$0: could not re-execute with $CONFIG_SHELL" >&2
 exit 255
 fi
 
-    if test x$as_have_required = xno; then :
-  $as_echo "$0: This script requires a shell more modern than all"
-  $as_echo "$0: the shells that I found on your system."
-  if test x${ZSH_VERSION+set} = xset ; then
-    $as_echo "$0: In particular, zsh $ZSH_VERSION has bugs and should"
-    $as_echo "$0: be upgraded to zsh 4.3.4 or later."
+    if test x$as_have_required = xno
+then :
+  printf "%s\n" "$0: This script requires a shell more modern than all"
+  printf "%s\n" "$0: the shells that I found on your system."
+  if test ${ZSH_VERSION+y} ; then
+    printf "%s\n" "$0: In particular, zsh $ZSH_VERSION has bugs and should"
+    printf "%s\n" "$0: be upgraded to zsh 4.3.4 or later."
   else
-    $as_echo "$0: Please tell bug-autoconf@gnu.org and krb5-bugs@mit.edu
+    printf "%s\n" "$0: Please tell bug-autoconf@gnu.org and krb5-bugs@mit.edu
 $0: about your system, including any error possibly output
 $0: before this message. Then install a modern shell, or
 $0: manually run the script under such a shell if you do
@@ -298,6 +299,7 @@ as_fn_unset ()
 }
 as_unset=as_fn_unset
 
+
 # as_fn_set_status STATUS
 # -----------------------
 # Set $? to STATUS, without forking.
@@ -315,6 +317,14 @@ as_fn_exit ()
   as_fn_set_status $1
   exit $1
 } # as_fn_exit
+# as_fn_nop
+# ---------
+# Do nothing but, unlike ":", preserve the value of $?.
+as_fn_nop ()
+{
+  return $?
+}
+as_nop=as_fn_nop
 
 # as_fn_mkdir_p
 # -------------
@@ -329,7 +339,7 @@ as_fn_mkdir_p ()
     as_dirs=
     while :; do
       case $as_dir in #(
-      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
+      *\'*) as_qdir=`printf "%s\n" "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
       *) as_qdir=$as_dir;;
       esac
       as_dirs="'$as_qdir' $as_dirs"
@@ -338,7 +348,7 @@ $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/
 	 X"$as_dir" : 'X\(//\)[^/]' \| \
 	 X"$as_dir" : 'X\(//\)$' \| \
 	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X"$as_dir" |
+printf "%s\n" X"$as_dir" |
     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
 	    s//\1/
 	    q
@@ -377,12 +387,13 @@ as_fn_executable_p ()
 # advantage of any shell optimizations that allow amortized linear growth over
 # repeated appends, instead of the typical quadratic growth present in naive
 # implementations.
-if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null; then :
+if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null
+then :
   eval 'as_fn_append ()
   {
     eval $1+=\$2
   }'
-else
+else $as_nop
   as_fn_append ()
   {
     eval $1=\$$1\$2
@@ -394,18 +405,27 @@ fi # as_fn_append
 # Perform arithmetic evaluation on the ARGs, and store the result in the
 # global $as_val. Take advantage of shells that can avoid forks. The arguments
 # must be portable across $(()) and expr.
-if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null; then :
+if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null
+then :
   eval 'as_fn_arith ()
   {
     as_val=$(( $* ))
   }'
-else
+else $as_nop
   as_fn_arith ()
   {
     as_val=`expr "$@" || test $? -eq 1`
   }
 fi # as_fn_arith
 
+# as_fn_nop
+# ---------
+# Do nothing but, unlike ":", preserve the value of $?.
+as_fn_nop ()
+{
+  return $?
+}
+as_nop=as_fn_nop
 
 # as_fn_error STATUS ERROR [LINENO LOG_FD]
 # ----------------------------------------
@@ -417,9 +437,9 @@ as_fn_error ()
   as_status=$1; test $as_status -eq 0 && as_status=1
   if test "$4"; then
     as_lineno=${as_lineno-"$3"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-    $as_echo "$as_me:${as_lineno-$LINENO}: error: $2" >&$4
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: $2" >&$4
   fi
-  $as_echo "$as_me: error: $2" >&2
+  printf "%s\n" "$as_me: error: $2" >&2
   as_fn_exit $as_status
 } # as_fn_error
 
@@ -446,7 +466,7 @@ as_me=`$as_basename -- "$0" ||
 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
 	 X"$0" : 'X\(//\)$' \| \
 	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X/"$0" |
+printf "%s\n" X/"$0" |
     sed '/^.*\/\([^/][^/]*\)\/*$/{
 	    s//\1/
 	    q
@@ -490,7 +510,7 @@ as_cr_alnum=$as_cr_Letters$as_cr_digits
       s/-\n.*//
     ' >$as_me.lineno &&
   chmod +x "$as_me.lineno" ||
-    { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2; as_fn_exit 1; }
+    { printf "%s\n" "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2; as_fn_exit 1; }
 
   # If we had to re-execute with $CONFIG_SHELL, we're ensured to have
   # already done that, so ensure we don't try to do so again and fall
@@ -504,6 +524,10 @@ as_cr_alnum=$as_cr_Letters$as_cr_digits
   exit
 }
 
+
+# Determine whether it's possible to make 'echo' print without a newline.
+# These variables are no longer used directly by Autoconf, but are AC_SUBSTed
+# for compatibility with existing Makefiles.
 ECHO_C= ECHO_N= ECHO_T=
 case `echo -n x` in #(((((
 -n*)
@@ -517,6 +541,13 @@ case `echo -n x` in #(((((
   ECHO_N='-n';;
 esac
 
+# For backward compatibility with old third-party macros, we provide
+# the shell variables $as_echo and $as_echo_n.  New code should use
+# AS_ECHO(["message"]) and AS_ECHO_N(["message"]), respectively.
+as_echo='printf %s\n'
+as_echo_n='printf %s'
+
+
 rm -f conf$$ conf$$.exe conf$$.file
 if test -d conf$$.dir; then
   rm -f conf$$.dir/conf$$.file
@@ -584,48 +615,44 @@ MAKEFLAGS=
 # Identity of this package.
 PACKAGE_NAME='Kerberos 5'
 PACKAGE_TARNAME='krb5'
-PACKAGE_VERSION='1.21.2'
-PACKAGE_STRING='Kerberos 5 1.21.2'
+PACKAGE_VERSION='1.21.3'
+PACKAGE_STRING='Kerberos 5 1.21.3'
 PACKAGE_BUGREPORT='krb5-bugs@mit.edu'
 PACKAGE_URL=''
 
 ac_unique_file="aclocal.m4"
 # Factoring default headers for most tests.
 ac_includes_default="\
-#include <stdio.h>
-#ifdef HAVE_SYS_TYPES_H
-# include <sys/types.h>
-#endif
-#ifdef HAVE_SYS_STAT_H
-# include <sys/stat.h>
+#include <stddef.h>
+#ifdef HAVE_STDIO_H
+# include <stdio.h>
 #endif
-#ifdef STDC_HEADERS
+#ifdef HAVE_STDLIB_H
 # include <stdlib.h>
-# include <stddef.h>
-#else
-# ifdef HAVE_STDLIB_H
-#  include <stdlib.h>
-# endif
 #endif
 #ifdef HAVE_STRING_H
-# if !defined STDC_HEADERS && defined HAVE_MEMORY_H
-#  include <memory.h>
-# endif
 # include <string.h>
 #endif
-#ifdef HAVE_STRINGS_H
-# include <strings.h>
-#endif
 #ifdef HAVE_INTTYPES_H
 # include <inttypes.h>
 #endif
 #ifdef HAVE_STDINT_H
 # include <stdint.h>
 #endif
+#ifdef HAVE_STRINGS_H
+# include <strings.h>
+#endif
+#ifdef HAVE_SYS_TYPES_H
+# include <sys/types.h>
+#endif
+#ifdef HAVE_SYS_STAT_H
+# include <sys/stat.h>
+#endif
 #ifdef HAVE_UNISTD_H
 # include <unistd.h>
 #endif"
 
+ac_header_c_list=
 ac_subst_vars='LTLIBOBJS
 PKCS11_MODNAME
 DEFCKTNAME
@@ -997,8 +1024,6 @@ do
   *)    ac_optarg=yes ;;
   esac
 
-  # Accept the important Cygnus configure options, so we can diagnose typos.
-
   case $ac_dashdash$ac_option in
   --)
     ac_dashdash=yes ;;
@@ -1039,9 +1064,9 @@ do
     ac_useropt=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
     # Reject names that are not valid shell variable names.
     expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
-      as_fn_error $? "invalid feature name: $ac_useropt"
+      as_fn_error $? "invalid feature name: \`$ac_useropt'"
     ac_useropt_orig=$ac_useropt
-    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
+    ac_useropt=`printf "%s\n" "$ac_useropt" | sed 's/[-+.]/_/g'`
     case $ac_user_opts in
       *"
 "enable_$ac_useropt"
@@ -1065,9 +1090,9 @@ do
     ac_useropt=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
     # Reject names that are not valid shell variable names.
     expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
-      as_fn_error $? "invalid feature name: $ac_useropt"
+      as_fn_error $? "invalid feature name: \`$ac_useropt'"
     ac_useropt_orig=$ac_useropt
-    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
+    ac_useropt=`printf "%s\n" "$ac_useropt" | sed 's/[-+.]/_/g'`
     case $ac_user_opts in
       *"
 "enable_$ac_useropt"
@@ -1278,9 +1303,9 @@ do
     ac_useropt=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
     # Reject names that are not valid shell variable names.
     expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
-      as_fn_error $? "invalid package name: $ac_useropt"
+      as_fn_error $? "invalid package name: \`$ac_useropt'"
     ac_useropt_orig=$ac_useropt
-    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
+    ac_useropt=`printf "%s\n" "$ac_useropt" | sed 's/[-+.]/_/g'`
     case $ac_user_opts in
       *"
 "with_$ac_useropt"
@@ -1294,9 +1319,9 @@ do
     ac_useropt=`expr "x$ac_option" : 'x-*without-\(.*\)'`
     # Reject names that are not valid shell variable names.
     expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
-      as_fn_error $? "invalid package name: $ac_useropt"
+      as_fn_error $? "invalid package name: \`$ac_useropt'"
     ac_useropt_orig=$ac_useropt
-    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
+    ac_useropt=`printf "%s\n" "$ac_useropt" | sed 's/[-+.]/_/g'`
     case $ac_user_opts in
       *"
 "with_$ac_useropt"
@@ -1340,9 +1365,9 @@ Try \`$0 --help' for more information"
 
   *)
     # FIXME: should be removed in autoconf 3.0.
-    $as_echo "$as_me: WARNING: you should use --build, --host, --target" >&2
+    printf "%s\n" "$as_me: WARNING: you should use --build, --host, --target" >&2
     expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
-      $as_echo "$as_me: WARNING: invalid host type: $ac_option" >&2
+      printf "%s\n" "$as_me: WARNING: invalid host type: $ac_option" >&2
     : "${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}"
     ;;
 
@@ -1358,7 +1383,7 @@ if test -n "$ac_unrecognized_opts"; then
   case $enable_option_checking in
     no) ;;
     fatal) as_fn_error $? "unrecognized options: $ac_unrecognized_opts" ;;
-    *)     $as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2 ;;
+    *)     printf "%s\n" "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2 ;;
   esac
 fi
 
@@ -1422,7 +1447,7 @@ $as_expr X"$as_myself" : 'X\(.*[^/]\)//*
 	 X"$as_myself" : 'X\(//\)[^/]' \| \
 	 X"$as_myself" : 'X\(//\)$' \| \
 	 X"$as_myself" : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X"$as_myself" |
+printf "%s\n" X"$as_myself" |
     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
 	    s//\1/
 	    q
@@ -1479,7 +1504,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Kerberos 5 1.21.2 to adapt to many kinds of systems.
+\`configure' configures Kerberos 5 1.21.3 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1550,7 +1575,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Kerberos 5 1.21.2:";;
+     short | recursive ) echo "Configuration of Kerberos 5 1.21.3:";;
    esac
   cat <<\_ACEOF
 
@@ -1663,9 +1688,9 @@ if test "$ac_init_help" = "recursive"; t
 case "$ac_dir" in
 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
 *)
-  ac_dir_suffix=/`$as_echo "$ac_dir" | sed 's|^\.[\\/]||'`
+  ac_dir_suffix=/`printf "%s\n" "$ac_dir" | sed 's|^\.[\\/]||'`
   # A ".." for each directory in $ac_dir_suffix.
-  ac_top_builddir_sub=`$as_echo "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
+  ac_top_builddir_sub=`printf "%s\n" "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
   case $ac_top_builddir_sub in
   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
@@ -1693,7 +1718,8 @@ esac
 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
 
     cd "$ac_dir" || { ac_status=$?; continue; }
-    # Check for guested configure.
+    # Check for configure.gnu first; this name is used for a wrapper for
+    # Metaconfig's "Configure" on case-insensitive file systems.
     if test -f "$ac_srcdir/configure.gnu"; then
       echo &&
       $SHELL "$ac_srcdir/configure.gnu" --help=recursive
@@ -1701,7 +1727,7 @@ ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_
       echo &&
       $SHELL "$ac_srcdir/configure" --help=recursive
     else
-      $as_echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
+      printf "%s\n" "$as_me: WARNING: no configuration information is in $ac_dir" >&2
     fi || ac_status=$?
     cd "$ac_pwd" || { ac_status=$?; break; }
   done
@@ -1710,10 +1736,10 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Kerberos 5 configure 1.21.2
-generated by GNU Autoconf 2.69
+Kerberos 5 configure 1.21.3
+generated by GNU Autoconf 2.71
 
-Copyright (C) 2012 Free Software Foundation, Inc.
+Copyright (C) 2021 Free Software Foundation, Inc.
 This configure script is free software; the Free Software Foundation
 gives unlimited permission to copy, distribute and modify it.
 
@@ -1734,14 +1760,14 @@ fi
 ac_fn_c_try_compile ()
 {
   as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  rm -f conftest.$ac_objext
+  rm -f conftest.$ac_objext conftest.beam
   if { { ac_try="$ac_compile"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_compile") 2>conftest.err
   ac_status=$?
   if test -s conftest.err; then
@@ -1749,14 +1775,15 @@ $as_echo "$ac_try_echo"; } >&5
     cat conftest.er1 >&5
     mv -f conftest.er1 conftest.err
   fi
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; } && {
 	 test -z "$ac_c_werror_flag" ||
 	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then :
+       } && test -s conftest.$ac_objext
+then :
   ac_retval=0
-else
-  $as_echo "$as_me: failed program was:" >&5
+else $as_nop
+  printf "%s\n" "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 	ac_retval=1
@@ -1772,14 +1799,14 @@ fi
 ac_fn_cxx_try_compile ()
 {
   as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  rm -f conftest.$ac_objext
+  rm -f conftest.$ac_objext conftest.beam
   if { { ac_try="$ac_compile"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_compile") 2>conftest.err
   ac_status=$?
   if test -s conftest.err; then
@@ -1787,14 +1814,15 @@ $as_echo "$ac_try_echo"; } >&5
     cat conftest.er1 >&5
     mv -f conftest.er1 conftest.err
   fi
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; } && {
 	 test -z "$ac_cxx_werror_flag" ||
 	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then :
+       } && test -s conftest.$ac_objext
+then :
   ac_retval=0
-else
-  $as_echo "$as_me: failed program was:" >&5
+else $as_nop
+  printf "%s\n" "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 	ac_retval=1
@@ -1816,7 +1844,7 @@ case "(($ac_try" in
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_cpp conftest.$ac_ext") 2>conftest.err
   ac_status=$?
   if test -s conftest.err; then
@@ -1824,14 +1852,15 @@ $as_echo "$ac_try_echo"; } >&5
     cat conftest.er1 >&5
     mv -f conftest.er1 conftest.err
   fi
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; } > conftest.i && {
 	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
 	 test ! -s conftest.err
-       }; then :
+       }
+then :
   ac_retval=0
-else
-  $as_echo "$as_me: failed program was:" >&5
+else $as_nop
+  printf "%s\n" "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
     ac_retval=1
@@ -1847,14 +1876,14 @@ fi
 ac_fn_c_try_link ()
 {
   as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  rm -f conftest.$ac_objext conftest$ac_exeext
+  rm -f conftest.$ac_objext conftest.beam conftest$ac_exeext
   if { { ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_link") 2>conftest.err
   ac_status=$?
   if test -s conftest.err; then
@@ -1862,17 +1891,18 @@ $as_echo "$ac_try_echo"; } >&5
     cat conftest.er1 >&5
     mv -f conftest.er1 conftest.err
   fi
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; } && {
 	 test -z "$ac_c_werror_flag" ||
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext && {
 	 test "$cross_compiling" = yes ||
 	 test -x conftest$ac_exeext
-       }; then :
+       }
+then :
   ac_retval=0
-else
-  $as_echo "$as_me: failed program was:" >&5
+else $as_nop
+  printf "%s\n" "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 	ac_retval=1
@@ -1889,8 +1919,8 @@ fi
 
 # ac_fn_c_try_run LINENO
 # ----------------------
-# Try to link conftest.$ac_ext, and return whether this succeeded. Assumes
-# that executables *can* be run.
+# Try to run conftest.$ac_ext, and return whether this succeeded. Assumes that
+# executables *can* be run.
 ac_fn_c_try_run ()
 {
   as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
@@ -1900,25 +1930,26 @@ case "(($ac_try" in
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_link") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; } && { ac_try='./conftest$ac_exeext'
   { { case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_try") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; }; then :
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  test $ac_status = 0; }; }
+then :
   ac_retval=0
-else
-  $as_echo "$as_me: program exited with status $ac_status" >&5
-       $as_echo "$as_me: failed program was:" >&5
+else $as_nop
+  printf "%s\n" "$as_me: program exited with status $ac_status" >&5
+       printf "%s\n" "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
        ac_retval=$ac_status
@@ -1935,11 +1966,12 @@ fi
 ac_fn_c_check_func ()
 {
   as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
-$as_echo_n "checking for $2... " >&6; }
-if eval \${$3+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
+printf %s "checking for $2... " >&6; }
+if eval test \${$3+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 /* Define $2 to an innocuous variant, in case <limits.h> declares $2.
@@ -1947,16 +1979,9 @@ else
 #define $2 innocuous_$2
 
 /* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char $2 (); below.
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-    <limits.h> exists even on freestanding compilers.  */
-
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
+   which can conflict with char $2 (); below.  */
 
+#include <limits.h>
 #undef $2
 
 /* Override any GCC internal prototype to avoid an error.
@@ -1974,119 +1999,29 @@ choke me
 #endif
 
 int
-main ()
+main (void)
 {
 return $2 ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   eval "$3=yes"
-else
+else $as_nop
   eval "$3=no"
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
 eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
 
 } # ac_fn_c_check_func
 
-# ac_fn_c_check_header_mongrel LINENO HEADER VAR INCLUDES
-# -------------------------------------------------------
-# Tests whether HEADER exists, giving a warning if it cannot be compiled using
-# the include files in INCLUDES and setting the cache variable VAR
-# accordingly.
-ac_fn_c_check_header_mongrel ()
-{
-  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  if eval \${$3+:} false; then :
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
-$as_echo_n "checking for $2... " >&6; }
-if eval \${$3+:} false; then :
-  $as_echo_n "(cached) " >&6
-fi
-eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-else
-  # Is the header compilable?
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking $2 usability" >&5
-$as_echo_n "checking $2 usability... " >&6; }
-cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-$4
-#include <$2>
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  ac_header_compiler=yes
-else
-  ac_header_compiler=no
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_header_compiler" >&5
-$as_echo "$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking $2 presence" >&5
-$as_echo_n "checking $2 presence... " >&6; }
-cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <$2>
-_ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
-  ac_header_preproc=yes
-else
-  ac_header_preproc=no
-fi
-rm -f conftest.err conftest.i conftest.$ac_ext
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_header_preproc" >&5
-$as_echo "$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in #((
-  yes:no: )
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: accepted by the compiler, rejected by the preprocessor!" >&5
-$as_echo "$as_me: WARNING: $2: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
-$as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
-    ;;
-  no:yes:* )
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: present but cannot be compiled" >&5
-$as_echo "$as_me: WARNING: $2: present but cannot be compiled" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2:     check for missing prerequisite headers?" >&5
-$as_echo "$as_me: WARNING: $2:     check for missing prerequisite headers?" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: see the Autoconf documentation" >&5
-$as_echo "$as_me: WARNING: $2: see the Autoconf documentation" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&5
-$as_echo "$as_me: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
-$as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
-( $as_echo "## -------------------------------- ##
-## Report this to krb5-bugs@mit.edu ##
-## -------------------------------- ##"
-     ) | sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
-$as_echo_n "checking for $2... " >&6; }
-if eval \${$3+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  eval "$3=\$ac_header_compiler"
-fi
-eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-fi
-  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
-
-} # ac_fn_c_check_header_mongrel
-
 # ac_fn_c_check_header_compile LINENO HEADER VAR INCLUDES
 # -------------------------------------------------------
 # Tests whether HEADER exists and can be compiled using the include files in
@@ -2094,26 +2029,28 @@ fi
 ac_fn_c_check_header_compile ()
 {
   as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
-$as_echo_n "checking for $2... " >&6; }
-if eval \${$3+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
+printf %s "checking for $2... " >&6; }
+if eval test \${$3+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $4
 #include <$2>
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval "$3=yes"
-else
+else $as_nop
   eval "$3=no"
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
 
 } # ac_fn_c_check_header_compile
@@ -2125,17 +2062,18 @@ $as_echo "$ac_res" >&6; }
 ac_fn_c_check_type ()
 {
   as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
-$as_echo_n "checking for $2... " >&6; }
-if eval \${$3+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
+printf %s "checking for $2... " >&6; }
+if eval test \${$3+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   eval "$3=no"
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $4
 int
-main ()
+main (void)
 {
 if (sizeof ($2))
 	 return 0;
@@ -2143,12 +2081,13 @@ if (sizeof ($2))
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $4
 int
-main ()
+main (void)
 {
 if (sizeof (($2)))
 	    return 0;
@@ -2156,18 +2095,19 @@ if (sizeof (($2)))
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
 
-else
+else $as_nop
   eval "$3=yes"
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
 
 } # ac_fn_c_check_type
@@ -2179,16 +2119,17 @@ $as_echo "$ac_res" >&6; }
 ac_fn_c_check_member ()
 {
   as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2.$3" >&5
-$as_echo_n "checking for $2.$3... " >&6; }
-if eval \${$4+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $2.$3" >&5
+printf %s "checking for $2.$3... " >&6; }
+if eval test \${$4+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $5
 int
-main ()
+main (void)
 {
 static $2 ac_aggr;
 if (ac_aggr.$3)
@@ -2197,14 +2138,15 @@ return 0;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval "$4=yes"
-else
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $5
 int
-main ()
+main (void)
 {
 static $2 ac_aggr;
 if (sizeof ac_aggr.$3)
@@ -2213,41 +2155,45 @@ return 0;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval "$4=yes"
-else
+else $as_nop
   eval "$4=no"
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$4
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
 
 } # ac_fn_c_check_member
 
-# ac_fn_c_check_decl LINENO SYMBOL VAR INCLUDES
-# ---------------------------------------------
+# ac_fn_check_decl LINENO SYMBOL VAR INCLUDES EXTRA-OPTIONS FLAG-VAR
+# ------------------------------------------------------------------
 # Tests whether SYMBOL is declared in INCLUDES, setting cache variable VAR
-# accordingly.
-ac_fn_c_check_decl ()
+# accordingly. Pass EXTRA-OPTIONS to the compiler, using FLAG-VAR.
+ac_fn_check_decl ()
 {
   as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
   as_decl_name=`echo $2|sed 's/ *(.*//'`
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether $as_decl_name is declared" >&5
+printf %s "checking whether $as_decl_name is declared... " >&6; }
+if eval test \${$3+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   as_decl_use=`echo $2|sed -e 's/(/((/' -e 's/)/) 0&/' -e 's/,/) 0& (/g'`
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $as_decl_name is declared" >&5
-$as_echo_n "checking whether $as_decl_name is declared... " >&6; }
-if eval \${$3+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  eval ac_save_FLAGS=\$$6
+  as_fn_append $6 " $5"
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $4
 int
-main ()
+main (void)
 {
 #ifndef $as_decl_name
 #ifdef __cplusplus
@@ -2261,19 +2207,22 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval "$3=yes"
-else
+else $as_nop
   eval "$3=no"
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
+  eval $6=\$ac_save_FLAGS
+
 fi
 eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
 
-} # ac_fn_c_check_decl
+} # ac_fn_check_decl
 
 # ac_fn_c_compute_int LINENO EXPR VAR INCLUDES
 # --------------------------------------------
@@ -2289,7 +2238,7 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* end confdefs.h.  */
 $4
 int
-main ()
+main (void)
 {
 static int test_array [1 - 2 * !(($2) >= 0)];
 test_array [0] = 0;
@@ -2299,14 +2248,15 @@ return test_array [0];
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_lo=0 ac_mid=0
   while :; do
     cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $4
 int
-main ()
+main (void)
 {
 static int test_array [1 - 2 * !(($2) <= $ac_mid)];
 test_array [0] = 0;
@@ -2316,9 +2266,10 @@ return test_array [0];
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_hi=$ac_mid; break
-else
+else $as_nop
   as_fn_arith $ac_mid + 1 && ac_lo=$as_val
 			if test $ac_lo -le $ac_mid; then
 			  ac_lo= ac_hi=
@@ -2326,14 +2277,14 @@ else
 			fi
 			as_fn_arith 2 '*' $ac_mid + 1 && ac_mid=$as_val
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
   done
-else
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $4
 int
-main ()
+main (void)
 {
 static int test_array [1 - 2 * !(($2) < 0)];
 test_array [0] = 0;
@@ -2343,14 +2294,15 @@ return test_array [0];
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_hi=-1 ac_mid=-1
   while :; do
     cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $4
 int
-main ()
+main (void)
 {
 static int test_array [1 - 2 * !(($2) >= $ac_mid)];
 test_array [0] = 0;
@@ -2360,9 +2312,10 @@ return test_array [0];
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_lo=$ac_mid; break
-else
+else $as_nop
   as_fn_arith '(' $ac_mid ')' - 1 && ac_hi=$as_val
 			if test $ac_mid -le $ac_hi; then
 			  ac_lo= ac_hi=
@@ -2370,14 +2323,14 @@ else
 			fi
 			as_fn_arith 2 '*' $ac_mid && ac_mid=$as_val
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
   done
-else
+else $as_nop
   ac_lo= ac_hi=
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 # Binary search between lo and hi bounds.
 while test "x$ac_lo" != "x$ac_hi"; do
   as_fn_arith '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo && ac_mid=$as_val
@@ -2385,7 +2338,7 @@ while test "x$ac_lo" != "x$ac_hi"; do
 /* end confdefs.h.  */
 $4
 int
-main ()
+main (void)
 {
 static int test_array [1 - 2 * !(($2) <= $ac_mid)];
 test_array [0] = 0;
@@ -2395,12 +2348,13 @@ return test_array [0];
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_hi=$ac_mid
-else
+else $as_nop
   as_fn_arith '(' $ac_mid ')' + 1 && ac_lo=$as_val
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 done
 case $ac_lo in #((
 ?*) eval "$3=\$ac_lo"; ac_retval=0 ;;
@@ -2410,12 +2364,12 @@ esac
     cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 $4
-static long int longval () { return $2; }
-static unsigned long int ulongval () { return $2; }
+static long int longval (void) { return $2; }
+static unsigned long int ulongval (void) { return $2; }
 #include <stdio.h>
 #include <stdlib.h>
 int
-main ()
+main (void)
 {
 
   FILE *f = fopen ("conftest.val", "w");
@@ -2443,9 +2397,10 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
+if ac_fn_c_try_run "$LINENO"
+then :
   echo >>conftest.val; read $3 <conftest.val; ac_retval=0
-else
+else $as_nop
   ac_retval=1
 fi
 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
@@ -2457,14 +2412,34 @@ rm -f conftest.val
   as_fn_set_status $ac_retval
 
 } # ac_fn_c_compute_int
+ac_configure_args_raw=
+for ac_arg
+do
+  case $ac_arg in
+  *\'*)
+    ac_arg=`printf "%s\n" "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
+  esac
+  as_fn_append ac_configure_args_raw " '$ac_arg'"
+done
+
+case $ac_configure_args_raw in
+  *$as_nl*)
+    ac_safe_unquote= ;;
+  *)
+    ac_unsafe_z='|&;<>()$`\\"*?[ ''	' # This string ends in space, tab.
+    ac_unsafe_a="$ac_unsafe_z#~"
+    ac_safe_unquote="s/ '\\([^$ac_unsafe_a][^$ac_unsafe_z]*\\)'/ \\1/g"
+    ac_configure_args_raw=`      printf "%s\n" "$ac_configure_args_raw" | sed "$ac_safe_unquote"`;;
+esac
+
 cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Kerberos 5 $as_me 1.21.2, which was
-generated by GNU Autoconf 2.69.  Invocation command line was
+It was created by Kerberos 5 $as_me 1.21.3, which was
+generated by GNU Autoconf 2.71.  Invocation command line was
 
-  $ $0 $@
+  $ $0$ac_configure_args_raw
 
 _ACEOF
 exec 5>>config.log
@@ -2497,8 +2472,12 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-    $as_echo "PATH: $as_dir"
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+    printf "%s\n" "PATH: $as_dir"
   done
 IFS=$as_save_IFS
 
@@ -2533,7 +2512,7 @@ do
     | -silent | --silent | --silen | --sile | --sil)
       continue ;;
     *\'*)
-      ac_arg=`$as_echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
+      ac_arg=`printf "%s\n" "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
     esac
     case $ac_pass in
     1) as_fn_append ac_configure_args0 " '$ac_arg'" ;;
@@ -2568,11 +2547,13 @@ done
 # WARNING: Use '\'' to represent an apostrophe within the trap.
 # WARNING: Do not start the trap code with a newline, due to a FreeBSD 4.0 bug.
 trap 'exit_status=$?
+  # Sanitize IFS.
+  IFS=" ""	$as_nl"
   # Save into config.log some information that might help in debugging.
   {
     echo
 
-    $as_echo "## ---------------- ##
+    printf "%s\n" "## ---------------- ##
 ## Cache variables. ##
 ## ---------------- ##"
     echo
@@ -2583,8 +2564,8 @@ trap 'exit_status=$?
     case $ac_val in #(
     *${as_nl}*)
       case $ac_var in #(
-      *_cv_*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
-$as_echo "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
+      *_cv_*) { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
+printf "%s\n" "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
       esac
       case $ac_var in #(
       _ | IFS | as_nl) ;; #(
@@ -2608,7 +2589,7 @@ $as_echo "$as_me: WARNING: cache variabl
 )
     echo
 
-    $as_echo "## ----------------- ##
+    printf "%s\n" "## ----------------- ##
 ## Output variables. ##
 ## ----------------- ##"
     echo
@@ -2616,14 +2597,14 @@ $as_echo "$as_me: WARNING: cache variabl
     do
       eval ac_val=\$$ac_var
       case $ac_val in
-      *\'\''*) ac_val=`$as_echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
+      *\'\''*) ac_val=`printf "%s\n" "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
       esac
-      $as_echo "$ac_var='\''$ac_val'\''"
+      printf "%s\n" "$ac_var='\''$ac_val'\''"
     done | sort
     echo
 
     if test -n "$ac_subst_files"; then
-      $as_echo "## ------------------- ##
+      printf "%s\n" "## ------------------- ##
 ## File substitutions. ##
 ## ------------------- ##"
       echo
@@ -2631,15 +2612,15 @@ $as_echo "$as_me: WARNING: cache variabl
       do
 	eval ac_val=\$$ac_var
 	case $ac_val in
-	*\'\''*) ac_val=`$as_echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
+	*\'\''*) ac_val=`printf "%s\n" "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
 	esac
-	$as_echo "$ac_var='\''$ac_val'\''"
+	printf "%s\n" "$ac_var='\''$ac_val'\''"
       done | sort
       echo
     fi
 
     if test -s confdefs.h; then
-      $as_echo "## ----------- ##
+      printf "%s\n" "## ----------- ##
 ## confdefs.h. ##
 ## ----------- ##"
       echo
@@ -2647,8 +2628,8 @@ $as_echo "$as_me: WARNING: cache variabl
       echo
     fi
     test "$ac_signal" != 0 &&
-      $as_echo "$as_me: caught signal $ac_signal"
-    $as_echo "$as_me: exit $exit_status"
+      printf "%s\n" "$as_me: caught signal $ac_signal"
+    printf "%s\n" "$as_me: exit $exit_status"
   } >&5
   rm -f core *.core core.conftest.* &&
     rm -f -r conftest* confdefs* conf$$* $ac_clean_files &&
@@ -2662,63 +2643,48 @@ ac_signal=0
 # confdefs.h avoids OS command line length limits that DEFS can exceed.
 rm -f -r conftest* confdefs.h
 
-$as_echo "/* confdefs.h */" > confdefs.h
+printf "%s\n" "/* confdefs.h */" > confdefs.h
 
 # Predefined preprocessor variables.
 
-cat >>confdefs.h <<_ACEOF
-#define PACKAGE_NAME "$PACKAGE_NAME"
-_ACEOF
+printf "%s\n" "#define PACKAGE_NAME \"$PACKAGE_NAME\"" >>confdefs.h
 
-cat >>confdefs.h <<_ACEOF
-#define PACKAGE_TARNAME "$PACKAGE_TARNAME"
-_ACEOF
+printf "%s\n" "#define PACKAGE_TARNAME \"$PACKAGE_TARNAME\"" >>confdefs.h
 
-cat >>confdefs.h <<_ACEOF
-#define PACKAGE_VERSION "$PACKAGE_VERSION"
-_ACEOF
+printf "%s\n" "#define PACKAGE_VERSION \"$PACKAGE_VERSION\"" >>confdefs.h
 
-cat >>confdefs.h <<_ACEOF
-#define PACKAGE_STRING "$PACKAGE_STRING"
-_ACEOF
+printf "%s\n" "#define PACKAGE_STRING \"$PACKAGE_STRING\"" >>confdefs.h
 
-cat >>confdefs.h <<_ACEOF
-#define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
-_ACEOF
+printf "%s\n" "#define PACKAGE_BUGREPORT \"$PACKAGE_BUGREPORT\"" >>confdefs.h
 
-cat >>confdefs.h <<_ACEOF
-#define PACKAGE_URL "$PACKAGE_URL"
-_ACEOF
+printf "%s\n" "#define PACKAGE_URL \"$PACKAGE_URL\"" >>confdefs.h
 
 
 # Let the site file select an alternate cache file if it wants to.
 # Prefer an explicitly selected file to automatically selected ones.
-ac_site_file1=NONE
-ac_site_file2=NONE
 if test -n "$CONFIG_SITE"; then
-  # We do not want a PATH search for config.site.
-  case $CONFIG_SITE in #((
-    -*)  ac_site_file1=./$CONFIG_SITE;;
-    */*) ac_site_file1=$CONFIG_SITE;;
-    *)   ac_site_file1=./$CONFIG_SITE;;
-  esac
+  ac_site_files="$CONFIG_SITE"
 elif test "x$prefix" != xNONE; then
-  ac_site_file1=$prefix/share/config.site
-  ac_site_file2=$prefix/etc/config.site
+  ac_site_files="$prefix/share/config.site $prefix/etc/config.site"
 else
-  ac_site_file1=$ac_default_prefix/share/config.site
-  ac_site_file2=$ac_default_prefix/etc/config.site
+  ac_site_files="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
 fi
-for ac_site_file in "$ac_site_file1" "$ac_site_file2"
+
+for ac_site_file in $ac_site_files
 do
-  test "x$ac_site_file" = xNONE && continue
-  if test /dev/null != "$ac_site_file" && test -r "$ac_site_file"; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: loading site script $ac_site_file" >&5
-$as_echo "$as_me: loading site script $ac_site_file" >&6;}
+  case $ac_site_file in #(
+  */*) :
+     ;; #(
+  *) :
+    ac_site_file=./$ac_site_file ;;
+esac
+  if test -f "$ac_site_file" && test -r "$ac_site_file"; then
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: loading site script $ac_site_file" >&5
+printf "%s\n" "$as_me: loading site script $ac_site_file" >&6;}
     sed 's/^/| /' "$ac_site_file" >&5
     . "$ac_site_file" \
-      || { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+      || { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
 as_fn_error $? "failed to load site script $ac_site_file
 See \`config.log' for more details" "$LINENO" 5; }
   fi
@@ -2728,19 +2694,650 @@ if test -r "$cache_file"; then
   # Some versions of bash will fail to source /dev/null (special files
   # actually), so we avoid doing that.  DJGPP emulates it as a regular file.
   if test /dev/null != "$cache_file" && test -f "$cache_file"; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: loading cache $cache_file" >&5
-$as_echo "$as_me: loading cache $cache_file" >&6;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: loading cache $cache_file" >&5
+printf "%s\n" "$as_me: loading cache $cache_file" >&6;}
     case $cache_file in
       [\\/]* | ?:[\\/]* ) . "$cache_file";;
       *)                      . "./$cache_file";;
     esac
   fi
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: creating cache $cache_file" >&5
-$as_echo "$as_me: creating cache $cache_file" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: creating cache $cache_file" >&5
+printf "%s\n" "$as_me: creating cache $cache_file" >&6;}
   >$cache_file
 fi
 
+# Test code for whether the C compiler supports C89 (global declarations)
+ac_c_conftest_c89_globals='
+/* Does the compiler advertise C89 conformance?
+   Do not test the value of __STDC__, because some compilers set it to 0
+   while being otherwise adequately conformant. */
+#if !defined __STDC__
+# error "Compiler does not advertise C89 conformance"
+#endif
+
+#include <stddef.h>
+#include <stdarg.h>
+struct stat;
+/* Most of the following tests are stolen from RCS 5.7 src/conf.sh.  */
+struct buf { int x; };
+struct buf * (*rcsopen) (struct buf *, struct stat *, int);
+static char *e (p, i)
+     char **p;
+     int i;
+{
+  return p[i];
+}
+static char *f (char * (*g) (char **, int), char **p, ...)
+{
+  char *s;
+  va_list v;
+  va_start (v,p);
+  s = g (p, va_arg (v,int));
+  va_end (v);
+  return s;
+}
+
+/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
+   function prototypes and stuff, but not \xHH hex character constants.
+   These do not provoke an error unfortunately, instead are silently treated
+   as an "x".  The following induces an error, until -std is added to get
+   proper ANSI mode.  Curiously \x00 != x always comes out true, for an
+   array size at least.  It is necessary to write \x00 == 0 to get something
+   that is true only with -std.  */
+int osf4_cc_array ['\''\x00'\'' == 0 ? 1 : -1];
+
+/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
+   inside strings and character constants.  */
+#define FOO(x) '\''x'\''
+int xlc6_cc_array[FOO(a) == '\''x'\'' ? 1 : -1];
+
+int test (int i, double x);
+struct s1 {int (*f) (int a);};
+struct s2 {int (*f) (double a);};
+int pairnames (int, char **, int *(*)(struct buf *, struct stat *, int),
+               int, int);'
+
+# Test code for whether the C compiler supports C89 (body of main).
+ac_c_conftest_c89_main='
+ok |= (argc == 0 || f (e, argv, 0) != argv[0] || f (e, argv, 1) != argv[1]);
+'
+
+# Test code for whether the C compiler supports C99 (global declarations)
+ac_c_conftest_c99_globals='
+// Does the compiler advertise C99 conformance?
+#if !defined __STDC_VERSION__ || __STDC_VERSION__ < 199901L
+# error "Compiler does not advertise C99 conformance"
+#endif
+
+#include <stdbool.h>
+extern int puts (const char *);
+extern int printf (const char *, ...);
+extern int dprintf (int, const char *, ...);
+extern void *malloc (size_t);
+
+// Check varargs macros.  These examples are taken from C99 6.10.3.5.
+// dprintf is used instead of fprintf to avoid needing to declare
+// FILE and stderr.
+#define debug(...) dprintf (2, __VA_ARGS__)
+#define showlist(...) puts (#__VA_ARGS__)
+#define report(test,...) ((test) ? puts (#test) : printf (__VA_ARGS__))
+static void
+test_varargs_macros (void)
+{
+  int x = 1234;
+  int y = 5678;
+  debug ("Flag");
+  debug ("X = %d\n", x);
+  showlist (The first, second, and third items.);
+  report (x>y, "x is %d but y is %d", x, y);
+}
+
+// Check long long types.
+#define BIG64 18446744073709551615ull
+#define BIG32 4294967295ul
+#define BIG_OK (BIG64 / BIG32 == 4294967297ull && BIG64 % BIG32 == 0)
+#if !BIG_OK
+  #error "your preprocessor is broken"
+#endif
+#if BIG_OK
+#else
+  #error "your preprocessor is broken"
+#endif
+static long long int bignum = -9223372036854775807LL;
+static unsigned long long int ubignum = BIG64;
+
+struct incomplete_array
+{
+  int datasize;
+  double data[];
+};
+
+struct named_init {
+  int number;
+  const wchar_t *name;
+  double average;
+};
+
+typedef const char *ccp;
+
+static inline int
+test_restrict (ccp restrict text)
+{
+  // See if C++-style comments work.
+  // Iterate through items via the restricted pointer.
+  // Also check for declarations in for loops.
+  for (unsigned int i = 0; *(text+i) != '\''\0'\''; ++i)
+    continue;
+  return 0;
+}
+
+// Check varargs and va_copy.
+static bool
+test_varargs (const char *format, ...)
+{
+  va_list args;
+  va_start (args, format);
+  va_list args_copy;
+  va_copy (args_copy, args);
+
+  const char *str = "";
+  int number = 0;
+  float fnumber = 0;
+
+  while (*format)
+    {
+      switch (*format++)
+	{
+	case '\''s'\'': // string
+	  str = va_arg (args_copy, const char *);
+	  break;
+	case '\''d'\'': // int
+	  number = va_arg (args_copy, int);
+	  break;
+	case '\''f'\'': // float
+	  fnumber = va_arg (args_copy, double);
+	  break;
+	default:
+	  break;
+	}
+    }
+  va_end (args_copy);
+  va_end (args);
+
+  return *str && number && fnumber;
+}
+'
+
+# Test code for whether the C compiler supports C99 (body of main).
+ac_c_conftest_c99_main='
+  // Check bool.
+  _Bool success = false;
+  success |= (argc != 0);
+
+  // Check restrict.
+  if (test_restrict ("String literal") == 0)
+    success = true;
+  char *restrict newvar = "Another string";
+
+  // Check varargs.
+  success &= test_varargs ("s, d'\'' f .", "string", 65, 34.234);
+  test_varargs_macros ();
+
+  // Check flexible array members.
+  struct incomplete_array *ia =
+    malloc (sizeof (struct incomplete_array) + (sizeof (double) * 10));
+  ia->datasize = 10;
+  for (int i = 0; i < ia->datasize; ++i)
+    ia->data[i] = i * 1.234;
+
+  // Check named initializers.
+  struct named_init ni = {
+    .number = 34,
+    .name = L"Test wide string",
+    .average = 543.34343,
+  };
+
+  ni.number = 58;
+
+  int dynamic_array[ni.number];
+  dynamic_array[0] = argv[0][0];
+  dynamic_array[ni.number - 1] = 543;
+
+  // work around unused variable warnings
+  ok |= (!success || bignum == 0LL || ubignum == 0uLL || newvar[0] == '\''x'\''
+	 || dynamic_array[ni.number - 1] != 543);
+'
+
+# Test code for whether the C compiler supports C11 (global declarations)
+ac_c_conftest_c11_globals='
+// Does the compiler advertise C11 conformance?
+#if !defined __STDC_VERSION__ || __STDC_VERSION__ < 201112L
+# error "Compiler does not advertise C11 conformance"
+#endif
+
+// Check _Alignas.
+char _Alignas (double) aligned_as_double;
+char _Alignas (0) no_special_alignment;
+extern char aligned_as_int;
+char _Alignas (0) _Alignas (int) aligned_as_int;
+
+// Check _Alignof.
+enum
+{
+  int_alignment = _Alignof (int),
+  int_array_alignment = _Alignof (int[100]),
+  char_alignment = _Alignof (char)
+};
+_Static_assert (0 < -_Alignof (int), "_Alignof is signed");
+
+// Check _Noreturn.
+int _Noreturn does_not_return (void) { for (;;) continue; }
+
+// Check _Static_assert.
+struct test_static_assert
+{
+  int x;
+  _Static_assert (sizeof (int) <= sizeof (long int),
+                  "_Static_assert does not work in struct");
+  long int y;
+};
+
+// Check UTF-8 literals.
+#define u8 syntax error!
+char const utf8_literal[] = u8"happens to be ASCII" "another string";
+
+// Check duplicate typedefs.
+typedef long *long_ptr;
+typedef long int *long_ptr;
+typedef long_ptr long_ptr;
+
+// Anonymous structures and unions -- taken from C11 6.7.2.1 Example 1.
+struct anonymous
+{
+  union {
+    struct { int i; int j; };
+    struct { int k; long int l; } w;
+  };
+  int m;
+} v1;
+'
+
+# Test code for whether the C compiler supports C11 (body of main).
+ac_c_conftest_c11_main='
+  _Static_assert ((offsetof (struct anonymous, i)
+		   == offsetof (struct anonymous, w.k)),
+		  "Anonymous union alignment botch");
+  v1.i = 2;
+  v1.w.k = 5;
+  ok |= v1.i != 5;
+'
+
+# Test code for whether the C compiler supports C11 (complete).
+ac_c_conftest_c11_program="${ac_c_conftest_c89_globals}
+${ac_c_conftest_c99_globals}
+${ac_c_conftest_c11_globals}
+
+int
+main (int argc, char **argv)
+{
+  int ok = 0;
+  ${ac_c_conftest_c89_main}
+  ${ac_c_conftest_c99_main}
+  ${ac_c_conftest_c11_main}
+  return ok;
+}
+"
+
+# Test code for whether the C compiler supports C99 (complete).
+ac_c_conftest_c99_program="${ac_c_conftest_c89_globals}
+${ac_c_conftest_c99_globals}
+
+int
+main (int argc, char **argv)
+{
+  int ok = 0;
+  ${ac_c_conftest_c89_main}
+  ${ac_c_conftest_c99_main}
+  return ok;
+}
+"
+
+# Test code for whether the C compiler supports C89 (complete).
+ac_c_conftest_c89_program="${ac_c_conftest_c89_globals}
+
+int
+main (int argc, char **argv)
+{
+  int ok = 0;
+  ${ac_c_conftest_c89_main}
+  return ok;
+}
+"
+
+# Test code for whether the C++ compiler supports C++98 (global declarations)
+ac_cxx_conftest_cxx98_globals='
+// Does the compiler advertise C++98 conformance?
+#if !defined __cplusplus || __cplusplus < 199711L
+# error "Compiler does not advertise C++98 conformance"
+#endif
+
+// These inclusions are to reject old compilers that
+// lack the unsuffixed header files.
+#include <cstdlib>
+#include <exception>
+
+// <cassert> and <cstring> are *not* freestanding headers in C++98.
+extern void assert (int);
+namespace std {
+  extern int strcmp (const char *, const char *);
+}
+
+// Namespaces, exceptions, and templates were all added after "C++ 2.0".
+using std::exception;
+using std::strcmp;
+
+namespace {
+
+void test_exception_syntax()
+{
+  try {
+    throw "test";
+  } catch (const char *s) {
+    // Extra parentheses suppress a warning when building autoconf itself,
+    // due to lint rules shared with more typical C programs.
+    assert (!(strcmp) (s, "test"));
+  }
+}
+
+template <typename T> struct test_template
+{
+  T const val;
+  explicit test_template(T t) : val(t) {}
+  template <typename U> T add(U u) { return static_cast<T>(u) + val; }
+};
+
+} // anonymous namespace
+'
+
+# Test code for whether the C++ compiler supports C++98 (body of main)
+ac_cxx_conftest_cxx98_main='
+  assert (argc);
+  assert (! argv[0]);
+{
+  test_exception_syntax ();
+  test_template<double> tt (2.0);
+  assert (tt.add (4) == 6.0);
+  assert (true && !false);
+}
+'
+
+# Test code for whether the C++ compiler supports C++11 (global declarations)
+ac_cxx_conftest_cxx11_globals='
+// Does the compiler advertise C++ 2011 conformance?
+#if !defined __cplusplus || __cplusplus < 201103L
+# error "Compiler does not advertise C++11 conformance"
+#endif
+
+namespace cxx11test
+{
+  constexpr int get_val() { return 20; }
+
+  struct testinit
+  {
+    int i;
+    double d;
+  };
+
+  class delegate
+  {
+  public:
+    delegate(int n) : n(n) {}
+    delegate(): delegate(2354) {}
+
+    virtual int getval() { return this->n; };
+  protected:
+    int n;
+  };
+
+  class overridden : public delegate
+  {
+  public:
+    overridden(int n): delegate(n) {}
+    virtual int getval() override final { return this->n * 2; }
+  };
+
+  class nocopy
+  {
+  public:
+    nocopy(int i): i(i) {}
+    nocopy() = default;
+    nocopy(const nocopy&) = delete;
+    nocopy & operator=(const nocopy&) = delete;
+  private:
+    int i;
+  };
+
+  // for testing lambda expressions
+  template <typename Ret, typename Fn> Ret eval(Fn f, Ret v)
+  {
+    return f(v);
+  }
+
+  // for testing variadic templates and trailing return types
+  template <typename V> auto sum(V first) -> V
+  {
+    return first;
+  }
+  template <typename V, typename... Args> auto sum(V first, Args... rest) -> V
+  {
+    return first + sum(rest...);
+  }
+}
+'
+
+# Test code for whether the C++ compiler supports C++11 (body of main)
+ac_cxx_conftest_cxx11_main='
+{
+  // Test auto and decltype
+  auto a1 = 6538;
+  auto a2 = 48573953.4;
+  auto a3 = "String literal";
+
+  int total = 0;
+  for (auto i = a3; *i; ++i) { total += *i; }
+
+  decltype(a2) a4 = 34895.034;
+}
+{
+  // Test constexpr
+  short sa[cxx11test::get_val()] = { 0 };
+}
+{
+  // Test initializer lists
+  cxx11test::testinit il = { 4323, 435234.23544 };
+}
+{
+  // Test range-based for
+  int array[] = {9, 7, 13, 15, 4, 18, 12, 10, 5, 3,
+                 14, 19, 17, 8, 6, 20, 16, 2, 11, 1};
+  for (auto &x : array) { x += 23; }
+}
+{
+  // Test lambda expressions
+  using cxx11test::eval;
+  assert (eval ([](int x) { return x*2; }, 21) == 42);
+  double d = 2.0;
+  assert (eval ([&](double x) { return d += x; }, 3.0) == 5.0);
+  assert (d == 5.0);
+  assert (eval ([=](double x) mutable { return d += x; }, 4.0) == 9.0);
+  assert (d == 5.0);
+}
+{
+  // Test use of variadic templates
+  using cxx11test::sum;
+  auto a = sum(1);
+  auto b = sum(1, 2);
+  auto c = sum(1.0, 2.0, 3.0);
+}
+{
+  // Test constructor delegation
+  cxx11test::delegate d1;
+  cxx11test::delegate d2();
+  cxx11test::delegate d3(45);
+}
+{
+  // Test override and final
+  cxx11test::overridden o1(55464);
+}
+{
+  // Test nullptr
+  char *c = nullptr;
+}
+{
+  // Test template brackets
+  test_template<::test_template<int>> v(test_template<int>(12));
+}
+{
+  // Unicode literals
+  char const *utf8 = u8"UTF-8 string \u2500";
+  char16_t const *utf16 = u"UTF-8 string \u2500";
+  char32_t const *utf32 = U"UTF-32 string \u2500";
+}
+'
+
+# Test code for whether the C compiler supports C++11 (complete).
+ac_cxx_conftest_cxx11_program="${ac_cxx_conftest_cxx98_globals}
+${ac_cxx_conftest_cxx11_globals}
+
+int
+main (int argc, char **argv)
+{
+  int ok = 0;
+  ${ac_cxx_conftest_cxx98_main}
+  ${ac_cxx_conftest_cxx11_main}
+  return ok;
+}
+"
+
+# Test code for whether the C compiler supports C++98 (complete).
+ac_cxx_conftest_cxx98_program="${ac_cxx_conftest_cxx98_globals}
+int
+main (int argc, char **argv)
+{
+  int ok = 0;
+  ${ac_cxx_conftest_cxx98_main}
+  return ok;
+}
+"
+
+as_fn_append ac_header_c_list " stdio.h stdio_h HAVE_STDIO_H"
+as_fn_append ac_header_c_list " stdlib.h stdlib_h HAVE_STDLIB_H"
+as_fn_append ac_header_c_list " string.h string_h HAVE_STRING_H"
+as_fn_append ac_header_c_list " inttypes.h inttypes_h HAVE_INTTYPES_H"
+as_fn_append ac_header_c_list " stdint.h stdint_h HAVE_STDINT_H"
+as_fn_append ac_header_c_list " strings.h strings_h HAVE_STRINGS_H"
+as_fn_append ac_header_c_list " sys/stat.h sys_stat_h HAVE_SYS_STAT_H"
+as_fn_append ac_header_c_list " sys/types.h sys_types_h HAVE_SYS_TYPES_H"
+as_fn_append ac_header_c_list " unistd.h unistd_h HAVE_UNISTD_H"
+
+# Auxiliary files required by this configure script.
+ac_aux_files="install-sh config.guess config.sub"
+
+# Locations in which to look for auxiliary files.
+ac_aux_dir_candidates="${srcdir}/./config"
+
+# Search for a directory containing all of the required auxiliary files,
+# $ac_aux_files, from the $PATH-style list $ac_aux_dir_candidates.
+# If we don't find one directory that contains all the files we need,
+# we report the set of missing files from the *first* directory in
+# $ac_aux_dir_candidates and give up.
+ac_missing_aux_files=""
+ac_first_candidate=:
+printf "%s\n" "$as_me:${as_lineno-$LINENO}: looking for aux files: $ac_aux_files" >&5
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+as_found=false
+for as_dir in $ac_aux_dir_candidates
+do
+  IFS=$as_save_IFS
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+  as_found=:
+
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}:  trying $as_dir" >&5
+  ac_aux_dir_found=yes
+  ac_install_sh=
+  for ac_aux in $ac_aux_files
+  do
+    # As a special case, if "install-sh" is required, that requirement
+    # can be satisfied by any of "install-sh", "install.sh", or "shtool",
+    # and $ac_install_sh is set appropriately for whichever one is found.
+    if test x"$ac_aux" = x"install-sh"
+    then
+      if test -f "${as_dir}install-sh"; then
+        printf "%s\n" "$as_me:${as_lineno-$LINENO}:   ${as_dir}install-sh found" >&5
+        ac_install_sh="${as_dir}install-sh -c"
+      elif test -f "${as_dir}install.sh"; then
+        printf "%s\n" "$as_me:${as_lineno-$LINENO}:   ${as_dir}install.sh found" >&5
+        ac_install_sh="${as_dir}install.sh -c"
+      elif test -f "${as_dir}shtool"; then
+        printf "%s\n" "$as_me:${as_lineno-$LINENO}:   ${as_dir}shtool found" >&5
+        ac_install_sh="${as_dir}shtool install -c"
+      else
+        ac_aux_dir_found=no
+        if $ac_first_candidate; then
+          ac_missing_aux_files="${ac_missing_aux_files} install-sh"
+        else
+          break
+        fi
+      fi
+    else
+      if test -f "${as_dir}${ac_aux}"; then
+        printf "%s\n" "$as_me:${as_lineno-$LINENO}:   ${as_dir}${ac_aux} found" >&5
+      else
+        ac_aux_dir_found=no
+        if $ac_first_candidate; then
+          ac_missing_aux_files="${ac_missing_aux_files} ${ac_aux}"
+        else
+          break
+        fi
+      fi
+    fi
+  done
+  if test "$ac_aux_dir_found" = yes; then
+    ac_aux_dir="$as_dir"
+    break
+  fi
+  ac_first_candidate=false
+
+  as_found=false
+done
+IFS=$as_save_IFS
+if $as_found
+then :
+
+else $as_nop
+  as_fn_error $? "cannot find required auxiliary files:$ac_missing_aux_files" "$LINENO" 5
+fi
+
+
+# These three variables are undocumented and unsupported,
+# and are intended to be withdrawn in a future Autoconf release.
+# They can cause serious problems if a builder's source tree is in a directory
+# whose full name contains unusual characters.
+if test -f "${ac_aux_dir}config.guess"; then
+  ac_config_guess="$SHELL ${ac_aux_dir}config.guess"
+fi
+if test -f "${ac_aux_dir}config.sub"; then
+  ac_config_sub="$SHELL ${ac_aux_dir}config.sub"
+fi
+if test -f "$ac_aux_dir/configure"; then
+  ac_configure="$SHELL ${ac_aux_dir}configure"
+fi
+
 # Check that the precious variables saved in the cache have kept the same
 # value.
 ac_cache_corrupted=false
@@ -2751,12 +3348,12 @@ for ac_var in $ac_precious_vars; do
   eval ac_new_val=\$ac_env_${ac_var}_value
   case $ac_old_set,$ac_new_set in
     set,)
-      { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
-$as_echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
+printf "%s\n" "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
       ac_cache_corrupted=: ;;
     ,set)
-      { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was not set in the previous run" >&5
-$as_echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was not set in the previous run" >&5
+printf "%s\n" "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
       ac_cache_corrupted=: ;;
     ,);;
     *)
@@ -2765,24 +3362,24 @@ $as_echo "$as_me: error: \`$ac_var' was
 	ac_old_val_w=`echo x $ac_old_val`
 	ac_new_val_w=`echo x $ac_new_val`
 	if test "$ac_old_val_w" != "$ac_new_val_w"; then
-	  { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' has changed since the previous run:" >&5
-$as_echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
+	  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' has changed since the previous run:" >&5
+printf "%s\n" "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
 	  ac_cache_corrupted=:
 	else
-	  { $as_echo "$as_me:${as_lineno-$LINENO}: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&5
-$as_echo "$as_me: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&2;}
+	  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&5
+printf "%s\n" "$as_me: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&2;}
 	  eval $ac_var=\$ac_old_val
 	fi
-	{ $as_echo "$as_me:${as_lineno-$LINENO}:   former value:  \`$ac_old_val'" >&5
-$as_echo "$as_me:   former value:  \`$ac_old_val'" >&2;}
-	{ $as_echo "$as_me:${as_lineno-$LINENO}:   current value: \`$ac_new_val'" >&5
-$as_echo "$as_me:   current value: \`$ac_new_val'" >&2;}
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}:   former value:  \`$ac_old_val'" >&5
+printf "%s\n" "$as_me:   former value:  \`$ac_old_val'" >&2;}
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}:   current value: \`$ac_new_val'" >&5
+printf "%s\n" "$as_me:   current value: \`$ac_new_val'" >&2;}
       fi;;
   esac
   # Pass precious variables to config.status.
   if test "$ac_new_set" = set; then
     case $ac_new_val in
-    *\'*) ac_arg=$ac_var=`$as_echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
+    *\'*) ac_arg=$ac_var=`printf "%s\n" "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
     *) ac_arg=$ac_var=$ac_new_val ;;
     esac
     case " $ac_configure_args " in
@@ -2792,11 +3389,12 @@ $as_echo "$as_me:   current value: \`$ac
   fi
 done
 if $ac_cache_corrupted; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-  { $as_echo "$as_me:${as_lineno-$LINENO}: error: changes in the environment can compromise the build" >&5
-$as_echo "$as_me: error: changes in the environment can compromise the build" >&2;}
-  as_fn_error $? "run \`make distclean' and/or \`rm $cache_file' and start over" "$LINENO" 5
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: changes in the environment can compromise the build" >&5
+printf "%s\n" "$as_me: error: changes in the environment can compromise the build" >&2;}
+  as_fn_error $? "run \`${MAKE-make} distclean' and/or \`rm $cache_file'
+	    and start over" "$LINENO" 5
 fi
 ## -------------------- ##
 ## Main body of script. ##
@@ -2834,34 +3432,6 @@ fi
 ac_topdir=$srcdir/$ac_reltopdir
 ac_config_fragdir=$ac_reltopdir/config
 # echo "Looking for $srcdir/$ac_config_fragdir"
-ac_aux_dir=
-for ac_dir in ./config "$srcdir"/./config; do
-  if test -f "$ac_dir/install-sh"; then
-    ac_aux_dir=$ac_dir
-    ac_install_sh="$ac_aux_dir/install-sh -c"
-    break
-  elif test -f "$ac_dir/install.sh"; then
-    ac_aux_dir=$ac_dir
-    ac_install_sh="$ac_aux_dir/install.sh -c"
-    break
-  elif test -f "$ac_dir/shtool"; then
-    ac_aux_dir=$ac_dir
-    ac_install_sh="$ac_aux_dir/shtool install -c"
-    break
-  fi
-done
-if test -z "$ac_aux_dir"; then
-  as_fn_error $? "cannot find install-sh, install.sh, or shtool in ./config \"$srcdir\"/./config" "$LINENO" 5
-fi
-
-# These three variables are undocumented and unsupported,
-# and are intended to be withdrawn in a future Autoconf release.
-# They can cause serious problems if a builder's source tree is in a directory
-# whose full name contains unusual characters.
-ac_config_guess="$SHELL $ac_aux_dir/config.guess"  # Please don't use this var.
-ac_config_sub="$SHELL $ac_aux_dir/config.sub"  # Please don't use this var.
-ac_configure="$SHELL $ac_aux_dir/configure"  # Please don't use this var.
-
 
 
 
@@ -2872,6 +3442,15 @@ krb5_ac_cxxflags_set=${CXXFLAGS+set}
 krb5_ac_warn_cflags_set=${WARN_CFLAGS+set}
 krb5_ac_warn_cxxflags_set=${WARN_CXXFLAGS+set}
 
+
+
+
+
+
+
+
+
+
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -2880,11 +3459,12 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}gcc; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_CC+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_CC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
 else
@@ -2892,11 +3472,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_CC="${ac_tool_prefix}gcc"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -2907,11 +3491,11 @@ fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
-$as_echo "$CC" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
+printf "%s\n" "$CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -2920,11 +3504,12 @@ if test -z "$ac_cv_prog_CC"; then
   ac_ct_CC=$CC
   # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_ac_ct_CC+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_ac_ct_CC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$ac_ct_CC"; then
   ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
 else
@@ -2932,11 +3517,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_ac_ct_CC="gcc"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -2947,11 +3536,11 @@ fi
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
-$as_echo "$ac_ct_CC" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
+printf "%s\n" "$ac_ct_CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
   if test "x$ac_ct_CC" = x; then
@@ -2959,8 +3548,8 @@ fi
   else
     case $cross_compiling:$ac_tool_warned in
 yes:)
-{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
-$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+printf "%s\n" "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
 ac_tool_warned=yes ;;
 esac
     CC=$ac_ct_CC
@@ -2973,11 +3562,12 @@ if test -z "$CC"; then
           if test -n "$ac_tool_prefix"; then
     # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}cc; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_CC+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_CC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
 else
@@ -2985,11 +3575,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_CC="${ac_tool_prefix}cc"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -3000,11 +3594,11 @@ fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
-$as_echo "$CC" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
+printf "%s\n" "$CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -3013,11 +3607,12 @@ fi
 if test -z "$CC"; then
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_CC+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_CC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
 else
@@ -3026,15 +3621,19 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    if test "$as_dir$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
        ac_prog_rejected=yes
        continue
      fi
     ac_cv_prog_CC="cc"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -3050,18 +3649,18 @@ if test $ac_prog_rejected = yes; then
     # However, it has the same basename, so the bogon will be chosen
     # first if we set CC to just the basename; use the full file name.
     shift
-    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
+    ac_cv_prog_CC="$as_dir$ac_word${1+' '}$@"
   fi
 fi
 fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
-$as_echo "$CC" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
+printf "%s\n" "$CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -3072,11 +3671,12 @@ if test -z "$CC"; then
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_CC+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_CC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
 else
@@ -3084,11 +3684,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -3099,11 +3703,11 @@ fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
-$as_echo "$CC" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
+printf "%s\n" "$CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -3116,11 +3720,12 @@ if test -z "$CC"; then
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_ac_ct_CC+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_ac_ct_CC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$ac_ct_CC"; then
   ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
 else
@@ -3128,11 +3733,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_ac_ct_CC="$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -3143,11 +3752,11 @@ fi
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
-$as_echo "$ac_ct_CC" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
+printf "%s\n" "$ac_ct_CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -3159,8 +3768,8 @@ done
   else
     case $cross_compiling:$ac_tool_warned in
 yes:)
-{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
-$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+printf "%s\n" "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
 ac_tool_warned=yes ;;
 esac
     CC=$ac_ct_CC
@@ -3168,25 +3777,129 @@ esac
 fi
 
 fi
+if test -z "$CC"; then
+  if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}clang", so it can be a program name with args.
+set dummy ${ac_tool_prefix}clang; ac_word=$2
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_CC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  if test -n "$CC"; then
+  ac_cv_prog_CC="$CC" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+    for ac_exec_ext in '' $ac_executable_extensions; do
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_prog_CC="${ac_tool_prefix}clang"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+  done
+IFS=$as_save_IFS
+
+fi
+fi
+CC=$ac_cv_prog_CC
+if test -n "$CC"; then
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
+printf "%s\n" "$CC" >&6; }
+else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
+fi
 
 
-test -z "$CC" && { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+fi
+if test -z "$ac_cv_prog_CC"; then
+  ac_ct_CC=$CC
+  # Extract the first word of "clang", so it can be a program name with args.
+set dummy clang; ac_word=$2
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_ac_ct_CC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  if test -n "$ac_ct_CC"; then
+  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+    for ac_exec_ext in '' $ac_executable_extensions; do
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_prog_ac_ct_CC="clang"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+  done
+IFS=$as_save_IFS
+
+fi
+fi
+ac_ct_CC=$ac_cv_prog_ac_ct_CC
+if test -n "$ac_ct_CC"; then
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
+printf "%s\n" "$ac_ct_CC" >&6; }
+else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
+fi
+
+  if test "x$ac_ct_CC" = x; then
+    CC=""
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+printf "%s\n" "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+ac_tool_warned=yes ;;
+esac
+    CC=$ac_ct_CC
+  fi
+else
+  CC="$ac_cv_prog_CC"
+fi
+
+fi
+
+
+test -z "$CC" && { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
 as_fn_error $? "no acceptable C compiler found in \$PATH
 See \`config.log' for more details" "$LINENO" 5; }
 
 # Provide some information about the compiler.
-$as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler version" >&5
+printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for C compiler version" >&5
 set X $ac_compile
 ac_compiler=$2
-for ac_option in --version -v -V -qversion; do
+for ac_option in --version -v -V -qversion -version; do
   { { ac_try="$ac_compiler $ac_option >&5"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_compiler $ac_option >&5") 2>conftest.err
   ac_status=$?
   if test -s conftest.err; then
@@ -3196,7 +3909,7 @@ $as_echo "$ac_try_echo"; } >&5
     cat conftest.er1 >&5
   fi
   rm -f conftest.er1 conftest.err
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }
 done
 
@@ -3204,7 +3917,7 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
   ;
@@ -3216,9 +3929,9 @@ ac_clean_files="$ac_clean_files a.out a.
 # Try to create an executable without -o first, disregard a.out.
 # It will help us diagnose broken compilers, and finding out an intuition
 # of exeext.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the C compiler works" >&5
-$as_echo_n "checking whether the C compiler works... " >&6; }
-ac_link_default=`$as_echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether the C compiler works" >&5
+printf %s "checking whether the C compiler works... " >&6; }
+ac_link_default=`printf "%s\n" "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
 
 # The possible output files:
 ac_files="a.out conftest.exe conftest a.exe a_out.exe b.out conftest.*"
@@ -3239,11 +3952,12 @@ case "(($ac_try" in
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_link_default") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; then :
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  test $ac_status = 0; }
+then :
   # Autoconf-2.13 could set the ac_cv_exeext variable to `no'.
 # So ignore a value of `no', otherwise this would lead to `EXEEXT = no'
 # in a Makefile.  We should not override ac_cv_exeext if it was cached,
@@ -3260,7 +3974,7 @@ do
 	# certainly right.
 	break;;
     *.* )
-	if test "${ac_cv_exeext+set}" = set && test "$ac_cv_exeext" != no;
+	if test ${ac_cv_exeext+y} && test "$ac_cv_exeext" != no;
 	then :; else
 	   ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
 	fi
@@ -3276,44 +3990,46 @@ do
 done
 test "$ac_cv_exeext" = no && ac_cv_exeext=
 
-else
+else $as_nop
   ac_file=''
 fi
-if test -z "$ac_file"; then :
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
-$as_echo "$as_me: failed program was:" >&5
+if test -z "$ac_file"
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
+printf "%s\n" "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
 as_fn_error 77 "C compiler cannot create executables
 See \`config.log' for more details" "$LINENO" 5; }
-else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
-fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler default output file name" >&5
-$as_echo_n "checking for C compiler default output file name... " >&6; }
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_file" >&5
-$as_echo "$ac_file" >&6; }
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
+fi
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for C compiler default output file name" >&5
+printf %s "checking for C compiler default output file name... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_file" >&5
+printf "%s\n" "$ac_file" >&6; }
 ac_exeext=$ac_cv_exeext
 
 rm -f -r a.out a.out.dSYM a.exe conftest$ac_cv_exeext b.out
 ac_clean_files=$ac_clean_files_save
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for suffix of executables" >&5
-$as_echo_n "checking for suffix of executables... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for suffix of executables" >&5
+printf %s "checking for suffix of executables... " >&6; }
 if { { ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_link") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; then :
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  test $ac_status = 0; }
+then :
   # If both `conftest.exe' and `conftest' are `present' (well, observable)
 # catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
 # work properly (i.e., refer to `conftest.exe'), while it won't with
@@ -3327,15 +4043,15 @@ for ac_file in conftest.exe conftest con
     * ) break;;
   esac
 done
-else
-  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+else $as_nop
+  { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
 as_fn_error $? "cannot compute suffix of executables: cannot compile and link
 See \`config.log' for more details" "$LINENO" 5; }
 fi
 rm -f conftest conftest$ac_cv_exeext
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_exeext" >&5
-$as_echo "$ac_cv_exeext" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_exeext" >&5
+printf "%s\n" "$ac_cv_exeext" >&6; }
 
 rm -f conftest.$ac_ext
 EXEEXT=$ac_cv_exeext
@@ -3344,7 +4060,7 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* end confdefs.h.  */
 #include <stdio.h>
 int
-main ()
+main (void)
 {
 FILE *f = fopen ("conftest.out", "w");
  return ferror (f) || fclose (f) != 0;
@@ -3356,8 +4072,8 @@ _ACEOF
 ac_clean_files="$ac_clean_files conftest.out"
 # Check that the compiler produces executables we can run.  If not, either
 # the compiler is broken, or we cross compile.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are cross compiling" >&5
-$as_echo_n "checking whether we are cross compiling... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether we are cross compiling" >&5
+printf %s "checking whether we are cross compiling... " >&6; }
 if test "$cross_compiling" != yes; then
   { { ac_try="$ac_link"
 case "(($ac_try" in
@@ -3365,10 +4081,10 @@ case "(($ac_try" in
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_link") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }
   if { ac_try='./conftest$ac_cv_exeext'
   { { case "(($ac_try" in
@@ -3376,39 +4092,40 @@ $as_echo "$ac_try_echo"; } >&5
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_try") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; }; then
     cross_compiling=no
   else
     if test "$cross_compiling" = maybe; then
 	cross_compiling=yes
     else
-	{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-as_fn_error $? "cannot run C compiled programs.
+	{ { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
+as_fn_error 77 "cannot run C compiled programs.
 If you meant to cross compile, use \`--host'.
 See \`config.log' for more details" "$LINENO" 5; }
     fi
   fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $cross_compiling" >&5
-$as_echo "$cross_compiling" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $cross_compiling" >&5
+printf "%s\n" "$cross_compiling" >&6; }
 
 rm -f conftest.$ac_ext conftest$ac_cv_exeext conftest.out
 ac_clean_files=$ac_clean_files_save
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for suffix of object files" >&5
-$as_echo_n "checking for suffix of object files... " >&6; }
-if ${ac_cv_objext+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for suffix of object files" >&5
+printf %s "checking for suffix of object files... " >&6; }
+if test ${ac_cv_objext+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
   ;
@@ -3422,11 +4139,12 @@ case "(($ac_try" in
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_compile") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; then :
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  test $ac_status = 0; }
+then :
   for ac_file in conftest.o conftest.obj conftest.*; do
   test -f "$ac_file" || continue;
   case $ac_file in
@@ -3435,31 +4153,32 @@ $as_echo "$ac_try_echo"; } >&5
        break;;
   esac
 done
-else
-  $as_echo "$as_me: failed program was:" >&5
+else $as_nop
+  printf "%s\n" "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
 as_fn_error $? "cannot compute suffix of object files: cannot compile
 See \`config.log' for more details" "$LINENO" 5; }
 fi
 rm -f conftest.$ac_cv_objext conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_objext" >&5
-$as_echo "$ac_cv_objext" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_objext" >&5
+printf "%s\n" "$ac_cv_objext" >&6; }
 OBJEXT=$ac_cv_objext
 ac_objext=$OBJEXT
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C compiler" >&5
-$as_echo_n "checking whether we are using the GNU C compiler... " >&6; }
-if ${ac_cv_c_compiler_gnu+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether the compiler supports GNU C" >&5
+printf %s "checking whether the compiler supports GNU C... " >&6; }
+if test ${ac_cv_c_compiler_gnu+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 #ifndef __GNUC__
        choke me
@@ -3469,29 +4188,33 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_compiler_gnu=yes
-else
+else $as_nop
   ac_compiler_gnu=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 ac_cv_c_compiler_gnu=$ac_compiler_gnu
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_compiler_gnu" >&5
-$as_echo "$ac_cv_c_compiler_gnu" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_compiler_gnu" >&5
+printf "%s\n" "$ac_cv_c_compiler_gnu" >&6; }
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
 if test $ac_compiler_gnu = yes; then
   GCC=yes
 else
   GCC=
 fi
-ac_test_CFLAGS=${CFLAGS+set}
+ac_test_CFLAGS=${CFLAGS+y}
 ac_save_CFLAGS=$CFLAGS
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CC accepts -g" >&5
-$as_echo_n "checking whether $CC accepts -g... " >&6; }
-if ${ac_cv_prog_cc_g+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether $CC accepts -g" >&5
+printf %s "checking whether $CC accepts -g... " >&6; }
+if test ${ac_cv_prog_cc_g+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_save_c_werror_flag=$ac_c_werror_flag
    ac_c_werror_flag=yes
    ac_cv_prog_cc_g=no
@@ -3500,57 +4223,60 @@ else
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_cv_prog_cc_g=yes
-else
+else $as_nop
   CFLAGS=""
       cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
 
-else
+else $as_nop
   ac_c_werror_flag=$ac_save_c_werror_flag
 	 CFLAGS="-g"
 	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_cv_prog_cc_g=yes
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
    ac_c_werror_flag=$ac_save_c_werror_flag
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_g" >&5
-$as_echo "$ac_cv_prog_cc_g" >&6; }
-if test "$ac_test_CFLAGS" = set; then
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_g" >&5
+printf "%s\n" "$ac_cv_prog_cc_g" >&6; }
+if test $ac_test_CFLAGS; then
   CFLAGS=$ac_save_CFLAGS
 elif test $ac_cv_prog_cc_g = yes; then
   if test "$GCC" = yes; then
@@ -3565,94 +4291,144 @@ else
     CFLAGS=
   fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $CC option to accept ISO C89" >&5
-$as_echo_n "checking for $CC option to accept ISO C89... " >&6; }
-if ${ac_cv_prog_cc_c89+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  ac_cv_prog_cc_c89=no
+ac_prog_cc_stdc=no
+if test x$ac_prog_cc_stdc = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $CC option to enable C11 features" >&5
+printf %s "checking for $CC option to enable C11 features... " >&6; }
+if test ${ac_cv_prog_cc_c11+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  ac_cv_prog_cc_c11=no
 ac_save_CC=$CC
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
-#include <stdarg.h>
-#include <stdio.h>
-struct stat;
-/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
-struct buf { int x; };
-FILE * (*rcsopen) (struct buf *, struct stat *, int);
-static char *e (p, i)
-     char **p;
-     int i;
-{
-  return p[i];
-}
-static char *f (char * (*g) (char **, int), char **p, ...)
-{
-  char *s;
-  va_list v;
-  va_start (v,p);
-  s = g (p, va_arg (v,int));
-  va_end (v);
-  return s;
-}
-
-/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
-   function prototypes and stuff, but not '\xHH' hex character constants.
-   These don't provoke an error unfortunately, instead are silently treated
-   as 'x'.  The following induces an error, until -std is added to get
-   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
-   array size at least.  It's necessary to write '\x00'==0 to get something
-   that's true only with -std.  */
-int osf4_cc_array ['\x00' == 0 ? 1 : -1];
+$ac_c_conftest_c11_program
+_ACEOF
+for ac_arg in '' -std=gnu11
+do
+  CC="$ac_save_CC $ac_arg"
+  if ac_fn_c_try_compile "$LINENO"
+then :
+  ac_cv_prog_cc_c11=$ac_arg
+fi
+rm -f core conftest.err conftest.$ac_objext conftest.beam
+  test "x$ac_cv_prog_cc_c11" != "xno" && break
+done
+rm -f conftest.$ac_ext
+CC=$ac_save_CC
+fi
 
-/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
-   inside strings and character constants.  */
-#define FOO(x) 'x'
-int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];
+if test "x$ac_cv_prog_cc_c11" = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
+printf "%s\n" "unsupported" >&6; }
+else $as_nop
+  if test "x$ac_cv_prog_cc_c11" = x
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
+printf "%s\n" "none needed" >&6; }
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c11" >&5
+printf "%s\n" "$ac_cv_prog_cc_c11" >&6; }
+     CC="$CC $ac_cv_prog_cc_c11"
+fi
+  ac_cv_prog_cc_stdc=$ac_cv_prog_cc_c11
+  ac_prog_cc_stdc=c11
+fi
+fi
+if test x$ac_prog_cc_stdc = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $CC option to enable C99 features" >&5
+printf %s "checking for $CC option to enable C99 features... " >&6; }
+if test ${ac_cv_prog_cc_c99+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  ac_cv_prog_cc_c99=no
+ac_save_CC=$CC
+cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+$ac_c_conftest_c99_program
+_ACEOF
+for ac_arg in '' -std=gnu99 -std=c99 -c99 -qlanglvl=extc1x -qlanglvl=extc99 -AC99 -D_STDC_C99=
+do
+  CC="$ac_save_CC $ac_arg"
+  if ac_fn_c_try_compile "$LINENO"
+then :
+  ac_cv_prog_cc_c99=$ac_arg
+fi
+rm -f core conftest.err conftest.$ac_objext conftest.beam
+  test "x$ac_cv_prog_cc_c99" != "xno" && break
+done
+rm -f conftest.$ac_ext
+CC=$ac_save_CC
+fi
 
-int test (int i, double x);
-struct s1 {int (*f) (int a);};
-struct s2 {int (*f) (double a);};
-int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
-int argc;
-char **argv;
-int
-main ()
-{
-return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
-  ;
-  return 0;
-}
+if test "x$ac_cv_prog_cc_c99" = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
+printf "%s\n" "unsupported" >&6; }
+else $as_nop
+  if test "x$ac_cv_prog_cc_c99" = x
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
+printf "%s\n" "none needed" >&6; }
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c99" >&5
+printf "%s\n" "$ac_cv_prog_cc_c99" >&6; }
+     CC="$CC $ac_cv_prog_cc_c99"
+fi
+  ac_cv_prog_cc_stdc=$ac_cv_prog_cc_c99
+  ac_prog_cc_stdc=c99
+fi
+fi
+if test x$ac_prog_cc_stdc = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $CC option to enable C89 features" >&5
+printf %s "checking for $CC option to enable C89 features... " >&6; }
+if test ${ac_cv_prog_cc_c89+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  ac_cv_prog_cc_c89=no
+ac_save_CC=$CC
+cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+$ac_c_conftest_c89_program
 _ACEOF
-for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
-	-Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
+for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
 do
   CC="$ac_save_CC $ac_arg"
-  if ac_fn_c_try_compile "$LINENO"; then :
+  if ac_fn_c_try_compile "$LINENO"
+then :
   ac_cv_prog_cc_c89=$ac_arg
 fi
-rm -f core conftest.err conftest.$ac_objext
+rm -f core conftest.err conftest.$ac_objext conftest.beam
   test "x$ac_cv_prog_cc_c89" != "xno" && break
 done
 rm -f conftest.$ac_ext
 CC=$ac_save_CC
-
 fi
-# AC_CACHE_VAL
-case "x$ac_cv_prog_cc_c89" in
-  x)
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
-$as_echo "none needed" >&6; } ;;
-  xno)
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
-$as_echo "unsupported" >&6; } ;;
-  *)
-    CC="$CC $ac_cv_prog_cc_c89"
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c89" >&5
-$as_echo "$ac_cv_prog_cc_c89" >&6; } ;;
-esac
-if test "x$ac_cv_prog_cc_c89" != xno; then :
 
+if test "x$ac_cv_prog_cc_c89" = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
+printf "%s\n" "unsupported" >&6; }
+else $as_nop
+  if test "x$ac_cv_prog_cc_c89" = x
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
+printf "%s\n" "none needed" >&6; }
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c89" >&5
+printf "%s\n" "$ac_cv_prog_cc_c89" >&6; }
+     CC="$CC $ac_cv_prog_cc_c89"
+fi
+  ac_cv_prog_cc_stdc=$ac_cv_prog_cc_c89
+  ac_prog_cc_stdc=c89
+fi
 fi
 
 ac_ext=c
@@ -3661,6 +4437,12 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS con
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
+
+
+
+
+
+
 ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -3671,15 +4453,16 @@ if test -z "$CXX"; then
     CXX=$CCC
   else
     if test -n "$ac_tool_prefix"; then
-  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC
+  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC clang++
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_CXX+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_CXX+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$CXX"; then
   ac_cv_prog_CXX="$CXX" # Let the user override the test.
 else
@@ -3687,11 +4470,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -3702,11 +4489,11 @@ fi
 fi
 CXX=$ac_cv_prog_CXX
 if test -n "$CXX"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CXX" >&5
-$as_echo "$CXX" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $CXX" >&5
+printf "%s\n" "$CXX" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -3715,15 +4502,16 @@ fi
 fi
 if test -z "$CXX"; then
   ac_ct_CXX=$CXX
-  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC
+  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC clang++
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_ac_ct_CXX+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_ac_ct_CXX+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$ac_ct_CXX"; then
   ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
 else
@@ -3731,11 +4519,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_ac_ct_CXX="$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -3746,11 +4538,11 @@ fi
 fi
 ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
 if test -n "$ac_ct_CXX"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CXX" >&5
-$as_echo "$ac_ct_CXX" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CXX" >&5
+printf "%s\n" "$ac_ct_CXX" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -3762,8 +4554,8 @@ done
   else
     case $cross_compiling:$ac_tool_warned in
 yes:)
-{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
-$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+printf "%s\n" "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
 ac_tool_warned=yes ;;
 esac
     CXX=$ac_ct_CXX
@@ -3773,7 +4565,7 @@ fi
   fi
 fi
 # Provide some information about the compiler.
-$as_echo "$as_me:${as_lineno-$LINENO}: checking for C++ compiler version" >&5
+printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for C++ compiler version" >&5
 set X $ac_compile
 ac_compiler=$2
 for ac_option in --version -v -V -qversion; do
@@ -3783,7 +4575,7 @@ case "(($ac_try" in
   *) ac_try_echo=$ac_try;;
 esac
 eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+printf "%s\n" "$ac_try_echo"; } >&5
   (eval "$ac_compiler $ac_option >&5") 2>conftest.err
   ac_status=$?
   if test -s conftest.err; then
@@ -3793,20 +4585,21 @@ $as_echo "$ac_try_echo"; } >&5
     cat conftest.er1 >&5
   fi
   rm -f conftest.er1 conftest.err
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }
 done
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C++ compiler" >&5
-$as_echo_n "checking whether we are using the GNU C++ compiler... " >&6; }
-if ${ac_cv_cxx_compiler_gnu+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether the compiler supports GNU C++" >&5
+printf %s "checking whether the compiler supports GNU C++... " >&6; }
+if test ${ac_cv_cxx_compiler_gnu+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 #ifndef __GNUC__
        choke me
@@ -3816,29 +4609,33 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_cxx_try_compile "$LINENO"; then :
+if ac_fn_cxx_try_compile "$LINENO"
+then :
   ac_compiler_gnu=yes
-else
+else $as_nop
   ac_compiler_gnu=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_cxx_compiler_gnu" >&5
-$as_echo "$ac_cv_cxx_compiler_gnu" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_cxx_compiler_gnu" >&5
+printf "%s\n" "$ac_cv_cxx_compiler_gnu" >&6; }
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
 if test $ac_compiler_gnu = yes; then
   GXX=yes
 else
   GXX=
 fi
-ac_test_CXXFLAGS=${CXXFLAGS+set}
+ac_test_CXXFLAGS=${CXXFLAGS+y}
 ac_save_CXXFLAGS=$CXXFLAGS
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CXX accepts -g" >&5
-$as_echo_n "checking whether $CXX accepts -g... " >&6; }
-if ${ac_cv_prog_cxx_g+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether $CXX accepts -g" >&5
+printf %s "checking whether $CXX accepts -g... " >&6; }
+if test ${ac_cv_prog_cxx_g+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_save_cxx_werror_flag=$ac_cxx_werror_flag
    ac_cxx_werror_flag=yes
    ac_cv_prog_cxx_g=no
@@ -3847,57 +4644,60 @@ else
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_cxx_try_compile "$LINENO"; then :
+if ac_fn_cxx_try_compile "$LINENO"
+then :
   ac_cv_prog_cxx_g=yes
-else
+else $as_nop
   CXXFLAGS=""
       cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_cxx_try_compile "$LINENO"; then :
+if ac_fn_cxx_try_compile "$LINENO"
+then :
 
-else
+else $as_nop
   ac_cxx_werror_flag=$ac_save_cxx_werror_flag
 	 CXXFLAGS="-g"
 	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_cxx_try_compile "$LINENO"; then :
+if ac_fn_cxx_try_compile "$LINENO"
+then :
   ac_cv_prog_cxx_g=yes
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
    ac_cxx_werror_flag=$ac_save_cxx_werror_flag
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cxx_g" >&5
-$as_echo "$ac_cv_prog_cxx_g" >&6; }
-if test "$ac_test_CXXFLAGS" = set; then
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cxx_g" >&5
+printf "%s\n" "$ac_cv_prog_cxx_g" >&6; }
+if test $ac_test_CXXFLAGS; then
   CXXFLAGS=$ac_save_CXXFLAGS
 elif test $ac_cv_prog_cxx_g = yes; then
   if test "$GXX" = yes; then
@@ -3912,6 +4712,100 @@ else
     CXXFLAGS=
   fi
 fi
+ac_prog_cxx_stdcxx=no
+if test x$ac_prog_cxx_stdcxx = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $CXX option to enable C++11 features" >&5
+printf %s "checking for $CXX option to enable C++11 features... " >&6; }
+if test ${ac_cv_prog_cxx_11+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  ac_cv_prog_cxx_11=no
+ac_save_CXX=$CXX
+cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+$ac_cxx_conftest_cxx11_program
+_ACEOF
+for ac_arg in '' -std=gnu++11 -std=gnu++0x -std=c++11 -std=c++0x -qlanglvl=extended0x -AA
+do
+  CXX="$ac_save_CXX $ac_arg"
+  if ac_fn_cxx_try_compile "$LINENO"
+then :
+  ac_cv_prog_cxx_cxx11=$ac_arg
+fi
+rm -f core conftest.err conftest.$ac_objext conftest.beam
+  test "x$ac_cv_prog_cxx_cxx11" != "xno" && break
+done
+rm -f conftest.$ac_ext
+CXX=$ac_save_CXX
+fi
+
+if test "x$ac_cv_prog_cxx_cxx11" = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
+printf "%s\n" "unsupported" >&6; }
+else $as_nop
+  if test "x$ac_cv_prog_cxx_cxx11" = x
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
+printf "%s\n" "none needed" >&6; }
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cxx_cxx11" >&5
+printf "%s\n" "$ac_cv_prog_cxx_cxx11" >&6; }
+     CXX="$CXX $ac_cv_prog_cxx_cxx11"
+fi
+  ac_cv_prog_cxx_stdcxx=$ac_cv_prog_cxx_cxx11
+  ac_prog_cxx_stdcxx=cxx11
+fi
+fi
+if test x$ac_prog_cxx_stdcxx = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $CXX option to enable C++98 features" >&5
+printf %s "checking for $CXX option to enable C++98 features... " >&6; }
+if test ${ac_cv_prog_cxx_98+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  ac_cv_prog_cxx_98=no
+ac_save_CXX=$CXX
+cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+$ac_cxx_conftest_cxx98_program
+_ACEOF
+for ac_arg in '' -std=gnu++98 -std=c++98 -qlanglvl=extended -AA
+do
+  CXX="$ac_save_CXX $ac_arg"
+  if ac_fn_cxx_try_compile "$LINENO"
+then :
+  ac_cv_prog_cxx_cxx98=$ac_arg
+fi
+rm -f core conftest.err conftest.$ac_objext conftest.beam
+  test "x$ac_cv_prog_cxx_cxx98" != "xno" && break
+done
+rm -f conftest.$ac_ext
+CXX=$ac_save_CXX
+fi
+
+if test "x$ac_cv_prog_cxx_cxx98" = xno
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
+printf "%s\n" "unsupported" >&6; }
+else $as_nop
+  if test "x$ac_cv_prog_cxx_cxx98" = x
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
+printf "%s\n" "none needed" >&6; }
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cxx_cxx98" >&5
+printf "%s\n" "$ac_cv_prog_cxx_cxx98" >&6; }
+     CXX="$CXX $ac_cv_prog_cxx_cxx98"
+fi
+  ac_cv_prog_cxx_stdcxx=$ac_cv_prog_cxx_cxx98
+  ac_prog_cxx_stdcxx=cxx98
+fi
+fi
+
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -3921,52 +4815,55 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
   cflags_warning_test_flags=
     cachevar=`echo "krb5_cv_cc_flag_-Werror=unknown-warning-option" | sed -e s/=/_eq_/g -e s/-/_dash_/g -e s/[^a-zA-Z0-9_]/_/g`
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Werror=unknown-warning-option" >&5
-$as_echo_n "checking if C compiler supports -Werror=unknown-warning-option... " >&6; }
-if eval \${$cachevar+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Werror=unknown-warning-option" >&5
+printf %s "checking if C compiler supports -Werror=unknown-warning-option... " >&6; }
+if eval test \${$cachevar+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   # first try without, then with
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   old_cflags="$CFLAGS"
      CFLAGS="$CFLAGS $cflags_warning_test_flags -Werror=unknown-warning-option"
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval $cachevar=yes
-else
+else $as_nop
   eval $cachevar=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
      CFLAGS="$old_cflags"
-else
+else $as_nop
   as_fn_error $? "compiling simple test program with $CFLAGS failed" "$LINENO" 5
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$cachevar
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   if eval test '"${'$cachevar'}"' = yes; then
     WARN_CFLAGS="$WARN_CFLAGS -Werror=unknown-warning-option"
   fi
@@ -3981,40 +4878,36 @@ ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking how to run the C preprocessor" >&5
-$as_echo_n "checking how to run the C preprocessor... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking how to run the C preprocessor" >&5
+printf %s "checking how to run the C preprocessor... " >&6; }
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
 fi
 if test -z "$CPP"; then
-  if ${ac_cv_prog_CPP+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-      # Double quotes because CPP needs to be expanded
-    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
+  if test ${ac_cv_prog_CPP+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+      # Double quotes because $CC needs to be expanded
+    for CPP in "$CC -E" "$CC -E -traditional-cpp" cpp /lib/cpp
     do
       ac_preproc_ok=false
 for ac_c_preproc_warn_flag in '' yes
 do
   # Use a header file that comes with gcc, so configuring glibc
   # with a fresh cross-compiler works.
-  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-  # <limits.h> exists even on freestanding compilers.
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
+#include <limits.h>
 		     Syntax error
 _ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
+if ac_fn_c_try_cpp "$LINENO"
+then :
 
-else
+else $as_nop
   # Broken: fails on valid input.
 continue
 fi
@@ -4026,10 +4919,11 @@ rm -f conftest.err conftest.i conftest.$
 /* end confdefs.h.  */
 #include <ac_nonexistent.h>
 _ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
+if ac_fn_c_try_cpp "$LINENO"
+then :
   # Broken: success on invalid input.
 continue
-else
+else $as_nop
   # Passes both tests.
 ac_preproc_ok=:
 break
@@ -4039,7 +4933,8 @@ rm -f conftest.err conftest.i conftest.$
 done
 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
 rm -f conftest.i conftest.err conftest.$ac_ext
-if $ac_preproc_ok; then :
+if $ac_preproc_ok
+then :
   break
 fi
 
@@ -4051,29 +4946,24 @@ fi
 else
   ac_cv_prog_CPP=$CPP
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $CPP" >&5
-$as_echo "$CPP" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $CPP" >&5
+printf "%s\n" "$CPP" >&6; }
 ac_preproc_ok=false
 for ac_c_preproc_warn_flag in '' yes
 do
   # Use a header file that comes with gcc, so configuring glibc
   # with a fresh cross-compiler works.
-  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-  # <limits.h> exists even on freestanding compilers.
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
+#include <limits.h>
 		     Syntax error
 _ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
+if ac_fn_c_try_cpp "$LINENO"
+then :
 
-else
+else $as_nop
   # Broken: fails on valid input.
 continue
 fi
@@ -4085,10 +4975,11 @@ rm -f conftest.err conftest.i conftest.$
 /* end confdefs.h.  */
 #include <ac_nonexistent.h>
 _ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
+if ac_fn_c_try_cpp "$LINENO"
+then :
   # Broken: success on invalid input.
 continue
-else
+else $as_nop
   # Passes both tests.
 ac_preproc_ok=:
 break
@@ -4098,11 +4989,12 @@ rm -f conftest.err conftest.i conftest.$
 done
 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
 rm -f conftest.i conftest.err conftest.$ac_ext
-if $ac_preproc_ok; then :
+if $ac_preproc_ok
+then :
 
-else
-  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+else $as_nop
+  { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
 as_fn_error $? "C preprocessor \"$CPP\" fails sanity check
 See \`config.log' for more details" "$LINENO" 5; }
 fi
@@ -4125,11 +5017,12 @@ if test "x$ac_cv_env_PKG_CONFIG_set" !=
 	if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
 set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_PKG_CONFIG+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_PKG_CONFIG+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $PKG_CONFIG in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
@@ -4139,11 +5032,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_PKG_CONFIG="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -4155,11 +5052,11 @@ esac
 fi
 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 if test -n "$PKG_CONFIG"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PKG_CONFIG" >&5
-$as_echo "$PKG_CONFIG" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $PKG_CONFIG" >&5
+printf "%s\n" "$PKG_CONFIG" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -4168,11 +5065,12 @@ if test -z "$ac_cv_path_PKG_CONFIG"; the
   ac_pt_PKG_CONFIG=$PKG_CONFIG
   # Extract the first word of "pkg-config", so it can be a program name with args.
 set dummy pkg-config; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_ac_pt_PKG_CONFIG+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_ac_pt_PKG_CONFIG+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $ac_pt_PKG_CONFIG in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
@@ -4182,11 +5080,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -4198,11 +5100,11 @@ esac
 fi
 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
 if test -n "$ac_pt_PKG_CONFIG"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_pt_PKG_CONFIG" >&5
-$as_echo "$ac_pt_PKG_CONFIG" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_pt_PKG_CONFIG" >&5
+printf "%s\n" "$ac_pt_PKG_CONFIG" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
   if test "x$ac_pt_PKG_CONFIG" = x; then
@@ -4210,8 +5112,8 @@ fi
   else
     case $cross_compiling:$ac_tool_warned in
 yes:)
-{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
-$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+printf "%s\n" "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
 ac_tool_warned=yes ;;
 esac
     PKG_CONFIG=$ac_pt_PKG_CONFIG
@@ -4223,14 +5125,14 @@ fi
 fi
 if test -n "$PKG_CONFIG"; then
 	_pkg_min_version=0.9.0
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking pkg-config is at least version $_pkg_min_version" >&5
-$as_echo_n "checking pkg-config is at least version $_pkg_min_version... " >&6; }
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking pkg-config is at least version $_pkg_min_version" >&5
+printf %s "checking pkg-config is at least version $_pkg_min_version... " >&6; }
 	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
-		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
+		{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
 	else
-		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+		{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 		PKG_CONFIG=""
 	fi
 fi
@@ -4242,28 +5144,32 @@ test "$program_suffix" != NONE &&
 # Double any \ or $.
 # By default was `s,x,x', remove it if useless.
 ac_script='s/[\\$]/&&/g;s/;s,x,x,$//'
-program_transform_name=`$as_echo "$program_transform_name" | sed "$ac_script"`
+program_transform_name=`printf "%s\n" "$program_transform_name" | sed "$ac_script"`
 
-# Make sure we can run config.sub.
-$SHELL "$ac_aux_dir/config.sub" sun4 >/dev/null 2>&1 ||
-  as_fn_error $? "cannot run $SHELL $ac_aux_dir/config.sub" "$LINENO" 5
-
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking build system type" >&5
-$as_echo_n "checking build system type... " >&6; }
-if ${ac_cv_build+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+
+
+
+  # Make sure we can run config.sub.
+$SHELL "${ac_aux_dir}config.sub" sun4 >/dev/null 2>&1 ||
+  as_fn_error $? "cannot run $SHELL ${ac_aux_dir}config.sub" "$LINENO" 5
+
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking build system type" >&5
+printf %s "checking build system type... " >&6; }
+if test ${ac_cv_build+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_build_alias=$build_alias
 test "x$ac_build_alias" = x &&
-  ac_build_alias=`$SHELL "$ac_aux_dir/config.guess"`
+  ac_build_alias=`$SHELL "${ac_aux_dir}config.guess"`
 test "x$ac_build_alias" = x &&
   as_fn_error $? "cannot guess build type; you must specify one" "$LINENO" 5
-ac_cv_build=`$SHELL "$ac_aux_dir/config.sub" $ac_build_alias` ||
-  as_fn_error $? "$SHELL $ac_aux_dir/config.sub $ac_build_alias failed" "$LINENO" 5
+ac_cv_build=`$SHELL "${ac_aux_dir}config.sub" $ac_build_alias` ||
+  as_fn_error $? "$SHELL ${ac_aux_dir}config.sub $ac_build_alias failed" "$LINENO" 5
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_build" >&5
-$as_echo "$ac_cv_build" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_build" >&5
+printf "%s\n" "$ac_cv_build" >&6; }
 case $ac_cv_build in
 *-*-*) ;;
 *) as_fn_error $? "invalid value of canonical build" "$LINENO" 5;;
@@ -4282,21 +5188,22 @@ IFS=$ac_save_IFS
 case $build_os in *\ *) build_os=`echo "$build_os" | sed 's/ /-/g'`;; esac
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking host system type" >&5
-$as_echo_n "checking host system type... " >&6; }
-if ${ac_cv_host+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking host system type" >&5
+printf %s "checking host system type... " >&6; }
+if test ${ac_cv_host+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test "x$host_alias" = x; then
   ac_cv_host=$ac_cv_build
 else
-  ac_cv_host=`$SHELL "$ac_aux_dir/config.sub" $host_alias` ||
-    as_fn_error $? "$SHELL $ac_aux_dir/config.sub $host_alias failed" "$LINENO" 5
+  ac_cv_host=`$SHELL "${ac_aux_dir}config.sub" $host_alias` ||
+    as_fn_error $? "$SHELL ${ac_aux_dir}config.sub $host_alias failed" "$LINENO" 5
 fi
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_host" >&5
-$as_echo "$ac_cv_host" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_host" >&5
+printf "%s\n" "$ac_cv_host" >&6; }
 case $ac_cv_host in
 *-*-*) ;;
 *) as_fn_error $? "invalid value of canonical host" "$LINENO" 5;;
@@ -4315,11 +5222,12 @@ IFS=$ac_save_IFS
 case $host_os in *\ *) host_os=`echo "$host_os" | sed 's/ /-/g'`;; esac
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for a sed that does not truncate output" >&5
-$as_echo_n "checking for a sed that does not truncate output... " >&6; }
-if ${ac_cv_path_SED+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for a sed that does not truncate output" >&5
+printf %s "checking for a sed that does not truncate output... " >&6; }
+if test ${ac_cv_path_SED+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
             ac_script=s/aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa/bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb/
      for ac_i in 1 2 3 4 5 6 7; do
        ac_script="$ac_script$as_nl$ac_script"
@@ -4333,10 +5241,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-    for ac_prog in sed gsed; do
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+    for ac_prog in sed gsed
+   do
     for ac_exec_ext in '' $ac_executable_extensions; do
-      ac_path_SED="$as_dir/$ac_prog$ac_exec_ext"
+      ac_path_SED="$as_dir$ac_prog$ac_exec_ext"
       as_fn_executable_p "$ac_path_SED" || continue
 # Check for GNU ac_path_SED and select it if it is found.
   # Check for GNU $ac_path_SED
@@ -4345,13 +5258,13 @@ case `"$ac_path_SED" --version 2>&1` in
   ac_cv_path_SED="$ac_path_SED" ac_path_SED_found=:;;
 *)
   ac_count=0
-  $as_echo_n 0123456789 >"conftest.in"
+  printf %s 0123456789 >"conftest.in"
   while :
   do
     cat "conftest.in" "conftest.in" >"conftest.tmp"
     mv "conftest.tmp" "conftest.in"
     cp "conftest.in" "conftest.nl"
-    $as_echo '' >> "conftest.nl"
+    printf "%s\n" '' >> "conftest.nl"
     "$ac_path_SED" -f conftest.sed < "conftest.nl" >"conftest.out" 2>/dev/null || break
     diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
     as_fn_arith $ac_count + 1 && ac_count=$as_val
@@ -4379,16 +5292,17 @@ else
 fi
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_SED" >&5
-$as_echo "$ac_cv_path_SED" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_SED" >&5
+printf "%s\n" "$ac_cv_path_SED" >&6; }
  SED="$ac_cv_path_SED"
   rm -f conftest.sed
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for grep that handles long lines and -e" >&5
-$as_echo_n "checking for grep that handles long lines and -e... " >&6; }
-if ${ac_cv_path_GREP+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for grep that handles long lines and -e" >&5
+printf %s "checking for grep that handles long lines and -e... " >&6; }
+if test ${ac_cv_path_GREP+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -z "$GREP"; then
   ac_path_GREP_found=false
   # Loop through the user's path and test for each of PROGNAME-LIST
@@ -4396,10 +5310,15 @@ else
 for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-    for ac_prog in grep ggrep; do
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+    for ac_prog in grep ggrep
+   do
     for ac_exec_ext in '' $ac_executable_extensions; do
-      ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"
+      ac_path_GREP="$as_dir$ac_prog$ac_exec_ext"
       as_fn_executable_p "$ac_path_GREP" || continue
 # Check for GNU ac_path_GREP and select it if it is found.
   # Check for GNU $ac_path_GREP
@@ -4408,13 +5327,13 @@ case `"$ac_path_GREP" --version 2>&1` in
   ac_cv_path_GREP="$ac_path_GREP" ac_path_GREP_found=:;;
 *)
   ac_count=0
-  $as_echo_n 0123456789 >"conftest.in"
+  printf %s 0123456789 >"conftest.in"
   while :
   do
     cat "conftest.in" "conftest.in" >"conftest.tmp"
     mv "conftest.tmp" "conftest.in"
     cp "conftest.in" "conftest.nl"
-    $as_echo 'GREP' >> "conftest.nl"
+    printf "%s\n" 'GREP' >> "conftest.nl"
     "$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || break
     diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
     as_fn_arith $ac_count + 1 && ac_count=$as_val
@@ -4442,16 +5361,17 @@ else
 fi
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_GREP" >&5
-$as_echo "$ac_cv_path_GREP" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_GREP" >&5
+printf "%s\n" "$ac_cv_path_GREP" >&6; }
  GREP="$ac_cv_path_GREP"
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for egrep" >&5
-$as_echo_n "checking for egrep... " >&6; }
-if ${ac_cv_path_EGREP+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for egrep" >&5
+printf %s "checking for egrep... " >&6; }
+if test ${ac_cv_path_EGREP+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if echo a | $GREP -E '(a|b)' >/dev/null 2>&1
    then ac_cv_path_EGREP="$GREP -E"
    else
@@ -4462,10 +5382,15 @@ else
 for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-    for ac_prog in egrep; do
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+    for ac_prog in egrep
+   do
     for ac_exec_ext in '' $ac_executable_extensions; do
-      ac_path_EGREP="$as_dir/$ac_prog$ac_exec_ext"
+      ac_path_EGREP="$as_dir$ac_prog$ac_exec_ext"
       as_fn_executable_p "$ac_path_EGREP" || continue
 # Check for GNU ac_path_EGREP and select it if it is found.
   # Check for GNU $ac_path_EGREP
@@ -4474,13 +5399,13 @@ case `"$ac_path_EGREP" --version 2>&1` i
   ac_cv_path_EGREP="$ac_path_EGREP" ac_path_EGREP_found=:;;
 *)
   ac_count=0
-  $as_echo_n 0123456789 >"conftest.in"
+  printf %s 0123456789 >"conftest.in"
   while :
   do
     cat "conftest.in" "conftest.in" >"conftest.tmp"
     mv "conftest.tmp" "conftest.in"
     cp "conftest.in" "conftest.nl"
-    $as_echo 'EGREP' >> "conftest.nl"
+    printf "%s\n" 'EGREP' >> "conftest.nl"
     "$ac_path_EGREP" 'EGREP$' < "conftest.nl" >"conftest.out" 2>/dev/null || break
     diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
     as_fn_arith $ac_count + 1 && ac_count=$as_val
@@ -4509,18 +5434,18 @@ fi
 
    fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_EGREP" >&5
-$as_echo "$ac_cv_path_EGREP" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_EGREP" >&5
+printf "%s\n" "$ac_cv_path_EGREP" >&6; }
  EGREP="$ac_cv_path_EGREP"
 
 
  EXTRA_FILES=""
 
 
-$as_echo "#define _GNU_SOURCE 1" >>confdefs.h
+printf "%s\n" "#define _GNU_SOURCE 1" >>confdefs.h
 
 
-$as_echo "#define __STDC_WANT_LIB_EXT1__ 1" >>confdefs.h
+printf "%s\n" "#define __STDC_WANT_LIB_EXT1__ 1" >>confdefs.h
 
 
 if test $ac_cv_c_compiler_gnu = yes ; then
@@ -4528,36 +5453,38 @@ if test $ac_cv_c_compiler_gnu = yes ; th
      else HAVE_GCC=
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for GNU linker" >&5
-$as_echo_n "checking for GNU linker... " >&6; }
-if ${krb5_cv_prog_gnu_ld+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for GNU linker" >&5
+printf %s "checking for GNU linker... " >&6; }
+if test ${krb5_cv_prog_gnu_ld+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   krb5_cv_prog_gnu_ld=no
 if test "$GCC" = yes; then
   if { ac_try='$CC -Wl,-v 2>&1 			| grep "GNU ld" > /dev/null'
   { { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_try\""; } >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; }; then
     krb5_cv_prog_gnu_ld=yes
   fi
 fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_prog_gnu_ld" >&5
-$as_echo "$krb5_cv_prog_gnu_ld" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_prog_gnu_ld" >&5
+printf "%s\n" "$krb5_cv_prog_gnu_ld" >&6; }
 
 # Check whether --with-size-optimizations was given.
-if test "${with_size_optimizations+set}" = set; then :
+if test ${with_size_optimizations+y}
+then :
   withval=$with_size_optimizations;
-else
+else $as_nop
   withval=no
 fi
 
 if test "$withval" = yes; then
 
-$as_echo "#define CONFIG_SMALL 1" >>confdefs.h
+printf "%s\n" "#define CONFIG_SMALL 1" >>confdefs.h
 
 fi
 # -Wno-long-long, if needed, for k5-platform.h without inttypes.h etc.
@@ -4566,8 +5493,8 @@ extra_gcc_warn_opts="-Wall -Wcast-align
 if test "$GCC" = yes ; then
   # Putting this here means we get -Os after -O2, which works.
   if test "$with_size_optimizations" = yes && test "x$krb5_ac_cflags_set" != xset; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: adding -Os optimization option" >&5
-$as_echo "$as_me: adding -Os optimization option" >&6;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: adding -Os optimization option" >&5
+printf "%s\n" "$as_me: adding -Os optimization option" >&6;}
     case "$CFLAGS" in
       "-g -O2") CFLAGS="-g -Os" ;;
       "-O2")    CFLAGS="-Os" ;;
@@ -4575,79 +5502,82 @@ $as_echo "$as_me: adding -Os optimizatio
     esac
   fi
   if test "x$krb5_ac_warn_cflags_set" = xset ; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: not adding extra gcc warning flags because WARN_CFLAGS was set" >&5
-$as_echo "$as_me: not adding extra gcc warning flags because WARN_CFLAGS was set" >&6;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: not adding extra gcc warning flags because WARN_CFLAGS was set" >&5
+printf "%s\n" "$as_me: not adding extra gcc warning flags because WARN_CFLAGS was set" >&6;}
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: adding extra warning flags for gcc" >&5
-$as_echo "$as_me: adding extra warning flags for gcc" >&6;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: adding extra warning flags for gcc" >&5
+printf "%s\n" "$as_me: adding extra warning flags for gcc" >&6;}
     WARN_CFLAGS="$WARN_CFLAGS $extra_gcc_warn_opts -Wmissing-prototypes"
     if test "`uname -s`" = Darwin ; then
-      { $as_echo "$as_me:${as_lineno-$LINENO}: skipping pedantic warnings on Darwin" >&5
-$as_echo "$as_me: skipping pedantic warnings on Darwin" >&6;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: skipping pedantic warnings on Darwin" >&5
+printf "%s\n" "$as_me: skipping pedantic warnings on Darwin" >&6;}
     elif test "`uname -s`" = Linux ; then
-      { $as_echo "$as_me:${as_lineno-$LINENO}: skipping pedantic warnings on Linux" >&5
-$as_echo "$as_me: skipping pedantic warnings on Linux" >&6;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: skipping pedantic warnings on Linux" >&5
+printf "%s\n" "$as_me: skipping pedantic warnings on Linux" >&6;}
     else
       WARN_CFLAGS="$WARN_CFLAGS -pedantic"
     fi
     if test "$ac_cv_cxx_compiler_gnu" = yes; then
       if test "x$krb5_ac_warn_cxxflags_set" = xset ; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: not adding extra g++ warnings because WARN_CXXFLAGS was set" >&5
-$as_echo "$as_me: not adding extra g++ warnings because WARN_CXXFLAGS was set" >&6;}
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: not adding extra g++ warnings because WARN_CXXFLAGS was set" >&5
+printf "%s\n" "$as_me: not adding extra g++ warnings because WARN_CXXFLAGS was set" >&6;}
       else
-        { $as_echo "$as_me:${as_lineno-$LINENO}: adding extra warning flags for g++" >&5
-$as_echo "$as_me: adding extra warning flags for g++" >&6;}
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: adding extra warning flags for g++" >&5
+printf "%s\n" "$as_me: adding extra warning flags for g++" >&6;}
         WARN_CXXFLAGS="$WARN_CXXFLAGS $extra_gcc_warn_opts"
       fi
     fi
     # Currently, G++ does not support -Wno-format-zero-length.
       cachevar=`echo "krb5_cv_cc_flag_-Wno-format-zero-length" | sed -e s/=/_eq_/g -e s/-/_dash_/g -e s/[^a-zA-Z0-9_]/_/g`
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Wno-format-zero-length" >&5
-$as_echo_n "checking if C compiler supports -Wno-format-zero-length... " >&6; }
-if eval \${$cachevar+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Wno-format-zero-length" >&5
+printf %s "checking if C compiler supports -Wno-format-zero-length... " >&6; }
+if eval test \${$cachevar+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   # first try without, then with
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   old_cflags="$CFLAGS"
      CFLAGS="$CFLAGS $cflags_warning_test_flags -Wno-format-zero-length"
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval $cachevar=yes
-else
+else $as_nop
   eval $cachevar=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
      CFLAGS="$old_cflags"
-else
+else $as_nop
   as_fn_error $? "compiling simple test program with $CFLAGS failed" "$LINENO" 5
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$cachevar
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   if eval test '"${'$cachevar'}"' = yes; then
     WARN_CFLAGS="$WARN_CFLAGS -Wno-format-zero-length"
   fi
@@ -4657,52 +5587,55 @@ $as_echo "$ac_res" >&6; }
     # gcc that people want to use.
     for flag in overflow strict-overflow missing-format-attribute missing-prototypes return-type missing-braces parentheses switch unused-function unused-label unused-variable unused-value unknown-pragmas sign-compare newline-eof error=uninitialized no-maybe-uninitialized error=pointer-arith error=int-conversion error=incompatible-pointer-types error=discarded-qualifiers error=implicit-int ; do
         cachevar=`echo "krb5_cv_cc_flag_-W$flag" | sed -e s/=/_eq_/g -e s/-/_dash_/g -e s/[^a-zA-Z0-9_]/_/g`
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -W$flag" >&5
-$as_echo_n "checking if C compiler supports -W$flag... " >&6; }
-if eval \${$cachevar+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -W$flag" >&5
+printf %s "checking if C compiler supports -W$flag... " >&6; }
+if eval test \${$cachevar+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   # first try without, then with
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   old_cflags="$CFLAGS"
      CFLAGS="$CFLAGS $cflags_warning_test_flags -W$flag"
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval $cachevar=yes
-else
+else $as_nop
   eval $cachevar=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
      CFLAGS="$old_cflags"
-else
+else $as_nop
   as_fn_error $? "compiling simple test program with $CFLAGS failed" "$LINENO" 5
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$cachevar
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   if eval test '"${'$cachevar'}"' = yes; then
     WARN_CFLAGS="$WARN_CFLAGS -W$flag"
   fi
@@ -4724,52 +5657,55 @@ $as_echo "$ac_res" >&6; }
     # constructs.
     for flag in declaration-after-statement ; do
         cachevar=`echo "krb5_cv_cc_flag_-Werror=$flag" | sed -e s/=/_eq_/g -e s/-/_dash_/g -e s/[^a-zA-Z0-9_]/_/g`
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Werror=$flag" >&5
-$as_echo_n "checking if C compiler supports -Werror=$flag... " >&6; }
-if eval \${$cachevar+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Werror=$flag" >&5
+printf %s "checking if C compiler supports -Werror=$flag... " >&6; }
+if eval test \${$cachevar+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   # first try without, then with
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   old_cflags="$CFLAGS"
      CFLAGS="$CFLAGS $cflags_warning_test_flags -Werror=$flag"
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval $cachevar=yes
-else
+else $as_nop
   eval $cachevar=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
      CFLAGS="$old_cflags"
-else
+else $as_nop
   as_fn_error $? "compiling simple test program with $CFLAGS failed" "$LINENO" 5
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$cachevar
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   if eval test '"${'$cachevar'}"' = yes; then
     WARN_CFLAGS="$WARN_CFLAGS -Werror=$flag"
   fi
@@ -4777,52 +5713,55 @@ $as_echo "$ac_res" >&6; }
 
       if test "$flag_supported" = no; then
           cachevar=`echo "krb5_cv_cc_flag_-W$flag" | sed -e s/=/_eq_/g -e s/-/_dash_/g -e s/[^a-zA-Z0-9_]/_/g`
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -W$flag" >&5
-$as_echo_n "checking if C compiler supports -W$flag... " >&6; }
-if eval \${$cachevar+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -W$flag" >&5
+printf %s "checking if C compiler supports -W$flag... " >&6; }
+if eval test \${$cachevar+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   # first try without, then with
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   old_cflags="$CFLAGS"
      CFLAGS="$CFLAGS $cflags_warning_test_flags -W$flag"
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval $cachevar=yes
-else
+else $as_nop
   eval $cachevar=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
      CFLAGS="$old_cflags"
-else
+else $as_nop
   as_fn_error $? "compiling simple test program with $CFLAGS failed" "$LINENO" 5
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$cachevar
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   if eval test '"${'$cachevar'}"' = yes; then
     WARN_CFLAGS="$WARN_CFLAGS -W$flag"
   fi
@@ -4838,52 +5777,55 @@ $as_echo "$ac_res" >&6; }
     # flagged as errors.  If neither works, -Wall implies
     # -Wimplicit-function-declaration so don't bother.
       cachevar=`echo "krb5_cv_cc_flag_-Werror-implicit-function-declaration" | sed -e s/=/_eq_/g -e s/-/_dash_/g -e s/[^a-zA-Z0-9_]/_/g`
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Werror-implicit-function-declaration" >&5
-$as_echo_n "checking if C compiler supports -Werror-implicit-function-declaration... " >&6; }
-if eval \${$cachevar+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Werror-implicit-function-declaration" >&5
+printf %s "checking if C compiler supports -Werror-implicit-function-declaration... " >&6; }
+if eval test \${$cachevar+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   # first try without, then with
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   old_cflags="$CFLAGS"
      CFLAGS="$CFLAGS $cflags_warning_test_flags -Werror-implicit-function-declaration"
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval $cachevar=yes
-else
+else $as_nop
   eval $cachevar=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
      CFLAGS="$old_cflags"
-else
+else $as_nop
   as_fn_error $? "compiling simple test program with $CFLAGS failed" "$LINENO" 5
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$cachevar
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   if eval test '"${'$cachevar'}"' = yes; then
     WARN_CFLAGS="$WARN_CFLAGS -Werror-implicit-function-declaration"
   fi
@@ -4891,52 +5833,55 @@ $as_echo "$ac_res" >&6; }
 
     if test "implicit-function-declaration_supported" = no; then
         cachevar=`echo "krb5_cv_cc_flag_-Werror=implicit-function-declaration" | sed -e s/=/_eq_/g -e s/-/_dash_/g -e s/[^a-zA-Z0-9_]/_/g`
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Werror=implicit-function-declaration" >&5
-$as_echo_n "checking if C compiler supports -Werror=implicit-function-declaration... " >&6; }
-if eval \${$cachevar+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if C compiler supports -Werror=implicit-function-declaration" >&5
+printf %s "checking if C compiler supports -Werror=implicit-function-declaration... " >&6; }
+if eval test \${$cachevar+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   # first try without, then with
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   old_cflags="$CFLAGS"
      CFLAGS="$CFLAGS $cflags_warning_test_flags -Werror=implicit-function-declaration"
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval $cachevar=yes
-else
+else $as_nop
   eval $cachevar=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
      CFLAGS="$old_cflags"
-else
+else $as_nop
   as_fn_error $? "compiling simple test program with $CFLAGS failed" "$LINENO" 5
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$cachevar
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
   if eval test '"${'$cachevar'}"' = yes; then
     WARN_CFLAGS="$WARN_CFLAGS -Werror=implicit-function-declaration"
   fi
@@ -4956,8 +5901,8 @@ $as_echo "$ac_res" >&6; }
     *-fcommon*) ;; # why someone would do this, I don't know
     *-fno-common*) ;; # okay, they're already doing the right thing
     *)
-      { $as_echo "$as_me:${as_lineno-$LINENO}: disabling the use of common storage on Darwin" >&5
-$as_echo "$as_me: disabling the use of common storage on Darwin" >&6;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: disabling the use of common storage on Darwin" >&5
+printf "%s\n" "$as_me: disabling the use of common storage on Darwin" >&6;}
       CFLAGS="$CFLAGS -fno-common"
       ;;
     esac
@@ -4972,8 +5917,8 @@ else
       *-qhalt=*) ;;
       *)
 	CFLAGS="$CFLAGS -qhalt=e"
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: adding -qhalt=e for better error reporting" >&5
-$as_echo "$as_me: adding -qhalt=e for better error reporting" >&6;}
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: adding -qhalt=e for better error reporting" >&5
+printf "%s\n" "$as_me: adding -qhalt=e for better error reporting" >&6;}
 	;;
     esac
     # Also, the optimizer isn't turned on by default, which means
@@ -4984,8 +5929,8 @@ $as_echo "$as_me: adding -qhalt=e for be
       *-O*) ;;
       *)
 	CFLAGS="$CFLAGS -O"
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: adding -O for inline thread-support function elimination" >&5
-$as_echo "$as_me: adding -O for inline thread-support function elimination" >&6;}
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: adding -O for inline thread-support function elimination" >&5
+printf "%s\n" "$as_me: adding -O for inline thread-support function elimination" >&6;}
 	;;
     esac
   fi
@@ -4997,14 +5942,14 @@ $as_echo "$as_me: adding -O for inline t
     # be issued.
     # -v -fd -errwarn=E_DECLARATION_IN_CODE ...
     if test "x$krb5_ac_warn_cflags_set" = xset ; then
-      { $as_echo "$as_me:${as_lineno-$LINENO}: not adding extra warning flags because WARN_CFLAGS was set" >&5
-$as_echo "$as_me: not adding extra warning flags because WARN_CFLAGS was set" >&6;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: not adding extra warning flags because WARN_CFLAGS was set" >&5
+printf "%s\n" "$as_me: not adding extra warning flags because WARN_CFLAGS was set" >&6;}
     else
       WARN_CFLAGS="-errtags=yes -errwarn=E_BAD_PTR_INT_COMBINATION,E_BAD_PTR_INT_COMB_ARG,E_PTR_TO_VOID_IN_ARITHMETIC,E_NO_IMPLICIT_DECL_ALLOWED,E_ATTRIBUTE_PARAM_UNDEFINED"
     fi
     if test "x$krb5_ac_warn_cxxflags_set" = xset ; then
-      { $as_echo "$as_me:${as_lineno-$LINENO}: not adding extra warning flags because WARN_CXXFLAGS was set" >&5
-$as_echo "$as_me: not adding extra warning flags because WARN_CXXFLAGS was set" >&6;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: not adding extra warning flags because WARN_CXXFLAGS was set" >&5
+printf "%s\n" "$as_me: not adding extra warning flags because WARN_CXXFLAGS was set" >&6;}
     else
       WARN_CXXFLAGS="-errtags=yes +w +w2 -xport64"
     fi
@@ -5018,38 +5963,39 @@ if test -z "$LD" ; then LD=$CC; fi
 
 
 # Check whether --with-system-et was given.
-if test "${with_system_et+set}" = set; then :
+if test ${with_system_et+y}
+then :
   withval=$with_system_et;
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking which version of com_err to use" >&5
-$as_echo_n "checking which version of com_err to use... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking which version of com_err to use" >&5
+printf %s "checking which version of com_err to use... " >&6; }
 if test "x$with_system_et" = xyes ; then
   # This will be changed to "intlsys" if textdomain support is present.
   COM_ERR_VERSION=sys
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: system" >&5
-$as_echo "system" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: system" >&5
+printf "%s\n" "system" >&6; }
 else
   COM_ERR_VERSION=k5
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: krb5" >&5
-$as_echo "krb5" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: krb5" >&5
+printf "%s\n" "krb5" >&6; }
 fi
 OLDLIBS="$LIBS"
 COM_ERR_LIB=-lcom_err
 if test $COM_ERR_VERSION = sys; then
 
 pkg_failed=no
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for com_err" >&5
-$as_echo_n "checking for com_err... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for com_err" >&5
+printf %s "checking for com_err... " >&6; }
 
 if test -n "$COM_ERR_CFLAGS"; then
     pkg_cv_COM_ERR_CFLAGS="$COM_ERR_CFLAGS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"com_err\""; } >&5
+    { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"com_err\""; } >&5
   ($PKG_CONFIG --exists --print-errors "com_err") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; then
   pkg_cv_COM_ERR_CFLAGS=`$PKG_CONFIG --cflags "com_err" 2>/dev/null`
 		      test "x$?" != "x0" && pkg_failed=yes
@@ -5063,10 +6009,10 @@ if test -n "$COM_ERR_LIBS"; then
     pkg_cv_COM_ERR_LIBS="$COM_ERR_LIBS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"com_err\""; } >&5
+    { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"com_err\""; } >&5
   ($PKG_CONFIG --exists --print-errors "com_err") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; then
   pkg_cv_COM_ERR_LIBS=`$PKG_CONFIG --libs "com_err" 2>/dev/null`
 		      test "x$?" != "x0" && pkg_failed=yes
@@ -5080,8 +6026,8 @@ fi
 
 
 if test $pkg_failed = yes; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 
 if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
         _pkg_short_errors_supported=yes
@@ -5098,14 +6044,14 @@ fi
 
 	have_com_err=no
 elif test $pkg_failed = untried; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 	have_com_err=no
 else
 	COM_ERR_CFLAGS=$pkg_cv_COM_ERR_CFLAGS
 	COM_ERR_LIBS=$pkg_cv_COM_ERR_LIBS
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
 	have_com_err=yes
 fi
   if test "x$have_com_err = xyes"; then
@@ -5113,11 +6059,12 @@ fi
   fi
   LIBS="$LIBS $COM_ERR_LIB"
   # check for various functions we need
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for add_error_table in -lcom_err" >&5
-$as_echo_n "checking for add_error_table in -lcom_err... " >&6; }
-if ${ac_cv_lib_com_err_add_error_table+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for add_error_table in -lcom_err" >&5
+printf %s "checking for add_error_table in -lcom_err... " >&6; }
+if test ${ac_cv_lib_com_err_add_error_table+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcom_err  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5126,40 +6073,40 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char add_error_table ();
 int
-main ()
+main (void)
 {
 return add_error_table ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_com_err_add_error_table=yes
-else
+else $as_nop
   ac_cv_lib_com_err_add_error_table=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_com_err_add_error_table" >&5
-$as_echo "$ac_cv_lib_com_err_add_error_table" >&6; }
-if test "x$ac_cv_lib_com_err_add_error_table" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_com_err_add_error_table" >&5
+printf "%s\n" "$ac_cv_lib_com_err_add_error_table" >&6; }
+if test "x$ac_cv_lib_com_err_add_error_table" = xyes
+then :
   :
-else
+else $as_nop
   as_fn_error $? "cannot find add_error_table in com_err library" "$LINENO" 5
 fi
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for remove_error_table in -lcom_err" >&5
-$as_echo_n "checking for remove_error_table in -lcom_err... " >&6; }
-if ${ac_cv_lib_com_err_remove_error_table+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for remove_error_table in -lcom_err" >&5
+printf %s "checking for remove_error_table in -lcom_err... " >&6; }
+if test ${ac_cv_lib_com_err_remove_error_table+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcom_err  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5168,32 +6115,31 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char remove_error_table ();
 int
-main ()
+main (void)
 {
 return remove_error_table ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_com_err_remove_error_table=yes
-else
+else $as_nop
   ac_cv_lib_com_err_remove_error_table=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_com_err_remove_error_table" >&5
-$as_echo "$ac_cv_lib_com_err_remove_error_table" >&6; }
-if test "x$ac_cv_lib_com_err_remove_error_table" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_com_err_remove_error_table" >&5
+printf "%s\n" "$ac_cv_lib_com_err_remove_error_table" >&6; }
+if test "x$ac_cv_lib_com_err_remove_error_table" = xyes
+then :
   :
-else
+else $as_nop
   as_fn_error $? "cannot find remove_error_table in com_err library" "$LINENO" 5
 fi
 
@@ -5207,11 +6153,12 @@ EOF
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_compile_et+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_compile_et+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$compile_et"; then
   ac_cv_prog_compile_et="$compile_et" # Let the user override the test.
 else
@@ -5219,11 +6166,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_compile_et="$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -5234,11 +6185,11 @@ fi
 fi
 compile_et=$ac_cv_prog_compile_et
 if test -n "$compile_et"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $compile_et" >&5
-$as_echo "$compile_et" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $compile_et" >&5
+printf "%s\n" "$compile_et" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -5249,11 +6200,12 @@ test -n "$compile_et" || compile_et="fal
   if test "$compile_et" = false; then
     as_fn_error $? "cannot find compile_et" "$LINENO" 5
   fi
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether compile_et is useful" >&5
-$as_echo_n "checking whether compile_et is useful... " >&6; }
-if ${krb5_cv_compile_et_useful+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether compile_et is useful" >&5
+printf %s "checking whether compile_et is useful... " >&6; }
+if test ${krb5_cv_compile_et_useful+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
 
   if compile_et conf$$e.et >/dev/null 2>&1 ; then true ; else
     as_fn_error $? "execution failed" "$LINENO" 5
@@ -5263,31 +6215,33 @@ else
 #include "conf$$e.h"
 
 int
-main ()
+main (void)
 {
 &et_foo_error_table;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
 
-else
+else $as_nop
   as_fn_error $? "cannot use et_foo_error_table" "$LINENO" 5
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
   # Anything else we need to test for?
   rm -f conf$$e.c conf$$e.h
   krb5_cv_compile_et_useful=yes
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_compile_et_useful" >&5
-$as_echo "$krb5_cv_compile_et_useful" >&6; }
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether compile_et supports --textdomain" >&5
-$as_echo_n "checking whether compile_et supports --textdomain... " >&6; }
-if ${krb5_cv_compile_et_textdomain+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_compile_et_useful" >&5
+printf "%s\n" "$krb5_cv_compile_et_useful" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether compile_et supports --textdomain" >&5
+printf %s "checking whether compile_et supports --textdomain... " >&6; }
+if test ${krb5_cv_compile_et_textdomain+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
 
   krb5_cv_compile_et_textdomain=no
   if compile_et --textdomain=xyzw conf$$e.et >/dev/null 2>&1 ; then
@@ -5298,8 +6252,8 @@ else
   rm -f conf$$e.c conf$$e.h
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_compile_et_textdomain" >&5
-$as_echo "$krb5_cv_compile_et_textdomain" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_compile_et_textdomain" >&5
+printf "%s\n" "$krb5_cv_compile_et_textdomain" >&6; }
   if test "$krb5_cv_compile_et_textdomain" = yes; then
     COM_ERR_VERSION=intlsys
   fi
@@ -5310,36 +6264,39 @@ fi
 LIBS="$OLDLIBS"
 if test "$COM_ERR_VERSION" = k5 -o "$COM_ERR_VERSION" = intlsys; then
 
-$as_echo "#define HAVE_COM_ERR_INTL 1" >>confdefs.h
+printf "%s\n" "#define HAVE_COM_ERR_INTL 1" >>confdefs.h
 
 fi
 
 
 # Check whether --with-system-ss was given.
-if test "${with_system_ss+set}" = set; then :
+if test ${with_system_ss+y}
+then :
   withval=$with_system_ss;
 fi
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking which version of subsystem package to use" >&5
-$as_echo_n "checking which version of subsystem package to use... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking which version of subsystem package to use" >&5
+printf %s "checking which version of subsystem package to use... " >&6; }
 if test "x$with_system_ss" = xyes ; then
   SS_VERSION=sys
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: system" >&5
-$as_echo "system" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: system" >&5
+printf "%s\n" "system" >&6; }
   # todo: check for various libraries we might need
   # in the meantime...
   test "x${SS_LIB+set}" = xset || SS_LIB=-lss
   old_LIBS="$LIBS"
   LIBS="$LIBS $SS_LIB"
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether system ss package works" >&5
-$as_echo_n "checking whether system ss package works... " >&6; }
-if ${krb5_cv_system_ss_okay+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  if test "$cross_compiling" = yes; then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether system ss package works" >&5
+printf %s "checking whether system ss package works... " >&6; }
+if test ${krb5_cv_system_ss_okay+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  if test "$cross_compiling" = yes
+then :
   krb5_cv_system_ss_okay=assumed
-else
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <ss/ss.h>
@@ -5352,9 +6309,10 @@ else
             return 0;
         }
 _ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
+if ac_fn_c_try_run "$LINENO"
+then :
   krb5_cv_system_ss_okay=yes
-else
+else $as_nop
   as_fn_error $? "cannot run test program" "$LINENO" 5
 fi
 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
@@ -5362,21 +6320,22 @@ rm -f core *.core core.conftest.* gmon.o
 fi
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_system_ss_okay" >&5
-$as_echo "$krb5_cv_system_ss_okay" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_system_ss_okay" >&5
+printf "%s\n" "$krb5_cv_system_ss_okay" >&6; }
   LIBS="$old_LIBS"
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if ss_execute_command needs a prototype provided" >&5
-$as_echo_n "checking if ss_execute_command needs a prototype provided... " >&6; }
-if ${krb5_cv_func_ss_execute_command_noproto+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if ss_execute_command needs a prototype provided" >&5
+printf %s "checking if ss_execute_command needs a prototype provided... " >&6; }
+if test ${krb5_cv_func_ss_execute_command_noproto+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <ss/ss.h>
 int
-main ()
+main (void)
 {
 #undef ss_execute_command
       struct k5foo {int foo; } xx;
@@ -5386,33 +6345,35 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_func_ss_execute_command_noproto=yes
-else
+else $as_nop
   krb5_cv_func_ss_execute_command_noproto=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_ss_execute_command_noproto" >&5
-$as_echo "$krb5_cv_func_ss_execute_command_noproto" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_ss_execute_command_noproto" >&5
+printf "%s\n" "$krb5_cv_func_ss_execute_command_noproto" >&6; }
 if test $krb5_cv_func_ss_execute_command_noproto = yes; then
 
-$as_echo "#define NEED_SS_EXECUTE_COMMAND_PROTO 1" >>confdefs.h
+printf "%s\n" "#define NEED_SS_EXECUTE_COMMAND_PROTO 1" >>confdefs.h
 
 fi
 
 
 else
   SS_VERSION=k5
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: krb5" >&5
-$as_echo "krb5" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: krb5" >&5
+printf "%s\n" "krb5" >&6; }
 fi
 
 
 
 
 # Check whether --with-system-db was given.
-if test "${with_system_db+set}" = set; then :
+if test ${with_system_db+y}
+then :
   withval=$with_system_db;
 fi
 
@@ -5438,7 +6399,7 @@ if test "x$with_system_db" = xyes ; then
 else
   DB_VERSION=k5
 
-$as_echo "#define HAVE_BT_RSEQ 1" >>confdefs.h
+printf "%s\n" "#define HAVE_BT_RSEQ 1" >>confdefs.h
 
   DB_HEADER=db.h
   DB_HEADER_VERSION=k5
@@ -5452,16 +6413,17 @@ fi
 
 
 
- { $as_echo "$as_me:${as_lineno-$LINENO}: checking for an ANSI C-conforming const" >&5
-$as_echo_n "checking for an ANSI C-conforming const... " >&6; }
-if ${ac_cv_c_const+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+ { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for an ANSI C-conforming const" >&5
+printf %s "checking for an ANSI C-conforming const... " >&6; }
+if test ${ac_cv_c_const+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
 #ifndef __cplusplus
@@ -5474,7 +6436,7 @@ main ()
   /* NEC SVR4.0.2 mips cc rejects this.  */
   struct point {int x, y;};
   static struct point const zero = {0,0};
-  /* AIX XL C 1.02.0.0 rejects this.
+  /* IBM XL C 1.02.0.0 rejects this.
      It does not let you subtract one const X* pointer from another in
      an arm of an if-expression whose if-part is not a constant
      expression */
@@ -5502,7 +6464,7 @@ main ()
     iptr p = 0;
     ++p;
   }
-  { /* AIX XL C 1.02.0.0 rejects this sort of thing, saying
+  { /* IBM XL C 1.02.0.0 rejects this sort of thing, saying
        "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
     struct s { int j; const int *ap[3]; } bx;
     struct s *b = &bx; b->j = 5;
@@ -5518,48 +6480,52 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_cv_c_const=yes
-else
+else $as_nop
   ac_cv_c_const=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_const" >&5
-$as_echo "$ac_cv_c_const" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_const" >&5
+printf "%s\n" "$ac_cv_c_const" >&6; }
 if test $ac_cv_c_const = no; then
 
-$as_echo "#define const /**/" >>confdefs.h
+printf "%s\n" "#define const /**/" >>confdefs.h
 
 fi
 
 
 # Check whether --with-netlib was given.
-if test "${with_netlib+set}" = set; then :
+if test ${with_netlib+y}
+then :
   withval=$with_netlib;   if test "$withval" = yes -o "$withval" = no ; then
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: \"netlib will link with C library resolver only\"" >&5
-$as_echo "\"netlib will link with C library resolver only\"" >&6; }
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: \"netlib will link with C library resolver only\"" >&5
+printf "%s\n" "\"netlib will link with C library resolver only\"" >&6; }
   else
 	LIBS="$LIBS $withval"
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: \"netlib will use \'$withval\'\"" >&5
-$as_echo "\"netlib will use \'$withval\'\"" >&6; }
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: \"netlib will use \'$withval\'\"" >&5
+printf "%s\n" "\"netlib will use \'$withval\'\"" >&6; }
   fi
 
-else
+else $as_nop
 
    # Most operating systems have gethostbyname() in the default searched
    # libraries (i.e. libc):
    ac_fn_c_check_func "$LINENO" "gethostbyname" "ac_cv_func_gethostbyname"
-if test "x$ac_cv_func_gethostbyname" = xyes; then :
+if test "x$ac_cv_func_gethostbyname" = xyes
+then :
 
-else
+else $as_nop
 
      # Some OSes (eg. Solaris) place it in libnsl:
-     { $as_echo "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lnsl" >&5
-$as_echo_n "checking for gethostbyname in -lnsl... " >&6; }
-if ${ac_cv_lib_nsl_gethostbyname+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+     { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lnsl" >&5
+printf %s "checking for gethostbyname in -lnsl... " >&6; }
+if test ${ac_cv_lib_nsl_gethostbyname+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lnsl  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5568,44 +6534,42 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char gethostbyname ();
 int
-main ()
+main (void)
 {
 return gethostbyname ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_nsl_gethostbyname=yes
-else
+else $as_nop
   ac_cv_lib_nsl_gethostbyname=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_nsl_gethostbyname" >&5
-$as_echo "$ac_cv_lib_nsl_gethostbyname" >&6; }
-if test "x$ac_cv_lib_nsl_gethostbyname" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBNSL 1
-_ACEOF
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_nsl_gethostbyname" >&5
+printf "%s\n" "$ac_cv_lib_nsl_gethostbyname" >&6; }
+if test "x$ac_cv_lib_nsl_gethostbyname" = xyes
+then :
+  printf "%s\n" "#define HAVE_LIBNSL 1" >>confdefs.h
 
   LIBS="-lnsl $LIBS"
 
-else
+else $as_nop
 
        # Some strange OSes (SINIX) have it in libsocket:
-       { $as_echo "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lsocket" >&5
-$as_echo_n "checking for gethostbyname in -lsocket... " >&6; }
-if ${ac_cv_lib_socket_gethostbyname+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lsocket" >&5
+printf %s "checking for gethostbyname in -lsocket... " >&6; }
+if test ${ac_cv_lib_socket_gethostbyname+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lsocket  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5614,46 +6578,44 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char gethostbyname ();
 int
-main ()
+main (void)
 {
 return gethostbyname ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_socket_gethostbyname=yes
-else
+else $as_nop
   ac_cv_lib_socket_gethostbyname=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_gethostbyname" >&5
-$as_echo "$ac_cv_lib_socket_gethostbyname" >&6; }
-if test "x$ac_cv_lib_socket_gethostbyname" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBSOCKET 1
-_ACEOF
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_gethostbyname" >&5
+printf "%s\n" "$ac_cv_lib_socket_gethostbyname" >&6; }
+if test "x$ac_cv_lib_socket_gethostbyname" = xyes
+then :
+  printf "%s\n" "#define HAVE_LIBSOCKET 1" >>confdefs.h
 
   LIBS="-lsocket $LIBS"
 
-else
+else $as_nop
 
           # Unfortunately libsocket sometimes depends on libnsl.
           # AC_CHECK_LIB's API is essentially broken so the following
           # ugliness is necessary:
-          { $as_echo "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lsocket" >&5
-$as_echo_n "checking for gethostbyname in -lsocket... " >&6; }
-if ${ac_cv_lib_socket_gethostbyname+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+          { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lsocket" >&5
+printf %s "checking for gethostbyname in -lsocket... " >&6; }
+if test ${ac_cv_lib_socket_gethostbyname+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lsocket -lnsl $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5662,37 +6624,37 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char gethostbyname ();
 int
-main ()
+main (void)
 {
 return gethostbyname ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_socket_gethostbyname=yes
-else
+else $as_nop
   ac_cv_lib_socket_gethostbyname=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_gethostbyname" >&5
-$as_echo "$ac_cv_lib_socket_gethostbyname" >&6; }
-if test "x$ac_cv_lib_socket_gethostbyname" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_gethostbyname" >&5
+printf "%s\n" "$ac_cv_lib_socket_gethostbyname" >&6; }
+if test "x$ac_cv_lib_socket_gethostbyname" = xyes
+then :
   LIBS="-lsocket -lnsl $LIBS"
-else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lresolv" >&5
-$as_echo_n "checking for gethostbyname in -lresolv... " >&6; }
-if ${ac_cv_lib_resolv_gethostbyname+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lresolv" >&5
+printf %s "checking for gethostbyname in -lresolv... " >&6; }
+if test ${ac_cv_lib_resolv_gethostbyname+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lresolv  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5701,30 +6663,29 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char gethostbyname ();
 int
-main ()
+main (void)
 {
 return gethostbyname ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_resolv_gethostbyname=yes
-else
+else $as_nop
   ac_cv_lib_resolv_gethostbyname=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_resolv_gethostbyname" >&5
-$as_echo "$ac_cv_lib_resolv_gethostbyname" >&6; }
-if test "x$ac_cv_lib_resolv_gethostbyname" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_resolv_gethostbyname" >&5
+printf "%s\n" "$ac_cv_lib_resolv_gethostbyname" >&6; }
+if test "x$ac_cv_lib_resolv_gethostbyname" = xyes
+then :
   LIBS="-lresolv $LIBS"
 fi
 
@@ -5740,14 +6701,16 @@ fi
 fi
 
   ac_fn_c_check_func "$LINENO" "socket" "ac_cv_func_socket"
-if test "x$ac_cv_func_socket" = xyes; then :
+if test "x$ac_cv_func_socket" = xyes
+then :
 
-else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for socket in -lsocket" >&5
-$as_echo_n "checking for socket in -lsocket... " >&6; }
-if ${ac_cv_lib_socket_socket+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for socket in -lsocket" >&5
+printf %s "checking for socket in -lsocket... " >&6; }
+if test ${ac_cv_lib_socket_socket+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lsocket  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5756,42 +6719,40 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char socket ();
 int
-main ()
+main (void)
 {
 return socket ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_socket_socket=yes
-else
+else $as_nop
   ac_cv_lib_socket_socket=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_socket" >&5
-$as_echo "$ac_cv_lib_socket_socket" >&6; }
-if test "x$ac_cv_lib_socket_socket" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBSOCKET 1
-_ACEOF
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_socket" >&5
+printf "%s\n" "$ac_cv_lib_socket_socket" >&6; }
+if test "x$ac_cv_lib_socket_socket" = xyes
+then :
+  printf "%s\n" "#define HAVE_LIBSOCKET 1" >>confdefs.h
 
   LIBS="-lsocket $LIBS"
 
-else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for socket in -lsocket" >&5
-$as_echo_n "checking for socket in -lsocket... " >&6; }
-if ${ac_cv_lib_socket_socket+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for socket in -lsocket" >&5
+printf %s "checking for socket in -lsocket... " >&6; }
+if test ${ac_cv_lib_socket_socket+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lsocket -lnsl $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5800,30 +6761,29 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char socket ();
 int
-main ()
+main (void)
 {
 return socket ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_socket_socket=yes
-else
+else $as_nop
   ac_cv_lib_socket_socket=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_socket" >&5
-$as_echo "$ac_cv_lib_socket_socket" >&6; }
-if test "x$ac_cv_lib_socket_socket" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_socket" >&5
+printf "%s\n" "$ac_cv_lib_socket_socket" >&6; }
+if test "x$ac_cv_lib_socket_socket" = xyes
+then :
   LIBS="-lsocket -lnsl $LIBS"
 fi
 
@@ -5834,31 +6794,33 @@ fi
 
 enable_dns=yes
   # Check whether --enable-dns-for-realm was given.
-if test "${enable_dns_for_realm+set}" = set; then :
+if test ${enable_dns_for_realm+y}
+then :
   enableval=$enable_dns_for_realm;
-else
+else $as_nop
   enable_dns_for_realm=no
 fi
 
   if test "$enable_dns_for_realm" = yes; then
 
-$as_echo "#define KRB5_DNS_LOOKUP_REALM 1" >>confdefs.h
+printf "%s\n" "#define KRB5_DNS_LOOKUP_REALM 1" >>confdefs.h
 
   fi
 
 
-$as_echo "#define KRB5_DNS_LOOKUP 1" >>confdefs.h
+printf "%s\n" "#define KRB5_DNS_LOOKUP 1" >>confdefs.h
 
 
 
   if test "$enable_dns" = yes ; then
     # We assume that if libresolv exists we can link against it.
     # This may get us a gethostby* that doesn't respect nsswitch.
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lresolv" >&5
-$as_echo_n "checking for main in -lresolv... " >&6; }
-if ${ac_cv_lib_resolv_main+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for main in -lresolv" >&5
+printf %s "checking for main in -lresolv... " >&6; }
+if test ${ac_cv_lib_resolv_main+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lresolv  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5866,28 +6828,28 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 
 
 int
-main ()
+main (void)
 {
 return main ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_resolv_main=yes
-else
+else $as_nop
   ac_cv_lib_resolv_main=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_resolv_main" >&5
-$as_echo "$ac_cv_lib_resolv_main" >&6; }
-if test "x$ac_cv_lib_resolv_main" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBRESOLV 1
-_ACEOF
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_resolv_main" >&5
+printf "%s\n" "$ac_cv_lib_resolv_main" >&6; }
+if test "x$ac_cv_lib_resolv_main" = xyes
+then :
+  printf "%s\n" "#define HAVE_LIBRESOLV 1" >>confdefs.h
 
   LIBS="-lresolv $LIBS"
 
@@ -5900,11 +6862,12 @@ for krb5_func in res_ninit res_nclose re
 # doesn't export it from libresolv.so, so we use extreme paranoia here
 # and check both for the declaration and that we can link against the
 # function.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $krb5_func" >&5
-$as_echo_n "checking for $krb5_func... " >&6; }
-if eval \${krb5_cv_func_$krb5_func+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $krb5_func" >&5
+printf %s "checking for $krb5_func... " >&6; }
+if eval test \${krb5_cv_func_$krb5_func+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/types.h>
@@ -5913,7 +6876,7 @@ else
       #include <resolv.h>
 
 int
-main ()
+main (void)
 {
 /*
        * Use volatile, or else optimization can cause false positives.
@@ -5923,21 +6886,23 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   eval "krb5_cv_func_$krb5_func=yes"
-else
+else $as_nop
   eval "krb5_cv_func_$krb5_func=no"
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
 eval ac_res=\$krb5_cv_func_$krb5_func
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-if test `eval 'as_val=${'krb5_cv_func_$krb5_func'};$as_echo "$as_val"'` = yes; then :
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
+if test `eval 'as_val=${'krb5_cv_func_$krb5_func'};printf "%s\n" "$as_val"'` = yes
+then :
 
 cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$krb5_func" | $as_tr_cpp` 1
+#define `printf "%s\n" "HAVE_$krb5_func" | $as_tr_cpp` 1
 _ACEOF
 
 fi
@@ -5947,11 +6912,12 @@ done
       && test $krb5_cv_func_res_search = no; then
 	# Attempt to link with res_search(), in case it's not prototyped.
 	ac_fn_c_check_func "$LINENO" "res_search" "ac_cv_func_res_search"
-if test "x$ac_cv_func_res_search" = xyes; then :
+if test "x$ac_cv_func_res_search" = xyes
+then :
 
-$as_echo "#define HAVE_RES_SEARCH 1" >>confdefs.h
+printf "%s\n" "#define HAVE_RES_SEARCH 1" >>confdefs.h
 
-else
+else $as_nop
   as_fn_error $? "cannot find res_nsearch or res_search" "$LINENO" 5
 fi
 
@@ -5962,19 +6928,21 @@ fi
 fi
 
 # Check whether --with-hesiod was given.
-if test "${with_hesiod+set}" = set; then :
+if test ${with_hesiod+y}
+then :
   withval=$with_hesiod; hesiod=$with_hesiod
-else
+else $as_nop
   with_hesiod=no
 fi
 
 if test "$with_hesiod" != "no"; then
 	HESIOD_DEFS=-DHESIOD
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for res_send in -lresolv" >&5
-$as_echo_n "checking for res_send in -lresolv... " >&6; }
-if ${ac_cv_lib_resolv_res_send+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for res_send in -lresolv" >&5
+printf %s "checking for res_send in -lresolv... " >&6; }
+if test ${ac_cv_lib_resolv_res_send+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lresolv  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -5983,30 +6951,29 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char res_send ();
 int
-main ()
+main (void)
 {
 return res_send ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_resolv_res_send=yes
-else
+else $as_nop
   ac_cv_lib_resolv_res_send=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_resolv_res_send" >&5
-$as_echo "$ac_cv_lib_resolv_res_send" >&6; }
-if test "x$ac_cv_lib_resolv_res_send" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_resolv_res_send" >&5
+printf "%s\n" "$ac_cv_lib_resolv_res_send" >&6; }
+if test "x$ac_cv_lib_resolv_res_send" = xyes
+then :
   res_lib=-lresolv
 fi
 
@@ -6021,17 +6988,18 @@ else
 fi
 
  # Check whether --enable-maintainer-mode was given.
-if test "${enable_maintainer_mode+set}" = set; then :
+if test ${enable_maintainer_mode+y}
+then :
   enableval=$enable_maintainer_mode; USE_MAINTAINER_MODE=$enableval
-else
+else $as_nop
   USE_MAINTAINER_MODE=no
 fi
 
 if test "$USE_MAINTAINER_MODE" = yes; then
   MAINTAINER_MODE_TRUE=
   MAINTAINER_MODE_FALSE='#'
-  { $as_echo "$as_me:${as_lineno-$LINENO}: enabling maintainer mode" >&5
-$as_echo "$as_me: enabling maintainer mode" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: enabling maintainer mode" >&5
+printf "%s\n" "$as_me: enabling maintainer mode" >&6;}
 else
   MAINTAINER_MODE_TRUE='#'
   MAINTAINER_MODE_FALSE=
@@ -6052,54 +7020,57 @@ libpriv_frag=$srcdir/$ac_config_fragdir/
 
 libnodeps_frag=$srcdir/$ac_config_fragdir/libnodeps.in
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether pragma weak references are supported" >&5
-$as_echo_n "checking whether pragma weak references are supported... " >&6; }
-if ${krb5_cv_pragma_weak_ref+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether pragma weak references are supported" >&5
+printf %s "checking whether pragma weak references are supported... " >&6; }
+if test ${krb5_cv_pragma_weak_ref+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #pragma weak flurbl
       extern int flurbl(void);
 int
-main ()
+main (void)
 {
 if (&flurbl != 0) return flurbl();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   krb5_cv_pragma_weak_ref=yes
-else
+else $as_nop
   krb5_cv_pragma_weak_ref=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_pragma_weak_ref" >&5
-$as_echo "$krb5_cv_pragma_weak_ref" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_pragma_weak_ref" >&5
+printf "%s\n" "$krb5_cv_pragma_weak_ref" >&6; }
 if test $krb5_cv_pragma_weak_ref = yes ; then
 
-$as_echo "#define HAVE_PRAGMA_WEAK_REF 1" >>confdefs.h
+printf "%s\n" "#define HAVE_PRAGMA_WEAK_REF 1" >>confdefs.h
 
 fi
 
 
 # Check whether --with-ldap was given.
-if test "${with_ldap+set}" = set; then :
+if test ${with_ldap+y}
+then :
   withval=$with_ldap; case "$withval" in
     OPENLDAP) with_ldap=yes ;;
     yes | no) ;;
     *)  as_fn_error $? "Invalid option value --with-ldap=\"$withval\"" "$LINENO" 5 ;;
 esac
-else
+else $as_nop
   with_ldap=no
 fi
 
 if test "$with_ldap" = yes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: enabling OpenLDAP database backend module support" >&5
-$as_echo "$as_me: enabling OpenLDAP database backend module support" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: enabling OpenLDAP database backend module support" >&5
+printf "%s\n" "$as_me: enabling OpenLDAP database backend module support" >&6;}
   OPENLDAP_PLUGIN=yes
 fi
 
@@ -6108,25 +7079,27 @@ krb5_cv_host=$host
 . $ac_topdir/config/shlib.conf
 
 # Check whether --enable-delayed-initialization was given.
-if test "${enable_delayed_initialization+set}" = set; then :
+if test ${enable_delayed_initialization+y}
+then :
   enableval=$enable_delayed_initialization;
-else
+else $as_nop
   enable_delayed_initialization=yes
 fi
 
 case "$enable_delayed_initialization" in
   yes)
 
-$as_echo "#define DELAY_INITIALIZER 1" >>confdefs.h
+printf "%s\n" "#define DELAY_INITIALIZER 1" >>confdefs.h
  ;;
   no) ;;
   *)  as_fn_error $? "invalid option $enable_delayed_initialization for delayed-initialization" "$LINENO" 5 ;;
 esac
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for constructor/destructor attribute support" >&5
-$as_echo_n "checking for constructor/destructor attribute support... " >&6; }
-if ${krb5_cv_attr_constructor_destructor+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for constructor/destructor attribute support" >&5
+printf %s "checking for constructor/destructor attribute support... " >&6; }
+if test ${krb5_cv_attr_constructor_destructor+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   rm -f conftest.1 conftest.2
 if test -r conftest.1 || test -r conftest.2 ; then
   as_fn_error $? "write error in local file system?" "$LINENO" 5
@@ -6139,9 +7112,10 @@ fi
 a=no
 b=no
 # blindly assume we have 'unlink' and unistd.h.
-if test "$cross_compiling" = yes; then :
+if test "$cross_compiling" = yes
+then :
   as_fn_error $? "Cannot test for constructor/destructor support when cross compiling" "$LINENO" 5
-else
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <unistd.h>
@@ -6151,7 +7125,8 @@ else
       void foo2() { unlink("conftest.2"); }
       int main () { return 0; }
 _ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
+if ac_fn_c_try_run "$LINENO"
+then :
   test -r conftest.1 || a=yes
      test -r conftest.2 || b=yes
 fi
@@ -6175,19 +7150,19 @@ esac
 krb5_cv_attr_constructor_destructor="$a,$b"
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_attr_constructor_destructor" >&5
-$as_echo "$krb5_cv_attr_constructor_destructor" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_attr_constructor_destructor" >&5
+printf "%s\n" "$krb5_cv_attr_constructor_destructor" >&6; }
 # Okay, krb5_cv_... should be set now.
 case $krb5_cv_attr_constructor_destructor in
   yes,*)
 
-$as_echo "#define CONSTRUCTOR_ATTR_WORKS 1" >>confdefs.h
+printf "%s\n" "#define CONSTRUCTOR_ATTR_WORKS 1" >>confdefs.h
  ;;
 esac
 case $krb5_cv_attr_constructor_destructor in
   *,yes)
 
-$as_echo "#define DESTRUCTOR_ATTR_WORKS 1" >>confdefs.h
+printf "%s\n" "#define DESTRUCTOR_ATTR_WORKS 1" >>confdefs.h
  ;;
 esac
 
@@ -6196,28 +7171,29 @@ if test -z "$use_linker_init_option" ; t
 fi
 if test "$use_linker_init_option" = yes; then
 
-$as_echo "#define USE_LINKER_INIT_OPTION 1" >>confdefs.h
+printf "%s\n" "#define USE_LINKER_INIT_OPTION 1" >>confdefs.h
 
 fi
 if test "$use_linker_fini_option" = yes; then
 
-$as_echo "#define USE_LINKER_FINI_OPTION 1" >>confdefs.h
+printf "%s\n" "#define USE_LINKER_FINI_OPTION 1" >>confdefs.h
 
 fi
 
 
 # Check whether --enable-thread-support was given.
-if test "${enable_thread_support+set}" = set; then :
+if test ${enable_thread_support+y}
+then :
   enableval=$enable_thread_support;
-else
+else $as_nop
   enable_thread_support=yes
 fi
 
 if test "$enable_thread_support" = yes ; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: enabling thread support" >&5
-$as_echo "$as_me: enabling thread support" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: enabling thread support" >&5
+printf "%s\n" "$as_me: enabling thread support" >&6;}
 
-$as_echo "#define ENABLE_THREADS 1" >>confdefs.h
+printf "%s\n" "#define ENABLE_THREADS 1" >>confdefs.h
 
 fi
 if test "$enable_thread_support" = yes; then
@@ -6244,41 +7220,41 @@ if test "x$PTHREAD_CFLAGS$PTHREAD_LIBS"
         ax_pthread_save_CC="$CC"
         ax_pthread_save_CFLAGS="$CFLAGS"
         ax_pthread_save_LIBS="$LIBS"
-        if test "x$PTHREAD_CC" != "x"; then :
+        if test "x$PTHREAD_CC" != "x"
+then :
   CC="$PTHREAD_CC"
 fi
-        if test "x$PTHREAD_CXX" != "x"; then :
+        if test "x$PTHREAD_CXX" != "x"
+then :
   CXX="$PTHREAD_CXX"
 fi
         CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
         LIBS="$PTHREAD_LIBS $LIBS"
-        { $as_echo "$as_me:${as_lineno-$LINENO}: checking for pthread_join using $CC $PTHREAD_CFLAGS $PTHREAD_LIBS" >&5
-$as_echo_n "checking for pthread_join using $CC $PTHREAD_CFLAGS $PTHREAD_LIBS... " >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for pthread_join using $CC $PTHREAD_CFLAGS $PTHREAD_LIBS" >&5
+printf %s "checking for pthread_join using $CC $PTHREAD_CFLAGS $PTHREAD_LIBS... " >&6; }
         cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char pthread_join ();
 int
-main ()
+main (void)
 {
 return pthread_join ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ax_pthread_ok=yes
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ax_pthread_ok" >&5
-$as_echo "$ax_pthread_ok" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ax_pthread_ok" >&5
+printf "%s\n" "$ax_pthread_ok" >&6; }
         if test "x$ax_pthread_ok" = "xno"; then
                 PTHREAD_LIBS=""
                 PTHREAD_CFLAGS=""
@@ -6356,11 +7332,12 @@ case $host_os in
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "AX_PTHREAD_ZOS_MISSING" >/dev/null 2>&1; then :
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: IBM z/OS requires -D_OPEN_THREADS or -D_UNIX03_THREADS to enable pthreads support." >&5
-$as_echo "$as_me: WARNING: IBM z/OS requires -D_OPEN_THREADS or -D_UNIX03_THREADS to enable pthreads support." >&2;}
+  $EGREP "AX_PTHREAD_ZOS_MISSING" >/dev/null 2>&1
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: IBM z/OS requires -D_OPEN_THREADS or -D_UNIX03_THREADS to enable pthreads support." >&5
+printf "%s\n" "$as_me: WARNING: IBM z/OS requires -D_OPEN_THREADS or -D_UNIX03_THREADS to enable pthreads support." >&2;}
 fi
-rm -f conftest*
+rm -rf conftest*
 
         ;;
 
@@ -6380,11 +7357,12 @@ esac
 
 # Are we compiling with Clang?
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CC is Clang" >&5
-$as_echo_n "checking whether $CC is Clang... " >&6; }
-if ${ax_cv_PTHREAD_CLANG+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether $CC is Clang" >&5
+printf %s "checking whether $CC is Clang... " >&6; }
+if test ${ax_cv_PTHREAD_CLANG+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ax_cv_PTHREAD_CLANG=no
      # Note that Autoconf sets GCC=yes for Clang as well as GCC
      if test "x$GCC" = "xyes"; then
@@ -6397,16 +7375,17 @@ else
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "AX_PTHREAD_CC_IS_CLANG" >/dev/null 2>&1; then :
+  $EGREP "AX_PTHREAD_CC_IS_CLANG" >/dev/null 2>&1
+then :
   ax_cv_PTHREAD_CLANG=yes
 fi
-rm -f conftest*
+rm -rf conftest*
 
      fi
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_CLANG" >&5
-$as_echo "$ax_cv_PTHREAD_CLANG" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_CLANG" >&5
+printf "%s\n" "$ax_cv_PTHREAD_CLANG" >&6; }
 ax_pthread_clang="$ax_cv_PTHREAD_CLANG"
 
 
@@ -6420,13 +7399,15 @@ ax_pthread_clang="$ax_cv_PTHREAD_CLANG"
 # [3] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=468555
 # To solve this, first try -pthread together with -lpthread for GCC
 
-if test "x$GCC" = "xyes"; then :
+if test "x$GCC" = "xyes"
+then :
   ax_pthread_flags="-pthread,-lpthread -pthread -pthreads $ax_pthread_flags"
 fi
 
 # Clang takes -pthread (never supported any other flag), but we'll try with -lpthread first
 
-if test "x$ax_pthread_clang" = "xyes"; then :
+if test "x$ax_pthread_clang" = "xyes"
+then :
   ax_pthread_flags="-pthread,-lpthread -pthread"
 fi
 
@@ -6448,9 +7429,10 @@ case $host_os in
         ax_pthread_check_macro="--"
         ;;
 esac
-if test "x$ax_pthread_check_macro" = "x--"; then :
+if test "x$ax_pthread_check_macro" = "x--"
+then :
   ax_pthread_check_cond=0
-else
+else $as_nop
   ax_pthread_check_cond="!defined($ax_pthread_check_macro)"
 fi
 
@@ -6460,31 +7442,32 @@ for ax_pthread_try_flag in $ax_pthread_f
 
         case $ax_pthread_try_flag in
                 none)
-                { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether pthreads work without any flags" >&5
-$as_echo_n "checking whether pthreads work without any flags... " >&6; }
+                { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether pthreads work without any flags" >&5
+printf %s "checking whether pthreads work without any flags... " >&6; }
                 ;;
 
                 *,*)
                 PTHREAD_CFLAGS=`echo $ax_pthread_try_flag | sed "s/^\(.*\),\(.*\)$/\1/"`
                 PTHREAD_LIBS=`echo $ax_pthread_try_flag | sed "s/^\(.*\),\(.*\)$/\2/"`
-                { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether pthreads work with \"$PTHREAD_CFLAGS\" and \"$PTHREAD_LIBS\"" >&5
-$as_echo_n "checking whether pthreads work with \"$PTHREAD_CFLAGS\" and \"$PTHREAD_LIBS\"... " >&6; }
+                { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether pthreads work with \"$PTHREAD_CFLAGS\" and \"$PTHREAD_LIBS\"" >&5
+printf %s "checking whether pthreads work with \"$PTHREAD_CFLAGS\" and \"$PTHREAD_LIBS\"... " >&6; }
                 ;;
 
                 -*)
-                { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether pthreads work with $ax_pthread_try_flag" >&5
-$as_echo_n "checking whether pthreads work with $ax_pthread_try_flag... " >&6; }
+                { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether pthreads work with $ax_pthread_try_flag" >&5
+printf %s "checking whether pthreads work with $ax_pthread_try_flag... " >&6; }
                 PTHREAD_CFLAGS="$ax_pthread_try_flag"
                 ;;
 
                 pthread-config)
                 # Extract the first word of "pthread-config", so it can be a program name with args.
 set dummy pthread-config; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_ax_pthread_config+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_ax_pthread_config+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$ax_pthread_config"; then
   ac_cv_prog_ax_pthread_config="$ax_pthread_config" # Let the user override the test.
 else
@@ -6492,11 +7475,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_ax_pthread_config="yes"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -6508,15 +7495,16 @@ fi
 fi
 ax_pthread_config=$ac_cv_prog_ax_pthread_config
 if test -n "$ax_pthread_config"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ax_pthread_config" >&5
-$as_echo "$ax_pthread_config" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ax_pthread_config" >&5
+printf "%s\n" "$ax_pthread_config" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
-                if test "x$ax_pthread_config" = "xno"; then :
+                if test "x$ax_pthread_config" = "xno"
+then :
   continue
 fi
                 PTHREAD_CFLAGS="`pthread-config --cflags`"
@@ -6524,8 +7512,8 @@ fi
                 ;;
 
                 *)
-                { $as_echo "$as_me:${as_lineno-$LINENO}: checking for the pthreads library -l$ax_pthread_try_flag" >&5
-$as_echo_n "checking for the pthreads library -l$ax_pthread_try_flag... " >&6; }
+                { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for the pthreads library -l$ax_pthread_try_flag" >&5
+printf %s "checking for the pthreads library -l$ax_pthread_try_flag... " >&6; }
                 PTHREAD_LIBS="-l$ax_pthread_try_flag"
                 ;;
         esac
@@ -6560,7 +7548,7 @@ $as_echo_n "checking for the pthreads li
                           }
                         static void *start_routine(void *a) { return a; }
 int
-main ()
+main (void)
 {
 pthread_t th; pthread_attr_t attr;
                         pthread_create(&th, 0, start_routine, 0);
@@ -6572,18 +7560,20 @@ pthread_t th; pthread_attr_t attr;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ax_pthread_ok=yes
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 
         CFLAGS="$ax_pthread_save_CFLAGS"
         LIBS="$ax_pthread_save_LIBS"
 
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ax_pthread_ok" >&5
-$as_echo "$ax_pthread_ok" >&6; }
-        if test "x$ax_pthread_ok" = "xyes"; then :
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ax_pthread_ok" >&5
+printf "%s\n" "$ax_pthread_ok" >&6; }
+        if test "x$ax_pthread_ok" = "xyes"
+then :
   break
 fi
 
@@ -6629,11 +7619,12 @@ if test "x$ax_pthread_clang" = "xyes"; t
         # that build with -Werror.  So if the active version of Clang has
         # this misfeature, we search for an option to squash it.
 
-        { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether Clang needs flag to prevent \"argument unused\" warning when linking with -pthread" >&5
-$as_echo_n "checking whether Clang needs flag to prevent \"argument unused\" warning when linking with -pthread... " >&6; }
-if ${ax_cv_PTHREAD_CLANG_NO_WARN_FLAG+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether Clang needs flag to prevent \"argument unused\" warning when linking with -pthread" >&5
+printf %s "checking whether Clang needs flag to prevent \"argument unused\" warning when linking with -pthread... " >&6; }
+if test ${ax_cv_PTHREAD_CLANG_NO_WARN_FLAG+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ax_cv_PTHREAD_CLANG_NO_WARN_FLAG=unknown
              # Create an alternate version of $ac_link that compiles and
              # links in two steps (.c -> .o, .o -> exe) instead of one
@@ -6641,11 +7632,12 @@ else
              # step
              ax_pthread_save_ac_link="$ac_link"
              ax_pthread_sed='s/conftest\.\$ac_ext/conftest.$ac_objext/g'
-             ax_pthread_link_step=`$as_echo "$ac_link" | sed "$ax_pthread_sed"`
+             ax_pthread_link_step=`printf "%s\n" "$ac_link" | sed "$ax_pthread_sed"`
              ax_pthread_2step_ac_link="($ac_compile) && (echo ==== >&5) && ($ax_pthread_link_step)"
              ax_pthread_save_CFLAGS="$CFLAGS"
              for ax_pthread_try in '' -Qunused-arguments -Wno-unused-command-line-argument unknown; do
-                if test "x$ax_pthread_try" = "xunknown"; then :
+                if test "x$ax_pthread_try" = "xunknown"
+then :
   break
 fi
                 CFLAGS="-Werror -Wunknown-warning-option $ax_pthread_try -pthread $ax_pthread_save_CFLAGS"
@@ -6654,32 +7646,35 @@ fi
 /* end confdefs.h.  */
 int main(void){return 0;}
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_link="$ax_pthread_2step_ac_link"
                      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 int main(void){return 0;}
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   break
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
              done
              ac_link="$ax_pthread_save_ac_link"
              CFLAGS="$ax_pthread_save_CFLAGS"
-             if test "x$ax_pthread_try" = "x"; then :
+             if test "x$ax_pthread_try" = "x"
+then :
   ax_pthread_try=no
 fi
              ax_cv_PTHREAD_CLANG_NO_WARN_FLAG="$ax_pthread_try"
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_CLANG_NO_WARN_FLAG" >&5
-$as_echo "$ax_cv_PTHREAD_CLANG_NO_WARN_FLAG" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_CLANG_NO_WARN_FLAG" >&5
+printf "%s\n" "$ax_cv_PTHREAD_CLANG_NO_WARN_FLAG" >&6; }
 
         case "$ax_cv_PTHREAD_CLANG_NO_WARN_FLAG" in
                 no | unknown) ;;
@@ -6698,51 +7693,53 @@ if test "x$ax_pthread_ok" = "xyes"; then
         LIBS="$PTHREAD_LIBS $LIBS"
 
         # Detect AIX lossage: JOINABLE attribute is called UNDETACHED.
-        { $as_echo "$as_me:${as_lineno-$LINENO}: checking for joinable pthread attribute" >&5
-$as_echo_n "checking for joinable pthread attribute... " >&6; }
-if ${ax_cv_PTHREAD_JOINABLE_ATTR+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for joinable pthread attribute" >&5
+printf %s "checking for joinable pthread attribute... " >&6; }
+if test ${ax_cv_PTHREAD_JOINABLE_ATTR+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ax_cv_PTHREAD_JOINABLE_ATTR=unknown
              for ax_pthread_attr in PTHREAD_CREATE_JOINABLE PTHREAD_CREATE_UNDETACHED; do
                  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <pthread.h>
 int
-main ()
+main (void)
 {
 int attr = $ax_pthread_attr; return attr /* ; */
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ax_cv_PTHREAD_JOINABLE_ATTR=$ax_pthread_attr; break
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
              done
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_JOINABLE_ATTR" >&5
-$as_echo "$ax_cv_PTHREAD_JOINABLE_ATTR" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_JOINABLE_ATTR" >&5
+printf "%s\n" "$ax_cv_PTHREAD_JOINABLE_ATTR" >&6; }
         if test "x$ax_cv_PTHREAD_JOINABLE_ATTR" != "xunknown" && \
                test "x$ax_cv_PTHREAD_JOINABLE_ATTR" != "xPTHREAD_CREATE_JOINABLE" && \
-               test "x$ax_pthread_joinable_attr_defined" != "xyes"; then :
+               test "x$ax_pthread_joinable_attr_defined" != "xyes"
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define PTHREAD_CREATE_JOINABLE $ax_cv_PTHREAD_JOINABLE_ATTR
-_ACEOF
+printf "%s\n" "#define PTHREAD_CREATE_JOINABLE $ax_cv_PTHREAD_JOINABLE_ATTR" >>confdefs.h
 
                ax_pthread_joinable_attr_defined=yes
 
 fi
 
-        { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether more special flags are required for pthreads" >&5
-$as_echo_n "checking whether more special flags are required for pthreads... " >&6; }
-if ${ax_cv_PTHREAD_SPECIAL_FLAGS+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether more special flags are required for pthreads" >&5
+printf %s "checking whether more special flags are required for pthreads... " >&6; }
+if test ${ax_cv_PTHREAD_SPECIAL_FLAGS+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ax_cv_PTHREAD_SPECIAL_FLAGS=no
              case $host_os in
              solaris*)
@@ -6751,24 +7748,26 @@ else
              esac
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_SPECIAL_FLAGS" >&5
-$as_echo "$ax_cv_PTHREAD_SPECIAL_FLAGS" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_SPECIAL_FLAGS" >&5
+printf "%s\n" "$ax_cv_PTHREAD_SPECIAL_FLAGS" >&6; }
         if test "x$ax_cv_PTHREAD_SPECIAL_FLAGS" != "xno" && \
-               test "x$ax_pthread_special_flags_added" != "xyes"; then :
+               test "x$ax_pthread_special_flags_added" != "xyes"
+then :
   PTHREAD_CFLAGS="$ax_cv_PTHREAD_SPECIAL_FLAGS $PTHREAD_CFLAGS"
                ax_pthread_special_flags_added=yes
 fi
 
-        { $as_echo "$as_me:${as_lineno-$LINENO}: checking for PTHREAD_PRIO_INHERIT" >&5
-$as_echo_n "checking for PTHREAD_PRIO_INHERIT... " >&6; }
-if ${ax_cv_PTHREAD_PRIO_INHERIT+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for PTHREAD_PRIO_INHERIT" >&5
+printf %s "checking for PTHREAD_PRIO_INHERIT... " >&6; }
+if test ${ax_cv_PTHREAD_PRIO_INHERIT+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <pthread.h>
 int
-main ()
+main (void)
 {
 int i = PTHREAD_PRIO_INHERIT;
                                                return i;
@@ -6776,21 +7775,23 @@ int i = PTHREAD_PRIO_INHERIT;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ax_cv_PTHREAD_PRIO_INHERIT=yes
-else
+else $as_nop
   ax_cv_PTHREAD_PRIO_INHERIT=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_PRIO_INHERIT" >&5
-$as_echo "$ax_cv_PTHREAD_PRIO_INHERIT" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ax_cv_PTHREAD_PRIO_INHERIT" >&5
+printf "%s\n" "$ax_cv_PTHREAD_PRIO_INHERIT" >&6; }
         if test "x$ax_cv_PTHREAD_PRIO_INHERIT" = "xyes" && \
-               test "x$ax_pthread_prio_inherit_defined" != "xyes"; then :
+               test "x$ax_pthread_prio_inherit_defined" != "xyes"
+then :
 
-$as_echo "#define HAVE_PTHREAD_PRIO_INHERIT 1" >>confdefs.h
+printf "%s\n" "#define HAVE_PTHREAD_PRIO_INHERIT 1" >>confdefs.h
 
                ax_pthread_prio_inherit_defined=yes
 
@@ -6809,11 +7810,14 @@ fi
                      case "x$CC" in #(
   x/*) :
 
-			   if as_fn_executable_p ${CC}_r; then :
+			   if as_fn_executable_p ${CC}_r
+then :
   PTHREAD_CC="${CC}_r"
 fi
-			   if test "x${CXX}" != "x"; then :
-  if as_fn_executable_p ${CXX}_r; then :
+			   if test "x${CXX}" != "x"
+then :
+  if as_fn_executable_p ${CXX}_r
+then :
   PTHREAD_CXX="${CXX}_r"
 fi
 fi
@@ -6824,11 +7828,12 @@ fi
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_PTHREAD_CC+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_PTHREAD_CC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$PTHREAD_CC"; then
   ac_cv_prog_PTHREAD_CC="$PTHREAD_CC" # Let the user override the test.
 else
@@ -6836,11 +7841,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_PTHREAD_CC="$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -6851,11 +7860,11 @@ fi
 fi
 PTHREAD_CC=$ac_cv_prog_PTHREAD_CC
 if test -n "$PTHREAD_CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PTHREAD_CC" >&5
-$as_echo "$PTHREAD_CC" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $PTHREAD_CC" >&5
+printf "%s\n" "$PTHREAD_CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -6863,16 +7872,18 @@ fi
 done
 test -n "$PTHREAD_CC" || PTHREAD_CC="$CC"
 
-			   if test "x${CXX}" != "x"; then :
+			   if test "x${CXX}" != "x"
+then :
   for ac_prog in ${CXX}_r
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_PTHREAD_CXX+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_PTHREAD_CXX+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$PTHREAD_CXX"; then
   ac_cv_prog_PTHREAD_CXX="$PTHREAD_CXX" # Let the user override the test.
 else
@@ -6880,11 +7891,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_PTHREAD_CXX="$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -6895,11 +7910,11 @@ fi
 fi
 PTHREAD_CXX=$ac_cv_prog_PTHREAD_CXX
 if test -n "$PTHREAD_CXX"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PTHREAD_CXX" >&5
-$as_echo "$PTHREAD_CXX" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $PTHREAD_CXX" >&5
+printf "%s\n" "$PTHREAD_CXX" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -6931,7 +7946,7 @@ test -n "$PTHREAD_CXX" || PTHREAD_CXX="$
 # Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
 if test "x$ax_pthread_ok" = "xyes"; then
 
-$as_echo "#define HAVE_PTHREAD 1" >>confdefs.h
+printf "%s\n" "#define HAVE_PTHREAD 1" >>confdefs.h
 
         :
 else
@@ -6945,12 +7960,12 @@ ac_link='$CC -o conftest$ac_exeext $CFLA
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: PTHREAD_CC = $PTHREAD_CC" >&5
-$as_echo "$as_me: PTHREAD_CC = $PTHREAD_CC" >&6;}
-  { $as_echo "$as_me:${as_lineno-$LINENO}: PTHREAD_CFLAGS = $PTHREAD_CFLAGS" >&5
-$as_echo "$as_me: PTHREAD_CFLAGS = $PTHREAD_CFLAGS" >&6;}
-  { $as_echo "$as_me:${as_lineno-$LINENO}: PTHREAD_LIBS = $PTHREAD_LIBS" >&5
-$as_echo "$as_me: PTHREAD_LIBS = $PTHREAD_LIBS" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: PTHREAD_CC = $PTHREAD_CC" >&5
+printf "%s\n" "$as_me: PTHREAD_CC = $PTHREAD_CC" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: PTHREAD_CFLAGS = $PTHREAD_CFLAGS" >&5
+printf "%s\n" "$as_me: PTHREAD_CFLAGS = $PTHREAD_CFLAGS" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: PTHREAD_LIBS = $PTHREAD_LIBS" >&5
+printf "%s\n" "$as_me: PTHREAD_LIBS = $PTHREAD_LIBS" >&6;}
       # AIX and Tru64 don't support weak references, and don't have
   # stub versions of the pthread code in libc.
   case "${host_os}" in
@@ -6983,7 +7998,7 @@ $as_echo "$as_me: PTHREAD_LIBS = $PTHREA
       fi
       # On Solaris 10, the thread support is always available in libc.
 
-$as_echo "#define NO_WEAK_PTHREADS 1" >>confdefs.h
+printf "%s\n" "#define NO_WEAK_PTHREADS 1" >>confdefs.h
 
       ;;
   esac
@@ -6995,17 +8010,18 @@ else
   THREAD_SUPPORT=0
 fi
 
-for ac_func in pthread_once pthread_rwlock_init
-do :
-  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
-ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
-if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
+ac_fn_c_check_func "$LINENO" "pthread_once" "ac_cv_func_pthread_once"
+if test "x$ac_cv_func_pthread_once" = xyes
+then :
+  printf "%s\n" "#define HAVE_PTHREAD_ONCE 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "pthread_rwlock_init" "ac_cv_func_pthread_rwlock_init"
+if test "x$ac_cv_func_pthread_rwlock_init" = xyes
+then :
+  printf "%s\n" "#define HAVE_PTHREAD_RWLOCK_INIT 1" >>confdefs.h
 
 fi
-done
 
 old_CC="$CC"
 test "$PTHREAD_CC" != "" && test "$ac_cv_c_compiler_gnu" = no && CC=$PTHREAD_CC
@@ -7015,13 +8031,14 @@ CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
 
 old_LIBS="$LIBS"
 LIBS="$PTHREAD_LIBS $LIBS"
-{ $as_echo "$as_me:${as_lineno-$LINENO}: rechecking with PTHREAD_... options" >&5
-$as_echo "$as_me: rechecking with PTHREAD_... options" >&6;}
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for pthread_rwlock_init in -lc" >&5
-$as_echo_n "checking for pthread_rwlock_init in -lc... " >&6; }
-if ${ac_cv_lib_c_pthread_rwlock_init+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: rechecking with PTHREAD_... options" >&5
+printf "%s\n" "$as_me: rechecking with PTHREAD_... options" >&6;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for pthread_rwlock_init in -lc" >&5
+printf %s "checking for pthread_rwlock_init in -lc... " >&6; }
+if test ${ac_cv_lib_c_pthread_rwlock_init+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lc  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -7030,32 +8047,31 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char pthread_rwlock_init ();
 int
-main ()
+main (void)
 {
 return pthread_rwlock_init ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_c_pthread_rwlock_init=yes
-else
+else $as_nop
   ac_cv_lib_c_pthread_rwlock_init=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_c_pthread_rwlock_init" >&5
-$as_echo "$ac_cv_lib_c_pthread_rwlock_init" >&6; }
-if test "x$ac_cv_lib_c_pthread_rwlock_init" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_c_pthread_rwlock_init" >&5
+printf "%s\n" "$ac_cv_lib_c_pthread_rwlock_init" >&6; }
+if test "x$ac_cv_lib_c_pthread_rwlock_init" = xyes
+then :
 
-$as_echo "#define HAVE_PTHREAD_RWLOCK_INIT_IN_THREAD_LIB 1" >>confdefs.h
+printf "%s\n" "#define HAVE_PTHREAD_RWLOCK_INIT_IN_THREAD_LIB 1" >>confdefs.h
 
 fi
 
@@ -7066,11 +8082,12 @@ CFLAGS="$old_CFLAGS"
 
 old_LIBS="$LIBS"
 DL_LIB=
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing dlopen" >&5
-$as_echo_n "checking for library containing dlopen... " >&6; }
-if ${ac_cv_search_dlopen+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for library containing dlopen" >&5
+printf %s "checking for library containing dlopen... " >&6; }
+if test ${ac_cv_search_dlopen+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_func_search_save_LIBS=$LIBS
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
@@ -7078,46 +8095,48 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char dlopen ();
 int
-main ()
+main (void)
 {
 return dlopen ();
   ;
   return 0;
 }
 _ACEOF
-for ac_lib in '' dl; do
+for ac_lib in '' dl
+do
   if test -z "$ac_lib"; then
     ac_res="none required"
   else
     ac_res=-l$ac_lib
     LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
   fi
-  if ac_fn_c_try_link "$LINENO"; then :
+  if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_search_dlopen=$ac_res
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext
-  if ${ac_cv_search_dlopen+:} false; then :
+  if test ${ac_cv_search_dlopen+y}
+then :
   break
 fi
 done
-if ${ac_cv_search_dlopen+:} false; then :
+if test ${ac_cv_search_dlopen+y}
+then :
 
-else
+else $as_nop
   ac_cv_search_dlopen=no
 fi
 rm conftest.$ac_ext
 LIBS=$ac_func_search_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_dlopen" >&5
-$as_echo "$ac_cv_search_dlopen" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_dlopen" >&5
+printf "%s\n" "$ac_cv_search_dlopen" >&6; }
 ac_res=$ac_cv_search_dlopen
-if test "$ac_res" != no; then :
+if test "$ac_res" != no
+then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 if test "$ac_cv_search_dlopen" != "none required"; then
@@ -7125,14 +8144,14 @@ if test "$ac_cv_search_dlopen" != "none
 fi
 LIBS="$old_LIBS"
 
-$as_echo "#define USE_DLOPEN 1" >>confdefs.h
+printf "%s\n" "#define USE_DLOPEN 1" >>confdefs.h
 
 fi
 
 
 
 
-KRB5_VERSION=1.21.2
+KRB5_VERSION=1.21.3
 
 
 
@@ -7149,11 +8168,12 @@ if test "x$ac_cv_env_PKG_CONFIG_set" !=
 	if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
 set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_PKG_CONFIG+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_PKG_CONFIG+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $PKG_CONFIG in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
@@ -7163,11 +8183,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_PKG_CONFIG="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -7179,11 +8203,11 @@ esac
 fi
 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 if test -n "$PKG_CONFIG"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PKG_CONFIG" >&5
-$as_echo "$PKG_CONFIG" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $PKG_CONFIG" >&5
+printf "%s\n" "$PKG_CONFIG" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -7192,11 +8216,12 @@ if test -z "$ac_cv_path_PKG_CONFIG"; the
   ac_pt_PKG_CONFIG=$PKG_CONFIG
   # Extract the first word of "pkg-config", so it can be a program name with args.
 set dummy pkg-config; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_ac_pt_PKG_CONFIG+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_ac_pt_PKG_CONFIG+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $ac_pt_PKG_CONFIG in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
@@ -7206,11 +8231,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -7222,11 +8251,11 @@ esac
 fi
 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
 if test -n "$ac_pt_PKG_CONFIG"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_pt_PKG_CONFIG" >&5
-$as_echo "$ac_pt_PKG_CONFIG" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_pt_PKG_CONFIG" >&5
+printf "%s\n" "$ac_pt_PKG_CONFIG" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
   if test "x$ac_pt_PKG_CONFIG" = x; then
@@ -7234,8 +8263,8 @@ fi
   else
     case $cross_compiling:$ac_tool_warned in
 yes:)
-{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
-$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+printf "%s\n" "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
 ac_tool_warned=yes ;;
 esac
     PKG_CONFIG=$ac_pt_PKG_CONFIG
@@ -7247,167 +8276,68 @@ fi
 fi
 if test -n "$PKG_CONFIG"; then
 	_pkg_min_version=0.9.0
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking pkg-config is at least version $_pkg_min_version" >&5
-$as_echo_n "checking pkg-config is at least version $_pkg_min_version... " >&6; }
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking pkg-config is at least version $_pkg_min_version" >&5
+printf %s "checking pkg-config is at least version $_pkg_min_version... " >&6; }
 	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
-		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
+		{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
 	else
-		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+		{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 		PKG_CONFIG=""
 	fi
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ANSI C header files" >&5
-$as_echo_n "checking for ANSI C header files... " >&6; }
-if ${ac_cv_header_stdc+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <stdlib.h>
-#include <stdarg.h>
-#include <string.h>
-#include <float.h>
-
-int
-main ()
-{
-
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  ac_cv_header_stdc=yes
-else
-  ac_cv_header_stdc=no
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-
-if test $ac_cv_header_stdc = yes; then
-  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <string.h>
-
-_ACEOF
-if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "memchr" >/dev/null 2>&1; then :
-
-else
-  ac_cv_header_stdc=no
-fi
-rm -f conftest*
-
-fi
+ac_header= ac_cache=
+for ac_item in $ac_header_c_list
+do
+  if test $ac_cache; then
+    ac_fn_c_check_header_compile "$LINENO" $ac_header ac_cv_header_$ac_cache "$ac_includes_default"
+    if eval test \"x\$ac_cv_header_$ac_cache\" = xyes; then
+      printf "%s\n" "#define $ac_item 1" >> confdefs.h
+    fi
+    ac_header= ac_cache=
+  elif test $ac_header; then
+    ac_cache=$ac_item
+  else
+    ac_header=$ac_item
+  fi
+done
 
-if test $ac_cv_header_stdc = yes; then
-  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <stdlib.h>
 
-_ACEOF
-if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "free" >/dev/null 2>&1; then :
 
-else
-  ac_cv_header_stdc=no
-fi
-rm -f conftest*
 
-fi
 
-if test $ac_cv_header_stdc = yes; then
-  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
-  if test "$cross_compiling" = yes; then :
-  :
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <ctype.h>
-#include <stdlib.h>
-#if ((' ' & 0x0FF) == 0x020)
-# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
-# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
-#else
-# define ISLOWER(c) \
-		   (('a' <= (c) && (c) <= 'i') \
-		     || ('j' <= (c) && (c) <= 'r') \
-		     || ('s' <= (c) && (c) <= 'z'))
-# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
-#endif
 
-#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
-int
-main ()
-{
-  int i;
-  for (i = 0; i < 256; i++)
-    if (XOR (islower (i), ISLOWER (i))
-	|| toupper (i) != TOUPPER (i))
-      return 2;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
 
-else
-  ac_cv_header_stdc=no
-fi
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
-  conftest.$ac_objext conftest.beam conftest.$ac_ext
-fi
 
-fi
-fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_stdc" >&5
-$as_echo "$ac_cv_header_stdc" >&6; }
-if test $ac_cv_header_stdc = yes; then
+if test $ac_cv_header_stdlib_h = yes && test $ac_cv_header_string_h = yes
+then :
 
-$as_echo "#define STDC_HEADERS 1" >>confdefs.h
+printf "%s\n" "#define STDC_HEADERS 1" >>confdefs.h
 
 fi
+ac_fn_c_check_header_compile "$LINENO" "stdint.h" "ac_cv_header_stdint_h" "$ac_includes_default"
+if test "x$ac_cv_header_stdint_h" = xyes
+then :
 
-# On IRIX 5.3, sys/types and inttypes.h are conflicting.
-for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
-		  inttypes.h stdint.h unistd.h
-do :
-  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-ac_fn_c_check_header_compile "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default
-"
-if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
-
-fi
-
-done
-
-
-ac_fn_c_check_header_mongrel "$LINENO" "stdint.h" "ac_cv_header_stdint_h" "$ac_includes_default"
-if test "x$ac_cv_header_stdint_h" = xyes; then :
-
-else
+else $as_nop
   as_fn_error $? "stdint.h is required" "$LINENO" 5
 fi
 
 
-
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether integers are two's complement" >&5
-$as_echo_n "checking whether integers are two's complement... " >&6; }
-if ${krb5_cv_ints_twos_compl+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether integers are two's complement" >&5
+printf %s "checking whether integers are two's complement... " >&6; }
+if test ${krb5_cv_ints_twos_compl+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <limits.h>
 
 int
-main ()
+main (void)
 {
 static int test_array [1 - 2 * !(/* Basic two's complement check */
 	  ~(-1) == 0 && ~(-1L) == 0L &&
@@ -7423,25 +8353,27 @@ return test_array [0];
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_ints_twos_compl=yes
-else
+else $as_nop
   krb5_cv_ints_twos_compl=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_ints_twos_compl" >&5
-$as_echo "$krb5_cv_ints_twos_compl" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_ints_twos_compl" >&5
+printf "%s\n" "$krb5_cv_ints_twos_compl" >&6; }
 
 if test "$krb5_cv_ints_twos_compl" = "no"; then
   as_fn_error $? "integers are not two's complement" "$LINENO" 5
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether CHAR_BIT is 8" >&5
-$as_echo_n "checking whether CHAR_BIT is 8... " >&6; }
-if ${krb5_cv_char_bit_8+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether CHAR_BIT is 8" >&5
+printf %s "checking whether CHAR_BIT is 8... " >&6; }
+if test ${krb5_cv_char_bit_8+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <limits.h>
@@ -7450,25 +8382,27 @@ else
 #endif
 
 _ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
+if ac_fn_c_try_cpp "$LINENO"
+then :
   krb5_cv_char_bit_8=yes
-else
+else $as_nop
   krb5_cv_char_bit_8=no
 fi
 rm -f conftest.err conftest.i conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_char_bit_8" >&5
-$as_echo "$krb5_cv_char_bit_8" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_char_bit_8" >&5
+printf "%s\n" "$krb5_cv_char_bit_8" >&6; }
 
 if test "$krb5_cv_char_bit_8" = "no"; then
   as_fn_error $? "CHAR_BIT is not 8" "$LINENO" 5
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if va_copy is available" >&5
-$as_echo_n "checking if va_copy is available... " >&6; }
-if ${krb5_cv_va_copy+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if va_copy is available" >&5
+printf %s "checking if va_copy is available... " >&6; }
+if test ${krb5_cv_va_copy+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
@@ -7485,30 +8419,32 @@ int main()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   krb5_cv_va_copy=yes
-else
+else $as_nop
   krb5_cv_va_copy=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_va_copy" >&5
-$as_echo "$krb5_cv_va_copy" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_va_copy" >&5
+printf "%s\n" "$krb5_cv_va_copy" >&6; }
 if test "$krb5_cv_va_copy" = yes; then
 
-$as_echo "#define HAS_VA_COPY 1" >>confdefs.h
+printf "%s\n" "#define HAS_VA_COPY 1" >>confdefs.h
 
 fi
 
 # Note that this isn't checking if the copied value *works*, just
 # whether the C language constraints permit the copying.  If
 # va_list is defined as an array type, it can't be assigned.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if va_list objects can be copied by assignment" >&5
-$as_echo_n "checking if va_list objects can be copied by assignment... " >&6; }
-if ${krb5_cv_va_simple_copy+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if va_list objects can be copied by assignment" >&5
+printf %s "checking if va_list objects can be copied by assignment... " >&6; }
+if test ${krb5_cv_va_simple_copy+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
@@ -7518,18 +8454,19 @@ void f(va_list va2) {
   va1 = va2;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_va_simple_copy=yes
-else
+else $as_nop
   krb5_cv_va_simple_copy=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_va_simple_copy" >&5
-$as_echo "$krb5_cv_va_simple_copy" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_va_simple_copy" >&5
+printf "%s\n" "$krb5_cv_va_simple_copy" >&6; }
 if test "$krb5_cv_va_simple_copy" = yes; then
 
-$as_echo "#define CAN_COPY_VA_LIST 1" >>confdefs.h
+printf "%s\n" "#define CAN_COPY_VA_LIST 1" >>confdefs.h
 
 fi
 
@@ -7538,16 +8475,18 @@ fi
 
 
 # Check whether --enable-static was given.
-if test "${enable_static+set}" = set; then :
+if test ${enable_static+y}
+then :
   enableval=$enable_static;
-else
+else $as_nop
   enable_static=no
 fi
 
 # Check whether --enable-shared was given.
-if test "${enable_shared+set}" = set; then :
+if test ${enable_shared+y}
+then :
   enableval=$enable_shared;
-else
+else $as_nop
   enable_shared=yes
 fi
 
@@ -7557,9 +8496,10 @@ if test "x$enable_static" = "x$enable_sh
 fi
 
 # Check whether --enable-rpath was given.
-if test "${enable_rpath+set}" = set; then :
+if test ${enable_rpath+y}
+then :
   enableval=$enable_rpath;
-else
+else $as_nop
   enable_rpath=yes
 fi
 
@@ -7578,8 +8518,8 @@ fi
 DEPLIBEXT=$SHLIBEXT
 
 if test "x$enable_static" = xyes; then
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: using static libraries" >&5
-$as_echo "$as_me: using static libraries" >&6;}
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: using static libraries" >&5
+printf "%s\n" "$as_me: using static libraries" >&6;}
 	LIBLIST='lib$(LIBBASE)$(STLIBEXT)'
 	LIBLINKS='$(TOPLIBD)/lib$(LIBBASE)$(STLIBEXT)'
 	PLUGIN='libkrb5_$(LIBBASE)$(STLIBEXT)'
@@ -7589,7 +8529,7 @@ $as_echo "$as_me: using static libraries
 	LIBINSTLIST=install-static
 	DEPLIBEXT=$STLIBEXT
 
-$as_echo "#define STATIC_PLUGINS 1" >>confdefs.h
+printf "%s\n" "#define STATIC_PLUGINS 1" >>confdefs.h
 
 
 	KDB5_PLUGIN_DEPLIBS='$(TOPLIBD)/libkrb5_db2$(DEPLIBEXT)'
@@ -7608,8 +8548,8 @@ $as_echo "#define STATIC_PLUGINS 1" >>co
 	SHLIBVEXT=.so.v-nobuild
 	SHLIBSEXT=.so.s-nobuild
 else
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: using shared libraries" >&5
-$as_echo "$as_me: using shared libraries" >&6;}
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: using shared libraries" >&5
+printf "%s\n" "$as_me: using shared libraries" >&6;}
 
 	# Clear some stuff in case of AIX, etc.
 	if test "$STLIBEXT" = "$SHLIBEXT" ; then
@@ -7643,14 +8583,16 @@ fi
 
 # Check whether to build profiled libraries.
 # Check whether --enable-profiled was given.
-if test "${enable_profiled+set}" = set; then :
+if test ${enable_profiled+y}
+then :
   enableval=$enable_profiled; if test "$enableval" = yes; then
   as_fn_error $? "Sorry, profiled libraries do not work in this release." "$LINENO" 5
 fi
 fi
 
 # Check whether --enable-athena was given.
-if test "${enable_athena+set}" = set; then :
+if test ${enable_athena+y}
+then :
   enableval=$enable_athena;
 fi
 
@@ -7664,25 +8606,26 @@ fi
 
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ln -s works" >&5
-$as_echo_n "checking whether ln -s works... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether ln -s works" >&5
+printf %s "checking whether ln -s works... " >&6; }
 LN_S=$as_ln_s
 if test "$LN_S" = "ln -s"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no, using $LN_S" >&5
-$as_echo "no, using $LN_S" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no, using $LN_S" >&5
+printf "%s\n" "no, using $LN_S" >&6; }
 fi
 
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ranlib; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_RANLIB+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_RANLIB+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$RANLIB"; then
   ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
 else
@@ -7690,11 +8633,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -7705,11 +8652,11 @@ fi
 fi
 RANLIB=$ac_cv_prog_RANLIB
 if test -n "$RANLIB"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $RANLIB" >&5
-$as_echo "$RANLIB" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $RANLIB" >&5
+printf "%s\n" "$RANLIB" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -7718,11 +8665,12 @@ if test -z "$ac_cv_prog_RANLIB"; then
   ac_ct_RANLIB=$RANLIB
   # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_ac_ct_RANLIB+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_ac_ct_RANLIB+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$ac_ct_RANLIB"; then
   ac_cv_prog_ac_ct_RANLIB="$ac_ct_RANLIB" # Let the user override the test.
 else
@@ -7730,11 +8678,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_ac_ct_RANLIB="ranlib"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -7745,11 +8697,11 @@ fi
 fi
 ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
 if test -n "$ac_ct_RANLIB"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_RANLIB" >&5
-$as_echo "$ac_ct_RANLIB" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_ct_RANLIB" >&5
+printf "%s\n" "$ac_ct_RANLIB" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
   if test "x$ac_ct_RANLIB" = x; then
@@ -7757,8 +8709,8 @@ fi
   else
     case $cross_compiling:$ac_tool_warned in
 yes:)
-{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
-$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+printf "%s\n" "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
 ac_tool_warned=yes ;;
 esac
     RANLIB=$ac_ct_RANLIB
@@ -7767,7 +8719,8 @@ else
   RANLIB="$ac_cv_prog_RANLIB"
 fi
 
-# Find a good install program.  We prefer a C program (faster),
+
+  # Find a good install program.  We prefer a C program (faster),
 # so one script is as good as another.  But avoid the broken or
 # incompatible versions:
 # SysV /etc/install, /usr/sbin/install
@@ -7781,20 +8734,25 @@ fi
 # OS/2's system install, which has a completely different semantic
 # ./install, which can be erroneously created by make from ./install.sh.
 # Reject install programs that cannot install multiple files.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for a BSD-compatible install" >&5
-$as_echo_n "checking for a BSD-compatible install... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for a BSD-compatible install" >&5
+printf %s "checking for a BSD-compatible install... " >&6; }
 if test -z "$INSTALL"; then
-if ${ac_cv_path_install+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+if test ${ac_cv_path_install+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-    # Account for people who put trailing slashes in PATH elements.
-case $as_dir/ in #((
-  ./ | .// | /[cC]/* | \
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+    # Account for fact that we put trailing slashes in our PATH walk.
+case $as_dir in #((
+  ./ | /[cC]/* | \
   /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* | \
   ?:[\\/]os2[\\/]install[\\/]* | ?:[\\/]OS2[\\/]INSTALL[\\/]* | \
   /usr/ucb/* ) ;;
@@ -7804,13 +8762,13 @@ case $as_dir/ in #((
     # by default.
     for ac_prog in ginstall scoinst install; do
       for ac_exec_ext in '' $ac_executable_extensions; do
-	if as_fn_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
+	if as_fn_executable_p "$as_dir$ac_prog$ac_exec_ext"; then
 	  if test $ac_prog = install &&
-	    grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
+	    grep dspmsg "$as_dir$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
 	    # AIX install.  It has an incompatible calling convention.
 	    :
 	  elif test $ac_prog = install &&
-	    grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
+	    grep pwplus "$as_dir$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
 	    # program-specific install script used by HP pwplus--don't use.
 	    :
 	  else
@@ -7818,12 +8776,12 @@ case $as_dir/ in #((
 	    echo one > conftest.one
 	    echo two > conftest.two
 	    mkdir conftest.dir
-	    if "$as_dir/$ac_prog$ac_exec_ext" -c conftest.one conftest.two "`pwd`/conftest.dir" &&
+	    if "$as_dir$ac_prog$ac_exec_ext" -c conftest.one conftest.two "`pwd`/conftest.dir/" &&
 	      test -s conftest.one && test -s conftest.two &&
 	      test -s conftest.dir/conftest.one &&
 	      test -s conftest.dir/conftest.two
 	    then
-	      ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
+	      ac_cv_path_install="$as_dir$ac_prog$ac_exec_ext -c"
 	      break 3
 	    fi
 	  fi
@@ -7839,7 +8797,7 @@ IFS=$as_save_IFS
 rm -rf conftest.one conftest.two conftest.dir
 
 fi
-  if test "${ac_cv_path_install+set}" = set; then
+  if test ${ac_cv_path_install+y}; then
     INSTALL=$ac_cv_path_install
   else
     # As a last resort, use the slow shell script.  Don't cache a
@@ -7849,8 +8807,8 @@ fi
     INSTALL=$ac_install_sh
   fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $INSTALL" >&5
-$as_echo "$INSTALL" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $INSTALL" >&5
+printf "%s\n" "$INSTALL" >&6; }
 
 # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
 # It thinks the first close brace ends the variable substitution.
@@ -7863,11 +8821,12 @@ test -z "$INSTALL_DATA" && INSTALL_DATA=
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ar", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ar; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_AR+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_AR+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$AR"; then
   ac_cv_prog_AR="$AR" # Let the user override the test.
 else
@@ -7875,11 +8834,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_AR="${ac_tool_prefix}ar"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -7890,11 +8853,11 @@ fi
 fi
 AR=$ac_cv_prog_AR
 if test -n "$AR"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $AR" >&5
-$as_echo "$AR" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $AR" >&5
+printf "%s\n" "$AR" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -7903,11 +8866,12 @@ if test -z "$ac_cv_prog_AR"; then
   ac_ct_AR=$AR
   # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_ac_ct_AR+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_ac_ct_AR+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$ac_ct_AR"; then
   ac_cv_prog_ac_ct_AR="$ac_ct_AR" # Let the user override the test.
 else
@@ -7915,11 +8879,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_ac_ct_AR="ar"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -7930,11 +8898,11 @@ fi
 fi
 ac_ct_AR=$ac_cv_prog_ac_ct_AR
 if test -n "$ac_ct_AR"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_AR" >&5
-$as_echo "$ac_ct_AR" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_ct_AR" >&5
+printf "%s\n" "$ac_ct_AR" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
   if test "x$ac_ct_AR" = x; then
@@ -7942,8 +8910,8 @@ fi
   else
     case $cross_compiling:$ac_tool_warned in
 yes:)
-{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
-$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+printf "%s\n" "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
 ac_tool_warned=yes ;;
 esac
     AR=$ac_ct_AR
@@ -7957,11 +8925,12 @@ if test "$AR" = "false"; then
 fi
 # Extract the first word of "perl", so it can be a program name with args.
 set dummy perl; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_PERL+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_PERL+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$PERL"; then
   ac_cv_prog_PERL="$PERL" # Let the user override the test.
 else
@@ -7969,11 +8938,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_PERL="perl"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -7985,11 +8958,11 @@ fi
 fi
 PERL=$ac_cv_prog_PERL
 if test -n "$PERL"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PERL" >&5
-$as_echo "$PERL" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $PERL" >&5
+printf "%s\n" "$PERL" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -8022,30 +8995,33 @@ fi
 
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for working regcomp" >&5
-$as_echo_n "checking for working regcomp... " >&6; }
-if ${ac_cv_func_regcomp+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  if test "$cross_compiling" = yes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for working regcomp" >&5
+printf %s "checking for working regcomp... " >&6; }
+if test ${ac_cv_func_regcomp+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  if test "$cross_compiling" = yes
+then :
   as_fn_error $? "Cannot test regcomp when cross compiling" "$LINENO" 5
-else
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/types.h>
       #include <regex.h>
       regex_t x; regmatch_t m;
 int
-main ()
+main (void)
 {
 return regcomp(&x,"pat.*",0) || regexec(&x,"pattern",1,&m,0);
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
+if ac_fn_c_try_run "$LINENO"
+then :
   ac_cv_func_regcomp=yes
-else
+else $as_nop
   ac_cv_func_regcomp=no
 fi
 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
@@ -8054,32 +9030,34 @@ fi
 
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_regcomp" >&5
-$as_echo "$ac_cv_func_regcomp" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_regcomp" >&5
+printf "%s\n" "$ac_cv_func_regcomp" >&6; }
 test $ac_cv_func_regcomp = yes &&
-$as_echo "#define HAVE_REGCOMP 1" >>confdefs.h
+printf "%s\n" "#define HAVE_REGCOMP 1" >>confdefs.h
 
 if test $ac_cv_func_regcomp = no; then
  save_LIBS="$LIBS"
  LIBS=-lgen
- for ac_func in compile step
-do :
-  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
-ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
-if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
+ ac_fn_c_check_func "$LINENO" "compile" "ac_cv_func_compile"
+if test "x$ac_cv_func_compile" = xyes
+then :
+  printf "%s\n" "#define HAVE_COMPILE 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "step" "ac_cv_func_step"
+if test "x$ac_cv_func_step" = xyes
+then :
+  printf "%s\n" "#define HAVE_STEP 1" >>confdefs.h
 
 fi
-done
 
  LIBS="$save_LIBS"
- { $as_echo "$as_me:${as_lineno-$LINENO}: checking for compile in -lgen" >&5
-$as_echo_n "checking for compile in -lgen... " >&6; }
-if ${ac_cv_lib_gen_compile+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+ { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for compile in -lgen" >&5
+printf %s "checking for compile in -lgen... " >&6; }
+if test ${ac_cv_lib_gen_compile+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lgen  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -8088,32 +9066,31 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char compile ();
 int
-main ()
+main (void)
 {
 return compile ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_gen_compile=yes
-else
+else $as_nop
   ac_cv_lib_gen_compile=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gen_compile" >&5
-$as_echo "$ac_cv_lib_gen_compile" >&6; }
-if test "x$ac_cv_lib_gen_compile" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gen_compile" >&5
+printf "%s\n" "$ac_cv_lib_gen_compile" >&6; }
+if test "x$ac_cv_lib_gen_compile" = xyes
+then :
   GEN_LIB=-lgen
-else
+else $as_nop
   GEN_LIB=
 fi
 
@@ -8127,13 +9104,12 @@ fi
 
 # for kprop
 ac_fn_c_check_type "$LINENO" "mode_t" "ac_cv_type_mode_t" "$ac_includes_default"
-if test "x$ac_cv_type_mode_t" = xyes; then :
+if test "x$ac_cv_type_mode_t" = xyes
+then :
 
-else
+else $as_nop
 
-cat >>confdefs.h <<_ACEOF
-#define mode_t int
-_ACEOF
+printf "%s\n" "#define mode_t int" >>confdefs.h
 
 fi
 
@@ -8141,18 +9117,19 @@ fi
 
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if daemon needs a prototype provided" >&5
-$as_echo_n "checking if daemon needs a prototype provided... " >&6; }
-if ${krb5_cv_func_daemon_noproto+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if daemon needs a prototype provided" >&5
+printf %s "checking if daemon needs a prototype provided... " >&6; }
+if test ${krb5_cv_func_daemon_noproto+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #ifdef HAVE_UNISTD_H
 #include <unistd.h>
 #endif
 int
-main ()
+main (void)
 {
 #undef daemon
       struct k5foo {int foo; } xx;
@@ -8162,18 +9139,19 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_func_daemon_noproto=yes
-else
+else $as_nop
   krb5_cv_func_daemon_noproto=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_daemon_noproto" >&5
-$as_echo "$krb5_cv_func_daemon_noproto" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_daemon_noproto" >&5
+printf "%s\n" "$krb5_cv_func_daemon_noproto" >&6; }
 if test $krb5_cv_func_daemon_noproto = yes; then
 
-$as_echo "#define NEED_DAEMON_PROTO 1" >>confdefs.h
+printf "%s\n" "#define NEED_DAEMON_PROTO 1" >>confdefs.h
 
 fi
 
@@ -8187,62 +9165,63 @@ do
 	if test $sock_set = no; then
 
 krb5_lib_var=`echo "$sock_arg1 $sock_arg2" | sed 'y% ./+-*%___p_p%'`
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if getsockname() takes arguments $sock_arg1 and $sock_arg2" >&5
-$as_echo_n "checking if getsockname() takes arguments $sock_arg1 and $sock_arg2... " >&6; }
-if eval \${krb5_cv_getsockname_proto_$krb5_lib_var+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if getsockname() takes arguments $sock_arg1 and $sock_arg2" >&5
+printf %s "checking if getsockname() takes arguments $sock_arg1 and $sock_arg2... " >&6; }
+if eval test \${krb5_cv_getsockname_proto_$krb5_lib_var+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/types.h>
       #include <sys/socket.h>
       extern int getsockname(int, $sock_arg1, $sock_arg2);
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval "krb5_cv_getsockname_proto_$krb5_lib_var=yes"
-else
+else $as_nop
   eval "krb5_cv_getsockname_proto_$krb5_lib_var=no"
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
 if eval "test \"`echo '$krb5_cv_getsockname_proto_'$krb5_lib_var`\" = yes"; then
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
 	sock_set=yes; res1="$sock_arg1"; res2="$sock_arg2"
 else
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 	fi
   done
 done
 if test "$sock_set" = no; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: assuming struct sockaddr and socklen_t for getsockname args" >&5
-$as_echo "$as_me: assuming struct sockaddr and socklen_t for getsockname args" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: assuming struct sockaddr and socklen_t for getsockname args" >&5
+printf "%s\n" "$as_me: assuming struct sockaddr and socklen_t for getsockname args" >&6;}
   res1="struct sockaddr *"
   res2="socklen_t *"
 fi
 res1=`echo "$res1" | tr -d '*' | sed -e 's/ *$//'`
 res2=`echo "$res2" | tr -d '*' | sed -e 's/ *$//'`
 
-cat >>confdefs.h <<_ACEOF
-#define GETSOCKNAME_ARG3_TYPE $res2
-_ACEOF
+printf "%s\n" "#define GETSOCKNAME_ARG3_TYPE $res2" >>confdefs.h
 
 
 
 
-$as_echo "#define GETPEERNAME_ARG3_TYPE GETSOCKNAME_ARG3_TYPE" >>confdefs.h
+printf "%s\n" "#define GETPEERNAME_ARG3_TYPE GETSOCKNAME_ARG3_TYPE" >>confdefs.h
 
 
 LIBUTIL=
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lutil" >&5
-$as_echo_n "checking for main in -lutil... " >&6; }
-if ${ac_cv_lib_util_main+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for main in -lutil" >&5
+printf %s "checking for main in -lutil... " >&6; }
+if test ${ac_cv_lib_util_main+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -8250,27 +9229,29 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 
 
 int
-main ()
+main (void)
 {
 return main ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_util_main=yes
-else
+else $as_nop
   ac_cv_lib_util_main=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_util_main" >&5
-$as_echo "$ac_cv_lib_util_main" >&6; }
-if test "x$ac_cv_lib_util_main" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_util_main" >&5
+printf "%s\n" "$ac_cv_lib_util_main" >&6; }
+if test "x$ac_cv_lib_util_main" = xyes
+then :
 
-$as_echo "#define HAVE_LIBUTIL 1" >>confdefs.h
+printf "%s\n" "#define HAVE_LIBUTIL 1" >>confdefs.h
 
 LIBUTIL=-lutil
 
@@ -8281,21 +9262,24 @@ fi
 # Determine if NLS is desired and supported.
 po=
 # Check whether --enable-nls was given.
-if test "${enable_nls+set}" = set; then :
+if test ${enable_nls+y}
+then :
   enableval=$enable_nls;
-else
+else $as_nop
   enable_nls=check
 fi
 
 if test "$enable_nls" != no; then
-  ac_fn_c_check_header_mongrel "$LINENO" "libintl.h" "ac_cv_header_libintl_h" "$ac_includes_default"
-if test "x$ac_cv_header_libintl_h" = xyes; then :
-
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing dgettext" >&5
-$as_echo_n "checking for library containing dgettext... " >&6; }
-if ${ac_cv_search_dgettext+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  ac_fn_c_check_header_compile "$LINENO" "libintl.h" "ac_cv_header_libintl_h" "$ac_includes_default"
+if test "x$ac_cv_header_libintl_h" = xyes
+then :
+
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for library containing dgettext" >&5
+printf %s "checking for library containing dgettext... " >&6; }
+if test ${ac_cv_search_dgettext+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_func_search_save_LIBS=$LIBS
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
@@ -8303,50 +9287,52 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char dgettext ();
 int
-main ()
+main (void)
 {
 return dgettext ();
   ;
   return 0;
 }
 _ACEOF
-for ac_lib in '' intl; do
+for ac_lib in '' intl
+do
   if test -z "$ac_lib"; then
     ac_res="none required"
   else
     ac_res=-l$ac_lib
     LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
   fi
-  if ac_fn_c_try_link "$LINENO"; then :
+  if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_search_dgettext=$ac_res
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext
-  if ${ac_cv_search_dgettext+:} false; then :
+  if test ${ac_cv_search_dgettext+y}
+then :
   break
 fi
 done
-if ${ac_cv_search_dgettext+:} false; then :
+if test ${ac_cv_search_dgettext+y}
+then :
 
-else
+else $as_nop
   ac_cv_search_dgettext=no
 fi
 rm conftest.$ac_ext
 LIBS=$ac_func_search_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_dgettext" >&5
-$as_echo "$ac_cv_search_dgettext" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_dgettext" >&5
+printf "%s\n" "$ac_cv_search_dgettext" >&6; }
 ac_res=$ac_cv_search_dgettext
-if test "$ac_res" != no; then :
+if test "$ac_res" != no
+then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 
-$as_echo "#define ENABLE_NLS 1" >>confdefs.h
+printf "%s\n" "#define ENABLE_NLS 1" >>confdefs.h
 
       nls_enabled=yes
 fi
@@ -8354,14 +9340,14 @@ fi
 fi
 
 
-
   # Extract the first word of "msgfmt", so it can be a program name with args.
 set dummy msgfmt; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_MSGFMT+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_MSGFMT+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$MSGFMT"; then
   ac_cv_prog_MSGFMT="$MSGFMT" # Let the user override the test.
 else
@@ -8369,11 +9355,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_MSGFMT="msgfmt"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -8384,11 +9374,11 @@ fi
 fi
 MSGFMT=$ac_cv_prog_MSGFMT
 if test -n "$MSGFMT"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $MSGFMT" >&5
-$as_echo "$MSGFMT" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $MSGFMT" >&5
+printf "%s\n" "$MSGFMT" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -8410,38 +9400,76 @@ fi
 
 
 # for kdc
-for ac_header in sys/sockio.h ifaddrs.h unistd.h fnmatch.h
-do :
-  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
-if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
+ac_fn_c_check_header_compile "$LINENO" "sys/sockio.h" "ac_cv_header_sys_sockio_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_sockio_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_SOCKIO_H 1" >>confdefs.h
 
 fi
+ac_fn_c_check_header_compile "$LINENO" "ifaddrs.h" "ac_cv_header_ifaddrs_h" "$ac_includes_default"
+if test "x$ac_cv_header_ifaddrs_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_IFADDRS_H 1" >>confdefs.h
 
-done
+fi
+ac_fn_c_check_header_compile "$LINENO" "unistd.h" "ac_cv_header_unistd_h" "$ac_includes_default"
+if test "x$ac_cv_header_unistd_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_UNISTD_H 1" >>confdefs.h
 
-for ac_func in vsprintf vasprintf vsnprintf strlcpy fnmatch secure_getenv
-do :
-  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
-ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
-if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
+fi
+ac_fn_c_check_header_compile "$LINENO" "fnmatch.h" "ac_cv_header_fnmatch_h" "$ac_includes_default"
+if test "x$ac_cv_header_fnmatch_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_FNMATCH_H 1" >>confdefs.h
+
+fi
+
+ac_fn_c_check_func "$LINENO" "vsprintf" "ac_cv_func_vsprintf"
+if test "x$ac_cv_func_vsprintf" = xyes
+then :
+  printf "%s\n" "#define HAVE_VSPRINTF 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "vasprintf" "ac_cv_func_vasprintf"
+if test "x$ac_cv_func_vasprintf" = xyes
+then :
+  printf "%s\n" "#define HAVE_VASPRINTF 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "vsnprintf" "ac_cv_func_vsnprintf"
+if test "x$ac_cv_func_vsnprintf" = xyes
+then :
+  printf "%s\n" "#define HAVE_VSNPRINTF 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "strlcpy" "ac_cv_func_strlcpy"
+if test "x$ac_cv_func_strlcpy" = xyes
+then :
+  printf "%s\n" "#define HAVE_STRLCPY 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "fnmatch" "ac_cv_func_fnmatch"
+if test "x$ac_cv_func_fnmatch" = xyes
+then :
+  printf "%s\n" "#define HAVE_FNMATCH 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "secure_getenv" "ac_cv_func_secure_getenv"
+if test "x$ac_cv_func_secure_getenv" = xyes
+then :
+  printf "%s\n" "#define HAVE_SECURE_GETENV 1" >>confdefs.h
 
 fi
-done
 
 
 EXTRA_SUPPORT_SYMS=
 ac_fn_c_check_func "$LINENO" "strlcpy" "ac_cv_func_strlcpy"
-if test "x$ac_cv_func_strlcpy" = xyes; then :
+if test "x$ac_cv_func_strlcpy" = xyes
+then :
   STRLCPY_ST_OBJ=
 STRLCPY_OBJ=
-else
+else $as_nop
   STRLCPY_ST_OBJ=strlcpy.o
 STRLCPY_OBJ='$(OUTPRE)strlcpy.$(OBJEXT)'
 EXTRA_SUPPORT_SYMS="$EXTRA_SUPPORT_SYMS krb5int_strlcpy krb5int_strlcat"
@@ -8451,13 +9479,14 @@ fi
 
 
 ac_fn_c_check_func "$LINENO" "getopt" "ac_cv_func_getopt"
-if test "x$ac_cv_func_getopt" = xyes; then :
+if test "x$ac_cv_func_getopt" = xyes
+then :
   GETOPT_ST_OBJ=
 GETOPT_OBJ=
 
-$as_echo "#define HAVE_GETOPT 1" >>confdefs.h
+printf "%s\n" "#define HAVE_GETOPT 1" >>confdefs.h
 
-else
+else $as_nop
   GETOPT_ST_OBJ='getopt.o'
 GETOPT_OBJ='$(OUTPRE)getopt.$(OBJEXT)'
 EXTRA_SUPPORT_SYMS="$EXTRA_SUPPORT_SYMS k5_optind k5_optarg k5_opterr k5_optopt k5_getopt"
@@ -8467,13 +9496,14 @@ fi
 
 
 ac_fn_c_check_func "$LINENO" "getopt_long" "ac_cv_func_getopt_long"
-if test "x$ac_cv_func_getopt_long" = xyes; then :
+if test "x$ac_cv_func_getopt_long" = xyes
+then :
   GETOPT_LONG_ST_OBJ=
 GETOPT_LONG_OBJ=
 
-$as_echo "#define HAVE_GETOPT_LONG 1" >>confdefs.h
+printf "%s\n" "#define HAVE_GETOPT_LONG 1" >>confdefs.h
 
-else
+else $as_nop
   GETOPT_LONG_ST_OBJ='getopt_long.o'
 GETOPT_LONG_OBJ='$(OUTPRE)getopt_long.$(OBJEXT)'
 EXTRA_SUPPORT_SYMS="$EXTRA_SUPPORT_SYMS k5_getopt_long"
@@ -8483,10 +9513,11 @@ fi
 
 
 ac_fn_c_check_func "$LINENO" "fnmatch" "ac_cv_func_fnmatch"
-if test "x$ac_cv_func_fnmatch" = xyes; then :
+if test "x$ac_cv_func_fnmatch" = xyes
+then :
   FNMATCH_ST_OBJ=
 FNMATCH_OBJ=
-else
+else $as_nop
   FNMATCH_ST_OBJ=fnmatch.o
 FNMATCH_OBJ='$(OUTPRE)fnmatch.$(OBJEXT)'
 EXTRA_SUPPORT_SYMS="$EXTRA_SUPPORT_SYMS k5_fnmatch"
@@ -8496,10 +9527,11 @@ fi
 
 
 ac_fn_c_check_func "$LINENO" "vasprintf" "ac_cv_func_vasprintf"
-if test "x$ac_cv_func_vasprintf" = xyes; then :
+if test "x$ac_cv_func_vasprintf" = xyes
+then :
   PRINTF_ST_OBJ=
 PRINTF_OBJ=
-else
+else $as_nop
   PRINTF_ST_OBJ=printf.o
 PRINTF_OBJ='$(OUTPRE)printf.$(OBJEXT)'
 EXTRA_SUPPORT_SYMS="$EXTRA_SUPPORT_SYMS krb5int_asprintf krb5int_vasprintf"
@@ -8509,18 +9541,19 @@ fi
 
 
 if test "x$ac_cv_func_vasprintf" = xyes; then
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if vasprintf needs a prototype provided" >&5
-$as_echo_n "checking if vasprintf needs a prototype provided... " >&6; }
-if ${krb5_cv_func_vasprintf_noproto+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if vasprintf needs a prototype provided" >&5
+printf %s "checking if vasprintf needs a prototype provided... " >&6; }
+if test ${krb5_cv_func_vasprintf_noproto+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <stdarg.h>
 #include <stdio.h>
 
 int
-main ()
+main (void)
 {
 #undef vasprintf
       struct k5foo {int foo; } xx;
@@ -8530,29 +9563,31 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_func_vasprintf_noproto=yes
-else
+else $as_nop
   krb5_cv_func_vasprintf_noproto=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_vasprintf_noproto" >&5
-$as_echo "$krb5_cv_func_vasprintf_noproto" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_vasprintf_noproto" >&5
+printf "%s\n" "$krb5_cv_func_vasprintf_noproto" >&6; }
 if test $krb5_cv_func_vasprintf_noproto = yes; then
 
-$as_echo "#define NEED_VASPRINTF_PROTO 1" >>confdefs.h
+printf "%s\n" "#define NEED_VASPRINTF_PROTO 1" >>confdefs.h
 
 fi
 fi
 
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if swab needs a prototype provided" >&5
-$as_echo_n "checking if swab needs a prototype provided... " >&6; }
-if ${krb5_cv_func_swab_noproto+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if swab needs a prototype provided" >&5
+printf %s "checking if swab needs a prototype provided... " >&6; }
+if test ${krb5_cv_func_swab_noproto+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <string.h>
@@ -8563,7 +9598,7 @@ else
 #include <stdlib.h>
 
 int
-main ()
+main (void)
 {
 #undef swab
       struct k5foo {int foo; } xx;
@@ -8573,29 +9608,31 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_func_swab_noproto=yes
-else
+else $as_nop
   krb5_cv_func_swab_noproto=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_swab_noproto" >&5
-$as_echo "$krb5_cv_func_swab_noproto" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_swab_noproto" >&5
+printf "%s\n" "$krb5_cv_func_swab_noproto" >&6; }
 if test $krb5_cv_func_swab_noproto = yes; then
 
-$as_echo "#define NEED_SWAB_PROTO 1" >>confdefs.h
+printf "%s\n" "#define NEED_SWAB_PROTO 1" >>confdefs.h
 
 fi
 
 
 
 ac_fn_c_check_func "$LINENO" "secure_getenv" "ac_cv_func_secure_getenv"
-if test "x$ac_cv_func_secure_getenv" = xyes; then :
+if test "x$ac_cv_func_secure_getenv" = xyes
+then :
   SECURE_GETENV_ST_OBJ=
 SECURE_GETENV_OBJ=
 SECURE_GETENV_INIT=
-else
+else $as_nop
   SECURE_GETENV_ST_OBJ=secure_getenv.o
 SECURE_GETENV_OBJ='$(OUTPRE)secure_getenv.$(OBJEXT)'
 SECURE_GETENV_INIT=k5_secure_getenv_init
@@ -8610,11 +9647,12 @@ for ac_prog in gawk mawk nawk awk
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_AWK+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_AWK+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$AWK"; then
   ac_cv_prog_AWK="$AWK" # Let the user override the test.
 else
@@ -8622,11 +9660,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_AWK="$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -8637,11 +9679,11 @@ fi
 fi
 AWK=$ac_cv_prog_AWK
 if test -n "$AWK"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $AWK" >&5
-$as_echo "$AWK" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $AWK" >&5
+printf "%s\n" "$AWK" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -8651,44 +9693,65 @@ done
  ac_fn_c_check_member "$LINENO" "struct sockaddr" "sa_len" "ac_cv_member_struct_sockaddr_sa_len" "#include <sys/types.h>
 #include <sys/socket.h>
 "
-if test "x$ac_cv_member_struct_sockaddr_sa_len" = xyes; then :
+if test "x$ac_cv_member_struct_sockaddr_sa_len" = xyes
+then :
 
-$as_echo "#define HAVE_SA_LEN 1" >>confdefs.h
+printf "%s\n" "#define HAVE_SA_LEN 1" >>confdefs.h
 
 
 fi
 
 
-for ac_header in sys/types.h sys/socket.h netinet/in.h netdb.h
-do :
-  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
-if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
+ac_fn_c_check_header_compile "$LINENO" "sys/types.h" "ac_cv_header_sys_types_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_types_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_TYPES_H 1" >>confdefs.h
 
 fi
+ac_fn_c_check_header_compile "$LINENO" "sys/socket.h" "ac_cv_header_sys_socket_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_socket_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_SOCKET_H 1" >>confdefs.h
 
-done
+fi
+ac_fn_c_check_header_compile "$LINENO" "netinet/in.h" "ac_cv_header_netinet_in_h" "$ac_includes_default"
+if test "x$ac_cv_header_netinet_in_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_NETINET_IN_H 1" >>confdefs.h
 
-for ac_func in inet_ntop inet_pton getnameinfo
-do :
-  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
-ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
-if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
+fi
+ac_fn_c_check_header_compile "$LINENO" "netdb.h" "ac_cv_header_netdb_h" "$ac_includes_default"
+if test "x$ac_cv_header_netdb_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_NETDB_H 1" >>confdefs.h
 
 fi
-done
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for getaddrinfo" >&5
-$as_echo_n "checking for getaddrinfo... " >&6; }
-if ${ac_cv_func_getaddrinfo+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+ac_fn_c_check_func "$LINENO" "inet_ntop" "ac_cv_func_inet_ntop"
+if test "x$ac_cv_func_inet_ntop" = xyes
+then :
+  printf "%s\n" "#define HAVE_INET_NTOP 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "inet_pton" "ac_cv_func_inet_pton"
+if test "x$ac_cv_func_inet_pton" = xyes
+then :
+  printf "%s\n" "#define HAVE_INET_PTON 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "getnameinfo" "ac_cv_func_getnameinfo"
+if test "x$ac_cv_func_getnameinfo" = xyes
+then :
+  printf "%s\n" "#define HAVE_GETNAMEINFO 1" >>confdefs.h
+
+fi
+
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for getaddrinfo" >&5
+printf %s "checking for getaddrinfo... " >&6; }
+if test ${ac_cv_func_getaddrinfo+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #ifdef HAVE_NETDB_H
@@ -8696,7 +9759,7 @@ else
       #endif
 
 int
-main ()
+main (void)
 {
 struct addrinfo *ai;
       getaddrinfo("kerberos.mit.edu", "echo", 0, &ai);
@@ -8704,27 +9767,29 @@ struct addrinfo *ai;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_func_getaddrinfo=yes
-else
+else $as_nop
   ac_cv_func_getaddrinfo=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_getaddrinfo" >&5
-$as_echo "$ac_cv_func_getaddrinfo" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_getaddrinfo" >&5
+printf "%s\n" "$ac_cv_func_getaddrinfo" >&6; }
 if test $ac_cv_func_getaddrinfo = yes; then
 
-$as_echo "#define HAVE_GETADDRINFO 1" >>confdefs.h
+printf "%s\n" "#define HAVE_GETADDRINFO 1" >>confdefs.h
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for IPv6 compile-time support without -DINET6" >&5
-$as_echo_n "checking for IPv6 compile-time support without -DINET6... " >&6; }
-if ${krb5_cv_inet6+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for IPv6 compile-time support without -DINET6" >&5
+printf %s "checking for IPv6 compile-time support without -DINET6... " >&6; }
+if test ${krb5_cv_inet6+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
 
 if test "$ac_cv_func_inet_ntop" != "yes" ; then
   krb5_cv_inet6=no
@@ -8739,7 +9804,7 @@ else
         #include <netdb.h>
 
 int
-main ()
+main (void)
 {
 struct sockaddr_in6 in;
         AF_INET6;
@@ -8748,23 +9813,25 @@ struct sockaddr_in6 in;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_inet6=yes
-else
+else $as_nop
   krb5_cv_inet6=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_inet6" >&5
-$as_echo "$krb5_cv_inet6" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_inet6" >&5
+printf "%s\n" "$krb5_cv_inet6" >&6; }
 if test "$krb5_cv_inet6" = no && test "$ac_cv_func_inet_ntop" = yes; then
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for IPv6 compile-time support with -DINET6" >&5
-$as_echo_n "checking for IPv6 compile-time support with -DINET6... " >&6; }
-if ${krb5_cv_inet6_with_dinet6+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for IPv6 compile-time support with -DINET6" >&5
+printf %s "checking for IPv6 compile-time support with -DINET6... " >&6; }
+if test ${krb5_cv_inet6_with_dinet6+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
 
 old_CC="$CC"
 CC="$CC -DINET6"
@@ -8778,7 +9845,7 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
       #include <netdb.h>
 
 int
-main ()
+main (void)
 {
 struct sockaddr_in6 in;
       AF_INET6;
@@ -8787,22 +9854,23 @@ struct sockaddr_in6 in;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_inet6_with_dinet6=yes
-else
+else $as_nop
   krb5_cv_inet6_with_dinet6=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 CC="$old_CC"
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_inet6_with_dinet6" >&5
-$as_echo "$krb5_cv_inet6_with_dinet6" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_inet6_with_dinet6" >&5
+printf "%s\n" "$krb5_cv_inet6_with_dinet6" >&6; }
 fi
 if test $krb5_cv_inet6 = yes || test "$krb5_cv_inet6_with_dinet6" = yes; then
   if test "$krb5_cv_inet6_with_dinet6" = yes; then
 
-$as_echo "#define INET6 1" >>confdefs.h
+printf "%s\n" "#define INET6 1" >>confdefs.h
 
   fi
 fi
@@ -8810,46 +9878,50 @@ fi
  ac_fn_c_check_member "$LINENO" "struct sockaddr" "sa_len" "ac_cv_member_struct_sockaddr_sa_len" "#include <sys/types.h>
 #include <sys/socket.h>
 "
-if test "x$ac_cv_member_struct_sockaddr_sa_len" = xyes; then :
+if test "x$ac_cv_member_struct_sockaddr_sa_len" = xyes
+then :
 
-$as_echo "#define HAVE_SA_LEN 1" >>confdefs.h
+printf "%s\n" "#define HAVE_SA_LEN 1" >>confdefs.h
 
 
 fi
 
 
 ac_fn_c_check_func "$LINENO" "sigprocmask" "ac_cv_func_sigprocmask"
-if test "x$ac_cv_func_sigprocmask" = xyes; then :
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for sigset_t and POSIX_SIGNALS" >&5
-$as_echo_n "checking for sigset_t and POSIX_SIGNALS... " >&6; }
-if ${krb5_cv_type_sigset_t+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+if test "x$ac_cv_func_sigprocmask" = xyes
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for sigset_t and POSIX_SIGNALS" >&5
+printf %s "checking for sigset_t and POSIX_SIGNALS... " >&6; }
+if test ${krb5_cv_type_sigset_t+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <signal.h>
 
 int
-main ()
+main (void)
 {
 sigset_t x
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_type_sigset_t=yes
-else
+else $as_nop
   krb5_cv_type_sigset_t=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_type_sigset_t" >&5
-$as_echo "$krb5_cv_type_sigset_t" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_type_sigset_t" >&5
+printf "%s\n" "$krb5_cv_type_sigset_t" >&6; }
 if test $krb5_cv_type_sigset_t = yes; then
 
-$as_echo "#define POSIX_SIGNALS 1" >>confdefs.h
+printf "%s\n" "#define POSIX_SIGNALS 1" >>confdefs.h
 
 fi
 
@@ -8860,26 +9932,28 @@ fi
 
 
 # Check whether --with-vague-errors was given.
-if test "${with_vague_errors+set}" = set; then :
+if test ${with_vague_errors+y}
+then :
   withval=$with_vague_errors;
-else
+else $as_nop
   withval=no
 fi
 
 if test "$withval" = yes; then
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: Supplying vague error messages to KDC clients" >&5
-$as_echo "$as_me: Supplying vague error messages to KDC clients" >&6;}
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: Supplying vague error messages to KDC clients" >&5
+printf "%s\n" "$as_me: Supplying vague error messages to KDC clients" >&6;}
 
-$as_echo "#define KRBCONF_VAGUE_ERRORS 1" >>confdefs.h
+printf "%s\n" "#define KRBCONF_VAGUE_ERRORS 1" >>confdefs.h
 
 fi
 
 # Check which (if any) audit plugin to build
 audit_plugin=""
 # Check whether --enable-audit-plugin was given.
-if test "${enable_audit_plugin+set}" = set; then :
+if test ${enable_audit_plugin+y}
+then :
   enableval=$enable_audit_plugin;
-else
+else $as_nop
   enableval=no
 fi
 
@@ -8888,11 +9962,12 @@ if test "$enableval" != no; then
     simple)
         # if audit_log_user_message is found, we assume
         # that audit_open and audit_close are also defined.
-        { $as_echo "$as_me:${as_lineno-$LINENO}: checking for audit_log_user_message in -laudit" >&5
-$as_echo_n "checking for audit_log_user_message in -laudit... " >&6; }
-if ${ac_cv_lib_audit_audit_log_user_message+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for audit_log_user_message in -laudit" >&5
+printf %s "checking for audit_log_user_message in -laudit... " >&6; }
+if test ${ac_cv_lib_audit_audit_log_user_message+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-laudit  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -8901,37 +9976,36 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char audit_log_user_message ();
 int
-main ()
+main (void)
 {
 return audit_log_user_message ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_audit_audit_log_user_message=yes
-else
+else $as_nop
   ac_cv_lib_audit_audit_log_user_message=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_audit_audit_log_user_message" >&5
-$as_echo "$ac_cv_lib_audit_audit_log_user_message" >&6; }
-if test "x$ac_cv_lib_audit_audit_log_user_message" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_audit_audit_log_user_message" >&5
+printf "%s\n" "$ac_cv_lib_audit_audit_log_user_message" >&6; }
+if test "x$ac_cv_lib_audit_audit_log_user_message" = xyes
+then :
   AUDIT_IMPL_LIBS=-laudit
                      ac_config_files="$ac_config_files plugins/audit/simple/Makefile:$srcdir/./config/pre.in:plugins/audit/simple/Makefile.in:plugins/audit/simple/deps:$srcdir/./config/post.in"
 
 
 
                      audit_plugin=plugins/audit/simple
-else
+else $as_nop
   as_fn_error $? "libaudit not found or undefined symbol audit_log_user_message" "$LINENO" 5
 fi
 
@@ -8949,10 +10023,11 @@ fi
 CRYPTO_IMPL=builtin
 
 # Check whether --with-crypto-impl was given.
-if test "${with_crypto_impl+set}" = set; then :
+if test ${with_crypto_impl+y}
+then :
   withval=$with_crypto_impl; CRYPTO_IMPL=$withval
-   { $as_echo "$as_me:${as_lineno-$LINENO}: k5crypto will use '$withval'" >&5
-$as_echo "$as_me: k5crypto will use '$withval'" >&6;}
+   { printf "%s\n" "$as_me:${as_lineno-$LINENO}: k5crypto will use '$withval'" >&5
+printf "%s\n" "$as_me: k5crypto will use '$withval'" >&6;}
 fi
 
 
@@ -8962,11 +10037,12 @@ builtin)
   CRYPTO_BUILTIN_TESTS=yes
   ;;
 openssl)
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for PKCS7_get_signer_info in -lcrypto" >&5
-$as_echo_n "checking for PKCS7_get_signer_info in -lcrypto... " >&6; }
-if ${ac_cv_lib_crypto_PKCS7_get_signer_info+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for PKCS7_get_signer_info in -lcrypto" >&5
+printf %s "checking for PKCS7_get_signer_info in -lcrypto... " >&6; }
+if test ${ac_cv_lib_crypto_PKCS7_get_signer_info+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcrypto  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -8975,40 +10051,37 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char PKCS7_get_signer_info ();
 int
-main ()
+main (void)
 {
 return PKCS7_get_signer_info ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_crypto_PKCS7_get_signer_info=yes
-else
+else $as_nop
   ac_cv_lib_crypto_PKCS7_get_signer_info=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_crypto_PKCS7_get_signer_info" >&5
-$as_echo "$ac_cv_lib_crypto_PKCS7_get_signer_info" >&6; }
-if test "x$ac_cv_lib_crypto_PKCS7_get_signer_info" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBCRYPTO 1
-_ACEOF
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_crypto_PKCS7_get_signer_info" >&5
+printf "%s\n" "$ac_cv_lib_crypto_PKCS7_get_signer_info" >&6; }
+if test "x$ac_cv_lib_crypto_PKCS7_get_signer_info" = xyes
+then :
+  printf "%s\n" "#define HAVE_LIBCRYPTO 1" >>confdefs.h
 
   LIBS="-lcrypto $LIBS"
 
 fi
 
 
-$as_echo "#define CRYPTO_OPENSSL 1" >>confdefs.h
+printf "%s\n" "#define CRYPTO_OPENSSL 1" >>confdefs.h
 
   ;;
 *)
@@ -9023,19 +10096,21 @@ esac
 
 
 # Check whether --with-tls-impl was given.
-if test "${with_tls_impl+set}" = set; then :
+if test ${with_tls_impl+y}
+then :
   withval=$with_tls_impl; TLS_IMPL=$withval
-else
+else $as_nop
   TLS_IMPL=auto
 fi
 
 case "$TLS_IMPL" in
 openssl|auto)
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for SSL_CTX_new in -lssl" >&5
-$as_echo_n "checking for SSL_CTX_new in -lssl... " >&6; }
-if ${ac_cv_lib_ssl_SSL_CTX_new+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for SSL_CTX_new in -lssl" >&5
+printf %s "checking for SSL_CTX_new in -lssl... " >&6; }
+if test ${ac_cv_lib_ssl_SSL_CTX_new+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lssl -lcrypto $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -9044,62 +10119,61 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char SSL_CTX_new ();
 int
-main ()
+main (void)
 {
 return SSL_CTX_new ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_ssl_SSL_CTX_new=yes
-else
+else $as_nop
   ac_cv_lib_ssl_SSL_CTX_new=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ssl_SSL_CTX_new" >&5
-$as_echo "$ac_cv_lib_ssl_SSL_CTX_new" >&6; }
-if test "x$ac_cv_lib_ssl_SSL_CTX_new" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ssl_SSL_CTX_new" >&5
+printf "%s\n" "$ac_cv_lib_ssl_SSL_CTX_new" >&6; }
+if test "x$ac_cv_lib_ssl_SSL_CTX_new" = xyes
+then :
   have_lib_ssl=true
-else
+else $as_nop
   have_lib_ssl=false
 fi
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for OpenSSL" >&5
-$as_echo_n "checking for OpenSSL... " >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for OpenSSL" >&5
+printf %s "checking for OpenSSL... " >&6; }
   if test x$have_lib_ssl = xtrue ; then
 
-$as_echo "#define TLS_IMPL_OPENSSL 1" >>confdefs.h
+printf "%s\n" "#define TLS_IMPL_OPENSSL 1" >>confdefs.h
 
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
     TLS_IMPL_LIBS="-lssl -lcrypto"
     TLS_IMPL=openssl
-    { $as_echo "$as_me:${as_lineno-$LINENO}: TLS module will use OpenSSL" >&5
-$as_echo "$as_me: TLS module will use OpenSSL" >&6;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: TLS module will use OpenSSL" >&5
+printf "%s\n" "$as_me: TLS module will use OpenSSL" >&6;}
   else
     if test "$TLS_IMPL" = openssl ; then
       as_fn_error $? "OpenSSL not found!" "$LINENO" 5
     else
-      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: OpenSSL not found!" >&5
-$as_echo "$as_me: WARNING: OpenSSL not found!" >&2;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: OpenSSL not found!" >&5
+printf "%s\n" "$as_me: WARNING: OpenSSL not found!" >&2;}
     fi
     TLS_IMPL=no
-    { $as_echo "$as_me:${as_lineno-$LINENO}: building without TLS support" >&5
-$as_echo "$as_me: building without TLS support" >&6;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: building without TLS support" >&5
+printf "%s\n" "$as_me: building without TLS support" >&6;}
   fi
   ;;
 no)
-  { $as_echo "$as_me:${as_lineno-$LINENO}: building without TLS support" >&5
-$as_echo "$as_me: building without TLS support" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: building without TLS support" >&5
+printf "%s\n" "$as_me: building without TLS support" >&6;}
   ;;
 *)
   as_fn_error $? "Unsupported TLS implementation $withval" "$LINENO" 5
@@ -9108,7 +10182,7 @@ esac
 
 if test "$TLS_IMPL" = no; then
 
-$as_echo "#define TLS_IMPL_NONE 1" >>confdefs.h
+printf "%s\n" "#define TLS_IMPL_NONE 1" >>confdefs.h
 
 fi
 
@@ -9118,26 +10192,27 @@ fi
 
 
 # Check whether --with-keyutils was given.
-if test "${with_keyutils+set}" = set; then :
+if test ${with_keyutils+y}
+then :
   withval=$with_keyutils;
-else
+else $as_nop
   with_keyutils=check
 fi
 
 if test "$with_keyutils" != no; then
   have_keyutils=false
-  for ac_header in keyutils.h
+         for ac_header in keyutils.h
 do :
-  ac_fn_c_check_header_mongrel "$LINENO" "keyutils.h" "ac_cv_header_keyutils_h" "$ac_includes_default"
-if test "x$ac_cv_header_keyutils_h" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_KEYUTILS_H 1
-_ACEOF
- { $as_echo "$as_me:${as_lineno-$LINENO}: checking for add_key in -lkeyutils" >&5
-$as_echo_n "checking for add_key in -lkeyutils... " >&6; }
-if ${ac_cv_lib_keyutils_add_key+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  ac_fn_c_check_header_compile "$LINENO" "keyutils.h" "ac_cv_header_keyutils_h" "$ac_includes_default"
+if test "x$ac_cv_header_keyutils_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_KEYUTILS_H 1" >>confdefs.h
+ { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for add_key in -lkeyutils" >&5
+printf %s "checking for add_key in -lkeyutils... " >&6; }
+if test ${ac_cv_lib_keyutils_add_key+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lkeyutils  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -9146,48 +10221,47 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char add_key ();
 int
-main ()
+main (void)
 {
 return add_key ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_keyutils_add_key=yes
-else
+else $as_nop
   ac_cv_lib_keyutils_add_key=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_keyutils_add_key" >&5
-$as_echo "$ac_cv_lib_keyutils_add_key" >&6; }
-if test "x$ac_cv_lib_keyutils_add_key" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_keyutils_add_key" >&5
+printf "%s\n" "$ac_cv_lib_keyutils_add_key" >&6; }
+if test "x$ac_cv_lib_keyutils_add_key" = xyes
+then :
   have_keyutils=true
 fi
 
 fi
 
 done
-
   if test "$have_keyutils" = true; then
 
-$as_echo "#define USE_KEYRING_CCACHE 1" >>confdefs.h
+printf "%s\n" "#define USE_KEYRING_CCACHE 1" >>confdefs.h
 
     LIBS="-lkeyutils $LIBS"
     # If libkeyutils supports persistent keyrings, use them.
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for keyctl_get_persistent in -lkeyutils" >&5
-$as_echo_n "checking for keyctl_get_persistent in -lkeyutils... " >&6; }
-if ${ac_cv_lib_keyutils_keyctl_get_persistent+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for keyctl_get_persistent in -lkeyutils" >&5
+printf %s "checking for keyctl_get_persistent in -lkeyutils... " >&6; }
+if test ${ac_cv_lib_keyutils_keyctl_get_persistent+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lkeyutils  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -9196,32 +10270,31 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char keyctl_get_persistent ();
 int
-main ()
+main (void)
 {
 return keyctl_get_persistent ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_keyutils_keyctl_get_persistent=yes
-else
+else $as_nop
   ac_cv_lib_keyutils_keyctl_get_persistent=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_keyutils_keyctl_get_persistent" >&5
-$as_echo "$ac_cv_lib_keyutils_keyctl_get_persistent" >&6; }
-if test "x$ac_cv_lib_keyutils_keyctl_get_persistent" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_keyutils_keyctl_get_persistent" >&5
+printf "%s\n" "$ac_cv_lib_keyutils_keyctl_get_persistent" >&6; }
+if test "x$ac_cv_lib_keyutils_keyctl_get_persistent" = xyes
+then :
 
-$as_echo "#define HAVE_PERSISTENT_KEYRING 1" >>confdefs.h
+printf "%s\n" "#define HAVE_PERSISTENT_KEYRING 1" >>confdefs.h
 
 
 fi
@@ -9236,18 +10309,20 @@ fi
 HAVE_SPAKE_OPENSSL=no
 
 # Check whether --with-spake-openssl was given.
-if test "${with_spake_openssl+set}" = set; then :
+if test ${with_spake_openssl+y}
+then :
   withval=$with_spake_openssl;
-else
+else $as_nop
   withval=auto
 fi
 
 if test "$withval" = auto -o "$withval" = yes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for EC_POINT_new in -lcrypto" >&5
-$as_echo_n "checking for EC_POINT_new in -lcrypto... " >&6; }
-if ${ac_cv_lib_crypto_EC_POINT_new+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for EC_POINT_new in -lcrypto" >&5
+printf %s "checking for EC_POINT_new in -lcrypto... " >&6; }
+if test ${ac_cv_lib_crypto_EC_POINT_new+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcrypto  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -9256,38 +10331,37 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char EC_POINT_new ();
 int
-main ()
+main (void)
 {
 return EC_POINT_new ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_crypto_EC_POINT_new=yes
-else
+else $as_nop
   ac_cv_lib_crypto_EC_POINT_new=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_crypto_EC_POINT_new" >&5
-$as_echo "$ac_cv_lib_crypto_EC_POINT_new" >&6; }
-if test "x$ac_cv_lib_crypto_EC_POINT_new" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_crypto_EC_POINT_new" >&5
+printf "%s\n" "$ac_cv_lib_crypto_EC_POINT_new" >&6; }
+if test "x$ac_cv_lib_crypto_EC_POINT_new" = xyes
+then :
   have_crypto=true
-else
+else $as_nop
   have_crypto=false
 fi
 
   if test "$have_crypto" = true; then
 
-$as_echo "#define SPAKE_OPENSSL 1" >>confdefs.h
+printf "%s\n" "#define SPAKE_OPENSSL 1" >>confdefs.h
 
     SPAKE_OPENSSL_LIBS=-lcrypto
     HAVE_SPAKE_OPENSSL=yes
@@ -9299,9 +10373,10 @@ fi
 
 
 # Check whether --enable-aesni was given.
-if test "${enable_aesni+set}" = set; then :
+if test ${enable_aesni+y}
+then :
   enableval=$enable_aesni;
-else
+else $as_nop
   enable_aesni=check
 fi
 
@@ -9326,11 +10401,12 @@ if test "$CRYPTO_IMPL" = builtin -a "x$e
     if test "x$aesni_obj" != x && test "x$aesni_flags" != x; then
 	# Extract the first word of "yasm", so it can be a program name with args.
 set dummy yasm; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_YASM+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_YASM+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$YASM"; then
   ac_cv_prog_YASM="$YASM" # Let the user override the test.
 else
@@ -9338,11 +10414,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_YASM="yasm"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -9353,34 +10433,29 @@ fi
 fi
 YASM=$ac_cv_prog_YASM
 if test -n "$YASM"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $YASM" >&5
-$as_echo "$YASM" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $YASM" >&5
+printf "%s\n" "$YASM" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
-	for ac_header in cpuid.h
-do :
-  ac_fn_c_check_header_mongrel "$LINENO" "cpuid.h" "ac_cv_header_cpuid_h" "$ac_includes_default"
-if test "x$ac_cv_header_cpuid_h" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_CPUID_H 1
-_ACEOF
+	ac_fn_c_check_header_compile "$LINENO" "cpuid.h" "ac_cv_header_cpuid_h" "$ac_includes_default"
+if test "x$ac_cv_header_cpuid_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_CPUID_H 1" >>confdefs.h
 
 fi
 
-done
-
 	if test x"$YASM" != x -a "x$ac_cv_header_cpuid_h" = xyes; then
 	    AESNI_OBJ=$aesni_obj
 	    AESNI_FLAGS=$aesni_flags
 
-$as_echo "#define AESNI 1" >>confdefs.h
+printf "%s\n" "#define AESNI 1" >>confdefs.h
 
-	    { $as_echo "$as_me:${as_lineno-$LINENO}: Building with AES-NI support" >&5
-$as_echo "$as_me: Building with AES-NI support" >&6;}
+	    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: Building with AES-NI support" >&5
+printf "%s\n" "$as_me: Building with AES-NI support" >&6;}
 	fi
     fi
     if test "x$enable_aesni" = xyes -a "x$AESNI_OBJ" = x; then
@@ -9391,15 +10466,16 @@ fi
 
 
 # Check whether --enable-kdc-lookaside-cache was given.
-if test "${enable_kdc_lookaside_cache+set}" = set; then :
+if test ${enable_kdc_lookaside_cache+y}
+then :
   enableval=$enable_kdc_lookaside_cache;
-else
+else $as_nop
   enableval=yes
 fi
 
 if test "$enableval" = no ; then
 
-$as_echo "#define NOCACHE 1" >>confdefs.h
+printf "%s\n" "#define NOCACHE 1" >>confdefs.h
 
 fi
 KRB5_RUN_ENV="$RUN_ENV"
@@ -9412,9 +10488,10 @@ KRB5_RUN_VARS="$RUN_VARS"
 # -fsanitize=address, and set ASAN=yes to suppress the undefined
 # symbols check when building shared libraries.
 # Check whether --enable-asan was given.
-if test "${enable_asan+set}" = set; then :
+if test ${enable_asan+y}
+then :
   enableval=$enable_asan;
-else
+else $as_nop
   enable_asan=no
 fi
 
@@ -9437,16 +10514,17 @@ fi
 
 ac_config_headers="$ac_config_headers include/autoconf.h"
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for an ANSI C-conforming const" >&5
-$as_echo_n "checking for an ANSI C-conforming const... " >&6; }
-if ${ac_cv_c_const+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for an ANSI C-conforming const" >&5
+printf %s "checking for an ANSI C-conforming const... " >&6; }
+if test ${ac_cv_c_const+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
 int
-main ()
+main (void)
 {
 
 #ifndef __cplusplus
@@ -9459,7 +10537,7 @@ main ()
   /* NEC SVR4.0.2 mips cc rejects this.  */
   struct point {int x, y;};
   static struct point const zero = {0,0};
-  /* AIX XL C 1.02.0.0 rejects this.
+  /* IBM XL C 1.02.0.0 rejects this.
      It does not let you subtract one const X* pointer from another in
      an arm of an if-expression whose if-part is not a constant
      expression */
@@ -9487,7 +10565,7 @@ main ()
     iptr p = 0;
     ++p;
   }
-  { /* AIX XL C 1.02.0.0 rejects this sort of thing, saying
+  { /* IBM XL C 1.02.0.0 rejects this sort of thing, saying
        "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
     struct s { int j; const int *ap[3]; } bx;
     struct s *b = &bx; b->j = 5;
@@ -9503,36 +10581,38 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_cv_c_const=yes
-else
+else $as_nop
   ac_cv_c_const=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_const" >&5
-$as_echo "$ac_cv_c_const" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_const" >&5
+printf "%s\n" "$ac_cv_c_const" >&6; }
 if test $ac_cv_c_const = no; then
 
-$as_echo "#define const /**/" >>confdefs.h
+printf "%s\n" "#define const /**/" >>confdefs.h
 
 fi
 
 ac_header_dirent=no
 for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h; do
-  as_ac_Header=`$as_echo "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh`
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_hdr that defines DIR" >&5
-$as_echo_n "checking for $ac_hdr that defines DIR... " >&6; }
-if eval \${$as_ac_Header+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  as_ac_Header=`printf "%s\n" "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh`
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_hdr that defines DIR" >&5
+printf %s "checking for $ac_hdr that defines DIR... " >&6; }
+if eval test \${$as_ac_Header+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/types.h>
 #include <$ac_hdr>
 
 int
-main ()
+main (void)
 {
 if ((DIR *) 0)
 return 0;
@@ -9540,19 +10620,21 @@ return 0;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   eval "$as_ac_Header=yes"
-else
+else $as_nop
   eval "$as_ac_Header=no"
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 eval ac_res=\$$as_ac_Header
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
+	       { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
+printf "%s\n" "$ac_res" >&6; }
+if eval test \"x\$"$as_ac_Header"\" = x"yes"
+then :
   cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_hdr" | $as_tr_cpp` 1
+#define `printf "%s\n" "HAVE_$ac_hdr" | $as_tr_cpp` 1
 _ACEOF
 
 ac_header_dirent=$ac_hdr; break
@@ -9561,11 +10643,12 @@ fi
 done
 # Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
 if test $ac_header_dirent = dirent.h; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing opendir" >&5
-$as_echo_n "checking for library containing opendir... " >&6; }
-if ${ac_cv_search_opendir+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for library containing opendir" >&5
+printf %s "checking for library containing opendir... " >&6; }
+if test ${ac_cv_search_opendir+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_func_search_save_LIBS=$LIBS
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
@@ -9573,56 +10656,59 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char opendir ();
 int
-main ()
+main (void)
 {
 return opendir ();
   ;
   return 0;
 }
 _ACEOF
-for ac_lib in '' dir; do
+for ac_lib in '' dir
+do
   if test -z "$ac_lib"; then
     ac_res="none required"
   else
     ac_res=-l$ac_lib
     LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
   fi
-  if ac_fn_c_try_link "$LINENO"; then :
+  if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_search_opendir=$ac_res
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext
-  if ${ac_cv_search_opendir+:} false; then :
+  if test ${ac_cv_search_opendir+y}
+then :
   break
 fi
 done
-if ${ac_cv_search_opendir+:} false; then :
+if test ${ac_cv_search_opendir+y}
+then :
 
-else
+else $as_nop
   ac_cv_search_opendir=no
 fi
 rm conftest.$ac_ext
 LIBS=$ac_func_search_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_opendir" >&5
-$as_echo "$ac_cv_search_opendir" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_opendir" >&5
+printf "%s\n" "$ac_cv_search_opendir" >&6; }
 ac_res=$ac_cv_search_opendir
-if test "$ac_res" != no; then :
+if test "$ac_res" != no
+then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 fi
 
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing opendir" >&5
-$as_echo_n "checking for library containing opendir... " >&6; }
-if ${ac_cv_search_opendir+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for library containing opendir" >&5
+printf %s "checking for library containing opendir... " >&6; }
+if test ${ac_cv_search_opendir+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_func_search_save_LIBS=$LIBS
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
@@ -9630,87 +10716,167 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char opendir ();
 int
-main ()
+main (void)
 {
 return opendir ();
   ;
   return 0;
 }
 _ACEOF
-for ac_lib in '' x; do
+for ac_lib in '' x
+do
   if test -z "$ac_lib"; then
     ac_res="none required"
   else
     ac_res=-l$ac_lib
     LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
   fi
-  if ac_fn_c_try_link "$LINENO"; then :
+  if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_search_opendir=$ac_res
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext
-  if ${ac_cv_search_opendir+:} false; then :
+  if test ${ac_cv_search_opendir+y}
+then :
   break
 fi
 done
-if ${ac_cv_search_opendir+:} false; then :
+if test ${ac_cv_search_opendir+y}
+then :
 
-else
+else $as_nop
   ac_cv_search_opendir=no
 fi
 rm conftest.$ac_ext
 LIBS=$ac_func_search_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_opendir" >&5
-$as_echo "$ac_cv_search_opendir" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_opendir" >&5
+printf "%s\n" "$ac_cv_search_opendir" >&6; }
 ac_res=$ac_cv_search_opendir
-if test "$ac_res" != no; then :
+if test "$ac_res" != no
+then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 fi
 
 fi
 
-ac_fn_c_check_decl "$LINENO" "strerror_r" "ac_cv_have_decl_strerror_r" "$ac_includes_default"
-if test "x$ac_cv_have_decl_strerror_r" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $CC options needed to detect all undeclared functions" >&5
+printf %s "checking for $CC options needed to detect all undeclared functions... " >&6; }
+if test ${ac_cv_c_undeclared_builtin_options+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  ac_save_CFLAGS=$CFLAGS
+   ac_cv_c_undeclared_builtin_options='cannot detect'
+   for ac_arg in '' -fno-builtin; do
+     CFLAGS="$ac_save_CFLAGS $ac_arg"
+     # This test program should *not* compile successfully.
+     cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+
+int
+main (void)
+{
+(void) strchr;
+  ;
+  return 0;
+}
+_ACEOF
+if ac_fn_c_try_compile "$LINENO"
+then :
+
+else $as_nop
+  # This test program should compile successfully.
+        # No library function is consistently available on
+        # freestanding implementations, so test against a dummy
+        # declaration.  Include always-available headers on the
+        # off chance that they somehow elicit warnings.
+        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+#include <float.h>
+#include <limits.h>
+#include <stdarg.h>
+#include <stddef.h>
+extern void ac_decl (int, char *);
+
+int
+main (void)
+{
+(void) ac_decl (0, (char *) 0);
+  (void) ac_decl;
+
+  ;
+  return 0;
+}
+_ACEOF
+if ac_fn_c_try_compile "$LINENO"
+then :
+  if test x"$ac_arg" = x
+then :
+  ac_cv_c_undeclared_builtin_options='none needed'
+else $as_nop
+  ac_cv_c_undeclared_builtin_options=$ac_arg
+fi
+          break
+fi
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
+fi
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
+    done
+    CFLAGS=$ac_save_CFLAGS
+
+fi
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_undeclared_builtin_options" >&5
+printf "%s\n" "$ac_cv_c_undeclared_builtin_options" >&6; }
+  case $ac_cv_c_undeclared_builtin_options in #(
+  'cannot detect') :
+    { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
+as_fn_error $? "cannot make $CC report undeclared builtins
+See \`config.log' for more details" "$LINENO" 5; } ;; #(
+  'none needed') :
+    ac_c_undeclared_builtin_options='' ;; #(
+  *) :
+    ac_c_undeclared_builtin_options=$ac_cv_c_undeclared_builtin_options ;;
+esac
+
+ac_fn_check_decl "$LINENO" "strerror_r" "ac_cv_have_decl_strerror_r" "$ac_includes_default" "$ac_c_undeclared_builtin_options" "CFLAGS"
+if test "x$ac_cv_have_decl_strerror_r" = xyes
+then :
   ac_have_decl=1
-else
+else $as_nop
   ac_have_decl=0
 fi
+printf "%s\n" "#define HAVE_DECL_STRERROR_R $ac_have_decl" >>confdefs.h
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_DECL_STRERROR_R $ac_have_decl
-_ACEOF
 
-for ac_func in strerror_r
-do :
-  ac_fn_c_check_func "$LINENO" "strerror_r" "ac_cv_func_strerror_r"
-if test "x$ac_cv_func_strerror_r" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_STRERROR_R 1
-_ACEOF
+if test $ac_cv_have_decl_strerror_r = yes; then
+  # For backward compatibility's sake, define HAVE_STRERROR_R.
+  # (We used to run AC_CHECK_FUNCS_ONCE for strerror_r, as well
+  # as AC_CHECK_DECLS_ONCE.)
+
+printf "%s\n" "#define HAVE_STRERROR_R 1" >>confdefs.h
 
 fi
-done
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether strerror_r returns char *" >&5
-$as_echo_n "checking whether strerror_r returns char *... " >&6; }
-if ${ac_cv_func_strerror_r_char_p+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether strerror_r returns char *" >&5
+printf %s "checking whether strerror_r returns char *... " >&6; }
+if test ${ac_cv_func_strerror_r_char_p+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
 
     ac_cv_func_strerror_r_char_p=no
     if test $ac_cv_have_decl_strerror_r = yes; then
       cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
-$ac_includes_default
+#include <string.h>
 int
-main ()
+main (void)
 {
 
 	  char buf[100];
@@ -9722,70 +10888,247 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_cv_func_strerror_r_char_p=yes
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-    else
-      # strerror_r is not declared.  Choose between
-      # systems that have relatively inaccessible declarations for the
-      # function.  BeOS and DEC UNIX 4.0 fall in this category, but the
-      # former has a strerror_r that returns char*, while the latter
-      # has a strerror_r that returns `int'.
-      # This test should segfault on the DEC system.
-      if test "$cross_compiling" = yes; then :
-  :
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-$ac_includes_default
-	extern char *strerror_r ();
-int
-main ()
-{
-char buf[100];
-	  char x = *strerror_r (0, buf, sizeof buf);
-	  return ! isalpha (x);
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
-  ac_cv_func_strerror_r_char_p=yes
-fi
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
-  conftest.$ac_objext conftest.beam conftest.$ac_ext
-fi
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 
     fi
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_strerror_r_char_p" >&5
-$as_echo "$ac_cv_func_strerror_r_char_p" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_strerror_r_char_p" >&5
+printf "%s\n" "$ac_cv_func_strerror_r_char_p" >&6; }
 if test $ac_cv_func_strerror_r_char_p = yes; then
 
-$as_echo "#define STRERROR_R_CHAR_P 1" >>confdefs.h
+printf "%s\n" "#define STRERROR_R_CHAR_P 1" >>confdefs.h
 
 fi
 
-for ac_func in strdup setvbuf seteuid setresuid setreuid setegid setresgid setregid setsid flock fchmod chmod strptime geteuid setenv unsetenv getenv gmtime_r localtime_r bswap16 bswap64 mkstemp getusershell access getcwd srand48 srand srandom stat strchr strerror timegm explicit_bzero explicit_memset getresuid getresgid
-do :
-  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
-ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
-if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
+ac_fn_c_check_func "$LINENO" "strdup" "ac_cv_func_strdup"
+if test "x$ac_cv_func_strdup" = xyes
+then :
+  printf "%s\n" "#define HAVE_STRDUP 1" >>confdefs.h
 
 fi
-done
+ac_fn_c_check_func "$LINENO" "setvbuf" "ac_cv_func_setvbuf"
+if test "x$ac_cv_func_setvbuf" = xyes
+then :
+  printf "%s\n" "#define HAVE_SETVBUF 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "seteuid" "ac_cv_func_seteuid"
+if test "x$ac_cv_func_seteuid" = xyes
+then :
+  printf "%s\n" "#define HAVE_SETEUID 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "setresuid" "ac_cv_func_setresuid"
+if test "x$ac_cv_func_setresuid" = xyes
+then :
+  printf "%s\n" "#define HAVE_SETRESUID 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "setreuid" "ac_cv_func_setreuid"
+if test "x$ac_cv_func_setreuid" = xyes
+then :
+  printf "%s\n" "#define HAVE_SETREUID 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "setegid" "ac_cv_func_setegid"
+if test "x$ac_cv_func_setegid" = xyes
+then :
+  printf "%s\n" "#define HAVE_SETEGID 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "setresgid" "ac_cv_func_setresgid"
+if test "x$ac_cv_func_setresgid" = xyes
+then :
+  printf "%s\n" "#define HAVE_SETRESGID 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "setregid" "ac_cv_func_setregid"
+if test "x$ac_cv_func_setregid" = xyes
+then :
+  printf "%s\n" "#define HAVE_SETREGID 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "setsid" "ac_cv_func_setsid"
+if test "x$ac_cv_func_setsid" = xyes
+then :
+  printf "%s\n" "#define HAVE_SETSID 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "flock" "ac_cv_func_flock"
+if test "x$ac_cv_func_flock" = xyes
+then :
+  printf "%s\n" "#define HAVE_FLOCK 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "fchmod" "ac_cv_func_fchmod"
+if test "x$ac_cv_func_fchmod" = xyes
+then :
+  printf "%s\n" "#define HAVE_FCHMOD 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "chmod" "ac_cv_func_chmod"
+if test "x$ac_cv_func_chmod" = xyes
+then :
+  printf "%s\n" "#define HAVE_CHMOD 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "strptime" "ac_cv_func_strptime"
+if test "x$ac_cv_func_strptime" = xyes
+then :
+  printf "%s\n" "#define HAVE_STRPTIME 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "geteuid" "ac_cv_func_geteuid"
+if test "x$ac_cv_func_geteuid" = xyes
+then :
+  printf "%s\n" "#define HAVE_GETEUID 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "setenv" "ac_cv_func_setenv"
+if test "x$ac_cv_func_setenv" = xyes
+then :
+  printf "%s\n" "#define HAVE_SETENV 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "unsetenv" "ac_cv_func_unsetenv"
+if test "x$ac_cv_func_unsetenv" = xyes
+then :
+  printf "%s\n" "#define HAVE_UNSETENV 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "getenv" "ac_cv_func_getenv"
+if test "x$ac_cv_func_getenv" = xyes
+then :
+  printf "%s\n" "#define HAVE_GETENV 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "gmtime_r" "ac_cv_func_gmtime_r"
+if test "x$ac_cv_func_gmtime_r" = xyes
+then :
+  printf "%s\n" "#define HAVE_GMTIME_R 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "localtime_r" "ac_cv_func_localtime_r"
+if test "x$ac_cv_func_localtime_r" = xyes
+then :
+  printf "%s\n" "#define HAVE_LOCALTIME_R 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "bswap16" "ac_cv_func_bswap16"
+if test "x$ac_cv_func_bswap16" = xyes
+then :
+  printf "%s\n" "#define HAVE_BSWAP16 1" >>confdefs.h
 
+fi
+ac_fn_c_check_func "$LINENO" "bswap64" "ac_cv_func_bswap64"
+if test "x$ac_cv_func_bswap64" = xyes
+then :
+  printf "%s\n" "#define HAVE_BSWAP64 1" >>confdefs.h
 
+fi
 ac_fn_c_check_func "$LINENO" "mkstemp" "ac_cv_func_mkstemp"
-if test "x$ac_cv_func_mkstemp" = xyes; then :
+if test "x$ac_cv_func_mkstemp" = xyes
+then :
+  printf "%s\n" "#define HAVE_MKSTEMP 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "getusershell" "ac_cv_func_getusershell"
+if test "x$ac_cv_func_getusershell" = xyes
+then :
+  printf "%s\n" "#define HAVE_GETUSERSHELL 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "access" "ac_cv_func_access"
+if test "x$ac_cv_func_access" = xyes
+then :
+  printf "%s\n" "#define HAVE_ACCESS 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "getcwd" "ac_cv_func_getcwd"
+if test "x$ac_cv_func_getcwd" = xyes
+then :
+  printf "%s\n" "#define HAVE_GETCWD 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "srand48" "ac_cv_func_srand48"
+if test "x$ac_cv_func_srand48" = xyes
+then :
+  printf "%s\n" "#define HAVE_SRAND48 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "srand" "ac_cv_func_srand"
+if test "x$ac_cv_func_srand" = xyes
+then :
+  printf "%s\n" "#define HAVE_SRAND 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "srandom" "ac_cv_func_srandom"
+if test "x$ac_cv_func_srandom" = xyes
+then :
+  printf "%s\n" "#define HAVE_SRANDOM 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "stat" "ac_cv_func_stat"
+if test "x$ac_cv_func_stat" = xyes
+then :
+  printf "%s\n" "#define HAVE_STAT 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "strchr" "ac_cv_func_strchr"
+if test "x$ac_cv_func_strchr" = xyes
+then :
+  printf "%s\n" "#define HAVE_STRCHR 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "strerror" "ac_cv_func_strerror"
+if test "x$ac_cv_func_strerror" = xyes
+then :
+  printf "%s\n" "#define HAVE_STRERROR 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "timegm" "ac_cv_func_timegm"
+if test "x$ac_cv_func_timegm" = xyes
+then :
+  printf "%s\n" "#define HAVE_TIMEGM 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "explicit_bzero" "ac_cv_func_explicit_bzero"
+if test "x$ac_cv_func_explicit_bzero" = xyes
+then :
+  printf "%s\n" "#define HAVE_EXPLICIT_BZERO 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "explicit_memset" "ac_cv_func_explicit_memset"
+if test "x$ac_cv_func_explicit_memset" = xyes
+then :
+  printf "%s\n" "#define HAVE_EXPLICIT_MEMSET 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "getresuid" "ac_cv_func_getresuid"
+if test "x$ac_cv_func_getresuid" = xyes
+then :
+  printf "%s\n" "#define HAVE_GETRESUID 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "getresgid" "ac_cv_func_getresgid"
+if test "x$ac_cv_func_getresgid" = xyes
+then :
+  printf "%s\n" "#define HAVE_GETRESGID 1" >>confdefs.h
+
+fi
+
+
+ac_fn_c_check_func "$LINENO" "mkstemp" "ac_cv_func_mkstemp"
+if test "x$ac_cv_func_mkstemp" = xyes
+then :
   MKSTEMP_ST_OBJ=
 MKSTEMP_OBJ=
-else
+else $as_nop
   MKSTEMP_ST_OBJ='mkstemp.o'
 MKSTEMP_OBJ='$(OUTPRE)mkstemp.$(OBJEXT)'
 EXTRA_SUPPORT_SYMS="$EXTRA_SUPPORT_SYMS krb5int_mkstemp"
@@ -9795,14 +11138,15 @@ fi
 
 
 ac_fn_c_check_func "$LINENO" "gettimeofday" "ac_cv_func_gettimeofday"
-if test "x$ac_cv_func_gettimeofday" = xyes; then :
+if test "x$ac_cv_func_gettimeofday" = xyes
+then :
   GETTIMEOFDAY_ST_OBJ=
 	GETTIMEOFDAY_OBJ=
 
-$as_echo "#define HAVE_GETTIMEOFDAY 1" >>confdefs.h
+printf "%s\n" "#define HAVE_GETTIMEOFDAY 1" >>confdefs.h
 
 
-else
+else $as_nop
   GETTIMEOFDAY_ST_OBJ='gettimeofday.o'
 	GETTIMEOFDAY_OBJ='$(OUTPRE)gettimeofday.$(OBJEXT)'
 	EXTRA_SUPPORT_SYMS="$EXTRA_SUPPORT_SYMS krb5int_gettimeofday"
@@ -9812,95 +11156,195 @@ fi
 
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for sys_errlist declaration" >&5
-$as_echo_n "checking for sys_errlist declaration... " >&6; }
-if ${krb5_cv_decl_sys_errlist+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for sys_errlist declaration" >&5
+printf %s "checking for sys_errlist declaration... " >&6; }
+if test ${krb5_cv_decl_sys_errlist+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <stdio.h>
       #include <errno.h>
 
 int
-main ()
+main (void)
 {
 1+sys_nerr;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_decl_sys_errlist=yes
-else
+else $as_nop
   krb5_cv_decl_sys_errlist=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_decl_sys_errlist" >&5
-$as_echo "$krb5_cv_decl_sys_errlist" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_decl_sys_errlist" >&5
+printf "%s\n" "$krb5_cv_decl_sys_errlist" >&6; }
 # assume sys_nerr won't be declared w/o being in libc
 if test $krb5_cv_decl_sys_errlist = yes; then
 
-$as_echo "#define SYS_ERRLIST_DECLARED 1" >>confdefs.h
+printf "%s\n" "#define SYS_ERRLIST_DECLARED 1" >>confdefs.h
 
 
-$as_echo "#define HAVE_SYS_ERRLIST 1" >>confdefs.h
+printf "%s\n" "#define HAVE_SYS_ERRLIST 1" >>confdefs.h
 
 else
   # This means that sys_errlist is not declared in errno.h, but may still
   # be in libc.
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for sys_errlist in libc" >&5
-$as_echo_n "checking for sys_errlist in libc... " >&6; }
-if ${krb5_cv_var_sys_errlist+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for sys_errlist in libc" >&5
+printf %s "checking for sys_errlist in libc... " >&6; }
+if test ${krb5_cv_var_sys_errlist+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 extern int sys_nerr;
 int
-main ()
+main (void)
 {
 if (1+sys_nerr < 0) return 1;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   krb5_cv_var_sys_errlist=yes
-else
+else $as_nop
   krb5_cv_var_sys_errlist=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_var_sys_errlist" >&5
-$as_echo "$krb5_cv_var_sys_errlist" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_var_sys_errlist" >&5
+printf "%s\n" "$krb5_cv_var_sys_errlist" >&6; }
   if test $krb5_cv_var_sys_errlist = yes; then
 
-$as_echo "#define HAVE_SYS_ERRLIST 1" >>confdefs.h
+printf "%s\n" "#define HAVE_SYS_ERRLIST 1" >>confdefs.h
 
     # Do this cruft for backwards compatibility for now.
 
-$as_echo "#define NEED_SYS_ERRLIST 1" >>confdefs.h
+printf "%s\n" "#define NEED_SYS_ERRLIST 1" >>confdefs.h
 
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: sys_errlist is neither in errno.h nor in libc" >&5
-$as_echo "$as_me: WARNING: sys_errlist is neither in errno.h nor in libc" >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: sys_errlist is neither in errno.h nor in libc" >&5
+printf "%s\n" "$as_me: WARNING: sys_errlist is neither in errno.h nor in libc" >&2;}
   fi
 fi
-for ac_header in unistd.h paths.h regex.h regexpr.h fcntl.h memory.h ifaddrs.h sys/filio.h byteswap.h machine/endian.h machine/byte_order.h sys/bswap.h endian.h pwd.h arpa/inet.h alloca.h dlfcn.h limits.h
-do :
-  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
-if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
+ac_fn_c_check_header_compile "$LINENO" "unistd.h" "ac_cv_header_unistd_h" "$ac_includes_default"
+if test "x$ac_cv_header_unistd_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_UNISTD_H 1" >>confdefs.h
 
 fi
+ac_fn_c_check_header_compile "$LINENO" "paths.h" "ac_cv_header_paths_h" "$ac_includes_default"
+if test "x$ac_cv_header_paths_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_PATHS_H 1" >>confdefs.h
 
-done
+fi
+ac_fn_c_check_header_compile "$LINENO" "regex.h" "ac_cv_header_regex_h" "$ac_includes_default"
+if test "x$ac_cv_header_regex_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_REGEX_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "regexpr.h" "ac_cv_header_regexpr_h" "$ac_includes_default"
+if test "x$ac_cv_header_regexpr_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_REGEXPR_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "fcntl.h" "ac_cv_header_fcntl_h" "$ac_includes_default"
+if test "x$ac_cv_header_fcntl_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_FCNTL_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "memory.h" "ac_cv_header_memory_h" "$ac_includes_default"
+if test "x$ac_cv_header_memory_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_MEMORY_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "ifaddrs.h" "ac_cv_header_ifaddrs_h" "$ac_includes_default"
+if test "x$ac_cv_header_ifaddrs_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_IFADDRS_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/filio.h" "ac_cv_header_sys_filio_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_filio_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_FILIO_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "byteswap.h" "ac_cv_header_byteswap_h" "$ac_includes_default"
+if test "x$ac_cv_header_byteswap_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_BYTESWAP_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "machine/endian.h" "ac_cv_header_machine_endian_h" "$ac_includes_default"
+if test "x$ac_cv_header_machine_endian_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_MACHINE_ENDIAN_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "machine/byte_order.h" "ac_cv_header_machine_byte_order_h" "$ac_includes_default"
+if test "x$ac_cv_header_machine_byte_order_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_MACHINE_BYTE_ORDER_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/bswap.h" "ac_cv_header_sys_bswap_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_bswap_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_BSWAP_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "endian.h" "ac_cv_header_endian_h" "$ac_includes_default"
+if test "x$ac_cv_header_endian_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_ENDIAN_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "pwd.h" "ac_cv_header_pwd_h" "$ac_includes_default"
+if test "x$ac_cv_header_pwd_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_PWD_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "arpa/inet.h" "ac_cv_header_arpa_inet_h" "$ac_includes_default"
+if test "x$ac_cv_header_arpa_inet_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_ARPA_INET_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "alloca.h" "ac_cv_header_alloca_h" "$ac_includes_default"
+if test "x$ac_cv_header_alloca_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_ALLOCA_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "dlfcn.h" "ac_cv_header_dlfcn_h" "$ac_includes_default"
+if test "x$ac_cv_header_dlfcn_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_DLFCN_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "limits.h" "ac_cv_header_limits_h" "$ac_includes_default"
+if test "x$ac_cv_header_limits_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_LIMITS_H 1" >>confdefs.h
+
+fi
 
 ac_fn_c_check_header_compile "$LINENO" "regexp.h" "ac_cv_header_regexp_h" "#define INIT char *sp = instring;
 #define GETC() (*sp++)
@@ -9910,112 +11354,118 @@ ac_fn_c_check_header_compile "$LINENO" "
 #define ERROR(c)
 
 "
-if test "x$ac_cv_header_regexp_h" = xyes; then :
+if test "x$ac_cv_header_regexp_h" = xyes
+then :
 
 fi
 
-
 ac_fn_c_check_member "$LINENO" "struct stat" "st_mtimensec" "ac_cv_member_struct_stat_st_mtimensec" "#include <sys/types.h>
 #include <sys/stat.h>
 "
-if test "x$ac_cv_member_struct_stat_st_mtimensec" = xyes; then :
+if test "x$ac_cv_member_struct_stat_st_mtimensec" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_STRUCT_STAT_ST_MTIMENSEC 1
-_ACEOF
+printf "%s\n" "#define HAVE_STRUCT_STAT_ST_MTIMENSEC 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_member "$LINENO" "struct stat" "st_mtimespec.tv_nsec" "ac_cv_member_struct_stat_st_mtimespec_tv_nsec" "#include <sys/types.h>
 #include <sys/stat.h>
 "
-if test "x$ac_cv_member_struct_stat_st_mtimespec_tv_nsec" = xyes; then :
+if test "x$ac_cv_member_struct_stat_st_mtimespec_tv_nsec" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_STRUCT_STAT_ST_MTIMESPEC_TV_NSEC 1
-_ACEOF
+printf "%s\n" "#define HAVE_STRUCT_STAT_ST_MTIMESPEC_TV_NSEC 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_member "$LINENO" "struct stat" "st_mtim.tv_nsec" "ac_cv_member_struct_stat_st_mtim_tv_nsec" "#include <sys/types.h>
 #include <sys/stat.h>
 "
-if test "x$ac_cv_member_struct_stat_st_mtim_tv_nsec" = xyes; then :
+if test "x$ac_cv_member_struct_stat_st_mtim_tv_nsec" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_STRUCT_STAT_ST_MTIM_TV_NSEC 1
-_ACEOF
+printf "%s\n" "#define HAVE_STRUCT_STAT_ST_MTIM_TV_NSEC 1" >>confdefs.h
 
 
 fi
 
 
-for ac_func in re_comp re_exec regexec
-do :
-  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
-ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
-if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
+ac_fn_c_check_func "$LINENO" "re_comp" "ac_cv_func_re_comp"
+if test "x$ac_cv_func_re_comp" = xyes
+then :
+  printf "%s\n" "#define HAVE_RE_COMP 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "re_exec" "ac_cv_func_re_exec"
+if test "x$ac_cv_func_re_exec" = xyes
+then :
+  printf "%s\n" "#define HAVE_RE_EXEC 1" >>confdefs.h
+
+fi
+ac_fn_c_check_func "$LINENO" "regexec" "ac_cv_func_regexec"
+if test "x$ac_cv_func_regexec" = xyes
+then :
+  printf "%s\n" "#define HAVE_REGEXEC 1" >>confdefs.h
 
 fi
-done
 
 
 ac_fn_c_check_type "$LINENO" "off_t" "ac_cv_type_off_t" "$ac_includes_default"
-if test "x$ac_cv_type_off_t" = xyes; then :
+if test "x$ac_cv_type_off_t" = xyes
+then :
 
-else
+else $as_nop
 
-cat >>confdefs.h <<_ACEOF
-#define off_t long int
-_ACEOF
+printf "%s\n" "#define off_t long int" >>confdefs.h
 
 fi
 
 
 # Fancy caching of perror result...
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for perror declaration" >&5
-$as_echo_n "checking for perror declaration... " >&6; }
-if ${krb5_cv_decl_perror+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for perror declaration" >&5
+printf %s "checking for perror declaration... " >&6; }
+if test ${krb5_cv_decl_perror+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <errno.h>
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "perror" >/dev/null 2>&1; then :
+  $EGREP "perror" >/dev/null 2>&1
+then :
   krb5_cv_decl_perror=yes
-else
+else $as_nop
   krb5_cv_decl_perror=no
 fi
-rm -f conftest*
+rm -rf conftest*
 
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_decl_perror" >&5
-$as_echo "$krb5_cv_decl_perror" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_decl_perror" >&5
+printf "%s\n" "$krb5_cv_decl_perror" >&6; }
 if test $krb5_cv_decl_perror = yes; then
 
-$as_echo "#define HDR_HAS_PERROR 1" >>confdefs.h
+printf "%s\n" "#define HDR_HAS_PERROR 1" >>confdefs.h
 
 fi
 
 
 if test "x$ac_cv_func_strptime" = xyes; then
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if strptime needs a prototype provided" >&5
-$as_echo_n "checking if strptime needs a prototype provided... " >&6; }
-if ${krb5_cv_func_strptime_noproto+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if strptime needs a prototype provided" >&5
+printf %s "checking if strptime needs a prototype provided... " >&6; }
+if test ${krb5_cv_func_strptime_noproto+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <time.h>
 int
-main ()
+main (void)
 {
 #undef strptime
       struct k5foo {int foo; } xx;
@@ -10025,43 +11475,46 @@ main ()
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_func_strptime_noproto=yes
-else
+else $as_nop
   krb5_cv_func_strptime_noproto=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_strptime_noproto" >&5
-$as_echo "$krb5_cv_func_strptime_noproto" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_strptime_noproto" >&5
+printf "%s\n" "$krb5_cv_func_strptime_noproto" >&6; }
 if test $krb5_cv_func_strptime_noproto = yes; then
 
-$as_echo "#define NEED_STRPTIME_PROTO 1" >>confdefs.h
+printf "%s\n" "#define NEED_STRPTIME_PROTO 1" >>confdefs.h
 
 fi
 fi
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if argument to wait is int *" >&5
-$as_echo_n "checking if argument to wait is int *... " >&6; }
-if ${krb5_cv_struct_wait+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if argument to wait is int *" >&5
+printf %s "checking if argument to wait is int *... " >&6; }
+if test ${krb5_cv_struct_wait+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/types.h>
       #include <sys/wait.h>
       extern pid_t wait(int *);
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_struct_wait=no
-else
+else $as_nop
     cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/wait.h>
 
 int
-main ()
+main (void)
 {
 union wait i;
         #ifdef WEXITSTATUS
@@ -10072,115 +11525,123 @@ union wait i;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_struct_wait=yes
-else
+else $as_nop
   krb5_cv_struct_wait=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_struct_wait" >&5
-$as_echo "$krb5_cv_struct_wait" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_struct_wait" >&5
+printf "%s\n" "$krb5_cv_struct_wait" >&6; }
 if test $krb5_cv_struct_wait = no; then
 
-$as_echo "#define WAIT_USES_INT 1" >>confdefs.h
+printf "%s\n" "#define WAIT_USES_INT 1" >>confdefs.h
 
 fi
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for use of sigprocmask" >&5
-$as_echo_n "checking for use of sigprocmask... " >&6; }
-if ${krb5_cv_func_sigprocmask_use+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for use of sigprocmask" >&5
+printf %s "checking for use of sigprocmask... " >&6; }
+if test ${krb5_cv_func_sigprocmask_use+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <signal.h>
 
 int
-main ()
+main (void)
 {
 sigprocmask(SIG_SETMASK, 0, 0);
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   krb5_cv_func_sigprocmask_use=yes
-else
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <signal.h>
 
 int
-main ()
+main (void)
 {
 sigmask(1);
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   krb5_cv_func_sigprocmask_use=no
-else
+else $as_nop
   krb5_cv_func_sigprocmask_use=yes
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_sigprocmask_use" >&5
-$as_echo "$krb5_cv_func_sigprocmask_use" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_func_sigprocmask_use" >&5
+printf "%s\n" "$krb5_cv_func_sigprocmask_use" >&6; }
 if test $krb5_cv_func_sigprocmask_use = yes; then
 
-$as_echo "#define USE_SIGPROCMASK 1" >>confdefs.h
+printf "%s\n" "#define USE_SIGPROCMASK 1" >>confdefs.h
 
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uid_t in sys/types.h" >&5
-$as_echo_n "checking for uid_t in sys/types.h... " >&6; }
-if ${ac_cv_type_uid_t+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for uid_t in sys/types.h" >&5
+printf %s "checking for uid_t in sys/types.h... " >&6; }
+if test ${ac_cv_type_uid_t+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/types.h>
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "uid_t" >/dev/null 2>&1; then :
+  $EGREP "uid_t" >/dev/null 2>&1
+then :
   ac_cv_type_uid_t=yes
-else
+else $as_nop
   ac_cv_type_uid_t=no
 fi
-rm -f conftest*
+rm -rf conftest*
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_uid_t" >&5
-$as_echo "$ac_cv_type_uid_t" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_uid_t" >&5
+printf "%s\n" "$ac_cv_type_uid_t" >&6; }
 if test $ac_cv_type_uid_t = no; then
 
-$as_echo "#define uid_t int" >>confdefs.h
+printf "%s\n" "#define uid_t int" >>confdefs.h
 
 
-$as_echo "#define gid_t int" >>confdefs.h
+printf "%s\n" "#define gid_t int" >>confdefs.h
 
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking type of array argument to getgroups" >&5
-$as_echo_n "checking type of array argument to getgroups... " >&6; }
-if ${ac_cv_type_getgroups+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  if test "$cross_compiling" = yes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking type of array argument to getgroups" >&5
+printf %s "checking type of array argument to getgroups... " >&6; }
+if test ${ac_cv_type_getgroups+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  if test "$cross_compiling" = yes
+then :
   ac_cv_type_getgroups=cross
-else
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 /* Thanks to Mike Rendell for this test.  */
@@ -10190,7 +11651,7 @@ $ac_includes_default
 #define MAX(x, y) ((x) > (y) ? (x) : (y))
 
 int
-main ()
+main (void)
 {
   gid_t gidset[NGID];
   int i, n;
@@ -10207,9 +11668,10 @@ main ()
   return n > 0 && gidset[n] != val.gval;
 }
 _ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
+if ac_fn_c_try_run "$LINENO"
+then :
   ac_cv_type_getgroups=gid_t
-else
+else $as_nop
   ac_cv_type_getgroups=int
 fi
 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
@@ -10223,56 +11685,58 @@ if test $ac_cv_type_getgroups = cross; t
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "getgroups.*int.*gid_t" >/dev/null 2>&1; then :
+  $EGREP "getgroups.*int.*gid_t" >/dev/null 2>&1
+then :
   ac_cv_type_getgroups=gid_t
-else
+else $as_nop
   ac_cv_type_getgroups=int
 fi
-rm -f conftest*
+rm -rf conftest*
 
 fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_getgroups" >&5
-$as_echo "$ac_cv_type_getgroups" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_getgroups" >&5
+printf "%s\n" "$ac_cv_type_getgroups" >&6; }
 
-cat >>confdefs.h <<_ACEOF
-#define GETGROUPS_T $ac_cv_type_getgroups
-_ACEOF
+printf "%s\n" "#define GETGROUPS_T $ac_cv_type_getgroups" >>confdefs.h
 
 
 
 ac_fn_c_check_func "$LINENO" "sigsetjmp" "ac_cv_func_sigsetjmp"
-if test "x$ac_cv_func_sigsetjmp" = xyes; then :
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for sigjmp_buf" >&5
-$as_echo_n "checking for sigjmp_buf... " >&6; }
-if ${krb5_cv_struct_sigjmp_buf+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+if test "x$ac_cv_func_sigsetjmp" = xyes
+then :
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for sigjmp_buf" >&5
+printf %s "checking for sigjmp_buf... " >&6; }
+if test ${krb5_cv_struct_sigjmp_buf+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <setjmp.h>
 
 int
-main ()
+main (void)
 {
 sigjmp_buf x
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_struct_sigjmp_buf=yes
-else
+else $as_nop
   krb5_cv_struct_sigjmp_buf=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_struct_sigjmp_buf" >&5
-$as_echo "$krb5_cv_struct_sigjmp_buf" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_struct_sigjmp_buf" >&5
+printf "%s\n" "$krb5_cv_struct_sigjmp_buf" >&6; }
 if test $krb5_cv_struct_sigjmp_buf = yes; then
 
-$as_echo "#define POSIX_SETJMP 1" >>confdefs.h
+printf "%s\n" "#define POSIX_SETJMP 1" >>confdefs.h
 
 fi
 
@@ -10281,65 +11745,66 @@ fi
 
 # *rpcent return types needed for lib/rpc
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking return type of setrpcent" >&5
-$as_echo_n "checking return type of setrpcent... " >&6; }
-if ${k5_cv_type_setrpcent+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking return type of setrpcent" >&5
+printf %s "checking return type of setrpcent... " >&6; }
+if test ${k5_cv_type_setrpcent+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
                     extern void setrpcent();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   k5_cv_type_setrpcent=void
-else
+else $as_nop
   k5_cv_type_setrpcent=int
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $k5_cv_type_setrpcent" >&5
-$as_echo "$k5_cv_type_setrpcent" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $k5_cv_type_setrpcent" >&5
+printf "%s\n" "$k5_cv_type_setrpcent" >&6; }
 
-cat >>confdefs.h <<_ACEOF
-#define SETRPCENT_TYPE $k5_cv_type_setrpcent
-_ACEOF
+printf "%s\n" "#define SETRPCENT_TYPE $k5_cv_type_setrpcent" >>confdefs.h
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking return type of endrpcent" >&5
-$as_echo_n "checking return type of endrpcent... " >&6; }
-if ${k5_cv_type_endrpcent+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking return type of endrpcent" >&5
+printf %s "checking return type of endrpcent... " >&6; }
+if test ${k5_cv_type_endrpcent+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
       extern void endrpcent();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   k5_cv_type_endrpcent=void
-else
+else $as_nop
   k5_cv_type_endrpcent=int
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $k5_cv_type_endrpcent" >&5
-$as_echo "$k5_cv_type_endrpcent" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $k5_cv_type_endrpcent" >&5
+printf "%s\n" "$k5_cv_type_endrpcent" >&6; }
 
-cat >>confdefs.h <<_ACEOF
-#define ENDRPCENT_TYPE $k5_cv_type_endrpcent
-_ACEOF
+printf "%s\n" "#define ENDRPCENT_TYPE $k5_cv_type_endrpcent" >>confdefs.h
 
 
 
 # bswap_16 is a macro in byteswap.h under GNU libc
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for bswap_16" >&5
-$as_echo_n "checking for bswap_16... " >&6; }
-if ${krb5_cv_bswap_16+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for bswap_16" >&5
+printf %s "checking for bswap_16... " >&6; }
+if test ${krb5_cv_bswap_16+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #if HAVE_BYTESWAP_H
@@ -10347,34 +11812,36 @@ else
       #endif
 
 int
-main ()
+main (void)
 {
 bswap_16(37);
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   krb5_cv_bswap_16=yes
-else
+else $as_nop
   krb5_cv_bswap_16=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_bswap_16" >&5
-$as_echo "$krb5_cv_bswap_16" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_bswap_16" >&5
+printf "%s\n" "$krb5_cv_bswap_16" >&6; }
 if test "$krb5_cv_bswap_16" = yes; then
 
-$as_echo "#define HAVE_BSWAP_16 1" >>confdefs.h
+printf "%s\n" "#define HAVE_BSWAP_16 1" >>confdefs.h
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for bswap_64" >&5
-$as_echo_n "checking for bswap_64... " >&6; }
-if ${krb5_cv_bswap_64+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for bswap_64" >&5
+printf %s "checking for bswap_64... " >&6; }
+if test ${krb5_cv_bswap_64+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #if HAVE_BYTESWAP_H
@@ -10382,27 +11849,28 @@ else
       #endif
 
 int
-main ()
+main (void)
 {
 bswap_64(37);
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   krb5_cv_bswap_64=yes
-else
+else $as_nop
   krb5_cv_bswap_64=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_bswap_64" >&5
-$as_echo "$krb5_cv_bswap_64" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_bswap_64" >&5
+printf "%s\n" "$krb5_cv_bswap_64" >&6; }
 if test "$krb5_cv_bswap_64" = yes; then
 
-$as_echo "#define HAVE_BSWAP_64 1" >>confdefs.h
+printf "%s\n" "#define HAVE_BSWAP_64 1" >>confdefs.h
 
 fi
 
@@ -10410,11 +11878,12 @@ fi
 
 case $krb5_cv_host in
 alpha*-dec-osf*)
-	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for setluid in -lsecurity" >&5
-$as_echo_n "checking for setluid in -lsecurity... " >&6; }
-if ${ac_cv_lib_security_setluid+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+	{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for setluid in -lsecurity" >&5
+printf %s "checking for setluid in -lsecurity... " >&6; }
+if test ${ac_cv_lib_security_setluid+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lsecurity  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -10423,32 +11892,31 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char setluid ();
 int
-main ()
+main (void)
 {
 return setluid ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_security_setluid=yes
-else
+else $as_nop
   ac_cv_lib_security_setluid=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_security_setluid" >&5
-$as_echo "$ac_cv_lib_security_setluid" >&6; }
-if test "x$ac_cv_lib_security_setluid" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_security_setluid" >&5
+printf "%s\n" "$ac_cv_lib_security_setluid" >&6; }
+if test "x$ac_cv_lib_security_setluid" = xyes
+then :
 
-$as_echo "#define HAVE_SETLUID 1" >>confdefs.h
+printf "%s\n" "#define HAVE_SETLUID 1" >>confdefs.h
 
 		KSU_LIBS="-lsecurity"
 
@@ -10469,69 +11937,75 @@ fi
 # Check what the return types for gethostbyname_r and getservbyname_r are.
 
 ac_fn_c_check_func "$LINENO" "gethostbyname_r" "ac_cv_func_gethostbyname_r"
-if test "x$ac_cv_func_gethostbyname_r" = xyes; then :
+if test "x$ac_cv_func_gethostbyname_r" = xyes
+then :
 
 ac_cv_func_gethostbyname_r=yes
 if test "$ac_cv_func_gethostbyname_r" = yes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if gethostbyname_r returns an int" >&5
-$as_echo_n "checking if gethostbyname_r returns an int... " >&6; }
-  if ${krb5_cv_gethostbyname_r_returns_int+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if gethostbyname_r returns an int" >&5
+printf %s "checking if gethostbyname_r returns an int... " >&6; }
+  if test ${krb5_cv_gethostbyname_r_returns_int+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
         extern int gethostbyname_r();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_gethostbyname_r_returns_int=yes
-else
+else $as_nop
   krb5_cv_gethostbyname_r_returns_int=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_gethostbyname_r_returns_int" >&5
-$as_echo "$krb5_cv_gethostbyname_r_returns_int" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_gethostbyname_r_returns_int" >&5
+printf "%s\n" "$krb5_cv_gethostbyname_r_returns_int" >&6; }
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if gethostbyname_r returns a pointer" >&5
-$as_echo_n "checking if gethostbyname_r returns a pointer... " >&6; }
-  if ${krb5_cv_gethostbyname_r_returns_ptr+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if gethostbyname_r returns a pointer" >&5
+printf %s "checking if gethostbyname_r returns a pointer... " >&6; }
+  if test ${krb5_cv_gethostbyname_r_returns_ptr+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
         extern struct hostent *gethostbyname_r();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_gethostbyname_r_returns_ptr=yes
-else
+else $as_nop
   krb5_cv_gethostbyname_r_returns_ptr=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_gethostbyname_r_returns_ptr" >&5
-$as_echo "$krb5_cv_gethostbyname_r_returns_ptr" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_gethostbyname_r_returns_ptr" >&5
+printf "%s\n" "$krb5_cv_gethostbyname_r_returns_ptr" >&6; }
 
   if test "$krb5_cv_gethostbyname_r_returns_int" = "$krb5_cv_gethostbyname_r_returns_ptr"; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cannot determine return type of gethostbyname_r -- disabling" >&5
-$as_echo "$as_me: WARNING: cannot determine return type of gethostbyname_r -- disabling" >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: cannot determine return type of gethostbyname_r -- disabling" >&5
+printf "%s\n" "$as_me: WARNING: cannot determine return type of gethostbyname_r -- disabling" >&2;}
     ac_cv_func_gethostbyname_r=no
   fi
   if test "$krb5_cv_gethostbyname_r_returns_int" = yes; then
 
-$as_echo "#define GETHOSTBYNAME_R_RETURNS_INT 1" >>confdefs.h
+printf "%s\n" "#define GETHOSTBYNAME_R_RETURNS_INT 1" >>confdefs.h
 
   fi
 fi
 if test "$ac_cv_func_gethostbyname_r" = yes; then
 
-$as_echo "#define HAVE_GETHOSTBYNAME_R 1" >>confdefs.h
+printf "%s\n" "#define HAVE_GETHOSTBYNAME_R 1" >>confdefs.h
 
   ac_fn_c_check_func "$LINENO" "gethostbyaddr_r" "ac_cv_func_gethostbyaddr_r"
-if test "x$ac_cv_func_gethostbyaddr_r" = xyes; then :
+if test "x$ac_cv_func_gethostbyaddr_r" = xyes
+then :
 
 fi
 
@@ -10546,47 +12020,52 @@ fi
 old_CFLAGS=$CFLAGS
 CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
 ac_fn_c_check_func "$LINENO" "getpwnam_r" "ac_cv_func_getpwnam_r"
-if test "x$ac_cv_func_getpwnam_r" = xyes; then :
+if test "x$ac_cv_func_getpwnam_r" = xyes
+then :
   ac_cv_func_getpwnam_r=yes
-else
+else $as_nop
   ac_cv_func_getpwnam_r=no
 fi
 
 ac_fn_c_check_func "$LINENO" "getpwuid_r" "ac_cv_func_getpwuid_r"
-if test "x$ac_cv_func_getpwuid_r" = xyes; then :
+if test "x$ac_cv_func_getpwuid_r" = xyes
+then :
   ac_cv_func_getpwuid_r=yes
-else
+else $as_nop
   ac_cv_func_getpwuid_r=no
 fi
 
 if test "$ac_cv_func_getpwnam_r" = yes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking return type of getpwnam_r" >&5
-$as_echo_n "checking return type of getpwnam_r... " >&6; }
-  if ${krb5_cv_getpwnam_r_return_type+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking return type of getpwnam_r" >&5
+printf %s "checking return type of getpwnam_r... " >&6; }
+  if test ${krb5_cv_getpwnam_r_return_type+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <pwd.h>
         extern int getpwnam_r();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   getpwnam_r_returns_int=yes
-else
+else $as_nop
   getpwnam_r_returns_int=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <pwd.h>
         extern struct passwd *getpwnam_r();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   getpwnam_r_returns_ptr=yes
-else
+else $as_nop
   getpwnam_r_returns_ptr=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
    case "$getpwnam_r_returns_int/$getpwnam_r_returns_ptr" in
      yes/no) krb5_cv_getpwnam_r_return_type=int ;;
      no/yes) krb5_cv_getpwnam_r_return_type=ptr ;;
@@ -10594,61 +12073,64 @@ rm -f core conftest.err conftest.$ac_obj
    esac
 fi
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_getpwnam_r_return_type" >&5
-$as_echo "$krb5_cv_getpwnam_r_return_type" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_getpwnam_r_return_type" >&5
+printf "%s\n" "$krb5_cv_getpwnam_r_return_type" >&6; }
   if test $krb5_cv_getpwnam_r_return_type = int; then
 
-$as_echo "#define GETPWNAM_R_RETURNS_INT 1" >>confdefs.h
+printf "%s\n" "#define GETPWNAM_R_RETURNS_INT 1" >>confdefs.h
 
   elif test $krb5_cv_getpwnam_r_return_type = unknown; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Cannot determine getpwnam_r return type, disabling getpwnam_r" >&5
-$as_echo "$as_me: WARNING: Cannot determine getpwnam_r return type, disabling getpwnam_r" >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: Cannot determine getpwnam_r return type, disabling getpwnam_r" >&5
+printf "%s\n" "$as_me: WARNING: Cannot determine getpwnam_r return type, disabling getpwnam_r" >&2;}
     ac_cv_func_getpwnam_r=no
   fi
 fi
 if test "$ac_cv_func_getpwnam_r" = yes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking number of arguments to getpwnam_r" >&5
-$as_echo_n "checking number of arguments to getpwnam_r... " >&6; }
-  if ${krb5_cv_getpwnam_r_args+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking number of arguments to getpwnam_r" >&5
+printf %s "checking number of arguments to getpwnam_r... " >&6; }
+  if test ${krb5_cv_getpwnam_r_args+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <pwd.h>
         struct passwd pwx; char buf[1024];
 int
-main ()
+main (void)
 {
 getpwnam_r("", &pwx, buf, sizeof(buf));
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   args4=yes
-else
+else $as_nop
   args4=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <pwd.h>
          struct passwd pwx, *p;
          char buf[1024];
 int
-main ()
+main (void)
 {
 getpwnam_r("", &pwx, buf, sizeof(buf), &p);
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   args5=yes
-else
+else $as_nop
   args5=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
    case $args4/$args5 in
      yes/no) krb5_cv_getpwnam_r_args=4 ;;
      no/yes) krb5_cv_getpwnam_r_args=5 ;;
@@ -10656,19 +12138,19 @@ rm -f core conftest.err conftest.$ac_obj
    esac
 fi
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_getpwnam_r_args" >&5
-$as_echo "$krb5_cv_getpwnam_r_args" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_getpwnam_r_args" >&5
+printf "%s\n" "$krb5_cv_getpwnam_r_args" >&6; }
   if test "$krb5_cv_getpwnam_r_args" = unknown; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Cannot determine number of arguments to getpwnam_r, disabling its use." >&5
-$as_echo "$as_me: WARNING: Cannot determine number of arguments to getpwnam_r, disabling its use." >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: Cannot determine number of arguments to getpwnam_r, disabling its use." >&5
+printf "%s\n" "$as_me: WARNING: Cannot determine number of arguments to getpwnam_r, disabling its use." >&2;}
     ac_cv_func_getpwnam_r=no
   else
 
-$as_echo "#define HAVE_GETPWNAM_R 1" >>confdefs.h
+printf "%s\n" "#define HAVE_GETPWNAM_R 1" >>confdefs.h
 
     if test "$krb5_cv_getpwnam_r_args" = 4; then
 
-$as_echo "#define GETPWNAM_R_4_ARGS 1" >>confdefs.h
+printf "%s\n" "#define GETPWNAM_R_4_ARGS 1" >>confdefs.h
 
     fi
   fi
@@ -10679,51 +12161,54 @@ if test "$ac_cv_func_getpwnam_r" = no &&
   # Actually, we could do this check, and the corresponding checks
   # for return type and number of arguments, but I doubt we'll run
   # into a system where we'd get to use getpwuid_r but not getpwnam_r.
-  { $as_echo "$as_me:${as_lineno-$LINENO}: getpwnam_r not useful, so disabling getpwuid_r too" >&5
-$as_echo "$as_me: getpwnam_r not useful, so disabling getpwuid_r too" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: getpwnam_r not useful, so disabling getpwuid_r too" >&5
+printf "%s\n" "$as_me: getpwnam_r not useful, so disabling getpwuid_r too" >&6;}
   ac_cv_func_getpwuid_r=no
 fi
 if test "$ac_cv_func_getpwuid_r" = yes; then
 
-$as_echo "#define HAVE_GETPWUID_R 1" >>confdefs.h
+printf "%s\n" "#define HAVE_GETPWUID_R 1" >>confdefs.h
 
   # Hack: Assume getpwuid_r is the shorter form if getpwnam_r is.
   if test "$krb5_cv_getpwnam_r_args" = 4; then
 
-$as_echo "#define GETPWUID_R_4_ARGS 1" >>confdefs.h
+printf "%s\n" "#define GETPWUID_R_4_ARGS 1" >>confdefs.h
 
   fi
 fi
 
 if test "$ac_cv_func_gmtime_r" = yes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether gmtime_r returns int" >&5
-$as_echo_n "checking whether gmtime_r returns int... " >&6; }
-  if ${krb5_cv_gmtime_r_returns_int+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether gmtime_r returns int" >&5
+printf %s "checking whether gmtime_r returns int... " >&6; }
+  if test ${krb5_cv_gmtime_r_returns_int+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <time.h>
         extern int gmtime_r();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   return_int=yes
-else
+else $as_nop
   return_int=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
      #include <time.h>
          extern struct tm *gmtime_r();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   return_ptr=yes
-else
+else $as_nop
   return_ptr=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
    case $return_int/$return_ptr in
      yes/no) krb5_cv_gmtime_r_returns_int=yes ;;
      no/yes) krb5_cv_gmtime_r_returns_int=no ;;
@@ -10733,83 +12218,89 @@ rm -f core conftest.err conftest.$ac_obj
 fi
 
   if test "$ac_cv_func_gmtime_r" = no; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: unknown -- ignoring gmtime_r" >&5
-$as_echo "unknown -- ignoring gmtime_r" >&6; }
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: unknown -- ignoring gmtime_r" >&5
+printf "%s\n" "unknown -- ignoring gmtime_r" >&6; }
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_gmtime_r_returns_int" >&5
-$as_echo "$krb5_cv_gmtime_r_returns_int" >&6; }
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_gmtime_r_returns_int" >&5
+printf "%s\n" "$krb5_cv_gmtime_r_returns_int" >&6; }
     if test "$krb5_cv_gmtime_r_returns_int" = yes; then
 
-$as_echo "#define GMTIME_R_RETURNS_INT 1" >>confdefs.h
+printf "%s\n" "#define GMTIME_R_RETURNS_INT 1" >>confdefs.h
 
     fi
   fi
 fi
 
 ac_fn_c_check_func "$LINENO" "getservbyname_r" "ac_cv_func_getservbyname_r"
-if test "x$ac_cv_func_getservbyname_r" = xyes; then :
+if test "x$ac_cv_func_getservbyname_r" = xyes
+then :
 
 ac_cv_func_getservbyname_r=yes
 if test "$ac_cv_func_getservbyname_r" = yes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if getservbyname_r returns an int" >&5
-$as_echo_n "checking if getservbyname_r returns an int... " >&6; }
-  if ${krb5_cv_getservbyname_r_returns_int+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if getservbyname_r returns an int" >&5
+printf %s "checking if getservbyname_r returns an int... " >&6; }
+  if test ${krb5_cv_getservbyname_r_returns_int+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
         extern int getservbyname_r();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_getservbyname_r_returns_int=yes
-else
+else $as_nop
   krb5_cv_getservbyname_r_returns_int=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_getservbyname_r_returns_int" >&5
-$as_echo "$krb5_cv_getservbyname_r_returns_int" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_getservbyname_r_returns_int" >&5
+printf "%s\n" "$krb5_cv_getservbyname_r_returns_int" >&6; }
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if getservbyname_r returns a pointer" >&5
-$as_echo_n "checking if getservbyname_r returns a pointer... " >&6; }
-  if ${krb5_cv_getservbyname_r_returns_ptr+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if getservbyname_r returns a pointer" >&5
+printf %s "checking if getservbyname_r returns a pointer... " >&6; }
+  if test ${krb5_cv_getservbyname_r_returns_ptr+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
         extern struct servent *getservbyname_r();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_getservbyname_r_returns_ptr=yes
-else
+else $as_nop
   krb5_cv_getservbyname_r_returns_ptr=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_getservbyname_r_returns_ptr" >&5
-$as_echo "$krb5_cv_getservbyname_r_returns_ptr" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_getservbyname_r_returns_ptr" >&5
+printf "%s\n" "$krb5_cv_getservbyname_r_returns_ptr" >&6; }
 
   if test "$krb5_cv_getservbyname_r_returns_int" = "$krb5_cv_getservbyname_r_returns_ptr"; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cannot determine return type of getservbyname_r -- disabling" >&5
-$as_echo "$as_me: WARNING: cannot determine return type of getservbyname_r -- disabling" >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: cannot determine return type of getservbyname_r -- disabling" >&5
+printf "%s\n" "$as_me: WARNING: cannot determine return type of getservbyname_r -- disabling" >&2;}
     ac_cv_func_getservbyname_r=no
   fi
   if test "$krb5_cv_getservbyname_r_returns_int" = yes; then
 
-$as_echo "#define GETSERVBYNAME_R_RETURNS_INT 1" >>confdefs.h
+printf "%s\n" "#define GETSERVBYNAME_R_RETURNS_INT 1" >>confdefs.h
 
   fi
 fi
 if test "$ac_cv_func_getservbyname_r" = yes; then
 
-$as_echo "#define HAVE_GETSERVBYNAME_R 1" >>confdefs.h
+printf "%s\n" "#define HAVE_GETSERVBYNAME_R 1" >>confdefs.h
 
   ac_fn_c_check_func "$LINENO" "getservbyport_r" "ac_cv_func_getservbyport_r"
-if test "x$ac_cv_func_getservbyport_r" = xyes; then :
+if test "x$ac_cv_func_getservbyport_r" = xyes
+then :
 
 fi
 
@@ -10819,80 +12310,168 @@ fi
 
 
 
-ac_fn_c_check_header_mongrel "$LINENO" "dirent.h" "ac_cv_header_dirent_h" "$ac_includes_default"
-if test "x$ac_cv_header_dirent_h" = xyes; then :
+ac_fn_c_check_header_compile "$LINENO" "dirent.h" "ac_cv_header_dirent_h" "$ac_includes_default"
+if test "x$ac_cv_header_dirent_h" = xyes
+then :
 
-$as_echo "#define USE_DIRENT_H 1" >>confdefs.h
+printf "%s\n" "#define USE_DIRENT_H 1" >>confdefs.h
 
 fi
 
-
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uid_t in sys/types.h" >&5
-$as_echo_n "checking for uid_t in sys/types.h... " >&6; }
-if ${ac_cv_type_uid_t+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for uid_t in sys/types.h" >&5
+printf %s "checking for uid_t in sys/types.h... " >&6; }
+if test ${ac_cv_type_uid_t+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/types.h>
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "uid_t" >/dev/null 2>&1; then :
+  $EGREP "uid_t" >/dev/null 2>&1
+then :
   ac_cv_type_uid_t=yes
-else
+else $as_nop
   ac_cv_type_uid_t=no
 fi
-rm -f conftest*
+rm -rf conftest*
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_uid_t" >&5
-$as_echo "$ac_cv_type_uid_t" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_uid_t" >&5
+printf "%s\n" "$ac_cv_type_uid_t" >&6; }
 if test $ac_cv_type_uid_t = no; then
 
-$as_echo "#define uid_t int" >>confdefs.h
+printf "%s\n" "#define uid_t int" >>confdefs.h
 
 
-$as_echo "#define gid_t int" >>confdefs.h
+printf "%s\n" "#define gid_t int" >>confdefs.h
 
 fi
 
 
-ac_fn_c_check_header_mongrel "$LINENO" "termios.h" "ac_cv_header_termios_h" "$ac_includes_default"
-if test "x$ac_cv_header_termios_h" = xyes; then :
+ac_fn_c_check_header_compile "$LINENO" "termios.h" "ac_cv_header_termios_h" "$ac_includes_default"
+if test "x$ac_cv_header_termios_h" = xyes
+then :
   ac_fn_c_check_func "$LINENO" "tcsetattr" "ac_cv_func_tcsetattr"
-if test "x$ac_cv_func_tcsetattr" = xyes; then :
+if test "x$ac_cv_func_tcsetattr" = xyes
+then :
 
-$as_echo "#define POSIX_TERMIOS 1" >>confdefs.h
+printf "%s\n" "#define POSIX_TERMIOS 1" >>confdefs.h
 
 fi
 
 fi
 
 
+ac_fn_c_check_header_compile "$LINENO" "poll.h" "ac_cv_header_poll_h" "$ac_includes_default"
+if test "x$ac_cv_header_poll_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_POLL_H 1" >>confdefs.h
 
-for ac_header in poll.h stdlib.h string.h stddef.h sys/types.h sys/file.h sys/param.h sys/stat.h sys/time.h netinet/in.h sys/uio.h sys/filio.h sys/select.h time.h paths.h errno.h
-do :
-  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
-if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
+fi
+ac_fn_c_check_header_compile "$LINENO" "stdlib.h" "ac_cv_header_stdlib_h" "$ac_includes_default"
+if test "x$ac_cv_header_stdlib_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_STDLIB_H 1" >>confdefs.h
 
 fi
+ac_fn_c_check_header_compile "$LINENO" "string.h" "ac_cv_header_string_h" "$ac_includes_default"
+if test "x$ac_cv_header_string_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_STRING_H 1" >>confdefs.h
 
-done
+fi
+ac_fn_c_check_header_compile "$LINENO" "stddef.h" "ac_cv_header_stddef_h" "$ac_includes_default"
+if test "x$ac_cv_header_stddef_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_STDDEF_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/types.h" "ac_cv_header_sys_types_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_types_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_TYPES_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/file.h" "ac_cv_header_sys_file_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_file_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_FILE_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/param.h" "ac_cv_header_sys_param_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_param_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_PARAM_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/stat.h" "ac_cv_header_sys_stat_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_stat_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_STAT_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/time.h" "ac_cv_header_sys_time_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_time_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_TIME_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "netinet/in.h" "ac_cv_header_netinet_in_h" "$ac_includes_default"
+if test "x$ac_cv_header_netinet_in_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_NETINET_IN_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/uio.h" "ac_cv_header_sys_uio_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_uio_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_UIO_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/filio.h" "ac_cv_header_sys_filio_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_filio_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_FILIO_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/select.h" "ac_cv_header_sys_select_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_select_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_SELECT_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "time.h" "ac_cv_header_time_h" "$ac_includes_default"
+if test "x$ac_cv_header_time_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_TIME_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "paths.h" "ac_cv_header_paths_h" "$ac_includes_default"
+if test "x$ac_cv_header_paths_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_PATHS_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "errno.h" "ac_cv_header_errno_h" "$ac_includes_default"
+if test "x$ac_cv_header_errno_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_ERRNO_H 1" >>confdefs.h
+
+fi
 
 
 # If compiling with IPv6 support, test if in6addr_any functions.
 # Irix 6.5.16 defines it, but lacks support in the C library.
 if test $krb5_cv_inet6 = yes || test "$krb5_cv_inet6_with_dinet6" = yes ; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for in6addr_any definition in library" >&5
-$as_echo_n "checking for in6addr_any definition in library... " >&6; }
-if ${krb5_cv_var_in6addr_any+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for in6addr_any definition in library" >&5
+printf %s "checking for in6addr_any definition in library... " >&6; }
+if test ${krb5_cv_var_in6addr_any+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #ifdef HAVE_SYS_TYPES_H
@@ -10904,7 +12483,7 @@ else
         #include <stdio.h>
 
 int
-main ()
+main (void)
 {
 struct sockaddr_in6 in;
         in.sin6_addr = in6addr_any;
@@ -10913,19 +12492,20 @@ struct sockaddr_in6 in;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   krb5_cv_var_in6addr_any=yes
-else
+else $as_nop
   krb5_cv_var_in6addr_any=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_var_in6addr_any" >&5
-$as_echo "$krb5_cv_var_in6addr_any" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_var_in6addr_any" >&5
+printf "%s\n" "$krb5_cv_var_in6addr_any" >&6; }
   if test $krb5_cv_var_in6addr_any = no; then
 
-$as_echo "#define NEED_INSIXADDR_ANY 1" >>confdefs.h
+printf "%s\n" "#define NEED_INSIXADDR_ANY 1" >>confdefs.h
 
   fi
 fi
@@ -10933,13 +12513,12 @@ fi
 # then from osconf.h, we have
 
 ac_fn_c_check_type "$LINENO" "time_t" "ac_cv_type_time_t" "$ac_includes_default"
-if test "x$ac_cv_type_time_t" = xyes; then :
+if test "x$ac_cv_type_time_t" = xyes
+then :
 
-else
+else $as_nop
 
-cat >>confdefs.h <<_ACEOF
-#define time_t long
-_ACEOF
+printf "%s\n" "#define time_t long" >>confdefs.h
 
 fi
 
@@ -10947,17 +12526,19 @@ fi
 # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
 # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
 # This bug is HP SR number 8606223364.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of time_t" >&5
-$as_echo_n "checking size of time_t... " >&6; }
-if ${ac_cv_sizeof_time_t+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (time_t))" "ac_cv_sizeof_time_t"        "$ac_includes_default"; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking size of time_t" >&5
+printf %s "checking size of time_t... " >&6; }
+if test ${ac_cv_sizeof_time_t+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (time_t))" "ac_cv_sizeof_time_t"        "$ac_includes_default"
+then :
 
-else
+else $as_nop
   if test "$ac_cv_type_time_t" = yes; then
-     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+     { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
 as_fn_error 77 "cannot compute sizeof (time_t)
 See \`config.log' for more details" "$LINENO" 5; }
    else
@@ -10966,14 +12547,12 @@ See \`config.log' for more details" "$LI
 fi
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_time_t" >&5
-$as_echo "$ac_cv_sizeof_time_t" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_time_t" >&5
+printf "%s\n" "$ac_cv_sizeof_time_t" >&6; }
 
 
 
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_TIME_T $ac_cv_sizeof_time_t
-_ACEOF
+printf "%s\n" "#define SIZEOF_TIME_T $ac_cv_sizeof_time_t" >>confdefs.h
 
 
 SIZEOF_TIME_T=$ac_cv_sizeof_time_t
@@ -10981,11 +12560,12 @@ SIZEOF_TIME_T=$ac_cv_sizeof_time_t
 
 # Determine where to put the replay cache.
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for replay cache directory" >&5
-$as_echo_n "checking for replay cache directory... " >&6; }
-if ${krb5_cv_sys_rcdir+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for replay cache directory" >&5
+printf %s "checking for replay cache directory... " >&6; }
+if test ${krb5_cv_sys_rcdir+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
 
 if test $cross_compiling = yes; then
 	krb5_cv_sys_rcdir=/var/tmp
@@ -10998,85 +12578,90 @@ else
 fi
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_sys_rcdir" >&5
-$as_echo "$krb5_cv_sys_rcdir" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_sys_rcdir" >&5
+printf "%s\n" "$krb5_cv_sys_rcdir" >&6; }
 KRB5_RCTMPDIR=$krb5_cv_sys_rcdir
 
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for socklen_t" >&5
-$as_echo_n "checking for socklen_t... " >&6; }
-if ${krb5_cv_has_type_socklen_t+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for socklen_t" >&5
+printf %s "checking for socklen_t... " >&6; }
+if test ${krb5_cv_has_type_socklen_t+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/types.h>
       #include <sys/socket.h>
 
 int
-main ()
+main (void)
 {
 sizeof(socklen_t);
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_has_type_socklen_t=yes
-else
+else $as_nop
   krb5_cv_has_type_socklen_t=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_has_type_socklen_t" >&5
-$as_echo "$krb5_cv_has_type_socklen_t" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_has_type_socklen_t" >&5
+printf "%s\n" "$krb5_cv_has_type_socklen_t" >&6; }
 if test $krb5_cv_has_type_socklen_t = yes; then
 
-$as_echo "#define HAVE_SOCKLEN_T 1" >>confdefs.h
+printf "%s\n" "#define HAVE_SOCKLEN_T 1" >>confdefs.h
 
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for struct lifconf" >&5
-$as_echo_n "checking for struct lifconf... " >&6; }
-if ${krb5_cv_has_struct_lifconf+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for struct lifconf" >&5
+printf %s "checking for struct lifconf... " >&6; }
+if test ${krb5_cv_has_struct_lifconf+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/socket.h>
       #include <net/if.h>
 
 int
-main ()
+main (void)
 {
 sizeof (struct lifconf);
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_has_struct_lifconf=yes
-else
+else $as_nop
   krb5_cv_has_struct_lifconf=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_has_struct_lifconf" >&5
-$as_echo "$krb5_cv_has_struct_lifconf" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_has_struct_lifconf" >&5
+printf "%s\n" "$krb5_cv_has_struct_lifconf" >&6; }
 if test $krb5_cv_has_struct_lifconf = yes; then
 
-$as_echo "#define HAVE_STRUCT_LIFCONF 1" >>confdefs.h
+printf "%s\n" "#define HAVE_STRUCT_LIFCONF 1" >>confdefs.h
 
 fi
 # HP-UX 11 uses stuct if_laddrconf
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for struct if_laddrconf" >&5
-$as_echo_n "checking for struct if_laddrconf... " >&6; }
-if ${krb5_cv_has_struct_if_laddrconf+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for struct if_laddrconf" >&5
+printf %s "checking for struct if_laddrconf... " >&6; }
+if test ${krb5_cv_has_struct_if_laddrconf+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/socket.h>
@@ -11084,98 +12669,104 @@ else
       #include <net/if6.h>
 
 int
-main ()
+main (void)
 {
 sizeof(struct if_laddrconf);
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_has_struct_if_laddrconf=yes
-else
+else $as_nop
   krb5_cv_has_struct_if_laddrconf=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_has_struct_if_laddrconf" >&5
-$as_echo "$krb5_cv_has_struct_if_laddrconf" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_has_struct_if_laddrconf" >&5
+printf "%s\n" "$krb5_cv_has_struct_if_laddrconf" >&6; }
 if test $krb5_cv_has_struct_if_laddrconf = yes; then
 
-$as_echo "#define HAVE_STRUCT_IF_LADDRCONF 1" >>confdefs.h
+printf "%s\n" "#define HAVE_STRUCT_IF_LADDRCONF 1" >>confdefs.h
 
 fi
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for h_errno in netdb.h" >&5
-$as_echo_n "checking for h_errno in netdb.h... " >&6; }
-if ${krb5_cv_header_netdb_h_h_errno+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for h_errno in netdb.h" >&5
+printf %s "checking for h_errno in netdb.h... " >&6; }
+if test ${krb5_cv_header_netdb_h_h_errno+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
 int
-main ()
+main (void)
 {
 int x = h_errno;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_header_netdb_h_h_errno=yes
-else
+else $as_nop
   krb5_cv_header_netdb_h_h_errno=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_header_netdb_h_h_errno" >&5
-$as_echo "$krb5_cv_header_netdb_h_h_errno" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_header_netdb_h_h_errno" >&5
+printf "%s\n" "$krb5_cv_header_netdb_h_h_errno" >&6; }
 if test $krb5_cv_header_netdb_h_h_errno = yes; then
 
-$as_echo "#define HAVE_NETDB_H_H_ERRNO 1" >>confdefs.h
+printf "%s\n" "#define HAVE_NETDB_H_H_ERRNO 1" >>confdefs.h
 
 fi
 
 
 # Check whether --enable-athena was given.
-if test "${enable_athena+set}" = set; then :
+if test ${enable_athena+y}
+then :
   enableval=$enable_athena;
-$as_echo "#define KRB5_ATHENA_COMPAT 1" >>confdefs.h
+printf "%s\n" "#define KRB5_ATHENA_COMPAT 1" >>confdefs.h
 
 fi
 
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for inline" >&5
-$as_echo_n "checking for inline... " >&6; }
-if ${ac_cv_c_inline+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for inline" >&5
+printf %s "checking for inline... " >&6; }
+if test ${ac_cv_c_inline+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_cv_c_inline=no
 for ac_kw in inline __inline__ __inline; do
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #ifndef __cplusplus
 typedef int foo_t;
-static $ac_kw foo_t static_foo () {return 0; }
-$ac_kw foo_t foo () {return 0; }
+static $ac_kw foo_t static_foo (void) {return 0; }
+$ac_kw foo_t foo (void) {return 0; }
 #endif
 
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   ac_cv_c_inline=$ac_kw
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
   test "$ac_cv_c_inline" != no && break
 done
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_inline" >&5
-$as_echo "$ac_cv_c_inline" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_inline" >&5
+printf "%s\n" "$ac_cv_c_inline" >&6; }
 
 case $ac_cv_c_inline in
   inline | yes) ;;
@@ -11201,11 +12792,10 @@ ac_fn_c_check_type "$LINENO" "struct cms
 #include <netinet/in.h>
 
 "
-if test "x$ac_cv_type_struct_cmsghdr" = xyes; then :
+if test "x$ac_cv_type_struct_cmsghdr" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_STRUCT_CMSGHDR 1
-_ACEOF
+printf "%s\n" "#define HAVE_STRUCT_CMSGHDR 1" >>confdefs.h
 
 
 fi
@@ -11215,11 +12805,10 @@ ac_fn_c_check_type "$LINENO" "struct in_
 #include <netinet/in.h>
 
 "
-if test "x$ac_cv_type_struct_in_pktinfo" = xyes; then :
+if test "x$ac_cv_type_struct_in_pktinfo" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_STRUCT_IN_PKTINFO 1
-_ACEOF
+printf "%s\n" "#define HAVE_STRUCT_IN_PKTINFO 1" >>confdefs.h
 
 
 fi
@@ -11229,11 +12818,10 @@ ac_fn_c_check_type "$LINENO" "struct in6
 #include <netinet/in.h>
 
 "
-if test "x$ac_cv_type_struct_in6_pktinfo" = xyes; then :
+if test "x$ac_cv_type_struct_in6_pktinfo" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_STRUCT_IN6_PKTINFO 1
-_ACEOF
+printf "%s\n" "#define HAVE_STRUCT_IN6_PKTINFO 1" >>confdefs.h
 
 
 fi
@@ -11243,11 +12831,10 @@ ac_fn_c_check_type "$LINENO" "struct soc
 #include <netinet/in.h>
 
 "
-if test "x$ac_cv_type_struct_sockaddr_storage" = xyes; then :
+if test "x$ac_cv_type_struct_sockaddr_storage" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_STRUCT_SOCKADDR_STORAGE 1
-_ACEOF
+printf "%s\n" "#define HAVE_STRUCT_SOCKADDR_STORAGE 1" >>confdefs.h
 
 
 fi
@@ -11258,11 +12845,10 @@ ac_fn_c_check_type "$LINENO" "struct rt_
 #include <net/route.h>
 
 "
-if test "x$ac_cv_type_struct_rt_msghdr" = xyes; then :
+if test "x$ac_cv_type_struct_rt_msghdr" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_STRUCT_RT_MSGHDR 1
-_ACEOF
+printf "%s\n" "#define HAVE_STRUCT_RT_MSGHDR 1" >>confdefs.h
 
 
 fi
@@ -11273,17 +12859,19 @@ fi
 # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
 # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
 # This bug is HP SR number 8606223364.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of size_t" >&5
-$as_echo_n "checking size of size_t... " >&6; }
-if ${ac_cv_sizeof_size_t+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (size_t))" "ac_cv_sizeof_size_t"        "$ac_includes_default"; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking size of size_t" >&5
+printf %s "checking size of size_t... " >&6; }
+if test ${ac_cv_sizeof_size_t+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (size_t))" "ac_cv_sizeof_size_t"        "$ac_includes_default"
+then :
 
-else
+else $as_nop
   if test "$ac_cv_type_size_t" = yes; then
-     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+     { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
 as_fn_error 77 "cannot compute sizeof (size_t)
 See \`config.log' for more details" "$LINENO" 5; }
    else
@@ -11292,31 +12880,27 @@ See \`config.log' for more details" "$LI
 fi
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_size_t" >&5
-$as_echo "$ac_cv_sizeof_size_t" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_size_t" >&5
+printf "%s\n" "$ac_cv_sizeof_size_t" >&6; }
 
 
 
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_SIZE_T $ac_cv_sizeof_size_t
-_ACEOF
+printf "%s\n" "#define SIZEOF_SIZE_T $ac_cv_sizeof_size_t" >>confdefs.h
 
 
 ac_fn_c_check_type "$LINENO" "__int128_t" "ac_cv_type___int128_t" "$ac_includes_default"
-if test "x$ac_cv_type___int128_t" = xyes; then :
+if test "x$ac_cv_type___int128_t" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE___INT128_T 1
-_ACEOF
+printf "%s\n" "#define HAVE___INT128_T 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "__uint128_t" "ac_cv_type___uint128_t" "$ac_includes_default"
-if test "x$ac_cv_type___uint128_t" = xyes; then :
+if test "x$ac_cv_type___uint128_t" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE___UINT128_T 1
-_ACEOF
+printf "%s\n" "#define HAVE___UINT128_T 1" >>confdefs.h
 
 
 fi
@@ -11325,92 +12909,82 @@ fi
 # types libdb2 wants
 
 ac_fn_c_check_type "$LINENO" "ssize_t" "ac_cv_type_ssize_t" "$ac_includes_default"
-if test "x$ac_cv_type_ssize_t" = xyes; then :
+if test "x$ac_cv_type_ssize_t" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_SSIZE_T 1
-_ACEOF
+printf "%s\n" "#define HAVE_SSIZE_T 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "u_char" "ac_cv_type_u_char" "$ac_includes_default"
-if test "x$ac_cv_type_u_char" = xyes; then :
+if test "x$ac_cv_type_u_char" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_U_CHAR 1
-_ACEOF
+printf "%s\n" "#define HAVE_U_CHAR 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "u_int" "ac_cv_type_u_int" "$ac_includes_default"
-if test "x$ac_cv_type_u_int" = xyes; then :
+if test "x$ac_cv_type_u_int" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_U_INT 1
-_ACEOF
+printf "%s\n" "#define HAVE_U_INT 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "u_long" "ac_cv_type_u_long" "$ac_includes_default"
-if test "x$ac_cv_type_u_long" = xyes; then :
+if test "x$ac_cv_type_u_long" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_U_LONG 1
-_ACEOF
+printf "%s\n" "#define HAVE_U_LONG 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "u_int8_t" "ac_cv_type_u_int8_t" "$ac_includes_default"
-if test "x$ac_cv_type_u_int8_t" = xyes; then :
+if test "x$ac_cv_type_u_int8_t" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_U_INT8_T 1
-_ACEOF
+printf "%s\n" "#define HAVE_U_INT8_T 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "u_int16_t" "ac_cv_type_u_int16_t" "$ac_includes_default"
-if test "x$ac_cv_type_u_int16_t" = xyes; then :
+if test "x$ac_cv_type_u_int16_t" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_U_INT16_T 1
-_ACEOF
+printf "%s\n" "#define HAVE_U_INT16_T 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "u_int32_t" "ac_cv_type_u_int32_t" "$ac_includes_default"
-if test "x$ac_cv_type_u_int32_t" = xyes; then :
+if test "x$ac_cv_type_u_int32_t" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_U_INT32_T 1
-_ACEOF
+printf "%s\n" "#define HAVE_U_INT32_T 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "int8_t" "ac_cv_type_int8_t" "$ac_includes_default"
-if test "x$ac_cv_type_int8_t" = xyes; then :
+if test "x$ac_cv_type_int8_t" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_INT8_T 1
-_ACEOF
+printf "%s\n" "#define HAVE_INT8_T 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "int16_t" "ac_cv_type_int16_t" "$ac_includes_default"
-if test "x$ac_cv_type_int16_t" = xyes; then :
+if test "x$ac_cv_type_int16_t" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_INT16_T 1
-_ACEOF
+printf "%s\n" "#define HAVE_INT16_T 1" >>confdefs.h
 
 
 fi
 ac_fn_c_check_type "$LINENO" "int32_t" "ac_cv_type_int32_t" "$ac_includes_default"
-if test "x$ac_cv_type_int32_t" = xyes; then :
+if test "x$ac_cv_type_int32_t" = xyes
+then :
 
-cat >>confdefs.h <<_ACEOF
-#define HAVE_INT32_T 1
-_ACEOF
+printf "%s\n" "#define HAVE_INT32_T 1" >>confdefs.h
 
 
 fi
@@ -11420,11 +12994,12 @@ fi
 FCTSH=false
 # Extract the first word of "sh", so it can be a program name with args.
 set dummy sh; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_SH+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_SH+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $SH in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_SH="$SH" # Let the user override the test with a path.
@@ -11434,11 +13009,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_SH="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_SH="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -11451,21 +13030,22 @@ esac
 fi
 SH=$ac_cv_path_SH
 if test -n "$SH"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $SH" >&5
-$as_echo "$SH" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $SH" >&5
+printf "%s\n" "$SH" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
 # Extract the first word of "sh5", so it can be a program name with args.
 set dummy sh5; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_SH5+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_SH5+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $SH5 in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_SH5="$SH5" # Let the user override the test with a path.
@@ -11475,11 +13055,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_SH5="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_SH5="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -11492,21 +13076,22 @@ esac
 fi
 SH5=$ac_cv_path_SH5
 if test -n "$SH5"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $SH5" >&5
-$as_echo "$SH5" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $SH5" >&5
+printf "%s\n" "$SH5" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
 # Extract the first word of "bash", so it can be a program name with args.
 set dummy bash; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_BASH+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_BASH+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $BASH in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_BASH="$BASH" # Let the user override the test with a path.
@@ -11516,11 +13101,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_BASH="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_BASH="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -11533,25 +13122,25 @@ esac
 fi
 BASH=$ac_cv_path_BASH
 if test -n "$BASH"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $BASH" >&5
-$as_echo "$BASH" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $BASH" >&5
+printf "%s\n" "$BASH" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
 for prog in $SH $SH5 $BASH; do
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if $prog supports functions" >&5
-$as_echo_n "checking if $prog supports functions... " >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if $prog supports functions" >&5
+printf %s "checking if $prog supports functions... " >&6; }
   if $prog -c 'foo() { true; }; foo' >/dev/null 2>&1; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
     FCTSH=$prog
     break
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
   fi
 done
 
@@ -11559,14 +13148,16 @@ done
 # Test for POSIX 2001 *printf support (X/Open System Interfaces extension
 # to ANSI/ISO C 1999 specification).  Specifically, positional
 # specifications; not checking for other features like %zx at present.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for POSIX printf positional specification support" >&5
-$as_echo_n "checking for POSIX printf positional specification support... " >&6; }
-if ${ac_cv_printf_positional+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  if test "$cross_compiling" = yes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for POSIX printf positional specification support" >&5
+printf %s "checking for POSIX printf positional specification support... " >&6; }
+if test ${ac_cv_printf_positional+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
+  if test "$cross_compiling" = yes
+then :
   as_fn_error $? "Cannot test for printf positional argument support when cross compiling" "$LINENO" 5
-else
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <stdio.h>
@@ -11584,9 +13175,10 @@ else
           return 0;
       }
 _ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
+if ac_fn_c_try_run "$LINENO"
+then :
   ac_cv_printf_positional=yes
-else
+else $as_nop
   ac_cv_printf_positional=no
 fi
 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
@@ -11596,19 +13188,20 @@ fi
 fi
 
 # Nothing for autoconf.h for now.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_printf_positional" >&5
-$as_echo "$ac_cv_printf_positional" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_printf_positional" >&5
+printf "%s\n" "$ac_cv_printf_positional" >&6; }
 
 
 # for t_locate_kdc test
 
 # Extract the first word of "dig", so it can be a program name with args.
 set dummy dig; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_DIG+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_DIG+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $DIG in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_DIG="$DIG" # Let the user override the test with a path.
@@ -11618,11 +13211,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_DIG="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_DIG="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -11635,21 +13232,22 @@ esac
 fi
 DIG=$ac_cv_path_DIG
 if test -n "$DIG"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $DIG" >&5
-$as_echo "$DIG" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $DIG" >&5
+printf "%s\n" "$DIG" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
 # Extract the first word of "nslookup", so it can be a program name with args.
 set dummy nslookup; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_NSLOOKUP+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_NSLOOKUP+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $NSLOOKUP in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_NSLOOKUP="$NSLOOKUP" # Let the user override the test with a path.
@@ -11659,11 +13257,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_NSLOOKUP="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_NSLOOKUP="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -11676,11 +13278,11 @@ esac
 fi
 NSLOOKUP=$ac_cv_path_NSLOOKUP
 if test -n "$NSLOOKUP"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $NSLOOKUP" >&5
-$as_echo "$NSLOOKUP" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $NSLOOKUP" >&5
+printf "%s\n" "$NSLOOKUP" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -11691,11 +13293,12 @@ for ac_prog in 'bison -y' byacc
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_YACC+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_YACC+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$YACC"; then
   ac_cv_prog_YACC="$YACC" # Let the user override the test.
 else
@@ -11703,11 +13306,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_YACC="$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -11718,11 +13325,11 @@ fi
 fi
 YACC=$ac_cv_prog_YACC
 if test -n "$YACC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $YACC" >&5
-$as_echo "$YACC" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $YACC" >&5
+printf "%s\n" "$YACC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -11732,16 +13339,18 @@ test -n "$YACC" || YACC="yacc"
 
 ath_compat=
 # Check whether --enable-athena was given.
-if test "${enable_athena+set}" = set; then :
+if test ${enable_athena+y}
+then :
   enableval=$enable_athena; ath_compat=compat
 fi
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether to use priocntl hack" >&5
-$as_echo_n "checking whether to use priocntl hack... " >&6; }
-if ${krb5_cv_priocntl_hack+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking whether to use priocntl hack" >&5
+printf %s "checking whether to use priocntl hack... " >&6; }
+if test ${krb5_cv_priocntl_hack+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $krb5_cv_host in
 *-*-solaris2.9*)
 	if test "$cross_compiling" = yes; then
@@ -11766,8 +13375,8 @@ END { exit e; }'; then
 	;;
 esac
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_priocntl_hack" >&5
-$as_echo "$krb5_cv_priocntl_hack" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_priocntl_hack" >&5
+printf "%s\n" "$krb5_cv_priocntl_hack" >&6; }
 if test "$krb5_cv_priocntl_hack" = yes; then
 	PRIOCNTL_HACK=1
 else
@@ -11777,11 +13386,12 @@ fi
 
 # Extract the first word of "perl", so it can be a program name with args.
 set dummy perl; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_PERL+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_PERL+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$PERL"; then
   ac_cv_prog_PERL="$PERL" # Let the user override the test.
 else
@@ -11789,11 +13399,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_PERL="perl"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -11804,21 +13418,22 @@ fi
 fi
 PERL=$ac_cv_prog_PERL
 if test -n "$PERL"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PERL" >&5
-$as_echo "$PERL" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $PERL" >&5
+printf "%s\n" "$PERL" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
 
 # lib/gssapi
-ac_fn_c_check_header_mongrel "$LINENO" "xom.h" "ac_cv_header_xom_h" "$ac_includes_default"
-if test "x$ac_cv_header_xom_h" = xyes; then :
+ac_fn_c_check_header_compile "$LINENO" "xom.h" "ac_cv_header_xom_h" "$ac_includes_default"
+if test "x$ac_cv_header_xom_h" = xyes
+then :
 
 	include_xom='awk '\''END{printf("%cinclude <xom.h>\n", 35);}'\'' < /dev/null'
-else
+else $as_nop
 
 	include_xom='echo "/* no xom.h */"'
 fi
@@ -11826,7 +13441,6 @@ fi
 
 
 
-
 # lib/rpc
 ### Check where struct rpcent is declared.
 
@@ -11843,14 +13457,14 @@ fi
 # neither netdb.h nor rpc/netdb.h declares struct rpcent, then define
 # STRUCT_RPCENT_IN_RPC_NETDB_H anyway.
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking where struct rpcent is declared" >&5
-$as_echo_n "checking where struct rpcent is declared... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking where struct rpcent is declared" >&5
+printf %s "checking where struct rpcent is declared... " >&6; }
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
 
 int
-main ()
+main (void)
 {
 struct rpcent e;
       char c = e.r_name[0];
@@ -11859,19 +13473,20 @@ struct rpcent e;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   netdb_rpcent=yes
-else
+else $as_nop
   netdb_rpcent=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 if test "$netdb_rpcent" = yes; then
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <rpc/netdb.h>
 
 int
-main ()
+main (void)
 {
 struct rpcent e;
         char c = e.r_name[0];
@@ -11880,40 +13495,47 @@ struct rpcent e;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   rpc_netdb_rpcent=yes
-else
+else $as_nop
   rpc_netdb_rpcent=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
   if test "$rpc_netdb_rpcent" = yes; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: rpc/netdb.h" >&5
-$as_echo "rpc/netdb.h" >&6; }
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: rpc/netdb.h" >&5
+printf "%s\n" "rpc/netdb.h" >&6; }
     rpcent_define='#define STRUCT_RPCENT_IN_RPC_NETDB_H'
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: netdb.h" >&5
-$as_echo "netdb.h" >&6; }
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: netdb.h" >&5
+printf "%s\n" "netdb.h" >&6; }
   fi
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: nowhere" >&5
-$as_echo "nowhere" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: nowhere" >&5
+printf "%s\n" "nowhere" >&6; }
   rpcent_define='#define STRUCT_RPCENT_IN_RPC_NETDB_H'
 fi
 
 
-for ac_header in sys/select.h sys/time.h unistd.h
-do :
-  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
-if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
+ac_fn_c_check_header_compile "$LINENO" "sys/select.h" "ac_cv_header_sys_select_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_select_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_SELECT_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "sys/time.h" "ac_cv_header_sys_time_h" "$ac_includes_default"
+if test "x$ac_cv_header_sys_time_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SYS_TIME_H 1" >>confdefs.h
+
+fi
+ac_fn_c_check_header_compile "$LINENO" "unistd.h" "ac_cv_header_unistd_h" "$ac_includes_default"
+if test "x$ac_cv_header_unistd_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_UNISTD_H 1" >>confdefs.h
 
 fi
 
-done
-
 if test $ac_cv_header_sys_select_h = yes; then
   GSSRPC__SYS_SELECT_H='#include <sys/select.h>'
 else
@@ -11933,58 +13555,62 @@ else
 fi
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for MAXHOSTNAMELEN in sys/param.h" >&5
-$as_echo_n "checking for MAXHOSTNAMELEN in sys/param.h... " >&6; }
-if ${krb5_cv_header_sys_param_h_maxhostnamelen+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for MAXHOSTNAMELEN in sys/param.h" >&5
+printf %s "checking for MAXHOSTNAMELEN in sys/param.h... " >&6; }
+if test ${krb5_cv_header_sys_param_h_maxhostnamelen+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/param.h>
 
 int
-main ()
+main (void)
 {
 int i = MAXHOSTNAMELEN;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_header_sys_param_h_maxhostnamelen=yes
-else
+else $as_nop
   krb5_cv_header_sys_param_h_maxhostnamelen=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_header_sys_param_h_maxhostnamelen" >&5
-$as_echo "$krb5_cv_header_sys_param_h_maxhostnamelen" >&6; }
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for MAXHOSTNAMELEN in netdb.h" >&5
-$as_echo_n "checking for MAXHOSTNAMELEN in netdb.h... " >&6; }
-if ${krb5_cv_header_netdb_h_maxhostnamelen+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_header_sys_param_h_maxhostnamelen" >&5
+printf "%s\n" "$krb5_cv_header_sys_param_h_maxhostnamelen" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for MAXHOSTNAMELEN in netdb.h" >&5
+printf %s "checking for MAXHOSTNAMELEN in netdb.h... " >&6; }
+if test ${krb5_cv_header_netdb_h_maxhostnamelen+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
 
 int
-main ()
+main (void)
 {
 int i = MAXHOSTNAMELEN;
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_header_netdb_h_maxhostnamelen=yes
-else
+else $as_nop
   krb5_cv_header_netdb_h_maxhostnamelen=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_header_netdb_h_maxhostnamelen" >&5
-$as_echo "$krb5_cv_header_netdb_h_maxhostnamelen" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_header_netdb_h_maxhostnamelen" >&5
+printf "%s\n" "$krb5_cv_header_netdb_h_maxhostnamelen" >&6; }
 
 GSSRPC__SYS_PARAM_H='/* #include <sys/param.h> */'
 GSSRPC__NETDB_H='/* #include <netdb.h> */'
@@ -11994,18 +13620,19 @@ else
   if test $krb5_cv_header_netdb_h_maxhostnamelen = yes; then
     GSSRPC__NETDB_H='#include <netdb.h>'
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: can't find MAXHOSTNAMELEN definition; faking it" >&5
-$as_echo "$as_me: WARNING: can't find MAXHOSTNAMELEN definition; faking it" >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: can't find MAXHOSTNAMELEN definition; faking it" >&5
+printf "%s\n" "$as_me: WARNING: can't find MAXHOSTNAMELEN definition; faking it" >&2;}
   fi
 fi
 
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for BSD type aliases" >&5
-$as_echo_n "checking for BSD type aliases... " >&6; }
-if ${krb5_cv_type_bsdaliases+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for BSD type aliases" >&5
+printf %s "checking for BSD type aliases... " >&6; }
+if test ${krb5_cv_type_bsdaliases+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <sys/types.h>
@@ -12014,7 +13641,7 @@ else
       #endif
 
 int
-main ()
+main (void)
 {
 u_char c;
       u_int i;
@@ -12023,15 +13650,16 @@ u_char c;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   krb5_cv_type_bsdaliases=yes
-else
+else $as_nop
   krb5_cv_type_bsdaliases=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_type_bsdaliases" >&5
-$as_echo "$krb5_cv_type_bsdaliases" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $krb5_cv_type_bsdaliases" >&5
+printf "%s\n" "$krb5_cv_type_bsdaliases" >&6; }
 if test $krb5_cv_type_bsdaliases = yes; then
   GSSRPC__BSD_TYPEALIASES='/* #undef GSSRPC__BSD_TYPEALIASES */'
 else
@@ -12039,74 +13667,76 @@ else
 fi
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking return type of setrpcent" >&5
-$as_echo_n "checking return type of setrpcent... " >&6; }
-if ${k5_cv_type_setrpcent+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking return type of setrpcent" >&5
+printf %s "checking return type of setrpcent... " >&6; }
+if test ${k5_cv_type_setrpcent+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
       extern void setrpcent();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   k5_cv_type_setrpcent=void
-else
+else $as_nop
   k5_cv_type_setrpcent=int
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $k5_cv_type_setrpcent" >&5
-$as_echo "$k5_cv_type_setrpcent" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $k5_cv_type_setrpcent" >&5
+printf "%s\n" "$k5_cv_type_setrpcent" >&6; }
 
-cat >>confdefs.h <<_ACEOF
-#define SETRPCENT_TYPE $k5_cv_type_setrpcent
-_ACEOF
+printf "%s\n" "#define SETRPCENT_TYPE $k5_cv_type_setrpcent" >>confdefs.h
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking return type of endrpcent" >&5
-$as_echo_n "checking return type of endrpcent... " >&6; }
-if ${k5_cv_type_endrpcent+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking return type of endrpcent" >&5
+printf %s "checking return type of endrpcent... " >&6; }
+if test ${k5_cv_type_endrpcent+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <netdb.h>
       extern void endrpcent();
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   k5_cv_type_endrpcent=void
-else
+else $as_nop
   k5_cv_type_endrpcent=int
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $k5_cv_type_endrpcent" >&5
-$as_echo "$k5_cv_type_endrpcent" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $k5_cv_type_endrpcent" >&5
+printf "%s\n" "$k5_cv_type_endrpcent" >&6; }
 
-cat >>confdefs.h <<_ACEOF
-#define ENDRPCENT_TYPE $k5_cv_type_endrpcent
-_ACEOF
+printf "%s\n" "#define ENDRPCENT_TYPE $k5_cv_type_endrpcent" >>confdefs.h
 
 ac_config_files="$ac_config_files include/gssrpc/types.h:include/gssrpc/types.hin"
 
 
 # for pkinit
 # Check whether --enable-pkinit was given.
-if test "${enable_pkinit+set}" = set; then :
+if test ${enable_pkinit+y}
+then :
   enableval=$enable_pkinit;
-else
+else $as_nop
   enable_pkinit=try
 fi
 
 if test "$enable_pkinit" = yes || test "$enable_pkinit" = try; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for a recent enough OpenSSL" >&5
-$as_echo_n "checking for a recent enough OpenSSL... " >&6; }
-if ${k5_cv_openssl_version_okay+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for a recent enough OpenSSL" >&5
+printf %s "checking for a recent enough OpenSSL... " >&6; }
+if test ${k5_cv_openssl_version_okay+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <openssl/opensslv.h>
@@ -12116,21 +13746,23 @@ else
 int i = 1;
 
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+if ac_fn_c_try_compile "$LINENO"
+then :
   k5_cv_openssl_version_okay=yes
-else
+else $as_nop
   k5_cv_openssl_version_okay=no
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $k5_cv_openssl_version_okay" >&5
-$as_echo "$k5_cv_openssl_version_okay" >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $k5_cv_openssl_version_okay" >&5
+printf "%s\n" "$k5_cv_openssl_version_okay" >&6; }
   old_LIBS="$LIBS"
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for PKCS7_get_signer_info in -lcrypto" >&5
-$as_echo_n "checking for PKCS7_get_signer_info in -lcrypto... " >&6; }
-if ${ac_cv_lib_crypto_PKCS7_get_signer_info+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for PKCS7_get_signer_info in -lcrypto" >&5
+printf %s "checking for PKCS7_get_signer_info in -lcrypto... " >&6; }
+if test ${ac_cv_lib_crypto_PKCS7_get_signer_info+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcrypto  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -12139,48 +13771,41 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char PKCS7_get_signer_info ();
 int
-main ()
+main (void)
 {
 return PKCS7_get_signer_info ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_crypto_PKCS7_get_signer_info=yes
-else
+else $as_nop
   ac_cv_lib_crypto_PKCS7_get_signer_info=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_crypto_PKCS7_get_signer_info" >&5
-$as_echo "$ac_cv_lib_crypto_PKCS7_get_signer_info" >&6; }
-if test "x$ac_cv_lib_crypto_PKCS7_get_signer_info" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBCRYPTO 1
-_ACEOF
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_crypto_PKCS7_get_signer_info" >&5
+printf "%s\n" "$ac_cv_lib_crypto_PKCS7_get_signer_info" >&6; }
+if test "x$ac_cv_lib_crypto_PKCS7_get_signer_info" = xyes
+then :
+  printf "%s\n" "#define HAVE_LIBCRYPTO 1" >>confdefs.h
 
   LIBS="-lcrypto $LIBS"
 
 fi
 
-  for ac_func in EVP_PKEY_get_bn_param
-do :
   ac_fn_c_check_func "$LINENO" "EVP_PKEY_get_bn_param" "ac_cv_func_EVP_PKEY_get_bn_param"
-if test "x$ac_cv_func_EVP_PKEY_get_bn_param" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_EVP_PKEY_GET_BN_PARAM 1
-_ACEOF
+if test "x$ac_cv_func_EVP_PKEY_get_bn_param" = xyes
+then :
+  printf "%s\n" "#define HAVE_EVP_PKEY_GET_BN_PARAM 1" >>confdefs.h
 
 fi
-done
 
   LIBS="$old_LIBS"
 fi
@@ -12198,20 +13823,21 @@ elif test "$k5_cv_openssl_version_okay"
   as_fn_error $? "Version of OpenSSL is too old; cannot enable PKINIT." "$LINENO" 5
 else
 
-$as_echo "#define DISABLE_PKINIT 1" >>confdefs.h
+printf "%s\n" "#define DISABLE_PKINIT 1" >>confdefs.h
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: Disabling PKINIT support." >&5
-$as_echo "$as_me: Disabling PKINIT support." >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: Disabling PKINIT support." >&5
+printf "%s\n" "$as_me: Disabling PKINIT support." >&6;}
   PKINIT=no
 fi
 
 
 # for lib/apputils
 ac_fn_c_check_func "$LINENO" "daemon" "ac_cv_func_daemon"
-if test "x$ac_cv_func_daemon" = xyes; then :
-  $as_echo "#define HAVE_DAEMON 1" >>confdefs.h
+if test "x$ac_cv_func_daemon" = xyes
+then :
+  printf "%s\n" "#define HAVE_DAEMON 1" >>confdefs.h
 
-else
+else $as_nop
   case " $LIBOBJS " in
   *" daemon.$ac_objext "* ) ;;
   *) LIBOBJS="$LIBOBJS daemon.$ac_objext"
@@ -12221,7 +13847,6 @@ esac
 fi
 
 
-
 # For Python tests.  Python version 3.2.4 is required as prior
 # versions do not accept string input to subprocess.Popen.communicate
 # when universal_newlines is set.
@@ -12229,11 +13854,12 @@ PYTHON_MINVERSION=3.2.4
 
 # Extract the first word of "python3", so it can be a program name with args.
 set dummy python3; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_PYTHON+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_PYTHON+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$PYTHON"; then
   ac_cv_prog_PYTHON="$PYTHON" # Let the user override the test.
 else
@@ -12241,11 +13867,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_PYTHON="python3"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -12256,22 +13886,23 @@ fi
 fi
 PYTHON=$ac_cv_prog_PYTHON
 if test -n "$PYTHON"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PYTHON" >&5
-$as_echo "$PYTHON" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $PYTHON" >&5
+printf "%s\n" "$PYTHON" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
 if test x"$PYTHON" = x; then
 	# Extract the first word of "python", so it can be a program name with args.
 set dummy python; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_prog_PYTHON+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_prog_PYTHON+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   if test -n "$PYTHON"; then
   ac_cv_prog_PYTHON="$PYTHON" # Let the user override the test.
 else
@@ -12279,11 +13910,15 @@ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
     ac_cv_prog_PYTHON="python"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -12294,11 +13929,11 @@ fi
 fi
 PYTHON=$ac_cv_prog_PYTHON
 if test -n "$PYTHON"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PYTHON" >&5
-$as_echo "$PYTHON" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $PYTHON" >&5
+printf "%s\n" "$PYTHON" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -12322,18 +13957,19 @@ ac_fn_c_check_header_compile "$LINENO" "
 #include <stddef.h>
 #include <setjmp.h>
 "
-if test "x$ac_cv_header_cmocka_h" = xyes; then :
+if test "x$ac_cv_header_cmocka_h" = xyes
+then :
   HAVE_CMOCKA_H=yes
-else
+else $as_nop
   :
 fi
 
-
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for _cmocka_run_group_tests in -lcmocka" >&5
-$as_echo_n "checking for _cmocka_run_group_tests in -lcmocka... " >&6; }
-if ${ac_cv_lib_cmocka__cmocka_run_group_tests+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for _cmocka_run_group_tests in -lcmocka" >&5
+printf %s "checking for _cmocka_run_group_tests in -lcmocka... " >&6; }
+if test ${ac_cv_lib_cmocka__cmocka_run_group_tests+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcmocka  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -12342,30 +13978,29 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char _cmocka_run_group_tests ();
 int
-main ()
+main (void)
 {
 return _cmocka_run_group_tests ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_cmocka__cmocka_run_group_tests=yes
-else
+else $as_nop
   ac_cv_lib_cmocka__cmocka_run_group_tests=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_cmocka__cmocka_run_group_tests" >&5
-$as_echo "$ac_cv_lib_cmocka__cmocka_run_group_tests" >&6; }
-if test "x$ac_cv_lib_cmocka__cmocka_run_group_tests" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_cmocka__cmocka_run_group_tests" >&5
+printf "%s\n" "$ac_cv_lib_cmocka__cmocka_run_group_tests" >&6; }
+if test "x$ac_cv_lib_cmocka__cmocka_run_group_tests" = xyes
+then :
   HAVE_CMOCKA_LIB=yes
 fi
 
@@ -12373,7 +14008,7 @@ if test "$HAVE_CMOCKA_LIB" = yes && test
     HAVE_CMOCKA=yes
     CMOCKA_LIBS='-lcmocka'
 
-$as_echo "#define HAVE_CMOCKA 1" >>confdefs.h
+printf "%s\n" "#define HAVE_CMOCKA 1" >>confdefs.h
 
 fi
 
@@ -12383,10 +14018,10 @@ fi
 # support.
 HAVE_RESOLV_WRAPPER=0
 if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"resolv_wrapper >= 1.1.5\""; } >&5
+    { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"resolv_wrapper >= 1.1.5\""; } >&5
   ($PKG_CONFIG --exists --print-errors "resolv_wrapper >= 1.1.5") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; then
   HAVE_RESOLV_WRAPPER=1
 fi
@@ -12423,18 +14058,18 @@ if test "$enable_thread_support" = yes;
     tsmissing="$tsmissing res_nsearch"
   fi
   if test "$tsmissing" != ""; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Some functions that are needed for library thread" >&5
-$as_echo "$as_me: WARNING: Some functions that are needed for library thread" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: safety appear to be missing." >&5
-$as_echo "$as_me: WARNING: safety appear to be missing." >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: Some functions that are needed for library thread" >&5
+printf "%s\n" "$as_me: WARNING: Some functions that are needed for library thread" >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: safety appear to be missing." >&5
+printf "%s\n" "$as_me: WARNING: safety appear to be missing." >&2;}
     for ts in $tsmissing; do
-      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING:   missing thread-safe function: $ts" >&5
-$as_echo "$as_me: WARNING:   missing thread-safe function: $ts" >&2;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING:   missing thread-safe function: $ts" >&5
+printf "%s\n" "$as_me: WARNING:   missing thread-safe function: $ts" >&2;}
     done
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Without these functions, the installed libraries" >&5
-$as_echo "$as_me: WARNING: Without these functions, the installed libraries" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: may not be thread-safe." >&5
-$as_echo "$as_me: WARNING: may not be thread-safe." >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: Without these functions, the installed libraries" >&5
+printf "%s\n" "$as_me: WARNING: Without these functions, the installed libraries" >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: may not be thread-safe." >&5
+printf "%s\n" "$as_me: WARNING: may not be thread-safe." >&2;}
   fi # tsmissing not empty
 fi # enable_thread_support
 
@@ -12467,26 +14102,27 @@ fi
 ldap_plugin_dir=""
 ldap_lib=""
 if test -n "$OPENLDAP_PLUGIN"; then
-  for ac_header in ldap.h lber.h
+         for ac_header in ldap.h lber.h
 do :
-  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
-if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
+  as_ac_Header=`printf "%s\n" "ac_cv_header_$ac_header" | $as_tr_sh`
+ac_fn_c_check_header_compile "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
+if eval test \"x\$"$as_ac_Header"\" = x"yes"
+then :
   cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
+#define `printf "%s\n" "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
  :
-else
+else $as_nop
   as_fn_error $? "$ac_header not found" "$LINENO" 5
 fi
 
 done
-
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ldap_str2dn in -lldap" >&5
-$as_echo_n "checking for ldap_str2dn in -lldap... " >&6; }
-if ${ac_cv_lib_ldap_ldap_str2dn+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for ldap_str2dn in -lldap" >&5
+printf %s "checking for ldap_str2dn in -lldap... " >&6; }
+if test ${ac_cv_lib_ldap_ldap_str2dn+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lldap  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -12495,42 +14131,42 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char ldap_str2dn ();
 int
-main ()
+main (void)
 {
 return ldap_str2dn ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_ldap_ldap_str2dn=yes
-else
+else $as_nop
   ac_cv_lib_ldap_ldap_str2dn=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ldap_ldap_str2dn" >&5
-$as_echo "$ac_cv_lib_ldap_ldap_str2dn" >&6; }
-if test "x$ac_cv_lib_ldap_ldap_str2dn" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ldap_ldap_str2dn" >&5
+printf "%s\n" "$ac_cv_lib_ldap_ldap_str2dn" >&6; }
+if test "x$ac_cv_lib_ldap_ldap_str2dn" = xyes
+then :
   :
-else
+else $as_nop
   as_fn_error $? "libldap not found or missing ldap_str2dn" "$LINENO" 5
 fi
 
 
   BER_OKAY=0
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ber_init in -lldap" >&5
-$as_echo_n "checking for ber_init in -lldap... " >&6; }
-if ${ac_cv_lib_ldap_ber_init+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for ber_init in -lldap" >&5
+printf %s "checking for ber_init in -lldap... " >&6; }
+if test ${ac_cv_lib_ldap_ber_init+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lldap  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -12539,41 +14175,41 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char ber_init ();
 int
-main ()
+main (void)
 {
 return ber_init ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_ldap_ber_init=yes
-else
+else $as_nop
   ac_cv_lib_ldap_ber_init=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ldap_ber_init" >&5
-$as_echo "$ac_cv_lib_ldap_ber_init" >&6; }
-if test "x$ac_cv_lib_ldap_ber_init" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ldap_ber_init" >&5
+printf "%s\n" "$ac_cv_lib_ldap_ber_init" >&6; }
+if test "x$ac_cv_lib_ldap_ber_init" = xyes
+then :
   BER_OKAY=1
 fi
 
   if test "$BER_OKAY" = "1"; then
     LDAP_LIBS='-lldap'
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ber_init in -llber" >&5
-$as_echo_n "checking for ber_init in -llber... " >&6; }
-if ${ac_cv_lib_lber_ber_init+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for ber_init in -llber" >&5
+printf %s "checking for ber_init in -llber... " >&6; }
+if test ${ac_cv_lib_lber_ber_init+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-llber  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -12582,34 +14218,33 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char ber_init ();
 int
-main ()
+main (void)
 {
 return ber_init ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_lber_ber_init=yes
-else
+else $as_nop
   ac_cv_lib_lber_ber_init=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_lber_ber_init" >&5
-$as_echo "$ac_cv_lib_lber_ber_init" >&6; }
-if test "x$ac_cv_lib_lber_ber_init" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_lber_ber_init" >&5
+printf "%s\n" "$ac_cv_lib_lber_ber_init" >&6; }
+if test "x$ac_cv_lib_lber_ber_init" = xyes
+then :
   BER_OKAY=1
-else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: libber not found" >&5
-$as_echo "$as_me: WARNING: libber not found" >&2;}
+else $as_nop
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: libber not found" >&5
+printf "%s\n" "$as_me: WARNING: libber not found" >&2;}
 fi
 
     if test "$BER_OKAY" = "1"; then
@@ -12619,28 +14254,26 @@ fi
     fi
   fi
 
-$as_echo "#define ENABLE_LDAP 1" >>confdefs.h
+printf "%s\n" "#define ENABLE_LDAP 1" >>confdefs.h
 
 
 
-  for ac_header in sasl/sasl.h
+         for ac_header in sasl/sasl.h
 do :
-  ac_fn_c_check_header_mongrel "$LINENO" "sasl/sasl.h" "ac_cv_header_sasl_sasl_h" "$ac_includes_default"
-if test "x$ac_cv_header_sasl_sasl_h" = xyes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_SASL_SASL_H 1
-_ACEOF
+  ac_fn_c_check_header_compile "$LINENO" "sasl/sasl.h" "ac_cv_header_sasl_sasl_h" "$ac_includes_default"
+if test "x$ac_cv_header_sasl_sasl_h" = xyes
+then :
+  printf "%s\n" "#define HAVE_SASL_SASL_H 1" >>confdefs.h
  HAVE_SASL=yes
-else
+else $as_nop
   HAVE_SASL=no
 fi
 
 done
 
-
   if test "$HAVE_SASL" = no; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: not building LDAP SASL support" >&5
-$as_echo "$as_me: WARNING: not building LDAP SASL support" >&2;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: not building LDAP SASL support" >&5
+printf "%s\n" "$as_me: WARNING: not building LDAP SASL support" >&2;}
   fi
 
   ac_config_files="$ac_config_files plugins/kdb/ldap/Makefile:$srcdir/./config/pre.in:plugins/kdb/ldap/Makefile.in:plugins/kdb/ldap/deps:$srcdir/./config/post.in"
@@ -12666,11 +14299,12 @@ fi
 sam2_plugin=""
 old_CFLAGS=$CFLAGS
 CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for SD_Init in -laceclnt" >&5
-$as_echo_n "checking for SD_Init in -laceclnt... " >&6; }
-if ${ac_cv_lib_aceclnt_SD_Init+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for SD_Init in -laceclnt" >&5
+printf %s "checking for SD_Init in -laceclnt... " >&6; }
+if test ${ac_cv_lib_aceclnt_SD_Init+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-laceclnt  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -12679,33 +14313,32 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char SD_Init ();
 int
-main ()
+main (void)
 {
 return SD_Init ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_aceclnt_SD_Init=yes
-else
+else $as_nop
   ac_cv_lib_aceclnt_SD_Init=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_aceclnt_SD_Init" >&5
-$as_echo "$ac_cv_lib_aceclnt_SD_Init" >&6; }
-if test "x$ac_cv_lib_aceclnt_SD_Init" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_aceclnt_SD_Init" >&5
+printf "%s\n" "$ac_cv_lib_aceclnt_SD_Init" >&6; }
+if test "x$ac_cv_lib_aceclnt_SD_Init" = xyes
+then :
 
-	     { $as_echo "$as_me:${as_lineno-$LINENO}: Enabling RSA securID support" >&5
-$as_echo "$as_me: Enabling RSA securID support" >&6;}
+	     { printf "%s\n" "$as_me:${as_lineno-$LINENO}: Enabling RSA securID support" >&5
+printf "%s\n" "$as_me: Enabling RSA securID support" >&6;}
 	     ac_config_files="$ac_config_files plugins/preauth/securid_sam2/Makefile:$srcdir/./config/pre.in:plugins/preauth/securid_sam2/Makefile.in:plugins/preauth/securid_sam2/deps:$srcdir/./config/post.in"
 
 
@@ -12721,18 +14354,20 @@ lmdb_plugin_dir=""
 HAVE_LMDB=no
 
 # Check whether --with-lmdb was given.
-if test "${with_lmdb+set}" = set; then :
+if test ${with_lmdb+y}
+then :
   withval=$with_lmdb;
-else
+else $as_nop
   withval=auto
 fi
 
 if test "$withval" = auto -o "$withval" = yes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for mdb_env_create in -llmdb" >&5
-$as_echo_n "checking for mdb_env_create in -llmdb... " >&6; }
-if ${ac_cv_lib_lmdb_mdb_env_create+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for mdb_env_create in -llmdb" >&5
+printf %s "checking for mdb_env_create in -llmdb... " >&6; }
+if test ${ac_cv_lib_lmdb_mdb_env_create+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-llmdb  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -12741,32 +14376,31 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
    builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
 char mdb_env_create ();
 int
-main ()
+main (void)
 {
 return mdb_env_create ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_lmdb_mdb_env_create=yes
-else
+else $as_nop
   ac_cv_lib_lmdb_mdb_env_create=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_lmdb_mdb_env_create" >&5
-$as_echo "$ac_cv_lib_lmdb_mdb_env_create" >&6; }
-if test "x$ac_cv_lib_lmdb_mdb_env_create" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_lmdb_mdb_env_create" >&5
+printf "%s\n" "$ac_cv_lib_lmdb_mdb_env_create" >&6; }
+if test "x$ac_cv_lib_lmdb_mdb_env_create" = xyes
+then :
   have_lmdb=true
-else
+else $as_nop
   have_lmdb=false
 fi
 
@@ -12790,7 +14424,7 @@ fi
 
 if test "$ac_cv_lib_socket" = "yes" -a "$ac_cv_lib_nsl" = "yes"; then
 
-$as_echo "#define BROKEN_STREAMS_SOCKETS 1" >>confdefs.h
+printf "%s\n" "#define BROKEN_STREAMS_SOCKETS 1" >>confdefs.h
 
 fi
 
@@ -12798,17 +14432,19 @@ fi
 # with readline only if asked, to avoid a default GPL dependency.
 
 # Check whether --with-libedit was given.
-if test "${with_libedit+set}" = set; then :
+if test ${with_libedit+y}
+then :
   withval=$with_libedit;
-else
+else $as_nop
   with_libedit=default
 fi
 
 
 # Check whether --with-readline was given.
-if test "${with_readline+set}" = set; then :
+if test ${with_readline+y}
+then :
   withval=$with_readline;
-else
+else $as_nop
   with_readline=no
 fi
 
@@ -12820,17 +14456,17 @@ RL_LIBS=
 if test "x$with_libedit" != xno; then
 
 pkg_failed=no
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for libedit" >&5
-$as_echo_n "checking for libedit... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for libedit" >&5
+printf %s "checking for libedit... " >&6; }
 
 if test -n "$LIBEDIT_CFLAGS"; then
     pkg_cv_LIBEDIT_CFLAGS="$LIBEDIT_CFLAGS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"libedit\""; } >&5
+    { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"libedit\""; } >&5
   ($PKG_CONFIG --exists --print-errors "libedit") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; then
   pkg_cv_LIBEDIT_CFLAGS=`$PKG_CONFIG --cflags "libedit" 2>/dev/null`
 		      test "x$?" != "x0" && pkg_failed=yes
@@ -12844,10 +14480,10 @@ if test -n "$LIBEDIT_LIBS"; then
     pkg_cv_LIBEDIT_LIBS="$LIBEDIT_LIBS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"libedit\""; } >&5
+    { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"libedit\""; } >&5
   ($PKG_CONFIG --exists --print-errors "libedit") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; then
   pkg_cv_LIBEDIT_LIBS=`$PKG_CONFIG --libs "libedit" 2>/dev/null`
 		      test "x$?" != "x0" && pkg_failed=yes
@@ -12861,8 +14497,8 @@ fi
 
 
 if test $pkg_failed = yes; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 
 if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
         _pkg_short_errors_supported=yes
@@ -12879,39 +14515,40 @@ fi
 
 	have_libedit=no
 elif test $pkg_failed = untried; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 	have_libedit=no
 else
 	LIBEDIT_CFLAGS=$pkg_cv_LIBEDIT_CFLAGS
 	LIBEDIT_LIBS=$pkg_cv_LIBEDIT_LIBS
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
 	have_libedit=yes
 fi
   if test "x$have_libedit" = xyes; then
     RL_CFLAGS=$LIBEDIT_CFLAGS
     RL_LIBS=$LIBEDIT_LIBS
 
-$as_echo "#define HAVE_LIBEDIT 1" >>confdefs.h
+printf "%s\n" "#define HAVE_LIBEDIT 1" >>confdefs.h
 
-    { $as_echo "$as_me:${as_lineno-$LINENO}: Using libedit for readline support" >&5
-$as_echo "$as_me: Using libedit for readline support" >&6;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: Using libedit for readline support" >&5
+printf "%s\n" "$as_me: Using libedit for readline support" >&6;}
   elif test "x$with_libedit" = xyes; then
     # We were explicitly asked for libedit and couldn't find it.
     as_fn_error $? "Could not detect libedit with pkg-config" "$LINENO" 5
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: Not using any readline support" >&5
-$as_echo "$as_me: Not using any readline support" >&6;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: Not using any readline support" >&5
+printf "%s\n" "$as_me: Not using any readline support" >&6;}
   fi
 elif test "x$with_readline" = xyes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: Using GNU Readline" >&5
-$as_echo "$as_me: Using GNU Readline" >&6;}
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lreadline" >&5
-$as_echo_n "checking for main in -lreadline... " >&6; }
-if ${ac_cv_lib_readline_main+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: Using GNU Readline" >&5
+printf "%s\n" "$as_me: Using GNU Readline" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for main in -lreadline" >&5
+printf %s "checking for main in -lreadline... " >&6; }
+if test ${ac_cv_lib_readline_main+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lreadline  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -12919,49 +14556,52 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_
 
 
 int
-main ()
+main (void)
 {
 return main ();
   ;
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
+if ac_fn_c_try_link "$LINENO"
+then :
   ac_cv_lib_readline_main=yes
-else
+else $as_nop
   ac_cv_lib_readline_main=no
 fi
-rm -f core conftest.err conftest.$ac_objext \
+rm -f core conftest.err conftest.$ac_objext conftest.beam \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_readline_main" >&5
-$as_echo "$ac_cv_lib_readline_main" >&6; }
-if test "x$ac_cv_lib_readline_main" = xyes; then :
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_readline_main" >&5
+printf "%s\n" "$ac_cv_lib_readline_main" >&6; }
+if test "x$ac_cv_lib_readline_main" = xyes
+then :
   :
-else
-  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+else $as_nop
+  { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+printf "%s\n" "$as_me: error: in \`$ac_pwd':" >&2;}
 as_fn_error $? "Cannot find readline library.
 See \`config.log' for more details" "$LINENO" 5; }
 fi
 
 
-$as_echo "#define HAVE_READLINE 1" >>confdefs.h
+printf "%s\n" "#define HAVE_READLINE 1" >>confdefs.h
 
   RL_LIBS='-lreadline'
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: Not using any readline support" >&5
-$as_echo "Not using any readline support" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: Not using any readline support" >&5
+printf "%s\n" "Not using any readline support" >&6; }
 fi
 
 
 
 
 # Check whether --with-system-verto was given.
-if test "${with_system_verto+set}" = set; then :
+if test ${with_system_verto+y}
+then :
   withval=$with_system_verto;
-else
+else $as_nop
   with_system_verto=default
 fi
 
@@ -12969,17 +14609,17 @@ VERTO_VERSION=k5
 if test "x$with_system_verto" != xno; then
 
 pkg_failed=no
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for libverto" >&5
-$as_echo_n "checking for libverto... " >&6; }
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for libverto" >&5
+printf %s "checking for libverto... " >&6; }
 
 if test -n "$VERTO_CFLAGS"; then
     pkg_cv_VERTO_CFLAGS="$VERTO_CFLAGS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"libverto\""; } >&5
+    { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"libverto\""; } >&5
   ($PKG_CONFIG --exists --print-errors "libverto") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; then
   pkg_cv_VERTO_CFLAGS=`$PKG_CONFIG --cflags "libverto" 2>/dev/null`
 		      test "x$?" != "x0" && pkg_failed=yes
@@ -12993,10 +14633,10 @@ if test -n "$VERTO_LIBS"; then
     pkg_cv_VERTO_LIBS="$VERTO_LIBS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"libverto\""; } >&5
+    { { printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"libverto\""; } >&5
   ($PKG_CONFIG --exists --print-errors "libverto") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  printf "%s\n" "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
   test $ac_status = 0; }; then
   pkg_cv_VERTO_LIBS=`$PKG_CONFIG --libs "libverto" 2>/dev/null`
 		      test "x$?" != "x0" && pkg_failed=yes
@@ -13010,8 +14650,8 @@ fi
 
 
 if test $pkg_failed = yes; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 
 if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
         _pkg_short_errors_supported=yes
@@ -13028,14 +14668,14 @@ fi
 
 	have_sysverto=no
 elif test $pkg_failed = untried; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 	have_sysverto=no
 else
 	VERTO_CFLAGS=$pkg_cv_VERTO_CFLAGS
 	VERTO_LIBS=$pkg_cv_VERTO_LIBS
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
+        { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+printf "%s\n" "yes" >&6; }
 	have_sysverto=yes
 fi
   if test "x$have_sysverto" = xyes; then
@@ -13045,13 +14685,13 @@ fi
   fi
 fi
 if test "x$VERTO_VERSION" = xsys; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: Using system libverto" >&5
-$as_echo "$as_me: Using system libverto" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: Using system libverto" >&5
+printf "%s\n" "$as_me: Using system libverto" >&6;}
 else
   VERTO_CFLAGS=
   VERTO_LIBS="-lverto"
-  { $as_echo "$as_me:${as_lineno-$LINENO}: Using built-in libverto" >&5
-$as_echo "$as_me: Using built-in libverto" >&6;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: Using built-in libverto" >&5
+printf "%s\n" "$as_me: Using built-in libverto" >&6;}
 fi
 
 
@@ -13059,11 +14699,12 @@ fi
 
 # Extract the first word of "groff", so it can be a program name with args.
 set dummy groff; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if ${ac_cv_path_GROFF+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+printf %s "checking for $ac_word... " >&6; }
+if test ${ac_cv_path_GROFF+y}
+then :
+  printf %s "(cached) " >&6
+else $as_nop
   case $GROFF in
   [\\/]* | ?:[\\/]*)
   ac_cv_path_GROFF="$GROFF" # Let the user override the test with a path.
@@ -13073,11 +14714,15 @@ else
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
     for ac_exec_ext in '' $ac_executable_extensions; do
-  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_GROFF="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+  if as_fn_executable_p "$as_dir$ac_word$ac_exec_ext"; then
+    ac_cv_path_GROFF="$as_dir$ac_word$ac_exec_ext"
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: found $as_dir$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
@@ -13089,11 +14734,11 @@ esac
 fi
 GROFF=$ac_cv_path_GROFF
 if test -n "$GROFF"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $GROFF" >&5
-$as_echo "$GROFF" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: $GROFF" >&5
+printf "%s\n" "$GROFF" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: result: no" >&5
+printf "%s\n" "no" >&6; }
 fi
 
 
@@ -13131,7 +14776,7 @@ case $host in
 esac
 if test "$macos_defccname" = API:; then
 
-$as_echo "#define USE_CCAPI_MACOS 1" >>confdefs.h
+printf "%s\n" "#define USE_CCAPI_MACOS 1" >>confdefs.h
 
 fi
 
@@ -13146,9 +14791,10 @@ fi
 
 
 # Check whether --with-krb5-config was given.
-if test "${with_krb5_config+set}" = set; then :
+if test ${with_krb5_config+y}
+then :
   withval=$with_krb5_config;
-else
+else $as_nop
   with_krb5_config=krb5-config
 fi
 
@@ -13157,8 +14803,8 @@ if test "x$with_krb5_config" != xno; the
 		with_krb5_config=krb5-config
 	fi
 	if $with_krb5_config --help 2>&1 | grep defccname >/dev/null; then
-		{ $as_echo "$as_me:${as_lineno-$LINENO}: Using $with_krb5_config for build defaults" >&5
-$as_echo "$as_me: Using $with_krb5_config for build defaults" >&6;}
+		{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: Using $with_krb5_config for build defaults" >&5
+printf "%s\n" "$as_me: Using $with_krb5_config for build defaults" >&6;}
 		: "${DEFCCNAME=`$with_krb5_config --defccname`}"
 		: "${DEFKTNAME=`$with_krb5_config --defktname`}"
 		: "${DEFCKTNAME=`$with_krb5_config --defcktname`}"
@@ -13186,38 +14832,30 @@ exp_localstatedir=`(test "x$prefix" = xN
      echo "$_lcl_receval")`
 	DEFCKTNAME=FILE:$exp_localstatedir/krb5/user/%{euid}/client.keytab
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: Default ccache name: $DEFCCNAME" >&5
-$as_echo "$as_me: Default ccache name: $DEFCCNAME" >&6;}
-{ $as_echo "$as_me:${as_lineno-$LINENO}: Default keytab name: $DEFKTNAME" >&5
-$as_echo "$as_me: Default keytab name: $DEFKTNAME" >&6;}
-{ $as_echo "$as_me:${as_lineno-$LINENO}: Default client keytab name: $DEFCKTNAME" >&5
-$as_echo "$as_me: Default client keytab name: $DEFCKTNAME" >&6;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: Default ccache name: $DEFCCNAME" >&5
+printf "%s\n" "$as_me: Default ccache name: $DEFCCNAME" >&6;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: Default keytab name: $DEFKTNAME" >&5
+printf "%s\n" "$as_me: Default keytab name: $DEFKTNAME" >&6;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: Default client keytab name: $DEFCKTNAME" >&5
+printf "%s\n" "$as_me: Default client keytab name: $DEFCKTNAME" >&6;}
 
-cat >>confdefs.h <<_ACEOF
-#define DEFCCNAME "$DEFCCNAME"
-_ACEOF
+printf "%s\n" "#define DEFCCNAME \"$DEFCCNAME\"" >>confdefs.h
 
 
-cat >>confdefs.h <<_ACEOF
-#define DEFKTNAME "$DEFKTNAME"
-_ACEOF
+printf "%s\n" "#define DEFKTNAME \"$DEFKTNAME\"" >>confdefs.h
 
 
-cat >>confdefs.h <<_ACEOF
-#define DEFCKTNAME "$DEFCKTNAME"
-_ACEOF
+printf "%s\n" "#define DEFCKTNAME \"$DEFCKTNAME\"" >>confdefs.h
 
 
 
 if test "${PKCS11_MODNAME+set}" != set; then
 	PKCS11_MODNAME=opensc-pkcs11.so
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: Default PKCS11 module name: $PKCS11_MODNAME" >&5
-$as_echo "$as_me: Default PKCS11 module name: $PKCS11_MODNAME" >&6;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: Default PKCS11 module name: $PKCS11_MODNAME" >&5
+printf "%s\n" "$as_me: Default PKCS11 module name: $PKCS11_MODNAME" >&6;}
 
-cat >>confdefs.h <<_ACEOF
-#define PKCS11_MODNAME "$PKCS11_MODNAME"
-_ACEOF
+printf "%s\n" "#define PKCS11_MODNAME \"$PKCS11_MODNAME\"" >>confdefs.h
 
 
 ac_config_files="$ac_config_files build-tools/krb5-config"
@@ -13363,8 +15001,8 @@ _ACEOF
     case $ac_val in #(
     *${as_nl}*)
       case $ac_var in #(
-      *_cv_*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
-$as_echo "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
+      *_cv_*) { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
+printf "%s\n" "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
       esac
       case $ac_var in #(
       _ | IFS | as_nl) ;; #(
@@ -13394,15 +15032,15 @@ $as_echo "$as_me: WARNING: cache variabl
      /^ac_cv_env_/b end
      t clear
      :clear
-     s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
+     s/^\([^=]*\)=\(.*[{}].*\)$/test ${\1+y} || &/
      t end
      s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
      :end' >>confcache
 if diff "$cache_file" confcache >/dev/null 2>&1; then :; else
   if test -w "$cache_file"; then
     if test "x$cache_file" != "x/dev/null"; then
-      { $as_echo "$as_me:${as_lineno-$LINENO}: updating cache $cache_file" >&5
-$as_echo "$as_me: updating cache $cache_file" >&6;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: updating cache $cache_file" >&5
+printf "%s\n" "$as_me: updating cache $cache_file" >&6;}
       if test ! -f "$cache_file" || test -h "$cache_file"; then
 	cat confcache >"$cache_file"
       else
@@ -13416,8 +15054,8 @@ $as_echo "$as_me: updating cache $cache_
       fi
     fi
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: not updating unwritable cache $cache_file" >&5
-$as_echo "$as_me: not updating unwritable cache $cache_file" >&6;}
+    { printf "%s\n" "$as_me:${as_lineno-$LINENO}: not updating unwritable cache $cache_file" >&5
+printf "%s\n" "$as_me: not updating unwritable cache $cache_file" >&6;}
   fi
 fi
 rm -f confcache
@@ -13434,7 +15072,7 @@ U=
 for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
   # 1. Remove the extension, and $U if already installed.
   ac_script='s/\$U\././;s/\.o$//;s/\.obj$//'
-  ac_i=`$as_echo "$ac_i" | sed "$ac_script"`
+  ac_i=`printf "%s\n" "$ac_i" | sed "$ac_script"`
   # 2. Prepend LIBOBJDIR.  When used with automake>=1.10 LIBOBJDIR
   #    will be set to the directory where LIBOBJS objects are built.
   as_fn_append ac_libobjs " \${LIBOBJDIR}$ac_i\$U.$ac_objext"
@@ -13450,8 +15088,8 @@ LTLIBOBJS=$ac_ltlibobjs
 ac_write_fail=0
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ $as_echo "$as_me:${as_lineno-$LINENO}: creating $CONFIG_STATUS" >&5
-$as_echo "$as_me: creating $CONFIG_STATUS" >&6;}
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: creating $CONFIG_STATUS" >&5
+printf "%s\n" "$as_me: creating $CONFIG_STATUS" >&6;}
 as_write_fail=0
 cat >$CONFIG_STATUS <<_ASEOF || as_write_fail=1
 #! $SHELL
@@ -13474,14 +15112,16 @@ cat >>$CONFIG_STATUS <<\_ASEOF || as_wri
 
 # Be more Bourne compatible
 DUALCASE=1; export DUALCASE # for MKS sh
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then :
+as_nop=:
+if test ${ZSH_VERSION+y} && (emulate sh) >/dev/null 2>&1
+then :
   emulate sh
   NULLCMD=:
   # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
   # is contrary to our usage.  Disable this feature.
   alias -g '${1+"$@"}'='"$@"'
   setopt NO_GLOB_SUBST
-else
+else $as_nop
   case `(set -o) 2>/dev/null` in #(
   *posix*) :
     set -o posix ;; #(
@@ -13491,46 +15131,46 @@ esac
 fi
 
 
+
+# Reset variables that may have inherited troublesome values from
+# the environment.
+
+# IFS needs to be set, to space, tab, and newline, in precisely that order.
+# (If _AS_PATH_WALK were called with IFS unset, it would have the
+# side effect of setting IFS to empty, thus disabling word splitting.)
+# Quoting is to prevent editors from complaining about space-tab.
 as_nl='
 '
 export as_nl
-# Printing a long string crashes Solaris 7 /usr/bin/printf.
-as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
-as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
-as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
-# Prefer a ksh shell builtin over an external printf program on Solaris,
-# but without wasting forks for bash or zsh.
-if test -z "$BASH_VERSION$ZSH_VERSION" \
-    && (test "X`print -r -- $as_echo`" = "X$as_echo") 2>/dev/null; then
-  as_echo='print -r --'
-  as_echo_n='print -rn --'
-elif (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
-  as_echo='printf %s\n'
-  as_echo_n='printf %s'
-else
-  if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
-    as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
-    as_echo_n='/usr/ucb/echo -n'
-  else
-    as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
-    as_echo_n_body='eval
-      arg=$1;
-      case $arg in #(
-      *"$as_nl"*)
-	expr "X$arg" : "X\\(.*\\)$as_nl";
-	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
-      esac;
-      expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
-    '
-    export as_echo_n_body
-    as_echo_n='sh -c $as_echo_n_body as_echo'
-  fi
-  export as_echo_body
-  as_echo='sh -c $as_echo_body as_echo'
-fi
+IFS=" ""	$as_nl"
+
+PS1='$ '
+PS2='> '
+PS4='+ '
+
+# Ensure predictable behavior from utilities with locale-dependent output.
+LC_ALL=C
+export LC_ALL
+LANGUAGE=C
+export LANGUAGE
+
+# We cannot yet rely on "unset" to work, but we need these variables
+# to be unset--not just set to an empty or harmless value--now, to
+# avoid bugs in old shells (e.g. pre-3.0 UWIN ksh).  This construct
+# also avoids known problems related to "unset" and subshell syntax
+# in other old shells (e.g. bash 2.01 and pdksh 5.2.14).
+for as_var in BASH_ENV ENV MAIL MAILPATH CDPATH
+do eval test \${$as_var+y} \
+  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
+done
+
+# Ensure that fds 0, 1, and 2 are open.
+if (exec 3>&0) 2>/dev/null; then :; else exec 0</dev/null; fi
+if (exec 3>&1) 2>/dev/null; then :; else exec 1>/dev/null; fi
+if (exec 3>&2)            ; then :; else exec 2>/dev/null; fi
 
 # The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
+if ${PATH_SEPARATOR+false} :; then
   PATH_SEPARATOR=:
   (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
     (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
@@ -13539,13 +15179,6 @@ if test "${PATH_SEPARATOR+set}" != set;
 fi
 
 
-# IFS
-# We need space, tab and new line, in precisely that order.  Quoting is
-# there to prevent editors from complaining about space-tab.
-# (If _AS_PATH_WALK were called with IFS unset, it would disable word
-# splitting by setting IFS to empty value.)
-IFS=" ""	$as_nl"
-
 # Find who we are.  Look in the path if we contain no directory separator.
 as_myself=
 case $0 in #((
@@ -13554,8 +15187,12 @@ case $0 in #((
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-    test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
+  case $as_dir in #(((
+    '') as_dir=./ ;;
+    */) ;;
+    *) as_dir=$as_dir/ ;;
+  esac
+    test -r "$as_dir$0" && as_myself=$as_dir$0 && break
   done
 IFS=$as_save_IFS
 
@@ -13567,30 +15204,10 @@ if test "x$as_myself" = x; then
   as_myself=$0
 fi
 if test ! -f "$as_myself"; then
-  $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
+  printf "%s\n" "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
   exit 1
 fi
 
-# Unset variables that we do not need and which cause bugs (e.g. in
-# pre-3.0 UWIN ksh).  But do not cause bugs in bash 2.01; the "|| exit 1"
-# suppresses any "Segmentation fault" message there.  '((' could
-# trigger a bug in pdksh 5.2.14.
-for as_var in BASH_ENV ENV MAIL MAILPATH
-do eval test x\${$as_var+set} = xset \
-  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
-done
-PS1='$ '
-PS2='> '
-PS4='+ '
-
-# NLS nuisances.
-LC_ALL=C
-export LC_ALL
-LANGUAGE=C
-export LANGUAGE
-
-# CDPATH.
-(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
 
 
 # as_fn_error STATUS ERROR [LINENO LOG_FD]
@@ -13603,13 +15220,14 @@ as_fn_error ()
   as_status=$1; test $as_status -eq 0 && as_status=1
   if test "$4"; then
     as_lineno=${as_lineno-"$3"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-    $as_echo "$as_me:${as_lineno-$LINENO}: error: $2" >&$4
+    printf "%s\n" "$as_me:${as_lineno-$LINENO}: error: $2" >&$4
   fi
-  $as_echo "$as_me: error: $2" >&2
+  printf "%s\n" "$as_me: error: $2" >&2
   as_fn_exit $as_status
 } # as_fn_error
 
 
+
 # as_fn_set_status STATUS
 # -----------------------
 # Set $? to STATUS, without forking.
@@ -13636,18 +15254,20 @@ as_fn_unset ()
   { eval $1=; unset $1;}
 }
 as_unset=as_fn_unset
+
 # as_fn_append VAR VALUE
 # ----------------------
 # Append the text in VALUE to the end of the definition contained in VAR. Take
 # advantage of any shell optimizations that allow amortized linear growth over
 # repeated appends, instead of the typical quadratic growth present in naive
 # implementations.
-if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null; then :
+if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null
+then :
   eval 'as_fn_append ()
   {
     eval $1+=\$2
   }'
-else
+else $as_nop
   as_fn_append ()
   {
     eval $1=\$$1\$2
@@ -13659,12 +15279,13 @@ fi # as_fn_append
 # Perform arithmetic evaluation on the ARGs, and store the result in the
 # global $as_val. Take advantage of shells that can avoid forks. The arguments
 # must be portable across $(()) and expr.
-if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null; then :
+if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null
+then :
   eval 'as_fn_arith ()
   {
     as_val=$(( $* ))
   }'
-else
+else $as_nop
   as_fn_arith ()
   {
     as_val=`expr "$@" || test $? -eq 1`
@@ -13695,7 +15316,7 @@ as_me=`$as_basename -- "$0" ||
 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
 	 X"$0" : 'X\(//\)$' \| \
 	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X/"$0" |
+printf "%s\n" X/"$0" |
     sed '/^.*\/\([^/][^/]*\)\/*$/{
 	    s//\1/
 	    q
@@ -13717,6 +15338,10 @@ as_cr_Letters=$as_cr_letters$as_cr_LETTE
 as_cr_digits='0123456789'
 as_cr_alnum=$as_cr_Letters$as_cr_digits
 
+
+# Determine whether it's possible to make 'echo' print without a newline.
+# These variables are no longer used directly by Autoconf, but are AC_SUBSTed
+# for compatibility with existing Makefiles.
 ECHO_C= ECHO_N= ECHO_T=
 case `echo -n x` in #(((((
 -n*)
@@ -13730,6 +15355,12 @@ case `echo -n x` in #(((((
   ECHO_N='-n';;
 esac
 
+# For backward compatibility with old third-party macros, we provide
+# the shell variables $as_echo and $as_echo_n.  New code should use
+# AS_ECHO(["message"]) and AS_ECHO_N(["message"]), respectively.
+as_echo='printf %s\n'
+as_echo_n='printf %s'
+
 rm -f conf$$ conf$$.exe conf$$.file
 if test -d conf$$.dir; then
   rm -f conf$$.dir/conf$$.file
@@ -13771,7 +15402,7 @@ as_fn_mkdir_p ()
     as_dirs=
     while :; do
       case $as_dir in #(
-      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
+      *\'*) as_qdir=`printf "%s\n" "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
       *) as_qdir=$as_dir;;
       esac
       as_dirs="'$as_qdir' $as_dirs"
@@ -13780,7 +15411,7 @@ $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/
 	 X"$as_dir" : 'X\(//\)[^/]' \| \
 	 X"$as_dir" : 'X\(//\)$' \| \
 	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X"$as_dir" |
+printf "%s\n" X"$as_dir" |
     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
 	    s//\1/
 	    q
@@ -13842,8 +15473,8 @@ cat >>$CONFIG_STATUS <<\_ACEOF || ac_wri
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Kerberos 5 $as_me 1.21.2, which was
-generated by GNU Autoconf 2.69.  Invocation command line was
+This file was extended by Kerberos 5 $as_me 1.21.3, which was
+generated by GNU Autoconf 2.71.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
   CONFIG_HEADERS  = $CONFIG_HEADERS
@@ -13901,14 +15532,16 @@ $config_headers
 Report bugs to <krb5-bugs@mit.edu>."
 
 _ACEOF
+ac_cs_config=`printf "%s\n" "$ac_configure_args" | sed "$ac_safe_unquote"`
+ac_cs_config_escaped=`printf "%s\n" "$ac_cs_config" | sed "s/^ //; s/'/'\\\\\\\\''/g"`
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
-ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
+ac_cs_config='$ac_cs_config_escaped'
 ac_cs_version="\\
-Kerberos 5 config.status 1.21.2
-configured by $0, generated by GNU Autoconf 2.69,
+Kerberos 5 config.status 1.21.3
+configured by $0, generated by GNU Autoconf 2.71,
   with options \\"\$ac_cs_config\\"
 
-Copyright (C) 2012 Free Software Foundation, Inc.
+Copyright (C) 2021 Free Software Foundation, Inc.
 This config.status script is free software; the Free Software Foundation
 gives unlimited permission to copy, distribute and modify it."
 
@@ -13947,15 +15580,15 @@ do
   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
     ac_cs_recheck=: ;;
   --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
-    $as_echo "$ac_cs_version"; exit ;;
+    printf "%s\n" "$ac_cs_version"; exit ;;
   --config | --confi | --conf | --con | --co | --c )
-    $as_echo "$ac_cs_config"; exit ;;
+    printf "%s\n" "$ac_cs_config"; exit ;;
   --debug | --debu | --deb | --de | --d | -d )
     debug=: ;;
   --file | --fil | --fi | --f )
     $ac_shift
     case $ac_optarg in
-    *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
+    *\'*) ac_optarg=`printf "%s\n" "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
     '') as_fn_error $? "missing file argument" ;;
     esac
     as_fn_append CONFIG_FILES " '$ac_optarg'"
@@ -13963,7 +15596,7 @@ do
   --header | --heade | --head | --hea )
     $ac_shift
     case $ac_optarg in
-    *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
+    *\'*) ac_optarg=`printf "%s\n" "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
     esac
     as_fn_append CONFIG_HEADERS " '$ac_optarg'"
     ac_need_defaults=false;;
@@ -13972,7 +15605,7 @@ do
     as_fn_error $? "ambiguous option: \`$1'
 Try \`$0 --help' for more information.";;
   --help | --hel | -h )
-    $as_echo "$ac_cs_usage"; exit ;;
+    printf "%s\n" "$ac_cs_usage"; exit ;;
   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
   | -silent | --silent | --silen | --sile | --sil | --si | --s)
     ac_cs_silent=: ;;
@@ -14000,7 +15633,7 @@ cat >>$CONFIG_STATUS <<_ACEOF || ac_writ
 if \$ac_cs_recheck; then
   set X $SHELL '$0' $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
   shift
-  \$as_echo "running CONFIG_SHELL=$SHELL \$*" >&6
+  \printf "%s\n" "running CONFIG_SHELL=$SHELL \$*" >&6
   CONFIG_SHELL='$SHELL'
   export CONFIG_SHELL
   exec "\$@"
@@ -14014,7 +15647,7 @@ exec 5>>config.log
   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
 ## Running $as_me. ##
 _ASBOX
-  $as_echo "$ac_log"
+  printf "%s\n" "$ac_log"
 } >&5
 
 _ACEOF
@@ -14170,8 +15803,8 @@ done
 # We use the long form for the default assignment because of an extremely
 # bizarre bug on SunOS 4.1.3.
 if $ac_need_defaults; then
-  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
-  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
+  test ${CONFIG_FILES+y} || CONFIG_FILES=$config_files
+  test ${CONFIG_HEADERS+y} || CONFIG_HEADERS=$config_headers
 fi
 
 # Have a temporary directory for convenience.  Make it in the build tree
@@ -14541,7 +16174,7 @@ do
 	   esac ||
 	   as_fn_error 1 "cannot find input file: \`$ac_f'" "$LINENO" 5;;
       esac
-      case $ac_f in *\'*) ac_f=`$as_echo "$ac_f" | sed "s/'/'\\\\\\\\''/g"`;; esac
+      case $ac_f in *\'*) ac_f=`printf "%s\n" "$ac_f" | sed "s/'/'\\\\\\\\''/g"`;; esac
       as_fn_append ac_file_inputs " '$ac_f'"
     done
 
@@ -14549,17 +16182,17 @@ do
     # use $as_me), people would be surprised to read:
     #    /* config.h.  Generated by config.status.  */
     configure_input='Generated from '`
-	  $as_echo "$*" | sed 's|^[^:]*/||;s|:[^:]*/|, |g'
+	  printf "%s\n" "$*" | sed 's|^[^:]*/||;s|:[^:]*/|, |g'
 	`' by configure.'
     if test x"$ac_file" != x-; then
       configure_input="$ac_file.  $configure_input"
-      { $as_echo "$as_me:${as_lineno-$LINENO}: creating $ac_file" >&5
-$as_echo "$as_me: creating $ac_file" >&6;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: creating $ac_file" >&5
+printf "%s\n" "$as_me: creating $ac_file" >&6;}
     fi
     # Neutralize special characters interpreted by sed in replacement strings.
     case $configure_input in #(
     *\&* | *\|* | *\\* )
-       ac_sed_conf_input=`$as_echo "$configure_input" |
+       ac_sed_conf_input=`printf "%s\n" "$configure_input" |
        sed 's/[\\\\&|]/\\\\&/g'`;; #(
     *) ac_sed_conf_input=$configure_input;;
     esac
@@ -14576,7 +16209,7 @@ $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^
 	 X"$ac_file" : 'X\(//\)[^/]' \| \
 	 X"$ac_file" : 'X\(//\)$' \| \
 	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X"$ac_file" |
+printf "%s\n" X"$ac_file" |
     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
 	    s//\1/
 	    q
@@ -14600,9 +16233,9 @@ $as_echo X"$ac_file" |
 case "$ac_dir" in
 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
 *)
-  ac_dir_suffix=/`$as_echo "$ac_dir" | sed 's|^\.[\\/]||'`
+  ac_dir_suffix=/`printf "%s\n" "$ac_dir" | sed 's|^\.[\\/]||'`
   # A ".." for each directory in $ac_dir_suffix.
-  ac_top_builddir_sub=`$as_echo "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
+  ac_top_builddir_sub=`printf "%s\n" "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
   case $ac_top_builddir_sub in
   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
@@ -14659,8 +16292,8 @@ ac_sed_dataroot='
 case `eval "sed -n \"\$ac_sed_dataroot\" $ac_file_inputs"` in
 *datarootdir*) ac_datarootdir_seen=yes;;
 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
-$as_echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
+printf "%s\n" "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
   ac_datarootdir_hack='
@@ -14708,9 +16341,9 @@ test -z "$ac_datarootdir_hack$ac_dataroo
   { ac_out=`sed -n '/\${datarootdir}/p' "$ac_tmp/out"`; test -n "$ac_out"; } &&
   { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' \
       "$ac_tmp/out"`; test -z "$ac_out"; } &&
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file contains a reference to the variable \`datarootdir'
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file contains a reference to the variable \`datarootdir'
 which seems to be undefined.  Please make sure it is defined" >&5
-$as_echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
+printf "%s\n" "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
 which seems to be undefined.  Please make sure it is defined" >&2;}
 
   rm -f "$ac_tmp/stdin"
@@ -14726,20 +16359,20 @@ which seems to be undefined.  Please mak
   #
   if test x"$ac_file" != x-; then
     {
-      $as_echo "/* $configure_input  */" \
+      printf "%s\n" "/* $configure_input  */" >&1 \
       && eval '$AWK -f "$ac_tmp/defines.awk"' "$ac_file_inputs"
     } >"$ac_tmp/config.h" \
       || as_fn_error $? "could not create $ac_file" "$LINENO" 5
     if diff "$ac_file" "$ac_tmp/config.h" >/dev/null 2>&1; then
-      { $as_echo "$as_me:${as_lineno-$LINENO}: $ac_file is unchanged" >&5
-$as_echo "$as_me: $ac_file is unchanged" >&6;}
+      { printf "%s\n" "$as_me:${as_lineno-$LINENO}: $ac_file is unchanged" >&5
+printf "%s\n" "$as_me: $ac_file is unchanged" >&6;}
     else
       rm -f "$ac_file"
       mv "$ac_tmp/config.h" "$ac_file" \
 	|| as_fn_error $? "could not create $ac_file" "$LINENO" 5
     fi
   else
-    $as_echo "/* $configure_input  */" \
+    printf "%s\n" "/* $configure_input  */" >&1 \
       && eval '$AWK -f "$ac_tmp/defines.awk"' "$ac_file_inputs" \
       || as_fn_error $? "could not create -" "$LINENO" 5
   fi
@@ -14786,7 +16419,8 @@ if test "$no_create" != yes; then
   $ac_cs_success || as_fn_exit 1
 fi
 if test -n "$ac_unrecognized_opts" && test "$enable_option_checking" != no; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: unrecognized options: $ac_unrecognized_opts" >&5
-$as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2;}
+  { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: unrecognized options: $ac_unrecognized_opts" >&5
+printf "%s\n" "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2;}
 fi
 
+
diff -pruN 1.21.2-1/src/doc/Doxyfile.in 1.21.3-1/src/doc/Doxyfile.in
--- 1.21.2-1/src/doc/Doxyfile.in	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/doc/Doxyfile.in	2024-06-26 20:00:35.000000000 +0000
@@ -11,6 +11,5 @@ GENERATE_HTML          = NO
 GENERATE_LATEX         = NO
 GENERATE_XML           = YES
 PREDEFINED             = KRB5_DEPRECATED KRB5_OLD_CRYPTO
-CLASS_DIAGRAMS         = NO
 CASE_SENSE_NAMES       = NO
 QUIET                  = YES
diff -pruN 1.21.2-1/src/include/autoconf.h.in 1.21.3-1/src/include/autoconf.h.in
--- 1.21.2-1/src/include/autoconf.h.in	2023-08-14 16:16:44.000000000 +0000
+++ 1.21.3-1/src/include/autoconf.h.in	2024-06-26 20:00:36.000000000 +0000
@@ -438,6 +438,9 @@
 /* Define to 1 if you have the <stdint.h> header file. */
 #undef HAVE_STDINT_H
 
+/* Define to 1 if you have the <stdio.h> header file. */
+#undef HAVE_STDIO_H
+
 /* Define to 1 if you have the <stdlib.h> header file. */
 #undef HAVE_STDLIB_H
 
@@ -453,7 +456,7 @@
 /* Define to 1 if you have the `strerror' function. */
 #undef HAVE_STRERROR
 
-/* Define to 1 if you have the `strerror_r' function. */
+/* Define if you have `strerror_r'. */
 #undef HAVE_STRERROR_R
 
 /* Define to 1 if you have the <strings.h> header file. */
@@ -682,7 +685,9 @@
 /* Define for static plugin linkage */
 #undef STATIC_PLUGINS
 
-/* Define to 1 if you have the ANSI C header files. */
+/* Define to 1 if all of the C90 standard headers exist (not just the ones
+   required in a freestanding environment). This macro is provided for
+   backward compatibility; new code need not use it. */
 #undef STDC_HEADERS
 
 /* Define to 1 if strerror_r returns char *. */
diff -pruN 1.21.2-1/src/include/krb5/krb5.hin 1.21.3-1/src/include/krb5/krb5.hin
--- 1.21.2-1/src/include/krb5/krb5.hin	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/include/krb5/krb5.hin	2024-06-26 20:00:35.000000000 +0000
@@ -52,10 +52,6 @@
 #ifndef KRB5_GENERAL__
 #define KRB5_GENERAL__
 
-/** @defgroup KRB5_H krb5 library API
- * @{
- */
-
  /* By default, do not expose deprecated interfaces. */
 #ifndef KRB5_DEPRECATED
 #define KRB5_DEPRECATED 0
@@ -410,7 +406,7 @@ typedef struct _krb5_enc_data {
  * structures before calling into an iov API.
  */
 typedef struct _krb5_crypto_iov {
-    krb5_cryptotype flags; /**< @ref KRB5_CRYPTO_TYPE type of the iov */
+    krb5_cryptotype flags; /**< iov type (see KRB5_CRYPTO_TYPE macros) */
     krb5_data data;
 } krb5_crypto_iov;
 
@@ -500,7 +496,7 @@ enum {
  *
  * @param [in]     context      Library context
  * @param [in]     key          Encryption key
- * @param [in]     usage        Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage        Key usage (see KRB5_KEYUSAGE macros)
  * @param [in,out] cipher_state Cipher state; specify NULL if not needed
  * @param [in]     input        Data to be encrypted
  * @param [out]    output       Encrypted data
@@ -528,7 +524,7 @@ krb5_c_encrypt(krb5_context context, con
  *
  * @param [in]     context      Library context
  * @param [in]     key          Encryption key
- * @param [in]     usage        Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage        Key usage (see KRB5_KEYUSAGE macros)
  * @param [in,out] cipher_state Cipher state; specify NULL if not needed
  * @param [in]     input        Encrypted data
  * @param [out]    output       Decrypted data
@@ -601,7 +597,7 @@ krb5_c_keylengths(krb5_context context,
  *
  * @param [in]  context         Library context
  * @param [in]  key             Key
- * @param [in]  usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]  usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [out] new_state       New cipher state
  *
  * @retval 0 Success; otherwise - Kerberos error codes
@@ -854,7 +850,7 @@ krb5_c_enctype_compare(krb5_context cont
  * @param [in]  context         Library context
  * @param [in]  cksumtype       Checksum type (0 for mandatory type)
  * @param [in]  key             Encryption key for a keyed checksum
- * @param [in]  usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]  usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in]  input           Input data
  * @param [out] cksum           Generated checksum
  *
@@ -936,9 +932,6 @@ krb5_error_code KRB5_CALLCONV
 krb5_c_keyed_checksum_types(krb5_context context, krb5_enctype enctype,
                             unsigned int *count, krb5_cksumtype **cksumtypes);
 
-/** @defgroup KRB5_KEYUSAGE KRB5_KEYUSAGE
- * @{
- */
 #define KRB5_KEYUSAGE_AS_REQ_PA_ENC_TS          1
 #define KRB5_KEYUSAGE_KDC_REP_TICKET            2
 #define KRB5_KEYUSAGE_AS_REP_ENCPART            3
@@ -969,15 +962,15 @@ krb5_c_keyed_checksum_types(krb5_context
 
 /* Defined in Integrating SAM Mechanisms with Kerberos draft */
 #define KRB5_KEYUSAGE_PA_SAM_CHALLENGE_CKSUM    25
-/** Note conflict with @ref KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST */
+/* Note conflict with KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST */
 #define KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID  26
-/** Note conflict with @ref KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY */
+/* Note conflict with KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY */
 #define KRB5_KEYUSAGE_PA_SAM_RESPONSE           27
 
 /* Defined in [MS-SFU] */
-/** Note conflict with @ref KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID */
+/* Note conflict with KRB5_KEYUSAGE_PA_SAM_CHALLENGE_TRACKID */
 #define KRB5_KEYUSAGE_PA_S4U_X509_USER_REQUEST  26
-/** Note conflict with @ref KRB5_KEYUSAGE_PA_SAM_RESPONSE */
+/* Note conflict with KRB5_KEYUSAGE_PA_SAM_RESPONSE */
 #define KRB5_KEYUSAGE_PA_S4U_X509_USER_REPLY    27
 
 /* unused */
@@ -1002,7 +995,6 @@ krb5_c_keyed_checksum_types(krb5_context
  * implementation. */
 #define KRB5_KEYUSAGE_PA_FX_COOKIE 513  /**< Used for encrypted FAST cookies */
 #define KRB5_KEYUSAGE_PA_AS_FRESHNESS 514  /**< Used for freshness tokens */
-/** @} */ /* end of KRB5_KEYUSAGE group */
 
 /**
  * Verify that a specified encryption type is a valid Kerberos encryption type.
@@ -1046,9 +1038,6 @@ krb5_boolean KRB5_CALLCONV
 krb5_c_is_keyed_cksum(krb5_cksumtype ctype);
 
 /* AEAD APIs */
-/** @defgroup KRB5_CRYPTO_TYPE KRB5_CRYPTO_TYPE
- * @{
- */
 #define KRB5_CRYPTO_TYPE_EMPTY      0   /**< [in] ignored */
 #define KRB5_CRYPTO_TYPE_HEADER     1   /**< [out] header */
 #define KRB5_CRYPTO_TYPE_DATA       2   /**< [in, out] plaintext */
@@ -1059,7 +1048,6 @@ krb5_c_is_keyed_cksum(krb5_cksumtype cty
 #define KRB5_CRYPTO_TYPE_STREAM     7   /**< [in] entire message without
                                            decomposing the structure into
                                            header, data and trailer buffers */
-/** @} */ /* end of KRB5_CRYPTO_TYPE group */
 
 /**
  * Fill in a checksum element in IOV array (operates on keyblock)
@@ -1067,7 +1055,7 @@ krb5_c_is_keyed_cksum(krb5_cksumtype cty
  * @param [in]     context         Library context
  * @param [in]     cksumtype       Checksum type (0 for mandatory type)
  * @param [in]     key             Encryption key for a keyed checksum
- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in,out] data            IOV array
  * @param [in]     num_data        Size of @a data
  *
@@ -1093,7 +1081,7 @@ krb5_c_make_checksum_iov(krb5_context co
  * @param [in]     context         Library context
  * @param [in]     cksumtype       Checksum type (0 for mandatory type)
  * @param [in]     key             Encryption key for a keyed checksum
- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in]     data            IOV array
  * @param [in]     num_data        Size of @a data
  * @param [out]    valid           Non-zero for success, zero for failure
@@ -1120,7 +1108,7 @@ krb5_c_verify_checksum_iov(krb5_context
  *
  * @param [in]     context         Library context
  * @param [in]     keyblock        Encryption key
- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in]     cipher_state    Cipher state; specify NULL if not needed
  * @param [in,out] data            IOV array. Modified in-place.
  * @param [in]     num_data        Size of @a data
@@ -1155,7 +1143,7 @@ krb5_c_encrypt_iov(krb5_context context,
  *
  * @param [in]     context         Library context
  * @param [in]     keyblock        Encryption key
- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in]     cipher_state    Cipher state; specify NULL if not needed
  * @param [in,out] data            IOV array. Modified in-place.
  * @param [in]     num_data        Size of @a data
@@ -1190,7 +1178,7 @@ krb5_c_decrypt_iov(krb5_context context,
  *
  * @param [in]  context      Library context
  * @param [in]  enctype      Encryption type
- * @param [in]  type         Type field (See @ref KRB5_CRYPTO_TYPE types)
+ * @param [in]  type         Type field (See KRB5_CRYPTO_TYPE macros)
  * @param [out] size         Length of the @a type specific to @a enctype
  *
  * @retval 0 Success; otherwise - Kerberos error codes
@@ -1273,7 +1261,7 @@ krb5_k_key_enctype(krb5_context context,
  *
  * @param [in]     context      Library context
  * @param [in]     key          Encryption key
- * @param [in]     usage        Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage        Key usage (see KRB5_KEYUSAGE macros)
  * @param [in,out] cipher_state Cipher state; specify NULL if not needed
  * @param [in]     input        Data to be encrypted
  * @param [out]    output       Encrypted data
@@ -1301,7 +1289,7 @@ krb5_k_encrypt(krb5_context context, krb
  *
  * @param [in]     context         Library context
  * @param [in]     key             Encryption key
- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in]     cipher_state    Cipher state; specify NULL if not needed
  * @param [in,out] data            IOV array. Modified in-place.
  * @param [in]     num_data        Size of @a data
@@ -1336,7 +1324,7 @@ krb5_k_encrypt_iov(krb5_context context,
  *
  * @param [in]     context      Library context
  * @param [in]     key          Encryption key
- * @param [in]     usage        Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage        Key usage (see KRB5_KEYUSAGE macros)
  * @param [in,out] cipher_state Cipher state; specify NULL if not needed
  * @param [in]     input        Encrypted data
  * @param [out]    output       Decrypted data
@@ -1365,7 +1353,7 @@ krb5_k_decrypt(krb5_context context, krb
  *
  * @param [in]     context         Library context
  * @param [in]     key             Encryption key
- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in]     cipher_state    Cipher state; specify NULL if not needed
  * @param [in,out] data            IOV array. Modified in-place.
  * @param [in]     num_data        Size of @a data
@@ -1400,7 +1388,7 @@ krb5_k_decrypt_iov(krb5_context context,
  * @param [in]  context         Library context
  * @param [in]  cksumtype       Checksum type (0 for mandatory type)
  * @param [in]  key             Encryption key for a keyed checksum
- * @param [in]  usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]  usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in]  input           Input data
  * @param [out] cksum           Generated checksum
  *
@@ -1430,7 +1418,7 @@ krb5_k_make_checksum(krb5_context contex
  * @param [in]     context         Library context
  * @param [in]     cksumtype       Checksum type (0 for mandatory type)
  * @param [in]     key             Encryption key for a keyed checksum
- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in,out] data            IOV array
  * @param [in]     num_data        Size of @a data
  *
@@ -1484,7 +1472,7 @@ krb5_k_verify_checksum(krb5_context cont
  * @param [in]     context         Library context
  * @param [in]     cksumtype       Checksum type (0 for mandatory type)
  * @param [in]     key             Encryption key for a keyed checksum
- * @param [in]     usage           Key usage (see @ref KRB5_KEYUSAGE types)
+ * @param [in]     usage           Key usage (see KRB5_KEYUSAGE macros)
  * @param [in]     data            IOV array
  * @param [in]     num_data        Size of @a data
  * @param [out]    valid           Non-zero for success, zero for failure
@@ -1662,11 +1650,9 @@ krb5_verify_checksum(krb5_context contex
 
 /* definitions for ap_options fields */
 
-/** @defgroup AP_OPTS AP_OPTS
- *
+/*
  * ap_options are 32 bits; each host is responsible to put the 4 bytes
  * representing these bits into net order before transmission
- * @{
  */
 #define AP_OPTS_RESERVED           0x80000000
 #define AP_OPTS_USE_SESSION_KEY    0x40000000 /**< Use session key */
@@ -1707,7 +1693,6 @@ krb5_verify_checksum(krb5_context contex
 
 
 #define AP_OPTS_WIRE_MASK               0xfffffff0
-/** @} */ /* end of AP_OPTS group */
 
 /* definitions for ad_type fields. */
 #define AD_TYPE_RESERVED        0x8000
@@ -1863,9 +1848,6 @@ krb5_verify_checksum(krb5_context contex
 
 /* authorization data types. See RFC 4120 section 5.2.6 */
 
-/** @defgroup KRB5_AUTHDATA KRB5_AUTHDATA
- * @{
- */
 #define KRB5_AUTHDATA_IF_RELEVANT   1
 #define KRB5_AUTHDATA_KDC_ISSUED    4
 #define KRB5_AUTHDATA_AND_OR        5
@@ -1880,7 +1862,6 @@ krb5_verify_checksum(krb5_context contex
 #define KRB5_AUTHDATA_FX_ARMOR 71
 #define KRB5_AUTHDATA_AUTH_INDICATOR 97
 #define KRB5_AUTHDATA_AP_OPTIONS 143
-/** @} */ /* end of KRB5_AUTHDATA group */
 
 /* password change constants */
 #define KRB5_KPASSWD_SUCCESS            0  /**< Success */
@@ -2190,9 +2171,6 @@ typedef struct _krb5_pa_pac_req {
  * begin "safepriv.h"
  */
 
-/** @defgroup KRB5_AUTH_CONTEXT KRB5_AUTH_CONTEXT
- * @{
- */
 /** Prevent replays with timestamps and replay cache. */
 #define KRB5_AUTH_CONTEXT_DO_TIME       0x00000001
 /** Save timestamps for application. */
@@ -2203,7 +2181,6 @@ typedef struct _krb5_pa_pac_req {
 #define KRB5_AUTH_CONTEXT_RET_SEQUENCE  0x00000008
 #define KRB5_AUTH_CONTEXT_PERMIT_ALL    0x00000010
 #define KRB5_AUTH_CONTEXT_USE_SUBKEY    0x00000020
-/** @} */ /* end of KRB5_AUTH_CONTEXT group */
 
 /**
  * Replay data.
@@ -3033,9 +3010,6 @@ krb5_server_decrypt_ticket_keytab(krb5_c
 void KRB5_CALLCONV
 krb5_free_tgt_creds(krb5_context context, krb5_creds **tgts);
 
-/** @defgroup KRB5_GC  KRB5_GC
- * @{
- */
 #define KRB5_GC_USER_USER    1  /**< Want user-user ticket */
 #define KRB5_GC_CACHED       2  /**< Want cached ticket only */
 #define KRB5_GC_CANONICALIZE 4  /**< Set canonicalize KDC option */
@@ -3043,7 +3017,6 @@ krb5_free_tgt_creds(krb5_context context
 #define KRB5_GC_FORWARDABLE             16  /**< Acquire forwardable tickets */
 #define KRB5_GC_NO_TRANSIT_CHECK        32  /**< Disable transited check */
 #define KRB5_GC_CONSTRAINED_DELEGATION  64  /**< Constrained delegation */
-/** @} */ /* end of KRB5_GC group */
 
 /**
  * Get an additional ticket.
@@ -3142,7 +3115,7 @@ krb5_get_credentials_renew(krb5_context
  *
  * @param [in]     context        Library context
  * @param [in,out] auth_context   Pre-existing or newly created auth context
- * @param [in]     ap_req_options @ref AP_OPTS options
+ * @param [in]     ap_req_options Options (see AP_OPTS macros)
  * @param [in]     service        Service name, or NULL to use @c "host"
  * @param [in]     hostname       Host name, or NULL to use local hostname
  * @param [in]     in_data        Application data to be checksummed in the
@@ -3170,7 +3143,7 @@ krb5_mk_req(krb5_context context, krb5_a
  *
  * @param [in]     context        Library context
  * @param [in,out] auth_context   Pre-existing or newly created auth context
- * @param [in]     ap_req_options @ref AP_OPTS options
+ * @param [in]     ap_req_options Options (see AP_OPTS macros)
  * @param [in]     in_data        Application data to be checksummed in the
  *                                authenticator, or NULL
  * @param [in]     in_creds       Credentials for the service with valid ticket
@@ -5279,7 +5252,7 @@ krb5_kt_read_service_key(krb5_context co
  *
  * Fields in @a auth_context specify the checksum type, the keyblock that
  * can be used to seed the checksum, full addresses (host and port) for
- * the sender and receiver, and @ref KRB5_AUTH_CONTEXT flags.
+ * the sender and receiver, and KRB5_AUTH_CONTEXT flags.
  *
  * The local address in @a auth_context must be set, and is used to form the
  * sender address used in the KRB-SAFE message.  The remote address is
@@ -5367,7 +5340,7 @@ krb5_mk_priv(krb5_context context, krb5_
  *                                with the receiver's application version
  * @param [in]     client         Client principal
  * @param [in]     server         Server principal
- * @param [in]     ap_req_options @ref AP_OPTS options
+ * @param [in]     ap_req_options Options (see AP_OPTS macros)
  * @param [in]     in_data        Data to be sent to the server
  * @param [in]     in_creds       Input credentials, or NULL to use @a ccache
  * @param [in]     ccache         Credential cache
@@ -6608,13 +6581,13 @@ krb5_prompter_posix(krb5_context context
 /**
  * A container for a set of preauthentication questions and answers
  *
- * A responder context is supplied by the krb5 authentication system to a @ref
+ * A responder context is supplied by the krb5 authentication system to a
  * krb5_responder_fn callback.  It contains a list of questions and can receive
  * answers.  Questions contained in a responder context can be listed using
  * krb5_responder_list_questions(), retrieved using
  * krb5_responder_get_challenge(), or answered using
- * krb5_responder_set_answer().  The form of a question's challenge and
- * answer depend on the question name.
+ * krb5_responder_set_answer().  The form of a question's challenge and answer
+ * depend on the question name.
  *
  * @version New in 1.11
  */
@@ -7527,7 +7500,7 @@ typedef struct _krb5_tkt_creds_context *
  * @param[in]  context          Library context
  * @param[in]  ccache           Credential cache handle
  * @param[in]  creds            Input credentials
- * @param[in]  options          @ref KRB5_GC options for this request.
+ * @param[in]  options          Options (see KRB5_GC macros)
  * @param[out] ctx              New TGS request context
  *
  * This function prepares to obtain credentials matching @a creds, either by
@@ -8064,7 +8037,7 @@ krb5_clear_error_message(krb5_context ct
  * Unwrap authorization data.
  *
  * @param [in]  context         Library context
- * @param [in]  type            @ref KRB5_AUTHDATA type of @a container
+ * @param [in]  type            Container type (see KRB5_AUTHDATA macros)
  * @param [in]  container       Authorization data to be decoded
  * @param [out] authdata        List of decoded authorization data
  *
@@ -8081,7 +8054,7 @@ krb5_decode_authdata_container(krb5_cont
  * Wrap authorization data in a container.
  *
  * @param [in]  context         Library context
- * @param [in]  type            @ref KRB5_AUTHDATA type of @a container
+ * @param [in]  type            Container type (see KRB5_AUTHDATA macros)
  * @param [in]  authdata        List of authorization data to be encoded
  * @param [out] container       List of encoded authorization data
  *
@@ -8614,6 +8587,4 @@ KRB5INT_END_DECLS
 
 #undef KRB5_ATTR_DEPRECATED
 
-/** @} */ /* end of KRB5_H group */
-
 #endif /* KRB5_GENERAL__ */
diff -pruN 1.21.2-1/src/kdc/ndr.c 1.21.3-1/src/kdc/ndr.c
--- 1.21.2-1/src/kdc/ndr.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/kdc/ndr.c	2024-06-26 20:00:35.000000000 +0000
@@ -96,14 +96,13 @@ enc_wchar_pointer(const char *utf8, stru
     size_t utf16len, num_wchars;
     uint8_t *utf16;
 
-    k5_buf_init_dynamic(&b);
-
     ret = k5_utf8_to_utf16le(utf8, &utf16, &utf16len);
     if (ret)
         return ret;
 
     num_wchars = utf16len / 2;
 
+    k5_buf_init_dynamic(&b);
     k5_buf_add_uint32_le(&b, num_wchars + 1);
     k5_buf_add_uint32_le(&b, 0);
     k5_buf_add_uint32_le(&b, num_wchars);
diff -pruN 1.21.2-1/src/lib/gssapi/krb5/deps 1.21.3-1/src/lib/gssapi/krb5/deps
--- 1.21.2-1/src/lib/gssapi/krb5/deps	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/lib/gssapi/krb5/deps	2024-06-26 20:00:35.000000000 +0000
@@ -461,8 +461,9 @@ k5unsealiov.so k5unsealiov.po $(OUTPRE)k
   $(BUILDTOP)/include/krb5/krb5.h $(BUILDTOP)/include/osconf.h \
   $(BUILDTOP)/include/profile.h $(COM_ERR_DEPS) $(srcdir)/../generic/gssapiP_generic.h \
   $(srcdir)/../generic/gssapi_ext.h $(srcdir)/../generic/gssapi_generic.h \
-  $(top_srcdir)/include/k5-buf.h $(top_srcdir)/include/k5-err.h \
-  $(top_srcdir)/include/k5-gmt_mktime.h $(top_srcdir)/include/k5-int-pkinit.h \
+  $(top_srcdir)/include/k5-buf.h $(top_srcdir)/include/k5-der.h \
+  $(top_srcdir)/include/k5-err.h $(top_srcdir)/include/k5-gmt_mktime.h \
+  $(top_srcdir)/include/k5-input.h $(top_srcdir)/include/k5-int-pkinit.h \
   $(top_srcdir)/include/k5-int.h $(top_srcdir)/include/k5-platform.h \
   $(top_srcdir)/include/k5-plugin.h $(top_srcdir)/include/k5-thread.h \
   $(top_srcdir)/include/k5-trace.h $(top_srcdir)/include/krb5.h \
diff -pruN 1.21.2-1/src/lib/gssapi/krb5/k5sealv3.c 1.21.3-1/src/lib/gssapi/krb5/k5sealv3.c
--- 1.21.2-1/src/lib/gssapi/krb5/k5sealv3.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/lib/gssapi/krb5/k5sealv3.c	2024-06-26 20:00:35.000000000 +0000
@@ -408,10 +408,15 @@ gss_krb5int_unseal_token_v3(krb5_context
             /* Don't use bodysize here!  Use the fact that
                cipher.ciphertext.length has been adjusted to the
                correct length.  */
+            if (plain.length < 16 + ec) {
+                free(plain.data);
+                goto defective;
+            }
             althdr = (unsigned char *)plain.data + plain.length - 16;
             if (load_16_be(althdr) != KG2_TOK_WRAP_MSG
                 || althdr[2] != ptr[2]
                 || althdr[3] != ptr[3]
+                || load_16_be(althdr+4) != ec
                 || memcmp(althdr+8, ptr+8, 8)) {
                 free(plain.data);
                 goto defective;
diff -pruN 1.21.2-1/src/lib/gssapi/krb5/k5sealv3iov.c 1.21.3-1/src/lib/gssapi/krb5/k5sealv3iov.c
--- 1.21.2-1/src/lib/gssapi/krb5/k5sealv3iov.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/lib/gssapi/krb5/k5sealv3iov.c	2024-06-26 20:00:35.000000000 +0000
@@ -402,9 +402,10 @@ gss_krb5int_unseal_v3_iov(krb5_context c
             if (load_16_be(althdr) != KG2_TOK_WRAP_MSG
                 || althdr[2] != ptr[2]
                 || althdr[3] != ptr[3]
+                || load_16_be(althdr + 4) != ec
                 || memcmp(althdr + 8, ptr + 8, 8) != 0) {
                 *minor_status = 0;
-                return GSS_S_BAD_SIG;
+                return GSS_S_DEFECTIVE_TOKEN;
             }
         } else {
             /* Verify checksum: note EC is checksum size here, not padding */
diff -pruN 1.21.2-1/src/lib/gssapi/krb5/k5unsealiov.c 1.21.3-1/src/lib/gssapi/krb5/k5unsealiov.c
--- 1.21.2-1/src/lib/gssapi/krb5/k5unsealiov.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/lib/gssapi/krb5/k5unsealiov.c	2024-06-26 20:00:35.000000000 +0000
@@ -25,6 +25,7 @@
  */
 
 #include "k5-int.h"
+#include "k5-der.h"
 #include "gssapiP_krb5.h"
 
 static OM_uint32
@@ -265,6 +266,73 @@ cleanup:
     return retval;
 }
 
+/* Similar to k5_der_get_value(), but output an unchecked content length
+ * instead of a k5input containing the contents. */
+static inline bool
+get_der_tag(struct k5input *in, uint8_t idbyte, size_t *len_out)
+{
+    uint8_t lenbyte, i;
+    size_t len;
+
+    /* Do nothing if in is empty or the next byte doesn't match idbyte. */
+    if (in->status || in->len == 0 || *in->ptr != idbyte)
+        return false;
+
+    /* Advance past the identifier byte and decode the length. */
+    (void)k5_input_get_byte(in);
+    lenbyte = k5_input_get_byte(in);
+    if (lenbyte < 128) {
+        len = lenbyte;
+    } else {
+        len = 0;
+        for (i = 0; i < (lenbyte & 0x7F); i++) {
+            if (len > (SIZE_MAX >> 8)) {
+                k5_input_set_status(in, EOVERFLOW);
+                return false;
+            }
+            len = (len << 8) | k5_input_get_byte(in);
+        }
+    }
+
+    if (in->status)
+        return false;
+
+    *len_out = len;
+    return true;
+}
+
+/*
+ * Similar to g_verify_token_header() without toktype or flags, but do not read
+ * more than *header_len bytes of ASN.1 wrapper, and on output set *header_len
+ * to the remaining number of header bytes.  Verify the outer DER tag's length
+ * against token_len, which may be larger (but not smaller) than *header_len.
+ */
+static gss_int32
+verify_detached_wrapper(const gss_OID_desc *mech, size_t *header_len,
+                        uint8_t **header_in, size_t token_len)
+{
+    struct k5input in, mech_der;
+    gss_OID_desc toid;
+    size_t len;
+
+    k5_input_init(&in, *header_in, *header_len);
+
+    if (get_der_tag(&in, 0x60, &len)) {
+        if (len != token_len - (in.ptr - *header_in))
+            return G_BAD_TOK_HEADER;
+        if (!k5_der_get_value(&in, 0x06, &mech_der))
+            return G_BAD_TOK_HEADER;
+        toid.elements = (uint8_t *)mech_der.ptr;
+        toid.length = mech_der.len;
+        if (!g_OID_equal(&toid, mech))
+            return G_WRONG_MECH;
+    }
+
+    *header_in = (uint8_t *)in.ptr;
+    *header_len = in.len;
+    return 0;
+}
+
 /*
  * Caller must provide TOKEN | DATA | PADDING | TRAILER, except
  * for DCE in which case it can just provide TOKEN | DATA (must
@@ -285,8 +353,7 @@ kg_unseal_iov_token(OM_uint32 *minor_sta
     gss_iov_buffer_t header;
     gss_iov_buffer_t padding;
     gss_iov_buffer_t trailer;
-    size_t input_length;
-    unsigned int bodysize;
+    size_t input_length, hlen;
     int toktype2;
 
     header = kg_locate_header_iov(iov, iov_count, toktype);
@@ -316,15 +383,14 @@ kg_unseal_iov_token(OM_uint32 *minor_sta
             input_length += trailer->buffer.length;
     }
 
-    code = g_verify_token_header(ctx->mech_used,
-                                 &bodysize, &ptr, -1,
-                                 input_length, 0);
+    hlen = header->buffer.length;
+    code = verify_detached_wrapper(ctx->mech_used, &hlen, &ptr, input_length);
     if (code != 0) {
         *minor_status = code;
         return GSS_S_DEFECTIVE_TOKEN;
     }
 
-    if (bodysize < 2) {
+    if (hlen < 2) {
         *minor_status = (OM_uint32)G_BAD_TOK_HEADER;
         return GSS_S_DEFECTIVE_TOKEN;
     }
@@ -332,7 +398,7 @@ kg_unseal_iov_token(OM_uint32 *minor_sta
     toktype2 = load_16_be(ptr);
 
     ptr += 2;
-    bodysize -= 2;
+    hlen -= 2;
 
     switch (toktype2) {
     case KG2_TOK_MIC_MSG:
diff -pruN 1.21.2-1/src/lib/krb5/ccache/cc_api_macos.c 1.21.3-1/src/lib/krb5/ccache/cc_api_macos.c
--- 1.21.2-1/src/lib/krb5/ccache/cc_api_macos.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/lib/krb5/ccache/cc_api_macos.c	2024-06-26 20:00:35.000000000 +0000
@@ -219,7 +219,7 @@ cleanup:
     if (reply != NULL)
         xpc_release(reply);
     if (conn != NULL)
-        xpc_connection_cancel(conn);
+        xpc_release(conn);
     return ret;
 }
 
diff -pruN 1.21.2-1/src/lib/krb5/ccache/cccursor.c 1.21.3-1/src/lib/krb5/ccache/cccursor.c
--- 1.21.2-1/src/lib/krb5/ccache/cccursor.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/lib/krb5/ccache/cccursor.c	2024-06-26 20:00:35.000000000 +0000
@@ -249,6 +249,7 @@ krb5_cccol_have_content(krb5_context con
         save_first_error(context, ret, &errsave);
         if (ret || cache == NULL)
             break;
+        princ = NULL;
         ret = krb5_cc_get_principal(context, cache, &princ);
         save_first_error(context, ret, &errsave);
         if (!ret)
diff -pruN 1.21.2-1/src/man/k5identity.man 1.21.3-1/src/man/k5identity.man
--- 1.21.2-1/src/man/k5identity.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/k5identity.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "K5IDENTITY" "5" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-k5identity \- Kerberos V5 client principal selection rules
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "K5IDENTITY" "5" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+k5identity \- Kerberos V5 client principal selection rules
 .SH DESCRIPTION
 .sp
 The .k5identity file, which resides in a user\(aqs home directory,
@@ -98,6 +98,6 @@ kerberos(1), krb5.conf(5)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/k5login.man 1.21.3-1/src/man/k5login.man
--- 1.21.2-1/src/man/k5login.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/k5login.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "K5LOGIN" "5" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-k5login \- Kerberos V5 acl file for host access
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "K5LOGIN" "5" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+k5login \- Kerberos V5 acl file for host access
 .SH DESCRIPTION
 .sp
 The .k5login file, which resides in a user\(aqs home directory, contains
@@ -91,6 +91,6 @@ kerberos(1)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/k5srvutil.man 1.21.3-1/src/man/k5srvutil.man
--- 1.21.2-1/src/man/k5srvutil.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/k5srvutil.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "K5SRVUTIL" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-k5srvutil \- host key table (keytab) manipulation utility
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "K5SRVUTIL" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+k5srvutil \- host key table (keytab) manipulation utility
 .SH SYNOPSIS
 .sp
 \fBk5srvutil\fP \fIoperation\fP
@@ -90,6 +90,6 @@ kadmin(1), ktutil(1), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kadm5.acl.man 1.21.3-1/src/man/kadm5.acl.man
--- 1.21.2-1/src/man/kadm5.acl.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kadm5.acl.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KADM5.ACL" "5" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kadm5.acl \- Kerberos ACL file
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KADM5.ACL" "5" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kadm5.acl \- Kerberos ACL file
 .SH DESCRIPTION
 .sp
 The Kerberos kadmind(8) daemon uses an Access Control List
@@ -274,6 +274,6 @@ kdc.conf(5), kadmind(8)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kadmin.man 1.21.3-1/src/man/kadmin.man
--- 1.21.2-1/src/man/kadmin.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kadmin.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KADMIN" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kadmin \- Kerberos V5 database administration program
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KADMIN" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kadmin \- Kerberos V5 database administration program
 .SH SYNOPSIS
 .sp
 \fBkadmin\fP
@@ -1094,6 +1094,6 @@ kpasswd(1), kadmind(8), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kadmind.man 1.21.3-1/src/man/kadmind.man
--- 1.21.2-1/src/man/kadmind.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kadmind.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KADMIND" "8" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kadmind \- KADM5 administration server
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KADMIND" "8" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kadmind \- KADM5 administration server
 .SH SYNOPSIS
 .sp
 \fBkadmind\fP
@@ -148,6 +148,6 @@ kdb5_ldap_util(8), kadm5.acl(5), kerbero
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kdb5_ldap_util.man 1.21.3-1/src/man/kdb5_ldap_util.man
--- 1.21.2-1/src/man/kdb5_ldap_util.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kdb5_ldap_util.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KDB5_LDAP_UTIL" "8" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kdb5_ldap_util \- Kerberos configuration utility
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KDB5_LDAP_UTIL" "8" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kdb5_ldap_util \- Kerberos configuration utility
 .SH SYNOPSIS
 .sp
 \fBkdb5_ldap_util\fP
@@ -522,6 +522,6 @@ kadmin(1), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kdb5_util.man 1.21.3-1/src/man/kdb5_util.man
--- 1.21.2-1/src/man/kdb5_util.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kdb5_util.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KDB5_UTIL" "8" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kdb5_util \- Kerberos database maintenance utility
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KDB5_UTIL" "8" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kdb5_util \- Kerberos database maintenance utility
 .SH SYNOPSIS
 .sp
 \fBkdb5_util\fP
@@ -554,6 +554,6 @@ kadmin(1), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kdc.conf.man 1.21.3-1/src/man/kdc.conf.man
--- 1.21.2-1/src/man/kdc.conf.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kdc.conf.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KDC.CONF" "5" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kdc.conf \- Kerberos V5 KDC configuration file
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KDC.CONF" "5" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kdc.conf \- Kerberos V5 KDC configuration file
 .sp
 The kdc.conf file supplements krb5.conf(5) for programs which
 are typically only used on a KDC, such as the krb5kdc(8) and
@@ -1190,6 +1190,6 @@ krb5.conf(5), krb5kdc(8), kadm5.acl(5)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kdestroy.man 1.21.3-1/src/man/kdestroy.man
--- 1.21.2-1/src/man/kdestroy.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kdestroy.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KDESTROY" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kdestroy \- destroy Kerberos tickets
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KDESTROY" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kdestroy \- destroy Kerberos tickets
 .SH SYNOPSIS
 .sp
 \fBkdestroy\fP
@@ -90,6 +90,6 @@ kinit(1), klist(1), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kerberos.man 1.21.3-1/src/man/kerberos.man
--- 1.21.2-1/src/man/kerberos.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kerberos.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KERBEROS" "7" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kerberos \- Overview of using Kerberos
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KERBEROS" "7" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kerberos \- Overview of using Kerberos
 .SH DESCRIPTION
 .sp
 The Kerberos system authenticates individual users in a network
@@ -212,6 +212,6 @@ Institute of Technology
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kinit.man 1.21.3-1/src/man/kinit.man
--- 1.21.2-1/src/man/kinit.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kinit.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KINIT" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kinit \- obtain and cache Kerberos ticket-granting ticket
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KINIT" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kinit \- obtain and cache Kerberos ticket-granting ticket
 .SH SYNOPSIS
 .sp
 \fBkinit\fP
@@ -254,6 +254,6 @@ klist(1), kdestroy(1), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/klist.man 1.21.3-1/src/man/klist.man
--- 1.21.2-1/src/man/klist.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/klist.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KLIST" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-klist \- list cached Kerberos tickets
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KLIST" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+klist \- list cached Kerberos tickets
 .SH SYNOPSIS
 .sp
 \fBklist\fP
@@ -153,6 +153,6 @@ kinit(1), kdestroy(1), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kpasswd.man 1.21.3-1/src/man/kpasswd.man
--- 1.21.2-1/src/man/kpasswd.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kpasswd.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KPASSWD" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kpasswd \- change a user's Kerberos password
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KPASSWD" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kpasswd \- change a user's Kerberos password
 .SH SYNOPSIS
 .sp
 \fBkpasswd\fP [\fIprincipal\fP]
@@ -63,6 +63,6 @@ kadmin(1), kadmind(8), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kprop.man 1.21.3-1/src/man/kprop.man
--- 1.21.2-1/src/man/kprop.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kprop.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KPROP" "8" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kprop \- propagate a Kerberos V5 principal database to a replica server
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KPROP" "8" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kprop \- propagate a Kerberos V5 principal database to a replica server
 .SH SYNOPSIS
 .sp
 \fBkprop\fP
@@ -77,6 +77,6 @@ kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kpropd.man 1.21.3-1/src/man/kpropd.man
--- 1.21.2-1/src/man/kpropd.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kpropd.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KPROPD" "8" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kpropd \- Kerberos V5 replica KDC update server
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KPROPD" "8" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kpropd \- Kerberos V5 replica KDC update server
 .SH SYNOPSIS
 .sp
 \fBkpropd\fP
@@ -166,6 +166,6 @@ kerberos(7), inetd(8)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kproplog.man 1.21.3-1/src/man/kproplog.man
--- 1.21.2-1/src/man/kproplog.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kproplog.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KPROPLOG" "8" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kproplog \- display the contents of the Kerberos principal update log
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KPROPLOG" "8" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kproplog \- display the contents of the Kerberos principal update log
 .SH SYNOPSIS
 .sp
 \fBkproplog\fP [\fB\-h\fP] [\fB\-e\fP \fInum\fP] [\-v]
@@ -110,6 +110,6 @@ kpropd(8), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/krb5-config.man 1.21.3-1/src/man/krb5-config.man
--- 1.21.2-1/src/man/krb5-config.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/krb5-config.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KRB5-CONFIG" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-krb5-config \- tool for linking against MIT Kerberos libraries
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KRB5-CONFIG" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+krb5-config \- tool for linking against MIT Kerberos libraries
 .SH SYNOPSIS
 .sp
 \fBkrb5\-config\fP
@@ -136,6 +136,6 @@ kerberos(7), cc(1)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/krb5.conf.man 1.21.3-1/src/man/krb5.conf.man
--- 1.21.2-1/src/man/krb5.conf.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/krb5.conf.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KRB5.CONF" "5" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-krb5.conf \- Kerberos configuration file
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KRB5.CONF" "5" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+krb5.conf \- Kerberos configuration file
 .sp
 The krb5.conf file contains Kerberos configuration information,
 including the locations of KDCs and admin servers for the Kerberos
@@ -1500,6 +1500,6 @@ syslog(3)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/krb5kdc.man 1.21.3-1/src/man/krb5kdc.man
--- 1.21.2-1/src/man/krb5kdc.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/krb5kdc.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KRB5KDC" "8" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-krb5kdc \- Kerberos V5 KDC
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KRB5KDC" "8" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+krb5kdc \- Kerberos V5 KDC
 .SH SYNOPSIS
 .sp
 \fBkrb5kdc\fP
@@ -135,6 +135,6 @@ kdb5_ldap_util(8), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/ksu.man 1.21.3-1/src/man/ksu.man
--- 1.21.2-1/src/man/ksu.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/ksu.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KSU" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-ksu \- Kerberized super-user
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KSU" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+ksu \- Kerberized super-user
 .SH SYNOPSIS
 .sp
 \fBksu\fP
@@ -474,6 +474,6 @@ kerberos(7), kinit(1)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kswitch.man 1.21.3-1/src/man/kswitch.man
--- 1.21.2-1/src/man/kswitch.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kswitch.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KSWITCH" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kswitch \- switch primary ticket cache
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KSWITCH" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kswitch \- switch primary ticket cache
 .SH SYNOPSIS
 .sp
 \fBkswitch\fP
@@ -66,6 +66,6 @@ kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/ktutil.man 1.21.3-1/src/man/ktutil.man
--- 1.21.2-1/src/man/ktutil.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/ktutil.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KTUTIL" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-ktutil \- Kerberos keytab file maintenance utility
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KTUTIL" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+ktutil \- Kerberos keytab file maintenance utility
 .SH SYNOPSIS
 .sp
 \fBktutil\fP
@@ -159,6 +159,6 @@ kadmin(1), kdb5_util(8), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/kvno.man 1.21.3-1/src/man/kvno.man
--- 1.21.2-1/src/man/kvno.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/kvno.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "KVNO" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-kvno \- print key version numbers of Kerberos principals
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "KVNO" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+kvno \- print key version numbers of Kerberos principals
 .SH SYNOPSIS
 .sp
 \fBkvno\fP
@@ -136,6 +136,6 @@ kinit(1), kdestroy(1), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/sclient.man 1.21.3-1/src/man/sclient.man
--- 1.21.2-1/src/man/sclient.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/sclient.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "SCLIENT" "1" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-sclient \- sample Kerberos version 5 client
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "SCLIENT" "1" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+sclient \- sample Kerberos version 5 client
 .SH SYNOPSIS
 .sp
 \fBsclient\fP \fIremotehost\fP
@@ -49,6 +49,6 @@ kinit(1), sserver(8), kerberos(7)
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/man/sserver.man 1.21.3-1/src/man/sserver.man
--- 1.21.2-1/src/man/sserver.man	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/man/sserver.man	2024-06-26 20:00:35.000000000 +0000
@@ -1,8 +1,5 @@
 .\" Man page generated from reStructuredText.
 .
-.TH "SSERVER" "8" " " "1.21.2" "MIT Kerberos"
-.SH NAME
-sserver \- sample Kerberos version 5 server
 .
 .nr rst2man-indent-level 0
 .
@@ -30,6 +27,9 @@ level margin: \\n[rst2man-indent\\n[rst2
 .\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
 .in \\n[rst2man-indent\\n[rst2man-indent-level]]u
 ..
+.TH "SSERVER" "8" " " "1.21.3" "MIT Kerberos"
+.SH NAME
+sserver \- sample Kerberos version 5 server
 .SH SYNOPSIS
 .sp
 \fBsserver\fP
@@ -193,6 +193,6 @@ sclient(1), kerberos(7), services(5), in
 .SH AUTHOR
 MIT
 .SH COPYRIGHT
-1985-2023, MIT
+1985-2024, MIT
 .\" Generated by docutils manpage writer.
 .
diff -pruN 1.21.2-1/src/patchlevel.h 1.21.3-1/src/patchlevel.h
--- 1.21.2-1/src/patchlevel.h	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/patchlevel.h	2024-06-26 20:00:35.000000000 +0000
@@ -51,7 +51,7 @@
  */
 #define KRB5_MAJOR_RELEASE 1
 #define KRB5_MINOR_RELEASE 21
-#define KRB5_PATCHLEVEL 2
+#define KRB5_PATCHLEVEL 3
 /* #undef KRB5_RELTAIL */
-#define KRB5_RELDATE "20230814"
-#define KRB5_RELTAG "krb5-1.21.2-final"
+#define KRB5_RELDATE "20240626"
+#define KRB5_RELTAG "krb5-1.21.3-final"
diff -pruN 1.21.2-1/src/plugins/preauth/pkinit/pkinit_crypto_openssl.c 1.21.3-1/src/plugins/preauth/pkinit/pkinit_crypto_openssl.c
--- 1.21.2-1/src/plugins/preauth/pkinit/pkinit_crypto_openssl.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/plugins/preauth/pkinit/pkinit_crypto_openssl.c	2024-06-26 20:00:35.000000000 +0000
@@ -2272,7 +2272,9 @@ cms_envelopeddata_verify(krb5_context co
     }
 
     /* verify that the received message is PKCS7 EnvelopedData message */
-    if (OBJ_obj2nid(p7->type) != NID_pkcs7_enveloped) {
+    if (OBJ_obj2nid(p7->type) != NID_pkcs7_enveloped ||
+        p7->d.enveloped == NULL ||
+        p7->d.enveloped->enc_data->enc_data == NULL) {
         pkiDebug("Expected id-enveloped PKCS7 msg (received type = %d)\n",
                  OBJ_obj2nid(p7->type));
         krb5_set_error_message(context, retval, "wrong oid\n");
diff -pruN 1.21.2-1/src/po/mit-krb5.pot 1.21.3-1/src/po/mit-krb5.pot
--- 1.21.2-1/src/po/mit-krb5.pot	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/po/mit-krb5.pot	2024-06-26 20:00:35.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: mit-krb5 1.21.2\n"
+"Project-Id-Version: mit-krb5 1.21.3\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2023-08-14 02:19-0400\n"
+"POT-Creation-Date: 2024-06-26 13:09-0400\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -3290,15 +3290,15 @@ msgstr ""
 #: ../../src/kadmin/server/ovsec_kadmd.c:278
 #, c-format
 msgid ""
-"WARNING! Forged/garbled request: %s, claimed client = %.*s%s, server = %.*s"
-"%s, addr = %s"
+"WARNING! Forged/garbled request: %s, claimed client = %.*s%s, server = "
+"%.*s%s, addr = %s"
 msgstr ""
 
 #: ../../src/kadmin/server/ovsec_kadmd.c:284
 #, c-format
 msgid ""
-"WARNING! Forged/garbled request: %d, claimed client = %.*s%s, server = %.*s"
-"%s, addr = %s"
+"WARNING! Forged/garbled request: %d, claimed client = %.*s%s, server = "
+"%.*s%s, addr = %s"
 msgstr ""
 
 #: ../../src/kadmin/server/ovsec_kadmd.c:298
@@ -3440,8 +3440,8 @@ msgstr ""
 #: ../../src/kadmin/server/server_stubs.c:675
 #, c-format
 msgid ""
-"Unauthorized request: kadm5_rename_principal, %.*s%s to %.*s%s, client=%.*s"
-"%s, service=%.*s%s, addr=%s"
+"Unauthorized request: kadm5_rename_principal, %.*s%s to %.*s%s, "
+"client=%.*s%s, service=%.*s%s, addr=%s"
 msgstr ""
 
 #: ../../src/kadmin/server/server_stubs.c:690
@@ -5456,11 +5456,11 @@ msgstr ""
 msgid "Can't find client principal %s in cache collection"
 msgstr ""
 
-#: ../../src/lib/krb5/ccache/cccursor.c:270
+#: ../../src/lib/krb5/ccache/cccursor.c:271
 msgid "No Kerberos credentials available"
 msgstr ""
 
-#: ../../src/lib/krb5/ccache/cccursor.c:276
+#: ../../src/lib/krb5/ccache/cccursor.c:277
 #, c-format
 msgid "No Kerberos credentials available (default cache: %s)"
 msgstr ""
@@ -6552,7 +6552,7 @@ msgid "%s (depth %d): %s"
 msgstr ""
 
 #: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:1193
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:4133
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:4135
 msgid "Pass phrase for"
 msgstr ""
 
@@ -6600,42 +6600,42 @@ msgstr ""
 msgid "Failed to decode PKCS7"
 msgstr ""
 
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2286
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2288
 msgid "Failed to decrypt PKCS7 message"
 msgstr ""
 
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2709
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2711
 msgid "Failed to fetch SSKDF"
 msgstr ""
 
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2716
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2718
 msgid "Failed to instantiate SSKDF"
 msgstr ""
 
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2729
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2731
 msgid "Failed to derive key using SSKDF"
 msgstr ""
 
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2791
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:2793
 msgid "Failed to compute digest"
 msgstr ""
 
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:4253
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:4255
 #, c-format
 msgid "Cannot read certificate file '%s'"
 msgstr ""
 
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:4261
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:4263
 #, c-format
 msgid "Cannot read key file '%s'"
 msgstr ""
 
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:5112
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:5114
 #, c-format
 msgid "Cannot open file '%s'"
 msgstr ""
 
-#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:5119
+#: ../../src/plugins/preauth/pkinit/pkinit_crypto_openssl.c:5121
 #, c-format
 msgid "Cannot read file '%s'"
 msgstr ""
diff -pruN 1.21.2-1/src/prototype/prototype.c 1.21.3-1/src/prototype/prototype.c
--- 1.21.2-1/src/prototype/prototype.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/prototype/prototype.c	2024-06-26 20:00:35.000000000 +0000
@@ -1,7 +1,7 @@
 /* -*- mode: c; c-basic-offset: 4; indent-tabs-mode: nil -*- */
 /* prototype/prototype.c - <<< One-line description of file >>> */
 /*
- * Copyright (C) 2023 by the Massachusetts Institute of Technology.
+ * Copyright (C) 2024 by the Massachusetts Institute of Technology.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff -pruN 1.21.2-1/src/prototype/prototype.h 1.21.3-1/src/prototype/prototype.h
--- 1.21.2-1/src/prototype/prototype.h	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/prototype/prototype.h	2024-06-26 20:00:35.000000000 +0000
@@ -1,7 +1,7 @@
 /* -*- mode: c; c-basic-offset: 4; indent-tabs-mode: nil -*- */
 /* prototype/prototype.h - <<< One-line description of file >>> */
 /*
- * Copyright (C) 2023 by the Massachusetts Institute of Technology.
+ * Copyright (C) 2024 by the Massachusetts Institute of Technology.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff -pruN 1.21.2-1/src/tests/gssapi/t_invalid.c 1.21.3-1/src/tests/gssapi/t_invalid.c
--- 1.21.2-1/src/tests/gssapi/t_invalid.c	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/tests/gssapi/t_invalid.c	2024-06-26 20:00:35.000000000 +0000
@@ -36,31 +36,41 @@
  *
  * 1. A pre-CFX wrap or MIC token processed with a CFX-only context causes a
  *    null pointer dereference.  (The token must use SEAL_ALG_NONE or it will
- *    be rejected.)
+ *    be rejected.)  This vulnerability also applies to IOV unwrap.
  *
- * 2. A pre-CFX wrap or MIC token with fewer than 24 bytes after the ASN.1
+ * 2. A CFX wrap token with a different value of EC between the plaintext and
+ *    encrypted copies will be erroneously accepted, which allows a message
+ *    truncation attack.  This vulnerability also applies to IOV unwrap.
+ *
+ * 3. A CFX wrap token with a plaintext length fewer than 16 bytes causes an
+ *    access before the beginning of the input buffer, possibly leading to a
+ *    crash.
+ *
+ * 4. A CFX wrap token with a plaintext EC value greater than the plaintext
+ *    length - 16 causes an integer underflow when computing the result length,
+ *    likely causing a crash.
+ *
+ * 5. An IOV unwrap operation will overrun the header buffer if an ASN.1
+ *    wrapper longer than the header buffer is present.
+ *
+ * 6. A pre-CFX wrap or MIC token with fewer than 24 bytes after the ASN.1
  *    header causes an input buffer overrun, usually leading to either a segv
  *    or a GSS_S_DEFECTIVE_TOKEN error due to garbage algorithm, filler, or
- *    sequence number values.
+ *    sequence number values.  This vulnerability also applies to IOV unwrap.
  *
- * 3. A pre-CFX wrap token with fewer than 16 + cksumlen bytes after the ASN.1
+ * 7. A pre-CFX wrap token with fewer than 16 + cksumlen bytes after the ASN.1
  *    header causes an integer underflow when computing the ciphertext length,
  *    leading to an allocation error on 32-bit platforms or a segv on 64-bit
  *    platforms.  A pre-CFX MIC token of this size causes an input buffer
  *    overrun when comparing the checksum, perhaps leading to a segv.
  *
- * 4. A pre-CFX wrap token with fewer than conflen + padlen bytes in the
+ * 8. A pre-CFX wrap token with fewer than conflen + padlen bytes in the
  *    ciphertext (where padlen is the last byte of the decrypted ciphertext)
  *    causes an integer underflow when computing the original message length,
  *    leading to an allocation error.
  *
- * 5. In the mechglue, truncated encapsulation in the initial context token can
+ * 9. In the mechglue, truncated encapsulation in the initial context token can
  *    cause input buffer overruns in gss_accept_sec_context().
- *
- * Vulnerabilities #1 and #2 also apply to IOV unwrap, although tokens with
- * fewer than 16 bytes after the ASN.1 header will be rejected.
- * Vulnerabilities #2 and #5 can only be robustly detected using a
- * memory-checking environment such as valgrind.
  */
 
 #include "k5-int.h"
@@ -109,17 +119,25 @@ struct test {
     }
 };
 
-/* Fake up enough of a CFX GSS context for gss_unwrap, using an AES key. */
+static void *
+ealloc(size_t len)
+{
+    void *ptr = calloc(len, 1);
+
+    if (ptr == NULL)
+        abort();
+    return ptr;
+}
+
+/* Fake up enough of a CFX GSS context for gss_unwrap, using an AES key.
+ * The context takes ownership of subkey. */
 static gss_ctx_id_t
-make_fake_cfx_context()
+make_fake_cfx_context(krb5_key subkey)
 {
     gss_union_ctx_id_t uctx;
     krb5_gss_ctx_id_t kgctx;
-    krb5_keyblock kb;
 
-    kgctx = calloc(1, sizeof(*kgctx));
-    if (kgctx == NULL)
-        abort();
+    kgctx = ealloc(sizeof(*kgctx));
     kgctx->established = 1;
     kgctx->proto = 1;
     if (g_seqstate_init(&kgctx->seqstate, 0, 0, 0, 0) != 0)
@@ -128,15 +146,10 @@ make_fake_cfx_context()
     kgctx->sealalg = -1;
     kgctx->signalg = -1;
 
-    kb.enctype = ENCTYPE_AES128_CTS_HMAC_SHA1_96;
-    kb.length = 16;
-    kb.contents = (unsigned char *)"1234567887654321";
-    if (krb5_k_create_key(NULL, &kb, &kgctx->subkey) != 0)
-        abort();
+    kgctx->subkey = subkey;
+    kgctx->cksumtype = CKSUMTYPE_HMAC_SHA1_96_AES128;
 
-    uctx = calloc(1, sizeof(*uctx));
-    if (uctx == NULL)
-        abort();
+    uctx = ealloc(sizeof(*uctx));
     uctx->mech_type = &mech_krb5;
     uctx->internal_ctx_id = (gss_ctx_id_t)kgctx;
     return (gss_ctx_id_t)uctx;
@@ -150,9 +163,7 @@ make_fake_context(const struct test *tes
     krb5_gss_ctx_id_t kgctx;
     krb5_keyblock kb;
 
-    kgctx = calloc(1, sizeof(*kgctx));
-    if (kgctx == NULL)
-        abort();
+    kgctx = ealloc(sizeof(*kgctx));
     kgctx->established = 1;
     if (g_seqstate_init(&kgctx->seqstate, 0, 0, 0, 0) != 0)
         abort();
@@ -174,9 +185,7 @@ make_fake_context(const struct test *tes
     if (krb5_k_create_key(NULL, &kb, &kgctx->enc) != 0)
         abort();
 
-    uctx = calloc(1, sizeof(*uctx));
-    if (uctx == NULL)
-        abort();
+    uctx = ealloc(sizeof(*uctx));
     uctx->mech_type = &mech_krb5;
     uctx->internal_ctx_id = (gss_ctx_id_t)kgctx;
     return (gss_ctx_id_t)uctx;
@@ -206,9 +215,7 @@ make_token(unsigned char *token, size_t
 
     assert(mech_krb5.length == 9);
     assert(len + 11 < 128);
-    wrapped = malloc(len + 13);
-    if (wrapped == NULL)
-        abort();
+    wrapped = ealloc(len + 13);
     wrapped[0] = 0x60;
     wrapped[1] = len + 11;
     wrapped[2] = 0x06;
@@ -219,6 +226,18 @@ make_token(unsigned char *token, size_t
     out->value = wrapped;
 }
 
+/* Create a 16-byte header for a CFX confidential wrap token to be processed by
+ * the fake CFX context. */
+static void
+write_cfx_header(uint16_t ec, uint8_t *out)
+{
+    memset(out, 0, 16);
+    store_16_be(KG2_TOK_WRAP_MSG, out);
+    out[2] = FLAG_WRAP_CONFIDENTIAL;
+    out[3] = 0xFF;
+    store_16_be(ec, out + 4);
+}
+
 /* Unwrap a superficially valid RFC 1964 token with a CFX-only context, with
  * regular and IOV unwrap. */
 static void
@@ -250,6 +269,134 @@ test_bogus_1964_token(gss_ctx_id_t ctx)
     free(in.value);
 }
 
+static void
+test_cfx_altered_ec(gss_ctx_id_t ctx, krb5_key subkey)
+{
+    OM_uint32 major, minor;
+    uint8_t tokbuf[128], plainbuf[24];
+    krb5_data plain;
+    krb5_enc_data cipher;
+    gss_buffer_desc in, out;
+    gss_iov_buffer_desc iov[2];
+
+    /* Construct a header with a plaintext EC value of 3. */
+    write_cfx_header(3, tokbuf);
+
+    /* Encrypt a plaintext and a copy of the header with the EC value 0. */
+    memcpy(plainbuf, "truncate", 8);
+    memcpy(plainbuf + 8, tokbuf, 16);
+    store_16_be(0, plainbuf + 12);
+    plain = make_data(plainbuf, 24);
+    cipher.ciphertext.data = (char *)tokbuf + 16;
+    cipher.ciphertext.length = sizeof(tokbuf) - 16;
+    cipher.enctype = subkey->keyblock.enctype;
+    if (krb5_k_encrypt(NULL, subkey, KG_USAGE_INITIATOR_SEAL, NULL,
+                       &plain, &cipher) != 0)
+        abort();
+
+    /* Verify that the token is rejected by gss_unwrap(). */
+    in.value = tokbuf;
+    in.length = 16 + cipher.ciphertext.length;
+    major = gss_unwrap(&minor, ctx, &in, &out, NULL, NULL);
+    if (major != GSS_S_DEFECTIVE_TOKEN)
+        abort();
+    (void)gss_release_buffer(&minor, &out);
+
+    /* Verify that the token is rejected by gss_unwrap_iov(). */
+    iov[0].type = GSS_IOV_BUFFER_TYPE_STREAM;
+    iov[0].buffer = in;
+    iov[1].type = GSS_IOV_BUFFER_TYPE_DATA;
+    major = gss_unwrap_iov(&minor, ctx, NULL, NULL, iov, 2);
+    if (major != GSS_S_DEFECTIVE_TOKEN)
+        abort();
+}
+
+static void
+test_cfx_short_plaintext(gss_ctx_id_t ctx, krb5_key subkey)
+{
+    OM_uint32 major, minor;
+    uint8_t tokbuf[128], zerobyte = 0;
+    krb5_data plain;
+    krb5_enc_data cipher;
+    gss_buffer_desc in, out;
+
+    write_cfx_header(0, tokbuf);
+
+    /* Encrypt a single byte, with no copy of the header. */
+    plain = make_data(&zerobyte, 1);
+    cipher.ciphertext.data = (char *)tokbuf + 16;
+    cipher.ciphertext.length = sizeof(tokbuf) - 16;
+    cipher.enctype = subkey->keyblock.enctype;
+    if (krb5_k_encrypt(NULL, subkey, KG_USAGE_INITIATOR_SEAL, NULL,
+                       &plain, &cipher) != 0)
+        abort();
+
+    /* Verify that the token is rejected by gss_unwrap(). */
+    in.value = tokbuf;
+    in.length = 16 + cipher.ciphertext.length;
+    major = gss_unwrap(&minor, ctx, &in, &out, NULL, NULL);
+    if (major != GSS_S_DEFECTIVE_TOKEN)
+        abort();
+    (void)gss_release_buffer(&minor, &out);
+}
+
+static void
+test_cfx_large_ec(gss_ctx_id_t ctx, krb5_key subkey)
+{
+    OM_uint32 major, minor;
+    uint8_t tokbuf[128] = { 0 }, plainbuf[20];
+    krb5_data plain;
+    krb5_enc_data cipher;
+    gss_buffer_desc in, out;
+
+    /* Construct a header with an EC value of 5. */
+    write_cfx_header(5, tokbuf);
+
+    /* Encrypt a 4-byte plaintext plus the header. */
+    memcpy(plainbuf, "abcd", 4);
+    memcpy(plainbuf + 4, tokbuf, 16);
+    plain = make_data(plainbuf, 20);
+    cipher.ciphertext.data = (char *)tokbuf + 16;
+    cipher.ciphertext.length = sizeof(tokbuf) - 16;
+    cipher.enctype = subkey->keyblock.enctype;
+    if (krb5_k_encrypt(NULL, subkey, KG_USAGE_INITIATOR_SEAL, NULL,
+                       &plain, &cipher) != 0)
+        abort();
+
+    /* Verify that the token is rejected by gss_unwrap(). */
+    in.value = tokbuf;
+    in.length = 16 + cipher.ciphertext.length;
+    major = gss_unwrap(&minor, ctx, &in, &out, NULL, NULL);
+    if (major != GSS_S_DEFECTIVE_TOKEN)
+        abort();
+    (void)gss_release_buffer(&minor, &out);
+}
+
+static void
+test_iov_large_asn1_wrapper(gss_ctx_id_t ctx)
+{
+    OM_uint32 minor, major;
+    uint8_t databuf[10] = { 0 };
+    gss_iov_buffer_desc iov[2];
+
+    /*
+     * In this IOV array, the header contains a DER tag with a dangling eight
+     * bytes of length field.  The data IOV indicates a total token length
+     * sufficient to contain the length bytes.
+     */
+    iov[0].type = GSS_IOV_BUFFER_TYPE_HEADER;
+    iov[0].buffer.value = ealloc(2);
+    iov[0].buffer.length = 2;
+    memcpy(iov[0].buffer.value, "\x60\x88", 2);
+    iov[1].type = GSS_IOV_BUFFER_TYPE_DATA;
+    iov[1].buffer.value = databuf;
+    iov[1].buffer.length = 10;
+    major = gss_unwrap_iov(&minor, ctx, NULL, NULL, iov, 2);
+    if (major != GSS_S_DEFECTIVE_TOKEN)
+        abort();
+    free(iov[0].buffer.value);
+}
+
 /* Process wrap and MIC tokens with incomplete headers. */
 static void
 test_short_header(gss_ctx_id_t ctx)
@@ -399,9 +546,7 @@ try_accept(void *value, size_t len)
     gss_ctx_id_t ctx = GSS_C_NO_CONTEXT;
 
     /* Copy the provided value to make input overruns more obvious. */
-    in.value = malloc(len);
-    if (in.value == NULL)
-        abort();
+    in.value = ealloc(len);
     memcpy(in.value, value, len);
     in.length = len;
     (void)gss_accept_sec_context(&minor, &ctx, GSS_C_NO_CREDENTIAL, &in,
@@ -436,11 +581,23 @@ test_short_encapsulation()
 int
 main(int argc, char **argv)
 {
+    krb5_keyblock kb;
+    krb5_key cfx_subkey;
     gss_ctx_id_t ctx;
     size_t i;
 
-    ctx = make_fake_cfx_context();
+    kb.enctype = ENCTYPE_AES128_CTS_HMAC_SHA1_96;
+    kb.length = 16;
+    kb.contents = (unsigned char *)"1234567887654321";
+    if (krb5_k_create_key(NULL, &kb, &cfx_subkey) != 0)
+        abort();
+
+    ctx = make_fake_cfx_context(cfx_subkey);
     test_bogus_1964_token(ctx);
+    test_cfx_altered_ec(ctx, cfx_subkey);
+    test_cfx_short_plaintext(ctx, cfx_subkey);
+    test_cfx_large_ec(ctx, cfx_subkey);
+    test_iov_large_asn1_wrapper(ctx);
     free_fake_context(ctx);
 
     for (i = 0; i < sizeof(tests) / sizeof(*tests); i++) {
diff -pruN 1.21.2-1/src/windows/installer/wix/site-local.wxi 1.21.3-1/src/windows/installer/wix/site-local.wxi
--- 1.21.2-1/src/windows/installer/wix/site-local.wxi	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/windows/installer/wix/site-local.wxi	2024-06-26 20:00:35.000000000 +0000
@@ -49,10 +49,10 @@
 
     <!-- At most one of the following could be defined and must correspond
          to the type of build performed. -->
-    <!--<?define Release?>-->
+    <?define Release?>
 
     <!-- Optional defines -->
-    <!-- <?define Beta="1"?>  --> <!-- Numeric Beta identifier -->
+    <?define Beta="1"?> <!-- Numeric Beta identifier -->
     <!-- <?define OldHelp?> --> <!-- Specifies the use of the old leash32.hlp file
                            instead of the new leash32.chm file -->
 
@@ -68,7 +68,7 @@
 
     <?ifndef VersionMajor?>
         <?define VersionMajor="4"?>
-        <?define VersionMinor="1"?>
+        <?define VersionMinor="3"?>
         <?define VersionPatch="0"?>
     <?else?>
         <?if Not ($(var.VersionMinor) And $(var.VersionPatch))?>
diff -pruN 1.21.2-1/src/windows/kerberos.ver 1.21.3-1/src/windows/kerberos.ver
--- 1.21.2-1/src/windows/kerberos.ver	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/windows/kerberos.ver	2024-06-26 20:00:35.000000000 +0000
@@ -50,10 +50,9 @@
  * organization.
  */
 #define KRB5_MAJOR_RELEASE 4
-#define KRB5_MINOR_RELEASE 1
+#define KRB5_MINOR_RELEASE 3
 #define KRB5_PATCHLEVEL 0
-#define KRB5_RELTAIL "prerelease"
+#define KRB5_RELTAIL "beta1"
 /* #undef KRB5_RELDATE */
-#define KRB5_RELTAG "trunk"
 
 #define KRB5_PRODUCTNAME_STR "MIT Kerberos for Windows"
diff -pruN 1.21.2-1/src/windows/version.rc 1.21.3-1/src/windows/version.rc
--- 1.21.2-1/src/windows/version.rc	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/windows/version.rc	2024-06-26 20:00:35.000000000 +0000
@@ -41,7 +41,7 @@
 #define K5_PRODUCT_VERSION_STRING MAJOR_MINOR MAYBE_PATCH RELTAIL "\0"
 #define K5_PRODUCT_VERSION        KRB5_MAJOR_RELEASE, KRB5_MINOR_RELEASE, KRB5_PATCHLEVEL, KRB5_BUILDLEVEL
 
-#define K5_COPYRIGHT "Copyright (C) 1997-2023 by the Massachusetts Institute of Technology\0"
+#define K5_COPYRIGHT "Copyright (C) 1997-2024 by the Massachusetts Institute of Technology\0"
 #define K5_COMPANY_NAME "Massachusetts Institute of Technology.\0"
 
 /* 
diff -pruN 1.21.2-1/src/windows/winlevel.h 1.21.3-1/src/windows/winlevel.h
--- 1.21.2-1/src/windows/winlevel.h	2023-08-14 16:16:43.000000000 +0000
+++ 1.21.3-1/src/windows/winlevel.h	2024-06-26 20:00:35.000000000 +0000
@@ -28,4 +28,4 @@
  * updated for each alpha, beta, final release.   This will ensure
  * that file identifiers are unique
  */
-#define KRB5_BUILDLEVEL		0
+#define KRB5_BUILDLEVEL		1
